---
title: Акцизные марки ЕГАИС переопределяемый
slug: erp-uh/акцизные-марки-егаис-переопределяемый
---


## ПроверитьУникальностьАкцизнойМарки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если акцизная марка никогда раньше не продавалась. Ложь - в противном случае.
//
// Параметры:
//  Операция - Строка - текущая операция, для которой требуется осуществить контроль. Возможные значения:
//   "Продажа" - проверка пройдена, если продажи за минусом возвратов <= 0,
//   "Возврат" - проверка пройдена, если продажи за минусом возвратов >= 0,
//   "АктПостановкиНаБаланс" - проверка пройдена, если не было продаж, возвратов, актов постановок на баланс,
//   "АктСписания" - проверка пройдена, если продажи за минусом возвратов <= 0 и поставлено на баланс - списано >= 0.
//  КодАкцизнойМарки - Строка - код акцизной марки,
//  ТекстОшибки - Строка, ФорматированнаяСтрока - текст сообщения пользователю, если акцизная марка не уникальна. Выходной параметр.
Процедура ПроверитьУникальностьАкцизнойМарки(Операция, КодАкцизнойМарки, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
АкцизныеМаркиЕГАИСПереопределяемый.ПроверитьУникальностьАкцизнойМарки(Операция, КодАкцизнойМарки, ТекстОшибки) 
```
</details>

## СлужебныеДанныеАлкогольнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СлужебныеДанныеАлкогольнойПродукции(Товары, Результат) Экспорт
```

Пример вызова
```bsl
АкцизныеМаркиЕГАИСПереопределяемый.СлужебныеДанныеАлкогольнойПродукции(Товары, Результат) 
```
</details>

## ЗаполнитьПризнакМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли номенклатура алкогольной маркируемой продукцией.
//
// Параметры:
//  Маркируемая  - Булево - признак маркируемой продукции (Истина если является)
//  Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура.
Процедура ЗаполнитьПризнакМаркируемойПродукции(Маркируемая, Номенклатура) Экспорт
```

Пример вызова
```bsl
АкцизныеМаркиЕГАИСПереопределяемый.ЗаполнитьПризнакМаркируемойПродукции(Маркируемая, Номенклатура) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
