---
title: Аналитики статей бюджетов УХ
slug: erp-uh/аналитики-статей-бюджетов-ух
---


## СтатьяИАналитикиОбъектаВПоляхФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Статья и Аналитика из шапки объекта отображаются в элементах ПолеФормы.
Процедура СтатьяИАналитикиОбъектаВПоляхФормы(МассивОписанийСтатей, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) Экспорт
```

Пример вызова
```bsl
АналитикиСтатейБюджетовУХ.СтатьяИАналитикиОбъектаВПоляхФормы(МассивОписанийСтатей, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) 
```
</details>

## СтатьяИАналитикиТабличнойЧастиВТаблицеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Статья и Аналитика из табличной части отображаются в ТаблицеФормы
Процедура СтатьяИАналитикиТабличнойЧастиВТаблицеФормы(МассивОписанийСтатей, ИмяТЧ, ИмяПолеФормы, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) Экспорт
```

Пример вызова
```bsl
АналитикиСтатейБюджетовУХ.СтатьяИАналитикиТабличнойЧастиВТаблицеФормы(МассивОписанийСтатей, ИмяТЧ, ИмяПолеФормы, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) 
```
</details>

## СтатьяИАналитикиТабличнойЧастиВПоляхФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Статья и Аналитика из 0-й строки табличной части отображаются в элементах ПолеФормы.
Процедура СтатьяИАналитикиТабличнойЧастиВПоляхФормы(МассивОписанийСтатей, ИмяТЧ, ИмяПолеФормы, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) Экспорт
```

Пример вызова
```bsl
АналитикиСтатейБюджетовУХ.СтатьяИАналитикиТабличнойЧастиВПоляхФормы(МассивОписанийСтатей, ИмяТЧ, ИмяПолеФормы, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) 
```
</details>

## СтатьяИАналитикиТаблицыЗначенийРеквизитаФормыВТаблицеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Статья и Аналитика из таблицы значений реквизита формы отображаются ТаблицеФормы.
Процедура СтатьяИАналитикиТаблицыЗначенийРеквизитаФормыВТаблицеФормы(МассивОписанийСтатей, ИмяТЧ, ИмяПолеФормы, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) Экспорт
```

Пример вызова
```bsl
АналитикиСтатейБюджетовУХ.СтатьяИАналитикиТаблицыЗначенийРеквизитаФормыВТаблицеФормы(МассивОписанийСтатей, ИмяТЧ, ИмяПолеФормы, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) 
```
</details>

## СтатьяИАналитикиТаблицыЗначенийРеквизитаФормыВПоляхФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Статья и Аналитика из строки 0 таблицы значений реквизита формы отображаются в элементах ПолеФормы.
Процедура СтатьяИАналитикиТаблицыЗначенийРеквизитаФормыВПоляхФормы(МассивОписанийСтатей, ИмяТЧ, ИмяПолеФормы, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) Экспорт
```

Пример вызова
```bsl
АналитикиСтатейБюджетовУХ.СтатьяИАналитикиТаблицыЗначенийРеквизитаФормыВПоляхФормы(МассивОписанийСтатей, ИмяТЧ, ИмяПолеФормы, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) 
```
</details>

## СтатьяИАналитикиРеквизитовФормыВПолях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Статья и Аналитика из реквизитов формы отображаются в элементах ПолеФормы.
Процедура СтатьяИАналитикиРеквизитовФормыВПолях(МассивОписанийСтатей, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) Экспорт
```

Пример вызова
```bsl
АналитикиСтатейБюджетовУХ.СтатьяИАналитикиРеквизитовФормыВПолях(МассивОписанийСтатей, ИмяРеквизитаСтатья, ИмяЭлементаСтатья, ШаблонИмениРеквизитаАналитика, ШаблонИмениЭлементаАналитика, РазмещениеНаФорме) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
