---
title: Ассортимент сервер повт исп
slug: erp-uh/ассортимент-сервер-повт-исп
---


## КонтролироватьАссортимент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает признак контроля ассортимента по истории изменений
//
// Параметры:
//  Склад  - СправочникСсылка.Склады - Склад/магазин для которого проверяется контроль ассортимента
//  НаДату  - Дата - Дата на которую производится проверка контроля ассортимента.
//
// Возвращаемое значение:
//   Булево   - Истина, если ассортимент контролируется на складе и Ложь, если нет.
//
Функция КонтролироватьАссортимент(Знач Склад, Знач НаДату = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АссортиментСерверПовтИсп.КонтролироватьАссортимент(Склад, НаДату);
```
</details>

## ФорматМагазинаПоСкладу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает формат магазина по истории изменений
//
// Параметры:
//  Склад  - СправочникСсылка.Склады - Склад/магазин для которого проверяется связка с форматом магазинов
//  НаДату  - Дата - Дата на которую производится проверка контроля ассортимента.
//
// Возвращаемое значение:
//   Булево   - Истина, если ассортимент контролируется на складе и Ложь, если нет.
//
Функция ФорматМагазинаПоСкладу(Знач Склад, Знач НаДату = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АссортиментСерверПовтИсп.ФорматМагазинаПоСкладу(Склад, НаДату);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
