---
title: Аудит состояния системы
slug: erp-uh/аудит-состояния-системы
---


## ВыполнитьПроверкуСостоянияСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнение указанной проверки состояния системы.
//
// Параметры:
// 	Проверка - СправочникСсылка.ПравилаПроверкиУчета - проверка
// 	ЗначенияДопПараметров - Произвольный - дополнительные параметры проверки
//
// Возвращаемое значение:
// 	Структура - см. ИнициализироватьПараметрыПроверки
//
Функция ВыполнитьПроверкуСостоянияСистемы(Проверка, ЗначенияДопПараметров = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АудитСостоянияСистемы.ВыполнитьПроверкуСостоянияСистемы(Проверка, ЗначенияДопПараметров);
```
</details>

## ОчиститьРезультатыПроверок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистка предыдущих результатов указанных проверок.
//
Процедура ОчиститьРезультатыПроверок(МассивПроверок, МассивОрганизаций, НачалоПериода, КонецПериода = Неопределено) Экспорт
```

Пример вызова
```bsl
АудитСостоянияСистемы.ОчиститьРезультатыПроверок(МассивПроверок, МассивОрганизаций, НачалоПериода, КонецПериода);
```
</details>

## ТаблицаПроблемСостоянияСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу результатов выполнения указанных проверок.
//
// Параметры:
// 	МассивПроверок - Массив -
// 	МассивОрганизаций - Массив -
// 	НачалоПериода - Дата -
// 	КонецПериода - Дата -
//
// Возвращаемое значение:
// 	ТаблицаЗначений -
//
Функция ТаблицаПроблемСостоянияСистемы(МассивПроверок, МассивОрганизаций, НачалоПериода, КонецПериода = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АудитСостоянияСистемы.ТаблицаПроблемСостоянияСистемы(МассивПроверок, МассивОрганизаций, НачалоПериода, КонецПериода);
```
</details>

## ТаблицаОбъектовПроблемСостоянияСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу уточненных результатов выполнения указанных проверок.
//
// Параметры:
// 	МассивПроверок - Массив -
// 	МассивОрганизаций - Массив -
// 	НачалоПериода - Дата -
// 	КонецПериода - Дата -
//
// Возвращаемое значение:
// 	ТаблицаЗначений -
//
Функция ТаблицаОбъектовПроблемСостоянияСистемы(МассивПроверок, МассивОрганизаций, НачалоПериода, КонецПериода = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АудитСостоянияСистемы.ТаблицаОбъектовПроблемСостоянияСистемы(МассивПроверок, МассивОрганизаций, НачалоПериода, КонецПериода);
```
</details>

## ТаблицаПроверокПоКонтексту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу проверок по указанным отборам.
//
// Параметры:
// 	КонтекстПроверокВеденияУчета - Произвольный -
// 	УточнениеКонтекстаПроверокВеденияУчета - Произвольный -
// 	ВыполняетсяТолькоВКонтексте - Булево -
//
// Возвращаемое значение:
// 	ТаблицаЗначений -
//
Функция ТаблицаПроверокПоКонтексту(КонтекстПроверокВеденияУчета, УточнениеКонтекстаПроверокВеденияУчета = Неопределено, ВыполняетсяТолькоВКонтексте = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АудитСостоянияСистемы.ТаблицаПроверокПоКонтексту(КонтекстПроверокВеденияУчета, УточнениеКонтекстаПроверокВеденияУчета, ВыполняетсяТолькоВКонтексте);
```
</details>

## НайтиПроверкуПоКлючевымПолям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает проверку по указанным отборам.
//
// Параметры:
//  КонтекстПроверокВеденияУчета - Произвольный - Контекст проверок ведения учета
//  Идентификатор - Строка - Идентификатор
//  ВозвращатьТолькоСсылку - Булево - Возвращать только ссылку
//  ЗаполнятьПроверкиЕслиНеНайдена - Булево - Заполнять проверки если не найдена
//
// Возвращаемое значение:
//  Неопределено, Структура - параметры проверки
Функция НайтиПроверкуПоКлючевымПолям(КонтекстПроверокВеденияУчета, Идентификатор, ВозвращатьТолькоСсылку = Истина, ЗаполнятьПроверкиЕслиНеНайдена = Истина) Экспорт
```

Пример вызова
```bsl
Результат = АудитСостоянияСистемы.НайтиПроверкуПоКлючевымПолям(КонтекстПроверокВеденияУчета, Идентификатор, ВозвращатьТолькоСсылку, ЗаполнятьПроверкиЕслиНеНайдена);
```
</details>

## СформироватьОписаниеПроблемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует описание проблемы, выявленной при проверке.
//
// Параметры:
// 	ТекстПроблемы - Строка -
// 	Важность - ПеречислениеСсылка.ВажностьПроблемыУчета -
// 	ТекстУточнения - Строка -
// 	Объект - Произвольный -
// 	ДополнительнаяИнформация - Произвольный -
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Объект - Структура - Описание:
//  ** Представление - Строка -
//  ** ЭтоСоставнойОбъект - Булево -
//  ** СоставнойОбъект - УникальныйИдентификатор -
//  ** РасшифровкаСоставногоОбъекта - ХранилищеЗначения -
//  ** Объект - Произвольный -
// * Проблема - Структура - Описание:
//  ** Представление - Строка -
//  ** Важность - ПеречислениеСсылка.ВажностьПроблемыУчета -
//  ** ДополнительнаяИнформация - ХранилищеЗначения -
//
Функция СформироватьОписаниеПроблемы(ТекстПроблемы, Важность = Неопределено, ТекстУточнения = "", Экспорт
```

Пример вызова
```bsl
Результат = АудитСостоянияСистемы.СформироватьОписаниеПроблемы(ТекстПроблемы, Важность, ТекстУточнения, );
```
</details>

## ЗарегистрироватьПроблему
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует в ИБ информацию о выявленной проблеме по любой указанной проверке.
//
// Параметры:
// 	Проверка - СправочникСсылка.ПравилаПроверкиУчета -
// 	Организация - СправочникСсылка.Организации -
// 	ПроверяемыйПериод - Дата -
// 	ОписаниеПроблемы - см. АудитСостоянияСистемы.СформироватьОписаниеПроблемы
//
Процедура ЗарегистрироватьПроблему(Проверка, Организация, ПроверяемыйПериод, ОписаниеПроблемы) Экспорт
```

Пример вызова
```bsl
АудитСостоянияСистемы.ЗарегистрироватьПроблему(Проверка, Организация, ПроверяемыйПериод, ОписаниеПроблемы) 
```
</details>

## ДобавитьСтрокуВТаблицуВыявленныхПроблем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет строку в таблицу выявленных проблем. Вызывается при выполнении проверки.
//
// Параметры:
// 	ПараметрыПроверки - см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки
// 	Организация - СправочникСсылка.Организации -
// 	ПроверяемыйПериод - Дата -
// 	Представление - Строка -
// 	Важность - ПеречислениеСсылка.ВажностьПроблемыУчета -
// 	ДополнительнаяИнформация - Произвольный -
//
Процедура ДобавитьСтрокуВТаблицуВыявленныхПроблем(ПараметрыПроверки, Организация, ПроверяемыйПериод, Представление, Экспорт
```

Пример вызова
```bsl
АудитСостоянияСистемы.ДобавитьСтрокуВТаблицуВыявленныхПроблем(ПараметрыПроверки, Организация, ПроверяемыйПериод, Представление, );
```
</details>

## ДобавитьОбъектКЗафиксированнойПроблеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет ссылочный объект к последней строке таблицы выявленных проблем. Вызывается при выполнении проверки.
//
// Параметры:
// 	ПараметрыПроверки - см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки
// 	Объект - Произвольный -
// 	Представление - Строка -
//
Процедура ДобавитьОбъектКЗафиксированнойПроблеме(ПараметрыПроверки, Объект, Представление = "") Экспорт
```

Пример вызова
```bsl
АудитСостоянияСистемы.ДобавитьОбъектКЗафиксированнойПроблеме(ПараметрыПроверки, Объект, Представление);
```
</details>

## ДобавитьСоставнойОбъектКЗафиксированнойПроблеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет не ссылочный объект к последней строке таблицы выявленных проблем. Вызывается при выполнении проверки.
//
// Параметры:
// 	ПараметрыПроверки - см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки
// 	Расшифровка - Произвольный -
// 	Представление - Строка -
//
Процедура ДобавитьСоставнойОбъектКЗафиксированнойПроблеме(ПараметрыПроверки, Расшифровка, Представление = "") Экспорт
```

Пример вызова
```bsl
АудитСостоянияСистемы.ДобавитьСоставнойОбъектКЗафиксированнойПроблеме(ПараметрыПроверки, Расшифровка, Представление);
```
</details>

## ТаблицаПроверокСостоянияСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу проверок.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Описание:
// * ИдентификаторРодителя - Строка -
// * Наименование - Строка -
// * РасписаниеВыполнения - РасписаниеРегламентногоЗадания -
// * ОписаниеДополнительныхПараметров - Произвольный -
//
Функция ТаблицаПроверокСостоянияСистемы() Экспорт
```

Пример вызова
```bsl
Результат = АудитСостоянияСистемы.ТаблицаПроверокСостоянияСистемы() 
```
</details>

## ИнициализироватьПараметрыПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует описание проверки состояния системы.
//
// Параметры:
// 	Проверка - СправочникСсылка.ПравилаПроверкиУчета -
// 	КонтекстПроверокВеденияУчета - ОпределяемыйТип.КонтекстПроверокВеденияУчета, Null -
// 	ЗначенияДопПараметров - Неопределено, Структура - Описание
// Возвращаемое значение:
// 	Структура - Описание:
// * ВыявленныеПроблемы - см. АудитСостоянияСистемы.ТаблицаВыявленныхПроблемПриПроверке
// * Отборы - см. АудитСостоянияСистемы.ТаблицаОтборовДляПроверки
// * ПричинаОтказаОтПроверки - Строка -
// * ПроверкаНеВыполнена - Булево -
// * КонтекстПроверокВеденияУчета - ОпределяемыйТип.КонтекстПроверокВеденияУчета, Null -
// * ДополнительныеПараметры - Неопределено -
//
Функция ИнициализироватьПараметрыПроверки(Проверка, КонтекстПроверокВеденияУчета = NULL, ЗначенияДопПараметров = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки(Проверка, КонтекстПроверокВеденияУчета, ЗначенияДопПараметров);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
