---
title: Бизнес анализ вызов сервера УХ
slug: erp-uh/бизнес-анализ-вызов-сервера-ух
---


## ПолучитьАдресТаблицыДинамики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль предназначен для реализации фукнциональности блока Бизнес-Анализ в
// контексте вызова сервера.
////////////////////////////////////////////////////////////////////////////////

// Возвращает адрес таблицы динамики измнения показателя Показатель по
// параметрам Контекст и для значения ИмяОперанда.
Функция ПолучитьАдресТаблицыДинамики(Показатель, Контекст, ИмяОперанда = "") Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ПолучитьАдресТаблицыДинамики(Показатель, Контекст, ИмяОперанда);
```
</details>

## ПолучитьСтрокуОткрытияФормыРасшифрокиОбъектом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку открытия формы с имененем ФормаРасшифровкиВход для расшировки
// отчёте объектом метаданного с типом ТипОбъектаМетаданныхВход, наименованием НаименованиеОбъектаМетаданныхВход.
Функция ПолучитьСтрокуОткрытияФормыРасшифрокиОбъектом(ТипОбъектаМетаданныхВход, НаименованиеОбъектаМетаданныхВход, ФормаРасшифровкиВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ПолучитьСтрокуОткрытияФормыРасшифрокиОбъектом(ТипОбъектаМетаданныхВход, НаименованиеОбъектаМетаданныхВход, ФормаРасшифровкиВход) 
```
</details>

## ПровестиРасчетДанныхМКП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПровестиРасчетДанныхМКП(Знач ИдентификаторПроцесса, Знач НачальнаяВнешняяИБ) Экспорт
```

Пример вызова
```bsl
БизнесАнализВызовСервераУХ.ПровестиРасчетДанныхМКП(ИдентификаторПроцесса, НачальнаяВнешняяИБ) 
```
</details>

## ВернутьНеобработаннуюВнешнююИб
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьНеобработаннуюВнешнююИб(Знач ИдентификаторПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ВернутьНеобработаннуюВнешнююИб(ИдентификаторПроцесса) 
```
</details>

## ВернутьДинамикуПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьДинамикуПоказателя(Знач ИсточникДанныхФакт, Знач ИсточникДанныхПлан, Знач Контекст, Знач ПлановыйСценарий, Знач ЧислоПериодов, Знач ОтображениеРасшифровки, Знач ИмяОкна, ДанныеРасшифровки, ДополнительныеНастройкиВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ВернутьДинамикуПоказателя(ИсточникДанныхФакт, ИсточникДанныхПлан, Контекст, ПлановыйСценарий, ЧислоПериодов, ОтображениеРасшифровки, ИмяОкна, ДанныеРасшифровки, ДополнительныеНастройкиВход);
```
</details>

## НРегМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию массива МассивВход , переведя все строковые
// элементы массива в нижний регистр.
Функция НРегМассив(МассивВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.НРегМассив(МассивВход) 
```
</details>

## ПодготовитьЗапросДляОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьЗапросДляОтчета(Знач ИсточникДанных, Знач КонтекстОтчета, Знач ВидРасшифровки, ПараметрФункции, ИмяОтчета="", НуженПрогноз = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ПодготовитьЗапросДляОтчета(ИсточникДанных, КонтекстОтчета, ВидРасшифровки, ПараметрФункции, ИмяОтчета, НуженПрогноз);
```
</details>

## ОбработатьРасшифровкуМКП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьРасшифровкуМКП(Знач ТекущаяОбласть, Знач Показатель, ПутьКТаблицеОткрытыхОтчетов, Знач ЛокальныеПараметры, Знач ИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ОбработатьРасшифровкуМКП(ТекущаяОбласть, Показатель, ПутьКТаблицеОткрытыхОтчетов, ЛокальныеПараметры, ИдентификаторФормы) 
```
</details>

## ВернутьСтруктуруПоказателяПоАналитике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСтруктуруПоказателяПоАналитике(Знач ИсточникДанных, Знач Контекст, Знач НомерАналитики, Знач ОтображениеРасшифровки, Знач ИмяОкна, ДанныеРасшифровки, СтруктураДополнительныхПараметровДиаграммыВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ВернутьСтруктуруПоказателяПоАналитике(ИсточникДанных, Контекст, НомерАналитики, ОтображениеРасшифровки, ИмяОкна, ДанныеРасшифровки, СтруктураДополнительныхПараметровДиаграммыВход);
```
</details>

## ПрименитьНастройкиРазмещенияЛегенды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в настройки СКД НастройкиВход вариант размещения легенды ВариантРазмещенияЛегендыВход.
Процедура ПрименитьНастройкиРазмещенияЛегенды(НастройкиВход, ВариантРазмещенияЛегендыВход) Экспорт
```

Пример вызова
```bsl
БизнесАнализВызовСервераУХ.ПрименитьНастройкиРазмещенияЛегенды(НастройкиВход, ВариантРазмещенияЛегендыВход) 
```
</details>

## ПрименитьОграничениеСтолбцов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПрименитьОграничениеСтолбцов(НастройкиВход, КоличествоСтолбцовДиаграммыВход) Экспорт
```

Пример вызова
```bsl
БизнесАнализВызовСервераУХ.ПрименитьОграничениеСтолбцов(НастройкиВход, КоличествоСтолбцовДиаграммыВход));
```
</details>

## ВернутьСтруктуруОтображенияМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую флаги отображения элементов в зависимости
// от выбранного варианта отображения монитора ОтображениеМонитора.
Функция ВернутьСтруктуруОтображенияМонитора(ОтображениеМонитораВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ВернутьСтруктуруОтображенияМонитора(ОтображениеМонитораВход) 
```
</details>

## ДобавитьЭлементыФормыДляМонитораПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЭлементыФормыДляМонитораПоказателя(Форма, Владелец, Знач ИмяОтчета, Знач ОтображениеМонитора, Знач НаименованиеОкна) Экспорт
```

Пример вызова
```bsl
БизнесАнализВызовСервераУХ.ДобавитьЭлементыФормыДляМонитораПоказателя(Форма, Владелец, ИмяОтчета, ОтображениеМонитора, НаименованиеОкна) 
```
</details>

## СформироватьТаблицуМонитораПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьТаблицуМонитораПоказателей(ИмяОтчета = "") Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.СформироватьТаблицуМонитораПоказателей(ИмяОтчета);
```
</details>

## ДобавитьЭлементФормыДляЗависимойОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ ПРОГРАММНОЙ ГЕНЕРАЦИИ ЭЛЕМЕНТОВ УПРАВЛЯЕМОЙ ФОРМЫ.
//

Процедура ДобавитьЭлементФормыДляЗависимойОбласти(Форма, Знач ИмяОтчета) Экспорт
```

Пример вызова
```bsl
БизнесАнализВызовСервераУХ.ДобавитьЭлементФормыДляЗависимойОбласти(Форма, ИмяОтчета) 
```
</details>

## ПолучитьПравилоОбработкиПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает основное правило обработки для вида отчета ВидОтчетаВход.
Функция ПолучитьПравилоОбработкиПоУмолчанию(ВидОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ПолучитьПравилоОбработкиПоУмолчанию(ВидОтчетаВход));
```
</details>

## ПолучитьСтруктуруОбъектаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру для расшифровки операнда.
Функция ПолучитьСтруктуруОбъектаРасчета(Показатель, Операнд, Контекст, СтруктураОтборов, УникальныйИдентификатор, ИмяОперанда = "") Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ПолучитьСтруктуруОбъектаРасчета(Показатель, Операнд, Контекст, СтруктураОтборов, УникальныйИдентификатор, ИмяОперанда);
```
</details>

## ПолучитьАдресОбъектаРасчетаОперанда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес структуры для расшифровки операнда.
Функция ПолучитьАдресОбъектаРасчетаОперанда(Показатель, Операнд, Контекст, СтруктураОтборов, УникальныйИдентификатор, ИмяОперанда = "") Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ПолучитьАдресОбъектаРасчетаОперанда(Показатель, Операнд, Контекст, СтруктураОтборов, УникальныйИдентификатор, ИмяОперанда);
```
</details>

## ВернутьСписокДоступныхРасшифровок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСписокДоступныхРасшифровок(Объект, Расшифровка, Расшифровки, АдресДанныхРасшифровки, URLСхемы, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализВызовСервераУХ.ВернутьСписокДоступныхРасшифровок(Объект, Расшифровка, Расшифровки, АдресДанныхРасшифровки, URLСхемы, УникальныйИдентификатор) 
```
</details>

## ДоработатьТиповойОтчетПередВыводом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дорабатывает отчет перед выводом
Процедура ДоработатьТиповойОтчетПередВыводом(ОтчетОбъект, КомпоновщикНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
БизнесАнализВызовСервераУХ.ДоработатьТиповойОтчетПередВыводом(ОтчетОбъект, КомпоновщикНастроек);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
