---
title: Бизнес анализ клиент УХ
slug: erp-uh/бизнес-анализ-клиент-ух
---


## ПолучитьУниверсальныйОтчетПоВидуОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль предназначен для реализации фукнциональности блока Бизнес-Анализ в
// контексте клиентского кода.
////////////////////////////////////////////////////////////////////////////////

// Возвращает вид расшифровки показателя МКП зависимой области аналитической панели
// по номеру вида отчета ВидПроизвольногоОтчетаВход.
Функция ПолучитьУниверсальныйОтчетПоВидуОтчета(ВидПроизвольногоОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализКлиентУХ.ПолучитьУниверсальныйОтчетПоВидуОтчета(ВидПроизвольногоОтчетаВход) 
```
</details>

## ВывестиОтчетПоДинамикеМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отображает отчет по динамике для показателя Показатель с параметрами Контекст
// и значению ИмяОперанда.
Процедура ВывестиОтчетПоДинамикеМонитора(Показатель, Контекст, ИмяОперанда = "") Экспорт
```

Пример вызова
```bsl
БизнесАнализКлиентУХ.ВывестиОтчетПоДинамикеМонитора(Показатель, Контекст, ИмяОперанда);
```
</details>

## ОтобразитьРаскрытиеОбъектомИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает расшифровку объектом с типом метаданного ТипОбъектаМетаданныхВход и
// наименованием метаданного НаименованиеОбъектаМетаданныхВход формой
// ФормаРасшифровкиВход по параметрам ДополнительныеПараметрыВход.
Процедура ОтобразитьРаскрытиеОбъектомИнформационнойБазы(ТипОбъектаМетаданныхВход, НаименованиеОбъектаМетаданныхВход, ФормаРасшифровкиВход, ДополнительныеПараметрыВход) Экспорт
```

Пример вызова
```bsl
БизнесАнализКлиентУХ.ОтобразитьРаскрытиеОбъектомИнформационнойБазы(ТипОбъектаМетаданныхВход, НаименованиеОбъектаМетаданныхВход, ФормаРасшифровкиВход, ДополнительныеПараметрыВход) 
```
</details>

## ВернутьПользовательскиеНастройкиПоОбъектуОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для типа формы отчета отчета с параметрами открытия ТипОбъектаМетаданныхВход, НаименованиеОбъектаМетаданныхВход, ФормаРасшифровкиВход
// возвращает пользовательские настройки.
Функция ВернутьПользовательскиеНастройкиПоОбъектуОтчета(ТипОбъектаМетаданныхВход, НаименованиеОбъектаМетаданныхВход, ФормаРасшифровкиВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализКлиентУХ.ВернутьПользовательскиеНастройкиПоОбъектуОтчета(ТипОбъектаМетаданныхВход, НаименованиеОбъектаМетаданныхВход, ФормаРасшифровкиВход) 
```
</details>

## ОбработкаРасшифровкиМонитораЭффективности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаРасшифровкиМонитораЭффективности(Объект, Расшифровка, Расшифровки, СтандартнаяОбработка, АдресСтруктурыПараметров, АдресДанныхРасшифровки, URLСхемы, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
БизнесАнализКлиентУХ.ОбработкаРасшифровкиМонитораЭффективности(Объект, Расшифровка, Расшифровки, СтандартнаяОбработка, АдресСтруктурыПараметров, АдресДанныхРасшифровки, URLСхемы, УникальныйИдентификатор) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
