---
title: Бизнес анализ сервер УХ
slug: erp-uh/бизнес-анализ-сервер-ух
---


## ПолучитьСтруктуруОтветаТаблицПоказателяМКП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль предназначен для реализации фукнциональности блока Бизнес-Анализ в
// контексте серверного кода.
////////////////////////////////////////////////////////////////////////////////

// Возвращает структуру, содержащую таблицы для базового периода, периода сравнения и плана
// по показателелю Объект, параметрам ВнешнийКонтекст и операнду ИмяОперанда. Когда
// нет операндов по данным значениям - возвращает пустые таблицы.
Функция ПолучитьСтруктуруОтветаТаблицПоказателяМКП(Показатель, Контекст, ИмяОперанда = "") Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ПолучитьСтруктуруОтветаТаблицПоказателяМКП(Показатель, Контекст, ИмяОперанда);
```
</details>

## РассчитатьИтогПоТаблицеПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает итоговое значение в колонке Значение по способу СпособРасчетаИтогаВход.
// По умолчанию вычисляет сумму значений.
Функция РассчитатьИтогПоТаблицеПоказателя(ТаблицаПоказателяВход, СпособРасчетаИтогаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.РассчитатьИтогПоТаблицеПоказателя(ТаблицаПоказателяВход, СпособРасчетаИтогаВход);
```
</details>

## ВернутьТекстДляКартинки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает HTML-представление картинки для состояния Состояние показателя МКП.
// Если параметр ГрафическиВход - Истина, то будет создан тег <img>, иначе -
// UNICODE-представление.
Функция ВернутьТекстДляКартинки(Состояние, ГрафическиВход = Истина) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ВернутьТекстДляКартинки(Состояние, ГрафическиВход);
```
</details>

## ПредставлениеПоказателяМкпВАналитическойРассылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовое представление показателя МКП для вывода в аналитическую рассылку.
Функция ПредставлениеПоказателяМкпВАналитическойРассылке(ПоказательВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ПредставлениеПоказателяМкпВАналитическойРассылке(ПоказательВход) 
```
</details>

## ПолучитьГруппыАнализа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив имён групп анализа показателей по таблице анализа ТаблицаАнализаВход.
Функция ПолучитьГруппыАнализа(ТаблицаАнализаВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ПолучитьГруппыАнализа(ТаблицаАнализаВход));
```
</details>

## ПреобразоватьСостояниеМкп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует числовое представление СостояниеВход состояния показателя МКП
// в представление в виде перечисления.
Функция ПреобразоватьСостояниеМкп(СостояниеВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ПреобразоватьСостояниеМкп(СостояниеВход));
```
</details>

## ТребуетсяРассылкаПоСостоянию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет нужно ли рассылать показатель по предыдущему ПредыдущееСостояниеВход
// и новому НовоеСостояниеВход его состоянию, ориентируясь на настройки аналитической
// рассылки РассылкаВход.
Функция ТребуетсяРассылкаПоСостоянию(ПредыдущееСостояниеВход, НовоеСостояниеВход, РассылкаВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ТребуетсяРассылкаПоСостоянию(ПредыдущееСостояниеВход, НовоеСостояниеВход, РассылкаВход));
```
</details>

## ПреобразоватьДинамикуМкп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует числовое представление ДинамикаВход динамики показателя МКП
// в представление в виде перечисления.
Функция ПреобразоватьДинамикуМкп(ДинамикаВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ПреобразоватьДинамикуМкп(ДинамикаВход));
```
</details>

## ТребуетсяРассылкаПоДинамике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет нужно ли рассылать показатель по предыдущей ПредыдущаяДинамикаВход
// и новой НоваяДинамикаВход его динамике, ориентируясь на настройки аналитической
// рассылки РассылкаВход.
Функция ТребуетсяРассылкаПоДинамике(ПредыдущаяДинамикаВход, НоваяДинамикаВход, РассылкаВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ТребуетсяРассылкаПоДинамике(ПредыдущаяДинамикаВход, НоваяДинамикаВход, РассылкаВход));
```
</details>

## ПолучитьHtmlТаблицуПоказателейМкп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает HTML-текст для рассылки монитора ключевых показателей РассылаемыйОбъект по настройке
// НастройкаПанели, где показатели входят в таблицу ТаблицаПоказателей.
Функция ПолучитьHtmlТаблицуПоказателейМкп(РассылаемыйОбъект, НастройкаПанели, ТаблицаПоказателей, РассылкаВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ПолучитьHtmlТаблицуПоказателейМкп(РассылаемыйОбъект, НастройкаПанели, ТаблицаПоказателей, РассылкаВход) 
```
</details>

## ПолучитьСписокПользователейАналитическойРассылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список для аналитической рассылки.
Функция ПолучитьСписокПользователейАналитическойРассылки(ОбъектРассылки, АналитическаяПодпискаВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ПолучитьСписокПользователейАналитическойРассылки(ОбъектРассылки, АналитическаяПодпискаВход) 
```
</details>

## СформироватьТаблицуПоказателейРассылкиПоМониторуМКП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует таблицу показателей со всеми показателями, входящими
// в монитор, а также с включенным контролем динамиики и состояния.
Функция СформироватьТаблицуПоказателейРассылкиПоМониторуМКП(МониторВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.СформироватьТаблицуПоказателейРассылкиПоМониторуМКП(МониторВход) 
```
</details>

## ВывестиРезультатАнализаВТабДок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает табличный документ, в который веден отчет по значениям
// ТаблицаЗначенийПоказателейМкпВход монитора ключевых показаелей.
Функция ВывестиРезультатАнализаВТабДок(ТаблицаЗначенийПоказателейМкпВход, НаименованиеМонитораВход = "") Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ВывестиРезультатАнализаВТабДок(ТаблицаЗначенийПоказателейМкпВход, НаименованиеМонитораВход);
```
</details>

## ПолучитьСтруктуруТаблицРасшифровкиОбъектомИнформационнойБазыПоВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает стуруктуру, содержащую структуру таблиц с данными расшифровки объектом по владельцу
// ВладелецВход.
Функция ПолучитьСтруктуруТаблицРасшифровкиОбъектомИнформационнойБазыПоВладельцу(ВладелецВход) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ПолучитьСтруктуруТаблицРасшифровкиОбъектомИнформационнойБазыПоВладельцу(ВладелецВход) 
```
</details>

## ЗаписатьРасшифровкуОбъектом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в информационную базу данные ТаблицаРасшифровокВход и ТаблицаПараметровВход расшифровок
// объектом информационной базы по объекту ВладелецВход с наименованием НаименованиеОбъектаВход. Возвращает
// успешность выполнения записи.
Функция ЗаписатьРасшифровкуОбъектом(ВладелецВход, ТаблицаРасшифровокВход, ТаблицаПараметровВход, НаименованиеОбъектаВход = "") Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ЗаписатьРасшифровкуОбъектом(ВладелецВход, ТаблицаРасшифровокВход, ТаблицаПараметровВход, НаименованиеОбъектаВход);
```
</details>

## ПолучитьЦветВыделенияТренда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для показателя ПоказательВход получает цвет оформления тренда со значением ОтносительноеИзменениеВход.
Функция ПолучитьЦветВыделенияТренда(ПоказательВход, ОтносительноеИзменениеВход, ТекущееЗначениеПоказателяВход = Неопределено, ЭтоДинамикаВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = БизнесАнализСерверУХ.ПолучитьЦветВыделенияТренда(ПоказательВход, ОтносительноеИзменениеВход, ТекущееЗначениеПоказателяВход, ЭтоДинамикаВход);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
