---
title: Бизнес сеть
slug: erp-uh/бизнес-сеть
---


## ПодключитьОповещениеОНовыхДокументахВСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку наличия новых документов в сервисе, с оповещением пользователю, в случае их появления.
// Также, если был передан параметр ГруппаФормы, на форме появляется гиперссылка с уведомлением.
// При нажатии на оповещение или гиперссылку открывается форма списка входящих документов "1С:Бизнес-сеть".
//  Вызывается из обработчика события формы ПриСозданииНаСервере.
//  Обработчик см. БизнесСетьКлиент.ПодобратьДокументыИзСервисаБизнесСеть.
//
// Параметры:
//  Форма          - ФормаКлиентскогоПриложения - форма списка документов, из обработчика события которой происходит вызов процедуры.
//  ВидыДокументов - Массив       - массив перечислений типа Перечисление.ТипыДокументовЭДО.
//  ГруппаФормы    - ЭлементФормы - группа формы для размещения гиперссылки. Если параметр не задан, гиперссылка размещаться на форме не будет.
//
Процедура ПодключитьОповещениеОНовыхДокументахВСервисе(Форма, ВидыДокументов, ГруппаФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
БизнесСеть.ПодключитьОповещениеОНовыхДокументахВСервисе(Форма, ВидыДокументов, ГруппаФормы);
```
</details>

## ДобавитьПризнакПодключенияКонтрагентаКБизнесСети
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в текст запроса динамического списка колонку ПодключенКБизнесСети (Булево).
//  Данный признак заполнен для контрагентов, зарегистрированных в сервисе 1С:Бизнес-сеть.
//
// Параметры:
//  ДинамическийСписок - ДинамическийСписок - Список, в который требуется добавить признак.
//  ИмяПоляСсылка      - Строка             - Имя поля-ссылки на контрагента.
//
Процедура ДобавитьПризнакПодключенияКонтрагентаКБизнесСети(ДинамическийСписок, ИмяПоляСсылка) Экспорт
```

Пример вызова
```bsl
БизнесСеть.ДобавитьПризнакПодключенияКонтрагентаКБизнесСети(ДинамическийСписок, ИмяПоляСсылка) 
```
</details>

## ВыводитьQRКодНаПечатныхФормахДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак включения опции выводить QR-код на печатных формах документов.
//
// Возвращаемое значение:
//  Булево - признак включения опции.
//
Функция ВыводитьQRКодНаПечатныхФормахДокументов() Экспорт
```

Пример вызова
```bsl
Результат = БизнесСеть.ВыводитьQRКодНаПечатныхФормахДокументов() 
```
</details>

## ИспользоватьОбменБизнесСеть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак установки функциональной опции 1С:Бизнес-сеть.
//
// Возвращаемое значение:
//  Булево - признак установки функциональной опции 1С:Бизнес-сеть.
//
Функция ИспользоватьОбменБизнесСеть() Экспорт
```

Пример вызова
```bsl
Результат = БизнесСеть.ИспользоватьОбменБизнесСеть() 
```
</details>

## ПредставлениеДокументаДляОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает двоичные данные сконвертированного в формат PDF табличного документа
//
// Параметры:
//  ДвоичныеДанныеПечатнойФормы - ДвоичныеДанные - двоичные данные табличного документа
//
// Возвращаемое значение:
//  ДвоичныеДанные - двоичные данные сконвертированного в формат PDF табличного документа
Функция ПредставлениеДокументаДляОтправки(ДвоичныеДанныеПечатнойФормы) Экспорт
```

Пример вызова
```bsl
Результат = БизнесСеть.ПредставлениеДокументаДляОтправки(ДвоичныеДанныеПечатнойФормы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
