---
title: Бизнес сеть клиент
slug: erp-uh/бизнес-сеть-клиент
---


## ОбновитьИнформациюОНовыхДокументахВСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновление информацию о новых документах в сервисе "1С:Бизнес-сеть".
//  См. процедуру БизнесСеть.ПодключитьОповещениеОНовыхДокументахВСервисе.
//
// Параметры:
//  Контекст   - ФормаКлиентскогоПриложения - форма, в контексте которой происходит обновление информации.
//  ИмяСобытия - Строка - имя события при оповещении формы. Необязательный.
//
Процедура ОбновитьИнформациюОНовыхДокументахВСервисе(Знач Контекст, Знач ИмяСобытия = "") Экспорт
```

Пример вызова
```bsl
БизнесСетьКлиент.ОбновитьИнформациюОНовыхДокументахВСервисе(Контекст, ИмяСобытия);
```
</details>

## ПодобратьДокументыИзСервисаБизнесСеть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подключаемой команды подбора новых документов из сервиса "1С:Бизнес-сеть".
//  См. процедуру БизнесСеть.ПодключитьОповещениеОНовыхДокументахВСервисе.
//
// Параметры:
//  Контекст - ФормаКлиентскогоПриложения - форма, из которой инициируется подбор.
//
Процедура ПодобратьДокументыИзСервисаБизнесСеть(Знач Контекст) Экспорт
```

Пример вызова
```bsl
БизнесСетьКлиент.ПодобратьДокументыИзСервисаБизнесСеть(Контекст) 
```
</details>

## ОтправитьДокументИПолучитьQRКодЧерезБизнесСеть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет документ в сервис 1С:Бизнес-сеть и получает QR-коды по успешно отправленным документам.
// Результат передается в параметре оповещения:
//   * ДанныеQRКодовПоДокументам         - Соответствие - данные по QR-кодам по документам:
//      ** Ключ     - ДокументСсылка - ссылка на документ учета.
//      ** Значение - Структура      - см. БизнесСеть.НовыйДанныеQRКода.
//   * ИдентификаторыСервисаПоДокументам - Соответствие - идентификаторы документов в сервисе 1С:Бизнес-сеть:
//      ** Ключ     - ДокументСсылка - ссылка на документ учета.
//      ** Значение - Число          - идентификатор документа в сервисе 1С:Бизнес-сеть.
//
// Параметры:
//  ВладелецФормы           - ФормаКлиентскогоПриложения - владелец открываемой формы, которому будет отправлено оповещение о выборе.
//  СсылкиНаДокументы       - Массив из ЛюбаяСсылка - ссылки на документы, по которым необходимо получить данные по QR-кодам.
//  ОповещениеПриЗавершении - ОписаниеОповещения    - оповещение, которое необходимо вызвать после завершения метода.
//
Процедура ОтправитьДокументИПолучитьQRКодЧерезБизнесСеть(Знач ВладелецФормы, Знач СсылкиНаДокументы, Знач ОповещениеПриЗавершении) Экспорт
```

Пример вызова
```bsl
БизнесСетьКлиент.ОтправитьДокументИПолучитьQRКодЧерезБизнесСеть(ВладелецФормы, СсылкиНаДокументы, ОповещениеПриЗавершении) 
```
</details>

## ПолучитьQRКодыПоДокументам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает QR-коды по отправленным документам в сервис 1С:Бизнес-сеть, по которым публичные временные ссылки активны.
// Активными QR-коды считываются, если с момента отправки документа в сервис 1С:Бизнес-сеть
// не истек срок 3 месяца или после отправки документа документ просматривали через поиск по QR-коду.
// Если организация не подключена в документе к сервису 1С:Бизнес-сеть - выполняться поиск QR-кода по документу не будет.
// Метод выполняется в фоне.
// Результат передается в параметре оповещения:
//   * ДанныеQRКодовПоДокументам - Соответствие - данные по QR-кодам по документам:
//      ** Ключ     - ДокументСсылка - ссылка на документ учета.
//      ** Значение - Структура      - см. БизнесСеть.НовыйДанныеQRКода.
//
// Параметры:
//  ВладелецФормы           - ФормаКлиентскогоПриложения - владелец открываемой формы, которому будет отправлено оповещение о выборе.
//  СсылкиНаДокументы       - Массив из ЛюбаяСсылка - ссылки на документы, по которым необходимо получить данные по QR-кодам.
//  ОповещениеПриЗавершении - ОписаниеОповещения    - оповещение, которое необходимо вызвать после завершения метода.
//
Процедура ПолучитьQRКодыПоДокументам(Знач ВладелецФормы, Знач СсылкиНаДокументы, Знач ОповещениеПриЗавершении) Экспорт
```

Пример вызова
```bsl
БизнесСетьКлиент.ПолучитьQRКодыПоДокументам(ВладелецФормы, СсылкиНаДокументы, ОповещениеПриЗавершении) 
```
</details>

## ОткрытьФормуПоискаДокументаПоQRКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму поиска документа по QR-коду через сервис 1С:Бизнес-сеть.
//
Процедура ОткрытьФормуПоискаДокументаПоQRКоду() Экспорт
```

Пример вызова
```bsl
БизнесСетьКлиент.ОткрытьФормуПоискаДокументаПоQRКоду() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
