---
title: Бизнес сеть переопределяемый
slug: erp-uh/бизнес-сеть-переопределяемый
---


## ЗаполнитьАдресаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение адресов организации и ее складов.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - организация, по которой заполняются адреса.
//  Адреса - ТаблицаЗначения - таблица для заполнения. Содержит колонки:
//   * Представление - Строка - представление адреса.
//   * ЗначенияПолей - Строка - адрес в формате XML. Формат должен соответствовать XDTO-пакету Адрес.
//   * Описание - Строка - комментарий адреса.
//   * Ссылка - Ссылка - объект хранения контактной информации.
//   * Вид - СправочникСсылка.ВидыКонтактнойИнформации - вид контактной информации.
//
Процедура ЗаполнитьАдресаОрганизации(Организация, Адреса) Экспорт
```

Пример вызова
```bsl
БизнесСетьПереопределяемый.ЗаполнитьАдресаОрганизации(Организация, Адреса) 
```
</details>

## СоздатьКонтрагентаПоРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создание контрагента в информационной базе по реквизитам.
//
// Параметры:
//   РеквизитыКонтрагента - Структура - реквизиты необходимые для создания контрагента.
//    * ИНН - Строка - ИНН контрагента.
//    * КПП - Строка - КПП контрагента.
//    * Наименование - Строка - наименование контрагента.
//   Контрагент - СправочникСсылка - ссылка на созданного контрагента.
//   Отказ - Булево - признак ошибки.
//
Процедура СоздатьКонтрагентаПоРеквизитам(Знач РеквизитыКонтрагента, Контрагент, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
БизнесСетьПереопределяемый.СоздатьКонтрагентаПоРеквизитам(РеквизитыКонтрагента, Контрагент, Отказ);
```
</details>

## ПолучитьКонтактнуюИнформациюПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает контакты пользователя для регистрации в сервисе.
//
// Параметры:
//   КонтактноеЛицо - СправочникСсылка - пользователь программы, контактное лицо.
//   Результат - Структура - информация о пользователе:
//     * ФИО - Строка - ФИО пользователя.
//     * Телефон - Строка - номер телефона.
//     * ЭлектроннаяПочта - Строка - адрес электронной почты пользователя.
//
Процедура ПолучитьКонтактнуюИнформациюПользователя(Знач КонтактноеЛицо, Результат) Экспорт
```

Пример вызова
```bsl
БизнесСетьПереопределяемый.ПолучитьКонтактнуюИнформациюПользователя(КонтактноеЛицо, Результат) 
```
</details>

## ВыполнитьКонтрольРеквизитовДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка соответствия реквизитов в документах. Выполняется перед формированием электронных документов
// и проверяет реквизиты перед отправкой. Должны быть одинаковыми Организация, Контрагент, вид формируемого
// электронного документа, а также дополнительные реквизиты связанные с формированием.
//
// Параметры:
//   ДокументыКонтроля - Массив из ДокументСсылка - проверяемые ссылки объектов.
//   ТекстСообщения    - Строка - текст сообщения в случае ошибки проверки.
//   Отказ             - Булево - результат проверки.
//
Процедура ВыполнитьКонтрольРеквизитовДокументов(Знач ДокументыКонтроля, ТекстСообщения, Отказ) Экспорт
```

Пример вызова
```bsl
БизнесСетьПереопределяемый.ВыполнитьКонтрольРеквизитовДокументов(ДокументыКонтроля, ТекстСообщения, Отказ) 
```
</details>

## ПолучитьКонтрагентовПоСделкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка контрагентов по сделкам для отправки приглашений.
//
// Параметры:
//  Организация			 - СправочникСсылка - ссылка на организацию, от которой производится приглашение.
//  РежимЗаполнения		 - Строка - режим заполнения контрагентов: "ЗаполнитьПоПоставкам", "ЗаполнитьПоЗакупкам", "ЗаполнитьПоВсемСделкам".
//  НачалоПериода		 - Дата - начало периода заполнения.
//  СписокКонтрагентов	 - ТаблицаЗначений - список контрагентов:
//    * Ссылка - СправочникСсылка - контрагент.
//    * ЭлектроннаяПочта - Строка - адрес электронной почты.
//
Процедура ПолучитьКонтрагентовПоСделкам(Знач Организация, Знач РежимЗаполнения, Знач НачалоПериода, СписокКонтрагентов) Экспорт
```

Пример вызова
```bsl
БизнесСетьПереопределяемый.ПолучитьКонтрагентовПоСделкам(Организация, РежимЗаполнения, НачалоПериода, СписокКонтрагентов) 
```
</details>

## СформироватьПредставлениеПрикладногоДокументаСQRКодом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление прикладного документа с QR-кодом, если включена ФО ВыводитьQRКодНаПечатныхФормахДокументов.
// По этим данным можно найти и загрузить в базу 1С документ из сервиса 1С:Бизнес-сеть.
//
// Параметры:
//  СсылкиНаДокументы         - Массив из ДокументСсылка  - ссылки на документы, по которым необходимо сформировать представления файла ЭД.
//  ВидЭД                     - ПеречислениеСсылка.ВидыЭД - ссылка на вид электронного документа.
//  ДанныеQRКодовПоДокументам - СписокЗначений            - объекты печати (значение - ссылка на объект, представление - имя области, в которой был выведен объект).
//  ПечатнаяФорма             - ТабличныйДокумент         - печатная форма, в которой должна быть область "ДанныеQRКода", в которой должны быть параметры:
//                                                          КартинкаQRКода        - Картинка - для заполнения рисунка QR-кода.
//                                                          ПубличнаяСсылкаQRКода - Строка   - для заполнения публичной ссылки.
//
Процедура СформироватьПредставлениеПрикладногоДокументаСQRКодом(Знач СсылкиНаДокументы, Знач ВидЭД, Знач ДанныеQRКодовПоДокументам, ПечатнаяФорма) Экспорт
```

Пример вызова
```bsl
БизнесСетьПереопределяемый.СформироватьПредставлениеПрикладногоДокументаСQRКодом(СсылкиНаДокументы, ВидЭД, ДанныеQRКодовПоДокументам, ПечатнаяФорма) 
```
</details>

## УстановитьКартинкуПодсказкиОтображенияQRКодаНаДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет картинку на форме поиска электронного документа с отображением подсказки, где искать QR-код.
//
// Параметры:
//  ЭлементФормыКартинка - ДекорацияФормы - элемент формы картинки подсказки.
//
Процедура УстановитьКартинкуПодсказкиОтображенияQRКодаНаДокументе(ЭлементФормыКартинка) Экспорт
```

Пример вызова
```bsl
БизнесСетьПереопределяемый.УстановитьКартинкуПодсказкиОтображенияQRКодаНаДокументе(ЭлементФормыКартинка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
