---
title: Бонусные баллы сервер
slug: erp-uh/бонусные-баллы-сервер
---


## РаспределениеСрочныхБонусныхБалловРегламентноеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Распределение срочных бонусных баллов регламентное задание.
//
Процедура РаспределениеСрочныхБонусныхБалловРегламентноеЗадание() Экспорт
```

Пример вызова
```bsl
БонусныеБаллыСервер.РаспределениеСрочныхБонусныхБалловРегламентноеЗадание() 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список шаблонов заданий очереди.
//
// Параметры:
//  СоответствиеИменПсевдонимам - см. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков
//
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
БонусныеБаллыСервер.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ТребуетсяДобавитьДвиженияПоРегиструБонусныеБаллы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Требуется добавить движения по регистру Бонусные баллы
// Параметры:
//	ДокументСсылка - СсылкаНаДокумент - ссылка, значения реквизитов которого необходимо получить.
//
// Возвращаемое значение:
//	ЭтоМеханизмБонусныхБаллов_2_5 - Булево - признак добавить движения по регистру Бонусные баллы.
//
Функция ТребуетсяДобавитьДвиженияПоРегиструБонусныеБаллы(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.ТребуетсяДобавитьДвиженияПоРегиструБонусныеБаллы(ДокументСсылка) 
```
</details>

## ОбработатьВозвратыСписанийБонусныхБаллов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовать возвраты списаний бонусных баллов в начисления для дальнейшей обработки.
//
// Параметры:
//  ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5 - Дата - Дата начала работы механизма бонусных баллов 2_5
//  РазмерПорции - Число - Количество записей к обработке
//  ТекстОшибки - Строка - Текст сообщения об ошибке
//
// Возвращаемое значение:
//  Число - Количество обработнных документов, к которым было применено распределение
Функция ОбработатьВозвратыСписанийБонусныхБаллов(ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5, РазмерПорции = Неопределено, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.ОбработатьВозвратыСписанийБонусныхБаллов(ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5, РазмерПорции, ТекстОшибки);
```
</details>

## РезультатЗапросаВозвратыСписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса, содержащий возвраты списаний бонусных баллов к обработке
//
// Параметры:
//  ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5 - Дата - Дата начала работы механизма бонусных баллов 2_5
//  РазмерПорции - Число - Количество записей к обработке. По умолчанию = 1000
//
// Возвращаемое значение:
//  РезультатЗапроса - Результат запроса, содержащий возвраты списаний бонусных баллов к обработке
//
Функция РезультатЗапросаВозвратыСписания( Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.РезультатЗапросаВозвратыСписания();
```
</details>

## ПреобразоватьВозвратСписанияВНачисление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует возвраты списания в начисление
//
// Параметры:
//  СтрокаТаблицаВозвратовСписанийПоПартнеру - СтрокаТаблицыЗначений - Документы вовзратов списаний
Процедура ПреобразоватьВозвратСписанияВНачисление(СтрокаТаблицаВозвратовСписанийПоПартнеру) Экспорт
```

Пример вызова
```bsl
БонусныеБаллыСервер.ПреобразоватьВозвратСписанияВНачисление(СтрокаТаблицаВозвратовСписанийПоПартнеру) 
```
</details>

## ПоставитьКОбработкеДокументыНачисленияИСписанияПослеВозвратаРеализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поставить к повторной обработке срочные бонусные баллы в случае возврата реализации, по которой были начислены
// срочные бонусные баллы.
//
// Параметры:
//  ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5 - Дата - Дата начала работы механизма бонусных баллов 2_5
//  РазмерПорции - Число - Количество записей к обработке
//  ТекстОшибки - Строка - Текст сообщения об ошибке
//
// Возвращаемое значение:
//  Число - Количество обработнных документов, к которым было применено распределение.
Функция ПоставитьКОбработкеДокументыНачисленияИСписанияПослеВозвратаРеализации(ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5, РазмерПорции = Неопределено, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.ПоставитьКОбработкеДокументыНачисленияИСписанияПослеВозвратаРеализации(ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5, РазмерПорции, ТекстОшибки);
```
</details>

## РезультатЗапросаНачисленияИСписанияКОбработкеПослеВозвратаРеализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса, содержащий возвраты товаров с возвратом срочных бонусных баллов.
//
// Параметры:
//  ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5 - Дата - Дата начала работы механизма бонусных баллов 2_5
//  РазмерПорции - Число - Количество записей к обработке. По умолчанию = 1000
//
// Возвращаемое значение:
//  РезультатЗапроса - Результат запроса, содержащий списанные бонусные баллы к обработке
//
Функция РезультатЗапросаНачисленияИСписанияКОбработкеПослеВозвратаРеализации( Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.РезультатЗапросаНачисленияИСписанияКОбработкеПослеВозвратаРеализации();
```
</details>

## СнятьДокументыВозвратаРеализацииСоСтатусаКОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Снимает со статуса КОбработке документы возврата реализации с возвратом срочных бонусных баллов
//
// Параметры:
//  СтрокаТаблицаВозвратовПоПартнеру - СтрокаТаблицыЗначений - Документы вовзратов реализации
Процедура СнятьДокументыВозвратаРеализацииСоСтатусаКОбработке(СтрокаТаблицаВозвратовПоПартнеру) Экспорт
```

Пример вызова
```bsl
БонусныеБаллыСервер.СнятьДокументыВозвратаРеализацииСоСтатусаКОбработке(СтрокаТаблицаВозвратовПоПартнеру) 
```
</details>

## ПоставитьДокументыНачисленияИСписанияСВозвращеннымиСрочнымиБонуснымиБаллами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ставить документы начисления и списания, по которым возвращены срочные бонусные баллы
//
// Параметры:
//  СтрокаТаблицаВозвратовПоПартнеру - СтрокаТаблицыЗначений - Документы возвратов реализации
//  ТаблицаНачисленийИСписанийПоПартнеру - ТаблицаЗначений - Таблица документов начислений и списаний
//		срочных бонусных баллов.
//
// Возвращаемое значение:
//  Массив Из СтрокаТаблицыЗначений - Массив строк с документами начисления и списания к удалению
//
Функция ПоставитьДокументыНачисленияИСписанияСВозвращеннымиСрочнымиБонуснымиБаллами( Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.ПоставитьДокументыНачисленияИСписанияСВозвращеннымиСрочнымиБонуснымиБаллами();
```
</details>

## РаспределитьСписаниеСрочныхБонусныхБалловВСтатусеКОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Распределить списание срочных бонусных баллов в статусе к обработке.
//
// Параметры:
//  ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5 - Дата - Дата начала работы механизма бонусных баллов 2_5
//  РазмерПорции - Число - Количество записей к обработке
//  ТекстОшибки - Строка - Текст сообщения об ошибке
//
// Возвращаемое значение:
//  Число - Количество обработнных документов, к которым было применено распределение.
Функция РаспределитьСписаниеСрочныхБонусныхБалловВСтатусеКОбработке(ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5, РазмерПорции = Неопределено, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.РаспределитьСписаниеСрочныхБонусныхБалловВСтатусеКОбработке(ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5, РазмерПорции, ТекстОшибки);
```
</details>

## РезультатЗапросаСписаниеБонусныхБалловВСтатусеКОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса, содержащий списанные бонусные баллы в статусе к обработке.
//
// Параметры:
//  ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5 - Дата - Дата начала работы механизма бонусных баллов 2_5
//  РазмерПорции - Число - Количество записей к обработке. По умолчанию = 1000
//
// Возвращаемое значение:
//  РезультатЗапроса - Результат запроса, содержащий списанные бонусные баллы к обработке
//
Функция РезультатЗапросаСписаниеБонусныхБалловВСтатусеКОбработке( Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.РезультатЗапросаСписаниеБонусныхБалловВСтатусеКОбработке();
```
</details>

## РаспределитьСуммуСписанияПоСрокамДействияБонусныхБаллов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Распределить сумму списания по срокам действия бонусных баллов (бессрочные или срочные бонусные баллы).
//
// Параметры:
//  СтрокаТаблицаСписанийПоПартнеру - СтрокаТаблицыЗначений - Данные по списанию бонусных баллов
//  ТаблицаОстатковПоПартнеру - ТаблицаЗначений - Таблица остатков действующих срочных бонусных баллов
//
// Возвращаемое значение:
//  Массив Из СтрокаТаблицыЗначений - Массив строк с нулевыми остатками бонусных баллов к удалению
//
Функция РаспределитьСуммуСписанияПоСрокамДействияБонусныхБаллов( Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.РаспределитьСуммуСписанияПоСрокамДействияБонусныхБаллов();
```
</details>

## СписатьОстаткиСрочныхБонусныхБалловСИстекшимСрокомДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Списывает остатки срочных бонусных баллов с истекшим сроком действия.
//
// Параметры:
//  ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5 - Дата - Дата начала работы механизма бонусных баллов 2_5
//  РазмерПорции - Число - Количество записей к обработке
//  ТекстОшибки - Строка - Текст сообщения об ошибке
//
// Возвращаемое значение:
//  Число - Количество обработанных документов, по которым были списаны остатки.
//
Функция СписатьОстаткиСрочныхБонусныхБалловСИстекшимСрокомДействия(ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5, РазмерПорции = Неопределено, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.СписатьОстаткиСрочныхБонусныхБалловСИстекшимСрокомДействия(ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5, РазмерПорции, ТекстОшибки);
```
</details>

## РезультатЗапросаОстаткиПросроченныхСрочныхБонусныхБаллов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса с остатками просроченных срочных бонусных баллов.
//
// Параметры:
//  ДатаНачалаРаботыМеханизмаБонусныхБаллов_2_5 - Дата - Дата начала работы механизма бонусных баллов 2_5
//  РазмерПорции - Число - Количество записей к обработке
//
// Возвращаемое значение:
//  РезультатЗапроса - Результат запроса с остатками просроченных срочных бонусных баллов
Функция РезультатЗапросаОстаткиПросроченныхСрочныхБонусныхБаллов( Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.РезультатЗапросаОстаткиПросроченныхСрочныхБонусныхБаллов();
```
</details>

## ВыполнитьАвтоматическоеНачислениеИСписаниеРегламентноеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает автоматическое начисление и списание баллов и контролирует результат.
//
// Параметры:
//  ПравилоНачисления - СправочникСсылка.ПравилаНачисленияИСписанияБонусныхБаллов - правило начисления баллов.
//
Процедура ВыполнитьАвтоматическоеНачислениеИСписаниеРегламентноеЗадание(ПравилоНачисления) Экспорт
```

Пример вызова
```bsl
БонусныеБаллыСервер.ВыполнитьАвтоматическоеНачислениеИСписаниеРегламентноеЗадание(ПравилоНачисления) 
```
</details>

## ВыполнитьАвтоматическоеНачислениеИСписание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет автоматическое начисление и списание бонусных
// баллов по правилу начисления бонусных баллов.
//
// Параметры:
//  ПравилоНачисления - СправочникСсылка.ПравилаНачисленияИСписанияБонусныхБаллов - правило начисления.
//
Процедура ВыполнитьАвтоматическоеНачислениеИСписание(ПравилоНачисления) Экспорт
```

Пример вызова
```bsl
БонусныеБаллыСервер.ВыполнитьАвтоматическоеНачислениеИСписание(ПравилоНачисления) 
```
</details>

## ОстаткиИДвиженияБонусныхБаллов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные об остатках бонусных баллов партнера по бонусной программе лояльности.
//
// Параметры:
//  БонуснаяПрограммаЛояльности - СправочникСсылка.БонусныеПрограммыЛояльности - Бонусная программа лояльности.
//  Партнер - СправочникСсылка.Партнеры - Партнер.
//
// Возвращаемое значение:
//  ТаблицаЗначений - с колонками:
//   * Период - Дата - Период.
//   * Сумма - Число - Сумма.
//   * Изменение - Число - Сумма изменения.
//   * ТекущийОстаток - Число - Текущий остаток.
//
Функция ОстаткиИДвиженияБонусныхБаллов(БонуснаяПрограммаЛояльности, Партнер) Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.ОстаткиИДвиженияБонусныхБаллов(БонуснаяПрограммаЛояльности, Партнер) 
```
</details>

## БонуснаяПрограммаКартыЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные бонусной программы по карте лояльности.
//
// Параметры:
//  КартаЛояльности - СправочникСсылка.КартыЛояльности - карта лояльности.
//
// Возвращаемое значение:
//  СправочникСсылка.БонусныеПрограммыЛояльности - Бонусная программа лояльности.
//
Функция БонуснаяПрограммаКартыЛояльности(КартаЛояльности) Экспорт
```

Пример вызова
```bsl
Результат = БонусныеБаллыСервер.БонуснаяПрограммаКартыЛояльности(КартаЛояльности) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
