---
title: Бухгалтерские отчеты
slug: erp-uh/бухгалтерские-отчеты
---


## СчетаУчетаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Возвращает список счетов учета товаров.
//
// Параметры:
// ИсключаемыеСчета - Массив - Счета, которые нужно исключить из итогового списка.
//
// Возвращаемое значение:
// Массив - счета и субсчета учета товаров.
//
Функция СчетаУчетаТоваров(ИсключаемыеСчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.СчетаУчетаТоваров(ИсключаемыеСчета);
```
</details>

## БазовыеРеквизитыЗначенияПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Определяет значения по умолчанию, общие для всех отчетов.
//
// Возвращаемое значение:
//  Структура - базовые значения: НачалоПериода, КонецПериода, Организация.
//
Функция БазовыеРеквизитыЗначенияПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.БазовыеРеквизитыЗначенияПоУмолчанию() 
```
</details>

## ПараметрыИсполненияОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает из менеджера отчета сведения о свойствах отчета - манифест, декларирующий поддержанные в нем возможности подсистемы,
// включая реализованный программный интерфейс.
// Для проверки свойств рекомендуется использовать ЗначениеПараметраИсполненияОтчета.
//
// Параметры:
//  ИмяОтчета	 - Строка - имя отчета.
//
// Возвращаемое значение:
//  Структура - может содержать свойства, значения которых проверяются в подсистеме.
//  Неопределено - отчет не поддерживает программный интерфейс подсистемы.
//
Функция ПараметрыИсполненияОтчета(ИмяОтчета) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ПараметрыИсполненияОтчета(ИмяОтчета) 
```
</details>

## ЗначениеПараметраИсполненияОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет проверить наличие в программном интерфейсе отчета наличие поддержки того или иного элемента.
//
// Параметры:
//  ОписаниеОтчета		 - Строка - Имя отчета.
//                       - Структура - Параметры исполнения (манифест) отчета.
//  ИмяСвойства			 - Строка - имя проверямой возможности.
//  ЗначениеПоУмолчанию	 - Булево - значение по-умолчанию; будет возвращено, если манифест отчета не содержит запрошенного свойства.
//
// Возвращаемое значение:
//  Булево - значение свойства.
//
Функция ЗначениеПараметраИсполненияОтчета(ОписаниеОтчета, ИмяСвойства, ЗначениеПоУмолчанию = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ЗначениеПараметраИсполненияОтчета(ОписаниеОтчета, ИмяСвойства, ЗначениеПоУмолчанию);
```
</details>

## ЭтоТипЭлементаСоСложнымПодбором
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет нужен ли для переданного типа сложный подбор.
//
// Параметры:
//	ТипЭлемента - Тип - Тип, который нужно проверить.
// Возвращаемое значение:
//	Булево - Истина если нужна сложная обработка подбора, ложь - в противном случае.
//
Функция ЭтоТипЭлементаСоСложнымПодбором(ТипЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ЭтоТипЭлементаСоСложнымПодбором(ТипЭлемента) 
```
</details>

## ГруппировкиКарточкиСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В отчете "Карточка счета" группировки не задаются пользователем, а явно заданы в коде.
//
// Возвращаемое значение:
//   ТаблицаЗначений - содержит колонку "Поле", где перечислены группировки отчета.
//
Функция ГруппировкиКарточкиСчета() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ГруппировкиКарточкиСчета() 
```
</details>

## ПолучитьУИДСсылкиСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление уникального идентификатора ссылки. Используется при выводе УИДа ссылки в СКД.
//
// Параметры:
//   Ссылка - СправочникСсылка.* - Ссылка на элемент справочника.
//
// Возвращаемое значение:
//	Строка - Строковое представление уникального идентификатора.
//
Функция ПолучитьУИДСсылкиСтрокой(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ПолучитьУИДСсылкиСтрокой(Ссылка) 
```
</details>

## ОбработатьНаборДанныхСвязаннойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает свойства связанных наборов данных для стандартных бухгалтерских отчетов.
//
// Параметры:
//	Схема - СхемаКомпоновкиДанных - Схема отчета.
//	ИмяНабора - Строка - Имя связанного набора.
//	ПараметрыПоляВладельца - Структура - Содержит ключ:
//		* ИндексСубконто - Число - Номер субконто.
//		* ЗаголовокСубконто - Строка - Название вида субконто.
//	ИмяПоляПрефикс - Строка - Префикс для имени поля.
//
Процедура ОбработатьНаборДанныхСвязаннойИнформации(Схема, ИмяНабора, ПараметрыПоляВладельца, ИмяПоляПрефикс = "Субконто") Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ОбработатьНаборДанныхСвязаннойИнформации(Схема, ИмяНабора, ПараметрыПоляВладельца, ИмяПоляПрефикс);
```
</details>

## ЕстьОтборПоКорПолю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Анализирует, используется ли корреспондирующие поля в условиях отборов.
//
// Параметры:
//  Отбор        - КоллекцияЭлементовОтбораКомпоновкиДанных - анализируемые условия.
//  ИменаИскомыхПолей - Массив из Строка - имена полей, которые (сами поля или с реквизитами) будут искаться.
//
// Возвращаемое значение:
//   Булево      - Истина, если отбор по кор.полю используется в одном из условий; иначе Ложь.
//
Функция ЕстьОтборПоКорПолю(Отбор, ИменаИскомыхПолей = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ЕстьОтборПоКорПолю(Отбор, ИменаИскомыхПолей);
```
</details>

## СписокОтборовПоСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список номеров субконто, которые используются в условиях отборов.
//
// Параметры:
//  Отбор        - КоллекцияЭлементовОтбораКомпоновкиДанных - анализируемые условия.
//  ОтбираемыеСубконто - Массив - заполняемый список номеров субконто.
//  СпособПодбора - Строка - "ТолькоДопСвойства" - учитывать только отборы по доп.свойствам;
//                           "РеквизитыСубконто" - учитывать только отборы через точку от субконто;
//                           "ВсеСубконто" - учитывать любые отборы по субконто.
//  КорСубконто  - Булево - если Ложь, то ищем в отборах "Субконто"; если Истина, то ищем "КорСубконто".
//
Процедура СписокОтборовПоСубконто(Отбор, ОтбираемыеСубконто, СпособПодбора = "ВсеСубконто", КорСубконто = Ложь) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.СписокОтборовПоСубконто(Отбор, ОтбираемыеСубконто, СпособПодбора, КорСубконто);
```
</details>

## ДобавитьСторноДляПоказателяКонтроль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует текст запроса остатков в объединение подзапросов: основного и сторнирующего Контроль по счетам без НУ.
// Простое добавление условия "Счет.НалоговыйУчет" не даст корректного результата, т.к. приводит получению остатков
// в разрезе счетов, а не сводного остатка по группе счетов.
//
// Параметры:
//  ПараметрыОтчета - см. модуль формы отчета, функция ПодготовитьПараметрыОтчета() .
//  ОписаниеТекстаЗапроса - ЗапросВыбораСхемыЗапроса - описание запроса, который нужно дополнить.
//
Процедура ДобавитьСторноДляПоказателяКонтроль(ПараметрыОтчета, ОписаниеТекстаЗапроса) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ДобавитьСторноДляПоказателяКонтроль(ПараметрыОтчета, ОписаниеТекстаЗапроса) 
```
</details>

## ИзменитьСхемуДляОтборовПоДопСвойствамСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для случая, когда установлены отборы по доп.свойствам субконто, будет произведена замена в тексте схемы
// компоновки данных. Отборы по дополнительным свойствам невозможны в параметрах виртуальной таблицы.
// Поэтому в текст набора данных Проводки в СКД к запросам по остаткам добавляется секция ГДЕ.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ПодготовитьПараметрыОтчета() в ФормаОтчета.
//  Схема        - СхемаКомпоновкиДанных - описание получаемых данных.
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - связь настроек компоновки данных и схемы компоновки.
//
Процедура ИзменитьСхемуДляОтборовПоДопСвойствамСубконто(ПараметрыОтчета, Схема, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ИзменитьСхемуДляОтборовПоДопСвойствамСубконто(ПараметрыОтчета, Схема, КомпоновщикНастроек) 
```
</details>

## КартаСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получим расстановку субконто по результатам запросов к субсчетам, исходя из принципа:
// - если у субсчета есть вид субконто такой же как у счета-группы, то он должен быть на той же позиции;
//   "1 номенклатура" -> "2 номенклатура" , если у счета-группы "2 номенклатура"
// - если у субсчета такого вида субконто нет, то подставляем другой из имеющихся у субсчета;
//   "1 номенклатура 2 контрагент" -> "1 контрагент 2 номенклатура", если у счета-группы "1 склад 2 номенклатура"
// - если между видами субконто субсчета имеется дырка, то заполняем ее значениями Неопределено.
//   "1 склад 2 номенклатура" -> "1 Неопределено 2 номенклатура", если у субсчета нет других субконто.
//   "1 номенклатура 2 склад" -> "1 номенклатура 2 Неопределено"
//
// Параметры:
//  СчетГруппа   - ПланСчетовСсылка.Хозрасчетный - счет, задающий эталонный порядок субконто.
//  НомераИспользуемыхСубконтоСчетаГруппы - Массив - те из номеров субконто, которые требуются для отчета.
//  Субсчета     - СписокЗначений - список субсчетов, для которых надо построить карту.
//
// Возвращаемое значение:
//   ТаблицаЗначений - наборы видов субконто и списки счетов, им соответствующие.
//          * СубконтоВиртуальнойТаблицыВПозиции1/2/3 = номер псевдонима для поля субконто из результата виртуальной таблицы;
//          * ВидыСубконто = виды субконто, которые передаются в параметр &ВидыСубконто виртуальной таблицы;
//          * Счета = субсчета с данным набором субконто.
//
Функция КартаСубконто(СчетГруппа, НомераИспользуемыхСубконтоСчетаГруппы, Субсчета) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.КартаСубконто(СчетГруппа, НомераИспользуемыхСубконтоСчетаГруппы, Субсчета) 
```
</details>

## ИзменитьСхемуДляОтборовПоСубконтоСубсчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет текст наборов данных подзапросами, учитывающими отбор по субконто с несовпадающими номерами.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ПодготовитьПараметрыОтчета() в ФормаОтчета.
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - связь настроек компоновки данных и схемы компоновки.
//  Схема        - СхемаКомпоновкиДанных - описание получаемых данных.
//  ИмяОсновногоНабора - Строка - название набора с схеме СКД, который содержит наборы данных остатков и оборотов.
//
Процедура ИзменитьСхемуДляОтборовПоСубконтоСубсчетов(ПараметрыОтчета, КомпоновщикНастроек, Схема, ИмяОсновногоНабора) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ИзменитьСхемуДляОтборовПоСубконтоСубсчетов(ПараметрыОтчета, КомпоновщикНастроек, Схема, ИмяОсновногоНабора) 
```
</details>

## ОбработатьПолеНабораДанныхСвязаннойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает свойства поля связанного набора данных для стандартных бухгалтерских отчетов.
//
// Параметры:
//	ПолеНабора - ПолеНабораДанныхСхемыКомпоновкиДанных  - Поле набора данных.
//	Схема - СхемаКомпоновкиДанных - Схема отчета.
//	ИмяНабора - Строка - Имя связанного набора.
//	ПараметрыПоляВладельца - Структура - Содержит ключ:
//		* ИндексСубконто - Число - Номер субконто.
//		* ЗаголовокСубконто - Строка - Название вида субконто.
//	ИмяПоляПрефикс - Строка - Префикс для имени поля.
//
Процедура ОбработатьПолеНабораДанныхСвязаннойИнформации(ПолеНабора, Схема, ИмяНабора, ПараметрыПоляВладельца, ИмяПоляПрефикс = "Субконто") Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ОбработатьПолеНабораДанныхСвязаннойИнформации(ПолеНабора, Схема, ИмяНабора, ПараметрыПоляВладельца, ИмяПоляПрефикс);
```
</details>

## ПриЗагрузкеПользовательскихНастроекНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Вызывается в одноименной процедуре модуля объекта отчета. Является обработчиком события подсистемы ВариантыОтчетов из БСП.
//
// Параметры:
//   КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - из настраиваемого отчета.
//   НовыеПользовательскиеНастройкиКД - ПользовательскиеНастройкиКомпоновкиДанных - в ДополнительныеСвойства содержат параметры настройки.
//   Форма - ФормаКлиентскогоПриложения - форма отчета.
//
// См. описание процедуры ПриЗагрузкеПользовательскихНастроекНаСервере() из подсистемы ВариантыОтчетов в БСП и описание
// настроек из ОтчетыКлиентСервер.НастройкиОтчетаПоУмолчанию()
//
Процедура ПриЗагрузкеПользовательскихНастроекНаСервере(Форма, НовыеПользовательскиеНастройкиКД, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ПриЗагрузкеПользовательскихНастроекНаСервере(Форма, НовыеПользовательскиеНастройкиКД, КомпоновщикНастроек) 
```
</details>

## ПриЗагрузкеПользовательскихНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет настройки СКД на основе переданных настроек по требованиям банка.
//
// Параметры:
//   КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - из настраиваемого отчета.
//   НовыеПользовательскиеНастройкиКД - ПользовательскиеНастройкиКомпоновкиДанных - в ДополнительныеСвойства содержат параметры настройки.
//
// См. реализацию процедуры ПриЗагрузкеПользовательскихНастроекНаСервере() в модуле объекта отчета, вызываемую согласно
// настройкам из ОтчетыКлиентСервер.НастройкиОтчетаПоУмолчанию()
//
Процедура ПриЗагрузкеПользовательскихНастроек(Отчет, НовыеПользовательскиеНастройкиКД, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ПриЗагрузкеПользовательскихНастроек(Отчет, НовыеПользовательскиеНастройкиКД, КомпоновщикНастроек) 
```
</details>

## ПриЗагрузкеПользовательскихНастроекНастройкаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в обработчике одноименного события формы отчета после выполнения кода формы.
//
// Параметры:
//   КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - из настраиваемого отчета.
//   НовыеПользовательскиеНастройкиКД - ПользовательскиеНастройкиКомпоновкиДанных - в ДополнительныеСвойства содержат параметры настройки.
//   Форма - ФормаКлиентскогоПриложения - форма отчета.
//
// См. реализацию процедуры ПриЗагрузкеПользовательскихНастроекНаСервере() в модуле объекта отчета, вызываемую согласно
// настройкам из ОтчетыКлиентСервер.НастройкиОтчетаПоУмолчанию()
//
Процедура ПриЗагрузкеПользовательскихНастроекНастройкаФормы(Форма, НовыеПользовательскиеНастройкиКД, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ПриЗагрузкеПользовательскихНастроекНастройкаФормы(Форма, НовыеПользовательскиеНастройкиКД, КомпоновщикНастроек) 
```
</details>

## ЕстьОтличияНастроекОтЭталонныхБСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает настройки, которые передавались в отчет перед его открытием, и те, которые имеются в отчете после нажатия кнопки "Выгрузить".
// Для отчетов подсистемы ВариантыОтчетов из БСП.
//
// Параметры:
//  ПараметрыРежимаВыгрузки - Структура - см. БухгалтерскиеОтчеты.ЭталонныеПараметры().
//  ТекущиеНастройки - НастройкиКомпоновкиДанных - текущие настройки из формы отчета.
// Возвращаемое значение:
//  Булево.
Функция ЕстьОтличияНастроекОтЭталонныхБСП(ПараметрыРежимаВыгрузки, ТекущиеНастройки) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ЕстьОтличияНастроекОтЭталонныхБСП(ПараметрыРежимаВыгрузки, ТекущиеНастройки) 
```
</details>

## ИнициализироватьКомпоновщикНастроекПриЗагрузкеПользовательскихНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Выполняет отложенную инициализацию компоновщика настроек при загрузке пользовательских настроек.
//
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма отчета
//  Настройки			 - ПользовательскиеНастройкиКомпоновкиДанных - загружаемые настройки
//  ИмяВариантаНастроек	 - Строка - Имя варианта настроек.
//                         Допустимо передавать пустую строку для основного варианта.
//
Процедура ИнициализироватьКомпоновщикНастроекПриЗагрузкеПользовательскихНастроек(Форма, Настройки, ИмяВариантаНастроек = "") Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ИнициализироватьКомпоновщикНастроекПриЗагрузкеПользовательскихНастроек(Форма, Настройки, ИмяВариантаНастроек);
```
</details>

## ИнициализироватьКомпоновщикНастроекПриФормированииОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отложенную инициализацию компоновщика настроек при формировании отчета.
//
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма отчета
//  ИмяВариантаНастроек	 - Строка - Имя варианта настроек.
//                         Допустимо передавать пустую строку для основного варианта.
//
Процедура ИнициализироватьКомпоновщикНастроекПриФормированииОтчета(Форма, ИмяВариантаНастроек = "") Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ИнициализироватьКомпоновщикНастроекПриФормированииОтчета(Форма, ИмяВариантаНастроек);
```
</details>

## УстановитьТекущуюСхемуКомпоновкиДанныхОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает имя схемы компоновки данных, которую должен использовать отчет с текущими настройками.
// Если текущая схема компоновки изменилась, сбрасывает признак инициализации компоновщика, чтобы при формировании
// отчета была выполнена повторная инициализация компоновщика с новой схемой.
// Если отчет не использует несколько рабочих схем компоновки - никаких действий не выполняется.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма отчета.
//
Процедура УстановитьТекущуюСхемуКомпоновкиДанныхОтчета(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.УстановитьТекущуюСхемуКомпоновкиДанныхОтчета(Форма) 
```
</details>

## ИмяСхемыКомпоновкиДанныхОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя схемы компоновки данных, которую необходимо использовать в данном экземпляре отчета.
// Используется для отчетов, имеющих рабочих несколько схем. Необходимо вызывать до инициализации компоновщика.
//
// Отчет, поддерживающий использование нескольких схем, должен удовлетворять требованиям:
//  * иметь реквизит ТекущаяСхемаКомпоновкиДанных с типом Строка(80);
//  * содержать в программном интерфейсе функцию ТекущаяСхемаКомпоновкиДанных, принимающую единственный параметр
//    с типом Структура; в этот параметр передаются данные, влияющие на выбор схемы компоновки;
//  * содержать в программном интерфейсе конструктор НовыеПараметрыВыбораСхемыКомпоновкиДанных, формирующий структуру
//    параметров, влияющих на выбор схемы компоновки;
//
// Параметры:
//  КонтекстОтчета - ДанныеФормыСтруктура, Структура - необходимые сведения для выбора схемы компоновки данных.
//  ИмяОтчета      - Строка - имя отчета в метаданных.
//
// Возвращаемое значение:
//   Строка - имя используемой схемы компоновки данных.
//
Функция ИмяСхемыКомпоновкиДанныхОтчета(КонтекстОтчета, ИмяОтчета) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ИмяСхемыКомпоновкиДанныхОтчета(КонтекстОтчета, ИмяОтчета) 
```
</details>

## ОтчетПоддерживаетНесколькоСхемКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет применение нескольких рабочих схем компоновки данных в отчете.
// Критерий проверки - наличие реквизита ТекущаяСхемаКомпоновкиДанных у отчета.
//
// Параметры:
//  ИмяОтчета - Строка - имя отчета, заданное в конфигурации.
//
// Возвращаемое значение:
//  Булево - Истина, если отчет использует несколько рабочих схем компоновки данных.
//
Функция ОтчетПоддерживаетНесколькоСхемКомпоновкиДанных(ИмяОтчета) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ОтчетПоддерживаетНесколькоСхемКомпоновкиДанных(ИмяОтчета) 
```
</details>

## ЗаполнитьПризнакиУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// В отчетах по видам субконто анализирует наличие признаков учета на счетах, содержащих выбранные субконто.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - имеет основной реквизит "Отчет".
//
Процедура ЗаполнитьПризнакиУчета(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ЗаполнитьПризнакиУчета(Форма) 
```
</details>

## СохранитьОписаниеНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет структуру опций, используемых для указания настроек отчета.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - имеет основной реквизит "Отчет".
//  Разделитель  - ПланСчетовСсылка.Хозрасчетный, ПланВидовХарактеристикСсылка.ВидыСубконтоХозрасчетные - разделитель
//                              сохраняемых настроек.
//
Процедура СохранитьОписаниеНастроек(Форма, Разделитель) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.СохранитьОписаниеНастроек(Форма, Разделитель) 
```
</details>

## ПрочитатьОписаниеНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Задает структуру опций, используемых для указания настроек отчета. Если нет ранее сохраненных настроек,
// то устанавливаются настройки по-умолчанию.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - имеет основной реквизит "Отчет".
//  Разделитель  - ПланСчетовСсылка.Хозрасчетный, ПланВидовХарактеристикСсылка.ВидыСубконтоХозрасчетные - разделитель
//                              сохраняемых настроек.
//  ТолькоОбновление - Строка - если Ложь, то читается ранее сохраненная настройка; если Истина, то только проверяется
//                              корректность текущей настройки.
//
Процедура ПрочитатьОписаниеНастроек(Форма, Разделитель, ТолькоОбновление = Ложь) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ПрочитатьОписаниеНастроек(Форма, Разделитель, ТолькоОбновление);
```
</details>

## ПреобразоватьОтборыПоСчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует отборы, ранее применявшиеся по счету РазделительИсходноеЗначение к отборам по счету Разделитель,
// удаляя неподходящие. Сопоставление производится по видам субконто.
//
// Параметры:
//  Отбор        - ОтборКомпоновкиДанных - набор преобразуемых отборов.
//  ИсходныйСчет - ПланСчетовСсылка - ранее использовавшийся счет.
//  НовыйСчет    - ПланСчетовСсылка - новый счет, который будет использоваться.
//
Процедура ПреобразоватьОтборыПоСчету(Отбор, ИсходныйСчет, НовыйСчет) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ПреобразоватьОтборыПоСчету(Отбор, ИсходныйСчет, НовыйСчет) 
```
</details>

## УдалитьНедоступныеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет некорректные поля сортировки.
//
// Параметры:
//  ПоляСортировки - ПорядокКомпоновкиДанных, ТаблицаЗначений - набор обрабатываемых полей сортировки.
//  ДоступныеПоляПорядка - ДоступныеПоляКомпоновкиДанных - проверка на доступность полей.
//  КоличествоСубконто - Число - количество субконто, которые можно использовать.
//  ДанныеСчета  - Структура - если заполнено, то сверяются виды субконто.
//
Процедура УдалитьНедоступныеПоля(ПоляСортировки, ДоступныеПоляПорядка, КоличествоСубконто, ДанныеСчета = Неопределено) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.УдалитьНедоступныеПоля(ПоляСортировки, ДоступныеПоляПорядка, КоличествоСубконто, ДанныеСчета);
```
</details>

## ОтключитьИгнорированиеNull
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедуру необходимо вызывать для отчетов, в которых используются группировки по дополнительным реквизитам или
// свойствам субконто. В случае, когда группировка по доп.реквизиту выше группировки по самому субконто, суммы с
// незаполненными значениями доп.реквизита (и подчиненные им) не выводятся в отчет. Чтобы они выводились, данная
// процедура для полей-реквизитов (или доп.свойств) сбрасывает флаг ИгнорироватьЗначенияNULL .
//
// Параметры:
//  ПоляНабораДанных - ПоляНабораДанныхМакетаКомпоновкиДанных - коллекция полей.
//
Процедура ОтключитьИгнорированиеNull(ПоляНабораДанных) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ОтключитьИгнорированиеNull(ПоляНабораДанных) 
```
</details>

## НовыйДополнительныеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор таблицы дополнительных полей.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Новый дополнительные поля:
// * Использование - Булево.
// * Поле - Строка.
// * Представление - Строка.
Функция НовыйДополнительныеПоля() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.НовыйДополнительныеПоля() 
```
</details>

## НовыйГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор таблицы групировок.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Новый группировки:
// * Использование - Булево.
// * Поле - Строка.
// * Представление - Строка.
// * ТипГруппировки - Число.
Функция НовыйГруппировки() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.НовыйГруппировки() 
```
</details>

## НайтиГруппировкуТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит в таблицах, входящих в состав структуры настроек отчета, группировку строк с заданным именем.
//
// Параметры:
//  Структура	 - КоллекцияЭлементовСтруктурыНастроекКомпоновкиДанных - элементы структуры настроек, в составе которых нужно искать.
//  Имя			 - Строка - имя группировки.
//
// Возвращаемое значение:
//  ГруппировкаТаблицыКомпоновкиДанных - найденная группировка.
//  Неопределено - не найдена группировка с указанным именем.
//
Функция НайтиГруппировкуТаблицы(Структура, Имя) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.НайтиГруппировкуТаблицы(Структура, Имя) 
```
</details>

## НайтиГруппировкиТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет в структуре отчета (структуре настроек) группировки по заданному отбору.
//
// Параметры:
//  НайденныеГруппировки - Массив из ГруппировкаТаблицыКомпоновкиДанных - будет дополнен найденными группировками.
//  Группировки			 - КоллекцияЭлементовСтруктурыНастроекКомпоновкиДанных - элементы структуры настроек.
//  Отбор				 - Структура - отбор. Допустимые свойства:
//                         * Имя             - Строка - Имя группировки.
//                         * ИмяТаблицы      - Строка - Имя таблицы, в которой находится группировка.
//                         * КоличествоПолей - Число - количество полей, выбранных в группировке.
//                                             Например, могут быть нужны только группировки, содержащие одно поле.
//                         * Состояние       - СостояниеЭлементаНастройкиКомпоновкиДанных - состояние группировки.
//                         * Лимит           - Максимальное количество искомых группировок.
//                                             Например, предполагается, что под отбор попадет не более одной группировки.
//  ТаблицаНайдена		 - Булево - служебный параметр, используемый при рекурсивном вызове.
//
Процедура НайтиГруппировкиТаблицы(НайденныеГруппировки, Группировки, Отбор, ТаблицаНайдена = Ложь) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.НайтиГруппировкиТаблицы(НайденныеГруппировки, Группировки, Отбор, ТаблицаНайдена);
```
</details>

## УникальныеНастройкиОтчетаПоСчетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений с группировками отчета, в которых каждый счет встречается только один раз.
// Возвращаются только те строки, у которых в исходной таблице заполнен Счет и установлен признак Использование.
//
// Параметры:
//	ГруппировкиОтчета - ТаблицаЗначений - Исходные группировки отчета по счетам. Обязательные колонки:
//		* Счет - ПланСчетовСсылка.Хозрасчетный - Счет учета, для которого заданы настройки.
//		* Использование - Булево - Признак "включения" строки настройки для отчета.
//
// Возвращаемое значение:
//	ТаблицаЗначений - Совпадает по структуре с исходной таблицей ГруппировкиОтчета,
//  но не содержит повторяющихся строк для одного и того же счета. Дополнительно включает колонки:
//		* СчетаВИерархии - Массив - Массив субсчетов, которые необходимо учитывать по строке группировки.
//
Функция УникальныеНастройкиОтчетаПоСчетам(ГруппировкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.УникальныеНастройкиОтчетаПоСчетам(ГруппировкиОтчета) 
```
</details>

## ПолучитьДанныеРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Возвращает искомые значения из данных расшифровки.
//
// Параметры:
//  ДанныеРасшифровки - ДанныеРасшифровкиКомпоновкиДанных - Данные расшифровки из СКД.
//  СоответствиеПолей - Соответствие - Ключи соответствуют именам искомых в данных расшифровки полей
//  Расшифровка - ИдентификаторРасшифровкиКомпоновкиДанных - Идентификатор элемента данных расшифровки
//                в иерархии которого нужно осуществлять поиск.
//
// Возвращаемое значение:
//  Соответствие - Ключи соответствуют именам запрошенных полей.
//
Функция ПолучитьДанныеРасшифровки(ДанныеРасшифровки, СоответствиеПолей, Расшифровка) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ПолучитьДанныеРасшифровки(ДанныеРасшифровки, СоответствиеПолей, Расшифровка) 
```
</details>

## УстановитьПорядокСортировкиИзСхемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает порядок сортировки из схемы компоновки данных.
//
// Параметры:
//  Схема - СхемаКомпоновкиДанных - Схема компоновки данных
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - Компоновщик настроек
//
Процедура УстановитьПорядокСортировкиИзСхемы(Схема, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.УстановитьПорядокСортировкиИзСхемы(Схема, КомпоновщикНастроек) 
```
</details>

## НайтиПоИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет в структуре отчета (структуре настроек) группировку по имени элемента.
//
// Параметры:
//  Структура    - КоллекцияЭлементовСтруктурыНастроекКомпоновкиДанных - набор группировок данного уровня настроек.
//  Имя          - Строка - имя искомого элемента структуры отчета.
//
// Возвращаемое значение:
//   ГруппировкаКомпоновкиДанных, ТаблицаКомпоновкиДанных - искомый элемент настроек.
//
Функция НайтиПоИмени(Структура, Имя) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.НайтиПоИмени(Структура, Имя) 
```
</details>

## ИмяОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя отчета (объекта метаданных), отображаемого в форме.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма объекта.
//
// Возвращаемое значение:
//	Строка - Имя объекта метаданных.
//
Функция ИмяОтчета(Форма) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ИмяОтчета(Форма) 
```
</details>

## УстановитьЗаголовкиГруппКолонок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в настройках отчета заголовки групп колонок с ресурсами.
//
// Группы колонок должны быть помещены в именованные наборы колонок с уровнем группировки "детальные записи".
//
// Другими словами, настройки схемы компоновки должны быть выполнены так:
// - колонки кросс-таблицы содержат на верхнем уровне несколько наборов уровня группировки "Детальные записи";
// - каждый такой набор:
// -- соответствует группе колонок, которые в отчете объединены дополнительной шапкой;
// -- имеет имя;
// -- в выбранных полях содержит одну группу верхнего уровня;
// -- в составе группы содержит несколько выбранных полей (ресурсов), входящих в эту группу.
//
// Параметры:
//  КомпоновщикНастроек	 - КомпоновщикНастроекКомпоновкиДанных - настраиваемый объект.
//  ТекстыЗаголовков	 - Структура -
//                         * Ключ - имя набора колонок, заданное в схеме;
//                         * Значение - Строка - заголовок колонки.
//
Процедура УстановитьЗаголовкиГруппКолонок(КомпоновщикНастроек, ТекстыЗаголовков) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.УстановитьЗаголовкиГруппКолонок(КомпоновщикНастроек, ТекстыЗаголовков) 
```
</details>

## ЗаголовокГруппыПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок, помещающийся без переноса при установленной в процедуре УстановитьШиринуПоказателей() ширине.
//
// Возвращаемое значение:
//	Строка - Текст заголовка для группы "Показатели".
//
Функция ЗаголовокГруппыПоказателей() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ЗаголовокГруппыПоказателей() 
```
</details>

## УстановитьМинимальнуюШиринуПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает минимальную ширину полей с показателями,
// при которой умещается заголовок, заданный в функции ЗаголовокГруппыПоказателей().
//
// Параметры:
//	Схема - СхемаКомпоновкиДанных - Схема отчета.
//	НаборПоказателей - Массив - Содержит имена показателей отчета.
//
Процедура УстановитьМинимальнуюШиринуПоказателей(Схема, НаборПоказателей) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.УстановитьМинимальнуюШиринуПоказателей(Схема, НаборПоказателей) 
```
</details>

## УстановитьУсловноеОформлениеТипГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление для поля ТипГруппировки табличной части Группировка настроек отчета.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма отчета.
//
Процедура УстановитьУсловноеОформлениеТипГруппировки(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.УстановитьУсловноеОформлениеТипГруппировки(Форма) 
```
</details>

## УдалитьАвтоотступИзУсловногоОформления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляем из переданной коллекции настроек условного оформления автоотступ.
//
// Параметры:
//	УсловноеОформление - УсловноеОформление - Коллекция условного оформления.
//
Процедура УдалитьАвтоотступИзУсловногоОформления(УсловноеОформление) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.УдалитьАвтоотступИзУсловногоОформления(УсловноеОформление) 
```
</details>

## УстановитьАктивностьКнопокКоманднойПанели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает кнопки командной панели.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - на командной панели которой есть кнопка ПредварительныйПросмотр.
//
Процедура УстановитьАктивностьКнопокКоманднойПанели(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.УстановитьАктивностьКнопокКоманднойПанели(Форма) 
```
</details>

## ПолучитьМакетШапки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Возвращает макет компоновки шапки отчета.
//
// Параметры:
// 	МакетКомпоновки - МакетКомпоновкиДанных - Результат формирования макета компоновки.
//	Тело - ТелоМакетаКомпоновкиДанных - Содержание макета компоновки.
//	ТипМакета - Строка - Возможные значения "Заголовок", "Подвал".
//
// Возвращаемое значение:
//	ОписаниеМакетаОбластиМакетаКомпоновкиДанных - Искомый макет.
//
Функция ПолучитьМакетШапки(МакетКомпоновки, Тело = Неопределено, ТипМакета = "Заголовок") Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ПолучитьМакетШапки(МакетКомпоновки, Тело, ТипМакета);
```
</details>

## ПолучитьМакетПодвала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает макет компоновки подвала отчета.
//
// Параметры:
// 	МакетКомпоновки - МакетКомпоновкиДанных - Результат формирования макета компоновки.
//	Тело - ТелоМакетаКомпоновкиДанных - Содержание макета компоновки.
//
// Возвращаемое значение:
//	ОписаниеМакетаОбластиМакетаКомпоновкиДанных - Искомый макет.
//
Функция ПолучитьМакетПодвала(МакетКомпоновки, Тело = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ПолучитьМакетПодвала(МакетКомпоновки, Тело);
```
</details>

## ПараметрыПоискаВТелеМакетаКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Задает параметры для алгоритма подбора элементов из тела компоновки данных.
//
// Возвращаемое значение:
//   Структура   - параметры подбора.
//
Функция ПараметрыПоискаВТелеМакетаКомпоновки() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ПараметрыПоискаВТелеМакетаКомпоновки() 
```
</details>

## ПодобратьЭлементыИзТелаМакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск по телу макета компоновки данных.
//
// Параметры:
//  МакетКомпоновки - МакетКомпоновкиДанных - результат формирования макета компоновки.
//  ИдентификаторДляПоиска - Строка - начало имени элемента, который ищем, или имя типа этого элемента.
//  ПараметрыПоиска - Структура - см. ПараметрыПоискаВТелеМакетаКомпоновки()
//
// Возвращаемое значение:
//   * Неопределено - если не удалось подобрать элемент при параметре МножественныйПодбор=Ложь;
//   * ОписаниеМакетаОбластиМакетаКомпоновкиДанных - если МножественныйПодбор=Ложь и ВозвращаемыйТип=Макет;
//   * ТелоГруппировкиТаблицыМакетаКомпоновкиДанных - один из типов элементов этой коллекции, если МножественныйПодбор=Ложь и ВозвращаемыйТип=Элемент;
//   * Массив - если МножественныйПодбор=Истина.
//
Функция ПодобратьЭлементыИзТелаМакета(МакетКомпоновки, ИдентификаторДляПоиска, ПараметрыПоиска) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ПодобратьЭлементыИзТелаМакета(МакетКомпоновки, ИдентификаторДляПоиска, ПараметрыПоиска) 
```
</details>

## ДвоичныеДанныеИзТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует табличный документ в двоичные данные.
//
// Параметры:
//  СохраняемыйДокумент - ТабличныйДокумент - преобразуемый в двоичные данные.
//  ТипФайла     - ТипФайлаТабличногоДокумента - в какой формат файла сохранить табличный документ.
//
// Возвращаемое значение:
//   ДвоичныеДанные - данные в новом формате.
//
Функция ДвоичныеДанныеИзТабличногоДокумента(СохраняемыйДокумент, ТипФайла) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ДвоичныеДанныеИзТабличногоДокумента(СохраняемыйДокумент, ТипФайла) 
```
</details>

## ИнициализироватьРежимВыгрузкиБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отчет открывается в особом режиме для передачи результата в пакет отчетности. Для стандартных бухгалтерских отчетов БП.
//
// Форма         - ФормаКлиентскогоПриложения - открываемый отчет.
//
Процедура ИнициализироватьРежимВыгрузкиБП(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ИнициализироватьРежимВыгрузкиБП(Форма) 
```
</details>

## ИнициализироватьРежимВыгрузкиБСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отчет открывается в особом режиме для передачи результата в пакет отчетности. Для отчетов подсистемы ВариантыОтчетов из БСП.
//
// Форма         - ФормаКлиентскогоПриложения - открываемый отчет.
//
Процедура ИнициализироватьРежимВыгрузкиБСП(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ИнициализироватьРежимВыгрузкиБСП(Форма) 
```
</details>

## ПроверитьАктуальность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запуск фонового задания по получению актуальности данных закрытия месяца и последующую обработку результата.
//
//	Параметры:
//		ПараметрыПроверки - Структура - параметры выполнения фонового задания, см. БухгалтерскиеОтчетыКлиентСервер.ИнициализироватьПараметрыПроверкиАктуальности();
//		ДанныеАктуализации - Структура - данные актуализации отчета, служит для последующего изменения данных формы отчета:
//			* ИдентификаторЗаданияАктуализации - Строка - идентификатор выполняемого задания актуализации;
//			* АдресХранилищаАктуализации - Строка - адрес хранения данных выполненного задания актуализации отчета.
//
Процедура ПроверитьАктуальность(ПараметрыПроверки, ДанныеАктуализации) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ПроверитьАктуальность(ПараметрыПроверки, ДанныеАктуализации) 
```
</details>

## ОбработатьРезультатВыполненияАктуализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В зависимости от результата выполнения фонового задания, изменяет данные актуализации отчета.
//
//	Параметры:
//		РезультатВыполнения - Структура - см. возвращаемое значение ДлительныеОперации.ВыполнитьВФоне();
//		ДанныеАктуализации - Структура - данные актуализации отчета, служит для последующего изменения данных формы отчета:
//			* ИдентификаторЗаданияАктуализации - Строка - идентификатор выполняемого задания актуализации;
//			* АдресХранилищаАктуализации - Строка - адрес хранения данных выполненного задания актуализации отчета.
//
Процедура ОбработатьРезультатВыполненияАктуализации(РезультатВыполнения, ДанныеАктуализации) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ОбработатьРезультатВыполненияАктуализации(РезультатВыполнения, ДанныеАктуализации) 
```
</details>

## ОпределитьСостояниеЭтаповРасчетаЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для определения статуса выполнения регламентных операций в фоновом задании.
//
// Параметры:
//  Параметры - Структура - см. БухгалтерскиеОтчетыКлиентСервер.ИнициализироватьПараметрыПроверкиАктуальности();
//  АдресХранилища - Строка - адрес временного хранилища, куда будет помещен результат определения состояний.
//
Процедура ОпределитьСостояниеЭтаповРасчетаЗакрытияМесяца(Параметры, АдресХранилища) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ОпределитьСостояниеЭтаповРасчетаЗакрытияМесяца(Параметры, АдресХранилища) 
```
</details>

## РасчетЗакрытияМесяцаВыполняется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет факт выполнения расчета закрытия месяца
//
//	Параметры:
//		ПараметрыПроверки - Структура - параметры выполнения фонового задания, см. БухгалтерскиеОтчетыКлиентСервер.ИнициализироватьПараметрыПроверкиАктуальности();
//
//	Возвращаемое значение:
//		Булево - Истина, если в базе есть активные задания закрытия месяца.
//
Функция РасчетЗакрытияМесяцаВыполняется(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.РасчетЗакрытияМесяцаВыполняется(ПараметрыПроверки) 
```
</details>

## СлужебныеПустыеПараметрыКомпоновкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру служебных параметров стандартных отчетов на основе СКД.
// Перечисленные в ней параметры являются служебными в том смысле, что они обслуживаются
// каждым отчетом самостоятельно.
// При программном вызове формирования отчета заполнять их вызывающему коду не нужно,
// они будут заполнены в коде процедур из модуля менеджера самого отчета.
//
// Возвращаемое значение:
//	Структура
//
Функция СлужебныеПустыеПараметрыКомпоновкиОтчета() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.СлужебныеПустыеПараметрыКомпоновкиОтчета() 
```
</details>

## ПустыеПараметрыКомпоновкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Общая для всех отчетов структура настроек. Используется как при интерактивном, так и при программном вызове отчета.
// После вызова ПустыеПараметрыКомпоновкиОтчета() к параметрам можно добавить стандартные наборы дополнительных параметров
// посредством вызова процедур ДобавитьПоказателиВПараметры(), ДобавитьГруппировкиВПараметры() и ДобавитьДополнительныеПоляВПараметры().
// Затем:
// * при интерактивном формировании из формы вызывается ЗаполнитьПараметрыИзФормы() ;
// * при программном вызове из кода вызывается ПодготовитьСхемуКомпоновкиДанных() .
//
// Возвращаемое значение:
//	Структура
//
Функция ПустыеПараметрыКомпоновкиОтчета() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ПустыеПараметрыКомпоновкиОтчета() 
```
</details>

## ДобавитьПоказателиВПараметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПоказателиВПараметры(ПараметрыОтчета, НаборПоказателей) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ДобавитьПоказателиВПараметры(ПараметрыОтчета, НаборПоказателей) 
```
</details>

## ЗаполнитьПараметрыИзФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переносим из реквизитов формы в универсальные настройки.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ПустыеПараметрыКомпоновкиОтчета()
//  Форма - УправляемаяФорма - содержит основновной реквизит Отчет .
//
Процедура ЗаполнитьПараметрыИзФормы(ПараметрыОтчета, Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ЗаполнитьПараметрыИзФормы(ПараметрыОтчета, Форма) 
```
</details>

## НайтиСоздатьНастройкуКомпоновщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подбирает настройку по имени, создавая при необходимости и саму настройку СКД, и соответствующую ей пользовательскую настройку.
//
// Параметры:
//  ВидНастроек - Строка - соответствует ключам объекта НастройкиКомпоновкиДанных.
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - из настраиваемого отчета.
//  НовыеПользовательскиеНастройкиКД - ПользовательскиеНастройкиКомпоновкиДанных - в ДополнительныеСвойства содержат параметры настройки.
//  ИмяНастройки - Строка - имя поля у элемента настроек данного вида.
//
// Возвращаемое значение:
//   Элемент из КоллекцияЭлементовПользовательскихНастроекКомпоновкиДанных - подобранная настройка.
//
Функция НайтиСоздатьНастройкуКомпоновщика(ВидНастроек, КомпоновщикНастроек, НовыеПользовательскиеНастройкиКД, ИмяНастройки = "") Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.НайтиСоздатьНастройкуКомпоновщика(ВидНастроек, КомпоновщикНастроек, НовыеПользовательскиеНастройкиКД, ИмяНастройки);
```
</details>

## ЗаполнитьСтандартныйПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтандартныйПериод(ЗначениеСтандартногоПериода, НачалоПериода, КонецПериода) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ЗаполнитьСтандартныйПериод(ЗначениеСтандартногоПериода, НачалоПериода, КонецПериода) 
```
</details>

## ПодготовитьСхемуКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливаем параметры СхемаКомпоновкиДанных и НастройкиКомпоновкиДанных.
//
// Параметры:
//  ПараметрыОтчета - см. ПустыеПараметрыКомпоновкиОтчета()
//
// После вызова данной процедуры вызывающий код может редактировать настройки СКД, с которыми будет формироваться отчет:
// * Отборы.
//     БухгалтерскиеОтчетыКлиентСервер.ДобавитьОтбор(
//         ПараметрыОтчета.НастройкиКомпоновкиДанных.Отбор, ИмяЛевогоПоля, ЗначениеПравогоПоля, ВидСравнения);
// * Порядок.
//     ПолеПорядка = ПараметрыОтчета.НастройкиКомпоновкиДанных.Порядок.Элементы.Добавить(Тип("ЭлементПорядкаКомпоновкиДанных"));
//     ПолеПорядка.Поле = Новый ПолеКомпоновкиДанных(Настройка.Поле);
//     ПолеПорядка.ТипУпорядочивания = ?(Настройка.ТипУпорядочивания = 1,
//         НаправлениеСортировкиКомпоновкиДанных.Убыв, НаправлениеСортировкиКомпоновкиДанных.Возр);
//     ПолеПорядка.Использование = Истина;
// * Условное оформление.
//     ЭлементУсловногоОформления = ПараметрыОтчета.НастройкиКомпоновкиДанных.УсловноеОформление.Элементы.Добавить();
//     БухгалтерскиеОтчетыКлиентСервер.УстановитьПараметр(ЭлементУсловногоОформления.Оформление, ИмяПараметра, ЗначениеПараметра);
//     ЭлементУсловногоОформления.Представление = ПредставлениеПараметра;
//
// Кроме того, в ПараметрыОтчета могут быть переданы заранее подготовленные ПользовательскиеНастройки
// (тип ПользовательскиеНастройкиКомпоновкиДанных), которые необходимо загрузить в СКД.
//
Процедура ПодготовитьСхемуКомпоновкиДанных(ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ПодготовитьСхемуКомпоновкиДанных(ПараметрыОтчета) 
```
</details>

## ПодобратьНомерПоИмениВидаСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяем имя субконто в переданном пути на "Субконто[N]" для переданного счета.
//
// Параметры:
//  Счет         - ПланСчетовСсылка.Хозрасчетный - счет, который содержит данный вид субконто.
//  ИмяПоля      - Строка - путь к полю СКД вида "[имя значения ПланВидовХарактеристик.ВидыСубконтоХозрасчетные]{.[ИмяРеквизита]}"
//  ПредставленияСубконто - Структура - кеш сопоставлений:
//                          * ключ - строка - имя предопределенного элемента плана видов характеристик,
//                          * значение - строка - "Субконто[N]"
// Возвращаемое значение:
// Строка.
Функция ПодобратьНомерПоИмениВидаСубконто(Счет, Знач ИмяПоля, ПредставленияСубконто = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.ПодобратьНомерПоИмениВидаСубконто(Счет, ИмяПоля, ПредставленияСубконто);
```
</details>

## ЗаполнитьУровеньГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьУровеньГруппировки(ГруппировкиКомпоновки, ГруппировкиНастроек, УровеньГруппировки = 0) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчеты.ЗаполнитьУровеньГруппировки(ГруппировкиКомпоновки, ГруппировкиНастроек, УровеньГруппировки);
```
</details>

## НаборПолейЭквивалентен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НаборПолейЭквивалентен(ЭталонныеПоля, ТекущиеПоля) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.НаборПолейЭквивалентен(ЭталонныеПоля, ТекущиеПоля));
```
</details>

## СтруктураЭквивалентна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураЭквивалентна(ЭталонныеНастройки, ТекущиеНастройки) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчеты.СтруктураЭквивалентна(ЭталонныеНастройки, ТекущиеНастройки));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
