---
title: Бухгалтерские отчеты вызов сервера
slug: erp-uh/бухгалтерские-отчеты-вызов-сервера
---


## ИнициализацияКомпоновщикаНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует компоновщик настроек отчета.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	ОрганизацияИзменилась - Булево - При вызове инициализации из-за изменения организации необходимо передать Истина.
//	ИмяВариантаНастроек - Строка - Имя варианта настроек.
//
Процедура ИнициализацияКомпоновщикаНастроек(Форма, ОрганизацияИзменилась = Ложь, ИмяВариантаНастроек = "") Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ИнициализацияКомпоновщикаНастроек(Форма, ОрганизацияИзменилась, ИмяВариантаНастроек);
```
</details>

## УстановитьНастройкиПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает для отчета настройки по умолчанию.
//
// Параметры:
//	ФормаОтчета - ФормаКлиентскогоПриложения - Форма отчета.
//
Процедура УстановитьНастройкиПоУмолчанию(ФормаОтчета) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.УстановитьНастройкиПоУмолчанию(ФормаОтчета) 
```
</details>

## ДобавитьОтборДляПоказателяКонтроль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Устанавливает отбор по показателю "Контроль".
//
// Параметры:
//	ПараметрыОтчета - Структура - Содержит ключи вида "ПоказательБУ", "ПоказательНУ" и др.
//	КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - Компоновщик настроек СКД.
//	ВПользовательскиеНастройки - Булево - Определяет место добавления отбора.
//		Если Истина, то в пользовательские настройки, иначе - в обычные.
//
Процедура ДобавитьОтборДляПоказателяКонтроль(ПараметрыОтчета, КомпоновщикНастроек, ВПользовательскиеНастройки = Истина) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ДобавитьОтборДляПоказателяКонтроль(ПараметрыОтчета, КомпоновщикНастроек, ВПользовательскиеНастройки);
```
</details>

## ИспользоватьСуммыРазниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, используются ли в периоде отчета (на дату начала или окончания периода) показатели сумм разниц по ПБУ 18.
//
// Параметры:
//  Организация   - СправочникСсылка.Организации
//  НачалоПериода - Дата
//  КонецПериода  - Дата
//
// Возвращаемое значение:
//  Булево - Истина, если показатели сумм разниц следует использовать в отчете.
//
Функция ИспользоватьСуммыРазниц(Организация, НачалоПериода, КонецПериода) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыВызовСервера.ИспользоватьСуммыРазниц(Организация, НачалоПериода, КонецПериода) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку заполнения настроек отчета перед формированием.
//
// Параметры:
//	ОтчетОбъект - ОтчетОбъект.* - Проверяемый отчет.
//	Отказ - Булево - Истина, если проверка не прошла.
//	Проверки - Структура - Описание проверок. Содержит ключи:
//		* КорректностьПериода - Булево - Признак проверки периода отчета.
//		* ВыборПоказателя - Булево - Признак необходимости проверять выбранные показатели отчета.
//		* СписокВидовСубконто - Булево - Признак проверки количества выбранных видов субконто.
//
Процедура ОбработкаПроверкиЗаполнения(ОтчетОбъект, Отказ, Проверки = Неопределено) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ОбработкаПроверкиЗаполнения(ОтчетОбъект, Отказ, Проверки);
```
</details>

## ОбработкаПроверкиЗаполненияОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку заполнения отборов для отчетов, содежащих дополнительные наборы данных по ОС, НМА или физлицам.
//
// Параметры:
//	ОтчетОбъект   - ОтчетОбъект - проверяемый отчет.
//	Отказ         - Булево - Истина, если проверка не прошла.
//
Процедура ОбработкаПроверкиЗаполненияОтборов(ОтчетОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ОбработкаПроверкиЗаполненияОтборов(ОтчетОбъект, Отказ) 
```
</details>

## ПроверитьГруппуОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьГруппуОтборов(ОтборыГруппировки, ЕстьРеквизитСубконто1, ЕстьИноеПоле) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ПроверитьГруппуОтборов(ОтборыГруппировки, ЕстьРеквизитСубконто1, ЕстьИноеПоле));
```
</details>

## ПередЗагрузкойНастроекВКомпоновщик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "ПередЗагрузкойНастроекВКомпоновщик" при инициализации варианта отчета средствами БСП.
//
// Параметры:
//  ОтчетОбъект - ОтчетОбъект - Объект отчета.
//  Контекст - Структура - Контекст инициализации варианта очтета.
//  КлючСхемы - Строка - Ключ схемы компоновки данных.
//  КлючВарианта - Строка - Ключ варианта отчета.
//  НовыеНастройкиКД - НастройкиКомпоновкиДанных - Настройки, с которыми будет выполнена инициализация варианта отчета.
//  НовыеПользовательскиеНастройкиКД - ПользовательскиеНастройкиКомпоновкиДанных - Настройки, с которыми будет выполнена инициализация варианта отчета.
//
Процедура ПередЗагрузкойНастроекВКомпоновщик(ОтчетОбъект, Контекст, КлючСхемы, КлючВарианта, НовыеНастройкиКД, НовыеПользовательскиеНастройкиКД) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ПередЗагрузкойНастроекВКомпоновщик(ОтчетОбъект, Контекст, КлючСхемы, КлючВарианта, НовыеНастройкиКД, НовыеПользовательскиеНастройкиКД) 
```
</details>

## ЕстьОтличияНастроекОтЭталонныхБСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает настройки, которые передавались в отчет перед его открытием, и те, которые имеются в отчете после нажатия кнопки "Выгрузить".
// Для отчетов подсистемы ВариантыОтчетов из БСП.
//
// Параметры:
//  ПараметрыРежимаВыгрузки - Структура - см. БухгалтерскиеОтчеты.ЭталонныеПараметры().
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - текущие данные формы отчета.
//
// Возвращаемое значение:
//   Булево      - Истина = настройки были изменены; Ложь = настройки не изменялись.
//
Функция ЕстьОтличияНастроекОтЭталонныхБСП(ПараметрыРежимаВыгрузки, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыВызовСервера.ЕстьОтличияНастроекОтЭталонныхБСП(ПараметрыРежимаВыгрузки, КомпоновщикНастроек) 
```
</details>

## ЕстьОтличияОтборовОтЭталонных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает два набора элементов отбора по именам использованных в них полей.
//
// Параметры:
//  ЭталонныйОтбор - ОтборКомпоновкиДанных - отбор, с которым сравнивается.
//  ТекущийОтбор - ОтборКомпоновкиДанных - отбор, который сравнивается.
//
// Возвращаемое значение:
//   Булево      - Истина = отборы были изменены; Ложь = отборы не изменялись.
//
Функция ЕстьОтличияОтборовОтЭталонных(Знач ЭталонныйОтбор, Знач ТекущийОтбор) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыВызовСервера.ЕстьОтличияОтборовОтЭталонных(ЭталонныйОтбор, ТекущийОтбор) 
```
</details>

## ПолучитьСписокМакетовОформления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список имен макетов оформления отчета.
//
// Возвращаемое значение:
//	СписокЗначений - Содержит строки с именами макетов оформления.
//
Функция ПолучитьСписокМакетовОформления() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыВызовСервера.ПолучитьСписокМакетовОформления() 
```
</details>

## УстановитьМакетОформленияОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает макет оформления отчета.
//
// Параметры:
//	ПараметрыОтчета - Структура - Содержит ключи:
//		* МакетОформления - Строка - Имя макета оформления.
//	НастройкаКомпоновкиДанных - КомпоновщикНастроекКомпоновкиДанных - Компоновщик настроек СКД.
//
Процедура УстановитьМакетОформленияОтчета(ПараметрыОтчета, НастройкаКомпоновкиДанных) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.УстановитьМакетОформленияОтчета(ПараметрыОтчета, НастройкаКомпоновкиДанных) 
```
</details>

## ВывестиЗаголовокОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит заголовок отчета в общем формате, без своего формата строк.
// Установленный собственный формат строк позволяет повысить визуальную привлекательность отчета на печати
// или на экране в программе, но некрасиво экспортируется в некоторые другие программы работы с электронными
// таблицами, что затрудняет аналитическую работу с данными отчета.
//
// Параметры:
//	ПараметрыОтчета - Структура - Содержит ключи:
//		* Организация - СправочникСсылка.Организации - Организация, по которой формируется отчет.
//		* ВключатьОбособленныеПодразделения - Булево - Признак вывод данным по обособленным подразделениям.
//		* ИдентификаторОтчета - Строка - Имя отчета.
//		* НаборПоказателей - Массив - Массив строк с именам выводимых показателей отчета (опционально).
//		* Подразделение - СправочникСсылка.ПодразделенияОрганизаций - Подразделение, по которому выводятся данные (опционально).
//		* ВыводитьЕдиницуИзмерения - Булево - Признак необходимости вывода единицы измерения (опционально).
//	КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - Компоновщик настроек СКД.
//	Результат - ТабличныйДокумент - Результат формирования отчета.
//
Процедура ВывестиЗаголовокОтчета(ПараметрыОтчета, КомпоновщикНастроек, Результат) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ВывестиЗаголовокОтчета(ПараметрыОтчета, КомпоновщикНастроек, Результат) 
```
</details>

## ВывестиПодвалОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит подвал отчета в общем формате, без своего формата строк, с автоматическим расположением содержимого
// в колонках в зависимости от их ширины.
// Установленный собственный формат строк позволяет повысить визуальную привлекательность отчета на печати
// или на экране в программе, но некрасиво экспортируется в некоторые другие программы работы с электронными
// таблицами, что затрудняет аналитическую работу с данными отчета.
//
// Параметры:
//	ПараметрыОтчета - Структура - Содержит ключи:
//		* ОтветственноеЛицо - Перечисления.ОтветственныеЛицаОрганизаций - Вид ответственного лица.
//	Результат - ТабличныйДокумент - Результат формирования отчета.
//
Процедура ВывестиПодвалОтчета(ПараметрыОтчета, Результат) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ВывестиПодвалОтчета(ПараметрыОтчета, Результат) 
```
</details>

## ОбновитьОписаниеОтборовОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет представление отборов, отображаемое в поле табличного документа до первого заполнения отчета.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - содержит реквизиты Отчет и Результат.
//
Процедура ОбновитьОписаниеОтборовОтчета(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ОбновитьОписаниеОтборовОтчета(Форма) 
```
</details>

## ИспользоватьПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования подразделений.
//
// Возвращаемое значение:
//	Булево - Истина, если подразделения используются, иначе Ложь.
//
Функция ИспользоватьПодразделения() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыВызовСервера.ИспользоватьПодразделения() 
```
</details>

## ТипыСвязанныеСОрганизацией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типов со справочниками, имеющими владельца организацию.
//
// Возвращаемое значение:
//	ОписаниеТипов - Содержит типы справочников, имеющими владельца организацию.
//
Функция ТипыСвязанныеСОрганизацией() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыВызовСервера.ТипыСвязанныеСОрганизацией() 
```
</details>

## ПриЗагрузкеПользовательскихНастроекНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "ПриЗагрузкеПользовательскихНастроекНаСервере" формы отчета.
//
// Параметры:
//	ФормаОтчета - ФормаКлиентскогоПриложения - Форма отчета.
//	Настройки - ПользовательскиеНастройкиКомпоновкиДанных - Сохраняемые настройки.
//	ЗагружатьТолькоРеквизиты - Булево - Признак загрузки только значений реквизитов отчета без настроек СКД.
//
Процедура ПриЗагрузкеПользовательскихНастроекНаСервере(ФормаОтчета, Настройки, ЗагружатьТолькоРеквизиты = Ложь) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ПриЗагрузкеПользовательскихНастроекНаСервере(ФормаОтчета, Настройки, ЗагружатьТолькоРеквизиты);
```
</details>

## ПолучитьДанныеОтветственногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные ответственного лица для подписи в отчете.
//
// Параметры:
//	Параметры - Структура - Настройки формирования отчета, содержит ключи:
//		* Организация - СправочникСсылка.Организации - Организация, по которой формируется отчет.
//		* ОтветственноеЛицо - Перечисления.ОтветственныеЛицаОрганизаций - Вид ответственного лица.
//		* Период - Дата - Период формирования отчета (опционально).
//		* КонецПериода - Дата - Конец периода формирования отчета (опционально).
//
// Возвращаемое значение:
//	Структура - Содержит ключи:
//		* Должность - Строка - Должность ответственного лица.
//		* РасшифровкаПодписи - Строка - Фамилия и инициалы ответственного лица.
//
Функция ПолучитьДанныеОтветственногоЛица(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыВызовСервера.ПолучитьДанныеОтветственногоЛица(Параметры) 
```
</details>

## ПроверитьВыполнениеАктуализацииОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет завершение актуализации для формы отчета.
//
// Параметры:
//	ПараметрыПроверки - Структура - параметры выполнения фонового задания, см. БухгалтерскиеОтчетыКлиентСервер.ИнициализироватьПараметрыПроверкиАктуальности();
//	ДанныеАктуализации - Структура - данные актуализации отчета, служит для последующего изменения данных формы отчета:
//			* ИдентификаторЗаданияАктуализации - Строка - идентификатор выполняемого задания актуализации;
//			* АдресХранилищаАктуализации - Строка - адрес хранения данных выполненного задания актуализации отчета;
//	ЗапускАктуализацииЕслиНеЗапущено - Булево - признак выполнения проверки актуализации,
//		если установлен, тогда если расчет закрытия месяца не выполняется, будет запущено задание проверки актуальности.
//
Процедура ПроверитьВыполнениеАктуализацииОтчета(ПараметрыПроверки, ДанныеАктуализации, ЗапускАктуализацииЕслиНеЗапущено = Ложь) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыВызовСервера.ПроверитьВыполнениеАктуализацииОтчета(ПараметрыПроверки, ДанныеАктуализации, ЗапускАктуализацииЕслиНеЗапущено);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
