---
title: Бухгалтерские отчеты клиент
slug: erp-uh/бухгалтерские-отчеты-клиент
---


## ПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПриОткрытии формы отчета.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Отказ - Булево - Признак отказа.
//
Процедура ПриОткрытии(Форма, Отказ) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ПриОткрытии(Форма, Отказ) 
```
</details>

## ПередЗакрытием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередЗакрытием формы стандартного отчета.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Отказ - Булево - Признак отказа.
//	ЗавершениеРаботы - Булево - Признак завершение работы с программой.
//	ТекстПредупреждения - Строка - Текст предупреждения при закрытии.
//	СтандартнаяОбработка - Булево - Признак стандартной обработки.
//  РежимРасшифровки - Булево - Истина, если отчетом выполняется расшифровка.
//
Процедура ПередЗакрытием(Форма, Отказ, ЗавершениеРаботы, ТекстПредупреждения, СтандартнаяОбработка, РежимРасшифровки = Ложь) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ПередЗакрытием(Форма, Отказ, ЗавершениеРаботы, ТекстПредупреждения, СтандартнаяОбработка, РежимРасшифровки);
```
</details>

## ПриЗакрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПриЗакрытии формы отчета.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	ЗавершениеРаботы - Булево - Признак завершения работы с программой.
//
Процедура ПриЗакрытии(Форма, ЗавершениеРаботы = Истина) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ПриЗакрытии(Форма, ЗавершениеРаботы);
```
</details>

## ОрганизацияПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПриИзменении поля организации.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ПолеФормы - Поле организации.
//  Организация - СправочникСсылка.Организации - явное указание организации.
//
Процедура ОрганизацияПриИзменении(Форма, Элемент, Знач Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОрганизацияПриИзменении(Форма, Элемент, Организация);
```
</details>

## ПодразделениеПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПриИзменении поля подразделения.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ПолеФормы - Поле подразделения.
//
Процедура ПодразделениеПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ПодразделениеПриИзменении(Форма, Элемент) 
```
</details>

## ОбработчикКомандыВыгрузитьБСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик сохранения табличного документа отчета для помещения в пакет фин.отчетности.
//
// Параметры:
//   ФормаОтчета - ФормаКлиентскогоПриложения - форма отчета.
//   Команда     - КомандаФормы     - команда, которая была вызвана.
//
Процедура ОбработчикКомандыВыгрузитьБСП(ФормаОтчета, Команда) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОбработчикКомандыВыгрузитьБСП(ФормаОтчета, Команда) 
```
</details>

## ЕстьОтличияНастроекОтЭталонныхБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает настройки, которые передавались в отчет перед его открытием, и те, которые имеются в отчете после нажатия кнопки "Выгрузить".
// Для стандартных бухгалтерских отчетов БП.
//
// Параметры:
//  ПараметрыРежимаВыгрузки - Структура - см. БухгалтерскиеОтчеты.ЭталонныеПараметры().
//  ТекущиеНастройки - Структура - реквизиты формы отчета.
//
// Возвращаемое значение:
// 	Булево.
Функция ЕстьОтличияНастроекОтЭталонныхБП(ПараметрыРежимаВыгрузки, ТекущиеНастройки) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыКлиент.ЕстьОтличияНастроекОтЭталонныхБП(ПараметрыРежимаВыгрузки, ТекущиеНастройки) 
```
</details>

## ГруппировкаПередНачаломДобавления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередНачаломДобавления табличного поля Группировка.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ТаблицаФормы - Таблица группировок.
//	Отказ - Булево - Признак отказа.
//	Копирование - Булево - Признак копирования.
//	Родитель - Произвольный - Ссылка на родителя.
//	Группа - Булево - Признак добавления группы.
//
Процедура ГруппировкаПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ГруппировкаПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа) 
```
</details>

## ГруппировкаПередНачаломДобавленияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает добавление новой строки в табличную часть Группировка формы отчета.
//
// Параметры:
//	РезультатЗакрытия - Структура - Возвращаемое значение из общей формы ФормаВыбораДоступногоПоля.
//	ДополнительныеПараметры - Произвольный - Дополнительные параметры описания оповещения.
//
Процедура ГруппировкаПередНачаломДобавленияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ГруппировкаПередНачаломДобавленияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## ГруппировкаПередНачаломИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередНачаломИзменения табличного поля Группировка.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ТаблицаФормы - Таблица группировок.
//	Отказ - Булево - Признак отказа.
//
Процедура ГруппировкаПередНачаломИзменения(Форма, Элемент, Отказ) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ГруппировкаПередНачаломИзменения(Форма, Элемент, Отказ) 
```
</details>

## ГруппировкаПередНачаломИзмененияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает изменение строки в табличной части Группировка формы отчета.
//
// Параметры:
//	РезультатЗакрытия - Структура - Возвращаемое значение из общей формы ФормаВыбораДоступногоПоля.
//	ДополнительныеПараметры - Произвольный - Дополнительные параметры описания оповещения.
//
Процедура ГруппировкаПередНачаломИзмененияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ГруппировкаПередНачаломИзмененияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## ОтборыПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПриИзменении табличного поля Отбор формы отчета.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ТаблицаФормы - Таблица отбора.
//	ЕстьРеквизитПодразделение - Булево - Признак наличия реквизита подразделение.
//
Процедура ОтборыПриИзменении(Форма, Элемент, ЕстьРеквизитПодразделение = Истина) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтборыПриИзменении(Форма, Элемент, ЕстьРеквизитПодразделение);
```
</details>

## ОтборыПередНачаломДобавления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередНачаломДобавления табличного поля Отбор.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ТаблицаФормы - Таблица отбора.
//	Отказ - Булево - Признак отказа.
//	Копирование - Булево - Признак копирования.
//	Родитель - Произвольный - Ссылка на родителя.
//	Группа - Булево - Признак добавления группы.
//
Процедура ОтборыПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтборыПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа) 
```
</details>

## ОтборыПередНачаломДобавленияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает добавление новой строки в табличную часть Отбор формы отчета.
//
// Параметры:
//	РезультатЗакрытия - Структура - Возвращаемое значение из общей формы ФормаВыбораДоступногоПоля.
//	ДополнительныеПараметры - Произвольный - Дополнительные параметры описания оповещения.
//
Процедура ОтборыПередНачаломДобавленияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтборыПередНачаломДобавленияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## ОтборыПередНачаломИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередНачаломИзменения табличного поля Отбор.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ТаблицаФормы - Таблица отбора.
//	Отказ - Булево - Признак отказа.
//
Процедура ОтборыПередНачаломИзменения(Форма, Элемент, Отказ) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтборыПередНачаломИзменения(Форма, Элемент, Отказ) 
```
</details>

## ОтборыПередНачаломИзмененияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает изменение строки в табличной части Отбор формы отчета.
//
// Параметры:
//	РезультатЗакрытия - Структура - Возвращаемое значение из общей формы ФормаВыбораДоступногоПоля.
//	ДополнительныеПараметры - Произвольный - Дополнительные параметры описания оповещения.
//
Процедура ОтборыПередНачаломИзмененияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтборыПередНачаломИзмененияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## ОтборОбработатьВыборЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора значения отбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ПолеФормы - Поле со значением отбора, для которого осуществляется открытие формы.
//	СтандартнаяОбработка - Булево - Признак выполнения стандартной обработки.
//	Значение - Произвольный - Значение отбора.
//	СписокПараметров - Структура - Содержит
//		* Ключ - Имя поля, по которому ограничивается список доступных для выбора значений.
//		* Значение - Значение поля, по которому ограничивается список доступных для выбора значений.
//	ТипПоля - ОписаниеТипов - Содержит доступные типы для отбора.
//	МножественныйВыбор - Булево - Флаг подбора, если истина то в открываемых формах должен быть включен множественный выбор значений.
//
Процедура ОтборОбработатьВыборЗначения(Форма, Элемент, СтандартнаяОбработка, Значение, СписокПараметров, ТипПоля, МножественныйВыбор = Ложь) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтборОбработатьВыборЗначения(Форма, Элемент, СтандартнаяОбработка, Значение, СписокПараметров, ТипПоля, МножественныйВыбор);
```
</details>

## ОтборыПравоеЗначениеНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события НачалоВыбора для поля отбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ПолеФормы - Поле в колонке табличной части Отбор, для которой вызван обработчик.
//	ДанныеВыбора - СписокЗначений - Список значений для выбора.
//	СтандартнаяОбработка - Булево - Признак выполнения стандартной обработки.
//	СписокПараметров - Структура - Содержит
//		* Ключ - Имя поля, по которому ограничивается список доступных для выбора значений.
//		* Значение - Значение поля, по которому ограничивается список доступных для выбора значений.
//	КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - Компоновщик настроек, которому принадлежит редактируемый отбор.
//		Если не указан, то ожидается что это форма отчета, и у отчета есть свойство КомпоновщикНастроек.
//
Процедура ОтборыПравоеЗначениеНачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка, СписокПараметров, КомпоновщикНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтборыПравоеЗначениеНачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка, СписокПараметров, КомпоновщикНастроек);
```
</details>

## СписокЗначенийОтбораЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка оповещения о закрытии формы СписокЗначенийОтбора.
//
// Параметры
//	 Результат - Произвольный - результат закрытия формы
//	 ДополнительныеПараметры - Структура - дополнительные параметры оповещения, содержит ключи:
//	 * ТекущаяСтрока - ИдентификаторКомпоновкиДанных - Идентификатор строки отбора для которой открывалась форма.
//	 * Отбор - ОтборКомпоновкиДанных - редактируемый отбор, для которого открывалась форма.
//
Процедура СписокЗначенийОтбораЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.СписокЗначенийОтбораЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ДополнительныеПоляПередНачаломДобавления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередНачаломДобавления табличного поля ДополнительныеПоля.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ТаблицаФормы - Таблица ДополнительныеПоля.
//	Отказ - Булево - Признак отказа.
//	Копирование - Булево - Признак копирования.
//	Родитель - Произвольный - Ссылка на родителя.
//	Группа - Булево - Признак добавления группы.
//
Процедура ДополнительныеПоляПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ДополнительныеПоляПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа) 
```
</details>

## ДополнительныеПоляПередНачаломДобавленияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает добавление новой строки в табличную часть ДополнительныеПоля формы отчета.
//
// Параметры:
//	РезультатЗакрытия - Структура - Возвращаемое значение из общей формы ФормаВыбораДоступногоПоля.
//	ДополнительныеПараметры - Произвольный - Дополнительные параметры описания оповещения.
//
Процедура ДополнительныеПоляПередНачаломДобавленияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ДополнительныеПоляПередНачаломДобавленияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## ДополнительныеПоляПередНачаломИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередНачаломИзменения табличного поля ДополнительныеПоля.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ТаблицаФормы - Таблица отбора.
//	Отказ - Булево - Признак отказа.
//
Процедура ДополнительныеПоляПередНачаломИзменения(Форма, Элемент, Отказ) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ДополнительныеПоляПередНачаломИзменения(Форма, Элемент, Отказ) 
```
</details>

## ДополнительныеПоляПередНачаломИзмененияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает изменение строки в табличной части ДополнительныеПоля формы отчета.
//
// Параметры:
//	РезультатЗакрытия - Структура - Возвращаемое значение из общей формы ФормаВыбораДоступногоПоля.
//	ДополнительныеПараметры - Произвольный - Дополнительные параметры описания оповещения.
//
Процедура ДополнительныеПоляПередНачаломИзмененияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ДополнительныеПоляПередНачаломИзмененияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## СортировкаПередНачаломДобавления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередНачаломДобавления табличного поля Сортировка.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ТаблицаФормы - Таблица Сортировка.
//	Отказ - Булево - Признак отказа.
//	Копирование - Булево - Признак копирования.
//	Родитель - Произвольный - Ссылка на родителя.
//	Группа - Булево - Признак добавления группы.
//
Процедура СортировкаПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.СортировкаПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа) 
```
</details>

## СортировкаПередНачаломДобавленияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает добавление новой строки в табличную часть Сортировка формы отчета.
//
// Параметры:
//	РезультатЗакрытия - Структура - Возвращаемое значение из общей формы ФормаВыбораДоступногоПоля.
//	ДополнительныеПараметры - Произвольный - Дополнительные параметры описания оповещения.
//
Процедура СортировкаПередНачаломДобавленияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.СортировкаПередНачаломДобавленияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## СортировкаПередНачаломИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередНачаломИзменения табличного поля Сортировка.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ТаблицаФормы - Таблица отбора.
//	Отказ - Булево - Признак отказа.
//
Процедура СортировкаПередНачаломИзменения(Форма, Элемент, Отказ) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.СортировкаПередНачаломИзменения(Форма, Элемент, Отказ) 
```
</details>

## СортировкаПередНачаломИзмененияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает изменение строки в табличной части Сортировка формы отчета.
//
// Параметры:
//	РезультатЗакрытия - Структура - Возвращаемое значение из общей формы ФормаВыбораДоступногоПоля.
//	ДополнительныеПараметры - Произвольный - Дополнительные параметры описания оповещения.
//
Процедура СортировкаПередНачаломИзмененияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.СортировкаПередНачаломИзмененияЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## ТабличноеПолеПоСчетамГруппировкаПередНачаломДобавления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередНачаломДобавления табличного поля со счетами.
//
// Параметры:
//	ФормаОтчета - ФормаКлиентскогоПриложения - Форма отчета.
//	ИмяЭлемента - Строка - Имя элемента формы.
//	Элемент - ТаблицаФормы - Таблица формы.
//	Отказ - Булево - Признак отказа.
//	Копирование - Булево - Признак копирования.
//	Родитель - Произвольный - Ссылка на родителя.
//	Группа - Булево - Признак добавления группы.
//
Процедура ТабличноеПолеПоСчетамГруппировкаПередНачаломДобавления(ФормаОтчета, ИмяЭлемента, Элемент, Отказ, Копирование, Родитель, Группа) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ТабличноеПолеПоСчетамГруппировкаПередНачаломДобавления(ФормаОтчета, ИмяЭлемента, Элемент, Отказ, Копирование, Родитель, Группа) 
```
</details>

## ТабличноеПолеПоСчетамСчетПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении счета в строке табличного поля формы отчета.
//
// Параметры:
//	ФормаОтчета - ФормаКлиентскогоПриложения - Форма отчета.
//	ИмяЭлемента - Строка - Имя табличного поля формы.
//	Элемент - ПолеФормы - Поле ввода со счетом, значение которого было изменено.
//
Процедура ТабличноеПолеПоСчетамСчетПриИзменении(ФормаОтчета, ИмяЭлемента, Элемент) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ТабличноеПолеПоСчетамСчетПриИзменении(ФормаОтчета, ИмяЭлемента, Элемент) 
```
</details>

## ТабличноеПолеПоСчетамПоСубсчетамПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении флажка "По субсчетам" в строке табличного поля формы отчета.
//
// Параметры:
//	ФормаОтчета - ФормаКлиентскогоПриложения - Форма отчета.
//	ИмяЭлемента - Строка - Имя табличного поля формы.
//	Элемент - ПолеФормы - Поле с флажком.
//
Процедура ТабличноеПолеПоСчетамПоСубсчетамПриИзменении(ФормаОтчета, ИмяЭлемента, Элемент) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ТабличноеПолеПоСчетамПоСубсчетамПриИзменении(ФормаОтчета, ИмяЭлемента, Элемент) 
```
</details>

## ТабличноеПолеПоСчетамПредставлениеНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при начале выбора поля представления в строке табличного поля формы отчета.
//
// Параметры:
//	ФормаОтчета - ФормаКлиентскогоПриложения - Форма отчета.
//	ИмяЭлемента - Строка - Имя табличного поля формы.
//	Элемент - ПолеФормы - Поле с представлением.
//	ДанныеВыбора - СписокЗначений - Список доступных значений для выбора.
//	СтандартнаяОбработка - Булево - Признак стандартной обработки.
//
Процедура ТабличноеПолеПоСчетамПредставлениеНачалоВыбора(ФормаОтчета, ИмяЭлемента, Элемент, ДанныеВыбора, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ТабличноеПолеПоСчетамПредставлениеНачалоВыбора(ФормаОтчета, ИмяЭлемента, Элемент, ДанныеВыбора, СтандартнаяОбработка) 
```
</details>

## ТабличноеПолеПоСчетамПредставлениеОчистка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при очистке поля представления в строке табличного поля формы отчета.
//
// Параметры:
//	ФормаОтчета - ФормаКлиентскогоПриложения - Форма отчета.
//	ИмяЭлемента - Строка - Имя табличного поля формы.
//	Элемент - ПолеФормы - Поле с представлением.
//	СтандартнаяОбработка - Булево - Признак стандартной обработки.
//
Процедура ТабличноеПолеПоСчетамПредставлениеОчистка(ФормаОтчета, ИмяЭлемента, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ТабличноеПолеПоСчетамПредставлениеОчистка(ФормаОтчета, ИмяЭлемента, Элемент, СтандартнаяОбработка) 
```
</details>

## ТабличноеПолеПоСчетамПредставлениеОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "ОбработкаВыбора" поля представления в строке табличного поля формы отчета.
//
// Параметры:
//	ФормаОтчета - ФормаКлиентскогоПриложения - Форма отчета.
//	ИмяЭлемента - Строка - Имя табличного поля формы.
//	Элемент - ПолеФормы - Поле с представлением.
//	ВыбранноеЗначение - Произвольный - Выбранное значение.
//	СтандартнаяОбработка - Булево - Признак стандартной обработки.
//
Процедура ТабличноеПолеПоСчетамПредставлениеОбработкаВыбора(ФормаОтчета, ИмяЭлемента, Элемент, ВыбранноеЗначение, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ТабличноеПолеПоСчетамПредставлениеОбработкаВыбора(ФормаОтчета, ИмяЭлемента, Элемент, ВыбранноеЗначение, СтандартнаяОбработка) 
```
</details>

## РасшифровкаСтандартногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает вызов расшифровки стандартного отчета.
// Выполняется поиск возможных действий расшифровки и открывается их выбор.
//
// Параметры:
//  ФормаОтчета	- ФормаКлиентскогоПриложения - Форма отчета для которого была вызвана расшифровка.
//  Элемент	- ЭлементФормы - Элемент формы (Табличный документ) из события которого была вызвана расшифровка,
//		элемент будет использован для отображения списка действий расшифровки.
//  ИдентификаторРасшифровки - ИдентификаторРасшифровкиКомпоновкиДанных - Идентификатор расшифровки связывает ячейку,
//		для которой вызвана расшифровка, с элементом данных расшифровки отчета.
//
Процедура РасшифровкаСтандартногоОтчета(ФормаОтчета, Элемент, ИдентификаторРасшифровки) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.РасшифровкаСтандартногоОтчета(ФормаОтчета, Элемент, ИдентификаторРасшифровки) 
```
</details>

## РасшифровкаСтандартногоОтчетаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Обрабатывается выбор пункта действий расшифровки.
//
// Параметры:
//  ВыбранныйЭлемент - ЭлементСпискаЗначений - Выбранный пункт из списка действий расшифровки.
//  ДополнительныеПараметры - Структура - Дополнительные параметры содержат:
//		* ИдентификаторРасшифровки - ИдентификаторРасшифровкиКомпоновкиДанных - Идентификатор расшифровки.
//  	* ДанныеРасшифровки - Произвольный - Данные расшифровки.
//		* ИмяОтчета - Строка - Имя отчета из которого была вызвана расшифровка.
//
Процедура РасшифровкаСтандартногоОтчетаЗавершение(ВыбранныйЭлемент, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.РасшифровкаСтандартногоОтчетаЗавершение(ВыбранныйЭлемент, ДополнительныеПараметры) 
```
</details>

## ОбработкаРасшифровкиСтандартногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Производит анализ данных расшифровки, выдает список доступных действий и открывает форму отчета или объекта.
// Вызывается из события РезультатОбработкаРасшифровки табличного документа отчета.
//
// Параметры:
//  ФормаОтчета - ФормаКлиентскогоПриложения - Формат отчет из которого пришел запрос на расшифровку.
//  Элемент - ЭлементФормы - Элемент формы (Табличный документ) из события которого была вызвана расшифровка,
//		элемент будет использован для отображения списка действий расшифровки.
//  Расшифровка - ИдентификаторРасшифровкиКомпоновкиДанных - Идентификатор расшифровки из ячейки,
//		для которой вызвана расшифровка.
//  СтандартнаяОбработка - Булево - Флаг стандартной обработки.
//
Процедура ОбработкаРасшифровкиСтандартногоОтчета(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОбработкаРасшифровкиСтандартногоОтчета(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ВыбратьИзМенюЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Обрабатывается выбор из списка действий расшифровки,
// производится открытие формы отчета или объекта.
//
// Параметры:
//  Результат - ЭлементСпискаЗначений - Выбранный пункт действий расшифровки.
//  ДополнительныеПараметры	- Структура - Дополнительные параметры, содержат Форму расшифровываемого отчета ФормаОтчета
// 		и структуру ЗаполняемыеНастройки, в которой указано какие настройки нужно заполнить по умолчанию.
//
Процедура ВыбратьИзМенюЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ВыбратьИзМенюЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ОткрытьВариантОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает предопределенный вариант отчета.
//
// Параметры:
//  Вариант  - Структура - описание варианта отчета:
//     * ИмяОтчета           - Строка - имя отчета.
//     * КлючВарианта        - Строка - ключ варианта отчета.
//
Процедура ОткрытьВариантОтчета(Вариант) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОткрытьВариантОтчета(Вариант) 
```
</details>

## ИнтервалЗапускаФормированияОтчетаПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает интервал начала формирования отчета после открытия формы.
//
// Возвращаемое значение:
//	Число - Интервал в секундах.
//
Функция ИнтервалЗапускаФормированияОтчетаПриОткрытии() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыКлиент.ИнтервалЗапускаФормированияОтчетаПриОткрытии() 
```
</details>

## ДобавитьПоляРесурсовВЗапрещенныеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Добавляет поля ресурсов в список запрещенных для выбора полей отчета.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	СписокПолей - Массив - Массив имен полей, которые необходимо добавить к запрещенным.
//
Процедура ДобавитьПоляРесурсовВЗапрещенныеПоля(Форма, СписокПолей) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ДобавитьПоляРесурсовВЗапрещенныеПоля(Форма, СписокПолей) 
```
</details>

## ПередСохранениемНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Модифицирует свойства формы, обеспечивая срабатывание обработчиков сохранения настроек.
//
// Параметры:
//  Форма					 - ФормаКлиентскогоПриложения - форма отчета.
//  ОтчетВызванИзКонтекста	 - Булево - Истина, если отчет вызван из контекста
//                             и показывает какие-то ситуативные данные этого контекста,
//                             например, расшифровку показателя или результата регламентной операции.
//
Процедура ПередСохранениемНастроек(Форма, ОтчетВызванИзКонтекста) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ПередСохранениемНастроек(Форма, ОтчетВызванИзКонтекста) 
```
</details>

## ОтчетСохранитьКак
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предлагает сохранить табличное поле отчета в наиболее часто используемом формате.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - форма отчета.
//  ИмяТабличногоДокумента - Строка - имя реквизита с данными табличного документа.
//
Процедура ОтчетСохранитьКак(Форма, ИмяТабличногоДокумента = "Результат") Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтчетСохранитьКак(Форма, ИмяТабличногоДокумента);
```
</details>

## ОтчетСохранитьКакПриПодключенииРасширенияРаботыСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтчетСохранитьКакПриПодключенииРасширенияРаботыСФайлами(РасширениеПодключено, Контекст) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтчетСохранитьКакПриПодключенииРасширенияРаботыСФайлами(РасширениеПодключено, Контекст) 
```
</details>

## ОтчетСохранитьКакЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтчетСохранитьКакЗавершение(ВыбранныеФайлы, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтчетСохранитьКакЗавершение(ВыбранныеФайлы, ДополнительныеПараметры) 
```
</details>

## НачатьРасчетСуммыВыделенныхЯчеек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает расчет суммы выделенных ячеек.
// Вызывается из обработчика ПриАктивизации() поля табличного документа.
//
// Параметры:
//  ПолеТабличногоДокумента - ПолеФормы - поле формы, в котором выделены ячейки.
//  ИмяОбработчикаОжидания  - Строка - имя обработчика ожидания, объявленного в форме.
//                Обработчик должен вызывать ВычислитьСуммуВыделенныхЯчеекТабличногоДокумента,
//                а по ее команде инициировать передачу контекста на сервер, где вызывать
//                БухгалтерскиеОтчетыВызовСервера.ВычислитьСуммуВыделенныхЯчеекТабличногоДокумента.
//
Процедура НачатьРасчетСуммыВыделенныхЯчеек(ПолеТабличногоДокумента, Форма, ИмяОбработчикаОжидания) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.НачатьРасчетСуммыВыделенныхЯчеек(ПолеТабличногоДокумента, Форма, ИмяОбработчикаОжидания) 
```
</details>

## ВычислитьСуммуВыделенныхЯчеекТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет суммы выделенных ячеек табличного документа.
//
// Параметры:
//	ПолеСумма - Число - Сумма ячеек.
//	Результат - ТабличныйДокумент - Табличный документ с ячейками.
//	ПолеРезультат - ПолеФормы - поле формы, в котором выделены ячейки.
//	КэшВыделеннойОбласти - Структура - Содержит ранее рассчитанные значения ячеек.
//	НеобходимоВычислятьНаСервере - Булево - Признак того, что необходим вызов сервера.
//
// Возвращаемое значение:
//  Булево - Признак того, что необходим вызов сервера (то же значение, что и НеобходимоВычислятьНаСервере).
//
Функция ВычислитьСуммуВыделенныхЯчеекТабличногоДокумента(ПолеСумма, Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыКлиент.ВычислитьСуммуВыделенныхЯчеекТабличногоДокумента(ПолеСумма, );
```
</details>

## ОбработатьРезультатПроверкиАктуальности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает полученный результат проверки актуальности закрытия месяца для вывода информации в отчет.
//
//	Параметры:
//		Результат - Структура - см. возвращаемое значение ДлительныеОперации.ВыполнитьВФоне();
//		Форма - ФормаКлиентскогоПриложения - форма отчета, имеет основной реквизит "Отчет".
//
Процедура ОбработатьРезультатПроверкиАктуальности(Результат, Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОбработатьРезультатПроверкиАктуальности(Результат, Форма) 
```
</details>

## ОтобразитьСостояниеАктуализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит на форму отчета информацию о том, что выполняется фоновое задание получения актуальности данных закрытия месяца.
//
//	Параметры:
//		Форма - ФормаКлиентскогоПриложения - форма отчета, имеет основной реквизит "Отчет".
//
Процедура ОтобразитьСостояниеАктуализации(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.ОтобразитьСостояниеАктуализации(Форма) 
```
</details>

## СброситьСостояниеАктуализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбрасывает все данные по состоянию актуализации (используется когда данные закрытия месяца актуальны на дату отчета).
//
//	Параметры:
//		Элементы - КоллекцияЭлементовФормы - элементы формы, которые должны содержать:
//			* ИдетПроверкаАктуальности - ГруппаФормы - отображает факт выполнения проверки актуальности;
//			* ТребуетсяАктуализация - ГруппаФормы - отображает, что данные закрытия месяца не актуальны;
//			* ИдетАктуализация - ГруппаФормы - отображает, что сейчас выполняется операция закрытия месяца;
//			* ДанныеАктуализированы - ГруппаФормы - отображает факт актуальности данных.
//
Процедура СброситьСостояниеАктуализации(Элементы) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыКлиент.СброситьСостояниеАктуализации(Элементы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
