---
title: Бухгалтерские отчеты переопределяемый
slug: erp-uh/бухгалтерские-отчеты-переопределяемый
---


## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при создании формы отчета на сервере для возможности дополнительной настройки.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//
Процедура ПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ПриСозданииНаСервере(Форма) 
```
</details>

## УстановитьНастройкиПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при установке настроек по умолчанию для формы отчета.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//
Процедура УстановитьНастройкиПоУмолчанию(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.УстановитьНастройкиПоУмолчанию(Форма) 
```
</details>

## УстановитьМакетОформленияОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет установку макета оформления для отчета.
//
// Параметры:
//	ПараметрыОтчета - Структура - передается из формы отчета при запуске фонового задания отчета.
//		Может содержать ключ:
//			* МакетОформления - Строка - Название макета оформления.
//	НастройкаКомпоновкиДанных - НастройкиКомпоновкиДанных - Настройки, которые будут использоваться для отчета.
//	СтандартнаяОбработка - Булево - Если установить внутри процедуры в Ложь, то стандартная обработка не будет выполняться.
//
Процедура УстановитьМакетОформленияОтчета(ПараметрыОтчета, НастройкаКомпоновкиДанных, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.УстановитьМакетОформленияОтчета(ПараметрыОтчета, НастройкаКомпоновкиДанных, СтандартнаяОбработка) 
```
</details>

## ПустыеПараметрыОтчетаВедомостьАмортизацииОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Добавляет к структуре параметров ключи, специфичные для данного отчета.
//
// Параметры:
//  ПараметрыОтчета - см. ЗаполнениеФинОтчетностиВБанки.ПустыеПараметрыОтчетаВедомостьАмортизацииОС()
//
Процедура ПустыеПараметрыОтчетаВедомостьАмортизацииОС(ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ПустыеПараметрыОтчетаВедомостьАмортизацииОС(ПараметрыОтчета) 
```
</details>

## ПустыеПараметрыОтчетаВаловаяПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет к структуре параметров ключи, специфичные для данного отчета.
//
// Параметры:
//  ПараметрыОтчета - см. ЗаполнениеФинОтчетностиВБанки.ПустыеПараметрыОтчетаВаловаяПрибыль()
//
Процедура ПустыеПараметрыОтчетаВаловаяПрибыль(ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ПустыеПараметрыОтчетаВаловаяПрибыль(ПараметрыОтчета) 
```
</details>

## ПриЗагрузкеПользовательскихНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Заполняет настройки СКД на основе настроек, переданных в структуре.
//
// Параметры:
//   КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - из настраиваемого отчета.
//   НовыеПользовательскиеНастройкиКД - ПользовательскиеНастройкиКомпоновкиДанных - в ДополнительныеСвойства содержат параметры настройки.
//
// См. реализацию процедуры ПриЗагрузкеПользовательскихНастроекНаСервере() в модуле объекта отчета, вызываемую согласно
// настройкам из ОтчетыКлиентСервер.НастройкиОтчетаПоУмолчанию()
//
Процедура ПриЗагрузкеПользовательскихНастроек(Отчет, НовыеПользовательскиеНастройкиКД, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ПриЗагрузкеПользовательскихНастроек(Отчет, НовыеПользовательскиеНастройкиКД, КомпоновщикНастроек) 
```
</details>

## ПриЗагрузкеПользовательскихНастроекНастройкаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в обработчике одноименного события формы отчета после выполнения кода формы.
//
// Параметры:
//   КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - из настраиваемого отчета.
//   НовыеПользовательскиеНастройкиКД - ПользовательскиеНастройкиКомпоновкиДанных - в ДополнительныеСвойства содержат параметры настройки.
//   Форма - ФормаКлиентскогоПриложения - форма отчета.
//
// См. реализацию процедуры ПриЗагрузкеПользовательскихНастроекНаСервере() в модуле объекта отчета, вызываемую согласно
// настройкам из ОтчетыКлиентСервер.НастройкиОтчетаПоУмолчанию()
//
Процедура ПриЗагрузкеПользовательскихНастроекНастройкаФормы(Форма, НовыеПользовательскиеНастройкиКД, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ПриЗагрузкеПользовательскихНастроекНастройкаФормы(Форма, НовыеПользовательскиеНастройкиКД, КомпоновщикНастроек) 
```
</details>

## ОписаниеОтборовОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление для списка активных отборов в отчете.
//
// Параметры:
//  ПараметрыОтчета - Структура - может содержать свойство "Подразделение".
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - источник отборов.
//  СтандартнаяОбработка - Булево - возвращаемое значение. Если Ложь, то ТекстОтбор считается заполненным.
//  ТекстОтбор   - возвращаемое значение. Представление отборов.
//
Процедура ОписаниеОтборовОтчета(ПараметрыОтчета, КомпоновщикНастроек, СтандартнаяОбработка, ТекстОтбор) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ОписаниеОтборовОтчета(ПараметрыОтчета, КомпоновщикНастроек, СтандартнаяОбработка, ТекстОтбор) 
```
</details>

## СчетаУчетаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет список счетов учета товаров.
//
// Параметры:
//  СчетаУчетаТоваров - Массив из ПланСчетовСсылка.Хозрасчетный - счета и субсчета учета товаров.
//
Процедура СчетаУчетаТоваров(СчетаУчетаТоваров) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.СчетаУчетаТоваров(СчетаУчетаТоваров) 
```
</details>

## УстановитьПараметрыВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед компоновкой макета бух. отчетов, выводит информацию по валютам регл., упр. и фин. отчетности,
//	если соответствующие показатели выбраны.
//	Параметры:
//		КомпоновщикНастроек - компоновщик настроек отчета;
//		ПараметрыОтчета - Структура - см. функцию "ПодготовитьПараметрыОтчета" форм бух. отчетности.
//
Процедура УстановитьПараметрыВалют(Схема, КомпоновщикНастроек, ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.УстановитьПараметрыВалют(Схема, КомпоновщикНастроек, ПараметрыОтчета) 
```
</details>

## ВысотаВыводимыхПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после вывода результата, для корректировки фиксации сверху отчета (вывод доп. параметров влияет на высоту отчета)
//
//	Параметры:
//		Схема - СхемаКомпоновкиДанных - схема компоновки данных отчета.
//  	КоличествоСтрокПараметров - Число - число по которому будем фиксировать шапку отчета.
//
Процедура ВысотаВыводимыхПараметров(Схема, КоличествоСтрокПараметров) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ВысотаВыводимыхПараметров(Схема, КоличествоСтрокПараметров) 
```
</details>

## ДополнительныеПоказателиБухгалтерскихОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в местах, где требуется получить полный список показателей отчета. Дополняет список показателями, существующими только в
// данной конфигурации.
//
// Параметры:
//  МассивПоказателей - Массив - см. ПолучитьНаборПоказателей() в модуле менеджера отчета.
//  НеДобавлятьРазницу - Булево - не добавляеть в список показателей те, которые является производными от других, и служат лишь для сверки.
//
Процедура ДополнительныеПоказателиБухгалтерскихОтчетов(МассивПоказателей, НеДобавлятьРазницу = Ложь) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ДополнительныеПоказателиБухгалтерскихОтчетов(МассивПоказателей, НеДобавлятьРазницу);
```
</details>

## ДополнительныеПараметрыОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при переносе значений параметров отчета из формы в структуру параметров. Дополняет список флагов, определяющих использование
// показателей отчета, теми показателями, которые существуют только в данной конфигурации.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ПодготовитьПараметрыОтчета() в форме отчета.
//  Отчет        - ОтчетОбъект - объект с реквизитами отчета.
//  НеДобавлятьРазницу - Булево - не добавляеть в список показателей те, которые является производными от других, и служат лишь для сверки.
//
Процедура ДополнительныеПараметрыОтчета(ПараметрыОтчета, Отчет, НеДобавлятьРазницу = Ложь) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ДополнительныеПараметрыОтчета(ПараметрыОтчета, Отчет, НеДобавлятьРазницу);
```
</details>

## ДополнительноеУправлениеПоказателями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при инициализации реквизитов отчета. Устанавливает флаги использования показателей отчета, которые существуют
// только в данной конфигурации.
//
// Параметры:
//  Отчет        - ОтчетОбъект - объект с реквизитами отчета.
//
Процедура ДополнительноеУправлениеПоказателями(Отчет) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ДополнительноеУправлениеПоказателями(Отчет) 
```
</details>

## ДобавитьДополнительныеГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается для установки настроек отчета по-умолчанию. Добавляет использование группировок отчета, которые существуют только в
// данной конфигурации.
//
// Параметры:
//  Отчет        - ОтчетОбъект - объект с реквизитами отчета.
//
Процедура ДобавитьДополнительныеГруппировки(Отчет) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ДобавитьДополнительныеГруппировки(Отчет) 
```
</details>

## ДобавитьДополнительныеОтборы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается для установки настроек отчета по-умолчанию. Добавляет использование отборов отчета, которые существуют только в
// данной конфигурации.
//
// Параметры:
//  Отчет        - ОтчетОбъект - объект с реквизитами отчета.
//
Процедура ДобавитьДополнительныеОтборы(Отчет) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ДобавитьДополнительныеОтборы(Отчет) 
```
</details>

## ДополнитьНастройкуРасшифровкиПоказателямиУправленческогоУчетаИОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняем показатели расшифровки данными по упр. и фин. отчетности.
//	Параметры:
//		НастройкиРасшифровки - Структура;
//		Отчет - ОтчетОбъект - отчет, для которого производится расшифровка;
//
Процедура ДополнитьНастройкуРасшифровкиПоказателямиУправленческогоУчетаИОтчетности(НастройкиРасшифровки, Отчет) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ДополнитьНастройкуРасшифровкиПоказателямиУправленческогоУчетаИОтчетности(НастройкиРасшифровки, Отчет) 
```
</details>

## ДобавитьПоказателиУправленческогоУчетаИОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму отчета новые элементы формы - показатели упр. и фин. отчетности
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//
Процедура ДобавитьПоказателиУправленческогоУчетаИОтчетности(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ДобавитьПоказателиУправленческогоУчетаИОтчетности(Форма) 
```
</details>

## ПередПроверкойЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед проверкой заполнения отчета, обнуляет показатели отчета, если они ранее были скрыты по ФО.
//	Параметры:
//		Отчет - ОтчетОбъект - отчет, для которого проводится проверка заполнения.
//
Процедура ПередПроверкойЗаполнения(Отчет) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ПередПроверкойЗаполнения(Отчет) 
```
</details>

## РазрешенныеНаборыСуммовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет ограничить суммовые показатели справки-расчета.
//
// Параметры:
//   ПоддерживаемыеНаборы - см. СправкиРасчетыКлиентСервер.ВсеНаборыСуммовыхПоказателей -
//
// Возвращаемое значение:
//   см. СправкиРасчетыКлиентСервер.ВсеНаборыСуммовыхПоказателей -
//
Функция РазрешенныеНаборыСуммовыхПоказателей(ПоддерживаемыеНаборы) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскиеОтчетыПереопределяемый.РазрешенныеНаборыСуммовыхПоказателей(ПоддерживаемыеНаборы) 
```
</details>

## ОтключитьНедоступныеПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для недоступных по функциональным опциям показателей отчета принудительно проставляет значение Ложь.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. в модуле менеджера отчета функцию ПустыеПараметрыКомпоновкиОтчета().
//
Процедура ОтключитьНедоступныеПоказатели(ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ОтключитьНедоступныеПоказатели(ПараметрыОтчета) 
```
</details>

## ПодобратьДополнительныйНаборДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подбирает вариант дополнительного набора данных, поля которого должны быть доступны для использования в СКД.
//
// Параметры:
//  ТипПоля      - ОписаниеТипов - анализируемый набор типов поля СКД.
//  ИмяНабора    - Строка - возвращаемый параметр. Имя дополнительного набора данных: ОС, НМА или ФизЛица.
//
Процедура ПодобратьДополнительныйНаборДанных(ТипПоля, ИмяНабора) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ПодобратьДополнительныйНаборДанных(ТипПоля, ИмяНабора) 
```
</details>

## ДобавитьВидСуммОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает настройки отчета ШахматнаяВедомость, специфичные для данной конфигурации.
//
Процедура ДобавитьВидСуммОтчета(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ДобавитьВидСуммОтчета(Форма) 
```
</details>

## УдалитьСсылкуНаСправкуИзОписанияФорматированнойСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при открытии отчета. Удаляет с формы ссылки на элементы справки, не поддерживаемые в данной конфигурации.
//
Процедура УдалитьСсылкуНаСправкуИзОписанияФорматированнойСтроки(Форма) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.УдалитьСсылкуНаСправкуИзОписанияФорматированнойСтроки(Форма) 
```
</details>

## ОбработатьПолеНабораДанныхСвязаннойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает свойства поля связанного набора данных для стандартных бухгалтерских отчетов.
//
// Параметры:
//	ПолеНабора - ПолеНабораДанныхСхемыКомпоновкиДанных  - Поле набора данных.
//	Схема - СхемаКомпоновкиДанных - Схема отчета.
//	ИмяНабора - Строка - Имя связанного набора.
//	ПараметрыПоляВладельца - Структура - Содержит ключ:
//		* ИндексСубконто - Число - Номер субконто.
//		* ЗаголовокСубконто - Строка - Название вида субконто.
//	ИмяПоляПрефикс - Строка - Префикс для имени поля.
//
Процедура ОбработатьПолеНабораДанныхСвязаннойИнформации(ПолеНабора, Схема, ИмяНабора, ПараметрыПоляВладельца, ИмяПоляПрефикс = "Субконто") Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ОбработатьПолеНабораДанныхСвязаннойИнформации(ПолеНабора, Схема, ИмяНабора, ПараметрыПоляВладельца, ИмяПоляПрефикс);
```
</details>

## ПроверитьАктуальность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "ПриЗагрузкеПользовательскихНастроекНаСервере" формы отчета.
//
// Параметры:
//	ФормаОтчета   - ФормаКлиентскогоПриложения - Форма отчета.
//
Процедура ПроверитьАктуальность(ФормаОтчета) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ПроверитьАктуальность(ФормаОтчета) 
```
</details>

## ОпределениеВидаСуммыОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределениеВидаСуммыОтчета(Отчет, ВидСуммыФормированияОтчета) Экспорт
```

Пример вызова
```bsl
БухгалтерскиеОтчетыПереопределяемый.ОпределениеВидаСуммыОтчета(Отчет, ВидСуммыФормированияОтчета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
