---
title: Бухгалтерский учет вызов сервера повт исп
slug: erp-uh/бухгалтерский-учет-вызов-сервера-повт-исп
---


## ПолучитьСвойстваСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру со свойствами счета.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Счет, свойства которого необходимо вернуть.
//
// Возвращаемое значение:
//	Структура - См. БухгалтерскийУчетПереопределяемый.ПолучитьСвойстваСчета().
//
Функция ПолучитьСвойстваСчета(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ПолучитьСвойстваСчета(Счет) 
```
</details>

## ВсеТипыСвязанныхСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает типы значений субконто, связанных с именами реквизитов.
//
// Возвращаемое значение:
//   Соответствие   - ключ - имя реквизита, значение - описание типов связанных значений субконто.
//
Функция ВсеТипыСвязанныхСубконто() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ВсеТипыСвязанныхСубконто() 
```
</details>

## ИспользоватьОднуНоменклатурнуюГруппу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает признак использования одной номенклатурной группы.
//
// Возвращаемое значение:
//	Булево - Признак использования одной номенклатурной группы.
//
Функция ИспользоватьОднуНоменклатурнуюГруппу() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ИспользоватьОднуНоменклатурнуюГруппу() 
```
</details>

## ЭтоСчетЗабалансовогоУчетаДоходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный счет является счетом доходов, не учитываемых для целей налогообложения.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Проверяемый счет.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСчетЗабалансовогоУчетаДоходов(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСчетЗабалансовогоУчетаДоходов(Счет) 
```
</details>

## ЭтоСчетЗабалансовогоУчетаРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный счет является счетом расходов, не учитываемых для целей налогообложения.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Проверяемый счет.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСчетЗабалансовогоУчетаРасходов(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСчетЗабалансовогоУчетаРасходов(Счет) 
```
</details>

## ЭтоСчетУчетаВЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный счет является забалансовым счетом учета материалов в эксплуатации.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Проверяемый счет.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСчетУчетаВЭксплуатации(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСчетУчетаВЭксплуатации(Счет) 
```
</details>

## ЭтоСчетУчетаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный счет является счетом учета НДС.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Проверяемый счет.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСчетУчетаНДС(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСчетУчетаНДС(Счет) 
```
</details>

## ЭтоСчетЦелевоеФинансирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный счет является счетом учета целевого финансирования.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Проверяемый счет.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСчетЦелевоеФинансирование(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСчетЦелевоеФинансирование(Счет) 
```
</details>

## ЭтоСчетПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный счет является счетом учета прочих расходов.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Проверяемый счет.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСчетПрочиеРасходы(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСчетПрочиеРасходы(Счет) 
```
</details>

## ЭтоСчетПрочиеДоходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный счет является счетом учета прочих доходов.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Проверяемый счет.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСчетПрочиеДоходы(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСчетПрочиеДоходы(Счет) 
```
</details>

## ЭтоСчетРасчетыСПерсоналомПоОплатеТруда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный счет является счетом учета расчетов с персоналом по оплате труда.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Проверяемый счет.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСчетРасчетыСПерсоналомПоОплатеТруда(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСчетРасчетыСПерсоналомПоОплатеТруда(Счет) 
```
</details>

## ЭтоСубконтоПрочиеДоходыИРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный вид субконто является прочим доходом и расходом.
//
// Параметры:
//	ВидСубконто - ПланВидовХарактеристикСсылка.ВидыСубконтоХозрасчетные - Проверяемый вид субконто.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСубконтоПрочиеДоходыИРасходы(Знач ВидСубконто) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСубконтоПрочиеДоходыИРасходы(ВидСубконто) 
```
</details>

## ЭтоСубконтоСтатьиЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный вид субконто является статьей затрат.
//
// Параметры:
//	ВидСубконто - ПланВидовХарактеристикСсылка.ВидыСубконтоХозрасчетные - Проверяемый вид субконто.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСубконтоСтатьиЗатрат(Знач ВидСубконто) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСубконтоСтатьиЗатрат(ВидСубконто) 
```
</details>

## СчетВнереализационныеРасходыНеУчитываемые
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает счет внереализационных расходов, не учитываемых для целей налогообложения.
//
// Возвращаемое значение:
//	ПланСчетовСсылка.Хозрасчетный - Счет.
//
Функция СчетВнереализационныеРасходыНеУчитываемые() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.СчетВнереализационныеРасходыНеУчитываемые() 
```
</details>

## СчетВыплатыВпользуФизЛицПоП_1_48
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает счет выплат в пользу физических лиц, не учитываемых для целей налогообложения.
//
// Возвращаемое значение:
//	ПланСчетовСсылка.Хозрасчетный - Счет.
//
Функция СчетВыплатыВпользуФизЛицПоП_1_48() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.СчетВыплатыВпользуФизЛицПоП_1_48() 
```
</details>

## СчетДругиеВыплатыПоП_1_48
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает счет других выплат, не учитываемых для целей налогообложения.
//
// Возвращаемое значение:
//	ПланСчетовСсылка.Хозрасчетный - Счет.
//
Функция СчетДругиеВыплатыПоП_1_48() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.СчетДругиеВыплатыПоП_1_48() 
```
</details>

## СчетДоходыНеУчитываемые
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает счет доходов, не учитываемых для целей налогообложения.
//
// Возвращаемое значение:
//	ПланСчетовСсылка.Хозрасчетный - Счет.
//
Функция СчетДоходыНеУчитываемые() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.СчетДоходыНеУчитываемые() 
```
</details>

## ЭтоСчетКапитализацииРасходовПоВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный счет является счетом учета внеоборотных активов.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Проверяемый счет.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСчетКапитализацииРасходовПоВНА(Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСчетКапитализацииРасходовПоВНА(Счет) 
```
</details>

## ЭтоСубконтоОбъектВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если переданный вид субконто используется для учета внеоборотных активов.
//
// Параметры:
//	ВидСубконто - ПланВидовХарактеристикСсылка.ВидыСубконтоХозрасчетные - Проверяемый вид субконто.
//
// Возвращаемое значение:
//	Булево - Признак.
//
Функция ЭтоСубконтоОбъектВНА(Знач ВидСубконто) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ЭтоСубконтоОбъектВНА(ВидСубконто) 
```
</details>

## ТипСумма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типов для суммового показателя.
//
// Возвращаемое значение:
//	ОписаниеТипов - Описание типов для суммового показателя.
//
Функция ТипСумма() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ТипСумма() 
```
</details>

## НаСчетеВедетсяУчетПоРаботникам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НаСчетеВедетсяУчетПоРаботникам(Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.НаСчетеВедетсяУчетПоРаботникам(Счет) 
```
</details>

## ПользователюДоступныСуммыНалогНаПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет в целом для сеанса работы, может ли потребоваться рассчитывать, заполнять и отображать в проводках
// пользователю суммы налогового учета и постоянных/временных разниц.
//
// Возвращаемое значение:
//  Строка - варианты использования разниц:
//         * "ПоддержкаПБУ18", если может потребоваться использовать как НУ, так и суммы ПР/ВР в проводках;
//         * "ПлательщикНалогаНаПрибыль", если потребуются суммы НУ;
//         * "НеИспользовать", если ничего кроме сумм БУ не требуется использовать.
//
Функция ПользователюДоступныСуммыНалогНаПрибыль() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетВызовСервераПовтИсп.ПользователюДоступныСуммыНалогНаПрибыль() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
