---
title: Бухгалтерский учет клиент сервер переопределяемый
slug: erp-uh/бухгалтерский-учет-клиент-сервер-переопределяемый
---


## ПолучитьОписаниеТиповДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция описание типа договора.
//
// Параметры:
//	ЗначениеКонтрагента - СправочникСсылка.Контрагенты, СправочникСсылка.Организации, Неопределено -
//		Ссылка для определения типа контрагента, договоры которого необходимо получить.
//
// Возвращаемое значение:
//	ОписаниеТипов - Описание типов справочник, содержащих договоры.
//
Функция ПолучитьОписаниеТиповДоговора(ЗначениеКонтрагента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ПолучитьОписаниеТиповДоговора(ЗначениеКонтрагента);
```
</details>

## ТипЗначенияБанковскогоСчетаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает тип банковского счета организации.
//
// Возвращаемое значение:
//	Тип - Тип справочника с банковскими счетами организации.
//
Функция ТипЗначенияБанковскогоСчетаОрганизации() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ТипЗначенияБанковскогоСчетаОрганизации() 
```
</details>

## ПолучитьОписаниеТиповБанковскогоСчетаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьОписаниеТиповБанковскогоСчетаОрганизации ОписаниеТипов
// для банковских счетов организаций.
//
// Возвращаемое значение:
//	ОписаниеТипов - Описание типов справочника с банковскими счетами организаций.
//
Функция ПолучитьОписаниеТиповБанковскогоСчетаОрганизации() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ПолучитьОписаниеТиповБанковскогоСчетаОрганизации() 
```
</details>

## ПолучитьОписаниеТиповНоменклатурнойГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьОписаниеТиповНоменклатурнойГруппы возвращает
// тип для номенклатурной группы.
//
// Возвращаемое значение:
//	ОписаниеТипов - Описание типа справочника для вида субконто "Номенклатурные группы".
//
Функция ПолучитьОписаниеТиповНоменклатурнойГруппы() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ПолучитьОписаниеТиповНоменклатурнойГруппы() 
```
</details>

## ОписаниеТиповПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ОписаниеТиповПодразделения возвращает
// описание типов для справочника подразделений.
//
// Возвращаемое значение:
//	ОписаниеТипов - Описание типов справочника для подразделений.
//
Функция ОписаниеТиповПодразделения() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ОписаниеТиповПодразделения() 
```
</details>

## ТипПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает тип для справочника подразделений.
//
// Возвращаемое значение:
//	Тип - Тип справочника подразделений.
//
Функция ТипПодразделения() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ТипПодразделения() 
```
</details>

## ТипОсновныеСредства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Функция возвращает тип для справочника основные средства.
//
// Возвращаемое значение:
//	Тип - Тип справочника с основными средствами.
//
Функция ТипОсновныеСредства() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ТипОсновныеСредства() 
```
</details>

## ДокументЯвляетсяРеализацией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ДокументЯвляетсяРеализацией возвращает Истина, если переданный по ссылке документ
// является документом реализации (товаров, услуг, ОС, НМА).
//
// Параметры:
//	СсылкаНаДокумент - ДокументСсылка.* - Проверяемый документ.
//
// Возвращаемое значение:
//	Булево - Истина - если документ является реализацией.
//
Функция ДокументЯвляетсяРеализацией(СсылкаНаДокумент) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ДокументЯвляетсяРеализацией(СсылкаНаДокумент) 
```
</details>

## ПолучитьИмяРеквизитаКонтрагентДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьИмяРеквизитаКонтрагентДоговора имя реквизита в справочнике
// ДоговорыКонтрагентов, в котором храниться ссылка на контрагента-владельца.
//
// Возвращаемое значение:
//	Строка - Имя реквизита Контрагент в договоре.
//
Функция ПолучитьИмяРеквизитаКонтрагентДоговора() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ПолучитьИмяРеквизитаКонтрагентДоговора() 
```
</details>

## ПолучитьИменаРеквизитовОрганизацияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имена реквизитов объекта с типом "Организация" по переданному типу объекта.
//
//	Параметры:
//		ТипПоля - Тип - тип объекта, для которого требуется вернуть имена реквизитов, содержащих ссылки на организацию.
//
//	Возвращаемое значение:
//		Массив  - массив имен реквизитов.
//
Функция ПолучитьИменаРеквизитовОрганизацияДоговора(ТипПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ПолучитьИменаРеквизитовОрганизацияДоговора(ТипПоля);
```
</details>

## ПолучитьИмяРеквизитаВидДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьИмяРеквизитаВидДоговора имя реквизита в справочнике
// ДоговорыКонтрагентов, по которому определяется вид договора.
//
// Возвращаемое значение:
//	Строка - Имя реквизита, определяющего вид договора.
//
Функция ПолучитьИмяРеквизитаВидДоговора() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ПолучитьИмяРеквизитаВидДоговора() 
```
</details>

## ПолучитьИмяРеквизитаНоменклатурнаяГруппаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьИмяРеквизитаНоменклатурнаяГруппаНоменклатуры возвращает
// имя реквизита НоменклатурнаяГруппа в справочнике Номенклатура.
//
// Возвращаемое значение:
//	Строка - Имя реквизита номенклатуры, определяющего номенклатурную группу.
//
Функция ПолучитьИмяРеквизитаНоменклатурнаяГруппаНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ПолучитьИмяРеквизитаНоменклатурнаяГруппаНоменклатуры() 
```
</details>

## ПолучитьИмяСправочникаНоменклатурныеГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает имя справочника, являющегося субконто "НоменклатурныеГруппы".
//
// Возвращаемое значение:
//	Строка - Имя справочника, используемого в субконто "Номенклатурные группы".
//
Функция ПолучитьИмяСправочникаНоменклатурныеГруппы() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ПолучитьИмяСправочникаНоменклатурныеГруппы() 
```
</details>

## ИмяРеквизитаОрганизацияПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает строку с именем реквизита в справочнике подразделений,
// определяющего владельца подразделения, либо пустую строку, если справочник
// подразделений не является подчиненным справочником.
//
// Возвращаемое значение:
//	Строка - Имя реквизита организации в справочнике подразделений.
//
Функция ИмяРеквизитаОрганизацияПодразделения() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ИмяРеквизитаОрганизацияПодразделения() 
```
</details>

## РасшифровкаСрокаПолезногоИспользования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает расшифровку срока полезного использования в годах и
// месяцах.
//
// Параметры:
//  СрокПолезногоИспользования - Число - Срок полезного использования (в месяцах),
//                 подлежащий расшифровке.
//
// Возвращаемое значение:
//  Строка       - расшифровка срока полезного использования в годах и
//                 месяцах.
//
Функция РасшифровкаСрокаПолезногоИспользования(СрокПолезногоИспользования) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.РасшифровкаСрокаПолезногоИспользования(СрокПолезногоИспользования) 
```
</details>

## ДополнитьПараметрыВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет параметры выбора, которые используются в полях ввода.
//
// Параметры:
//  ТипПоляОбъекта	 - Тип - Тип значения в поле для которого заполняются параметры выбора.
//  СписокПараметров - Структура - Содержит значения других полей.
//  МассивПараметров - Массив - Содержит сформированные параметры выбора.
//
Процедура ДополнитьПараметрыВыбора(ТипПоляОбъекта, СписокПараметров, МассивПараметров) Экспорт
```

Пример вызова
```bsl
БухгалтерскийУчетКлиентСерверПереопределяемый.ДополнитьПараметрыВыбора(ТипПоляОбъекта, СписокПараметров, МассивПараметров) 
```
</details>

## ПолучитьСсылкуВидРегламентнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Функция возвращает ссылку на значение перечисления "ТипыРегламентныхОпераций"
// по имени операции
//
// Параметры:
//  ИмяРеглОперации	 - Строка - имя регл. операции
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыРегламентныхОпераций - ссылка на значение
//
Функция ПолучитьСсылкуВидРегламентнойОперации(ИмяРеглОперации) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетКлиентСерверПереопределяемый.ПолучитьСсылкуВидРегламентнойОперации(ИмяРеглОперации) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
