---
title: Бухгалтерский учет переопределяемый
slug: erp-uh/бухгалтерский-учет-переопределяемый
---


## ПолучитьОрганизациюПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает организацию по договору.
//
// Параметры:
//	Договор - СправочникСсылка.ДоговорыКонтрагентов - Ссылка на договор.
//
// Возвращаемое значение:
//	СправочникСсылка.Организации - Организация, заключившая договор.
//
Функция ПолучитьОрганизациюПоДоговору(Договор) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьОрганизациюПоДоговору(Договор) 
```
</details>

## ПолучитьКонтрагентаПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает контрагента по договору.
//
// Параметры:
//	Договор - СправочникСсылка.ДоговорыКонтрагентов - Ссылка на договор.
//
// Возвращаемое значение:
//	СправочникСсылка.Контрагенты - Контрагент договора.
//
Функция ПолучитьКонтрагентаПоДоговору(Договор) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьКонтрагентаПоДоговору(Договор) 
```
</details>

## ВалютаВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает валюту договора.
//
// Параметры:
// 	ДоговорКонтрагента - СправочникСсылка.ДоговорыКонтрагентов - Ссылка на договор.
//
// Возвращаемое значение:
// СправочникСсылка.Валюты - Валюта договора.
//
Функция ВалютаВзаиморасчетов(ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ВалютаВзаиморасчетов(ДоговорКонтрагента) 
```
</details>

## РасчетыВУсловныхЕдиницах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает признак расчетов в условных единицах.
//
// Параметры:
//	ДоговорКонтрагента - СправочникСсылка.ДоговорыКонтрагентов - Ссылка на договор.
//
// Возвращаемое значение:
// Булево - ИСТИНА - если расчеты ведутся в условных единицах.
//
Функция РасчетыВУсловныхЕдиницах(ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.РасчетыВУсловныхЕдиницах(ДоговорКонтрагента) 
```
</details>

## ПолучитьПустоеЗначениеДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает пустое значение договора.
//
// Возвращаемое значение:
//	СправочникСсылка.ДоговорКонтрагентов - Пустой договор.
//
Функция ПолучитьПустоеЗначениеДоговора() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьПустоеЗначениеДоговора() 
```
</details>

## ТекстЗапросаВидДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст, для получения свойства ВидДоговора в запросе.
//
// Параметры:
//	ИмяПоля - Строка - Выражение для получения ссылки на договор.
//
// Возвращаемое значение:
//	Строка - Выражение для получения вида договора.
//
Функция ТекстЗапросаВидДоговора(ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ТекстЗапросаВидДоговора(ИмяПоля) 
```
</details>

## ТекстЗапросаРасчетыВУЕ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст, для получения свойства РасчетыВУсловныхЕдиницах в запросе.
//
// Параметры:
//	ИмяПоля - Строка - Выражение для получения ссылки на договор.
//
// Возвращаемое значение:
//	Строка - Выражение для получения признака расчетов по договору в условных единицах.
//
Функция ТекстЗапросаРасчетыВУЕ(ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ТекстЗапросаРасчетыВУЕ(ИмяПоля) 
```
</details>

## ТекстЗапросаУчетАгентскогоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ТекстЗапросаУчетАгентскогоНДС возвращает текст для получения свойства
// УчетАгентскогоНДС для договора.
//
// Параметры:
//	ИмяПоля - Строка - Выражение для получения ссылки на договор.
//
// Возвращаемое значение:
//	Строка - Выражение для получения признака учет агентского НДС по договору.
//
Функция ТекстЗапросаУчетАгентскогоНДС(ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ТекстЗапросаУчетАгентскогоНДС(ИмяПоля) 
```
</details>

## ТекстЗапросаВидАгентскогоДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ТекстЗапросаВидАгентскогоДоговора возвращает текст запроса для получения
// свойства договора ВидАгентскогоДоговора.
//
// Параметры:
//	ИмяПоля - Строка - Выражение для получения ссылки на договор.
//
// Возвращаемое значение:
//	Строка - Выражение для получения вида агентского договора.
//
Функция ТекстЗапросаВидАгентскогоДоговора(ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ТекстЗапросаВидАгентскогоДоговора(ИмяПоля) 
```
</details>

## ЭтоВидДоговораСПоставщиком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ЭтоВидДоговораСПоставщиком возвращает ИСТИНА,
// если договор с таким видом является договором с поставщиком.
//
// Параметры:
//	ВидДоговораХозОперация - ПеречисленияСсылка.ХозяйственныеОперации - Характер операции по договору.
//
// Возвращаемое значение:
//	Булево - Истина, если договор является договором с поставщиком.
//
Функция ЭтоВидДоговораСПоставщиком(ВидДоговораХозОперация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ЭтоВидДоговораСПоставщиком(ВидДоговораХозОперация) 
```
</details>

## ЭтоВидДоговораСПокупателем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ЭтоВидДоговораСПокупателем возвращает ИСТИНА,
// если договор с таким видом является договором с покупателем.
//
// Параметры:
//	ВидДоговораХозОперация - ПеречисленияСсылка.ХозяйственныеОперации - Характер операции по договору.
//
// Возвращаемое значение:
//	Булево - Истина, если договор является договором с покупателем.
//
Функция ЭтоВидДоговораСПокупателем(ВидДоговораХозОперация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ЭтоВидДоговораСПокупателем(ВидДоговораХозОперация) 
```
</details>

## ЭтоВидДоговораСКомитентом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ЭтоВидДоговораСКомитентом возвращает ИСТИНА,
// если договор с таким видом является договором с комитентом.
//
// Параметры:
//	ВидДоговораХозОперация - ПеречисленияСсылка.ХозяйственныеОперации - Характер операции по договору.
//
// Возвращаемое значение:
//	Булево - Истина, если договор является договором с комитентом.
//
Функция ЭтоВидДоговораСКомитентом(ВидДоговораХозОперация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ЭтоВидДоговораСКомитентом(ВидДоговораХозОперация) 
```
</details>

## ЭтоВидДоговораСКомиссионером
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ЭтоВидДоговораСКомиссионером возвращает ИСТИНА,
// если договор с таким видом является договором с комиссионером.
//
// Параметры:
//	ВидДоговораХозОперация - ПеречисленияСсылка.ХозяйственныеОперации - Характер операции по договору.
//
// Возвращаемое значение:
//	Булево - Истина, если договор является договором с комиссионером.
//
Функция ЭтоВидДоговораСКомиссионером(ВидДоговораХозОперация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ЭтоВидДоговораСКомиссионером(ВидДоговораХозОперация) 
```
</details>

## ПолучитьВидДоговораСПоставщиком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьВидДоговораСПоставщиком возвращает значение вида договоров,
// которые используются при расчетах с поставщиками.
//
// Возвращаемое значение:
//	ПеречисленияСсылка.ХозяйственныеОперации - Значение вида договора.
//
Функция ПолучитьВидДоговораСПоставщиком() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьВидДоговораСПоставщиком() 
```
</details>

## ПолучитьВидДоговораСПокупателем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьВидДоговораСПокупателем возвращает значение вида договоров,
// которые используются при расчетах с покупателями.
//
// Возвращаемое значение:
//	ПеречисленияСсылка.ХозяйственныеОперации - Значение вида договора.
//
Функция ПолучитьВидДоговораСПокупателем() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьВидДоговораСПокупателем() 
```
</details>

## ПолучитьВидДоговораСКомиссионером
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьВидДоговораСКомиссионером возвращает значение вида договоров,
// которые используются при расчетах с комиссионерами.
//
// Возвращаемое значение:
//	ПеречисленияСсылка.ХозяйственныеОперации - Значение вида договора.
//
Функция ПолучитьВидДоговораСКомиссионером() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьВидДоговораСКомиссионером() 
```
</details>

## ПолучитьВидДоговораСКомитентом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьВидДоговораСКомитентом возвращает значение вида договоров,
// которые используются при расчетах с комитентами.
//
// Возвращаемое значение:
//	ПеречисленияСсылка.ХозяйственныеОперации - Значение вида договора.
//
Функция ПолучитьВидДоговораСКомитентом() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьВидДоговораСКомитентом() 
```
</details>

## ПолучитьРеквизитыДоговораКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьРеквизитыДоговора() возвращает структуру со реквизитами договора,
// используемыми при проведении документов по регламентированному учету. Функция используется
// для унификации имен реквизитов справочника ДоговорыКонтрагентов при обращении к ним
// из разных конфигураций, при этом типы самих реквизитов могут различаться в разных
// конфигурациях.
//
// Параметры:
//  ДоговорКонтрагента - СправочникСсылка.ДоговорыКонтрагентов - Договор, реквизиты которого
//		требуется получить.
//
// Возвращаемое значение:
//  Структура:
//		Ссылка				 - СправочникСсылка.ДоговорыКонтрагентов, ссылка на сам договор
//		ВалютаВзаиморасчетов - СправочникСсылка.Валюты, валюта взаиморасчетов по договору
//		Организация 		 - СправочникСсылка.Организации, организация, с которой заключен договор
//		Владелец 			 - СправочникСсылка.Контрагент, контрагент, с которым заключен договор
//		ВидДоговора 		 - ПеречислениеСсылка.ТипыДоговоров  (УП)
//							   или ПеречислениеСсылка.ХозяйственныеОперации (УП)
//		ТипЦен				 - СправочникСсылка.ТипыЦенНоменклатуры (БП)
//							   или НЕОПРЕДЕЛЕНО (УП)
//		УчетАгентскогоНДС	 - Булево.
//		ВидАгентскогоДоговора- ПеречислениеСсылка.ВидыАгентскихДоговоров.
//		РасчетыВУсловныхЕдиницах - Булево.
//
//
Функция ПолучитьРеквизитыДоговораКонтрагента(ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьРеквизитыДоговораКонтрагента(ДоговорКонтрагента) 
```
</details>

## УстановитьДоговорКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает договор контрагента по умолчанию с учетом условий отбора. Возвращается основной договор или единственный или пустая ссылка.
//
// Параметры:
//  ВладелецДоговора	-	<СправочникСсылка.Контрагенты>
//							Контрагент, договор которого нужно получить.
//  ОрганизацияДоговора	-	<СправочникСсылка.Организации>
//							Организация, договор которой нужно получить.
//  СписокВидовДоговора	-	<Массив> или <СписокЗначений>, состоящий из значений типа <ПеречислениеСсылка.ТипыДоговоров>
//							Нужные виды договора.
//  СтруктураПараметров	-	<Структура>
//							Структура дополнительных параметров отбора договоров по реквизитам.
//							Элементы структуры СтруктураПараметров:
//							Ключ - имя реквизита договора, Значение - еще одна структура.
//
//							Элементы структуры, которая находится в Значение:
//							Ключ - "ЗначениеОтбора", Значение - значение реквизита договора для отбора. Обязательный элемент.
//							Ключ - "ВидСравненияОтбора", Значение - <ВидСравнения>. Необязательный элемент, по умолчанию ВидСравнения.Равно.
//
// Возвращаемое значение:
//   Булево - Истина, если договор был установлен, иначе Ложь.
//
Функция УстановитьДоговорКонтрагента(ДоговорКонтрагента,ВладелецДоговора, ОрганизацияДоговора, СписокВидовДоговора=неопределено, СтруктураПараметров = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.УстановитьДоговорКонтрагента(ДоговорКонтрагента, ВладелецДоговора, ОрганизацияДоговора, СписокВидовДоговора, СтруктураПараметров);
```
</details>

## ПолучитьСведенияОНоменклатуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру со свойствами номенклатуры.
//
// Параметры:
// 	Номенклатура - СправочникСсылка.Номенклатура
//	Параметры контекста - структура содержащая поля
//		Дата 				- обязательный
//		Организация 		- обязательный
//		Склад		 		- не обязательный
//		ТипЦен 			- не обязательный
//		ВалютаДокумента	- не обязательный
//		Курс	 			- не обязательный
//		Кратность			- не обязательный
//		СуммаВключаетНДС	- не обязательный
//		СтавкаНДС			- не обязательный (Если параметр передан, то будет использована переданная ставка, иначе ставка из номенклатуры).
//
// Возвращаемое значение:
//	- Структура:
//		Номенклатура		- СправочникСсылка.Номенклатура
//		Наименование		- Строка
//		СтавкаНДС			- ПеречислениеСсылка.СтавкиНДС
//		ЕдиницаИзмерения	- СправочникСсылка.КлассификаторЕдиницИзмерения (БП) или СправочникСсылка.ЕдиницыИзмерения (УП).
//		НоменклатурнаяГруппа- СправочникСсылка.НоменклатурныеГруппы (БП) или СправочникСсылка.ГруппыФинансовогоУчетаНоменклатуры (УП).
//		СтранаПроисхождения	- СправочникСсылка.СтраныМира (заполняется только в БП).
//		НомерГТД			- СправочникСсылка.НомераГТД (заполняется только в БП).
//		Код					- Строка
//		Артикул				- Строка
//		Услуга				- Булево
//		Цена				- Число
//		ЦенаВРознице		- Число (заполняется только в БП).
//		СчетаУчета			- Структура со счетами учета.
//		ОтражениеВУСН		- ПеречислениеСсылка.ОтражениеВУСН.
//		Комиссионный		- Булево
//		ДоходЕНВД			- Булево, признак того, что доход относится к ЕНВД.
//		Субконто			- Субконто учета дохода от реализации номенклатуры (Номенклатурная группа).
Функция ПолучитьСведенияОНоменклатуре(Номенклатура, ПараметрыКонтекста) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьСведенияОНоменклатуре(Номенклатура, ПараметрыКонтекста) 
```
</details>

## НоменклатураЯвляетсяУслугой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает Истина, если переданная номенклатура является услугой.
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура.
//
// Возвращаемое значение:
//  Булево - Номенклатура является услугой.
Функция НоменклатураЯвляетсяУслугой(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.НоменклатураЯвляетсяУслугой(Номенклатура) 
```
</details>

## ТекстЗапросаЭтоУслуга
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает выражение на языке запросов для получения признака услуги
// Параметры:
//  ПолеНоменклатура - Строка.
//
// Возвращаемое значение:
//  Строка.
Функция ТекстЗапросаЭтоУслуга(ПолеНоменклатура) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ТекстЗапросаЭтоУслуга(ПолеНоменклатура) 
```
</details>

## ПодготовитьСоответствиеНоменклатураЦена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает сведения о ценах номенклатуры.
//
// Параметры:
//	СтруктураПараметров - Структура - Содержит ключи:
//		* Период - Дата - Дата, на которую получаются данные.
//		* ТипЦен - СправочникСсылка.ВидыЦен - Вид цены.
//		* Валюта - СправочникСсылка.Валюты - Валюта.
//		* Курс - Число - Курс валюты.
//		* Кратность - Число - Кратность валюты.
//		* Номенклатура - Массив, СписокЗначений - Список номенклатуры.
//
// Возвращаемое значение:
//	Соответствие - Ключ - Номенклатура, Значение - Цена.
//
Функция ПодготовитьСоответствиеНоменклатураЦена(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПодготовитьСоответствиеНоменклатураЦена(СтруктураПараметров) 
```
</details>

## ПолучитьСуммуСписанияАктивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает сумму списания активов для заполнения печатных форм документов.
//
// Параметры:
//	МассивРегистраторов - Массив - Ссылки на документы, для которых рассчитываются суммы.
//	ДатаНач - Дата - Дата начала периода.
//	ДатаКон - Дата - Дата окончания периода.
//
// Возвращаемое значение:
//	ТаблицаЗначений - Содержит колонки:
//		* Регистратор - ДокументСсылка.* - Документ-регистратор.
//		* Номенклатура - СправочникСсылка.Номенклатура - Номенклатура.
//		* Количество - Число - Количество списанной номенклатуры.
//		* Сумма - Число - Стоимость списанной номенклатуры.
//
Функция ПолучитьСуммуСписанияАктивов(МассивРегистраторов, ДатаНач, ДатаКон) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьСуммуСписанияАктивов(МассивРегистраторов, ДатаНач, ДатаКон) 
```
</details>

## ПустоеПодразделение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ссылку на пустое подразделение.
//
// Возвращаемое значение:
//	СправочникСсылка.СтруктураПредприятия - пустая ссылка подразделения.
//
Функция ПустоеПодразделение() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПустоеПодразделение() 
```
</details>

## ПодразделениеПринадлежитОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Функция возвращает Истина, если переданное подразделение может быть выбрано для
// указанной организации.
//
// Параметры:
//	Подразделение - СправочникСсылка.СтруктураПредприятия - Проверяемое подразделение.
//	Организация - СправочникСсылка.Организации - Проверяемая организация.
//
// Возвращаемое значение:
//	Булево - Результат проверки.
//
Функция ПодразделениеПринадлежитОрганизации(Подразделение, Организация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПодразделениеПринадлежитОрганизации(Подразделение, Организация) 
```
</details>

## ОрганизацияПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает организацию, соответствующую переданному подразделению.
// Если передан параметр ТекущаяВыбраннаяОрганизация и его значение не противоречит
// соответствию подразделения и организации, то возвращает значение параметра ТекущаяВыбраннаяОрганизация.
//
// Параметры:
//	Подразделение - СправочникСсылка.СтруктураПредприятия - Проверяемое подразделение.
//	ТекущаяВыбраннаяОрганизация - СправочникСсылка.Организация - Проверяемая организация.
//
// Возвращаемое значение:
//	СправочникСсылка.Организации - Найденная организация для подразделения.
//
Функция ОрганизацияПодразделения(Подразделение, ТекущаяВыбраннаяОрганизация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ОрганизацияПодразделения(Подразделение, ТекущаяВыбраннаяОрганизация);
```
</details>

## ТекстЗапросаРегистрацииПодразделенийВНалоговомОргане
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст запроса для получения таблицы с колонками:
//
// 	Организация
//	Подразделение
//	РегистрацияВНалоговомОргане
//	ОбособленноеПодразделение - Булево.
//	КПП - Строка.
//
// Параметры:
//	ИмяПараметраОтбораПоОрганизации - Строка - Имя параметра в запроса для отбора по организации.
//										Если не задан, то отбор по организациям не устанавливается.
//	ИмяВременнойТаблицы - Строка - Имя временной таблицы, в которую поместить результат запроса.
//							Если не задан, то в тексте запроса временная таблица не используется.
//
// Возвращаемое значение:
//	Строка - Текст запроса.
//
Функция ТекстЗапросаРегистрацииПодразделенийВНалоговомОргане(ИмяПараметраОтбораПоОрганизации, ИмяВременнойТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ТекстЗапросаРегистрацииПодразделенийВНалоговомОргане(ИмяПараметраОтбораПоОрганизации, ИмяВременнойТаблицы) 
```
</details>

## ТекстЗапросаПолноеНаименованиеПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция строит текст запроса для получения полного наименования подразделения.
//
// Параметры:
//	ПолеПодразделение - Строка - Имя поля со ссылкой на подразделение.
//
// Возвращаемое значение:
//	Строка - Выражение для получения полного наименования подразделения.
//
Функция ТекстЗапросаПолноеНаименованиеПодразделения(ПолеПодразделение) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ТекстЗапросаПолноеНаименованиеПодразделения(ПолеПодразделение) 
```
</details>

## ГоловнаяОрганизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



// Функция возвращает значение головной организации.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - Исходная организация.
//
// Возвращаемое значение:
//	СправочникСсылка.Организации - Ссылка на головную организацию.
//
Функция ГоловнаяОрганизация(Организация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ГоловнаяОрганизация(Организация) 
```
</details>

## ОбособленноеПодразделение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Функция возвращает признак того, что организация является обособленным
// подразделением выделенным на отдельный баланс
//
// Параметры:
//  Организация - СправочникСсылка.Организации - организация, которая может быть обособленным подразделением
//
// Возвращаемое значение:
//  Булево - Истина, если запись справочника предназначена для учета операций филиала
//           (обособленного подразделения, выделенного на отдельный баланс)
//
Функция ОбособленноеПодразделение(Организация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ОбособленноеПодразделение(Организация) 
```
</details>

## ПолучитьСписокГоловныхОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список головных организаций предприятия
//
// Возвращаемое значение:
//	СписокЗначений - Список головных организаций в справочнике.
//
Функция ПолучитьСписокГоловныхОрганизаций() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьСписокГоловныхОрганизаций() 
```
</details>

## ПолучитьСписокОбособленныхПодразделенийОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список обособленных структурных подразделений организации.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - Организация, для которой формируется список.
//
// Возвращаемое значение:
//	СписокЗначений - Список обособленных подразделений организации, выделенных на отдельный баланс.
//
Функция ПолучитьСписокОбособленныхПодразделенийОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьСписокОбособленныхПодразделенийОрганизации(Организация) 
```
</details>

## ПолучитьБанковскийСчетПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьБанковскийСчетПоУмолчанию возвращает ссылку на
// банковский счет организации или контрагента по умолчанию.
//
// Параметры:
//	ЮрФизЛицо 	- СправочникСсылка.Организации, СправочникСсылка.Контрагенты - Лицо,
//					для которого возвращается банковский счет.
//	Валюта 		- СправочникСсылка.Валюты - Требуется для единообразия с БРУ и УП.
//
// Возвращаемое значение:
// 	СправочникСсылка.БанковскиеСчетаОрганизаций, СправочникСсылка.БанковскиеСчетаКонтрагентов - Основной банковский счет.
//
Функция ПолучитьБанковскийСчетПоУмолчанию(ЮрФизЛицо, Валюта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьБанковскийСчетПоУмолчанию(ЮрФизЛицо, Валюта);
```
</details>

## СтруктураОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция СтруктураОрганизации возвращает структуру с реквизитами организации.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - Проверяемая организация.
//
// Возвращаемое значение:
//	Структура - Содержит ключи:
//		* Тип - Строка - Содержит значение "ОП", если организация является обособленным подразделением
//						 другой организации, или "Простая", если организация является самостоятельным юр.лицом.
//		* Организация - СписокЗначений - Список обособленных подразделений.
//		* ГоловнаяОрганизация - СписокЗначений - Ссылка на головную организацию.
//
Функция СтруктураОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.СтруктураОрганизации(Организация) 
```
</details>

## ВсяОрганизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Возвращает перечень (массив) всех структурных частей переданной головной организации, имеющих отдельный баланс.
// В перечень входит головная организация и все ее обособленные подразделения на выделенном балансе.
// В перечень входят только те организации, данные по которым доступны текущему пользователю.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - Исходная организация.
//
// Возвращаемое значение:
//	Массив - Головная организация и все ее обособленные подразделения, выделенные на отдельный баланс.
//
Функция ВсяОрганизация(Организация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ВсяОрганизация(Организация) 
```
</details>

## ТипыСвязанныеСОрганизацией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает типы значений, для которых имеет смысл отбор по организации
//
// Возвращаемое значение:
//	ОписаниеТипов - Описание типов справочников, которые зависят от организации.
//
Функция ТипыСвязанныеСОрганизацией() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ТипыСвязанныеСОрганизацией() 
```
</details>

## ТекстЗапросаВариантНаименованияОрганизацииДляПечатныхФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция строит текст запроса для получения наименования организации для печатных форм.
//
// Параметры:
//	ПолеОрганизация - Строка - Выражение языка запросов для выбора ссылки на организацию.
//
// Возвращаемое значение:
//	Строка - Выражение для получения полного наименования организации.
//
Функция ТекстЗапросаВариантНаименованияОрганизацииДляПечатныхФорм(ПолеОрганизация) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ТекстЗапросаВариантНаименованияОрганизацииДляПечатныхФорм(ПолеОрганизация) 
```
</details>

## ПолучитьСтавкуНалогаНаПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Функция возвращает ставку налога на прибыль.
//
// Параметры:
//	СтруктураШапкиДокумента - Структура - Содержит ключи:
//		* Организация - СправочникСсылка.Организации - Организация.
//		* Дата - Дата - Дата, на которую получается ставка.
//	ИФНС - СправочникСсылка.РегистрацииВНалоговомОргане - Налоговый орган.
//	СтавкаФБ - Число - Возвращается доля ставки (%) налога в федеральный бюджет.
//	СтавкаРФ - Число - Возвращается доля ставки (%) налога в бюджет субъекта федерации.
//	СтавкаМестный- Число - Возвращается доля ставки (%) налога в местный бюджет.
//
// Возвращаемое значение:
//	Число - Суммарная ставка налога на прибыль.
//
Функция ПолучитьСтавкуНалогаНаПрибыль(СтруктураШапкиДокумента, ИФНС = Неопределено, СтавкаФБ = 0, СтавкаРФ = 0, СтавкаМестный = 0) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьСтавкуНалогаНаПрибыль(СтруктураШапкиДокумента, ИФНС, СтавкаФБ, СтавкаРФ, СтавкаМестный);
```
</details>

## СведенияОЮрФизЛице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует сведения об указанном ЮрФизЛице. К сведениям относятся -
// наименование, адрес, номер телефона, банковские реквизиты.
//
// Параметры:
//  ЮрФизЛицо - СправочникСсылка.Организации, СправочникСсылка.Контрагенты - Лицо, о котором собираются сведения.
//  Период - Дата - Дата, на которую выбираются сведения о ЮрФизЛице.
//  БанковскийСчет - СправочникСсылка.БанковскиеСчетаОрганизаций, СправочникСсылка.БанковскиеСчетаКонтрагентов - счет,
//					реквизиты которого выводятся.
//
// Возвращаемое значение:
//  Сведения - собранные сведения.
//
Функция СведенияОЮрФизЛице(ЮрФизЛицо, Период = Неопределено, Знач БанковскийСчет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.СведенияОЮрФизЛице(ЮрФизЛицо, Период, БанковскийСчет);
```
</details>

## ВидКонтактнойИнформацииEMAILКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ссылку на вид контактной информации EMAILКонтрагента.
//
// Возвращаемое значение:
//  СправочникСсылка.ВидыКонтактнойИнформации - ссылка на вид контактной информации EMAILКонтрагента.
//
Функция ВидКонтактнойИнформацииEMAILКонтрагента() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ВидКонтактнойИнформацииEMAILКонтрагента() 
```
</details>

## ОписаниеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных со сводным описанием контрагента.
//
// Параметры:
//  СписокСведений - СписокЗначений - Список значений со значениями параметров организации.
//   СписокСведений формируется функцией СведенияОЮрФизЛице.
//  Список         - Строка - Список запрашиваемых параметров организации.
//  СПрефиксом     - Булево - Признак выводить или нет префикс параметра организации.
//
// Возвращаемое значение:
//  Строка - описатель организации / контрагента / физ.лица.
//
Функция ОписаниеОрганизации(СписокСведений, Список = "", СПрефиксом = Истина) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ОписаниеОрганизации(СписокСведений, Список, СПрефиксом);
```
</details>

## ОтключитьКонтрольОтрицательныхОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Функция возвращает признак необходимости контроля отрицальных остатков товаров при списании.
//
// Возвращаемое значение:
//  Булево - Отключить контроль отрицательных остатков
Функция ОтключитьКонтрольОтрицательныхОстатков() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ОтключитьКонтрольОтрицательныхОстатков() 
```
</details>

## ВедетсяКадровыйУчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает 1, если ведется кадровый учет, иначе 0.
//
// Возвращаемое значение:
//	Число - Признак ведения кадрового учета.
//
Функция ВедетсяКадровыйУчет() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ВедетсяКадровыйУчет() 
```
</details>

## УстановитьНастройкиКадровогоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает настройки для ведения кадрового учета
//
// Параметры:
//	ВестиКадровыйУчет - Булево - Признак ведения кадрового учета.
//	УчетЗарплатыИКадровСредствамиБухгалтерии - Булево - Признак учета зарплаты в программе.
//
Процедура УстановитьНастройкиКадровогоУчета(ВестиКадровыйУчет, УчетЗарплатыИКадровСредствамиБухгалтерии) Экспорт
```

Пример вызова
```bsl
БухгалтерскийУчетПереопределяемый.УстановитьНастройкиКадровогоУчета(ВестиКадровыйУчет, УчетЗарплатыИКадровСредствамиБухгалтерии) 
```
</details>

## УчетЗарплатыИКадровВоВнешнейПрограмме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает 1, если используется учет зарплаты ведется во внешней программе, иначе 0.
//
// Возвращаемое значение:
//	Число - Признак учета зарплаты и кадров во внешней программе.
//
Функция УчетЗарплатыИКадровВоВнешнейПрограмме() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.УчетЗарплатыИКадровВоВнешнейПрограмме() 
```
</details>

## УстановитьУчетЗарплатыИКадровВоВнешнейПрограмме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает настройки для ведения учета зарплаты во внешней программе.
//
// Параметры:
//	ВестиУчетЗарплатыИКадровВоВнешнейПрограмме - Булево - Признак ведения учета зарплаты во внешней программе.
//
Процедура УстановитьУчетЗарплатыИКадровВоВнешнейПрограмме(ВестиУчетЗарплатыИКадровВоВнешнейПрограмме) Экспорт
```

Пример вызова
```bsl
БухгалтерскийУчетПереопределяемый.УстановитьУчетЗарплатыИКадровВоВнешнейПрограмме(ВестиУчетЗарплатыИКадровВоВнешнейПрограмме) 
```
</details>

## ВедетсяУчетРасчетовПоЗарплатеСводно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает Истина, если используется учет зарплаты ведется сводно, иначе Ложь.
//
// Возвращаемое значение:
//	Булево - Признак ведения расчетов по зарплате без субконто работники.
//
Функция ВедетсяУчетРасчетовПоЗарплатеСводно() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ВедетсяУчетРасчетовПоЗарплатеСводно() 
```
</details>

## УстановитьПараметрыУчетаРасчетовПоЗарплате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает настройки для ведения учета зарплаты во внешней программе.
//
// Параметры:
//	ВедетсяУчетРасчетовПоЗарплатеСводно - Булево - Признак ведения расчетов по зарплате сводно.
//
Процедура УстановитьПараметрыУчетаРасчетовПоЗарплате(ВедетсяУчетРасчетовПоЗарплатеСводно) Экспорт
```

Пример вызова
```bsl
БухгалтерскийУчетПереопределяемый.УстановитьПараметрыУчетаРасчетовПоЗарплате(ВедетсяУчетРасчетовПоЗарплатеСводно) 
```
</details>

## ПоддерживаетсяОтгрузкаБезПереходаПраваСобственности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает Истина, если в конфигурации поддерживается отгрузка без перехода права собственности.
//
// Возвращаемое значение:
//  Булево - Поддерживается отгрузка без перехода права собственности
Функция ПоддерживаетсяОтгрузкаБезПереходаПраваСобственности() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПоддерживаетсяОтгрузкаБезПереходаПраваСобственности() 
```
</details>

## ИспользоватьВалютныйУчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает Истина, если в конфигурации ведется учет по валютам.
//
// Возвращаемое значение:
//	Булево - Признак использования валютного учета.
//
Функция ИспользоватьВалютныйУчет() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ИспользоватьВалютныйУчет() 
```
</details>

## ВестиУчетПоПодразделениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Функция возвращает ИСТИНА, если в конфигурации поддерживается учет по подразделениями.
//
// Возвращаемое значение:
//	Булево - Признак ведения учета по подразделениям.
//
Функция ВестиУчетПоПодразделениям() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ВестиУчетПоПодразделениям() 
```
</details>

## ВестиУчетПоДоговорам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ИСТИНА, если в конфигурации поддерживается учет по договорам.
//
// Возвращаемое значение:
//	Булево - Признак учета по договорам.
//
Функция ВестиУчетПоДоговорам() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ВестиУчетПоДоговорам() 
```
</details>

## ИспользоватьНаправленияДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ИСТИНА, если в конфигурации используются направления деятельности.
//
// Возвращаемое значение:
//	Булево - Истина, если направления деятельности используются.
//
Функция ИспользоватьНаправленияДеятельности() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ИспользоватьНаправленияДеятельности() 
```
</details>

## ИспользоватьУправленческуюОрганизацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ИСТИНА, если в конфигурации используется управленческая организация.
//
// Возвращаемое значение:
//	Булево - Признак использования управленческой организации.
//
Функция ИспользоватьУправленческуюОрганизацию() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ИспользоватьУправленческуюОрганизацию() 
```
</details>

## ДокументПроведен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ИСТИНА, если документ считается проведенным.
//
// Параметры:
//	ДокументСсылка - ДокументСсылка.* - Ссылка на документ.
//
// Возвращаемое значение:
//	Булево - Истина, если документ проведен.
//
Функция ДокументПроведен(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ДокументПроведен(ДокументСсылка) 
```
</details>

## ИспользоватьПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ИСТИНА, если в конфигурации используются подразделения.
//
// Возвращаемое значение:
//	Булево - Признак использования подразделений.
//
Функция ИспользоватьПодразделения() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ИспользоватьПодразделения() 
```
</details>

## ВозможныеПроводкиОдногоРегистратораПоНесколькимОрганизациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ИСТИНА, если в конфигурации поддерживается формирование проводок
// по нескольким организациям одним документом.
//
// Возвращаемое значение:
//	Булево.
Функция ВозможныеПроводкиОдногоРегистратораПоНесколькимОрганизациям() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ВозможныеПроводкиОдногоРегистратораПоНесколькимОрганизациям() 
```
</details>

## ИспользоватьОднуНоменклатурнуюГруппу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает признак использования одной номенклатурной группы.
//
// Возвращаемое значение:
//	Булево - Признак использования одной номенклатурной группы.
//
Функция ИспользоватьОднуНоменклатурнуюГруппу() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ИспользоватьОднуНоменклатурнуюГруппу() 
```
</details>

## ИспользуютсяКомиссионныеСхемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает признак использования в базе комиссионных схем в хозяйственной деятельности.
//
// Возвращаемое значение:
//	Булево - Истина, если комиссионные схемы используются.
//
Функция ИспользуютсяКомиссионныеСхемы() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ИспользуютсяКомиссионныеСхемы() 
```
</details>

## ПолучитьСчетаРасчетовСКонтрагентом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает возможные счета учета расчетов с контрагентом.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация, по которой выполняется поиск.
//  Контрагент  - СправочникСсылка.Контрагенты - Контрагент, по которому выполняется поиск.
//  Договор     - СправочникСсылка.ДоговорыКонтрагентов - Договор, по которому выполняется поиск.
//
// Возвращаемое значение:
//  Структура - Структура, содержащая счета учета расчетов.
//
Функция ПолучитьСчетаРасчетовСКонтрагентом(Знач Организация, Знач Контрагент, Знач Договор) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьСчетаРасчетовСКонтрагентом(Организация, Контрагент, Договор) 
```
</details>

## ПолучитьСчетаУчетаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает счета учета номенклатуры по выбранной организации.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация, по которой определяются счета учета.
//  Склад - СправочникСсылка.Склады - Место хранения, по которому определяются счета учета.
//  Номенклатура - СправочникСсылка.Номенклатура - Номенклатура, по которой определяются счета учета.
//  Дата - Дата - Дата, на которую определяются счета учета.
//  ОсобыйПорядокНалогообложения - Булево - Признак того, что необходимо получить счета для особого порядка налогообложения (Патент, ЕНВД).
//
// Возвращаемое значение:
//  Структура - Структура содержащая счета учета расчетов.
//
Функция ПолучитьСчетаУчетаНоменклатуры(Организация, Номенклатура, Склад = Неопределено, Дата = Неопределено, ОсобыйПорядокНалогообложения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьСчетаУчетаНоменклатуры(Организация, Номенклатура, Склад, Дата, ОсобыйПорядокНалогообложения);
```
</details>

## СчетаУчетаОбъектовСтроительства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает счета учета по выбранному объекту строительства.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация, по которой выполняется поиск.
//  Объект      - СправочникСсылка.ОбъектыЭксплуатации - Объект строительства, по которому выполняется поиск.
//
// Возвращаемое значение:
//  Структура - структура, содержащая счета учета объекта строительства.
//
Функция СчетаУчетаОбъектовСтроительства(Организация, Объект) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.СчетаУчетаОбъектовСтроительства(Организация, Объект) 
```
</details>

## СчетаВыручкиЕНВД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает субсчета 90, на которых учитывается выручка по ЕНВД.
// В других модулях необходимо использовать эту функцию из общего модуля БухгалтерскийУчетВызовСервераПовтИсп.
//
// Возвращаемое значение:
//	Массив - Счета выручки по деятельности, относящейся к ЕНВД.
//
Функция СчетаВыручкиЕНВД() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.СчетаВыручкиЕНВД() 
```
</details>

## СчетаВыручкиНеЕНВД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает субсчета 90, на которых учитывается выручка, кроме ЕНВД.
// В других модулях необходимо использовать эту функцию из общего модуля БухгалтерскийУчетВызовСервераПовтИсп.
//
// Возвращаемое значение:
//	Массив - Счета выручки по деятельности, не относящейся к ЕНВД.
//
Функция СчетаВыручкиНеЕНВД() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.СчетаВыручкиНеЕНВД() 
```
</details>

## СчетаРасходовЕНВД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает субсчета 90, на которых учитывается расходы по ЕНВД.
// В других модулях необходимо использовать эту функцию из общего модуля БухгалтерскийУчетВызовСервераПовтИсп.
//
// Возвращаемое значение:
//	Массив - Содержит счета расходов ЕНВД.
//
Функция СчетаРасходовЕНВД() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.СчетаРасходовЕНВД() 
```
</details>

## ДокументЯвляетсяРазукомплектацией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДокументЯвляетсяРазукомплектацией(СсылкаНаДокумент) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ДокументЯвляетсяРазукомплектацией(СсылкаНаДокумент) 
```
</details>

## СчетаПодлежащиеПереоценке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает массив счетов, подлежащих переоценке.
//
// Возвращаемое значение:
//	Массив - Счета, подлежащие переоценке.
//
Функция СчетаПодлежащиеПереоценке() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.СчетаПодлежащиеПереоценке() 
```
</details>

## ЭтоСчетКапитализацииРасходовПоВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает Истина, если переданный счет является счетом капитализации
// расходов по объектам внеоборотных активов.
//
// Параметры:
//	Счет - ПланСчетовСсылка.Хозрасчетный - Проверяемый счет.
//
// Возвращаемое значение:
//	Булево - Истина, если счет предназначен для учета внеоборотных активов.
//
Функция ЭтоСчетКапитализацииРасходовПоВНА(Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ЭтоСчетКапитализацииРасходовПоВНА(Счет) 
```
</details>

## УстановитьТипыСвязанныхСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установка типов значений субконто, связанных с именами реквизитов.
//
// Параметры:
//  СвязанныеСубконто  - Соответствие - ключ - имя реквизита, значение - описание типов связанных значений субконто.
//
Процедура УстановитьТипыСвязанныхСубконто(СвязанныеСубконто) Экспорт
```

Пример вызова
```bsl
БухгалтерскийУчетПереопределяемый.УстановитьТипыСвязанныхСубконто(СвязанныеСубконто) 
```
</details>

## ПолучитьЗначениеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает значение по умолчанию для передаваемого пользователя и настройки.
//
// Параметры:
//  Настройка    - Строка - вид настройки, значение по умолчанию которой необходимо получить.
//  Пользователь - СправочникСсылка.Пользователи - пользователь программы, настройка которого
//				   запрашивается, если параметр не передается настройка возвращается для текущего пользователя.
//
// Возвращаемое значение:
//  Произвольный - Значение по умолчанию для настройки.
//
Функция ПолучитьЗначениеПоУмолчанию(Настройка, Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьЗначениеПоУмолчанию(Настройка, Пользователь);
```
</details>

## УстановитьЗначениеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Процедура записывает значение по умолчанию для передаваемого пользователя и настройки.
//
// Параметры:
//  Настройка    - Строка - Вид настройки.
//  Значение     - Произвольный - Значение настройки.
//  Пользователь - СправочникСсылка.Пользователи - текущий пользователь программы, для которого устанавливается настройка.
//
Процедура УстановитьЗначениеПоУмолчанию(Настройка, Значение, Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
БухгалтерскийУчетПереопределяемый.УстановитьЗначениеПоУмолчанию(Настройка, Значение, Пользователь);
```
</details>

## ОбработатьРезультатПроверкиИтогов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Анализирует результат формирования отчета: была ли зафиксирована проблема с итогами.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - куда выводится отчет.
//  РезультатВыполнения - Структура - см. БухгалтерскиеОтчетыВызовСервера.СформироватьОтчет() .
//
Процедура ОбработатьРезультатПроверкиИтогов(Форма, РезультатВыполнения) Экспорт
```

Пример вызова
```bsl
БухгалтерскийУчетПереопределяемый.ОбработатьРезультатПроверкиИтогов(Форма, РезультатВыполнения) 
```
</details>

## ПолучитьСвойстваСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки учета для переданного счета плана счетов.
// Параметры:
//  Счет - ПланСчетовСсылка.Хозрасчетный - Счет, для которого получаются настройки.
//
// Возвращаемое значение:
//  Структура - см. РеглУчетСервер.ПолучитьСвойстваСчета.
Функция ПолучитьСвойстваСчета(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПолучитьСвойстваСчета(Счет) 
```
</details>

## СообщитьОбОшибкеРегОперацииСНавигацией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирует сообщение пользователю при возникновении ошибок
// в процессе проведения регламентированных операций.
//
// Параметры:
//	ТекстСообщения - Строка - Текст сообщения пользователю.
//	СсылкаНаОшибочныйОбъект - Произвольный - Ссылка на объект, содержащий ошибку.
//	Отказ - Булево - Признак отказа.
//	РегОперация - ДокументСсылка.РегламентнаяОперация - Документ, связанный с ошибкой.
//
Процедура СообщитьОбОшибкеРегОперацииСНавигацией(Знач ТекстСообщения, СсылкаНаОшибочныйОбъект = Неопределено, Отказ = Истина, РегОперация = Неопределено) Экспорт
```

Пример вызова
```bsl
БухгалтерскийУчетПереопределяемый.СообщитьОбОшибкеРегОперацииСНавигацией(ТекстСообщения, СсылкаНаОшибочныйОбъект, Отказ, РегОперация);
```
</details>

## ПользователюДоступныСуммыНУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет в целом для сеанса работы, может ли потребоваться рассчитывать,
// заполнять и отображать пользователю суммы НУ в проводках.
//
// Обращение к функции следует выполнять через кеш повтоно используемых значений -
// см. БухгалтерскийУчетВызовСервераПовтИсп.ПользователюДоступныСуммыНалогНаПрибыль()
// Она единообразно работает ИС ПР/ВР, ИС НУ.
//
// Возвращаемое значение:
//  Булево - Истина, если может потребоваться использовать суммы НУ в проводках.
//
Функция ПользователюДоступныСуммыНУ() Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ПользователюДоступныСуммыНУ() 
```
</details>

## НастроитьВидимостьПолейНалоговогоУчетаИРазниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает видимость полей НУ, ПР и ВР на форме
//
// Параметры:
//  ПоляНалогНаПрибыль - Соответствие - ключ = поле формы, в том числе - заголовки строк; значение = вид учета НУ/ПР/ВР
//  Период         - Дата - основной период набора записей
//  Организация    - СправочникСсылка.Организации - организация набора записей
//                 - Неопределено - организация набора записей не может быть определена
//  ВидИспользованияСумм - Строка - возможные значения см. ИспользоватьСуммыНалогНаПрибыль()
//  ВыводитьСуммыРазницДляПлательщикаНалогаНаПрибыль - Булево - только для ERP, вывести суммы разниц, если организация ведет учет ПБУ 18/02 простым балансовым методом
//
Процедура НастроитьВидимостьПолейНалоговогоУчетаИРазниц(ПоляНалогНаПрибыль, Период, Организация = Неопределено, ВидИспользованияСумм = "", Экспорт
```

Пример вызова
```bsl
БухгалтерскийУчетПереопределяемый.НастроитьВидимостьПолейНалоговогоУчетаИРазниц(ПоляНалогНаПрибыль, Период, Организация, ВидИспользованияСумм, );
```
</details>

## ИспользоватьСуммыНалогНаПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Определяет в контексте отдельных операций, отчетов и т.п., нужно ли рассчитывать,
// заполнять и отображать пользователю суммы разниц в проводках.
//
// Параметры:
//  Организация - СправочникСсылка.Организации
//  Период      - Дата - дата, на которую проверяется значение настройки;
//                если не заполнена, то проверяется наиболее поздняя
//  ДоступныйВидИспользованияСумм - Строка - максимально возможный.
//                                  См. БухгалтерскийУчетВызовСервераПовтИсп.ПользователюДоступныСуммыНалогНаПрибыль()
//
// Возвращаемое значение:
//   Строка - варианты использования разниц. См. БухгалтерскийУчетВызовСервераПовтИсп.ПользователюДоступныСуммыНалогНаПрибыль()
//
Функция ИспользоватьСуммыНалогНаПрибыль(Организация, Период, ДоступныйВидИспользованияСумм = "") Экспорт
```

Пример вызова
```bsl
Результат = БухгалтерскийУчетПереопределяемый.ИспользоватьСуммыНалогНаПрибыль(Организация, Период, ДоступныйВидИспользованияСумм);
```
</details>

## НастроитьПоляУчетаРазниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает поля учета разниц в форме, отображающей набор записей регистра Хозрасчетный.
//
// Параметры:
//  ПоляНалогНаПрибыль - Соответствие - ключ = поле формы, в том числе - заголовки строк; значение = вид учета НУ/ПР/ВР
//  ПоляЗаголовков - Структура - поля формы, отображающие заголовки колонок, содержащих показатели НУ, ПР, ВР:
//                    * Дт - ПолеФормы, ГруппаФормы -
//                    * Кт - ПолеФормы, ГруппаФормы -
//  Период         - Дата - основной период набора записей
//  Организация    - СправочникСсылка.Организации - организация набора записей
//                 - Неопределено - организация набора записей не может быть определена
//  ВалютаРУ       - СправочникСсылка.Валюты - Валюта регл. учета
//  ВыводитьСуммыРазницДляПлательщикаНалогаНаПрибыль - Булево - только для ERP, вывести суммы разниц, если организация ведет учет ПБУ 18/02 простым балансовым методом
//
Процедура НастроитьПоляУчетаРазниц(ПоляНалогНаПрибыль, ПоляЗаголовков, Период, Организация = Неопределено, ВалютаРУ = Неопределено, Экспорт
```

Пример вызова
```bsl
БухгалтерскийУчетПереопределяемый.НастроитьПоляУчетаРазниц(ПоляНалогНаПрибыль, ПоляЗаголовков, Период, Организация, ВалютаРУ, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
