---
title: Бюджетирование вызов сервера
slug: erp-uh/бюджетирование-вызов-сервера
---


## ДоступныеТипыАналитикиСтатейБюджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает типы значений аналитики.
//
// Параметры:
//  АналитикаСтатейБюджетов - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - Аналитика статьи.
//
// Возвращаемое значение:
//  Соответствие - доступные типы аналитик статей бюджетов:
//   *Ключ - Тип -  Тип значения аналитики.
//   *Значение - Строка - Полное имя объекта метаданных.
//
Функция ДоступныеТипыАналитикиСтатейБюджетов(АналитикаСтатейБюджетов) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеВызовСервера.ДоступныеТипыАналитикиСтатейБюджетов(АналитикаСтатейБюджетов) 
```
</details>

## ДанныеРасшифровкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры расшифровки и основное действие для "особой" расшифровки отчета.
//
// Параметры:
// 	Расшифровка - Число - Идентификатор расшифровки
// 	АдресДанныхРасшифровки - Строка - Адрес временного хранилища с данными расшифровки.
//
// Возвращаемое значение:
// 	Структура - содержит параметры расшифровки и основное действие.
//
Функция ДанныеРасшифровкиОтчета(Расшифровка, АдресДанныхРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеВызовСервера.ДанныеРасшифровкиОтчета(Расшифровка, АдресДанныхРасшифровки) 
```
</details>

## ЗаменяемыеПустыеЗначенияАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пустых ссылок плана видов характеристик АналитикиСтатейБюджетов.
//
// Возвращаемое значение:
// 	Массив - массив пустых ссылок.
//
Функция ЗаменяемыеПустыеЗначенияАналитики() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеВызовСервера.ЗаменяемыеПустыеЗначенияАналитики() 
```
</details>

## ВыполнитьЗаменыЗначенийВОбъекте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обходит объект / запись регистра по реквизитам поиска, и в случае нахождения Заменяемых значений меняет значение на ЗначениеЗамены.
//
// Параметры:
// 	Объект - СправочникОбъект - объект любого справочника
// 				- ДокументОбъект   - объект любого документа
// 				- РегистрБухгалтерииЗаписьИмяРегистраБухгалтерии - запись любого регистра.
// 				- РегистрНакопленияЗаписьИмяРегистраНакопления - запись любого регистра.
// 				- РегистрСведенийЗаписьИмяРегистраСведений - запись любого регистра.
// 	РеквизитыПоиска - Строка - Строки-пути к полям замены, разделенные запятой, например "ИмяРеквизита1, ИмяТабличнойЧасти.ИмяРеквизита" или "ИмяТабличнойЧасти.ИмяРеквизита, ИмяТабличнойЧасти2.ИмяРеквизита"
// 				- Массив из Строка - Массив строк-путей к полям замены, например "ИмяРеквизита" или "ИмяТабличнойЧасти.ИмяРеквизита"
// 	ЗаменяемыеЗначения - Массив  - Массив значений, на которые будет проверяться значение в поле перед заменой.
// 	ЗначениеЗамены - Произвольный - Неопределено, ЛюбаяСсылка.
// 	ОбъектИзменен - Булево - Признак изменения объекта.
//
Процедура ВыполнитьЗаменыЗначенийВОбъекте(Объект, РеквизитыПоиска, ЗаменяемыеЗначения, ЗначениеЗамены, ОбъектИзменен = Ложь) Экспорт
```

Пример вызова
```bsl
БюджетированиеВызовСервера.ВыполнитьЗаменыЗначенийВОбъекте(Объект, РеквизитыПоиска, ЗаменяемыеЗначения, ЗначениеЗамены, ОбъектИзменен);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
