---
title: Бюджетирование клиент сервер
slug: erp-uh/бюджетирование-клиент-сервер
---


## ПредставлениеАналитикСтатьиБюджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает используемые аналитики статьи бюджетов, разделенные " / "
//
// Параметры:
// 	 РеквизитыСтатьиБюджетов - Структура, ВыборкаИзРезультатаЗапроса, СтрокаТаблицыЗначений  - реквизиты статьи бюджетов.
//
// Возвращаемое значение:
// 	 Строка - Представление.
//
Функция ПредставлениеАналитикСтатьиБюджетов(РеквизитыСтатьиБюджетов) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.ПредставлениеАналитикСтатьиБюджетов(РеквизитыСтатьиБюджетов) 
```
</details>

## ПредставлениеТипаЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет представление типа значения объекта
//
// Параметры:
// 	 Объект - ПланВидовХарактеристикОбъект.АналитикиСтатейБюджетов  - объект, реквизит которого будет заполнен.
//
// Возвращаемое значение:
// 	 Строка - представление типа
//
Функция ПредставлениеТипаЗначения(Объект) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.ПредставлениеТипаЗначения(Объект) 
```
</details>

## ДобавитьИнтервал
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет интервал к дате
//
// Параметры:
//	Дата - Дата - произвольная дата
//	Периодичность - ПеречислениеСсылка.Периодичность - периодичность планирования по сценарию.
//	Смещение - Число - определяет направление и количество периодов, в котором сдвигается дата
//	Кэш - Соответствие - кэш добавления периодов. См. функцию БюджетированиеКлиентСервер.ПреобразоватьПараметрыДанныхВДанныеПериодов.
//
// Возвращаемое значение:
//	Дата - дата, отстоящая от исходной на заданное количество периодов.
//
Функция ДобавитьИнтервал(Дата, Периодичность, Смещение, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.ДобавитьИнтервал(Дата, Периодичность, Смещение, Кэш);
```
</details>

## ДобавитьДень
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет заданное количество дней к дате.
//
// Параметры:
// 	Дата - Дата - Произвольная дата
// 	ЧислоДней - Число - Число дней, которые следует добавить к дате.
//
// Возвращаемое значение:
// 	Дата - Итоговая дата.
//
Функция ДобавитьДень(Дата, ЧислоДней) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.ДобавитьДень(Дата, ЧислоДней) 
```
</details>

## ДатаНачалаПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ближайшую дату начала периода планирования.
//
// Параметры:
//	ДатаВПериоде - Дата - Произвольная дата.
//	Периодичность - ПеречислениеСсылка.Периодичность - Периодичность планирования по сценарию.
//
// Возвращаемое значение:
//	Дата - ближайшая дата начала периода планирования.
//
Функция ДатаНачалаПериода(ДатаВПериоде, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.ДатаНачалаПериода(ДатаВПериоде, Периодичность) 
```
</details>

## НачалоДекады
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает начало декады по дате.
//
// Параметры:
//	Дата - Дата - Произвольная дата.
//
// Возвращаемое значение:
//	Дата - начало декады для переданной даты.
//
Функция НачалоДекады(Дата) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.НачалоДекады(Дата) 
```
</details>

## КонецДекады
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает конец декады по дате.
//
// Параметры:
//	Дата - Дата - Произвольная дата.
//
// Возвращаемое значение:
//	Дата - конец декады для переданной даты.
//
Функция КонецДекады(Дата) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.КонецДекады(Дата) 
```
</details>

## НачалоПолугодия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает начало полугодия по дате.
//
// Параметры:
//	Дата - Дата - Произвольная дата.
//
// Возвращаемое значение:
//	Дата - начало полугодия для переданной даты.
//
Функция НачалоПолугодия(Дата) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.НачалоПолугодия(Дата) 
```
</details>

## КонецПолугодия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает конец полугодия по дате.
//
// Параметры:
//	Дата - Дата - Произвольная дата.
//
// Возвращаемое значение:
//	Дата - начало полугодия для переданной даты.
//
Функция КонецПолугодия(Дата) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.КонецПолугодия(Дата) 
```
</details>

## НачалоНеделиПоМесяцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает дату начала недели с учетом начала месяца
//
// Параметры:
//	Дата - Дата - Произвольная дата.
//
// Возвращаемое значение:
//	Дата - начало недели.
//
Функция НачалоНеделиПоМесяцу(Дата) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.НачалоНеделиПоМесяцу(Дата) 
```
</details>

## ДатаКонцаПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает дату окончания периода
//
// Параметры:
//	Дата - Дата - произвольная дата.
//	Периодичность - ПеречислениеСсылка.Периодичность - периодичность планирования по сценарию.
//
// Возвращаемое значение:
//	Дата - дата окончания периода.
//
Функция ДатаКонцаПериода(Дата, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.ДатаКонцаПериода(Дата, Периодичность) 
```
</details>

## ПредставлениеПериодаПоДате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает представление периода с учетом периодичности
//
// Параметры:
//	ДатаНачала - Дата - произвольная дата.
//	Периодичность - ПеречислениеСсылка.Периодичность - периодичность.
//
// Возвращаемое значение:
//	Строка - представление периода.
//
Функция ПредставлениеПериодаПоДате(ДатаНачала, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.ПредставлениеПериодаПоДате(ДатаНачала, Периодичность) 
```
</details>

## ПериодЦифрамиПериодичностьПрописью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает число цифрами и период в нужном падеже
//
// Параметры:
// 	 ЧислоПериодов - Число - количество периодов
// 	 Периодичность - ПеречислениеСсылка.Периодичность - периодичность периодов.
//
// Возвращаемое значение:
// 	 Строка - Представление.
//
Функция ПериодЦифрамиПериодичностьПрописью(ЧислоПериодов, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.ПериодЦифрамиПериодичностьПрописью(ЧислоПериодов, Периодичность) 
```
</details>

## ПриведенноеЗначениеАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение аналитики, приведенное к типу. Тип аналитики может включать или не включать тип Неопределено.
// Значение будет приведено к исходному типу, без неопределено. Но если приведенное значение пустое, то оно приводится к
// неопределено.
//
// Параметры:
// 	ЗначениеАналитики - Произвольный - Значение, которое необходимо привести к типу.
// 	ОписаниеТиповАналитики - ОписаниеТипов - Описание типов, к которому необходимо привести значение
// 						Но если приведенное значение - пустое, оно будет приведено к Неопределено.
//
// Возвращаемое значение:
// 	Произвольный - Значение аналитики, приведенное к типу. Если значение аналитики не заполнено, то вернется Неопределено,
// 						вне зависимости от исходного описания типов.
//
Функция ПриведенноеЗначениеАналитики(Знач ЗначениеАналитики, Знач ОписаниеТиповАналитики) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.ПриведенноеЗначениеАналитики(ЗначениеАналитики, ОписаниеТиповАналитики) 
```
</details>

## ПустоеЗначениеАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПустоеЗначениеАналитики() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.ПустоеЗначениеАналитики() 
```
</details>

## МаксимальноеКоличествоАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество аналитик в бюджетировании
//
// Возвращаемое значение:
// 	Число - Количество поддерживаемых в бюджетировании аналитик.
//
Функция МаксимальноеКоличествоАналитик() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеКлиентСервер.МаксимальноеКоличествоАналитик() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
