---
title: Бюджетирование повт исп
slug: erp-uh/бюджетирование-повт-исп
---


## ТипыВидовВидыАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу видов аналитик с колонкой типов
//
// Возвращаемое значение:
//	ТаблицаЗначений - все доступные виды аналитик. Содержит колонки:
//		*Ссылка - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - вид аналитики.
//		*ТипЗначения - ОписаниеТипов - тип вида аналитики.
//
Функция ТипыВидовВидыАналитик() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеПовтИсп.ТипыВидовВидыАналитик() 
```
</details>

## ВидыАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу видов аналитик с колонкой типов
//
// Возвращаемое значение:
//	Массив из ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - все доступные виды аналитик.
//
Функция ВидыАналитик() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеПовтИсп.ВидыАналитик() 
```
</details>

## ТипыВидаАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу видов аналитик с колонкой типов
//
// Параметры:
// 	ВидАналитики - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов, Строка - Ссылка на ПВХ АналитикиСтатейБюджетов или имя (идентификатор) вида аналитики.
//
// Возвращаемое значение:
//	Массив из Тип - Массив значений типа Тип, состоящий из используемых типов.
//
Функция ТипыВидаАналитики(ВидАналитики) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеПовтИсп.ТипыВидаАналитики(ВидАналитики) 
```
</details>

## ПустыеЗначенияАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пустых ссылок плана видов характеристик АналитикиСтатейБюджетов и Неопределено.
//
// Возвращаемое значение:
// 	Массив из ЛюбаяСсылка - массив пустых ссылок и неопределено.
//
Функция ПустыеЗначенияАналитики() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеПовтИсп.ПустыеЗначенияАналитики() 
```
</details>

## ИспользоватьНесколькоВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение одноименной опции и используется в массивных, многократно повторяющихся алгоритмах.
//
// Возвращаемое значение:
//   Булево - значение функциональной опции.
//
Функция ИспользоватьНесколькоВалют() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеПовтИсп.ИспользоватьНесколькоВалют() 
```
</details>

## ПараметрыЗаполненияВалютыВидаАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает структуру полей заполнения валюты по виду аналитики.
//
// Параметры:
// 	ВидАналитики - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - Вид аналитики.
// Возвращаемое значение:
// 	Структура - Описание:
// * УчитыватьПоВалюте - Булево - Флаг учета аналитики по валюте.
// * ЗаполнениеВалюты - Булево - Путь к полю валюты.
Функция ПараметрыЗаполненияВалютыВидаАналитики(ВидАналитики) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеПовтИсп.ПараметрыЗаполненияВалютыВидаАналитики(ВидАналитики) 
```
</details>

## ОстаточныеФинансовыеРегистрыПоИмениВидаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив имен балансовых регистров для заданного вида документа
//
// Параметры:
//  ИмяВидаДокумента - Строка - имя вида документа
// Возвращаемое значение:
//  Соответствие из КлючИЗначение - массив балансовых регистров:
//   Ключ - Строка - имя балансового регистра
//   Значение - Структура - параметры отражения движений балансового регистра
//
Функция ОстаточныеФинансовыеРегистрыПоИмениВидаДокумента(ИмяВидаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеПовтИсп.ОстаточныеФинансовыеРегистрыПоИмениВидаДокумента(ИмяВидаДокумента) 
```
</details>

## НастройкиХозяйственныхОперацийДляЗамены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки ХО, которые необходимо заменить основной настройкой ХО из правила получения факта
//
// Возвращаемое значение:
//  Массив из СправочникСсылка.НастройкиХозяйственныхОпераций
//
Функция НастройкиХозяйственныхОперацийДляЗамены() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеПовтИсп.НастройкиХозяйственныхОперацийДляЗамены() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
