---
title: Бюджетирование сервер
slug: erp-uh/бюджетирование-сервер
---


## ЭтоИзмерениеАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак, что измерение считается аналитикой по типу измерения
//
// Параметры:
// 	ТипЗначенияИзмерения - ОписаниеТипов - Описание типов аналитики
// 	ВидАналитики - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - Ссылка на ПВХ АналитикиСтатейБюджетов.
//
// Возвращаемое значение:
// 	Булево - Истина, если измерение является аналитикой.
//
Функция ЭтоИзмерениеАналитики(ТипЗначенияИзмерения, ВидАналитики = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ЭтоИзмерениеАналитики(ТипЗначенияИзмерения, ВидАналитики);
```
</details>

## ВыражениеПустогоЗначенияАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает выражение пустого значения аналитики
//
// Возвращаемое значение:
// 	Строка - Выражение значения аналитики для запроса.
//
Функция ВыражениеПустогоЗначенияАналитики() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ВыражениеПустогоЗначенияАналитики() 
```
</details>

## ВсеТипыАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типов всех типов аналитик бюджетирования
//
// Возвращаемое значение:
// 	ОписаниеТипов - описание типов всех типов значений аналитик бюджетирования.
//
Функция ВсеТипыАналитик() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ВсеТипыАналитик() 
```
</details>

## ВыражениеЗначенияАналитикиПоИсточникуИТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает выражение значения аналитики с проверкой типа значения
//
// Параметры:
// 	ВыражениеИсточник - Строка - Выражение источника значения аналитики. Например, поле запроса / таблицы, из которого берется значение аналитики.
// 				Если выражение источника не заполнен, выражение аналитики вернет выражение пустой аналитики. По умолчанию не заполнено.
// 	ВидАналитики - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - для генерации выражения для СКД требуется вид аналитики.
//
// Возвращаемое значение:
// 	Строка - Выражение значения аналитики для запроса, с проверкой типа значения.
//
Функция ВыражениеЗначенияАналитикиПоИсточникуИТипу(ВыражениеИсточник = "", ВидАналитики = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ВыражениеЗначенияАналитикиПоИсточникуИТипу(ВыражениеИсточник, ВидАналитики);
```
</details>

## ВыражениеЗначенияАналитикиПоИсточникуИВидуАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает выражение значения аналитики с проверкой типа значения
//
// Параметры:
// 	ВыражениеИсточник - Строка - Выражение источника значения аналитики. Например, поле запроса / таблицы, из которого берется значение аналитики.
// 				Если выражение источника не заполнен, выражение аналитики вернет выражение пустой аналитики. По умолчанию не заполнено.
// 	ВыражениеИсточникВидаАналитики - Строка - Выражение источника вида аналитики.
// 				Если выражение источника не заполнено, выражение аналитики вернет выражение пустой аналитики. По умолчанию не заполнено.
//
// Возвращаемое значение:
// 	Строка - Выражение значения аналитики для СКД, с проверкой типа значения.
//
Функция ВыражениеЗначенияАналитикиПоИсточникуИВидуАналитики(ВыражениеИсточник = "", ВыражениеИсточникВидаАналитики = "") Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ВыражениеЗначенияАналитикиПоИсточникуИВидуАналитики(ВыражениеИсточник, ВыражениеИсточникВидаАналитики);
```
</details>

## ШаблонПараметровПоляАналитикиСУсловиемПоКоличествуВидовАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон параметров для функции ТекстПоляАналитикиСУсловиемПоКоличествуВидовАналитики.
//
// Возвращаемое значение:
// 	Структура - структура параметров. Описание структуры см. ТекстПоляАналитикиСУсловиемПоКоличествуВидовАналитики.
//
Функция ШаблонПараметровПоляАналитикиСУсловиемПоКоличествуВидовАналитики() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ШаблонПараметровПоляАналитикиСУсловиемПоКоличествуВидовАналитики() 
```
</details>

## ТекстПоляАналитикиСУсловиемПоКоличествуВидовАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает выражение для поля аналитики с условием по общему количеству используемых видов аналитики
// и другими условиями, задаваемыми опционально параметрами. В общем случае выражение выглядит следующим образом:
//          ВЫБОР
//                КОГДА ВыражениеКоличествоИспользуемыхАналитик >= [НомерТекущейАналитики]
//                   <И НЕ ВыражениеТранслироватьАналитикуБезИндекса[НомерТекущейАналитики]>
//                         ТОГДА ВыражениеЗначенияАналитикиБезИндекса[НомерТекущейАналитики]
//                КОГДА ВыражениеКоличествоИспользуемыхАналитик >= [НомерТекущейАналитики]
//                   <И ВыражениеТранслироватьАналитикуБезИндекса[НомерТекущейАналитики]
//                    И ВыражениеАдресТрансляцииАналитикиБезИндекса[НомерТекущейАналитики] = [АдресТрансляцииАналитики =
//                    1] ТОГДА ВыражениеЗначенияАналитикиПриТрансляцииБезИндекса[АдресТрансляцииАналитики = 1]>
//                ...
//                ...
//                КОГДА ВыражениеКоличествоИспользуемыхАналитик >= [ТекущийНомерАналитики]
//                   <И ВыражениеТранслироватьАналитикуБезИндекса[НомерТекущейАналитики]
//                    И ВыражениеАдресТрансляцииАналитикиБезИндекса[НомерТекущейАналитики] = [АдресТрансляцииАналитики =
//                    6] ТОГДА ВыражениеЗначенияАналитикиПриТрансляцииБезИндекса[АдресТрансляцииАналитики = 6]>
//                ИНАЧЕ НЕОПРЕДЕЛЕНО
//          КОНЕЦ
//
// Параметры:
// 	Параметры - Структура - Структура параметров:
// 	 *ВыражениеКоличествоИспользуемыхАналитик - Строка - Выражение типа ИмяТаблицы.СтатьяПоказательНФПИмяТаблицы.КоличествоИспользуемыхАналитик.
// 						Например, "Данные.СтатьяБюджетов.КоличествоИспользуемыхАналитик" или "СвязиПоказателей.КоличествоИспользуемыхАналитик".
// 	 *ВыражениеЗначенияАналитикиБезИндекса - Строка - Выражение значения аналитики. Например, СвязиПоказателей.Аналитика%НомерТекущейАналитики%.
// 	 *ПараметрыТрансляцииАналитики - Структура - Структура параметров трансляции аналитики:
// 	    **ВозможнаТрансляцияАналитики - Булево - Если Истина, то возможна трансляция аналитики, тогда требуется заполнение параметров.
// 	    					ВыражениеТранслироватьАналитикуБезИндекса и ВыражениеАдресТрансляцииАналитикиБезИндекса.
// 	    **ВыражениеТранслироватьАналитикуБезИндекса - Строка - Выражение пути к полю, описывающему необходимость трансляции.
// 	    					Например, "СвязиПоказателей.ТранслироватьАналитику%НомерТекущейАналитики%".
// 	    **ВыражениеАдресТрансляцииАналитикиБезИндекса - Строка - Выражение пути к полу, описывающему из какого поля
// 	    					транслировать аналитику. Например, "АдресТрансляцииАналитики%НомерТекущейАналитики%".
// 	    **ВыражениеЗначенияАналитикиПриТрансляцииБезИндекса - Строка - Выражение пути к полю, хранящему значение
// 	    					аналитики при трансляции. Таких полей значений аналитики может быть 6,
// 	    					в зависимости от адреса трансляции берется нужное поле.
// 	    					Например, "ОборотыБюджетов.Аналитика%АдресТрансляцииАналитики%".
// 	НомерТекущейАналитики - Число - Номер аналитики, для которой создается выражение.
//
// Возвращаемое значение:
// 	Строка - Выражение для поля запроса / СКД.
//
Функция ТекстПоляАналитикиСУсловиемПоКоличествуВидовАналитики(Параметры, НомерТекущейАналитики) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ТекстПоляАналитикиСУсловиемПоКоличествуВидовАналитики(Параметры, НомерТекущейАналитики) 
```
</details>

## ШаблонПараметровДляПолученияТекстаПоляСУсловиемПоВидуАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон параметров для функции ТекстПоляСУсловиемПоВидуАналитики
//
// Возвращаемое значение:
// 	Структура - структура параметров. Описание структуры см. ТекстПоляСУсловиемПоВидуАналитики.
//
Функция ШаблонПараметровДляПолученияТекстаПоляСУсловиемПоВидуАналитики() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ШаблонПараметровДляПолученияТекстаПоляСУсловиемПоВидуАналитики() 
```
</details>

## ТекстПоляСУсловиемПоВидуАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст поля для определения аналитики по виду
//
// Параметры:
// 	Параметры  - Структура - Структура параметров:
// 	 *ВыражениеКоличествоИспользуемыхАналитик - Строка - Выражение типа ИмяТаблицы.СтатьяПоказательНФПИмяТаблицы.КоличествоИспользуемыхАналитик.
// 					Например, "Данные.СтатьяБюджетов.КоличествоИспользуемыхАналитик".
// 	 *ВыражениеВидАналитикиБезИндекса - Строка - Выражение путь к виду аналитики, задаваемый без индекса. Типа "Данные.СтатьяБюджетов.ВидАналитики".
// 	 *ВыражениеЗначенияАналитикиБезИндекса - Строка - Выражение значения аналитики. Например, СвязиПоказателей.Аналитика%НомерТекущейАналитики%.
// 	 *ИмяПараметраВидАналитики - Строка - Имя параметра, передаваемого в запрос или СКД, ссылка на ПВХ.АналитикиСтатейБюджетов.
//
// Возвращаемое значение:
// 	Строка - конструкция "ВЫБОР" для подстановки в СКД или запрос для поля вида аналитики.
//
Функция ТекстПоляСУсловиемПоВидуАналитики(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ТекстПоляСУсловиемПоВидуАналитики(Параметры) 
```
</details>

## ШаблонПараметровДляПолученияТекстаПоляАналитикиПоАдресамТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон параметров для функции ТекстПоляАналитикиПоАдресамТрансляции
//
// Возвращаемое значение:
// 	Структура - структура параметров. Описание структуры см. ТекстПоляАналитикиПоАдресамТрансляции.
//
Функция ШаблонПараметровДляПолученияТекстаПоляАналитикиПоАдресамТрансляции() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ШаблонПараметровДляПолученияТекстаПоляАналитикиПоАдресамТрансляции() 
```
</details>

## ТекстПоляАналитикиПоАдресамТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст поля для определения аналитики по адресам трансляции.
// В общем случае возвращаемое выражение выглядит следующим образом:
//          ВЫБОР
//             КОГДА %ВыражениеТранслироватьАналитикуБезИндекса%%НомерТекущейАналитики%
//                 ТОГДА ВЫБОР
//                     КОГДА %ВыражениеАдресТрансляцииАналитикиБезИндекса%%НомерТекущейАналитики% = 1
//                         ТОГДА %ВыражениеЗначениеАналитикиБезИндексаПриТрансляции%1
//                     КОГДА %ВыражениеАдресТрансляцииАналитикиБезИндекса%%НомерТекущейАналитики% = 2
//                         ТОГДА %ВыражениеЗначениеАналитикиБезИндексаПриТрансляции%2
//                     КОГДА %ВыражениеАдресТрансляцииАналитикиБезИндекса%%НомерТекущейАналитики% = 3
//                         ТОГДА %ВыражениеЗначениеАналитикиБезИндексаПриТрансляции%3
//                     КОГДА %ВыражениеАдресТрансляцииАналитикиБезИндекса%%НомерТекущейАналитики% = 4
//                         ТОГДА %ВыражениеЗначениеАналитикиБезИндексаПриТрансляции%4
//                     КОГДА %ВыражениеАдресТрансляцииАналитикиБезИндекса%%НомерТекущейАналитики% = 5
//                         ТОГДА %ВыражениеЗначениеАналитикиБезИндексаПриТрансляции%5
//                     КОГДА %ВыражениеАдресТрансляцииАналитикиБезИндекса%%НомерТекущейАналитики% = 6
//                         ТОГДА %ВыражениеЗначениеАналитикиБезИндексаПриТрансляции%6
//                     КОНЕЦ
//             ИНАЧЕ %ВыражениеЗначениеАналитикиБезИндексаБезТрансляции%%НомерТекущейАналитики%
//          КОНЕЦ
//
// Параметры:
// 	Параметры - Структура - Структура параметров:
// 	 *ВыражениеТранслироватьАналитикуБезИндекса - Строка - Выражение-путь к полю Булево, признаку необходимости транслировать аналитику. Без индекса.
// 	 *ВыражениеАдресТрансляцииАналитикиБезИндекса - Строка - Выражение-путь к полю Число адресу трансляции аналитики. Без индекса.
// 	 *ВыражениеЗначениеАналитикиБезИндексаПриТрансляции - Строка - Выражение значения аналитики при трансляции (ТранслироватьАналитику = истина). Без индекса.
// 	 *ВыражениеЗначениеАналитикиБезИндексаБезТрансляции - Строка - Выражение значения аналитики без трансляции (ТранслироватьАналитику = ложь). Без индекса.
// 	НомерТекущейАналитики - Число - Номер аналитики.
//
// Возвращаемое значение:
// 	Строка - конструкция "ВЫБОР" для подстановки в СКД или запрос для поля вида аналитики.
//
Функция ТекстПоляАналитикиПоАдресамТрансляции(Параметры, НомерТекущейАналитики) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ТекстПоляАналитикиПоАдресамТрансляции(Параметры, НомерТекущейАналитики) 
```
</details>

## ШаблонПараметровПолученияФакта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры получения факта по умолчанию
//
// Возвращаемое значение:
//	Структура - Параметры получения факта по статьям и показателя бюджетов со свойствами:
//		*ВалютаОтчета - СправочникСсылка.Валюты - Валюта данных.
//		*ФункциональнаяВалюта - ПеречислениеСсылка.ВидыУчетаВФункциональнойВалюте - Закешированное значение функцилнальной валюты
//		*ВалютаМеждународ - СправочникСсылка.Валюты - Закешированное значение функциональной валюты международного учета (см. МеждународныйУчетОбщегоНазначения.УчетныеВалюты)
//		*Период - СтандартныйПериод - Период выборки.
//		*Периодичность - ПеречислениеСсылка.Периодичность, Неопределено - Периодичность детализации данных за период. Неопределено - без детализации.
//		*ОстаткиТолькоНаНачалоПериода - Булево - Получать факт только на начало периода (для остатков),
//			в противном случае данные получаются на конец каждого из подпериодов.
//			Значение по умолчанию - Ложь.
//		*ВозвращатьУпрИРеглСуммы - Булево - Вернуть суммы из регистров упр. и регл.
//			Значение по умолчанию - Ложь.
//		*ПоПравиламПолученияДанных - Булево - добавлять в таблицу данных колонку с примененным правилом.
//			Значение по умолчанию - Ложь.
//		*Показатели - Структура - показатели, которые автоматически подбираются в выборку с учетом настроек набора данных источника:
//			**Количество - Произвольный - присутствие свойства в структуре означает, что в выборку следует добавить получение количества
//			**Сумма - Произвольный - присутствие свойства в структуре означает, что в выборку следует добавить получение суммы
//		*ФактПоСтатьямВлияющимНаПоказателиБюджетовДополнятьХранимымФактом - Булево - дополнять факт по статьям, влияющим на показатели хранимым фактом.
//				По умолчанию Истина. Ложь - если весь хранимый факт получается отдельно (с помощью кэшируемых скд).
//				Дополнение хранимым фактом непосредственно осуществляется в стандартных отчетах бюджетирования.
//		*ВидыАналитик - Массив из ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - Аналитика (Номенклатура, Контрагенты...), в разрезе которой необходимо получить факт.
//		*ПоОрганизациям - Булево - Развернуть по организациям. Значение по умолчанию - Ложь.
//		*ПоПодразделениям - Булево - Развернуть по подразделениям. Значение по умолчанию - Ложь.
//		*ПоРегистратору - Булево - Развернуть факт по регистратору (для оборотов). Значение по умолчанию - Ложь.
//		*ДополнительныйОтбор - Структура - Дополнительный (к основному отбору правила) отбор, который накладывается на данные источника:
//			**Ключ - Произвольный - имя поля, по которому требуется применить доп. отбор
//			**Значение - Произвольный - значение доп. отбора.
//							- НастройкиКомпоновкиДанных -
//
Функция ШаблонПараметровПолученияФакта() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ШаблонПараметровПолученияФакта() 
```
</details>

## ШаблонТаблицыФактаПоСтатьямБюджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую таблицу с типизированными колонками, в соответствии с заданными параметрами для статей.
//
// Параметры:
// 	Параметры - см. БюджетированиеСервер.ШаблонПараметровПолученияФакта.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - пустая таблица с типизированными колонками:
// 		*СтатьяБюджетов - СправочникСсылка.СтатьиБюджетов, СправочникСсылка.ПоказателиБюджетов - Статья бюджетов.
// 		*Сценарий - СправочникСсылка.Сценарии - сценарий фактических данных. Предопределенные элементы
// 						"ИсполнениеБюджета" или "ФактическиеДанные".
// 		*РазделИсточникаДанных - ПеречислениеСсылка.РазделыИсточниковДанныхБюджетирования - оперативные,
// 						регламентированный, международный учет или произвольные данные.
// 		*ИсточникДанных - СправочникСсылка.НастройкиХозяйственныхОпераций - источник оперативных данных.
//						- ПланСчетовСсылка - источник данных бухгалтерского (регламентированного или международного) учета.
//						- Строка - источник произвольных данных.
// 		*КорСчет - ПланСчетовСсылка - кор. источник данных бухгалтерского (регламентированного или международного) учета.
// 		*ИсточникСуммыОперации - ПеречислениеСсылка.ПоказателиАналитическихРегистров - указатель на имя определенного
// 						ресурса регистра источника данных.
// 		*ТипИтога - ПеречислениеСсылка.ТипыИтогов - итог в виде сальдо или оборота (свернутого и развернутого по Дт и Кт).
// 		*Отбор - Строка - Описание
// 		*Правило - СправочникСсылка.ПравилаПолученияФактаПоСтатьямБюджетов - правило, согласно которому извлекается факт
// 		*Период - Дата - дата факта, приведенная к началу стандартного периода.
// 						Возможные значения периодичности задаются значениями перечисления Периодичность.
// 		*Регистратор - ДокументСсылка - документ, движение которого в указанной строке. Только для оборотов.
//						При условии, что включена детализация по регистратору.
//						См. ШаблонПараметровПолученияФакта() свойство ПоРегистратору.
// 		*Организация - СправочникСсылка.Организации - Организация, к которой относится факт.
//						При условии, что включена детализация по организациям.
//						См. ШаблонПараметровПолученияФакта() свойство ПоОрганизациям.
// 		*Подразделение - СправочникСсылка.СтруктураПредприятия - Подразделение, к которому относится факт.
//						При условии, что включена детализация по подразделениям.
//						См. ШаблонПараметровПолученияФакта() свойство ПоПодразделениям.
// 		*Аналитика1 - Произвольный - Тип из плана видов характеристик "АналитикаСтатейБюджетов" - значение аналитики.
// 		*Аналитика2 - Произвольный - Тип из плана видов характеристик "АналитикаСтатейБюджетов" - значение аналитики.
// 		*Аналитика3 - Произвольный - Тип из плана видов характеристик "АналитикаСтатейБюджетов" - значение аналитики.
// 		*Аналитика4 - Произвольный - Тип из плана видов характеристик "АналитикаСтатейБюджетов" - значение аналитики.
// 		*Аналитика5 - Произвольный - Тип из плана видов характеристик "АналитикаСтатейБюджетов" - значение аналитики.
// 		*Аналитика6 - Произвольный - Тип из плана видов характеристик "АналитикаСтатейБюджетов" - значение аналитики.
// 		*Ключ_УникальныйИдентификаторВидаАналитики - ОписаниеТипов - тип аналитики.
// 		*ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения - ед. измерения количественного показателя "Количество".
// 		*Количество - Число - значение количественного показателя.
// 		*ВалютаХранения - СправочникСсылка.Валюты - валюта операции показателя "Сумма" (валюта факта).
// 		*ПериодКурса - Дата - ближайшая дата примененного для конвертации курса валют.
// 		*Сумма - Число - значение суммового показателя в валюте факта.
// 		*Валюта - СправочникСсылка.Валюты - валюта суммового показателя "СуммаВВалюте".
// 		*СуммаВВалюте - Число - суммовой показатель "Сумма", приведенный к заданной валюте.
// 		*СуммаУпр - Число - суммовой показатель в валюте управленческого учета.
// 		*СуммаРегл - Число - суммовой показатель в валюте регламентированного учета.
//
Функция ШаблонТаблицыФактаПоСтатьямБюджетов(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ШаблонТаблицыФактаПоСтатьямБюджетов(Параметры) 
```
</details>

## ШаблонПараметровПересчетаВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры по умолчанию для пересчета валют
//
// Возвращаемое значение:
//	Структура - параметры расчета, определяющие способ пересчета из одной в валюты в другую:
//	  *ИмяНабораДанныхИсточника - Строка - имя набора данных, который будет пересчитываться и содержит поля сумм.
//	  *ИсточникКурсовВалют - Строка - имя регистра сведений с курсами валют. Может принимать одно из двух значений
//	  				"КурсыВалют" или "ПрогнозныеКурсыСценариев". КурсыВалют (по умолчанию) - фактические курсы валют.
//	  				ПрогнозныеКурсыСценариев - прогнозные курсы валют бюджетирования. В этом случае требуется указать
//	  				по какому сценарию выбирать курсы.
//	  *ИсходнаяВалюта - СправочникСсылка.Валюты - валюта, из которой требуется пересчитать суммы в таблице.
//	  			- Строка - имя колонки с типом СправочникСсылка.Валюты, в которой содержатся значения исходной
//	  				валюты для каждой строки.
//	  			- Неопределено - (по умолчанию) - будет осуществлен поиск колонки с именем "ИсходнаяВалюта".
//	  				Если колонка отсутствует, пересчет не будет производится.
//	  *КолонкиПересчета - Массив из Строка - Массив имен колонок, содержащих исходные суммы.
//	  			- Строка - имя колонки для пересчета
//	  			- Неопределено - (по умолчанию) - будет осуществлен поиск колонок с именами "Сумма",
//	  				"СуммаПриход", "СуммаРасход", "СуммаВВалюте", "СуммаВалПриход", "СуммаВалРасход", "ЗначениеПоказателя".
//	  *НомерНабораДанныхКонвертации - Число - номер набора данных конвертации предназначен для многократной
//	  				конвертации в одной схеме. По умолчанию - 1.
//	  *ПериодКурса - Дата - дата, на которую требуется произвести пересчет.
//	  			- Строка - имя колонки с типом Дата, в которой содержатся значения дат курсов для каждой строки.
//	  			- Неопределено - (по умолчанию) -  будет осуществлен поиск колонки с именем "ПериодКурса".
//	  				Если колонка отсутствует, то дата курса будет приравнена к сегодняшнему дню.
//	  *СценарийПрогнозногоКурса - СправочникСсылка.Сценарии - сценарий, для которого заданные прогнозные курсы.
//	  			- Строка - имя поля с типом СправочникСсылка.Сценарии, в котором содержатся значения
//	  				сценария курсов для каждой строки.
//	  *СценарийПрогнозногоКурса - Неопределено - (по умолчанию) - будет осуществлен поиск колонки с именем "Сценарий".
//	  				Если колонка отсутствует, пересчет не будет производится.
//	  *ЦелеваяВалюта - СправочникСсылка.Валюты - валюта, в которую требуется пересчитать суммы в таблице.
//	  			- Строка - имя поля с типом СправочникСсылка.Валюты, в котором содержатся значения целевой валюты для каждой строки.
//	  			- Неопределено - (по умолчанию) - будет осуществлен поиск колонки с именем "ЦелеваяВалюта".
//	  				Если колонка отсутствует, пересчет не будет производится.
//
Функция ШаблонПараметровПересчетаВВалюту() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ШаблонПараметровПересчетаВВалюту() 
```
</details>

## ШаблонПараметровЗаполненияАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую типизированную структуру настроек для последующего заполнения
// Используется для интерактивного и неинтерактивного заполнения полей-источников из схемы-источника
// для каждого вида аналитики правила получения фактических данных.
//
// Возвращаемое значение:
//	Структура - параметры заполнения аналитик:
//		*АдресСхемыКомпоновкиДанных - Строка - адрес схемы-источника данных во временном хранилище.
//		*КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - настройки на основе схемы-источника данных.
//		*УникальныйИдентификатор - УникальныйИдентификатор - идентификатор формы или элемента справочника,
//					для которого формируются настройки.
//		*НастройкиЗаполненияАналитики - ТаблицаЗначений - настройки каждой из 6 аналитик:
//			**ВидАналитики - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - Вид аналитики.
//			**НомерАналитики - Число - Номер аналитики.
//			**ВыражениеЗаполненияАналитики - Строка - выражение заполнения.
//			**ЗаполнятьУказаннымЗначением - Булево - флаг заполнения указанным значением.
//			**ЗначениеАналитики - Произвольный - Значение аналитики.
//			**ПредставлениеВыраженияЗаполненияАналитики - Строка - Представление выражения заполнения.
//			**НетВДоступныхПолях - Булево - Флаг проверки.
//			**ДополнительноеСвойство - ПланВидовХарактеристикСсылка.ДополнительныеРеквизитыИСведения - дополнительный реквизит.
//
Функция ШаблонПараметровЗаполненияАналитик() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ШаблонПараметровЗаполненияАналитик() 
```
</details>

## ШаблонПараметровПолученияЗначенийНефинансовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает параметры получения значений нефинансовых показателей по умолчанию
//
// Возвращаемое значение:
// 	 Структура - Параметры получения значений нефинансовых показателей:
//    *РежимПолученияДанных - ПеречислениеСсылка.РежимПолученияДанныхБюджетирования - режим получения данных.
//    *ВалютаМеждународ - СправочникСсылка.Валюты - Валюта международного учета.
//    *ВалютаРегл - СправочникСсылка.Валюты - Валюта регламентированного учета.
//    *ВалютаУпр - СправочникСсылка.Валюты - Валюта управленческого учета.
//    *ДополнительныйОтбор - Произвольный - Дополнительный отбор.
//    *ПоПодразделениям - Булево - Флаг получения данных в разрезе подразделений.
//    *ПоОрганизациям - Булево - Флаг получения данных в разрезе организаций.
//    *ВидыАналитик - Массив из ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - Виды аналитик.
//    *Периодичность - ПеречислениеСсылка.Периодичность - Периодичность.
//    *Период - СтандартныйПериод - Период получения данных.
Функция ШаблонПараметровПолученияЗначенийНефинансовыхПоказателей() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ШаблонПараметровПолученияЗначенийНефинансовыхПоказателей() 
```
</details>

## ИнициализированныеНастройкиПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки, созданные по переданной схеме
//
// Параметры:
// 	СхемаКомпоновкиДанных - СхемаКомпоновкиДанных - схема, настройки по которой требуется инициализировать.
//
// Возвращаемое значение:
// НастройкиКомпоновкиДанных - настройки по умолчанию.
//
Функция ИнициализированныеНастройкиПоУмолчанию(СхемаКомпоновкиДанных) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ИнициализированныеНастройкиПоУмолчанию(СхемаКомпоновкиДанных) 
```
</details>

## ИнициализированныйКомпоновщикПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает компоновщик настроек, созданный по переданной схеме
//
// Параметры:
// 	СхемаКомпоновкиДанных - СхемаКомпоновкиДанных - схема, настройки по которой требуется инициализировать.
//
// Возвращаемое значение:
// КомпоновщикНастроекКомпоновкиДанных - настройки по умолчанию.
//
Функция ИнициализированныйКомпоновщикПоУмолчанию(СхемаКомпоновкиДанных) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ИнициализированныйКомпоновщикПоУмолчанию(СхемаКомпоновкиДанных) 
```
</details>

## ЗначениеПоУмолчаниюДляИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустое значение соответствующего измерению типа
//
// Параметры:
//	ИмяИзмерения - Строка - название измерения регистра РегистрНакопления.ОборотыБюджетов.
//
// Возвращаемое значение:
//	Произвольный - пустое значение соответствующего типа.
//
Функция ЗначениеПоУмолчаниюДляИзмерения(ИмяИзмерения) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ЗначениеПоУмолчаниюДляИзмерения(ИмяИзмерения) 
```
</details>

## ФактСтатейПоПравилам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу с фактическими данными
// Состав колонок определяется параметрами получения факта.
//
// Параметры:
//	ПараметрыПолученияФакта - см. ИсточникиДанныхСервер.ШаблонПараметровПолученияФакта.
//
// Возвращаемое значение:
//	ТаблицаЗначений - фактические данные.
//
Функция ФактСтатейПоПравилам(ПараметрыПолученияФакта) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ФактСтатейПоПравилам(ПараметрыПолученияФакта) 
```
</details>

## ФактПоСтатьямБюджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает факт по статьям бюджетов в соответствии с настроенными правилами
//
// Параметры:
// 	НастройкиОтбора - НастройкиКомпоновкиДанных - Настройки отбора статей бюджетов
// 	Параметры - Структура - Параметры получения фактических данных
// 	ПересчитыватьВВалюту - Булево - Признак необходимости пересчета из валюты хранения в валюту статьи
// 	ДополнятьХранимымФактом - Булево - Признак необходимости дополнения фактических данных хранимыми данными.
//
// Возвращаемое значение:
// ТаблицаЗначений - Фактические данные по статьям бюджетов.
//
Функция ФактПоСтатьямБюджетов(НастройкиОтбора, Знач Параметры, ПересчитыватьВВалюту = Истина, ДополнятьХранимымФактом = Истина) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ФактПоСтатьямБюджетов(НастройкиОтбора, Параметры, ПересчитыватьВВалюту, ДополнятьХранимымФактом);
```
</details>

## ФактПоПоказателямБюджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает факт по показателям бюджетов в соответствии с настроенными правилами
//
// Параметры:
// 	НастройкиОтбора - НастройкиКомпоновкиДанных - Настройки отбора правил
// 	Параметры - Структура - Параметры получения фактических данных:
// 	* Период - СтандартныйПериод -
// 	ПересчитыватьВВалюту - Булево - Признак необходимости пересчета факта в валюту отчета.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Фактические данные по показателям бюджетов.
//
Функция ФактПоПоказателямБюджетов(НастройкиОтбора, Знач Параметры, ПересчитыватьВВалюту = Истина) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ФактПоПоказателямБюджетов(НастройкиОтбора, Параметры, ПересчитыватьВВалюту);
```
</details>

## ФактПоВидуБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает факт по статьям и показателям бюджетов, а также значения нефинансовых показателей, входящих в структуру
// вида бюджета.
//
// Параметры:
// 	ПараметрыДанных - Структура - Отборы, определенные на уровне бюджетного отчета
// 	ИсточникиДанных - Массив из см. БюджетнаяОтчетностьРасчетКэшаСервер.НовыйИсточник - Источников данных вида бюджета
// 	ВалютаОтчета - СправочникСсылка.Валюты - Валюта, в которой необходимо вернуть факт.
// 	РежимПолученияДанных - ПеречислениеСсылка.РежимПолученияДанныхБюджетирования - режим получения данных.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Факт по виду бюджета.
//
Функция ФактПоВидуБюджета(ПараметрыДанных, ИсточникиДанных, ВалютаОтчета, РежимПолученияДанных) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ФактПоВидуБюджета(ПараметрыДанных, ИсточникиДанных, ВалютаОтчета, РежимПолученияДанных) 
```
</details>

## ФактическиеДанныеИзИсточников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу с фактическими данными
// Состав колонок определяется параметрами получения факта.
//
// Параметры:
//	ИмяСправочникаИсточника - Строка - например, "ПравилаПолученияФактаПоПоказателямБюджетов". См. подробнее ИсточникиДанныхПовтИсп.ПоддерживаемыеСправочникиИсточникиДанных()
//	ПараметрыПолученияФакта - См. ИсточникиДанныхСервер.ШаблонПараметровПолученияФакта
//
// Возвращаемое значение:
//	ТаблицаЗначений - фактические данные.
//
Функция ФактическиеДанныеИзИсточников(ИмяСправочникаИсточника, ПараметрыПолученияФакта) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ФактическиеДанныеИзИсточников(ИмяСправочникаИсточника, ПараметрыПолученияФакта));
```
</details>

## ЗначенияНефинансовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения нефинансовых показателей в соответствии с их настройками
//
// Параметры:
// 	НастройкиОтбора - НастройкиКомпоновкиДанных - Настройки отбора правил.
// 	Параметры - Структура - Параметры получения фактических данных:
// 	 *Период - СтандартныйПериод - Период получения данных.
// 	 *Периодичность - ПеречислениеСсылка.Периодичность - Периодичность получаемых данных.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Значения нефинансовых показателей:
// 	* НефинансовыйПоказатель - СправочникСсылка.НефинансовыеПоказателиБюджетов - Нефинансовый показатель.
// 	* ВидПоказателя - ПеречислениеСсылка.ВидыНефинансовыхПоказателей - вид показателя.
// 	* Организация - СправочникСсылка.Организации - организация (если получение данных в разрезе организаций).
// 	* Подразделение - СправочникСсылка.СтруктураПредприятия - подразделение (если получение данных в разрезе подразделений).
// 	* Сценарий - СправочникСсылка.Сценарии - Сценарий.
// 	* Валюта - СправочникСсылка.Валюты - Валюта.
// 	* ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения - Единица измерения количественных значений.
// 	* Регистратор - ДокументСсылка - регистратор.
// 	* Период - Дата - Период.
// 	* ПериодУстановки - Дата - Период установки значения.
// 	* НомерПодпериода - Число - Номер подпериода.
// 	* ЗначениеПоказателя - Число - Значение.
Функция ЗначенияНефинансовыхПоказателей(НастройкиОтбора, Знач Параметры) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ЗначенияНефинансовыхПоказателей(НастройкиОтбора, Параметры) 
```
</details>

## ДобавитьПересчетДанныхВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет алгоритмы конвертации в существующую схему
//
// Параметры:
//	Схема - СхемаКомпоновкиДанных - изменяемая схема, в которой требуется конвертировать суммы.
//	КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - изменяемые настройки
//	ПараметрыПересчета - См. БюджетированиеСервер.ШаблонПараметровПересчетаВВалюту
//
Процедура ДобавитьПересчетДанныхВВалюту(Схема, КомпоновщикНастроек, Знач ПараметрыПересчета) Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.ДобавитьПересчетДанныхВВалюту(Схема, КомпоновщикНастроек, ПараметрыПересчета) 
```
</details>

## УстановитьВЗапросеВыраженияЗаполненияАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в тексте запроса выражения заполнения аналитики в зависимости от доступных типов объекта.
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка.ПланСборкиРазборки - Документ оперативного планирования.
// 					- ДокументСсылка.ПланОстатков -
// 					- ДокументСсылка.ПланВнутреннихПотреблений -
// 					- ДокументСсылка.ПланПродажПоКатегориям -
// 					- ДокументСсылка.ПланЗакупок -
// 					- ДокументСсылка.ПланПродаж -
// 					- ДокументСсылка.ПланПроизводства -
// 	ТекстЗапроса - Строка - Текст запроса для обработки.
// 	СтатьяБюджетов - СправочникСсылка.СтатьиБюджетов - Статья бюджетов, определяющая аналитику.
// 	МенеджерОбъекта - ДокументМенеджер - Источник заполнения аналитики.
// 	ИмяАналитики - Строка - имя заменяемого параметра аналитики в тексте запроса
// 	ИмяТаблицы - Строка - Имя таблицы источника.
//
Процедура УстановитьВЗапросеВыраженияЗаполненияАналитики(ДокументСсылка, ТекстЗапроса, СтатьяБюджетов, МенеджерОбъекта, ИмяАналитики, ИмяТаблицы = "") Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.УстановитьВЗапросеВыраженияЗаполненияАналитики(ДокументСсылка, ТекстЗапроса, СтатьяБюджетов, МенеджерОбъекта, ИмяАналитики, ИмяТаблицы);
```
</details>

## АдресПубликацииИнформационнойБазыВЛокальнойСети
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает в привилегированном режиме значение константы "Адрес публикации информационной базы в локальной сети".
//
// Возвращаемое значение:
//   Строка - значение константы.
//
Функция АдресПубликацииИнформационнойБазыВЛокальнойСети() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.АдресПубликацииИнформационнойБазыВЛокальнойСети() 
```
</details>

## ИспользуетсяМеждународныйУчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает в привилегированном режиме значение константы "Использовать международный финансовый учет".
// Только для ERP.
//
// Возвращаемое значение:
//   Булево - значение константы.
//
Функция ИспользуетсяМеждународныйУчет() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ИспользуетсяМеждународныйУчет() 
```
</details>

## УдалитьСохраненныеМакетыБюджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет макеты бюджетов, сохраненные в присоединенных файлах экземпляра бюджета
//
// Параметры:
//	Отбор - СправочникСсылка.ВидыБюджетов, ДокументСсылка.ЭкземплярБюджета - отбор, по которому будет определен экземпляр
//				бюджета для удаления присоединенных файлов.
//
Процедура УдалитьСохраненныеМакетыБюджетов(Отбор) Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.УдалитьСохраненныеМакетыБюджетов(Отбор) 
```
</details>

## ВидыАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает виды аналитик для переданного поддерживаемого справочника-источника данных.
//
// Параметры:
//	ИсточникДанных - СправочникСсылка.ПравилаПолученияФактаПоПоказателямБюджетов - поддерживаемый справочник-источник данных.
//					- СправочникСсылка.ПравилаПолученияФактаПоСтатьямБюджетов -
//					- СправочникСсылка.НефинансовыеПоказателиБюджетов -
//
// Возвращаемое значение:
//	Структура - виды аналитик источника данных:
//		*ВидАналитики1 - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - вид аналитики.
//		*ВидАналитики2 - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - вид аналитики.
//		*ВидАналитики3 - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - вид аналитики.
//		*ВидАналитики4 - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - вид аналитики.
//		*ВидАналитики5 - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - вид аналитики.
//		*ВидАналитики6 - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - вид аналитики.
//
Функция ВидыАналитик(ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ВидыАналитик(ИсточникДанных) 
```
</details>

## ДобавитьПоляАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет для аналитических срезов в схему вычисляемые поля, а в настройки поля группировок.
//
// Параметры:
//	СхемаКомпоновкиДанных - СхемаКомпоновкиДанных - динамически дополняемая схема источника данных
//	Настройки - НастройкиКомпоновкиДанных - динамически дополняемые настройки компоновки данных
//	ИсточникДанных - СправочникСсылка.ПравилаПолученияФактаПоПоказателямБюджетов - поддерживаемый справочник-источник данных.
//					- СправочникСсылка.ПравилаПолученияФактаПоСтатьямБюджетов -
//					- СправочникСсылка.НефинансовыеПоказателиБюджетов -
//	Параметры - См. БюджетированиеСервер.ШаблонПараметровПолученияФакта
//
Процедура ДобавитьПоляАналитики(СхемаКомпоновкиДанных, Настройки, ИсточникДанных, Параметры) Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.ДобавитьПоляАналитики(СхемаКомпоновкиДанных, Настройки, ИсточникДанных, Параметры));
```
</details>

## ДобавитьВыраженияПолейОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет выражения вычисляемых полей для полей, используемых в отборах компоновки.
//
// Параметры:
//	СхемаКомпоновкиДанных - СхемаКомпоновкиДанных - динамически дополняемая схема источника данных
//	Настройки - НастройкиКомпоновкиДанных - динамически дополняемые настройки компоновки данных.
//
Процедура ДобавитьВыраженияПолейОтборов(СхемаКомпоновкиДанных, Настройки) Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.ДобавитьВыраженияПолейОтборов(СхемаКомпоновкиДанных, Настройки) 
```
</details>

## ЗаполнитьИсточникиСуммыПоСхеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сопоставляет и заполняет имена полей наборов данных и требуемых показателей фактических данных.
//
// Параметры:
//	ИсточникиСуммы - Структура - сопоставленные показатели факта и поля источника данных:
//		*Ключ - Строка - имя показателя фактических данных.
//		*Значение - Строка - имя поля в схеме-источнике данных.
//	НаборДанных - НаборДанныхЗапросСхемыКомпоновкиДанных, НаборДанныхОбъектСхемыКомпоновкиДанных, НаборДанныхОбъединениеСхемыКомпоновкиДанных -
//				набор данных, поля которого анализируются.
//	ВсегдаВалютаВИмениПоказателя - Булево - Истина - во всех именах будет первое слово "Валюта".
//
Процедура ЗаполнитьИсточникиСуммыПоСхеме(ИсточникиСуммы, НаборДанных, ВсегдаВалютаВИмениПоказателя = Ложь) Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.ЗаполнитьИсточникиСуммыПоСхеме(ИсточникиСуммы, НаборДанных, ВсегдаВалютаВИмениПоказателя);
```
</details>

## ЗаполнитьИсточникиКоличестваПоСхеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сопоставляет и заполняет имена полей наборов данных и требуемых показателей фактических данных.
//
// Параметры:
//	ИсточникиКоличества - Структура - сопоставленные показатели факта и поля источника данных:
//		*Ключ - Строка - имя показателя фактических данных
//		*Значение - Строка - имя поля в схеме-источнике данных
//	НаборДанных - НаборДанныхЗапросСхемыКомпоновкиДанных, НаборДанныхОбъектСхемыКомпоновкиДанных, НаборДанныхОбъединениеСхемыКомпоновкиДанных -
//			набор данных, поля которого анализируются.
//
Процедура ЗаполнитьИсточникиКоличестваПоСхеме(ИсточникиКоличества, НаборДанных) Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.ЗаполнитьИсточникиКоличестваПоСхеме(ИсточникиКоличества, НаборДанных) 
```
</details>

## ФормированиеБюджетныхЗадач
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Процедура формирует бюджетные задачи.
//
// Параметры:
// 	МодельБюджетирования - СправочникСсылка.МоделиБюджетирования - Модель бюджетирования.
// 	ПроцессПодготовкиБюджетов - СправочникСсылка.ЭтапыПодготовкиБюджетов - Этап подготовки бюджета.
//
Процедура ФормированиеБюджетныхЗадач(МодельБюджетирования = Неопределено, ПроцессПодготовкиБюджетов=Неопределено) Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.ФормированиеБюджетныхЗадач(МодельБюджетирования, ПроцессПодготовкиБюджетов);
```
</details>

## ФормированиеОповещенийПоБюджетнымЗадачам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регламентная процедура формирования оповещений по бюджетным задачам.
//
Процедура ФормированиеОповещенийПоБюджетнымЗадачам() Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.ФормированиеОповещенийПоБюджетнымЗадачам() 
```
</details>

## СозданиеДокументовДляБюджетныхЗадач
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает формирование документов для бюджетных задач с приоритетом по задачам первой очереди.
//
// Параметры:
// 	Процесс - ДокументСсылка.ПроцессПодготовкиБюджетов - Процесс подготовки бюджетов (реквизит задачи)
//	ЗадачиПервойОчереди - Массив из ЗадачаСсылка.БюджетнаяЗадача, ЗадачаСсылка.БюджетнаяЗадача - Массив задач
//				или бюджетная задача, которые будут обрабатываться в первую очередь,
//				остальные задачи будут считаться "зависшими", и будут обрабатываться во 2ую очередь.
Процедура СозданиеДокументовДляБюджетныхЗадач(Процесс, ЗадачиПервойОчереди = Неопределено) Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.СозданиеДокументовДляБюджетныхЗадач(Процесс, ЗадачиПервойОчереди);
```
</details>

## ПоместитьНастройкиВСхемуПолученияФактическихДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает измененные значения пользовательских параметров в схему компоновки данных при начале редактирования
// схемы получения фактических данных в общей форме УпрощеннаяНастройкаСхемыКомпоновкиДанных.
//
// Параметры:
//   СхемаКомпоновкиДанных - СхемаКомпоновкиДанных - Схема получения фактических данных.
//   КомпоновщикНастроек   - КомпоновщикНастроекКомпоновкиДанных - Компоновщик с настройками, содержащими отображаемые пользователю параметры.
//
Процедура ПоместитьНастройкиВСхемуПолученияФактическихДанных(СхемаКомпоновкиДанных, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.ПоместитьНастройкиВСхемуПолученияФактическихДанных(СхемаКомпоновкиДанных, КомпоновщикНастроек) 
```
</details>

## ПроверкаКорректностиСхемыПолученияФактическихДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет проверить корректность схемы получения фактических данных, при необходимости исправить ошибки,
// а также заполнить список критических ошибок, которые необходимо будет исправить пользователю.
//
// Параметры:
//   СхемаКомпоновкиДанных - СхемаКомпоновкиДанных - Схема получения фактических данных.
//   СхемаСодержитКритическиеОшибки - Булево - флаг наличия критических ошибок, который необходимо взвести,
//   				чтобы пользователь не смог применить схему, пока не будут исправлены ошибки.
//   СписокКритическихОшибок - СписокЗначений - Список, содержащий тексты сообщений о критических ошибках.
//   СписокПрочихСообщений - СписокЗначений - Список, содержащий тексты сообщений о исправленных ошибках и прочие замечания.
//   				Данный список сообщений выводится пользователю один раз.
//
Процедура ПроверкаКорректностиСхемыПолученияФактическихДанных(СхемаКомпоновкиДанных, СхемаСодержитКритическиеОшибки, Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.ПроверкаКорректностиСхемыПолученияФактическихДанных(СхемаКомпоновкиДанных, СхемаСодержитКритическиеОшибки, );
```
</details>

## ДозаполнениеНастроекПриИзмененииСхемыКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает измененные значения параметров в схеме компоновки в настройки компоновщика настроек.
// Необходимость доопределения поведения вызвана возможностью указания параметра в настройках по умолчанию
// (тогда при стандартной инициализации настроек параметры будут взяты из настроек по умолчанию, а нужно
// чтобы брались из схемы компоновки).
//
// Параметры:
//   СхемаКомпоновкиДанных - СхемаКомпоновкиДанных - Схема получения фактических данных.
//   КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - Компоновщик с настройками, содержащими отображаемые пользователю параметры.
//
Процедура ДозаполнениеНастроекПриИзмененииСхемыКомпоновки(СхемаКомпоновкиДанных, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
БюджетированиеСервер.ДозаполнениеНастроекПриИзмененииСхемыКомпоновки(СхемаКомпоновкиДанных, КомпоновщикНастроек) 
```
</details>

## ДанныеДляБюджетногоОтчетаЕщеОбновляются
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, выполнились ли обработчики обновления, блокирующие формирование бюджетного отчета.
//
// Возвращаемое значение:
//  Булево - Истина, если данные еще обновляются.
//
Функция ДанныеДляБюджетногоОтчетаЕщеОбновляются() Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ДанныеДляБюджетногоОтчетаЕщеОбновляются() 
```
</details>

## ДанныеОбновленыНаНовуюВерсиюПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция для проверки объектов при открытии форм и перед записью.
// Может использоваться как функция проверки по умолчанию, если
// достаточно логики - заблокированные объекты зарегистрированы на узлах плана обмена ОбновлениеИнформационнойБазы.
//
// Параметры:
//  МетаданныеИОтбор - см. ОбновлениеИнформационнойБазы.МетаданныеИОтборПоДанным.
//
// Возвращаемое значение:
//  Булево - Истина, если объект обновлен и доступен для изменения.
//
Функция ДанныеОбновленыНаНовуюВерсиюПрограммы(МетаданныеИОтбор) Экспорт
```

Пример вызова
```bsl
Результат = БюджетированиеСервер.ДанныеОбновленыНаНовуюВерсиюПрограммы(МетаданныеИОтбор) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
