---
title: Бюджетная отчетность вывод сервер
slug: erp-uh/бюджетная-отчетность-вывод-сервер
---


## НеобязательныеПараметрыПолученияВыборкиЯчеек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает структуру необязательных параметров для функции ПолучитьВыборкуЯчеек
// Возвращаемое значение:
//	Структура - структура параметров с ключами:
//	  * Колонка - СписокЗначений, Неопределено - список колонок к выводу
//	  * Строка - СписокЗначений, Неопределено - список строк к выводу
//	  * ИндексыПоиска - Соответствие, Неопределено - описание параметра:
//	    ** Ключ - Строка - имена колонок индекса через запятую
//	    ** Значение - Булево -
//	  *ДобавлятьФлаг - Булево - признак добавления колонки в формате Флаг + <ИмяИзмерения>.
//	  *РежимФормирования - ПеречислениеСсылка.РежимыФормированияБюджетныхОтчетов - режим формирования
//
Функция НеобязательныеПараметрыПолученияВыборкиЯчеек() Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьВыводСервер.НеобязательныеПараметрыПолученияВыборкиЯчеек() 
```
</details>

## ПолучитьВыборкуЯчеек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает ячейки бюджета в соответствии с переданными параметрами.
//
// Параметры:
//	ДанныеЯчеек - ТаблицаЗначений - описание параметра.
//	НакопленныйОтбор - Структура - описание состава накапливаемых отборов:
//	* Ключ - Строка - имя измерения.
//	* Значение - Произвольный - значение применяемого отбора.
//	НеобязательныеПараметры - Структура, Неопределено - структура необязательных параметров с ключами:
//	  * Колонка - СписокЗначений, Неопределено - список колонок к выводу.
//	  * Строка - СписокЗначений, Неопределено - список строк к выводу.
//	  * ИндексыПоиска - Соответствие, Неопределено - описание параметра:
//	    ** Ключ - Строка - имена колонок индекса через запятую.
//	    ** Значение - Булево -
//	  *ДобавлятьФлаг - Булево - признак добавления колонки в формате Флаг + <ИмяИзмерения>. По умолчанию Ложь.
//
// Возвращаемое значение:
//	Массив - массив строк, найденных в таблице ДанныеЯчеек.
//
Функция ПолучитьВыборкуЯчеек(ДанныеЯчеек, НакопленныйОтбор, Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьВыводСервер.ПолучитьВыборкуЯчеек(ДанныеЯчеек, НакопленныйОтбор, );
```
</details>

## ПолучитьВыборкуЯчеекИерархически
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает ячейки бюджета в соответствии с переданными параметрами.
//
// Параметры:
//	ДанныеЯчеек - ТаблицаЗначений - содержит в том числе (см. ДанныеЯчеек):
// 		*Строка - СправочникСсылка.ЭлементыФинансовыхОтчетов - Строка бюджета.
// 		*Колонка - СправочникСсылка.ЭлементыФинансовыхОтчетов - Строка бюджета.
// 		*ИндексСтроки - Число - Индекс строки.
// 		*СтатьяБюджетов - СправочникСсылка.СтатьиБюджетов, СправочникСсылка.ПоказателиБюджетов - Статья бюджетов или целевой показатель.
// 		*ПоказательБюджетов - СправочникСсылка.ПоказателиБюджетов - Показатель бюджетов (расчетный или целевой).
// 		*НефинансовыйПоказатель - СправочникСсылка.НефинансовыеПоказателиБюджетов - Нефинансовый показатель.
// 		*РедактируемоеЗначение - Строка - Имя ячейки редактируемого значения.
// 		*ОсновнойЭлемент - Булево - Если истина, то выводится в бюджет, если ложь - то служит для расчета значений в основных ячейках.
// 		*ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета - Вид элемента.
// 		*РасчетЗаполнение - Строка - Вариант расчета / заполнения ячейки.
// 		*ВидОперанда - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета - Вид операнда.
// 		*ПорядокРасчетаОперанда - Число - порядок расчета операнда.
// 		*МинимумНомерПоПорядку - Число - минимальный номер по порядку.
// 		*Примечание - Строка - Примечание.
// 		*Период - Дата - Период данных ячейки.
// 		*Валюта - СправочникСсылка.Валюты - Валюта суммовых значений.
// 		*ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения - Единица измерения количественных значений.
// 		*Количество - Число - Количество.
// 		*КоличествоОборот - Число - Количество оборот.
// 		*Сумма - Число - Сумма.
// 		*СуммаОборот - Число - Сумма оборот.
// 		*СуммаВал - Число - Сумма валютная.
// 		*СуммаВалОборот - Число - Сумма валютная оборот.
// 		*Значение - Число - Значение нефинансового показателя.
// 		*ИмяОбластиКоличество - Строка - Имя области в табличном документе.
// 		*ИмяОбластиСумма - Строка - Имя области в табличном документе.
// 		*РассчитанКоличество - Булево - флаг расчета количества по формуле.
// 		*РассчитанСумма - Булево - флаг расчета суммы по формуле.
// 		*РассчитанЗначение - Булево - флаг расчета значения для нефинансового показателя по формуле.
// 		*СтрокаДанныхСопоставлена - Булево - Флаг сопоставления строки таблицы и строки табличного документа бюджета.
//	Измерения - Массив, Строка - коллекция имен измерений или название единственного измерения.
//	НакопленныйОтбор - Структура - описание состава накапливаемых отборов:
//	* Ключ - Строка - имя измерения.
//	* Значение - ПроизвольноеЗначение - значение применяемого отбора.
//	НеобязательныеПараметры - Структура, Неопределено - структура необязательных параметров с ключами:
//	  * Колонка - СписокЗначений, Неопределено - список колонок к выводу.
//	  * Строка - СписокЗначений, Неопределено - список строк к выводу.
//	  * ИндексыПоиска - Соответствие, Неопределено - описание параметра:
//	    ** Ключ - Строка - имена колонок индекса через запятую.
//	    ** Значение - Булево -
//	  *ДобавлятьФлаг - Булево - признак добавления колонки в формате Флаг + <ИмяИзмерения>. По умолчанию Ложь.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица, результат выполнения схемы компоновки.
//
Функция ПолучитьВыборкуЯчеекИерархически(ДанныеЯчеек, Измерения, НакопленныйОтбор, Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьВыводСервер.ПолучитьВыборкуЯчеекИерархически(ДанныеЯчеек, Измерения, НакопленныйОтбор, );
```
</details>

## ДанныеЭкземпляраБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные ячеек вида бюджета и параметры их вывода
//
// Параметры:
//	Параметры - см. Документы.ЭкземплярБюджета.ПараметрыВыводаВидаБюджетаВТабличныйДокумент
//
// Возвращаемое значение:
//	Структура - данные ячеек и параметры их вывода:
//		* ДанныеЯчеек - см. БюджетнаяОтчетностьВыводСервер.ДанныеЯчеек
//		* ДанныеРасшифровки - см. ДобавитьПараметрВывода.ПараметрыВывода
//		* Результат - ТабличныйДокумент -
//		* ПараметрыВыводаВидаБюджета - см. БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьПараметрыВыводаВидаБюджета
//		* СтильУровней - Структура - содержит:
// 	 		** Значение - см. ПолучитьКэшСтилейСтрокСпискаРедактирования
//		* ДеревоСтрокСпискаРедактирования - ДеревоЗначений -
//		* Примечания - Строка, Произвольный, Структура -
//
Функция ДанныеЭкземпляраБюджета(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьВыводСервер.ДанныеЭкземпляраБюджета(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
