---
title: Бюджетная отчетность расчет кэша сервер
slug: erp-uh/бюджетная-отчетность-расчет-кэша-сервер
---


## КэшРеквизитовЭлементовБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру кэша реквизитов по виду бюджета.
//
// Параметры:
//  ВидОтчета  - СправочникСсылка.ВидыБюджетов - ссылка на вид отчета.
//
// Возвращаемое значение:
//   Структура - кэш реквизитов элементов вида бюджета:
//    *КэшДопРеквизитов - См. описание ФинансоваяОтчетностьСервер.КэшДополнительныеРеквизиты
//    *КэшРеквизитов    - См. описание ФинансоваяОтчетностьСервер.КэшДополнительныеРеквизиты
//
Функция КэшРеквизитовЭлементовБюджета(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.КэшРеквизитовЭлементовБюджета(ВидОтчета) 
```
</details>

## ПолучитьПараметрыВыводаВидаБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает параметры вывода вида бюджета.
//
// Параметры:
//  ВидБюджета  - СправочникСсылка.ВидыБюджетов - вид бюджета, для которого определяются параметры.
//  РежимФормирования  - ПеречислениеСсылка.РежимыФормированияБюджетныхОтчетов - вариант формирования.
// Возвращаемое значение:
// 	Структура - Описание:
// * СтруктураКолонокТаблицыДанных - см. КолонкиТаблицыДанных
// * СтруктураОписанияСпискаВвода - Структура - содержит:
// 		** Измерения - Массив -
// 		** НастройкиКолонок - Структура -
// 		** НастройкиВвода - см. НастройкиВводаЯчейкиСписка
// * СтруктураОписанияОтчета - см. ОписаниеОтчета
// * ДеревоВывода - см. НовыйДеревоВывода
// * СКДДанных - Структура - содержит:
// 		** СКДИтоговая - СхемаКомпоновкиДанных -
// 		** СКДПлановыеДанные - СхемаКомпоновкиДанных -
// 		** СКДДанныеДокумента - СхемаКомпоновкиДанных -
// 		** СКДПредварительныйРасчет - СхемаКомпоновкиДанных -
// 		** СКДФактическиеДанныеПривилегированно - СхемаКомпоновкиДанных -
// 		** СКДПлановыеДанныеПривилегированно - СхемаКомпоновкиДанных -
// 		** Параметры - Структура -
//
Функция ПолучитьПараметрыВыводаВидаБюджета(ВидБюджета, РежимФормирования) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьПараметрыВыводаВидаБюджета(ВидБюджета, РежимФормирования) 
```
</details>

## ДеревоЭлементовБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает дерево элементов вида бюджета
//
//
// Параметры:
//  ВидБюджета - СправочникСсылка.ВидыБюджетов - вид бюджета, для которого требуется построить дерево.
//  ВыводитьЭлементыСложнойТаблицы  - Булево - признак, что требуется выводить элементы, подчиненные элементу "Настройка Ячеек".
//
// Возвращаемое значение:
//   ДеревоЗначений - Содержит, в основном, поля справочника "ЭлементыФинансовыхОтчетов":
//   	* ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов - ссылка на элемент отчета.
//   	* ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета - вид элемента.
//   	* АдресСтруктурыЭлемента - Строка -
//   	* Комментарий - Строка -
//   	* ОбратныйЗнак - Булево -
//   	* ЕстьНастройки - Булево -
//   	* Родитель - СправочникСсылка.ЭлементыФинансовыхОтчетов -
//   	* СтатьяПоказательТипИзмерения - Строка -
//   	* Наименование - Строка -
//   	* ЗначениеАналитики - Характеристика.АналитикиСтатейБюджетов -
//   	* Значение_СтатьяБюджетов - СправочникСсылка.СтатьиБюджетов -
//   	* НаименованиеДляПечати - Строка -
//   	* ТипИзмерения - ПеречислениеСсылка.ТипыИзмеренийФинансовогоОтчета -
//   	* ВыводитьВместеСРодительским - Булево -
//   	* ПредставлениеДополнительныхПолей - Строка -
//   	* ПредставлениеТолькоДляПечати - Строка -
//   	* ПривилегированныйРежим - Булево -
//   	* ИсточникВсеЭлементы - Булево -
//
Функция ДеревоЭлементовБюджета(ВидБюджета, ВыводитьЭлементыСложнойТаблицы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ДеревоЭлементовБюджета(ВидБюджета, ВыводитьЭлементыСложнойТаблицы);
```
</details>

## КолонкиТаблицыДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры данных видов бюджета
//
// Параметры:
// 	ВидБюджета - СправочникСсылка.ВидыБюджетов - вид бюджета, для которого определяются параметры данных.
//
// Возвращаемое значение:
//	Структура - параметры данных для вида бюджета, ключи:
//		* Периодичности - Массив - массив периодичностей до которых следует расшифровать таблицу данных
//		* Измерения - Массив Из Строка - массив используемых измерений
//		* ВидыАналитик - Массив Из ПланВидовХарактеристикСсылка.РеквизитыЭлементовФинансовыхОтчетов -
Функция КолонкиТаблицыДанных(ВидБюджета) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.КолонкиТаблицыДанных(ВидБюджета) 
```
</details>

## НовыйОписаниеСтруктурыЭлементовБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Описание
//
// Параметры:
// 	ВидБюджета - СправочникСсылка.ВидыБюджетов -
// 	СтруктураКолонок - см. КолонкиТаблицыДанных
// Возвращаемое значение:
// 	Структура - содержит:
// 		* ВидБюджета - СправочникСсылка.ВидыБюджетов -
// 		* СтруктураКолонок - см. КолонкиТаблицыДанных
// 		* ДеревоЭлементовБюджета - см. БюджетнаяОтчетностьРасчетКэшаСервер.ДеревоЭлементовБюджета
// 		* ТаблицаНастроек - ТаблицаЗначений, Неопределено -
// 			Таблица значений. Используется для уточнения свойств источников сложной таблицы.
// 			Неопределено. Если ПроверятьНеобходимостьФактаПоСтруктуреОтчета = Ложь, тогда значение = Неопределено.
// 		* КэшНастроекТаблицБюджета - Соответствие -
//
Функция НовыйОписаниеСтруктурыЭлементовБюджета(ВидБюджета, СтруктураКолонок) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.НовыйОписаниеСтруктурыЭлементовБюджета(ВидБюджета, СтруктураКолонок));
```
</details>

## ПолучитьОписаниеИсточниковДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание источников вида бюджета в виде массива
//
// Параметры:
//  ВидБюджета  - СправочникСсылка.ВидыБюджетов - вид бюджета, для которого следует получить описание источников
//  СтруктураКолонок  - см. КолонкиТаблицыДанных
//  РежимФормирования  - ПеречислениеСсылка.РежимыФормированияБюджетныхОтчетов - назначение источников (документ, отчет,
//  						заполнение и пр.).
//  РекурсивноеПолучениеИсточниковПоСтатьям - Булево - Если Истина, то в данные источников будут включены рекурсивно все
//  						операнды статей (только для проверки использования границы
//  						фактических данных). Значение по умолчанию - Ложь.
//
// Возвращаемое значение:
//   Массив Из см. НовыйИсточник - описание источников в виде массива.
//
Функция ПолучитьОписаниеИсточниковДанных(ВидБюджета, СтруктураКолонок, РежимФормирования, РекурсивноеПолучениеИсточниковПоСтатьям = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьОписаниеИсточниковДанных(ВидБюджета, СтруктураКолонок, РежимФормирования, РекурсивноеПолучениеИсточниковПоСтатьям);
```
</details>

## ИсточникиПериодовГруппировок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание источников вида бюджета в виде массива
//
// Параметры:
//  ВидБюджета  - СправочникСсылка.ВидыБюджетов - вид бюджета, для которого следует получить описание источников
//  СтруктураКолонок  - Структура -
//  РежимФормирования - ПеречислениеСсылка.РежимыФормированияБюджетныхОтчетов -
//
// Возвращаемое значение:
//   Массив Из см. НовыйИсточникПериодаГруппировки - описание источников в виде массива.
//
Функция ИсточникиПериодовГруппировок(ВидБюджета, СтруктураКолонок, РежимФормирования) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ИсточникиПериодовГруппировок(ВидБюджета, СтруктураКолонок, РежимФормирования) 
```
</details>

## ПолучитьТаблицыВидаБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Описание
//
// Параметры:
// 	ВидБюджета - СправочникСсылка.ВидыБюджетов - Описание
// Возвращаемое значение:
// 	ТаблицаЗначений - содержит:
// 		* Ссылка - СправочникСсылка.ЭлементыФинансовыхОтчетов -
// 		* ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета -
//
Функция ПолучитьТаблицыВидаБюджета(ВидБюджета) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьТаблицыВидаБюджета(ВидБюджета) 
```
</details>

## ПолучитьКонечныеЭлементыДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКонечныеЭлементыДерева(Элемент, Все = Ложь, Результат = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьКонечныеЭлементыДерева(Элемент, Все, Результат);
```
</details>

## ЧастьФормулыСИтогомИОперандом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЧастьФормулыСИтогомИОперандом(Формула, ИмяОперанда, НачалоФормулы, ОкончаниеФормулы) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ЧастьФормулыСИтогомИОперандом(Формула, ИмяОперанда, НачалоФормулы, ОкончаниеФормулы) 
```
</details>

## ОкончаниеФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОкончаниеФормулы(Формула, ОкончаниеФормулы) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ОкончаниеФормулы(Формула, ОкончаниеФормулы) 
```
</details>

## СтрЗаменитьБезУчетаРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтрЗаменитьБезУчетаРегистра(Знач Строка, Знач ПодстрокаПоиска, Знач ПодстрокаЗамены) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.СтрЗаменитьБезУчетаРегистра(Строка, ПодстрокаПоиска, ПодстрокаЗамены) 
```
</details>

## ДобавитьВФункциюРазностьДатТехническуюИнформацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьВФункциюРазностьДатТехническуюИнформацию(Формула) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДобавитьВФункциюРазностьДатТехническуюИнформацию(Формула) 
```
</details>

## ТипКолонкиСтруктурыЯчеек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипКолонкиСтруктурыЯчеек(Имя, Аналитика = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ТипКолонкиСтруктурыЯчеек(Имя, Аналитика);
```
</details>

## ЭтоФиксированныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоФиксированныйЭлемент(Знач СтрокаТекущегоЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ЭтоФиксированныйЭлемент(СтрокаТекущегоЭлемента) 
```
</details>

## ДобавитьПараметрСхемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПараметрСхемы(СКД, Имя) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДобавитьПараметрСхемы(СКД, Имя) 
```
</details>

## ДанныеОтчетаДляОформления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
// 	ПараметрыТаблицы - Структура - описание:
// 		* ВыводитьЗаголовокГруппировки - Булево -
// 		* ЗаголовокГруппировки - Строка -
// 		* ОтображатьНумерациюКолонок - Булево -
// 		* ОтображатьНумерациюСтрок - Булево -
// 		* ЭлементыОформления - ТаблицаЗначений -
// 		* ОформляемыеСтроки - ТаблицаЗначений -
// 		* ОформляемыеКолонки - ТаблицаЗначений -
// 		* РасшифровкаПолейОтбораЭО - ТаблицаЗначений -
// 	КэшДопРеквизиты - ТаблицаЗначений -
// Возвращаемое значение:
// 	ТаблицаЗначений - Описание:
// * Строка - Произвольный -
// * НомерСтроки - Число -
// * Колонка - Произвольный -
// * НомерКолонки - Число -
// * Количество - Число -
// * Сумма - Число -
// * Значение - Произвольный -
// * ФлагКоличество - Булево -
// * ФлагСумма - Булево -
// * ФлагЗначение - Булево -
// * ИмяОбласти - Строка -
// * НомерТаблицы - Число  -
//
Функция ДанныеОтчетаДляОформления(ПараметрыТаблицы, КэшДопРеквизиты) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ДанныеОтчетаДляОформления(ПараметрыТаблицы, КэшДопРеквизиты) 
```
</details>

## ПреобразоватьДеревоВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дерево в таблицу значений
//
// Параметры:
// 	Дерево - ДеревоЗначений, СтрокаДереваЗначений -
// 	Таблица - ТаблицаЗначений, Неопределено -
// 	Уровень - Число -
// Возвращаемое значение:
// 	ТаблицаЗначений, Неопределено - Описание
Функция ПреобразоватьДеревоВТаблицу(Дерево, Таблица = Неопределено, Уровень = 0) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПреобразоватьДеревоВТаблицу(Дерево, Таблица, Уровень);
```
</details>

## ОписаниеОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Описание
//
// Параметры:
// 	ВидБюджета - СправочникСсылка.ВидыБюджетов - Описание
// 	СтруктураКолонокТаблицыДанных - Структура, Булево, Неопределено - Описание:
// * ВидыАналитик - Массив -
// * Измерения - Массив -
// * Периодичности - Массив -
// 	РежимФормирования - ПеречислениеСсылка.РежимыФормированияБюджетныхОтчетов - Описание
// Возвращаемое значение:
// 	Структура - Описание:
// * ИсточникиДанных - См. ПолучитьОписаниеИсточниковДанных
// * ИсточникиПериодовГруппировок - см. БюджетнаяОтчетностьРасчетКэшаСервер.ИсточникиПериодовГруппировок
// * СтруктураЯчеек - ТаблицаЗначений - таблица с колонками:
//    **ОсновнойЭлемент - Булево - Флаг основного элемента.
//    **Строка - СправочникСсылка.ЭлементыФинансовыхОтчетов - Строка бюджета.
//    **Колонка - СправочникСсылка.ЭлементыФинансовыхОтчетов - Колонка бюджета.
// * ИндексыСтруктурыЯчеек - Массив из Строка - Массив из имен полей индексов.
// * ПоляИсточников - ТаблицаЗначений - таблица опосания полей:
//    **ИмяРесурса - Строка -
//    **Вспомогательное - Булево -
// * ПараметрыЯчеек - ТаблицаЗначений -
// * ЗаполнениеОтсутствующихИзмеренийНФП - ТаблицаЗначений -
// * ИсточникиЗначенийИзмерений - ТаблицаЗначений -
// * ОтборИзмеренийНФП - ТаблицаЗначений -
// * ТаблицаПодчиненностиЭлементов - ТаблицаЗначений, ДеревоЗначений - содержит колонки:
//    **Родитель - СправочникСсылка.ЭлементыФинансовыхОтчетов -
//    **Ссылка - СправочникСсылка.ЭлементыФинансовыхОтчетов -
//    **ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета -
//
Функция ОписаниеОтчета(ВидБюджета, СтруктураКолонокТаблицыДанных, РежимФормирования) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ОписаниеОтчета(ВидБюджета, СтруктураКолонокТаблицыДанных, РежимФормирования) 
```
</details>

## ТаблицаОперандовТребующихРасчетаДанныхЯчеек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса по таблице операндов, требующиъ расчета данных ячеек
//
// Параметры:
// 	СтруктураОписаниеОтчета - см. БюджетнаяОтчетностьРасчетКэшаСервер.ОписаниеОтчета
//
// Возвращаемое значение:
// 	РезультатЗапроса, Неопределено -
Функция ТаблицаОперандовТребующихРасчетаДанныхЯчеек(СтруктураОписаниеОтчета) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ТаблицаОперандовТребующихРасчетаДанныхЯчеек(СтруктураОписаниеОтчета) 
```
</details>

## НовыйТаблицаЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор таблицы элементов
//
// Возвращаемое значение:
// 	ТаблицаЗначений - содержит колонки:
// 		* Элемент - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - элемент отчета или адрес его хранения во временном хранилище.
// 		* Колонка - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - элемент отчета или адрес его хранения во временном хранилище.
// 		* Строка  - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - элемент отчета или адрес его хранения во временном хранилище.
//
Функция НовыйТаблицаЭлементов() Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.НовыйТаблицаЭлементов() 
```
</details>

## НовыйТаблицаИсточников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор таблицы источников
//
// Возвращаемое значение:
// 	ТаблицаЗначений - содержит колонки:
// 		* ВидЭлемента - Произвольный -
// 		* Элемент - Произвольный -
// 		* Родитель - Произвольный -
// 		* Наименование - Произвольный -
//
Функция НовыйТаблицаИсточников() Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.НовыйТаблицаИсточников() 
```
</details>

## ИсточникиЗначенийЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает источники значений для элементов финансовых отчетов при использовании в видах бюджетов.
//
// Параметры:
//	Кэш - ТаблицаЗначений, Неопределено - кэш дочерних элементов для текущего элемента
//	СтрокаДерева - СтрокаДереваЗначений - строка дерева значений
//	Заполнение - Булево - признак заполнения
//	БезПроизводных - Булево - Ложь, когда требуется включить производные показатели.
//
// Возвращаемое значение:
//	ТаблицаЗначений - рассчитанные источники значений:
//	* ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета -
//	* Элемент - СправочникСсылка.ЭлементыФинансовыхОтчетов - элемент
//	* Родитель - СправочникСсылка.ЭлементыФинансовыхОтчетов - родительский элемент
//	* Наименование - Строка - представление элемента.
//
Функция ИсточникиЗначенийЭлемента(Кэш, СтрокаДерева, Заполнение = Ложь, БезПроизводных = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ИсточникиЗначенийЭлемента(Кэш, СтрокаДерева, Заполнение, БезПроизводных);
```
</details>

## ИсточникиЗначенийПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает источники значений по умолчанию для элементов финансовых отчетов при использовании в видах бюджетов.
//
// Параметры:
//	Кэш - ТаблицаЗначений, Неопределено - кэш дочерних элементов для текущего элемента
//	СтрокаДереваАдресЭлементовОтчета - СтрокаДереваЗначений, Строка - строка дерева значений или адрес во временном хранилище
//	АдресЭлементаВХранилище - Строка -
//	Заполнение - Булево - признак заполнения
//	БезПроизводных - Булево - Ложь, когда требуется включить производные показатели.
//
// Возвращаемое значение:
//	ТаблицаЗначений - рассчитанные источники значений:
//	* Источник - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - элемент или его адрес во временном хранилище
//	* ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета -
//
Функция ИсточникиЗначенийПоУмолчанию(Кэш, СтрокаДереваАдресЭлементовОтчета, АдресЭлементаВХранилище = Неопределено, Заполнение = Ложь, БезПроизводных = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ИсточникиЗначенийПоУмолчанию(Кэш, СтрокаДереваАдресЭлементовОтчета, АдресЭлементаВХранилище, Заполнение, БезПроизводных);
```
</details>

## НайтиОтборПоИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Выполняет поиск элементов отбора компоновки по переданному имени поля компоновки
//
// Параметры:
// 	ИсточникОтбор - ГруппаЭлементовОтбораКомпоновкиДанных, НастройкиКомпоновкиДанных - Источник отбора.
// 	ИмяЭлемента - Строка - Имя поля компоновки.
// 	НайденныйОтбор - СписокЗначений, Массив, Неопределено - Массив, в который необходимо поместить найденные элементы отбора.
// 	СУчетомВложенных - Булево - Флаг поиска с учетом вложенных полей.
// 	ТолькоИспользуемые - Булево - Флаг поиска только используемых элементов отбора.
// Возвращаемое значение:
// 	Булево - Истина, если подходящие элементы отбора найдены.
Функция НайтиОтборПоИмени(ИсточникОтбор, ИмяЭлемента, НайденныйОтбор = Неопределено, СУчетомВложенных = Ложь, ТолькоИспользуемые = Истина) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.НайтиОтборПоИмени(ИсточникОтбор, ИмяЭлемента, НайденныйОтбор, СУчетомВложенных, ТолькоИспользуемые);
```
</details>

## ПараметрыДоступностиФильтров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыДоступностиФильтров(СтрокаОтчета = Неопределено, ПараметрыОпределения = Неопределено, СтруктураКэша = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПараметрыДоступностиФильтров(СтрокаОтчета, ПараметрыОпределения, СтруктураКэша);
```
</details>

## КоличествоДополнительныхПолейДляРасчетаГлубиныДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоДополнительныхПолейДляРасчетаГлубиныДерева(СтрокаДерева) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.КоличествоДополнительныхПолейДляРасчетаГлубиныДерева(СтрокаДерева) 
```
</details>

## ПодчиненныеЭлементыВидаБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодчиненныеЭлементыВидаБюджета(ВидБюджета) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПодчиненныеЭлементыВидаБюджета(ВидБюджета) 
```
</details>

## РассчитатьГлубинуУровней
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьГлубинуУровней(СтрокиДерева, СУчетомДополнительныхПолей = Ложь, Знач Глубина = 1, ПредыдущийФлаг = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.РассчитатьГлубинуУровней(СтрокиДерева, СУчетомДополнительныхПолей, Глубина, ПредыдущийФлаг);
```
</details>

## ИсточникиЗначенийВидаБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает источники значений по виду бюджета
//
// Параметры:
// 	ВидБюджета - СправочникСсылка.ВидыБюджетов - Описание
// Возвращаемое значение:
// 	ТаблицаЗначений - Описание:
// 		* ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов -
// 		* Источник - СправочникСсылка.ЭлементыФинансовыхОтчетов -
// 		* Объект - Характеристика.РеквизитыЭлементовФинансовыхОтчетов, Строка -
// 		* ТипЗначенияРасчетногоПоказателя - Неопределено, Строка, Характеристика.РеквизитыЭлементовФинансовыхОтчетов -
// 		* ДобавляемыеЗначенияДокумента - Булево -
//
Функция ИсточникиЗначенийВидаБюджета(ВидБюджета) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ИсточникиЗначенийВидаБюджета(ВидБюджета) 
```
</details>

## ПолеНабораДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолеНабораДанных(Набор, Поле, ПутьКДанным = "", Заголовок = "", ТипДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолеНабораДанных(Набор, Поле, ПутьКДанным, Заголовок, ТипДанных);
```
</details>

## ДобавитьПоляТаблицыДанныхПоОписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПоляТаблицыДанныхПоОписанию(Набор, Описание, ПоляРесурсов) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДобавитьПоляТаблицыДанныхПоОписанию(Набор, Описание, ПоляРесурсов));
```
</details>

## ДобавитьРесурсыИВычисляемыеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьРесурсыИВычисляемыеПоля(СКД, СтруктураКолонок, ПоляИсточников, Остатки) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДобавитьРесурсыИВычисляемыеПоля(СКД, СтруктураКолонок, ПоляИсточников, Остатки));
```
</details>

## ДобавитьРесурсыГруппировкиПоМаксимальнойПериодичности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьРесурсыГруппировкиПоМаксимальнойПериодичности(СКД, ПоляИсточников, ПолеПериодичности, Группировка) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДобавитьРесурсыГруппировкиПоМаксимальнойПериодичности(СКД, ПоляИсточников, ПолеПериодичности, Группировка));
```
</details>

## ДобавитьСтрокуПолейКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет строку полей компоновки
//
// Параметры:
// 	Таблица - ТаблицаЗначений - Описание:
// * Выражение - Строка -
// * Представление - Строка -
// * ВыборРеквизитов - Булево -
Процедура ДобавитьСтрокуПолейКомпоновки(Таблица, Выражение, Представление, ВыборРеквизитов = Ложь) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДобавитьСтрокуПолейКомпоновки(Таблица, Выражение, Представление, ВыборРеквизитов);
```
</details>

## ДобавитьПодчиненныйНаборПоБюджетномуРегистру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПодчиненныйНаборПоБюджетномуРегистру(ПараметрыПриемника, Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДобавитьПодчиненныйНаборПоБюджетномуРегистру(ПараметрыПриемника, );
```
</details>

## УдалитьИзСтруктурыНеиспользуемыеКлючи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьИзСтруктурыНеиспользуемыеКлючи(Структура, МассивДоступных) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.УдалитьИзСтруктурыНеиспользуемыеКлючи(Структура, МассивДоступных));
```
</details>

## ПолучитьСКДПлановыеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Описание
//
// Параметры:
// 	ИсточникиДанных - Массив из см. НовыйИсточник -
// 	ПоляИсточников - ТаблицаЗначений -
// 	СтруктураКолонокТаблицыДанных - Произвольный, Булево, Структура, Неопределено - Описание:
// * ВидыАналитик - Массив -
// * Измерения - Массив -
// * Периодичности - Массив -
// 	Аналитики - Массив - Описание
// 	ПараметрыКУстановке - Структура - Описание
// 	РежимыФормирования - Структура - Описание:
// * ПривилегированныйРежим - Булево -
// * РежимФормирования - ПеречислениеСсылка.РежимыФормированияБюджетныхОтчетов -
// * РежимПолученияДанных - ПеречислениеСсылка.РежимПолученияДанныхБюджетирования -
// Возвращаемое значение:
// 	СхемаКомпоновкиДанных -
Функция ПолучитьСКДПлановыеДанные(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных, Аналитики, ПараметрыКУстановке, РежимыФормирования) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьСКДПлановыеДанные(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных, Аналитики, ПараметрыКУстановке, РежимыФормирования));
```
</details>

## ПолучитьСКДФактическиеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает факт. данные СКД
//
// Параметры:
// 	ИсточникиДанных - Массив из см. НовыйИсточник -
// 	ПоляИсточников - ТаблицаЗначений - Описание
// 	СтруктураКолонокТаблицыДанных - Произвольный, Булево, Структура, Неопределено - Описание:
// * ВидыАналитик - Массив -
// * Измерения - Массив -
// * Периодичности - Массив -
// 	Аналитики - Массив - Описание
// 	ПараметрыКУстановке - Структура - Описание
// 	РежимыФормирования - Структура - Описание:
// * РежимФормирования - ПеречислениеСсылка.РежимыФормированияБюджетныхОтчетов -
// * РежимПолученияДанных - ПеречислениеСсылка.РежимПолученияДанныхБюджетирования -
// Возвращаемое значение:
// 	СхемаКомпоновкиДанных - Описание
Функция ПолучитьСКДФактическиеДанные(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных, Аналитики, ПараметрыКУстановке, РежимыФормирования) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьСКДФактическиеДанные(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных, Аналитики, ПараметрыКУстановке, РежимыФормирования));
```
</details>

## ДобавитьПоляИтоговойТаблицыПоОписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПоляИтоговойТаблицыПоОписанию(СКД, СтруктураКолонокТаблицыДанных) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ДобавитьПоляИтоговойТаблицыПоОписанию(СКД, СтруктураКолонокТаблицыДанных));
```
</details>

## ПолучитьСКДИтоговыеДанныеОстатки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСКДИтоговыеДанныеОстатки(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьСКДИтоговыеДанныеОстатки(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных));
```
</details>

## ПолучитьСКДИтоговыеДанныеОбороты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСКДИтоговыеДанныеОбороты(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных, ЕстьХранимыеПравила, ЕстьПривилегированныйРежим) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьСКДИтоговыеДанныеОбороты(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных, ЕстьХранимыеПравила, ЕстьПривилегированныйРежим));
```
</details>

## ПолучитьСКДПредварительныйИтоговыйРасчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСКДПредварительныйИтоговыйРасчет(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных, ЕстьХранимыеПравила, ЕстьПривилегированныйРежим) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьСКДПредварительныйИтоговыйРасчет(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных, ЕстьХранимыеПравила, ЕстьПривилегированныйРежим));
```
</details>

## ПолучитьСКДДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Описание
//
// Параметры:
// 	ИсточникиДанных - Массив Из см. НовыйИсточник -
// 	ПоляИсточников - ТаблицаЗначений -
// 	СтруктураКолонокТаблицыДанных - Произвольный, Булево, Структура, Неопределено - Описание:
// * ВидыАналитик - Массив -
// * Измерения - Массив -
// * Периодичности - Массив -
// 	Аналитики - Массив -
// 	АналитикиШапки - Массив -
// 	ПараметрыКУстановке - Структура -
// 	СКДИтоговыеДанные - СхемаКомпоновкиДанных -
// Возвращаемое значение:
// 	Структура - Описание
Функция ПолучитьСКДДокумента(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных, Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьСКДДокумента(ИсточникиДанных, ПоляИсточников, СтруктураКолонокТаблицыДанных, );
```
</details>

## ПолучитьСКДДанныхДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСКДДанныхДокумента(Источник, СтруктураКолонокТаблицыДанных, Аналитики, АналитикиШапки, ПараметрыКУстановке) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьСКДДанныхДокумента(Источник, СтруктураКолонокТаблицыДанных, Аналитики, АналитикиШапки, ПараметрыКУстановке));
```
</details>

## ДополнитьВыражениеВычисляемогоПоляТрансляциейПоНомеруАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьВыражениеВычисляемогоПоляТрансляциейПоНомеруАналитики(ВыражениеВычисляемогоПоля, ВыражениеАдресАналитики, ВыражениеАдресАналитикиПодстановки = "", ТекстыАналитик = Неопределено, Отступов = 1) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДополнитьВыражениеВычисляемогоПоляТрансляциейПоНомеруАналитики(ВыражениеВычисляемогоПоля, ВыражениеАдресАналитики, ВыражениеАдресАналитикиПодстановки, ТекстыАналитик, Отступов);
```
</details>

## ПолучитьСКДПоОписаниюИсточников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ключевая операция: "Бюджетирование.РасчетКэшаПолучениеСКДИсточников"
//
Функция ПолучитьСКДПоОписаниюИсточников(ВидБюджета, СтруктураОписанияОтчета, СтруктураКолонокТаблицыДанных, РежимФормирования) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьСКДПоОписаниюИсточников(ВидБюджета, СтруктураОписанияОтчета, СтруктураКолонокТаблицыДанных, РежимФормирования));
```
</details>

## РасчетКэшаПолучениеСКДИсточников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасчетКэшаПолучениеСКДИсточников(ВидБюджета, СтруктураОписанияОтчета, СтруктураКолонокТаблицыДанных, РежимФормирования, ВидЭлементаКэша, Постфикс) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.РасчетКэшаПолучениеСКДИсточников(ВидБюджета, СтруктураОписанияОтчета, СтруктураКолонокТаблицыДанных, РежимФормирования, ВидЭлементаКэша, Постфикс));
```
</details>

## ЗаполнитьГруппуОтбораСКДИтоговыеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьГруппуОтбораСКДИтоговыеДанные(ГруппаОтбора, ПоляИсточников, РежимФормирования) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ЗаполнитьГруппуОтбораСКДИтоговыеДанные(ГруппаОтбора, ПоляИсточников, РежимФормирования));
```
</details>

## ЕстьРедактируемоеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьРедактируемоеЗначение(ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ЕстьРедактируемоеЗначение(ИсточникиДанных));
```
</details>

## ПолучитьСКДЗначенийДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСКДЗначенийДокумента(Источник, СтруктураКолонокТаблицыДанных, Аналитики, АналитикиШапки, ПараметрыКУстановке) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьСКДЗначенийДокумента(Источник, СтруктураКолонокТаблицыДанных, Аналитики, АналитикиШапки, ПараметрыКУстановке));
```
</details>

## ДобавитьГруппировкуДереваВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьГруппировкуДереваВывода(МестоДобавления, ИмяИзмерения, ЭлементОтчета, ВидЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ДобавитьГруппировкуДереваВывода(МестоДобавления, ИмяИзмерения, ЭлементОтчета, ВидЭлемента));
```
</details>

## ЗаполнитьДополнительныеПоляИзмеренийВДеревеВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДополнительныеПоляИзмеренийВДеревеВывода(ВидБюджета, ДеревоВывода) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ЗаполнитьДополнительныеПоляИзмеренийВДеревеВывода(ВидБюджета, ДеревоВывода));
```
</details>

## СоздатьРекурсивноГруппировкиДереваВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьРекурсивноГруппировкиДереваВывода(ВидБюджета, КэшДопРеквизиты, Знач МестоДобавления, Элементы) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.СоздатьРекурсивноГруппировкиДереваВывода(ВидБюджета, КэшДопРеквизиты, МестоДобавления, Элементы));
```
</details>

## ПризнакиУчетаПоСтрокамДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПризнакиУчетаПоСтрокамДерева(Строки, ПризнакиУчета, ЕстьСумма, ЕстьКоличество, ЕстьЗначение) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ПризнакиУчетаПоСтрокамДерева(Строки, ПризнакиУчета, ЕстьСумма, ЕстьКоличество, ЕстьЗначение));
```
</details>

## ДобавитьКолонкиКоличестваВКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьКолонкиКоличестваВКолонки(Таблица, ПараметрыУчетаПоКолонкам, СтрокаДобавления = Неопределено) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДобавитьКолонкиКоличестваВКолонки(Таблица, ПараметрыУчетаПоКолонкам, СтрокаДобавления);
```
</details>

## ПризнакиУчетаПоКолонкамИСтрокам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПризнакиУчетаПоКолонкамИСтрокам(СтруктураЯчеек, ПараметрыЯчеек) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПризнакиУчетаПоКолонкамИСтрокам(СтруктураЯчеек, ПараметрыЯчеек));
```
</details>

## ДеревоВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ключевая операция: "Бюджетирование.РасчетКэшаПолучениеДереваДляВыводаОтчета"
//
Функция ДеревоВывода(ВидБюджета, СтруктураЯчеек, ПараметрыЯчеек) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ДеревоВывода(ВидБюджета, СтруктураЯчеек, ПараметрыЯчеек));
```
</details>

## НовыйДеревоВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция-конструктор дерева вывода
//
// Возвращаемое значение:
// 	ДеревоЗначений - Описание:
// * ИмяИзмерения - Строка -
// * ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета -
// * ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов -
// * ВидАналитики - ПланВидовХарактеристикСсылка.РеквизитыЭлементовФинансовыхОтчетов -
// * НаименованиеДляПечати - Строка -
// * ФиксированноеЗначение - Произвольный -
// * ВыводитьЗаголовокВОтчет - Булево -
// * ЭтоАналитикаПрочее - Булево -
// * РедактируемыеЗначения - Булево -
// * ВыводитьВместеСПодчиненным - Булево -
// * ВыводитьВместеСРодительским - Булево -
// * ДополнительныеПоля - ТаблицаЗначений -
// * ПараметрыТаблицы - Структура - содержит:
// 		** ВыводитьЗаголовокГруппировки - Булево -
// 		** ЗаголовокГруппировки - Строка -
// 		** ОтображатьНумерациюКолонок - Булево -
// 		** ОтображатьНумерациюСтрок - Булево -
// 		** ЭлементыОформления - ТаблицаЗначений -
// 		** ОформляемыеСтроки - ТаблицаЗначений -
// 		** ОформляемыеКолонки - ТаблицаЗначений -
// 		** РасшифровкаПолейОтбораЭО - ТаблицаЗначений -
// 		** ДанныеОтчетаДляОформления - см. ДанныеОтчетаДляОформления
// * ТолькоДляПечати - Булево -
Функция НовыйДеревоВывода() Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.НовыйДеревоВывода() 
```
</details>

## РасчетКэшаПолучениеДереваДляВыводаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасчетКэшаПолучениеДереваДляВыводаОтчета(ВидБюджета, СтруктураЯчеек, ПараметрыЯчеек, ВидЭлементаКэша) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.РасчетКэшаПолучениеДереваДляВыводаОтчета(ВидБюджета, СтруктураЯчеек, ПараметрыЯчеек, ВидЭлементаКэша) 
```
</details>

## ПроверитьИспользованиеНефиксированныхЭлементовВИзмеренияхИОперандах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьИспользованиеНефиксированныхЭлементовВИзмеренияхИОперандах(ВидБюджета, СтруктураОписаниеОтчета) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПроверитьИспользованиеНефиксированныхЭлементовВИзмеренияхИОперандах(ВидБюджета, СтруктураОписаниеОтчета));
```
</details>

## ПолучитьЗначенияДополнительныхФильтров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначенияДополнительныхФильтров(Таблица, ИмяКолонки) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьЗначенияДополнительныхФильтров(Таблица, ИмяКолонки));
```
</details>

## ДополнитьИсточникиДанныхПредопределеннымиЗначениями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьИсточникиДанныхПредопределеннымиЗначениями(ИсточникиДанных, СтруктураКолонокТаблицыДанных, СтруктураЯчеек) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДополнитьИсточникиДанныхПредопределеннымиЗначениями(ИсточникиДанных, СтруктураКолонокТаблицыДанных, СтруктураЯчеек));
```
</details>

## ПоляИсточниковОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоляИсточниковОтчета(СтруктураКолонок, СтруктураЯчеек, ПараметрыЯчеек) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПоляИсточниковОтчета(СтруктураКолонок, СтруктураЯчеек, ПараметрыЯчеек));
```
</details>

## РасчетКэшаПолучениеСтруктурыОписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасчетКэшаПолучениеСтруктурыОписания(ВидБюджета, СтруктураКолонокТаблицыДанных, РежимФормирования, ВидЭлементаКэша, Постфикс) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.РасчетКэшаПолучениеСтруктурыОписания(ВидБюджета, СтруктураКолонокТаблицыДанных, РежимФормирования, ВидЭлементаКэша, Постфикс));
```
</details>

## ТекстНесовместимыхЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстНесовместимыхЭлементов() Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ТекстНесовместимыхЭлементов());
```
</details>

## ШаблонПараметровФормированияСпискаВвода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон параметров для формирования заголовка на языке текущего пользователя.
// Свойство "Заголовок" структуры "НастройкаКолонок" используется в модуле менеджера
// документа ЭкземплярыБюджета в методе "РассчитатьЭлементыСпискаБюджетаКДобавлению",
// для формирования подсказки ввода пустого значения.
//
// Возвращаемое значение:
//  Структура - Структура свойств, для формирования заголовка на языке пользователя:
//   *ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета. - Единственный обязательный параметр.
//                                                                       Или СтатьяБюджетов или Измерение или ФиксированнаяАналитика.
//   *ТипИзмерения  - ПеречислениеСсылка.ТипыИзмеренийФинансовогоОтчета. -  Необязательный параметр.
//                    Неопределено.
//   *Периодичность - ПеречислениеСсылка.Периодичность - Необязательный параметр.
//                    Неопределено.
//   *ВидАналитики  - ПланВидовХарактеристикСсылка.АналитикиСтатейБюджетов - Необязательный параметр.
//                    Неопределено.
//
Функция ШаблонПараметровФормированияСпискаВвода() Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ШаблонПараметровФормированияСпискаВвода());
```
</details>

## ПараметрыЭлементаСпискаВвода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыЭлементаСпискаВвода(СведенияОБюджетеДляРасчета, ЭлементОтчета, ВышележащиеКолонки) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПараметрыЭлементаСпискаВвода(СведенияОБюджетеДляРасчета, ЭлементОтчета, ВышележащиеКолонки) 
```
</details>

## ДоступныеДляСтрокиБюджетаКолонкиСпискаВвода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоступныеДляСтрокиБюджетаКолонкиСпискаВвода(СведенияОБюджетеДляРасчета, ЭлементОтчета, ВышележащиеЭлементы) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ДоступныеДляСтрокиБюджетаКолонкиСпискаВвода(СведенияОБюджетеДляРасчета, ЭлементОтчета, ВышележащиеЭлементы));
```
</details>

## НастройкиВводаЯчейкиСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
// 	СведенияОБюджетеДляРасчета - см. СведенияОБюджетеДляРасчета
// 	СтрокаСпискаВвода - Произвольный -
// 	Измерения - Массив Из Строка -
// 	НакопленныйОтбор - Структура -
// Возвращаемое значение:
// 	Структура - описание значения:
// 	* Значение - СписокЗначений -
//
Функция НастройкиВводаЯчейкиСписка(СведенияОБюджетеДляРасчета, СтрокаСпискаВвода, Измерения, НакопленныйОтбор) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.НастройкиВводаЯчейкиСписка(СведенияОБюджетеДляРасчета, СтрокаСпискаВвода, Измерения, НакопленныйОтбор));
```
</details>

## СписокИзмеренийРедактированияОтличается
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СписокИзмеренийРедактированияОтличается(ЭлементСравнения1, ЭлементСравнения2, СложнаяТаблица) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.СписокИзмеренийРедактированияОтличается(ЭлементСравнения1, ЭлементСравнения2, СложнаяТаблица));
```
</details>

## РассчитатьКолонкиСпискаВвода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьКолонкиСпискаВвода(СведенияОБюджетеДляРасчета, ЭлементыДерева, СоответствиеРезультат, ВышележащиеЭлементы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.РассчитатьКолонкиСпискаВвода(СведенияОБюджетеДляРасчета, ЭлементыДерева, СоответствиеРезультат, ВышележащиеЭлементы);
```
</details>

## ПараметрыКолонокВвода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПараметрыКолонокВвода(ВидБюджета, ЭлементОтчета, СтруктураКолонок, СтруктураОписанияОтчета, КэшДопРеквизиты, ПараметрыЭлементовТаблицы) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ПараметрыКолонокВвода(ВидБюджета, ЭлементОтчета, СтруктураКолонок, СтруктураОписанияОтчета, КэшДопРеквизиты, ПараметрыЭлементовТаблицы));
```
</details>

## ПараметрыСпискаВводаПоСтрокамЯчеек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыСпискаВводаПоСтрокамЯчеек(ВидБюджета, СтруктураКолонокТаблицыДанных, СтруктураОписанияОтчета, ДеревоВывода) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПараметрыСпискаВводаПоСтрокамЯчеек(ВидБюджета, СтруктураКолонокТаблицыДанных, СтруктураОписанияОтчета, ДеревоВывода));
```
</details>

## СведенияОБюджетеДляРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура сведений о бюджете для расчета
//
// Параметры:
// 	ВидБюджета - СправочникСсылка.ВидыБюджетов -
// 	ЭлементОтчета - СтрокаДереваЗначений - Описание:
// * ИмяИзмерения - Строка -
// * ВидЭлемента - Произвольный -
// * ЭлементОтчета - Произвольный -
// * ВидАналитики - Произвольный -
// * НаименованиеДляПечати - Строка -
// * ФиксированноеЗначение - Произвольный -
// * ВыводитьЗаголовокВОтчет - Булево -
// * ЭтоАналитикаПрочее - Булево -
// * РедактируемыеЗначения - Булево -
// * ВыводитьВместеСПодчиненным - Булево -
// * ВыводитьВместеСРодительским - Булево -
// * ДополнительныеПоля - ТаблицаЗначений -
// * ПараметрыТаблицы - Структура - содержит:
// 		** ВыводитьЗаголовокГруппировки - Булево -
// 		** ЗаголовокГруппировки - Строка -
// 		** ОтображатьНумерациюКолонок - Булево -
// 		** ОтображатьНумерациюСтрок - Булево -
// 		** ЭлементыОформления - ТаблицаЗначений -
// 		** ОформляемыеСтроки - ТаблицаЗначений -
// 		** ОформляемыеКолонки - ТаблицаЗначений -
// 		** РасшифровкаПолейОтбораЭО - ТаблицаЗначений -
// 		** ДанныеОтчетаДляОформления - см. ДанныеОтчетаДляОформления
// * ТолькоДляПечати - Булево -
// 	СтруктураКолонок - см. КолонкиТаблицыДанных
// 	СтруктураОписанияОтчета - Структура, Булево, Неопределено - Описание:
// * НеТребуетРасчетаДанныхЯчеек - Булево -
// * ТаблицаПодчиненностиЭлементов - ТаблицаЗначений, ДеревоЗначений - содержит колонки:
// ** Родитель - СправочникСсылка.ЭлементыФинансовыхОтчетов -
// ** Ссылка - СправочникСсылка.ЭлементыФинансовыхОтчетов -
// ** ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета -
// * ПоляИсточников - ТаблицаЗначений -
// * ИндексыСтруктурыЯчеек - Массив -
// 	КэшДопРеквизиты - ТаблицаЗначений - Описание
// Возвращаемое значение:
// 	Структура - Описание:
// * ПодчиненныеЭлементыВидаБюджета - ТаблицаЗначений, ДеревоЗначений -
// * СложнаяТаблица - Булево -
// * АналитикиШапки - ТаблицаЗначений - состоит из:
// 		** НомерСтроки - Число -
// 		** ТипЗначения - ОписаниеТипов - тип значения вида аналитики
// * СтруктураОписанияОтчета - Структура -
// * КэшДопРеквизиты - ТаблицаЗначений -
Функция СведенияОБюджетеДляРасчета(ВидБюджета, ЭлементОтчета, СтруктураКолонок, СтруктураОписанияОтчета, КэшДопРеквизиты) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.СведенияОБюджетеДляРасчета(ВидБюджета, ЭлементОтчета, СтруктураКолонок, СтруктураОписанияОтчета, КэшДопРеквизиты));
```
</details>

## ПолучитьТаблицуЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу элементов
//
// Параметры:
// 	НастройкаЯчеек - см. ФинансоваяОтчетностьСервер.ПодчиненныйЭлемент
// 	Кэш - Неопределено, ТаблицаЗначений -
// Возвращаемое значение:
// 	см. НовыйТаблицаЭлементов
//
Функция ПолучитьТаблицуЭлементов(НастройкаЯчеек, Кэш) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьТаблицуЭлементов(НастройкаЯчеек, Кэш));
```
</details>

## ПодчиненныеИсточникиЗначенийЭлементаСложнойТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодчиненныеИсточникиЗначенийЭлементаСложнойТаблицы(ПодчиненныеЭлементы, СписокЭлементов) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ПодчиненныеИсточникиЗначенийЭлементаСложнойТаблицы(ПодчиненныеЭлементы, СписокЭлементов));
```
</details>

## ПодчиненныеИсточникиЗначенийЭлементаПростойТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодчиненныеИсточникиЗначенийЭлементаПростойТаблицы(ПодчиненныеЭлементы, СписокЭлементов, ВидыЭлементовЗначений) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ПодчиненныеИсточникиЗначенийЭлементаПростойТаблицы(ПодчиненныеЭлементы, СписокЭлементов, ВидыЭлементовЗначений));
```
</details>

## ОбработатьОперандыИсточника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьОперандыИсточника(ЭлементСписка, ВидыЭлементовЗначений, ТаблицаЭлементов, Результат, Кэш, Заполнение) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ОбработатьОперандыИсточника(ЭлементСписка, ВидыЭлементовЗначений, ТаблицаЭлементов, Результат, Кэш, Заполнение));
```
</details>

## ДополнитьИсточникиОперандамиРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьИсточникиОперандамиРекурсивно(СписокЭлементов, ВидыЭлементовЗначений, ТаблицаЭлементов, Результат, Кэш, Заполнение) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ДополнитьИсточникиОперандамиРекурсивно(СписокЭлементов, ВидыЭлементовЗначений, ТаблицаЭлементов, Результат, Кэш, Заполнение));
```
</details>

## СтатьиИПоказателиЗначенийЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатьиИПоказателиЗначенийЭлемента(ТаблицаИсточников, ВключатьНефинансовые) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.СтатьиИПоказателиЗначенийЭлемента(ТаблицаИсточников, ВключатьНефинансовые));
```
</details>

## РеквизитыОбъектаПоСсылкеИлиАдресу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает структуру, содержащую запрошенные значения реквизитов или табличных частей элемента финансового отчета.
//
// Параметры:
// 	Элемент - СправочникСсылка.ЭлементыФинансовыхОтчетов - Ссылка на элемент отчета.
// 			- Строка - Адрес хранилища значений, содержащий настройки еще не записанного в базу данных элемента финансового отчета.
// 	ИменаРеквизитов - Строка - Перечисление имен реквизитов или табличных частей.
// 	Кэш - См. Справочники.ЭлементыФинансовыхОтчетов.НовыйКэшЭлементовФинансовыхОтчетов
// Возвращаемое значение:
// 	Структура - структура реквизитов или табличных частей элемента финансового отчета:
// 	 *ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета - Вид элемента.
// 	 *НаименованиеДляПечати - Строка - Наименование элемента, отображаемое для пользователя.
// 	 *ОбратныйЗнак - Булево - Флаг обратного знака (имеет смысл для некоторых видов элементов).
// 	 *Комментарий - Строка - Комментарий.
// 	 *ДополнительныйОтбор - ХранилищеЗначения - Хранилище, содержащее настройки компоновки данных (если есть отбор).
// 	 *ЕстьНастройки - Булево - Флаг наличия настроек (отбор).
// 	 *ЗначениеАналитики - Характеристика.АналитикиСтатейБюджетов - Значение аналитики.
// 	 *СвязанныйЭлемент - СправочникСсылка.ЭлементыФинансовыхОтчетов - Связанный элемент.
// 	 					- Строка - адрес временного хранилища, содержащего данные связанного элемента.
// 	 *РеквизитыВидаЭлемента - ТаблицаЗначений - табличная часть:
// 	   **Реквизит - ПланВидовХарактеристикСсылка.РеквизитыЭлементовФинансовыхОтчетов - реквизит элемента отчета.
// 	   **Значение - Характеристика.РеквизитыЭлементовФинансовыхОтчетов - значение реквизита.
// 	 *ОперандыФормулы - ТаблицаЗначений - табличная часть:
// 	   **Идентификатор - Строка - Идентификатор операнда.
// 	   **Операнд - СправочникСсылка.ЭлементыФинансовыхОтчетов - Элемент операнда.
// 	 					- Строка - адрес временного хранилища, содержащего данные элемента операнда.
// 	 *ЭлементыТаблицы - ТаблицаЗначений - табличная часть:
// 	   **Строка - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - Строка бюджета.
// 	   **Колонка - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - Колонка бюджета.
// 	   **Элемент - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - элемент на пересечении.
// 	 *ДополнительныеПоля - ТаблицаЗначений - табличная часть:
// 	   **Реквизит - Строка - Имя реквизита.
// 	   **Наименование - Строка - Представление.
// 	   **ВыводитьЗаголовок - Булево - Признак вывода заголовка.
// 	   **ВОтдельнойКолонке - Булево - Признак отображения значения в отдельной колонке.
// 	 *ЭлементыОформления - ТаблицаЗначений - табличная часть:
// 	   **Оформление - ХранилищеЗначения - содержит настройки оформления.
// 	   **Условие - ХранилищеЗначения - содержит настройки компоновки.
// 	   **ТипОформляемойОбласти - ПеречислениеСсылка.ТипыОформляемыхОбластейБюджетныхОтчетов - тип области.
// 	   **КлючЭлементаОформления - УникальныйИдентификатор - Идентификатор элемента оформления.
// 	 *ОформляемыеСтроки - ТаблицаЗначений - табличная часть:
// 	   **ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - оформляемый элемент.
// 	   **КлючЭлементаОформления - УникальныйИдентификатор - Идентификатор оформляемого элемента.
// 	 *ОформляемыеКолонки - ТаблицаЗначений - табличная часть:
// 	   **ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - оформляемый элемент.
// 	   **КлючЭлементаОформления - УникальныйИдентификатор - Идентификатор оформляемого элемента.
// 	 *РасшифровкаПолейОтбораЭО - ТаблицаЗначений - табличная часть:
// 	   **ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - элемент оформления.
// 	   **КлючЭлементаОформления - УникальныйИдентификатор - Идентификатор элемент оформления.
// 	   **ИмяПоляОтбора - Строка - Имя поля отбора.
// 	   **ИмяРесурса - Строка - Имя поля ресурса.
// 	 *ИсточникиЗначений - ТаблицаЗначений - табличная часть:
// 	   **Источник - СправочникСсылка.ЭлементыФинансовыхОтчетов, Строка - элемент отчета.
// 	   **ДобавляемыеЗначенияДокумента - Булево - Флаг, указывающий, что источник значений является добавляемыми
// 	   				в экземпляре бюджета данными.
//
Функция РеквизитыОбъектаПоСсылкеИлиАдресу(Элемент, ИменаРеквизитов, Кэш) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.РеквизитыОбъектаПоСсылкеИлиАдресу(Элемент, ИменаРеквизитов, Кэш));
```
</details>

## ТипизироватьКолонкиАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТипизироватьКолонкиАналитики(СКД, Описание) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ТипизироватьКолонкиАналитики(СКД, Описание));
```
</details>

## КоличествоЭлементовДереваЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоЭлементовДереваЗначений(ДеревоЗначений, Сч=0) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.КоличествоЭлементовДереваЗначений(ДеревоЗначений, Сч);
```
</details>

## ВПодчиненныхСтрокахЕстьНеопределенныйЭлементТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВПодчиненныхСтрокахЕстьНеопределенныйЭлементТипа(СтрокаДерева, ТипИскомый, КэшДопРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ВПодчиненныхСтрокахЕстьНеопределенныйЭлементТипа(СтрокаДерева, ТипИскомый, КэшДопРеквизитов));
```
</details>

## ВРодительскихСтрокахЕстьОпределенныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВРодительскихСтрокахЕстьОпределенныйЭлемент(Знач СтрокаДерева, ТипИскомый, КэшДопРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ВРодительскихСтрокахЕстьОпределенныйЭлемент(СтрокаДерева, ТипИскомый, КэшДопРеквизитов));
```
</details>

## ЕстьЗначимыеЭлементыОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает элементы отбора с признаком Использование = Истина
//
// Параметры:
//  ЭлементСравненияОтбор - ЭлементОтбораКомпоновкиДанных, ГруппаЭлементовОтбораКомпоновкиДанных -
//
// Возвращаемое значение:
//  Булево
//
Функция ЕстьЗначимыеЭлементыОтбора(ЭлементСравненияОтбор) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ЕстьЗначимыеЭлементыОтбора(ЭлементСравненияОтбор));
```
</details>

## ЗаполнитьТаблицуИменИсточников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТаблицуИменИсточников(МассивКолонокИзмерений, ТаблицаИменИсточников, ТаблицаИсточников, КэшРеквизитовПоказателей) Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ЗаполнитьТаблицуИменИсточников(МассивКолонокИзмерений, ТаблицаИменИсточников, ТаблицаИсточников, КэшРеквизитовПоказателей));
```
</details>

## ЗначениеРеквизитаЭлементаВидаБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает закэшированное значение реквизита элемента вида бюджета.
//
// Параметры:
//	Ссылка       - СправочникСсылка.ЭлементыФинансовыхОтчетов - Элемент вида бюджета.
//	ИмяРеквизита - Строка - Имя реквизита элемента вида бюджета.
//	Кэш          - ТаблицаЗначений - таблица реквизитов элементов вида бюджета (см. функцию КэшРеквизитовЭлементовВидаБюджета).
//
// Возвращаемое значение:
//	Произвольный - Значение реквизита элемента вида бюджета.
//
Функция ЗначениеРеквизитаЭлементаВидаБюджета(Ссылка, ИмяРеквизита, Кэш) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ЗначениеРеквизитаЭлементаВидаБюджета(Ссылка, ИмяРеквизита, Кэш) 
```
</details>

## КэшРеквизитовЭлементовВидаБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает кэш реквизитов элементов финансовых отчетов по виду бюджета.
//
// Параметры:
// 	ВидБюджета - СправочникСсылка.ВидыБюджетов - Вид бюджета, для элементов которого необходимо получить кэш реквизитов.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Таблица реквизитов элементов финансовых отчетов по виду бюджета.
//
Функция КэшРеквизитовЭлементовВидаБюджета(ВидБюджета) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.КэшРеквизитовЭлементовВидаБюджета(ВидБюджета) 
```
</details>

## ПолучитьКэшПодчиненныхЭлементовВыводимыхСРодителем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие элементов, выводимых вместе с родителем.
// Необходим для указания корректной строки / колонки для расчета итогов по формуле
// в методе ЗаполнитьСведенияОбИсточникеДанных в случае, если аналитики сгруппированы
// (тогда в таблице ДанныеЯчеек указаны конечные строки и колонки).
//
// Параметры:
// 	ВидБюджета - СправочникСсылка.ВидыБюджетов - Вид бюджета, для элементов которого необходимо получить кэш реквизитов.
//
// Возвращаемое значение:
// 	Соответствие - Соответствие родительского вида аналитики или измерения и выводимого вместе с ним в той же группировке:
// 	 *Ключ - СправочникСсылка.ЭлементыФинансовыхОтчетов - Родительская строка / колонка (вид аналитики или измерение).
// 	 *Значение - СправочникСсылка.ЭлементыФинансовыхОтчетов - выводимая вместе с родительской строка / колонка (вид аналитики или измерение).
//
Функция ПолучитьКэшПодчиненныхЭлементовВыводимыхСРодителем(ВидБюджета) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ПолучитьКэшПодчиненныхЭлементовВыводимыхСРодителем(ВидБюджета));
```
</details>

## МассивВСписок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивВСписок(Массив) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.МассивВСписок(Массив));
```
</details>

## НайтиОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура возвращает отбор по имени
// процедура не рекурсивная, т.к. вызывается из СравнитьОтборы,
// в которой уже обработан обход групп.
//
// Параметры:
//  ЭлементОтбора - ЭлементОтбораКомпоновкиДанных - искомый отбор
//  ЭлементыОтбора - КоллекцияЭлементовОтбораКомпоновкиДанных - отбор, где ищем
//  НайденныйЭлемент - ЭлементОтбораКомпоновкиДанных, ГруппаЭлементовОтбораКомпоновкиДанных - найденный элемент отбора.
//
// Возвращаемое значение:
//  Булево -
//
Функция НайтиОтбор(ЭлементОтбора, ЭлементыОтбора, НайденныйЭлемент) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.НайтиОтбор(ЭлементОтбора, ЭлементыОтбора, НайденныйЭлемент));
```
</details>

## СравнитьОтборы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СравнитьОтборы(ИсточникОтбор, ЭлементСравненияОтбор) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.СравнитьОтборы(ИсточникОтбор, ЭлементСравненияОтбор));
```
</details>

## ТипИзмеренияСовпадаетСИскомым
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипИзмеренияСовпадаетСИскомым(СтрокаЭлемента, ТипИскомый, КэшДопРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ТипИзмеренияСовпадаетСИскомым(СтрокаЭлемента, ТипИскомый, КэшДопРеквизитов));
```
</details>

## ЭлементыНастройкиЯчеекВидаБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки ячеек таблиц вида бюджета.
//
// Параметры:
// 	ВидБюджета - СправочникСсылка.ВидыБюджетов - Вид бюджета, для элементов которого необходимо получить настройку ячеек.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Таблица настроек ячеек по виду бюджета:
// 	 *Элемент - СправочникСсылка.ЭлементыФинансовыхОтчетов - Элемент бюджета.
// 	 *Строка - СправочникСсылка.ЭлементыФинансовыхОтчетов - Строка бюджета.
// 	 *Колонка - СправочникСсылка.ЭлементыФинансовыхОтчетов - Колонка бюджета.
// 	 *Родитель - СправочникСсылка.ЭлементыФинансовыхОтчетов -  Родитель элемента бюджета.
//
Функция ЭлементыНастройкиЯчеекВидаБюджета(ВидБюджета) Экспорт
```

Пример вызова
```bsl
Результат = БюджетнаяОтчетностьРасчетКэшаСервер.ЭлементыНастройкиЯчеекВидаБюджета(ВидБюджета) 
```
</details>

## ПрочитатьЗначениеДопРеквизитаИсключитьДанныеВводимогоДокументаПриРасчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПрочитатьЗначениеДопРеквизитаИсключитьДанныеВводимогоДокументаПриРасчете(МестоУстановкиЗначения, Экспорт
```

Пример вызова
```bsl
БюджетнаяОтчетностьРасчетКэшаСервер.ПрочитатьЗначениеДопРеквизитаИсключитьДанныеВводимогоДокументаПриРасчете(МестоУстановкиЗначения, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
