---
title: Валютный контроль клиент сервер УХ
slug: erp-uh/валютный-контроль-клиент-сервер-ух
---


## СуммаДляПостановкиНаУчетИмпортногоКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает сумму импортного контракта, по превышении которой требуется постановка его на учет
// согласно инструкции 181-И.
//
// Параметры:
//  Дата - 	Дата - Дата, на которую необходимо определение суммы.
//
// Возвращаемое значение:
//  Число - Величина рублевого эквивалента суммы контракта.
//
Функция СуммаДляПостановкиНаУчетИмпортногоКонтракта(Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВалютныйКонтрольКлиентСерверУХ.СуммаДляПостановкиНаУчетИмпортногоКонтракта(Дата);
```
</details>

## СуммаДляПостановкиНаУчетЭкспортногоКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает сумму экспортного контракта, по превышении которой требуется постановка его на учет
// согласно инструкции 181-И
//
// Параметры:
//  Дата - 	Дата - Дата, на которую необходимо определение суммы.
//
// Возвращаемое значение:
//  Число - Величина рублевого эквивалента суммы контракта.
//
Функция СуммаДляПостановкиНаУчет Экспорт
```

Пример вызова
```bsl
Результат = ВалютныйКонтрольКлиентСерверУХ.СуммаДляПостановкиНаУчетЭкспортногоКонтракта(Дата);
```
</details>

## ДатаВступленияВСилуИнструкции181И
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаВступленияВСилуИнструкции181И() Экспорт
```

Пример вызова
```bsl
Результат = ВалютныйКонтрольКлиентСерверУХ.ДатаВступленияВСилуИнструкции181И() 
```
</details>

## СуммаДляПостановкиНаУчетПоВидуДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СуммаДляПостановкиНаУчетПоВидуДоговора(ВидДоговораУХ, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВалютныйКонтрольКлиентСерверУХ.СуммаДляПостановкиНаУчетПоВидуДоговора(ВидДоговораУХ, Дата);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
