---
title: Варианты отчетов локализация
slug: erp-uh/варианты-отчетов-локализация
---


## ОпределитьРазделыСВариантамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Настройки размещения отчетов
// см. ВариантыОтчетовПереопределяемый.ОпределитьРазделыСВариантамиОтчетов
//
Процедура ОпределитьРазделыСВариантамиОтчетов(Разделы) Экспорт
```

Пример вызова
```bsl
ВариантыОтчетовЛокализация.ОпределитьРазделыСВариантамиОтчетов(Разделы) 
```
</details>

## ОпределитьОбъектыСКомандамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Настройки команд отчетов
// см. ВариантыОтчетовПереопределяемый.ОпределитьОбъектыСКомандамиОтчетов
//
Процедура ОпределитьОбъектыСКомандамиОтчетов(Объекты) Экспорт
```

Пример вызова
```bsl
ВариантыОтчетовЛокализация.ОпределитьОбъектыСКомандамиОтчетов(Объекты) 
```
</details>

## ПриОпределенииНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Задает настройки, применяемые как стандартные для объектов подсистемы.
// см. ВариантыОтчетовПереопределяемый.ПриОпределенииНастроек
//
Процедура ПриОпределенииНастроек(Настройки) Экспорт
```

Пример вызова
```bsl
ВариантыОтчетовЛокализация.ПриОпределенииНастроек(Настройки) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Задает настройки размещения вариантов отчетов в панели отчетов.
// см. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
ВариантыОтчетовЛокализация.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ЗарегистрироватьИзмененияКлючейВариантовОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Содержит описания изменений имен вариантов отчетов. Используется
// при обновлении информационной базы, в целях контроля ссылочной целостности
// и для сохранения настроек варианта, сделанных администратором.
// см. ВариантыОтчетовПереопределяемый.ЗарегистрироватьИзмененияКлючейВариантовОтчетов
//
Процедура ЗарегистрироватьИзмененияКлючейВариантовОтчетов(Изменения) Экспорт
```

Пример вызова
```bsl
ВариантыОтчетовЛокализация.ЗарегистрироватьИзмененияКлючейВариантовОтчетов(Изменения) 
```
</details>

## ИнформацияОМобильномПриложении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя и параметры формы с информацией о мобильном приложении для отображения в отчетах
//
// Возвращаемое значение:
// 	Структура - Ключи:
// 		* ИмяФормы - Строка - Имя общей формы
// 		* ПараметрыФормы - Структура - Содержит поля:
// 			** ИмяМакетаОписания - Строка - Имя общего макета с информацией о мобильном приложении
// 			** НазваниеПриложения - Строка - Название приложения
Функция ИнформацияОМобильномПриложении() Экспорт
```

Пример вызова
```bsl
Результат = ВариантыОтчетовЛокализация.ИнформацияОМобильномПриложении() 
```
</details>

## ДобавитьКомандуДосьеКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команду отчета в список команд.
//
// Параметры:
//   КомандыОтчетов - См. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.КомандыОтчетов
// Возвращаемое значение:
//   См. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.КомандыОтчетов
Функция ДобавитьКомандуДосьеКонтрагента(КомандыОтчетов) Экспорт
```

Пример вызова
```bsl
Результат = ВариантыОтчетовЛокализация.ДобавитьКомандуДосьеКонтрагента(КомандыОтчетов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
