---
title: Ввод остатков вызов сервера
slug: erp-uh/ввод-остатков-вызов-сервера
---


## ИнициализироватьЗначенияЗаполненияДокументаВводОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Значения реквизитов для заполнения документа ввода остатков.
//
// Возвращаемое значение:
// 	Структура - Структура содержащая имена реквизитов документа ввода остатков и значения их заполнения:
//       * Комментарий                                - Строка - Комментарий, который будет установлен создаваемого документа
//       * ДатаДокумента                             - Дата - Дата, которая будет установлена создаваемому документу
//       * ОтражатьВУУ                                - Булево - Признак отражения в управленческом учете
//       * ОтражатьВБУиНУ - Булево        - Признак отражения в регламентированном и налоговом учете
//       * ОтражатьВОперативномУчете - Булево - Признак отражения в оперативном учете
//       * Организация                                 - СправочникСсылка.Организации - Организация, для которой вводится остатки
//       * ХозяйственнаяОперация            - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция ввода остатков.
//
Функция ИнициализироватьЗначенияЗаполненияДокументаВводОстатков() Экспорт
```

Пример вызова
```bsl
Результат = ВводОстатковВызовСервера.ИнициализироватьЗначенияЗаполненияДокументаВводОстатков() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
