---
title: Ввод остатков сервер повт исп
slug: erp-uh/ввод-остатков-сервер-повт-исп
---


## ДоступныеТипыВводаОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступные типы ввода остатков
//
// Возвращаемое значение:
// 	Массив - Доступные типы ввода остатков
//
Функция ДоступныеТипыВводаОстатков() Экспорт
```

Пример вызова
```bsl
Результат = ВводОстатковСерверПовтИсп.ДоступныеТипыВводаОстатков() 
```
</details>

## ОписаниеРазделовВводаОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описания разделов и хозяйственных операций ввода остатков.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Описание: таблица значений содержащая описание хозяйственных операций ввода остатков:
// * РазделУчета - Строка  - Текстовое представление раздела учета
// * ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Значение хозяйственной операции ввода остатков
// * ПояснениеРазделаУчета - Строка - Текстовое представление описания хозяйственной операции ввода остатков
// * ПорядокВДереве        - Число - Иерархия хозяйственной операции в дереве ввода остатков
// * ДоступностьВвода      - Булево - Разрешает или запрещает ввод документа ввода остатков
// * ДокументВводаОстатков - СправочникСсылка.ИдентификаторыОбъектовМетаданных - Идентификатор документа ввода остатков
// * ШаблонЗаголовкаДокумента - Строка - Шаблон по которому строится представление документа.
//
Функция ОписаниеРазделовВводаОстатков() Экспорт
```

Пример вызова
```bsl
Результат = ВводОстатковСерверПовтИсп.ОписаниеРазделовВводаОстатков() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
