---
title: Взаимодействия клиент сервер локализация
slug: erp-uh/взаимодействия-клиент-сервер-локализация
---


## ПриОпределенииВозможныхПредметов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Задает типы предметов взаимодействий, например: заказы, вакансии и т.п.
// Используется, если в конфигурации определен хотя бы один предмет взаимодействий.
//
// Параметры:
//  ТипыПредметов  - Массив - предметы взаимодействий (Строка),
//                            например, "ДокументСсылка.ЗаказПокупателя" и т.п.
//
Процедура ПриОпределенииВозможныхПредметов(ТипыПредметов) Экспорт
```

Пример вызова
```bsl
ВзаимодействияКлиентСерверЛокализация.ПриОпределенииВозможныхПредметов(ТипыПредметов) 
```
</details>

## ПриОпределенииВозможныхКонтактов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Задает описания возможных типов контактов взаимодействий, например: партнеры, контактные лица и т.п.
// см. ВзаимодействияКлиентСерверПереопределяемый.ПриОпределенииВозможныхКонтактов
//
Процедура ПриОпределенииВозможныхКонтактов(ТипыКонтактов) Экспорт
```

Пример вызова
```bsl
ВзаимодействияКлиентСерверЛокализация.ПриОпределенииВозможныхКонтактов(ТипыКонтактов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
