---
title: Взаиморасчеты встраивание УХ
slug: erp-uh/взаиморасчеты-встраивание-ух
---


## ПолучитьКурсВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает курс валюты на дату.
//
// Параметры:
//   Валюта    - СправочникСсылка.Валюты - валюта, для которой получается курс.
//   ДатаКурса - Дата - дата, на которую получается курс.
//   БазоваяВалюта - СправочникСсылка.Валюты - Валюта, относительно которой необходимо получить курс
//   ОбъектРасчетов - СправочникСсылка.ОбъектыРасчетов - Необязательный, объект расчетов, по которому определяется вариант курса договора
//
// Возвращаемое значение:
//   Структура:
//    * КурсЧислитель - Число - Числитель курса валюты на указанную дату.
//    * КурсЗнаменатель - Число - Знаменатель курса валюты на указанную дату.
//    * Валюта    - СправочникСсылка.Валюты - ссылка валюты.
//    * ДатаКурса - Дата - дата получения курса.
//    * БазоваяВалюта - СправочникСсылка.Валюты - Валюта, относительно которой получены  курс.
//
Функция ПолучитьКурсВалюты(Знач Валюта, Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ПолучитьКурсВалюты(Валюта, );
```
</details>

## ПолучитьКурсВалютыИзКэша
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКурсВалютыИзКэша(Знач Валюта,Знач ВалютаДокумента, Знач ДатаКурса, КэшКурсов, Знач БазоваяВалюта = Неопределено, Договор = Неопределено, ЭтоВалютаВзаиморасчетов = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ПолучитьКурсВалютыИзКэша(Валюта, ВалютаДокумента, ДатаКурса, КэшКурсов, БазоваяВалюта, Договор, ЭтоВалютаВзаиморасчетов);
```
</details>

## ПолучитьВидОперацииРеализацииПоВидуОперацииПоступления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Получить вид операции реализации по виду операции поступления.
//
// Параметры:
//  ВидОперацииПоступления - ПеречислениеСсылка.ВидыОперацийПоступлениеТоваровУслуг - вид операции поступления.
//
// Возвращаемое значение:
//   - ПеречислениеСсылка.ВидыОперацийРеализацияТоваров
//
Функция ПолучитьВидОперацииРеализацииПоВидуОперацииПоступления(ВидОперацииПоступления) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ПолучитьВидОперацииРеализацииПоВидуОперацииПоступления(ВидОперацииПоступления) 
```
</details>

## ОбработкаЗаполненияРеализацииТоваровУслуг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияРеализацииТоваровУслуг(Источник, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВстраиваниеУХ.ОбработкаЗаполненияРеализацииТоваровУслуг(Источник, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ТекстЗапросаПросроченнаяЗадолженность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаПросроченнаяЗадолженность(ДобавлятьИтоги) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ТекстЗапросаПросроченнаяЗадолженность(ДобавлятьИтоги) 
```
</details>

## ЗаменитьТекстЗапросаАнализДебиторскойЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапросаАнализДебиторскойЗадолженности(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапросаАнализДебиторскойЗадолженности(ТекстЗапросаВход) 
```
</details>

## ЗаменитьТекстЗапросаЛимитыРазмещенияСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапросаЛимитыРазмещенияСредств(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапросаЛимитыРазмещенияСредств(ТекстЗапросаВход) 
```
</details>

## ЗаменитьТекстЗапросаОстаткиКредитныхЛимитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапросаОстаткиКредитныхЛимитов(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапросаОстаткиКредитныхЛимитов(ТекстЗапросаВход) 
```
</details>

## ЗаменитьТекстЗапросаРасчетыСБрокером
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапросаРасчетыСБрокером(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапросаРасчетыСБрокером(ТекстЗапросаВход) 
```
</details>

## ЗаменитьТекстЗапросаОтчетОбОбеспеченииДоговоров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапросаОтчетОбОбеспеченииДоговоров(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапросаОтчетОбОбеспеченииДоговоров(ТекстЗапросаВход) 
```
</details>

## ЗаменитьТекстЗапросаКлассификацияКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапросаКлассификацияКонтрагентов(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапросаКлассификацияКонтрагентов(ТекстЗапросаВход) 
```
</details>

## ЗаменитьТекстЗапроса_РаботаСКурсамиВалютУТ_ТекстЗапросаКурсовПоОбъектуРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапроса_РаботаСКурсамиВалютУТ_ТекстЗапросаКурсовПоОбъектуРасчетов(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапроса_РаботаСКурсамиВалютУТ_ТекстЗапросаКурсовПоОбъектуРасчетов(ТекстЗапросаВход)
```
</details>

## ЗаменитьТекстЗапроса_ПолучитьТаблицуКурсовВалютНаправленийДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапроса_ПолучитьТаблицуКурсовВалютНаправленийДеятельности(ТекстЗапросаВход, КурсИзДоговора, ТекстЗапросаИсходнойТаблицы, ЭтоОперацияОплаты) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапроса_ПолучитьТаблицуКурсовВалютНаправленийДеятельности(ТекстЗапросаВход, КурсИзДоговора, ТекстЗапросаИсходнойТаблицы, ЭтоОперацияОплаты)
```
</details>

## ЗаменитьТекстЗапроса_ЗаполнитьСуммуВзаиморасчетовВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапроса_ЗаполнитьСуммуВзаиморасчетовВТабличнойЧасти(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапроса_ЗаполнитьСуммуВзаиморасчетовВТабличнойЧасти(ТекстЗапросаВход)
```
</details>

## ЗаменитьТекстЗапроса_ЗаполнитьДокументПоЗаявкамНаРасходованиеДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапроса_ЗаполнитьДокументПоЗаявкамНаРасходованиеДенежныхСредств(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапроса_ЗаполнитьДокументПоЗаявкамНаРасходованиеДенежныхСредств(ТекстЗапросаВход)
```
</details>

## ЗаменитьТекстЗапроса_ЗаполнитьОперативныеВзаиморасчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапроса_ЗаполнитьОперативныеВзаиморасчеты(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапроса_ЗаполнитьОперативныеВзаиморасчеты(ТекстЗапросаВход)
```
</details>

## ЗаменитьТекстЗапроса_ПолучитьКурсыВалют_ПервоеВхождение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапроса_ПолучитьКурсыВалют_ПервоеВхождение(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапроса_ПолучитьКурсыВалют_ПервоеВхождение(ТекстЗапросаВход)
```
</details>

## ЗаменитьТекстЗапроса_ПолучитьКурсыВалют_ВтороеВхождение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапроса_ПолучитьКурсыВалют_ВтороеВхождение(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапроса_ПолучитьКурсыВалют_ВтороеВхождение(ТекстЗапросаВход)
```
</details>

## ЗаменитьТекстЗапроса_ТекстыЗапросаКурсовВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапроса_ТекстыЗапросаКурсовВалют(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапроса_ТекстыЗапросаКурсовВалют(ТекстЗапросаВход)
```
</details>

## ЗаменитьТекстЗапроса_ВыполнитьПереоценкуНаДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапроса_ВыполнитьПереоценкуНаДату(ТекстЗапросаВход) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапроса_ВыполнитьПереоценкуНаДату(ТекстЗапросаВход) 
```
</details>

## ЗаменитьТекстЗапроса_ТребуетсяПереоценка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстЗапроса_ТребуетсяПереоценка(ТекстЗапросаВход, РегистрыДляРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ЗаменитьТекстЗапроса_ТребуетсяПереоценка(ТекстЗапросаВход, РегистрыДляРасчета) 
```
</details>

## ОписаниеТиповОснованиеОбязательстваЗаявок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает описаение типов для ограничения тивов элемента формы ОснованиеОбязательства в формах документов Заявка*
Функция ОписаниеТиповОснованиеОбязательстваЗаявок(Данные) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ОписаниеТиповОснованиеОбязательстваЗаявок(Данные) 
```
</details>

## ДанныеДляОповещенияОПриближенииСрокаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает данные для оповещения о приближении срока оплаты
Функция ДанныеДляОповещенияОПриближенииСрокаОплаты() Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ДанныеДляОповещенияОПриближенииСрокаОплаты() 
```
</details>

## РасшифровкаПлатежаНДСЗаказПоставщику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует таблицу НДС по переданным объектам расчетов
//
// Параметры:
//    Организация - СправочникСсылка.Организации - Организация платежного документа
//    ДатаДокумента - Дата - Дата платежного документа
//    ВалютаДокумента - СправочникСсылка.Валюты - Валюта платежного документа
//    ОбъектыРасчетов - Массив - Объекты расчетов, данные НДС которых выбираются
//    ОплатаОтКлиента - Булево - Признак оплаты от клиента или платежа поставщику.
//
// Возвращаемое значение:
//  ТаблицаЗначений - колонки Ссылка, СуммаДокумента, СтавкаНДС, СуммаСНДС, СуммаНДС
//
Функция РасшифровкаПлатежаНДСЗаказПоставщику(Организация, ДатаДокумента, ВалютаДокумента, ОбъектыРасчетов, ОплатаОтКлиента = Ложь, ЗаказПоставщику) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.РасшифровкаПлатежаНДСЗаказПоставщику(Организация, ДатаДокумента, ВалютаДокумента, ОбъектыРасчетов, ОплатаОтКлиента, ЗаказПоставщику) 
```
</details>

## ПолучитьТекстЗапросаПараметрыДокументаОФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапросаПараметрыДокументаОФД() Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ПолучитьТекстЗапросаПараметрыДокументаОФД() 
```
</details>

## ТекстЗапросаОбновлениеРеестрУступленныхДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаОбновлениеРеестрУступленныхДенежныхСредств() Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВстраиваниеУХ.ТекстЗапросаОбновлениеРеестрУступленныхДенежныхСредств() 
```
</details>

## РеализацияТоваровУслугПередЧтениемНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РеализацияТоваровУслугПередЧтениемНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВстраиваниеУХ.РеализацияТоваровУслугПередЧтениемНаСервере(Форма, ТекущийОбъект) 
```
</details>

## РеализацияТоваровУслугПередСозданиемНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РеализацияТоваровУслугПередСозданиемНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВстраиваниеУХ.РеализацияТоваровУслугПередСозданиемНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## РеализацияТоваровУслугПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РеализацияТоваровУслугПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВстраиваниеУХ.РеализацияТоваровУслугПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПоступлениеТоваровУслугПередСозданиемНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоступлениеТоваровУслугПередСозданиемНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВстраиваниеУХ.ПоступлениеТоваровУслугПередСозданиемНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПоступлениеТоваровУслугПередЧтениемНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоступлениеТоваровУслугПередЧтениемНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВстраиваниеУХ.ПоступлениеТоваровУслугПередЧтениемНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ПоступлениеТоваровУслугПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоступлениеТоваровУслугПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВстраиваниеУХ.ПоступлениеТоваровУслугПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## УстановитьИдентификаторПлатежаПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьИдентификаторПлатежаПередЗаписью(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВстраиваниеУХ.УстановитьИдентификаторПлатежаПередЗаписью(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
