---
title: Взаиморасчеты вызов сервера
slug: erp-uh/взаиморасчеты-вызов-сервера
---


## ФормаПередЗаписьюНаКлиентеСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Выполняет перезаполнение этапов графика оплаты, обновляет гиперссылку графика оплаты.
//Вызывается из метода ПередЗаписью формы.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа/справочника.
//
Процедура ФормаПередЗаписьюНаКлиентеСервер(Форма) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВызовСервера.ФормаПередЗаписьюНаКлиентеСервер(Форма) 
```
</details>

## ОбновитьТекстГиперссылкиОграничениеЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет отображение ограничения задолженности в форме документа
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма, на которой требуется обновить гиперссылку:
//	 * Элементы - ЭлементыФормы - элементы вызывающей формы
//
Процедура ОбновитьТекстГиперссылкиОграничениеЗадолженности(Форма) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВызовСервера.ОбновитьТекстГиперссылкиОграничениеЗадолженности(Форма) 
```
</details>

## СуммаПросроченнойЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сумму просроченной задолженности по данным расчетов с клиентом
//
// Параметры:
//	Договор       - СправочникСсылка.ДоговорыКонтрагентов - Договор, по которому определяется задолженность клиента
//	ДатаДокумента - Дата - Дата документа, для которого выполняется контроль суммы просроченной задолженности.
//
// Возвращаемое значение:
//	Число
//
Функция СуммаПросроченнойЗадолженности(Договор, ДатаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВызовСервера.СуммаПросроченнойЗадолженности(Договор, ДатаДокумента) 
```
</details>

## ОстатокДопустимогоКредита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает остаток допустимого кредита по данным расчетов с клиентом и допустимой суммы задолженности.
//
// Параметры:
//	Договор          - СправочникСсылка.ДоговорыКонтрагентов - Договор, по которому определяется задолженность клиента
//	ДопустимыйКредит - Число - Значение допустимой суммы задолженности.
//
// Возвращаемое значение:
//	Число
//
Функция ОстатокДопустимогоКредита(Договор, ДопустимыйКредит) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВызовСервера.ОстатокДопустимогоКредита(Договор, ДопустимыйКредит) 
```
</details>

## ФормаОбъектаРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает имя формы для открытия.
//
// Параметры:
//	Ключ - СправочникСсылка.ОбъектыРасчетов - Ссылка на элемент справочника Объекты расчетов.
//
// Возвращаемое значение:
//	Структура:
//	 * Форма - Строка - Полное имя формы.
//	 * Ключ - ОпределяемыйТип.ОбъектРасчетов - Ссылка на открываемый объект расчетов.
//
Функция ФормаОбъектаРасчетов(Ключ) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыВызовСервера.ФормаОбъектаРасчетов(Ключ) 
```
</details>

## ОбъектРасчетовОснованиеПлатежаОбработкаПолученияДанныхВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбъектРасчетовОснованиеПлатежаОбработкаПолученияДанныхВыбора(ДанныеВыбора, НастройкиПодбора, ЭтоУИП, ЭтоОбъектРасчетов) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВызовСервера.ОбъектРасчетовОснованиеПлатежаОбработкаПолученияДанныхВыбора(ДанныеВыбора, НастройкиПодбора, ЭтоУИП, ЭтоОбъектРасчетов) 
```
</details>

## ОтключитьВопросПереходаНаОнлайнВзаиморасчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает вопрос о переходе на новую архитектуру взаиморасчетов
//
Процедура ОтключитьВопросПереходаНаОнлайнВзаиморасчеты() Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВызовСервера.ОтключитьВопросПереходаНаОнлайнВзаиморасчеты() 
```
</details>

## ВключитьРаспределениеВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает распределение всех расчетов по текущим заданиям к распределению в регистре ЗаданияКРаспределениюРасчетов
// в фоновом задании.
Процедура ВключитьРаспределениеВзаиморасчетов() Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВызовСервера.ВключитьРаспределениеВзаиморасчетов() 
```
</details>

## ОтключитьРаспределениеВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает распределение фактических расчетов при проведении документа
// и включает запись заданий к распределению в регистр ЗаданияКРаспределениюРасчетов.
Процедура ОтключитьРаспределениеВзаиморасчетов() Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыВызовСервера.ОтключитьРаспределениеВзаиморасчетов() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
