---
title: Взаиморасчеты клиент
slug: erp-uh/взаиморасчеты-клиент
---


## ФормаПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Сообщает о перезаполнении этапов оплаты, изменении объекта расчетов,
//Оповещает об изменении накладной по заказу формы списков заказов.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа/справочника.
//
Процедура ФормаПослеЗаписи(Форма) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ФормаПослеЗаписи(Форма) 
```
</details>

## ФормаПриЗакрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Оповещает о выборе при создании объекта расчетов
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа/справочника.
//
Процедура ФормаПриЗакрытии(Форма) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ФормаПриЗакрытии(Форма)
```
</details>

## НадписьЭтапыОплатыНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму редактирования правил оплаты.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа/справочника.
// 	Элемент - ПолеФормы - Гиперссылка открытия формы правил оплаты, связанная с конкретным набором параметров.
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
// 	Оповещение - ОписаниеОповещения - Описание оповещения формы, которое необходимо выполнить после окончания настройки.
//
Процедура НадписьЭтапыОплатыНажатие(Форма, Элемент, СтандартнаяОбработка, Оповещение = Неопределено) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.НадписьЭтапыОплатыНажатие(Форма, Элемент, СтандартнаяОбработка, Оповещение);
```
</details>

## НадписьЭтапыОплатыНажатиеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебный обработчик закрытия формы правил оплаты.
Процедура НадписьЭтапыОплатыНажатиеЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.НадписьЭтапыОплатыНажатиеЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## ОбновитьТекстГиперссылкиЭтапыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная процедура, заполняет текст гиперссылки правил оплаты
//
// Параметры:
//	Форма       - ФормаКлиентскогоПриложения - Договор, указанный в документе:
//	 * Элементы - ЭлементыФормы - элементы вызывающей формы
//	СтруктураПараметров - см. ВзаиморасчетыСервер.ПараметрыМеханизма
//	СистемныеНастройки  - Структура - Системные настройки из дополненных параметров, если уже получены.
//
Процедура ОбновитьТекстГиперссылкиЭтапыОплаты(Форма, СтруктураПараметров = Неопределено, СистемныеНастройки = Неопределено) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ОбновитьТекстГиперссылкиЭтапыОплаты(Форма, СтруктураПараметров, СистемныеНастройки);
```
</details>

## ПодборВРасшифровкуПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму подбора объектов расчетов в табличную часть Расшифровка платежа платежных документов.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа.
// 	ИмяЭлемента - Строка - Имя элемента, по нажатию на который вызван подбор.
// 	Оповещение - ОписаниеОповещения - Описание оповещения формы, которое необходимо выполнить после закрытия формы редактирования расшифровки.
// 	ДополнительныеОтборы - Соответствие из КлючИЗначение:
// 		Ключ - имя реквизита справочника Объекты расчетов,
// 		Значение - правое значение отбора.
//
Процедура ПодборВРасшифровкуПлатежа(Форма, ИмяЭлемента, Оповещение = Неопределено, ДополнительныеОтборы = Неопределено) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ПодборВРасшифровкуПлатежа(Форма, ИмяЭлемента, Оповещение, ДополнительныеОтборы);
```
</details>

## ПодборВРасшифровкуПлатежаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебный обработчик закрытия формы правил оплаты.
Процедура ПодборВРасшифровкуПлатежаЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ПодборВРасшифровкуПлатежаЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## ОбъектРасчетовНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора объекта расчетов по переданным отборам и настройкам.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа.
// 	Элемент - ПолеФормы - Поле, в котором выбирается объект расчетов или основание платежа.
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
// 	ВыборОснованияПлатежа - Булево - Истина если выбирается Основание платежа, Ложь - если объект расчетов.
// 	ТекущееЗначение - СправочникСсылка, ДокументСсылка - Указывается ссылка на текущий Объект расчетов или текущее Основание платежа для начального позиционирования.
// 	ДополнительныеОтборы - Соответствие из КлючИЗначение, Неопределено - дополнительный отбор по объектам расчетов.
//
Процедура ОбъектРасчетовНачалоВыбора(Форма, Элемент, СтандартнаяОбработка, ВыборОснованияПлатежа = ЛОЖЬ, ТекущееЗначение = Неопределено, ДополнительныеОтборы = Неопределено) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ОбъектРасчетовНачалоВыбора(Форма, Элемент, СтандартнаяОбработка, ВыборОснованияПлатежа, ТекущееЗначение, ДополнительныеОтборы);
```
</details>

## ВзаиморасчетыПоВозвратуТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму редактирования расшифровки платежа документа возврата.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа.
// 	Элемент - ПолеФормы - Гиперссылка редактирования расшифровки платежа.
// 	Оповещение - ОписаниеОповещения - Описание оповещения формы, которое необходимо выполнить после закрытия формы редактирования расшифровки.
//
Процедура ВзаиморасчетыПоВозвратуТоваров(Форма, Элемент, Оповещение = Неопределено ) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ВзаиморасчетыПоВозвратуТоваров(Форма, Элемент, Оповещение);
```
</details>

## ЗачетОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму помощника зачета оплат
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа.
// 	Элемент - ЭлементыФормы - Элемент для определения набора параметров из массива параметров.
//
Процедура ЗачетОплаты(Форма, Элемент = Неопределено) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ЗачетОплаты(Форма, Элемент);
```
</details>

## ОбъектРасчетовОснованиеПлатежаАвтоПодбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебный обработчик авто подбора Объектов расчетов и Оснований платежа
//
//  Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа.
// 	Элемент - ЭлементыФормы - Элемент для определения набора параметров из массива параметров.
// 	Текст - Строка - Текст для поиска по строке.
// 	ДанныеВыбора - СписокЗначений - Найденные данные.
// 	СтандартнаяОбработка - Булево.
// 	ЭтоУИП - Булево - Признак того, что выполняется поиск Уникального идентификатора платежа.
// 	ЭтоОбъектРасчетов - Булево - Признак того, что выполняется поиск объекта расчетов.
//
Процедура ОбъектРасчетовОснованиеПлатежаАвтоПодбор(Форма, Элемент, Текст, ДанныеВыбора, СтандартнаяОбработка, ЭтоУИП = Ложь, ЭтоОбъектРасчетов = Ложь) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ОбъектРасчетовОснованиеПлатежаАвтоПодбор(Форма, Элемент, Текст, ДанныеВыбора, СтандартнаяОбработка, ЭтоУИП, ЭтоОбъектРасчетов);
```
</details>

## НуженВызовОбработкиОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Нужен вызов обработки оповещения.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма документа или справочника
//  ИмяСобытия - Строка - Имя события
//  Параметр - Произвольный - Параметр
//
// Возвращаемое значение:
//  Булево - Нужен вызов обработки оповещения
Функция НуженВызовОбработкиОповещения(Форма, ИмяСобытия, Параметр) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыКлиент.НуженВызовОбработкиОповещения(Форма, ИмяСобытия, Параметр) 
```
</details>

## ВалютыИКурсДокументаНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму редактирования валют и курса взаиморасчетов документа.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта настройки.
// 	Элемент - ДекорацияФормы - Гиперссылка открытия формы правил оплаты, связанная с конкретным набором параметров.
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
// 	Оповещение - ОписаниеОповещения - Описание оповещения, которое необходимо выполнить после окончания настройки.
//
Процедура ВалютыИКурсДокументаНажатие(Форма, Элемент, СтандартнаяОбработка, Оповещение = Неопределено) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ВалютыИКурсДокументаНажатие(Форма, Элемент, СтандартнаяОбработка, Оповещение);
```
</details>

## ВалютыИКурсДокументаНажатиеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения редактирования курса и валют документа.
//
Процедура ВалютыИКурсДокументаНажатиеЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ВалютыИКурсДокументаНажатиеЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## ОграниченияЗадолженностиНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму отчета о причинах ограничения отгрузки.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа/справочника.
// 	Элемент - ПолеФормы - Гиперссылка, по которой отрывается отчет.
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
//
Процедура ОграниченияЗадолженностиНажатие(Форма, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.ОграниченияЗадолженностиНажатие(Форма, Элемент, СтандартнаяОбработка) 
```
</details>

## РасчетыНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму отчета Карточка расчетов.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа/справочника.
// 	Элемент - ПолеФормы - Гиперссылка, по которой отрывается отчет.
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
//
Процедура РасчетыНажатие(Форма, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиент.РасчетыНажатие(Форма, Элемент, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
