---
title: Взаиморасчеты клиент сервер
slug: erp-uh/взаиморасчеты-клиент-сервер
---


## ПараметрыНадписиВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую структуру параметров формирования надписи Валюты и курсы документа.
//
// Возвращаемое значение:
//  Структура - параметры для заполнения в форме, где:
//   * НеПоказыватьРасчеты - Булево.
//   * ВалютаДокумента - СправочникСсылка.Валюты.
//   * ВалютаВзаиморасчетов - СправочникСсылка.Валюты.
//   * ВалютаРеглУчета - СправочникСсылка.Валюты.
//   * СуммаДокумента - Число.
//   * СуммаВзаиморасчетов - Число.
//   * КурсЧислитель - Число.
//   * КурсЗнаменатель - Число.
//
Функция ПараметрыНадписиВалюты() Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыКлиентСервер.ПараметрыНадписиВалюты() 
```
</details>

## РассчитатьКонечноеСальдоПоФинансовымИнструментам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает конечное сальдо в табличной части Группировка финансовых инструментов документа СверкаВзаиморасчетов.
//
// Параметры:
//  Группировка - ДанныеФормыКоллекция - Текущая строка табличной части группировки.
//  ДетальныеЗаписи - ДанныеФормыКоллекция - Табличная часть детальных записей финансовых инструментов.
//
Процедура РассчитатьКонечноеСальдоПоФинансовымИнструментам(Группировка, ДетальныеЗаписи) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиентСервер.РассчитатьКонечноеСальдоПоФинансовымИнструментам(Группировка, ДетальныеЗаписи) 
```
</details>

## РассчитатьКонечноеСальдоПоВзаиморасчетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает конечное сальдо в табличной части Группировка взаиморасчетов документа СверкаВзаиморасчетов.
//
// Параметры:
//  Группировка - ДанныеФормыКоллекция - Текущая строка табличной части группировки.
//  ДетальныеЗаписи - ДанныеФормыКоллекция - Табличная часть детальных записей взаиморасчетов.
//  РеглСуммы - Булево - Использовать для расчета ресурсы с регл. суммами.
//
Процедура РассчитатьКонечноеСальдоПоВзаиморасчетам(Группировка, ДетальныеЗаписи, РеглСуммы = Ложь) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиентСервер.РассчитатьКонечноеСальдоПоВзаиморасчетам(Группировка, ДетальныеЗаписи, РеглСуммы);
```
</details>

## РассчитатьКонечноеСальдоДтКт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает конечное сальдо Дт/Кт в табличной части Итоговые записи взаиморасчетов документа СверкаВзаиморасчетов2_5_11.
//
// Параметры:
//  ИтоговаяЗапись - ДанныеФормыЭлементКоллекции - Текущая строка итоговых записей взаиморасчетов документа.
//  ДетальныеЗаписи - ДанныеФормыКоллекция - Табличная часть детальных записей взаиморасчетов.
//  СверкаПоДоговорам - Булево - Режим сверки итогов.
//  ЭтоПоляКонтрагента - Булево - Признак расчета по полям Организации (Ложь) или Контрагента (Истина).
//
Процедура РассчитатьКонечноеСальдоДтКт(ИтоговаяЗапись, ДетальныеЗаписи, СверкаПоДоговорам = Ложь, ЭтоПоляКонтрагента = Ложь) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиентСервер.РассчитатьКонечноеСальдоДтКт(ИтоговаяЗапись, ДетальныеЗаписи, СверкаПоДоговорам, ЭтоПоляКонтрагента);
```
</details>

## ТипыДоговоровСКлиентом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращет список типов договоро договоров с клиентами.
//
// Возвращаемое значение:
// 	СписокЗначений - Список типов договоров с контрагентом, как с клиентом.
Функция ТипыДоговоровСКлиентом() Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыКлиентСервер.ТипыДоговоровСКлиентом() 
```
</details>

## ТипыДоговоровСПоставщиком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращет список типов договоро договоров с поставщиками.
//
// Возвращаемое значение:
// 	СписокЗначений - Список типов договоров с контрагентом, как с поставщиком.
Функция ТипыДоговоровСПоставщиком() Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыКлиентСервер.ТипыДоговоровСПоставщиком() 
```
</details>

## СтруктураОтбораДанныхВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры отбора для получения данных выбора
//
// Возвращаемое значение:
//  Структура - Структура отбора данных выбора:
//   * ТипРасчетов - ПеречислениеСсылка.ТипыРасчетовСПартнерами
//   * Организация - СправочникСсылка.Организации
//   * Контрагент - СправочникСсылка.Контрагенты
//   * ПодборДебиторскойЗадолженности - Булево
//   * УчитыватьФилиалы - Булево
//   * РедактируемыйДокумент - Неопределено
//   * Текст - Строка - Вводимый в поле выбора номер для поиска
//   * ТипыОснований - Массив из Тип
//   * ВводОстатков - Булево
//   * ВыборАванса - Булево
Функция СтруктураОтбораДанныхВыбора() Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыКлиентСервер.СтруктураОтбораДанныхВыбора() 
```
</details>

## РассчитатьРеквизитыФормыИтоговыхЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Рассчитать реквизиты формы для итоговых записей
//  Выполняет построчный расчет значений реквизитов формы переданной таблицы
// Параметры:
//  ТаблицаФормы	 - ДанныеФормыКоллекция - Может принимать значения Объект.ИтоговыеЗаписи или Объект.ДетальныеЗаписи.
//  ЕстьРасхождения - Булево - Пользовательский признак отображения расхождений из шапки документа.
//															Если выключен, все строки считаются сопоставленными без расхождений.
//  ТекущаяСтрока	 - ДанныеФормыЭлементКоллекции - Строка таблицы формы. Если не указана, выполняется расчет для всех строк.
//
Процедура РассчитатьРеквизитыФормыИтоговыхЗаписей(ТаблицаФормы, ЕстьРасхождения, ТекущаяСтрока = Неопределено) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиентСервер.РассчитатьРеквизитыФормыИтоговыхЗаписей(ТаблицаФормы, ЕстьРасхождения, ТекущаяСтрока);
```
</details>

## РассчитатьРеквизитыФормыДетальныхЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Рассчитать реквизиты формы для детальных записей
//  Выполняет построчный расчет значений реквизитов формы переданной таблицы
// Параметры:
//  ТаблицаФормы	 - ДанныеФормыКоллекция - Может принимать значения Объект.ИтоговыеЗаписи или Объект.ДетальныеЗаписи.
//  ЕстьРасхождения - Булево - Пользовательский признак отображения расхождений из шапки документа.
//															Если выключен, все строки считаются сопоставленными без расхождений.
//  ТекущаяСтрока	 - ДанныеФормыЭлементКоллекции - Строка таблицы формы. Если не указана, выполняется расчет для всех строк.
//
Процедура РассчитатьРеквизитыФормыДетальныхЗаписей(ТаблицаФормы, ЕстьРасхождения, ТекущаяСтрока = Неопределено) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиентСервер.РассчитатьРеквизитыФормыДетальныхЗаписей(ТаблицаФормы, ЕстьРасхождения, ТекущаяСтрока);
```
</details>

## ЕстьРасхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Есть расхождения
//  Возвращает состояние сверки документа.
// Параметры:
//  Объект - ДокументОбъект.СверкаВзаиморасчетов2_5_11, ДанныеФормыСтруктура - Передаваемый объект.
//  ПодсчетКоличестваРасхождений - Булево - признак необходимости точного подсчета количества расхождений.
//
// Возвращаемое значение:
//  Структура - Описание наличия расхождений. Содержит свойства:
//   * ЕстьРасхождения - Булево - Флаг наличия расхождений в документе;
//   * ЕстьРасхожденияИтогов - Булево - Флаг наличия расхождений в итоговых записях;
//   * КоличествоРасхожденийДеталей - Число - Количество расхождений в детальных записях.
//
Функция ЕстьРасхождения(Объект, ПодсчетКоличестваРасхождений = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыКлиентСервер.ЕстьРасхождения(Объект, ПодсчетКоличестваРасхождений);
```
</details>

## ОбновитьСостояниеСверкиВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет состояние сверки в форме документа
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, на которой обновляем состояние сверки
Процедура ОбновитьСостояниеСверкиВФорме(Форма) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиентСервер.ОбновитьСостояниеСверкиВФорме(Форма) 
```
</details>

## ОбновитьСостояниеСверкиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Обновить состояние сверки объекта
//   Обновляет состояние сверки в реквизите объекта.
// Параметры:
//  Объект - ДокументОбъект.СверкаВзаиморасчетов2_5_11 - Целевой документ
//
Процедура ОбновитьСостояниеСверкиОбъекта(Объект) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиентСервер.ОбновитьСостояниеСверкиОбъекта(Объект) 
```
</details>

## ЕстьНесопоставленныеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Есть несопоставленные детальные записи
//  Возвращает признак наличия несопоставленных строк табличной части
// Параметры:
//  ТабличнаяЧасть - ДанныеФормыКоллекция -
//
// Возвращаемое значение:
//  Булево -
//
Функция ЕстьНесопоставленныеЗаписи(ТабличнаяЧасть) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыКлиентСервер.ЕстьНесопоставленныеЗаписи(ТабличнаяЧасть) 
```
</details>

## ФорматируемаяСтрокаЭтаповОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная процедура, заполняет текст гиперссылки правил оплаты
//
// Параметры:
//	Форма       - ФормаКлиентскогоПриложения - Договор, указанный в документе:
//	 * Элементы - ЭлементыФормы - элементы вызывающей формы
//	СтруктураПараметров - см. ВзаиморасчетыСервер.ПараметрыМеханизма
//	СистемныеНастройки  - Структура - Системные настройки из дополненных параметров, если уже получены.
//
// Возвращаемое значение:
//  Строка - Форматируемая строка этапов оплаты
Функция ФорматируемаяСтрокаЭтаповОплаты(Форма, СтруктураПараметров, СистемныеНастройки) Экспорт
```

Пример вызова
```bsl
Результат = ВзаиморасчетыКлиентСервер.ФорматируемаяСтрокаЭтаповОплаты(Форма, СтруктураПараметров, СистемныеНастройки) 
```
</details>

## ОбновитьТекстГиперссылкиВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует заголовок элемента НадписьВалюты
//
// Параметры:
//	Форма       - ФормаКлиентскогоПриложения - Договор, указанный в документе:
//	 * Элементы - ЭлементыФормы - элементы вызывающей формы
//	СтруктураПараметров - см. ВзаиморасчетыСервер.ПараметрыМеханизма
//
Процедура ОбновитьТекстГиперссылкиВалюты(Форма, СтруктураПараметров = Неопределено) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиентСервер.ОбновитьТекстГиперссылкиВалюты(Форма, СтруктураПараметров);
```
</details>

## УстановитьВидимостьЗачетаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость кнопки зачета оплаты по порядку расчетов документа, если такая есть на форме.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма, в которой находится команда зачета оплаты.
//	СтруктураПараметров - см. ВзаиморасчетыСервер.ПараметрыМеханизма
//
Процедура УстановитьВидимостьЗачетаОплаты(Форма, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
ВзаиморасчетыКлиентСервер.УстановитьВидимостьЗачетаОплаты(Форма, СтруктураПараметров) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
