---
title: Внеоборотные активы
slug: erp-uh/внеоборотные-активы
---


## ВыполнитьОперациюАктуализацияПараметровУзловКомпонентовАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выполнении операции закрытия месяца "Актуализация параметров узлов и компонентов амортизации".
//
// Параметры:
//	ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
//
Процедура ВыполнитьОперациюАктуализацияПараметровУзловКомпонентовАмортизации(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ВыполнитьОперациюАктуализацияПараметровУзловКомпонентовАмортизации(ПараметрыОбработчика) 
```
</details>

## ДополнитьЗначенияПараметровПроведенияПриСписанииОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет значения параметров для отражения списания ОС.
//
// Параметры:
// 	ЗначенияПараметровПроведения - Структура -
Процедура ДополнитьЗначенияПараметровПроведенияПриСписанииОС(ЗначенияПараметровПроведения) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ДополнитьЗначенияПараметровПроведенияПриСписанииОС(ЗначенияПараметровПроведения) 
```
</details>

## СформироватьЗаписиРегистровЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует записи в регистрах заданий к закрытию месяца.
//
// Параметры:
// 	Документ - ДокументОбъект -
// 	ДанныеТаблиц - см. ПроведениеДокументов.ДанныеТаблицСтаройСтруктуры
Процедура СформироватьЗаписиРегистровЗаданий(Документ, ДанныеТаблиц) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.СформироватьЗаписиРегистровЗаданий(Документ, ДанныеТаблиц) 
```
</details>

## СформироватьЗаданияАктуализацииПараметровУзловКомпонентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует задания к отложенному обновлению движений по регистрам сведений для подчиненных узлов и компонентов.
//
// Параметры:
// 	Документ - ДокументОбъект, Неопределено - Документ, который изменяется.
// 	ДанныеТаблиц - см. ПроведениеДокументов.ДанныеТаблицСтаройСтруктуры
Процедура СформироватьЗаданияАктуализацииПараметровУзловКомпонентов(Документ, ДанныеТаблиц) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.СформироватьЗаданияАктуализацииПараметровУзловКомпонентов(Документ, ДанныеТаблиц) 
```
</details>

## СформироватьЗаданияПриЗаписиДвиженийРаспределенияВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует задания при записи движений распределения взаиморасчетов.
//
// Параметры:
//  МенеджерВременныхТаблиц	 - МенеджерВременныхТаблиц		 - Менеджер временных таблиц.
//
Процедура СформироватьЗаданияПриЗаписиДвиженийРаспределенияВзаиморасчетов(МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.СформироватьЗаданияПриЗаписиДвиженийРаспределенияВзаиморасчетов(МенеджерВременныхТаблиц) 
```
</details>

## ИдентификаторПредупрежденияПриПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентификатор предупреждения при печати.
// Используется для вывода текста сообщения пользователю в виде предупреждения в шапке формы "Печать документов".
//
// Возвращаемое значение:
//   Строка - Значение реквизита Поле объекта СообщениеПользователю.
//       В реквизите Текст объекта СообщениеПользователю может быть как обычный тест,
//       так и шаблон форматированной строки (см. СтроковыеФункции.ФорматированнаяСтрока).
Функция ИдентификаторПредупрежденияПриПечати() Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ИдентификаторПредупрежденияПриПечати() 
```
</details>

## ДобавитьПредупреждениеЕслиСведенияНеАктуальны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет текст предупреждения, информирующий пользователя о том, что стоимость или амортизация не актуальны,
// т.к. не выполнено закрытие месяца.
//
// Параметры:
//  СведенияАктуальны - Булево - Ложь, если сведения не актуальны.
//  ТабличныйДокумент - ТабличныйДокумент - Печатная форма
Процедура ДобавитьПредупреждениеЕслиСведенияНеАктуальны(СведенияАктуальны) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ДобавитьПредупреждениеЕслиСведенияНеАктуальны(СведенияАктуальны) 
```
</details>

## ПечатьДокументовПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеПечатьюПереопределяемый.ПечатьДокументовПриСозданииНаСервере.
Процедура ПечатьДокументовПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПечатьДокументовПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПриОпределенииОбъектовСКомандамиСозданияНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список объектов конфигурации, в модулях менеджеров которых предусмотрена процедура
// ДобавитьКомандыСозданияНаОсновании, формирующая команды создания на основании объектов.
// Синтаксис процедуры ДобавитьКомандыСозданияНаОсновании см. в документации.
//
// Параметры:
//   Объекты - Массив - объекты метаданных (ОбъектМетаданных) с командами создания на основании.
//
// Пример:
//	Объекты.Добавить(Метаданные.Справочники.Организации);
//
Процедура ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) 
```
</details>

## ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ДатыЗапретаИзмененияПереопределяемый.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
//
Процедура ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) 
```
</details>

## ПриОпределенииСправочниковХраненияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаСФайламиПереопределяемый.ПриОпределенииСправочниковХраненияФайлов
//
Процедура ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступомПереопределяемый.ПриЗаполненииСписковСОграничениемДоступа
//
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПриОпределенииОбъектовСКомандамиПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых размещена процедура ДобавитьКомандыПечати,
// формирующая список команд печати, предоставляемых этим объектом.
// Синтаксис процедуры ДобавитьКомандыПечати см. в документации к подсистеме.
//
// Параметры:
//  СписокОбъектов - Массив - менеджеры объектов с процедурой ДобавитьКомандыПечати.
//
Процедура ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) 
```
</details>

## ЗаполнитьПоставляемыеПрофилиГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив структур, которые будут использованы для начального заполнения и восстановления начального заполнения профилей.
//
// Параметры:
//  ОписанияПрофилей - Массив из см. УправлениеДоступом.НовоеОписаниеПрофиляГруппДоступа
//  ПараметрыОбновления - Структура:
//   * ОбновлятьИзмененныеПрофили - Булево - начальное значение Истина.
//   * ЗапретитьИзменениеПрофилей - Булево - начальное значение Истина.
//       Если установить Ложь, тогда поставляемые профили можно не только просматривать, но и редактировать.
//   * ОбновлятьГруппыДоступа     - Булево - начальное значение Истина.
//   * ОбновлятьГруппыДоступаСУстаревшимиНастройками - Булево - начальное значение Ложь.
//       Если установить Истина, то настройки значений, выполненные администратором для
//       вида доступа, который был удален из профиля, будут также удалены из групп доступа.
//
Процедура ЗаполнитьПоставляемыеПрофилиГруппДоступа(ОписанияПрофилей, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ЗаполнитьПоставляемыеПрофилиГруппДоступа(ОписанияПрофилей, ПараметрыОбновления) 
```
</details>

## ОбработкаПараметровВыбораСтатьиРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПланыВидовХарактеристик.СтатьиРасходов.ОбработкаПараметровВыбора
Процедура ОбработкаПараметровВыбораСтатьиРасходов(Параметры) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ОбработкаПараметровВыбораСтатьиРасходов(Параметры) 
```
</details>

## ПриПолученииПредопределенныхНаборовСвойств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает описание предопределенных наборов свойств.
//
// Параметры:
//  Наборы - ДеревоЗначений - с колонками:
//     * Имя           - Строка - Имя набора свойств. Формируется из полного имени объекта
//                       метаданных заменой символа "." на "_".
//                       Например, "Документ_ЗаказПокупателя".
//     * Идентификатор - УникальныйИдентификатор - Идентификатор ссылки предопределенного элемента.
//     * Используется  - Неопределено, Булево - Признак того, что набор свойств используется.
//                       Например, можно использовать для скрытия набора по функциональным опциям.
//                       Значение по умолчанию - Неопределено, соответствует значению Истина.
//     * ЭтоГруппа     - Булево - Истина, если набор свойств является группой.
//
Процедура ПриПолученииПредопределенныхНаборовСвойств(Наборы) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПриПолученииПредопределенныхНаборовСвойств(Наборы) 
```
</details>

## НайтиОбъектыЭксплуатацииПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит объекты эксплуатации по штрихкодам.
//
// Параметры:
//  ДанныеШтрихкодов - Структура - Данные штрихкодов.
//  ПараметрыПодбора - Структура - Параметры подбора, которым должны удовлетворять объекты эксплуатации.
//
// Возвращаемое значение:
//  Массив - Список объектов эксплуатации.
//
Функция НайтиОбъектыЭксплуатацииПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.НайтиОбъектыЭксплуатацииПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора);
```
</details>

## НайтиОсновныеСредстваПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит основные средства по штрихкодам.
//
// Параметры:
//  ДанныеШтрихкодов - Структура - Данные штрихкодов.
//  ПараметрыПодбора - Структура - Параметры подбора, которым должны удовлетворять объекты эксплуатации.
//
// Возвращаемое значение:
//  Массив - Список объектов эксплуатации.
//
Функция НайтиОсновныеСредстваПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.НайтиОсновныеСредстваПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора);
```
</details>

## НайтиОбъектыПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит объекты эксплуатации по штрихкодам.
//
// Параметры:
//  ДанныеШтрихкодов - Структура - Данные штрихкодов.
//  ПараметрыПодбора - Структура - Параметры подбора, которым должны удовлетворять объекты эксплуатации.
//
// Возвращаемое значение:
// 	Структура - содержит:
//    * МассивОбъектов - Массив из СправочникСсылка.ОбъектыЭксплуатации - найденные объекты.
//    * НеНайдены - Массив из Строка - штрихкоды, по которым не удалось найти объекты.
//    * НеПодходят - Массив из СправочникСсылка.ОбъектыЭксплуатации - Объекты, которые не подходят по параметрам подбора.
Функция НайтиОбъектыПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.НайтиОбъектыПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора) 
```
</details>

## СообщитьОРезультатахПоискаПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о результатах поиска по штрихкоду.
//
// Параметры:
// 	РезультатПоиска - см. НайтиОбъектыПоШтрихкодам
Процедура СообщитьОРезультатахПоискаПоШтрихкоду(РезультатПоиска) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.СообщитьОРезультатахПоискаПоШтрихкоду(РезультатПоиска) 
```
</details>

## МассивШтрихкодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список штрихкодов из результата ввода.
//
// Параметры:
//  ДанныеШтрихкодов - Структура, Массив из Строка - Данные штрихкодов.
//
// Возвращаемое значение:
// 	Массив -
Функция МассивШтрихкодов(ДанныеШтрихкодов) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.МассивШтрихкодов(ДанныеШтрихкодов) 
```
</details>

## ДобавитьЭтап_ЗаполнениеФактическойСтоимостиВНАПриОтключенномУчетеСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_ЗаполнениеФактическойСтоимостиВНАПриОтключенномУчетеСебестоимости(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ДобавитьЭтап_ЗаполнениеФактическойСтоимостиВНАПриОтключенномУчетеСебестоимости(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ЗаполнениеФактическойСтоимостиВНАПриОтключенномУчетеСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет необходимость выполнения этапа.
//
// Параметры:
//  ПараметрыОбработчика - Структура - параметры обработчика события этапа.
//
Процедура Использование_ЗаполнениеФактическойСтоимостиВНАПриОтключенномУчетеСебестоимости(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.Использование_ЗаполнениеФактическойСтоимостиВНАПриОтключенномУчетеСебестоимости(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_АктуализацияПараметровУзловКомпонентовАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_АктуализацияПараметровУзловКомпонентовАмортизации(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ДобавитьЭтап_АктуализацияПараметровУзловКомпонентовАмортизации(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_АктуализацияПараметровУзловКомпонентовАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет статус операции "АктуализацияПараметровУзловКомпонентовАмортизации".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Использование_АктуализацияПараметровУзловКомпонентовАмортизации(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.Использование_АктуализацияПараметровУзловКомпонентовАмортизации(ПараметрыОбработчика) 
```
</details>

## Выполнить_АктуализацияПараметровУзловКомпонентовАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "АктуализацияПараметровУзловКомпонентовАмортизации".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Выполнить_АктуализацияПараметровУзловКомпонентовАмортизации(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.Выполнить_АктуализацияПараметровУзловКомпонентовАмортизации(ПараметрыОбработчика) 
```
</details>

## ИспользуетсяУправлениеВНА_2_4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли управление ВНА версии 2.4.
//
// Параметры:
//  Период	 - Дата - На какую дату нужно проверить (если не указана, то проверяется на текущую дату).
//
// Возвращаемое значение:
//  Булево - Истина, если используется управление ВНА версии 2.4.
//
Функция ИспользуетсяУправлениеВНА_2_4(Период = '000101010000') Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ИспользуетсяУправлениеВНА_2_4(Период);
```
</details>

## ИспользуетсяУправлениеВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли управление ВНА.
//
// Возвращаемое значение:
//  Булево - Истина, если используется управление ВНА.
//
Функция ИспользуетсяУправлениеВНА() Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ИспользуетсяУправлениеВНА() 
```
</details>

## МестонахождениеОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет местонахождение основного средства.
//
// Параметры:
//  ОсновноеСредство - СправочникСсылка.ОбъектыЭксплуатации	 - Основное средство.
//
// Возвращаемое значение:
//  Структура - Содержит сведения о местонахождении:
//  * Организация - СправочникСсылка.Организации -
//  * МОЛ - СправочникСсылка.ФизическиеЛица -
//  * Местонахождение - СправочникСсылка.СтруктураПредприятия -
//  * АдресМестонахождения - Строка -
//  * Арендатор - СправочникСсылка.Организации, СправочникСсылка.Контрагенты -
//  * ПодразделениеАрендатора - СправочникСсылка.СтруктураПредприятия -
//  * МОЛАрендатора - СправочникСсылка.ФизическиеЛица -
//
Функция МестонахождениеОС(ОсновноеСредство) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.МестонахождениеОС(ОсновноеСредство) 
```
</details>

## МестоУчетаНМА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет место учета нематериального актива.
//
// Параметры:
//  НематериальныйАктив	 - СправочникСсылка.НематериальныеАктивы - нематериальный актив.
//
// Возвращаемое значение:
//  Структура - Содержит сведения о месте учета:
//  * Организация - СправочникСсылка.Организации -
//  * Подразделение - СправочникСсылка.СтруктураПредприятия -
//
Функция МестоУчетаНМА(НематериальныйАктив) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.МестоУчетаНМА(НематериальныйАктив) 
```
</details>

## МестонахождениеИАрендодательОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет местонахождение и сведения об арендодателе основного средства.
//
// Параметры:
//  ОсновноеСредство - СправочникСсылка.ОбъектыЭксплуатации	 - Основное средство.
//
// Возвращаемое значение:
//  Структура - Содержит сведения о местонахождении:
//  	* Организация - СправочникСсылка.Организации -
// 		* Партнер - СправочникСсылка.Партнеры -
//  	* Контрагент - СправочникСсылка.Контрагенты -
//  	* Договор - СправочникСсылка.ДоговорыАренды, СправочникСсылка.ДоговорыКонтрагентов -
//  	* МОЛ - СправочникСсылка.ФизическиеЛица -
//  	* Местонахождение - СправочникСсылка.СтруктураПредприятия -
//  	* АдресМестонахождения - Строка -
//
Функция МестонахождениеИАрендодательОС(ОсновноеСредство) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.МестонахождениеИАрендодательОС(ОсновноеСредство) 
```
</details>

## СтоимостьИАмортизацияОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сведения о стоимости и амортизации ОС.
//
// Параметры:
//  ОсновноеСредство - СправочникСсылка.ОбъектыЭксплуатации	 - Основное средство для которого необходимо получить сведения.
//
// Возвращаемое значение:
//  Структура - Содержит свойства: Амортизация,АмортизацияРегл,АмортизацияНУ,АмортизацияПР,АмортизацияВР,
//  								АмортизацияЦФ,АмортизацияНУЦФ,АмортизацияПРЦФ,АмортизацияВРЦФ,
//  								Стоимость,СтоимостьРегл,СтоимостьНУ,СтоимостьПР,СтоимостьВР,
//  								СтоимостьЦФ,СтоимостьНУЦФ,СтоимостьПРЦФ,СтоимостьВРЦФ.
//
Функция СтоимостьИАмортизацияОС(ОсновноеСредство) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.СтоимостьИАмортизацияОС(ОсновноеСредство) 
```
</details>

## СтоимостьИАмортизацияНМА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сведения о стоимости и амортизации НМА.
//
// Параметры:
//  НематериальныйАктив - СправочникСсылка.НематериальныеАктивы	 - Нематериальный актив для которого необходимо получить сведения.
//
// Возвращаемое значение:
//  Структура - Содержит свойства: Амортизация,АмортизацияРегл,АмортизацияНУ,АмортизацияПР,АмортизацияВР,
//  								АмортизацияЦФ,АмортизацияНУЦФ,АмортизацияПРЦФ,АмортизацияВРЦФ,
//  								Стоимость,СтоимостьРегл,СтоимостьНУ,СтоимостьПР,СтоимостьВР,
//  								СтоимостьЦФ,СтоимостьНУЦФ,СтоимостьПРЦФ,СтоимостьВРЦФ.
//
Функция СтоимостьИАмортизацияНМА(НематериальныйАктив) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.СтоимостьИАмортизацияНМА(НематериальныйАктив) 
```
</details>

## СтоимостьИАмортизацияУзловКомпонентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сведения о стоимости и амортизации узлов и компонентов амортизации ОС-владельца.
//
// Параметры:
//  ОсновноеСредство - СправочникСсылка.ОбъектыЭксплуатации	 - ОС-владелец узлов и компонентов для которых необходимо получить сведения.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица с узлами и компонентами и сведениями об их стоимости
//
Функция СтоимостьИАмортизацияУзловКомпонентов(ОсновноеСредство) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.СтоимостьИАмортизацияУзловКомпонентов(ОсновноеСредство) 
```
</details>

## ПроверитьСоответствиеДатыВерсииУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что документ проводится в периоде, который соответствует версии документа.
//
// Параметры:
//  Объект				 - ДокументОбъект	 - Проводимый документ.
//  ЭтоДокументВерсии2_4 - Булево			 - Истина, если документ относится к версии 2.4.
//  Отказ				 - Булево			 - Отказ от проведения.
//
Процедура ПроверитьСоответствиеДатыВерсииУчета(Объект, ЭтоДокументВерсии2_4, Отказ) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПроверитьСоответствиеДатыВерсииУчета(Объект, ЭтоДокументВерсии2_4, Отказ) 
```
</details>

## ПроверитьПрименениеФСБУ14
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что документ проводится при учете НМА по ФСБУ 14.
//
// Параметры:
//  Объект - ДокументОбъект- Проводимый документ.
//  Отказ - Булево - Отказ от проведения.
//
Процедура ПроверитьПрименениеФСБУ14(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПроверитьПрименениеФСБУ14(Объект, Отказ) 
```
</details>

## ГруппыОрганизацийОСиНМА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет организации, по которым закрытие месяца должно выполняться вместе.
//
// Параметры:
//  Период	 - Дата - Период закрытия месяца.
//
// Возвращаемое значение:
//  Массив из Массив - Список групп организаций.
//
Функция ГруппыОрганизацийОСиНМА(Период) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ГруппыОрганизацийОСиНМА(Период) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов.
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ЗавершенПереходНаВНА24
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет завершение перехода на версию 2.4.
//
// Параметры:
//  Период - Дата - параметры обработчика события этапа.
//  СписокОрганизаций - Массив из СправочникСсылка.Организации -
//
// Возвращаемое значение:
//  Булево - Истина, если переход завершен.
//
Функция ЗавершенПереходНаВНА24(Период, СписокОрганизаций) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ЗавершенПереходНаВНА24(Период, СписокОрганизаций) 
```
</details>

## ПараметрыПолученияДанныхДвухВерсийУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет параметры получения данных в запросе, который содержит обращение к данным двух версий учета.
//
// Параметры:
//  НачалоПериода - Дата - Начало периода.
//  КонецПериода - Дата - Начало периода.
//
// Возвращаемое значение:
//  Структура - Параметры получения данных в запросе.
//
Функция ПараметрыПолученияДанныхДвухВерсийУчета(НачалоПериода, КонецПериода) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ПараметрыПолученияДанныхДвухВерсийУчета(НачалоПериода, КонецПериода) 
```
</details>

## ПроверитьОтсутствиеДублейВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет определить есть ли в табличной части документа строки с одинаковыми объектами учета.
//  При нахождении дублей формирует сообщения пользователю.
//
// Параметры:
//  Объект - ДокументОбъект - Документ.
//  ИмяТабличнойЧасти - Строка - Имя табличной части, в которой нужно искать дубли.
//  ИмяРеквизита - Строка - Имя реквизита ТЧ.
//  Отказ - Булево - Признак отказа от дальнейшей обработки.
//  ШаблонСообщения - Строка - Шаблон сообщения, который будет использоваться.
//  ФорматЗначения - Строка - Формат значения: Месяц, Квартал.
//
Процедура ПроверитьОтсутствиеДублейВТабличнойЧасти(Объект, ИмяТабличнойЧасти, ИмяРеквизита, Отказ, ШаблонСообщения = Неопределено, ФорматЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПроверитьОтсутствиеДублейВТабличнойЧасти(Объект, ИмяТабличнойЧасти, ИмяРеквизита, Отказ, ШаблонСообщения, ФорматЗначения);
```
</details>

## ОбъектЭксплуатацииПринятКУчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет принят ли к учету объект эксплуатации.
//
// Параметры:
//  Ссылка	 - СправочникСсылка.ОбъектыЭксплуатации	 - Объект эксплуатации.
//
// Возвращаемое значение:
//  Булево - Истина, если принят к учету.
//
Функция ОбъектЭксплуатацииПринятКУчету(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ОбъектЭксплуатацииПринятКУчету(Ссылка) 
```
</details>

## ОпределитьОбъектыСКомандамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых предусмотрена процедура ДобавитьКомандыОтчетов,
// описывающая команды открытия контекстных отчетов.
// Синтаксис процедуры ДобавитьКомандыОтчетов см. в документации.
//
// Параметры:
//   Объекты - Массив из ОбъектМетаданных - объекты метаданных с командами отчетов.
//
Процедура ОпределитьОбъектыСКомандамиОтчетов(Объекты) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ОпределитьОбъектыСКомандамиОтчетов(Объекты) 
```
</details>

## ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в журнал документы подсистемы ВНА.
//
// Параметры:
//  ХозяйственныеОперацииИДокументы	 - см. ОбщегоНазначенияУТ.НоваяТаблицаХозяйственныеОперацииИДокументы
//
Процедура ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовЗакупки(ХозяйственныеОперацииИДокументы) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовЗакупки(ХозяйственныеОперацииИДокументы) 
```
</details>

## ВернутьПринятыеКУчетуОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ОС, которые приняты к учету.
//
// Параметры:
//  ОсновноеСредствоИлиСписок	 - Массив, СправочникСсылка.ОбъектыЭксплуатации	 - Основные средства, для которых нужно проверить принятие учету.
//  Период						 - Дата											 - Дата, на которую ОС должны быть приняты к учету.
//  СостояниеПринят				 - Массив										 - Список состояний, в которых ОС считается принятым к учету.
//
// Возвращаемое значение:
//  Массив - ОС, которые приняты к учету.
//
Функция ВернутьПринятыеКУчетуОС(ОсновноеСредствоИлиСписок, Период, СостояниеПринят = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ВернутьПринятыеКУчетуОС(ОсновноеСредствоИлиСписок, Период, СостояниеПринят);
```
</details>

## ВернутьПринятыеКУчетуНМА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ОС, которые приняты к учету.
//
// Параметры:
//  НМАИлиСписок	 - Массив, СправочникСсылка.НематериальныеАктивы	 - НМА, для которых нужно проверить принятие учету.
//  Период						 - Дата											 - Дата, на которую НМА должны быть приняты к учету.
//
// Возвращаемое значение:
//  Массив - НМА, которые приняты к учету.
//
Функция ВернутьПринятыеКУчетуНМА(НМАИлиСписок, Период) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ВернутьПринятыеКУчетуНМА(НМАИлиСписок, Период) 
```
</details>

## УдалитьОбъектыЭксплуатацииНеСоответствующиеОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из массива объекты эксплуатации не соответствующие отбору.
//
// Параметры:
//  МассивОбъектов	 - Массив	 - Массив из которого требуется удалить объекты эксплуатации.
//  ПараметрыПодбора - Структура - Параметры подбора.
//
// Возвращаемое значение:
// 	Массив из СправочникСсылка.ОбъектыЭксплуатации - удаленные ссылки.
Функция УдалитьОбъектыЭксплуатацииНеСоответствующиеОтбору(МассивОбъектов, ПараметрыПодбора) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.УдалитьОбъектыЭксплуатацииНеСоответствующиеОтбору(МассивОбъектов, ПараметрыПодбора) 
```
</details>

## СформироватьДвиженияПриОбновленииИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения в регистре сведений при обновлении ИБ.
//
// Параметры:
// 	ИмяРегистра	- Строка - Имя регистра.
// 	Параметры	- Структура	- Параметры обработчика обновления.
//
// Возвращаемое значение:
//	Число - количество обработанных объектов
Функция СформироватьДвиженияПриОбновленииИБ(ИмяРегистра, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.СформироватьДвиженияПриОбновленииИБ(ИмяРегистра, Параметры) 
```
</details>

## РегистраторыОбновлены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет обновлены регистраторы регистра.
//
// Параметры:
// 	ИмяРегистра	- Строка - Имя регистра.
// 	Параметры - см. ОбновлениеИнформационнойБазы.ОсновныеПараметрыОтметкиКОбработке
//
// Возвращаемое значение:
// 	Булево - Ложь, если регистраторы не обновлены.
//
Функция РегистраторыОбновлены(ИмяРегистра, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.РегистраторыОбновлены(ИмяРегистра, Параметры) 
```
</details>

## СоздатьВременнуюТаблицуСДаннымиДокументовДляОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает временную таблицу с данными объектов.
//
// Параметры:
//  МетаданныеРегистра - ОбъектМетаданныхРегистрСведений - Метаданные регистра.
//  ИмяТаблицыВТДляОбработки - Строка - Имя таблицы "ВТДляОбработки".
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Менеджер временных таблиц
Процедура СоздатьВременнуюТаблицуСДаннымиДокументовДляОбработки(МетаданныеРегистра, ИмяТаблицыВТДляОбработки, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.СоздатьВременнуюТаблицуСДаннымиДокументовДляОбработки(МетаданныеРегистра, ИмяТаблицыВТДляОбработки, МенеджерВременныхТаблиц) 
```
</details>

## ПолучитьДвиженияИЗаписатьПриОбновленииИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает таблицу движений документа и записывает в регистр.
//
// Параметры:
// 	ИмяРегистра - Строка -
// 	ПолноеИмяРегистра - Строка -
// 	Регистратор - Произвольный -
// 	МетаданныеРегистра - ОбъектМетаданныхРегистрСведений -
// 	Параметры - см. ОбновлениеИнформационнойБазы.ОсновныеПараметрыОтметкиКОбработке
Процедура ПолучитьДвиженияИЗаписатьПриОбновленииИБ(ИмяРегистра, ПолноеИмяРегистра, Регистратор, МетаданныеРегистра, Параметры) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПолучитьДвиженияИЗаписатьПриОбновленииИБ(ИмяРегистра, ПолноеИмяРегистра, Регистратор, МетаданныеРегистра, Параметры) 
```
</details>

## ДобавитьРолиДляДоступаКПодсистемеВНАНаИзменение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в профиль роли, позволяющие работать в подсистеме ВНА с правами на изменение.
//
// Параметры:
// 	ОписаниеПрофиля - см. УправлениеДоступом.НовоеОписаниеПрофиляГруппДоступа
Процедура ДобавитьРолиДляДоступаКПодсистемеВНАНаИзменение(ОписаниеПрофиля) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ДобавитьРолиДляДоступаКПодсистемеВНАНаИзменение(ОписаниеПрофиля) 
```
</details>

## ДобавитьРолиДляДоступаКПодсистемеВНАНаЧтение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в профиль роли, позволяющие работать в подсистеме ВНА с правами на чтение.
//
// Параметры:
// 	ОписаниеПрофиля - см. УправлениеДоступом.НовоеОписаниеПрофиляГруппДоступа
Процедура ДобавитьРолиДляДоступаКПодсистемеВНАНаЧтение(ОписаниеПрофиля) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ДобавитьРолиДляДоступаКПодсистемеВНАНаЧтение(ОписаниеПрофиля) 
```
</details>

## ТекстЗапросаСрезПоследнихРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса, получающий "срез последних" регистра.
//
// Параметры:
//  ИмяРегистра - Строка - Имя регистра
//  ИмяТаблицыСрезПоследних - Строка - Имя таблицы срез последних
//  ИмяОсновнойТаблицы - Строка - Имя основной таблицы, которая должна содержать поля Ссылка, Период и поля являющиеся измерениями регистра
//  ТекстыЗапроса - СписокЗначений из Строка - Тексты запроса
//  СоответствиеИзмерений - Структура - Соответствие измерений основной таблицы и регистра
//	УчестьИсправления - Булево - Истина, если нужно учесть исправления прошлой датой
Процедура ТекстЗапросаСрезПоследнихРегистра(ИмяРегистра, ИмяТаблицыСрезПоследних, ИмяОсновнойТаблицы, ТекстыЗапроса, СоответствиеИзмерений = Неопределено, УчестьИсправления = Ложь) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ТекстЗапросаСрезПоследнихРегистра(ИмяРегистра, ИмяТаблицыСрезПоследних, ИмяОсновнойТаблицы, ТекстыЗапроса, СоответствиеИзмерений, УчестьИсправления);
```
</details>

## ТекстЗапросаЗаписиРегистраСУчетомИсправлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса, который получает записи регистра с учетом исправлений.
//
// Параметры:
// 	ИмяРегистра - Строка - Имя регистра сведений.
// 	ИмяВременнойТаблицы - Строка - Имя временной таблицы.
// 	ИмяПоляПериод - Строка - Имя поля "Период".
// 	ДополнительныеПоля - Структура - Позволяет добавить в таблицу доп. поля (Ключ: имя поля, Значение: Выражение поля).
//
// Возвращаемое значение:
// 	Строка - Текст запроса.
Функция ТекстЗапросаЗаписиРегистраСУчетомИсправлений(ИмяРегистра, ИмяВременнойТаблицы = "", ИмяПоляПериод = "", ДополнительныеПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ТекстЗапросаЗаписиРегистраСУчетомИсправлений(ИмяРегистра, ИмяВременнойТаблицы, ИмяПоляПериод, ДополнительныеПоля);
```
</details>

## ТекстЗапросаСрезПоследнихРегистраСУчетомИсправлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса, который получает срез последних регистра с учетом исправлений.
//
// Параметры:
// 	ИмяРегистра - Строка - Имя регистра сведений.
// 	ИмяВременнойТаблицы - Строка - Имя временной таблицы.
// 	ДополнительныеПоля - Структура - Позволяет добавить в таблицу доп. поля (Ключ: имя поля, Значение: Выражение поля).
// 	УсловияЗапроса - Строка - Условия запроса.
//
// Возвращаемое значение:
// 	Строка - Текст запроса.
Функция ТекстЗапросаСрезПоследнихРегистраСУчетомИсправлений(ИмяРегистра, ИмяВременнойТаблицы = "", ДополнительныеПоля = Неопределено, УсловияЗапроса = "") Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивы.ТекстЗапросаСрезПоследнихРегистраСУчетомИсправлений(ИмяРегистра, ИмяВременнойТаблицы, ДополнительныеПоля, УсловияЗапроса);
```
</details>

## ПриДобавленииОбработчиковОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОбновлениеИнформационнойБазыБСП.ПриДобавленииОбработчиковОбновления
Процедура ПриДобавленииОбработчиковОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивы.ПриДобавленииОбработчиковОбновления(Обработчики) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
