---
title: Внеоборотные активы вызов сервера
slug: erp-uh/внеоборотные-активы-вызов-сервера
---


## НаправлениеДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает направление деятельности по заданной ссылке
//
// Параметры:
// 		Ссылка - СправочникСсылка.ДоговорыАренды, СправочникСсылка.ОбъектыЭксплуатации - Ссылка на справочник, по которой необходимо получить направление деятельности.
//
// Возвращаемое значение:
// 		СправочникСсылка.НаправленияДеятельности - Ссылка на элемент справочника направлений деятельности.
//
Функция НаправлениеДеятельности(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыВызовСервера.НаправлениеДеятельности(Ссылка) 
```
</details>

## ДанныеВыбораОбъектовЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует данные выбора основных средств.
//
// Параметры:
//  Параметры			 - Структура - Содержит параметры выбора.
//  СтандартнаяОбработка - Булево - Параметр события ОбработкаПолученияДанныхВыбора.
//
// Возвращаемое значение:
//  СписокЗначений - Значения для выбора.
//
Функция ДанныеВыбораОбъектовЭксплуатации(Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыВызовСервера.ДанныеВыбораОбъектовЭксплуатации(Параметры, СтандартнаяОбработка) 
```
</details>

## ДанныеВыбораНематериальныхАктивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует данные выбора нематериальных активов.
//
// Параметры:
//  Параметры			 - Структура - Содержит параметры выбора.
//  СтандартнаяОбработка - Булево - Параметр события ОбработкаПолученияДанныхВыбора.
//
// Возвращаемое значение:
//  СписокЗначений - Значения для выбора.
//
Функция ДанныеВыбораНематериальныхАктивов(Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыВызовСервера.ДанныеВыбораНематериальныхАктивов(Параметры, СтандартнаяОбработка) 
```
</details>

## ДанныеВыбораПоказателейНаработкиПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список значений показателями наработок, принадлежащих классу объектов эксплуатации.
//
// Параметры:
// 		ОбъектОтбора - СправочникСсылка.ОбъектыЭксплуатации, СправочникСсылка.УзлыОбъектовЭксплуатации, СправочникСсылка.КлассыОбъектовЭксплуатации - Объект отбора
// 		ПолучатьИсточникиНаработки - Булево - Признак необходимости получать показатели регистрируемые от источника
// 		ПоказательАмортизации - СправочникСсылка.ПоказателиНаработки - Текущее значение.
//
// Возвращаемое значение:
// 		СписокЗначений - Список данных выбора.
//
Функция ДанныеВыбораПоказателейНаработкиПоОтбору(Знач ОбъектОтбора, ПолучатьИсточникиНаработки, ПоказательАмортизации) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыВызовСервера.ДанныеВыбораПоказателейНаработкиПоОтбору(ОбъектОтбора, ПолучатьИсточникиНаработки, ПоказательАмортизации) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
