---
title: Внеоборотные активы клиент
slug: erp-uh/внеоборотные-активы-клиент
---


## ОткрытьФормуВыбораАдресаИОбработатьРезультат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму ввода адреса с заполненными из параметра значениями полей адреса.
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения - форма, в которой расположен ввода адреса;
//  Элемент				 - ПолеФормы - элемент формы для ввода адреса;
//  Объект				 - ДанныеФормыКоллекция - объект, для которого выполняется событие;
//  ИмяРеквизитаАдреса	 - Строка - имя реквизита;
//  СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события начало выбора.
//
Процедура ОткрытьФормуВыбораАдресаИОбработатьРезультат(Форма, Элемент, Объект, ИмяРеквизитаАдреса = "АдресМестонахождения", СтандартнаяОбработка = Ложь) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыКлиент.ОткрытьФормуВыбораАдресаИОбработатьРезультат(Форма, Элемент, Объект, ИмяРеквизитаАдреса, СтандартнаяОбработка);
```
</details>

## ПриИзмененииПредставленияАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Актуализирует КИ из текста редактирования поля ввода.
//
// Параметры:
//  Элемент - ПолеФормы - элемент формы для ввода адреса;
//  АдресПредставление - Строка - представление адреса;
//  АдресЗначение - Строка - служебная информация, значения полей адреса.
//
Процедура ПриИзмененииПредставленияАдреса(Элемент, АдресПредставление, АдресЗначение) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыКлиент.ПриИзмененииПредставленияАдреса(Элемент, АдресПредставление, АдресЗначение) 
```
</details>

## ОповеститьОЗаписиДокументаВЖурналОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещает об изменении регистра ДокументыПоОС.
//
Процедура ОповеститьОЗаписиДокументаВЖурналОС() Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыКлиент.ОповеститьОЗаписиДокументаВЖурналОС() 
```
</details>

## ОповеститьОЗаписиДокументаВЖурналНМА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещает об изменении регистра ДокументыПоНМА.
//
Процедура ОповеститьОЗаписиДокументаВЖурналНМА() Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыКлиент.ОповеститьОЗаписиДокументаВЖурналНМА() 
```
</details>

## ПечатьЭтикетокОбъектовЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для печати и открывает форму Обработка.ПечатьЭтикетокОбъектовЭксплуатации.Форма.ФормаОбъектыЭксплуатации.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьЭтикетокОбъектовЭксплуатации(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыКлиент.ПечатьЭтикетокОбъектовЭксплуатации(ОписаниеКоманды) 
```
</details>

## ПечатьЭтикетокОбъектовЭксплуатацииИзДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для печати и открывает форму Обработка.ПечатьЭтикетокОбъектовЭксплуатации.Форма.ФормаОбъектыЭксплуатации.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды:
//	                    * Идентификатор - Строка - Может принимать значения "Ценники" или "Этикетки";
//	                    * ОбъектыПечати - Массив - Объекты печати.
//
// Возвращаемое значение:
//	Неопределено - Ничего не возвращает.
//
Функция ПечатьЭтикетокОбъектовЭксплуатацииИзДокумента(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыКлиент.ПечатьЭтикетокОбъектовЭксплуатацииИзДокумента(ОписаниеКоманды) 
```
</details>

## ПоискОбъектовЭксплуатацииПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск объектов эксплуатации по штрихкоду.
// Открывает форму, где пользователь вводит штрихкод.
// После ввода выполняется поиск.
// Если найдено несколько ОЭ, то открывается форма для выбора.
// После успешного поиска возвращает массив ссылок.
//
// Параметры:
// 	ПроцедураОбработки - ОписаниеОповещения - Процедура, которую нужно вызвать при успешном поиске.
//  ПараметрыПодбора - см. ОбщегоНазначенияУТКлиентСервер.ПараметрыПодбора
Процедура ПоискОбъектовЭксплуатацииПоШтрихкоду(ПроцедураОбработки, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыКлиент.ПоискОбъектовЭксплуатацииПоШтрихкоду(ПроцедураОбработки, ПараметрыПодбора);
```
</details>

## ОбработатьВводШтрихкодовОбъектовЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка ввода штрихкода.
//
// Параметры:
//  ДанныеШтрихкодов - Структура, Массив из Строка - Данные штрихкодов.
// 	ПроцедураОбработки - ОписаниеОповещения - Процедура, которую нужно вызвать при успешном поиске.
//  ПараметрыПодбора - см. ОбщегоНазначенияУТКлиентСервер.ПараметрыПодбора
Процедура ОбработатьВводШтрихкодовОбъектовЭксплуатации(ДанныеШтрихкодов, ПроцедураОбработки, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыКлиент.ОбработатьВводШтрихкодовОбъектовЭксплуатации(ДанныеШтрихкодов, ПроцедураОбработки, ПараметрыПодбора);
```
</details>

## СообщитьОРезультатахПоискаОбъектовЭксплуатацииПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о результатах поиска по штрихкоду.
//
// Параметры:
// 	РезультатПоиска - см. ВнеоборотныеАктивы.НайтиОбъектыПоШтрихкодам
Процедура СообщитьОРезультатахПоискаОбъектовЭксплуатацииПоШтрихкоду(РезультатПоиска) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыКлиент.СообщитьОРезультатахПоискаОбъектовЭксплуатацииПоШтрихкоду(РезультатПоиска) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
