---
title: Внеоборотные активы локализация
slug: erp-uh/внеоборотные-активы-локализация
---


## ЕстьУчетВнеоборотныхАктивов2_2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьУчетВнеоборотныхАктивов2_2() Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыЛокализация.ЕстьУчетВнеоборотныхАктивов2_2() 
```
</details>

## ДатаНачалаУчетаВнеоборотныхАктивов2_4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату начала учета внеоборотных активов версии 2.4.
//
// Возвращаемое значение:
//  Дата - Дата начала учета.
//
Функция ДатаНачалаУчетаВнеоборотныхАктивов2_4() Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыЛокализация.ДатаНачалаУчетаВнеоборотныхАктивов2_4() 
```
</details>

## УчетнаяПолитикаОрганизацийПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УчетнаяПолитикаОрганизацийПередЗаписью(НаборЗаписей) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыЛокализация.УчетнаяПолитикаОрганизацийПередЗаписью(НаборЗаписей) 
```
</details>

## УчетнаяПолитикаОрганизацийПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УчетнаяПолитикаОрганизацийПриЗаписи(НаборЗаписей) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыЛокализация.УчетнаяПолитикаОрганизацийПриЗаписи(НаборЗаписей) 
```
</details>

## ДобавитьЭтап_ПереходНаУчетВнеоборотныхАктивовВерсии24
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_ПереходНаУчетВнеоборотныхАктивовВерсии24(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыЛокализация.ДобавитьЭтап_ПереходНаУчетВнеоборотныхАктивовВерсии24(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ПереходНаУчетВнеоборотныхАктивовВерсии24
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Использование_ПереходНаУчетВнеоборотныхАктивовВерсии24(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыЛокализация.Использование_ПереходНаУчетВнеоборотныхАктивовВерсии24(ПараметрыОбработчика) 
```
</details>

## ВключитьВСтоимостьВнеоборотныхАктивовРезультатРаспределенияНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Увеличивает стоимость внеоборотных активов после распределения НДС.
//
// Параметры:
//  ТаблицаВнеоборотныхАктивов	 - ТаблицаЗначений	 - Содержит внеоборотные активы на которые был распределен НДС.
//  ПрочиеРасходы				 - ТаблицаЗначений	 - Расходы, полученные в результате распределения НДС.
//  РезультатРаспределения		 - ТаблицаЗначений	 - Результат распределения НДС.
//  Реквизиты					 - Структура		 - Содержит реквизиты документа Распределение НДС.
//  ТаблицыДляДвижений			 - Структура		 - (возвращаемое значение) Содержит таблицы для записи движений.
//
Процедура ВключитьВСтоимостьВнеоборотныхАктивовРезультатРаспределенияНДС(ТаблицаВнеоборотныхАктивов, ПрочиеРасходы, РезультатРаспределения, Реквизиты, ТаблицыДляДвижений) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыЛокализация.ВключитьВСтоимостьВнеоборотныхАктивовРезультатРаспределенияНДС(ТаблицаВнеоборотныхАктивов, ПрочиеРасходы, РезультатРаспределения, Реквизиты, ТаблицыДляДвижений) 
```
</details>

## СформироватьТаблицуПринятыхКУчетуВнеоборотныхАктивовДляРаспределенияНДС_2_2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует временную таблицу принятых к учету внеоборотных активов (ВтВнеоборотныеАктивы) при использования учета
// внеоборотных активов 2.2.
//
// Параметры:
//  НачалоПериода			 - Дата						 - Начало периода.
//  КонецПериода			 - Дата						 - Конец периода.
//  МенеджерВременныхТаблиц	 - МенеджерВременныхТаблиц	 - Хранит сформированную таблицу ВтВнеоборотныеАктивы.
//
Процедура СформироватьТаблицуПринятыхКУчетуВнеоборотныхАктивовДляРаспределенияНДС_2_2(НачалоПериода, КонецПериода, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыЛокализация.СформироватьТаблицуПринятыхКУчетуВнеоборотныхАктивовДляРаспределенияНДС_2_2(НачалоПериода, КонецПериода, МенеджерВременныхТаблиц) 
```
</details>

## СформироватьТаблицуПринятыхКУчетуВнеоборотныхАктивовДляРаспределенияНДС_2_4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует временную таблицу принятых к учету внеоборотных активов (ВтВнеоборотныеАктивы) при использования учета
// внеоборотных активов 2.4.
//
// Параметры:
//  НачалоПериода			 - Дата						 - Начало периода.
//  КонецПериода			 - Дата						 - Конец периода.
//  МенеджерВременныхТаблиц	 - МенеджерВременныхТаблиц	 - Хранит сформированную таблицу ВтВнеоборотныеАктивы.
//
Процедура СформироватьТаблицуПринятыхКУчетуВнеоборотныхАктивовДляРаспределенияНДС_2_4(НачалоПериода, КонецПериода, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыЛокализация.СформироватьТаблицуПринятыхКУчетуВнеоборотныхАктивовДляРаспределенияНДС_2_4(НачалоПериода, КонецПериода, МенеджерВременныхТаблиц) 
```
</details>

## ПроцентКапитальныхВложенийВключаемыхВРасходыНУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет максимальный размер амортизационной премии.
//
// Параметры:
//  АмортизационнаяГруппа	 - ПеречислениеСсылка.АмортизационныеГруппы	 - Амортизационные группа ОС.
//
// Возвращаемое значение:
//  Число - процент амортизационной премии.
//
Функция ПроцентКапитальныхВложенийВключаемыхВРасходыНУ(АмортизационнаяГруппа) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыЛокализация.ПроцентКапитальныхВложенийВключаемыхВРасходыНУ(АмортизационнаяГруппа) 
```
</details>

## ПолучитьСведенияОбОсновныхСредствахВДокументах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует временную таблицу, которая содержит сведения об основных средствах, указанных в документах.
//  Может использоваться при печати.
//
// Параметры:
//  МенеджерВременныхТаблиц	 - МенеджерВременныхТаблиц	 - Менеджер временных таблиц.
//  СписокДокументов		 - Массив					 - Список документов.
//
Процедура ПолучитьСведенияОбОсновныхСредствахВДокументах(МенеджерВременныхТаблиц, СписокДокументов) Экспорт
```

Пример вызова
```bsl
ВнеоборотныеАктивыЛокализация.ПолучитьСведенияОбОсновныхСредствахВДокументах(МенеджерВременныхТаблиц, СписокДокументов) 
```
</details>

## ТребуетсяНастройкаОтраженияРасходовПоНалогам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость указания статьи расходов для отражения расходов по имущественным налогам.
//
// Параметры:
//  Организация				 - СправочникСсылка.Организации			 - Организация документа.
//  Дата					 - Дата									 - Дата документа.
//  СписокОС				 - Массив								 - Список ОС документа.
//  ГруппаОС				 - ПеречислениеСсылка.ГруппыОС			 - Группа основных средств.
//  АмортизационнаяГруппа	 - ПеречислениеСсылка.АмортизационныеГруппы	 - Амортизационная группа основных средств.
//  НедвижимоеИмущество		 - Булево, Неопределено						 - Признак того, что ОС являются недвижимым имуществом.
//
// Возвращаемое значение:
//  Булево - Истина, если требуется заполнить статью.
//
Функция ТребуетсяНастройкаОтраженияРасходовПоНалогам(Организация, Дата, СписокОС, ГруппаОС, АмортизационнаяГруппа, НедвижимоеИмущество = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыЛокализация.ТребуетсяНастройкаОтраженияРасходовПоНалогам(Организация, Дата, СписокОС, ГруппаОС, АмортизационнаяГруппа, НедвижимоеИмущество);
```
</details>

## СуммыНалоговогоУчетаЗаполнены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет как в документе заполняются суммы НУ при формировании проводок.
//
// Параметры:
// 	ТипСсылки - Тип -
// Возвращаемое значение:
// 	Булево - Истина, если документ сам заполняется суммы НУ при формировании проводок.
Функция СуммыНалоговогоУчетаЗаполнены(ТипСсылки) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыЛокализация.СуммыНалоговогоУчетаЗаполнены(ТипСсылки) 
```
</details>

## КомментарийОбнулениеРегистраПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст комментария, который используется при вводе остатков для перехода на 2.4 и обнуления регистра Прочие расходы.
//
// Возвращаемое значение:
// 	Строка -
Функция КомментарийОбнулениеРегистраПрочиеРасходы() Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыЛокализация.КомментарийОбнулениеРегистраПрочиеРасходы() 
```
</details>

## ПорядокНачисленияАмортизацииОСБУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет порядок начисления амортизации в бух. учете. для нескольких организаций.
// Всегда возвращает "СДатыПринятияКУчету", если такой порядок хотя бы у одной организации.
//
// Параметры:
//  СписокОрганизаций - Массив из СправочникСсылка.Организации - Список организаций
//  Период - Дата - Период.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ПорядокНачисленияАмортизации - Порядок начисления амортизации в бух. учете.
Функция ПорядокНачисленияАмортизацииОСБУ(СписокОрганизаций, Период) Экспорт
```

Пример вызова
```bsl
Результат = ВнеоборотныеАктивыЛокализация.ПорядокНачисленияАмортизацииОСБУ(СписокОрганизаций, Период) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
