---
title: Внешние пользователи УХ
slug: erp-uh/внешние-пользователи-ух
---


## ПолучитьВнешнегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Создать или получить внешнего пользователя связанного
// с объектом авторизации.
//
// Параметры:
//	ОбъектАвторизации - ОпределяемыйТип.ВнешнийПользователь - объект для
//		которой необходимо создать внешнего пользователя.
//	ИдПрофиляГруппыДоступа - Строка - UID профиля группы доступа,
//		для назначения создаваемому внешнему пользователю.
//	ИмяПользователяИБ - Строка - имя внешнего пользователя.
//	ВременныйПароль - Строка - временный пароль пользователя.
//	ПотребоватьСменуПароляПриВходе - Булево - требовать смену пароля
//		при первом входе пользователя.
//
// Возвращает:
//	Структура - результат работы программы:
//		Успех - Булево - Истина - найден или создан внешний пользователь.
//				Реквизит "Ссылка" заполнен.
//				Ложь - ошибка работы, в реквизите "ТекстОшибки" описание.
//		Ссылка - ОпределяемыйТип.ВнешнийПользователь - внешний пользователь.
//		ТекстОшибки - Строка - описание ошибки.
//
Функция ПолучитьВнешнегоПользователя( Экспорт
```

Пример вызова
```bsl
Результат = ВнешниеПользователиУХ.ПолучитьВнешнегоПользователя();
```
</details>

## ЗаписатьСведенияОПользователе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьСведенияОПользователе(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ВнешниеПользователиУХ.ЗаписатьСведенияОПользователе(Форма, ТекущийОбъект) 
```
</details>

## ДобавитьСтрокуУстановкиПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ДобавитьСтрокуУстановкиПрав(ГруппыПрав, Пользователь, ВладелецНастройки, НастройкаРодителя, НаследованиеРазрешено, Экспорт
```

Пример вызова
```bsl
ВнешниеПользователиУХ.ДобавитьСтрокуУстановкиПрав(ГруппыПрав, Пользователь, ВладелецНастройки, НастройкаРодителя, НаследованиеРазрешено, );
```
</details>

## УстановитьПраваВнешнегоПользователяНаДоступКПапкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПраваВнешнегоПользователяНаДоступКПапкам(Пользователь) Экспорт
```

Пример вызова
```bsl
ВнешниеПользователиУХ.УстановитьПраваВнешнегоПользователяНаДоступКПапкам(Пользователь));
```
</details>

## СоздатьГруппуДоступаДляПользователяИПрофиля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создание персональной группы доступа для пользователя и профиля доступа.
Функция СоздатьГруппуДоступаДляПользователяИПрофиля(ПрофильДоступа, ВнешнийПользователь) Экспорт
```

Пример вызова
```bsl
Результат = ВнешниеПользователиУХ.СоздатьГруппуДоступаДляПользователяИПрофиля(ПрофильДоступа, ВнешнийПользователь));
```
</details>

## ПолучитьРолиПрофиляГруппыДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРолиПрофиляГруппыДоступа(ПрофильДоступа) Экспорт
```

Пример вызова
```bsl
Результат = ВнешниеПользователиУХ.ПолучитьРолиПрофиляГруппыДоступа(ПрофильДоступа));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
