---
title: Возврат от переработчика
slug: erp-uh/возврат-от-переработчика
---


## ПолучитьУсловияПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает условию продаж
//
// Параметры:
//  Соглашение - СправочникСсылка.СоглашенияСКлиентами -
//
// Возвращаемое значение:
//  см. ПродажиСервер.ПолучитьУсловияПродаж
//
Функция ПолучитьУсловияПродаж(Соглашение) Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ПолучитьУсловияПродаж(Соглашение) 
```
</details>

## КлючевыеПоляТаблицыТоваровРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список реквизитов, по которым происходит сопоставление таблиц при заполнении по заказам/ордерам
//
// Возвращаемое значение:
// 	Строка
//
Функция КлючевыеПоляТаблицыТоваровРаспоряжения() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.КлючевыеПоляТаблицыТоваровРаспоряжения() 
```
</details>

## ЗаполнитьПризнакЦеховаяКладоваяВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет признаки ЦеховаяКладовая и НужноОкруглять в строках таблицы
//
// Параметры:
//  Объект - ДанныеФормыСтруктура - обрабатываемая таблица
//  ПересчитатьКоличествоЕдиниц - Булево -
//
Процедура ЗаполнитьПризнакЦеховаяКладоваяВТаблице(Объект, ПересчитатьКоличествоЕдиниц) Экспорт
```

Пример вызова
```bsl
ВозвратОтПереработчика.ЗаполнитьПризнакЦеховаяКладоваяВТаблице(Объект, ПересчитатьКоличествоЕдиниц) 
```
</details>

## ПересчитатьКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает количество единиц
//
// Параметры:
//  Объект - ДанныеФормыСтруктура -
//
Процедура ПересчитатьКоличествоЕдиниц(Объект) Экспорт
```

Пример вызова
```bsl
ВозвратОтПереработчика.ПересчитатьКоличествоЕдиниц(Объект) 
```
</details>

## ДобавитьДействиеЗаполнитьПризнакЦеховаяКладовая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет действия "ЗаполнитьПризнакЦеховаяКладовая"
//
// Параметры:
//  СтруктураДействий - Структура -
//  Склад - СправочникСсылка.Склады -
//
Процедура ДобавитьДействиеЗаполнитьПризнакЦеховаяКладовая(СтруктураДействий, Склад) Экспорт
```

Пример вызова
```bsl
ВозвратОтПереработчика.ДобавитьДействиеЗаполнитьПризнакЦеховаяКладовая(СтруктураДействий, Склад) 
```
</details>

## ДобавитьДействиеПересчитатьКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет действие "ПересчитатьКоличествоЕдиниц"
//
// Параметры:
//  СтруктураДействий - Структура -
//
Процедура ДобавитьДействиеПересчитатьКоличествоЕдиниц(СтруктураДействий) Экспорт
```

Пример вызова
```bsl
ВозвратОтПереработчика.ДобавитьДействиеПересчитатьКоличествоЕдиниц(СтруктураДействий) 
```
</details>

## ПараметрыПересчетаКоличестваЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры перерасчета клиента единиц
//
// Возвращаемое значение:
//  Структура - см. ПроизводствоКлиентСервер.ПараметрыПересчетаКоличестваЕдиниц
//
Функция ПараметрыПересчетаКоличестваЕдиниц() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ПараметрыПересчетаКоличестваЕдиниц() 
```
</details>

## НеобходимПересчетКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак необходимости пересчета количество единиц
//
// Возвращаемое значение:
//  Булево -
//
Функция НеобходимПересчетКоличествоЕдиниц() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.НеобходимПересчетКоличествоЕдиниц() 
```
</details>

## ПараметрыТЧДляОкругления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для округления
//
// Параметры:
//  Склад - СправочникСсылка.Склады -
//
// Возвращаемое значение:
// 	Структура - элементы содержат структуру параметров округления:
//   *Товары - см. НоменклатураСервер.ПараметрыОкругленияКоличестваШтучныхТоваров
//
Функция ПараметрыТЧДляОкругления(Склад) Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ПараметрыТЧДляОкругления(Склад) 
```
</details>

## ТекстЗапросаОстаткиТоваровКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса товаров распоряжений к оформлению
//
// Параметры:
//  ИмяВременнойТаблицы - Строка -
//  ОтборПоИзмерениям   - Соответствие, Неопределено -
//
// Возвращаемое значение:
//  Строка - текст запрос
//
Функция ТекстЗапросаОстаткиТоваровКОформлению(ИмяВременнойТаблицы, ОтборПоИзмерениям = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ТекстЗапросаОстаткиТоваровКОформлению(ИмяВременнойТаблицы, ОтборПоИзмерениям);
```
</details>

## ТекстЗапросаДанныеДляПроверкиВводаНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает текст запроса данные для проверки ввода на основании
//
// Возвращаемое значение:
//  Строка -
//
Функция ТекстЗапросаДанныеДляПроверкиВводаНаОсновании() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ТекстЗапросаДанныеДляПроверкиВводаНаОсновании() 
```
</details>

## ТекстЗапросаДанныеЗаполненияНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает текст запроса данные заполнения накладной
//
// Возвращаемое значение:
//  Строка -
//
Функция ТекстЗапросаДанныеЗаполненияНакладной() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ТекстЗапросаДанныеЗаполненияНакладной() 
```
</details>

## ТекстЗапросаТоварыДокументаЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает текст запроса товаров документа заказ
//
// Параметры:
//  Отбор - Соответствие -
//  ДополнятьПоТаблицеСерий - Булево -
//
// Возвращаемое значение:
//  Строка - текст запроса
//
Функция ТекстЗапросаТоварыДокументаЗаказа(Отбор, ДополнятьПоТаблицеСерий = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ТекстЗапросаТоварыДокументаЗаказа(Отбор, ДополнятьПоТаблицеСерий);
```
</details>

## ТекстЗапросаТоварыПереданные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает текст запроса переданных товаров
//
// Возвращаемое значение:
//  Строка -
//
Функция ТекстЗапросаТоварыПереданные() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ТекстЗапросаТоварыПереданные() 
```
</details>

## ТипыРаспоряжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив типов распоряжение
//
// Возвращаемое значение:
//  Массив из Тип -
//
Функция ТипыРаспоряжение() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ТипыРаспоряжение() 
```
</details>

## ИмяРегистраЗаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя регистра заказ
//
// Возвращаемое значение:
//  Строка -
//
Функция ИмяРегистраЗаказ() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ИмяРегистраЗаказ() 
```
</details>

## ИмяИзмерениеЗаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя измерение регистра остатков, который используется в качестве распоряжение
//
// Возвращаемое значение:
//  Строка -
//
Функция ИмяИзмерениеЗаказ() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ИмяИзмерениеЗаказ() 
```
</details>

## ИспользоватьКодСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование кода строки
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьКодСтроки() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ИспользоватьКодСтроки() 
```
</details>

## СинонимЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает синоним заказа.
//
// Возвращаемое значение:
//  Строка - синоним заказа.
//
Функция СинонимЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.СинонимЗаказа() 
```
</details>

## ТипОснованияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип основания акта о расхождении
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыОснованияАктаОРасхождении
//
Функция ТипОснованияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ТипОснованияАкта() 
```
</details>

## ПостфиксИмениАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает постфикс имени акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ПостфиксИмениАкта() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ПостфиксИмениАкта() 
```
</details>

## ЗаголовокФормыСозданияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок формы акта о расхождении при создании
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокФормыСозданияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ЗаголовокФормыСозданияАкта() 
```
</details>

## ЗаголовокФормыАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок формы акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокФормыАкта() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ЗаголовокФормыАкта() 
```
</details>

## ПодсказкаДоговораАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подсказку договора акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ПодсказкаДоговораАкта() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ПодсказкаДоговораАкта() 
```
</details>

## ПодсказкаСоглашенияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подсказку соглашения акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ПодсказкаСоглашенияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ПодсказкаСоглашенияАкта() 
```
</details>

## ЗаголовокДокументаОснованияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок документа основание
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокДокументаОснованияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ЗаголовокДокументаОснованияАкта() 
```
</details>

## ЗаголовокПоОснованиям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок по основаниям
//
// Параметры:
//  ДополнитьПартнером - Булево -
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокПоОснованиям(ДополнитьПартнером = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ЗаголовокПоОснованиям(ДополнитьПартнером);
```
</details>

## КомментарийПоставщикаПодвал
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает описание поля с комментариями
//
// Возвращаемое значение:
//  Строка -
//
Функция КомментарийПоставщикаПодвал() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.КомментарийПоставщикаПодвал() 
```
</details>

## КомментарийКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает наименование колонки, кто даёт комментарий
//
// Возвращаемое значение:
//  Строка -
//
Функция КомментарийКлиента() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.КомментарийКлиента() 
```
</details>

## ХозяйственнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственную операцию документа.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ХозяйственныеОперации -
//
Функция ХозяйственнаяОперация() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ХозяйственнаяОперация() 
```
</details>

## ХозяйственнаяОперацияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственную операцию договора см. ПереработкаНаСтороне.ХозяйственнаяОперацияДоговора.
//
// Возвращаемое значение:
//  см. ПереработкаНаСтороне.ХозяйственнаяОперацияДоговора
//
Функция ХозяйственнаяОперацияДоговора() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ХозяйственнаяОперацияДоговора() 
```
</details>

## СоглашенияСПоставщикамиПрименимы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак применяемости соглашений с поставщиками
//
// Возвращаемое значение:
//  Булево -
//
Функция СоглашенияСПоставщикамиПрименимы() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.СоглашенияСПоставщикамиПрименимы() 
```
</details>

## СоглашенияСКлиентамиПрименимы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак применяемости соглашений с клиентами
//
// Возвращаемое значение:
//  Булево -
//
Функция СоглашенияСКлиентамиПрименимы() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.СоглашенияСКлиентамиПрименимы() 
```
</details>

## ИспользоватьСоглашенияСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование соглашений с клиентами
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьСоглашенияСКлиентами() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ИспользоватьСоглашенияСКлиентами() 
```
</details>

## ИспользоватьРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование заявки на возврат товаров от клиентов
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьРаспоряжения() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ИспользоватьРаспоряжения() 
```
</details>

## ИспользоватьПоступлениеПоНесколькимЗаказам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование поступления по нескольким заказов.
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьПоступлениеПоНесколькимЗаказам() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ИспользоватьПоступлениеПоНесколькимЗаказам() 
```
</details>

## ИспользоватьРасширенныеВозможностиЗаказаКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование расширенных возможностей заказа клиента
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьРасширенныеВозможностиЗаказаКлиента() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ИспользоватьРасширенныеВозможностиЗаказаКлиента() 
```
</details>

## ПолучитьДоговорПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Получает договор по умолчанию.
//
// Параметры:
//  Объект - ДанныеФормыСтруктура, ДокументОбъект -
//  ОтборПоВалюте - Булево -
//  ОтборПоНаправлениюДеятельности - Булево -
//
// Возвращаемое значение:
//  СправочникСсылка.ДоговорыКонтрагентов -
//
Функция ПолучитьДоговорПоУмолчанию(Объект, ОтборПоВалюте = Истина, ОтборПоНаправлениюДеятельности = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ПолучитьДоговорПоУмолчанию(Объект, ОтборПоВалюте, ОтборПоНаправлениюДеятельности);
```
</details>

## УстановитьДоступностьДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доступность элемента договор.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  Объект - ДанныеФормыСтруктура -
//  Договор - СправочникСсылка.ДоговорыКонтрагентов, Неопределено -
//
Процедура УстановитьДоступностьДоговора(Форма, Объект, Договор = Неопределено) Экспорт
```

Пример вызова
```bsl
ВозвратОтПереработчика.УстановитьДоступностьДоговора(Форма, Объект, Договор);
```
</details>

## НастроитьФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает форму.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - содержит:
//           * Элементы - ВсеЭлементыФормы - содержит:
//              ** Партнер - ПолеВвода - содержит:
//                  *** Заголовок - Строка -
//              ** ТоварыПодобратьПереданныеТовары - КомандаФормы - содержит:
//                  *** Заголовок - Строка -
//              ** ЗакрытьЗаявку - КомандаФормы - содержит:
//                  *** Заголовок - Строка -
//  Номер - Число -
//  Дата  - Дата -
//
Процедура НастроитьФорму(Форма, Номер, Дата) Экспорт
```

Пример вызова
```bsl
ВозвратОтПереработчика.НастроитьФорму(Форма, Номер, Дата) 
```
</details>

## НастроитьПараметрыВыбораЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает параметры выбора и связи параметров выбора реквизитов формы.
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения -
//  Объект - ДанныеФормыСтруктура -
//
Процедура НастроитьПараметрыВыбораЭлементов(Форма, Объект) Экспорт
```

Пример вызова
```bsl
ВозвратОтПереработчика.НастроитьПараметрыВыбораЭлементов(Форма, Объект) 
```
</details>

## ЗаголовокФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок формы документа передача товаров хранителю.
//
// Параметры:
//  НовыйДокумент - Булево -
//  Номер - Число -
//  Дата - Дата -
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокФормыДокумента(НовыйДокумент, Номер, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ЗаголовокФормыДокумента(НовыйДокумент, Номер, Дата) 
```
</details>

## ПредставлениеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление документа поступление товаров от хранителя.
//
// Возвращаемое значение:
//  Строка -
//
Функция ПредставлениеОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.ПредставлениеОбъекта() 
```
</details>

## СформироватьГиперссылкуКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст гиперссылки перехода из журнала документов в рабочее место оформления.
//
// Параметры:
// 	Параметры - Структура - параметры формирования текста гиперссылки.
// Возвращаемое значение:
// 	ФорматированнаяСтрока, Неопределено - текст гиперссылки перехода в рабочее место оформления передач.
//
Функция СформироватьГиперссылкуКОформлению(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ВозвратОтПереработчика.СформироватьГиперссылкуКОформлению(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
