---
title: Встраивание УХ вызов сервера
slug: erp-uh/встраивание-ух-вызов-сервера
---


## ДоговорыКонтрагентовОбработкаПолученияФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДоговорыКонтрагентовОбработкаПолученияФормы(Источник, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХВызовСервера.ДоговорыКонтрагентовОбработкаПолученияФормы(Источник, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) 
```
</details>

## ОбработкаПолученияФормыОбъектаДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПолученияФормыОбъектаДоговора(Источник, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХВызовСервера.ОбработкаПолученияФормыОбъектаДоговора(Источник, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка));
```
</details>

## ОбработкаПолученияФормыСпискаВыбораДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПолученияФормыСпискаВыбораДоговора(Источник, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХВызовСервера.ОбработкаПолученияФормыСпискаВыбораДоговора(Источник, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка));
```
</details>

## ПолучитьДоговорКонтрагентаВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить договор контрагента ВГО по договору организации.
//
// Параметры:
//  Договор - СправочникСсылка.ДоговорыКонтрагентов - ссылка на договор организации.
//
// Возвращаемое значение:
//  СправочникСсылка.ДоговорыКонтрагентов - договор соответствующий реквизитами
//		договору контрагента из исходного договора.
//   Если не подходящий договор не найден, то возвращает пустую ссылку.
//
Функция ПолучитьДоговорКонтрагентаВГО(Договор) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХВызовСервера.ПолучитьДоговорКонтрагентаВГО(Договор) 
```
</details>

## ОбъектыРасчетовОбработкаПолученияФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбъектыРасчетовОбработкаПолученияФормы(Источник, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХВызовСервера.ОбъектыРасчетовОбработкаПолученияФормы(Источник, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) 
```
</details>

## ПолучитьПТУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПТУ(РТУ) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХВызовСервера.ПолучитьПТУ(РТУ) 
```
</details>

## ПолучитьСтавкуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает значение ставки НДС.
//
// Параметры:
//  СтавкаНДС - ПеречислениеСсылка.СтавкиНДС;
//  ПрименяютсяСтавки4и2 - Неопределено - не учитыватся. Нужен для совместимости
//		с подсистемой учета НДС 1С: Бухгалтерии.
//
// Возвращаемое значение:
//  Число - значение ставки.
//
Функция ПолучитьСтавкуНДС(СтавкаНДС, ПрименяютсяСтавки4и2=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХВызовСервера.ПолучитьСтавкуНДС(СтавкаНДС, ПрименяютсяСтавки4и2);
```
</details>

## ЕстьУчетнаяПолитика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьУчетнаяПолитика(Организация, ДатаСреза = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХВызовСервера.ЕстьУчетнаяПолитика(Организация, ДатаСреза);
```
</details>

## ПолучитьСчетВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСчетВзаиморасчетов(Договор, РольСчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХВызовСервера.ПолучитьСчетВзаиморасчетов(Договор, РольСчета);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
