---
title: Встраивание УХ заявка на расходование денежных средств
slug: erp-uh/встраивание-ух-заявка-на-расходование-денежных-средств
---


## ПриЧтенииСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// нетиповое событие документа. Вызывается перед исполнением основного кода
Процедура ПриЧтенииСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриЧтенииСозданииНаСервере(Форма) 
```
</details>

## ПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЧтенииНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриЧтенииНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
// 	Форма - форма, из обработчика события которой происходит вызов процедуры.
//	см. справочную информацию по событиям управляемой формы.
//
Процедура ПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи)
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## УточнитьСписокОперацийУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УточнитьСписокОперацийУХ(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.УточнитьСписокОперацийУХ(Форма) 
```
</details>

## ОпределитьБанковскийСчетПоГосконтракту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьБанковскийСчетПоГосконтракту(ОбъектПроверки) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ОпределитьБанковскийСчетПоГосконтракту(ОбъектПроверки)  
```
</details>

## ПриИзмененииЭлементаУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события изменения элемента формы
Процедура ПриИзмененииЭлементаУХ(Форма, ИмяЭлемента) экспорт Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииЭлементаУХ(Форма, ИмяЭлемента) экспорт);
```
</details>

## ПриУстановкеВидимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриУстановкеВидимости(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриУстановкеВидимости(Форма) 
```
</details>

## ПриИзмененииКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииКонтрагента(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииКонтрагента(Форма) 
```
</details>

## ПриИзмененииДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииДоговора(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииДоговора(Форма) 
```
</details>

## ПриИзмененииДоговораКредитаДепозита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииДоговораКредитаДепозита(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииДоговораКредитаДепозита(Форма) 
```
</details>

## ПриИзмененииДоговораАренды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииДоговораАренды(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииДоговораАренды(Форма) 
```
</details>

## ЗаполнитьОбъектРасчетовПриИзмененииДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОбъектРасчетовПриИзмененииДоговора(РасшифровкаПлатежа, Договор) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ЗаполнитьОбъектРасчетовПриИзмененииДоговора(РасшифровкаПлатежа, Договор));
```
</details>

## ПриИзмененииСтатьиБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииСтатьиБюджета(Форма, ИмяЭлемента, РучноеИзменение) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииСтатьиБюджета(Форма, ИмяЭлемента, РучноеИзменение) 
```
</details>

## ПриИзмененииВидаОперацииУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииВидаОперацииУХ(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииВидаОперацииУХ(Форма) 
```
</details>

## ПриИзмененииОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииОрганизации(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииОрганизации(Форма) 
```
</details>

## ПриИзмененииФормыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииФормыОплаты(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииФормыОплаты(Форма) 
```
</details>

## ПриИзмененииДокументаПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииДокументаПланирования(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииДокументаПланирования(Форма) 
```
</details>

## ПриИзмененииОрганизацииПолучателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииОрганизацииПолучателя(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииОрганизацииПолучателя(Форма) 
```
</details>

## ПриИзмененииСчетаКассыПолучателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииСчетаКассыПолучателя(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииСчетаКассыПолучателя(Форма) 
```
</details>

## ПриИзмененииСчетаСписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииСчетаСписания(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииСчетаСписания(Форма) 
```
</details>

## ПриИнициализацииРасшифровкиПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИнициализацииРасшифровкиПлатежа(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИнициализацииРасшифровкиПлатежа(Форма) 
```
</details>

## ОбновитьАналитикиСтатейБюджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьАналитикиСтатейБюджетов(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ОбновитьАналитикиСтатейБюджетов(Форма) 
```
</details>

## ПриИзмененииЛицевыхСчетовСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииЛицевыхСчетовСотрудников(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииЛицевыхСчетовСотрудников(Форма) 
```
</details>

## ПерезаполнитьПлатежныеПозицииПоЛицевымСчетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПерезаполнитьПлатежныеПозицииПоЛицевымСчетам(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПерезаполнитьПлатежныеПозицииПоЛицевымСчетам(Форма));
```
</details>

## ПриИзмененииХозяйственнойОперацииПоЗарплате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииХозяйственнойОперацииПоЗарплате(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииХозяйственнойОперацииПоЗарплате(Форма) 
```
</details>

## ПриИзмененииРасшифровкиПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииРасшифровкиПлатежа(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииРасшифровкиПлатежа(Форма));
```
</details>

## ПриИзмененииВедомостиНаЗарплату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииВедомостиНаЗарплату(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриИзмененииВедомостиНаЗарплату(Форма) 
```
</details>

## ЭтоЗаявкаНаВыплатуЗарплатыПоЛицевымСчетамПоВедомостям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоЗаявкаНаВыплатуЗарплатыПоЛицевымСчетамПоВедомостям(Заявка) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ЭтоЗаявкаНаВыплатуЗарплатыПоЛицевымСчетамПоВедомостям(Заявка) 
```
</details>

## ЗаполнитьЭлементСтруктурыЗадолженностиПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЭлементСтруктурыЗадолженностиПоУмолчанию(Объект) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ЗаполнитьЭлементСтруктурыЗадолженностиПоУмолчанию(Объект));
```
</details>

## ЗаполнитьДанныеРасшифровкиПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДанныеРасшифровкиПлатежа(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ЗаполнитьДанныеРасшифровкиПлатежа(Форма));
```
</details>

## СтатьяДДСПоЭлементуСтруктурыЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция СтатьяДДСПоЭлементуСтруктурыЗадолженности(ЭлементСтруктурыЗадолженности, Строка, Объект) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.СтатьяДДСПоЭлементуСтруктурыЗадолженности(ЭлементСтруктурыЗадолженности, Строка, Объект) 
```
</details>

## ДоговорСтрокиРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоговорСтрокиРасшифровки(Строка, Объект, МассивРеквизитовОперации) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ДоговорСтрокиРасшифровки(Строка, Объект, МассивРеквизитовОперации));
```
</details>

## СписокФизЛицПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СписокФизЛицПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.СписокФизЛицПриИзменении(Форма) 
```
</details>

## ФормаСписка_ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФормаСписка_ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ФормаСписка_ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ФормаСпискаДокументов_ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФормаСпискаДокументов_ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ФормаСпискаДокументов_ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПриКопировании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриКопировании(Объект, ОбъектКопирования) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриКопировании(Объект, ОбъектКопирования) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписи(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПриЗаписи(Объект, Отказ) 
```
</details>

## ОбработкаУдаленияПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаУдаленияПроведения(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ОбработкаУдаленияПроведения(Объект, Отказ) 
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполнения(Объект, ДанныеЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ОбработкаЗаполнения(Объект, ДанныеЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) 
```
</details>

## ЗаполнитьПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура дозаполнения по договору
Процедура ЗаполнитьПоДоговору(Объект, Знач ДокументОснование, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ЗаполнитьПоДоговору(Объект, ДокументОснование, ДанныеЗаполнения) 
```
</details>

## ОписаниеОбъектовРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеОбъектовРасчетов() Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ОписаниеОбъектовРасчетов() 
```
</details>

## ДобавитьОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьОперацию(Результат, ОбъектРасчетов, ВидОперацииУХ) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ДобавитьОперацию(Результат, ОбъектРасчетов, ВидОперацииУХ));
```
</details>

## ДобавитьКомандуСоздатьНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команду создания документа по его метаданным.
//
// Параметры:
//   КомандыСозданияНаОсновании - ТаблицаЗначений - Таблица с командами создания на основании. Для изменения.
//       См. описание 1 параметра процедуры СозданиеНаОснованииПереопределяемый.ПередДобавлениемКомандСозданияНаОсновании().
//	 МетаданныеДокумента -
//
Функция ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании, МетаданныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании, МетаданныеДокумента) 
```
</details>

## ИнициализироватьДанныеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура инициализации данных документа для УХ
Процедура ИнициализироватьДанныеДокумента(ДокументСсылка, ДополнительныеСвойства, Регистры = Неопределено, Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ИнициализироватьДанныеДокумента(ДокументСсылка, ДополнительныеСвойства, Регистры, Запрос, ТекстыЗапроса) 
```
</details>

## ПолучитьЗапросПоИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗапросПоИмени(ТекстыЗапроса, ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПолучитьЗапросПоИмени(ТекстыЗапроса, ИмяРегистра));
```
</details>

## ОтразитьДвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтразитьДвижения(ДополнительныеСвойства, Движения, Отказ) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ОтразитьДвижения(ДополнительныеСвойства, Движения, Отказ) 
```
</details>

## ИнициализироватьТаблицыДляДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьТаблицыДляДвижений(Запрос, ТекстыЗапроса, Таблицы, ДобавитьРазделитель = Ложь, ДобавлятьСловоТаблица = Истина, ТолькоОтмеченные = Ложь) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ИнициализироватьТаблицыДляДвижений(Запрос, ТекстыЗапроса, Таблицы, ДобавитьРазделитель, ДобавлятьСловоТаблица, ТолькоОтмеченные);
```
</details>

## ЗаполнитьИменаРеквизитовПоХозяйственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу реквизитов, зависимых от хозяйственной операции документа.
//
// Параметры:
//	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа
//	ПеречислениеВБюджет - Булево - Признак перечисления в бюджет
//	МассивВсехРеквизитов - Массив - Массив всех реквизитов, зависимых от хозяйственной операции
//	МассивРеквизитовОперации - Массив - Массив имен реквизитов, используемыз в выбранной хозяйственной операции.
//
Процедура ЗаполнитьИменаРеквизитовПоХозяйственнойОперации(Объект, МассивВсехРеквизитов, МассивРеквизитовОперации) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ЗаполнитьИменаРеквизитовПоХозяйственнойОперации(Объект, МассивВсехРеквизитов, МассивРеквизитовОперации) 
```
</details>

## ЗаполнитьНастройкиПолейФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет свойства полей формы в зависимости от данных
//
// Возвращаемое значение:
//    ТаблицаЗначений - таблица с колонками Поля, Условие, Свойства.
//
Функция ЗаполнитьНастройкиПолейФормы(Настройки) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ЗаполнитьНастройкиПолейФормы(Настройки) 
```
</details>

## ПолучитьТипСуммыКредитаДепозита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТипСуммыКредитаДепозита(ДоговорКредитаДепозита, ВидОперацииУХ, ПриходРасход, СтатьяБюджета) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ПолучитьТипСуммыКредитаДепозита(ДоговорКредитаДепозита, ВидОперацииУХ, ПриходРасход, СтатьяБюджета) 
```
</details>

## ТекстЗапросаПроверкаСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаПроверкаСтатуса(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ТекстЗапросаПроверкаСтатуса(ТекстЗапроса) 
```
</details>

## ТекстЗапросаНеОбработанныеПлатежныеПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаНеОбработанныеПлатежныеПозиции(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ТекстЗапросаНеОбработанныеПлатежныеПозиции(ТекстЗапроса) 
```
</details>

## ВыполнитьИнтерактивнуюПроверкуЛимитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьИнтерактивнуюПроверкуЛимитов(Форма, ОбновитьЛимиты = Истина) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХЗаявкаНаРасходованиеДенежныхСредств.ВыполнитьИнтерактивнуюПроверкуЛимитов(Форма, ОбновитьЛимиты);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
