---
title: Встраивание УХ ожидаемое поступление денежных средств
slug: erp-uh/встраивание-ух-ожидаемое-поступление-денежных-средств
---


## ПриЧтенииСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// нетиповое событие документа. Вызывается перед исполнением основного кода
Процедура ПриЧтенииСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ПриЧтенииСозданииНаСервере(Форма) 
```
</details>

## ПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЧтенииНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ПриЧтенииНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) экспорт Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) экспорт);
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
// 	Форма - форма, из обработчика события которой происходит вызов процедуры.
//	см. справочную информацию по событиям управляемой формы.
//
Процедура ПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи)
```
</details>

## ПриИзмененииЭлементаУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события изменения элемента формы
Процедура ПриИзмененииЭлементаУХ(Форма, ИмяЭлемента) экспорт Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ПриИзмененииЭлементаУХ(Форма, ИмяЭлемента) экспорт);
```
</details>

## ФормаСписка_ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФормаСписка_ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) экспорт Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ФормаСписка_ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) экспорт);
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты, НепроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты, НепроверяемыеРеквизиты) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) экспорт Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) экспорт);
```
</details>

## ПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписи(Объект, Отказ) экспорт Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ПриЗаписи(Объект, Отказ) экспорт);
```
</details>

## ПриКопировании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриКопировании(Объект, ОбъектКопирования) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ПриКопировании(Объект, ОбъектКопирования) 
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполнения(Объект, ДанныеЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ОбработкаЗаполнения(Объект, ДанныеЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаУдаленияПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаУдаленияПроведения(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ОбработкаУдаленияПроведения(Объект, Отказ) 
```
</details>

## ДобавитьКомандуСоздатьНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команду создания документа по его метаданным.
//
// Параметры:
//   КомандыСозданияНаОсновании - ТаблицаЗначений - Таблица с командами создания на основании. Для изменения.
//       См. описание 1 параметра процедуры СозданиеНаОснованииПереопределяемый.ПередДобавлениемКомандСозданияНаОсновании().
//	 МетаданныеДокумента -
//
Функция ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании, МетаданныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании, МетаданныеДокумента) 
```
</details>

## ИнициализироватьДанныеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьДанныеДокумента(ДокументСсылка, ДополнительныеСвойства, Регистры = Неопределено) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ИнициализироватьДанныеДокумента(ДокументСсылка, ДополнительныеСвойства, Регистры);
```
</details>

## ВыполнитьДвиженияОперативныйПланПоБюджетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет движения документа "Оперативный план по бюджетам"
//
Процедура ВыполнитьДвиженияОперативныйПланПоБюджетам(ДополнительныеСвойства, Движения, Отказ) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ВыполнитьДвиженияОперативныйПланПоБюджетам(ДополнительныеСвойства, Движения, Отказ) 
```
</details>

## ПолучитьМассивыРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу реквизитов, зависимых от хозяйственной операции документа.
//
// Параметры:
//	ВидОперацииУХ - СправочникСсылка.ВидОперацииУХ - Вид операции УХ
//	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа
//	ПеречислениеВБюджет - Булево - Признак перечисления в бюджет
//	МассивВсехРеквизитов - Массив - Массив всех реквизитов, зависимых от хозяйственной операции
//	МассивРеквизитовОперации - Массив - Массив имен реквизитов, используемыз в выбранной хозяйственной операции.
//
Процедура ПолучитьМассивыРеквизитов(ВидОперацииУХ, ХозяйственнаяОперация, МассивВсехРеквизитов, МассивРеквизитовОперации) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.ПолучитьМассивыРеквизитов(ВидОперацииУХ, ХозяйственнаяОперация, МассивВсехРеквизитов, МассивРеквизитовОперации) 
```
</details>

## НастройкиПолейФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет свойства полей формы в зависимости от данных
//
// Возвращаемое значение:
//    ТаблицаЗначений - таблица с колонками Поля, Условие, Свойства.
//
Функция НастройкиПолейФормы(Настройки) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХОжидаемоеПоступлениеДенежныхСредств.НастройкиПолейФормы(Настройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
