---
title: Встраивание УХ приходный кассовый ордер
slug: erp-uh/встраивание-ух-приходный-кассовый-ордер
---


## ПриЧтенииСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// нетиповое событие документа. Вызывается перед исполнением основного кода
Процедура ПриЧтенииСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХПриходныйКассовыйОрдер.ПриЧтенииСозданииНаСервере(Форма) 
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХПриходныйКассовыйОрдер.ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ХозяйственнаяОперацияПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ХозяйственнаяОперацияПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХПриходныйКассовыйОрдер.ХозяйственнаяОперацияПриИзменении(Форма) 
```
</details>

## ПриИзмененииДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииДоговора(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХПриходныйКассовыйОрдер.ПриИзмененииДоговора(Форма) 
```
</details>

## РасшифровкаПлатежаДоговорКредитаДепозитаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифровкаПлатежаДоговорКредитаДепозитаПриИзменении(Форма, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХПриходныйКассовыйОрдер.РасшифровкаПлатежаДоговорКредитаДепозитаПриИзменении(Форма, ТекущаяСтрока) 
```
</details>

## РасшифровкаПлатежаДоговорАрендыПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифровкаПлатежаДоговорАрендыПриИзменении(Форма, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХПриходныйКассовыйОрдер.РасшифровкаПлатежаДоговорАрендыПриИзменении(Форма, ТекущаяСтрока) 
```
</details>

## РасшифровкаПлатежаОбъектРасчетовПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифровкаПлатежаОбъектРасчетовПриИзменении(Форма, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХПриходныйКассовыйОрдер.РасшифровкаПлатежаОбъектРасчетовПриИзменении(Форма, ТекущаяСтрока) 
```
</details>

## ПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписи(Объект, Отказ) экспорт Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХПриходныйКассовыйОрдер.ПриЗаписи(Объект, Отказ) экспорт);
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХПриходныйКассовыйОрдер.ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХПриходныйКассовыйОрдер.ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## НастройкиПолейФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет свойства полей формы////// в зависимости от данных
//
// Возвращаемое значение:
//    ТаблицаЗначений - таблица с колонками Поля, Условие, Свойства.
//
Функция НастройкиПолейФормы(Настройки) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХПриходныйКассовыйОрдер.НастройкиПолейФормы(Настройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
