---
title: Встраивание УХ распоряжение на перемещение денежных средств
slug: erp-uh/встраивание-ух-распоряжение-на-перемещение-денежных-средств
---


## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
// 	Форма - форма, из обработчика события которой происходит вызов процедуры.
//	см. справочную информацию по событиям управляемой формы.
//
Процедура ПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи)
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПриЧтенииСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// нетиповое событие документа. Вызывается перед исполнением основного кода
Процедура ПриЧтенииСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ПриЧтенииСозданииНаСервере(Форма) 
```
</details>

## УправлениеЭлементамиФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УправлениеЭлементамиФормы(Форма) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.УправлениеЭлементамиФормы(Форма) 
```
</details>

## УстановитьДоступностьЭлементовПоСтатусу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьДоступностьЭлементовПоСтатусу(Форма, ТолькоПросмотрЭлементов) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.УстановитьДоступностьЭлементовПоСтатусу(Форма, ТолькоПросмотрЭлементов) 
```
</details>

## ФормаСпискаДокументов_ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФормаСпискаДокументов_ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ФормаСпискаДокументов_ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписи(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ПриЗаписи(Объект, Отказ) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроверкиЗаполнения(Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ОбработкаПроверкиЗаполнения(Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) 
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполнения(Объект, ДанныеЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ОбработкаЗаполнения(Объект, ДанныеЗаполнения, СтандартнаяОбработка) 
```
</details>

## ЗаполнитьНастройкиПолейФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет свойства полей формы в зависимости от данных
//
// Возвращаемое значение:
//    ТаблицаЗначений - таблица с колонками Поля, Условие, Свойства.
//
Функция ЗаполнитьНастройкиПолейФормы(Настройки) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ЗаполнитьНастройкиПолейФормы(Настройки) 
```
</details>

## БанковскийСчетКассаОтправитель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает отправителя денежных средств
Функция БанковскийСчетКассаОтправитель(ОбъектЗаявка) экспорт Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.БанковскийСчетКассаОтправитель(ОбъектЗаявка) экспорт);
```
</details>

## БанковскийСчетКассаПолучатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает получателя денежных средств
Функция БанковскийСчетКассаПолучатель(ОбъектЗаявка) экспорт Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.БанковскийСчетКассаПолучатель(ОбъектЗаявка) экспорт);
```
</details>

## УстановитьБКОтправитель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьБКОтправитель(ПлатежнаяПозиция, БанковскийСчетКасса, Валюта) экспорт Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.УстановитьБКОтправитель(ПлатежнаяПозиция, БанковскийСчетКасса, Валюта) экспорт);
```
</details>

## УстановитьБКПолучатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьБКПолучатель(ПлатежнаяПозиция, БанковскийСчетКасса) экспорт Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.УстановитьБКПолучатель(ПлатежнаяПозиция, БанковскийСчетКасса) экспорт);
```
</details>

## ПлатежнаяПозицияОчиститьПолучателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПлатежнаяПозицияОчиститьПолучателя(ПлатежнаяПозиция) экспорт Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХРаспоряжениеНаПеремещениеДенежныхСредств.ПлатежнаяПозицияОчиститьПолучателя(ПлатежнаяПозиция) экспорт);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
