---
title: Встраивание УХ финансовые инструменты
slug: erp-uh/встраивание-ух-финансовые-инструменты
---


## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписью(ЭтотОбъект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХФинансовыеИнструменты.ПередЗаписью(ЭтотОбъект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ОбработкаПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроведения(Объект, Отказ, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХФинансовыеИнструменты.ОбработкаПроведения(Объект, Отказ, РежимПроведения) 
```
</details>

## ПараметрыВзаиморасчетыУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыВзаиморасчетыУХ(ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ПараметрыВзаиморасчетыУХ(ДанныеЗаполнения) 
```
</details>

## ПараметрыВзаиморасчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры механизма взаиморасчетов.
//
// Параметры:
// 	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа.
//
// Возвращаемое значение:
// 	Структура - См. ВзаиморасчетыСервер.ПараметрыМеханизма
//
Функция ПараметрыВзаиморасчеты(ХозяйственнаяОперация = Неопределено, ЭтотОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ПараметрыВзаиморасчеты(ХозяйственнаяОперация, ЭтотОбъект);
```
</details>

## ЭтоРеализация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоРеализация(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ЭтоРеализация(ДокументОбъект));
```
</details>

## ПараметрыДляПроведенияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует параметры для проведения документа по регистрам учетного механизма через общий механизм проведения.
//
// Параметры:
//  Документ - ДокументОбъект - записываемый документ
//  Свойства - См. ПроведениеДокументов.СвойстваДокумента
//
// Возвращаемое значение:
//  Структура - См. ПроведениеДокументов.ПараметрыУчетногоМеханизма
//
Функция ПараметрыДляПроведенияДокумента(Документ, Свойства) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ПараметрыДляПроведенияДокумента(Документ, Свойства) 
```
</details>

## ТекстыЗапросовСторнирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тексты запросов для сторнирования движений при исправлении документов
//
// Параметры:
// 	МетаданныеДокумента - ОбъектМетаданныхДокумент - Метаданные документа, который проводится.
//
// Возвращаемое значение:
// 	Соответствие - Соответствие полного имени регистра тексту запроса сторнирования
//
Функция ТекстыЗапросовСторнирования(МетаданныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстыЗапросовСторнирования(МетаданныеДокумента) 
```
</details>

## ОтразитьДвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирования движений по подчиненным регистрам бюджетирования.
//
// Параметры:
//   ТаблицыДляДвижений - Структура - таблицы данных документа
//   Движения - КоллекцияДвижений - коллекция наборов записей движений документа
//   Отказ - Булево - признак отказа от проведения документа.
//
Процедура ОтразитьДвижения(ТаблицыДляДвижений, Движения, Отказ) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХФинансовыеИнструменты.ОтразитьДвижения(ТаблицыДляДвижений, Движения, Отказ) 
```
</details>

## ТекстыЗапросовКонтрольДатыЗапретаПоТаблицеИзменений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет текст запроса механизма проверки даты запрета по таблице изменений.
//
// Параметры:
// 	Запрос - Запрос - используется для установки параметров запроса.
//
// Возвращаемое значение:
//	Соответствие - соответствие имен таблиц изменения регистров и текстов запросов.
//
Функция ТекстыЗапросовКонтрольДатыЗапретаПоТаблицеИзменений(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстыЗапросовКонтрольДатыЗапретаПоТаблицеИзменений(Запрос) 
```
</details>

## ИнициализироватьДанныеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Векселя
Процедура ИнициализироватьДанныеДокумента(ДокументСсылка, ДополнительныеСвойства, Регистры = Неопределено) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХФинансовыеИнструменты.ИнициализироватьДанныеДокумента(ДокументСсылка, ДополнительныеСвойства, Регистры);
```
</details>

## ТекстЗапроса_втСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втСобытия(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапроса_втСобытия(Запрос, ТекстыЗапроса));
```
</details>

## ТекстЗапросаВтКурсыВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаВтКурсыВалют(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаВтКурсыВалют(Запрос, ТекстыЗапроса));
```
</details>

## ТекстЗапросаВтДатыКурсовВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаВтДатыКурсовВалют(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаВтДатыКурсовВалют(Запрос, ТекстыЗапроса));
```
</details>

## ТекстЗапроса_ПроводкиДляРегистров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ПроводкиДляРегистров(Запрос, ТекстыЗапроса, Регистры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапроса_ПроводкиДляРегистров(Запрос, ТекстыЗапроса, Регистры);
```
</details>

## ТекстЗапросаВтТаблицаАналитикУчетаПартий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаВтТаблицаАналитикУчетаПартий(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаВтТаблицаАналитикУчетаПартий(Запрос, ТекстыЗапроса));
```
</details>

## ИнициализироватьКлючиАналитикиУчетаПоПартнерам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьКлючиАналитикиУчетаПоПартнерам(Запрос) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХФинансовыеИнструменты.ИнициализироватьКлючиАналитикиУчетаПоПартнерам(Запрос));
```
</details>

## ТекстЗапросаТаблицаПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаПрочиеРасходы(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаПрочиеРасходы(Запрос, ТекстыЗапроса, Регистры));
```
</details>

## ТекстЗапросаТаблицаПрочиеДоходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаПрочиеДоходы(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаПрочиеДоходы(Запрос, ТекстыЗапроса, Регистры));
```
</details>

## ТекстЗапросаТаблицаРасчетыСПоставщиками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаРасчетыСПоставщиками(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаРасчетыСПоставщиками(Запрос, ТекстыЗапроса, Регистры));
```
</details>

## ТекстЗапросаТаблицаРасчетыСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаРасчетыСКлиентами(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаРасчетыСКлиентами(Запрос, ТекстыЗапроса, Регистры));
```
</details>

## ТекстЗапросаТаблицаСуммыДокументовВВалютеРегл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаСуммыДокументовВВалютеРегл(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаСуммыДокументовВВалютеРегл(Запрос, ТекстыЗапроса, Регистры));
```
</details>

## ТекстЗапросаТаблицаПартииПрочихРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаПартииПрочихРасходов(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаПартииПрочихРасходов(Запрос, ТекстыЗапроса, Регистры));
```
</details>

## ТекстЗапросаТаблицаПрочиеАктивыПассивы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаПрочиеАктивыПассивы(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаПрочиеАктивыПассивы(Запрос, ТекстыЗапроса, Регистры));
```
</details>

## ТекстЗапросаДвиженияКонтрагентДоходыРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаДвиженияКонтрагентДоходыРасходы(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаДвиженияКонтрагентДоходыРасходы(Запрос, ТекстыЗапроса, Регистры));
```
</details>

## ТекстЗапросаДвиженияДоходыРасходыПрочиеАктивыПассивы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаДвиженияДоходыРасходыПрочиеАктивыПассивы(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаДвиженияДоходыРасходыПрочиеАктивыПассивы(Запрос, ТекстыЗапроса, Регистры));
```
</details>

## ТекстЗапросаТаблицаДвиженияКонтрагентКонтрагент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаДвиженияКонтрагентКонтрагент(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаДвиженияКонтрагентКонтрагент(Запрос, ТекстыЗапроса, Регистры));
```
</details>

## ЗначенияПараметровПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначенияПараметровПроведения(Реквизиты = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ЗначенияПараметровПроведения(Реквизиты);
```
</details>

## ТекстЗапросаТаблицаВтИсходныеПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаВтИсходныеПрочиеРасходы(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаВтИсходныеПрочиеРасходы(Запрос, ТекстыЗапроса));
```
</details>

## ТекстЗапросаТаблицаВтИсходныеПартииПрочихРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаВтИсходныеПартииПрочихРасходов(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаВтИсходныеПартииПрочихРасходов(Запрос, ТекстыЗапроса));
```
</details>

## ДополнительныеИсточникиДанныхДляДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДополнительныеИсточникиДанныхДляДвижений(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ДополнительныеИсточникиДанныхДляДвижений(ИмяРегистра) 
```
</details>

## АдаптированныйТекстЗапросаДвиженийПоРегистру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АдаптированныйТекстЗапросаДвиженийПоРегистру(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.АдаптированныйТекстЗапросаДвиженийПоРегистру(ИмяРегистра) 
```
</details>

## ТекстЗапросаТаблицаВтПартииПрочихРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаВтПартииПрочихРасходов(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаВтПартииПрочихРасходов(Запрос, ТекстыЗапроса));
```
</details>

## ТекстЗапросаТаблицаВтПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаВтПрочиеРасходы(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапросаТаблицаВтПрочиеРасходы(Запрос, ТекстыЗапроса));
```
</details>

## ТекстЗапроса_Проводки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТекстЗапроса_Проводки(МассивТекстовЗапроса, НомераТаблиц, ИмяДокумента) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХФинансовыеИнструменты.ТекстЗапроса_Проводки(МассивТекстовЗапроса, НомераТаблиц, ИмяДокумента) 
```
</details>

## УстановитьПараметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПараметры(Запрос) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХФинансовыеИнструменты.УстановитьПараметры(Запрос) 
```
</details>

## ТекстЗапроса_втПроводки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втПроводки(НомераТаблиц, ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапроса_втПроводки(НомераТаблиц, ИмяДокумента));
```
</details>

## ТекстЗапроса_Хозрасчетный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_Хозрасчетный(НомераТаблиц, СписокФИ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапроса_Хозрасчетный(НомераТаблиц, СписокФИ);
```
</details>

## ТекстЗапроса_СчетаУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_СчетаУчета(НомераТаблиц, СписокФИ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ТекстЗапроса_СчетаУчета(НомераТаблиц, СписокФИ);
```
</details>

## ПолучитьПараметрыОткрытияФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыОткрытияФИ(Ссылка, ИдентификаторКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ПолучитьПараметрыОткрытияФИ(Ссылка, ИдентификаторКоманды) 
```
</details>

## ДобавитьКомандыСозданияНаОсновании_ВариантыОплат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьКомандыСозданияНаОсновании_ВариантыОплат(КомандыСозданияНаОсновании, Параметры) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХФинансовыеИнструменты.ДобавитьКомандыСозданияНаОсновании_ВариантыОплат(КомандыСозданияНаОсновании, Параметры) 
```
</details>

## ИмяФормыОплатаЦБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяФормыОплатаЦБ() Экспорт
```

Пример вызова
```bsl
Результат = ВстраиваниеУХФинансовыеИнструменты.ИмяФормыОплатаЦБ() 
```
</details>

## ПриобретениеУслугПоЛизингу_ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриобретениеУслугПоЛизингу_ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХФинансовыеИнструменты.ПриобретениеУслугПоЛизингу_ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПереопределитьЗапросГрафикПлатежейЛизинга
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПереопределитьЗапросГрафикПлатежейЛизинга(ДанныеДоговора, Период, Запрос) Экспорт
```

Пример вызова
```bsl
ВстраиваниеУХФинансовыеИнструменты.ПереопределитьЗапросГрафикПлатежейЛизинга(ДанныеДоговора, Период, Запрос) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
