---
title: Встречная корректировка назначения
slug: erp-uh/встречная-корректировка-назначения
---


## ТаблицаОтбораТоваровВстречнойКорректировкиНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры отбора встречной корректировки назначения
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица с ключами:
//   * Номенклатура       - СправочникСсылка.Номенклатура -
//   * Характеристика     - СправочникСсылка.ХарактеристикиНоменклатуры -
//   * Склад              - СправочникСсылка.Склады -
//   * ПоНазначению       - Число - 0 - без отбора,
//                                  1 - отбор на равенство,
//                                  2 - отбор на неравенство
//   * Расход             - Число -
//   * Распределено       - Число -
//   * КлючСтроки         - УникальныйИдентификатор -
//   * КлючСтрокиРодитель - УникальныйИдентификатор -
//
Функция ТаблицаОтбораТоваровВстречнойКорректировкиНазначения() Экспорт
```

Пример вызова
```bsl
Результат = ВстречнаяКорректировкаНазначения.ТаблицаОтбораТоваровВстречнойКорректировкиНазначения() 
```
</details>

## ДанныеВстречнойКорректировкиНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает данные для встречной корректировки назначения
//
// Параметры:
//  Параметры - Структура - с ключами:
//   * Заказ            - ДокументСсылка.ЗаказНаПроизводство2_2 -
//   * Номенклатура     - СправочникСсылка.Номенклатура -
//   * Характеристика   - СправочникСсылка.ХарактеристикиНоменклатуры -
//   * Склад            - СправочникСсылка.Склады -
//   * Назначение       - СправочникСсылка.Назначения -
//   * КлючНоменклатура - УникальныйИдентификатор -
//   * КлючПартия       - УникальныйИдентификатор -
//  УникальныйИдентификатор - УникальныйИдентификатор - идентификатор формы для помещения отбора товаров в хранилище
//
// Возвращаемое значение:
//  Структура - с ключами:
//   * КоличествоПередатьПодНазначение  - см. КоличествоТовараВстречнойКорректировкиНазначения
//   * ТоварыОтбор - см. ТоварыОтбораВстречнойКорректировкиНазначения
//
Функция ДанныеВстречнойКорректировкиНазначения(Параметры, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ВстречнаяКорректировкаНазначения.ДанныеВстречнойКорректировкиНазначения(Параметры, УникальныйИдентификатор) 
```
</details>

## КоличествоТовараВстречнойКорректировкиНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает данные для встречной корректировки назначения
//
// Параметры:
//  Параметры - Структура - с ключами:
//   * Заказ          - ДокументСсылка.ЗаказНаПроизводство2_2 -
//   * Номенклатура   - СправочникСсылка.Номенклатура -
//   * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры -
//   * Склад          - СправочникСсылка.Склады -
//   * Назначение     - СправочникСсылка.Назначения -
//
// Возвращаемое значение:
//  Число -
//
Функция КоличествоТовараВстречнойКорректировкиНазначения(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ВстречнаяКорректировкаНазначения.КоличествоТовараВстречнойКорректировкиНазначения(Параметры) 
```
</details>

## ТоварыОтбораВстречнойКорректировкиНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает данные товаров отбора встречной корректировки назначения
//
// Параметры:
//  Параметры - Структура - с ключами:
//   * Номенклатура     - СправочникСсылка.Номенклатура -
//   * Характеристика   - СправочникСсылка.ХарактеристикиНоменклатуры -
//   * Склад            - СправочникСсылка.Склады -
//   * КлючНоменклатура - УникальныйИдентификатор -
//   * КлючПартия       - УникальныйИдентификатор -
//
// Возвращаемое значение:
//  см. ТаблицаОтбораТоваровВстречнойКорректировкиНазначения
//
Функция ТоварыОтбораВстречнойКорректировкиНазначения(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ВстречнаяКорректировкаНазначения.ТоварыОтбораВстречнойКорректировкиНазначения(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
