---
title: Встречная корректировка назначения клиент
slug: erp-uh/встречная-корректировка-назначения-клиент
---


## ПараметрыВстречнойКорректировкиНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает параметры встречной корректировки назначения
//
// Возвращаемое значение:
//  Структура - с ключами:
//   * Заказ            - ДокументСсылка.ЗаказНаПроизводство2_2 -
//   * Номенклатура     - СправочникСсылка.Номенклатура -
//   * Характеристика   - СправочникСсылка.ХарактеристикиНоменклатуры -
//   * Склад            - СправочникСсылка.Склады -
//   * Назначение       - СправочникСсылка.Назначения -
//   * КлючНоменклатура - УникальныйИдентификатор -
//   * КлючПартия       - УникальныйИдентификатор -
//
Функция ПараметрыВстречнойКорректировкиНазначения() Экспорт
```

Пример вызова
```bsl
Результат = ВстречнаяКорректировкаНазначенияКлиент.ПараметрыВстречнойКорректировкиНазначения() 
```
</details>

## ЗаполнитьПараметрыВстречнойКорректировкиНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Заполняет параметры встречной корректировки назначения
//
// Параметры:
//  Параметры            - см. ПараметрыВстречнойКорректировкиНазначения
//  ИсходныеДанные       - СтрокаТаблицыЗначений, Структура -
//  ДополнительныеДанные - Структура, Неопределено -
//
Процедура ЗаполнитьПараметрыВстречнойКорректировкиНазначения( Экспорт
```

Пример вызова
```bsl
ВстречнаяКорректировкаНазначенияКлиент.ЗаполнитьПараметрыВстречнойКорректировкиНазначения();
```
</details>

## ОписаниеКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает описание команды открытие формы Обработка.ЗаполнениеКорректировкиНазначения.Форма.ФормаОбъекта
//
// Параметры:
//  Форма                        - ФормаКлиентскогоПриложения -
//  Данные                       - СтрокаТаблицыЗначений, Структура -
//  ДанныеВстречнойКорректировки - см. ВстречнаяКорректировкаНазначенияВызовСервера.ДанныеВстречнойКорректировкиНазначения
//
// Возвращаемое значение:
//  Структура - с ключами:
//   * Форма - ФормаКлиентскогоПриложения -
//   * ОбъектыОснований - Массив -
//   * Назначение - СправочникСсылка.Назначения -
//   * КоличествоПередатьПодНазначение - Число -
//   * АдресТоваров - см. ВстречнаяКорректировкаНазначения.ДанныеВстречнойКорректировкиНазначения
//
Функция ОписаниеКоманды(Форма, Данные, ДанныеВстречнойКорректировки) Экспорт
```

Пример вызова
```bsl
Результат = ВстречнаяКорректировкаНазначенияКлиент.ОписаниеКоманды(Форма, Данные, ДанныеВстречнойКорректировки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
