---
title: Выбор объектов клиент УХ
slug: erp-uh/выбор-объектов-клиент-ух
---


## ОткрытьФормуВыбораИзДереваЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Открыть окно выбора значения из дерева.
//
// Параметры:
//  Дерево - ДанныеФормыДерево - "упакованное" дерево для передачи на клиенте.
//  ИменаПоказываемыхКолонок - Неопределено, Соответствие(Строка, Строка) -
//		соответствие имен колонок дерева для отображения на форме выбора
//		именам для отображения на форме. Если передано пустое соответствие
//		или Неопределено, то выводит все колонки с именами по умолчанию.
//  ИдентификаторСтроки - Число - идентификатор строки дерева для активизации.
//  Владелец - УправляемаяФорма, Элемент формы - владелец открываемой формы
//		выбора.
//  ОписаниеОповещенияОЗакрытии - ОписаниеОповещения - Содержит описание процедуры,
//		которая будет вызвана при закрытии формы со следующими параметрами:
//			- ВыбранноеЗначение - Неопределено, Структура - результат выбора.
//				Если пользователь не выбрал значение и закрыл форму, то возвращает
//				Неопределено. Иначе возвращает структуру с реквизитами:
//					- мИндексы - Массив - индексы в дереве значений для нахождения
//						выбранной строки. Для нахождения строки в дереве формы
//						можно воспользоваться функцией ОбщегоНазначенияКлиентСерверУХ
//						ПолучитьЭлементДереваФормыПоИндексам().
//					- Дерево - ДанныеФормыДерево - реквизит формы выбора. Если
//						дерево дозаполнялось в обработчике события
//						ПередРазворачиванием то дерево формы выбора будет отличаться
//						от дерева вызвавшей выбор формы.
//			- ДополнительныеПараметры - Структура - значение, которое было
//				указано при создании объекта ОписаниеОповещения.
//		Если параметр не указан, то по завершению никакая процедура вызвана не будет.
//  Заголовок - Строка - заголовок формы выбора.
//	ОбрабатыватьПередРазворачиванием - Булево - если Истина, то при разворачивании
//		в дереве, будет вызвана экспортная функция окна владельца:
//		ПередРазворачиваниемСтрокиДереваПолейИсточника().
//	ДопПараметрыВладельца - ФиксированнаяСтруктура - дополнительные параметры,
//		которые будут переданы в функцию ПередРазворачиваниемСтрокиДереваПолейИсточника().
//
Процедура ОткрытьФормуВыбораИзДереваЗначений(Дерево, Экспорт
```

Пример вызова
```bsl
ВыборОбъектовКлиентУХ.ОткрытьФормуВыбораИзДереваЗначений(Дерево, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
