---
title: Выгрузка загрузка данных локализация
slug: erp-uh/выгрузка-загрузка-данных-локализация
---


## ПередВыгрузкойДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед выгрузкой данных.
// ОбщийМодуль.ВыгрузкаЗагрузкаДанныхПереопределяемый.ПередВыгрузкойДанных()
//
Процедура ПередВыгрузкойДанных(Контейнер) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаДанныхЛокализация.ПередВыгрузкойДанных(Контейнер) 
```
</details>

## ПослеВыгрузкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после выгрузки данных.
// см. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПослеВыгрузкиДанных
//
Процедура ПослеВыгрузкиДанных(Контейнер) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаДанныхЛокализация.ПослеВыгрузкиДанных(Контейнер) 
```
</details>

## ПослеЗагрузкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после загрузки данных.
// см. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПослеЗагрузкиДанных
//
Процедура ПослеЗагрузкиДанных(Контейнер) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаДанныхЛокализация.ПослеЗагрузкиДанных(Контейнер) 
```
</details>

## ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив типов, исключаемых из выгрузки и загрузки данных.
// см. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки
//
Процедура ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаДанныхЛокализация.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) 
```
</details>

## ПриЗаполненииТиповОбщихДанныхНеТребующихСопоставлениеСсылокПриЗагрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив типов неразделенных данных, для которых не требуется сопоставление ссылок
// при загрузке данных в другую информационную базу, т.к. корректное сопоставление ссылок
// гарантируется с помощью других механизмов.
// см. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповОбщихДанныхНеТребующихСопоставлениеСсылокПриЗагрузке
//
Процедура ПриЗаполненииТиповОбщихДанныхНеТребующихСопоставлениеСсылокПриЗагрузке(Типы) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаДанныхЛокализация.ПриЗаполненииТиповОбщихДанныхНеТребующихСопоставлениеСсылокПриЗагрузке(Типы) 
```
</details>

## ПриЗаполненииТиповОбщихДанныхПоддерживающихСопоставлениеСсылокПриЗагрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив типов неразделенных данных, для которых поддерживается сопоставление ссылок
// при загрузке данных в другую информационную базу.
// см. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповОбщихДанныхПоддерживающихСопоставлениеСсылокПриЗагрузке
//
Процедура ПриЗаполненииТиповОбщихДанныхПоддерживающихСопоставлениеСсылокПриЗагрузке(Типы) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаДанныхЛокализация.ПриЗаполненииТиповОбщихДанныхПоддерживающихСопоставлениеСсылокПриЗагрузке(Типы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
