---
title: Выгрузка загрузка моделей международного учета и бюджетирования
slug: erp-uh/выгрузка-загрузка-моделей-международного-учета-и-бюджетирования
---


## ВыгрузитьМодельМФУПолностью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Выгрузить модель МФУПолностью.
//
// Параметры:
//  ИмяФайлаНаСервере - Строка - Имя файла на сервере
Процедура ВыгрузитьМодельМФУПолностью(ИмяФайлаНаСервере) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаМоделейМеждународногоУчетаИБюджетирования.ВыгрузитьМодельМФУПолностью(ИмяФайлаНаСервере) 
```
</details>

## ЗагрузитьМодельУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТКА

// Выполняет загрузку модели международного учета из файла
//
// Параметры:
// 	Параметры - Структура - Содержит адрес данных для загрузки:
// 	 * ДвоичныеДанные - ДвоичныеДанные -
//
Процедура ЗагрузитьМодельУчета(Параметры) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаМоделейМеждународногоУчетаИБюджетирования.ЗагрузитьМодельУчета(Параметры) 
```
</details>

## ВыгрузитьМодельУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет выгрузку модели международного учета в файла
//
// Параметры:
// 	Параметры - Структура - Структура параметров
// 	ИмяФайлаНаСервере - Строка - Имя файла на сервере
//
Процедура ВыгрузитьМодельУчета(Параметры, ИмяФайлаНаСервере = Неопределено) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаМоделейМеждународногоУчетаИБюджетирования.ВыгрузитьМодельУчета(Параметры, ИмяФайлаНаСервере);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
