---
title: Групповая обработка штрихкодов ИС клиент
slug: erp-uh/групповая-обработка-штрихкодов-ис-клиент
---


## ПрименитьСохраненныйВыбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Работа с сохраненным выбором при пакетной загрузке кодов маркировки:
//  * Переносит данные сохраненного выбора в коды маркировки, требующие уточнения данных.
//  * Учитывает требующее маркировки количество для сброса сохраненного выбора.
//  * Учитывает состав кода маркировки для сброса сохраненного выбора.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой происходит пакетная загрузка данных
//  ДанныеШтрихкода - См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьДанныеШтрихкода
//  ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования
//
Процедура ПрименитьСохраненныйВыбор(Форма, ДанныеШтрихкода, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ГрупповаяОбработкаШтрихкодовИСКлиент.ПрименитьСохраненныйВыбор(Форма, ДанныеШтрихкода, ПараметрыСканирования) 
```
</details>

## ОткрытьФормуУточненияДанныхТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму уточнения данных ТСД.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма-источник вызова:
//   * ЗагрузкаДанныхТСД - См. ГрупповаяОбработкаШтрихкодовИС.РезультатЗагрузкиШтрихкодовИзТСД
//  Оповещение - ОписаниеОповещения - действие после уточнения данных
Процедура ОткрытьФормуУточненияДанныхТСД(Форма, Оповещение) Экспорт
```

Пример вызова
```bsl
ГрупповаяОбработкаШтрихкодовИСКлиент.ОткрытьФормуУточненияДанныхТСД(Форма, Оповещение) 
```
</details>

## ОповеститьОНачалеОбработкиДанныхТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит оповещение о начале загрузки данных из ТСД
//
// Параметры:
//  ПараметрыУведомления - Неопределено - уведомление "по-умолчанию"
//                       - Структура - кастомизированное уведомление:
//                          * Заголовок - Строка - текст заголовка,
//                          * Текст     - Строка - текст уведомления.
Процедура ОповеститьОНачалеОбработкиДанныхТСД(ПараметрыУведомления = Неопределено) Экспорт
```

Пример вызова
```bsl
ГрупповаяОбработкаШтрихкодовИСКлиент.ОповеститьОНачалеОбработкиДанныхТСД(ПараметрыУведомления);
```
</details>

## ОповеститьОбОкончанииОбработкиДанныхТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит оповещение об окончании обработки данных ТСД.
//
// Параметры:
//  ПараметрыУведомления - Неопределено - уведомление "по-умолчанию"
//                       - Структура - кастомизированное уведомление:
//                          * Заголовок - Строка - текст заголовка,
//                          * Текст     - Строка - текст уведомления.
Процедура ОповеститьОбОкончанииОбработкиДанныхТСД(ПараметрыУведомления = Неопределено) Экспорт
```

Пример вызова
```bsl
ГрупповаяОбработкаШтрихкодовИСКлиент.ОповеститьОбОкончанииОбработкиДанныхТСД(ПараметрыУведомления);
```
</details>

## ЗавершитьЗагрузкуТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершить загрузку ТСД.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма:
//  * ЗагрузкаДанныхТСД - Произвольный - реквизит формы с данными пакета загрузки
Процедура ЗавершитьЗагрузкуТСД(Форма) Экспорт
```

Пример вызова
```bsl
ГрупповаяОбработкаШтрихкодовИСКлиент.ЗавершитьЗагрузкуТСД(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
