---
title: Группы затрат сервер
slug: erp-uh/группы-затрат-сервер
---


## ПредставлениеГруппыЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает представление группы затрат.
//	Параметры:
//		ЗначениеПолей - Структура - значения полей, идентифицирующих группу затрат.
//	Возвращаемое значение:
//		Строка - представление группы затрат.
//
Функция ПредставлениеГруппыЗатрат(ЗначениеПолей) Экспорт
```

Пример вызова
```bsl
Результат = ГруппыЗатратСервер.ПредставлениеГруппыЗатрат(ЗначениеПолей) 
```
</details>

## ПереченьПолейПоГруппировкеЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает перечень идентифицирующих полей, соответствующих переданной группировке затрат.
//	Параметры:
//		Документ - ДокументСсылка.ОтчетПереработчика,
//					ДокументСсылка.ПроизводствоБезЗаказа,
//					ДокументСсылка.ЗаказНаПроизводство2_2,
//					ДокументСсылка.ОтчетПереработчика2_5 - документ партии производства.
//		ГруппировкаЗатрат - ПеречислениеСсылка.ГруппировкиЗатратВЗаказеПереработчику,
//							ПеречислениеСсылка.ГруппировкиЗатратВПроизводствеБезЗаказа - тип группировки затрат.
//	Возвращаемое значение:
//		СписокЗначений - перечень полей, идентифицирующих группу затрат.
//
Функция ПереченьПолейПоГруппировкеЗатрат(Документ, ГруппировкаЗатрат) Экспорт
```

Пример вызова
```bsl
Результат = ГруппыЗатратСервер.ПереченьПолейПоГруппировкеЗатрат(Документ, ГруппировкаЗатрат) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
