---
title: Давальческая схема
slug: erp-uh/давальческая-схема
---


## ДобавитьЭтап_ОстаткиПриемаВПереработку2_4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца
// 	ТекущийРодитель - Строка - идентификатор группы.
//
Процедура ДобавитьЭтап_ОстаткиПриемаВПереработку2_4(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ДобавитьЭтап_ОстаткиПриемаВПереработку2_4(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ОстаткиПриемаВПереработку2_4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчики этапа
//
// Параметры:
// 	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки
//
Процедура Использование_ОстаткиПриемаВПереработку2_4(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.Использование_ОстаткиПриемаВПереработку2_4(ПараметрыОбработчика) 
```
</details>

## Оформление_ОстаткиПриемаВПереработку2_4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оформляет этап закрытия месяца.
//
// Параметры:
// 	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки
//
Процедура Оформление_ОстаткиПриемаВПереработку2_4(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.Оформление_ОстаткиПриемаВПереработку2_4(ПараметрыОбработчика) 
```
</details>

## ОписаниеПроверок_ОстаткиПриемаВПереработку2_4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверки состояния системы, относящиеся к этапу.
//
// Параметры:
// 	ТаблицаПроверок - см. АудитСостоянияСистемы.ТаблицаПроверокСостоянияСистемы
//
Процедура ОписаниеПроверок_ОстаткиПриемаВПереработку2_4(ТаблицаПроверок) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ОписаниеПроверок_ОстаткиПриемаВПереработку2_4(ТаблицаПроверок) 
```
</details>

## ПроверкаОстаткиПриемаВПереработку2_4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрация ошибок.
//
// Параметры:
// 	ПараметрыПроверки - см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки
//
Процедура ПроверкаОстаткиПриемаВПереработку2_4(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ПроверкаОстаткиПриемаВПереработку2_4(ПараметрыПроверки) 
```
</details>

## ДобавитьЭтап_ОстаткиКОформлениюОтчетовДавальцам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца
// 	ТекущийРодитель - Строка - идентификатор группы.
//
Процедура ДобавитьЭтап_ОстаткиКОформлениюОтчетовДавальцам(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ДобавитьЭтап_ОстаткиКОформлениюОтчетовДавальцам(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ОстаткиКОформлениюОтчетовДавальцам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчики этапа
//
// Параметры:
// 	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки
//
Процедура Использование_ОстаткиКОформлениюОтчетовДавальцам(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.Использование_ОстаткиКОформлениюОтчетовДавальцам(ПараметрыОбработчика) 
```
</details>

## Оформление_ОстаткиКОформлениюОтчетовДавальцам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оформляет этап закрытия месяца.
//
// Параметры:
// 	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки
//
Процедура Оформление_ОстаткиКОформлениюОтчетовДавальцам(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.Оформление_ОстаткиКОформлениюОтчетовДавальцам(ПараметрыОбработчика) 
```
</details>

## ОписаниеПроверок_ОстаткиКОформлениюОтчетовДавальцам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверки состояния системы, относящиеся к этапу.
//
// Параметры:
// 	ТаблицаПроверок - см. АудитСостоянияСистемы.ТаблицаПроверокСостоянияСистемы
//
Процедура ОписаниеПроверок_ОстаткиКОформлениюОтчетовДавальцам(ТаблицаПроверок) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ОписаниеПроверок_ОстаткиКОформлениюОтчетовДавальцам(ТаблицаПроверок) 
```
</details>

## ПроверкаОстаткиКОформлениюОтчетовДавальцам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрация ошибок.
//
// Параметры:
// 	ПараметрыПроверки - см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки
//
Процедура ПроверкаОстаткиКОформлениюОтчетовДавальцам(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ПроверкаОстаткиКОформлениюОтчетовДавальцам(ПараметрыПроверки) 
```
</details>

## ИспользуетсяДавальческаяСхема
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет использование давальческой схемы 2.4
//
// Параметры:
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации, Неопределено - хозяйственная операция документа
//
// Возвращаемое значение:
//   Булево - Истина, если давальческая схема используется
//
Функция ИспользуетсяДавальческаяСхема(ХозяйственнаяОперация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхема.ИспользуетсяДавальческаяСхема(ХозяйственнаяОперация);
```
</details>

## ЗаполнитьФлагОформитьОтчетДавальцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит "ОформитьОтчетДавальцу" в строках таблицы
//
// Параметры:
//  Таблица - ТабличнаяЧасть               - табличная часть, в котором заполняется реквизит "ОформитьОтчетДавальцу"
//  Объект  - ДокументОбъект, Неопределено - объект владелец табличной части
//
Процедура ЗаполнитьФлагОформитьОтчетДавальцу(Таблица, Объект = Неопределено) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ЗаполнитьФлагОформитьОтчетДавальцу(Таблица, Объект);
```
</details>

## ЗаполнитьПризнакДоступноОформлениеОтчетаДавальцуВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет признак ДоступноОформлениеОтчетаДавальцу в строках таблицы
//
//	Параметры:
//		Форма   - ФормаКлиентскогоПриложения     - форма владелец обрабатываемой таблицы
//		Таблица - ДанныеФормыКоллекция - обрабатываемая таблица
//		Строки  - Массив, Неопределено - массив обрабатываемых строк
//
Процедура ЗаполнитьПризнакДоступноОформлениеОтчетаДавальцуВТаблице(Форма, Таблица, Строки = Неопределено) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ЗаполнитьПризнакДоступноОформлениеОтчетаДавальцуВТаблице(Форма, Таблица, Строки);
```
</details>

## ЗаполнитьПризнакДоступноОформлениеОтчетаДавальцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет служебный реквизит "ДоступноОформлениеОтчетаДавальцу" в строке по данным указанного назначение
//
// Параметры:
//  ТекущаяСтрока		 - Структура - данные обрабатываемой строки.
//  СтруктураДействий	 - Структура - описывает действия, где Ключ - наименование действия,
//  														   Значение - Структура - параметры действия.
//  КэшированныеЗначения - Структура - сохраненные значения параметров, используемых при обработке.
//
Процедура ЗаполнитьПризнакДоступноОформлениеОтчетаДавальцу(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ЗаполнитьПризнакДоступноОформлениеОтчетаДавальцу(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения) 
```
</details>

## ДополнитьТекстЗапросаОформлениеОтчетаДавальцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения доступности оформления отчета давальцу.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧВЦикле.Действия
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//
Процедура ДополнитьТекстЗапросаОформлениеОтчетаДавальцу(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ДополнитьТекстЗапросаОформлениеОтчетаДавальцу(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## ПроверитьПодразделениеДоговораНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Устарело_Переработка24

// Проверяет в договоре назначения заполнение подразделение
//
// Параметры:
//  Объект	- ДокументОбъект - проверяемый документ.
//  ИмяТЧ	- Строка - имя табличной части документа.
//  Отказ	- Булево - результат проверки.
//
Процедура ПроверитьПодразделениеДоговораНазначения(Объект, ИмяТЧ, Отказ) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ПроверитьПодразделениеДоговораНазначения(Объект, ИмяТЧ, Отказ) 
```
</details>

## ПроверитьКорректностьВыбораНазначенияДавальца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Устарело_Переработка24

// Проверяет корректность выбора назначения давальцев в документах с табличными частями
// "ВыходныеИзделия", "ПобочныеИзделия" и "МатериалыИРаботы".
//
// Параметры:
//  Объект            - ДокументОбъект.ЗаказПереработчику2_5, ДокументОбъект.ОтчетПереработчика2_5, ДокументОбъект.ПроизводствоБезЗаказа - проверяемый документ.
//  ПараметрыПроверки - см. ПараметрыПроверкиВыбораНазначенияДавальца
//  Отказ             - Булево - признак проверки.
//
Процедура ПроверитьКорректностьВыбораНазначенияДавальца(Объект, ПараметрыПроверки, Отказ) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.ПроверитьКорректностьВыбораНазначенияДавальца(Объект, ПараметрыПроверки, Отказ) 
```
</details>

## ПараметрыПроверкиВыбораНазначенияДавальца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры проверки выбора назначения давальца.
//
// Возвращаемое значение:
//  Структура - Параметры проверки выбора назначения давальца:
//   * ИмяТЧВыходныеИзделия          - Строка - имя табличной части, в которой указываются выходные изделия
//   * ИмяТЧПобочныеИзделия          - Строка - имя табличной части, в которой указываются побочные изделия
//   * ИмяТЧМатериалыИРаботы         - Строка - имя табличной части, в которой указываются материалы и работы
//   * ДавальческиеТипыНазначений    - Массив из ПеречислениеСсылка.ТипыНазначений - давальческие типы назначений
//   * ДавальческиеГруппировкиЗатрат - Массив из ПеречислениеСсылка.ГруппировкиЗатратВЗаказеПереработчику, ПеречислениеСсылка.ГруппировкиЗатратВПроизводствеБезЗаказа - давальческие группировки затрат
//
Функция ПараметрыПроверкиВыбораНазначенияДавальца() Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхема.ПараметрыПроверкиВыбораНазначенияДавальца() 
```
</details>

## ХозяйственнаяОперацияПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет для переданного массива назначений, хозяйственную операцию производства:
// "Производство из двальческого сырья", "Производство из двальческого сырья 2.5", "Собственное производство".
// Параметры:
//  Назначения - Массив Из СправочникСсылка.Назначения
// Возвращаемое значение:
//  ПеречислениеСсылка.ХозяйственныеОперации - операция, если все назначения можно оформить одним заказом на производство
//  Неопределено - если нужно оформлять разные заказы с разными операциями.
Функция ХозяйственнаяОперацияПроизводства(Назначения) Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхема.ХозяйственнаяОперацияПроизводства(Назначения) 
```
</details>

## УстановитьУсловноеОформлениеПоляОформитьОтчетДавальцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление поля "Оформить отчет давальцу"
//
// Параметры:
//  Форма          - ФормаКлиентскогоПриложения - форма, для которой настраивается условное оформление
//	ИмяОбъекта     - Строка           - имя объекта
//  ИмяТЧ          - Строка           - имя таблицы формы
//  ПутьКЭлементам - Строка           - путь к элементам формы
//
Процедура УстановитьУсловноеОформлениеПоляОформитьОтчетДавальцу(Форма, ИмяОбъекта, ИмяТЧ, ПутьКЭлементам = "") Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.УстановитьУсловноеОформлениеПоляОформитьОтчетДавальцу(Форма, ИмяОбъекта, ИмяТЧ, ПутьКЭлементам);
```
</details>

## УстановитьУсловноеОформлениеПоляОформитьОтчетДавальцуОтмененныхСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление для "Оформить отчет давальцу" для отменных строк
//
// Параметры:
//  Форма          - ФормаКлиентскогоПриложения - форма, для которой настраивается условное оформление
//	ИмяОбъекта     - Строка           - имя объекта
//  ИмяТЧ          - Строка           - имя таблицы формы
//  ПутьКЭлементам - Строка           - путь к элементам формы
//
Процедура УстановитьУсловноеОформлениеПоляОформитьОтчетДавальцуОтмененныхСтрок( Экспорт
```

Пример вызова
```bsl
ДавальческаяСхема.УстановитьУсловноеОформлениеПоляОформитьОтчетДавальцуОтмененныхСтрок();
```
</details>

## РеквизитыПоНазначению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает реквизиты связанные с давальческим назначением.
//  Параметры:
//   Назначение - СправочникСсылка.Назначения - Назначение для которого необходимо определить реквизиты заказа давальца
//                                              к которому оно относится.
//  Возвращаемое значение:
//   Неопределено, Структура - с полями:
//                  * Партнер    - СправочникСсылка.Партнеры - Партнер, указанный в заказе давальца.
//                  * Договор    - СправочникСсылка.ДоговорыКонтрагентов - Договор, указанный в заказе давальца.
//                  * Контрагент - СправочникСсылка.Контрагенты - Контрагент, указанный в заказе давальца.
//
Функция РеквизитыПоНазначению(Назначение) Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхема.РеквизитыПоНазначению(Назначение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
