---
title: Давальческая схема клиент сервер
slug: erp-uh/давальческая-схема-клиент-сервер
---


## ДобавитьДействиеЗаполнитьПризнакДоступноОформлениеОтчетаДавальцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет действие "ЗаполнитьПризнакДоступноОформлениеОтчетаДавальцу" в структуру действий
//
// Параметры:
//  Форма             - ФормаКлиентскогоПриложения - форма, в которой формируется структура действий
//  СтруктураДействий - Структура        - структура действий
//
Процедура ДобавитьДействиеЗаполнитьПризнакДоступноОформлениеОтчетаДавальцу(Форма, СтруктураДействий) Экспорт
```

Пример вызова
```bsl
ДавальческаяСхемаКлиентСервер.ДобавитьДействиеЗаполнитьПризнакДоступноОформлениеОтчетаДавальцу(Форма, СтруктураДействий) 
```
</details>

## ХозяйственнаяОперацияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственную операцию договора.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ХозяйственныеОперации -
//
Функция ХозяйственнаяОперацияДоговора() Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхемаКлиентСервер.ХозяйственнаяОперацияДоговора() 
```
</details>

## СинонимДокументаПриемкаТоваровНаХранение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает синоним документа ПриемкаТоваровНаХранение в давальческой схеме
//
// Возвращаемое значение:
//  Строка -
//
Функция СинонимДокументаПриемкаТоваровНаХранение() Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхемаКлиентСервер.СинонимДокументаПриемкаТоваровНаХранение() 
```
</details>

## СинонимДокументаОтгрузкаТоваровСХраненияПередачаДавальцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает "Передача давальцу" как синоним документа ОтгрузкаТоваровСХранения
//
// Возвращаемое значение:
//  Строка -
//
Функция СинонимДокументаОтгрузкаТоваровСХраненияПередачаДавальцу() Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхемаКлиентСервер.СинонимДокументаОтгрузкаТоваровСХраненияПередачаДавальцу() 
```
</details>

## СинонимДокументаОтгрузкаТоваровСХраненияВозвратДавальцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает "Возврат сырья давальцу" как синоним документа ОтгрузкаТоваровСХранения
//
// Возвращаемое значение:
//  Строка -
//
Функция СинонимДокументаОтгрузкаТоваровСХраненияВозвратДавальцу() Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхемаКлиентСервер.СинонимДокументаОтгрузкаТоваровСХраненияВозвратДавальцу() 
```
</details>

## СинонимДокументаВыкупПринятыхНаХранениеТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает "Выкуп товаров давальца" как синоним документа ВыкупПринятыхНаХранениеТоваров
//
// Возвращаемое значение:
//  Строка -
//
Функция СинонимДокументаВыкупПринятыхНаХранениеТоваров() Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхемаКлиентСервер.СинонимДокументаВыкупПринятыхНаХранениеТоваров() 
```
</details>

## СинонимДокументаОтчетОСписанииТоваровСХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает "Выкуп товаров давальца" как синоним документа ОтчетОСписанииТоваровСХранения
//
// Возвращаемое значение:
//  Строка -
//
Функция СинонимДокументаОтчетОСписанииТоваровСХранения() Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхемаКлиентСервер.СинонимДокументаОтчетОСписанииТоваровСХранения() 
```
</details>

## СинонимДокументаАктОРасхожденияхПередачаДавальцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает синоним акта о расхождении для передачи давальцу
//
// Возвращаемое значение:
//  Строка -
//
Функция СинонимДокументаАктОРасхожденияхПередачаДавальцу() Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхемаКлиентСервер.СинонимДокументаАктОРасхожденияхПередачаДавальцу() 
```
</details>

## СинонимДокументаАктОРасхожденияхВозвратСырьяДавальцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает синоним акта о расхождении для возврата сырья давальцу
//
// Возвращаемое значение:
//  Строка -
//
Функция СинонимДокументаАктОРасхожденияхВозвратСырьяДавальцу() Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхемаКлиентСервер.СинонимДокументаАктОРасхожденияхВозвратСырьяДавальцу() 
```
</details>

## КлючНазначенияДокументыПриемаВПереработку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Ключ назначения документы приема в переработку.
//
// Возвращаемое значение:
//  Строка - Ключ назначения документы приема в переработку
//
Функция КлючНазначенияДокументыПриемаВПереработку() Экспорт
```

Пример вызова
```bsl
Результат = ДавальческаяСхемаКлиентСервер.КлючНазначенияДокументыПриемаВПереработку() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
