---
title: Данные нагрузки и рентабельности
slug: erp-uh/данные-нагрузки-и-рентабельности
---


## ЗначениеПоказателейПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру с показателями налоговой нагрузки и рентабельности по переданным коду ОКВЭД и году.
//
// Параметры:
//  КодОКВЭД - Строка - код вида деятельности, для которого нужно получить показатели.
//  ДатаПолученияПоказателей - Дата - Год по которому необходимо получить показатели.
//  УчитыватьИерархию - Булево - Признак поиска показателей кода ОКВЭД вверх по иерархии.
// Возвращаемое значение:
//  Неопределено - если показатели не найдены.
//  Структура - данные показателей.
//    * НаименованиеВидаДеятельности - Строка - наименование вида деятельности.
//    * НалоговаяНагрузка - Число, Неопределено - показатель налоговой нагрузки, Неопределено - данные не заданы,
//        указывается явно, т.к. 0 может являться значением.
//    * РентабельностьПродаж - Число, Неопределено - показатель рентабельности продаж, Неопределено - данные не заданы,
//        указывается явно, т.к. 0 может являться значением.
//    * РентабельностьАктивов - Число, Неопределено - показатель рентабельности активов,
//        Неопределено - данные не заданы, указывается явно, т.к. 0 может являться значением.
//
Функция ЗначениеПоказателейПоКоду(КодОКВЭД, ДатаПолученияПоказателей, УчитыватьИерархию = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ДанныеНагрузкиИРентабельности.ЗначениеПоказателейПоКоду(КодОКВЭД, ДатаПолученияПоказателей, УчитыватьИерархию);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
