---
title: Даты запрета изменения локализация
slug: erp-uh/даты-запрета-изменения-локализация
---


## ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из переопределяемого модуля.
// см. ДатыЗапретаИзмененияПереопределяемый.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
//
Процедура ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
ДатыЗапретаИзмененияЛокализация.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) 
```
</details>

## НастройкаИнтерфейса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет изменить работу интерфейса при встраивании.
// см. ДатыЗапретаИзмененияПереопределяемый.НастройкаИнтерфейса
//
Процедура НастройкаИнтерфейса(НастройкиРаботыИнтерфейса) Экспорт
```

Пример вызова
```bsl
ДатыЗапретаИзмененияЛокализация.НастройкаИнтерфейса(НастройкиРаботыИнтерфейса) 
```
</details>

## ПриЗаполненииРазделовДатЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет разделы дат запрета изменения, используемые при настройке дат запрета.
// Если не указать ни одного раздела, тогда будет доступна только настройка общей даты запрета.
//
// см. ДатыЗапретаИзмененияПереопределяемый.ПриЗаполненииРазделовДатЗапретаИзменения
//
Процедура ПриЗаполненииРазделовДатЗапретаИзменения(Разделы) Экспорт
```

Пример вызова
```bsl
ДатыЗапретаИзмененияЛокализация.ПриЗаполненииРазделовДатЗапретаИзменения(Разделы) 
```
</details>

## ПередПроверкойЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Позволяет переопределить выполнение проверки запрета изменения произвольным образом.
// см. ДатыЗапретаИзмененияПереопределяемый.ПередПроверкойЗапретаИзменения
//
Процедура ПередПроверкойЗапретаИзменения(Объект, Экспорт
```

Пример вызова
```bsl
ДатыЗапретаИзмененияЛокализация.ПередПроверкойЗапретаИзменения(Объект, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
