---
title: Движения бюджетирование УХ
slug: erp-uh/движения-бюджетирование-ух
---


## ОбновитьПоказателиПроектовПриПроведенииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обновляет показатели проектов при проведении
//  документов "Заявка на операцию", "Оперативный план", "Отражение фактических данных".
//
// Параметры:
//  ДокументОбъект	 - 	ДокументОбъект.ЗаявкаНаОперацию, ДокументОбъект.ОперативныйПлан, ДокументОбъект.ОтражениеФактическихДанных - Документ, который мы проводим.
//
Процедура ОбновитьПоказателиПроектовПриПроведенииДокумента(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ОбновитьПоказателиПроектовПриПроведенииДокумента(ДокументОбъект) 
```
</details>

## ЗаполнитьАналитикуРегистраПоРаскрытию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьАналитикуРегистраПоРаскрытию(РабочийОбъект,ВидБюджета,СтрокаЗаписи,СтрокаПоказатель,СтрокаРаскрытия) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ЗаполнитьАналитикуРегистраПоРаскрытию(РабочийОбъект, ВидБюджета, СтрокаЗаписи, СтрокаПоказатель, СтрокаРаскрытия) 
```
</details>

## ЗаполнитьАналитикуПлановПоРаскрытию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Аналог процедуры ЗаполнитьАналитикуРегистраПоРаскрытию для формирования таблицы (Опер)Планов для дальнейшего формирования таблицы лимитов.
Процедура ЗаполнитьАналитикуПлановПоРаскрытию(РабочийОбъект,ВидБюджета,СтрокаЗаписи,СтрокаПоказатель,СтрокаРаскрытия) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ЗаполнитьАналитикуПлановПоРаскрытию(РабочийОбъект, ВидБюджета, СтрокаЗаписи, СтрокаПоказатель, СтрокаРаскрытия) 
```
</details>

## ОбработатьТаблицуДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьТаблицуДвижений(ДокументОбъект, Знач ВидБюджета,ТаблицаДвижений,Отказ=Ложь,ЕстьКолонкиБюджетов=Истина, ПризнакБюджета = Неопределено) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ОбработатьТаблицуДвижений(ДокументОбъект, ВидБюджета, ТаблицаДвижений, Отказ, ЕстьКолонкиБюджетов, ПризнакБюджета);
```
</details>

## ОбновитьПоказателиОтчетовПоОперативнымДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПоказателиОтчетовПоОперативнымДанным(ВидБюджета,ТаблицаПоказателей) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ОбновитьПоказателиОтчетовПоОперативнымДанным(ВидБюджета, ТаблицаПоказателей) 
```
</details>

## ДобавитьСписаниеПлана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьСписаниеПлана(ТаблицаДвижений,СценарийРасход,СценарийПриход,Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ДобавитьСписаниеПлана(ТаблицаДвижений, СценарийРасход, СценарийПриход, Ссылка) 
```
</details>

## ПолучитьПериодКонтроля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПериодКонтроля(Дата,ВидБюджета) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ПолучитьПериодКонтроля(Дата, ВидБюджета) 
```
</details>

## ВернутьТекущиеОстаткиПоДокументуПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТекущиеОстаткиПоДокументуПланирования(ДокументПланирования, ВидБюджета, ПриходРасход=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ВернутьТекущиеОстаткиПоДокументуПланирования(ДокументПланирования, ВидБюджета, ПриходРасход);
```
</details>

## ПереоценитьДвиженияБюджетированияПоПозициям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПереоценитьДвиженияБюджетированияПоПозициям(ПлатежнаяПозиция, ПараметрыПлатежнойПозиции) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ПереоценитьДвиженияБюджетированияПоПозициям(ПлатежнаяПозиция, ПараметрыПлатежнойПозиции)
```
</details>

## ВидыАналитикСтатей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает виды аналитик статей некоторого вида бюджета.
// Вид бюджета определяется по первой статье из списка.
//
// Параметры:
//  СтатьиБюджета	 - 	Массив, - Перечень статей, для которых требуется получить виды аналитик
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица, содержащая необходимые параметры.
//
Функция ВидыАналитикСтатей(СтатьиБюджета, ВидБюджета = неопределено, ТолькоЛимитируемыеАналитики = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ВидыАналитикСтатей(СтатьиБюджета, ВидБюджета, ТолькоЛимитируемыеАналитики);
```
</details>

## АктуализироватьДанныеПоПроекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ДЛЯ АКТУАЛИЗАЦИИ ДАННЫХ ПО ПРОЕКТАМ

Процедура АктуализироватьДанныеПоПроекту(СценарийАктуализации, Проект=Неопределено) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.АктуализироватьДанныеПоПроекту(СценарийАктуализации, Проект);
```
</details>

## РассчитатьПоказателиЭффективностиПоПроекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РассчитатьПоказателиЭффективностиПоПроекту(Проект) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.РассчитатьПоказателиЭффективностиПоПроекту(Проект) 
```
</details>

## ПолучитьАтрибутПроекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьАтрибутПроекта(Сценарий,Проект,ИмяАтрибута) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ПолучитьАтрибутПроекта(Сценарий, Проект, ИмяАтрибута) 
```
</details>

## РассчитатьПоказателиЭффективности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РассчитатьПоказателиЭффективности(Сценарий,Проект,СтавкаДисконтирования=Неопределено) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.РассчитатьПоказателиЭффективности(Сценарий, Проект, СтавкаДисконтирования);
```
</details>

## ПолучитьЗначенияПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначенияПоказателей(МассивПоказателей,Сценарий,ВалютаОтчета,Проект=Неопределено,Организация=Неопределено,ПериодОтчета=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ПолучитьЗначенияПоказателей(МассивПоказателей, Сценарий, ВалютаОтчета, Проект, Организация, ПериодОтчета);
```
</details>

## ПолучитьДанныеПоДвижениюДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеПоДвижениюДС(СтруктураПоказателей, Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ПолучитьДанныеПоДвижениюДС(СтруктураПоказателей, );
```
</details>

## ПолучитьСтруктуруДанныхДляКорректировкиПланов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруДанныхДляКорректировкиПланов(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ПолучитьСтруктуруДанныхДляКорректировкиПланов(Ссылка) 
```
</details>

## ОбработатьИзменениеДвиженийПоПроектам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьИзменениеДвиженийПоПроектам(СтруктураДанныхСтар,СтруктураДанныхНов) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ОбработатьИзменениеДвиженийПоПроектам(СтруктураДанныхСтар, СтруктураДанныхНов) 
```
</details>

## ОбновитьДанныеПоПроектам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьДанныеПоПроектам(СтруктураДанных) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ОбновитьДанныеПоПроектам(СтруктураДанных));
```
</details>

## РассчитатьNPV
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьNPV(ТаблицаПериодов,НормаДоходностиГодовая,Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.РассчитатьNPV(ТаблицаПериодов, НормаДоходностиГодовая, Периодичность) 
```
</details>

## РассчитатьPBP
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьPBP(ТаблицаПериодов,НормаДоходностиГодовая,Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.РассчитатьPBP(ТаблицаПериодов, НормаДоходностиГодовая, Периодичность) 
```
</details>

## РассчитатьPI
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьPI(ТаблицаПериодов,НормаДоходностиГодовая,Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.РассчитатьPI(ТаблицаПериодов, НормаДоходностиГодовая, Периодичность) 
```
</details>

## РассчитатьIRR
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьIRR(ТаблицаПериодов,НормаДоходностиГодовая,Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.РассчитатьIRR(ТаблицаПериодов, НормаДоходностиГодовая, Периодичность) 
```
</details>

## ОбновитьСводныеПоказателиПроектовПоБюджетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСводныеПоказателиПроектовПоБюджетам(Сценарий,Проект) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ОбновитьСводныеПоказателиПроектовПоБюджетам(Сценарий, Проект) 
```
</details>

## РассчитатьЗависимыеЭкземплярыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ДЛЯ ПЕРЕСЧЕТА ЗАВИСИМЫХ ЭКЗЕМПЛЯРОВ ОТЧЕТОВ

Процедура РассчитатьЗависимыеЭкземплярыОтчетов(ИсходныйЭкземплярОтчета,МассивЭкземпляров) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.РассчитатьЗависимыеЭкземплярыОтчетов(ИсходныйЭкземплярОтчета, МассивЭкземпляров) 
```
</details>

## ОбновитьЭкземплярОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьЭкземплярОтчета(ДокументСсылка,МассивЭкземпляров,ОсновнаяВалюта) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ОбновитьЭкземплярОтчета(ДокументСсылка, МассивЭкземпляров, ОсновнаяВалюта));
```
</details>

## ИзменитьЗначенияДляОтчетовПоВнутригрупповымОперациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьЗначенияДляОтчетовПоВнутригрупповымОперациям(ОбъектРасчета,ДеревоОтчетов) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ИзменитьЗначенияДляОтчетовПоВнутригрупповымОперациям(ОбъектРасчета, ДеревоОтчетов) 
```
</details>

## РассчитатьЗависимыеПоказателиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗависимыеПоказателиОтчетов(ОбъектРасчета,СтруктураКлючевыхРеквизитов,ТрассировкаРасчета=Ложь,ПересчитыватьТекущие=Истина) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.РассчитатьЗависимыеПоказателиОтчетов(ОбъектРасчета, СтруктураКлючевыхРеквизитов, ТрассировкаРасчета, ПересчитыватьТекущие);
```
</details>

## ОбработатьНастраиваемыеПравила
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Обработать настраиваемые правила для документа Источник
//
// Параметры:
//  Источник - ДокументСсылка - Ссылка, на документ, на основании которого будут выполнены настраиваемые правила
//  Отказ	 - Булево	 - Истина, если есть ошибки и требуется отказаться от выполнения операции
//
Процедура ОбработатьНастраиваемыеПравила(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ОбработатьНастраиваемыеПравила(Источник, Отказ) 
```
</details>

## ОбработатьНастраиваемыеПравилаПриОтменеПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьНастраиваемыеПравилаПриОтменеПроведения(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ОбработатьНастраиваемыеПравилаПриОтменеПроведения(Источник, Отказ) 
```
</details>

## ЗавершитьОбработкуОбъектаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗавершитьОбработкуОбъектаБД(ДанныеОбъекта) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ЗавершитьОбработкуОбъектаБД(ДанныеОбъекта) 
```
</details>

## СформироватьЗаявкиПоПериодическимОперациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ДЛЯ РАБОТЫ С ПЕРИОДИЧЕСКИМИ ОПЕРАЦИЯМИ

Процедура СформироватьЗаявкиПоПериодическимОперациям(ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.СформироватьЗаявкиПоПериодическимОперациям(ДоговорКонтрагента) 
```
</details>

## ПроверитьНеобходимостьУстановкиСтатусаЧерновик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьНеобходимостьУстановкиСтатусаЧерновик(Объект, РежимЗаписи) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.ПроверитьНеобходимостьУстановкиСтатусаЧерновик(Объект, РежимЗаписи) 
```
</details>

## УстановитьСтатусЧерновикПриНеобходимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьСтатусЧерновикПриНеобходимости(Объект, ЭтоНовыйОбъектВход = Ложь) Экспорт
```

Пример вызова
```bsl
ДвиженияБюджетированиеУХ.УстановитьСтатусЧерновикПриНеобходимости(Объект, ЭтоНовыйОбъектВход);
```
</details>

## КурсСУчетомВалютногоКоридора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение курса с поправкой на валютный коридор [КурсНеМенееВход; КурсНеБолееВход]
Функция КурсСУчетомВалютногоКоридора(КурсВход, КурсНеМенееВход, КурсНеБолееВход, КурсПлатежаНеМенееВВалютеОплаты = 1, КурсПлатежаНеБолееВВалютеОплаты = 1) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.КурсСУчетомВалютногоКоридора(КурсВход, КурсНеМенееВход, КурсНеБолееВход, КурсПлатежаНеМенееВВалютеОплаты, КурсПлатежаНеБолееВВалютеОплаты);
```
</details>

## ПолучитьАктуальныйКурсПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьАктуальныйКурсПоПараметрам(Знач ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ПолучитьАктуальныйКурсПоПараметрам(ПараметрыРасчета) 
```
</details>

## ПолучитьФиксированныйКурс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьФиксированныйКурс(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ПолучитьФиксированныйКурс(ПараметрыРасчета));
```
</details>

## ПолучитьЗначениеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбщегоНазначенияУХ.ПолучитьЗначениеПоУмолчанию
Функция ПолучитьЗначениеПоУмолчанию(Настройка, Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХ.ПолучитьЗначениеПоУмолчанию(Настройка, Пользователь);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
