---
title: Движения бюджетирование УХ вызов сервера
slug: erp-uh/движения-бюджетирование-ух-вызов-сервера
---


## ВидыАналитикСтатьи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Функция возвращает структуру видов аналитик статьи бюджета.
//
// Параметры:
//  СтатьяБюджета	 - 	 СправочникСсылка.СтатьиДвиженияДенежныхСредств, СправочникСсылка.СтатьиДоходовИРасходов,
// СправочникСсылка.СтатьиДвиженияРесурсов- статья бюджета, для которой необходимо получить аналитики
//  ТолькоЛимитируемыеАналитики - Булево - Если Истина, то возвращаются только лимитируемые аналитики. Значение по умолчанию Ложь
//
// Возвращаемое значение:
//  Структура - Структура, содержащая виды аналитик.
//
Функция ВидыАналитикСтатьи(СтатьяБюджета, ТолькоЛимитируемыеАналитики = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХВызовСервера.ВидыАналитикСтатьи(СтатьяБюджета, ТолькоЛимитируемыеАналитики);
```
</details>

## ФункциональныеНаправленияЦФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает Функциональные направления, статьи которых доступны для данного ЦФО.
//
// Параметры:
//  ЦФО	 - 	СправочникСсылка.Организации - ЦФО, для которого определяются функциональные направления.
//
// Возвращаемое значение:
//  Массив - массив элементов
//
Функция ФункциональныеНаправленияЦФО(Знач ЦФО) Экспорт
```

Пример вызова
```bsl
Результат = ДвиженияБюджетированиеУХВызовСервера.ФункциональныеНаправленияЦФО(ЦФО) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
