---
title: Действия согласование УХ клиент
slug: erp-uh/действия-согласование-ух-клиент
---


## Подключаемый_ПринятьКОбработкеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль хранит универсальные команды работы с согласованием в контексте
// клиентского кода.
////////////////////////////////////////////////////////////////////////////////

Процедура Подключаемый_ПринятьКОбработкеЗавершение(РезультатВопроса = Неопределено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.Подключаемый_ПринятьКОбработкеЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ОтправитьНаСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправитьНаСогласование(Ссылка, Форма) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ОтправитьНаСогласование(Ссылка, Форма) 
```
</details>

## СнятьСОбработкиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СнятьСОбработкиЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.СнятьСОбработкиЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ОтменитьСогласованиеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтменитьСогласованиеЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ОтменитьСогласованиеЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ВвестиЗаявкуНаИзменениеЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВвестиЗаявкуНаИзменениеЭлемента(Ссылка) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ВвестиЗаявкуНаИзменениеЭлемента(Ссылка) 
```
</details>

## ВвестиЗаявкуНаУдалениеЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВвестиЗаявкуНаУдалениеЭлемента(Ссылка) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ВвестиЗаявкуНаУдалениеЭлемента(Ссылка) 
```
</details>

## ПолучитьСтруктуруПараметровОткрытияФормыСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, в которой содержатся параметры формы
// согласования для объекта или группы объектов ВыбранныеЭлементыВход.
Функция ПолучитьСтруктуруПараметровОткрытияФормыСогласования(ВыбранныеЭлементыВход) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХКлиент.ПолучитьСтруктуруПараметровОткрытияФормыСогласования(ВыбранныеЭлементыВход));
```
</details>

## СогласованиеИзФормыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет отправку на согласование из формы списка объекта.
Процедура СогласованиеИзФормыСписка(Форма, СсылкаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.СогласованиеИзФормыСписка(Форма, СсылкаВход);
```
</details>

## СогласованиеИзФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет отправку на согласование из формы объекта.
Процедура СогласованиеИзФормыОбъекта(Форма, Ссылка) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.СогласованиеИзФормыОбъекта(Форма, Ссылка));
```
</details>

## ОбработкаОповещенияФормыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет обработку оповещения формы списка объекта в контексте согласования.
Процедура ОбработкаОповещенияФормыСписка(ИмяСобытияВход, ЭлементСписокВход) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ОбработкаОповещенияФормыСписка(ИмяСобытияВход, ЭлементСписокВход) 
```
</details>

## ИзменитьСостояниеЗаявкиКлиент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выставляет объекту формы Форма новый статус СтатусВход.
Процедура ИзменитьСостояниеЗаявкиКлиент(СтатусВход, Форма) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ИзменитьСостояниеЗаявкиКлиент(СтатусВход, Форма) 
```
</details>

## ПринятьКСогласованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ ОБРАБОТКИ КОМАНД ИНТЕРФЕЙСА СОГЛАСОВАНИЯ.
//

Процедура ПринятьКСогласованию(Форма, Ссылка) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ПринятьКСогласованию(Форма, Ссылка) 
```
</details>

## СогласоватьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СогласоватьДокумент(Форма, СсылкаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.СогласоватьДокумент(Форма, СсылкаВход);
```
</details>

## ПослеВводаПричиныОтменыСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеВводаПричиныОтменыСогласования(Значение, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ПослеВводаПричиныОтменыСогласования(Значение, ДополнительныеПараметры) 
```
</details>

## ОтменитьСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтменитьСогласование(Форма = Неопределено, СсылкаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ОтменитьСогласование(Форма, СсылкаВход);
```
</details>

## ИсторияСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИсторияСогласования(Форма, Ссылка) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ИсторияСогласования(Форма, Ссылка) 
```
</details>

## МаршрутСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура МаршрутСогласования(Форма, Ссылка) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.МаршрутСогласования(Форма, Ссылка) 
```
</details>

## ТелеграмВложенныеФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТелеграмВложенныеФайлы(Форма, Ссылка) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХКлиент.ТелеграмВложенныеФайлы(Форма, Ссылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
