---
title: Действия согласование УХ сервер
slug: erp-uh/действия-согласование-ух-сервер
---


## ВернутьЦФОПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль хранит универсальные команды работы с согласованием в контексте
// серверного кода.
////////////////////////////////////////////////////////////////////////////////

Функция ВернутьЦФОПоОбъекту(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ВернутьЦФОПоОбъекту(Ссылка) 
```
</details>

## ВозможноПроведениеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВозможноПроведениеОбъекта(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ВозможноПроведениеОбъекта(Ссылка) 
```
</details>

## УстановитьТекущегоОтветственного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьТекущегоОтветственного(Форма) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХСервер.УстановитьТекущегоОтветственного(Форма) 
```
</details>

## УстановитьДоступностьЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьДоступностьЭлементов(Форма, Доступность, ТипСсылки = Неопределено) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХСервер.УстановитьДоступностьЭлементов(Форма, Доступность, ТипСсылки);
```
</details>

## ОпределитьСостояниеЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет доступность элементов согласования формы, в зависимости
// от статуса согласования.
Процедура ОпределитьСостояниеЗаявки(Форма, ОбновитьОтветственныхВход = Ложь) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХСервер.ОпределитьСостояниеЗаявки(Форма, ОбновитьОтветственныхВход);
```
</details>

## ОпределитьСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьСостояние(Форма) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХСервер.ОпределитьСостояние(Форма) 
```
</details>

## ПользовательИмеетПравоУтверждатьЗаявку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПользовательИмеетПравоУтверждатьЗаявку(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ПользовательИмеетПравоУтверждатьЗаявку(Форма) 
```
</details>

## ПолучитьЗаявкуНСИИзменение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗаявкуНСИИзменение(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ПолучитьЗаявкуНСИИзменение(Ссылка) 
```
</details>

## ПолучитьЗаявкуНСИУдаление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗаявкуНСИУдаление(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ПолучитьЗаявкуНСИУдаление(Ссылка) 
```
</details>

## СуществуетРабочаяЗаявка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция  СуществуетРабочаяЗаявка(ВидЗаявки, Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.СуществуетРабочаяЗаявка(ВидЗаявки, Ссылка));
```
</details>

## ПолучитьСостояниеСогласования_Черновик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСостояниеСогласования_Черновик(ТипОбъектаСогласования) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ПолучитьСостояниеСогласования_Черновик(ТипОбъектаСогласования));
```
</details>

## ПолучитьСостояниеСогласования_НаУтверждении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСостояниеСогласования_НаУтверждении(ТипОбъектаСогласования) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ПолучитьСостояниеСогласования_НаУтверждении(ТипОбъектаСогласования));
```
</details>

## ПолучитьСостояниеСогласования_Отклонен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСостояниеСогласования_Отклонен(ТипОбъектаСогласования) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ПолучитьСостояниеСогласования_Отклонен(ТипОбъектаСогласования));
```
</details>

## ПолучитьСостояниеСогласования_Утвержден
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСостояниеСогласования_Утвержден(ТипОбъектаСогласования) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ПолучитьСостояниеСогласования_Утвержден(ТипОбъектаСогласования) 
```
</details>

## ОпределитьСостояниеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьСостояниеОбъекта(Форма) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХСервер.ОпределитьСостояниеОбъекта(Форма) 
```
</details>

## ВернутьМассивНепроведенныхДокументовВыделенныхСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив ссылок на непроведенных документы из массива выделенных строк СтрокиСогласованияВход.
Функция ВернутьМассивНепроведенныхДокументовВыделенныхСтрок(СтрокиСогласованияВход) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ВернутьМассивНепроведенныхДокументовВыделенныхСтрок(СтрокиСогласованияВход) 
```
</details>

## НайтиПодчиненныйЭлементТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в МассивРезультат имя элемента колонки таблицы, связанного с реквизитом
Процедура НайтиПодчиненныйЭлементТаблицы(КоллекцияЭлементовФормы, МассивРезультат, ИмяТабличнойЧасти, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХСервер.НайтиПодчиненныйЭлементТаблицы(КоллекцияЭлементовФормы, МассивРезультат, ИмяТабличнойЧасти, ИмяРеквизита));
```
</details>

## ПолучитьМассивИменРеквизитаОрганизацииСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив имен реквизитов организации для формы согласуемого объекта ОбъектВход.
Функция ПолучитьМассивИменРеквизитаОрганизацииСогласования(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ПолучитьМассивИменРеквизитаОрганизацииСогласования(Форма) 
```
</details>

## ЗаписатьПредыдущийОбработчикИзмененияОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в таблицу обработчиков события организации при изменении на форме Форма
// текущий обработчик элемента ЭлементОрганизацияВход.
Процедура ЗаписатьПредыдущийОбработчикИзмененияОрганизации(Форма, ЭлементОрганизацияВход) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХСервер.ЗаписатьПредыдущийОбработчикИзмененияОрганизации(Форма, ЭлементОрганизацияВход) 
```
</details>

## УстановитьДействиеПриИзмененииСогласованияОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает новое действие ПриИзменении для реквизитов организации на этой форме.
Функция УстановитьДействиеПриИзмененииСогласованияОрганизации(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.УстановитьДействиеПриИзмененииСогласованияОрганизации(Форма) 
```
</details>

## НарисоватьПанельСогласованияИОпределитьСостояниеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит на форму Форма панель согласования и устанавливает обработчики событий
// для элементов панели.
Процедура НарисоватьПанельСогласованияИОпределитьСостояниеОбъекта(Форма, РодительскаяГруппаВход = неопределено) Экспорт
```

Пример вызова
```bsl
ДействияСогласованиеУХСервер.НарисоватьПанельСогласованияИОпределитьСостояниеОбъекта(Форма, РодительскаяГруппаВход);
```
</details>

## ИзменитьСостояниеЗаявкиСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выставляет объекту формы и его подчиненным объектам Форма новый статус СтатусВход.
Функция ИзменитьСостояниеЗаявкиСервер(ОбъектСогласования, СтатусВход) Экспорт
```

Пример вызова
```bsl
Результат = ДействияСогласованиеУХСервер.ИзменитьСостояниеЗаявкиСервер(ОбъектСогласования, СтатусВход) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
