---
title: Демонстрационные сценарии
slug: erp-uh/демонстрационные-сценарии
---


## СоздатьЭлементыФормыЯзыкиКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает элементы формы для отображения доступных языков
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения  - форма, для которой отображаются языки
//
Процедура СоздатьЭлементыФормыЯзыкиКонфигурации(Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.СоздатьЭлементыФормыЯзыкиКонфигурации(Форма) 
```
</details>

## ДанныеПрисоединенногоФайлаДляФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные присоединенного файла для обработки в форме объекта
//
// Параметры:
//  СсылкаНаПрисоединенныйФайл - СправочникСсылка.ДемонстрационныеСценарииПрисоединенныеФайлы - файл, для которого получаются данные
//
// Возвращаемое значение:
//   Структура   - содержит:
//    *Наименование    - Строка - имя файла
//    *ТекстHTML       - Строка - текст, содержащийся в файле
//    *ДатаМодификации - Дата - дата последнего изменения
//    *Изменил         - СправочникСсылка.Пользователи - автор последнего изменения
//    *Редактируется   - Булево - признак того, что файл сейчас редактируется
//    *ДатаЗахвата     - Дата - дата захвата файла
//    *Редактирует     - СправочникСсылка.Пользователи - пользователь, редактирующий файл в данный момент
//
Функция ДанныеПрисоединенногоФайлаДляФормыОбъекта(СсылкаНаПрисоединенныйФайл) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ДанныеПрисоединенногоФайлаДляФормыОбъекта(СсылкаНаПрисоединенныйФайл) 
```
</details>

## ЯзыкиКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текущие языки конфигурации
//
// Возвращаемое значение:
//   Массив Из Строка -
//
Функция ЯзыкиКонфигурации() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ЯзыкиКонфигурации() 
```
</details>

## СтрокаПредставлениеСЕще
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку для представления объектов конфигурации или профилей в режиме просмотра
//
// Параметры:
//  ЗаголовокПредставления  - Строка - заголовок строки
//  СписокПредставлений     - СписокЗначений - содержит представления объектов
//  МаксимальнаяДлинаСтроки - Число - максимальная длина формируемого представления
//
// Возвращаемое значение:
//   Строка - сформированное представление
//
Функция СтрокаПредставлениеСЕще(ЗаголовокПредставления, СписокПредставлений, МаксимальнаяДлинаСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.СтрокаПредставлениеСЕще(ЗаголовокПредставления, СписокПредставлений, МаксимальнаяДлинаСтроки) 
```
</details>

## ЗагрузитьНастройкуПоВариантуОтображенияФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает сохраненную настройку по варианту отображения формы для пользователя
//
// Параметры:
//  Форма              - ФормаКлиентскогоПриложения  - форма, для которой выполняется действие
//  ДоступныеЗначения  - Массив                      - доступные для текущего пользователя значения
//  МетаданныеОбъекта  - ОбъектМетаданных.Справочник - метаданные объекта
//
Процедура ЗагрузитьНастройкуПоВариантуОтображенияФормы(Форма, ДоступныеЗначения, МетаданныеОбъекта) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.ЗагрузитьНастройкуПоВариантуОтображенияФормы(Форма, ДоступныеЗначения, МетаданныеОбъекта) 
```
</details>

## УстановитьНастройкуПоЯзыкамВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает языки в форме по умолчанию
//
// Параметры:
//  Форма                      - ФормаКлиентскогоПриложения  - форма, для которой выполняется действие
//  ИмяРеквизитаЧтение         - Строка - имя реквизита в котором находится текст для просмотра
//  ИмяРеквизитаРедактирование - Строка - имя реквизита в котором находится текст для редактирования
//
Процедура УстановитьНастройкуПоЯзыкамВФорме(Форма, ИмяРеквизитаЧтение, ИмяРеквизитаРедактирование) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.УстановитьНастройкуПоЯзыкамВФорме(Форма, ИмяРеквизитаЧтение, ИмяРеквизитаРедактирование) 
```
</details>

## ДоступныеВариантыОтображения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступные для пользователя варианты отображения
//
// Параметры:
//  ВключатьРежимПеревод  - Булево - требуется ли включать вариант "Перевод"
//
// Возвращаемое значение:
//   Массив Из Строка - доступные варианты отображения
//
Функция ДоступныеВариантыОтображения(ВключатьРежимПеревод = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ДоступныеВариантыОтображения(ВключатьРежимПеревод);
```
</details>

## ЗаполнитьОписанияСценариев
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет описания сценариев в форме
//
// Параметры:
//  ТекущийОбъект         - СправочникОбъект.ДемонстрационныеСценарии - объект, для которого выполняется действие
//  ОписанияСценарияФорма - ТаблицаЗначений - реквизит формы, в который помещаются описания
//
Процедура ЗаполнитьОписанияСценариев(ТекущийОбъект, ОписанияСценарияФорма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.ЗаполнитьОписанияСценариев(ТекущийОбъект, ОписанияСценарияФорма) 
```
</details>

## ЗаполнитьОписанияСценариевВФормеСценариямиДругогоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет описания сценариев в форме сценариями другого объекта
//
// Параметры:
//  ДругойОбъект          - СправочникОбъект.ДемонстрационныеСценарии - объект, чьими описаниями копируются
//  ОписанияСценарияФорма - ТаблицаЗначений - реквизит формы, в который помещаются описания
//
Процедура ЗаполнитьОписанияСценариевВФормеСценариямиДругогоОбъекта(ДругойОбъект, ОписанияСценарияФорма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.ЗаполнитьОписанияСценариевВФормеСценариямиДругогоОбъекта(ДругойОбъект, ОписанияСценарияФорма) 
```
</details>

## РезультатСозданияПрисоединенногоФайлаСценария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает присоединенный файл сценария
//
// Параметры:
//  ВладелецФайла - СправочникСсылка.ДемонстрационныеСценарии - сценарий для которого создается файл
//  Форма         - ФормаКлиентскогоПриложения  - форма, в которой выполняется действие
//  КодЯзыка       - Строка  - код языка, для которого создается файл
//
// Возвращаемое значение:
//   Структура - содержит:
//     * Успешно            - Булево - признак успешности выполнения операции
//     * ПрисоединенныйФайл - СправочникСсылка.ДемонстрационныеСценарииПрисоединенныеФайлы, Неопределено - ссылка на созданный файл
//     * ТекстОшибки        - Строка - текст ошибки в случае неудачи
//
Функция РезультатСозданияПрисоединенногоФайлаСценария(ВладелецФайла, Форма, КодЯзыка) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.РезультатСозданияПрисоединенногоФайлаСценария(ВладелецФайла, Форма, КодЯзыка) 
```
</details>

## ЗаписатьНовыеОписанияСценариевИзФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись нового присоединенного файла сценария из формы объекта
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения  - форма, в которой выполняется действие
//  ТекущийОбъект - СправочникОбъект.ДемонстрационныеСценарии - сценарий для которого записываются файлы
//  Отказ         - Булево  - признак неудачи выполнения операции
//
Процедура ЗаписатьНовыеОписанияСценариевИзФормыОбъекта(Форма, ТекущийОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.ЗаписатьНовыеОписанияСценариевИзФормыОбъекта(Форма, ТекущийОбъект, Отказ) 
```
</details>

## РезультатОбновленияПрисоединенногоФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет присоединенный файл сценария
//
// Параметры:
//  ПрисоединенныйФайл       - СправочникСсылка.ДемонстрационныеСценарииПрисоединенныеФайлы - обновляемый файл
//  УникальныйИдентификатор  - УникальныйИдентификатор  - идентификатор формы, в которой выполняется действие
//  НовыеДанные              - Строка, ДвоичныеДанные  - новое содержимое файла
//
// Возвращаемое значение:
//   Булево - Истина, если успешно
//
Функция РезультатОбновленияПрисоединенногоФайла(ПрисоединенныйФайл, УникальныйИдентификатор, НовыеДанные) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.РезультатОбновленияПрисоединенногоФайла(ПрисоединенныйФайл, УникальныйИдентификатор, НовыеДанные) 
```
</details>

## ДобавитьРолиЧтениеОбъектовПодсистемыОписаниеПроцессов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет роли чтения подсистемы описание процессов в профиль
//
// Параметры:
//  ОписаниеПрофиля - см.УправлениеДоступом.НовоеОписаниеПрофиляГруппДоступа()
//
Процедура ДобавитьРолиЧтениеОбъектовПодсистемыОписаниеПроцессов(ОписаниеПрофиля) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.ДобавитьРолиЧтениеОбъектовПодсистемыОписаниеПроцессов(ОписаниеПрофиля) 
```
</details>

## ОбработатьПереданныеВФормуОбъектаПараметрыПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает переданные в форму сценария при открытии параметры поиска, если требуется выполнить поиск
//
// Параметры:
//  Форма      - ФормаКлиентскогоПриложения  - форма, для которой выполняется действие
//  Параметры  - Структура - параметеры выполняемого поиска
//
Процедура ОбработатьПереданныеВФормуОбъектаПараметрыПоиска(Форма, Параметры) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.ОбработатьПереданныеВФормуОбъектаПараметрыПоиска(Форма, Параметры) 
```
</details>

## ОбъектДокументHTMLИзТекстаHTML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует объект ДокументHTML из текста HTML
//
// Параметры:
//  ТекстHTML   - Строка - текст из которого будет сформирован объект ДокументHTML
//  Кодировка   - Строка  - кодировка текста
//
// Возвращаемое значение:
//   ДокументHTML - сформированный объект
//
Функция ОбъектДокументHTMLИзТекстаHTML(ТекстHTML, Кодировка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ОбъектДокументHTMLИзТекстаHTML(ТекстHTML, Кодировка);
```
</details>

## РезультатПереводаНаДругиеЯзыки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет перевод
//
// Параметры:
//  ПереводимыйТекст - Строка - текст, который переводится
//  ЯзыкСКоторогоПереводим         - строка  - код языка, с которого выполняется перевод
//  ЯзыкНаКоторыйПереводим         - строка  - код языка, на который выполняется перевод
//
// Возвращаемое значение:
//   Структура - содержит:
//     * Успешно               - Булево - признак успешности выполнения операции
//     * СообщениеПользователю - Строка - текст сообщения пользователю
//     * ПереведенныйТекст     - Строка - результат перевода
//
Функция РезультатПереводаНаДругиеЯзыки(ПереводимыйТекст, ЯзыкСКоторогоПереводим, ЯзыкНаКоторыйПереводим) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.РезультатПереводаНаДругиеЯзыки(ПереводимыйТекст, ЯзыкСКоторогоПереводим, ЯзыкНаКоторыйПереводим) 
```
</details>

## УстановитьЯзыкиКонфигурацииВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Кэширует языки конфигурации в реквизите формы
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения  - форма, в которой выполняется действие
//
Процедура УстановитьЯзыкиКонфигурацииВФорме(Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.УстановитьЯзыкиКонфигурацииВФорме(Форма) 
```
</details>

## ИмяМультиязычногоРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает имя мультиязычного реквизита объекта текущего языка пользователя
//
// Параметры:
//  ИмяРеквизита - Строка - имя реквизита
//  ЯзыкСКоторогоПереводим         - строка  - код языка, с которого выполняется перевод
//
// Возвращаемое значение:
//   Строка - имя мультиязычного реквизита
//
Функция ИмяМультиязычногоРеквизита(ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ИмяМультиязычногоРеквизита(ИмяРеквизита) 
```
</details>

## СброситьРазмерыИПоложениеОкна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод сбросывает размеры и положение окна. Позволяет восстановить размеры формы
// после открытия-закрытия сворачиваемых форм и перерисовки элементов с учетом видимости
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, на которой необходимо сбросить настройки
//
Процедура СброситьРазмерыИПоложениеОкна(Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.СброситьРазмерыИПоложениеОкна(Форма) 
```
</details>

## ВыполнитьПоискВДемонстрационныхСценариях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик фонового задания по поиску в демонстрационных сценариях
//
// Параметры:
//  ПараметрыПоиска - Структура  -
//  АдресХранилища  - Строка  - адрес, по которому будет помещен результат выполнения операции
//
Процедура ВыполнитьПоискВДемонстрационныхСценариях(ПараметрыПоиска, АдресХранилища) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.ВыполнитьПоискВДемонстрационныхСценариях(ПараметрыПоиска, АдресХранилища) 
```
</details>

## ВыполнитьЗаменуВДемонстрационныхСценариях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик фонового задания по выполнению замены в демонстрационных сценариях
//
// Параметры:
//  ПараметрыЗамены - Структура  -
//  АдресХранилища - Строка  - адрес, по которому будет помещен результат выполнения операции
//
Процедура ВыполнитьЗаменуВДемонстрационныхСценариях(ПараметрыЗамены, АдресХранилища) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.ВыполнитьЗаменуВДемонстрационныхСценариях(ПараметрыЗамены, АдресХранилища) 
```
</details>

## УникальныеСсылкиВHTMLДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет уникальные ссылки в HTML документе
//
// Параметры:
//  ТекстСценария   - Строка - текст HTML документа
//
// Возвращаемое значение:
//   Массив из Строка - найденные ссылки
//
Функция УникальныеСсылкиВHTMLДокументе(ТекстСценария) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.УникальныеСсылкиВHTMLДокументе(ТекстСценария) 
```
</details>

## СсылкаНаОбъектПоНавигационнойСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает ссылку на объект по навигационной ссылке
//
// Параметры:
//  НавигационнаяСсылка  - Строка -
//
// Возвращаемое значение:
//   СправочникСсылка, ДокументСсылка, Неопределено - полученная из навигационной ссылки ссылка на объект
//
Функция СсылкаНаОбъектПоНавигационнойСсылке(НавигационнаяСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.СсылкаНаОбъектПоНавигационнойСсылке(НавигационнаяСсылка) 
```
</details>

## ПредставлениеТекущаяВерсияКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление текущей версии конфигурации
//
// Возвращаемое значение:
//   Строка - сформированное представление текущей версии конфигурации
//
Функция ПредставлениеТекущаяВерсияКонфигурации() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ПредставлениеТекущаяВерсияКонфигурации() 
```
</details>

## РезультатПостановкиНаПоддержку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует данные описаний процессов для выгрузки
//
// Параметры:
//  Поставщик  - Строка - строковое представление поставщика описаний процессов
//
// Возвращаемое значение:
//   Структура  - содержит:
//     * Успешно               - Булево - признак того, что отчет сформирован успешно.
//     * СообщенияОбОшибках    - Массив Из Строка - сообщения об ошибках, в случае, если подготовка данных завершилась неудачей.
//     * ПодготовленныеДанные  - Структура - подготовленные данные.
//
Функция РезультатПостановкиНаПоддержку(Поставщик) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.РезультатПостановкиНаПоддержку(Поставщик) 
```
</details>

## ПоставитьОписанияПроцессовНаПоддержкуОтТекущейВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется фоновым заданием по постановке на поддержку описаний процессов от текущей версии.
// Параметры:
//  ПараметрыФормирования  - Структура -
//  АдресХранилища         - Строка - адрес временного хранилища, в которое будут помещены полученные данные
//
Процедура ПоставитьОписанияПроцессовНаПоддержкуОтТекущейВерсии(ПараметрыФормирования, АдресХранилища) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.ПоставитьОписанияПроцессовНаПоддержкуОтТекущейВерсии(ПараметрыФормирования, АдресХранилища) 
```
</details>

## НовыйДанныеРеквизитовОписаниеПроцессов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, содержащей реквизиты справочника "Описание процессов"
//
// Возвращаемое значение:
//  Структура - содержит:
//   *Ссылка               - СправочникСсылка.ДемонстрационныеСценарии -
//   *ПометкаУдаления      - Булево -
//   *ЭтоГруппа            - Булево -
//   *ТипГруппы            - ПеречислениеСсылка.ТипыГруппДемонстрационныхСценариев -
//   *ПолныйКод            - Строка -
//   *Код                  - Строка -
//   *Наименование         - Строка -
//   *НаименованиеЯзык1    - Строка -
//   *НаименованиеЯзык2    - Строка -
//   *Комментарий          - Строка -
//   *Статус               - ПеречислениеСсылка.СтатусыДемонстрационныхСценариев-
//   *ПрофилиГруппДоступа  - ТаблицаЗначений -
//   *ОбъектыКонфигурации  - ТаблицаЗначений -
//
Функция НовыйДанныеРеквизитовОписаниеПроцессов() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.НовыйДанныеРеквизитовОписаниеПроцессов() 
```
</details>

## НовыйДанныеРеквизитовГлоссарий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, содержащей реквизиты справочника "Глоссарий"
//
// Возвращаемое значение:
//  Структура - содержит:
//   *Ссылка               - СправочникСсылка.Глоссарий -
//   *ПометкаУдаления      - Булево -
//   *Код                  - Строка -
//   *Наименование         - Строка -
//   *НаименованиеЯзык1    - Строка -
//   *НаименованиеЯзык2    - Строка -
//   *ОбъектыКонфигурации  - ТаблицаЗначений -
//
Функция НовыйДанныеРеквизитовГлоссарий() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.НовыйДанныеРеквизитовГлоссарий() 
```
</details>

## ТекстJSONРеквизитовГлоссария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует объект JSON по данным справочника Глоссарий
//
// Параметры:
//  ДанныеРеквизитовГлоссария - см.НовыйДанныеРеквизитовГлоссарий()
//
// Возвращаемое значение:
//  Строка -
//
Функция ТекстJSONРеквизитовГлоссария(ДанныеРеквизитовГлоссария) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ТекстJSONРеквизитовГлоссария(ДанныеРеквизитовГлоссария) 
```
</details>

## ТекстJSONРеквизитыОписаниеПроцессов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует объект JSON по данным справочника "Описание процессов"
//
// Параметры:
//  ДанныеРеквизитовГлоссария - см.НовыйДанныеРеквизитовОписаниеПроцессов()
//
// Возвращаемое значение:
//  Строка -
//
Функция ТекстJSONРеквизитыОписаниеПроцессов(ДанныеОписания) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ТекстJSONРеквизитыОписаниеПроцессов(ДанныеОписания) 
```
</details>

## УстановитьКонстантуОписанияПроцессовНаПоддержке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает константу "Описания процессов на поддержке"
//
// Параметры:
//  ДанныеКонфигурации - Строка
//  Поставщик          - Строка
//
Процедура УстановитьКонстантуОписанияПроцессовНаПоддержке(ДанныеКонфигурации, Поставщик) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарии.УстановитьКонстантуОписанияПроцессовНаПоддержке(ДанныеКонфигурации, Поставщик) 
```
</details>

## РезультатЧтенияКонстантыОписанияПроцессовНаПоддержке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Читает данные константы"Описания процессов на поддержке"
//
// Возвращаемое значение:
//  Структура - содержит:
//   * ДанныеКонфигурации - строка
//   * Поставщик          - строка
//
Функция РезультатЧтенияКонстантыОписанияПроцессовНаПоддержке() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.РезультатЧтенияКонстантыОписанияПроцессовНаПоддержке() 
```
</details>

## РезультатЧтенияСтрокиJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Читает строку, в которой содержится JSON
//
// Параметры:
//  Значение                - Строка - переданная строка
//  СообщениеОшибкиФормата  - Строка - сообщение об ошибке которое будет выдано если чтение формата завершится неудачей
//  ПрочитатьВСоответствие  - Булево - признак необходимости преобразовывать прочтенные данные в соответствие
//
// Возвращаемое значение:
//   Структура  -  содержит:
//     * Успешно       - Булево - признак успешности выполнения операции
//     * Данные        - Соответствие -
//     * ТекстОшибки   - Строка - текст ошибки, если операция закончилась
//
Функция РезультатЧтенияСтрокиJSON(Значение, СообщениеОшибкиФормата, ПрочитатьВСоответствие = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.РезультатЧтенияСтрокиJSON(Значение, СообщениеОшибкиФормата, ПрочитатьВСоответствие);
```
</details>

## ХешТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает хэш текста
//
// Возвращаемое значение:
//  Число -
//
Функция ХешТекста(Текст) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ХешТекста(Текст) 
```
</details>

## ПотокВПамятиИзДвоичныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает поток в памяти из двоичных данных
//
// Параметры:
//  ДвоичныеДанные - данные, из которых создается поток
//
// Возвращаемое значение:
//  ПотокВПамяти -
//
Функция ПотокВПамятиИзДвоичныхДанных(ДвоичныеДанныеФайлаЗагрузки) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ПотокВПамятиИзДвоичныхДанных(ДвоичныеДанныеФайлаЗагрузки) 
```
</details>

## НовыйРезультатРазбораСсылок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, содержащей реквизиты результат разбора ссылок документа
//
// Возвращаемое значение:
//  Структура - Новый результат разбора ссылок:
// * Команды - Соответствие Из Строка-
// * СсылкиНаОбъекты - Соответствие Из Строка -
// * Списки - Соответствие Из Строка -
// * ВнешниеСсылки - Соответствие Из Строка -
//
Функция НовыйРезультатРазбораСсылок() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.НовыйРезультатРазбораСсылок() 
```
</details>

## РезультатСозданияКаталогДляРазархивированияВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает каталог на диске для разархивирования файлов при загрузке
//
// Возвращаемое значение:
//   Структура -  содержит:
//    * Успешно     - Булево -
//    * ТекстОшибки - Строка -
//    * ИмяКаталога - Строка - имя созданного каталога
//
Функция РезультатСозданияКаталогДляРазархивированияВыгрузки() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.РезультатСозданияКаталогДляРазархивированияВыгрузки() 
```
</details>

## ТекстHTMLПоДаннымПрисоединенногоФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текст HTML из данных присоединенного файла
//
// Параметры:
//  ДанныеФайла - см.РаботаСФайлами.ДанныеФайла
//
// Возвращаемое значение:
//  Строка -
//
Функция ТекстHTMLПоДаннымПрисоединенногоФайла(ДанныеФайла) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарии.ТекстHTMLПоДаннымПрисоединенногоФайла(ДанныеФайла) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
