---
title: Демонстрационные сценарии клиент
slug: erp-uh/демонстрационные-сценарии-клиент
---


## ОбработатьСобытиеПоискаИЗамены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает событие поиска и замены в формах демонстрационных сценариев
//
// Параметры:
//  ПараметрыСобытия  - см. НовыйПараметрыОповещенияИзмененияПоискаИЗамены
//  Форма             - ФормаКлиентскогоПриложения - форма в которой происходит событие
//
Процедура ОбработатьСобытиеПоискаИЗамены(ПараметрыСобытия, Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ОбработатьСобытиеПоискаИЗамены(ПараметрыСобытия, Форма) 
```
</details>

## ПослеЗакрытияФормыПоискаИЗамены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает событие закрытия формы и замены
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма в которой обрабатывается событие
//
Процедура ПослеЗакрытияФормыПоискаИЗамены(Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ПослеЗакрытияФормыПоискаИЗамены(Форма) 
```
</details>

## ПослеПринятияРезультатовПеревода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает событие принятия результатов перевода
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма в которой обрабатывается событие
//  Результат               - КодВозвратаДиалога - ответ пользователя на вопрос о принятии результатов перевода
//  ДополнительныеПараметры  - Структура - дополнительные данные события
//
Процедура ПослеПринятияРезультатовПеревода(Форма, Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ПослеПринятияРезультатовПеревода(Форма, Результат, ДополнительныеПараметры) 
```
</details>

## ПриНажатииВПолеHTMLДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает событие нажатия в поле HTML документа
//
// Параметры:
//  Форма                 - ФормаКлиентскогоПриложения - форма, в которой происходит событие
//  Элемент               - ПолеФормы - поле формы, в которой возникает событие
//  ДанныеСобытия         - Структура - данные события
//  СтандартнаяОбработка  - Булево - признак стандартной обработки события
//
Процедура ПриНажатииВПолеHTMLДокумента(Форма, Элемент, ДанныеСобытия, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ПриНажатииВПолеHTMLДокумента(Форма, Элемент, ДанныеСобытия, СтандартнаяОбработка) 
```
</details>

## ОткрытьФормуПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму поиска и замены в демонстрационных сценариях
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма из которой открывается форма поиска
//
Процедура ОткрытьФормуПоиска(Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ОткрытьФормуПоиска(Форма) 
```
</details>

## ПеревестиСЯзыкаПросмотра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет перевод с языка просмотра в форме демонстрационного сценария
//
// Параметры:
//  Форма                     - ФормаКлиентскогоПриложения - форма, в которой выполняется перевод
//  ИсходныйТекст             - Строка - Исходный текст
//  ТекстПеревода             - Строка - Текст, который содержится в реквизите, в который будет помещен перевод
//  ИсходныйЯзык              - Строка - код языка, с которого осуществляется перевод
//  ЯзыкПеревода              - Строка - язык, на который будет выполняется перевод
//  ЭлементСообщенияОбОшибке  - ПолеФормы - поле, для которого будет выводиться сообщение об ошибке
//  Вложения                  - Неопределено, Структура - вложения HTML документа
//
Процедура ПеревестиСЯзыкаПросмотра(Форма, ИсходныйТекст, ТекстПеревода, ИсходныйЯзык, ЯзыкПеревода, ЭлементСообщенияОбОшибке, Вложения = Неопределено) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ПеревестиСЯзыкаПросмотра(Форма, ИсходныйТекст, ТекстПеревода, ИсходныйЯзык, ЯзыкПеревода, ЭлементСообщенияОбОшибке, Вложения);
```
</details>

## РезультатЗаменыВсехВхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатЗаменыВсехВхождений(ТекстДляИзменения, ПараметрыСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиент.РезультатЗаменыВсехВхождений(ТекстДляИзменения, ПараметрыСобытия));
```
</details>

## РезультатПоискаПредыдущего
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатПоискаПредыдущего(ТекстСценария, ПараметрыСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиент.РезультатПоискаПредыдущего(ТекстСценария, ПараметрыСобытия));
```
</details>

## РезультатПоискаСледующего
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатПоискаСледующего(ТекстСценария, ПараметрыСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиент.РезультатПоискаСледующего(ТекстСценария, ПараметрыСобытия));
```
</details>

## ТекстСТегамиВыделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстСТегамиВыделения(ПараметрыВыделения, ВыделяемыйТекст) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиент.ТекстСТегамиВыделения(ПараметрыВыделения, ВыделяемыйТекст));
```
</details>

## ВыделитьНайденноеВТексте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыделитьНайденноеВТексте(ТекстДляИзменения, ВыделяемыйТекст, ПозицииНайденногоВТексте) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ВыделитьНайденноеВТексте(ТекстДляИзменения, ВыделяемыйТекст, ПозицииНайденногоВТексте));
```
</details>

## ОтменитьВыделениеРезультатовПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтменитьВыделениеРезультатовПоиска(ТекстДляИзменения, СтрокаПоиска) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ОтменитьВыделениеРезультатовПоиска(ТекстДляИзменения, СтрокаПоиска));
```
</details>

## ОтменитьВыделениеВТексте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтменитьВыделениеВТексте(ТекстДляИзменения, ПараметрыВыделения, СтрокаПоиска) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ОтменитьВыделениеВТексте(ТекстДляИзменения, ПараметрыВыделения, СтрокаПоиска));
```
</details>

## ПараметрыВыделенияНайденногоТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыВыделенияНайденногоТекста() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиент.ПараметрыВыделенияНайденногоТекста());
```
</details>

## ПараметрыВыделенияТекущегоНайденногоТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыВыделенияТекущегоНайденногоТекста() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиент.ПараметрыВыделенияТекущегоНайденногоТекста());
```
</details>

## ОтменитьРезультатыПоискаЕслиНеобходимо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтменитьРезультатыПоискаЕслиНеобходимо(Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ОтменитьРезультатыПоискаЕслиНеобходимо(Форма));
```
</details>

## ПеренестиРезультатыИзмененийЕслиНеобходимо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПеренестиРезультатыИзмененийЕслиНеобходимо(Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ПеренестиРезультатыИзмененийЕслиНеобходимо(Форма));
```
</details>

## ОткрытьСкриншотПрисоединенныйФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьСкриншотПрисоединенныйФайл(Ссылка, Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиент.ОткрытьСкриншотПрисоединенныйФайл(Ссылка, Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
