---
title: Демонстрационные сценарии клиент сервер
slug: erp-uh/демонстрационные-сценарии-клиент-сервер
---


## ОтразитьТекущийСтатусНаФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отражает текущий статус на форме демонстрационного сценария
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, для которой отображается статус
//
Процедура ОтразитьТекущийСтатусНаФорме(Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиентСервер.ОтразитьТекущийСтатусНаФорме(Форма) 
```
</details>

## КодЯзыкаИзИмениКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает код языка из имени команды
//
// Параметры:
//  ИмяКоманды - Строка - имя команды, из которого получается код языка
//  ПрефиксКоманды - Строка - имя команды без кода языка
//
//  Возвращаемое значение:
//    Строка - код языка, полученный из имени команды
//
Функция КодЯзыкаИзИмениКоманды(ИмяКоманды, ПрефиксКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.КодЯзыкаИзИмениКоманды(ИмяКоманды, ПрефиксКоманды) 
```
</details>

## КодЯзыкаИзИмениФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает код языка из имени присоединенного файла
//
// Параметры:
//  ИмяФайла - Строка - имя файла, из которого получается код языка
//
//  Возвращаемое значение:
//    Строка - код языка, полученный из имени файла
//
Функция КодЯзыкаИзИмениФайла(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.КодЯзыкаИзИмениФайла(ИмяФайла) 
```
</details>

## ОтразитьТекущиеЯзыкиНаФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отражает текущие языки на форме демонстрационного сценария
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения  - Форма, для которой отображаются языки
//  ИмяРеквизитаКодЯзыкаЧтение          - Строка - имя реквизита формы который содержит код языка просмотра
//  ИмяРеквизитаКодЯзыкаРедактирование  - Строка - имя реквизита формы который содержит код языка редактирования
//
Процедура ОтразитьТекущиеЯзыкиНаФорме(Форма, ИмяРеквизитаКодЯзыкаЧтение, ИмяРеквизитаКодЯзыкаРедактирование) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиентСервер.ОтразитьТекущиеЯзыкиНаФорме(Форма, ИмяРеквизитаКодЯзыкаЧтение, ИмяРеквизитаКодЯзыкаРедактирование) 
```
</details>

## СформироватьЗаголовокКомандыПеревода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует заголовок команды перевода на форме
//
// Параметры:
//  ИсходныйЯзык - Строка - язык, с которого выполняется перевод
//  ЯзыкПеревода - Строка - язык, на который выполняется перевод
//  ЭлементФормы - КнопкаФормы - кнопка команды перевода
//
Процедура СформироватьЗаголовокКомандыПеревода(ИсходныйЯзык, ЯзыкПеревода, ЭлементФормы) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиентСервер.СформироватьЗаголовокКомандыПеревода(ИсходныйЯзык, ЯзыкПеревода, ЭлементФормы) 
```
</details>

## УстановитьПометкуКомандПереключенияВариантаОтображенияФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает флаг текущего варианта отображения формы в подменю
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, устанавливается флаг
//
Процедура УстановитьПометкуКомандПереключенияВариантаОтображенияФормы(Форма) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиентСервер.УстановитьПометкуКомандПереключенияВариантаОтображенияФормы(Форма) 
```
</details>

## НовыйПараметрыПереключенияВариантаОтображения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров переключения варианта отображения формы
//
// Возвращаемое значение:
//   Структура   - содержит:
//    *Форма                          - ФормаКлиентскогоПриложения, Неопределено - форма, в которой выполняется переключение
//    *НовыйВариант                   - Строка - вариант, на который выполняется переключение
//    *ПрошлыйВариант                 - Строка - предыдущий вариант отображения
//    *ИмяРеквизитаЯзыкЧтение         - Строка - имя реквизита формы где находится текст просмотра
//    *ИмяРеквизитаЯзыкРедактирование - Строка - имя реквизита формы где находится текст редактирования
//    *ВыполненоПереключениеЯзыка     - Булево - признак того, что при переключении режима формы, был переключен и язык
//    *ИмяРеквизитаПереключенЯзык     - Строка - имя реквизита формы текста, для которого был переключен язык
//    *ПереключеноНаЯзык              - Строка - код языка, на который было выполнено переключение
//    *ЯзыкиКонфигурации              - СписокЗначений из Строка - кэшированные языки конфигурации
//
Функция НовыйПараметрыПереключенияВариантаОтображения() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.НовыйПараметрыПереключенияВариантаОтображения() 
```
</details>

## ПереключитьВариантОтображения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переключает вариант отображения в форме
//
// Параметры:
//  ПараметрыПереключения -  см. НовыйПараметрыПереключенияВариантаОтображения
//
Процедура ПереключитьВариантОтображения(ПараметрыПереключения) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиентСервер.ПереключитьВариантОтображения(ПараметрыПереключения) 
```
</details>

## ТекстHTMLПоКодуЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текст HTML из табличной части реквизита формы по коду языка
//
// Параметры:
//  Форма             - ФормаКлиентскогоПриложения - форма, для которой выполняется действие
//  КодЯзыка          - Строка - код языка, для которого нужно получить текст
//  ИмяТабличнойЧасти - Строка - имя табличной части формы
//  ИмяРеквизита      - Строка - имя реквизита табличной части
//
// Возвращаемое значение:
//   Строка   - текст HTML по коду языка
//
Функция ТекстHTMLПоКодуЯзыка(Форма, КодЯзыка, ИмяТабличнойЧасти, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ТекстHTMLПоКодуЯзыка(Форма, КодЯзыка, ИмяТабличнойЧасти, ИмяРеквизита) 
```
</details>

## ПрисоединенныйФайлСценария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает присоединенный файл сценария по по коду языка
//
// Параметры:
//  Форма    - ФормаКлиентскогоПриложения - форма, для которой выполняется действие
//  КодЯзыка - Строка - код языка, для которого нужно получить присоединенный файл
//
// Возвращаемое значение:
//   СправочникСсылка.ДемонстрационныеСценарииПрисоединенныеФайлы - присоединенный файл сценария
//
Функция ПрисоединенныйФайлСценария(Форма, КодЯзыка) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ПрисоединенныйФайлСценария(Форма, КодЯзыка) 
```
</details>

## ПрисоединенныйФайлПоСценариюСоздан
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, создан ли присоединенный файл сценария
//
// Параметры:
//  Форма    - ФормаКлиентскогоПриложения - форма, для которой выполняется действие
//  КодЯзыка - Строка - код языка, для которого нужно проверить создание присоединенного файла
//
// Возвращаемое значение:
//   Булево - Истина если создан, ложь если нет.
//
Функция ПрисоединенныйФайлПоСценариюСоздан(Форма, КодЯзыка) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ПрисоединенныйФайлПоСценариюСоздан(Форма, КодЯзыка) 
```
</details>

## ДанныеСценарияНаЯзыке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные сценария на требуемом языке
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, для которой выполняется действие
//  КодЯзыка - Строка - код языка, для которого нужно получить данные языка
//  ИмяТабличнойЧасти - Строка - имя табличной части реквизита формы, в котором содержатся данные
//
// Возвращаемое значение:
//   Структура - Содержит:
//    *ТекстHTML                                         - Строка - текст, ранее полученный из файла
//    *ТекущийСценарийДоступенДляРедактирования          - Булево - доступен ли файл для редактирования
//    *ТекущийСценарийРедактируетсяТекущимПользователем  - Булево - редактируется ли файл уже текущим пользователем
//    *ПредставлениеСостоянияРедактирования              - Строка - используется для вывода в форму у команд редактирования
//
Функция ДанныеСценарияНаЯзыке(Форма, КодЯзыка, ИмяТабличнойЧасти) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ДанныеСценарияНаЯзыке(Форма, КодЯзыка, ИмяТабличнойЧасти) 
```
</details>

## ПустойТекстHTML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустой текст HTML
//
// Возвращаемое значение:
//   Строка - пустой текст HTML с необходимыми тегами.
//
Функция ПустойТекстHTML() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ПустойТекстHTML() 
```
</details>

## ДобавитьТегиТелаЕслиНеобходимо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет теги документа HTML к тексту если они отсутствуют
//
// Параметры:
//  ТекстКОбработке - Строка - обрабатываемый текст
//
Процедура ДобавитьТегиТелаЕслиНеобходимо(ТекстКОбработке) Экспорт
```

Пример вызова
```bsl
ДемонстрационныеСценарииКлиентСервер.ДобавитьТегиТелаЕслиНеобходимо(ТекстКОбработке) 
```
</details>

## ПолныйКодСтрокойДляИмениФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует полный текст строкой для формирования наименования присоединенного файла
//
// Параметры:
//  ПолныйКод - Строка - полный код справочника
//
// Возвращаемое значение:
//   Строка - пустой текст HTML с необходимыми тегами.
//
Функция ПолныйКодСтрокойДляИмениФайла(ПолныйКод) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ПолныйКодСтрокойДляИмениФайла(ПолныйКод) 
```
</details>

## ИмяФайлаОписанияСценария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя файла описания сценария
//
// Возвращаемое значение:
//   Строка -
//
Функция ИмяФайлаОписанияСценария(ПолныйКод, КодЯзыка) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ИмяФайлаОписанияСценария(ПолныйКод, КодЯзыка) 
```
</details>

## ПозицииНайденногоВТексте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск в тексте и возвращает позиции найденного
//
// Параметры:
//  ГдеИщем          - Строка - текст, в котором выполняется поиск
//  ПараметрыСобытия - Структура - параметры события поиска
//
// Возвращаемое значение:
//   Массив из Число - позиции найденного в тексте.
//
Функция ПозицииНайденногоВТексте(ГдеИщем, ПараметрыСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ПозицииНайденногоВТексте(ГдеИщем, ПараметрыСобытия) 
```
</details>

## ТекстHTMLИзФорматированногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текст HTML из форматированного документа
//
// Параметры:
//  ФорматированныйДокумент - ФорматированныйДокумент - из которого извлекается текст HTML
//
// Возвращаемое значение:
//   Строка - извлеченный текст HTML.
//
Функция ТекстHTMLИзФорматированногоДокумента(ФорматированныйДокумент) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ТекстHTMLИзФорматированногоДокумента(ФорматированныйДокумент) 
```
</details>

## ФорматированныйДокументИзДанныхHTML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает форматированный документ из текста HTML
//
// Параметры:
//  ТекстHTML - Строка - текст HTML из которого формируется форматированный документ
//  Вложения  - Структура - картинки, размещенные в тексте HTML
//
// Возвращаемое значение:
//   Строка - извлеченный текст HTML.
//
Функция ФорматированныйДокументИзДанныхHTML(ТекстHTML, Вложения) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ФорматированныйДокументИзДанныхHTML(ТекстHTML, Вложения) 
```
</details>

## НайденноеСоответствуетТребованиям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствует ли найденное в тексте требованиям
//
// Параметры:
//  ГдеИщем         - Строка - текст, в котором выполняется поиска
//  ЧтоИщем          - Строка - текст, который ищем
//  НайденнаяПозиция - Число - позиция найденного в тексте
//  ПараметрыСобытия - Структура - параметры поиска
//
// Возвращаемое значение:
//   Булево - Истина, если удовлетворяет условию.
//
Функция НайденноеСоответствуетТребованиям(ГдеИщем, ЧтоИщем, НайденнаяПозиция, ПараметрыСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.НайденноеСоответствуетТребованиям(ГдеИщем, ЧтоИщем, НайденнаяПозиция, ПараметрыСобытия) 
```
</details>

## ТекстСообщенияНекорректныеПараметрыАльбомПроцессов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст сообщения пользователю при некорретных параметрах открытия печатной формы "Альбом процессов"
//
// Возвращаемое значение:
//   Строка - текст сообщения
//
Функция ТекстСообщенияНекорректныеПараметрыАльбомПроцессов() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ТекстСообщенияНекорректныеПараметрыАльбомПроцессов() 
```
</details>

## УникальныйИдентификаторСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает уникальный идентификатор в строку
//
// Параметры:
//  УникальныйИдентификатор - УникальныйИдентификатор - который будет преобразован в строку
//
// Возвращаемое значение:
//   Строка -
//
Функция УникальныйИдентификаторСтрокой(УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.УникальныйИдентификаторСтрокой(УникальныйИдентификатор) 
```
</details>

## ИмяКаталогаВыгрузкиОписанияПроцессов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя каталога выгрузки описаний процессов
//
// Возвращаемое значение:
//   Строка -
//
Функция ИмяКаталогаВыгрузкиОписанияПроцессов() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ИмяКаталогаВыгрузкиОписанияПроцессов() 
```
</details>

## ИмяКаталогаГлоссария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя каталога выгрузки описаний процессов
//
// Возвращаемое значение:
//   Строка -
//
Функция ИмяКаталогаГлоссария() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ИмяКаталогаГлоссария() 
```
</details>

## ИмяКаталогаВыгрузкиСкриншоты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя каталога выгрузки скриншотов
//
// Возвращаемое значение:
//   Строка -
//
Функция ИмяКаталогаВыгрузкиСкриншоты() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ИмяКаталогаВыгрузкиСкриншоты() 
```
</details>

## ИмяФайлаОписаниеВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя файла описания выгрузки
//
// Возвращаемое значение:
//   Строка -
//
Функция ИмяФайлаОписаниеВыгрузки() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ИмяФайлаОписаниеВыгрузки() 
```
</details>

## ТекстОписанияПоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст описания поставки
//
// Параметры:
//  ОписаниеКонфигурации   - Строка - переданная строка
//  Поставщик              - Строка -
//
// Возвращаемое значение:
//   Строка  -
//
Функция ТекстОписанияПоставки(ОписаниеКонфигурации, Поставщик) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ТекстОписанияПоставки(ОписаниеКонфигурации, Поставщик) 
```
</details>

## ИдентификаторВнешнейКомпонентыПолученияСкриншотов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор внешней компоненты для получения скриншотов
//
// Возвращаемое значение:
//   Строка  -
//
Функция ИдентификаторВнешнейКомпонентыПолученияСкриншотов() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ИдентификаторВнешнейКомпонентыПолученияСкриншотов() 
```
</details>

## КодЯзыкаИдентификаторИзИмениФайлаОписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Извлекает код языка и идентификатор сценария из имени файла
//
// Параметры:
//  ИмяФайла   - Строка -
//
// Возвращаемое значение:
//   Структура  - содержит:
//     * КодЯзыка  - Строка - признак успешности выполнения операции
//     * Данные        - Соответствие -
//
Функция КодЯзыкаИдентификаторИзИмениФайлаОписания(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.КодЯзыкаИдентификаторИзИмениФайлаОписания(ИмяФайла) 
```
</details>

## ИдентификаторИзИмениФайлаРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Извлекает идентификатор из имени файла, содержащего реквизиты справочника
//
// Параметры:
//  ИмяФайла   - Строка -
//
// Возвращаемое значение:
//   УникальныйИдентификатор -
//
Функция ИдентификаторИзИмениФайлаРеквизиты(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ИдентификаторИзИмениФайлаРеквизиты(ИмяФайла) 
```
</details>

## ПрефиксСсылкиПрисоединенныйФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает префикс навигационной ссылки справочника "ДемонстрационныеСценарииПрисоединенныеФайлы"
//
// Возвращаемое значение:
//   УникальныйИдентификатор -
//
Функция ПрефиксСсылкиПрисоединенныйФайл() Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ПрефиксСсылкиПрисоединенныйФайл() 
```
</details>

## КаталогНаДискеСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, существует ли каталог на диске
//
// Параметры:
//  ПроверяемыйКаталог - Строка - проверяемый каталог
//
// Возвращаемое значение:
//   Булево - Истина, если каталог существует
//
Функция КаталогНаДискеСуществует(ПроверяемыйКаталог) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.КаталогНаДискеСуществует(ПроверяемыйКаталог) 
```
</details>

## ЗаголовокЧастиНавигатораПомощника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует заголовок части навигатора по помощникам загрузки и выгрузки
//
// Параметры:
//  ЗаголовокЧасти       - Строка - заголовок части навигатора
//  КомандаНавигации     - Строка - команда, которая будет содержаться в гиперссылке
//  Доступность          - Булево - признак доступности команды
//  ЭтоТекущая           - Булево - признак доступности команды
//
// Возвращаемое значение:
//   Строка - сформированная часть заголовка
//
Функция ЗаголовокЧастиНавигатораПомощника(ЗаголовокЧасти, КомандаНавигации, Доступность, ЭтоТекущая) Экспорт
```

Пример вызова
```bsl
Результат = ДемонстрационныеСценарииКлиентСервер.ЗаголовокЧастиНавигатораПомощника(ЗаголовокЧасти, КомандаНавигации, Доступность, ЭтоТекущая) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
