---
title: Денежные средства встраивание УХ
slug: erp-uh/денежные-средства-встраивание-ух
---


## ЗаписатьСостояниеИспользованныхПлатежныхПозиций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает состоянии документов планирования из процедуры ПриЗаписи документов РКО, ПКО, СБДС и ПБДС
// В параметре всегда приходит объект
Процедура ЗаписатьСостояниеИспользованныхПлатежныхПозиций(Объект, ИспользованныеПозиции) экспорт Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВстраиваниеУХ.ЗаписатьСостояниеИспользованныхПлатежныхПозиций(Объект, ИспользованныеПозиции) экспорт);
```
</details>

## ПолучитьТекстЗапроса_ОтменитьСостояниеНаИсполнении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапроса_ОтменитьСостояниеНаИсполнении() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьТекстЗапроса_ОтменитьСостояниеНаИсполнении() 
```
</details>

## ПолучитьТекстЗапроса_ОтменитьСостояниеНаИсполненииОФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапроса_ОтменитьСостояниеНаИсполненииОФД() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьТекстЗапроса_ОтменитьСостояниеНаИсполненииОФД() 
```
</details>

## ЗаполнитьДополнительныеРеквизитыПлатежногоПорученияПоПрогнозу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДополнительныеРеквизитыПлатежногоПорученияПоПрогнозу(Источник, АвтоЗначенияРеквизитов) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВстраиваниеУХ.ЗаполнитьДополнительныеРеквизитыПлатежногоПорученияПоПрогнозу(Источник, АвтоЗначенияРеквизитов) 
```
</details>

## ПолучитьТекстЗапросаВалютныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапросаВалютныхОпераций() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьТекстЗапросаВалютныхОпераций() 
```
</details>

## ПолучитьПлатежноеПоручениеПоПлатежнойПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПлатежноеПоручениеПоПлатежнойПозиции(ДокументПланированияВход, ИдентификаторПозицииВход) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьПлатежноеПоручениеПоПлатежнойПозиции(ДокументПланированияВход, ИдентификаторПозицииВход) 
```
</details>

## ОбъектыСПредопределеннымиПравиламиГенерации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбъектыСПредопределеннымиПравиламиГенерации(УчитыватьНастройкиФункциональныхОпций = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ОбъектыСПредопределеннымиПравиламиГенерации(УчитыватьНастройкиФункциональныхОпций);
```
</details>

## БанковскийСчетКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает банковский счет контрагента по счету организации
//
// Параметры:
//  СчетОрганизации	 - 	СправочникСсылка.БанковскиеСчета - банковский счет организации
//
// Возвращаемое значение:
//  СправочникСсылка.БанковскиеСчета - банковский счет контрагента, соответствующий указанному счету организации.
//		Если счет не найден, возвращается пустая ссылка.
//
Функция БанковскийСчетКонтрагента(СчетОрганизации) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.БанковскийСчетКонтрагента(СчетОрганизации) 
```
</details>

## СоздатьКопиюСчетаДляВладельца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаёт банковский счёт-копию для счёта СчетИсточникВход и устанавливает
// новому счёту владельцем элемент НовыйВладелецВход. Возвращает ссылку на созданный
// счёт.
Функция СоздатьКопиюСчетаДляВладельца(СчетИсточникВход, НовыйВладелецВход) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.СоздатьКопиюСчетаДляВладельца(СчетИсточникВход, НовыйВладелецВход) 
```
</details>

## ТекстЗапросаТаблицыЗаявокНаРазмещение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ТекстЗапросаТаблицыЗаявокНаРазмещение(ОрганизацияЗаполнена, АвтоматическаяГенерация) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ТекстЗапросаТаблицыЗаявокНаРазмещение(ОрганизацияЗаполнена, АвтоматическаяГенерация) 
```
</details>

## ПолучитьБанковскийСчетКассуПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьБанковскийСчетКассуПоУмолчанию(Владелец, Валюта, ПлатежныйИнструмент) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьБанковскийСчетКассуПоУмолчанию(Владелец, Валюта, ПлатежныйИнструмент) 
```
</details>

## ПолучитьСписокСчетовУчастниковПулаЛиквидности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокСчетовУчастниковПулаЛиквидности(УчастникиПула, Знач ОбъектСсылка, Знач Валюта) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьСписокСчетовУчастниковПулаЛиквидности(УчастникиПула, ОбъектСсылка, Валюта) 
```
</details>

## ЗаполнитьЗаявкуНаРасходованиеПоПервичномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗаявкуНаРасходованиеПоПервичномуДокументу(Знач ДанныеЗаполнения, Объект, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВстраиваниеУХ.ЗаполнитьЗаявкуНаРасходованиеПоПервичномуДокументу(ДанныеЗаполнения, Объект, ДополнительныеСвойства) 
```
</details>

## ЗаполнитьОжидаемоеПоступлениеДенежныхСредствПоПервичномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОжидаемоеПоступлениеДенежныхСредствПоПервичномуДокументу(Знач ДанныеЗаполнения, Объект, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВстраиваниеУХ.ЗаполнитьОжидаемоеПоступлениеДенежныхСредствПоПервичномуДокументу(ДанныеЗаполнения, Объект, ДополнительныеСвойства) 
```
</details>

## ЗаполнитьЗаявкаНаРасходПоПервичномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗаявкаНаРасходПоПервичномуДокументу(Знач ДанныеЗаполнения, Объект, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВстраиваниеУХ.ЗаполнитьЗаявкаНаРасходПоПервичномуДокументу(ДанныеЗаполнения, Объект, ДополнительныеСвойства) 
```
</details>

## ЗаполнитьПланируемыйДоходПоПервичномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПланируемыйДоходПоПервичномуДокументу(Знач ДанныеЗаполнения, Объект, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВстраиваниеУХ.ЗаполнитьПланируемыйДоходПоПервичномуДокументу(ДанныеЗаполнения, Объект, ДополнительныеСвойства) 
```
</details>

## ТекстЗапросаПодъемаДанныхПлатежныйКалендарьУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаПодъемаДанныхПлатежныйКалендарьУХ() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ТекстЗапросаПодъемаДанныхПлатежныйКалендарьУХ() 
```
</details>

## ПолучитьТекстЗапросаПлановыхКурсовПлатежногоКалендаря
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапросаПлановыхКурсовПлатежногоКалендаря(ПериодичностьОперативногоПланирования) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьТекстЗапросаПлановыхКурсовПлатежногоКалендаря(ПериодичностьОперативногоПланирования) 
```
</details>

## ЕстьРасшифровкаПлатежаДокументаДДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет наличие расшифровки платежа в документе ДДС ОбъектВход.
Функция ЕстьРасшифровкаПлатежаДокументаДДС(ОбъектВход) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ЕстьРасшифровкаПлатежаДокументаДДС(ОбъектВход) 
```
</details>

## НастроитьЭлементыВидовОперацийДвиженияДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется: спр.ВидыОперацийБюджетирование
Процедура НастроитьЭлементыВидовОперацийДвиженияДС(ЭлементБезНал, ЭлементНал, ПриходРасход) экспорт Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВстраиваниеУХ.НастроитьЭлементыВидовОперацийДвиженияДС(ЭлементБезНал, ЭлементНал, ПриходРасход) экспорт);
```
</details>

## ВидыОперацийБюджетирование_ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется: спр.ВидыОперацийБюджетирование
Процедура ВидыОперацийБюджетирование_ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) экспорт Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВстраиваниеУХ.ВидыОперацийБюджетирование_ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) экспорт);
```
</details>

## ДобавитьАналитикиДДСОбъектаРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется в общей форме ERP ВыборДокументаРасчетов.
// Добавляет в переданную структуру РезультатВыбора Статью движения денежных средств, ее аналитики, ЦФО и проект
Процедура ДобавитьАналитикиДДСОбъектаРасчетов(РезультатВыбора, ОбъектРасчетов) экспорт Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВстраиваниеУХ.ДобавитьАналитикиДДСОбъектаРасчетов(РезультатВыбора, ОбъектРасчетов) экспорт);
```
</details>

## ТекстЗапросаСписокВыбораКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаСписокВыбораКонтрагента() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ТекстЗапросаСписокВыбораКонтрагента() 
```
</details>

## ЗаполнитьВнутригрупповыеСчетаПоВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет счета в версии соглашения ВерсияПриемникИзм по встречному соглашению ВерсияИсточникВход.
Процедура ЗаполнитьВнутригрупповыеСчетаПоВерсииСоглашения(ВерсияИсточникВход, ВерсияПриемникИзм) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВстраиваниеУХ.ЗаполнитьВнутригрупповыеСчетаПоВерсииСоглашения(ВерсияИсточникВход, ВерсияПриемникИзм) 
```
</details>

## ПолучитьБанковскийСчетКассаОснованияОбязательства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает банковский счет/кассу документа основания обязательства
Функция ПолучитьБанковскийСчетКассаОснованияОбязательства(ОснованиеОбязательства) экспорт Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьБанковскийСчетКассаОснованияОбязательства(ОснованиеОбязательства) экспорт);
```
</details>

## ПреобразоватьПредставлениеОбъектаВСправочникБд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает по текстовому представлению объекта ПредставлениеОбъектаВход ссылку на справочник БД
// текущей информационной базы.
Функция ПреобразоватьПредставлениеОбъектаВСправочникБд(ПредставлениеОбъектаВход) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПреобразоватьПредставлениеОбъектаВСправочникБд(ПредставлениеОбъектаВход) 
```
</details>

## ПолучитьТекстЗапросаТаблицаЗаявкиКИсполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для заполнения таблицы заявок обработки Генерация платежных поручений.
Функция ПолучитьТекстЗапросаТаблицаЗаявкиКИсполнению() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьТекстЗапросаТаблицаЗаявкиКИсполнению() 
```
</details>

## ПолучитьТекстЗапросаТаблицаЗаявкиИзРеестраПлатежей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для заполнения таблицы заявок обработки Генерация платежных поручений
// по реестру платежей.
Функция ПолучитьТекстЗапросаТаблицаЗаявкиИзРеестраПлатежей() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьТекстЗапросаТаблицаЗаявкиИзРеестраПлатежей() 
```
</details>

## ПолучитьТекстЗапросаТаблицаКассовыеОрдера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для заполнения таблицы заявок обработки Генерация кассовых ордеров.
Функция ПолучитьТекстЗапросаТаблицаКассовыеОрдера() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПолучитьТекстЗапросаТаблицаКассовыеОрдера() 
```
</details>

## СоздатьКассовыеОрдераПоВыгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует документы Приходных и Расходных кассовых ордеров и возвращает соответствие созданных
// к исходным документам.
Функция СоздатьКассовыеОрдераПоВыгрузке(ДокументыКВыгрузкеВход) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.СоздатьКассовыеОрдераПоВыгрузке(ДокументыКВыгрузкеВход) 
```
</details>

## СоздатьСписаниеБезналичныхСредствПоВыгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует документы СписаниеБезналичныхСредств по массиву исходных документов ДокументыКВыгрузкеВход.
Функция СоздатьСписаниеБезналичныхСредствПоВыгрузке(ДокументыКВыгрузкеВход, ГенерацияПоРееструПлатежейВход) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.СоздатьСписаниеБезналичныхСредствПоВыгрузке(ДокументыКВыгрузкеВход, ГенерацияПоРееструПлатежейВход) 
```
</details>

## ПредставлениеДатыПлатежногоКалендаря
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеДатыПлатежногоКалендаря(Дата, ДатаНачалаПериода, ГоризонтОперативногоПланирования, ПериодичностьОперативногоПланирования, Знач ФорматДатыПоДням = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВстраиваниеУХ.ПредставлениеДатыПлатежногоКалендаря(Дата, ДатаНачалаПериода, ГоризонтОперативногоПланирования, ПериодичностьОперативногоПланирования, ФорматДатыПоДням);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
