---
title: Денежные средства вызов сервера
slug: erp-uh/денежные-средства-вызов-сервера
---


## СформироватьДанныеЗаполненияОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру для создания оплаты по нескольким заявкам на расходование средств
// Если в переданных заявках отличаются ключевые реквизиты шапки, выдается сообщение об ошибке.
//
// Параметры:
//    МассивСсылок   - Массив - заявки на расходование средств, по которым необходимо ввести оплату
//    ФормаОплаты - Строка - форма оплаты заявки
//    РаспределениеОплаты - Массив - строки остатков распределения оплаты.
//
// Возвращаемое значение:
//    Булево - Ложь, если в переданных заказах отличаются реквизиты шапки.
//
Функция СформироватьДанныеЗаполненияОплаты(МассивСсылок, ФормаОплаты, РаспределениеОплаты) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВызовСервера.СформироватьДанныеЗаполненияОплаты(МассивСсылок, ФормаОплаты, РаспределениеОплаты) 
```
</details>

## ТекстовыйДокументИзВременногоХранилищаФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует двоичные данные файла в текст
//
// Параметры:
//    АдресФайла - Строка - Адрес временного хранилища с данными файла
//    Кодировка - Строка - "DOS" или "Windows".
//
// Возвращаемое значение:
//    ТекстовыйДокумент - Текст файла.
//
Функция ТекстовыйДокументИзВременногоХранилищаФайла(АдресФайла, Кодировка) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВызовСервера.ТекстовыйДокументИзВременногоХранилищаФайла(АдресФайла, Кодировка) 
```
</details>

## SWIFT
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает SWIFT банка
//
// Параметры:
//  Банк - СправочникСсылка.КлассификаторБанков - ссылка на банк
// Возвращаемое значение:
//  Строка - SWIFT банка.
Функция SWIFT(Банк) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВызовСервера.SWIFT(Банк) 
```
</details>

## СписокФизЛицПоЗаявкамНаОплату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает признак использования списка подотчетных лиц в документе "Заявка на расходование ДС"
//
// Параметры:
//  ЗаявкиНаОплату - Массив из ДокументСсылка.ЗаявкаНаРасходованиеДенежныхСредств - список документов "Заявка на расходование ДС"
//
// Возвращаемое значение:
//  Булево
//
Функция СписокФизЛицПоЗаявкамНаОплату(ЗаявкиНаОплату) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВызовСервера.СписокФизЛицПоЗаявкамНаОплату(ЗаявкиНаОплату) 
```
</details>

## Выполнить_ПроверкаКурсовЗачетаВАвансовыхОтчетах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Выполнить_ПроверкаКурсовЗачетаВАвансовыхОтчетах(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВызовСервера.Выполнить_ПроверкаКурсовЗачетаВАвансовыхОтчетах(Параметры) 
```
</details>

## ЗаполнитьРеквизитыДляНДСВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак совпдадения обекта расчетов с документом в таблице и заполняет налогообложение строки
//
// Параметры:
// 	Параметры - Структура:
//		* Ссылка - ДокументСсылка.ЗаявкаНаРасходованиеДенежныхСредств,
//			ДокументСсылка.ПриходныйКассовыйОрдер,
//			ДокументСсылка.РасходныйКассовыйОрдер,
//			ДокументСсылка.СписаниеБезналичныхДенежныхСредств,
//			ДокументСсылка.ПоступлениеБезналичныхДенежныхСредств,
//			ДокументСсылка.ОперацияПоПлатежнойКарте - Ссылка на график исполнения.
//		* НалогообложениеНСДПоумолчанию - ПеречислениеСсылка.ТипыНалогообложенияНДС - Тип налогообложения, определенный для текущего документа;
//		* ОбъектРасчетов - СправочникСсылка.ОбъектыРасчетов - Объект расчтетов.
//
// Возвращаемое значение:
// 	Структура - Новые значения строки:
//		* СтавкаНДС - СправочникСсылка.СтавкиНДС - Ставка НДС по НалогообложениюНДС;
//		* НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Тип налогобложения для строки;
//		* ОбъектРасчетовСовпадаетСДокументом - Булево - Признак совпадения объекта расчетов с документом.
//
Функция ЗаполнитьРеквизитыДляНДСВСтроке(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВызовСервера.ЗаполнитьРеквизитыДляНДСВСтроке(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
