---
title: Денежные средства вызов сервера локализация
slug: erp-uh/денежные-средства-вызов-сервера-локализация
---


## РазобратьВыпискуБанка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет разбор выписки банка
//
// Параметры:
// 	ЭлектроннаяВыпискаБанка - Ссылка - Электронная выписка
//
Процедура РазобратьВыпискуБанка(ЭлектроннаяВыпискаБанка) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВызовСервераЛокализация.РазобратьВыпискуБанка(ЭлектроннаяВыпискаБанка) 
```
</details>

## УстановитьЗначениеКонстантыКаталогВыгрузкиПодтверждающихДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Осуществляет установку константы КаталогВыгрузкиПодтверждающихДокументов
//
// Параметры:
// 	ЗначениеКонстанты - Строка - Путь к каталогу выгрузки подтверждающих документов
//
Процедура УстановитьЗначениеКонстантыКаталогВыгрузкиПодтверждающихДокументов(ЗначениеКонстанты) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваВызовСервераЛокализация.УстановитьЗначениеКонстантыКаталогВыгрузкиПодтверждающихДокументов(ЗначениеКонстанты) 
```
</details>

## ЗначенияЗаполненияКомандировкиНаОснованииЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет значения заполнения документа "Командировка" на основании "Заявки на командировку"
//
// Параметры:
//    ДокументОснование - ДокументСсылка.ЗаявкаНаКомандировку - Заявка на командировку
//
// Возвращаемое значение:
//    Структура - Значения заполнения
//
Функция ЗначенияЗаполненияКомандировкиНаОснованииЗаявки(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВызовСервераЛокализация.ЗначенияЗаполненияКомандировкиНаОснованииЗаявки(ДокументОснование) 
```
</details>

## СотрудникПоФизЛицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет сотрудника по физическому лицу
//
// Параметры:
//    ФизическоеЛицо - СправочникСсылка.ФизическиеЛица - Физическое лицо
//    Организация - СправочникСсылка.Организации - Организация, в которой работает сотрудник
//
// Возвращаемое значение:
//    СправочникСсылка.Сотрудники, Неопределено - Сотрудник или Неопределено, если установить сотрудника не удалось
//
Функция СотрудникПоФизЛицу(ФизическоеЛицо, Организация) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВызовСервераЛокализация.СотрудникПоФизЛицу(ФизическоеЛицо, Организация) 
```
</details>

## СформироватьДанныеЗаполненияКомандировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Формирует данные заполнения для коммандировки и возвращает признак корректного заполнения.
//
// Параметры:
//  Заявка - ДокументСсылка.ЗаявкаНаКомандировку - документ, на основании которого создается командировка.
//  ДанныеЗаполнения - Неопределено - данные для заполнения командировки.
//
// Возвращаемое значение:
//  Булево
Функция СформироватьДанныеЗаполненияКомандировки(Заявка, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВызовСервераЛокализация.СформироватьДанныеЗаполненияКомандировки(Заявка, ДанныеЗаполнения) 
```
</details>

## БанковскийСчетПодтвержденияПоПервичномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Возвращает номер банковского счета по уникальному идентификатору первичного документа.
//
// Параметры:
//  ИдПервичногоДокумента - Строка - уникальный идентификатор объекта в информационной базе.
//
// Возвращаемое значение:
// - Строка.
//
Функция БанковскийСчетПодтвержденияПоПервичномуДокументу(ИдПервичногоДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваВызовСервераЛокализация.БанковскийСчетПодтвержденияПоПервичномуДокументу(ИдПервичногоДокумента) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
