---
title: Денежные средства повт исп
slug: erp-uh/денежные-средства-повт-исп
---


## ТекстЗапросаРеквизитаОбъектаРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для получения указанного реквизита объекта расчетов
//
// Параметры:
//	РеквизитИсточника - Строка - Имя реквизита источника содержащего объект расчетов
//                             состоящее из имени таблицы и через точку имени реквизита.
//                             Например: ДанныеРегистра.Заказ
//	РеквизитОбъектаРасчетов - Строка - Имя реквизита объекта расчетов
//	ПолноеИмяМетаданныхРеквизита - Строка - Полный путь к метаданным реквизита как в дереве метаданных.
//                                          Например: "Документы.ПоступлениеБезналичныхДенежныхСредств.ТабличныеЧасти.РасшифровкаПлатежа.Реквизиты.Заказ"
//                                                или "РегистрыНакопления.ДвиженияКонтрагентДоходыРасходы.Измерения.ОбъектРасчетов".
//
// Возвращаемое значение:
//	Строка - Текст запроса
//
Функция ТекстЗапросаРеквизитаОбъектаРасчетов( Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваПовтИсп.ТекстЗапросаРеквизитаОбъектаРасчетов();
```
</details>

## ФабрикаISO20022
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение фабрики XDTO в соответствии с версией схемы .
//
// Параметры:
//  ВерсияФормата - Строка - версия схемы.
//
// Возвращаемое значение:
//  ФабрикаXDTO - фабрика, созданная на основании схемы.
//
Функция ФабрикаISO20022(ВерсияФормата) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваПовтИсп.ФабрикаISO20022(ВерсияФормата) 
```
</details>

## ПолучитьРеквизитыБанковскогоСчетаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сведения о банковском счете организации.
//
// Параметры:
//  БанковскийСчет - СправочникСсылка.БанковскиеСчетаОрганизаций - Ссылка на банковский счет.
//
// Возвращаемое значение:
//	см. Справочники.БанковскиеСчетаОрганизаций.ПолучитьРеквизитыБанковскогоСчетаОрганизации.
//
Функция ПолучитьРеквизитыБанковскогоСчетаОрганизации(БанковскийСчет) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваПовтИсп.ПолучитьРеквизитыБанковскогоСчетаОрганизации(БанковскийСчет) 
```
</details>

## ПолучитьРеквизитыКассы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сведения о кассе организации.
//
// Параметры:
//  Касса - СправочникСсылка.Кассы - Ссылка на кассу.
//
// Возвращаемое значение:
//	см. Справочники.Кассы.ПолучитьРеквизитыКассы.
//
Функция ПолучитьРеквизитыКассы(Касса) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваПовтИсп.ПолучитьРеквизитыКассы(Касса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
