---
title: Денежные средства повт исп РФ
slug: erp-uh/денежные-средства-повт-исп-рф
---


## НазначениеПлатежаПоКБК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует назначение платежа по КБК
//
// Параметры:
//    КБК - Строка - КБК
//
// Возвращаемое значение:
//    Строка - Назначение платежа.
//
Функция НазначениеПлатежаПоКБК(КБК) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваПовтИспРФ.НазначениеПлатежаПоКБК(КБК) 
```
</details>

## ВидНалогаПоКБК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает назначение вид налога по КБК
//
// Параметры:
//    КБК - Строка - КБК
//
// Возвращаемое значение:
//    Строка - Вид налога
//
Функция ВидНалогаПоКБК(КБК) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваПовтИспРФ.ВидНалогаПоКБК(КБК) 
```
</details>

## ВидНалоговогоОбязательстваПоКБК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид налогового обязательства по КБК
//
// Параметры:
//    КБК - Строка - КБК
//    Период - Дата - Налоговый период.
//
// Возвращаемое значение:
//    Строка - Вид налогового обязательства.
//
Функция ВидНалоговогоОбязательстваПоКБК(КБК, Знач Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваПовтИспРФ.ВидНалоговогоОбязательстваПоКБК(КБК, Период);
```
</details>

## ПрочаяОперацияСписанияДСПо275ФЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак прочей операции с точки зрения контролей 275-ФЗ
//
// Параметры:
//    ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - анализируемая хозяйственная операция.
//
// Возвращаемое значение:
//    Булево
//
Функция ПрочаяОперацияСписанияДСПо275ФЗ(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваПовтИспРФ.ПрочаяОперацияСписанияДСПо275ФЗ(ХозяйственнаяОперация) 
```
</details>

## АдресСервисаФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес сервиса ФНС с чеками
//
// Возвращаемое значение:
//   Строка - адрес страницы
//
Функция АдресСервисаФНС() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваПовтИспРФ.АдресСервисаФНС() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
