---
title: Денежные средства сервер
slug: erp-uh/денежные-средства-сервер
---


## УстановитьВидимостьЭлементовПоМассиву
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость элементов формы по массиву имен.
//
// Параметры:
//	Элементы - ВсеЭлементыФормы - Коллекция элементов формы
//	МассивВсехРеквизитов - Массив - Массив имен реквизитов, для которых устанавливается видимость
//	МассивВидимыхРеквизитов - Массив - Массив имен реквизитов, которые должны быть видны на форме.
//
Процедура УстановитьВидимостьЭлементовПоМассиву(Элементы, Знач МассивВсехРеквизитов, Знач МассивВидимыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьЭлементовПоМассиву(Элементы, МассивВсехРеквизитов, МассивВидимыхРеквизитов) 
```
</details>

## УстановитьВидимостьЭлементовПоМассивуРасширенный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость элементов формы по массиву имен.
//
// Параметры:
//	Элементы - ВсеЭлементыФормы - Коллекция элементов формы
//	МассивВсехРеквизитов - Массив - Массив имен реквизитов, для которых устанавливается видимость
//	МассивВидимыхРеквизитов - Массив - Массив имен реквизитов, которые должны быть видны на форме
//	ИмяТЧ - Строка - Имя табличной части, текущая строка которой выводится в виде отдельных реквизитов
//	ИмяЗаменыТЧ - Строка - Наименование подстроки замены наименования реквизитов табличной части.
//
Процедура УстановитьВидимостьЭлементовПоМассивуРасширенный(Элементы, Знач МассивВсехРеквизитов, Знач МассивВидимыхРеквизитов, Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьЭлементовПоМассивуРасширенный(Элементы, МассивВсехРеквизитов, МассивВидимыхРеквизитов, );
```
</details>

## УстановитьДоступностьЭлементовПоМассиву
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает доступность элементов формы по массиву имен.
//
// Параметры:
//	Элементы - ВсеЭлементыФормы - Коллекция элементов формы.
//	МассивВсехРеквизитов - Массив - Массив имен реквизитов, для которых устанавливается доступность.
//	МассивВидимыхРеквизитов - Массив - Массив имен реквизитов, которые должны быть доступны на форме.
//
Процедура УстановитьДоступностьЭлементовПоМассиву(Элементы, Знач МассивВсехРеквизитов, Знач МассивВидимыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьДоступностьЭлементовПоМассиву(Элементы, МассивВсехРеквизитов, МассивВидимыхРеквизитов) 
```
</details>

## УстановитьВидимостьПодбораПоОстаткамРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость подбора по остаткам расчетов в форме.
//
// Параметры:
//	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа
//	Кнопка - КнопкаФормы - Кнопка формы для открытия подбора.
//
Процедура УстановитьВидимостьПодбораПоОстаткамРасчетов(ХозяйственнаяОперация, Кнопка) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьПодбораПоОстаткамРасчетов(ХозяйственнаяОперация, Кнопка) 
```
</details>

## УправлениеЭлементамиФормыПриЧтенииСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УправлениеЭлементамиФормыПриЧтенииСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УправлениеЭлементамиФормыПриЧтенииСозданииНаСервере(Форма) 
```
</details>

## ЗависимостиПолейФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗависимостиПолейФормы(НастройкиПолей) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ЗависимостиПолейФормы(НастройкиПолей) 
```
</details>

## ОтключитьПроверкуЗаполненияРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дабавляет реквизиты в массив непроверяемых, если свойства элемента не позволяют проверить реквизит
//
// Параметры:
//    СвойстваЭлементов - Массив - свойства элементов
//    МассивНепроверяемыхРеквизитов - Массив - непроверяемые реквизиты
Процедура ОтключитьПроверкуЗаполненияРеквизитовОбъекта(СвойстваЭлементов, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ОтключитьПроверкуЗаполненияРеквизитовОбъекта(СвойстваЭлементов, МассивНепроверяемыхРеквизитов) 
```
</details>

## ОчиститьНеиспользуемыеРеквизитыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьНеиспользуемыеРеквизитыОбъекта(Объект, СвойстваЭлементов, РеквизитыИсключения = Неопределено) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ОчиститьНеиспользуемыеРеквизитыОбъекта(Объект, СвойстваЭлементов, РеквизитыИсключения);
```
</details>

## ИнициализироватьНастройкиПолейФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую таблицу настроек полей формы
//
// Возвращаемое значение:
//     ТаблицаЗначений - таблица с колонками:
//         * Поля - Массив из Строка - Поля, для которых действует настройка.
//         * Условие - ОтборКомпоновкиДанных - Определяет действительность настройки.
//         * Свойства - Структура - Свойства полей.
//
Функция ИнициализироватьНастройкиПолейФормы() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ИнициализироватьНастройкиПолейФормы() 
```
</details>

## ИнициализироватьТабличнуюЧасть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует табличную часть для отображения одной строкой или несколькими
//
// Параметры:
//     Форма - ФормаКлиентскогоПриложения - Форма.
//     ИмяТЧ - Строка - Имя таблично части.
//     Переключатель - Число - Флаг взведения переключателя.
//
Процедура ИнициализироватьТабличнуюЧасть(Форма, ИмяТЧ, Переключатель) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ИнициализироватьТабличнуюЧасть(Форма, ИмяТЧ, Переключатель) 
```
</details>

## НастройкиЭлементовБанков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет настройки данные настроек для банковских счетов
//
// Параметры:
//	Настройки - ТаблицаЗначений - таблица с колонками:
//		* Поля - Массив из Строка - поля, для которых определяются настройки отображения
//		* Условие - ОтборКомпоновкиДанных - условия применения настройки
//		* Свойства - Структура - имена и значения свойств
//
Процедура НастройкиЭлементовБанков(Настройки) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.НастройкиЭлементовБанков(Настройки) 
```
</details>

## УстановитьВидимостьДоступностьЭлементовРасшифровкиБезРазбиения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет элементами формы в режиме "без разбиения"
//
// Параметры:
//     Форма - ФормаКлиентскогоПриложения - Форма.
//
Процедура УстановитьВидимостьДоступностьЭлементовРасшифровкиБезРазбиения(Форма) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьДоступностьЭлементовРасшифровкиБезРазбиения(Форма) 
```
</details>

## УстановитьУсловноеОформлениеВалютыВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить оформление валюты взаиморасчетов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//
Процедура УстановитьУсловноеОформлениеВалютыВзаиморасчетов(Форма) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьУсловноеОформлениеВалютыВзаиморасчетов(Форма) 
```
</details>

## УстановитьУсловноеОформлениеПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить оформление партнера.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//
Процедура УстановитьУсловноеОформлениеПартнера(Форма) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьУсловноеОформлениеПартнера(Форма) 
```
</details>

## УстановитьВидимостьОплатыПлатежнойКартой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора оплаты платежной картой в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора формы оплаты.
//
Процедура УстановитьВидимостьОплатыПлатежнойКартой(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОплатыПлатежнойКартой(Поле) 
```
</details>

## УстановитьВидимостьОперацийПередачиМеждуКассами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операции поступления из другой кассы
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацийПередачиМеждуКассами(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацийПередачиМеждуКассами(Поле) 
```
</details>

## УстановитьВидимостьОперацийПеречисленияНаДругойСчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операции перечисления на другой счет
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацийПеречисленияНаДругойСчет(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацийПеречисленияНаДругойСчет(Поле) 
```
</details>

## УстановитьВидимостьОперацийСКассамиККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операций с кассами ККМ в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацийСКассамиККМ(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацийСКассамиККМ(Поле) 
```
</details>

## УстановитьВидимостьОперацийПередачиМеждуОрганизациями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операций оплаты ДС в другую организацию в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацийПередачиМеждуОрганизациями(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацийПередачиМеждуОрганизациями(Поле) 
```
</details>

## УстановитьВидимостьОперацийВнутреннейПередачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операций внутренней передачи ДС в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацийВнутреннейПередачи(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацийВнутреннейПередачи(Поле) 
```
</details>

## УстановитьВидимостьОперацийПоДоговорамКредитовИДепозитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операций оплаты ДС по договорам кредитов и депозитов.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацийПоДоговорамКредитовИДепозитов(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацийПоДоговорамКредитовИДепозитов(Поле) 
```
</details>

## УстановитьВидимостьОперацииКонвертацияВалютыНаличные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операции "Конвертация валюты" в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацииКонвертацияВалютыНаличные(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацииКонвертацияВалютыНаличные(Поле) 
```
</details>

## УстановитьВидимостьОперацииКонвертацияВалютыБезналичные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операции "Конвертация валюты" в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацииКонвертацияВалютыБезналичные(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацииКонвертацияВалютыБезналичные(Поле) 
```
</details>

## УстановитьВидимостьОперацииКонвертацияВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операции "Конвертация валюты" в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацииКонвертацияВалюты(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацииКонвертацияВалюты(Поле) 
```
</details>

## УстановитьВидимостьОперацииПоЗарплате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операций по зарплате в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацииПоЗарплате(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацииПоЗарплате(Поле) 
```
</details>

## УстановитьВидимостьОперацийЭквайринга
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операций эквайринга в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацийЭквайринга(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацийЭквайринга(Поле) 
```
</details>

## УстановитьВидимостьОперацийЗаймамСотрудникам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операций выдачи и погашения займов сотрудникам в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацийЗаймамСотрудникам(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацийЗаймамСотрудникам(Поле) 
```
</details>

## УстановитьВидимостьОперацииПрочееПоступлениеДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операции "ПрочееПоступлениеДенежныхСредств" в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацииПрочееПоступлениеДенежныхСредств(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацииПрочееПоступлениеДенежныхСредств(Поле) 
```
</details>

## УстановитьВидимостьОперацииПрочаяВыдачаДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операции "ПрочаяВыдачаДенежныхСредств" в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацииПрочаяВыдачаДенежныхСредств(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацииПрочаяВыдачаДенежныхСредств(Поле) 
```
</details>

## УстановитьВидимостьОперацииОплатаАрендодателю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость выбора операции "Оплата арендодателю" в форме.
//
// Параметры:
//	Поле - ПолеФормы - Поле формы для выбора хозяйственной операции.
//
Процедура УстановитьВидимостьОперацииОплатаАрендодателю(Поле) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьВидимостьОперацииОплатаАрендодателю(Поле) 
```
</details>

## УстановитьЗаголовокСуммыПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает заголовок колонки "Сумма платежа".
//
// Параметры:
//    Валюта - СправочникСсылка.Валюты - Валюта документа
//    Элементы - ВсеЭлементыФормы - Коллекция элементов управляемой формы
//    ЭлементыКИзменению - Массив - Имена элементов формы для изменения заголовка
//
Процедура УстановитьЗаголовокСуммыПлатежа(Валюта, Элементы, ЭлементыКИзменению = Неопределено) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьЗаголовокСуммыПлатежа(Валюта, Элементы, ЭлементыКИзменению);
```
</details>

## УстановитьПараметрыВыбораКассы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры выбора для кассы.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//	ЭлементКасса - ПолеФормы - Поле для ввода кассы.
//
Процедура УстановитьПараметрыВыбораКассы(Объект, ЭлементКасса) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораКассы(Объект, ЭлементКасса) 
```
</details>

## УстановитьПараметрыВыбораБанковскогоСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры выбора для банковского счета.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//	ЭлементБанковскийСчет - ПолеФормы - Поле для ввода банковского счета.
//
Процедура УстановитьПараметрыВыбораБанковскогоСчета(Объект, ЭлементБанковскийСчет) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораБанковскогоСчета(Объект, ЭлементБанковскийСчет) 
```
</details>

## УстановитьПараметрыВыбораБанковскогоСчетаКассыПолучателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры выбора для банковского счета получателя.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//	Элемент - ПолеФормы - Поле для ввода банковского счета.
//	ОтборПоВалюте - Булево - признак выполнения отбора по валюте.
//
Процедура УстановитьПараметрыВыбораБанковскогоСчетаКассыПолучателя(Объект, Элемент, ОтборПоВалюте = Истина) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораБанковскогоСчетаКассыПолучателя(Объект, Элемент, ОтборПоВалюте);
```
</details>

## УстановитьПараметрыВыбораПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры выбора для партнера.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//	ЭлементПартнер - ПолеФормы - Поле для ввода партнера.
//
Процедура УстановитьПараметрыВыбораПартнера(Объект, ЭлементПартнер) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораПартнера(Объект, ЭлементПартнер) 
```
</details>

## УстановитьПараметрыВыбораБанковскогоСчетаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры выбора для банковского счета контрагента.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//	Элемент - ПолеФормы - Поле для ввода банковского счета контрагента.
//
Процедура УстановитьПараметрыВыбораБанковскогоСчетаКонтрагента(Объект, Элемент) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораБанковскогоСчетаКонтрагента(Объект, Элемент) 
```
</details>

## УстановитьПараметрыВыбораЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры выбора для заявки на расходование денежных средств.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//	ЭлементЗаявка - ПолеФормы - Поле для ввода заявки на расходование денежных средств.
//
Процедура УстановитьПараметрыВыбораЗаявки(Объект, ЭлементЗаявка) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораЗаявки(Объект, ЭлементЗаявка) 
```
</details>

## УстановитьПараметрыВыбораСписанияДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры выбора для списания денежных средств.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//	ЭлементСписание - ПолеФормы - Поле для ввода списания денежных средств.
//
Процедура УстановитьПараметрыВыбораСписанияДенежныхСредств(Объект, ЭлементСписание) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораСписанияДенежныхСредств(Объект, ЭлементСписание) 
```
</details>

## УстановитьПараметрыВыбораСтатьяДвиженияДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры выбора для статьи движения денежных средств.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//	ЭлементСтатья - ПолеФормы - Поле для ввода статьи движения денежных средств.
//
Процедура УстановитьПараметрыВыбораСтатьяДвиженияДенежныхСредств(Объект, ЭлементСтатья) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораСтатьяДвиженияДенежныхСредств(Объект, ЭлементСтатья) 
```
</details>

## УстановитьПараметрыВыбораСтатьиРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры выбора для статьи расходов
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//	Элемент - ПолеФормы - Поле для ввода статьи расходов.
//
Процедура УстановитьПараметрыВыбораСтатьиРасходов(Объект, Элемент) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораСтатьиРасходов(Объект, Элемент) 
```
</details>

## УстановитьПараметрыВыбораДоговораКредитаДепозита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры выбора договора кредита(депозита, займа)
// и очищает договора кредита (депозита, займа) не соответствующие текущей хозяйственной операции, организации.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//  ЭлементРасшифровкаПлатежаДоговор - ПолеФормы - Поле для ввода договора кредита (депозита)
//  ОчиститьДоговора - Булево - Если истина тогда очищать в таб.части расшифровка платежа договора кредита (депозита)
//								не соответствующие текущей хозяйственной операции.
//
Процедура УстановитьПараметрыВыбораДоговораКредитаДепозита(Объект, ЭлементРасшифровкаПлатежаДоговор, ОчиститьДоговора = Истина) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораДоговораКредитаДепозита(Объект, ЭлементРасшифровкаПлатежаДоговор, ОчиститьДоговора);
```
</details>

## УстановитьПараметрыВыбораДоговораЭквайринга
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметры выбора и связи параметров выбора для поля "Договор подключения к платежной системе".
//
// Параметры:
//  Объект - ДанныеФормыСтруктура - документ, в котором выполняется установка параметров.
//  Элемент - ПолеФормы - поле, для которого выполняется установка параметров.
//
Процедура УстановитьПараметрыВыбораДоговораЭквайринга(Объект, Элемент) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораДоговораЭквайринга(Объект, Элемент) 
```
</details>

## ЗаполнитьСписокТиповСуммКредитовДепозитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура список выбора типов сумм текущей хозяйственной операции.
//
// Параметры:
//	Список - СписокЗначений - список выбора элемента формы
//  ХозОперация - ПеречислениеСсылка.ХозяйственныеОперации - текущая хозяйственная операция.
//
Процедура ЗаполнитьСписокТиповСуммКредитовДепозитов(Список, ХозОперация) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьСписокТиповСуммКредитовДепозитов(Список, ХозОперация) 
```
</details>

## ЗаполнитьОрганизациюВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет организацию владельца объекта расчета в табличной части.
//
// Параметры:
//  ТабличнаяЧасть - ТабличнаяЧасть - Расшифровка платежа, должна содержать поля "Заказ" и "Организация"
//  Организация - СправочникСсылка.Организации - Организация документа
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа
//
Процедура ЗаполнитьОрганизациюВТабличнойЧасти(ТабличнаяЧасть, Организация, ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьОрганизациюВТабличнойЧасти(ТабличнаяЧасть, Организация, ХозяйственнаяОперация) 
```
</details>

## ПеречислениеСотрудникуЧерезБанкПриИзмененииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет установку значений и параметров реквизитов документа при переключении тумблера "Получатель".
//
// Параметры:
//  Объект - ДокументОбъект.ЗаявкаНаРасходованиеДенежныхСредств, ДокументОбъект.СписаниеБезналичныхДенежныхСредств - документ,
//           для которого выполняется изменение реквизитов.
//  Форма - ФормаКлиентскогоПриложения - форма документа, на которой переключили тумблер.
Процедура ПеречислениеСотрудникуЧерезБанкПриИзмененииНаСервере(Объект, Форма) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПеречислениеСотрудникуЧерезБанкПриИзмененииНаСервере(Объект, Форма) 
```
</details>

## ДополнитьПараметрыВыбораСпискомХозяйственныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет параметры выбора в список параметров выбора по данным списка хозяйственных операций.
//
// Параметры:
//  ПараметрыВыбора - Массив из ПараметрВыбора - список параметров выбора.
//  ХозяйственныеОперации - Массив из ПеречислениеСсылка.ХозяйственныеОперации - список хозяйственных операций.
//
Процедура ДополнитьПараметрыВыбораСпискомХозяйственныхОпераций(ПараметрыВыбора, ХозяйственныеОперации) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ДополнитьПараметрыВыбораСпискомХозяйственныхОпераций(ПараметрыВыбора, ХозяйственныеОперации) 
```
</details>

## ЗаполнитьКонтрагентаРасшифровкиПлатежаБезСпискаКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет колонку "Контрагент" в табличной части "Расшифровка платежа" документа, если в документе не используется
// список контрагентов.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект.ЗаявкаНаРасходованиеДенежныхСредств,
//                   ДокументОбъект.СписаниеБезналичныхДенежныхСредств - Документ, в котором выполняется заполнение.
//  ТабличнаяЧасть - ТабличнаяЧасть - Табличная часть документа.
//
Процедура ЗаполнитьКонтрагентаРасшифровкиПлатежаБезСпискаКонтрагентов(ДокументОбъект, ТабличнаяЧасть) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьКонтрагентаРасшифровкиПлатежаБезСпискаКонтрагентов(ДокументОбъект, ТабличнаяЧасть) 
```
</details>

## ЗаполнитьПартнераРасшифровкиПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет колонку "Партнер" в табличной части "Расшифровка платежа" документа.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект.ЗаявкаНаРасходованиеДенежныхСредств,
//                   ДокументОбъект.СписаниеБезналичныхДенежныхСредств - Документ, в котором выполняется заполнение.
//  ТабличнаяЧасть - ТабличнаяЧасть - Табличная часть документа.
//
Процедура ЗаполнитьПартнераРасшифровкиПлатежа(ДокументОбъект, ТабличнаяЧасть) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьПартнераРасшифровкиПлатежа(ДокументОбъект, ТабличнаяЧасть) 
```
</details>

## ПолучитьПартнераПоКонтрагенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет партнера, соответствующего выбранному контрагенту.
//
// Возвращает ссылку на партнера или Неопределено, если заданный для контрагента партнер не удовлетворяет условиям отбора.
//
// Параметры:
//    Контрагент - СправочникСсылка.Контрагенты - контрагент, партнера которого нужно найти
//    ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - необязательное ограничение по хозяйственной операции.
//
// Возвращаемое значение:
//    СправочникСсылка.Партнеры - Партнер.
//
Функция ПолучитьПартнераПоКонтрагенту(Контрагент, ХозяйственнаяОперация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ПолучитьПартнераПоКонтрагенту(Контрагент, ХозяйственнаяОперация);
```
</details>

## ЗаполнитьБИКиКоррСчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет значения полей "БИК" и "КоррСчет".
//
// Параметры:
//    Банк - СправочникСсылка.КлассификаторБанков - Банк
//    Бик - Строка - БИК банка
//    Свифт - Строка - Swift банка
//    КоррСчет - Строка - Корреспондентский счет банка.
//
Процедура ЗаполнитьБИКиКоррСчет(Банк, Бик, Свифт, КоррСчет) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьБИКиКоррСчет(Банк, Бик, Свифт, КоррСчет) 
```
</details>

## ПолучитьСписокБанковПоРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура получает банк по указанному БИК или корреспондентскому счету.
//
// Параметры:
//	Поле - Строка - Имя поля, в котором произведен выбор значения.
//	Значение - Строка - Значение, выбранное в поле.
//	Банк - СправочникСсылка.КлассификаторБанков - Значение поля для указания банка
//	БИК - Строка - БИК банка
//	КоррСчет - Строка - Корреспондентский счет банка.
//
// Возвращаемое значение:
//	СписокЗначений - Список банков для интерактивного выбора.
//
Функция ПолучитьСписокБанковПоРеквизитам(Поле, Значение, Банк, БИК, КоррСчет) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ПолучитьСписокБанковПоРеквизитам(Поле, Значение, Банк, БИК, КоррСчет) 
```
</details>

## ПоместитьРасшифровкуПлатежаВХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция помещает расшифровку платежа во временное хранилище и возвращает адрес.
//
// Параметры:
//    РасшифровкаПлатежа - ТабличнаяЧасть - Табличная часть расшифровки
//    УникальныйИдентификатор - Строка - Идентификатор.
//
// Возвращаемое значение:
//    Строка - Адрес временного хранилища.
//
Функция ПоместитьРасшифровкуПлатежаВХранилище(Знач РасшифровкаПлатежа, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ПоместитьРасшифровкуПлатежаВХранилище(РасшифровкаПлатежа, УникальныйИдентификатор) 
```
</details>

## ЗаполнитьРеквизитыДокументаПоФормеОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет кассу, банковский счет, договор подключения к платежной системе и эквайринговый терминал в зависимости от формы оплаты документа.
//
// Параметры:
//	ФормаОплаты - ПеречислениеСсылка.ФормыОплаты - Фактическая форма оплаты заявки
//	ДанныеЗаполнения - Структура - Данные для заполнения документа.
//	ВалютаПлатежа - СправочникСсылка.Валюты
//
Процедура ЗаполнитьРеквизитыДокументаПоФормеОплаты(ФормаОплаты, ДанныеЗаполнения, ВалютаПлатежа = Неопределено) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьРеквизитыДокументаПоФормеОплаты(ФормаОплаты, ДанныеЗаполнения, ВалютаПлатежа);
```
</details>

## ЗаполнитьДокументПоЗаявкамНаРасходованиеДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет документ на основании заявок на расходование денежных средств.
//
// Параметры:
//	ДанныеЗаполнения - Структура - Данные заполнения
//	ТабличнаяЧасть - ТабличнаяЧасть - Табличная часть документа
//	ФормаОплаты - ПеречислениеСсылка.ФормыОплаты - Фактическая форма оплаты (зависит от вводимого документа оплаты).
//	Документ - ДокументСсылка.СписаниеБезналичныхДенежныхСредств, ДокументСсылка.РасходныйКассовыйОрдер, ДокументСсылка.ОперацияПоПлатежнойКарте, Неопределено
//		 - заполняемый документ.
//
Процедура ЗаполнитьДокументПоЗаявкамНаРасходованиеДенежныхСредств(ДанныеЗаполнения, ТабличнаяЧасть, ФормаОплаты, Документ = Неопределено) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьДокументПоЗаявкамНаРасходованиеДенежныхСредств(ДанныеЗаполнения, ТабличнаяЧасть, ФормаОплаты, Документ);
```
</details>

## ЗаполнитьПоОстаткамЗаявокНаРасходованиеДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу остатками денежных средств к выплате по заявкам
//
// Параметры:
//    ДанныеОтбора - Структура - содержит значения отбора заявок
//    ТабличнаяЧасть - ДанныеФормыКоллекция - заполняемая таблица.
//
Процедура ЗаполнитьПоОстаткамЗаявокНаРасходованиеДенежныхСредств(ДанныеОтбора, ТабличнаяЧасть) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьПоОстаткамЗаявокНаРасходованиеДенежныхСредств(ДанныеОтбора, ТабличнаяЧасть) 
```
</details>

## ЗаполнитьДокументПоРаспоряжениюНаПеремещениеДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет документ на основании распоряжения на перемещение денежных средств.
//
// Параметры:
//	ДокументОснование - ДокументСсылка.РаспоряжениеНаПеремещениеДенежныхСредств - Документ - основание
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	ДанныеЗаполнения - Структура - Данные заполнения
//	РасшифровкаПлатежа - ТабличнаяЧасть - Табличная часть "Расшифровка платежа" документа.
//
Процедура ЗаполнитьДокументПоРаспоряжениюНаПеремещениеДенежныхСредств( Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьДокументПоРаспоряжениюНаПеремещениеДенежныхСредств();
```
</details>

## ЗаполнитьСтатьюДвиженияДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет статью ДДС в шапке документа по хозяйственной операции.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	ДанныеЗаполнения - Структура - Данные заполнения
//	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хоз. операция.
//
Процедура ЗаполнитьСтатьюДвиженияДенежныхСредств(ДокументОбъект, ДанныеЗаполнения, ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьСтатьюДвиженияДенежныхСредств(ДокументОбъект, ДанныеЗаполнения, ХозяйственнаяОперация) 
```
</details>

## ТекстСуммаНДСПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует текст строки "В том числе НДС" платежа.
//
// Параметры:
//    Организация - СправочникСсылка.Организации - Организация документа
//    ВалютаДокумента - СправочникСсылка.Валюты - Валюта документа
//    РасшифровкаПлатежа - ТабличнаяЧасть - Табличная часть Расшифровка платежа
//    ДобавлятьТекстВТомЧисле - Булево - Добавлять строку "В т.ч." в текст платежа.
//
// Возвращаемое значение:
//    Строка - Текст суммы НДС платежа.
//
Функция ТекстСуммаНДСПлатежа(Организация, ВалютаДокумента, РасшифровкаПлатежа, ДобавлятьТекстВТомЧисле) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ТекстСуммаНДСПлатежа(Организация, ВалютаДокумента, РасшифровкаПлатежа, ДобавлятьТекстВТомЧисле) 
```
</details>

## ЗаполнитьПоДоговоруКредитаДепозита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет документ на основании договора кредита (депозита).
//
// Параметры:
//	ДоговорКредитаДепозита - СправочникСсылка.ДоговорыКредитовИДепозитов - Договор - основание
//	ДанныеЗаполнения - Структура - Данные заполнения
//	РасшифровкаПлатежа - ТабличнаяЧасть - Табличная часть документа
//  ЭтоПоступление - Булево - вид движения денежных средств.
//
Процедура ЗаполнитьПоДоговоруКредитаДепозита(Знач ДоговорКредитаДепозита, ДанныеЗаполнения, РасшифровкаПлатежа, ЭтоПоступление) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьПоДоговоруКредитаДепозита(ДоговорКредитаДепозита, ДанныеЗаполнения, РасшифровкаПлатежа, ЭтоПоступление) 
```
</details>

## ПроверитьЗаполнитьБанковскийСчетОрганизацииПоВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает банковский счет организации, если он принадлежит другой организации.
// Заполняет по умолчанию, если банковский счет не заполнен.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - Организация документа
//	БанковскийСчет - СправочникСсылка.БанковскиеСчетаОрганизаций - Проверяемый банковский счет
//	ФормаОплаты - ПеречислениеСсылка.ФормыОплаты - Форма оплаты документа
//	НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - Направление деятельности.
//
Процедура ПроверитьЗаполнитьБанковскийСчетОрганизацииПоВладельцу(Знач Организация, БанковскийСчет, ФормаОплаты = Неопределено, НаправлениеДеятельности = Неопределено) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьЗаполнитьБанковскийСчетОрганизацииПоВладельцу(Организация, БанковскийСчет, ФормаОплаты, НаправлениеДеятельности);
```
</details>

## ПроверитьЗаполнитьКассуОрганизацииПоВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает кассу организации, если она принадлежит другой организации.
// Заполняет по умолчанию, если касса не заполнена.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - Организация документа
//	Касса - СправочникСсылка.Кассы - Проверяемая касса
//	ФормаОплаты - ПеречислениеСсылка.ФормыОплаты - Форма оплаты документа
//	НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - Направление деятельности
//	ФизическоеЛицо - СправочникСсылка.ФизическиеЛица - Физическое лицо
//
Процедура ПроверитьЗаполнитьКассуОрганизацииПоВладельцу(Знач Организация, Касса, ФормаОплаты = Неопределено, НаправлениеДеятельности = Неопределено, ФизическоеЛицо = Неопределено) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьЗаполнитьКассуОрганизацииПоВладельцу(Организация, Касса, ФормаОплаты, НаправлениеДеятельности, ФизическоеЛицо);
```
</details>

## ПолучитьВалютуОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает валюту платежа по документу
//
// Параметры:
//  ФормаОплаты - ПеречислениеСсылка.ФормыОплаты - Форма оплаты документа.
//  БанковскийСчет - СправочникСсылка.БанковскиеСчетаОрганизаций - Банковский счет документа.
//  Касса - СправочникСсылка.Кассы - Касса документа.
//
// Возвращаемое значение:
//  СправочникСсылка.Валюты - Валюта платежа.
Функция ПолучитьВалютуОплаты(ФормаОплаты = Неопределено, БанковскийСчет = Неопределено, Касса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ПолучитьВалютуОплаты(ФормаОплаты, БанковскийСчет, Касса);
```
</details>

## ОплатитьСтрокиГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает платежные документы, либо формирует данные заполнения для создания одного платежного документа.
//
// Параметры:
//    СтрокиГрафика - Массив - Ключи записей графика платежей
//    ТипДокумента - Строка - Тип создаваемых документов. Если не задан, будет определен автоматически.
//
// Возвращаемое значение:
//    Структура:
//        ОткрыватьФормуПомощника - Булево - Признак необходимости открытия формы помощника создания документов
//        ДокументКСозданию - Структура - Данные заполнения единственного документа
//        ДлительнаяОперация - Структура - Длительная операция создания нескольких документов
//        АдресСтрокГрафика - Строка - Адрес временного хранилища, в котором содержатся оплачиваемые строки графика.
//
Функция ОплатитьСтрокиГрафика(СтрокиГрафика, ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ОплатитьСтрокиГрафика(СтрокиГрафика, ТипДокумента) 
```
</details>

## ДокументыКСозданию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует данные для создания документов на основании строк графика платежей
//
// Параметры:
//    СтрокиГрафика - Массив - Ключи записей графика платежей
//    ТипДокумента - Строка - Тип создаваемых документов. Если не задан, будет определен автоматически.
//    Группировать - Булево - Признак необходимости группировки строк графика.
//
// Возвращаемое значение:
//    Массив - Структуры с полями "Тип документа" и "Данные заполнения".
//
Функция ДокументыКСозданию(СтрокиГрафика, ТипДокумента, Группировать = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ДокументыКСозданию(СтрокиГрафика, ТипДокумента, Группировать);
```
</details>

## СоздатьПлатежи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает платежные документы
//
// Параметры:
//    Параметры - Структура - Содержит массив подготовленных данных для заполнения документов
//    АдресРезультата - Строка - Адрес временного хранилища, куда будет помещен массив ссылок на созданные документы.
//
Процедура СоздатьПлатежи(Параметры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.СоздатьПлатежи(Параметры, АдресРезультата) 
```
</details>

## УдалитьПлатежи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет платежные документы
//
// Параметры:
//    СсылкиНаУдаление - Массив - Ссылки на удаляемые документы
//    АдресРезультата - Строка - Адрес временного хранилища, куда будут помещены ошибки при их наличии.
//
Процедура УдалитьПлатежи(СсылкиНаУдаление, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УдалитьПлатежи(СсылкиНаУдаление, АдресРезультата) 
```
</details>

## ЗаполнитьШапкуПоДаннымРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьШапкуПоДаннымРасшифровки(Объект) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьШапкуПоДаннымРасшифровки(Объект) 
```
</details>

## СтрокиГрафикаКОплате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет строки графика платежей, подлежащие оплате
//
// Параметры:
//    ОбъектыОплаты - Массив, ДокументСсылка - Оплачиваемые объекты
//
// Возвращаемое значение:
//    Массив - Ключи записей регистра График платежей
//
Функция СтрокиГрафикаКОплате(Знач ОбъектыОплаты) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.СтрокиГрафикаКОплате(ОбъектыОплаты) 
```
</details>

## СформироватьДанныеЗаполненияПоВозвратуПлатежаОтЗаказКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру данных для заполнения документа возврата платежа на основании заказа клиенту
//
// Параметры:
//	ЗаказКлиента - ДокументСсылка.ЗаказКлиента
//	ДокументОбъектЗаполнения - ДокументОбъект - документ заполнения
//	ФормаОплаты - ПеречислениеСсылка.ФормыОплаты - форма оплаты по заказу клиента
//
// Возвращаемое значение:
//	Структура - структура данных для заполнения документа
//
Функция СформироватьДанныеЗаполненияПоВозвратуПлатежаОтЗаказКлиента(ЗаказКлиента, ДокументОбъектЗаполнения, ФормаОплаты = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.СформироватьДанныеЗаполненияПоВозвратуПлатежаОтЗаказКлиента(ЗаказКлиента, ДокументОбъектЗаполнения, ФормаОплаты);
```
</details>

## ЗаполнитьРасшифровкуПлатежаПоЗаказуКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет табличную часть РасшифровкаПлатежа документов платежа по заказу клиента
//
// Параметры:
//	ДанныеЗаполнения - Структура - структура основных данных документа Заказ клиента
//	ТабличнаяЧастьРасшифровкаПлатежа - ТабличнаяЧасть - табличная часть документа платежа
//
Процедура ЗаполнитьРасшифровкуПлатежаПоЗаказуКлиента(ДанныеЗаполнения, ТабличнаяЧастьРасшифровкаПлатежа) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьРасшифровкуПлатежаПоЗаказуКлиента(ДанныеЗаполнения, ТабличнаяЧастьРасшифровкаПлатежа) 
```
</details>

## СформироватьДанныеЗаполненияПоВозвратуПлатежаОтПоступленияБезналичныхДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру данных для заполнения документа возврата платежа на основании поступления безналичных денежных средств
//
// Параметры:
//	ДокументПоступления - ДокументСсылка.ПоступлениеБезналичныхДенежныхСредств
//
// Возвращаемое значение:
//	Структура - структура данных для заполнения документа
//
Функция СформироватьДанныеЗаполненияПоВозвратуПлатежаОтПоступленияБезналичныхДенежныхСредств(ДокументПоступления) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.СформироватьДанныеЗаполненияПоВозвратуПлатежаОтПоступленияБезналичныхДенежныхСредств(ДокументПоступления) 
```
</details>

## ЗаполнитьРасшифровкуПлатежаПоДокументуОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет табличную часть РасшифровкаПлатежа документов платежа по документам оплаты
//
// Параметры:
//	ДокументОплаты - ДокументСсылка.ПоступлениеБезналичныхДенежныхСредств, ДокументСсылка.ПриходныйКассовыйОрдер - документ основание
//	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - операция документа платежа
//	ТабличнаяЧастьРасшифровкаПлатежа - ТабличнаяЧасть - табличная часть документа платежа
//
Процедура ЗаполнитьРасшифровкуПлатежаПоДокументуОплаты(ДокументОплаты, ХозяйственнаяОперация, ТабличнаяЧастьРасшифровкаПлатежа) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьРасшифровкуПлатежаПоДокументуОплаты(ДокументОплаты, ХозяйственнаяОперация, ТабличнаяЧастьРасшифровкаПлатежа) 
```
</details>

## СформироватьДанныеЗаполненияПоВозвратуПлатежаОтПриходногоКассовогоОрдера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру данных для заполнения документа возврата платежа на основании приходного кассового ордера
//
// Параметры:
//	ДокументПоступления - ДокументСсылка.ПриходныйКассовыйОрдер
//
// Возвращаемое значение:
//	Структура - структура данных для заполнения документа
//
Функция СформироватьДанныеЗаполненияПоВозвратуПлатежаОтПриходногоКассовогоОрдера(ДокументПоступления) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.СформироватьДанныеЗаполненияПоВозвратуПлатежаОтПриходногоКассовогоОрдера(ДокументПоступления) 
```
</details>

## ДанныеЗаполненияПоВозвратуПлатежаЭквайринговойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные заполнения по возврату платежа по документу "Эквайринговая операция".
//
// Параметры:
//  ДокументОснование - ДокументСсылка.ОперацияПоПлатежнойКарте - Документ, из которого выполняется выборка данных заполнения.
//
// Возвращаемое значение:
//  Структура - Данные заполнения по возврату платежа эквайринговой операции:
// * Организация - СправочникСсылка.Организации - организация документа.
// * ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция возврата оплаты клиенту.
// * ФормаОплатыЗаявки - ПеречислениеСсылка.ФормыОплаты - форма оплаты заявки.
// * ФормаОплатыНаличная - Булево - признак наличной оплаты.
// * ФормаОплатыБезналичная - Булево - признак безналичной оплаты.
// * ФормаОплатыПлатежнаяКарта - Булево - признак оплаты платежной картой.
// * Контрагент - СправочникСсылка.Контрагенты - контрагент.
// * ДоговорЭквайринга - СправочникСсылка.ДоговорыЭквайринга - договор подключения к платежной системе.
// * СуммаДокумента - Число - сумма документа.
// * ВалютаВзаиморасчетов - СправочникСсылка.Валюты - валюта взаиморасчетов.
// * Валюта - СправочникСсылка.Валюты - валюта документа.
// * Подразделение - СправочникСсылка.СтруктураПредприятия - подразделение.
// * ДокументОснование - ДокументСсылка.ОперацияПоПлатежнойКарте - документ основание.
// * Договор - СправочникСсылка.ДоговорыКонтрагентов - договор контрагента.
// * Партнер - СправочникСсылка.Партнеры - партнер.
// * НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - направление деятельности.
// * НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - налогооблажение по документу.
// * БанковскийСчетКонтрагента - СправочникСсылка.БанковскиеСчетаКонтрагентов - банковский счет контрагента.
// * НазначениеПлатежа - Строка - текст назначения платежа.
// * ЖелательнаяДатаПлатежа - Дата - дата платежа.
//
Функция ДанныеЗаполненияПоВозвратуПлатежаЭквайринговойОперации(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ДанныеЗаполненияПоВозвратуПлатежаЭквайринговойОперации(ДокументОснование) 
```
</details>

## КассирПоследнегоРКОИлиПКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает кассира из последнего РКО или ПКО.
//
// Параметры:
//  Дата - Дата
//  Организация - СправочникСсылка.Организации - отбор по организации для документов РКО и ПКО
//  Касса - СправочникСсылка.Кассы - отбор по кассе для документов РКО и ПКО
//
// Возвращаемое значение:
//  СправочникСсылка.ФизическиеЛица - Кассир последнего РКО или ПКО
Функция КассирПоследнегоРКОИлиПКО(Дата, Организация, Касса) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.КассирПоследнегоРКОИлиПКО(Дата, Организация, Касса) 
```
</details>

## ОперацияПоЗарплате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет принадлежность хозяйственной операции к множеству операций по зарплате.
//
// Параметры:
//    ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хоз. операция.
//
// Возвращаемое значение:
//    Булево - Признак принадлежности.
//
Функция ОперацияПоЗарплате(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ОперацияПоЗарплате(ХозяйственнаяОперация) 
```
</details>

## ФорматироватьНазначениеПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выделяет в назначении платежа фиксированную часть без служебных символов, слов менее 2 символов, чисел.
//
// Параметры:
//    ВремСтрока - Строка - Преобразуемая строка.
//
// Возвращаемое значение:
//    Строка - Форматированная строка назначения.
//
Функция ФорматироватьНазначениеПлатежа(Знач ВремСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ФорматироватьНазначениеПлатежа(ВремСтрока) 
```
</details>

## ДанныеЗагружаемойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура данных операции из выписки при чтении из файла.
//
// Возвращаемое значение:
//  Структура - Описание:
//   * Номер - Строка - номер документа
//   * Дата - Дата - дата документа
//   * Сумма - Число - сумма документа
//   * ДатаОперации - Дата - дата проведения операции
//   * НаправлениеПлатежа - Строка - "1" - списание с расчетного счета, "2" - поступление на расчетный счет
//   * Идентификатор - Строка - уникальный идентификатор операции
//   * Плательщик - Строка - наименование плательщика
//   * ПлательщикИНН - Строка - ИНН плательщика
//   * ПлательщикСчет - Строка - номер счета плательщика
//   * ПлательщикСтрана - Строка - страна плательщика
//   * ПлательщикБанкSWIFT - Строка - SWIFT банка плательщика
//   * ПлательщикБанк - Строка - наименование банка плательщика
//   * Получатель - Строка - наименование получателя
//   * ПолучательИНН - Строка - ИНН получателя
//   * ПолучательСчет - Строка - номер счета получателя
//   * ПолучательСтрана - Строка - страна получателя
//   * ПолучательБанкSWIFT - Строка - SWIFT банка получателя
//   * ПолучательБанк - Строка - наименование банка получателя
//   * НазначениеПлатежа - Строка - назначение платежа.
Функция ДанныеЗагружаемойОперации() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ДанныеЗагружаемойОперации() 
```
</details>

## ЗаголовокВыписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Шаблон структуры заголовка, который используется при чтении данных выписки из файла
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Отправитель - Строка - банк, от которого получена выписка
// * ДатаСоздания - Дата - дата и время формирования файла
// * ДатаНачала - Дата - дата начала периода выписки
// * ДатаКонца - Дата - дата конца периода выписки.
Функция ЗаголовокВыписки() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ЗаголовокВыписки() 
```
</details>

## ЗапросПоТабличнойЧастиРасшифровкаПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует запрос по табличной части "Расшифровка платежа".
//
// Параметры:
//	РасшифровкаПлатежа - ТабличнаяЧасть - Табличная часть документа
//	Организация - СправочникСсылка.Организации - Организация документа
//	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа.
//	ОбъектРасчетов - СправочникСсылка.ОбъектыРасчетов - объект расчетов владельца расшифровки платежа.
//
// Возвращаемое значение:
//	Запрос - запрос по табличной части.
//
Функция ЗапросПоТабличнойЧастиРасшифровкаПлатежа(РасшифровкаПлатежа, Организация, ХозяйственнаяОперация = Неопределено, ОбъектРасчетов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ЗапросПоТабличнойЧастиРасшифровкаПлатежа(РасшифровкаПлатежа, Организация, ХозяйственнаяОперация, ОбъектРасчетов);
```
</details>

## ПроверитьЗаполнениеРасшифровкиПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет заполнение табличной части "Расшифровка платежа".
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Документ
//	СуммаДокумента - Число - Общая сумма документа
//	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа
//	Отказ - Булево - Признак отказа от продолжения работы
//	ФлагОбменСБанками - Булево - Признак использования при обмене с банками
//	ОшибкиЗаполнения - Строка - Строка, накапливающая ошибки проверок.
//
Процедура ПроверитьЗаполнениеРасшифровкиПлатежа( Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьЗаполнениеРасшифровкиПлатежа();
```
</details>

## ПроверитьЗаявкуНаРасходованиеДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверки заявки на расходование денежных средств, указанной в документе.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Документ
//	Отказ - Булево - Признак отказа от продолжения работы.
//
Процедура ПроверитьЗаявкуНаРасходованиеДенежныхСредств( Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьЗаявкуНаРасходованиеДенежныхСредств();
```
</details>

## ПроверитьРаспоряжениеНаПеремещениеДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// ВыборкаРеквизитыШапки - ВыборкаИзРезультатаЗапроса - Выборка
// Процедура проверки распоряжения на перемещение денежных средств, указанного в документе.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Документ
//	Отказ - Булево - Признак отказа от продолжения работы.
//
Процедура ПроверитьРаспоряжениеНаПеремещениеДенежныхСредств( Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьРаспоряжениеНаПеремещениеДенежныхСредств();
```
</details>

## ПроверитьКассуПолучателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет кассу получателя, указанную в документе.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	Отказ - Булево - Признак отказа от продолжения работы.
//
Процедура ПроверитьКассуПолучателя(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьКассуПолучателя(ДокументОбъект, Отказ) 
```
</details>

## ПроверитьКассуОтправителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет кассу отправителя, указанную в документе.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	Отказ - Булево - Признак отказа от продолжения работы.
//
Процедура ПроверитьКассуОтправителя(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьКассуОтправителя(ДокументОбъект, Отказ) 
```
</details>

## ПроверитьКассуККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет кассу ККМ, указанную в документе.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	Отказ - Булево - Признак отказа от продолжения работы.
//
Процедура ПроверитьКассуККМ(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьКассуККМ(ДокументОбъект, Отказ) 
```
</details>

## ПроверитьБанковскийСчетПолучатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет банковский счет получатель, указанный в документе.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	Отказ - Булево - Признак отказа от продолжения работы
//	ФлагОбменСБанками - Булево - Признак использования при обмене с банками
//	ОшибкиЗаполнения - Строка - Строка, накапливающая ошибки проверок.
//
Процедура ПроверитьБанковскийСчетПолучатель(ДокументОбъект, Отказ, ФлагОбменСБанками = Ложь, ОшибкиЗаполнения = "") Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьБанковскийСчетПолучатель(ДокументОбъект, Отказ, ФлагОбменСБанками, ОшибкиЗаполнения);
```
</details>

## ПроверитьВалютуКонвертации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет валюту конвертации, указанную в документе.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	Отказ - Булево - Признак отказа от продолжения работы
//	ФлагОбменСБанками - Булево - Признак использования при обмене с банками
//	ОшибкиЗаполнения - Строка - Строка, накапливающая ошибки проверок.
//
Процедура ПроверитьВалютуКонвертации(ДокументОбъект, Отказ, ФлагОбменСБанками = Ложь, ОшибкиЗаполнения = "") Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьВалютуКонвертации(ДокументОбъект, Отказ, ФлагОбменСБанками, ОшибкиЗаполнения);
```
</details>

## РазрешеныПлатежиБезУказанияЗаявок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, разрешены ли платежи без указания заявок на расходование денежных средств.
//
// Параметры:
//    ДокументОбъект - ДокументОбъект - документ, для которого выполняется проверка.
//
// Возвращаемое значение:
//    Булево - Разрешены, или нет.
//
Функция РазрешеныПлатежиБезУказанияЗаявок(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.РазрешеныПлатежиБезУказанияЗаявок(ДокументОбъект) 
```
</details>

## ОчиститьНеиспользуемыеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура очищает неиспользуемые для хозяйственной операции реквизиты.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	МассивВсехРеквизитов - Массив - Массив всех реквизитов документа, которые необходимо очищать
//	МассивРеквизитовОперации - Массив - Массив реквизитов документа, которые относятся к хозяйственной операции документа.
//
Процедура ОчиститьНеиспользуемыеРеквизиты(ДокументОбъект, Знач МассивВсехРеквизитов, Знач МассивРеквизитовОперации) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ОчиститьНеиспользуемыеРеквизиты(ДокументОбъект, МассивВсехРеквизитов, МассивРеквизитовОперации) 
```
</details>

## ОчиститьНеиспользуемыеРеквизитыФормыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура очищает неиспользуемые реквизиты для указанной в документе формы оплаты.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	ФормаОплаты - ПеречислениеСсылка.ФормыОплаты - Форма оплаты документа
//	ОчищатьДляПустойФормыОплаты - Булево - очищать реквизиты, если форма оплаты не указана (при любой форме оплаты).
//
Процедура ОчиститьНеиспользуемыеРеквизитыФормыОплаты(ДокументОбъект, ФормаОплаты, ОчищатьДляПустойФормыОплаты = Ложь) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ОчиститьНеиспользуемыеРеквизитыФормыОплаты(ДокументОбъект, ФормаОплаты, ОчищатьДляПустойФормыОплаты);
```
</details>

## ДобавитьНепроверяемыеРеквизитыПоВыплатеЗаработнойПлаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В зависимости от хоз. операции, добавляет в массив реквизиты объекта не требующие проверки заполнения.
// Параметры:
//    ДокументОбъект                  - ДокументОбъект - документ, предназначенный для записи или проведения;
//    МассивНепроверяемыхРеквизитов   - Массив - массив реквизитов, не требующих проверки
//                                      при записи и проведении документа;
//    ХозяйственнаяОперацияПоЗарплате - Булево - признак того, что хозяйственная операция, указанная в документе,
//                                      отражает движения по заработной плате.
//
Процедура ДобавитьНепроверяемыеРеквизитыПоВыплатеЗаработнойПлаты(ДокументОбъект, МассивНепроверяемыхРеквизитов, ХозяйственнаяОперацияПоЗарплате = Ложь) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ДобавитьНепроверяемыеРеквизитыПоВыплатеЗаработнойПлаты(ДокументОбъект, МассивНепроверяемыхРеквизитов, ХозяйственнаяОперацияПоЗарплате);
```
</details>

## ДобавитьОшибкуЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет строку к имеющимся
//
// Параметры:
//    ОшибкиЗаполнения - Строка - Накопленное описание ошибок
//    ТекстОшибки - Строка - Описание очередной ошибки.
//
Процедура ДобавитьОшибкуЗаполнения(ОшибкиЗаполнения, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ДобавитьОшибкуЗаполнения(ОшибкиЗаполнения, ТекстОшибки) 
```
</details>

## ПроверитьЗаполнениеОбязательныхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку заполнения реквизитов вместо платформы. Ошибки записываются, а не выводятся на экран.
//
// Параметры:
//    ДокументОбъект - ДокументОбъект - Объект документа
//    ПроверяемыеРеквизиты - Массив - Реквизиты, требующие проверки заполненности
//    ОшибкиЗаполнения - Строка - Описание ошибок заполнения.
//
Процедура ПроверитьЗаполнениеОбязательныхРеквизитов(ДокументОбъект, ПроверяемыеРеквизиты, ОшибкиЗаполнения) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьЗаполнениеОбязательныхРеквизитов(ДокументОбъект, ПроверяемыеРеквизиты, ОшибкиЗаполнения) 
```
</details>

## ПроверитьЗаполнениеРасшифровкиБезРазбиения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку заполнения однострочной расшифровки платежа
//
// Параметры:
//    ДокументОбъект - ДокументОбъект - Проверяемый документ
//    ПроверяемыеРеквизиты - Массив - Проверяемые реквизиты документа
//    ИмяТЧ - Строка - Имя табличной части, текущая строка которой выводится в виде отдельных реквизитов
//    ИмяЗаменыТЧ - Строка - Наименование подстроки замены наименования реквизитов табличной части
//    Отказ - Булево - Признак отказа от операции.
//
Процедура ПроверитьЗаполнениеРасшифровкиБезРазбиения(ДокументОбъект, ПроверяемыеРеквизиты, ИмяТЧ, ИмяЗаменыТЧ, Отказ) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьЗаполнениеРасшифровкиБезРазбиения(ДокументОбъект, ПроверяемыеРеквизиты, ИмяТЧ, ИмяЗаменыТЧ, Отказ) 
```
</details>

## ПроверитьЗаполнениеПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнения реквизита Партнер в ТЧ РасшифровкаПлатежа
//
// Параметры:
//	Объект                - ДокументОбъект - Денежный документ.
//	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция объекта
//	МассивНепроверяемыхРеквизитов - Массив - Непроверяемые реквизиты документа
//	РасшифровкаБезРазбиения - Булево - признак вида рашифровки в документе
//	Отказ - Булево - Признак отказа от продолжения работы.
//
Процедура ПроверитьЗаполнениеПартнера(Объект, ХозяйственнаяОперация, МассивНепроверяемыхРеквизитов, РасшифровкаБезРазбиения, Отказ) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьЗаполнениеПартнера(Объект, ХозяйственнаяОперация, МассивНепроверяемыхРеквизитов, РасшифровкаБезРазбиения, Отказ) 
```
</details>

## ПроверитьДокументыЗакупкиАвансовогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствие документов закупки авансовому отчету
//
// Параметры:
//    ДокументОбъект - ДокументОбъект.ПриобретениеТоваровУслуг - проверяемый объект (может быть также ДокументОбъект.ПоступлениеДенежныхДокументов)
//    Отказ - Булево - Признак отказа от продолжения работы.
//
Процедура ПроверитьДокументыЗакупкиАвансовогоОтчета(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьДокументыЗакупкиАвансовогоОтчета(ДокументОбъект, Отказ) 
```
</details>

## ПроверитьЗаполнениеНеЗачисленнойСуммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответвие суммы документа с суммой не зачисленных ДС по документу "Зачисление ДС на лицевые счета".
//
// Параметры:
//  Объект - ДокументОбъект.ПоступлениеБезналичныхДенежныхСредств - документ, по которому выполняется проверка.
//  Отказ - Булево - признак ошибки заполнения
//
Процедура ПроверитьЗаполнениеНеЗачисленнойСуммы(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПроверитьЗаполнениеНеЗачисленнойСуммы(Объект, Отказ) 
```
</details>

## ОбработкаЗаполненияСправочников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение общих реквизитов справочников
//
// Параметры:
//    Объект - СправочникОбъект - объект.
Процедура ОбработкаЗаполненияСправочников(Объект) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ОбработкаЗаполненияСправочников(Объект) 
```
</details>

## Страна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет страну по коду Альфа2
//
// Параметры:
// 	Код - Строка - код Альфа2
// Возвращаемое значение:
// 	СправочникСсылка.СтраныМира - страна мира
// 	Неопределено - страна не найдена.
Функция Страна(Код) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.Страна(Код) 
```
</details>

## Банк
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет банк по стране и национальному коду
//
// Параметры:
// 	Страна - СправочникСсылка.СтраныМира - страна, в которой находится банк
// 	Код - Строка - национальный код банка
// Возвращаемое значение:
// 	СправочникСсылка.КлассификаторБанков - ссылка на найденный банк.
// 	Неопределено - банк не найден.
Функция Банк(Страна, Код) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.Банк(Страна, Код) 
```
</details>

## НациональныйКодБанка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет национальный код банка из IBAN
//
// Параметры:
// 	IBAN - Строка - номер счета в формате IBAN
// Возвращаемое значение:
// 	Строка - национальный код банка.
//
Функция НациональныйКодБанка(IBAN) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.НациональныйКодБанка(IBAN) 
```
</details>

## СформироватьДанныеЗаполненияСписанияДСПоНесколькимДокументам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет возможность формирования документа "Списание безналичных ДС"
// на основании нескольких документов.
//
// Параметры:
//  МассивСсылок  - Массив - заказы поставщикам, по которым необходимо ввести реализацию.
//
// Возвращаемое значение:
//   Булево   - Истина, если формирование возможно.
//
Функция СформироватьДанныеЗаполненияСписанияДСПоНесколькимДокументам(МассивСсылок) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.СформироватьДанныеЗаполненияСписанияДСПоНесколькимДокументам(МассивСсылок) 
```
</details>

## ПересчетСуммДокументаВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет пересчет сумм документа в новую валюту.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий документ
//	ТекущаяВалюта - СправочникСсылка.Валюты - Текущая валюта
//	НоваяВалюта - СправочникСсылка.Валюты - Новая валюта.
//
Процедура ПересчетСуммДокументаВВалюту(Объект, ТекущаяВалюта, НоваяВалюта) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ПересчетСуммДокументаВВалюту(Объект, ТекущаяВалюта, НоваяВалюта) 
```
</details>

## ДоговорПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает найденный договор по заданным условиям.
// Параметры:
//    ТекущийДоговор - СправочникСсылка.ДоговорыКонтрагентов - Договор с контрагентом
//    Партнер - СправочникСсылка.Партнеры - Партнер
//    Контрагент - СправочникСсылка.Контрагенты - Контрагент
//    Организация - СправочникСсылка.Организации - Организация
//    ХозяйственныеОперации - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция.
//    ДополнительныйОтбор - Неопределено, Структура - дополнительные отборы.
//
// Возвращаемое значение:
//   СправочникСсылка.ДоговорыКонтрагентов - договор по умолчанию, являющийся объектом расчетов.
//
Функция ДоговорПоУмолчанию( Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ДоговорПоУмолчанию();
```
</details>

## ТекстЗапросаРеквизитаОбъектаРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для получения указанного реквизита объекта расчетов
//
// Параметры:
//    ИмяДокумента - Строка - Имя документа
//    ТаблицаИсточник - Строка - Таблица источник данных
//    ИмяОбъектаРасчетов - Строка - Имя объекта расчетов
//    ИмяРеквизитаОбъектаРасчетов - Строка - Имя реквизита объекта расчетов.
//
// Возвращаемое значение:
//    Строка - Текст запроса
//
Функция ТекстЗапросаРеквизитаОбъектаРасчетов(ИмяДокумента, ТаблицаИсточник, ИмяОбъектаРасчетов, ИмяРеквизитаОбъектаРасчетов) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ТекстЗапросаРеквизитаОбъектаРасчетов(ИмяДокумента, ТаблицаИсточник, ИмяОбъектаРасчетов, ИмяРеквизитаОбъектаРасчетов) 
```
</details>

## ПараметрыЗаполненияБанковскогоСчетаОрганизацииПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова функции ПолучитьБанковскийСчетОрганизацииПоУмолчанию
//
// Возвращаемое значение:
//    Структура - Структура параметров для определения счета:
// 		* Организация    		  - СправочникСсылка.Организации - Организация, для которой необходимо получить счет
// 		* ФормаОплаты    		  - ПеречислениеСсылка.ФормыОплаты - Форма оплаты, по которой определяется необходимость
// 									получения банковского счета
// 		* БанковскийСчет 		  - СправочникСсылка.БанковскиеСчетаОрганизаций - Банковский счет, который нужно заполнить
//      * Валюта		 		  - СправочникСсылка.Валюты - Валюта счета
//		* НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - желательное направление деятельности счета.
//
Функция ПараметрыЗаполненияБанковскогоСчетаОрганизацииПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ПараметрыЗаполненияБанковскогоСчетаОрганизацииПоУмолчанию() 
```
</details>

## ПараметрыЗаполненияКассыОрганизацииПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова функции ПолучитьКассуОрганизацииПоУмолчанию
//
// Возвращаемое значение:
//    Структура - Структура параметров для определения счета:
// 		* Организация    		  - СправочникСсылка.Организации - Организация, для которой необходимо получить счет
// 		* ФормаОплаты    		  - ПеречислениеСсылка.ФормыОплаты - Форма оплаты, по которой определяется необходимость
// 									получения банковского счета
// 		* Касса					  - СправочникСсылка.Кассы - Касса, которую нужно заполнить
//      * Валюта		 		  - СправочникСсылка.Валюты - Валюта счета
//		* НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - желательное направление деятельности счета.
//		* ФизическоеЛицо		  - СправочникСсылка.ФизическиеЛица
//
Функция ПараметрыЗаполненияКассыОрганизацииПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ПараметрыЗаполненияКассыОрганизацииПоУмолчанию() 
```
</details>

## ПолучитьСписокХозяйственныхОперацийПродажДляДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список хозяйственных операций продаж по типу документа
//
// Параметры:
//    ТипДокумента - Тип - Тип документа
//
// Возвращаемое значение:
//    Массив - Список хозяйственных операций продаж
//
Функция ПолучитьСписокХозяйственныхОперацийПродажДляДокумента(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ПолучитьСписокХозяйственныхОперацийПродажДляДокумента(ТипДокумента) 
```
</details>

## ПолучитьСписокХозяйственныхОперацийЗакупкиДляДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список хозяйственных операций закупки по типу документа
//
// Параметры:
//    ТипДокумента - Тип - Тип документа
//
// Возвращаемое значение:
//    Массив из ПеречислениеСсылка.ХозяйственныеОперации - Список хозяйственных операций закупки.
//
Функция ПолучитьСписокХозяйственныхОперацийЗакупкиДляДокумента(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ПолучитьСписокХозяйственныхОперацийЗакупкиДляДокумента(ТипДокумента) 
```
</details>

## ЗаполнитьДанныеФормыПоСпискуРеквизитовХозяйственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные формы документа по массиву используемых реквизитов в хозяйственной операции.
//
// Параметры:
//  ДокументОбъект - ДанныеФормыСтруктура - данные документа, в котором выполняется заполнение.
//  МенеджерДокумента - ДокументМенеджер.ЗаявкаНаРасходованиеДенежныхСредств, ДокументМенеджер.СписаниеБезналичныхДенежныхСредств -
//                      менеджер документа.
//
Процедура ЗаполнитьДанныеФормыПоСпискуРеквизитовХозяйственнойОперации(ДокументОбъект, МенеджерДокумента) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьДанныеФормыПоСпискуРеквизитовХозяйственнойОперации(ДокументОбъект, МенеджерДокумента) 
```
</details>

## УстановитьПризнакПлатежаСКонвертацией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установливает/снимает признак платежа с конвертацией.
//
// Параметры:
//  ДокументОбъект - ДанныеФормыСтруктура - текущий документ.
//  ИмяМенеджераДокумента - ДокументМенеджер.ЗаявкаНаРасходованиеДенежныхСредств, ДокументМенеджер.СписаниеБезналичныхДенежныхСредств -
//  менеджер документа.
//
Процедура УстановитьПризнакПлатежаСКонвертацией(ДокументОбъект, ИмяМенеджераДокумента) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПризнакПлатежаСКонвертацией(ДокументОбъект, ИмяМенеджераДокумента) 
```
</details>

## ДобавитьЭтап_ПроверкаКурсовЗачетаВАвансовыхОтчетах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца
// 	ТекущийРодитель - Строка - идентификатор группы.
//
Процедура ДобавитьЭтап_ПроверкаКурсовЗачетаВАвансовыхОтчетах(ТаблицаЭтапов, ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ДобавитьЭтап_ПроверкаКурсовЗачетаВАвансовыхОтчетах(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ПроверкаКурсовЗачетаВАвансовыхОтчетах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчики этапа
//
// Параметры:
// 	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки
//
Процедура Использование_ПроверкаКурсовЗачетаВАвансовыхОтчетах(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.Использование_ПроверкаКурсовЗачетаВАвансовыхОтчетах(ПараметрыОбработчика) 
```
</details>

## Выполнить_ПроверкаКурсовЗачетаВАвансовыхОтчетах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчики этапа
//
// Параметры:
// 	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки
//
// Возвращаемое значение:
//	Булево - Признак завершения обработки
//
Функция Выполнить_ПроверкаКурсовЗачетаВАвансовыхОтчетах(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.Выполнить_ПроверкаКурсовЗачетаВАвансовыхОтчетах(ПараметрыРасчета) 
```
</details>

## ЗаполнитьНалогообложениеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет реквизит НалогообложениеНДС табличной части РасшифровкаПлатежа.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект;
//	НалогообложениеНДСПоУмолчанию - ПеречислениеСсылка.ТипыНалогообложенияНДС - Исходное значение налогообложения НДС для документа;
//	ЭлементНалогообложениеНДС - ПолеФормы - элемент формы для выбора налогообложения НДС.
//	ЭлементНалогообложениеНДСВозврата - ПолеФормы - Дублирующее поле формы для группы АналитикаВозврата.
//	ОбновлятьСтавкуИСуммуНДС - Булево - Если "истина", то обновляем ставку НДС и пересчитываем сумму НДС (при измененной ставке). Если "ложь", то заполняем только налогообложение НДС.
//
Процедура ЗаполнитьНалогообложениеНДС(Объект, НалогообложениеНДСПоУмолчанию, Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьНалогообложениеНДС(Объект, НалогообложениеНДСПоУмолчанию, );
```
</details>

## ОбновитьСтавкуНДСИПересчитатьСуммуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет реквизиты СтавкаНДС,СуммаНДС табличной части РасшифровкаПлатежа.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект;
//	ИдСтроки - Число, Неопределено - Идентификатор строки для обновления ставки, если не задано, то обновляется все строки;
//
Процедура ОбновитьСтавкуНДСИПересчитатьСуммуНДС(Объект, ИдСтроки) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ОбновитьСтавкуНДСИПересчитатьСуммуНДС(Объект, ИдСтроки) 
```
</details>

## ПолучитьСпосокХозяйственныхОперацийВозвратаДляДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСпосокХозяйственныхОперацийВозвратаДляДокумента(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.ПолучитьСпосокХозяйственныхОперацийВозвратаДляДокумента(ТипДокумента));
```
</details>

## ОчиститьНалогообложениеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает поле "Налогообложение НДС" объекта.
//
// Параметры:
//  Объект - ДокументОбъект.ЗаявкаНаРасходованиеДенежныхСредств, ДокументОбъект.СписаниеБезналичныхДенежныхСредств - Объект.
//
Процедура ОчиститьНалогообложениеНДС(Объект) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ОчиститьНалогообложениеНДС(Объект) 
```
</details>

## УстановитьОтображениеНалогообложениеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



// Процедура устанавливает представление налогообложения НДС в списке выбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма документа.
//	СписокВыбора - СписокЗначений - список доступных налогообложений и представлений.
//
Процедура УстановитьОтображениеНалогообложениеНДС(Форма, СписокВыбора) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьОтображениеНалогообложениеНДС(Форма, СписокВыбора) 
```
</details>

## ЗаполнитьСоответствиеОбъектовРасчетаТекущемуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает признак отсутствия или совпадения объекта расчета в строке с документом.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//
Процедура ЗаполнитьСоответствиеОбъектовРасчетаТекущемуДокументу(Объект) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.ЗаполнитьСоответствиеОбъектовРасчетаТекущемуДокументу(Объект) 
```
</details>

## УстановитьУсловноеОформлениеНалогообложениеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает условное оформление для поля НалогообложениеНДС.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма документа
//
Процедура УстановитьУсловноеОформлениеНалогообложениеНДС(Форма) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьУсловноеОформлениеНалогообложениеНДС(Форма) 
```
</details>

## УстановитьУсловноеОформлениеНалогообложениеНДСОтображение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьУсловноеОформлениеНалогообложениеНДСОтображение(Форма, НалогообложениеНДС, Представление) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьУсловноеОформлениеНалогообложениеНДСОтображение(Форма, НалогообложениеНДС, Представление));
```
</details>

## УстановитьПараметрыВыбораДоговораАренды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Процедура устанавливает параметры выбора договора аренды.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект
//  Элемент - ПолеФормы - Поле для ввода договора аренды.
//
Процедура УстановитьПараметрыВыбораДоговораАренды(Объект, Элемент) Экспорт
```

Пример вызова
```bsl
ДенежныеСредстваСервер.УстановитьПараметрыВыбораДоговораАренды(Объект, Элемент) 
```
</details>

## НазванияЭлементовФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//-- НЕ УТ

Функция НазванияЭлементовФорм(Элементы, МассивРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = ДенежныеСредстваСервер.НазванияЭлементовФорм(Элементы, МассивРеквизитов));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
