---
title: Длительные операции обмена с банками
slug: erp-uh/длительные-операции-обмена-с-банками
---


## ПриУстановкеПараметровСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализация параметров сеанса. Необходимо по стандарту. Вызывается методами БСП.
//
Процедура ПриУстановкеПараметровСеанса(ИмяПараметра = Неопределено, УстановленныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ДлительныеОперацииОбменаСБанками.ПриУстановкеПараметровСеанса(ИмяПараметра, УстановленныеПараметры);
```
</details>

## ОповеститьОСменеЭтапаРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещение формы бублика о начале нового этапа обмена.
// Вызывается из фонового задания.
// Используется для наращивания процента.
//
Процедура ОповеститьОСменеЭтапаРасшифровки(Параметры) Экспорт
```

Пример вызова
```bsl
ДлительныеОперацииОбменаСБанками.ОповеститьОСменеЭтапаРасшифровки(Параметры) 
```
</details>

## ОповеститьОСменеЭтапаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещение формы бублика о начале нового этапа обмена.
// Вызывается из фонового задания.
// Используется для наращивания процента.
//
Процедура ОповеститьОСменеЭтапаОбмена(Параметры) Экспорт
```

Пример вызова
```bsl
ДлительныеОперацииОбменаСБанками.ОповеститьОСменеЭтапаОбмена(Параметры) 
```
</details>

## ОповеститьОбУточненииЭтаповСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещение формы бублика об уточнении списка этапов.
// Вызывается из фонового задания.
//
Процедура ОповеститьОбУточненииЭтаповСобытия(Параметры) Экспорт
```

Пример вызова
```bsl
ДлительныеОперацииОбменаСБанками.ОповеститьОбУточненииЭтаповСобытия(Параметры) 
```
</details>

## СообщенияФоновогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СообщенияФоновогоЗадания(Знач ИдентификаторЗадания) Экспорт
```

Пример вызова
```bsl
Результат = ДлительныеОперацииОбменаСБанками.СообщенияФоновогоЗадания(ИдентификаторЗадания) 
```
</details>

## ВывестиОшибку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВывестиОшибку(Знач ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ДлительныеОперацииОбменаСБанками.ВывестиОшибку(ТекстОшибки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
