---
title: Договоры кредитов и депозитов локализация клиент
slug: erp-uh/договоры-кредитов-и-депозитов-локализация-клиент
---


## ПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриОткрытии формы элемента справочника Договоры
//
// Параметры:
//  Отказ - Булево - признак отказа.
//  Форма - ФормаКлиентскогоПриложения - форма, для которой выполняется обработчик.
//
Процедура ПриОткрытии(Отказ, Форма) Экспорт
```

Пример вызова
```bsl
ДоговорыКредитовИДепозитовЛокализацияКлиент.ПриОткрытии(Отказ, Форма) 
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ОбработкаОповещения формы элемента справочника Договоры
//
// Параметры:
//  ИмяСобытия - Строка - см. описание платформенного метода ОбработкаОповещения
//  Параметр - ЛюбаяСсылка - см. описание платформенного метода ОбработкаОповещения
//  Источник - ЛюбаяСсылка - см. описание платформенного метода ОбработкаОповещения
//  Форма - ФормаКлиентскогоПриложения - форма, для которой выполняется процедура.
//
Процедура ОбработкаОповещения(ИмяСобытия, Параметр, Источник, Форма) Экспорт
```

Пример вызова
```bsl
ДоговорыКредитовИДепозитовЛокализацияКлиент.ОбработкаОповещения(ИмяСобытия, Параметр, Источник, Форма) 
```
</details>

## ОбработкаНавигационнойСсылкиФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаНавигационнойСсылкиФормы(Элемент, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка, Форма) Экспорт
```

Пример вызова
```bsl
ДоговорыКредитовИДепозитовЛокализацияКлиент.ОбработкаНавигационнойСсылкиФормы(Элемент, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка, Форма) 
```
</details>

## ПриИзмененииРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события изменения
//
// Параметры:
//     Элемент - ПолеФормы - Изменившийся элемент.
//     Форма - ФормаКлиентскогоПриложения - Форма.
//
Процедура ПриИзмененииРеквизита(Элемент, Форма) Экспорт
```

Пример вызова
```bsl
ДоговорыКредитовИДепозитовЛокализацияКлиент.ПриИзмененииРеквизита(Элемент, Форма) 
```
</details>

## ВыполнитьКомандуЛокализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьКомандуЛокализации(Команда, Форма) Экспорт
```

Пример вызова
```bsl
ДоговорыКредитовИДепозитовЛокализацияКлиент.ВыполнитьКомандуЛокализации(Команда, Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
