---
title: Документооборот с минобороны клиент
slug: erp-uh/документооборот-с-минобороны-клиент
---


## ПолучитьСвойстваПрограммыМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСвойстваПрограммыМенеджераКриптографии(ОповещениеОбратногоВызова, Сертификат = Неопределено, УниверсальныйКриптопровайдер=Ложь) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ПолучитьСвойстваПрограммыМенеджераКриптографии(ОповещениеОбратногоВызова, Сертификат, УниверсальныйКриптопровайдер);
```
</details>

## ОпределитьУстановленныеКрипторовайдеры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьУстановленныеКрипторовайдеры(ОповещениеОбратногоВызова, ОпределятьГОСТ2001 = Ложь) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ОпределитьУстановленныеКрипторовайдеры(ОповещениеОбратногоВызова, ОпределятьГОСТ2001);
```
</details>

## СоздатьМенеджерКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает и возвращает менеджер криптографии (на клиенте) для указанной программы.
Процедура СоздатьМенеджерКриптографии(Оповещение, СвойстваПрограммы) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.СоздатьМенеджерКриптографии(Оповещение, СвойстваПрограммы) 
```
</details>

## НайтиСертификатПоОтпечатку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиСертификатПоОтпечатку(ОписаниеОповещениеВозврата, Отпечаток, МенеджерКриптографии = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.НайтиСертификатПоОтпечатку(ОписаниеОповещениеВозврата, Отпечаток, МенеджерКриптографии);
```
</details>

## УстановитьСертификатыГоловныхПромежуточныхЦентров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьСертификатыГоловныхПромежуточныхЦентров(ОповещениеОбратногоВызова, Сертификаты) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.УстановитьСертификатыГоловныхПромежуточныхЦентров(ОповещениеОбратногоВызова, Сертификаты) 
```
</details>

## ПодписатьCadesBes
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодписатьCadesBes(Оповещение, ПараметрыПодписи) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ПодписатьCadesBes(Оповещение, ПараметрыПодписи) 
```
</details>

## ПолучитьСертификаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСертификаты(ОписаниеОповещения, Параметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ПолучитьСертификаты(ОписаниеОповещения, Параметры) 
```
</details>

## ПроверитьПодпись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПодпись(Оповещение, ИсходныеДанные, Подпись) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ПроверитьПодпись(Оповещение, ИсходныеДанные, Подпись) 
```
</details>

## ВыбратьСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыбратьСертификат(ОповещенияОЗавершение, НачальноеЗначениеВыбора) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ВыбратьСертификат(ОповещенияОЗавершение, НачальноеЗначениеВыбора) 
```
</details>

## ОтобразитьПредставленияСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Отображает представления сертификатов в полях ввода
//
// Параметры:
//  ПараметрыОтображенияСертификатов 	- Массив - описание параметров отображения сертификатов
//           *ПолеВвода							 	 - ПолеФормы - поле формы, в котором выводится представление сертификата.
//													  Будет подкрашено красным, если в сертификате есть ошибка.
//           *Сертификат							 - Строка - отпечаток сертификата или свойства сертификата.
//  												 - Массив - описание сертификатов.
//  													* Сертификат - Строка - отпечаток сертификата.
//           *ИмяРеквизитаПредставлениеСертификата	 - Строка - имя реквизита представления сертификат.
//  Форма								 - ФормаКлиентскогоПриложения - форма, в которой выводится представление сертификата.
//  ЭтоЭлектроннаяПодписьВМоделиСервиса	 - Булево - определяет системное хранилище: локальное или защищенное хранилище на сервере.
//  ВыполняемоеОповещение				 - ОписаниеОповещения - описание процедуры, принимающей результат (не обязательный)
Процедура ОтобразитьПредставленияСертификатов( Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ОтобразитьПредставленияСертификатов();
```
</details>

## ОтобразитьПредставлениеСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьПредставлениеСертификата( Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ОтобразитьПредставлениеСертификата();
```
</details>

## ПолучитьСвойстваСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСвойстваСертификата(Знач ДанныеСертификата, Настройки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ПолучитьСвойстваСертификата(ДанныеСертификата, Настройки);
```
</details>

## ПоказатьСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает сертификат для просмотра в специализированной форме.
//
// Параметры:
//  Сертификат - Структура
//    * СерийныйНомер - Строка - серийный номер сертификата.
//    * Поставщик     - Строка - издатель сертификата.
//    * Отпечаток     - Строка - отпечаток сертификата. Используется для поиска сертификата если не указаны СерийныйНомер и Поставщик.
//    * Адрес         - Строка - адрес файла сертификата.
//
// ФормаВладелец - ФормаКлиентскогоПриложения - владелец формы.
//
Процедура ПоказатьСертификат(Сертификат, ФормаВладелец = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ПоказатьСертификат(Сертификат, ФормаВладелец);
```
</details>

## СертификатКриптографииВСтуктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СертификатКриптографииВСтуктуру(СертификатКриптографии) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.СертификатКриптографииВСтуктуру(СертификатКриптографии) 
```
</details>

## ПроверитьСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку сертификата.
//
// Параметры:
//  ОповещениеОЗавершении - ОписаниеОповещения - описание процедуры, принимающей результат.
//    Результат - Структура:
//      * Выполнено            - Булево - если Истина, то процедура успешно выполнена и получен результат, иначе см. ОписаниеОшибки.
//      * ОписаниеОшибки       - Строка - описание ошибки выполнения.
//      * Валиден              - Булево - сертификат соответствует требованиям проверки.
//
//  Сертификат - Структура - описание сертификата.
//    * СерийныйНомер - Строка - серийный номер сертификата.
//    * Поставщик     - Строка - издатель сертификата.
//    * Отпечаток     - Строка - отпечаток сертификата. Используется для поиска сертификата если не указаны СерийныйНомер и Поставщик.
//
//  Проверки   - Строка - при значении "ПроверитьТолькоПоСпискуУстановленныхУЦ" выполняется толко проверка соответствия списку установленных УЦ,
//                        при значении Неопределено выполняется проверка соответствию списка УЦ и срока действия.
//
//  ВыводитьСообщения     - Булево - устанавливает признак необходимости выводить сообщения об ошибках.
//
Процедура ПроверитьСертификат(ОповещениеОЗавершении, Сертификат, Проверки = Неопределено, ВыводитьСоообщения = Истина) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ПроверитьСертификат(ОповещениеОЗавершении, Сертификат, Проверки, ВыводитьСоообщения);
```
</details>

## НаименованиеСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НаименованиеСертификата(СертификатКриптографии) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.НаименованиеСертификата(СертификатКриптографии) 
```
</details>

## СтуктураДанныхСертификатаВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтуктураДанныхСертификатаВСтроку(Структура) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.СтуктураДанныхСертификатаВСтроку(Структура) 
```
</details>

## ЭкспортироватьСертификатВФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает указанный сертификат хранилища в файл.
//
// Параметры:
//  ОповещениеОЗавершении - ОписаниеОповещения - описание процедуры, принимающей результат.
//    Результат - Структура:
//      * Выполнено            - Булево - если Истина, то процедура успешно выполнена и получен результат, иначе см. ОписаниеОшибки.
//      * МенеджерКриптографии - AddIn  - объект используемый для работы с файлами. Работать напрямую с объектом запрещено.
//      * ОписаниеОшибки       - Строка - описание ошибки выполнения.
//      * ИмяФайлаСертификата  - Строка - имя файла, в который выгружен сертификат.
//
//  Сертификат - Структура - описание сертификата.
//    * СерийныйНомер - Строка - серийный номер сертификата.
//    * Поставщик     - Строка - издатель сертификата.
//    * Отпечаток     - Строка - отпечаток сертификата. Используется для поиска сертификата если не указаны СерийныйНомер и Поставщик.
//
//  ИмяФайлаИлиРасширение - Строка - имя файла, в который необходимо сохранить результат.
//                                   Также можно указать только расширение создаваемого файла - ".расширение".
//
//  ВыводитьСообщения     - Булево - устанавливает признак необходимости выводить сообщения об ошибках.
//
//  МенеджерКриптографии  - AddIn  - объект используемый для работы с криптографией. Если не задан, то будет создан новый.
//
Процедура Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ЭкспортироватьСертификатВФайл(ОповещениеОЗавершении, Сертификат, ИмяФайлаИлиРасширение, );
```
</details>

## ПодобратьСертификатДляАбонента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодобратьСертификатДляАбонента(ОповещениеОбратногоВызова, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ПодобратьСертификатДляАбонента(ОповещениеОбратногоВызова, Параметры) 
```
</details>

## СтатусОтчетаУстановленВручную
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусОтчетаУстановленВручную(СсылкаНаОтчет, Статус) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.СтатусОтчетаУстановленВручную(СсылкаНаОтчет, Статус) 
```
</details>

## ПолучитьНеЗавершенныеОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНеЗавершенныеОтправки(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ПолучитьНеЗавершенныеОтправки(Организация) 
```
</details>

## ПолучитьПоследнююОтправкуОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПоследнююОтправкуОтчета(ОтчетСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ПолучитьПоследнююОтправкуОтчета(ОтчетСсылка) 
```
</details>

## ДвоичныеДанныеВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДвоичныеДанныеВСтроку(Данные) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ДвоичныеДанныеВСтроку(Данные) 
```
</details>

## ПолучитьФормуОтчетаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьФормуОтчетаПоСсылке(ИсточникСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ПолучитьФормуОтчетаПоСсылке(ИсточникСсылка) 
```
</details>

## ПоказатьПротокол
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьПротокол(Знач ИсточникСсылка) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ПоказатьПротокол(ИсточникСсылка) 
```
</details>

## СохранитьСтатусОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СохранитьСтатусОтправки(Отправка, Статус) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.СохранитьСтатусОтправки(Отправка, Статус) 
```
</details>

## ПолучитьСтатусОтправкиИзСостоянияПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтатусОтправкиИзСостоянияПротокола(СостояниеПротокола) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ПолучитьСтатусОтправкиИзСостоянияПротокола(СостояниеПротокола) 
```
</details>

## ТекущееСостояниеОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекущееСостояниеОтправки(Знач Ссылка, Знач ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ТекущееСостояниеОтправки(Ссылка, ДополнительныеПараметры);
```
</details>

## ПолучитьАдресДереваПротоколаСдачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьАдресДереваПротоколаСдачи(ИсточникСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ПолучитьАдресДереваПротоколаСдачи(ИсточникСсылка) 
```
</details>

## ПолучитьРеквизитыПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРеквизитыПоСсылке(Ссылка, Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ПолучитьРеквизитыПоСсылке(Ссылка, Реквизиты) 
```
</details>

## ЗаписьОбъектовРегламентированнойОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписьОбъектовРегламентированнойОтчетности(ОтчетСсылка, Отказ) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ЗаписьОбъектовРегламентированнойОтчетности(ОтчетСсылка, Отказ) 
```
</details>

## УстановитьНовыйСтатус
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьНовыйСтатус(Отчет, Статус) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.УстановитьНовыйСтатус(Отчет, Статус) 
```
</details>

## СтатусУстановленВручную
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусУстановленВручную(Отправка, Знач СтатусИзЖурнала) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.СтатусУстановленВручную(Отправка, СтатусИзЖурнала) 
```
</details>

## ПроверитьВозможностьВыполненияОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет разрешение на выполнение операции.
//
// Параметры:
//  ОповещениеОЗавершении   - ОписаниеОповещения - описание процедуры, принимающей результат.
//    Результат - Структура:
//      * Выполнено           - Булево - если Истина, то процедура успешно выполнена и получен результат,
//                                       иначе - была ошибка при выполнении проверки.
//      * ВыполнениеРазрешено - Булево - если Истина, то продолжение выполнения разрешено.
//
//  ВладелецФормы           - ФормаКлиентскогоПриложения - форма, которая будет использования в качестве
//                                                         владельца открываемых служебных окон.
//
//  ПараметрыАутентификации - Структура - параметры доступа к сайту поддержки пользователей.
//    * Логин  - Строка - логин пользователя.
//    * Пароль - Строка - пароль пользователя.
//
Процедура ПроверитьВозможностьВыполненияОперации(ОповещениеОЗавершении, ВладелецФормы = Неопределено, ПараметрыАутентификации = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ПроверитьВозможностьВыполненияОперации(ОповещениеОЗавершении, ВладелецФормы, ПараметрыАутентификации);
```
</details>

## ЗаписатьВЖурналРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьВЖурналРегистрации(ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ЗаписатьВЖурналРегистрации(ТекстОшибки) 
```
</details>

## ПолучитьКоличествоОтправокМинобороныНаДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКоличествоОтправокМинобороныНаДату(Организация, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСМинобороныКлиент.ПолучитьКоличествоОтправокМинобороныНаДату(Организация, Дата) 
```
</details>

## ОткрытьФормуНастройкиСМинобороны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуНастройкиСМинобороны(Организация, ФормаВладелец = Неопределено, Окно = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСМинобороныКлиент.ОткрытьФормуНастройкиСМинобороны(Организация, ФормаВладелец, Окно);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
