---
title: Документы EDI интеграция клиент
slug: erp-uh/документы-edi-интеграция-клиент
---


## ПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик открытия формы документа, подключенного к сервису EDI
//
// Параметры:
// 	ФормаДокумента - ФормаКлиентскогоПриложения - форма документа.
//
Процедура ПриОткрытии(ФормаДокумента) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ПриОткрытии(ФормаДокумента) 
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения формы документа, подключенного к сервису EDI
//
// Параметры:
// 	ФормаДокумента - ФормаКлиентскогоПриложения - форма документа.
// 	ИмяСобытия     - Строка                     - идентификатор события.
// 	Параметр       - Произвольный               - параметр оповещения формы.
// 	Источник       - ФормаКлиентскогоПриложения - форма-источник события.
//
Процедура ОбработкаОповещения(ФормаДокумента, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ОбработкаОповещения(ФормаДокумента, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик записи формы документа, подключенного к сервису EDI
//
// Параметры:
// 	ФормаДокумента - ФормаКлиентскогоПриложения - форма документа
// 	ПараметрыЗаписи      - Структура                  - структура, содержащая параметры записи:
//   * РежимЗаписи     - РежимЗаписиДокумента     - режим записи записываемого документа.
//   * РежимПроведения - РежимПроведенияДокумента - режим проведения документа.
//
Процедура ПослеЗаписи(ФормаДокумента, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ПослеЗаписи(ФормаДокумента, ПараметрыЗаписи) 
```
</details>

## ОбработкаОповещенияФормаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает оповещения в форме списка прикладных документов
//
// Параметры:
// 	ФормаДокумента - ФормаКлиентскогоПриложения - форма, в которой возникло событие.
// 	ИмяСобытия     - Строка - имя события.
// 	Параметр       - Произвольный - параметр события.
// 	Источник       - Произвольный - источник события.
//
Процедура ОбработкаОповещенияФормаСписка(ФормаДокумента, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ОбработкаОповещенияФормаСписка(ФормаДокумента, ИмяСобытия, Параметр, Источник) 
```
</details>

## ФормаСпискаПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик открытия формы списка документов, подключенной к сервису EDI
//
// Параметры:
//   ФормаДокумента - ФормаКлиентскогоПриложения - форма документа.
//   Отказ          - Булево                     - признак отказа от открытия формы.
//
Процедура ФормаСпискаПриОткрытии(ФормаДокумента, Отказ) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ФормаСпискаПриОткрытии(ФормаДокумента, Отказ) 
```
</details>

## ПриИзмененииКлючевыхРеквизитовДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик изменения ключевых сведений документа.
//
// Параметры:
// 	ФормаДокумента - ФормаКлиентскогоПриложения - форма, в которой возникло событие.
//
Процедура ПриИзмененииКлючевыхРеквизитовДокумента(ФормаДокумента) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ПриИзмененииКлючевыхРеквизитовДокумента(ФормаДокумента) 
```
</details>

## ОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик нажатия на навигационную ссылку
//
// Параметры:
//  ФормаДокумента                           - ФормаКлиентскогоПриложения - форма документа.
//  Элемент                                  - ЭлементФормы               - текущий элемент формы.
//  НавигационнаяСсылкаФорматированнойСтроки - Строка                     - адрес навигационной ссылки.
//  СтандартнаяОбработка                     - Булево                     - признак стандартной обработки события.
//
Процедура ОбработкаНавигационнойСсылки(ФормаДокумента, Элемент, НавигационнаяСсылкаФорматированнойСтроки, Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ОбработкаНавигационнойСсылки(ФормаДокумента, Элемент, НавигационнаяСсылкаФорматированнойСтроки, );
```
</details>

## ПротоколВзаимодействияПриНажатии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик событий протокола взаимодействия
//
// Параметры:
//  ФормаДокумента       - ФормаКлиентскогоПриложения - форма документа.
//  ДанныеСобытия        - ФиксированнаяСтруктура     - данные события HTML.
//  СтандартнаяОбработка - Булево                     - признак стандартной обработки события.
//
Процедура ПротоколВзаимодействияПриНажатии(ФормаДокумента, ДанныеСобытия, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ПротоколВзаимодействияПриНажатии(ФормаДокумента, ДанныеСобытия, СтандартнаяОбработка) 
```
</details>

## ПротоколВзаимодействияДокументСформирован
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события загрузки HTML-документа
//
// Параметры:
//  ФормаДокумента - ФормаКлиентскогоПриложения - форма документа.
//  Элемент        - ЭлементФормы               - Поле HTML-документа.
//
Процедура ПротоколВзаимодействияДокументСформирован(ФормаДокумента, Элемент) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ПротоколВзаимодействияДокументСформирован(ФормаДокумента, Элемент) 
```
</details>

## ОтборСтатусEDIОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку выбора отбора по статусам EDI в форме списков прикладных документов
//
// Параметры:
// 	ФормаДокумента       - ФормаКлиентскогоПриложения - форма в которой обрабатывается выбор.
//	Элемент              - ПолеФормы - элемент формы, в котором находится отбор по статусу EDI.
// 	ВыбранноеЗначение    - ПеречислениеСсылка.ВариантыОтбораПоСтатусамEDI - выбранное значение отбора.
// 	СтандартнаяОбработка - Булево - признак стандартной обработки события.
//
Процедура ОтборСтатусEDIОбработкаВыбора(ФормаДокумента, Элемент, ВыбранноеЗначение, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ОтборСтатусEDIОбработкаВыбора(ФормаДокумента, Элемент, ВыбранноеЗначение, СтандартнаяОбработка) 
```
</details>

## ВыполнитьОбновлениеИнформацииСпискаДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет информацию сервиса EDI в форме списка прикладных документов
//
// Параметры:
// 	Форма        - ФормаКлиентскогоПриложения - форма, в которой требуется обновить информацию.
// 	ТипДокумента - ПеречислениеСсылка.ТипыДокументовEDI - тип документа EDI
//
Процедура ВыполнитьОбновлениеИнформацииСпискаДокументов(Форма, ТипДокумента) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ВыполнитьОбновлениеИнформацииСпискаДокументов(Форма, ТипДокумента) 
```
</details>

## ОтборСтатусEDIОчистка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает очистку элемента быстрого отбора по состоянию EDI в форме списка прикладных документов.
//
// Параметры:
// 	ФормаДокумента       - ФормаКлиентскогоПриложения - форма, в которой возникло событие.
// 	Элемент              - ПолеФормы - элемент быстрого отбора по состоянию EDI.
// 	СтандартнаяОбработка - Булево - признак стандартной обработки события.
//
Процедура ОтборСтатусEDIОчистка(ФормаДокумента, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ОтборСтатусEDIОчистка(ФормаДокумента, Элемент, СтандартнаяОбработка) 
```
</details>

## ОформляемыеДокументыEDIОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает переход в список оформляемых документов из списка документов EDI
//
// Параметры:
// 	ФормаДокумента                           - ФормаКлиентскогоПриложения - форма, в которой выполнена команда
// 	НавигационнаяСсылкаФорматированнойСтроки - Строка - навигационная ссылка, по которой выполняется команда
// 	СтандартнаяОбработка                     - Булево - признак стандартной обработки.
//
Процедура ОформляемыеДокументыEDIОбработкаНавигационнойСсылки(ФормаДокумента, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ОформляемыеДокументыEDIОбработкаНавигационнойСсылки(ФормаДокумента, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ВыполнитьКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик выполнения команды EDI.
//
// Параметры:
//  ФормаДокумента - ФормаКлиентскогоПриложения - форма документа.
//  Команда        - КомандаФормы               - команда для выполнения.
//  Источник       - ДанныеФормыСтруктура       - документ для которого выполняется команда.
//
Процедура ВыполнитьКоманду(ФормаДокумента, Команда, Знач Источник) Экспорт
```

Пример вызова
```bsl
ДокументыEDIИнтеграцияКлиент.ВыполнитьКоманду(ФормаДокумента, Команда, Источник) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
