---
title: Документы EDI клиент
slug: erp-uh/документы-edi-клиент
---


## СвернутьАрхивДеревоСтатусов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СвернутьАрхивДеревоСтатусов(Форма, ДеревоСтатусов) Экспорт
```

Пример вызова
```bsl
ДокументыEDIКлиент.СвернутьАрхивДеревоСтатусов(Форма, ДеревоСтатусов) 
```
</details>

## ДеревоСтатусовВыбранПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДеревоСтатусовВыбранПриИзменении(Форма, Элемент, ДобавлятьПостфиксEDI = Ложь) Экспорт
```

Пример вызова
```bsl
ДокументыEDIКлиент.ДеревоСтатусовВыбранПриИзменении(Форма, Элемент, ДобавлятьПостфиксEDI);
```
</details>

## ИзменитьФлажкиПодчиненныхПриИзмененииРодителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьФлажкиПодчиненныхПриИзмененииРодителя(ЗначениеФлажка, РодительскаяСтрока) Экспорт
```

Пример вызова
```bsl
ДокументыEDIКлиент.ИзменитьФлажкиПодчиненныхПриИзмененииРодителя(ЗначениеФлажка, РодительскаяСтрока) 
```
</details>

## МассивСтатусовТребуетВнимания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описывает массив статусов, при которых документ требует внимания.
//
// Параметры:
// 	КатегорияДокументовEDI - ПеречислениеСсылка.КатегорииДокументовEDI - категория документа.
//
// Возвращаемое значение:
// 	Массив - массив статусов.
//
Функция МассивСтатусовТребуетВнимания(КатегорияДокументовEDI) Экспорт
```

Пример вызова
```bsl
Результат = ДокументыEDIКлиент.МассивСтатусовТребуетВнимания(КатегорияДокументовEDI) 
```
</details>

## ПлановаяДатаОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПлановаяДатаОбработкаВыбора(Форма, ВыбранноеЗначение, Оповещение) Экспорт
```

Пример вызова
```bsl
ДокументыEDIКлиент.ПлановаяДатаОбработкаВыбора(Форма, ВыбранноеЗначение, Оповещение) 
```
</details>

## ПослеВыбораПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеВыбораПериода(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументыEDIКлиент.ПослеВыбораПериода(Результат, ДополнительныеПараметры) 
```
</details>

## ИзменитьЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды "Изменить"
//
// Параметры:
//  Список - ТаблицаФормы - таблица формы, текущие данные которой содержат поле "Ссылка" - ссылку на изменяемый объект.
//
Процедура ИзменитьЭлемент(Список) Экспорт
```

Пример вызова
```bsl
ДокументыEDIКлиент.ИзменитьЭлемент(Список) 
```
</details>

## РедактироватьПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура позволяет установить период через стандартный диалог выбора периода
//
// Параметры:
//  Объект                - Произвольный - Объект в котором устанавливается значения периода
//  ПараметрыПериода      - Структура - структура со свойствами "ДатаНачала", "ДатаОкончания" и в значениях имена полей
//                              объекта, для свойства "Вариант" - значение варианта стандартного периода.
//  ОповещениеПослеВыбора - ОписаниеОповещения - Описание оповещение которое выполняется после установки периода.
//                              Может быть установлена пост-обработка в месте вызова после выбора периода.
//
Процедура РедактироватьПериод(Объект, ПараметрыПериода = Неопределено, ОповещениеПослеВыбора = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументыEDIКлиент.РедактироватьПериод(Объект, ПараметрыПериода, ОповещениеПослеВыбора);
```
</details>

## РедактироватьПериодЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура завершения для РедактироватьПериод()
// см. подробней для процедуры РедактироватьПериод().
Процедура РедактироватьПериодЗавершение(Период, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументыEDIКлиент.РедактироватьПериодЗавершение(Период, ДополнительныеПараметры) 
```
</details>

## ОткрытьФормуДокументаСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуДокументаСервиса(ПараметрыОткрытияФормы) Экспорт
```

Пример вызова
```bsl
ДокументыEDIКлиент.ОткрытьФормуДокументаСервиса(ПараметрыОткрытияФормы) 
```
</details>

## НовыйПараметрыОткрытияФормыДокументаСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция НовыйПараметрыОткрытияФормыДокументаСервиса(ФормаВладелец = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДокументыEDIКлиент.НовыйПараметрыОткрытияФормыДокументаСервиса(ФормаВладелец);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
