---
title: Дополнительные отчеты и обработки регламентные задания
slug: erp-uh/дополнительные-отчеты-и-обработки-регламентные-задания
---


## СоздатьНовоеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.ДобавитьЗадание().
//
// Параметры:
//   Наименование - Строка - Наименование регламентного задания.
//
// Возвращаемое значение:
//   Неопределено - Следует использовать РегламентныеЗаданияСервер.ДобавитьЗадание().
//
Функция СоздатьНовоеЗадание(Знач Наименование) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеОтчетыИОбработкиРегламентныеЗадания.СоздатьНовоеЗадание(Наименование) 
```
</details>

## ПолучитьИдентификаторЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.УникальныйИдентификатор().
//
// Параметры:
//   Задание - РегламентноеЗадание - Регламентное задание.
//
// Возвращаемое значение:
//   Неопределено - Следует использовать РегламентныеЗаданияСервер.УникальныйИдентификатор().
//
Функция ПолучитьИдентификаторЗадания(Знач Задание) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеОтчетыИОбработкиРегламентныеЗадания.ПолучитьИдентификаторЗадания(Задание) 
```
</details>

## УстановитьПараметрыЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.ИзменитьЗадание().
//
// Параметры:
//   Задание - РегламентноеЗадание - Регламентное задание.
//   Использование - Булево - Флаг использования регламентного задания.
//   Наименование - Строка - Наименование регламентного задания.
//   Параметры - Массив - Параметры регламентного задания.
//   Расписание - РасписаниеРегламентногоЗадания - Расписание регламентного задания.
//
Процедура УстановитьПараметрыЗадания(Задание, Использование, Наименование, Параметры, Расписание) Экспорт
```

Пример вызова
```bsl
ДополнительныеОтчетыИОбработкиРегламентныеЗадания.УстановитьПараметрыЗадания(Задание, Использование, Наименование, Параметры, Расписание) 
```
</details>

## ПолучитьПараметрыЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.НайтиЗадания().
//
// Параметры:
//   Задание - РегламентноеЗадание - Регламентное задание.
//
// Возвращаемое значение:
//   Неопределено - Следует использовать РегламентныеЗаданияСервер.НайтиЗадания().
//
Функция ПолучитьПараметрыЗадания(Знач Задание) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеОтчетыИОбработкиРегламентныеЗадания.ПолучитьПараметрыЗадания(Задание) 
```
</details>

## НайтиЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.Задание().
//
// Параметры:
//   Идентификатор - УникальныйИдентификатор - Идентификатор регламентного задания.
//
// Возвращаемое значение:
//   Неопределено - Следует использовать РегламентныеЗаданияСервер.НайтиЗадания().
//
Функция НайтиЗадание(Знач Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеОтчетыИОбработкиРегламентныеЗадания.НайтиЗадание(Идентификатор) 
```
</details>

## УдалитьЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.УдалитьЗадание().
//
// Параметры:
//   Задание - РегламентноеЗадание - Регламентное задание.
//
Процедура УдалитьЗадание(Знач Задание) Экспорт
```

Пример вызова
```bsl
ДополнительныеОтчетыИОбработкиРегламентныеЗадания.УдалитьЗадание(Задание) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
