---
title: Дополнительные языки УХ
slug: erp-uh/дополнительные-языки-ух
---


## НомерЯзыкаОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НомерЯзыкаОтчетности() Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеЯзыкиУХ.НомерЯзыкаОтчетности() 
```
</details>

## ЗаполнитьМультиязычныйРеквизит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из обработчика ПриНачальномЗаполненииЭлементов.
// Заполняет колонки с именами ИмяРеквизита_<КодЯзыка> текстовыми значениями для указанных кодов языков.
//
// Параметры:
//  Элемент        - СтрокаТаблицыЗначений - заполняемая строка таблицы. С колонками ИмяРеквизита_КодЯзыка.
//  ИмяРеквизита   - Строка -  имя реквизита. Например, "Наименование"
//  ИсходнаяСтрока - Строка - строка в формате НСтр. Например, "ru = 'Сообщение на русском'; en = 'English message'".
//  КодыЯзыков     - Массив - коды языков, на которых нужно заполнить строки.
//
// Пример:
//
//  МультиязычностьСервер.ЗаполнитьМультиязычныйРеквизит(Элемент, "Наименование", "ru = 'Сообщение на русском'; en =
//  'English message'", КодыЯзыков);
//
Процедура ЗаполнитьМультиязычныйРеквизит(Элемент, ИмяРеквизита, ИсходнаяСтрока, КодыЯзыков = Неопределено) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ЗаполнитьМультиязычныйРеквизит(Элемент, ИмяРеквизита, ИсходнаяСтрока, КодыЯзыков);
```
</details>

## ОбработкаПолученияПолейПредставленияЯзыкОбработкаПолученияПолейПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПолученияПолейПредставленияЯзыкОбработкаПолученияПолейПредставления(Источник, Поля, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ОбработкаПолученияПолейПредставленияЯзыкОбработкаПолученияПолейПредставления(Источник, Поля, СтандартнаяОбработка) 
```
</details>

## ОбработкаПолученияПредставленияЯзыкОбработкаПолученияПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПолученияПредставленияЯзыкОбработкаПолученияПредставления(Источник, Данные, Представление, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ОбработкаПолученияПредставленияЯзыкОбработкаПолученияПредставления(Источник, Данные, Представление, СтандартнаяОбработка) 
```
</details>

## ОбработкаПолученияПолейПредставленияСтраныМира
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПолученияПолейПредставленияСтраныМира(Источник, Поля, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ОбработкаПолученияПолейПредставленияСтраныМира(Источник, Поля, СтандартнаяОбработка) 
```
</details>

## ОбработкаПолученияПредставленияСтраныМира
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПолученияПредставленияСтраныМира(Источник, Данные, Представление, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ОбработкаПолученияПредставленияСтраныМира(Источник, Данные, Представление, СтандартнаяОбработка) 
```
</details>

## ПолучитьТаблицуДополнительныхЯзыков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДополнительныхЯзыков() Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеЯзыкиУХ.ПолучитьТаблицуДополнительныхЯзыков() 
```
</details>

## ЗаполнитьНаименованияПериодаПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьНаименованияПериодаПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ЗаполнитьНаименованияПериодаПередЗаписью(Источник, Отказ) 
```
</details>

## ЗаполнитьДопЯзыкиПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДопЯзыкиПериодов() Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ЗаполнитьДопЯзыкиПериодов() 
```
</details>

## ПолучитьИспользованиеДопЯзыков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИспользованиеДопЯзыков(ОтборМетаданныеПолноеИмя = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеЯзыкиУХ.ПолучитьИспользованиеДопЯзыков(ОтборМетаданныеПолноеИмя);
```
</details>

## ЗаполнитьНаименованияНаДопЯзыкахПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьНаименованияНаДопЯзыкахПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ЗаполнитьНаименованияНаДопЯзыкахПередЗаписью(Источник, Отказ) 
```
</details>

## ПолучитьЗаголовкиНаименование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗаголовкиНаименование() Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеЯзыкиУХ.ПолучитьЗаголовкиНаименование() 
```
</details>

## УстановитьЗаголовкиДопЯзыков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьЗаголовкиДопЯзыков(Форма) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.УстановитьЗаголовкиДопЯзыков(Форма) 
```
</details>

## ПеревестиТекстыОбластей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПеревестиТекстыОбластей(ТабДок,НомерИсходногоЯзыка,НомерНовогоЯзыка,ВидОтчета=Неопределено,ТекТаблицаЯзыков=Неопределено) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ПеревестиТекстыОбластей(ТабДок, НомерИсходногоЯзыка, НомерНовогоЯзыка, ВидОтчета, ТекТаблицаЯзыков);
```
</details>

## ПолучитьРезультатЗапросаСУчетомРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРезультатЗапросаСУчетомРеквизитов(ТабДок,НомерИсходногоЯзыка,НомерНовогоЯзыка,ВидОтчета,ТекТаблицаЯзыков=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеЯзыкиУХ.ПолучитьРезультатЗапросаСУчетомРеквизитов(ТабДок, НомерИсходногоЯзыка, НомерНовогоЯзыка, ВидОтчета, ТекТаблицаЯзыков);
```
</details>

## ПолучитьРезультатЗапросаБезУчетаРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРезультатЗапросаБезУчетаРеквизитов(ТабДок,НомерИсходногоЯзыка,НомерНовогоЯзыка,ТекТаблицаЯзыков=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеЯзыкиУХ.ПолучитьРезультатЗапросаБезУчетаРеквизитов(ТабДок, НомерИсходногоЯзыка, НомерНовогоЯзыка, ТекТаблицаЯзыков);
```
</details>

## ЗагрузитьТаблицуТекстовИзExcel
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗагрузитьТаблицуТекстовИзExcel(АдресХранилища, ИмяЛиста, Расширение) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеЯзыкиУХ.ЗагрузитьТаблицуТекстовИзExcel(АдресХранилища, ИмяЛиста, Расширение) 
```
</details>

## ЗаписатьДанныеВРегистрТекстов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьДанныеВРегистрТекстов(ТаблицаДанных) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ЗаписатьДанныеВРегистрТекстов(ТаблицаДанных) 
```
</details>

## ЗаполнитьПредставленияНаДопЯзыках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПредставленияНаДопЯзыках(ТабДопЯзыки, Наименование) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ЗаполнитьПредставленияНаДопЯзыках(ТабДопЯзыки, Наименование) 
```
</details>

## ПолучитьПредставленияНаДопЯзыках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредставленияНаДопЯзыках(Наименование) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеЯзыкиУХ.ПолучитьПредставленияНаДопЯзыках(Наименование) 
```
</details>

## ПолучитьУникальныеИменаОбластей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьУникальныеИменаОбластей(ВидОтчета=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеЯзыкиУХ.ПолучитьУникальныеИменаОбластей(ВидОтчета);
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПриЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ДополнительныеЯзыкиУХ.ПриЗаписиНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
