---
title: Допустимые цели ВЕТИС
slug: erp-uh/допустимые-цели-ветис
---


## ДопустимыеЦелиПоПродукциям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дерево значений со списком допустимых целей по каждой продукции
//
// Параметры:
//  МассивПродукции	 - Массив - Массив продукции документа
//
// Возвращаемое значение:
//  ДеревоЗначений - дерево доступных целей с группировкой по продукции
//
Функция ДопустимыеЦелиПоПродукциям(МассивПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ДопустимыеЦелиВЕТИС.ДопустимыеЦелиПоПродукциям(МассивПродукции) 
```
</details>

## ПересечениеДопустимыхЦелейПоПродукциям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пересечение множеств допустимых целей по каждой продукции
//
// Параметры:
//  МассивПродукции	 - Массив - Массив продукции документа.
//
// Возвращаемое значение:
//  Массив - массив допустимых целей.
//
Функция ПересечениеДопустимыхЦелейПоПродукциям(МассивПродукции, НизкокачественнаяПродукция) Экспорт
```

Пример вызова
```bsl
Результат = ДопустимыеЦелиВЕТИС.ПересечениеДопустимыхЦелейПоПродукциям(МассивПродукции, НизкокачественнаяПродукция) 
```
</details>

## ДопустимыеЦелиПоПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив допустимых целей по единственной переданной продукции
//
// Параметры:
//   Продукция - СправочникСсылка.ПродукцияВЕТИС - продукция, по которой необходимо получить цели
//   ДеревоКэш - ДеревоЗначений, Неопределено - дерево с кэшем полученных ранее целей
//   НизкокачественнаяПродукция - Булево, Неопределено - отбор по качеству продукции
//
// Возвращаемое значение:
//  Массив - массив допустимых целей
//
Функция ДопустимыеЦелиПоПродукции(Продукция, ДеревоКэш, НизкокачественнаяПродукция = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДопустимыеЦелиВЕТИС.ДопустимыеЦелиПоПродукции(Продукция, ДеревоКэш, НизкокачественнаяПродукция);
```
</details>

## ПроконтролироватьКорректностьУказанияЦелей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Контролирует корректность указания целей в табличной части
//
// Параметры:
//  Объект	 - ДокументОбъект.* - проверяемый документ
//  Отказ	 - Булево - отказ проверки
//
Процедура ПроконтролироватьКорректностьУказанияЦелей(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ДопустимыеЦелиВЕТИС.ПроконтролироватьКорректностьУказанияЦелей(Объект, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
