---
title: Доставка товаров клиент
slug: erp-uh/доставка-товаров-клиент
---


## ОткрытьФормуВыбораАдресаИОбработатьРезультат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму ввода адреса с заполненными из параметра значениями полей адреса.
//
// Параметры:
//	Элемент - ПолеФормы - элемент формы для ввода адреса;
//	Объект - ДанныеФормыКоллекция - объект, для которого выполняется событие;
//	ИменаРеквизитовАдресовДоставки - см. ДоставкаТоваровКлиентСервер.ИменаРеквизитовАдресовДоставки
//	СтандартнаяОбработка - Булево - Истина, признак выполнения стандартной обработки события начало выбора.
//
Процедура ОткрытьФормуВыбораАдресаИОбработатьРезультат(Элемент, Объект, ИменаРеквизитовАдресовДоставки, СтандартнаяОбработка = Ложь) Экспорт
```

Пример вызова
```bsl
ДоставкаТоваровКлиент.ОткрытьФормуВыбораАдресаИОбработатьРезультат(Элемент, Объект, ИменаРеквизитовАдресовДоставки, СтандартнаяОбработка);
```
</details>

## ПриИзмененииПредставленияАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Актуализирует КИ из текста редактирования поля ввода.
//
// Параметры:
//		Элемент - ПолеФормы - элемент формы для ввода адреса;
//		АдресПредставление - Строка - представление адреса;
//		АдресЗначенияПолей - Строка - служебная информация, значения полей адреса.
//		ОчищатьПустоеПредставление - Булево - истина, очищать.
//
Процедура ПриИзмененииПредставленияАдреса(Элемент, АдресПредставление, АдресЗначенияПолей, ОчищатьПустоеПредставление = Истина) Экспорт
```

Пример вызова
```bsl
ДоставкаТоваровКлиент.ПриИзмененииПредставленияАдреса(Элемент, АдресПредставление, АдресЗначенияПолей, ОчищатьПустоеПредставление);
```
</details>

## ОчиститьПредставлениеАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит очистку полей КИ при очистке текста редактирования поля ввода.
//
// Параметры:
//		АдресПредставление - Строка - представление адреса.
//		АдресЗначенияПолей - Строка - служебная информация, значения полей адреса.
//		АдресЗначение - Строка - адрес во внутреннем формате JSON или в XML, соответствующем XDTO-пакету Адрес.
//
Процедура ОчиститьПредставлениеАдреса(АдресПредставление, АдресЗначенияПолей, АдресЗначение = "") Экспорт
```

Пример вызова
```bsl
ДоставкаТоваровКлиент.ОчиститьПредставлениеАдреса(АдресПредставление, АдресЗначенияПолей, АдресЗначение);
```
</details>

## АдресДоставкиОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизиты доставки из структуры в соответствии с выбранным адресом
//
// Параметры:
//  ЭлементыФормы		 - ВсеЭлементыФормы	 - элементы формы, в которой происходит выбор адреса (для получения списков выбора);
//  ДокОбъект			 - ДокументОбъект	 - объект, в котором происходит выбор адреса, реквизиты этого объекта заполняются
//  	реквизитами доставки;
//  ИмяЭлементаФормы	 - Строка			 - имя элемента формы, в котором происходит выбор адреса;
//  ВыбранноеЗначение	 - Структура		 - реквизиты доставки, соответствующая выбранному адресу.
//
Процедура АдресДоставкиОбработкаВыбора(ЭлементыФормы, ДокОбъект, ИмяЭлементаФормы, ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
ДоставкаТоваровКлиент.АдресДоставкиОбработкаВыбора(ЭлементыФормы, ДокОбъект, ИмяЭлементаФормы, ВыбранноеЗначение) 
```
</details>

## ОбновитьСписокПеревозчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Заполняет список перевозчиков на форме.
//
// Параметры:
//  СписокВыбораПеревозчиков - СписокЗначений - список выбора перевозчиков.
//  ДанныеПоФоновомуЗаданию - см. ДлительныеОперации.ВыполнитьВФоне
//
Процедура ОбновитьСписокПеревозчиков(СписокВыбораПеревозчиков, ДанныеПоФоновомуЗаданию) Экспорт
```

Пример вызова
```bsl
ДоставкаТоваровКлиент.ОбновитьСписокПеревозчиков(СписокВыбораПеревозчиков, ДанныеПоФоновомуЗаданию) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
