---
title: Доставка товаров клиент сервер
slug: erp-uh/доставка-товаров-клиент-сервер
---


## УстановитьСтраницуДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает страницу доставки в зависимости от способа доставки.
//
// Параметры:
//  ЭлементыФормы	 - ВсеЭлементыФормы - элементы формы, в которой устанавливается страница доставки.
//  СпособДоставки	 - ПеречислениеСсылка.СпособыДоставки	 - способ доставки, в зависимости от которого
//  	выбирается страница доставки.
//  ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками	 - Булево - Истина, признак использования заданий
//  	на перевозку для учета доставки перевозчикам.
//  ЭтоРаспоряжениеПоСоглашению - Булево - признак того, что распоряжением является соглашение.
//  ЭтоРаспоряжениеПоДоговору - Булево - признак того, что распоряжением является договор.
//
Процедура УстановитьСтраницуДоставки(ЭлементыФормы, Экспорт
```

Пример вызова
```bsl
ДоставкаТоваровКлиентСервер.УстановитьСтраницуДоставки(ЭлементыФормы, );
```
</details>

## ПолучитьПустуюСтруктуруРеквизитовДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру реквизитов доставки, заполненную пустыми значениями.
//
// Параметры:
//  ДокОбъект	 - ДокументОбъект, ДанныеФормыСтруктура - данные документа-объекта.
//
// Возвращаемое значение:
//  Структура - реквизиты доставки с пустыми значениями полей.
//
Функция ПолучитьПустуюСтруктуруРеквизитовДоставки(ДокОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.ПолучитьПустуюСтруктуруРеквизитовДоставки(ДокОбъект);
```
</details>

## НайтиВСпискеСтруктур
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет в списке значений элемент-структуру, значение свойства которой равно искомому.
// Если такое значение не найдено, возвращается Неопределено.
//
// Параметры:
//	Список - СписокЗначений - список в котором выполняется поиск;
//	ИмяПоляСтруктуры - Строка - имя искомого свойства структуры;
//	ИскомоеЗначение - Произвольный - значение, которое требуется найти.
//
// Возвращаемое значение:
//	Структура - структура, значения свойств которой совпадает с искомым, если таких несколько,
//		возвращается первая найденная.
//
Функция НайтиВСпискеСтруктур(Список, ИмяПоляСтруктуры, ИскомоеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.НайтиВСпискеСтруктур(Список, ИмяПоляСтруктуры, ИскомоеЗначение) 
```
</details>

## ОчиститьРеквизитыДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает списки выбора адресов доставки и реквизиты доставки.
//
// Параметры:
//	ЭлементыФормы - ВсеЭлементыФормы - элементы формы, в которых очищаются списки выбора адресов доставки;
//	ДокОбъект - ДокументОбъект - объект, в котором очищаются реквизиты доставки.
//
Процедура ОчиститьРеквизитыДоставки(ЭлементыФормы, ДокОбъект) Экспорт
```

Пример вызова
```bsl
ДоставкаТоваровКлиентСервер.ОчиститьРеквизитыДоставки(ЭлементыФормы, ДокОбъект) 
```
</details>

## ОчиститьСпискиВыбораАдресовПолучателяОтправителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает списки выбора адресов доставки.
//
// Параметры:
//	ЭлементыФормы - ВсеЭлементыФормы - элементы формы, в которых очищаются списки выбора адресов доставки.
//
Процедура ОчиститьСпискиВыбораАдресовПолучателяОтправителя(ЭлементыФормы) Экспорт
```

Пример вызова
```bsl
ДоставкаТоваровКлиентСервер.ОчиститьСпискиВыбораАдресовПолучателяОтправителя(ЭлементыФормы) 
```
</details>

## ПреобразоватьСтрокуВСписокПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список значений. Преобразует в список значений строку полей, разделенных символом перевода строки.
//
// Параметры:
//	СтрокаПолей - Строка - строка, в которой каждое поле начинается с новой строки.
//
// Возвращаемое значение:
//	СписокЗначений - список значений полей.
//
Функция ПреобразоватьСтрокуВСписокПолей(СтрокаПолей) Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.ПреобразоватьСтрокуВСписокПолей(СтрокаПолей) 
```
</details>

## ОписанияРаспоряженийНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименования документов, которые могут являться распоряжениями на доставку.
//
// Возвращаемое значение:
//	Массив из Структура - массив структур с полями:
//		* Имя - Строка - имя документа;
//		* ЭтоЗаказ - Булево - признак документа, который является заказом;
//		* ИмяПоляСклад - Строка - имя поля склад, если оно отличается от "Склад".
//
Функция ОписанияРаспоряженийНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.ОписанияРаспоряженийНаДоставку() 
```
</details>

## ВремяБезДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает время без даты.
//
// Параметры:
//  ДатаВремя	 - Дата	 - дата.
//
// Возвращаемое значение:
//  Дата - время без даты.
//
Функция ВремяБезДаты(ДатаВремя) Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.ВремяБезДаты(ДатаВремя) 
```
</details>

## ПредставлениеВремениДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку со временем доставки в виде "%ВремяС% - %ВремяПо%".
//
// Параметры:
//  ВремяС	 - Дата	 - время начала;
//  ВремяПо	 - Дата	 - время окончания.
//
// Возвращаемое значение:
//  Строка - представление времени доставки в формате "%ВремяС% - %ВремяПо%".
//
Функция ПредставлениеВремениДоставки(ВремяС, ВремяПо) Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.ПредставлениеВремениДоставки(ВремяС, ВремяПо) 
```
</details>

## ПредставлениеПолучателяОтправителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление получателя для доставки,
//  если доставка перевозчиком, то представление имеет вид "%Перевозчик% (%ПолучательОтправитель%)".
//
// Параметры:
//  ПолучательОтправитель	 - СправочникСсылка.Партнеры - получатель / отправитель груза;
//  Перевозчик				 - СправочникСсылка.Партнеры - перевозчик;
//  ВидДоставки				 - ПеречислениеСсылка.ВидыДоставки - вид доставки.
//
// Возвращаемое значение:
//  Строка - представление получателя / отправителя груза.
//
Функция ПредставлениеПолучателяОтправителя(ПолучательОтправитель, Перевозчик, ВидДоставки) Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.ПредставлениеПолучателяОтправителя(ПолучательОтправитель, Перевозчик, ВидДоставки) 
```
</details>

## ИменаРеквизитовАдресовДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имена реквизитов адресов доставки.
//
// Параметры:
//  ИмяРеквизитаАдресаДоставки - Строка - Имя реквизита адреса доставки
//
// Возвращаемое значение:
//  Структура -- Имена реквизитов адресов доставки::
// * ИмяРеквизитаАдресаДоставки - Строка -
// * ИмяРеквизитаАдресаДоставкиЗначенияПолей - Строка -
// * ИмяРеквизитаАдресаДоставкиЗначение - Строка -
Функция ИменаРеквизитовАдресовДоставки(ИмяРеквизитаАдресаДоставки = "") Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.ИменаРеквизитовАдресовДоставки(ИмяРеквизитаАдресаДоставки);
```
</details>

## ДопИнфоИзмененоПользователем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет - было ли изменено поле ДополнительнаяИнформацияПоДоставке пользователем.
//
// Параметры:
//	ЭлементыФормы - ВсеЭлементыФормы - элементы формы, в которой производится проверка;
//	ДокОбъект - ДокументОбъект - документ для проверки.
//
// Возвращаемое значение:
//	Булево - Истина - значение поля "ДополнительнаяИнформацияПоДоставке" изменено.
//
Функция ДопИнфоИзмененоПользователем(ЭлементыФормы, ДокОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.ДопИнфоИзмененоПользователем(ЭлементыФормы, ДокОбъект) 
```
</details>

## СпособыДоставкиДоКлиентаСНашимУчастием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Способы доставки до клиента с нашим участием
//
// Параметры:
//  ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками	 - Булево - значение функциональной опции ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками.
//
// Возвращаемое значение:
//  Массив - массив способов доставки.
//
Функция СпособыДоставкиДоКлиентаСНашимУчастием(ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками) Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.СпособыДоставкиДоКлиентаСНашимУчастием(ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками) 
```
</details>

## ОтобразитьНедогрузПерегруз
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает недогруз или перегруз транспортного средства по весу и объему,
//	выводит результат в надписи и отображает соответствующую заполненности транспорта картинку.
//
// Параметры:
//  Форма			 - ФормаКлиентскогоПриложения - форма, в которой необходимо вывести надписи
//  ДанныеВесОбъем	 - ДанныеФормыЭлементКоллекции, Неопределено - данные, по которым производится расчет.
//
Процедура ОтобразитьНедогрузПерегруз(Форма,ДанныеВесОбъем) Экспорт
```

Пример вызова
```bsl
ДоставкаТоваровКлиентСервер.ОтобразитьНедогрузПерегруз(Форма, ДанныеВесОбъем) 
```
</details>

## ДоставкаИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет, требуется ли доставка для переданного способа.
//
// Параметры:
//  СпособДоставки	- ПеречислениеСсылка.СпособыДоставки - проверяемый способ доставки.
//	ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками - Булево - значение функциональной опции ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками
// Возвращаемое значение:
//  Булево - требуется доставка или нет.
//
Функция ДоставкаИспользуется(Знач СпособДоставки, Знач ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.ДоставкаИспользуется(СпособДоставки, ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками);
```
</details>

## ИспользуемыеСпособыДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Способы доставки, которые могут быть использованы
//
// Параметры:
//  ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками - Булево - значение функциональной опции ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками.
//
// Возвращаемое значение:
//   - Массив -
//
Функция ИспользуемыеСпособыДоставки(Знач ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ДоставкаТоваровКлиентСервер.ИспользуемыеСпособыДоставки(ИспользоватьЗаданияНаПеревозкуДляУчетаДоставкиПеревозчиками);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
