---
title: Доходы и расходы клиент
slug: erp-uh/доходы-и-расходы-клиент
---


## НачалоВыбораСтатьи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обеспечивает выбор статьи в соответствии с параметрами выбора.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	Элемент - ПолеФормы - Элемент выбора статьи.
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
//
Процедура НачалоВыбораСтатьи(Форма, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиент.НачалоВыбораСтатьи(Форма, Элемент, СтандартнаяОбработка) 
```
</details>

## НачалоВыбораАналитикиРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обеспечивает выбор аналитики расходов в соответствии с параметрами выбора.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	Элемент - ПолеФормы - Элемент выбора статьи.
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
//
Процедура НачалоВыбораАналитикиРасходов(Форма, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиент.НачалоВыбораАналитикиРасходов(Форма, Элемент, СтандартнаяОбработка) 
```
</details>

## АвтоПодборАналитикиРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список выбора при авто подборе аналитики расходов.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	Элемент - ПолеФормы - Элемент выбора статьи.
// 	Текст - Строка - Введенный текст.
// 	ДанныеВыбора - СписокЗначений - Данные выбора аналитики.
// 	Параметры - Структура, Неопределено - Параметры получения данных выбора.
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
//
Процедура АвтоПодборАналитикиРасходов(Форма, Элемент, Текст, ДанныеВыбора, Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиент.АвтоПодборАналитикиРасходов(Форма, Элемент, Текст, ДанныеВыбора, Параметры, СтандартнаяОбработка) 
```
</details>

## ОкончаниеВводаТекстаАналитикиРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список выбора при окончании ввода текста в поле аналитики расходов.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	Элемент - ПолеФормы - Элемент выбора статьи.
// 	Текст - Строка - Введенный текст.
// 	ДанныеВыбора - СписокЗначений - Данные выбора аналитики.
// 	Параметры - Структура, Неопределено - Параметры получения данных выбора.
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
//
Процедура ОкончаниеВводаТекстаАналитикиРасходов(Форма, Элемент, Текст, ДанныеВыбора, Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиент.ОкончаниеВводаТекстаАналитикиРасходов(Форма, Элемент, Текст, ДанныеВыбора, Параметры, СтандартнаяОбработка) 
```
</details>

## ЗаполнитьСтатьюИАналитикуВВыделенныхСтроках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды заполнение статьи и аналитики в выделенных строках таблицы.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	Элемент - ПолеФормы - Элемент выбора статьи, для данных которого необходимо выполнить заполнение.
// 	ВыделенныеСтроки - Массив - Выделенные строки таблицы формы
// 	ОписаниеОповещенияПослеЗаполнения - ОписаниеОповещения - Описания оповещения, которое необходимо вызвать после заполнения статьи и аналитики.
//
Процедура ЗаполнитьСтатьюИАналитикуВВыделенныхСтроках(Форма, Элемент, ВыделенныеСтроки, ОписаниеОповещенияПослеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиент.ЗаполнитьСтатьюИАналитикуВВыделенныхСтроках(Форма, Элемент, ВыделенныеСтроки, ОписаниеОповещенияПослеЗаполнения);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
