---
title: Доходы и расходы клиент сервер
slug: erp-uh/доходы-и-расходы-клиент-сервер
---


## СтатьяПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает изменение статьи, вызывается в соответствующем обработчике события элемента.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	Элемент - ПолеФормы - Элемент выбора статьи.
// 	ИдентификаторСтрокиТЧ - Число - Номер текущей строки ТЧ.
//
Процедура СтатьяПриИзменении(Форма, Элемент, ИдентификаторСтрокиТЧ = 0) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиентСервер.СтатьяПриИзменении(Форма, Элемент, ИдентификаторСтрокиТЧ);
```
</details>

## АналитикаРасходовПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает изменение аналитики расходов, вызывается в соответствующем обработчике события элемента.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	Элемент - ПолеФормы - Элемент выбора статьи.
//
Процедура АналитикаРасходовПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиентСервер.АналитикаРасходовПриИзменении(Форма, Элемент) 
```
</details>

## АналитикаДоходовПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает изменение аналитики доходов, вызывается в соответствующем обработчике события элемента.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	Элемент - ПолеФормы - Элемент выбора статьи.
//
Процедура АналитикаДоходовПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиентСервер.АналитикаДоходовПриИзменении(Форма, Элемент) 
```
</details>

## АналитикаАктивовПассивовПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает изменение аналитики активов/пассивов, вызывается в соответствующем обработчике события элемента.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	Элемент - ПолеФормы - Элемент выбора статьи.
//
Процедура АналитикаАктивовПассивовПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиентСервер.АналитикаАктивовПассивовПриИзменении(Форма, Элемент) 
```
</details>

## ПриДобавленииСтрокиВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует в новой строке таблицы значение статей значениями по умолчанию.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	НоваяСтрока - ДанныеФормыЭлементКоллекции, СтрокаТабличнойЧасти - Новая строка таблицы.
// 	ПутьКДаннымТаблицы - Строка - Путь к данным таблицы формы, например "Объект.Товары".
//
Процедура ПриДобавленииСтрокиВТаблицу(Форма, НоваяСтрока, ПутьКДаннымТаблицы) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиентСервер.ПриДобавленииСтрокиВТаблицу(Форма, НоваяСтрока, ПутьКДаннымТаблицы) 
```
</details>

## ПриИзмененииРеквизитаДоступностиСтатьиВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает статью и аналитику в строке таблицы, если они не доступны в строке ТЧ.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	Строка - ДанныеФормыЭлементКоллекции - Строка таблицы.
// 	ПутьКДаннымТаблицы - Строка - Путь к данным таблицы формы, например "Объект.Товары".
//
Процедура ПриИзмененииРеквизитаДоступностиСтатьиВСтроке(Форма, Строка, ПутьКДаннымТаблицы) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиентСервер.ПриИзмененииРеквизитаДоступностиСтатьиВСтроке(Форма, Строка, ПутьКДаннымТаблицы) 
```
</details>

## ВставитьДействиеЗаполнитьСтатьюАналитикуРасходовНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет структуру действий механизма ОбработкаТабличнойЧасти действием заполнения статьи и аналитики расходов по номенклатуре.
//
// Параметры:
// 	СтруктураДействий - Структура - Структура действий
// 	ФормаИлиПараметры - ФормаКлиентскогоПриложения, Структура, Массив - При вызове из формы передается форма объекта. Из формы получаются закэшированные параметры выбора статей и аналитик.
// 	                                                          При вызове из объекта - параметры выбора статей и аналитик (см. ДоходыИРасходыСервер.ПараметрыВыбораСтатьиИАналитики).
// 	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа
// 	Организация - СправочникСсылка.Организации - Организация документа
// 	Подразделение - СправочникСсылка.СтруктураПредприятия - Подразделение документа
// 	ПутьКДанным - Строка - Путь к данным статьи и аналитики. Значение по умолчанию "Объект.Товары".
// 	СтатьяРасходов - Строка - Имя реквизита статьи расходов. Значение по умолчанию "Статья расходов".
//
Процедура ВставитьДействиеЗаполнитьСтатьюАналитикуРасходовНоменклатуры(СтруктураДействий, ФормаИлиПараметры, ХозяйственнаяОперация, Организация, Подразделение, ПутьКДанным = "Объект.Товары", СтатьяРасходов = "СтатьяРасходов") Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиентСервер.ВставитьДействиеЗаполнитьСтатьюАналитикуРасходовНоменклатуры(СтруктураДействий, ФормаИлиПараметры, ХозяйственнаяОперация, Организация, Подразделение, ПутьКДанным, СтатьяРасходов);
```
</details>

## ВставитьДействиеОчиститьСтатьюИАналитикуРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет структуру действий механизма ОбработкаТабличнойЧасти действием очистки статьи и аналитики расходов при изменении номенклатуры.
//
// Параметры:
// 	СтруктураДействий - Структура - Структура действий
// 	ФормаИлиПараметры - ФормаКлиентскогоПриложения, Структура, Массив - При вызове из формы передается форма объекта. Из формы получаются закэшированные параметры выбора статей и аналитик.
// 	                                                          При вызове из объекта - параметры выбора статей и аналитик (см. ДоходыИРасходыСервер.ПараметрыВыбораСтатьиИАналитики).
// 	ПутьКДанным - Строка - Путь к данным статьи и аналитики. Значение по умолчанию "Объект.Товары".
// 	СтатьяРасходов - Строка - Имя реквизита статьи расходов. Значение по умолчанию "Статья расходов".
//
Процедура ВставитьДействиеОчиститьСтатьюИАналитикуРасходов(СтруктураДействий, ФормаИлиПараметры, ПутьКДанным = "Объект.Товары", СтатьяРасходов = "СтатьяРасходов") Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиентСервер.ВставитьДействиеОчиститьСтатьюИАналитикуРасходов(СтруктураДействий, ФормаИлиПараметры, ПутьКДанным, СтатьяРасходов);
```
</details>

## ВставитьДействиеИнициализироватьСтатьюИАналитикуПослеДобавленияСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет структуру действий механизма ОбработкаТабличнойЧасти действием инициализации реквизитов после добавления строки.
//
// Параметры:
// 	СтруктураДействий - Структура - Структура действий
// 	ФормаИлиПараметры - ФормаКлиентскогоПриложения, Структура, Массив - При вызове из формы передается форма объекта. Из формы получаются закэшированные параметры выбора статей и аналитик.
// 	                                                          При вызове из объекта - параметры выбора статей и аналитик (см. ДоходыИРасходыСервер.ПараметрыВыбораСтатьиИАналитики).
// 	ПутьКДанным - Строка - Путь к данным статьи и аналитики. Значение по умолчанию "Объект.Товары".
//
Процедура ВставитьДействиеИнициализироватьСтатьюИАналитикуПослеДобавленияСтроки(СтруктураДействий, ФормаИлиПараметры, ПутьКДанным = "Объект.Товары") Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиентСервер.ВставитьДействиеИнициализироватьСтатьюИАналитикуПослеДобавленияСтроки(СтруктураДействий, ФормаИлиПараметры, ПутьКДанным);
```
</details>

## СтатьяАналитикаДоходовРасходовПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает программное изменение статьи и аналитики активов/пассивов, вызывается в соответствующем обработчике события элемента.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	ПутьКДанным - Строка - Путь к данным статьи и аналитике формы, например "Объект.Товары".
//
Процедура СтатьяАналитикаДоходовРасходовПриИзменении(Форма, ПутьКДанным) Экспорт
```

Пример вызова
```bsl
ДоходыИРасходыКлиентСервер.СтатьяАналитикаДоходовРасходовПриИзменении(Форма, ПутьКДанным) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
