---
title: Единый налоговый счет
slug: erp-uh/единый-налоговый-счет
---


## ДатаНачалаПрименения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату начала применения единого налогового счета
//
// Возвращаемое значение:
//	Дата - Дата начала использования ЕНС
//
Функция ДатаНачалаПрименения() Экспорт
```

Пример вызова
```bsl
Результат = ЕдиныйНалоговыйСчет.ДатаНачалаПрименения() 
```
</details>

## РеквизитыМИДол
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыМИДол() Экспорт
```

Пример вызова
```bsl
Результат = ЕдиныйНалоговыйСчет.РеквизитыМИДол() 
```
</details>

## ЭтоРеквизитыЕдиногоНалоговогоСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоРеквизитыЕдиногоНалоговогоСчета(ПлатежныеРеквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ЕдиныйНалоговыйСчет.ЭтоРеквизитыЕдиногоНалоговогоСчета(ПлатежныеРеквизиты) 
```
</details>

## ОбслуживаемыеСчетаУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

Функция ОбслуживаемыеСчетаУчета(Знач Период = '00010101') Экспорт
```

Пример вызова
```bsl
Результат = ЕдиныйНалоговыйСчет.ОбслуживаемыеСчетаУчета(Период);
```
</details>

## ТекстЗапросаВтТипыНалоговВФонды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаВтТипыНалоговВФонды(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ЕдиныйНалоговыйСчет.ТекстЗапросаВтТипыНалоговВФонды(Запрос, ТекстыЗапроса) 
```
</details>

## ЗачетАвансаПоЕдиномуНалоговомуСчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗачетАвансаПоЕдиномуНалоговомуСчету(ПараметрыПроведения, МенеджерВременныхТаблиц = Неопределено, Движения, Отказ) Экспорт
```

Пример вызова
```bsl
ЕдиныйНалоговыйСчет.ЗачетАвансаПоЕдиномуНалоговомуСчету(ПараметрыПроведения, МенеджерВременныхТаблиц, Движения, Отказ) 
```
</details>

## МожноИспользоватьОтрицательнуюСуммуВУведомлении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет можно ли для данного налога использовать отрицательную сумму в уведомлении
//
// Параметры:
//  ТипНалога - ПеречислениеСсылка.ТипыНалогов - проверяемый налог
//
// Возвращаемое значение:
//  Булево - Истина, если можно
//
Функция МожноИспользоватьОтрицательнуюСуммуВУведомлении(ТипНалога) Экспорт
```

Пример вызова
```bsl
Результат = ЕдиныйНалоговыйСчет.МожноИспользоватьОтрицательнуюСуммуВУведомлении(ТипНалога) 
```
</details>

## КБКПоТипамНалогов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КБКПоТипамНалогов(Знач Период = '00010101') Экспорт
```

Пример вызова
```bsl
Результат = ЕдиныйНалоговыйСчет.КБКПоТипамНалогов(Период);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
