---
title: Загрузка почтовых сообщений
slug: erp-uh/загрузка-почтовых-сообщений
---


## ПрочитатьПисьма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Читает с сервера почтовые сообщения.
//
// Параметры:
//  ПараметрыЧтенияПисем - Структура - параметры чтения писем:
//     * УчетнаяЗапись - СправочникСсылка.УчетныеЗаписиЭлектроннойПочты - учетная запись используемая для загрузки сообщений.
//     * ГлубинаПоиска - Число - глубина просмотра почтовых сообщений от текущей даты, в днях.
//     * МаксимальныйРазмерПисьма - Число - максимальный размер загружаемых сообщений, в мегабайтах.
//
// Возвращаемое значение:
//  ТаблицаЗначений - см. СоздатьАдаптированноеОписаниеПисьма.
//
Функция ПрочитатьПисьма(ПараметрыЧтенияПисем) Экспорт
```

Пример вызова
```bsl
Результат = ЗагрузкаПочтовыхСообщений.ПрочитатьПисьма(ПараметрыЧтенияПисем) 
```
</details>

## УчетнаяЗаписьПользователяДляЗагрузкиСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает учетную запись настроенную на получения почтовых сообщений, пустую ссылку
// если учетной записи настроенной на получение почты нет или Неопределено или в конфигурации
// отсутствует справочник УчетныеЗаписиЭлектроннойПочты.
//
// Возвращаемое значение:
//  СправочникСсылка.УчетныеЗаписиЭлектроннойПочты, Неопределено - учетная запись электронной почты.
//
Функция УчетнаяЗаписьПользователяДляЗагрузкиСообщений() Экспорт
```

Пример вызова
```bsl
Результат = ЗагрузкаПочтовыхСообщений.УчетнаяЗаписьПользователяДляЗагрузкиСообщений() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
