---
title: Загрузка почтовых сообщений переопределяемый
slug: erp-uh/загрузка-почтовых-сообщений-переопределяемый
---


## ОтметитьЗаголовкиЗагруженныхПисем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет отметить загруженные в информационную базу письма по заголовкам почтовых сообщений.
// Заголовки писем с установленным свойством ПисьмоЗагружено = Истина не будут получены с почтового сервера.
//
// Параметры:
//  ЗаголовкиПисем - ТаблицаЗначений - состав колонок таблицы значений см. ЗагрузкаПочтовыхСообщений.СоздатьАдаптированноеОписаниеПисьма.
//  ВидОперации    - Строка - Наименование операции. Например: "ЗагрузкаСчетовФактур", "ЗагрузкаСчетовНаОплату".
//  УчетнаяЗапись  - СправочникСсылка.УчетныеЗаписиЭлектроннойПочты - Используемая учетная запись электронной почты.
//
// Возвращаемое значение:
//  Булево - Истина если в переопределяемой функции были отмечены заголовки.
//
Функция ОтметитьЗаголовкиЗагруженныхПисем(ЗаголовкиПисем, ВидОперации, УчетнаяЗапись) Экспорт
```

Пример вызова
```bsl
Результат = ЗагрузкаПочтовыхСообщенийПереопределяемый.ОтметитьЗаголовкиЗагруженныхПисем(ЗаголовкиПисем, ВидОперации, УчетнаяЗапись) 
```
</details>

## ДополнитьТаблицуПочтовыхСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет дополнить таблицу писем, загруженных с почтового сервера, данными информационной базы.
//
// Параметры:
//  Письма - ТаблицаЗначений - состав колонок таблицы значений см. ЗагрузкаПочтовыхСообщений.СоздатьАдаптированноеОписаниеПисьма.
//  ВидОперации    - Строка - Наименование операции. Например: "ЗагрузкаСчетовФактур", "ЗагрузкаСчетовНаОплату".
//  УчетнаяЗапись - СправочникСсылка.УчетныеЗаписиЭлектроннойПочты - Используемая учетная запись электронной почты.
//  ПараметрыОтбораЗаголовков - Структура - Содержит поля:
//    * ПослеДатыОтправления - ДатаВремя - Дата и время, начиная с которых обрабатывать почтовые сообщения.
//
Процедура ДополнитьТаблицуПочтовыхСообщений(Письма, ВидОперации, УчетнаяЗапись, ПараметрыОтбораЗаголовков) Экспорт
```

Пример вызова
```bsl
ЗагрузкаПочтовыхСообщенийПереопределяемый.ДополнитьТаблицуПочтовыхСообщений(Письма, ВидОперации, УчетнаяЗапись, ПараметрыОтбораЗаголовков) 
```
</details>

## УчетнаяЗаписьПользователяДляЗагрузкиСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает учетную запись настроенную на получения почтовых сообщений или пустую ссылку
// если учетной записи настроенной на получение почты нет.
//
// Возвращаемое значение:
//  СправочникСсылка.УчетныеЗаписиЭлектроннойПочты - учетная запись электронной почты.
//
Функция УчетнаяЗаписьПользователяДляЗагрузкиСообщений() Экспорт
```

Пример вызова
```bsl
Результат = ЗагрузкаПочтовыхСообщенийПереопределяемый.УчетнаяЗаписьПользователяДляЗагрузкиСообщений() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
