---
title: Заказ поставщику клиент внедрение ЕХ
slug: erp-uh/заказ-поставщику-клиент-внедрение-ех
---


## ФормаДокумента_ПолеФормыПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Функция, т.к. нет возможности передать форму с клиента на сервер
// напрямую. Только через серверный вызов в контексте формы.
// Возвращает:
//	Неопределено - если серверный вызов в контексте формы не требуется.
//	Любое значение - если необходим серверный вызов. Значение будет
//		передано в функцию ЗаказПоставщикуСерверВнедрениеЕХ.УХ_ПолеФормыПриИзмененииНаСервере().
Функция ФормаДокумента_ПолеФормыПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
Результат = ЗаказПоставщикуКлиентВнедрениеЕХ.ФормаДокумента_ПолеФормыПриИзменении(Форма, Элемент) 
```
</details>

## ФормаДокумента_ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФормаДокумента_ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ЗаказПоставщикуКлиентВнедрениеЕХ.ФормаДокумента_ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) 
```
</details>

## ФормаДокумента_СкладПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



Процедура ФормаДокумента_СкладПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ЗаказПоставщикуКлиентВнедрениеЕХ.ФормаДокумента_СкладПриИзменении(Форма, Элемент));
```
</details>

## ПроверитьУстановитьСклад
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьУстановитьСклад(Форма, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ЗаказПоставщикуКлиентВнедрениеЕХ.ПроверитьУстановитьСклад(Форма, Отказ, ПараметрыЗаписи));
```
</details>

## ПроверитьУстановитьИсходнуюНоменклатуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьУстановитьИсходнуюНоменклатуру(Форма) Экспорт
```

Пример вызова
```bsl
ЗаказПоставщикуКлиентВнедрениеЕХ.ПроверитьУстановитьИсходнуюНоменклатуру(Форма));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
