---
title: Закрытие месяца локализация
slug: erp-uh/закрытие-месяца-локализация
---


## ДополнитьОписаниеЭтаповЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение таблицы этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
//	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
//
Процедура ДополнитьОписаниеЭтаповЗакрытияМесяца(ТаблицаЭтапов) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаЛокализация.ДополнитьОписаниеЭтаповЗакрытияМесяца(ТаблицаЭтапов) 
```
</details>

## ДополнитьОписаниеГруппЭтаповЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение таблицы групп этапов закрытия месяца.
// Элементы данной таблицы являются элементами верхнего уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
//	ТаблицаГруппЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияГруппЭтапов
//
Процедура ДополнитьОписаниеГруппЭтаповЗакрытияМесяца(ТаблицаГруппЭтапов) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаЛокализация.ДополнитьОписаниеГруппЭтаповЗакрытияМесяца(ТаблицаГруппЭтапов) 
```
</details>

## ДополнитьПроверкиДляРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет проверки, выполняемые в рамках закрытия месяца.
//
// Параметры:
//	ТаблицаПроверок - см. АудитСостоянияСистемыПереопределяемый.ЗаполнитьПроверкиДляРегистрации.
//
Процедура ДополнитьПроверкиДляРегистрации(ТаблицаПроверок) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаЛокализация.ДополнитьПроверкиДляРегистрации(ТаблицаПроверок) 
```
</details>

## ДополнитьДанныеВыбораОперацийЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Дополняет список операций закрытия месяца, использующих механизм заданий к закрытию месяца.
//
// Параметры:
// 	ДанныеВыбора - СписокЗначений -
//
Процедура ДополнитьДанныеВыбораОперацийЗакрытияМесяца(ДанныеВыбора) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаЛокализация.ДополнитьДанныеВыбораОперацийЗакрытияМесяца(ДанныеВыбора) 
```
</details>

## ПроверитьИспользованиеРегламентированногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Проверяет использование регламентированного учета в рассчитываемом периоде.
//
// Параметры:
//	ПараметрыОбработчика - Структура - параметры обработчика события этапа.
//	ИзменятьСостояниеЭтапа - Булево -
//
// Возвращаемое значение:
//	Булево - признак использования регламентированного учета.
//
Функция ПроверитьИспользованиеРегламентированногоУчета(ПараметрыОбработчика, ИзменятьСостояниеЭтапа = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаЛокализация.ПроверитьИспользованиеРегламентированногоУчета(ПараметрыОбработчика, ИзменятьСостояниеЭтапа);
```
</details>

## ПроверитьНаличиеДокументаРегламентнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие документов "Регламентная операция".
//
// Параметры:
//	ПараметрыОбработчика 			   - Структура - параметры обработчика события этапа
//	ТипОперации							- Неопределено
//++ Локализация
//										- ПеречислениеСсылка.ТипыРегламентныхОпераций - тип операции документа
//-- Локализация
//											если не указан, то анализируется типы операций из свойства ТипыРегламентныхОпераций данного этапа
//	ИмяТаблицыОтбораОрганизаций 	   - Строка - имя временной таблицы для отбора документов по организациям
//											организации в указанной таблице должны находиться в поле с именем "Ссылка"
//											если таблица не указана, то отбираются все организации из свойства МассивОрганизаций
//	ДляЭтапаИспользуетсяРегистрЗаданий - Булево - признак того, что для данного этапа используется один из регистров "ЗаданияК...".
//
// Возвращаемое значение:
//	Булево - признак наличия документов.
//
Функция ПроверитьНаличиеДокументаРегламентнаяОперация(ПараметрыОбработчика, Знач ТипОперации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаЛокализация.ПроверитьНаличиеДокументаРегламентнаяОперация(ПараметрыОбработчика, ТипОперации, );
```
</details>

## ОписаниеДействия_ОткрытьСписокДокументовРегламентнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание действия "Открыть форму списка документов ""Регламентная операция""".
// Отбор по типам операций берется из свойства ТипыРегламентныхОпераций описания этапа закрытия месяца.
//
// Возвращаемое значение:
//	Структура - см. ЗакрытиеМесяцаСервер.СтруктураОписанияДействия
//
Функция ОписаниеДействия_ОткрытьСписокДокументовРегламентнаяОперация() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаЛокализация.ОписаниеДействия_ОткрытьСписокДокументовРегламентнаяОперация() 
```
</details>

## ТекстЗапросаСостояниеОтраженияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для определения состояния отражения документов в регламентированном учете.
//
// Возвращаемое значение:
//	Строка - текст запроса для определения состояния отражения документов.
//
Функция ТекстЗапросаСостояниеОтраженияДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаЛокализация.ТекстЗапросаСостояниеОтраженияДокументов() 
```
</details>

## ДополнитьТекстЗапросаЗаданийКЗакрытиюМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет текст запроса механизма формирования заданий закрытия месяца.
//
// Параметры:
// 	Запрос - Запрос - используется для установки параметров запроса.
// 	ТекстЗапроса - Строка - строка с текстом запроса.
// 	ТекстЗапросаВременныхТаблиц - Строка - строка с текстом запроса временных таблиц.
// 	ИменаВременныхТаблиц - Строка - массив имен создаваемых временных таблиц для последующего уничтожения.
Процедура ДополнитьТекстЗапросаЗаданийКЗакрытиюМесяца(Запрос, ТекстЗапроса, ТекстЗапросаВременныхТаблиц, ИменаВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаЛокализация.ДополнитьТекстЗапросаЗаданийКЗакрытиюМесяца(Запрос, ТекстЗапроса, ТекстЗапросаВременныхТаблиц, ИменаВременныхТаблиц) 
```
</details>

## РасчетРегламентныхОперацийНачинаяСПервогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует документы "Регламентная операция" начиная с первого пересчитываемого периода до текущего рассчитываемого периода.
//
// Параметры:
//	ПараметрыОбработчика - Структура - параметры обработчика события этапа
//	ПоОрганизациямДляКоторыхЕстьЗадания	- Булево -
//
Процедура РасчетРегламентныхОперацийНачинаяСПервогоЗадания(ПараметрыОбработчика, ПоОрганизациямДляКоторыхЕстьЗадания) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаЛокализация.РасчетРегламентныхОперацийНачинаяСПервогоЗадания(ПараметрыОбработчика, ПоОрганизациямДляКоторыхЕстьЗадания) 
```
</details>

## СформироватьДокументРегламентнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует документы "Регламентная операция" за один период.
//
// Параметры:
//	ПараметрыОбработчика - Структура - параметры обработчика события этапа
//	МассивОрганизаций - Массив -
//	ТипОперации 		 - Неопределено
//++ Локализация
//						 - ПеречислениеСсылка.ТипыРегламентныхОпераций - тип операции документа
//-- Локализация
//							если не указан, то создаются документы со всеми типами операций из свойства ТипыРегламентныхОпераций данного этапа
//	Период 				 - Дата, Неопределено - период для формирования документов;
//							если период не указан, то формируются документы за текущий рассчитываемый период.
//
// Возвращаемое значение:
//  Неопределено
//++ Локализация
//	,Структура - см. Документы.РегламентнаяОперация.РассчитатьРегламентныеОперации
//-- Локализация
//
Функция СформироватьДокументРегламентнаяОперация(ПараметрыОбработчика, МассивОрганизаций, Знач ТипОперации = Неопределено, Знач Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаЛокализация.СформироватьДокументРегламентнаяОперация(ПараметрыОбработчика, МассивОрганизаций, ТипОперации, Период);
```
</details>

## ПериодичностьРегламентнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает требуемую периодичность указанной регламентной операции.
//
// Параметры:
//	ТипОперации - Неопределено
//++ Локализация
//					- ПеречислениеСсылка.ТипыРегламентныхОпераций - тип операции документа
//-- Локализация
//
// Возвращаемое значение:
//	 ПеречислениеСсылка.Периодичность - периодичность операции.
//
Функция ПериодичностьРегламентнойОперации(ТипОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаЛокализация.ПериодичностьРегламентнойОперации(ТипОперации) 
```
</details>

## ТребуетсяРегламентнаяОперацияВУказанномПериоде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет совпадение указанного периода и периодичности регламентной операции.
//
// Параметры:
//	ТипОперации - Неопределено
//++ Локализация
//				- ПеречислениеСсылка.ТипыРегламентныхОпераций - тип операции документа
//-- Локализация
//	Период 		- Дата - период для формирования документа по данной операции.
//
// Возвращаемое значение:
//	 Булево - признак необходимости формирования документа.
//
Функция ТребуетсяРегламентнаяОперацияВУказанномПериоде(ТипОперации, Период) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаЛокализация.ТребуетсяРегламентнаяОперацияВУказанномПериоде(ТипОперации, Период) 
```
</details>

## ОбработчикиОбновленияБлокирующиеЗакрытиеМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчики обновления блокирующие закрытие месяца.
// Параметры:
//  Обработчики - Строка - Обработчики обновления не влияющие на закрытие месяца.
//
Процедура ОбработчикиОбновленияБлокирующиеЗакрытиеМесяца(Обработчики) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаЛокализация.ОбработчикиОбновленияБлокирующиеЗакрытиеМесяца(Обработчики) 
```
</details>

## ОбработчикиОбновленияНеВлияющиеНаЗакрытиеМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчики обновления не влияющие на закрытие месяца.
// Параметры:
//  Обработчики - Строка - Обработчики обновления не влияющие на закрытие месяца.
//
Процедура ОбработчикиОбновленияНеВлияющиеНаЗакрытиеМесяца(Обработчики) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаЛокализация.ОбработчикиОбновленияНеВлияющиеНаЗакрытиеМесяца(Обработчики) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
