---
title: Закрытие месяца сервер
slug: erp-uh/закрытие-месяца-сервер
---


## ЗаполнитьОписаниеГруппЭтаповЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение таблицы групп этапов закрытия месяца.
// Элементы данной таблицы являются элементами верхнего уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// ТаблицаГруппЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияГруппЭтапов
//
Процедура ЗаполнитьОписаниеГруппЭтаповЗакрытияМесяца(ТаблицаГруппЭтапов) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ЗаполнитьОписаниеГруппЭтаповЗакрытияМесяца(ТаблицаГруппЭтапов) 
```
</details>

## ИдентификаторГруппыРучныеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В данной области расположены идентификаторы групп этапов закрытия месяца.
// Для групп этапов используются строковые идентификаторы, т.к. для них нет потребности в ссылочных идентификаторах.

// Идентификатор группы ручные операции.
//
// Возвращаемое значение:
//  Строка - Идентификатор группы ручные операции
Функция ИдентификаторГруппыРучныеОперации() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИдентификаторГруппыРучныеОперации() 
```
</details>

## ИдентификаторГруппыВзаиморасчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентификатор группы взаиморасчеты.
//
// Возвращаемое значение:
//  Строка - Идентификатор группы взаиморасчеты
Функция ИдентификаторГруппыВзаиморасчеты() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИдентификаторГруппыВзаиморасчеты() 
```
</details>

## ИдентификаторГруппыФормированиеЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентификатор группы формирование затрат.
//
// Возвращаемое значение:
//  Строка - Идентификатор группы формирование затрат
Функция ИдентификаторГруппыФормированиеЗатрат() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИдентификаторГруппыФормированиеЗатрат() 
```
</details>

## ИдентификаторГруппыПроизводственныеЗатраты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентификатор группы производственные затраты.
//
// Возвращаемое значение:
//  Строка - Идентификатор группы производственные затраты
Функция ИдентификаторГруппыПроизводственныеЗатраты() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИдентификаторГруппыПроизводственныеЗатраты() 
```
</details>

## ИдентификаторГруппыСебестоимость
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентификатор группы себестоимость.
//
// Возвращаемое значение:
//  Строка - Идентификатор группы себестоимость
Функция ИдентификаторГруппыСебестоимость() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИдентификаторГруппыСебестоимость() 
```
</details>

## ИдентификаторГруппыФормированиеФинансовогоРезультата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентификатор группы формирование финансового результата.
//
// Возвращаемое значение:
//  Строка - Идентификатор группы формирование финансового результата
Функция ИдентификаторГруппыФормированиеФинансовогоРезультата() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИдентификаторГруппыФормированиеФинансовогоРезультата() 
```
</details>

## ИдентификаторГруппыРегламентированныйУчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентификатор группы регламентированный учет.
//
// Возвращаемое значение:
//  Строка - Идентификатор группы регламентированный учет
Функция ИдентификаторГруппыРегламентированныйУчет() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИдентификаторГруппыРегламентированныйУчет() 
```
</details>

## ИдентификаторГруппыМеждународныйУчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентификатор группы международный учет.
//
// Возвращаемое значение:
//  Строка - Идентификатор группы международный учет
Функция ИдентификаторГруппыМеждународныйУчет() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИдентификаторГруппыМеждународныйУчет() 
```
</details>

## ИдентификаторГруппыБлокировкаОтИзменений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентификатор группы блокировка от изменений.
//
// Возвращаемое значение:
//  Строка - Идентификатор группы блокировка от изменений
Функция ИдентификаторГруппыБлокировкаОтИзменений() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИдентификаторГруппыБлокировкаОтИзменений() 
```
</details>

## ЗаполнитьОписаниеЭтаповЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение таблицы этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
//	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
//
Процедура ЗаполнитьОписаниеЭтаповЗакрытияМесяца(ТаблицаЭтапов) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ЗаполнитьОписаниеЭтаповЗакрытияМесяца(ТаблицаЭтапов) 
```
</details>

## ДобавитьЭтап_ПереходНаНовыеРежимыРаботы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
//	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - идентификатор группы.
//
Процедура ДобавитьЭтап_ПереходНаНовыеРежимыРаботы(ТаблицаЭтапов, ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ДобавитьЭтап_ПереходНаНовыеРежимыРаботы(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ПереходНаНовыеРежимыРаботы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Использование_ПереходНаНовыеРежимыРаботы(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.Использование_ПереходНаНовыеРежимыРаботы(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_ИсправлениеОшибокВИсходныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
//	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - идентификатор группы.
//
Процедура ДобавитьЭтап_ИсправлениеОшибокВИсходныхДанных(ТаблицаЭтапов, ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ДобавитьЭтап_ИсправлениеОшибокВИсходныхДанных(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## ОписаниеПроверок_ИсправлениеОшибокВИсходныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОписаниеПроверок_ИсправлениеОшибокВИсходныхДанных(ТаблицаПроверок) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ОписаниеПроверок_ИсправлениеОшибокВИсходныхДанных(ТаблицаПроверок));
```
</details>

## ПроверкаКорректностьПередачиУказаннойВВозврате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку корректности указания документов передачи товаров между организациями возвращаемых товаров
// в документах возврата товаров между организациями.
//
// Параметры:
//	ПараметрыПроверки - Структура - параметры проверки, см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки.
//
Процедура ПроверкаКорректностьПередачиУказаннойВВозврате(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ПроверкаКорректностьПередачиУказаннойВВозврате(ПараметрыПроверки) 
```
</details>

## ПроверкаКорректностьЗаполненияНомеровГТДВВозвратах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку корректности указания номеров ГТД возвращаемых товаров в документах возврата товаров
// между организациями.
//
// Параметры:
//	ПараметрыПроверки - Структура - параметры проверки, см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки.
//
Процедура ПроверкаКорректностьЗаполненияНомеровГТДВВозвратах(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ПроверкаКорректностьЗаполненияНомеровГТДВВозвратах(ПараметрыПроверки) 
```
</details>

## ДобавитьЭтап_ЗаблокироватьОтИзменений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
//	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - идентификатор группы.
//
Процедура ДобавитьЭтап_ЗаблокироватьОтИзменений(ТаблицаЭтапов, ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ДобавитьЭтап_ЗаблокироватьОтИзменений(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ЗаблокироватьОтИзменений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Использование заблокировать от изменений.
//
// Параметры:
//	ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
Процедура Использование_ЗаблокироватьОтИзменений(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.Использование_ЗаблокироватьОтИзменений(ПараметрыОбработчика) 
```
</details>

## ДобавитьОписаниеНовойПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет новую проверку состояния системы в таблицу проверок и заполняет ее ключевые поля.
//
// Параметры:
//	ТаблицаПроверок              - см. АудитСостоянияСистемы.ТаблицаПроверокСостоянияСистемы
//	Идентификатор 				 - Строка - уникальный строковый идентификатор (код) проверки
//	КонтекстПроверокВеденияУчета 			 - ПеречислениеСсылка.ОперацииЗакрытияМесяца - этап закрытия месяца (владелец), к которому относится проверка
//	УточнениеКонтекстаПроверокВеденияУчета - ПеречислениеСсылка.МоментЗапускаПроверкиОперацииЗакрытияМесяца - когда надо выполнять проверку
//	Обработчик 					 - Строка - полное имя экспортной процедуры-обработчика, вызываемого для выполнения проверки
//	ВажностьПроблемы 					 - ПеречислениеСсылка.ВажностьПроблемыУчета - статус по умолчанию для результатов выполнения проверки.
//
// Возвращаемое значение:
//	СтрокаТаблицыЗначений - добавленная строка таблицы проверок.
//
Функция ДобавитьОписаниеНовойПроверки(ТаблицаПроверок, Идентификатор, КонтекстПроверокВеденияУчета, Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ДобавитьОписаниеНовойПроверки(ТаблицаПроверок, Идентификатор, КонтекстПроверокВеденияУчета, );
```
</details>

## ЗаполнитьПредставлениеНовойПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет текстовые поля описания проверки состояния системы.
//
// Параметры:
//	ОписаниеПроверки - СтрокаТаблицыЗначений - строка таблицы проверок, добавленная в ДобавитьОписаниеНовойПроверки()
//	Наименование 	 - Строка - пользовательское представление проверки
//	Комментарий 	 - Строка - подробное описание проверки.
//
Процедура ЗаполнитьПредставлениеНовойПроверки(ОписаниеПроверки, Наименование, Комментарий = "") Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ЗаполнитьПредставлениеНовойПроверки(ОписаниеПроверки, Наименование, Комментарий);
```
</details>

## ИмяФормыРасшифровкиРезультатовПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя формы для вывода результатов выполнения указанной проверки.
// По умолчанию результаты всех проверок отображаются с использованием формы Обработки.ОперацииЗакрытияМесяца.Формы.РезультатыПроверки
// Если при выводе результатов надо предусмотреть нестандартное поведение, то в этой функции надо указать имя своей,
// особой формы.
//
// Параметры:
//	Проверка - СправочникСсылка.ПравилаПроверкиУчета - проверка состояния системы.
//
// Возвращаемое значение:
//	Строка, Неопределено - переопределенное имя формы для проверки; если форма не переопределяется, то возвращается Неопределено.
//
Функция ИмяФормыРасшифровкиРезультатовПроверки(Проверка) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИмяФормыРасшифровкиРезультатовПроверки(Проверка) 
```
</details>

## ДобавитьЭтапВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет строку в таблицу этапов.
//
// Параметры:
//	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
//	Родитель - Строка - идентификатор группы, в которую входит данный этап, см. функции вида ИдентификаторГруппы...
//	Этап - ПеречислениеСсылка.ОперацииЗакрытияМесяца - добавляемый этап закрытия месяца
//	ОперативныйУчет - Булево - признак принадлежности этапа к оперативному учету
//	РегламентированныйУчет - Булево - признак принадлежности этапа к регламентированному учету
//	МеждународныйУчет - Булево - признак принадлежности этапа к международному учету.
//	ПредшествующийЭтап - ПеречислениеСсылка.ОперацииЗакрытияМесяца - предыдущий этап закрытия месяца для целей упорядочивания.
//
// Возвращаемое значение:
//	СтрокаТаблицыЗначений - добавленная строка таблицы этапов с колонками:
//	* ПредшествующиеЭтапы - ТаблицаЗначений
//
Функция ДобавитьЭтапВТаблицу(ТаблицаЭтапов, Родитель, Этап, ОперативныйУчет = Истина, Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ДобавитьЭтапВТаблицу(ТаблицаЭтапов, Родитель, Этап, ОперативныйУчет, );
```
</details>

## ОписаниеДействия_СервернаяПроцедура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание шаблонов обработчиков событий этапа закрытия месяца.
// Используются для свойств "Действие..." этапа закрытия месяца.

// Описание действия "Выполнить указанную произвольную процедуру".
//
// Параметры:
//	Обработчик - Строка - полный путь к экспортной процедуре обработчика действия.
//
// Возвращаемое значение:
// см. ЗакрытиеМесяцаСервер.СтруктураОписанияДействия
//
Функция ОписаниеДействия_СервернаяПроцедура(Обработчик) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОписаниеДействия_СервернаяПроцедура(Обработчик) 
```
</details>

## ОписаниеДействия_КлиентскаяПроцедура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание действия "Выполнить указанную произвольную процедуру".
//
// Параметры:
//	Обработчик - Строка - полный путь к экспортной функции обработчика действия.
//
// Возвращаемое значение:
// см. ЗакрытиеМесяцаСервер.СтруктураОписанияДействия
//
Функция ОписаниеДействия_КлиентскаяПроцедура(Обработчик) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОписаниеДействия_КлиентскаяПроцедура(Обработчик) 
```
</details>

## ОписаниеДействия_ВыполнитьРасчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание действия "Выполнить расчет этапа".
//
// Параметры:
//	Обработчик - Строка - полный путь к экспортной процедуре обработчика действия.
//
// Возвращаемое значение:
// см. ЗакрытиеМесяцаСервер.СтруктураОписанияДействия
//
Функция ОписаниеДействия_ВыполнитьРасчет(Обработчик) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОписаниеДействия_ВыполнитьРасчет(Обработчик) 
```
</details>

## ОписаниеДействия_ОткрытьСправкуОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание действия "Открыть справку объекта".
//
// Параметры:
//	ОбъектМетаданных - Строка - полное имя объекта метаданных, справку которого надо открыть
//
// Возвращаемое значение:
// см. ЗакрытиеМесяцаСервер.СтруктураОписанияДействия
//
Функция ОписаниеДействия_ОткрытьСправкуОбъекта(ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОписаниеДействия_ОткрытьСправкуОбъекта(ОбъектМетаданных) 
```
</details>

## ОписаниеДействия_ОткрытьРезультатыПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание действия "Открыть результаты проверки указанного этапа".
//
// Параметры:
//	Проверка 		   - СправочникСсылка.ПравилаПроверкиУчета - проверка состояния системы; если не указана, то отображаются результаты всех проверок
//	Проблема 		   - УникальныйИдентификатор - проблема, найденная проверкой; если не указана, то отображаются все проблемы
//	КонтекстПроверокВеденияУчета - ПеречислениеСсылка.ОперацииЗакрытияМесяца - этап закрытия месяца (владелец), к которому относится проверки.
//
// Возвращаемое значение:
// см. ЗакрытиеМесяцаСервер.СтруктураОписанияДействия
//
Функция ОписаниеДействия_ОткрытьРезультатыПроверки(Проверка = Неопределено, Проблема = Неопределено, КонтекстПроверокВеденияУчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОписаниеДействия_ОткрытьРезультатыПроверки(Проверка, Проблема, КонтекстПроверокВеденияУчета);
```
</details>

## ОписаниеДействия_ОткрытьФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание действия "Открыть произвольную форму".
//
// Параметры:
//	ИмяФормы 				 - Строка - имя открываемой формы
//	ПараметрыВСтруктуреОтбор - Булево - признак того, что параметры открываемой формы надо передать внутри параметра Отбор с типом Структура.
//	ОткрыватьФормуСБлокированием - Булево - открывать форму с блокировкой владельца
//
// Возвращаемое значение:
// см. ЗакрытиеМесяцаСервер.СтруктураОписанияДействия
//
Функция ОписаниеДействия_ОткрытьФорму(ИмяФормы, ПараметрыВСтруктуреОтбор = Ложь, ОткрыватьФормуСБлокированием = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОписаниеДействия_ОткрытьФорму(ИмяФормы, ПараметрыВСтруктуреОтбор, ОткрыватьФормуСБлокированием);
```
</details>

## ОписаниеДействия_ОткрытьЖурналРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание действия "Показать ошибки указанного этапа в журнале регистрации".
//
// Параметры:
//	РассчитываемыйЭтап - ПеречислениеСсылка.ОперацииЗакрытияМесяца - этап закрытия месяца.
//
// Возвращаемое значение:
// см. ЗакрытиеМесяцаСервер.СтруктураОписанияДействия
//
Функция ОписаниеДействия_ОткрытьЖурналРегистрации(РассчитываемыйЭтап) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОписаниеДействия_ОткрытьЖурналРегистрации(РассчитываемыйЭтап) 
```
</details>

## ИнициализироватьЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает общие параметры и менеджер временных таблиц для запросов, используемых в механизме закрытия месяца.
//
// Параметры:
//	Запрос 									- Запрос - используемый запрос
//	ПараметрыОбработчикаИлиПараметрыРасчета - Структура - параметры обработчика события этапа или параметры расчета этапа.
//
// Возвращаемое значение:
//	Булево - признак того, что в параметре обработчика был передан менеджер временных таблиц;
//		если менеджер не был передан, то он буден добавлен в параметры обработчика для его использования в следующих обработчиках.
//
Функция ИнициализироватьЗапрос(Запрос, ПараметрыОбработчикаИлиПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИнициализироватьЗапрос(Запрос, ПараметрыОбработчикаИлиПараметрыРасчета) 
```
</details>

## ПроверитьНаличиеЗаданийКЗакрытиюМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие заданий в регистре сведений вида "ЗаданияК...".
//
// Параметры:
//	ПараметрыОбработчика 		- Структура - параметры обработчика события этапа
//	ВыполнятьССамогоРаннего 	- Булево - признак того, что пересчет должен выполняться с самого первого задания до рассчитываемого периода
//									если Ложь, то анализируется только наличие заданий в рассчитываемом периоде
//	ИмяТаблицыОтбораОрганизаций - Строка - имя временной таблицы для отбора регистра заданий по организациям
//									организации в указанной таблице должны находиться в поле с именем "Ссылка"
//									если таблица не указана, то отбираются все организации из свойства МассивОрганизаций
//	ИмяРегистраЗаданий 			- Строка - имя регистра сведений с заданиями к пересчету
//									если регистра не указан, то выбираются данные регистра ЗаданияКЗакрытиюМесяца.
//	ДействиеПодробнее 	 		- Строка - см. функции вида "ОписаниеДействия_..."
//
// Возвращаемое значение:
//	Булево - признак наличия записей регистра.
//
Функция ПроверитьНаличиеЗаданийКЗакрытиюМесяца(ПараметрыОбработчика, ВыполнятьССамогоРаннего, Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ПроверитьНаличиеЗаданийКЗакрытиюМесяца(ПараметрыОбработчика, ВыполнятьССамогоРаннего, );
```
</details>

## ПроверитьНаличиеРегламентногоДокументаЭтапаЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие регламентного документа указанного вида.
//
// Параметры:
//	ПараметрыОбработчика 		- Структура - параметры обработчика события этапа
//	ИмяДокумента 				- Строка - имя регламентного документа, как оно указано в метаданных
//	ИмяТаблицыОтбораОрганизаций - Строка - имя временной таблицы для отбора документов по организациям
//									организации в указанной таблице должны находиться в поле с именем "Ссылка"
//									если таблица не указана, то отбираются все организации из свойства МассивОрганизаций.
//
// Возвращаемое значение:
//	Булево - признак наличия документов.
//
Функция ПроверитьНаличиеРегламентногоДокументаЭтапаЗакрытияМесяца(ПараметрыОбработчика, ИмяДокумента, ИмяТаблицыОтбораОрганизаций = "") Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ПроверитьНаличиеРегламентногоДокументаЭтапаЗакрытияМесяца(ПараметрыОбработчика, ИмяДокумента, ИмяТаблицыОтбораОрганизаций);
```
</details>

## ПроверитьИспользованиеРегламентированногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Проверяет использование регламентированного учета в рассчитываемом периоде.
//
// Параметры:
//	ПараметрыОбработчика - Структура - параметры обработчика события этапа.
//	ИзменятьСостояниеЭтапа - Булево -
//
// Возвращаемое значение:
//	Булево - признак использования регламентированного учета.
//
Функция ПроверитьИспользованиеРегламентированногоУчета(ПараметрыОбработчика, ИзменятьСостояниеЭтапа = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ПроверитьИспользованиеРегламентированногоУчета(ПараметрыОбработчика, ИзменятьСостояниеЭтапа);
```
</details>

## ПроверитьНаличиеДокументаРегламентнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие документов "Регламентная операция".
//
// Параметры:
//	ПараметрыОбработчика 			   - Структура - параметры обработчика события этапа
//	ТипОперации - Неопределено, ПеречислениеСсылка - тип регламентной операции документа (ТипыРегламентныхОпераций)
//											если не указан, то анализируется типы операций из свойства ТипыРегламентныхОпераций данного этапа.
//	ИмяТаблицыОтбораОрганизаций 	   - Строка - имя временной таблицы для отбора документов по организациям
//											организации в указанной таблице должны находиться в поле с именем "Ссылка"
//											если таблица не указана, то отбираются все организации из свойства МассивОрганизаций.
//	ДляЭтапаИспользуетсяРегистрЗаданий - Булево - признак того, что для данного этапа используется один из регистров "ЗаданияК...".
//
// Возвращаемое значение:
//	Булево - признак наличия документов.
//
Функция ПроверитьНаличиеДокументаРегламентнаяОперация(ПараметрыОбработчика, Знач ТипОперации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ПроверитьНаличиеДокументаРегламентнаяОперация(ПараметрыОбработчика, ТипОперации, );
```
</details>

## УстановитьСостояниеНеТребуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает состояние этапа "Не требуется".
//
// Параметры:
//	ПараметрыОбработчика - Структура - параметры обработчика события этапа
//	Пояснение 			 - Строка - текст пояснения для устанавливаемого состояния
//	ТекстПодробнее 		 - Строка - текст гиперссылки "Подробнее" вместо текста по умолчанию
//	ДействиеПодробнее 	 - Строка - см. функции вида "ОписаниеДействия_..."
//	Состояние 			 - ПеречислениеСсылка.ВажностьПроблемыУчета - статус пояснения, по умолчанию "Информация".
//
Процедура УстановитьСостояниеНеТребуется(ПараметрыОбработчика, Пояснение = "", ТекстПодробнее = "", ДействиеПодробнее = Неопределено, Состояние = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.УстановитьСостояниеНеТребуется(ПараметрыОбработчика, Пояснение, ТекстПодробнее, ДействиеПодробнее, Состояние);
```
</details>

## УстановитьСостояниеОтключено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает состояние этапа "Отключен".
//
// Параметры:
//	ПараметрыОбработчика - Структура - параметры обработчика события этапа
//	Пояснение 			 - Строка - текст пояснения для устанавливаемого состояния
//	ТекстПодробнее 		 - Строка - текст гиперссылки "Подробнее" вместо текста по умолчанию
//	ДействиеПодробнее 	 - Строка - см. функции вида "ОписаниеДействия_..."
//	Состояние 			 - ПеречислениеСсылка.ВажностьПроблемыУчета - статус пояснения, по умолчанию "Информация".
//
Процедура УстановитьСостояниеОтключено(ПараметрыОбработчика, Пояснение = "", ТекстПодробнее = "", ДействиеПодробнее = Неопределено, Состояние = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.УстановитьСостояниеОтключено(ПараметрыОбработчика, Пояснение, ТекстПодробнее, ДействиеПодробнее, Состояние);
```
</details>

## УстановитьСостояниеНеВыполнен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает состояние этапа "Не выполнен".
//
// Параметры:
//	ПараметрыОбработчика - Структура - параметры обработчика события этапа
//	Пояснение 			 - Строка - текст пояснения для устанавливаемого состояния
//	ТекстПодробнее 		 - Строка - текст гиперссылки "Подробнее" вместо текста по умолчанию
//	ДействиеПодробнее 	 - Строка - см. функции вида "ОписаниеДействия_..."
//	Состояние 			 - ПеречислениеСсылка.ВажностьПроблемыУчета - статус пояснения, по умолчанию "Ошибка".
//
Процедура УстановитьСостояниеНеВыполнен(ПараметрыОбработчика, Пояснение = "", ТекстПодробнее = "", ДействиеПодробнее = Неопределено, Состояние = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.УстановитьСостояниеНеВыполнен(ПараметрыОбработчика, Пояснение, ТекстПодробнее, ДействиеПодробнее, Состояние);
```
</details>

## УстановитьСостояниеВыполненСОшибками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает состояние этапа "Выполнен с ошибками".
//
// Параметры:
//	ПараметрыОбработчика - Структура - параметры обработчика события этапа
//	Пояснение 			 - Строка - текст пояснения для устанавливаемого состояния
//	ТекстПодробнее 		 - Строка - текст гиперссылки "Подробнее" вместо текста по умолчанию
//	ДействиеПодробнее 	 - Строка - см. функции вида "ОписаниеДействия_..."
//	Состояние 			 - ПеречислениеСсылка.ВажностьПроблемыУчета - статус пояснения, по умолчанию "Предупреждение".
//
Процедура УстановитьСостояниеВыполненСОшибками(ПараметрыОбработчика, Пояснение = "", ТекстПодробнее = "", ДействиеПодробнее = Неопределено, Состояние = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.УстановитьСостояниеВыполненСОшибками(ПараметрыОбработчика, Пояснение, ТекстПодробнее, ДействиеПодробнее, Состояние);
```
</details>

## СостояниеЭтапаОпределено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Проверяет, что состояние этапа отличается от незаполненного состояния по умолчанию.
//
// Параметры:
//	ДанныеЭтапа - СтрокаТаблицыЗначений - строка таблицы этапов.
//
// Возвращаемое значение:
//	Булево - признак того, что состояния этапа отличается от "Неопределено".
//
Функция СостояниеЭтапаОпределено(ДанныеЭтапа) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.СостояниеЭтапаОпределено(ДанныеЭтапа) 
```
</details>

## ТребуетсяПересчетЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что состояние этапа отличается от "Выполнен успешно" и "Не требуется".
//
// Параметры:
//	ДанныеЭтапа - СтрокаТаблицыЗначений - строка таблицы этапов.
//
// Возвращаемое значение:
//	Булево - признак необходимости пересчета этапа.
//
Функция ТребуетсяПересчетЭтапа(ДанныеЭтапа) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ТребуетсяПересчетЭтапа(ДанныеЭтапа) 
```
</details>

## РасчетЭтапаНеТребуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что состояние этапа равно "Не требуется".
//
// Параметры:
//	ДанныеЭтапа - СтрокаТаблицыЗначений - строка таблицы этапов.
//
// Возвращаемое значение:
//	Булево - признак этапа расчет которого не требуется.
//
Функция РасчетЭтапаНеТребуется(ДанныеЭтапа) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.РасчетЭтапаНеТребуется(ДанныеЭтапа) 
```
</details>

## ДобавитьПоясняющуюИнформациюКЭтапу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Добавляет поясняющую информацию к этапу.
// В дереве операций закрытия месяца отображается на третьем уровне.
//
// Параметры:
//	ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
//	Пояснение 			 - Строка - текст пояснения для устанавливаемого состояния
//	ТекстПодробнее 		 - Строка - текст гиперссылки "Подробнее" вместо текста по умолчанию
//	ДействиеПодробнее 	 - Строка - см. функции вида "ОписаниеДействия_..."
//	Состояние 			 - ПеречислениеСсылка.ВажностьПроблемыУчета - статус пояснения, по умолчанию "Информация".
//
Процедура ДобавитьПоясняющуюИнформациюКЭтапу(ПараметрыОбработчика, Пояснение, Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ДобавитьПоясняющуюИнформациюКЭтапу(ПараметрыОбработчика, Пояснение, );
```
</details>

## ЗафиксироватьРезультатыОбработчикаИспользованияПоОрганизациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает состояние этапа по данным указанной временной таблицы.
//
// Параметры:
//	ПараметрыОбработчика 		 - Структура - параметры обработчика события этапа
//	ШаблонТекста 		 		 - Строка - шаблон текста пояснение, формируемого для каждой строки временной таблицы;
//									в шаблоне параметр %1 заменяется на организацию, а %2 - на рассчитываемый период
//	Запрос 				 		 - Запрос - запрос с менеджером временных таблиц
//	ИмяВременнойТаблицы  		 - Строка - имя временной таблицы для установки состояния этапа;
//									обязательная колонка временной таблицы - "Организация"
//	ПоРассчитываемымОрганизациям - Булево - признак отбора строк временной таблицы по организациям из свойства МассивОрганизаций
//	ЭтоОшибка 			 		 - Булево - признак того, что строки указанной временной таблицы содержат ошибки;
//									если Истина, то будет установлено состояние этапа "Не выполнен", иначе - "Не требуется".
//
Процедура ЗафиксироватьРезультатыОбработчикаИспользованияПоОрганизациям(ПараметрыОбработчика, ШаблонТекста, Запрос, Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ЗафиксироватьРезультатыОбработчикаИспользованияПоОрганизациям(ПараметрыОбработчика, ШаблонТекста, Запрос, );
```
</details>

## ОпределитьСостояниеЭтаповРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Определяет состояние указанных этапов закрытия месяца.
//
// Параметры:
//  Этапы 							  - ПеречислениеСсылка.ОперацииЗакрытияМесяца, Массив - операции закрытия месяца
//	Период 							  - Дата - рассчитываемый период
//	МассивОрганизаций 				  - СправочникСсылка.Организации, Массив - рассчитываемые организации
//	УчетСостоянияПредшествующихЭтапов - Булево - учитывать состояние предыдущих этапов, от которых зависят указанные этапы
//	ВыполнятьПроверкиДоЭтапа 		  - Булево - выполнять проверки состояния системы, относящиеся к данной этапу.
//	ОбновитьТолькоОдинЭтап			  - ПеречислениеСсылка.ОперацииЗакрытияМесяца - экспресс-проверка состояния только указанного этапа
//										 при этом не проверяется определение состояния предшествующих этапов, влияющих на указанный этап
//
// Возвращаемое значение:
//	Соответствие
//		Ключ - ПеречислениеСсылка.ОперацииЗакрытияМесяца - этап
//		Значение - ПеречислениеСсылка.СостоянияОперацийЗакрытияМесяца - состояние этапа
//	Если в параметр Этапы передан один этап, то возвращается не Соответствие, а значение с типом ПеречислениеСсылка.СостоянияОперацийЗакрытияМесяца.
//
Функция ОпределитьСостояниеЭтаповРасчета(Этапы, Период, МассивОрганизаций = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОпределитьСостояниеЭтаповРасчета(Этапы, Период, МассивОрганизаций, );
```
</details>

## УстановитьДополнительноеСвойствоОбработчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доп. свойство обработчика этапа для передачи его в следующие за ним обработчики этапа.
//
// Параметры:
//	ПараметрыОбработчика - Структура - параметры обработчика события этапа
//	ИмяСвойства 		 - Строка - ключ доп. свойства
//	ЗначениеСвойства 	 - Произвольный - значение доп. свойства.
//
Процедура УстановитьДополнительноеСвойствоОбработчика(ПараметрыОбработчика, ИмяСвойства, ЗначениеСвойства = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.УстановитьДополнительноеСвойствоОбработчика(ПараметрыОбработчика, ИмяСвойства, ЗначениеСвойства);
```
</details>

## ПолучитьДополнительноеСвойствоОбработчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доп. свойство обработчика этапа, установленное в предшествующих обработчиках этапа.
//
// Параметры:
//	ПараметрыОбработчика - Структура - параметры обработчика события этапа
//	ИмяСвойства 		 - Строка - ключ доп. свойства
//	ЗначениеПоУмолчанию  - Произвольный - возвращаемое значение в случае, если доп. свойство с указанным именем не существует.
//
// Возвращаемое значение:
//	Произвольный -
Функция ПолучитьДополнительноеСвойствоОбработчика(ПараметрыОбработчика, ИмяСвойства, ЗначениеПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ПолучитьДополнительноеСвойствоОбработчика(ПараметрыОбработчика, ИмяСвойства, ЗначениеПоУмолчанию);
```
</details>

## ЗапуститьПодчиненноеФоновоеЗаданиеЭтапаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запустить подчиненное фоновое задание этапа расчета.
//
// Параметры:
//  ИдентификаторРасчета - УникальныйИдентификатор - Идентификатор расчета
//  ИмяМетода - Строка - Имя метода
//  ПараметрыОбработчикаЗадания - Массив Из Произвольный -  Параметры обработчика задания
//  КлючЗадания - Строка, Неопределено -  Ключ задания
//  Наименование - Строка -  Наименование
//
// Возвращаемое значение:
//  ФоновоеЗадание -  подчиненное фоновое задание этапа расчета
Функция ЗапуститьПодчиненноеФоновоеЗаданиеЭтапаРасчета(ИдентификаторРасчета, ИмяМетода, ПараметрыОбработчикаЗадания = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ЗапуститьПодчиненноеФоновоеЗаданиеЭтапаРасчета(ИдентификаторРасчета, ИмяМетода, ПараметрыОбработчикаЗадания, );
```
</details>

## ЗапущеноПодчиненноеФоновоеЗаданиеЭтапаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запущено подчиненное фоновое задание этапа расчета.
//
// Параметры:
//  ИдентификаторРасчета - УникальныйИдентификатор -  Идентификатор расчета
//  ИдентификаторЗадания - УникальныйИдентификатор -  Идентификатор задания
Процедура ЗапущеноПодчиненноеФоновоеЗаданиеЭтапаРасчета(ИдентификаторРасчета, ИдентификаторЗадания) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ЗапущеноПодчиненноеФоновоеЗаданиеЭтапаРасчета(ИдентификаторРасчета, ИдентификаторЗадания) 
```
</details>

## ИнициализироватьПараметрыРегистрацииПроблемПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует описание данных, на основании которых надо зарегистрировать найденные проблемы.
//
// Параметры:
//	ИмяВременнойТаблицы 	  - Строка - имя временной таблицы, в которой хранится информация о найденных проблемах
//								обязательное поле - "Организация"
//	ШаблонТекстаОшибки  	  - Строка - шаблон текста описания проблемы
//								в шаблоне параметр %1 заменяется на организацию, а %2 - на рассчитываемый период
//	СписокПолей 			  - СписокЗначений - список полей временной таблицы; Значение - имя поля, Представление (необязательный) - представление поля
//	ИмяПоляОбъекта 			  - Строка - имя поля, в котором хранится объект для расшифровки проблемы
//	ИмяРегистраДляРасшифровки - Строка - имя регистра, в котором зафиксирована проблема
//
// Возвращаемое значение:
//	Массив - массив описаний проблем, см. код ДополнитьПараметрыРегистрацииПроблемПроверки
//
Функция ИнициализироватьПараметрыРегистрацииПроблемПроверки(ИмяВременнойТаблицы, ШаблонТекстаОшибки, СписокПолей, ИмяПоляОбъекта = "", ИмяРегистраДляРасшифровки = "") Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыРегистрацииПроблемПроверки(ИмяВременнойТаблицы, ШаблонТекстаОшибки, СписокПолей, ИмяПоляОбъекта, ИмяРегистраДляРасшифровки);
```
</details>

## ДополнитьПараметрыРегистрацииПроблемПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет к ранее сформированному описанию новые данные, на основании которых надо зарегистрировать найденные проблемы.
//
// Параметры:
//	ПараметрыРегистрации 	  - Массив - результат функции ИнициализироватьПараметрыРегистрацииПроблемПроверки()
//	ИмяВременнойТаблицы  	  - Строка - аналогично одноименному параметру ИнициализироватьПараметрыРегистрацииПроблемПроверки()
//	ШаблонТекстаОшибки   	  - Строка - аналогично одноименному параметру ИнициализироватьПараметрыРегистрацииПроблемПроверки()
//	СписокПолей 		 	  - СписокЗначений - аналогично одноименному параметру ИнициализироватьПараметрыРегистрацииПроблемПроверки()
//	ИмяПоляОбъекта 		 	  - Строка - аналогично одноименному параметру ИнициализироватьПараметрыРегистрацииПроблемПроверки()
//	ИмяРегистраДляРасшифровки - Строка - аналогично одноименному параметру ИнициализироватьПараметрыРегистрацииПроблемПроверки()
//
Процедура ДополнитьПараметрыРегистрацииПроблемПроверки(ПараметрыРегистрации, ИмяВременнойТаблицы, ШаблонТекстаОшибки, СписокПолей, ИмяПоляОбъекта = "", ИмяРегистраДляРасшифровки = "") Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ДополнитьПараметрыРегистрацииПроблемПроверки(ПараметрыРегистрации, ИмяВременнойТаблицы, ШаблонТекстаОшибки, СписокПолей, ИмяПоляОбъекта, ИмяРегистраДляРасшифровки);
```
</details>

## ЗарегистрироватьПроблемыВыполненияПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в ИБ информацию о проблеме, диагностированной при выполнении проверки этапа закрытия месяца.
//
// Параметры:
//	ПараметрыПроверки 			   - см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки
//	ПараметрыРегистрации 		   - Массив - результат функции ИнициализироватьПараметрыРегистрацииПроблемПроверки()
//	ТекстЗапросаФормированияТаблиц - Строка - текст запроса для формирования временной таблицы с информацией о найденных проблемах
//	ДополнительныеПараметрыЗапроса - Структура - дополнительные параметры для запроса формирования временной таблицы, используемые только в данной проверке.
//	ВажностьПроблемы	 	  	   - ПеречислениеСсылка.ВажностьПроблемыУчета - статус проблемы; по умолчанию "Ошибка"
//
Процедура ЗарегистрироватьПроблемыВыполненияПроверки(ПараметрыПроверки, ПараметрыРегистрации, Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ЗарегистрироватьПроблемыВыполненияПроверки(ПараметрыПроверки, ПараметрыРегистрации, );
```
</details>

## ДополнительныеПараметрыПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дополнительные параметры проверки, переданные в нее механизмом закрытия месяца.
//
// Параметры:
//	ПараметрыПроверки - Структура - параметр процедуры-обработчика проверки, см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки.
//
// Возвращаемое значение:
//	Структура:
// 	* Период - СтандартныйПериод - структура дополнительных параметров запуска проверки; если проверка вызвана вне механизма закрытия месяца, то возвращается пустая структура.
//
Функция ДополнительныеПараметрыПроверки(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ДополнительныеПараметрыПроверки(ПараметрыПроверки) 
```
</details>

## ЗначениеДополнительногоПараметраПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение указанного дополнительного параметра проверки, переданного в нее механизмом закрытия месяца.
// Если параметра с таким именем нет, то возвращается значение параметра по умолчанию.
//
// Параметры:
//	ПараметрыПроверки - Структура - параметр процедуры-обработчика проверки, см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки
//	ИмяПараметра - Строка - ключ структуры дополнительных параметров
//	ЗначениеПоУмолчанию - Произвольный - значение, возвращаемое функцией если доп. параметра с указанным именем нет.
//
// Возвращаемое значение:
//	Произвольный - значение дополнительного параметра проверки.
//
Функция ЗначениеДополнительногоПараметраПроверки(ПараметрыПроверки, ИмяПараметра, ЗначениеПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ЗначениеДополнительногоПараметраПроверки(ПараметрыПроверки, ИмяПараметра, ЗначениеПоУмолчанию);
```
</details>

## ПроверкаВыполняетсяМеханизмомЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того, что проверка вызвана механизмом закрытия месяца.
//
// Параметры:
//	ПараметрыПроверки - Структура - параметр процедуры-обработчика проверки, см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки.
//
// Возвращаемое значение:
//	Булево - проверка вызвана из Обработка.ОперацииЗакрытияМесяца.ВыполнитьПроверкиЭтапа().
//
Функция ПроверкаВыполняетсяМеханизмомЗакрытияМесяца(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ПроверкаВыполняетсяМеханизмомЗакрытияМесяца(ПараметрыПроверки) 
```
</details>

## ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует параметры обработчика этапа закрытия месяца для проверки
//
// Параметры:
//	ПараметрыПроверки - см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки
//
// Возвращаемое значение:
//  Структура - содержит:
//   * ПараметрыРасчета        - Структура - параметры расчета.
//   * ДанныеЭтапа - Структура - содержит:
//      ** Наименование - Строка - намиенование.
//   * ТаблицаПояснения        - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуПоясненийКЭтапам
//   * МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц.
//
Функция ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки(ПараметрыПроверки) 
```
</details>

## ЗафиксироватьНаличиеПроблемыПриВыполненииРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет информацию о проблеме, диагностированной в ходе расчета, в общий список проблем расчета этапа.
// Запись информации о проблемах из этого списка будет выполнена централизованно самим механизмом закрытия месяца, после
// окончания расчета этапа. Использовать данную процедуру следует в случае, если в месте возникновения проблемы
// доступен универсальный параметр обработчика расчета - ПараметрыОбработчика.
// Если при расчете этапа этот параметр недоступен, то алгоритм расчета этапа
// должен регистрировать проблему самостоятельно, через ЗарегистрироватьПроблемуВыполненияРасчета().
//
// Параметры:
//	ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
//	ТекстПодробно 		 - Строка - подробное описание проблемы; выводится в форме расшифровки проблем из формы закрытия месяца
//	Организация 		 - СправочникСсылка.Организации, Массив - организации, к которым относится данная ошибка; если не указано, то ошибка относится к каждой из рассчитываемых организаций
//	Период 				 - Дата - период, к которому относится ошибка; если не указано, то ошибка относится к периоду расчета
//	ВажностьПроблемы	 - ПеречислениеСсылка.ВажностьПроблемыУчета - статус проблемы; по умолчанию "Ошибка"
//	Объект 				 - Произвольный - объект для расшифровки проблемы.
//
Процедура ЗафиксироватьНаличиеПроблемыПриВыполненииРасчета(ПараметрыОбработчика, ТекстПодробно, Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ЗафиксироватьНаличиеПроблемыПриВыполненииРасчета(ПараметрыОбработчика, ТекстПодробно, );
```
</details>

## ИнициализироватьПараметрыРегистрацииПроблемыРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует описание данных, на основании которых надо зарегистрировать проблему выполнения расчета.
//
// Параметры:
//  ЭтапРасчета	- ПеречислениеСсылка.ОперацииЗакрытияМесяца - этап закрытия месяца.
//	Организация - СправочникСсылка.Организации, Массив - организации, к которым относится данная проблема
//					если не указано, то проблема относится к каждой из рассчитываемых организаций
//  Период		- Дата - период расчета.
//
// Возвращаемое значение:
//	Структура - параметры регистрации проблемы расчета.
//
Функция ИнициализироватьПараметрыРегистрацииПроблемыРасчета(ЭтапРасчета, Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыРегистрацииПроблемыРасчета(ЭтапРасчета, Организация, Период) 
```
</details>

## ЗарегистрироватьПроблемуВыполненияРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в ИБ информацию о проблеме, диагностированной при выполнении расчета этапа закрытия месяца.
// Использовать данную процедуру следует в случае, если в месте возникновения проблемы
// недоступен универсальный параметр обработчика расчета - ПараметрыОбработчика.
// Если при расчете этапа этот параметр доступен, то алгоритм расчета этапа
// должен передавать информацию о проблеме механизму закрытия месяца через ЗафиксироватьНаличиеПроблемыПриВыполненииРасчета().
//
// Параметры:
//	ПараметрыРегистрации - Структура - результат функции ИнициализироватьПараметрыРегистрацииПроблемыРасчета()
//	ТекстКратко 		 - Строка - краткая информация о проблеме; выводится в форме закрытия месяца
//	ВажностьПроблемы 			 - ПеречислениеСсылка.ВажностьПроблемыУчета - статус проблемы; по умолчанию "Ошибка"
//	ТекстПодробно 		 - Строка - подробное описание проблемы; проблемы в форме закрытия месяца группируются по ТекстКратко + ВажностьПроблемы, а данный текст выводится в форме расшифровки проблем
//	Объект 				 - Произвольный - объект для расшифровки проблемы.
//
Процедура ЗарегистрироватьПроблемуВыполненияРасчета(ПараметрыРегистрации, ТекстКратко, Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ЗарегистрироватьПроблемуВыполненияРасчета(ПараметрыРегистрации, ТекстКратко, );
```
</details>

## ЕстьОшибкиВыполненияРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие ошибок, зарегистрированных при выполнении расчета указанного этапа закрытия месяца.
//
// Параметры:
//  ЭтапРасчета	 	  - ПеречислениеСсылка.ОперацииЗакрытияМесяца - этап закрытия месяца.
//  МассивОрганизаций - СправочникСсылка.Организации, Массив - проверяемые организаций.
//  Период		 	  - Дата - период расчета.
//
// Возвращаемое значение:
//  Булево - признак наличия ошибок расчета.
//
Функция ЕстьОшибкиВыполненияРасчета(ЭтапРасчета, МассивОрганизаций, Период) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ЕстьОшибкиВыполненияРасчета(ЭтапРасчета, МассивОрганизаций, Период) 
```
</details>

## ОчиститьПроблемыВыполненияРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистить проблемы выполнения расчета.
//
// Параметры:
//  ЭтапРасчета - ПеречислениеСсылка.ОперацииЗакрытияМесяца - Этап расчета
//  МассивОрганизаций - Массив из СправочникСсылка.Организации - Массив организаций
//  НачалоПериода - Дата - Начало периода
//  КонецПериода - Дата, Неопределено - Конец периода
Процедура ОчиститьПроблемыВыполненияРасчета(ЭтапРасчета, МассивОрганизаций, НачалоПериода, КонецПериода = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ОчиститьПроблемыВыполненияРасчета(ЭтапРасчета, МассивОрганизаций, НачалоПериода, КонецПериода);
```
</details>

## ДублироватьНайденныеПроблемыВЖурналеРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДублироватьНайденныеПроблемыВЖурналеРегистрации() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ДублироватьНайденныеПроблемыВЖурналеРегистрации());
```
</details>

## ПродублироватьВЖурналРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПродублироватьВЖурналРегистрации(ЭтапРасчета, ИсточникОпределенияВажностиПроблемы, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ПродублироватьВЖурналРегистрации(ЭтапРасчета, ИсточникОпределенияВажностиПроблемы, ТекстОшибки) 
```
</details>

## ТекущийНомерЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущее значение константы "НомерЗаданияК...".
//
// Параметры:
//	ИмяКонстанты - Строка - имя константы номера задания; если не задано, то "НомерЗаданияКЗакрытиюМесяца".
//
// Возвращаемое значение:
//	Число - значение константы "НомерЗаданияКЗакрытиюМесяца". Определяет текущий номер задания для которого будет производиться расчет.
//		Все последующие действия пользователей информационной базы в целях актуализации расчетов будут писаться под более высоким номером задания.
//
Функция ТекущийНомерЗадания(Знач ИмяКонстанты = "") Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ТекущийНомерЗадания(ИмяКонстанты);
```
</details>

## УвеличитьНомерЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Увеличивает значение константы "НомерЗаданияК...".
//
// Параметры:
//	ИмяКонстанты - Строка - имя константы номера задания; если не задано, то "НомерЗаданияКЗакрытиюМесяца".
//	ШагУвеличения - Число - на сколько надо увеличить значение константы
//
// Возвращаемое значение:
//	Число - исходный номер задания.
//
Функция УвеличитьНомерЗадания(Знач ИмяКонстанты = "", ШагУвеличения = 1) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.УвеличитьНомерЗадания(ИмяКонстанты, ШагУвеличения);
```
</details>

## НачалоРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает период с которого для данной операции закрытия месяца данные становятся неактуальными.
//
// Параметры:
//	ОперацияРасчета   - ПеречислениеСсылка.ОперацииЗакрытияМесяца - этап закрытия месяца
//	КонецРасчета 	  - Дата - Конец месяца, на который надо контролировать актуальность расчета.
//	НомерЗадания 	  - Число - Номер задания по которому контролируется актуальность записей в регистре задания.
//						Записи выбираются только те, которые не превышают указанного номера задания.
//	МассивОрганизаций - Массив - Массив организаций, для которых контролируется актуальность.
//
// Возвращаемое значение:
//	Дата - Начало месяца на который неактуально закрытие месяца. Если последовательность актуальна в периоде КонецРасчета,
//			то будет возвращено начало следующего месяца за КонецРасчета.
//
Функция НачалоРасчета(ОперацияРасчета, КонецРасчета, НомерЗадания = Неопределено, МассивОрганизаций = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.НачалоРасчета(ОперацияРасчета, КонецРасчета, НомерЗадания, МассивОрганизаций);
```
</details>

## ПроверитьНомерЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствие константы НомерЗаданияКЗакрытиюМесяца и записей в регистре ЗаданияКЗакрытиюМесяца.
// В некоторых случаях записи в регистре могут иметь номер больший, чем хранится в константе.
// Из-за этого функция НачалоРасчета() может возвращать неправильный результат.
Процедура ПроверитьНомерЗадания() Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ПроверитьНомерЗадания() 
```
</details>

## ЗафиксироватьРасчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Фиксирует удачный пересчет. Вызывается когда выполнен пересчет, для очистки записей, указывавших на необходимость пересчета.
//
// Параметры:
//	СледующийМесяц - Дата - указывает месяц на начало которого будет записана необходимость об актуализации данных расчета;
//	ОперацияРасчета - ПеречислениеСсылка.ОперацииЗакрытияМесяца - операция для которой производился расчет;
//	ВременныеТаблицы - МенеджерВременныхТаблиц - Содержит таблицу КэшГраниц.
//
Процедура ЗафиксироватьРасчет(СледующийМесяц, ОперацияРасчета, ВременныеТаблицы) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ЗафиксироватьРасчет(СледующийМесяц, ОперацияРасчета, ВременныеТаблицы) 
```
</details>

## ЗаблокироватьРегистрЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Блокирует регистр "Задания к закрытию месяца" по указанным аналитикам.
//
// Параметры:
//	НомерЗаданияДоРасчета - Число - Номер задания из константы "Номер задания к закрытию месяца".
//	Организации 		  - Массив, СправочникСсылка.Организации - Перечень организаций к блокировке.
//	Операция 			  - ПеречислениеСсылка.ОперацииЗакрытияМесяца - Операция, по которой блокируется регистр заданий.
//
Процедура ЗаблокироватьРегистрЗаданий(НомерЗаданияДоРасчета, Организации, Операция) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ЗаблокироватьРегистрЗаданий(НомерЗаданияДоРасчета, Организации, Операция) 
```
</details>

## ЗаданияКРасчетуЗаМесяц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Считывает записи регистра "Задания к закрытию месяца" во временную таблицу за указанный период по отборам.
//
// Параметры:
//	НачалоПериода - Дата - Начало периода выборки данных.
//	КонецПериода  - Дата - Конец периода выборки данных.
//	НомерЗадания  - Число - Номер задания по которому контролируется актуальность записей в регистре задания.
//							Записи выбираются только те, которые не превышают указанного номера задания.
//	Организации   - Массив, СправочникСсылка.Организации - Фильтр по организации.
//	Операция 	  - ПеречислениеСсылка.ОперацииЗакрытияМесяца - Фильтр по типу операции.
//
// Возвращаемое значение:
//	Структура:
//		* Организация - Массив из СправочникСсылка.Организации - Массив организаций, который неактуальны в указанном периоде.
//		* ВременныеТаблицы - МенеджерВременныхТаблиц - Содержит в себе временную таблицу КэшГраниц.
//		* НомерЗадания - Число - Номер задания по которому контролируется актуальность записей в регистре задания.
//		* ПериодРасчета - Дата - Начало периода за который формируем задания.
//
Функция ЗаданияКРасчетуЗаМесяц(НачалоПериода, КонецПериода, НомерЗадания, Организации, Операция) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ЗаданияКРасчетуЗаМесяц(НачалоПериода, КонецПериода, НомерЗадания, Организации, Операция) 
```
</details>

## ОтразитьЗаданияКЗакрытиюМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует записи в регистр заданий к закрытию месяца, при изменении записей в регистрах.
//
// Параметры:
//	ИсточникСвойствДокумента - ДокументОбъект, Структура - проводимый документ или результат функции ПроведениеДокументов.ЭмуляцияДокумента() для пакетного формирования заданий
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц, содержащий таблицы изменений регистров.
//
Процедура ОтразитьЗаданияКЗакрытиюМесяца(ИсточникСвойствДокумента, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ОтразитьЗаданияКЗакрытиюМесяца(ИсточникСвойствДокумента, МенеджерВременныхТаблиц) 
```
</details>

## ДатаЗаданияНаТекущийПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату задания на текущий период в зависимости от операции.
//
// Параметры:
// 	Операция - ПеречислениеСсылка.ОперацииЗакрытияМесяца - операция закрытия месяца.
// 	Организация - СправочникСсылка.Организации - ссылка на организацию.
// 	ДокументЗадания - ДокументСсылка - документ задания.
// 	Период - Дата - дата задания.
// Возвращаемое значение:
// 	Дата - дата задания
//
Функция ДатаЗаданияНаТекущийПериод(Операция, Организация, ДокументЗадания, Знач Период) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ДатаЗаданияНаТекущийПериод(Операция, Организация, ДокументЗадания, Период) 
```
</details>

## ДатаЗаданияНаСледующийПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату задания на следующий период в зависимости от операции.
//
// Параметры:
// 	Операция - ПеречислениеСсылка.ОперацииЗакрытияМесяца - операция закрытия месяца.
// 	Организация - СправочникСсылка.Организации - ссылка на организацию.
// 	ДокументЗадания - ДокументСсылка - документ задания.
// 	СледующийМесяц - Дата - дата задания.
// Возвращаемое значение:
// 	Дата - дата задания
//
Функция ДатаЗаданияНаСледующийПериод(Операция, Организация, ДокументЗадания, Знач СледующийМесяц) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ДатаЗаданияНаСледующийПериод(Операция, Организация, ДокументЗадания, СледующийМесяц) 
```
</details>

## ДополнитьТекстЗапросаЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет текст запроса по формированию заданий.
//
// Параметры:
// 	ИмяТаблицы - Строка - имя таблица для поиска в менеджере временных таблиц.
// 	ТекстыЗапросов - См. ИнициализироватьСтруктуруТекстовЗапросов
// 	Таблицы - МенеджерВременныхТаблиц - менеджер временных таблиц запроса.
// 	ТекстЗапроса - Строка - строка с текстом запроса.
// 	ТекстЗапросаВременныхТаблиц - Строка - строка с текстом запроса временных таблиц.
// 	ИменаВременныхТаблиц - Строка - массив имен создаваемых временных таблиц для последующего уничтожения.
//
Процедура ДополнитьТекстЗапросаЗаданий(ИмяТаблицы, ТекстыЗапросов, Таблицы, ТекстЗапроса, ТекстЗапросаВременныхТаблиц, ИменаВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ДополнитьТекстЗапросаЗаданий(ИмяТаблицы, ТекстыЗапросов, Таблицы, ТекстЗапроса, ТекстЗапросаВременныхТаблиц, ИменаВременныхТаблиц) 
```
</details>

## ДополнитьНазванияТаблицДляЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет информацию об используемых временных таблицах.
//
// Параметры:
//  Запрос - Запрос - Запрос
//  ИмяТаблицы - Строка - Имя таблицы
Процедура ДополнитьНазванияТаблицДляЗаданий(Запрос, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ДополнитьНазванияТаблицДляЗаданий(Запрос, ИмяТаблицы) 
```
</details>

## ТестЗапросаУничтоженияВременныхТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса по уничтожению временных таблиц.
//
// Параметры:
// 	ИменаВременныхТаблиц - Строка - имена уничтожаемых временных таблиц, разделенных запятой.
//
// Возвращаемое значение:
// 	Строка - текст запроса.
//
Функция ТестЗапросаУничтоженияВременныхТаблиц(ИменаВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ТестЗапросаУничтоженияВременныхТаблиц(ИменаВременныхТаблиц) 
```
</details>

## ИнициализироватьСтруктуруТекстовЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует структуру текстов запросов
//
// Параметры:
// 	ТекстЗапроса - Строка - строка с текстом запроса.
// 	ТекстЗапросаВременныхТаблиц - Строка - строка с текстом запроса временных таблиц.
// 	ИменаВременныхТаблиц - Строка - массив имен создаваемых временных таблиц для последующего уничтожения.
// Возвращаемое значение:
// 	Структура - Описание:
// * ТекстЗапроса - Строка - строка с текстом запроса.
// * ТекстЗапросаВременныхТаблиц - Строка - строка с текстом запроса временных таблиц.
// * ИменаВременныхТаблиц - Строка - массив имен создаваемых временных таблиц для последующего уничтожения.
//
Функция ИнициализироватьСтруктуруТекстовЗапросов(ТекстЗапроса, ТекстЗапросаВременныхТаблиц = "", ИменаВременныхТаблиц = "") Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИнициализироватьСтруктуруТекстовЗапросов(ТекстЗапроса, ТекстЗапросаВременныхТаблиц, ИменаВременныхТаблиц);
```
</details>

## УдалитьЗаданияКРасчетуЗаТекущийПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет задания к расчету закрытия месяца за период, указанный в обработчике.
//
// Параметры:
//	ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
//	ДанныеКРасчету - см. ЗакрытиеМесяцаСервер.ЗаданияКРасчетуЗаМесяц
//
Процедура УдалитьЗаданияКРасчетуЗаТекущийПериод(ПараметрыОбработчика, ДанныеКРасчету = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.УдалитьЗаданияКРасчетуЗаТекущийПериод(ПараметрыОбработчика, ДанныеКРасчету);
```
</details>

## ЭтаФормаОткрытаИзФормыЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет режим открытия формы - открыта из обработки "Операции закрытия месяца" или не из нее.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка документов.
//
// Возвращаемое значение:
//	Булево - признак открытия формы из механизма закрытия месяца.
//
Функция ЭтаФормаОткрытаИзФормыЗакрытияМесяца(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ЭтаФормаОткрытаИзФормыЗакрытияМесяца(Форма) 
```
</details>

## УстановитьОтборыВФормеСпискаРегламентныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Устанавливает отборы в формах регламентных документов регламентированного и международного учета,
// открываемых из формы операций закрытия месяца.
//
// Параметры:
//	Форма 					  - ФормаКлиентскогоПриложения - форма списка документов
//	Список 					  - ДинамическийСписок - список документов в этой форме
//	ИмяПоляДляОтбораПоПериоду - Строка - имя поля для отбора по периоду, по умолчанию "Дата".
//
// Возвращаемое значение:
//	Булево - признак установки отборов; Истина, если форма открывалась из механизма закрытия месяца.
//
Функция УстановитьОтборыВФормеСпискаРегламентныхДокументов(Форма, Список, ИмяПоляДляОтбораПоПериоду = "Дата") Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.УстановитьОтборыВФормеСпискаРегламентныхДокументов(Форма, Список, ИмяПоляДляОтбораПоПериоду);
```
</details>

## ОчиститьРанееУстановленныеОтборыВФормеСпискаРегламентныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает ранее установленные отборы в формах регламентных документов регламентированного и международного учета,
// открываемых из формы операций закрытия месяца.
//
// Параметры:
//	Форма     - ФормаКлиентскогоПриложения - форма списка документов
//	Список    - ДинамическийСписок - список документов в этой форме
//	Настройки - ПользовательскиеНастройкиКомпоновкиДанных - параметр процедуры ПередЗагрузкойПользовательскихНастроекНаСервере.
//
// Возвращаемое значение:
//	Булево - признак установки отборов; Истина, если форма открывалась из механизма закрытия месяца.
//
Функция ОчиститьРанееУстановленныеОтборыВФормеСпискаРегламентныхДокументов(Форма, Список, Настройки) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОчиститьРанееУстановленныеОтборыВФормеСпискаРегламентныхДокументов(Форма, Список, Настройки) 
```
</details>

## УстановитьОтборыВФормеСпискаРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Устанавливает отборы в формах списков регистров, открываемых из формы ошибок, найденных при проверке.
//
// Параметры:
//	Форма 					  - ФормаКлиентскогоПриложения - форма списка регистра
//	Список 					  - ДинамическийСписок - записи регистра в этой форме
//
// Возвращаемое значение:
//	Булево - признак установки отборов; Истина, если форма открывалась из механизма закрытия месяца
//
Функция УстановитьОтборыВФормеСпискаРегистра(Форма, Список) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.УстановитьОтборыВФормеСпискаРегистра(Форма, Список) 
```
</details>

## ТекстЗапросаСостояниеОтраженияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Возвращает текст запроса для определения состояния отражения документов в регламентированном учете.
//
// Возвращаемое значение:
//	Строка - текст запроса для определения состояния отражения документов.
//
Функция ТекстЗапросаСостояниеОтраженияДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ТекстЗапросаСостояниеОтраженияДокументов() 
```
</details>

## ТекстыЗапросовДляПолученияТаблицыИзмененийРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//-- НЕ УТ

// Возвращает тексты запросов для получения таблицы изменений набора записей регистра накопления при его записи.
// Запросы составляются на основании метаданных регистра: измерений, ресурсов и реквизитов.
//
// Параметры:
//	МетаданныеРегистра - ОбъектМетаданныхРегистрНакопления - метаданные регистра, для которого составляется таблица изменений;
//	Отбор - Структура -
//	ДополнительныеПараметры - см. Тестирование.ДополнительныеПараметрыФормированияЗапросаСравнения
//
// Возвращаемое значение:
//	Структура - Описание:
//	* ТекстВыборкиНачальныхДанных - Строка - запрос для выполнения в событии "ПередЗаписью" набора данных регистра накопления.
//		Формирует текущие записи регистра и сохраняет их во временную таблицу "НачальныеЗаписи";
//	* ТекстВыборкиТаблицыИзменений - Строка - запрос для получения итоговой таблицы изменений. Выполняется в событии "ПриЗаписи".
//		Составляется объединением таблицы НачальныеЗаписи и новой таблицы записей регистра. Выводятся только записи, по которым есть разницы (Сумма ресурсов не равна 0).
//
Функция ТекстыЗапросовДляПолученияТаблицыИзмененийРегистра(МетаданныеРегистра, Отбор, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ТекстыЗапросовДляПолученияТаблицыИзмененийРегистра(МетаданныеРегистра, Отбор, ДополнительныеПараметры);
```
</details>

## ТекстПодробнееПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст по умолчанию для гиперссылки "Подробнее".
//
// Возвращаемое значение:
//	Строка - текст "Подробнее"
//
Функция ТекстПодробнееПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ТекстПодробнееПоУмолчанию() 
```
</details>

## ИмяСобытияЖурналаРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя события журнала регистрации для произвольного действия операции закрытия месяца.
//
// Параметры:
//	ДополнениеИмени - Строка - выполняемое действие.
//
// Возвращаемое значение:
//	Строка - имя события
//
Функция ИмяСобытияЖурналаРегистрации(ДополнениеИмени) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИмяСобытияЖурналаРегистрации(ДополнениеИмени) 
```
</details>

## СлужебныйСимвол_ИсключениеУжеОтработаноВЭтапеРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает служебный символ, означающий что исключение было обработано в обработчике этапа закрытия месяца.
//
// Возвращаемое значение:
//	Строка - служебный символ
//
Функция СлужебныйСимвол_ИсключениеУжеОтработаноВЭтапеРасчета() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.СлужебныйСимвол_ИсключениеУжеОтработаноВЭтапеРасчета() 
```
</details>

## ИмяСлужебногоСвойстваОткрываемыхФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя служебного свойства, передаваемого в параметры всех открываемых форм.
//
// Возвращаемое значение:
//	Строка - имя служебного свойства.
//
Функция ИмяСлужебногоСвойстваОткрываемыхФорм() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ИмяСлужебногоСвойстваОткрываемыхФорм() 
```
</details>

## ПроверитьБлокировкуВходящихДанныхПриОбновленииИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность выполнения операции в зависимости от текущего состояния обновления ИБ.
// Если все входящие данные операции еще не обработаны, то операцию выполнять нельзя.
// В этом случае в журнал регистрации будет записана информация о необработанных данных и вызвано исключение.
//
// Параметры:
//	ВходящиеДанные 		  - Соответствие из КлючИЗначение:
//							  * Ключ - Строка, ОбъектМетаданных - входящие данные, используемые  операцией
//							  * Значение - ЛюбаяСсылка, Структура, Неопределено, Массив из ЛюбаяСсылка - отбор
//	ПредставлениеОперации - Строка - пользовательское представление выполняемой операции.
//
Процедура ПроверитьБлокировкуВходящихДанныхПриОбновленииИБ(ВходящиеДанные, ПредставлениеОперации) Экспорт
```

Пример вызова
```bsl
ЗакрытиеМесяцаСервер.ПроверитьБлокировкуВходящихДанныхПриОбновленииИБ(ВходящиеДанные, ПредставлениеОперации) 
```
</details>

## БлокировкаЗакрытияМесяцаОбработчикамиОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию о важности обработчиков обновления.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//	 * Ключ - ОбъектМетаданных - обрабатываемые метаданные
//	 * Значение - Булево - признак блокировки при закрытии месяца
Функция БлокировкаЗакрытияМесяцаОбработчикамиОбновления() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.БлокировкаЗакрытияМесяцаОбработчикамиОбновления() 
```
</details>

## ОбработчикиОбновленияБлокирующиеЗакрытиеМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчики обновления блокирующие закрытие месяца.
//
// Возвращаемое значение:
//  Строка - Обработчики обновления блокирующие закрытие месяца
Функция ОбработчикиОбновленияБлокирующиеЗакрытиеМесяца() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОбработчикиОбновленияБлокирующиеЗакрытиеМесяца() 
```
</details>

## ОбработчикиОбновленияНеВлияющиеНаЗакрытиеМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчики обновления не влияющие на закрытие месяца.
//
// Возвращаемое значение:
//  Строка - Обработчики обновления не влияющие на закрытие месяца
Функция ОбработчикиОбновленияНеВлияющиеНаЗакрытиеМесяца() Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеМесяцаСервер.ОбработчикиОбновленияНеВлияющиеНаЗакрытиеМесяца() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
