---
title: Закрытие расходов от выбытия ОС
slug: erp-uh/закрытие-расходов-от-выбытия-ос
---


## ДобавитьЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап(ТаблицаЭтапов, ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ДобавитьЭтап(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## ОпределитьСтатусОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет статус операции "Использование_ЗакрытиеРасходовОтВыбытияОС".
//
// Параметры:
//  ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки
Процедура ОпределитьСтатусОперации(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ОпределитьСтатусОперации(ПараметрыОбработчика) 
```
</details>

## ВыполнитьОперациюЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "ЗакрытьРасходыОтВыбытияОС".
//
// Параметры:
//  ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
Процедура ВыполнитьОперациюЗакрытияМесяца(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ВыполнитьОперациюЗакрытияМесяца(ПараметрыОбработчика) 
```
</details>

## ВыполнитьОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Закрывает расходы, связанные с выбытием ОС.
//
// Параметры:
//  НачалоПериода - Дата - Период с которого требуется выполнить операцию
//  КонецПериода - Дата - Период по который требуется выполнить операцию
//  СписокОрганизаций - Массив из СправочникСсылка.Организации - Список организаций
//  НомерДоРасчета - Число - Номер заданий
//  БезОтбораОС - Булево - Истина, если нет отбора по ОС
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Содержит список объектов
//  ИмяРегистраЗаданий - Строка - Имя регистра заданий
//  ИдентификаторРасчета - УникальныйИдентификатор - Идентификатор расчета
//  УдалитьЗадания - Булево - Истина, если нужно удалить задания
//
// Возвращаемое значение:
//  Структура - результат формирования движений:
// 		* ЕстьОшибки - Булево - Истина, если были зарегистрированы ошибки во время выполнения
// 		* ТекстОшибки - Строка - Текст ошибки
// 		* КоличествоДанных - Число - Количество объектов, по которым сформированы движения
//
Функция ВыполнитьОперацию(НачалоПериода, КонецПериода, СписокОрганизаций, НомерДоРасчета, БезОтбораОС, МенеджерВременныхТаблиц, ИмяРегистраЗаданий, ИдентификаторРасчета, УдалитьЗадания = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеРасходовОтВыбытияОС.ВыполнитьОперацию(НачалоПериода, КонецПериода, СписокОрганизаций, НомерДоРасчета, БезОтбораОС, МенеджерВременныхТаблиц, ИмяРегистраЗаданий, ИдентификаторРасчета, УдалитьЗадания);
```
</details>

## ВыполнитьОперациюПоОбъектам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по документам, в которых есть указанные объекты.
//
// Параметры:
//  ПараметрыВыполнения - см. ПараметрыВыполнения
//
// Возвращаемое значение:
//  Число - Количество объектов, по которым сформированы движения
Функция ВыполнитьОперациюПоОбъектам(ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеРасходовОтВыбытияОС.ВыполнитьОперациюПоОбъектам(ПараметрыВыполнения) 
```
</details>

## ВыполнитьОперациюПоДокументам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по документам.
//
// Параметры:
//  СписокДокументов - Массив из ДокументСсылка - Список документов, по которым требуется сформировать движения.
//
Процедура ВыполнитьОперациюПоДокументам(СписокДокументов) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ВыполнитьОперациюПоДокументам(СписокДокументов) 
```
</details>

## СледующийПериодОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет период, начиная с которого требуется выполнить операцию "ЗакрытиеРасходовОтВыбытияОС".
//
// Параметры:
//  Организация   - СправочникСсылка.Организации -
//  НачалоПериода - Дата - Проверяемый период.
//
// Возвращаемое значение:
//  Дата - Дата, начиная с которой требуется расчет.
//
Функция СледующийПериодОперации(Организация, НачалоПериода) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеРасходовОтВыбытияОС.СледующийПериодОперации(Организация, НачалоПериода) 
```
</details>

## СформироватьЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует задания к выполнению операции при изменении исходных данных.
//
// Параметры:
//  Документ - ДокументОбъект - Документ.
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Данные таблиц.
Процедура СформироватьЗадания(Документ, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.СформироватьЗадания(Документ, МенеджерВременныхТаблиц) 
```
</details>

## ДвиженияЗаписываютсяПриВыполненииОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет записываются ли движений при выполнении операции.
//
// Параметры:
//  Документ - ДокументОбъект -
//
// Возвращаемое значение:
//  Булево
Функция ДвиженияЗаписываютсяПриВыполненииОперации(Документ) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытиеРасходовОтВыбытияОС.ДвиженияЗаписываютсяПриВыполненииОперации(Документ) 
```
</details>

## ТекстЗапросаТаблицаПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "Прочие расходы".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаПрочиеРасходы(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ТекстЗапросаТаблицаПрочиеРасходы(ТекстыЗапроса) 
```
</details>

## ТекстЗапросаТаблицаПрочиеДоходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "Прочие доходы".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаПрочиеДоходы(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ТекстЗапросаТаблицаПрочиеДоходы(ТекстыЗапроса) 
```
</details>

## ТекстЗапросаТаблицаПартииПрочихРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "ПартииПрочихРасходов".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаПартииПрочихРасходов(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ТекстЗапросаТаблицаПартииПрочихРасходов(ТекстыЗапроса) 
```
</details>

## ТекстЗапросаТаблицаПрочиеАктивыПассивы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "ПрочиеАктивыПассивы".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаПрочиеАктивыПассивы(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ТекстЗапросаТаблицаПрочиеАктивыПассивы(ТекстыЗапроса) 
```
</details>

## ТекстЗапросаТаблицаДвиженияПоПрочимАктивамПассивам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "ДвиженияПоПрочимАктивамПассивам".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаДвиженияПоПрочимАктивамПассивам(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ТекстЗапросаТаблицаДвиженияПоПрочимАктивамПассивам(ТекстыЗапроса) 
```
</details>

## ТекстЗапросаТаблицаДвиженияДоходыРасходыПрочиеАктивыПассивы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "ДвиженияДоходыРасходыПрочиеАктивыПассивы".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаДвиженияДоходыРасходыПрочиеАктивыПассивы(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ТекстЗапросаТаблицаДвиженияДоходыРасходыПрочиеАктивыПассивы(ТекстыЗапроса) 
```
</details>

## ТекстЗапросаТаблицаДвиженияНоменклатураДоходыРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "ДвиженияНоменклатураДоходыРасходы".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаДвиженияНоменклатураДоходыРасходы(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ТекстЗапросаТаблицаДвиженияНоменклатураДоходыРасходы(ТекстыЗапроса) 
```
</details>

## ТекстЗапросаТаблицаОтражениеДокументовВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "ДвиженияНоменклатураДоходыРасходы".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаОтражениеДокументовВРеглУчете(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.ТекстЗапросаТаблицаОтражениеДокументовВРеглУчете(ТекстыЗапроса) 
```
</details>

## УстановитьПараметрыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметры запроса, которые используются при выполнении операции.
//
// Параметры:
//  Запрос - Запрос - Запрос
Процедура УстановитьПараметрыЗапроса(Запрос) Экспорт
```

Пример вызова
```bsl
ЗакрытиеРасходовОтВыбытияОС.УстановитьПараметрыЗапроса(Запрос) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
