---
title: Закрытые закупки УХ
slug: erp-uh/закрытые-закупки-ух
---


## ЭтоАнкетаУчастникаЗакрытойЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Проверяет, что анкета поставщика - участвует в закрытой закупке.
//
// Параметры:
//  ЗакупочнаяПроцедура - СправочникСсылка.ЗакупочныеПроцедуры -
//		закупка для которой нужно проверить участие поставщика.
//	АнкетаПоставщика - СправоченикСсылка.АнкетыПоставщиков -
//		анкета поставщика, которого нужно проверить на участие.
//
// Возвращаемое значение:
//   - Булево - это анкета участника закрытой закупочной процедуры.
//
Функция ЭтоАнкетаУчастникаЗакрытойЗакупки(ЗакупочнаяПроцедура, Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытыеЗакупкиУХ.ЭтоАнкетаУчастникаЗакрытойЗакупки(ЗакупочнаяПроцедура, );
```
</details>

## ЭтоКонтрагентУчастникЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что контрагент участвует в закрытой закупке.
//
// Параметры:
//  ЗакупочнаяПроцедура - СправочникСсылка.ЗакупочныеПроцедуры -
//		закупка для которой нужно проверить участие поставщика.
//	Контрагент - СправоченикСсылка.Контрагенты -
//		контрагент, которого нужно проверить на участие.
//
// Возвращаемое значение:
//   - Булево - это контрагент участвуеи в закрытой закупочной процедуре.
//
Функция ЭтоКонтрагентУчастникЗакупки(ЗакупочнаяПроцедура, Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытыеЗакупкиУХ.ЭтоКонтрагентУчастникЗакупки(ЗакупочнаяПроцедура, );
```
</details>

## ПолучитьКонтрагентовЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив контрагентов допущенных к участию
// в закрытой закупочной процедуре.
//
Функция ПолучитьКонтрагентовЗакупок(ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ЗакрытыеЗакупкиУХ.ПолучитьКонтрагентовЗакупок(ЗакупочнаяПроцедура) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
