---
title: Закупки клиент
slug: erp-uh/закупки-клиент
---


## НачалоВыбораСоглашенияСПоставщиком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - обработчик события "НачалоВыбора" элемента формы "Соглашение"
//
// Параметры:
//	Элемент                   - ПолеФормы - обрабатываемый элемент формы
//	СтандартнаяОбработка      - Булево -
//	Партнер                   - СправочникСсылка.Партнеры - ссылка на партнера, для которого выберите соглашение
//	Документ                  - ДокументСсылка - ссылка на ранее выбранное соглашение для  начального позиционирования в списке
//	ДатаДокумента             - Дата - дата документа, в котором выбирается соглашение
//	ДоступноДляЗакупки        - Булево - Если Истина, отбираются только соглашения с установленным флагом ДоступноДляЗакупки
//	БезКомиссионныхСоглашений - Булево - Если Истина, отбираются только соглашения с хоз. операций "Закупка у поставщика"
//	СтруктураДополнительногоОтбора - Структура, Неопределено -
//
Процедура НачалоВыбораСоглашенияСПоставщиком(Элемент, Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.НачалоВыбораСоглашенияСПоставщиком(Элемент, );
```
</details>

## НачалоВыбораСоглашенияСПоставщикомВыборПартнераЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для заполнения цен в документе по соглашению с поставщиком.
//
// Параметры:
//  Партнер                 - СправочникСсылка.Партнеры -  партнер, для которого отбираются соглашения.
//  ДополнительныеПараметры - Структура - дополнительные параметры для отбора соглашений.
//
Процедура НачалоВыбораСоглашенияСПоставщикомВыборПартнераЗавершение(Партнер, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.НачалоВыбораСоглашенияСПоставщикомВыборПартнераЗавершение(Партнер, ДополнительныеПараметры) 
```
</details>

## ИзменилисьДокументыОплатыПоставщиком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет является ли оповещение в форме событием изменения документов оплаты
//
// Параметры:
//  ИмяСобытия - Строка - имя события из процедуры формы "ОбработкаОповещения".
//
// Возвращаемое значение:
//  Булево - Истина, если оповещение является оплатой.
//
Функция ИзменилисьДокументыОплатыПоставщиком(ИмяСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиКлиент.ИзменилисьДокументыОплатыПоставщиком(ИмяСобытия) 
```
</details>

## ОповеститьОбОкончанииЗаполненияУсловийЗакупокПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения условий закупок по умолчанию.
//
Процедура ОповеститьОбОкончанииЗаполненияУсловийЗакупокПоУмолчанию() Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОповеститьОбОкончанииЗаполненияУсловийЗакупокПоУмолчанию() 
```
</details>

## ОповеститьОбОкончанииЗаполненияУсловийЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения условий закупок
//
Процедура ОповеститьОбОкончанииЗаполненияУсловийЗакупок() Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОповеститьОбОкончанииЗаполненияУсловийЗакупок() 
```
</details>

## ОповеститьОбОкончанииЗаполненияЦенПоСоглашению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения цен по соглашению с клиентом.
//
// Параметры:
//	ЦеныРассчитаны - Булево - Признак успешного расчета цен хотя бы в одной строке.
//	ТекстОшибки - Строка - Описание ошибки при расчете цен.
//
Процедура ОповеститьОбОкончанииЗаполненияЦенПоСоглашению(ЦеныРассчитаны = Истина, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОповеститьОбОкончанииЗаполненияЦенПоСоглашению(ЦеныРассчитаны, ТекстОшибки);
```
</details>

## ОповеститьОбОкончанииЗаполненияДатПоступления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения дат поступления всех строк тч.
//
// Параметры:
//	ДатаПоступления - Дата - дата отгрузки, по которой заполнялась дата в табличной части
//	ЗаполнениеВыделенныхСтрок - Булево - влияет на текст сообщения.
//
Процедура ОповеститьОбОкончанииЗаполненияДатПоступления(ДатаПоступления, ЗаполнениеВыделенныхСтрок) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОповеститьОбОкончанииЗаполненияДатПоступления(ДатаПоступления, ЗаполнениеВыделенныхСтрок) 
```
</details>

## ОповеститьОбОкончанииПерезаполненияТоваровПоПриемке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании перезаполнения товаров по фактической приемке.
//
// Параметры:
//	ЕстьИзменения           - Булево - Если Истина - есть изменения в табличной части
//	КоличествоПерезаполнено - Булево - Если Истина - количество было перезаполнено по фактической приемке.
//
Процедура ОповеститьОбОкончанииПерезаполненияТоваровПоПриемке(ЕстьИзменения, КоличествоПерезаполнено) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОповеститьОбОкончанииПерезаполненияТоваровПоПриемке(ЕстьИзменения, КоличествоПерезаполнено) 
```
</details>

## ЗаполнитьСписокВыбораНомеровГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список выбора номеров ГТД с отбором по номенклатуре, характеристике
//
// Параметры:
//	ТекущаяСтрока - ДанныеФормыЭлементКоллекции - текущая строка таблицы Товары
//	СписокВыбора  - СписокЗначений - список выбора номеров ГТД.
//
Процедура ЗаполнитьСписокВыбораНомеровГТД(ТекущаяСтрока, СписокВыбора) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ЗаполнитьСписокВыбораНомеровГТД(ТекущаяСтрока, СписокВыбора) 
```
</details>

## ВопросОПерезаполненииПринятымиТоварами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для заполнения товаров по приемке.
//
// Параметры:
// 	ОписаниеОповещения - ОписаниеОповещения -
// 	ЕстьПринятыеТовары - Булево - признак наличия принятых товаров.
//
// Возвращаемое значение:
// 	Булево - Ложь, если пользователь отказался от заполнения.
//
Функция ВопросОПерезаполненииПринятымиТоварами(ОписаниеОповещения, ЕстьПринятыеТовары) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиКлиент.ВопросОПерезаполненииПринятымиТоварами(ОписаниеОповещения, ЕстьПринятыеТовары) 
```
</details>

## ВопросОПерезаполненииПринятымиТоварамиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения ответа на вопрос перезаполнения принятыми товарами.
//
// Параметры:
//  ОтветНаВопрос           - Строка - вариант ответа на вопрос, выбранный пользователем.
//  ДополнительныеПараметры - Структура - дополнительные параметры.
//
Процедура ВопросОПерезаполненииПринятымиТоварамиЗавершение(ОтветНаВопрос, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ВопросОПерезаполненииПринятымиТоварамиЗавершение(ОтветНаВопрос, ДополнительныеПараметры) 
```
</details>

## ОткрытьОтчетПоДинамикеЦенПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает отчет ДинамикаИзмененияЦенНоменклатурыПоставщика с отбором из формы
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма документа, из которого открывается отчет.
//
Процедура ОткрытьОтчетПоДинамикеЦенПоставщика(Форма) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОткрытьОтчетПоДинамикеЦенПоставщика(Форма) 
```
</details>

## ОткрытьФормуЗаполненияНоменклатурыПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму заполнения номенклатуры по номенклатуре поставщика.
//
// Параметры:
// 	ОписаниеОповещения     - ОписаниеОповещения - описание оповещения.
// 	АдресТоваровВХранилище - Строка - адрес товаров в хранилище.
// 	Форма                  - ФормаКлиентскогоПриложения - владелец открываемой формы.
// 	ОтборТипНоменклатуры - Неопределено, Массив - Отбор тип номенклатуры
Процедура ОткрытьФормуЗаполненияНоменклатурыПоставщика(ОписаниеОповещения, АдресТоваровВХранилище, Форма, ОтборТипНоменклатуры = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОткрытьФормуЗаполненияНоменклатурыПоставщика(ОписаниеОповещения, АдресТоваровВХранилище, Форма, ОтборТипНоменклатуры);
```
</details>

## ПараметрыСозданияНомераГТДПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор коллекции параметров создания элемента справчоника 'НомераГТД' по умолчанию.
//
// Возвращаемое значение:
//	Структура - коллекция, которая содержит следующие свойства:
//		* Код - Строка - номер ГТД.
//		* ДанныеТовара - Структура - информация о товаре, содержащая следующие данные:
//			** Номенклатура - СправочникСсылка.Номенклатура - информация о номенклатуре.
//			** Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - информация о характеристике номенклатуры.
//			** Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения - информация об упаковке товара.
//			** КоличествоКомплектов - Число - количество товара.
//			** СуммаПоРНПТ - Число - стоимость товара.
//		* СтранаПроисхождения - СправочникСсылка.СтраныМира - информация о стране происхождения товара.
//		* Дата - Дата- дата документа.
//		* ВалютаДокумента - СправочникСсылка.Валюты - валюта документа.
//		* ПоказатьСтоимостьПоДокументу - Булево - признак использования в документе суммовых показателей.
//		* ИспользоватьУчетПрослеживаемыхИмпортныхТоваров - Булево - признак использования учета прослеживаемых импортных
//																	товаров.
//
Функция ПараметрыСозданияНомераГТДПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиКлиент.ПараметрыСозданияНомераГТДПоУмолчанию() 
```
</details>

## ДополнительныеПараметрыСозданияНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры по умолчанию, используемые для инициализации параметров заполнения элемента справочника 'НомераГТД'.
//
// Возвращаемое значение:
//	Структура - коллекция, которая содержит следующие свойства:
//		* Дата - Дата- дата документа.
//		* ВалютаДокумента - СправочникСсылка.Валюты - валюта документа.
//		* ИмяПоляКоличество - Строка - имя поля содержащего информацию о количестве упаковок товара в коллекции параметра
//										ТекущаяСтрока (см. ПараметрыСозданияНомераГТД).
//		* ИмяПоляСумма - Строка - имя поля содержащего информацию о сумме товара в коллекции параметра
//									ТекущаяСтрока (см. ПараметрыСозданияНомераГТД).
//		* ИмяПоляСуммаНДС - Строка - имя поля содержащего информацию о сумме НДС товара в коллекции параметра
//										ТекущаяСтрока (см. ПараметрыСозданияНомераГТД).
//		* ИмяПоляСуммаСНДС - Строка - имя поля содержащего информацию о сумме с НДС товара в коллекции параметра
//										ТекущаяСтрока (см. ПараметрыСозданияНомераГТД).
//		* ОснованиеСтоимостиПоступления - Булево - признак того, что документ является основанием для определения
//													стоимости поступления товаров.
//		* ИспользоватьУчетПрослеживаемыхИмпортныхТоваров - Булево - признак использования учета прослеживаемых импортных
//																	товаров.
//
Функция ДополнительныеПараметрыСозданияНомераГТД() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиКлиент.ДополнительныеПараметрыСозданияНомераГТД() 
```
</details>

## ПараметрыСозданияНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает, используемые при создании, параметры заполнения элемента справочника 'НомераГТД'.
//
// Параметры:
//	ТекущаяСтрока - Структура, ДанныеФормыЭлементКоллекции - коллекция, содержащая информацию о товаре:
//					* Номенклатура - СправочникСсылка.Номенклатура - информация о номенклатуре.
//					* Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - информация о характеристике номенклатуры.
//					* Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения - информация об упаковке товара.
//					* СтранаПроисхождения - СправочникСсылка.СтраныМира - информация о стране происхождения товара.
//	ТекстРедактирования - Строка - текст редактирования поля формы Номера ГТД.
//	ДополнительныеПараметры - см. ДополнительныеПараметрыСозданияНомераГТД.
//
// Возвращаемое значение:
//	см. ПараметрыСозданияНомераГТДПоУмолчанию.
//
Функция ПараметрыСозданияНомераГТД(ТекущаяСтрока, ТекстРедактирования, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиКлиент.ПараметрыСозданияНомераГТД(ТекущаяСтрока, ТекстРедактирования, ДополнительныеПараметры);
```
</details>

## ОткрытьФормуСозданияНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму создания элемента справочника 'НомераГТД'.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма, в которой вызывается команда создания Номера ГТД.
//	ПараметрыСоздания - см. ПараметрыСозданияНомераГТД
//
Процедура ОткрытьФормуСозданияНомераГТД(Форма, ПараметрыСоздания) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОткрытьФормуСозданияНомераГТД(Форма, ПараметрыСоздания) 
```
</details>

## ЭтоУказаниеНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку того, что форма, выполнившая оповещение выбора значения, является формой элемента
// справочника 'НомераГТД'.
//
// Параметры:
//	ИсточникВыбора - Произвольный - параметр события ОбработкаВыбора формы, в которой осуществлен выбор значения.
//
// Возвращаемое значение:
//	Булево - возвращает значение Истина, если выполнен выбор элемента справочника 'НомераГТД'.
//
Функция ЭтоУказаниеНомераГТД(ИсточникВыбора) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиКлиент.ЭтоУказаниеНомераГТД(ИсточникВыбора) 
```
</details>

## ПараметрыУказанияНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры обработки выбора значения формы элемента справочника 'НомераГТД'.
//
// Возвращаемое значение:
//	Структура - коллекция, которая содержит следующие свойства:
//		* ИмяТЧ - Строка - имя табличной части, в которой указывается значение номера ГТД.
//		* ИмяПоляНомерГТД - Строка - имя поля номера ГТД, в котором указывается значение.
//		* ИмяПоляСтранаПроисхождения - Строка - имя поля страны происхождения, в котором указывается страна
//												происхождения импортного товара в соответствии с ГТД.
//
Функция ПараметрыУказанияНомераГТД() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиКлиент.ПараметрыУказанияНомераГТД() 
```
</details>

## ОбработатьУказаниеНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет указание значений номера ГТД и служебных реквизитов в табличной части формы.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма, в которой инициировано указание номера ГТД, которая содержит следующие свойства:
//		* Элементы - ВсеЭлементыФормы - элементы формы.
//	НомерГТД - СправочникСсылка.НомераГТД, Неопределено - значение выбора.
//	ПараметрыУказанияНомераГТД - см. ПараметрыУказанияНомераГТД
//	ТекущиеДанные - Структура, ДанныеФормыЭлементКоллекции - данные строки, в которой указывается номер ГТД,
//																если значение не передано, тогда используются текущие
//																данные таблицы с именем ПараметрыУказанияНомераГТД.ИмяТЧ.
//	ДействияОбработки - Структура - параметры действий, которые необходимо выполнить для обработки строк табличной части,
//									в которых осуществляется заполнение номеров ГТД.
//
Процедура ОбработатьУказаниеНомераГТД(Форма, Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОбработатьУказаниеНомераГТД(Форма, );
```
</details>

## ЭтоПодборНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку того, что форма, выполнившая оповещение, является формой подбора номера номера ГТД.
//
// Параметры:
//	ИсточникВыбора - Произвольный - параметр события ОбработкаВыбора формы, в которой осуществлен выбор значения.
//
// Возвращаемое значение:
//	Булево - возвращает значение Истина, если выполнен выбор элемента справочника 'НомераГТД'.
//
Функция ЭтоПодборНомераГТД(ИсточникВыбора) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиКлиент.ЭтоПодборНомераГТД(ИсточникВыбора) 
```
</details>

## ОповеститьОЗаполненииНомеровГТДВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователю о заполнении номеров ГТД в строках табличной части документа.
//
// Параметры:
//	ЗаполненыНомераГТД - Булево - признак того, что выполнено заполнение табличной части.
//	НомерГТД - СправочникСсылка.НомераГТД - значение заполнения.
//
Процедура ОповеститьОЗаполненииНомеровГТДВТабличнойЧасти(ЗаполненыНомераГТД, НомерГТД = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОповеститьОЗаполненииНомеровГТДВТабличнойЧасти(ЗаполненыНомераГТД, НомерГТД);
```
</details>

## НомераГТДКодКомплектующейАвтоПодбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебный обработчик авто подбора Номера ГТД.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма, содержащая поле Номера ГТД.
//	Элемент - ЭлементыФормы - поле формы, содержащее информацию о Номере ГТД.
//	Текст - Строка - текст строки поиска.
//	ДанныеВыбора - СписокЗначений Из Структура - список выбора данных элемента справочника.
//	СтандартнаяОбработка - Булево - в данный параметр передается признак выполнения подбора данных объекта.
//										Если в теле процедуры-обработчика установить данному параметру
//										значение Ложь, стандартная обработка события производиться не будет.
//
Процедура НомераГТДКодКомплектующейАвтоПодбор(Форма, Элемент, Текст, ДанныеВыбора, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.НомераГТДКодКомплектующейАвтоПодбор(Форма, Элемент, Текст, ДанныеВыбора, СтандартнаяОбработка) 
```
</details>

## ОткрытьФормуСозданияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму создания нового договора с данными по партнеру.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма документа.
//	Элемент - ЭлементыФормы - поле формы, содержащее информацию о договоре.
//	ПутьКДоговору - Строка - путь к реквизиту с данными по договору.
//	Партнер - СправочникСсылка.Партнеры - данные по партнеру для создания договора.
//	СтандартнаяОбработка - Булево - в данный параметр передается признак выполнения подбора данных объекта.
//	ИмяСобытияОповещения - Строка - имя события оповещения для формы документа при изменении договора.
//
Процедура ОткрытьФормуСозданияДоговора(Форма, Элемент, ПутьКДоговору, Партнер, СтандартнаяОбработка, ИмяСобытияОповещения = "ПриИзмененииДоговора") Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ОткрытьФормуСозданияДоговора(Форма, Элемент, ПутьКДоговору, Партнер, СтандартнаяОбработка, ИмяСобытияОповещения);
```
</details>

## ПослеСозданияДоговораЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка оповещения после создания договора из формы документа.
//
//Параметры:
// Результат - Структура:
//  *Договор - СправочникСсылка.ДоговорыКонтрагентов - созданный договор.
// ДополнительныеПараметры - Структура:
//  *Объект - ФормаКлиентскогоПриложения - форма документа.
//  *Партнер - СправочникСсылка.Партнеры - партнер из документа.
//  *ПутьКДоговору - Строка - путь к реквизиту с данными по договору.
//  *ИмяСобытияОповещения - Строка - имя события формы при изменении договора.
//  *Договор - СправочникСсылка.ДоговорыКонтрагентов - выбранный договор.
//
Процедура ПослеСозданияДоговораЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ПослеСозданияДоговораЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПоказатьНоменклатуруПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать см. НоменклатураПартнеровКлиент.ПоказатьНоменклатуруПартнера
// Открывает форму списка номенклатуры поставщика с отбором по владельцу, номенклатуре, характеристике, упаковке.
//
// Параметры:
//	Партнер       - СправочникСсылка.Партнеры - владелец номенклатуры поставщика
//	Ссылка        - ДокументСсылка - ссылка на документ из формы которого вызывается процедура
//	ТекущаяСтрока - ДанныеФормыЭлементКоллекции - текущая строка таблицы Товары.
//
Процедура ПоказатьНоменклатуруПоставщика(Партнер, Ссылка, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ПоказатьНоменклатуруПоставщика(Партнер, Ссылка, ТекущаяСтрока) 
```
</details>

## ПроверитьСопоставленнуюНоменклатуруПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Вызывает проверку на наличие в информационной базе ранее сопоставленной номенклатуры поставщика.
// Если ранее сопоставленная номенклатура найдена - предупреждает об этом пользователя.
//
// Параметры:
//   Объект - ДанныеФормыКоллекция - документ, для которого необходимо осуществлять проверку.
//   ОписаниеОповещения - ОписаниеОповещения - определяет процедуру, которая будет вызвана после завершения проверки.
//   НеВыполнятьПроверкуДляПользователя - Булево - флаг, определяющий нужно ли осуществлять проверку.
//
Процедура ПроверитьСопоставленнуюНоменклатуруПоставщика(Объект, ОписаниеОповещения, НеВыполнятьПроверкуДляПользователя) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ПроверитьСопоставленнуюНоменклатуруПоставщика(Объект, ОписаниеОповещения, НеВыполнятьПроверкуДляПользователя) 
```
</details>

## ПриВыбореНоменклатурыПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать см. НоменклатураПартнеровКлиент.ПриВыбореНоменклатурыПартнера.
// При попытке выбора номенклатуры поставщика в строке таблицы пользователь получает сообщение о незаполненности партнера.
//
// Параметры:
//	Объект                - ДанныеФормыСтруктура - документ, для выдачи сообщения об ошибках
//	Поле                  - ПолеФормы - поле, в котором пользователь осуществляет выбор
//	ИмяПроверяемогоПоля   - Строка - имя поля, для которого необходимо выдать ошибку.
//	ПредставлениеПартнера - Строка - представление поля, для которого необходимо выдать ошибку.
Процедура ПриВыбореНоменклатурыПоставщика(Объект, Поле, ИмяПроверяемогоПоля, ПредставлениеПартнера) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ПриВыбореНоменклатурыПоставщика(Объект, Поле, ИмяПроверяемогоПоля, ПредставлениеПартнера) 
```
</details>

## ЗаполнитьСписокВыбораНоменклатурыПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать см. НоменклатураПартнеровКлиент.ЗаполнитьСписокВыбораНоменклатурыПартнера.
// Формирует список выбора номенклатуры поставщика с отбором по номенклатуре, характеристике, упаковке.
//
// Параметры:
//	Партнер       - СправочникСсылка.Партнеры - владелец номенклатуры поставщика
//	ТекущаяСтрока - ДанныеФормыЭлементКоллекции - текущая строка таблицы Товары
//	СписокВыбора  - СписокЗначений - список выбора номенклатуры поставщика.
//
Процедура ЗаполнитьСписокВыбораНоменклатурыПоставщика(Партнер, ТекущаяСтрока, СписокВыбора) Экспорт
```

Пример вызова
```bsl
ЗакупкиКлиент.ЗаполнитьСписокВыбораНоменклатурыПоставщика(Партнер, ТекущаяСтрока, СписокВыбора) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
