---
title: Закупки сервер
slug: erp-uh/закупки-сервер
---


## ПолучитьУсловияЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру условий закупок по торговому соглашению.
//
// Параметры:
// 	Соглашение - СправочникСсылка.СоглашенияСКлиентами - соглашение,по которому необходимо получить стандартные условия закупок
// 	УчитыватьГруппыСкладов - Булево -
// 	ИсключитьГруппыСкладовДоступныеВЗаказах - Булево -
//
// Возвращаемое значение:
// 	Структура - структура, включающая условия продаж.
//
Функция ПолучитьУсловияЗакупок(Знач Соглашение, Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПолучитьУсловияЗакупок(Соглашение, );
```
</details>

## ПолучитьПоследнююДатуПоГрафику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату последнего этапа по графику.
//
// Параметры:
// 	ДатаДокумента          - Дата - дата, от которой необходимо получить последнюю дату по графику
// 	СоглашениеСПоставщиком - СправочникСсылка.СоглашенияСПоставщиками -
//
// Возвращаемое значение:
// 	Число - Последняя дата по графику с учетом календаря.
//
Функция ПолучитьПоследнююДатуПоГрафику(Знач ДатаДокумента, Знач СоглашениеСПоставщиком) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПолучитьПоследнююДатуПоГрафику(ДатаДокумента, СоглашениеСПоставщиком) 
```
</details>

## ПолучитьУсловияЗакупокПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру условий закупок по партнеру.
//
// Параметры:
//  Партнер           - СправочникСсылка.Партнеры - партнер, для которого необходимо получить условия закупок,
//  ПараметрыОтбора   - Структура - содержит параметры отбора соглашения.
//
// Возвращаемое значение:
//  Структура - структура, включающая условия закупок.
//
Функция ПолучитьУсловияЗакупокПоУмолчанию(Знач Партнер, Знач ПараметрыОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПолучитьУсловияЗакупокПоУмолчанию(Партнер, ПараметрыОтбора);
```
</details>

## ХозяйственныеОперацииПоОсновной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ХозяйственныеОперацииПоОсновной(ОсновнаяХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ХозяйственныеОперацииПоОсновной(ОсновнаяХозяйственнаяОперация) 
```
</details>

## ХозяйственныеОперацииРаздельнойЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственные операции, которые могут использоваться в документе. Если передать пустую ссылку на
// договор или соглашение, то будет возвращено несколько хозяйственных операций, которые могут быть использованы.
//
// Параметры:
//	ПолноеИмяДокумента	 - Строка 									 - имя документа, для которого нужно получить список хозяйственных операций.
//	Соглашение			 - СправочникСсылка.СоглашенияСПоставщиками	 - соглашение, которое используется в документе.
//	Договор				 - СправочникСсылка.ДоговорыКонтрагентов     - договор, который используется в документе.
//
// Возвращаемое значение:
//	Массив - массив элементов с типом ПеречислениеСсылка.ХозяйственныеОперации.
//
Функция ХозяйственныеОперацииРаздельнойЗакупки(ПолноеИмяДокумента, Соглашение = Неопределено, Договор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ХозяйственныеОперацииРаздельнойЗакупки(ПолноеИмяДокумента, Соглашение, Договор);
```
</details>

## ЗаполнитьПараметрыЗапросаУпорядочиванияХозяйсвенныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры запроса, выполняющего упорядочивание хозяйственных операциях.
//
// Параметры:
//	ПараметрыЗапроса - Структура - параметры запроса, которые нужно инициализировать:
//		* ХозОперацииЗакупкаУПоставщика				 - Массив, Неопределено - массив элементов с типом
//														ПеречислениеСсылка.ХозяйственныеОперации.
//		* ХозОперацииЗакупкаПоИмпорту				 - Массив, Неопределено - массив элементов с типом
//														ПеречислениеСсылка.ХозяйственныеОперации.
//		* ХозОперацииЗакупкаВСтранахЕАЭС			 - Массив, Неопределено - массив элементов с типом
//														ПеречислениеСсылка.ХозяйственныеОперации.
//		* ХозОперацииПриемНаКомиссию				 - Массив, Неопределено - массив элементов с типом
//														ПеречислениеСсылка.ХозяйственныеОперации.
//		* ХозОперацииТоварыВПути					 - Массив, Неопределено - массив элементов с типом
//														ПеречислениеСсылка.ХозяйственныеОперации.
//		* ХозОперацииНеотфактурованныеПоставки		 - Массив, Неопределено - массив элементов с типом
//														ПеречислениеСсылка.ХозяйственныеОперации.
//		* ХозОперацииНеРазделятьОформлениеЗакупок	 - Массив, Неопределено - массив элементов с типом
//														ПеречислениеСсылка.ХозяйственныеОперации.
//
Процедура ЗаполнитьПараметрыЗапросаУпорядочиванияХозяйсвенныхОпераций(ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьПараметрыЗапросаУпорядочиванияХозяйсвенныхОпераций(ПараметрыЗапроса) 
```
</details>

## ХозяйственныеОперацииРаздельнойЗакупкиБезОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает полный список хозяйственных операций разделенной закупки
//
// Возвращаемое значение:
//	Массив - массив элементов с типом ПеречислениеСсылка.ХозяйственныеОперации.
//
Функция ХозяйственныеОперацииРаздельнойЗакупкиБезОтборов() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ХозяйственныеОперацииРаздельнойЗакупкиБезОтборов() 
```
</details>

## ХозяйственныеОперацииТаможеннойДекларацииИмпорт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает полный список хозяйственных операций для таможенной декларации по импорту.
//
// Возвращаемое значение:
//	Массив - массив элементов с типом ПеречислениеСсылка.ХозяйственныеОперации.
//
Функция ХозяйственныеОперацииТаможеннойДекларацииИмпорт() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ХозяйственныеОперацииТаможеннойДекларацииИмпорт() 
```
</details>

## ХозяйственныеОперацииДляАгентскойЗакупкиПодПринципала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает полный список поддерживаемых хозяйственных операций для агентской закупки под принципала
//
// Возвращаемое значение:
//  Массив - Массив из ПеречислениеСсылка.ХозяйственныеОперации.
//
Функция ХозяйственныеОперацииДляАгентскойЗакупкиПодПринципала() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ХозяйственныеОперацииДляАгентскойЗакупкиПодПринципала() 
```
</details>

## ОсновнаяХозяйственнаяОперацияРаздельнойЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственную операцию, используемую при неразделенном варианте оформления закупок.
//
// Параметры:
//	ХозяйственнаяОперацияРаздельнойЗакупки - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция документа.
//
// Возвращаемое значение:
//	ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция, используемая при неразделенном варианте
//		оформления закупок.
//
Функция ОсновнаяХозяйственнаяОперацияРаздельнойЗакупки(ХозяйственнаяОперацияРаздельнойЗакупки) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ОсновнаяХозяйственнаяОперацияРаздельнойЗакупки(ХозяйственнаяОперацияРаздельнойЗакупки) 
```
</details>

## ЭтоХозяйственнаяОперацияРаздельнойЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак хозяйственной операции раздельной закупки
//
// Параметры:
//  ХозяйственнаяОперация	 - ПеречислениеСсылка.ХозяйственныеОперации	 - хозяйственная операция, для которой нужно определить признак.
//
// Возвращаемое значение:
//  Булево - Истина, если используется раздельная закупка.
//
Функция ЭтоХозяйственнаяОперацияРаздельнойЗакупки(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ЭтоХозяйственнаяОперацияРаздельнойЗакупки(ХозяйственнаяОперация) 
```
</details>

## ПарыОперацийРаздельнойЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие, которое определяет пары операций раздельной закупки.
//
// Параметры:
//  КлючомЯвляютсяОперацииПоступления	 - Булево - инвертирует ключи и значения возвращаемого соответствия.
//
// Возвращаемое значение:
//  Соответствие - ключом и значением являются логически одинаковые операции раздельной закупки,
//              например "ЗакупкаУПоставщикаТоварыВПути" и "ЗакупкаУПоставщикаПоступлениеИзТоваровВПути".
//
Функция ПарыОперацийРаздельнойЗакупки(КлючомЯвляютсяОперацииПоступления = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПарыОперацийРаздельнойЗакупки(КлючомЯвляютсяОперацииПоступления);
```
</details>

## ДополнительныеПараметрыОтбораДоговоров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует и возвращает структуру дополнительных параметров отбора договоров.
//
// Возвращаемое значение:
//  Структура - структура со свойствами:
// 	* ВалютаВзаиморасчетов - СправочникСсылка.Валюты - валюта взаиморасчетов по договору
// 	* Налогообложение - ПеречислениеСсылка.ТипыНалогообложенияНДС - тип налогообложения НДС
// 	* НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - направление деятельности по договору.
// 	* КомиссионныеПродажи25 - Булево - Признак отнесения договора к комиссионным продажам версии 2.5.
// 	* ПорядокОформленияСписанияНедостачТоваровПринятыхНаХранение - ПеречислениеСсылка.ПорядокОформленияСписанияТоваровПринятыхНаХранение, Неопределено -
// 	* ПорядокРасчетов - ПеречислениеСсылка.ПорядокРасчетов, Неопределено -
// 	* ДоговорССамозанятым - Булево - признак договора с плательщиком НПД (самозанятым).
//
Функция ДополнительныеПараметрыОтбораДоговоров() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ДополнительныеПараметрыОтбораДоговоров() 
```
</details>

## ПолучитьВариантОформленияДоговораЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вариант оформления закупок из договора.
//
// Параметры:
//  Договор	 - СправочникСсылка.ДоговорыКонтрагентов - договор с контрагентом.
//
// Возвращаемое значение:
//	ПеречислениеСсылка.ВариантыОформленияЗакупок - вариант оформления закупок по указанному договору.
//
Функция ПолучитьВариантОформленияДоговораЗакупок(Договор) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПолучитьВариантОформленияДоговораЗакупок(Договор) 
```
</details>

## ЭтоНеотфактурованнаяПоставкаУслугРабот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По хозяйственной операции документа и договора определяет является ли данный документ неотфактурованной поставкой.
//
// Параметры:
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйствееыеОперации - хозяйственная операция документа.
//  ВариантОформленияДоговораЗакупок - ПеречислениеСсылка.ВариантыОформленияЗакупок - вариант оформления закупок по указанному договору.
//
// Возвращаемое значение:
//	Булево - Это неотфактурованная поставка.
//
Функция ЭтоНеотфактурованнаяПоставкаУслугРабот(ХозяйственнаяОперация, ВариантОформленияДоговораЗакупок) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ЭтоНеотфактурованнаяПоставкаУслугРабот(ХозяйственнаяОперация, ВариантОформленияДоговораЗакупок) 
```
</details>

## ПроверитьКорректностьЗаполненияДокументаЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения документа закупки в соответствии с массивом проверок
// Вызывается из процедуры документа "ОбработкаПроведения".
//
// Параметры:
// ДокументЗакупки  - ДокументОбъект - Документ, для которого необходимо осуществить проверки
// Отказ            - Булево - Флаг отказа от проведения документа.
//
Процедура ПроверитьКорректностьЗаполненияДокументаЗакупки(ДокументЗакупки, Отказ) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ПроверитьКорректностьЗаполненияДокументаЗакупки(ДокументЗакупки, Отказ) 
```
</details>

## ПроверитьНеобходимостьСогласованияУсловийЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения документа закупки в соответствии с массивом проверок
// путем выполнения пакета запросов.
//
// Параметры:
//		ДокументЗакупки - ДокументСсылка - ссылка на объект, для которого необходимо осуществить проверки
//		ЕстьОтклоненияОтЦеновыхУсловий - Булево - Устанавливается в процедуре при необходимости последующего согласования ценовых условий
//		ЕстьОтклоненияОтФинансовыхУсловий - Булево - Устанавливается в процедуре при необходимости последующего согласования финансовых условий
//		ЕстьОтклоненияОтЛогистическихУсловий - Булево - Устанавливается в процедуре при необходимости последующего согласования логистических условий.
//
Процедура ПроверитьНеобходимостьСогласованияУсловийЗакупки(Знач ДокументЗакупки, Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ПроверитьНеобходимостьСогласованияУсловийЗакупки(ДокументЗакупки, );
```
</details>

## ПроверитьКорректностьВозвращаемыхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения товаров документа возврата в соответствии
// с реализованными товарами с учетом корректировок.
// Вызывается из процедуры документа "ОбработкаПроверкиЗаполнения".
//
// Параметры:
// ДокументЗакупки  - ДокументОбъект - объект, для которого необходимо осуществить проверки
// Отказ            - Булево - Флаг отказа от проведения документа
// ТаблицаПроверяемыеТовары - ТаблицаЗначений - Проверяются товары в таблице, если она передана.
//
Процедура ПроверитьКорректностьВозвращаемыхТоваров(Знач ДокументЗакупки, Отказ, ТаблицаПроверяемыеТовары = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ПроверитьКорректностьВозвращаемыхТоваров(ДокументЗакупки, Отказ, ТаблицаПроверяемыеТовары);
```
</details>

## СформироватьОтчетОтклоненияОтУсловийЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует отчет "Отклонения от условий закупок" путем выполнения пакета запросов.
//
// Параметры:
// 	ДокументЗакупки  - ДокументОбъект -Документ, для которого необходимо осуществить проверки
// 	ТаблицаОтчета  - ТабличныйДокумент - Табличный документ отчета.
//
Процедура СформироватьОтчетОтклоненияОтУсловийЗакупок(Знач ДокументЗакупки, ТаблицаОтчета) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.СформироватьОтчетОтклоненияОтУсловийЗакупок(ДокументЗакупки, ТаблицаОтчета) 
```
</details>

## СообщитьОбОшибкахОтменаПроведенияЕстьКорректировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит сообщения о том, что есть корректировки на основании документа.
//
// Параметры:
// ДокументЗакупки - ДокументОбъект - объект, для которого необходимо вывести сообщения об ошибках
// Отказ           - Булево - Флаг отказа от проведения документа.
//
Процедура СообщитьОбОшибкахОтменаПроведенияЕстьКорректировки(Знач ДокументЗакупки, Отказ) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.СообщитьОбОшибкахОтменаПроведенияЕстьКорректировки(ДокументЗакупки, Отказ) 
```
</details>

## СообщитьОбОшибкахПроведенияПоНепроведенномуОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит сообщения о том, что основание документа не проведено.
//
// Параметры:
// 	ДокументЗакупки - ДокументСсылка - Документ-основание корректировки.
// 	Отказ           - Булево - Флаг отказа от проведения документа.
//
Процедура СообщитьОбОшибкахПроведенияПоНепроведенномуОснованию(Знач ДокументЗакупки, Отказ) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.СообщитьОбОшибкахПроведенияПоНепроведенномуОснованию(ДокументЗакупки, Отказ) 
```
</details>

## ОтменитьРучныеСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

 // Осуществляет заполнение условий цен и цен в тч Товары по виду цен по выделенным строкам.
//
// Параметры:
// 		Объект - ДокументОбъект - объект, для которого необходимо отменить ручные скидки
// 		ИмяТабличнойЧасти  - Строка - имя табличной части объекта, в которой необходимо отменить ручные скидки
// 		ОчищатьСуммыВзаиморасчетов - Булево - Истина, если в табличной части присутствует сумма взаиморасчетов.
//
Процедура ОтменитьРучныеСкидки(Объект, ИмяТабличнойЧасти, ОчищатьСуммыВзаиморасчетов = Ложь) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ОтменитьРучныеСкидки(Объект, ИмяТабличнойЧасти, ОчищатьСуммыВзаиморасчетов);
```
</details>

## ПоместитьТоварыВоВременноеХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает таблицу товаров во временное хранилище
//
// Параметры:
//  Товары - ДанныеФормыКоллекция - таблица товаров, которую необходимо поместить во временное хранилище.
//
// Возвращаемое значение:
//  Строка - Адрес таблицы товаров во временном хранилище.
//
Функция ПоместитьТоварыВоВременноеХранилище(Товары) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПоместитьТоварыВоВременноеХранилище(Товары) 
```
</details>

## ПолучитьОтветственногоПоСкладу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру по ответственному лицу указанного склада
// В случае если склад является группой, возвращает значения,
// 		использовавшиеся в последнем документе указанного менеджера с указанным складом.
//
// Параметры:
// 		Склад - СправочникСсылка.Склады - Склад.
// 		Менеджер - СправочникСсылка.Пользователи - Менеджер.
//
// Возвращаемое значение:
// 		Структура - Структура с полями:
// 		* Ответственный - СправочникСсылка.ФизическиеЛица -
// 		* ОтветственныйДолжность - Строка -
// 		Неопределено - если данные заполнения не найдены
//
Функция ПолучитьОтветственногоПоСкладу(Склад, Менеджер) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПолучитьОтветственногоПоСкладу(Склад, Менеджер) 
```
</details>

## ПолучитьДоговорПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск действующего договора с контрагентом по заданным реквизитам.
// Если найден один действующий договор, возвращает ссылку на него, в противном случае - пустую ссылку.
//
// Параметры:
//  Объект - ДокументСсылка, ДокументОбъект, Структура - документ или произвольная структура, для которой нужно получить
//  договор.
//		В объекте должны быть определены свойства:
// 		* Партнер 		- СправочникСсылка.Партнеры 				- партнер, с которым заключен договор.
//		* Договор 		- СправочникСсылка.ДоговорыКонтрагентов 	- договор, который сейчас установлен для объекта. Может быть пустым.
//  	* Контрагент 	- СправочникСсылка.Контрагенты 				- контрагент, с которым заключен договор.
//  	* Организация 	- СправочникСсылка.Организации 				- организация предприятия, от имени которой заключен договор.
//  ХозяйственныеОперации - ПеречислениеСсылка.ХозяйственныеОперации, Массив - одна или несколько хозяйственных операций
//  (тип договора).
//  ДополнительныеПараметрыОтбораДоговоров - Структура - дополнительные параметры для отбора договоров
//  (см. ДополнительныеПараметрыОтбораДоговоров).
//
// Возвращаемое значение:
//  СправочникСсылка.ДоговорыКонтрагентов - договор по умолчанию.
//
Функция ПолучитьДоговорПоУмолчанию( Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПолучитьДоговорПоУмолчанию();
```
</details>

## УстановитьДоступностьДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость реквизита договора в зависимости от данных по соглашению
//
// Параметры:
// 		Объект - Структура, ДокументСсылка -
// 		ДоступностьЭлемента - Булево -
// 		ВидимостьЭлемента - Булево -
// 		Договор - СправочникСсылка.ДоговорыКонтрагентов -
//
Процедура УстановитьДоступностьДоговора(Объект, ДоступностьЭлемента, ВидимостьЭлемента, Договор = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.УстановитьДоступностьДоговора(Объект, ДоступностьЭлемента, ВидимостьЭлемента, Договор);
```
</details>

## ДанныеСчетаФактурыСтруктурой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные счета-фактуры в виде структуры
//
// Параметры:
//  ДокументОснование - ДокументСсылка - Документ, на основании которого вводится счет-фактура.
//  Организация - СправочникСсылка.Организации - Организация, на имя которой оформляется счет-фактура.
//  Контрагент - СправочникСсылка.Контрагенты -
//  Номер - Строка - Номер счета-фактуры.
//  ДатаСоставления - Дата - Дата счета-фактуры.
//  Валюта - СправочникСсылка.Валюты - Валюта счета-фактуры.
//  ДатаПолучения - Дата - Дата получения счета-фактуры.
//
// Возвращаемое значение:
//  Структура - поля счета-фактуры.
//
Функция ДанныеСчетаФактурыСтруктурой(ДокументОснование, Организация, Контрагент, Номер, ДатаСоставления, Валюта, ДатаПолучения) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ДанныеСчетаФактурыСтруктурой(ДокументОснование, Организация, Контрагент, Номер, ДатаСоставления, Валюта, ДатаПолучения) 
```
</details>

## УстановитьРежимВыбораГруппЭлементовСклада
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает режим выбора групп и элементов у склада на форме
//
// Параметры:
//  Склад - ПолеФормы - изменяет режим выбора для складов данной группы.
//
Процедура УстановитьРежимВыбораГруппЭлементовСклада(Склад) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.УстановитьРежимВыбораГруппЭлементовСклада(Склад) 
```
</details>

## ПроверитьНаличиеКорректировокИСчетовФактур
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие корректировок и счетов-фактур, введенных на основании изменяемого документа.
//
// Параметры:
// Ссылка - ДокументСсылка - Изменяемый документ
// Основание - ДокументСсылка - Основание для корректировок
// ЕстьКорректировки - Булево - ВозвращаемыйПараметр. Признак наличия корректировок изменяемого документа.
// ЕстьСчетаФактуры - Булево - ВозвращаемыйПараметр. Признак наличия счетов-фактур изменяемого документа.
//
Процедура ПроверитьНаличиеКорректировокИСчетовФактур(Ссылка, Основание, ЕстьКорректировки, ЕстьСчетаФактуры) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ПроверитьНаличиеКорректировокИСчетовФактур(Ссылка, Основание, ЕстьКорректировки, ЕстьСчетаФактуры) 
```
</details>

## ОбновитьИнформациюПоПоступлениямВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет информацию о количестве документов поступлений в табличной части документа возврата.
//
// Параметры:
//		СписокПоступлений - СписокЗначений - список документов поступлений
//		ПоступлениеВШапке - ДокументСсылка -  Ссылка на документ поступления в шапке документа
//		НадписьЗаголовок - Строка - Надпись, содержащая информацию о количестве документов поступлений
//		ЭлементыФормы - ЭлементыФормы - Элементы формы документа возврата
//		КолонкаВТабличнойЧасти - КолонкаТабличногоПоля - содержащая документы поступления
//		ТабличнаяЧасть - ТабличнаяЧасть - документа возврата
//		ИмяПоступленияВТабличнойЧасти - Строка - Название колонки с документами поступлений в табличной части.
//
Процедура ОбновитьИнформациюПоПоступлениямВФорме(СписокПоступлений, Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ОбновитьИнформациюПоПоступлениямВФорме(СписокПоступлений, );
```
</details>

## ПолучитьХозяйственнуюОперациюВозвратаПоПоступлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет хозяйственную операцию возврата по хозяйственной операции поступления
//
// Параметры:
//	ХозяйственнаяОперацияПоступление - ПеречислениеСсылка.ХозяйственныеОперации - исходная хозяйственная операция.
//
// Возвращаемое значение:
//	ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция возврата.
//
Функция ПолучитьХозяйственнуюОперациюВозвратаПоПоступлению(Знач ХозяйственнаяОперацияПоступление) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПолучитьХозяйственнуюОперациюВозвратаПоПоступлению(ХозяйственнаяОперацияПоступление) 
```
</details>

## ПараметрыЗаполненияПоФактическойПриемке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для передачи в функцию ЗаполнитьТоварыПоФактическойПриемке().
//
// Возвращаемое значение:
//   Структура - структура с полями, необходимыми для заполнения по фактической приемке:
//   * ДокументПоступления - ДокументСсылка - Ссылка на документ поступления
//   * ДатаПоступления - Дата - Дата поступления товаров
//   * СтруктураДействийСИзмененнымиСтроками - Структура - Действия, которые нужно произвести над измененными строками
//   * СтруктураДействийСДобавленнымиСтроками - Структура - Действия, которые нужно произвести над добавленными строками
//   * Соглашение - СправочникСсылка.СоглашенияСПоставщиками - соглашение поступления
//   * Договор - СправочникСсылка.ДоговорыКонтрагентов - Договоры контрагентов
//   * Склад - СправочникСсылка.Склады, Массив из СправочникСсылка.Склады - Склады поступления
//   * ТекущийДокумент - ДокументСсылка - Ссылка на текущий документ
//   * МассивРаспоряжений - Массив - Распоряжения на поступление
//   * ЗаполнениеВАктеОРасхождениях - Булево - Признак того, что выполняется заполнение в "Акт о расхождениях после приемки"
//   * ЗаполнитьПоПоступлениям - Булево -
//   * ВариантПриемкиТоваров - ПеречислениеСсылка.ВариантыПриемкиТоваров -
//
Функция ПараметрыЗаполненияПоФактическойПриемке() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПараметрыЗаполненияПоФактическойПриемке() 
```
</details>

## ЗаполнитьТоварыПоФактическойПриемке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет количество в ТЧ Товары по фактически принятым товарам.
//
// Параметры:
//	Товары                                 - ТаблицаЗначений - таблица товаров документа,
//	ПараметрыЗаполнения                    - см. ПараметрыЗаполненияПоФактическойПриемке
//	ЕстьПринятыеТовары                     - Булево - флаг, по которому можно определить что товары отгружены,
//  ДополнительныеПараметрыПоиска          - Структура - возможность задать дополнительные поля поиска.
//
// Возвращаемое значение:
//	Булево - Флаг, по которому можно определить что в результате перезаполнения ТЧ документа изменилась.
//
Функция ЗаполнитьТоварыПоФактическойПриемке(Товары, ПараметрыЗаполнения, ЕстьПринятыеТовары, ДополнительныеПараметрыПоиска = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ЗаполнитьТоварыПоФактическойПриемке(Товары, ПараметрыЗаполнения, ЕстьПринятыеТовары, ДополнительныеПараметрыПоиска);
```
</details>

## НоваяСтруктураКДозаполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
// 	Структура:
// * СтрокаОбработана - Булево
// * КоэффициентУпаковки - Число
// * Количество - Число
// * Склад - СправочникСсылка.Склады
// * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры
// * Номенклатура - СправочникСсылка.Номенклатура
// * Строка - СтрокаТаблицыЗначений
//
Функция НоваяСтруктураКДозаполнению() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.НоваяСтруктураКДозаполнению());
```
</details>

## НоваяСтруктураДляРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
// 	Структура:
// * КоличествоУпаковок - Число
// * Количество - Число
// * Серия - СправочникСсылка.СерииНоменклатуры
// * Строка - СтрокаТаблицыЗначений
//
Функция НоваяСтруктураДляРаспределения() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.НоваяСтруктураДляРаспределения());
```
</details>

## ДопустимыеОтклоненияМерныхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращается таблицу допустимых отклонений мерных товаров
//
// Параметры:
//  МассивРаспоряжений - Массив - массив распоряжений.
//  РаспоряжениеЗаказ  - Булево - .
//
// Возвращаемое значение:
//  ТаблицаЗначений
//
Функция ДопустимыеОтклоненияМерныхТоваров(МассивРаспоряжений, РаспоряжениеЗаказ = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ДопустимыеОтклоненияМерныхТоваров(МассивРаспоряжений, РаспоряжениеЗаказ);
```
</details>

## ЗаполнитьСписокВыбораВариантовПриемки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список выбора вариантов приемки
//
// Параметры:
//  ОформлениеОрдера - ПолеФормы - поле формы с настройкой оформления ордера.
//
Процедура ЗаполнитьСписокВыбораВариантовПриемки(ОформлениеОрдера) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьСписокВыбораВариантовПриемки(ОформлениеОрдера) 
```
</details>

## ЗаполнитьСписокВыбораВариантовПриемкиПоСоглашениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список выбора вариантов приемки по соглашениям
//
// Параметры:
//  ОформлениеОрдера - ПолеФормы - поле формы с настройкой оформления ордера
//  ПриемкаТоваров	 - ПолеФормы - поле формы с настройкой приемки товаров.
//
Процедура ЗаполнитьСписокВыбораВариантовПриемкиПоСоглашениям(ОформлениеОрдера, ПриемкаТоваров) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьСписокВыбораВариантовПриемкиПоСоглашениям(ОформлениеОрдера, ПриемкаТоваров) 
```
</details>

## ЗаполнитьНастройкиВариантовПриемки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет настройки вариантов приемки по значению перечисления
//
// Параметры:
//  ВариантПриемкиТоваров	 - ПеречислениеСсылка.ВариантыПриемкиТоваров - Вариант приемки
//  ОформлениеОрдера		 - Строка - настройка оформления ордера
//  ПриемкаТоваров			 - Строка - настройка деления приемки.
//
Процедура ЗаполнитьНастройкиВариантовПриемки(ВариантПриемкиТоваров, ОформлениеОрдера, ПриемкаТоваров = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьНастройкиВариантовПриемки(ВариантПриемкиТоваров, ОформлениеОрдера, ПриемкаТоваров);
```
</details>

## ПолучитьВариантовПриемкиПоНастройкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет настройки вариантов приемки по значению перечисления
//
// Параметры:
//  ОформлениеОрдера - Строка - настройка оформления ордера
//  ПриемкаТоваров   - Строка - настройка деления приемки.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ВариантыПриемкиТоваров - Вариант приемки.
//
Функция ПолучитьВариантовПриемкиПоНастройкам(ОформлениеОрдера, ПриемкаТоваров) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПолучитьВариантовПриемкиПоНастройкам(ОформлениеОрдера, ПриемкаТоваров) 
```
</details>

## РаспоряжениеНаПриемкуТовараНакладная
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования накладной как распоряжения на приемку
//
// Параметры:
//	ВариантПриемкиТоваров - ПеречислениеСсылка.ВариантыПриемкиТоваров - ссылка на вариант приемки.
//
// Возвращаемое значение:
//	Булево - Истина, если используется соглашение при приемке.
//
Функция РаспоряжениеНаПриемкуТовараНакладная(Знач ВариантПриемкиТоваров) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.РаспоряжениеНаПриемкуТовараНакладная(ВариантПриемкиТоваров) 
```
</details>

## РаспоряжениеНаПриемкуТовараЗаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования заказа/накладной без заказа как распоряжения на приемку.
//
// Параметры:
//	ВариантПриемкиТоваров - ПеречислениеСсылка.ВариантыПриемкиТоваров - ссылка на вариант приемки.
//
// Возвращаемое значение:
//	Булево - Истина, если используется соглашение при приемке.
//
Функция РаспоряжениеНаПриемкуТовараЗаказ(Знач ВариантПриемкиТоваров) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.РаспоряжениеНаПриемкуТовараЗаказ(ВариантПриемкиТоваров) 
```
</details>

## ЗаполнитьСписокВыбораВариантовПриемкиПоДоговорам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список выбора вариантов приемки по соглашениям
//
// Параметры:
//	ОформлениеОрдера - ПолеФормы - поле формы с настройкой оформления ордера
//	ПриемкаТоваров - ПолеФормы - поле формы с настройкой приемки товаров.
//	ВариантОформленияЗакупок - ПеречислениеСсылка.ВариантыОформленияЗакупок - вариант оформления раздельной закупки.
//
Процедура ЗаполнитьСписокВыбораВариантовПриемкиПоДоговорам(ОформлениеОрдера, ПриемкаТоваров, ВариантОформленияЗакупок = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьСписокВыбораВариантовПриемкиПоДоговорам(ОформлениеОрдера, ПриемкаТоваров, ВариантОформленияЗакупок);
```
</details>

## ПолучитьВариантПриемкиТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вариант приемки товаров по распоряжению, по соглашению, либо по одноименной константе.
//
// Параметры:
//  Распоряжение - ДокументСсылка - документ содержащий реквизит "ВариантПриемкиТоваров"
//  Договор		 - СправочникСсылка.ДоговорыКонтрагентов - договор переопределяющий вариант приемки товаров.
//
// Возвращаемое значение:
//   - ПеречислениеСсылка.ВариантыПриемкиТоваров - найденный вариант приемки.
//
Функция ПолучитьВариантПриемкиТоваров(Распоряжение = Неопределено, Договор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПолучитьВариантПриемкиТоваров(Распоряжение, Договор);
```
</details>

## ОчиститьРеквизитыСписанияНаРасходыПриУстановкеНазначенияВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет реквизиты списания на расходы в табличной части документа, в зависимости от назначения.
//
// Параметры:
//   СтрокиКоллекции - Массив - массив строк коллекции, в которой нужно обновить реквизиты.
//
Процедура ОчиститьРеквизитыСписанияНаРасходыПриУстановкеНазначенияВТабличнойЧасти(СтрокиКоллекции) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ОчиститьРеквизитыСписанияНаРасходыПриУстановкеНазначенияВТабличнойЧасти(СтрокиКоллекции) 
```
</details>

## ПараметрыСозданияНомераГТДПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор коллекции параметров создания элемента справчоника 'НомераГТД' по умолчанию.
//
// Возвращаемое значение:
//	Структура - коллекция, которая содержит следующие свойства:
//		* Код - Строка - номер ГТД.
//		* ДанныеТовара - Структура - информация о товаре, содержащая следующие данные:
//			** Номенклатура - СправочникСсылка.Номенклатура - информация о номенклатуре.
//			** Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - информация о характеристике номенклатуры.
//			** Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения - информация об упаковке товара.
//			** КоличествоКомплектов - Число - количество товара.
//			** СуммаПоРНПТ - Число - стоимость товара.
//		* СтранаПроисхождения - СправочникСсылка.СтраныМира - информация о стране происхождения товара.
//		* Дата - Дата- дата документа.
//		* ВалютаДокумента - СправочникСсылка.Валюты - валюта документа.
//		* ПоказатьСтоимостьПоДокументу - Булево - признак использования в документе суммовых показателей.
//		* ИспользоватьУчетПрослеживаемыхИмпортныхТоваров - Булево - признак использования учета прослеживаемых импортных
//																	товаров.
//
Функция ПараметрыСозданияНомераГТДПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПараметрыСозданияНомераГТДПоУмолчанию() 
```
</details>

## ПараметрыЗаполненияНомераГТДВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры, используемые при заполнении табличной части объекта номерами ГТД.
//
// Возвращаемое значение:
//	Структура - параметры, используемые при заполнении табличной части объекта номерами ГТД, со следующими свойствами:
//		* ИмяПоляНоменклатура - Строка - имя колонки табличной части, содержащее информацию о номенклатуре, для которой
//											заполняется номер ГТД.
//		* ИмяПоляКоличествоУпаковок - Строка - имя колонки табличной части, содержащее информацию о количестве упаковок
//												номенклатуры, для которой заполняется номер ГТД.
//		* ПересчитатьКоличествоПоРНПТ - Булево - признак необходимости пересчета количества по РНПТ в строках табличной
//													части, заполняемых номерами ГТД.
//
Функция ПараметрыЗаполненияНомераГТДВТабличнойЧасти() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПараметрыЗаполненияНомераГТДВТабличнойЧасти() 
```
</details>

## ЗаполнитьНомераГТДВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номера ГТД в строках табличной части объекта.
//
// Параметры:
//	Товары - ДанныеФормыКоллекция - табличная часть объекта, в которой осуществляется заполнение информации о
//									номерах ГТД.
//	НомерГТД - СправочникСсылка.НомераГТД - значение номера ГТД, которым заполняется табличная часть.
//	ИдентификаторыСтрок - Массив Из Число - коллекция идентификаторов строк табличной части объекта, которые необходимо
//											заполнить.
//	ЗаполненыНомераГТД - Булево - признак того, что выполнено заполнение табличной части.
//	ПараметрыЗаполнения - см. ПараметрыЗаполненияНомераГТДВТабличнойЧасти
//
Процедура ЗаполнитьНомераГТДВТабличнойЧасти(Товары, Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьНомераГТДВТабличнойЧасти(Товары, );
```
</details>

## ЗаполнитьНомераГТДПоПоследнимПоступлениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номера ГТД в строках табличной части объекта по данным последних поступлений.
//
// Параметры:
//	Товары - ДанныеФормыКоллекция - табличная часть объекта, в которой осуществляется заполнение информации о
//									номерах ГТД.
//	ЗаполненыНомераГТД - Булево - признак того, что выполнено заполнение табличной части.
//	ПараметрыЗаполнения - см. ПараметрыЗаполненияНомераГТДВТабличнойЧасти
//
Процедура ЗаполнитьНомераГТДПоПоследнимПоступлениям(Товары, Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьНомераГТДПоПоследнимПоступлениям(Товары, );
```
</details>

## ПараметрыЗаполненияНомеровГТДПоУчетнымДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры, используемые при заполнении табличной части объекта номерами ГТД по учетным данным.
//
// Возвращаемое значение:
//	Структура - содержит следующие свойства:
//	* ПараметрыЗапроса - Структура - коллекция параметров запроса остатков номеров ГТД, содержащая следующие поля:
//		** Ссылка - ДокументСсылка - ссылка на документ, в котором заполняются номера ГТД (обязательно к заполнению
//										при варианте получения данных 'ПоРаспоряжениям').
//		** Период - Дата, Граница - период, за который получаются сведения об остатках номеров ГТД (обязательно
//									к заполнению при варианте получения данных 'ПоОстаткамПереданныхНаКомиссию'
//									и 'ПоОстаткамУХранителя').
//		** Организация - СправочникСсылка.Организации, Неопределено - организация, для которой получаются сведения
//																		об остатках номеров ГТД (обязательно
//																		к заполнению при варианте получения данных
//																		'ПоОстаткамУХранителя').
//		** Партнер - СправочникСсылка.Партнеры, Неопределено - партнер, для которого получаются сведения об остатках
//																номеров ГТД (обязательно к заполнению при варианте
//																получения данных 'ПоОстаткамПереданныхНаКомиссию').
//		** Договор - СправочникСсылка.ДоговорыКонтрагентов, Неопределено - договор, по которому получаются сведения об
//																			остатках номеров ГТД (обязательно
//																			к заполнению при варианте получения данных
//																			'ПоОстаткамУХранителя').
//	* ИмяПоляРаспоряжение - Строка - имя поля распоряжения, по которому получаются сведения о номерах ГТД.
//	* ДействияСоСтрокой - Структура, Неопределено - действия по обработке строк табличной части.
//
Функция ПараметрыЗаполненияНомеровГТДПоУчетнымДанным() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПараметрыЗаполненияНомеровГТДПоУчетнымДанным() 
```
</details>

## ЗаполнитьНомераГТДПоУчетнымДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номера ГТД в табличной части объекта.
//
// Параметры:
//	ТаблицаТоваров - ДанныеФормыКоллекция, ТабличнаяЧасть - таблица в которой заполняются номера ГТД, содержащая
//															следующие колонки:
//		* ИмяПоляРаспоряжение - ДокументСсылка - колонка с произвольным именем содержащая ссылку на распоряжение
//													(наличие обязательно при варианте получения данных 'ПоРаспоряжениям').
//		* Номенклатура - СправочникСсылка.Номенклатура - сведения о номенклатуре.
//		* Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - сведения о характеристике номенклатуры.
//		* Назначение - СправочникСсылка.Назначения - сведения о назначении товара.
//		* Серия - СправочникСсылка.СерииНоменклатуры - сведения о серии номенклатуры.
//		* НомерГТД - СправочникСсылка.НомераГТД - сведения о номере ГТД.
//		* Количество - Число - количество товара.
//	ВариантПолученияДанных - Строка - вариант получения данных о номерах ГТД.
//	ДополнительныеПараметры - см. ПараметрыЗаполненияНомеровГТДПоУчетнымДанным
//
Процедура ЗаполнитьНомераГТДПоУчетнымДанным(ТаблицаТоваров, ВариантПолученияДанных, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьНомераГТДПоУчетнымДанным(ТаблицаТоваров, ВариантПолученияДанных, ДополнительныеПараметры) 
```
</details>

## ПараметрыПодбораНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры, используемые при подборе номера ГТД в табличную часть объекта.
//
// Возвращаемое значение:
//	Структура - параметры, используемые при подборе номера ГТД в табличную часть объекта, со следующими свойствами:
//		* ИсточникТЧ - Строка - путь к табличной части. Если значение не указано, тогда табличная часть является
//								реквизитом формы клиентского приложения. Значение по умолчанию 'Объект'.
//		* ИмяТЧ - Строка - имя табличной части, в которую осуществляется подбор номера ГТД.
//		* ИмяТаблицыФормы - Строка - имя таблицы формы.
//		* ИмяПоляНоменклатура - Строка - имя колонки табличной части, содержащее информацию о номенклатуре, для которой
//											заполняется номер ГТД.
//		* ИмяПоляКоличествоУпаковок - Строка - имя колонки табличной части, содержащее информацию о количестве упаковок
//												номенклатуры, для которой заполняется номер ГТД.
//		* ПересчитатьКоличествоПоРНПТ - Булево - признак необходимости пересчета количества по РНПТ в строках табличной
//													части, заполняемых номерами ГТД.
//
Функция ПараметрыПодбораНомераГТД() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПараметрыПодбораНомераГТД() 
```
</details>

## ОбработатьУказаниеНомераГТДСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет заполнение результатом подбора номеров ГТД в табличной части объекта.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма, в которой осуществляется подбор.
//	ИдентификаторСтроки -  Число - идентификатор строки, для которой осуществляется подбор значений.
//	ДанныеПодбора - Структура - коллекция, содержащая следующую информацию:
//					* ЭтоРНПТКомплекта - Булево - признак, того что подобран номер РНПТ комплекта.
//					* ОсновнойНомерГТД - СправочникСсылка.НомераГТД - основной номер ГТД, полученный при подборе.
//					* ОстаточныйНомерГТД - СправочникСсылка.НомераГТД - основной номер РНПТ комплекта, полученный при
//																		подборе.
//	ЗаполненыНомераГТД - Булево - признак того, что выполнено заполнение табличной части.
//	ПараметрыПодбора - см. ПараметрыПодбораНомераГТД
//	ДействияОбработкиСтроки - Структура, Неопределено - коллекция, содержащая параметры обработки строк табличной части.
//
Процедура ОбработатьУказаниеНомераГТДСервер(Форма, Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ОбработатьУказаниеНомераГТДСервер(Форма, );
```
</details>

## ПараметрыЗаполненияСлужебныхРеквизитовНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры, используемые при заполнении служебных реквизитов номера ГТД в табличной части объекта.
//
// Возвращаемое значение:
//	Структура - параметры, используемые при подборе номера ГТД в табличную часть объекта, со следующими свойствами:
//		* ИмяПоляНоменклатура - Строка - имя колонки табличной части, содержащее информацию о номенклатуре, для которой
//											заполняется номер ГТД.
//		* ЗаполнитьСтрануПроисхождения - Булево - признак наличия в табличной части колонки страны происхождения,
//													которую необходимо заполнить.
//
Функция ПараметрыЗаполненияСлужебныхРеквизитовНомераГТД() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПараметрыЗаполненияСлужебныхРеквизитовНомераГТД() 
```
</details>

## ЗаполнитьСлужебныеРеквизитыНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет служебные реквизиты номеров ГТД в табличной части.
//
// Параметры:
//	Товары - ДанныеФормыКоллекция - табличная часть, в которой осуществляется заполнение служебных реквизитов.
//	ПараметрыЗаполнения - см. ПараметрыЗаполненияСлужебныхРеквизитовНомераГТД
//
Процедура ЗаполнитьСлужебныеРеквизитыНомераГТД(Товары, ПараметрыЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьСлужебныеРеквизитыНомераГТД(Товары, ПараметрыЗаполнения);
```
</details>

## ДополнитьТекстЗапросаСтранаПроисхожденияПоНомеруГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения страны происхождения по номера ГТД
// при обработке строк табличной части.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧВЦикле.Действия
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//
Процедура ДополнитьТекстЗапросаСтранаПроисхожденияПоНомеруГТД(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ДополнитьТекстЗапросаСтранаПроисхожденияПоНомеруГТД(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## ДополнитьТекстЗапросаТипНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения типа номера ГТД при
// обработке строк табличной части.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧВЦикле.Действия
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//
Процедура ДополнитьТекстЗапросаТипНомераГТД(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ДополнитьТекстЗапросаТипНомераГТД(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## ТипыНомеровГТДВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, содержится ли в переданной таблице прослеживаемый номер ГТД (РНПТ).
//
// Параметры:
//  Товары - ТаблицаЗначений - :
//   * НомерГТД - СправочникСсылка.НомераГТД -
//
// Возвращаемое значение:
//  Структура:
//   * КоличествоПростыхНомеровГТД - Число -
//   * КоличествоПрослеживаемыхНомеровГТД - Число -
//   * КоличествоСоставныхНомеровГТД - Число -
//   * ЕстьПростойНомерГТД - Булево -
//   * ЕстьПрослеживаемыйНомерГТД - Булево -
//   * ЕстьСоставнойНомерГТД - Булево -
Функция ТипыНомеровГТДВТаблице(Товары) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ТипыНомеровГТДВТаблице(Товары) 
```
</details>

## ИзвлечьПолеИзКолонкиТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Извлечь поле из таблицы.
//
// Параметры:
//  Таблица - ТаблицаЗначений - должна содержать колонку, имя которой передается в параметре КолонкаДляИзвлечения.
//  КолонкаДляИзвлечения - Строка - Колонка, в которой хранится объект, из которого можно извлечь некоторое поле.
//  ИзвлекаемоеПоле - Строка - Имя поля, которое нужно извлечь из колонки КолонкаДляИзвлечения.
//  ИмяНовойКолонки - Строка - Имя колонки, которая будет добавлена к входящей таблице. В нее будут загружены извлеченные значения.
//  ОписаниеТиповНовойКолонки - ОписаниеТипов - Тип новой колонки.
//
Процедура ИзвлечьПолеИзКолонкиТаблицы(Таблица, Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ИзвлечьПолеИзКолонкиТаблицы(Таблица, );
```
</details>

## ПараметрыПоискаИлиСозданияСоставныхПрослеживаемыхКомплектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры по умолчанию, используемые при поиске или создании элементов справочника 'НомераГТД'
// типа номер РНПТ комплекта.
//
// Возвращаемое значение:
//	Структура - коллекция, которая содержит следующие свойства:
//		* ИзвлечьНоменклатуруИзОбъектаВКолонке - Строка - имя колонки, в которой содердится информация о номенклатуре,
//															если не задано явно.
//		* ИзвлечьХарактеристикуИзОбъектаВКолонке - Строка - имя колонки, в которой содердится информация о характеристике номенклатуры,
//															если не задано явно.
//		* ИзвлечьСериюИзОбъектаВКолонке - Строка - имя колонки, в которой содердится информация о серии номенклатуры,
//															если не задано явно.
//		* НоменклатураШапки - СправочникСсылка.Номенклатура, Неопределено - номенклатура комплекта.
//		* ХарактеристикаШапки - СправочникСсылка.ХарактеристикиНоменклатуры, Неопределено - характеристика комплекта.
//		* СерияШапки - СправочникСсылка.СерииНоменклатуры, Неопределено - серия комплекта.
//		* СуммаПоРНПТ - Число - стоимость составного комплекта, если цена по нему не известна. Используется в ЭДО.
//		* ВсегдаИспользоватьСуммаПоРНПТДляСтоимостиКомплекта - Булево - игнорировать подбор цен, брать переданные цены.
//			Используется при вводе номера РНПТ вручную, и при обмене данными.
//		* НормироватьСуммуПоРНПТПриСозданииСоставногоКомплекта - Булево - разделить суммовые значения на количество комплектов.
//			Используется при обмене данными.
//		* РасширитьКлючПоискаНомеровГТДСуммойПоРНПТ - Булево - добавляет стоимость по РНПТ в ключ поиска справочника Номера ГТД
//			при загрузке УПД из ЭДО.
//
Функция ПараметрыПоискаИлиСозданияСоставныхПрослеживаемыхКомплектов() Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.ПараметрыПоискаИлиСозданияСоставныхПрослеживаемыхКомплектов() 
```
</details>

## НайтиИлиСоздатьСоставныеПрослеживаемыеНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Найти или создать составные прослеживаемые номера ГТД из 2 и более прослеживаемых товаров.
// Существует 2 основных способа использования метода - с передачей номенклатуры, и без.
// При этом номенклатура может быть передана как явно, так и быть извлечена из некоторого объекта (например, из Аналитики
// учета номенклатуры).
// При полном отказе от передачи номенклатуры, следует явно передать единицу измерения ТН ВЭД.
//
// Параметры:
//  Товары - ТаблицаЗначений - Прослеживаемые номера ГТД, из которых нужно создать составной номер ГТД:
//   * Номенклатура - СправочникСсылка.Номенклатура, Неопределено - Передается для контроля прослеживаемости товара.
//     Имеется возможность оставить поле не заполненным, тогда будет считаться что строка прослеживается.
//     Имеется возможность не передавать эту колонку, а передать колонку через тип которой можно
//     будет извлечь номенклатуру (см. ИзвлечьНоменклатуруИзОбъектаВКолонке).
//   * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры, Неопределено - передается для контроля прослеживаемости товара.
//   * Серия - СправочникСсылка.СерииНоменклатуры, Неопределено - Передается для контроля прослеживаемости товара.
//   * ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения, Неопределено - Единица измерения ТН ВЭД.
//     Если не задана явно, извлекается через Номенклатуру.
//   * КоличествоПоРНПТ - Число -
//   * НомерГТД - СправочникСсылка.НомераГТД -
//  КоличествоКомплектов - Число - Количество комплекта
//  ДатаКонтроляПрослеживаемости - Дата - Дата контроля прослеживаемости
//  Отказ - Булево - Истина, признак того, что не удалось найти или создать элемент справочника 'НомераГТД'
//  				типа номер РНПТ комплекта.
//  ПараметрыСоздания - см. ПараметрыПоискаИлиСозданияСоставныхПрослеживаемыхКомплектов.
//
// Возвращаемое значение:
//  Структура:
//   * ЕстьСоставныеПрослеживаемыеНомераГТД - Булево - признак того, что удалось найти или создать составные номера ГТД.
//   * ОсновнойСоставнойНомерГТД - СправочникСсылка.НомераГТД, Неопределено -
//   * ОстаточныйСоставнойНомерГТД - СправочникСсылка.НомераГТД, Неопределено -
//
Функция НайтиИлиСоздатьСоставныеПрослеживаемыеНомераГТД(Товары, Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.НайтиИлиСоздатьСоставныеПрослеживаемыеНомераГТД(Товары, );
```
</details>

## РазобратьСоставныеПрослеживаемыеНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разборка прослеживаемые номера ГТД.
// Существует 2 основных способа использования метода - с передачей номенклатуры, и без.
// При этом номенклатура может быть передана как явно, так и быть извлечена из некоторого объекта (например, из Аналитики
// учета номенклатуры).
// При полном отказе от передачи номенклатуры, следует явно передать единицу измерения ТН ВЭД.
//
// Параметры:
//  ТоварыКСписанию - ТаблицаЗначений - Таблица содержащая составные прослеживаемые номера ГТД:
//  * НомерГТД - СправочникСсылка.НомераГТД -
//  * Количество - Число -
//  ТоварыКОприходованию - ТаблицаЗначений - Таблица на которую необходимо распределить номера ГТД таблицы ТоварыКСписанию:
//  * АналитикаУчетаНоменклатуры - СправочникСсылка.КлючиАналитикиУчетаНоменклатуры -
//  * Количество - Число -
//  * ВидЗапасов - СправочникСсылка.ВидыЗапасов -
//  ПоляОбъектые - Массив из Строка, Неопределено - Имена колонок (не числовых) в таблице ТоварыКОприходованию, которые нужно сохранить
//  вплоть до возврата результата функции. Если не указать, в возвращаемой таблице будут только обязательные колонки. Эти поля
//  будут учитываться как группировочные, либо браться от них максимум, в зависимости от участка запроса.
//  ПоляЧисловые - Массив из Строка, Неопределено - Имена колонок (числовых) в таблице ТоварыКОприходованию, которые нужно сохранить
//  вплоть до возврата результата функции. Если не указать, в возвращаемой таблице будут только обязательные колонки. Эти поля
//  будут суммироваться и участвовать в распределении наравне с количественными полями.
//  Отказ - Булево -
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//  * АналитикаУчетаНоменклатуры - СправочникСсылка.КлючиАналитикиУчетаНоменклатуры -
//  * ВидЗапасов - СправочникСсылка.ВидыЗапасов -
//  * НомерГТД - СправочникСсылка.НомераГТД -
//  * КоличествоПоРНПТ - Число -
//  * Количество - Число -
Функция РазобратьСоставныеПрослеживаемыеНомераГТД(ТоварыКСписанию, ТоварыКОприходованию, ПоляОбъектные = Неопределено, ПоляЧисловые = Неопределено, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЗакупкиСервер.РазобратьСоставныеПрослеживаемыеНомераГТД(ТоварыКСписанию, ТоварыКОприходованию, ПоляОбъектные, ПоляЧисловые, Отказ);
```
</details>

## ЗаполнитьСписокВыбораНаименованиеВходящегоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список выбора наименований входящих документов по 5 последним документам контрагента.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма документа.
// 	Контрагент - СправочникСсылка.Контрагенты - ссылка на контрагента, по которому будет поиск.
//
Процедура ЗаполнитьСписокВыбораНаименованиеВходящегоДокумента(Форма, Контрагент) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьСписокВыбораНаименованиеВходящегоДокумента(Форма, Контрагент) 
```
</details>

## ЗаполнитьПоступленияИЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет документы поступления и цены в табличной части документов возврата
//
// Параметры:
//		ДокументВозврата - ДокументОбъект.ВозвратТоваровПоставщику - Документ возврата
//		ИмяТаблицы - Строка - Имя таблицы Товары
Процедура ЗаполнитьПоступленияИЦены(ДокументВозврата, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьПоступленияИЦены(ДокументВозврата, ИмяТаблицы) 
```
</details>

## ЗаполнитьНоменклатуруПоставщикаВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать см. НоменклатураПартнеровСервер.ЗаполнитьНоменклатуруПартнераПоНоменклатуреВТаблице
// Заполняет номенклатуру поставщика при изменении поставщика в документе
//
// Параметры:
//  Таблица - ДанныеФормыКоллекция, ТаблицаЗначений - таблица, в которой необходимо заполнить номенклатуру поставщика.
//  Партнер - СправочникСсылка.Партнеры - поставщик, которому принадлежит номенклатура.
//
Процедура ЗаполнитьНоменклатуруПоставщикаВТаблице(Таблица, Партнер) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.ЗаполнитьНоменклатуруПоставщикаВТаблице(Таблица, Партнер) 
```
</details>

## СвязатьНоменклатуруСНоменклатуройПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать см. НоменклатураПартнеровСервер.ЗаполнитьПустоеСопоставлениеВНоменклатуреПартнераПоНоменклатуреИБ.
// Заполняет номенклатуру, характеристику, упаковку в номенклатуре поставщика с пустой номенклатурой.
//
// Параметры:
//  Товары - ТаблицаЗначений - таблица, содержащая данные для связывания номенклатуры с номенклатурой поставщика.
//  Отказ - Булево - Истина, если не удалось связать номенклатуру с номенклатурой поставщика.
//
Процедура СвязатьНоменклатуруСНоменклатуройПоставщика(Товары, Отказ) Экспорт
```

Пример вызова
```bsl
ЗакупкиСервер.СвязатьНоменклатуруСНоменклатуройПоставщика(Товары, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
