---
title: Запасы сервер
slug: erp-uh/запасы-сервер
---


## ПроверитьИзменениеРеквизитовДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет изменение реквизитов в документе.
//
// Параметры:
// 	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
// 	Ссылка - ДокументСсылка -
// 	ИменаРеквизитов - Строка -
//
// Возвращаемое значение:
// 	Булево - Описание
//
Функция ПроверитьИзменениеРеквизитовДокумента(МенеджерВременныхТаблиц, Ссылка, ИменаРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ПроверитьИзменениеРеквизитовДокумента(МенеджерВременныхТаблиц, Ссылка, ИменаРеквизитов) 
```
</details>

## ПроверитьИзменениеТоваровПоКоличеству
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет изменение табличной части "Товары" относительно табличной части "Виды запасов" документа.
//
// Параметры:
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//
// Возвращаемое значение:
//	Булево - Истина, товарный состав документа изменился.
//
Функция ПроверитьИзменениеТоваровПоКоличеству(МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ПроверитьИзменениеТоваровПоКоличеству(МенеджерВременныхТаблиц) 
```
</details>

## ПроверитьИзменениеТоваровПоКоличествуИСумме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет изменение табличной части "Товары" относительно табличной части "Виды запасов" документа.
//
// Параметры:
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//
// Возвращаемое значение:
//	Булево - Истина - товары изменены.
//
Функция ПроверитьИзменениеТоваровПоКоличествуИСумме(МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ПроверитьИзменениеТоваровПоКоличествуИСумме(МенеджерВременныхТаблиц) 
```
</details>

## ПроверитьНеобходимостьПерезаполненияВидовЗапасовДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет необходимость принудительного перезаполнения видов запасов и устанавливает соответствующий параметр
// запроса.
//
// Параметры:
//	ДокументОбъектИлиДопСвойства - ДокументОбъект, Структура - объект документа или дополнительные свойства документа.
//	Запрос - Запрос - запрос обращения к ИБ.
//
// Возвращаемое значение:
//	Булево - Истина, необходимо перезаполнить виды запасов.
//
Функция ПроверитьНеобходимостьПерезаполненияВидовЗапасовДокумента(ДокументОбъектИлиДопСвойства, Запрос = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ПроверитьНеобходимостьПерезаполненияВидовЗапасовДокумента(ДокументОбъектИлиДопСвойства, Запрос);
```
</details>

## ДополнитьВременныеТаблицыОбязательнымиКолонками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет временные таблицы обязательными колонками, требующихся для корректного заполнения видов запасов.
//
// Параметры:
//	Запрос - Запрос - запрос, который содержит описание временных таблиц.
//
Процедура ДополнитьВременныеТаблицыОбязательнымиКолонками(Запрос) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ДополнитьВременныеТаблицыОбязательнымиКолонками(Запрос) 
```
</details>

## ПараметрыЗаполненияВидовЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, которая используется при заполнении видов запасов.
// В структуре описываются основные отборы видов запасов и варианты контроля.
//
// Возвращаемое значение:
//	Структура - описание:
//		* ИмяТЧВидыЗапасов - Строка - имя табличной части документа, в которую будут добавлены подобранные виды запасов.
//		* ТаблицаВидыЗапасов - Неопределено, ТаблицаЗначений - таблица, в которую будут добавлены подобранные виды запасов.
//																Если определено,  то виды запасов будут добавлены только
//																в таблицу значений, а не в табличную часть.
//																Описание таблицы:
//			** АналитикаУчетаНоменклатуры - СправочникСсылка.КлючиАналитикиУчетаНоменклатуры.
//			** ВидЗапасов - СправочникСсылка.ВидыЗапасов.
//			** НомерГТД - СправочникСсылка.НомераГТД.
//			** Склад - СправочникСсылка.Склады.
//			** Количество - Число.
//			** КоличествоПоРНПТ - Число.
//			** СуммаСНДС - Число.
//			** СуммаНДС - Число.
//			** СтавкаНДС - СправочникСсылка.СтавкиНДС.
//			** СуммаВознаграждения - Число.
//			** СуммаНДСВознаграждения - Число.
//			** АналитикаУчетаНоменклатурыОтгрузки - СправочникСсылка.КлючиАналитикиУчетаНоменклатуры.
//			** ВидЗапасовОтгрузки - СправочникСсылка.ВидыЗапасов.
//			** КорВидЗапасов - СправочникСсылка.ВидыЗапасов.
//			** ДокументПередачи - Неопределено.
//			** ЗаказКлиента - Неопределено.
//		* ИмяПоляОрганизация - Строка - имя реквизита в документе, в котором хранится организация.
//		* ДоступныеВидыЗапасовУжеСформированы - Булево - показывает отсутствие необходимости формирования ВТ ДоступныеВидыЗапасов.
//		* ТаблицаОстатковУжеСформирована - Булево - в редких случаях таблица остатков, по которой нужно заполнять
//													виды запасов может быть сформирована заранее в вызывающем коде.
//		* ПодбиратьВидыЗапасовПоИнтеркампани - Булево - разрешает необходимость потребления видов запасов
//														по схеме интеркампани.
//		* ПриПодбореПоИнтеркампаниИсключатьОрганизации - Массив из СправочникСсылка.Организации - исключать организации.
//		* КорВидыЗапасов - Массив Из СправочникСсылка.ВидыЗапасов- коллекция видов запасов.
//		* ДокументДелаетИПриходИРасход - Булево - признак того, что документ делает приходные и расходные движения.
//													Например: Документ.ПередачаТоваровМеждуОрганизациями.
//													В этом случае используется более сложный механизм
//													формирования резервов - резервы записываются один раз при обработке
//													всех видов движений.
//		* НалогообложениеНДС - Неопределено - тип налогообложения документа. Если не заполнено, то считается, что
//												оно не меняется.
//		* ОтборыВидовЗапасов - см. Справочники.ВидыЗапасов.ПараметрыОтбораВидовЗапасов.
//		* СообщатьОбОшибкахЗаполнения - Булево - признак необходимости вывода информационных сообщений пользователю.
//		* ИмяТаблицыОстатков - Строка - имя таблицы остатков.
//		* КоличествоПериодовПриФормированииРезервовОрганизаций - Число, Неопределено - заполняется при формировании
//																						остатков по источнику ТоварыОрганизаций.
//		* ПодбиратьЗапасыРазныхПериодов - Булево - разрешается документу использовать виды запасов из разных периодов.
//		* ТаблицаНовыеРезервы - Неопределено, ТаблицаЗначений - таблица сформированных резервов, содержащая следующие колонки:
//			** АналитикаУчетаНоменклатуры - СправочникСсылка.КлючиАналитикиУчетаНоменклатуры.
//			** Организация - СправочникСсылка.Организации.
//			** ВидЗапасов - СправочникСсылка.ВидыЗапасов.
//			** НомерГТД - СправочникСсылка.НомераГТД.
//			** ЭтоСторно - Булево.
//			** Количество - Число.
//			** КоличествоПоРНПТ - Число.
//		* ТаблицаСторноДвижений- Неопределено, ТаблицаЗначений - таблица сторнирующих движений резервов товаров организаций, содержащая следующие колонки:
//			** АналитикаУчетаНоменклатуры - СправочникСсылка.КлючиАналитикиУчетаНоменклатуры.
//			** Организация - СправочникСсылка.Организации.
//			** ВидЗапасов - СправочникСсылка.ВидыЗапасов.
//			** НомерГТД - СправочникСсылка.НомераГТД.
//			** ЭтоСторно - Булево.
//			** Количество - Число.
//			** КоличествоПоРНПТ - Число.
//		* БезОтбораПоНомерамГТД - Булево - признак необходимости отбора запасов в разрезе номеров ГТД.
//		* ПериодЗаполнения - Неопределено, Дата - если ПодбиратьЗапасыРазныхПериодов = Истина, то в этом параметре
//													передается, начиная с какого периода нужно перезаполнять виды запасов.
//		* ЕстьТаблицаПриходуемыхВидовЗапасов - Булево - признак, что нужно в таблицу остатков плюсовать таблицу видов
//														запасов из заполняемого документа т.е. документ при проведении
//														оприходует эти виды запасов, поэтому сам документ может их
//														и израсходовать уже.
//		* ИмяТаблицыПриходуемыхВидовЗапасов - Строка - имя временной таблицы, в которой лежат приходуемые при проведении
//														документом виды запасов, которые нужно учесть, когда выставлен
//														флаг ЕстьТаблицаПриходуемыхВидовЗапасов.
//		* ПодбиратьВТЧТоварыПринятыеНаОтветственноеХранение - Соответствие Из КлючИЗначение:
//			** Ключ - ПеречислениеСсылка.ТипыЗапасов - тип запасов.
//			** Значения - Строка - Значение Никогда, ПоНастройкамДоговора, ПоХозяйственнойОперации - если по остаткам подобрался вид запасов ТоварыПринятыеНаХранение
//															то в зависимости от флага он или подставится в ТЧ, или подставится собственный, а по типу запаса ключа
//															сформируется резерв. Если указано ПоХозяйственнойОперации - выбор действия зависит от хозяйственной операции в строке и определяется
//															параметром. Если настройка для типа запасов отсутствует, то он подставляется в ТЧ.
//		* ДействияПодбораТоваровПринятыхНаОтветственноеХранениеПоХозяйственнойОперации - Соответствие Из КлючИЗначение:
//			** Ключ - ПеречислениеСсылка.ТипыЗапасов - тип запасов.
//			**Значение - Соответствие Из КлючИЗначение:
//				*** Ключ - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция.
//				*** Значение - Строка - строка из списка значений параметра ПодбиратьВТЧТоварыПринятыеНаОтветственноеХранение.
//		* ПриНехваткеТоваровОрганизацииЗаполнятьВидамиЗапасовПоУмолчанию - Неопределено - если не хватает остатков, то генерируется вид запасов по умолчанию. Значение "Ложь" игнорируется,
//																							если выключен Контроль остатков товаров организаций. Жесткий запрет при "Ложь" может быть задан при помощи
//																							дополнительного параметра ИгнорироватьКонтрольТоваровОрганизацийПриЗапретеЗаполненияПоУмолчанию.
//																							При использовании этого параметра необходима ТаблицаРеквизитовВидовЗапасовПоУмолчанию.
//		* ИгнорироватьКонтрольТоваровОрганизацийПриЗапретеЗаполненияПоУмолчанию - Булево - Уточняет, требуется ли игнорировать отключенный Контроль товаров организаций, если параметр
//																							ПриНехваткеТоваровОрганизацииЗаполнятьВидамиЗапасовПоУмолчанию установлен в "Ложь".
//		* ВладелецТовараВШапке - Булево - используется для определения, откуда брать значения для генерации видов запасов - из ВТ ТаблицаДанныхДокумента, в которой лежат реквизиты шапки документа, или
//											из ТаблицаРеквизитовВидовЗапасовПоУмолчанию.
//		* ТаблицаРеквизитовВидовЗапасовПоУмолчанию - см. ПустаяТаблицаРеквизитовВидовЗапасовПоУмолчанию.
//		* СторнируемыйДокумент - ДокументСсылка, Неопределено - ссылка на сторнируемый документ в ИБ, используемый
//																при подборе виды запасов в документ Исправление
//																или Сторно перед записью документа.
//		* ИспользоватьРаздельноеОформлениеЗакупок - Булево - используется для выполнения контроля остатков
//																Товаров организаций по раздельному оформлению закупок (двухходовке).
//
Функция ПараметрыЗаполненияВидовЗапасов() Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ПараметрыЗаполненияВидовЗапасов() 
```
</details>

## ЗаполнитьВидыЗапасовПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет виды запасов в табличной части "Товары" документа поступления товаров.
//
// Параметры:
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - требуется временные таблица ИсходнаяТаблицаТоваров
//								(НомерСтроки, Номенклатура, Организация, ХозяйственнаяОперация, ТипЗапасов, Поставщик,
//								Соглашение, Валюта, НалогообложениеНДС).
//	ТабличнаяЧастьТовары - ТабличнаяЧасть - Табличная часть документа.
//	ВидЗапасовДокумента - СправочникСсылка.ВидыЗапасов - Найденный вид запасов (возвращаемое значение).
//															Используется если параметр "ТабличнаяЧастьТовары" имеет
//															значение Неопределено.
//	ИмяПоля - Строка - Имя поля в табличной части ТабличнаяЧастьТовары, в котором должны находиться виды запасов.
//	ЭтоПередачаТоваровМеждуОрганизациями - Булево - Признак того, что вызов идет из документа передачи товаров
//													между организациями.
//
Процедура ЗаполнитьВидыЗапасовПоУмолчанию(МенеджерВременныхТаблиц, Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ЗаполнитьВидыЗапасовПоУмолчанию(МенеджерВременныхТаблиц, );
```
</details>

## ЗаполнитьВидыЗапасовПоТоварамОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет виды запасов в табличной части "ВидыЗапасов" документа.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Документ, в котором заполняются виды запасов.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - требуется временные таблицы ТаблицаТоваров, ТаблицаВидыЗапасов.
//	Отказ - Булево - Признак необходимости прерывания проведения документа.
//	ПараметрыЗаполненияВидовЗапасов - См. ЗапасыСервер.ПараметрыЗаполненияВидовЗапасов.
//	ПроизводитсяОбновлениеИБ - Булево - Признак того, что вызов произведен из метода обновления объекта метаданных.
//
Процедура ЗаполнитьВидыЗапасовПоТоварамОрганизаций(ДокументОбъект, Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ЗаполнитьВидыЗапасовПоТоварамОрганизаций(ДокументОбъект, );
```
</details>

## ЗаполнитьВидыЗапасовПоКомиссионнымТоварамИнтеркампани
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет виды запасов в табличной части "ВидыЗапасов" документа.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Документ, в котором заполняются виды запасов.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц- требуется временные таблицы ТаблицаТоваров, ТаблицаВидыЗапасов.
//	Отказ - Булево - Признак необходимости прерывания проведения документа.
//	ПараметрыЗаполненияВидовЗапасов - Неопределено, Структура - См. ЗапасыСервер.ПараметрыЗаполненияВидовЗапасов.
//
Процедура ЗаполнитьВидыЗапасовПоКомиссионнымТоварамИнтеркампани(ДокументОбъект, МенеджерВременныхТаблиц, Отказ, ПараметрыЗаполненияВидовЗапасов) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ЗаполнитьВидыЗапасовПоКомиссионнымТоварамИнтеркампани(ДокументОбъект, МенеджерВременныхТаблиц, Отказ, ПараметрыЗаполненияВидовЗапасов) 
```
</details>

## ЗаполнитьВидыЗапасовПоОстаткамКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет виды запасов в табличной части "ВидыЗапасов" документа.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Документ, в котором заполняются виды запасов.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц- требуется временные таблицы ТаблицаТоваров, ТаблицаВидыЗапасов.
//	Отказ - Булево - Признак необходимости прерывания проведения документа.
//	ПараметрыЗаполненияВидовЗапасов - Неопределено, Структура - См. ЗапасыСервер.ПараметрыЗаполненияВидовЗапасов.
//
Процедура ЗаполнитьВидыЗапасовПоОстаткамКОформлению(ДокументОбъект, Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ЗаполнитьВидыЗапасовПоОстаткамКОформлению(ДокументОбъект, );
```
</details>

## СформироватьРезервыПоТоварамОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При проведении документа определяется факт потребления "чужих" видов запасов и выполняется
// формирование движений по РН Резервы товаров организаций.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Документ, в котором заполняются виды запасов.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц, используемых для формирования резервов.
//	Отказ - Булево - Признак необходимости прерывания проведения документа.
//	ПараметрыЗаполненияВидовЗапасов - Неопределено, Структура - См. ЗапасыСервер.ПараметрыЗаполненияВидовЗапасов.
//
Процедура СформироватьРезервыПоТоварамОрганизаций(ДокументОбъект, Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.СформироватьРезервыПоТоварамОрганизаций(ДокументОбъект, );
```
</details>

## ПодготовитьЗаписьТоваровОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При проведении документа формируется ВТ ДоступныеВидыЗапасов для использования в других механизмах контроля,
// ставятся необходимые блокировки.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Документ, в котором заполняются виды запасов.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц, используемых для подготовки данных
//														запись в регистр.
//	РежимЗаписи - РежимЗаписиДокумента - Режим записи документа.
//	ПараметрыЗаполнения - Неопределено, Структура - См. ЗапасыСервер.ПараметрыЗаполненияВидовЗапасов.
//
Процедура ПодготовитьЗаписьТоваровОрганизаций(ДокументОбъект, Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ПодготовитьЗаписьТоваровОрганизаций(ДокументОбъект, );
```
</details>

## СохранитьИсходныеДвиженияТоваровИРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет в менеджере временных таблиц исходные движения по регистру Товары организаций.
//
// Параметры:
//	ДокументСсылка - ДокументСсылка - Ссылка на документ.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Менеджер временных таблиц, в который будет помещена таблица.
//	СоздаватьПустыеТаблицы - Булево - Истина, признак того, что нужно создавать пустые таблицы менеджера временных таблиц.
//
Процедура СохранитьИсходныеДвиженияТоваровИРезервов(ДокументСсылка, Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.СохранитьИсходныеДвиженияТоваровИРезервов(ДокументСсылка, );
```
</details>

## СформироватьВТДоступныеВидыЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод формирует на основании отборов ВТ ДоступныеВидыЗапасов. Используются при построении таблицы остатков.
// Экспортируется для документа ВозвратСырьяДавальцу.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Документ, в котором будут заполняться виды запасов.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Менеджер временных таблиц.
//														Для работы алгоритма необходима таблица ТаблицаТоваров.
//														Временная таблица ДоступныеВидыЗапасов формируется в процессе работы алгоритма и помещается в текущий менеджер.
//	ПараметрыЗаполненияВидовЗапасов - См. ПараметрыЗаполненияВидовЗапасов.
//	ИмяВТИсточникаТекущихВидовЗапасов - Строка - имя таблицы, в которой хранятся данные о текущих видах запасов документа.
//
Процедура СформироватьВТДоступныеВидыЗапасов(ДокументОбъект, Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.СформироватьВТДоступныеВидыЗапасов(ДокументОбъект, );
```
</details>

## ТаблицаРеквизитовВидовЗапасовПоУмолчаниюЗапросом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает типизированную таблицу значений, строки которой описывают значения реквизитов видов запасов,
// сформированную по данным документа.
//
// Параметры:
//	Запрос - Запрос - запрос для получения данных документа
//
// Возвращаемое значение:
//	см. ПустаяТаблицаРеквизитовВидовЗапасовПоУмолчанию
//
Функция ТаблицаРеквизитовВидовЗапасовПоУмолчаниюЗапросом(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ТаблицаРеквизитовВидовЗапасовПоУмолчаниюЗапросом(Запрос) 
```
</details>

## ВыполнитьСверткуРезервовТоваровОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запуск свертки сторно-записей регистра "Резервы товаров организаций".
// В результате удаляются лишние записи регистра.
Процедура ВыполнитьСверткуРезервовТоваровОрганизаций() Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ВыполнитьСверткуРезервовТоваровОрганизаций() 
```
</details>

## УстановитьУсловноеОформлениеПодразделенияДляВидовЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливаем условное оформление для подразделения, если используются виды запасов по подразделениям.
//
// Параметры:
// 		Форма - ФормаКлиентскогоПриложения - Содержит данную форму
// 		ИмяПоляВводаПодразделения - Строка - Наименование элемента формы, содержащего подразделение,
//												если оно отличается от "Подразделение".
// 		ПутьКПолюОтбора - Строка - Полный путь к реквизиту "Подразделение",
//									если он отличается от "Объект.Подразделение".
//
Процедура УстановитьУсловноеОформлениеПодразделенияДляВидовЗапасов(Форма, Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.УстановитьУсловноеОформлениеПодразделенияДляВидовЗапасов(Форма, );
```
</details>

## ПараметрыРедактированияВидовЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры редактирования данных табличной части видов запасов документа.
//
// Возвращаемое значение:
//	Структура - параметры редактирования табличной части видов запасов документа:
//		* ВидыЗапасовУказаныВручную - Булево - признак указания видов запасов в документе.
//		* ДокументМодифицирован - Булево - признак того, что форма документа модифицирована, после внесения изменений в
//											табличную часть видов запасов.
//		* ЦенаВключаетНДС - Булево - признак того, что НДС включен в цену товара.
//		* Организация - СправочникСсылка.Организации - организация, для которой осуществляется редактирование табличной
//														части.
//		* Склад - СправочникСсылка.Склады - склад, на котором осуществляется учет запасов.
//		* ОтображатьДокументыРеализации - Булево - признак необходимости отображения колонки, содержащей информацию
//													о документе реализации.
//		* РедактироватьВидыЗапасов - Булево - признак того, что можно редактировать данные табличной части.
//		* ИмяКолонкиХарактеристика - Строка - имя колонки, содержащей информацию о характеристиках номенклатуры.
//		* ИмяКолонкиНоменклатура - Строка - имя колонки, содержащей информацию о номенклатуре.
//		* ТоварВШапке - Булево - признак того, что информация о номенклатуре указана в шапке документа (не в табличной
//									части).
//		* АдресВидовЗапасовВХранилище - Строка - адрес временного хранилища, в котором хранится информация табличной
//													части видов запасов.
//		* АдресТоваровВХранилище - Строка - адрес временного хранилища, в котором хранится информация табличной
//													части товаров.
//		* ИмяТЧВидыЗапасов - Строка - имя табличной части видов запасов документа.
//		* ИмяТЧТовары - Строка - имя табличной части товаров документа.
//		* ДатаДокумента - Дата - дата документа, для которого осуществляется указание видов запасов.
//
Функция ПараметрыРедактированияВидовЗапасов() Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ПараметрыРедактированияВидовЗапасов() 
```
</details>

## ПоместитьТоварыИВидыЗапасовВХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает табличные части "Товары" и "Виды запасов" во временное хранилище.
//
// Параметры:
//  Форма								- ФормаКлиентскогоПриложения - форма документа
//  ПараметрыРедактированияВидовЗапасов	- см. ЗапасыСервер.ПараметрыРедактированияВидовЗапасов
//
// Возвращаемое значение:
//  см. ЗапасыСервер.ПараметрыРедактированияВидовЗапасов
//
Функция ПоместитьТоварыИВидыЗапасовВХранилище(Форма, ПараметрыРедактированияВидовЗапасов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ПоместитьТоварыИВидыЗапасовВХранилище(Форма, ПараметрыРедактированияВидовЗапасов);
```
</details>

## ОбработатьВводВидовЗапасовВручную
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает ввод видов запасов и помещает указанные виды запасов в табличную часть объекта.
//
// Параметры:
//	ВыбранноеЗначение	 - см. ЗапасыСервер.ПараметрыРедактированияВидовЗапасов - значение возвращаемое
//										формой редактирования видов запасов.
//	Форма				 - ФормаКлиентскогоПриложения	 - форма объекта, у которого есть табличная часть ВидыЗапасов
//
Процедура ОбработатьВводВидовЗапасовВручную(ВыбранноеЗначение, Форма) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ОбработатьВводВидовЗапасовВручную(ВыбранноеЗначение, Форма) 
```
</details>

## ПроверитьЗаполнениеПодразделенияВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение подразделения в табличной части.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект, ФормаКлиентскогоПриложения - проверяемый документ.
//	ТипыНоменклатуры - Массив Из ПеречислениеСсылка.ТипыНоменклатуры - проверяемые типы номенклатуры.
//	ТекстОшибки - Строка - Текст ошибки с параметром "%1" для номера строки.
//	Отказ - Булево - признак наличия ошибок.
//	ИмяТЧ - Строка - имя реквизита табличной части, в которой осуществляется проверка.
//
Процедура ПроверитьЗаполнениеПодразделенияВТабличнойЧасти(ДокументОбъект, Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ПроверитьЗаполнениеПодразделенияВТабличнойЧасти(ДокументОбъект, );
```
</details>

## ПараметрыПроверкиЗаполненияНомеровГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров, используемую при проверке заполнения номеров ГТД в табличной части объекта.
//
// Возвращаемое значение:
//	Структура - содержит следующие свойства:
//		* ИмяТЧ - Строка - имя табличной части, в которой осуществляется проверка.
//		* ПредставлениеТЧ - Строка - представление проверяемой табличной части. Если значение параметра не указано,
//										тогда представление принимает значение равное синониму реквизита объекта
//										метаданных.
//		* ИмяПоляНоменклатура - Строка - имя поля, содержащего информацию о номенклатуре.
//		* ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации, Неопределено - хозяйственная операция документа.
//
Функция ПараметрыПроверкиЗаполненияНомеровГТД() Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ПараметрыПроверкиЗаполненияНомеровГТД() 
```
</details>

## ПроверитьЗаполнениеНомеровГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет указание номеров ГТД в табличной части "Товары".
//
// Параметры:
//	ДокументОбъект - ДокументОбъект, ФормаКлиентскогоПриложения - проверяемый документ.
//	Отказ - Булево - признак отказа от проведения документа.
//	ПараметрыПроверки - см. ПараметрыПроверкиЗаполненияНомеровГТД.
//
Процедура ПроверитьЗаполнениеНомеровГТД(ДокументОбъект, Отказ, ПараметрыПроверки = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ПроверитьЗаполнениеНомеровГТД(ДокументОбъект, Отказ, ПараметрыПроверки);
```
</details>

## ПроверитьНаличиеИзделийВТЧСУчетомПоГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет наличие в производимых изделиях номенклатуры, для которой включен учет номеров ГТД.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	Отказ - Булево - Признак отказа от проведения документа.
//	ИмяТЧ - Строка - Имя проверяемой табличной части.
//
Процедура ПроверитьНаличиеИзделийВТЧСУчетомПоГТД(ДокументОбъект, Отказ, ИмяТЧ = "ВыходныеИзделия") Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ПроверитьНаличиеИзделийВТЧСУчетомПоГТД(ДокументОбъект, Отказ, ИмяТЧ);
```
</details>

## ПроверитьНаличиеИзделийВШапкеСУчетомПоГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет наличие производимой номенклатуры, для которой включен учет номеров ГТД.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	Отказ - Булево - Признак отказа от проведения документа.
//
Процедура ПроверитьНаличиеИзделийВШапкеСУчетомПоГТД(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ПроверитьНаличиеИзделийВШапкеСУчетомПоГТД(ДокументОбъект, Отказ) 
```
</details>

## ИсправитьОстаткиПоТоварамКПередачеВФоновомЗадании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет исправление отрицательных остатков по РН Товары организаций к передаче в фоновом задании.
//
// Параметры:
//	ПараметрыЗадания - Структура - Параметры расчета в фоне.
//
// Возвращаемое значение:
//	Булево - Признак успешного запуска задания.
Функция ИсправитьОстаткиПоТоварамКПередачеВФоновомЗадании(ПараметрыЗадания) Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ИсправитьОстаткиПоТоварамКПередачеВФоновомЗадании(ПараметрыЗадания) 
```
</details>

## ИсправитьОстаткиПоТоварамКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Исправляет отрицательные остатки по РН Товары организаций к передаче.
// Вызывается из Обработки.ЖурналДокументовИнтеркампани.РабочееМестоПередачиТоваров21.
//
// Параметры:
// ПараметрыВызова - Структура:
//	 * НачалоПериода - Период - Дата начала выборки движений к исправлению.
//	 * КонецПериода - Период - Дата окончания выборки движений к исправлению.
//	 * Организации - Массив - Перечень организаций по которым необходимо исправить остатки.
//
Процедура ИсправитьОстаткиПоТоварамКПередаче(ПараметрыВызова) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ИсправитьОстаткиПоТоварамКПередаче(ПараметрыВызова) 
```
</details>

## УстановитьПараметрыСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет установку параметров сеанса. Вызывается из модуля сеанса.
//
// Параметры:
//   ИмяПараметра           - Строка - имя параметра сеанса.
//   УстановленныеПараметры - Массив - массив всех установленных параметров сеанса.
//
Процедура УстановитьПараметрыСеанса(ИмяПараметра, УстановленныеПараметры) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.УстановитьПараметрыСеанса(ИмяПараметра, УстановленныеПараметры) 
```
</details>

## ИмяСобытияВыключенКонтрольОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяСобытияВыключенКонтрольОстатков() Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ИмяСобытияВыключенКонтрольОстатков() 
```
</details>

## ИмяДопСвойстваДляПерезаполненияВидовЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяДопСвойстваДляПерезаполненияВидовЗапасов() Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ИмяДопСвойстваДляПерезаполненияВидовЗапасов() 
```
</details>

## ИмяРеквизитаФормыВидыЗапасовБылиИзменены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяРеквизитаФормыВидыЗапасовБылиИзменены() Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ИмяРеквизитаФормыВидыЗапасовБылиИзменены());
```
</details>

## ТаблицаОстатковМатериаловВПодразделении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Процедура формирует таблицу остатков материалов в подразделении.
//
// Параметры:
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Менеджер, в который помещается результирующая таблица.
//	СтруктураПараметров - Структура - Параметры построения: Организация, Подразделение, ДокументВозврата, Номенклатура, Характеристика.
//
Процедура ТаблицаОстатковМатериаловВПодразделении(МенеджерВременныхТаблиц, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ТаблицаОстатковМатериаловВПодразделении(МенеджерВременныхТаблиц, СтруктураПараметров) 
```
</details>

## ПодготовитьДанныеДляОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Метод подготавливает данные для отчета "Остатки товаров организаций".
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Документ, для которого вызывается формирование отчета.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Содержит временную таблицу ТаблицаТоваров,
//														подготовленные данные помещаются в менеджер.
//	ПараметрыЗаполненияВидовЗапасов - Структура - Параметры заполнения, см. ЗапасыСервер.ПараметрыЗаполненияВидовЗапасов.
//
Процедура ПодготовитьДанныеДляОтчета(ДокументОбъект, МенеджерВременныхТаблиц, ПараметрыЗаполненияВидовЗапасов) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ПодготовитьДанныеДляОтчета(ДокументОбъект, МенеджерВременныхТаблиц, ПараметрыЗаполненияВидовЗапасов) 
```
</details>

## ЗаполнитьОбщиеПараметрыТекстеСообщенияОбОшибкахПроведенияПоТоварамОрганизацийИРезервам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет в тексте сообщения информационные поля.
//
// Параметры:
//	ТекстСообщения - Строка - Шаблон текста сообщения.
//	Регистратор - ДокументСсылка - Ссылка на документ.
//	Выборка - ВыборкаИзРезультатаЗапроса - Источник данных для заполнения.
//
Процедура ЗаполнитьОбщиеПараметрыТекстеСообщенияОбОшибкахПроведенияПоТоварамОрганизацийИРезервам(ТекстСообщения, Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ЗаполнитьОбщиеПараметрыТекстеСообщенияОбОшибкахПроведенияПоТоварамОрганизацийИРезервам(ТекстСообщения, );
```
</details>

## ДатаАктуальныхОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату хранения актуальных остатков
//
// Возвращаемое значение:
// 	Дата - дата хранения актуальных остатков
//
Функция ДатаАктуальныхОстатков() Экспорт
```

Пример вызова
```bsl
Результат = ЗапасыСервер.ДатаАктуальныхОстатков() 
```
</details>

## ЗаполнитьВидыЗапасовПриОбмене
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизиты, хранящие информацию о видах запасов и аналитиках учета номенклатуры в табличных частях товаров
// документа, а также заполняет табличные части виды запасов.
//
// Параметры:
//	Объект - ДокументОбъект - документ, для которого необходимо выполнить заполнение информации.
//	Отказ - Булево - признак того, что не удалось заполнить данные.
//	ТаблицыДокумента - Структура, Неопределено - коллекция содержащая, информацию о данных табличных частей
//													товаров документа.
//
Процедура ЗаполнитьВидыЗапасовПриОбмене(Объект, Отказ, ТаблицыДокумента = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ЗаполнитьВидыЗапасовПриОбмене(Объект, Отказ, ТаблицыДокумента);
```
</details>

## ЗарегистрироватьДанныеДляУстановкиИспользованияРегламентногоЗаданияСверткиРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует данные для установки использования регламентного задания свертки резервов.
//
// Параметры:
//  Параметры - см. ОбновлениеИнформационнойБазы.ОсновныеПараметрыОтметкиКОбработке
//
Процедура ЗарегистрироватьДанныеДляУстановкиИспользованияРегламентногоЗаданияСверткиРезервов(Параметры) Экспорт
```

Пример вызова
```bsl
ЗапасыСервер.ЗарегистрироватьДанныеДляУстановкиИспользованияРегламентногоЗаданияСверткиРезервов(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
