---
title: Заполнение объектов по статистике ЗЕРНО
slug: erp-uh/заполнение-объектов-по-статистике-зерно
---


## ДанныеЗаполненияФормированиеПартийЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа "Формирование партии ЗЕРНО" по статистике
// Параметры:
//  Организация - ОпределяемыйТип.Организация
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ЦельИспользования                - СправочникСсылка.КлассификаторНСИЗЕРНО
//  * Организация                      - ОпределяемыйТип.Организация.
//  * Подразделение                    - ОпределяемыйТип.Подразделение.
//  * Операция                         - ПеречислениеСсылка.ВидыОперацийЗЕРНО
//  * ВидПродукции                     - ПеречислениеСсылка.ВидыПродукцииИС
//  * НазначениеПартии                 - СправочникСсылка.КлассификаторНСИЗЕРНО
//  * СтранаНазначения                 - СправочникСсылка.СтраныМира
//  * ГодУрожая                        - Число
//  * ВладелецПартии                   - ОпределяемыйТип.ОрганизацияКонтрагентГосИС.
//  * ПодразделениеВладельцаПартии     - ОпределяемыйТип.Подразделение
//  * ПоставитьПартиюНаХранение        - Булево
//  * Товаропроизводитель              - ОпределяемыйТип.ОрганизацияКонтрагентГосИС
//  * ПодразделениеТоваропроизводителя - ОпределяемыйТип.Подразделение.
Функция ДанныеЗаполненияФормированиеПартийЗЕРНО(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеЗЕРНО.ДанныеЗаполненияФормированиеПартийЗЕРНО(Организация) 
```
</details>

## ДанныеЗаполненияФормированиеПартийИзДругихПартийЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа "Формирование партии из других партий ЗЕРНО" по статистике
// Параметры:
//  Организация - ОпределяемыйТип.Организация.
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ЦельИспользования - СправочникСсылка.КлассификаторНСИЗЕРНО
//  * Организация       - ОпределяемыйТип.Организация.
//  * Подразделение     - ОпределяемыйТип.Подразделение.
//  * ВидПродукции      - ПеречислениеСсылка.ВидыПродукцииИС
//  * Операция          - ПеречислениеСсылка.ВидыОперацийЗЕРНО
//  * НазначениеПартии  - СправочникСсылка.КлассификаторНСИЗЕРНО
//  * ВладелецПартии    - ОпределяемыйТип.ОрганизацияКонтрагентГосИС.
Функция ДанныеЗаполненияФормированиеПартийИзДругихПартийЗЕРНО(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеЗЕРНО.ДанныеЗаполненияФормированиеПартийИзДругихПартийЗЕРНО(Организация) 
```
</details>

## ДанныеЗаполненияФормированиеПартийПриПроизводствеЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа "Формирование партии при производстве ЗЕРНО" по статистике
// Параметры:
//  Организация - ОпределяемыйТип.Организация.
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ЦельИспользования   - СправочникСсылка.КлассификаторНСИЗЕРНО
//  * Организация         - ОпределяемыйТип.Организация
//  * Подразделение       - ОпределяемыйТип.Подразделение.
//  * Товаропроизводитель - ОпределяемыйТип.ОрганизацияКонтрагентГосИС.
//  * НазначениеПартии    - СправочникСсылка.КлассификаторНСИЗЕРНО
Функция ДанныеЗаполненияФормированиеПартийПриПроизводствеЗЕРНО(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеЗЕРНО.ДанныеЗаполненияФормированиеПартийПриПроизводствеЗЕРНО(Организация) 
```
</details>

## ДанныеЗаполненияЗапросаОстатковПартийЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа ЗапросОстатковПартийЗЕРНО по статистике
// Параметры:
//  Организация - ОпределяемыйТип.Организация
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * Организация    - ОпределяемыйТип.Организация.
//  * Подразделение  - ОпределяемыйТип.Подразделение.
//  * ВидПродукции   - ПеречислениеСсылка.ВидыПродукцииИС
//  * Операция       - ПеречислениеСсылка.ВидыОперацийЗЕРНО
//  * ВладелецПартии - ОпределяемыйТип.ОрганизацияКонтрагентГосИС
//  * Элеватор       - ОпределяемыйТип.ОрганизацияКонтрагентГосИС
Функция ДанныеЗаполненияЗапросаОстатковПартийЗЕРНО(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеЗЕРНО.ДанныеЗаполненияЗапросаОстатковПартийЗЕРНО(Организация) 
```
</details>

## ДанныеЗаполненияВнесениеСведенийОСобранномУрожаеЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа ВнесениеСведенийОСобранномУрожаеЗЕРНО" по статистике
// Параметры:
//  Организация - ОпределяемыйТип.Организация
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * Организация   - ОпределяемыйТип.Организация.
//  * Подразделение - ОпределяемыйТип.Подразделение.
//  * Склад         - ОпределяемыйТип.Склад
Функция ДанныеЗаполненияВнесениеСведенийОСобранномУрожаеЗЕРНО(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеЗЕРНО.ДанныеЗаполненияВнесениеСведенийОСобранномУрожаеЗЕРНО(Организация) 
```
</details>

## ДанныеЗаполненияСписаниеПартийЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа "Списание партии ЗЕРНО" по статистике
// Параметры:
//  Организация - ОпределяемыйТип.Организация
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ЦельИспользования - СправочникСсылка.КлассификаторНСИЗЕРНО
//  * Организация       - ОпределяемыйТип.Организация.
//  * Подразделение     - ОпределяемыйТип.Подразделение.
//  * ВидПродукции      - ПеречислениеСсылка.ВидыПродукцииИС
//  * Операция          - ПеречислениеСсылка.ВидыОперацийЗЕРНО
//  * НазначениеПартии  - СправочникСсылка.КлассификаторНСИЗЕРНО
Функция ДанныеЗаполненияСписаниеПартийЗЕРНО(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеЗЕРНО.ДанныеЗаполненияСписаниеПартийЗЕРНО(Организация) 
```
</details>

## ДанныеЗаполненияОформлениеСДИЗЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа "Оформление СДИЗ ЗЕРНО" по статистике
// Параметры:
//  Организация - ОпределяемыйТип.Организация.
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * Организация - ОпределяемыйТип.Организация
//  * Подразделение - ОпределяемыйТип.Подразделение
//  * ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС
//  * Операция - ПеречислениеСсылка.ВидыОперацийЗЕРНО
Функция ДанныеЗаполненияОформлениеСДИЗЗЕРНО(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеЗЕРНО.ДанныеЗаполненияОформлениеСДИЗЗЕРНО(Организация) 
```
</details>

## ДанныеЗаполненияПогашениеСДИЗЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа "Погашение СДИЗ ЗЕРНО" по статистике
// Параметры:
//  Организация - ОпределяемыйТип.Организация.
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * Организация   - ОпределяемыйТип.Организация.
//  * Подразделение - ОпределяемыйТип.Подразделение.
//  * ВидПродукции  - ПеречислениеСсылка.ВидыПродукцииИС
//  * Операция      - ПеречислениеСсылка.ВидыОперацийЗЕРНО
Функция ДанныеЗаполненияПогашениеСДИЗЗЕРНО(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеЗЕРНО.ДанныеЗаполненияПогашениеСДИЗЗЕРНО(Организация) 
```
</details>

## ЗаполнитьПустойРеквизит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПустойРеквизит(Объект, ДанныеСтатистики, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
ЗаполнениеОбъектовПоСтатистикеЗЕРНО.ЗаполнитьПустойРеквизит(Объект, ДанныеСтатистики, ИмяРеквизита) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
