---
title: Заполнение объектов по статистике САТУРН
slug: erp-uh/заполнение-объектов-по-статистике-сатурн
---


## ДанныеЗаполненияАктИнвентаризацииСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа АктИнвентаризацииСАТУРН по статистике
// Параметры:
//  ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//  * МестоХранения     - СправочникСсылка.МестаХраненияСАТУРН
Функция ДанныеЗаполненияАктИнвентаризацииСАТУРН(ОрганизацияСАТУРН) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеСАТУРН.ДанныеЗаполненияАктИнвентаризацииСАТУРН(ОрганизацияСАТУРН) 
```
</details>

## ДанныеЗаполненияПроизводственнаяОперацияСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа ПроизводственнаяОперацияСАТУРН по статистике
// Параметры:
//  ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//  * МестоХранения     - СправочникСсылка.МестаХраненияСАТУРН
Функция ДанныеЗаполненияПроизводственнаяОперацияСАТУРН(ОрганизацияСАТУРН) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеСАТУРН.ДанныеЗаполненияПроизводственнаяОперацияСАТУРН(ОрганизацияСАТУРН) 
```
</details>

## ДанныеЗаполненияЗапросаОстатковСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа ЗапросОстатковПартийСАТУРН по статистике
// Параметры:
//  ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//  * МестоХранения     - СправочникСсылка.МестаХраненияСАТУРН
Функция ДанныеЗаполненияЗапросаОстатковСАТУРН(ОрганизацияСАТУРН) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеСАТУРН.ДанныеЗаполненияЗапросаОстатковСАТУРН(ОрганизацияСАТУРН) 
```
</details>

## ДанныеЗаполненияНакладнаяСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа НакладнаяСАТУРН по статистике
// Параметры:
//  ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//  ГрузополучательОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ГрузоотправительОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//  * ГрузоотправительМестоХранения     - СправочникСсылка.МестаХраненияСАТУРН
//  * ГрузополучательОрганизацияСАТУРН  - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//  * ГрузополучательМестоХранения      - СправочникСсылка.МестаХраненияСАТУРН
//  * Операция                          - ПеречислениеСсылка.ВидыОперацийСАТУРН
Функция ДанныеЗаполненияНакладнаяСАТУРН(ОрганизацияСАТУРН, ГрузополучательОрганизацияСАТУРН) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеСАТУРН.ДанныеЗаполненияНакладнаяСАТУРН(ОрганизацияСАТУРН, ГрузополучательОрганизацияСАТУРН) 
```
</details>

## ДанныеЗаполненияПланПримененияСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа ПланПримененияСАТУРН по статистике
// Параметры:
//  ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ОрганизацияСАТУРН  - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//  * СрокОграничений    - Строка
//  * СпособПримененияПАТ - ПеречислениеСсылка.СпособыПримененияПАТСАТУРН
Функция ДанныеЗаполненияПланПримененияСАТУРН(ОрганизацияСАТУРН) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеСАТУРН.ДанныеЗаполненияПланПримененияСАТУРН(ОрганизацияСАТУРН) 
```
</details>

## ДанныеЗаполненияАктПримененияСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа АктПримененияСАТУРН по статистике
// Параметры:
//  ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ОрганизацияСАТУРН  - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//  * МестоХранения       - СправочникСсылка.МестаХраненияСАТУРН
//  * СпособПримененияПАТ - ПеречислениеСсылка.СпособыПримененияПАТСАТУРН
Функция ДанныеЗаполненияАктПримененияСАТУРН(ОрганизацияСАТУРН) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеСАТУРН.ДанныеЗаполненияАктПримененияСАТУРН(ОрганизацияСАТУРН) 
```
</details>

## ДанныеЗаполненияИмпортПродукцииСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение документа ИмпортПродукцииСАТУРН по статистике
// Параметры:
//  ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//
// Возвращаемое значение:
//	Структура - данные заполнения:
//  * ОрганизацияСАТУРН  - СправочникСсылка.КлассификаторОрганизацийСАТУРН
//  * МестоХранения       - СправочникСсылка.МестаХраненияСАТУРН
Функция ДанныеЗаполненияИмпортПродукцииСАТУРН(ОрганизацияСАТУРН) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеОбъектовПоСтатистикеСАТУРН.ДанныеЗаполненияИмпортПродукцииСАТУРН(ОрганизацияСАТУРН) 
```
</details>

## ЗаполнитьПустойРеквизит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПустойРеквизит(Объект, ДанныеСтатистики, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
ЗаполнениеОбъектовПоСтатистикеСАТУРН.ЗаполнитьПустойРеквизит(Объект, ДанныеСтатистики, ИмяРеквизита) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
