---
title: Заполнение расшифровка регламентированной отчетности
slug: erp-uh/заполнение-расшифровка-регламентированной-отчетности
---


## НовыйРасшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует коллекцию, содержащую описание порядка расчета показателей отчетности - "расшифровку".
// Вывод расшифровки предполагается с помощью общей формы РасшифровкаПоказателейРегламентированныхОтчетов.
//
// Возвращаемое значение:
//  ТаблицаЗначений - см. содержимое функции.
//
Функция НовыйРасшифровка() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеРасшифровкаРегламентированнойОтчетности.НовыйРасшифровка() 
```
</details>

## НовыйДетальныеЗаписиРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует коллекцию, содержащую детальные записи расчета показателя.
// Вывод расшифровки предполагается с помощью общей формы РасшифровкаПоказателейРегламентированныхОтчетов
//
// Возвращаемое значение:
//  ТаблицаЗначений - см. содержимое функции
//
Функция НовыйДетальныеЗаписиРасчета() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеРасшифровкаРегламентированнойОтчетности.НовыйДетальныеЗаписиРасчета() 
```
</details>

## ДобавитьСтрокуРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет описание строки расшифровки в таблицу расшифровок.
// В случае, если таблица расшифровок не инициализирована, выполняется ее инициализация.
//
Процедура ДобавитьСтрокуРасшифровки(ТаблицаРасшифровок, ИмяПоказателя, НаименованиеПоказателя, ЗнакОперации, НаименованиеСлагаемого, Сумма, ИмяРаздела, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗаполнениеРасшифровкаРегламентированнойОтчетности.ДобавитьСтрокуРасшифровки(ТаблицаРасшифровок, ИмяПоказателя, НаименованиеПоказателя, ЗнакОперации, НаименованиеСлагаемого, Сумма, ИмяРаздела, ДополнительныеПараметры);
```
</details>

## ЗаполнитьКолонкуОрганизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обеспечивает наличие заполненной колонки Организация.
// В некоторых случаях предполагается, что в расшифровках нет колонки Организация,
// а в других - что она есть и заполнена.
// При инициализации расшифровки в ходе вызова ДобавитьСтрокуРасшифровки колонка Организация отсутствует.
// Если важно ее наличие, следует обеспечить ее наличие и заполнение после заполнения расшифровки.
//
// Параметры:
//  ТаблицаРасшифровок	 - ТаблицаЗначений - см. НовыйРасшифровка()
//  Организация			 - СправочникСсылка.Организации - организация для заполнения
//
Процедура ЗаполнитьКолонкуОрганизация(ТаблицаРасшифровок, Организация) Экспорт
```

Пример вызова
```bsl
ЗаполнениеРасшифровкаРегламентированнойОтчетности.ЗаполнитьКолонкуОрганизация(ТаблицаРасшифровок, Организация) 
```
</details>

## НовыйНастройкиОтчетаПоРегиструБухгалтерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Готовит настройки отчета в формате, понятном форме РасшифровкаПоказателейРегламентированныхОтчетов
//
// Параметры:
//  ВидОтчета		 - Строка - имя отчета, используемого для расшифровки.
//                     Поддерживаются:
//                     * ОборотноСальдоваяВедомостьПоСчету
//                     * АнализСчета
//                     * ОтчетПоПроводкам
//                     * ОборотыМеждуСубконто
//                     * ОборотыСчета
//  Организация		 - СправочникСсылка.Организации - организация, по которой формируется отчет
//  НачалоПериода	 - Дата	 - начало периода, за который формируется отчет
//  КонецПериода	 - Дата	 - конец периода, за который формируется отчет
//  Счет			 - ПланСчетовСсылка.Хозрасчетный - счет, по которому формируется отчет
//  ОписаниеСумм	 - Структура - см. КоллекцииСумм.НовыйОписаниеКоллекцииСумм, набор сумм которые должны быть выведены в отчете
//
// Возвращаемое значение:
//  Структура - см. тело функции
//
Функция НовыйНастройкиОтчетаПоРегиструБухгалтерии(ВидОтчета, Организация, НачалоПериода, КонецПериода, Счет, ОписаниеСумм) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеРасшифровкаРегламентированнойОтчетности.НовыйНастройкиОтчетаПоРегиструБухгалтерии(ВидОтчета, Организация, НачалоПериода, КонецПериода, Счет, ОписаниеСумм) 
```
</details>

## ДобавитьОтборВНастройкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет отбор в настройки стандартного отчета, расшифровывающего регламентированный отчет.
//
// Параметры:
//  Настройки	 - Структура - см. НовыйНастройкиОтчетаПоРегиструБухгалтерии, заполняемые настройки отчета
//  ИмяПоля		 - Строка - имя поля группировки в терминах отчета. Может быть определено с помощью ОписаниеСубконтоСчета
//	Значение     - Произвольный - Значение отбора
//	ВидСравнения - ВидСравненияКомпоновкиДанных - Вид сравнений компоновки данных (по умолчанию: Равно)
//
// Возвращаемое значение:
//	ЭлементОтбораКомпоновкиДанных - Добавленный элемент отбора
//
Функция ДобавитьОтборВНастройкиОтчета(Настройки, ИмяПоля, Значение, ВидСравнения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеРасшифровкаРегламентированнойОтчетности.ДобавитьОтборВНастройкиОтчета(Настройки, ИмяПоля, Значение, ВидСравнения);
```
</details>

## ОтборНастроекОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предоставляет доступ к настройке отбора настраиваемого отчета.
//
// Параметры:
//  Настройки	 - Структура - см. НовыйНастройкиОтчетаПоРегиструБухгалтерии, выполняемые настройки отчета
//
// Возвращаемое значение:
//  ОтборКомпоновкиДанных - настройки отбора
//
Функция ОтборНастроекОтчета(Настройки) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеРасшифровкаРегламентированнойОтчетности.ОтборНастроекОтчета(Настройки) 
```
</details>

## ДобавитьГруппировкуВНастройкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет группировку в настройки стандартного отчета - в том виде, который принят в стандартных отчетах.
// А именно:
//  - настройка группировки представлена в виде массива структур
//  - элемент массива соответствует строке таблицы группировок в отчете
//  - структура содержит ключи и значения:
//    -- Использование, 	Булево (здесь Истина)
//    -- Поле, 				Строка (имя поля группировки в терминах отчета)
//    -- Представление, 	Строка (представление группировки (поля))
//    -- ТипГруппировки, 	Число  (0 - Без групп, 1 - С группами, 2 - Только группы)
//
// Параметры:
//  Настройки		 - Структура - см. НовыйНастройкиОтчетаПоРегиструБухгалтерии, заполняемые настройки отчета
//  ИмяПоля			 - Строка - имя поля группировки в терминах отчета. Может быть определено с помощью ОписаниеСубконтоСчета
//  Представление	 - Строка - представление поля группировки. Может быть определено с помощью ОписаниеСубконтоСчета
//  ТипГруппировки	 - Число - 0: Без групп, 1: С группами, 2: Только группы
//
Процедура ДобавитьГруппировкуВНастройкиОтчета(Настройки, ИмяПоля, Представление, ТипГруппировки = 0) Экспорт
```

Пример вызова
```bsl
ЗаполнениеРасшифровкаРегламентированнойОтчетности.ДобавитьГруппировкуВНастройкиОтчета(Настройки, ИмяПоля, Представление, ТипГруппировки);
```
</details>

## ОписаниеСубконтоСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет описание поля субконто в виде структуры для использования в методах настройки отчетов.
//
// Параметры:
//  ПолеВиртуальнойТаблицы	 - Строка - имя поля виртуальной таблицы, лежащей в основе отчета
//  Счет					 - ПланСчетовСсылка.Хозрасчетный - счет, по которому формируется отчет
//  ВидИлиНомерСубконто		 - Число - порядковый номер субконто на счете
//                           - ПланВидовХарактеристикСсылка.ВидыСубконтоХозрасчетные - субконто счета, по которому формируется отчет
//
// Возвращаемое значение:
//  Структура - описание субконто
//    * "Имя" - Строка - Имя поля отчета, соответствующее запрошенному субконто
//    * "Представление" -  Строка - Пользовательское представление вида субконто
//
Функция ОписаниеСубконтоСчета(ПолеВиртуальнойТаблицы, Счет, ВидИлиНомерСубконто) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеРасшифровкаРегламентированнойОтчетности.ОписаниеСубконтоСчета(ПолеВиртуальнойТаблицы, Счет, ВидИлиНомерСубконто) 
```
</details>

## НастроитьОборотыСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает состав показателей отчета "ОборотыСчета"
//
// Параметры:
//  Настройки		 - Структура - см. НовыйНастройкиОтчетаПоРегиструБухгалтерии, заполняемые настройки отчета
//  ДебетКредит		 - Строка - "Дт" - включить данные по дебету счета, "Кт" - по кредиту, "" (пустая строка) - по обеим сторонам
//  СальдоНаНачало	 - Булево - выводить в отчете начальное сальдо
//  СальдоНаКонец	 - Булево - выводить в отчете конечное сальдо
//  Обороты			 - Булево - выводить в отчете обороты - сводно
//  ОборотыСоСчетами - Булево - выводить в отчете обороты - детально по счетам
//
Процедура НастроитьОборотыСчета(Настройки, ДебетКредит = "", СальдоНаНачало = Ложь, СальдоНаКонец = Ложь, Обороты = Ложь, ОборотыСоСчетами = Истина) Экспорт
```

Пример вызова
```bsl
ЗаполнениеРасшифровкаРегламентированнойОтчетности.НастроитьОборотыСчета(Настройки, ДебетКредит, СальдоНаНачало, СальдоНаКонец, Обороты, ОборотыСоСчетами);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
