---
title: Заполнение фин отчетности в банки
slug: erp-uh/заполнение-фин-отчетности-в-банки
---


## ОписаниеВидовОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание видов отчетов, поддерживаемых в перечислении ПакетXDTO.ФинОтчетностьВБанки.ВидыОтчетов.
//
// Возвращаемое значение:
//	ТаблицаЗначений - см. Результат.
//
Функция ОписаниеВидовОтчетов() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ОписаниеВидовОтчетов() 
```
</details>

## КомплектыОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений с полным перечнем возможных комплектов отчетности для банка.
//
// Параметры:
//	Банк - СправочникСсылка.БанкиУниверсальногоОбмена - Банк, для которого запрашивается информация.
//
// Возвращаемое значение:
//	ТаблицаЗначений - см. описание переменной Результат.
//
Функция КомплектыОтчетности(Банк) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.КомплектыОтчетности(Банк) 
```
</details>

## НастройкиКомплектаОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание настроек комплекта отчета в виде структуры с ключами,
// имена которых соответствуют именам свойств из пакета XDTO ФинОтчетностьВБанки.
//
// Параметры:
//	Банк - СправочникСсылка.БанкиУниверсальногоОбмена - Банк, для которого запрашивается информация.
//	ИдентификаторКомплекта - Строка - Идентификатор комплекта банка.
//
// Возвращаемое значение:
//	Структура - описание настроек комплекта отчета,
//  Неопределено, если не комплект не найден.
//
Функция НастройкиКомплектаОтчетности(Банк, ИдентификаторКомплекта) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.НастройкиКомплектаОтчетности(Банк, ИдентификаторКомплекта) 
```
</details>

## СписокРеквизитовСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Список реквизитов субъектов (организаций или контрагентов), которые используются подсистемой фин.отчетности.
//
// Возвращаемое значение:
//  Структура    - Ключ = имя реквизита;
//                 Значение = значение по-умолчанию для реквизита.
//
Функция СписокРеквизитовСубъекта() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.СписокРеквизитовСубъекта() 
```
</details>

## ИмяФайлаПоТипуФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет расширение у файла.
//
// Параметры:
//  ИмяФайла     - Строка - со старым расширением.
//  ЦелевойФормат - ТипФайлаТабличногоДокумента, Строка - к какому расширению привести.
//  ПоследнийИспользовавшийся - Структура - предыдущий результат сопоставления типа и расширения (для кеширования).
//
// Возвращаемое значение:
//   Строка      - имя файла с новым расширением.
//
Функция ИмяФайлаПоТипуФайла(Знач ИмяФайла, Знач ЦелевойФормат, ПоследнийИспользовавшийся = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ИмяФайлаПоТипуФайла(ИмяФайла, ЦелевойФормат, ПоследнийИспользовавшийся);
```
</details>

## ПустыеПараметрыОтчетаВедомостьАмортизацииОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПустыеПараметрыОтчетаВедомостьАмортизацииОС() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПустыеПараметрыОтчетаВедомостьАмортизацииОС() 
```
</details>

## ПустыеПараметрыОтчетаВаловаяПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПустыеПараметрыОтчетаВаловаяПрибыль() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПустыеПараметрыОтчетаВаловаяПрибыль() 
```
</details>

## ПустыеПараметрыОтчетаКассоваяКнига
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПустыеПараметрыОтчетаКассоваяКнига() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПустыеПараметрыОтчетаКассоваяКнига() 
```
</details>

## ПодготовитьОтчетБСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Без открытия формы формирует табличный документ отчета, построенный на основе подсистемы "Варианты отчетов" из БСП.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ПараметрыОтчетаВедомостьАмортизацииОС()
//  ПараметрыЗаполнения - Структура - см. модуль менеджера документа ФинОтчетВБанк, процедура ЗаполнитьОтчетыВФоне()
//
// Возвращаемое значение:
//  Структура - см. БухгалтерскиеОтчетыВызовСервера.РезультатФормированияОтчета()
//
Функция ПодготовитьОтчетБСП(ПараметрыОтчета, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПодготовитьОтчетБСП(ПараметрыОтчета, ПараметрыЗаполнения) 
```
</details>

## ПодготовитьОтчетБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Без открытия формы формирует табличный документ стандартного бухгалтерского отчета.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ПараметрыОтчетаВедомостьАмортизацииОС()
//  ПараметрыЗаполнения - Структура - см. модуль менеджера документа ФинОтчетВБанк, процедура ЗаполнитьОтчетыВФоне()
//
// Возвращаемое значение:
//  Структура - см. БухгалтерскиеОтчетыВызовСервера.РезультатФормированияОтчета()
//
Функция ПодготовитьОтчетБП(ПараметрыОтчета, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПодготовитьОтчетБП(ПараметрыОтчета, ПараметрыЗаполнения) 
```
</details>

## НайтиСчетПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиСчетПоКоду(Знач КодСчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.НайтиСчетПоКоду(КодСчета) 
```
</details>

## НовыйПараметрыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор основных параметров формы отчета.
//
// Параметры:
//
// Возвращаемое значение:
//	Структура - Параметры для открытия формы на клиенте.
//
Функция НовыйПараметрыФормы() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.НовыйПараметрыФормы() 
```
</details>

## ЗаполнитьОбщиеПараметрыКомпоновкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОбщиеПараметрыКомпоновкиОтчета(ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанки.ЗаполнитьОбщиеПараметрыКомпоновкиОтчета(ПараметрыОтчета) 
```
</details>

## ЗаполнитьЗначенияСвойствКромеТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗначенияСвойствКромеТаблиц(Приемник, Источник) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанки.ЗаполнитьЗначенияСвойствКромеТаблиц(Приемник, Источник) 
```
</details>

## ЗаполнитьГруппировкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьГруппировкиОтчета(ПараметрыОтчета, НастройкиОтчета, СвойстваСчета, КешСубконто) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанки.ЗаполнитьГруппировкиОтчета(ПараметрыОтчета, НастройкиОтчета, СвойстваСчета, КешСубконто) 
```
</details>

## ЗаполнитьОтборыОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОтборыОтчета(ПараметрыОтчета, НастройкиОтчета, СвойстваСчета, КешСубконто) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанки.ЗаполнитьОтборыОтчета(ПараметрыОтчета, НастройкиОтчета, СвойстваСчета, КешСубконто) 
```
</details>

## ЗаполнитьДополнительныеПоляОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДополнительныеПоляОтчета(ПараметрыОтчета, НастройкиОтчета, СвойстваСчета, КешСубконто) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанки.ЗаполнитьДополнительныеПоляОтчета(ПараметрыОтчета, НастройкиОтчета, СвойстваСчета, КешСубконто) 
```
</details>

## ЗаполнитьИнтервалыОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьИнтервалыОтчета(ПараметрыОтчета, НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанки.ЗаполнитьИнтервалыОтчета(ПараметрыОтчета, НастройкиОтчета) 
```
</details>

## ФорматыСохраненияРеглОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает форматы сохранения регл. отчетов в виде массива
//
// Параметры:
//	ТипФайлаРегОтчета - Строка
//
// Возвращаемое значение:
//   Массив   - Массив строк.
//
Функция ФорматыСохраненияРеглОтчетности(ТипФайлаРегОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ФорматыСохраненияРеглОтчетности(ТипФайлаРегОтчета) 
```
</details>

## ПараметрыФормыОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры открытия формы отчета по параметрам его заполнения.
//
// Параметры:
//	ПараметрыОтчета - Структура - параметры формирования отчета.
//
// Возвращаемое значение:
//	Структура - Параметры для открытия формы на клиенте.
//
Функция ПараметрыФормыОтчета(ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыФормыОтчета(ПараметрыОтчета) 
```
</details>

## ПустыеПараметрыОтчетаПоФормеБанка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с параметрами для формирования отчета по форме банка.
//
// Возвращаемое значение:
//	Структура
//
Функция ПустыеПараметрыОтчетаПоФормеБанка() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПустыеПараметрыОтчетаПоФормеБанка() 
```
</details>

## ЗаголовокОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок отчета для строки отчетности.
//
// Параметры:
//	СтрокаОтчетности - строка ТЧ Отчетность документа ФинОтчетВБанк.
//	СтрокаНастройки - строка настроек отчета, см. НовыеОтчеты().
//
// Возвращаемое значение:
//	Структура
//
Функция ЗаголовокОтчета(СтрокаОтчетности, СтрокаНастройки) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ЗаголовокОтчета(СтрокаОтчетности, СтрокаНастройки) 
```
</details>

## ПараметрыОтчетаАнализСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Анализ счета" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаАнализСчета(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаАнализСчета(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаОСВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "ОСВ" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаОСВ(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаОСВ(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаОСВПоСчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "ОСВ по счету" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаОСВПоСчету(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаОСВПоСчету(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаОборотыСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Обороты счета" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаОборотыСчета(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаОборотыСчета(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаКарточкаСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Карточка счета" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаКарточкаСчета(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаКарточкаСчета(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаВаловаяПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Валовая прибыль" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыОтчетаВаловаяПрибыль()
//
Функция ПараметрыОтчетаВаловаяПрибыль(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаВаловаяПрибыль(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаВедомостьАмортизацииОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Ведомость амортизации ОС" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыОтчетаВедомостьАмортизацииОС()
//
Функция ПараметрыОтчетаВедомостьАмортизацииОС(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаВедомостьАмортизацииОС(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаРасшифровкаЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Расшифровка задолженности" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаРасшифровкаЗадолженности(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаРасшифровкаЗадолженности(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаКассоваяКнига
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Кассовая книга" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаКассоваяКнига(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаКассоваяКнига(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаКнигаУчетаДоходовПатент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Книга доходов по патенту" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаКнигаУчетаДоходовПатент(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаКнигаУчетаДоходовПатент(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаКнигаУчетаДоходовИРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Книга доходов и расходов УСН" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаКнигаУчетаДоходовИРасходов(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаКнигаУчетаДоходовИРасходов(НастройкиОтчета) 
```
</details>

## ПараметрыОтчетаКнигаУчетаДоходовИРасходовПредпринимателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Книга доходов и расходов предпринимателя" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаКнигаУчетаДоходовИРасходовПредпринимателя(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаКнигаУчетаДоходовИРасходовПредпринимателя(НастройкиОтчета) 
```
</details>

## ПодготовитьДвоичныеДанныеПакетаОтображаемыхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьДвоичныеДанныеПакетаОтображаемыхДокументов(ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПодготовитьДвоичныеДанныеПакетаОтображаемыхДокументов(ПараметрыОтчета) 
```
</details>

## ПараметрыОтчетаОстаткиТоваровПоСрокамХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования отчета "Остатки товаров по срокам хранения" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//
// Возвращаемое значение:
//   Структура   - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Функция ПараметрыОтчетаОстаткиТоваровПоСрокамХранения(НастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаОстаткиТоваровПоСрокамХранения(НастройкиОтчета) 
```
</details>

## НовыйВозвращаемыеПараметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры формирования файла с набором листов.
//
// Возвращаемое значение:
//  Структура - Новый возвращаемые параметры:
// * Выполнено - Булево
// * КраткоеПредставлениеОшибки - Строка
// * ПодробноеПредставлениеОшибки - Строка
// * СписокСформированныхЛистов - СписокЗначений
// * Результат - ТабличныйДокумент
Функция НовыйВозвращаемыеПараметры() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.НовыйВозвращаемыеПараметры() 
```
</details>

## СформироватьОтчетПоФормеБанка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует отчет по форме банка.
//
// Параметры:
//  ПараметрыОтчета              - Структура - см. ПараметрыОтчетаПоФормеБанка.
//
// Возвращаемое значение:
//   РезультатФормированияОтчета - Структура - см. БухгалтерскиеОтчетыВызовСервера.РезультатФормированияОтчета.
//
Функция СформироватьОтчетПоФормеБанка(ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.СформироватьОтчетПоФормеБанка(ПараметрыОтчета) 
```
</details>

## ОтчетПредставляетсяВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если отчет должен быть представлен в контролирующие органы.
//
// Параметры:
//	ИсточникОтчета - Строка - Имя регламентированного отчета или "БухгалтерскаяОтчетность".
//	ДатаОкончания - Дата - Конец периода, за который составляется отчет.
//
// Возвращаемое значение:
//	Булево
//
Функция ОтчетПредставляетсяВКонтролирующиеОрганы(ИсточникОтчета, ДатаОкончания) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ОтчетПредставляетсяВКонтролирующиеОрганы(ИсточникОтчета, ДатаОкончания) 
```
</details>

## НовыеПараметрыПоискаРеглОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений для описания искомых отчетов с помощью функций ПодобратьБухОтчетность()
// и ПодобратьНалоговыеДекларации().
//
// Возвращаемое значение:
//	ТаблицаЗначений
//
Функция НовыеПараметрыПоискаРеглОтчетов() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.НовыеПараметрыПоискаРеглОтчетов() 
```
</details>

## НовыеПодобранныеРеглОтчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыеПодобранныеРеглОтчеты() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.НовыеПодобранныеРеглОтчеты());
```
</details>

## ПодобратьБухОтчетность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу со ссылками на регламентированные отчеты для запрошенных отчетов.
//
// Параметры:
//	ПараметрыПоискаРеглОтчетов - см. ЗаполнениеФинОтчетностиВБанки.НовыеПараметрыПоискаРеглОтчетов() - Описание искомых отчетов.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Подобрать бух отчетность:
// * Организация - СправочникСсылка.Организации -
// * РегистрацияВНалоговомОргане - СправочникСсылка.РегистрацииВНалоговомОргане -
// * ИсточникОтчета - Строка
// * ДатаОкончания - Дата
// * ТребуетсяОтметкаОПриемеОтчетности - Булево
// * Ссылка - ДокументСсылка.РегламентированныйОтчет
// * НаименованиеОтчета - Строка - Наименование отчета
// * ФинансовыйПериод -Дата
// * ВариантОтчета - Строка
Функция ПодобратьБухОтчетность(ПараметрыПоискаРеглОтчетов) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПодобратьБухОтчетность(ПараметрыПоискаРеглОтчетов) 
```
</details>

## ПодобратьРегламентированныеОтчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для переданного набора аналитик подбирает соответствующие им регламентированные отчеты, выбирая последний по
// статусу (сдан/подготовлен/в работе) и версии (номеру корректировки).
//
// Параметры:
//  ПараметрыПоискаРеглОтчетов - ТаблицаЗначений - см. НовыеПараметрыПоискаРеглОтчетов()
//
// Возвращаемое значение:
//   ТаблицаЗначений - см. описание колонки "Документы" в ИнтерфейсыВзаимодействияБРО.ЗаполнитьСсылкиНаРеглОтчеты()
//
Функция ПодобратьРегламентированныеОтчеты(ПараметрыПоискаРеглОтчетов) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПодобратьРегламентированныеОтчеты(ПараметрыПоискаРеглОтчетов) 
```
</details>

## ПодготовитьПараметрыПоискаРеглОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет набор параметров для поиска среди регламентированных отчетов.
//
// Параметры:
//  ПараметрыПоискаРеглОтчетов - ТаблицаЗначений - см. НовыеПараметрыПоискаРеглОтчетов()
//
Процедура ПодготовитьПараметрыПоискаРеглОтчетов(ПараметрыПоискаРеглОтчетов) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанки.ПодготовитьПараметрыПоискаРеглОтчетов(ПараметрыПоискаРеглОтчетов) 
```
</details>

## ПроверитьНаличиеПодписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает для каждого переданного объекта признак наличия хотя бы одной
// валидной электронной подписи.
//
// Параметры:
//	СсылкиНаОбъекты - Массив из ОпределяемыйТип.ПодписанныйОбъект - Проверяемые объекты.
//
// Возвращаемое значение:
//	Соответствие:
//		* Ключ - ОпределяемыйТип.ПодписанныйОбъект - Ссылка на объект.
//		* Значение - Булево - Истина, если есть хотя бы одна валидная подпись.
//
Функция ПроверитьНаличиеПодписей(СсылкиНаОбъекты) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПроверитьНаличиеПодписей(СсылкиНаОбъекты) 
```
</details>

## ЕстьПодписьВнутриАрхива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что внутри переданного присоединенного файла-архива есть файл-электронная подпись.
//
// Параметры:
//  Архив        - ДвоичныеДанные - zip-архив, внутри которого нужно искать;
//               - ОпределяемыйТип.ПрисоединенныйФайл - место хранения проверяемых данных;
//               - Строка - адрес во временном хранилище или путь на диске (на сервере).
//
// Возвращаемое значение:
//   Булево      - Истина, если это архив, внутри которого есть хотя бы одна ЭЦП; иначе Ложь.
//
Функция ЕстьПодписьВнутриАрхива(Знач Архив) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ЕстьПодписьВнутриАрхива(Архив) 
```
</details>

## ЭтоИмяФайлаАрхива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли файл с таким расширением архивом.
// Параметры:
//  ИмяФайла - Строка - Имя файла
//
// Возвращаемое значение:
//  Булево - Это имя файла архива
Функция ЭтоИмяФайлаАрхива(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ЭтоИмяФайлаАрхива(ИмяФайла) 
```
</details>

## РасширенияПодписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив расширений, которые используются для файлов подписей.
//
// Возвращаемое значение:
//	Массив из Строка
//
Функция РасширенияПодписей() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.РасширенияПодписей() 
```
</details>

## ПараметрыПомещенияДляПодписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Содержит информацию, которая требуется алгоритмам, получающим и подписывающим файлы отчетности.
// Возвращаемое значение:
//  Структура - Параметры помещения для подписания:
// * Сервис - ПеречислениеСсылка.СервисыОбменаСБанками -
// * ТипДокумента - ПеречислениеСсылка.ТипыДокументовОбменаСБанками -
// * Организация - СправочникСсылка.Организации -
// * Банки - Массив
// * Предмет - Строка
// * Идентификатор - Строка
// * ИдентификаторАрхива - Строка - для объединения файлов в архив перед подписанием;
// * ПодписыватьФайлыВнутриАрхивов - Булево - признак добавления подписей для каждого файла внутри архива;
// * Зашифровать - Булево - зашифровать перед подписанием;
// * ПользовательскийФорматДляВыгрузки - ТипФайлаТабличногоДокумента - подготовить файл типа ТипФайлаТабличногоДокумента на основе регламентированного отчета;
// * ЭтоЭлектроннаяПодписьВМоделиСервиса - Булево - подписание локальной ЭЦП; Истина - подписание облачной ЭЦП;
Функция ПараметрыПомещенияДляПодписания() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПараметрыПомещенияДляПодписания() 
```
</details>

## РезультатПодготовкиКПодписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Содержит описание результата подготовки к подписанию файлов, полученных из регламентированного отчета.
//

// Результат подготовки к подписанию.
//
// Возвращаемое значение:
//  Структура - Результат подготовки к подписанию:
// * Выгружен - Булево - файл извлечен из регл.отчета;
// * Подготовлен - Булево - файл помещен в регистр для подписания;
// * Ошибки - Массив - тексты ошибок;
// * ТаблицаСообщений - см. ИнтерфейсыВзаимодействияБРО.НовыйТаблицаСообщенийОбОшибкахВыгрузки();
// * ИмяФайлаАрхива - Строка.
// * ПодготовленныеФайлы - Массив - имена выгруженных файлов;
Функция РезультатПодготовкиКПодписанию() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.РезультатПодготовкиКПодписанию() 
```
</details>

## ВыгрузитьРегламентированныйОтчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает файлы-представления регламентированного отчета в машиночитаемом или пользовательском формате.
//
// Параметры:
//  РегламентированныйОтчет - ДокументСсылка.РегламентированныйОтчет - отчет, который выгружается.
//  ПользовательскийФорматДляВыгрузки - ТипФайлаТабличногоДокумента, Неопределено - если нужны файлы в пользовательском формате.
//  ДополнительныеПараметрыВыгрузки - Структура
//  	* см. описание параметра функции ИнтерфейсыВзаимодействияБРО.ВыгрузитьРегламентированныйОтчет(),
//  	* ключ ВидВыгрузки со строковыми значениями: Файл, Разделы
//
// Возвращаемое значение:
//   Структура   - два вида файлов-выгрузок регл.отчета:
//               * ОписаниеОшибки, КраткоеОписаниеОшибки - Строка - после успешной выгрузки будут пустыми.
//               * ИмяФайлаВыгрузки, АдресФайлаВыгрузки - Строка - результаты выгрузки в машиночитаемом формате.
//               * ТаблицаСообщений - см. ИнтерфейсыВзаимодействияБРО.НовыйТаблицаСообщенийОбОшибкахВыгрузки()
//               * ФайлыВПользовательскомФормате - Массив - см. ИнтерфейсыВзаимодействияБРО.ФайлыРегламентированногоОтчета()
//               * СостояниеДокумента - см. ИнтерфейсыВзаимодействияБРОКлиентСервер.НовыйСостояниеДокумента()
//
Функция ВыгрузитьРегламентированныйОтчет(РегламентированныйОтчет, ПользовательскийФорматДляВыгрузки = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ВыгрузитьРегламентированныйОтчет(РегламентированныйОтчет, ПользовательскийФорматДляВыгрузки, );
```
</details>

## ПоместитьВЖурналОперацийСФайламиДанныеРеглОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает в регистр для выгрузки отчет определенного вида из отправляемых в заявке.
//
// Параметры:
//  РезультатВыгрузкиОтчета - см. ВыгрузитьРегламентированныйОтчет()
//  ПараметрыПомещения - Структура - см. ПараметрыПомещенияДляПодписания()
//
// Возвращаемое значение:
//   Структура   - см. РезультатПодготовкиКПодписанию()
//
Функция ПоместитьВЖурналОперацийСФайламиДанныеРеглОтчета(РезультатВыгрузкиОтчета, ПараметрыПомещения) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПоместитьВЖурналОперацийСФайламиДанныеРеглОтчета(РезультатВыгрузкиОтчета, ПараметрыПомещения) 
```
</details>

## СохранитьПараметрПоказыватьБаннерПодсказку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьПараметрПоказыватьБаннерПодсказку(ЗначениеПараметра) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанки.СохранитьПараметрПоказыватьБаннерПодсказку(ЗначениеПараметра) 
```
</details>

## ПолучитьПараметрПоказыватьБаннерПодсказку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрПоказыватьБаннерПодсказку() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПолучитьПараметрПоказыватьБаннерПодсказку() 
```
</details>

## СохранитьПараметрПоказыватьБаннерАвтозаполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьПараметрПоказыватьБаннерАвтозаполнение(ЗначениеПараметра) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанки.СохранитьПараметрПоказыватьБаннерАвтозаполнение(ЗначениеПараметра) 
```
</details>

## ПолучитьПараметрПоказыватьБаннерАвтозаполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрПоказыватьБаннерАвтозаполнение() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПолучитьПараметрПоказыватьБаннерАвтозаполнение() 
```
</details>

## СохранитьПараметрАвтозаполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьПараметрАвтозаполнение(ЗначениеПараметра) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанки.СохранитьПараметрАвтозаполнение(ЗначениеПараметра) 
```
</details>

## ПолучитьПараметрАвтозаполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрАвтозаполнение() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.ПолучитьПараметрАвтозаполнение() 
```
</details>

## КартинкаБаннерПояснениеНовогоИнтерфейса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КартинкаБаннерПояснениеНовогоИнтерфейса() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.КартинкаБаннерПояснениеНовогоИнтерфейса() 
```
</details>

## КартинкаБаннерАвтозаполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КартинкаБаннерАвтозаполнение() Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанки.КартинкаБаннерАвтозаполнение() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
