---
title: Заполнение фин отчетности в банки вызов сервера
slug: erp-uh/заполнение-фин-отчетности-в-банки-вызов-сервера
---


## НачатьОбновлениеФинОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НачатьОбновлениеФинОтчетности(ИдентификаторФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанкиВызовСервера.НачатьОбновлениеФинОтчетности(ИдентификаторФормы);
```
</details>

## ЭтоАрхивныйКомплект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоАрхивныйКомплект(Получатель, ИдентификаторКомплекта) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанкиВызовСервера.ЭтоАрхивныйКомплект(Получатель, ИдентификаторКомплекта) 
```
</details>

## ЗакончитьВыполнениеПравила
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗакончитьВыполнениеПравила(Знач Правило) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиВызовСервера.ЗакончитьВыполнениеПравила(Правило) 
```
</details>

## ДоступныйВариантОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на вариант отчета.
//
// Параметры:
//  ИдентификаторОтчета - Строка - имя отчета.
//  КлючВарианта - Строка - имя варианта отчета.
//  НайтиЭлементСправочника - Булево - Ложь, возвращается только имя отчета; Истина, ссылка на справочник вариантов отчетов.
//
// Возвращаемое значение:
//  СправочникСсылка.ВариантыОтчетов - ссылка на вариант отчета, если НайтиЭлементСправочника = Истина.
//  Строка - имя доступного варианта, если НайтиЭлементСправочника = Ложь.
//  Неопределено - если отчет отсутствует или недоступен по правам.
//
Функция ДоступныйВариантОтчета(Знач ИдентификаторОтчета, Знач ИмяВарианта, НайтиЭлементСправочника = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЗаполнениеФинОтчетностиВБанкиВызовСервера.ДоступныйВариантОтчета(ИдентификаторОтчета, ИмяВарианта, НайтиЭлементСправочника);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
