---
title: Заполнение фин отчетности в банки клиент переопределяемый
slug: erp-uh/заполнение-фин-отчетности-в-банки-клиент-переопределяемый
---


## ПриИзмененииСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отрабатывает изменение в форме списка.
// При использовании отдельного интерфейсного решения по работе с помеченными на удаление объектами.
//
// Параметры:
//   Форма       - ФормаКлиентскогоПриложения - форма, в которой производится настройка.
//   Элемент     - ТаблицаФормы - настраиваемая таблица.
//
Процедура ПриИзмененииСписка(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентПереопределяемый.ПриИзмененииСписка(Форма, Элемент) 
```
</details>

## ОткрытьОтчетВедомостьАмортизацииОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму отчета-ведомости по ОС.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаВедомостьАмортизацииОС()
//  ФормаВладелец - ФормаУправляемогоПриложения - форма документа ФинОтчетВБанк.
//
Процедура ОткрытьОтчетВедомостьАмортизацииОС(ПараметрыОтчета, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентПереопределяемый.ОткрытьОтчетВедомостьАмортизацииОС(ПараметрыОтчета, ФормаВладелец) 
```
</details>

## ОткрытьОтчетВаловаяПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму отчета по валовой прибыли.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаВаловаяПрибыль()
//  ФормаВладелец - ФормаУправляемогоПриложения - форма документа ФинОтчетВБанк.
//
Процедура ОткрытьОтчетВаловаяПрибыль(ПараметрыОтчета, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентПереопределяемый.ОткрытьОтчетВаловаяПрибыль(ПараметрыОтчета, ФормаВладелец) 
```
</details>

## ОткрытьОтчетКассоваяКнига
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует печатную форму "Кассовая книга".
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаКассоваяКнига()
//  ФормаВладелец - ФормаУправляемогоПриложения - форма документа ФинОтчетВБанк.
//
Процедура ОткрытьОтчетКассоваяКнига(ПараметрыОтчета, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентПереопределяемый.ОткрытьОтчетКассоваяКнига(ПараметрыОтчета, ФормаВладелец) 
```
</details>

## ОткрытьОтчетКнигаУчетаДоходовИРасходовПредпринимателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму отчета Книга доходов и расходов предпринимателя.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаКнигаУчетаДоходовИРасходовПредпринимателя()
//  ФормаВладелец - ФормаУправляемогоПриложения - форма документа ФинОтчетВБанк.
//
Процедура ОткрытьОтчетКнигаУчетаДоходовИРасходовПредпринимателя(ПараметрыОтчета, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентПереопределяемый.ОткрытьОтчетКнигаУчетаДоходовИРасходовПредпринимателя(ПараметрыОтчета, ФормаВладелец) 
```
</details>

## ОткрытьОтчетРасшифровкаЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму отчета Расшифровка задолженности.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаРасшифровкаЗадолженности()
//  ФормаВладелец - ФормаУправляемогоПриложения - форма документа ФинОтчетВБанк.
//
Процедура ОткрытьОтчетРасшифровкаЗадолженности(ПараметрыОтчета, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентПереопределяемый.ОткрытьОтчетРасшифровкаЗадолженности(ПараметрыОтчета, ФормаВладелец) 
```
</details>

## ОткрытьСписокПакетовФинОтчетностьВБанки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму списка пакетов фин.отчетности.
//
// Параметры:
//  ПараметрыКоманды - ПараметрыВыполненияКоманды - параметры обработчика команды.
//
Процедура ОткрытьСписокПакетовФинОтчетностьВБанки(ПараметрыКоманды) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентПереопределяемый.ОткрытьСписокПакетовФинОтчетностьВБанки(ПараметрыКоманды) 
```
</details>

## НастроитьОтправку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки периодической отправки пакетов отчетности в банки.
//
// Параметры:
//   Форма       - ФормаКлиентскогоПриложения - форма, из которой открывается настройка.
//   Банк        - ОпределяемыйТип.СправочникБанкиФинОтчетность - для какого банка настраивается периодичность.
//
Процедура НастроитьОтправку(Форма, Банк) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентПереопределяемый.НастроитьОтправку(Форма, Банк) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
