---
title: Заполнение фин отчетности в банки клиент сервер переопределяемый
slug: erp-uh/заполнение-фин-отчетности-в-банки-клиент-сервер-переопределяемый
---


## ОпределитьСпособЗаполненияВидаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сопоставляет для указанного вида отчета соответствующий ему источник (способ) заполнения.
//
// Параметры:
//  ВидОтчета    - Строка - см. колонку из результата ЗаполнениеФинОтчетностиВБанки.ОписаниеВидовОтчетов()
//  СпособЗаполнения - Строка - принимает значения: ОтчетБРО, СтандартныйОтчет, ВнешнийФайл, ПроизвольныйФайл.
//
Процедура ОпределитьСпособЗаполненияВидаОтчета(ВидОтчета, СпособЗаполнения) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентСерверПереопределяемый.ОпределитьСпособЗаполненияВидаОтчета(ВидОтчета, СпособЗаполнения) 
```
</details>

## УстановитьВидимостьКнопкиНастройкиОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отображает или скрывает кнопку "Настройка отправки отчетности".
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - должна содержать кнопку СписокНастроитьОтправку.
//
Процедура УстановитьВидимостьКнопкиНастройкиОтправки(Форма) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентСерверПереопределяемый.УстановитьВидимостьКнопкиНастройкиОтправки(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
