---
title: Заполнение фин отчетности в банки клиент УП
slug: erp-uh/заполнение-фин-отчетности-в-банки-клиент-уп
---


## ОткрытьОтчетВедомостьАмортизацииОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Открывает форму отчета-ведомости по ОС.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаВедомостьАмортизацииОС()
//  ФормаВладелец - ФормаУправляемогоПриложения - форма документа ФинОтчетВБанк.
//
Процедура ОткрытьОтчетВедомостьАмортизацииОС(ПараметрыОтчета, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентУП.ОткрытьОтчетВедомостьАмортизацииОС(ПараметрыОтчета, ФормаВладелец) 
```
</details>

## ОткрытьОтчетВаловаяПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму отчета по валовой прибыли.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаВаловаяПрибыль()
//  ФормаВладелец - ФормаУправляемогоПриложения - форма документа ФинОтчетВБанк.
//
Процедура ОткрытьОтчетВаловаяПрибыль(ПараметрыОтчета, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентУП.ОткрытьОтчетВаловаяПрибыль(ПараметрыОтчета, ФормаВладелец) 
```
</details>

## ОткрытьОтчетКассоваяКнига
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует печатную форму "Кассовая книга".
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаКассоваяКнига()
//  ФормаВладелец - ФормаУправляемогоПриложения - форма документа ФинОтчетВБанк.
//
Процедура ОткрытьОтчетКассоваяКнига(ПараметрыОтчета, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентУП.ОткрытьОтчетКассоваяКнига(ПараметрыОтчета, ФормаВладелец) 
```
</details>

## ОткрытьСписокПакетовФинОтчетностьВБанки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму списка пакетов фин.отчетности.
//
// Параметры:
//  ПараметрыКоманды - ПараметрыВыполненияКоманды - параметры обработчика команды.
//
Процедура ОткрытьСписокПакетовФинОтчетностьВБанки(ПараметрыКоманды) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентУП.ОткрытьСписокПакетовФинОтчетностьВБанки(ПараметрыКоманды) 
```
</details>

## НастроитьОтправку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки периодической отправки пакетов отчетности в банки.
//
// Параметры:
//   Форма       - ФормаКлиентскогоПриложения - форма, из которой открывается настройка.
//   Банк        - ОпределяемыйТип.СправочникБанкиФинОтчетность - для какого банка настраивается периодичность.
//
Процедура НастроитьОтправку(Форма, Банк) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиКлиентУП.НастроитьОтправку(Форма, Банк) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
