---
title: Заполнение фин отчетности в банки переопределяемый
slug: erp-uh/заполнение-фин-отчетности-в-банки-переопределяемый
---


## СкрытьПомеченныеНаУдаление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор по полю ПометкаУдаления на список.
// При использовании отдельного интерфейсного решения по работе с помеченными на удаление объектами.
//
// Параметры:
//   Форма       - ФормаКлиентскогоПриложения - форма, в которой производится настройка.
//
Процедура СкрытьПомеченныеНаУдаление(Форма) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.СкрытьПомеченныеНаУдаление(Форма) 
```
</details>

## УдалитьОтборПометкаУдаления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Снимает пользовательский отбор по полю ПометкаУдаления со списка.
// При использовании отдельного интерфейсного решения по работе с помеченными на удаление объектами.
//
// Параметры:
//   Настройки   - ПользовательскиеНастройкиКомпоновкиДанных - изменяемые настройки.
//
Процедура УдалитьОтборПометкаУдаления(Настройки) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.УдалитьОтборПометкаУдаления(Настройки) 
```
</details>

## ПриЗаписиПравилФинОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после записи правила фин.отчетности.
//
// Параметры:
//   Организация - СправочникСсылка.Организации - с какой организацией связано правило.
//
Процедура ПриЗаписиПравилФинОтчетности(Организация) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПриЗаписиПравилФинОтчетности(Организация) 
```
</details>

## ЗарегистрироватьИзменениеСтатусаЗадачиФинОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяем статус напоминания пользователю.
//
// Предмет       - ДокументСсылка.ФинОтветВБанк - пакет отчетности, у которого обновляется статус.
// НовыйСтатус   - ПеречислениеСсылка.СтатусыОтправкиФинОтчетностиВБанки - приобретаемые напоминанием статус.
//
Процедура ЗарегистрироватьИзменениеСтатусаЗадачиФинОтчетности(Предмет, НовыйСтатус) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ЗарегистрироватьИзменениеСтатусаЗадачиФинОтчетности(Предмет, НовыйСтатус) 
```
</details>

## ПодготовитьОписанияСистемНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает временную таблицу, в которой перечислены системы налогообложения, которые применялись в организациях
// в течение периода.
//
// Параметры:
//   Субъекты    - Массив из СправочникСсылка.Организации - организации, описания систем налогообложения которых нужно подготовить.
//   НачалоПериода - Дата - начало анализируемого периода.
//   КонецПериода - Дата - конец анализируемого периода.
//   ОписанияСистемНалогообложения - МенеджерВременныхТаблиц - после выполнения процедуры должен содержать
//                                    таблицу ВТ_НастройкиСистемыНалогообложения, имеющую следующие колонки:
//     * Период - Дата - начало действия параметров налогообложения.
//     * Субъект - СправочникСсылка.Организации - для кого действуют параметры.
//     * СистемаНалогообложения - ПеречислениеСсылка.СистемыНалогообложения - набор параметров налогообложения.
//     * ПрименяетсяУСНДоходы, ПрименяетсяУСНДоходыМинусРасходы, ПрименяетсяУСНПатент - Булево - флаги вариантов применения УСН.
//     * ПрименяетсяНалогНаПрофессиональныйДоход - флаг учетной политики для самозанятых.
//     * ПлательщикЕНВД, ПлательщикТорговогоСбора - дополнительные флаги учетной политики.
//
Процедура ПодготовитьОписанияСистемНалогообложения(Субъекты, НачалоПериода, КонецПериода, ОписанияСистемНалогообложения) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПодготовитьОписанияСистемНалогообложения(Субъекты, НачалоПериода, КонецПериода, ОписанияСистемНалогообложения) 
```
</details>

## ПроверкаПлательщикаНДФЛЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, являлся ли ИП плательщиком НДФЛ.
//
// Параметры:
//   Организация - СправочникСсылка.Организации - проверяемая организация.
//   НачалоПериода - Дата - начало анализируемого периода.
//   КонецПериода - Дата - конец анализируемого периода.
//   ПлательщикНДФЛ - Булево - возвращаемый параметр. Если Истина, то у ИП было применение основной системы налогообложения.
//
Процедура ПроверкаПлательщикаНДФЛЗаПериод(Организация, НачалоПериода, КонецПериода, ПлательщикНДФЛ) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПроверкаПлательщикаНДФЛЗаПериод(Организация, НачалоПериода, КонецПериода, ПлательщикНДФЛ) 
```
</details>

## ПатентыОрганизацииЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовливает список применявшихся патентов.
//
// Параметры:
//   Организация - СправочникСсылка.Организации - проверяемая организация.
//   НачалоПериода - Дата - начало анализируемого периода.
//   КонецПериода - Дата - конец анализируемого периода.
//   ПатентыОрганизации - ТаблицаЗначений - возвращаемый параметр. Содержит колонки:
//    * Ссылка - СправочникСсылка.Патенты - ссылка на патент;
//    * Наименование - Строка(50) - наименование патента в программе;
//    * ДатаНачала - Дата - день начала срока действия патента;
//    * ДатаОкончания - Дата - день окончания срока действия патента;
//    * ПотенциальноВозможныйГодовойДоход - Число - потенциальный годовой доход по патенту.
//
Процедура ПатентыОрганизацииЗаПериод(Организация, НачалоПериода, КонецПериода, ПатентыОрганизации) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПатентыОрганизацииЗаПериод(Организация, НачалоПериода, КонецПериода, ПатентыОрганизации) 
```
</details>

## ПрименяетсяУСНЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак применения организацией упрошенной системы налогообложения в течение хотя бы части указанного периода.
//
// Параметры:
//	Организация   - СправочникСсылка.Организации - организация, для которой необходимо определить применение УСН.
//  НачалоПериода - Дата - дата начала анализируемого периода.
//  КонецПериода - Дата - дата конца анализируемого периода.
//	ПрименяетсяУСН - Булево - возвращаемый параметр. Истина, если было применение УСН; иначе Ложь.
//
Процедура ПрименяетсяУСНЗаПериод(Организация, НачалоПериода, КонецПериода, ПрименяетсяУСН) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПрименяетсяУСНЗаПериод(Организация, НачалоПериода, КонецПериода, ПрименяетсяУСН) 
```
</details>

## ИПИспользуетТрудНаемныхРаботниковЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура возвращает признак - являлся ли индивидуальный предприниматель хотя бы часть периода работодателем для наемных сотрудников.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - ссылка на элемент справочника "Организации".
//  НачалоПериода - Дата - дата начала анализируемого периода.
//  КонецПериода - Дата - дата конца анализируемого периода.
//  ИПИспользуетТрудНаемныхРаботников - Булево - возвращаемые параметр. Истина - ИП являлся работодателем; иначе Ложь.
//
Процедура ИПИспользуетТрудНаемныхРаботниковЗаПериод(Организация, НачалоПериода, КонецПериода, ИПИспользуетТрудНаемныхРаботников) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ИПИспользуетТрудНаемныхРаботниковЗаПериод(Организация, НачалоПериода, КонецПериода, ИПИспользуетТрудНаемныхРаботников) 
```
</details>

## ПодготовитьСписокБанков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает список из наименований банков для использования в интерфейсе.
//
// Параметры:
//   Субъекты    - Массив из СправочникСсылка.Организации, СправочникСсылка.Контрагенты - владельцы счетов.
//   НачалоПериода - Дата - начало периода, в который счет является действующим.
//   КонецПериода - Дата - конец периода, в который счет является действующим.
//   ПараметрыОтбора - Структура - содержит дополнительные параметры для подбора счетов.
//   БанкиОрганизации - ТаблицаЗначений - возвращаемый параметр. Список наименований счетов, имеющихся у субъектов.
//                        * НаименованиеБанка - Строка - представление счета.
//
Процедура ПодготовитьСписокБанков(Субъекты, НачалоПериода, КонецПериода, ПараметрыОтбора, БанкиОрганизации) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПодготовитьСписокБанков(Субъекты, НачалоПериода, КонецПериода, ПараметрыОтбора, БанкиОрганизации) 
```
</details>

## ПодготовитьСписокКасс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает список касс организации для использования в интерфейсе.
//
// Параметры:
//   Субъекты    - Массив из СправочникСсылка.Организации, СправочникСсылка.Контрагенты - структурные подразделения, входящие в группу.
//   НачалоПериода - Дата - начало периода, в который счет является действующим.
//   КонецПериода - Дата - конец периода, в который счет является действующим.
//   ПараметрыОтбора - Структура - содержит дополнительные параметры для подбора касс.
//   СписокКасс - ТаблицаЗначений - возвращаемый параметр. Список касс с их свойствами:
//     * Организация - СправочникСсылка.Организации - основная организация.
//     * ОрганизацияНаименование - Строка - наименование организации.
//     * Подразделение - СправочникСсылка - обособленное подразделение.
//     * ПодразделениеНаименование - Строка - наименование обособленного подразделения.
//     * ПлатежныйАгент - Булево - признак, что касса относится к платежному агенту.
//
Процедура ПодготовитьСписокКасс(Субъекты, НачалоПериода, КонецПериода, ПараметрыОтбора, КассыОрганизации) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПодготовитьСписокКасс(Субъекты, НачалоПериода, КонецПериода, ПараметрыОтбора, КассыОрганизации) 
```
</details>

## ПодготовитьСписокНалоговыхОрганов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает список налоговых органов, в которых зарегистрированы подразделения организации, для использования в интерфейсе.
//
// Параметры:
//   Субъекты    - Массив из СправочникСсылка.Организации - структурные подразделения, входящие в группу.
//   НачалоПериода - Дата - начало периода, в который счет является действующим.
//   КонецПериода - Дата - конец периода, в который счет является действующим.
//   ВидНалога   - Строка - имя налога, по которому формируется список налоговых органов, куда подаются декларации.
//   СписокНалоговыхОрганов - СписокЗначений - возвращаемые параметр:
//     * Значение - СправочникСсылка.РегистрацииВНалоговомОргане - налоговый орган.
//     * Представление - Строка - наименование налогового органа.
//
Процедура ПодготовитьСписокНалоговыхОрганов(Субъекты, НачалоПериода, КонецПериода, ВидНалога, СписокНалоговыхОрганов) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПодготовитьСписокНалоговыхОрганов(Субъекты, НачалоПериода, КонецПериода, ВидНалога, СписокНалоговыхОрганов) 
```
</details>

## ВходитВРегистрируемыеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, входит ли указанный документ в список документов, предназначенных для интерактивной работы пользователем.
//
// Параметры:
//   ПроверяемыеМетаданные - ОбъектМетаданных: Документ - анализируемые вид документа.
//   РегистрируемыйДокумент - Булево - возвращаемый параметр. Если Истина, то пользователи работают с документом.
//
Процедура ВходитВРегистрируемыеДокументы(ПроверяемыеМетаданные, РегистрируемыйДокумент) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ВходитВРегистрируемыеДокументы(ПроверяемыеМетаданные, РегистрируемыйДокумент) 
```
</details>

## ПодобратьСубъектаПоИНН_КПП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По переданным реквизитам подбирает организацию. Если организацию подобрать не удалось, то контрагента.
//
// Параметры:
//  ИНН          - Строка - налоговый идентификатор.
//  КПП          - Строка - налоговый идентификатор организации.
//  СубъектСсылка - СправочникСсылка.Организации, СправочникСсылка.Контрагенты - возвращаемый параметр. Приоритет у организации.
//
Процедура ПодобратьСубъектаПоИНН_КПП(ИНН, КПП, СубъектСсылка) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПодобратьСубъектаПоИНН_КПП(ИНН, КПП, СубъектСсылка) 
```
</details>

## ПолучитьРеквизитыСубъектовПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список основных реквизитов субъектов и получает их значения.
//
// Параметры:
//  ФинОтчет     - ДокументСсылка.ФинОтчетВБанк - пакет, для субъектов которого определяются реквизиты.
//  ПроверяемыеРеквизиты - Массив из СписокЗначений - возвращаемый параметр. Значения полученных реквизитов:
//                         * Представление - имя реквизита.
//                         * Значение - значение реквизита.
//                         * Пометка - Истина, если реквизит обязательно должен быть заполнен; иначе Ложь.
//
Процедура ПолучитьРеквизитыСубъектовПакета(ФинОтчет, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПолучитьРеквизитыСубъектовПакета(ФинОтчет, ПроверяемыеРеквизиты) 
```
</details>

## ЗаполнитьРеквизитыСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет значения основных реквизитов субъекта фин.отчетности.
//
// Параметры:
//  Субъект      - СправочникСсылка - см. реквизит Субъект в таб.части ЭкономическиеСубъекты документа ФинОтчетВБанк.
//  РеквизитыСубъекта - Структура - см. ЗаполнениеФинОтчетностиВБанки.СписокРеквизитовСубъекта()
//
Процедура ЗаполнитьРеквизитыСубъекта(Субъект, РеквизитыСубъекта) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ЗаполнитьРеквизитыСубъекта(Субъект, РеквизитыСубъекта) 
```
</details>

## ИмяВариантаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для переданного отчета подбирает вариант настроек по-умолчанию для включения в пакет отчетов.
//
// Параметры:
//  ИдентификаторОтчета - Строка - имя объекта метаданных-отчета в конфигурации.
//  ИмяВарианта  - Строка - возвращаемый параметр. Имя варианта отчета, всегда доступного в конфигурации.
//
Процедура ИмяВариантаПоУмолчанию(ИдентификаторОтчета, ИмяВарианта) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ИмяВариантаПоУмолчанию(ИдентификаторОтчета, ИмяВарианта) 
```
</details>

## ПодготовитьОтчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Без открытия формы формирует табличный документ отчета.
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаВедомостьАмортизацииОС()
//  ПараметрыЗаполнения - Структура - см. модуль менеджера документа ФинОтчетВБанк, процедура ЗаполнитьОтчетыВФоне()
//  РезультатФормирования - возвращаемый параметр. См. БухгалтерскиеОтчетыВызовСервера.РезультатФормированияОтчета()
//
Процедура ПодготовитьОтчет(ПараметрыОтчета, ПараметрыЗаполнения, РезультатФормирования) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПодготовитьОтчет(ПараметрыОтчета, ПараметрыЗаполнения, РезультатФормирования) 
```
</details>

## НастроитьВариантыОтчетаОстаткиТоваровПоСрокамХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из процедуры "НастроитьВариантыОтчета" в модуле объекта. Инициализирует настройки для подсистемы БСП.
//
// Параметры:
//  Настройки    - ТаблицаЗначений - см. параметр Настройки у ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов()
//  ОписаниеОтчета - СтрокаДереваЗначений - см. ВариантыОтчетов.ОписаниеОтчета()
//
Процедура НастроитьВариантыОтчетаОстаткиТоваровПоСрокамХранения(Настройки, ОписаниеОтчета) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.НастроитьВариантыОтчетаОстаткиТоваровПоСрокамХранения(Настройки, ОписаниеОтчета) 
```
</details>

## ПодготовитьОтчетКассоваяКнига
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует печатную форму "Кассовая книга".
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ЗаполнениеФинОтчетностиВБанки.ПараметрыОтчетаКассоваяКнига()
//  ПараметрыЗаполнения - Структура - см. модуль менеджера документа ФинОтчетВБанк, процедура ЗаполнитьОтчетыВФоне()
//  РезультатФормирования - возвращаемый параметр. См. БухгалтерскиеОтчетыВызовСервера.РезультатФормированияОтчета()
//
Процедура ПодготовитьОтчетКассоваяКнига(ПараметрыОтчета, ПараметрыЗаполнения, РезультатФормирования) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПодготовитьОтчетКассоваяКнига(ПараметрыОтчета, ПараметрыЗаполнения, РезультатФормирования) 
```
</details>

## ПараметрыОтчетаКнигаУчетаДоходовИРасходовПредпринимателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры формирования отчета "Книга доходов и расходов предпринимателя" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//  ПараметрыОтчетаОсновные - Структура - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Процедура ПараметрыОтчетаКнигаУчетаДоходовИРасходовПредпринимателя(НастройкиОтчета, ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПараметрыОтчетаКнигаУчетаДоходовИРасходовПредпринимателя(НастройкиОтчета, ПараметрыОтчета) 
```
</details>

## ЗаполнитьПараметрыОтчетаКнигаУчетаДоходовИРасходовПредпринимателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запоняет параметры отчета "Книга доходов и расходов предпринимателя".
//
// Параметры:
//  ПараметрыОтчета - Структура - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Процедура ЗаполнитьПараметрыОтчетаКнигаУчетаДоходовИРасходовПредпринимателя(ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ЗаполнитьПараметрыОтчетаКнигаУчетаДоходовИРасходовПредпринимателя(ПараметрыОтчета) 
```
</details>

## ПараметрыОтчетаРасшифровкаЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры формирования отчета "Расшифровка задолженности" по настройкам из требований банка.
//
// Параметры:
//	НастройкиОтчета - Структура - см. НовыеНастройкиОтчета()
//  ПараметрыОтчета - Структура - см. ПустыеПараметрыКомпоновкиОтчета() в модуле менеджера отчета.
//
Процедура ПараметрыОтчетаРасшифровкаЗадолженности(НастройкиОтчета, ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПараметрыОтчетаРасшифровкаЗадолженности(НастройкиОтчета, ПараметрыОтчета) 
```
</details>

## ПриЗагрузкеПользовательскихНастроекНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Действия, выполняемые в одноименном обработчике формы.
//
// Параметры:
//	Форма         - ФормаКлиентскогоПриложения - из какой формы вызывается обработчик.
//  Настройки     - ПользовательскиеНастройкиКомпоновкиДанных - обрабатываемые настройки.
//  ИспользуютсяСтандартныеНастройки - Булево - признак использования стандартных настроек.
//
Процедура ПриЗагрузкеПользовательскихНастроекНаСервере(Форма, Настройки, ИспользуютсяСтандартныеНастройки) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ПриЗагрузкеПользовательскихНастроекНаСервере(Форма, Настройки, ИспользуютсяСтандартныеНастройки) 
```
</details>

## ОбработкаВыбораНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Действия, выполняемые при вызове из обработчика формы "ОбработкаВыбора".
//
// Параметры:
//	Форма         - ФормаКлиентскогоПриложения - из какой формы вызывается обработчик.
//	ВыбранноеЗначение - Произвольный - результат выбора в подчиненной форме.
//
Процедура ОбработкаВыбораНаСервере(Форма, ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.ОбработкаВыбораНаСервере(Форма, ВыбранноеЗначение) 
```
</details>

## СформироватьОтчетНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Действия, выполняемые в форме при формировании отчета.
//
// Параметры:
//	Форма         - ФормаКлиентскогоПриложения - из какой формы вызывается обработчик.
//
Процедура СформироватьОтчетНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.СформироватьОтчетНаСервере(Форма) 
```
</details>

## КартинкаБаннерПояснениеНовогоИнтерфейса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает картинку для баннера с пояснением работы интерфейса заполнения комплекта отчетности.
//
// Параметры:
//  ИмяВарианта - Картинка - возвращаемый параметр. Картинка для баннера.
//
Процедура КартинкаБаннерПояснениеНовогоИнтерфейса(Картинка) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.КартинкаБаннерПояснениеНовогоИнтерфейса(Картинка) 
```
</details>

## КартинкаБаннерАвтозаполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает картинку для баннера с объяснением флага "Автозаполнение" при создании нового комплекта
// финансовой отчетности.
//
// Параметры:
//  ИмяВарианта - Картинка - возвращаемый параметр. Картинка для баннера.
//
Процедура КартинкаБаннерАвтозаполнение(Картинка) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФинОтчетностиВБанкиПереопределяемый.КартинкаБаннерАвтозаполнение(Картинка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
