---
title: Заполнение форм статистики клиент
slug: erp-uh/заполнение-форм-статистики-клиент
---


## ОткрытьРасшифровкуСтатистики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает расшифровку статического отчета.
//
// Параметры:
//	ИмяОтчета - Строка - Имя отчета.
//	ИмяФормы - Строка - Имя формы отчета.
//	ИмяПоля - Строка - Имя поля формы отчета.
//	Параметры - Структура - Содержит ключи:
//		* Организация - СправочникСсылка.Организации - Организация.
//		* мДатаНачалаПериодаОтчета - Дата - Дата начала периода отчета.
//		* мДатаКонцаПериодаОтчета - Дата - Дата окончания периода отчета.
//		* НомерСтроки - Число - Номер строки.
//		* АдресВременногоХранилищаРасшифровки - Строка - Адрес временного хранилища с расшифровкой отчета.
//
Процедура ОткрытьРасшифровкуСтатистики(ИмяОтчета, ИмяФормы, ИмяПоля, Параметры) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФормСтатистикиКлиент.ОткрытьРасшифровкуСтатистики(ИмяОтчета, ИмяФормы, ИмяПоля, Параметры)  
```
</details>

## ОтборыПравоеЗначениеНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события НачалоВыбора для поля отбора.
//
// Параметры:
//	КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - Компоновщик настроек.
//	Форма - ФормаКлиентскогоПриложения - Форма отчета.
//	Элемент - ПолеФормы - Поле в колонке табличной части Отбор, для которой вызван обработчик.
//	ДанныеВыбора - СписокЗначений - Список значений для выбора.
//	СтандартнаяОбработка - Булево - Признак выполнения стандартной обработки.
//	СписокПараметров - Структура - Содержит
//		* Ключ - Имя поля, по которому ограничивается список доступных для выбора значений.
//		* Значение - Значение поля, по которому ограничивается список доступных для выбора значений.
//
Процедура ОтборыПравоеЗначениеНачалоВыбора(КомпоновщикНастроек, Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка, СписокПараметров) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФормСтатистикиКлиент.ОтборыПравоеЗначениеНачалоВыбора(КомпоновщикНастроек, Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка, СписокПараметров) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
