---
title: Заполнение форм статистики по обособленным подразделениям переопределяемый
slug: erp-uh/заполнение-форм-статистики-по-обособленным-подразделениям-переопределяемый
---


## ЗаполнитьОтборПоОбособленнымПодразделениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет отбор компоновки данных по обособленным подразделениям.
// Далее отбор по подразделениям накладывается на другие отборы источника данных (см. ЗаполнениеФормСтатистики.ЗаполнитьФормуСтатистики()).
//
// Параметры:
//  ОтборПоПодразделениям		- Неопределено	- исходящий параметр, в который помещается заполненный отбор.
//								  Если отбор в процедуре не будет определен, то на источники данных формы статистики отбор по подразделению не накладывается.
//  Организация					- СправочникСсылка.Организации - организация, по которой заполняется стат. отчет
//  ОбособленноеПодразделение	- СправочникСсылка.ПодразделенияОрганизаций - подразделение, по которому заполняется стат. отчет
//  ИсключитьДанныеОбособленныхПодразделений
//								- Булево - признак, что стат. отчет заполняется по организации, без входящих в нее обособленных подразделений.
//
Процедура ЗаполнитьОтборПоОбособленнымПодразделениям(ОтборПоПодразделениям, Организация, ОбособленноеПодразделение, ИсключитьДанныеОбособленныхПодразделений) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФормСтатистикиПоОбособленнымПодразделениямПереопределяемый.ЗаполнитьОтборПоОбособленнымПодразделениям(ОтборПоПодразделениям, Организация, ОбособленноеПодразделение, ИсключитьДанныеОбособленныхПодразделений) 
```
</details>

## ЗаполнитьПараметрыОтбораПоОбособленнымПодразделениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура заполняет параметры отбора данных при заполнении стат. отчета отдельно по обособленным подразделениям.
//
// Параметры:
//  Организация					- СправочникСсылка.Организации -
//  ИсключитьДанныеОбособленныхПодразделений - Булево - указывает на то, что отчет заполняется по организации,
//									исключая данные обособленных подразделений. Может модифицироваться в процедуре.
//									Если в результате значение = Истина, то Подразделения содержит массив обособленных подразделений,
//									данные по которым исключаются из отчета.
//  ОбособленноеПодразделение	- СправочникСсылка.ПодразделенияОрганизаций - обособленное подразделение, выбранное в шапке стат. отчета.
//									Имеет смысл, если ИсключитьДанныеОбособленныхПодразделений = Ложь. В этом случае
//									параметр Подразделения содержит массив обособленных подразделений,
//									по которым заполняется отчет.
//  Подразделения				- Массив - массив обособленных подразделений. Заполняется в процедуре.
//									Имеет различный смысл в зависимости от значения параметра ИсключитьДанныеОбособленныхПодразделений.
//
Процедура ЗаполнитьПараметрыОтбораПоОбособленнымПодразделениям(Организация, ИсключитьДанныеОбособленныхПодразделений, ОбособленноеПодразделение, Подразделения) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФормСтатистикиПоОбособленнымПодразделениямПереопределяемый.ЗаполнитьПараметрыОтбораПоОбособленнымПодразделениям(Организация, ИсключитьДанныеОбособленныхПодразделений, ОбособленноеПодразделение, Подразделения) 
```
</details>

## ДобавитьФормыЗаполняемыеВЦеломПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьФормыЗаполняемыеВЦеломПоОрганизации(ФормыСтатистики) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФормСтатистикиПоОбособленнымПодразделениямПереопределяемый.ДобавитьФормыЗаполняемыеВЦеломПоОрганизации(ФормыСтатистики) 
```
</details>

## ДобавитьФормыЗаполняемыеОтдельноПоОбособленнымПодразделениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьФормыЗаполняемыеОтдельноПоОбособленнымПодразделениям(ФормыСтатистики) Экспорт
```

Пример вызова
```bsl
ЗаполнениеФормСтатистикиПоОбособленнымПодразделениямПереопределяемый.ДобавитьФормыЗаполняемыеОтдельноПоОбособленнымПодразделениям(ФормыСтатистики) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
