---
title: Затраты сервер
slug: erp-uh/затраты-сервер
---


## ПроверитьИспользованиеПартионногоУчета22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет дату документа на соответствие дате перехода на партионный учет версии 2.2.
// Проверка выполняется для документов нового производства.
//
// Параметры:
//	Объект - ДокументОбъект.ЭтапПроизводства2_2, ДокументОбъект.ДвижениеПродукцииИМатериалов - проверяемый документ,
//	Дата - Дата - дата, на которую выполняется проверка,
//	Отказ - Булево - устанавливается в ИСТИНА, если дата перехода на новый партионный учет больше переданной даты.
//
Процедура ПроверитьИспользованиеПартионногоУчета22(Объект, Дата, Отказ) Экспорт
```

Пример вызова
```bsl
ЗатратыСервер.ПроверитьИспользованиеПартионногоУчета22(Объект, Дата, Отказ) 
```
</details>

## НастроитьПараметрыВыбораПравилРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Устанавливает параметры выбора для правила распределения в зависимости от способа учета производственных затрат.
//
// Параметры:
//	Подразделение - СправочникСсылка.СтруктураПредприятия - подразделение, в котором выполняется распределение
//	ВариантРаспределения - ПеречислениеСсылка.СпособыРаспределенияСтатейРасходов - вариант распределения
//	ЭлементПравилоРаспределения - ПолеФормы - Поле для ввода правила распределения
//	Назначение - СправочникСсылка.Назначения - Назначение расхода.
//
Процедура НастроитьПараметрыВыбораПравилРаспределения(Подразделение, ВариантРаспределения, ЭлементПравилоРаспределения, Назначение) Экспорт
```

Пример вызова
```bsl
ЗатратыСервер.НастроитьПараметрыВыбораПравилРаспределения(Подразделение, ВариантРаспределения, ЭлементПравилоРаспределения, Назначение) 
```
</details>

## ЭтапыПроизводстваДляРаспределенияЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует таблицу выполненных этапов производства.
//
// Параметры:
//	Параметры - Структура - Структура передаваемых параметров:
//		* НачалоПериода - Дата - начало периода анализа этапов производства.
//		* ОкончаниеПериода - Дата - конец периода анализа этапов производства.
//		* Подразделение - СправочникСсылка.СтруктураПредприятия - отбор по подразделению.
//		* Назначение - СправочникСсылка.Назначения - отбор по назначению.
//		* ГруппаПродукции - СправочникСсылка.ГруппыАналитическогоУчетаНоменклатуры - отбор по группе продукции.
//		* ТолькоТекущийМесяц - Булево - признак получения этапов, выполнявшихся только в передеанном периоде.
//		* Заказ - ДокументСсылка.ЗаказНаПроизводство2_2 - отбор по заказу на производство.
//		* ИсключатьПроизводствоНаСтороне - Булево - не показывать этапы, выполняющиеся на стороне.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица этапов производства.
//
Функция ЭтапыПроизводстваДляРаспределенияЗатрат(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ЗатратыСервер.ЭтапыПроизводстваДляРаспределенияЗатрат(Параметры) 
```
</details>

## СписатьЗатратыНаВыпуск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Устарело_Производство21

// Процедура используется для выполнения регламентного задания по формированию документов
// "Списание затрат на выпуск".
Процедура СписатьЗатратыНаВыпуск() Экспорт
```

Пример вызова
```bsl
ЗатратыСервер.СписатьЗатратыНаВыпуск() 
```
</details>

## ПартииПроизводстваДляРаспределенияЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//-- Устарело_Производство21

// Функция формирует таблицу партий производства.
//
// Параметры:
//	Отборы - Структура - Структура передаваемых параметров:
//		* НачалоПериода - Дата - начало периода анализа этапов производства.
//		* ОкончаниеПериода - Дата - конец периода анализа этапов производства.
//		* Организация - СправочникСсылка.Организации, Массив из СправочникСсылка.Организации - отбор по организации. Может отсутствовать.
//		* НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - отбор по направлению деятельности. Может отсутствовать.
//		* Подразделение - СправочникСсылка.СтруктураПредприятия - отбор по подразделению. Может отсутствовать.
//		* Назначение - СправочникСсылка.Назначения - отбор по назначению. Может отсутствовать.
//		* ТолькоТекущийМесяц - Булево - признак получения этапов, выполнявшихся только в передеанном периоде.
//		* ДетализироватьПоЭтапам - Булево - детализировать по промежуточным этапам или по продукции. Может отсутствовать.
//		* ЗаказНаПроизводство - ДокументСсылка.ЗаказНаПроизводство2_2 - отбор по заказу на производство. Может отсутствовать.
//		* ИсключатьПроизводствоНаСтороне - Булево - не показывать этапы, выполняющиеся на стороне. Может отсутствовать.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица партий производства.
//
Функция ПартииПроизводстваДляРаспределенияЗатрат(Отборы) Экспорт
```

Пример вызова
```bsl
Результат = ЗатратыСервер.ПартииПроизводстваДляРаспределенияЗатрат(Отборы) 
```
</details>

## СформироватьАктивныеПартииБезСпецификаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Формирует временную таблицы партий производства с типом производственного процесса "Без спецификаций",
//	по которым выполняется производство в заданном интервале.
//
// Параметры:
//	ПараметрыЗапроса - см. ЗатратыСервер.ОписаниеПараметровПолученияАктивныхПартийБезСпецификаций.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц.
//	ОбновитьПартии - Булево - получить заново партии.
Процедура СформироватьАктивныеПартииБезСпецификаций(ПараметрыЗапроса, МенеджерВременныхТаблиц, ОбновитьПартии = Истина) Экспорт
```

Пример вызова
```bsl
ЗатратыСервер.СформироватьАктивныеПартииБезСпецификаций(ПараметрыЗапроса, МенеджерВременныхТаблиц, ОбновитьПартии);
```
</details>

## ОписаниеПараметровПолученияАктивныхПартийБезСпецификаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание параметров получения активных партий производства
//	с типом производственного процесса "Без спецификаций".
//
// Возвращаемое значение:
//	Структура - описание:
// * НачалоПериода - Дата -
// * ОкончаниеПериода - Дата -
// * Организации - Массив из СправочникСсылка.Организации -
//
Функция ОписаниеПараметровПолученияАктивныхПартийБезСпецификаций() Экспорт
```

Пример вызова
```bsl
Результат = ЗатратыСервер.ОписаниеПараметровПолученияАктивныхПартийБезСпецификаций() 
```
</details>

## ЗаполнитьХарактеристикиИзделийПоПартииПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//-- НЕ УТКА

// Процедура заполняет характеристики основного изделия в коллекции для партии производства.
//
// Параметры:
//	Коллекция - ТаблицаЗначений - Таблица, в которой необходимо заполнить характеристики основного изделия.
//
Процедура ЗаполнитьХарактеристикиИзделийПоПартииПроизводства(Коллекция) Экспорт
```

Пример вызова
```bsl
ЗатратыСервер.ЗаполнитьХарактеристикиИзделийПоПартииПроизводства(Коллекция) 
```
</details>

## ТекстЗапросаПроизводственныеЗатратыТМЦ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса производственные затраты ТМЦ.
//
// Возвращаемое значение:
//  Структура -  Текст запроса и набор ресурсов:
// * ТекстЗапроса - Строка - Текст запроса
// * Ресурсы - Массив из Строка - Набор ресурсов запроса
Функция ТекстЗапросаПроизводственныеЗатратыТМЦ() Экспорт
```

Пример вызова
```bsl
Результат = ЗатратыСервер.ТекстЗапросаПроизводственныеЗатратыТМЦ() 
```
</details>

## ТекстЗапросаПроизводственныеЗатратыПостатейные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса производственные затраты постатейные.
//
// Возвращаемое значение:
//  Структура -  Текст запроса и набор ресурсов:
// * ТекстЗапроса - Строка - Текст запроса
// * Ресурсы - Массив из Строка - Набор ресурсов запроса
Функция ТекстЗапросаПроизводственныеЗатратыПостатейные() Экспорт
```

Пример вызова
```bsl
Результат = ЗатратыСервер.ТекстЗапросаПроизводственныеЗатратыПостатейные() 
```
</details>

## ТекстЗапросаПроизводственныеЗатратыПоПартиямПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса производственные затраты по партиям производства.
//
// Возвращаемое значение:
//  Структура -  Текст запроса и набор ресурсов:
// * ТекстЗапроса - Строка - Текст запроса
// * Ресурсы - Массив из Строка - Набор ресурсов запроса
//
Функция ТекстЗапросаПроизводственныеЗатратыПоПартиямПроизводства() Экспорт
```

Пример вызова
```bsl
Результат = ЗатратыСервер.ТекстЗапросаПроизводственныеЗатратыПоПартиямПроизводства() 
```
</details>

## ДобавитьОтборПоВыбраннымРесурсам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Добавляет отбор в набор данных схемы компоновки данных по переданным ресурсам.
//
// Параметры:
// 	Ресурсы - Массив из Строка - имена ресурсов, на которые необходимо наложить отбор на "<> 0".
// 	НаборДанных - НаборДанныхЗапросМакетаКомпоновкиДанных  - корректируемый набор данных.
Процедура ДобавитьОтборПоВыбраннымРесурсам(Ресурсы, НаборДанных) Экспорт
```

Пример вызова
```bsl
ЗатратыСервер.ДобавитьОтборПоВыбраннымРесурсам(Ресурсы, НаборДанных) 
```
</details>

## ОбработатьЗаполнениеНастроекКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает объекты Справочник.ПравилаРаспределенияРасходов и Документ.РаспределениеПрочихЗатрат при обновлении ИБ.
// Параметры:
//	Объект - СправочникОбъект.ПравилаРаспределенияРасходов, ДокументОбъект.РаспределениеПрочихЗатрат - объект для обновления.
//	МакетыБазРаспределений - Соответствие из КлючИЗначение- макеты баз распределения по имена базы распределения:
//		* Ключ - Строка - упрощенное имя базы распределения (материалы, продукция и т.д.).
//		* Значение - СхемаКомпоновкиДанных - схема на основании которой будут заполняться настройки.
Процедура ОбработатьЗаполнениеНастроекКомпоновки(Объект, МакетыБазРаспределений) Экспорт
```

Пример вызова
```bsl
ЗатратыСервер.ОбработатьЗаполнениеНастроекКомпоновки(Объект, МакетыБазРаспределений) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
