---
title: Заявки на операции
slug: erp-uh/заявки-на-операции
---


## ПолучитьМенеджерЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМенеджерЗаявки(ВидБюджета, ПриходРасход) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.ПолучитьМенеджерЗаявки(ВидБюджета, ПриходРасход) 
```
</details>

## ПередУдалениемДокументаИзменившегоСостояниеДокументаПланированияОбработчик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие
Процедура ПередУдалениемДокументаИзменившегоСостояниеДокументаПланированияОбработчик(Источник) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПередУдалениемДокументаИзменившегоСостояниеДокументаПланированияОбработчик(Источник) 
```
</details>

## Новый_Реквизит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Новый_Реквизит(ИмяРеквизита, ИмяТЧ = "") экспорт Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.Новый_Реквизит(ИмяРеквизита, ИмяТЧ);
```
</details>

## Изменить_Реквизит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Изменить_Реквизит(Реквизит, ИмяРеквизита, ИмяТЧ = "") экспорт Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.Изменить_Реквизит(Реквизит, ИмяРеквизита, ИмяТЧ);
```
</details>

## Новый_ЗначениеРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Новый_ЗначениеРеквизита(ИмяЗначения) экспорт Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.Новый_ЗначениеРеквизита(ИмяЗначения) экспорт);
```
</details>

## РеквизитыДокументаЗаявка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает унифицировнную структуру имен реквизитов заявки и их размещений
Функция РеквизитыДокументаЗаявка(ТипДокумента) экспорт Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.РеквизитыДокументаЗаявка(ТипДокумента) экспорт);
```
</details>

## РеквизитЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает значение реквизита заявки
Функция РеквизитЗаявки(Объект, Реквизит) экспорт Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.РеквизитЗаявки(Объект, Реквизит) экспорт);
```
</details>

## УстановитьРеквизитЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает значение реквизита заявки
Процедура УстановитьРеквизитЗаявки(Объект, Реквизит, Значение) экспорт Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.УстановитьРеквизитЗаявки(Объект, Реквизит, Значение) экспорт);
```
</details>

## УстановитьНезаполненныйРеквизитЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает значение реквизита заявки, если оно не заполнено
Процедура УстановитьНезаполненныйРеквизитЗаявки(Объект, Реквизит, Значение) экспорт Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.УстановитьНезаполненныйРеквизитЗаявки(Объект, Реквизит, Значение) экспорт);
```
</details>

## УстановитьЗаполненныйРеквизитЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает значение реквизита заявки, если переданное значение заполнено
Процедура УстановитьЗаполненныйРеквизитЗаявки(Объект, Реквизит, Значение) экспорт Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.УстановитьЗаполненныйРеквизитЗаявки(Объект, Реквизит, Значение) экспорт);
```
</details>

## УстановитьРеквизитСтрокиТЧЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает значение реквизита строки табличной части заявки
Процедура УстановитьРеквизитСтрокиТЧЗаявки(СтрокаТЧ, Реквизит, Значение) экспорт Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.УстановитьРеквизитСтрокиТЧЗаявки(СтрокаТЧ, Реквизит, Значение) экспорт);
```
</details>

## РеквизитСтрокиТЧЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитСтрокиТЧЗаявки(СтрокаТЧ, Реквизит) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.РеквизитСтрокиТЧЗаявки(СтрокаТЧ, Реквизит));
```
</details>

## ИмяРеквизитаДоговорДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: Используется в Документ.РеестрПлатежей.Модуль менеджера(100, 24)
Функция ИмяРеквизитаДоговорДокумента(ДокументСсылка) экспорт Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.ИмяРеквизитаДоговорДокумента(ДокументСсылка) экспорт);
```
</details>

## ИмяРеквизитаВалютаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: Используется в Обработка.УправлениеОбязательствами.Форма.Форма.Форма.Модуль(1196, 29)
Функция ИмяРеквизитаВалютаДокумента(ДокументСсылка) экспорт Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.ИмяРеквизитаВалютаДокумента(ДокументСсылка) экспорт);
```
</details>

## ТекстЗапросаПоПолямДокументаЗаявка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаПоПолямДокументаЗаявка(ТипЗаявки, Поля) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.ТекстЗапросаПоПолямДокументаЗаявка(ТипЗаявки, Поля) 
```
</details>

## ИнициализироватьПараметрыКурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьПараметрыКурса(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ИнициализироватьПараметрыКурса(Форма)
```
</details>

## РазместитьВКолонкахТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РазместитьВКолонкахТаблицы(РеквизитыЗаявки, ТаблицаЭлемент, Реквизит, СтатьяЭлемент, АналитикаРеквизит, АналитикаЭлемент, РазмещениеЭлементовАналитик) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.РазместитьВКолонкахТаблицы(РеквизитыЗаявки, ТаблицаЭлемент, Реквизит, СтатьяЭлемент, АналитикаРеквизит, АналитикаЭлемент, РазмещениеЭлементовАналитик) 
```
</details>

## РазместитьВПоляхФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РазместитьВПоляхФормы(РеквизитыЗаявки, ТаблицаЭлемент = "", Реквизит, СтатьяЭлемент, АналитикаРеквизит, АналитикаЭлемент, РазмещениеЭлементовАналитик) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.РазместитьВПоляхФормы(РеквизитыЗаявки, ТаблицаЭлемент, Реквизит, СтатьяЭлемент, АналитикаРеквизит, АналитикаЭлемент, РазмещениеЭлементовАналитик) 
```
</details>

## Новый_РазмещениеАналитикСтатей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Новый_РазмещениеАналитикСтатей(РеквизитыЗаявки, ВидРазмещения, Реквизит, СтатьяЭлемент, АналитикаРеквизит, АналитикаЭлемент, РазмещениеЭлементовАналитик, ТаблицаЭлемент = "") Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.Новый_РазмещениеАналитикСтатей(РеквизитыЗаявки, ВидРазмещения, Реквизит, СтатьяЭлемент, АналитикаРеквизит, АналитикаЭлемент, РазмещениеЭлементовАналитик, ТаблицаЭлемент);
```
</details>

## ПриЧтенииСоздании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЧтенииСоздании(Форма, ПараметрыРазмещения) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриЧтенииСоздании(Форма, ПараметрыРазмещения) 
```
</details>

## ТребуетсяИнициализацияФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
Функция ТребуетсяИнициализацияФормы(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.ТребуетсяИнициализацияФормы(Форма) 
```
</details>

## СоздатьРеквизитыФормыЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
Процедура СоздатьРеквизитыФормыЗаявки(Форма, МассивРеквизитов = неопределено) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.СоздатьРеквизитыФормыЗаявки(Форма, МассивРеквизитов);
```
</details>

## СоздатьЭлементыФормыЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
Процедура СоздатьЭлементыФормыЗаявки(Форма, ПараметрыРазмещения) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.СоздатьЭлементыФормыЗаявки(Форма, ПараметрыРазмещения) 
```
</details>

## ИнициализироватьФормуЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
Процедура ИнициализироватьФормуЗаявки(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ИнициализироватьФормуЗаявки(Форма) 
```
</details>

## ПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПриИзмененииВидаОперацииУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииВидаОперацииУХ(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииВидаОперацииУХ(Форма) 
```
</details>

## ПриИзмененииСтатьиБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииСтатьиБюджета(Форма, ИмяЭлемента, РучноеИзменение = Истина) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииСтатьиБюджета(Форма, ИмяЭлемента, РучноеИзменение);
```
</details>

## ПриИзмененииАналитикиСтатьиБюджета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииАналитикиСтатьиБюджета(Форма, ИмяЭлемента) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииАналитикиСтатьиБюджета(Форма, ИмяЭлемента) 
```
</details>

## ПриИзмененииОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииОрганизации(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииОрганизации(Форма) 
```
</details>

## ПриИзмененииЦФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииЦФО(Форма, ИзмененаОрганизация = Ложь) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииЦФО(Форма, ИзмененаОрганизация);
```
</details>

## ПриИзмененииПроекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииПроекта(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииПроекта(Форма) 
```
</details>

## ПриИзмененииКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииКонтрагента(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииКонтрагента(Форма) 
```
</details>

## ПриИзмененииДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииДоговора(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииДоговора(Форма) 
```
</details>

## ПриИзмененииДоговораАренды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииДоговораАренды(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииДоговораАренды(Форма) 
```
</details>

## ЗаполнитьБанковскийСчетПлатежнойПозицииПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьБанковскийСчетПлатежнойПозицииПоДоговору(Форма, РеквизитыДоговора, Реквизиты) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ЗаполнитьБанковскийСчетПлатежнойПозицииПоДоговору(Форма, РеквизитыДоговора, Реквизиты));
```
</details>

## ПриИзмененииФормыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииФормыОплаты(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииФормыОплаты(Форма) 
```
</details>

## ПриИзмененииСуммыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииСуммыДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииСуммыДокумента(Форма) 
```
</details>

## ПриИзмененииДвиженийОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииДвиженийОперации(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииДвиженийОперации(Форма) 
```
</details>

## ПриИзмененииДокументаПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииДокументаПланирования(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииДокументаПланирования(Форма) 
```
</details>

## ПриИзмененииПланируемойДатаОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииПланируемойДатаОперации(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииПланируемойДатаОперации(Форма) 
```
</details>

## ПриИзмененииВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииВалюты(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииВалюты(Форма) 
```
</details>

## ПриИзмененииВалютыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииВалютыОплаты(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииВалютыОплаты(Форма) 
```
</details>

## ПриИзмененииБанковскогоСчетаКассы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие, при изменении БанквоскогоСчета/Кассы, размещенной на форме.
Процедура ПриИзмененииБанковскогоСчетаКассы(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииБанковскогоСчетаКассы(Форма) 
```
</details>

## ПриИзмененииБанковскогоСчетаКассыПолучателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие, при изменении БанквоскогоСчета/Кассы получателя.
Процедура ПриИзмененииБанковскогоСчетаКассыПолучателя(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииБанковскогоСчетаКассыПолучателя(Форма) 
```
</details>

## ПриИзмененииПриоритетаПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииПриоритетаПлатежа(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииПриоритетаПлатежа(Форма) 
```
</details>

## ПриИзмененииКрайнейДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииКрайнейДаты(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриИзмененииКрайнейДаты(Форма) 
```
</details>

## ЗаполнитьПоДокументуПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение по документу планирования (ОперПлан или заявки)
Процедура ЗаполнитьПоДокументуПланирования(Объект, Знач ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ЗаполнитьПоДокументуПланирования(Объект, ДанныеЗаполнения) 
```
</details>

## ЗаполнитьПоДокументуОперативныйПлан
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение заявок на основании документа Оперативный план
Процедура ЗаполнитьПоДокументуОперативныйПлан(Объект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ЗаполнитьПоДокументуОперативныйПлан(Объект, ДанныеЗаполнения) 
```
</details>

## ЗаполнитьЗаявкуПоДокументуПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение на основании заявок
Процедура ЗаполнитьЗаявкуПоДокументуПланирования(Объект, Знач ДанныеЗаполнения) экспорт Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ЗаполнитьЗаявкуПоДокументуПланирования(Объект, ДанныеЗаполнения) экспорт);
```
</details>

## ЗаполнитьПоПервичномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПоПервичномуДокументу(Объект, ПервичныйДокумент, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ЗаполнитьПоПервичномуДокументу(Объект, ПервичныйДокумент, ДополнительныеСвойства) 
```
</details>

## ЗаполнитьРеквизитыШапкиЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРеквизитыШапкиЗаявки(Объект, СтруктураЗаполнения, РеквизитыЗаявки = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ЗаполнитьРеквизитыШапкиЗаявки(Объект, СтруктураЗаполнения, РеквизитыЗаявки);
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроверкиЗаполнения(ЗаявкаОбъект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ОбработкаПроверкиЗаполнения(ЗаявкаОбъект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) 
```
</details>

## ПриКопировании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриКопировании(ЗаявкаОбъект, ОбъектКопирования) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриКопировании(ЗаявкаОбъект, ОбъектКопирования) 
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполнения(ЗаявкаОбъект, ДанныеЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ОбработкаЗаполнения(ЗаявкаОбъект, ДанныеЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаЗаполненияКонтрольВидаОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияКонтрольВидаОперации(ЗаявкаОбъект, ДанныеЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ОбработкаЗаполненияКонтрольВидаОперации(ЗаявкаОбъект, ДанныеЗаполнения, СтандартнаяОбработка) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписи(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПриЗаписи(Объект, Отказ) 
```
</details>

## ОбработкаПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроведения(Объект, Отказ, РежимПроведения, ВыполнятьКонтроль = Истина) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ОбработкаПроведения(Объект, Отказ, РежимПроведения, ВыполнятьКонтроль);
```
</details>

## ОбработкаУдаленияПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаУдаленияПроведения(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ОбработкаУдаленияПроведения(Объект, Отказ) 
```
</details>

## ИнициализироватьДанныеЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьДанныеЗаявки(Объект, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ИнициализироватьДанныеЗаявки(Объект, ДополнительныеСвойства) 
```
</details>

## ЗаполнитьПараметрыИнициализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПараметрыИнициализации(Запрос, Объект) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ЗаполнитьПараметрыИнициализации(Запрос, Объект));
```
</details>

## ТекстЗапросаДвиженияПоОперПланам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТекстЗапросаДвиженияПоОперПланам(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ТекстЗапросаДвиженияПоОперПланам(Запрос, ТекстыЗапроса));
```
</details>

## ТекстЗапроса_ВТ_ПлановССуммамиЛимитирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТекстЗапроса_ВТ_ПлановССуммамиЛимитирования(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ТекстЗапроса_ВТ_ПлановССуммамиЛимитирования(Запрос, ТекстыЗапроса));
```
</details>

## ТекстЗапроса_ОперПланы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТекстЗапроса_ОперПланы(Запрос, ТекстыЗапроса, ИмяРегистра) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ТекстЗапроса_ОперПланы(Запрос, ТекстыЗапроса, ИмяРегистра));
```
</details>

## ПлатежЗапрещенДирективно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПлатежЗапрещенДирективно(ЗаявкаСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.ПлатежЗапрещенДирективно(ЗаявкаСсылка));
```
</details>

## ЗаполнитьИзмененностьРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Процедура - заполняет признак измененности реквизитов, заполняемых по договору ЦФО, Проект, СтатьяБюджета, Аналитика1..6
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма документа ЗаявкаНаРасходованиеДенежныхСредств и ост.
//
Процедура ЗаполнитьИзмененностьРеквизитов(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ЗаполнитьИзмененностьРеквизитов(Форма) 
```
</details>

## УстановитьСтатьюБюджетаПоВидуОперацииУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает статьи бюджета для технических операций
Процедура УстановитьСтатьюБюджетаПоВидуОперацииУХ(Объект, Знач Реквизиты = неопределено) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.УстановитьСтатьюБюджетаПоВидуОперацииУХ(Объект, Реквизиты);
```
</details>

## ПодготовитьТаблицуЛимитовПоЗаявке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирует для заявок* таблицу лимитов для дальнейшей записи в регистр
Процедура ПодготовитьТаблицуЛимитовПоЗаявке(Объект, Запрос, ТаблицыДляДвижений) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ПодготовитьТаблицуЛимитовПоЗаявке(Объект, Запрос, ТаблицыДляДвижений) 
```
</details>

## ПолучитьПредупрежденияПоЗаявке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредупрежденияПоЗаявке(ЗаявкаОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.ПолучитьПредупрежденияПоЗаявке(ЗаявкаОбъект) 
```
</details>

## ЭтоЗаявкаНаОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоЗаявкаНаОперацию(Знач ОбъектИлиТип) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.ЭтоЗаявкаНаОперацию(ОбъектИлиТип) 
```
</details>

## ВладелецСчетаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВладелецСчетаКонтрагента(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.ВладелецСчетаКонтрагента(Форма));
```
</details>

## ОпределитьНаличиеПредопределенныхРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьНаличиеПредопределенныхРолей(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ОпределитьНаличиеПредопределенныхРолей(Форма) 
```
</details>

## ОбработатьСогласованиеВСоставеРеестра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьСогласованиеВСоставеРеестра(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ОбработатьСогласованиеВСоставеРеестра(Форма) 
```
</details>

## ОбработкаОповещенияФормыЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаОповещенияФормыЗаявки(Форма, ИмяСобытия, Параметр, ИменаСобытийОбновленияПлатежнойПозиции = "") Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ОбработкаОповещенияФормыЗаявки(Форма, ИмяСобытия, Параметр, ИменаСобытийОбновленияПлатежнойПозиции);
```
</details>

## ОпределитьПриоритетПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьПриоритетПлатежа(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперации.ОпределитьПриоритетПлатежа(Форма) 
```
</details>

## ПолучитьПриоритетПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПриоритетПлатежа(Объект, Реквизиты = неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперации.ПолучитьПриоритетПлатежа(Объект, Реквизиты);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
