---
title: Заявки на операции встраивание
slug: erp-uh/заявки-на-операции-встраивание
---


## ЗаполнитьЗаявкуНаОплатуПоПервичномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗаявкуНаОплатуПоПервичномуДокументу(Объект, ПервичныйДокумент, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииВстраивание.ЗаполнитьЗаявкуНаОплатуПоПервичномуДокументу(Объект, ПервичныйДокумент, ДополнительныеСвойства) 
```
</details>

## ЗаполнитьПланируемоеПоступлениеПоПервичномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПланируемоеПоступлениеПоПервичномуДокументу(Объект, ПервичныйДокумент, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииВстраивание.ЗаполнитьПланируемоеПоступлениеПоПервичномуДокументу(Объект, ПервичныйДокумент, ДополнительныеСвойства) 
```
</details>

## ЗаполнитьЗаявкаНаРасходПоПервичномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗаявкаНаРасходПоПервичномуДокументу(Объект, ПервичныйДокумент, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииВстраивание.ЗаполнитьЗаявкаНаРасходПоПервичномуДокументу(Объект, ПервичныйДокумент, ДополнительныеСвойства) 
```
</details>

## ЗаполнитьПланируемыйДоходПоПервичномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПланируемыйДоходПоПервичномуДокументу(Объект, ПервичныйДокумент, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииВстраивание.ЗаполнитьПланируемыйДоходПоПервичномуДокументу(Объект, ПервичныйДокумент, ДополнительныеСвойства) 
```
</details>

## ПолучитьСуммуДокументаСНДСВРазрезеСтавокНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитываем сумму документа со всеми налогами в разрезе ставок НДС
//
// Параметры:
//  ДокументОбъект    - ссылка документа, сумму которого надо рассчитать
//  ИмяТабличнойЧасти - строка, имя табличной части, сумму которой надо рассчитать.
//                      Если она не заполнена, считаем по всем табличным частям, в которых есть "Сумма"
//  НеУчитыватьТару   - булево, если Истина и ИмяТабличнойЧасти неопределено, то в расчете сумм тару не учитываем
//
// Возвращаемое значение:
//  ТаблицаЗначений
//		Колонки:
//			Сумма		- Сумма документа со всеми налогами
//			СтавкаНДС	- ПеречислениеСсылка.СтавкиНДС
//			СуммаНДС	- Сумма НДС по ставке
//
Функция ПолучитьСуммуДокументаСНДСВРазрезеСтавокНДС(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииВстраивание.ПолучитьСуммуДокументаСНДСВРазрезеСтавокНДС(ДокументОбъект) 
```
</details>

## ВладелецСчетаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВладелецСчетаКонтрагента(Форма, Значение) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииВстраивание.ВладелецСчетаКонтрагента(Форма, Значение) 
```
</details>

## УстановитьБанковскийСчетОтправителяПолучателяПриИзмененииДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает  Организация-ОрганизацияПолучатель-ОрганизацияОтправитель
Процедура УстановитьБанковскийСчетОтправителяПолучателяПриИзмененииДоговора(ОбъектЗаявка, РеквизитыЗаявки, Договор, РеквизитыДоговора, ИзмениласьВалютаОплаты) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииВстраивание.УстановитьБанковскийСчетОтправителяПолучателяПриИзмененииДоговора(ОбъектЗаявка, РеквизитыЗаявки, Договор, РеквизитыДоговора, ИзмениласьВалютаОплаты) 
```
</details>

## ПолучитьТипПлатежаПоАренде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТипПлатежаПоАренде(ЭлементСтруктурыЗадолженности) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииВстраивание.ПолучитьТипПлатежаПоАренде(ЭлементСтруктурыЗадолженности) 
```
</details>

## ЗаполнитьДокументПоЗаявкамНаРасходованиеДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет документ на основании заявок на расходование денежных средств.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект.ЗаявкаНаРасходованиеДС - объект заполнения
//	ДанныеЗаполнения - Структура - Данные заполнения
//	ТабличнаяЧасть - ТабличнаяЧасть - Табличная часть документа
//	ФормаОплаты - ПеречислениеСсылка.ФормыОплаты - Фактическая форма оплаты (зависит от вводимого документа оплаты).
//
Процедура ЗаполнитьДокументПоЗаявкамНаРасходованиеДенежныхСредств(ДокументОбъект, ДанныеЗаполнения, ТабличнаяЧасть, ФормаОплаты) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииВстраивание.ЗаполнитьДокументПоЗаявкамНаРасходованиеДенежныхСредств(ДокументОбъект, ДанныеЗаполнения, ТабличнаяЧасть, ФормаОплаты) 
```
</details>

## ЗаполнитьДокументПоОжидаемомуПоступлениюДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет документ на основании ожидаемого поступления денежных средств
Процедура ЗаполнитьДокументПоОжидаемомуПоступлениюДенежныхСредств(ДанныеЗаполнения, ТабличнаяЧасть, ФормаОплаты) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииВстраивание.ЗаполнитьДокументПоОжидаемомуПоступлениюДенежныхСредств(ДанныеЗаполнения, ТабличнаяЧасть, ФормаОплаты) 
```
</details>

## ЗаполнитьДокументПо2ПозицииРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет документ по встречной операции распоряжения на перемещение денежных средств.
//
// Параметры:
//	ДокументОснование - ДокументСсылка.РаспоряжениеНаПеремещениеДенежныхСредств - Документ - основание
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	ДанныеЗаполнения - Структура - Данные заполнения
//	РасшифровкаПлатежа - ТабличныеЧасти - Табличная часть "Расшифровка платежа" документа.
//
Процедура ЗаполнитьДокументПо2ПозицииРаспоряжения( Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииВстраивание.ЗаполнитьДокументПо2ПозицииРаспоряжения();
```
</details>

## ЭтоСписаниеБезЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСписаниеБезЗаявки(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииВстраивание.ЭтоСписаниеБезЗаявки(Объект) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
