---
title: Заявки на операции клиент сервер
slug: erp-uh/заявки-на-операции-клиент-сервер
---


## ПолучитьИмяДокументаЗаявка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяДокументаЗаявка(ВидБюджета, ПриходРасход) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииКлиентСервер.ПолучитьИмяДокументаЗаявка(ВидБюджета, ПриходРасход) 
```
</details>

## ЭтоЗаявкаНаОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоЗаявкаНаОперацию(Знач ОбъектИлиТип) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииКлиентСервер.ЭтоЗаявкаНаОперацию(ОбъектИлиТип) 
```
</details>

## ЕстьЗеркалированиеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьЗеркалированиеОперации(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииКлиентСервер.ЕстьЗеркалированиеОперации(Объект) 
```
</details>

## СтруктураРеквизитовДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает унифицировнную структуру реквизитов договора
Функция СтруктураРеквизитовДоговора() экспорт Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииКлиентСервер.СтруктураРеквизитовДоговора() экспорт);
```
</details>

## ЗаявкиНаОперацииПолучениеПолейПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаявкиНаОперацииПолучениеПолейПредставления(Источник, Поля, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииКлиентСервер.ЗаявкиНаОперацииПолучениеПолейПредставления(Источник, Поля, СтандартнаяОбработка) 
```
</details>

## ЗаявкиНаОперацииПолученияПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаявкиНаОперацииПолученияПредставления(Источник, Данные, Представление, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииКлиентСервер.ЗаявкиНаОперацииПолученияПредставления(Источник, Данные, Представление, СтандартнаяОбработка) 
```
</details>

## РеквизитСостояниеЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение реквизита СостояниеЗаявки на форме ФормаВход.
// Т.к. данный реквизит генерируется кодом, обращение к нему напрямую из
// кода недоступно.
Функция РеквизитСостояниеЗаявки(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииКлиентСервер.РеквизитСостояниеЗаявки(Форма) 
```
</details>

## РеквизитСтатусОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение реквизита СтатусОбъекта на форме ФормаВход.
// Т.к. данный реквизит генерируется кодом, обращение к нему напрямую из
// кода недоступно.
Функция РеквизитСтатусОбъекта(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииКлиентСервер.РеквизитСтатусОбъекта(Форма) 
```
</details>

## РеквизитСогласующий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение реквизита Согласующий на форме ФормаВход.
// Т.к. данный реквизит генерируется кодом, обращение к нему напрямую из
// кода недоступно.
Функция РеквизитСогласующий(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииКлиентСервер.РеквизитСогласующий(Форма) 
```
</details>

## ПересчитатьСуммуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПересчитатьСуммуНДС(СтрокаРасшифровки) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииКлиентСервер.ПересчитатьСуммуНДС(СтрокаРасшифровки) 
```
</details>

## УстановитьОграничениеТипаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОграничениеТипаКонтрагента(Форма) Экспорт
```

Пример вызова
```bsl
ЗаявкиНаОперацииКлиентСервер.УстановитьОграничениеТипаКонтрагента(Форма) 
```
</details>

## НаправлениеДвиженияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НаправлениеДвиженияДокумента(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииКлиентСервер.НаправлениеДвиженияДокумента(Ссылка) 
```
</details>

## ТипСуммыКредитаДепозитаПоЭлементуСтруктурыЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипСуммыКредитаДепозитаПоЭлементуСтруктурыЗадолженности(ЭлементСтруктурыЗадолженности) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявкиНаОперацииКлиентСервер.ТипСуммыКредитаДепозитаПоЭлементуСтруктурыЗадолженности(ЭлементСтруктурыЗадолженности) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
