---
title: Заявление о ввозе вызов сервера
slug: erp-uh/заявление-о-ввозе-вызов-сервера
---


## ВыгрузитьЗаявлениеОВвозеТоваровНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// ++ Локализация
// ++ НЕ УТ

// Выгружает документ и возвращает свойства файла выгрузки.
//
// Параметры:
// УникальныйИдентификаторЗаявления - Уникальный идентификатор формы выгружаемого заявления.
//	ЗаявлениеОВвозе		- ДокументСсылка.ЗаявлениеОВвозеТоваров - ссылка на выгружаемый документ.
//	ТолькоПроверка - Булево - признак выгрузки (= Ложь) / проверки возможности выгрузки (= Истина)
//
// Возвращаемое значение:
// - Неопределено - если не удалось сформировать файл выгрузки
// - Массив Из Структура - структуры с данными файлов выгрузки, содержит:
//		* АдресФайлаВыгрузки - Строка - адрес двоичных данных файла выгрузки во временном хранилище (кроме режима только проверки документа).
//		* ИмяФайлаВыгрузки - Строка - короткое имя файла выгрузки (с расширением).
//
Функция ВыгрузитьЗаявлениеОВвозеТоваровНаСервере(УникальныйИдентификаторЗаявления, ЗаявлениеОВвозе, ТолькоПроверка = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЗаявлениеОВвозеВызовСервера.ВыгрузитьЗаявлениеОВвозеТоваровНаСервере(УникальныйИдентификаторЗаявления, ЗаявлениеОВвозе, ТолькоПроверка);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
