---
title: Заявление о ввозе клиент локализация
slug: erp-uh/заявление-о-ввозе-клиент-локализация
---


## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// ++ НЕ УТ

// Процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
// 	ФормаДокумента			- ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
// 	ИмяСобытия				- Строка - идентификатор сообщения принимающей формой (см. метод Оповестить).
// 	Параметр				- ДокументСсылка - параметр одноименного обработчика события формы.
// 	Источник				- ДокументСсылка - источник одноименного обработчика события формы.
Процедура ОбработкаОповещения(ФормаДокумента, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ЗаявлениеОВвозеКлиентЛокализация.ОбработкаОповещения(ФормаДокумента, ИмяСобытия, Параметр, Источник) 
```
</details>

## ВыгрузитьЗаявлениеОВвозе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает документ и сохраняет файл выгрузки.
//
// Параметры:
//	ФормаЗаявления	- ФормаКлиентскогоПриложения - Форма выгружаемого документа.
//
Процедура ВыгрузитьЗаявлениеОВвозе(ФормаЗаявления) Экспорт
```

Пример вызова
```bsl
ЗаявлениеОВвозеКлиентЛокализация.ВыгрузитьЗаявлениеОВвозе(ФормаЗаявления) 
```
</details>

## ПроверитьВыгрузку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность выгрузки.
//
// Параметры:
//	ФормаЗаявления	- ФормаКлиентскогоПриложения - Форма выгружаемого документа.
//
Процедура ПроверитьВыгрузку(ФормаЗаявления) Экспорт
```

Пример вызова
```bsl
ЗаявлениеОВвозеКлиентЛокализация.ПроверитьВыгрузку(ФормаЗаявления) 
```
</details>

## СоздатьСтатформуВФТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму ранее созданного (или нового) регламентированного отчета "Статистическая форма учета перемещения товаров" или открывает форму .
//
// Параметры:
//	ФормаЗаявления - ФормаКлиентскогоПриложения - Форма документа заявления о ввозе товаров, для которого необходимо сформировать статформу перемещения товаров.
//
Процедура СоздатьСтатформуВФТС(ФормаЗаявления) Экспорт
```

Пример вызова
```bsl
ЗаявлениеОВвозеКлиентЛокализация.СоздатьСтатформуВФТС(ФормаЗаявления) 
```
</details>

## ОбновитьОтправку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет извещение в контролирующий орган.
//
// Параметры:
//	ФормаЗаявления	- ФормаКлиентскогоПриложения - Форма документа заявления о ввозе товаров, которое необходимо отправить.
//
Процедура ОбновитьОтправку(ФормаЗаявления) Экспорт
```

Пример вызова
```bsl
ЗаявлениеОВвозеКлиентЛокализация.ОбновитьОтправку(ФормаЗаявления) 
```
</details>

## ГиперссылкаПротоколНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает протокол отправки извещения в контролирующий орган.
//
// Параметры:
//	ФормаЗаявления - ФормаКлиентскогоПриложения - Форма документа заявления о ввозе товаров, которое необходимо отправить.
//
Процедура ГиперссылкаПротоколНажатие(ФормаЗаявление) Экспорт
```

Пример вызова
```bsl
ЗаявлениеОВвозеКлиентЛокализация.ГиперссылкаПротоколНажатие(ФормаЗаявление) 
```
</details>

## ОтправитьНеотправленноеИзвещение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет извещение в контролирующий орган.
//
// Параметры:
//	ФормаЗаявления	- ФормаКлиентскогоПриложения - Форма документа заявления о ввозе товаров, которое необходимо отправить.
//
Процедура ОтправитьНеотправленноеИзвещение(ФормаЗаявления) Экспорт
```

Пример вызова
```bsl
ЗаявлениеОВвозеКлиентЛокализация.ОтправитьНеотправленноеИзвещение(ФормаЗаявления) 
```
</details>

## ЭтапыОтправкиНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отображает статус отправки извещения в контролирующий орган.
//
// Параметры:
//	ФормаЗаявления - ФормаКлиентскогоПриложения - Форма документа заявления о ввозе товаров, которое необходимо отправить.
//
Процедура ЭтапыОтправкиНажатие(ФормаЗаявления) Экспорт
```

Пример вызова
```bsl
ЗаявлениеОВвозеКлиентЛокализация.ЭтапыОтправкиНажатие(ФормаЗаявления) 
```
</details>

## КритическиеОшибкиОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает ошибки, возникшие при отправки извещения в контролирующий орган.
//
// Параметры:
//	ФормаЗаявления - ФормаКлиентскогоПриложения - Форма документа заявления о ввозе товаров, которое необходимо отправить.
//
Процедура КритическиеОшибкиОбработкаНавигационнойСсылки(ФормаЗаявления, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ЗаявлениеОВвозеКлиентЛокализация.КритическиеОшибкиОбработкаНавигационнойСсылки(ФормаЗаявления, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
