---
title: Значение настроек клиент сервер повт исп
slug: erp-uh/значение-настроек-клиент-сервер-повт-исп
---


## ОсновнаяСтрана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение основной страны учета
//
// Возвращаемое значение:
// 	СправочникСсылка.СтраныМира -
Функция ОсновнаяСтрана() Экспорт
```

Пример вызова
```bsl
Результат = ЗначениеНастроекКлиентСерверПовтИсп.ОсновнаяСтрана() 
```
</details>

## СтранаРегистрацииОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает страну регистрации организации. Если передана организация, то возвращает страну регистрации организации.
// Если организация не передана, то основную страну.
//
// Параметры:
//   Организация - СправочникСсылка.Организации - Валюта, которую нужно заполнить.
//
// Возвращаемое значение:
//   СправочникСсылка.Валюты - валюта по умолчанию.
//
Функция СтранаРегистрацииОрганизации(Знач Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗначениеНастроекКлиентСерверПовтИсп.СтранаРегистрацииОрганизации(Организация);
```
</details>

## ВалютаРегламентированногоУчетаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает валюту регламентированного учета, определенную для организации.
//
// Параметры:
//   Организация - СправочникСсылка.Организации - Организация, для которой надо получить валюту регламентированного учета.
//
// Возвращаемое значение:
//   СправочникСсылка.Валюты -
//
Функция ВалютаРегламентированногоУчетаОрганизации(Знач Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЗначениеНастроекКлиентСерверПовтИсп.ВалютаРегламентированногоУчетаОрганизации(Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
