---
title: Идентификационные номера налогоплательщиков клиент сервер
slug: erp-uh/идентификационные-номера-налогоплательщиков-клиент-сервер
---


## МинимальнаяДлинаИНН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// "Об утверждении Порядка и условий присвоения, применения, а также изменения идентификационного номера налогоплательщика"

Функция МинимальнаяДлинаИНН() Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.МинимальнаяДлинаИНН() 
```
</details>

## МаксимальнаяДлинаИНН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксимальнаяДлинаИНН() Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.МаксимальнаяДлинаИНН() 
```
</details>

## ЭтоИННЮридическогоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоИННЮридическогоЛица(ИНН) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.ЭтоИННЮридическогоЛица(ИНН) 
```
</details>

## ЭтоИННФизическогоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоИННФизическогоЛица(ИНН) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.ЭтоИННФизическогоЛица(ИНН) 
```
</details>

## УдалитьИзНаименованияИНН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьИзНаименованияИНН(Наименование, ИНН) Экспорт
```

Пример вызова
```bsl
ИдентификационныеНомераНалогоплательщиковКлиентСервер.УдалитьИзНаименованияИНН(Наименование, ИНН) 
```
</details>

## ТолькоСимволы09AZ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТолькоСимволы09AZ(ПроверяемоеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.ТолькоСимволы09AZ(ПроверяемоеЗначение));
```
</details>

## ПроверитьСоответствиеТребованиямИНН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьСоответствиеТребованиямИНН(Знач ИНН, Знач ЭтоЮрЛицо) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.ПроверитьСоответствиеТребованиямИНН(ИНН, ЭтоЮрЛицо) 
```
</details>

## ПроверитьСоответствиеТребованиямКПП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьСоответствиеТребованиямКПП(Знач КПП, Знач ЭтоЮрЛицо, Знач ОбособленноеПодразделение, Знач ЭтоКонтрагент = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.ПроверитьСоответствиеТребованиямКПП(КПП, ЭтоЮрЛицо, ОбособленноеПодразделение, ЭтоКонтрагент);
```
</details>

## ПроверитьСоответствиеТребованиямФорматаКПП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьСоответствиеТребованиямФорматаКПП(Знач КПП, Знач ЭтоЮрЛицо) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.ПроверитьСоответствиеТребованиямФорматаКПП(КПП, ЭтоЮрЛицо) 
```
</details>

## ЭтоПричинаПостановкиНаУчетОрганизацииВЦелом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПричинаПостановкиНаУчетОрганизацииВЦелом(КодПричиныПостановки) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.ЭтоПричинаПостановкиНаУчетОрганизацииВЦелом(КодПричиныПостановки) 
```
</details>

## ЭтоПричинаПостановкиНаУчетОбособленногоПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПричинаПостановкиНаУчетОбособленногоПодразделения(КодПричиныПостановкиНаУчет) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.ЭтоПричинаПостановкиНаУчетОбособленногоПодразделения(КодПричиныПостановкиНаУчет));
```
</details>

## ЭтоПричинаПостановкиНаУчетКрупнейшегоНалогоплательщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПричинаПостановкиНаУчетКрупнейшегоНалогоплательщика(КодПричиныПостановки) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.ЭтоПричинаПостановкиНаУчетКрупнейшегоНалогоплательщика(КодПричиныПостановки) 
```
</details>

## КодПричиныПостановкиНаУчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КодПричиныПостановкиНаУчет(КПП) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.КодПричиныПостановкиНаУчет(КПП) 
```
</details>

## КППКорректен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КППКорректен(КПП) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.КППКорректен(КПП) 
```
</details>

## КПППоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КПППоУмолчанию(ИНН) Экспорт
```

Пример вызова
```bsl
Результат = ИдентификационныеНомераНалогоплательщиковКлиентСервер.КПППоУмолчанию(ИНН) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
