---
title: Идентификация продукта УХ клиент сервер
slug: erp-uh/идентификация-продукта-ух-клиент-сервер
---


## ЭтоУправлениеХолдингом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ответ на вопрос, содержит-ли данная конфигурация
// полноценный продуктом 1С:Управление Холдингом.
//
// Возвращаемое значение:
//  Булево - Истина означает, что данный продукт представляет
//			 собой 1С:Управление Холдингом или 1С: ERP.Холдинг.
//	Ложь - данный продукт представляет собой другую конфигурацию.
//
Функция ЭтоУправлениеХолдингом() Экспорт
```

Пример вызова
```bsl
Результат = ИдентификацияПродуктаУХКлиентСервер.ЭтоУправлениеХолдингом() 
```
</details>

## ЭтоЕХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ответ на вопрос, является ли данная конфигурация
// продуктом 1С: ERP.Холдинг.
//
// Возвращаемое значение:
//  Булево - Истина означает, что данный продукт
//			 представляет собой 1С: ERP.Холдинг.
//	Ложь - данный продукт представляет собой другую конфигурацию.
//
Функция ЭтоЕХ() Экспорт
```

Пример вызова
```bsl
Результат = ИдентификацияПродуктаУХКлиентСервер.ЭтоЕХ() 
```
</details>

## ВерсияУправлениеХолдингом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает первые два сегмента версии подсистемы Управление холдингом
//
// Возвращаемое значение:
//  Строка - Первые два сегмента версии подсистемы Управление холдингом
//
Функция ВерсияУправлениеХолдингом() Экспорт
```

Пример вызова
```bsl
Результат = ИдентификацияПродуктаУХКлиентСервер.ВерсияУправлениеХолдингом() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
