---
title: Икар ВЕТИС вызов сервера
slug: erp-uh/икар-ветис-вызов-сервера
---


## СтранаПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает страну мира по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция СтранаПоGUID(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СтранаПоGUID(Идентификатор) 
```
</details>

## СтранаПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает страну мира по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция СтранаПоUUID(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СтранаПоUUID(Идентификатор) 
```
</details>

## СписокСтран
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список стран мира.
//
// Параметры:
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокСтран(НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СписокСтран(НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## ИсторияИзмененийСтран
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период стран мира.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийСтран(Интервал, НомерСтраницы = 1) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.ИсторияИзмененийСтран(Интервал, НомерСтраницы);
```
</details>

## РегионПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает регион страны по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция РегионПоGUID(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.РегионПоGUID(Идентификатор) 
```
</details>

## РегионПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает регион страны по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция РегионПоUUID(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.РегионПоUUID(Идентификатор) 
```
</details>

## СписокРегионовСтраны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список регионов страны.
//
// Параметры:
//  GUIDСтраны - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор страны.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокРегионовСтраны(GUIDСтраны, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СписокРегионовСтраны(GUIDСтраны, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## ИсторияИзмененийРегионов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период регионов.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийРегионов(Интервал, НомерСтраницы = 1) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.ИсторияИзмененийРегионов(Интервал, НомерСтраницы);
```
</details>

## РайонПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает район страны по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция РайонПоGUID(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.РайонПоGUID(Идентификатор) 
```
</details>

## РайонПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает район страны по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция РайонПоUUID(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.РайонПоUUID(Идентификатор) 
```
</details>

## СписокРайоновРегиона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список районов региона.
//
// Параметры:
//  GUIDРегиона - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор региона.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокРайоновРегиона(GUIDРегиона, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СписокРайоновРегиона(GUIDРегиона, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## ИсторияИзмененийРайонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период районов.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийРайонов(Интервал, НомерСтраницы = 1) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.ИсторияИзмененийРайонов(Интервал, НомерСтраницы);
```
</details>

## СписокНаселенныхПунктовРегиона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список населенных пунктов района.
//
// Параметры:
//  GUIDРегиона - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор региона.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокНаселенныхПунктовРегиона(GUIDРегиона, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СписокНаселенныхПунктовРегиона(GUIDРегиона, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## СписокНаселенныхПунктовРегионаСОтборомПоНаименованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список населенных пунктов района с отбором по наименованию.
//
// Параметры:
//  GUIDРегиона - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор региона.
//  Наименование - Строка - Часть наименования населенного пункта.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокНаселенныхПунктовРегионаСОтборомПоНаименованию(GUIDРегиона, Наименование, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СписокНаселенныхПунктовРегионаСОтборомПоНаименованию(GUIDРегиона, Наименование, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## СписокНаселенныхПунктовРайона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список населенных пунктов района.
//
// Параметры:
//  GUIDРегиона - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор региона.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокНаселенныхПунктовРайона(GUIDРайона, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СписокНаселенныхПунктовРайона(GUIDРайона, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## СписокНаселенныхПунктовНаселенногоПункта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список населенных пунктов района.
//
// Параметры:
//  GUIDРегиона - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор региона.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокНаселенныхПунктовНаселенногоПункта(GUIDНаселенногоПункта, НомерСтраницы = 1) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СписокНаселенныхПунктовНаселенногоПункта(GUIDНаселенногоПункта, НомерСтраницы);
```
</details>

## ИсторияИзмененийНаселенныхПунктов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период населенных пунктов.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийНаселенныхПунктов(Интервал, НомерСтраницы = 1) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.ИсторияИзмененийНаселенныхПунктов(Интервал, НомерСтраницы);
```
</details>

## СписокУлицНаселенногоПункта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список улиц населенного пункта.
//
// Параметры:
//  GUIDНаселенногоПункта - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор населенного пункта.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокУлицНаселенногоПункта(GUIDНаселенногоПункта, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СписокУлицНаселенногоПункта(GUIDНаселенногоПункта, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## СписокУлицНаселенногоПунктаСОтборомПоНаименованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список улиц населенного пункта с отбором по наименованию.
//
// Параметры:
//  GUIDНаселенногоПункта - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор населенного пункта.
//  Наименование - Строка - Часть наименования улицы.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокУлицНаселенногоПунктаСОтборомПоНаименованию(GUIDНаселенногоПункта, Наименование, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.СписокУлицНаселенногоПунктаСОтборомПоНаименованию(GUIDНаселенногоПункта, Наименование, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## ИсторияИзмененийУлиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период улиц.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийУлиц(Интервал, НомерСтраницы = 1) Экспорт
```

Пример вызова
```bsl
Результат = ИкарВЕТИСВызовСервера.ИсторияИзмененийУлиц(Интервал, НомерСтраницы);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
