---
title: Имущественные налоги
slug: erp-uh/имущественные-налоги
---


## КодыВидовТранспортныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Коды видов транспортных средств.
//
// Параметры:
//  Дата - Дата - Дата
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение - Коды видов транспортных средств:
//		* Ключ - Строка - код ТС
//		* Значение - Структура - Содержит:
//			** Наименование - Строка -
//			** КодЕдиницыИзмерения - Строка -
Функция КодыВидовТранспортныхСредств(Дата) Экспорт
```

Пример вызова
```bsl
Результат = ИмущественныеНалоги.КодыВидовТранспортныхСредств(Дата) 
```
</details>

## ОпределитьОбъектыСКомандамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых предусмотрена процедура ДобавитьКомандыОтчетов,
// описывающая команды открытия контекстных отчетов.
// Синтаксис процедуры ДобавитьКомандыОтчетов см. в документации.
//
// Параметры:
//   Объекты - Массив из ОбъектМетаданных - объекты метаданных с командами отчетов.
Процедура ОпределитьОбъектыСКомандамиОтчетов(Объекты) Экспорт
```

Пример вызова
```bsl
ИмущественныеНалоги.ОпределитьОбъектыСКомандамиОтчетов(Объекты) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
