---
title: Интеграция 1С Штамп
slug: erp-uh/интеграция-1с-штамп
---


## РезультатДобавленияШтамповВДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат добавления штампов в документ.
//
// Параметры:
//   ПараметрыДобавленияШтампов - см. Интеграция1СШтампКлиентСервер.НовыеПараметрыДобавленияШтамповВДокумент
//   Таймаут - Число, Неопределено - Максимальное время ожидания получения результата выполнения задания из сервиса
//                                    (не больше 600 сек). По умолчанию - 600 сек.
//
// Возвращаемое значение:
//   Структура:
//    * ЕстьОшибки          - Булево - Признак наличия ошибок.
//    * ИнформацияОбОшибках - Структура - Информация об ошибках выополнения запроса:
//       ** КодСостояния - Число      - Код состояния HTTP ответа.
//       ** Данные       - Структура  - Данные ответа сервиса.
//       ** URLРедиректа - Строка     - URL адрес для повторного обращения.
//       ** Интервал     - Число      - Интервал (в секундах) для повторного обращения к сервису.
//       ** ТекстОшибки  - Строка     - Текст ошибки на стороне сервиса.
//    * ЕстьРезультат      - Булево         - Признак успешного выполнения запроса.
//    * ДвоичныеДанные     - ДвоичныеДанные - Двоичные данные результата (PDF документа).
//
Функция РезультатДобавленияШтамповВДокумент(Знач ПараметрыДобавленияШтампов, Знач Таймаут = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтамп.РезультатДобавленияШтамповВДокумент(ПараметрыДобавленияШтампов, Таймаут);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
