---
title: Интеграция 1С Штамп клиент
slug: erp-uh/интеграция-1с-штамп-клиент
---


## УстановитьШтампВДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает через описание оповещения результат штампирования документа.
//
// Параметры:
//  ОписаниеОповещенияОВыполнении  - ОписаниеОповещения - Данные процедуры в которую необходимо вернуть результат
//                                      выполнения функции
//  ПараметрыДобавленияШтампов     - см. Интеграция1СШтампКлиентСервер.НовыеПараметрыДобавленияШтамповВДокумент
//  Таймаут - Число, Неопределено - Максимальное время ожидания получения результата выполнения задания из сервиса.
//                                    По умолчанию - 600 сек.
//  ПараметрыОжидания              - см. ДлительныеОперацииКлиент.ПараметрыОжидания
//
// Пример:
//
//  МассивШтампов = Новый Массив;
//
//	МассивШтампов.Добавить(ДвоичныеДанныеШтампа);
//	ПараметрыШтампов = ПараметрыШтампов(МассивШтампов);
//
//	ПараметрыДобавленияШтамповВДокумент = Интеграция1СШтампКлиентСервер.НовыеПараметрыДобавленияШтамповВДокумент();
//
//	ПараметрыДобавленияШтамповВДокумент.ПараметрыДокумента.ДвоичныеДанные = ДвоичныеДанныеДокумента;
//	ПараметрыДобавленияШтамповВДокумент.ПараметрыДокумента.Расширение     = "PDF";
//	ПараметрыДобавленияШтамповВДокумент.ПараметрыШтампов                  = ПараметрыШтампов;
//
//	ОписаниеОповещения = Новый ОписаниеОповещения("РезультатУстановкиШтамповВДокумент", ЭтотОбъект);
//
//	Интеграция1СШтампКлиент.УстановитьШтампВДокумент(
//		ОписаниеОповещения,
//		ПараметрыДобавленияШтамповВДокумент,
//		600);
//
Процедура УстановитьШтампВДокумент(Знач ОписаниеОповещенияОВыполнении, Экспорт
```

Пример вызова
```bsl
Интеграция1СШтампКлиент.УстановитьШтампВДокумент(ОписаниеОповещенияОВыполнении, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
