---
title: Интеграция 1С Штамп клиент сервер
slug: erp-uh/интеграция-1с-штамп-клиент-сервер
---


## НовыеПараметрыДобавленияШтамповВДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает конструктор параметров добавления штампов в документ.
//
// Возвращаемое значение:
//  Структура:
//    * ПараметрыДокумента - Структура - Параметры документа:
//       ** ДвоичныеДанные - ДвоичныеДанные - Двоичные данные документа.
//       ** Расширение     - Строка         - Значение расширения файла.
//    * ПараметрыШтампов   - Массив из Структура:
//       ** ПараметрыШтампа - Структура - Параметры картинки штампа:
//           *** ДвоичныеДанные - ДвоичныеДанные - Двоичные данные картинки штампа.
//           *** Расширение     - Строка         - Значение расширения файла картинки штампа.
//       ** ПараметрыРазмещения - Структура - Параметры размещения картинки штампа на странице документа:
//            *** Координаты - Структура - Данные координат размещения в пикселях:
//                  **** Верх - Число - Значение отступа в пикселях от верхней границы страницы документа.
//                  **** Лево - Число - Значение отступа в пикселях от левой границы страницы документа.
//            *** Расположение - Строка - Значение расположения картинки штампа на странице документа.
//                см. #Область Словарь, Пример: ВариантРасположенияВнизуПоЦентру.
//                Значение по умолчанию: ВариантРасположенияВнизуПоЦентру.
//       ** ПравилаРасположения - Структура - Правила расположения картинки штампа на страницах документа:
//            *** ПравилоРасположения - Строка - Значение правила размещения картинки штампа на страницах документа.
//                см. #Область Словарь, Пример: ПравилоРасположенияНаКаждойСтранице
//                Значение по умолчанию: НаКаждойСтранице.
//            *** НомерСтраницы - Число - Номер страницы документа для расположения картинки штампа.
//                Значение по умолчанию: 1.
//       ** ОтступОтГраниц - Число - Отступ от границ страницы документа в пикселях при установке картинки штампа.
//       ** КоэффициентИзмененияРазмера - Число - Коэффициент изменения размера картинки штампа.
//       ** Настройки - Структура - Настройки картинки штампа на странице документа:
//            *** Прозрачность - Структура - Настройки прозрачности картинки штампа:
//                  **** Прозрачный - Булево - Признак использования прозрачности.
//                  **** Уровень - Число - Значение уровня прозрачности от 0 до 255, где 0 - 100% значение прозрачности.
//
Функция НовыеПараметрыДобавленияШтамповВДокумент() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.НовыеПараметрыДобавленияШтамповВДокумент() 
```
</details>

## НовыеПараметрыШтампа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает конструктор параметров картинки штампа
//
// Возвращаемое значение:
// 	Структура:
//    * ПараметрыШтампа  - Структура - Параметры картинки штампа:
//       ** ДвоичныеДанные - ДвоичныеДанные - Двоичные данные картинки штампа.
//       ** Расширение     - Строка         - Значение расширения файла картинки штампа.
//    * ПараметрыРазмещения - Структура - Параметры размещения картинки штампа на странице документа:
//        ** Координаты   - Структура - Данные координат размещения в пикселях:
//              *** Верх - Число - Значение отступа в пикселях от верхней границы страницы документа.
//              *** Лево - Число - Значение отступа в пикселях от левой границы страницы документа.
//        ** Расположение - Строка    - Значение расположения картинки штампа на странице документа.
//               см. #Область Словарь, Пример: ВариантРасположенияВнизуПоЦентру
//               Значение по умолчанию: ВариантРасположенияВнизуПоЦентру
//    * ПравилаРасположения - Структура - Правила расположения картинки штампа на страницах документа:
//        *** ПравилоРасположения - Строка - Значение правила размещения картинки штампа на страницах документа.
//                см. #Область Словарь, Пример: ПравилоРасположенияНаКаждойСтранице
//                Значение по умолчанию: НаКаждойСтранице.
//        *** НомерСтраницы - Число - Номер страницы документа для расположения картинки штампа.
//                Значение по умолчанию: 1.
//    * ОтступОтГраниц - Число - Отступ от границ страницы документа в пикселях при установке картинки штампа.
//    * КоэффициентИзмененияРазмера - Число - Коэффициент изменения размера картинки штампа.
//    * Настройки - Структура - Настройки картинки штампа на странице документа:
//        ** Прозрачность - Структура - Настройки прозрачности картинки штампа:
//             *** Прозрачный - Булево - Признак использования прозрачности.
//             *** Уровень    - Число  - Значение уровня прозрачности от 0 до 255, где 0 - 100% значение прозрачности.
//
Функция НовыеПараметрыШтампа() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.НовыеПараметрыШтампа() 
```
</details>

## МассивВариантовРасположенияШтамповНаСтраницеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив значений допустимых вариантов расположения штампов на странице документа.
//
// Возвращаемое значение:
// 	Массив Из см. #Область Словарь
//
Функция МассивВариантовРасположенияШтамповНаСтраницеДокумента() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.МассивВариантовРасположенияШтамповНаСтраницеДокумента() 
```
</details>

## МассивПравилРасположенияШтамповВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив значений допустимых вариантов расположения штампов на странице документа.
//
// Возвращаемое значение:
// 	Массив Из см. #Область Словарь
//
Функция МассивПравилРасположенияШтамповВДокументе() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.МассивПравилРасположенияШтамповВДокументе() 
```
</details>

## ЗначениеОтступаОтКраевСтраницыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение отступа в пикселях по умолчанию.
//
// Возвращаемое значение:
//   Число - значение отступа в пикселях. Значение по умолчанию - 10 пикселей
//
Функция ЗначениеОтступаОтКраевСтраницыПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ЗначениеОтступаОтКраевСтраницыПоУмолчанию() 
```
</details>

## ЗначениеКоэффициентаПрозрачностиШтампаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает коэффициент прозрачности картинки штампа по умолчанию.
// Градация следующая: при значении 0 - 100% прозрачность, при значении 255 - 0% прозрачность.
//
// Возвращаемое значение:
//   Число - значение коэффициента прозрачности от 0 до 255. Значение по умолчанию - 128.
//
Функция ЗначениеКоэффициентаПрозрачностиШтампаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ЗначениеКоэффициентаПрозрачностиШтампаПоУмолчанию() 
```
</details>

## ЗначениеПрозрачностиПрозрачный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение прозрачности картинки штампа, когда прозрачность используется.
//
// Возвращаемое значение:
//   Строка - значение прозрачности "Прозрачный".
//
Функция ЗначениеПрозрачностиПрозрачный() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ЗначениеПрозрачностиПрозрачный() 
```
</details>

## ВариантРасположенияВверхуСлева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вариант расположения штампа в верхнем левом углу.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ВариантРасположенияВверхуСлева() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ВариантРасположенияВверхуСлева() 
```
</details>

## ВариантРасположенияВверхуСправа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вариант расположения штампа в верхнем правом углу.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ВариантРасположенияВверхуСправа() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ВариантРасположенияВверхуСправа() 
```
</details>

## ВариантРасположенияВверхуПоЦентру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вариант расположения штампа вверху по центру страницы.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ВариантРасположенияВверхуПоЦентру() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ВариантРасположенияВверхуПоЦентру() 
```
</details>

## ВариантРасположенияВнизуСлева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вариант расположения штампа в нижнем левом углу.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ВариантРасположенияВнизуСлева() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ВариантРасположенияВнизуСлева() 
```
</details>

## ВариантРасположенияВнизуСправа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вариант расположения штампа в нижнем правом углу.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ВариантРасположенияВнизуСправа() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ВариантРасположенияВнизуСправа() 
```
</details>

## ВариантРасположенияВнизуПоЦентру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вариант расположения штампа внизу по центру страницы.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ВариантРасположенияВнизуПоЦентру() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ВариантРасположенияВнизуПоЦентру() 
```
</details>

## ВариантРасположенияПоКоординатам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вариант расположения штампа произвольно по координатам.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ВариантРасположенияПоКоординатам() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ВариантРасположенияПоКоординатам() 
```
</details>

## ПравилоРасположенияНаКаждойСтранице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает правило расположения штампа на каждой странице.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ПравилоРасположенияНаКаждойСтранице() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ПравилоРасположенияНаКаждойСтранице() 
```
</details>

## ПравилоРасположенияНаПервойСтранице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает правило расположения штампа на первой странице.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ПравилоРасположенияНаПервойСтранице() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ПравилоРасположенияНаПервойСтранице() 
```
</details>

## ПравилоРасположенияНаПоследнейСтранице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает правило расположения штампа на последней странице.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ПравилоРасположенияНаПоследнейСтранице() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ПравилоРасположенияНаПоследнейСтранице() 
```
</details>

## ПравилоРасположенияНаКаждойСтраницеКромеПоследней
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает правило расположения штампа на каждой странице кроме последней.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ПравилоРасположенияНаКаждойСтраницеКромеПоследней() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ПравилоРасположенияНаКаждойСтраницеКромеПоследней() 
```
</details>

## ПравилоРасположенияНаКонкретнойСтранице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает правило расположения штампа на конкретной странице.
//
// Возвращаемое значение:
//   Строка - значение расположения.
//
Функция ПравилоРасположенияНаКонкретнойСтранице() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ПравилоРасположенияНаКонкретнойСтранице() 
```
</details>

## ДопустимыеРасширенияФайловШтампов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив допустимых расширений файлов
//
// Возвращаемое значение:
//  Массив Из Строка - Массив строк расширений.
//
Функция ДопустимыеРасширенияФайловШтампов() Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.ДопустимыеРасширенияФайловШтампов() 
```
</details>

## РасширениеОсновногоФайлаПоддерживается
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. Интеграция1СШтампСлужебныйКлиентСервер.РасширениеОсновногоФайлаПоддерживается
//
Функция РасширениеОсновногоФайлаПоддерживается(Расширение) Экспорт
```

Пример вызова
```bsl
Результат = Интеграция1СШтампКлиентСервер.РасширениеОсновногоФайлаПоддерживается(Расширение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
