---
title: Интеграция SHARE клиент
slug: erp-uh/интеграция-share-клиент
---


## ПоделитьсяДокументом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму с ссылкой для скачивания публикуемого электронного документа.
// При открытии формы выполняется публикация электронного документа в сервис 1С:Share.
// Перед публикацией может быть выведена форма для выбора присоединенных файлов к публикуемому документу.
// Может вызываться из подключаемых команд.
//
// Параметры:
//  СсылкаНаДокумент - ДокументСсылка, СправочникСсылка - ссылка на формируемый электронный документ для скачивания.
//  ПараметрыВыполненияКоманды - Структура - дополнительные параметры команды.
//
Процедура ПоделитьсяДокументом(СсылкаНаДокумент, ПараметрыВыполненияКоманды = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияShareКлиент.ПоделитьсяДокументом(СсылкаНаДокумент, ПараметрыВыполненияКоманды);
```
</details>

## ОткрытьФормуЗагрузитьДокументПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для загрузки документа по ссылке из сервиса 1С:Share.
//
Процедура ОткрытьФормуЗагрузитьДокументПоСсылке() Экспорт
```

Пример вызова
```bsl
ИнтеграцияShareКлиент.ОткрытьФормуЗагрузитьДокументПоСсылке() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
