---
title: Интеграция SHARE клиент сервер
slug: erp-uh/интеграция-share-клиент-сервер
---


## НовыеПараметрыДокументаКПубликации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров документа к публикации.
//
// Возвращаемое значение:
//  Структура - содержит набор данных документа для скачивания:
//   * ЭлектронныйДокумент - Неопределено, ДокументСсылка, СправочникСсылка - ссылка на электронный документ.
//   * ФайлыДокумента - Массив из См. НовыеДанныеФайлаДляВыбораКПубликации- исходные файлы документа.
//   * РезультатПроверкиПакета - См. НовыйРезультатПроверкиПакета
//   * ДанныеОпубликованногоДокумента - См. НовыеДанныеОпубликованногоДокумента
//
Функция НовыеПараметрыДокументаКПубликации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.НовыеПараметрыДокументаКПубликации() 
```
</details>

## НовыйРезультатПроверкиПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров результата проверки пакета электронного документа и его присоединенных файлов
// для публикации в сервис 1С:Share.
//
// Возвращаемое значение:
//  Структура - содержит параметры формы выбора файлов документа перед публикацией:
//   * ДанныеФайловКПубликации - Массив из См. НовыеДанныеФайлаДляВыбораКПубликации
//   * ПревышенРазмерПакета - Булево - признак превышения максимального размера пакета.
//   * РазмерПакетаБезПрисоединенныхФайлов - Число - размер пакета электронного документа для публикации
//                                                   без размера присоединенных файлов. Размер заполняется в байтах.
//   * МаксимальныйРазмерПакета - Число - максимальный допустимый размер в байтах всех публикуемых данных.
//
Функция НовыйРезультатПроверкиПакета() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.НовыйРезультатПроверкиПакета() 
```
</details>

## НовыеДанныеОпубликованногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор данных опубликованного документа в сервис 1С:Share.
//
// Возвращаемое значение:
//  Структура - содержит набор данных документа для скачивания:
//   * ЭлектронныйДокумент          - Неопределено, ДокументСсылка, СправочникСсылка - ссылка на электронный документ
//   * СсылкаДляСкачиванияДокумента - Строка - короткая ссылка для скачивания документа.
//   * ОрганизацияНаименование      - Строка - наименование организации из документа.
//   * КонтрагентНаименование       - Строка - наименование контрагента из документа.
//   * Контрагент                   - Неопределено, ОпределяемыйТип.КонтрагентБЭД - контрагент документа.
//   * СуммаДокумента               - Число - сумма документа.
//   * ВалютаДокумента              - Строка - валюта документа.
//   * ПредставлениеДокумента       - Строка - представление электронного документа.
//
Функция НовыеДанныеОпубликованногоДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.НовыеДанныеОпубликованногоДокумента() 
```
</details>

## НовыйКонтактнаяИнформация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор контактной информации по владельцу.
//
// Возвращаемое значение:
//  Структура - содержит контактную информацию по владельцу:
//   * ВладелецКонтакта      - ЛюбаяСсылка - владелец контактной информации.
//   * КодСтраны             - Строка - код страны. По умолчанию Российская Федерация: "+7"
//   * НомерТелефонаБезКодов - Строка - номер телефона, без кода страны и только цифры.
//
Функция НовыйКонтактнаяИнформация() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.НовыйКонтактнаяИнформация() 
```
</details>

## НовыеДанныеФайлаДляВыбораКПубликации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров формы для выбора файлов перед публикацией.
//
// Возвращаемое значение:
//  Структура - содержит данные файла для выбора к публикации:
//   * СсылкаНаФайл - ОпределяемыйТип.ПрисоединенныйФайл, Неопределено - ссылка на файл документа к публикации.
//   * Наименование - Строка - наименование файла без расширения.
//   * ИмяФайла - Строка - наименование файла с расширением.
//   * Расширение - Строка - расширение файла без точки.
//   * Размер - Строка - размер файла в байтах.
//   * ДвоичныеДанныеФайла - Строка - адрес хранилища двочных данных файла.
//   * ФайлВыбран - Булево - признак выбранного файла.
//
Функция НовыеДанныеФайлаДляВыбораКПубликации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.НовыеДанныеФайлаДляВыбораКПубликации() 
```
</details>

## НовыеПараметрыДокументаДляОтметкиЗагрузкиВБазу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров документа для установки отметки о загрузке в прикладную базу в сервисе 1С:Share.
//
// Возвращаемое значение:
//  Структура - содержит данные файла для выбора к публикации:
//   * ИдентификаторЭлектронногоДокумента - Строка  - идентификатор объекта учета в прикладной базе.
//   * ОбъектУчета - ДокументСсылка, СправочникСсылка - ссылка на объект учета.
//   * ТипМетаданныхДокументаВладельца - Строка - полное имя типа метаданных объекта учета в прикладной базе.
//                                                Например: "Документ.ЗаказПоставщику", "Справочник.Договоры"
//   * СпособЗагрузки - Строка - вариант способа загрузки в прикладную базу.
//                               См. СпособыЗагрузкиДокумента. По умолчанию "КакНовыйДокумент".
Функция НовыеПараметрыДокументаДляОтметкиЗагрузкиВБазу() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.НовыеПараметрыДокументаДляОтметкиЗагрузкиВБазу() 
```
</details>

## НовыеДанныеЗагруженногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров загруженного документа в прикладную базу.
//
// Возвращаемое значение:
//  Структура - данные объекта учета загруженного из сервиса 1С:Share:
//   * ОбъектУчета - ДокументСсылка, СправочникСсылка - ссылка на созданный объект учета по электронного документу.
//   * ДополнительныеФайлыДокумента - ХранилищеЗначения из См. НовоеОписаниеДополнительныхФайлов - дополнительные
//                                                                    файлы переданные вместе с электронным документом.
//   * ФайлыВизуализации - Массив из См. НовыеФайлВизуализации - файлы представления электронного документа.
Функция НовыеДанныеЗагруженногоДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.НовыеДанныеЗагруженногоДокумента() 
```
</details>

## АдресСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес сервиса 1С:Share.
//
// Возвращаемое значение:
//  Строка - адрес сервиса.
//
Функция АдресСервиса() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.АдресСервиса() 
```
</details>

## ИмяПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя подсистемы Share.
//
// Возвращаемое значение:
//  Строка - имя подсистемы.
//
Функция ИмяПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.ИмяПодсистемы() 
```
</details>

## ИмяСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя сервиса Share.
//
// Возвращаемое значение:
//  Строка - имя сервиса.
//
Функция ИмяСервиса() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.ИмяСервиса() 
```
</details>

## ЗапрещенныеРасширенияФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрещенные расширения файлов к публикации, которые могут нанести вред: программы, скрипты, ярлыки.
//
// Возвращаемое значение:
//  Строка - форматы файла.
//
Функция ЗапрещенныеРасширенияФайла() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.ЗапрещенныеРасширенияФайла() 
```
</details>

## ДоступныеРасширенияФайловВизуализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступные расширения файлов визуализации публикуемого документа.
//
// Возвращаемое значение:
//  Строка - форматы файла визуализации.
//
Функция ДоступныеРасширенияФайловВизуализации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.ДоступныеРасширенияФайловВизуализации() 
```
</details>

## СпособыЗагрузкиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает способы загрузки документа в учетную базу.
//
// Возвращаемое значение:
//  Структура - способы загрузки документа:
//   * КакПрисоединенныйФайл - Строка
//   * КакНовыйДокумент - Строка
//
Функция СпособыЗагрузкиДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.СпособыЗагрузкиДокумента() 
```
</details>

## ВидыФайловДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает виды файлов электронного документа.
//
// Возвращаемое значение:
//  Структура - виды файлов документа:
//   * ФайлВизуализации - Строка
//   * ГлавныйФайл - Строка
//
Функция ВидыФайловДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.ВидыФайловДокумента() 
```
</details>

## СхемыПубликацииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает схемы публикации электронного документа в сервисе.
//
// Возвращаемое значение:
//  Структура - схемы публикации:
//   * Стандартная - Строка
//   * ТолькоПубликация - Строка
//
Функция СхемыПубликацииДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияShareКлиентСервер.СхемыПубликацииДокумента() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
