---
title: Интеграция SHARE переопределяемый
slug: erp-uh/интеграция-share-переопределяемый
---


## КонтактныеЛицаСНомеромТелефона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает мобильные номера телефонов контактных лиц, контрагента.
// Рекомендуется передавать номера мобильных телефонов контактного лица и контрагента, где они заполнены.
// Мобильный телефон используется для отправки сообщения через whatsapp на конкретный номер.
//
// Параметры:
//  Контрагент           - ОпределяемыйТип.КонтрагентБЭД - ссылка на элемент справочника контрагенты.
//  КонтактнаяИнформация - Массив из см. ИнтеграцияShareКлиентСервер.НовыйКонтактнаяИнформация - контактная информация.
//
Процедура КонтактныеЛицаСНомеромТелефона(Знач Контрагент, КонтактнаяИнформация) Экспорт
```

Пример вызова
```bsl
ИнтеграцияShareПереопределяемый.КонтактныеЛицаСНомеромТелефона(Контрагент, КонтактнаяИнформация) 
```
</details>

## ПриОпределенииСоставаКомандShare
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет состав команд для использования сервиса 1С:Share.
//
// Параметры:
//  СоставКоманд - См. ИнтеграцияShare.НовыйСоставКомандShare
//
Процедура ПриОпределенииСоставаКомандShare(СоставКоманд) Экспорт
```

Пример вызова
```bsl
ИнтеграцияShareПереопределяемый.ПриОпределенииСоставаКомандShare(СоставКоманд) 
```
</details>

## ПриОпределенииГиперссылкиНаИнструкциюПоРаботеССервисом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет гиперссылку на инструкцию по работе с сервисом 1С:Share для прикладной базы.
// Например, url-страница сайта ИТС с описанием сервиса как в нем делиться документом и загружать.
//
// Параметры:
//  НавигационнаяСсылка - Строка - гиперссылка на инструкцию по работе с сервисом 1С:Share для прикладной базы.
//
Процедура ПриОпределенииГиперссылкиНаИнструкциюПоРаботеССервисом(НавигационнаяСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияShareПереопределяемый.ПриОпределенииГиперссылкиНаИнструкциюПоРаботеССервисом(НавигационнаяСсылка) 
```
</details>

## ПриОпределенииФайловДокументаДляВыбораКПубликации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет файлы документа для выбора к публикации в сервис 1С:Share.
// При стандартной обработке файлы заполняются из присоединенных файлов к документу и не помеченные на удаление,
// используется метод БСП РаботаСФайлами.ЗаполнитьПрисоединенныеФайлыКОбъекту.
//
// Параметры:
//  ДанныеФайлов - Массив из см. ИнтеграцияShare.НовыеДанныеПрисоединенногоФайла - данные файлов для выбора к публикации. Выходной параметр.
//  СсылкаНаДокумент - ДокументСсылка, СправочникСсылка - ссылка на публикуемый документ.
//  СтандартнаяОбработка - Булево - признак стандартной обработки. По умолчанию Истина.
//
Процедура ПриОпределенииФайловДокументаДляВыбораКПубликации(ДанныеФайлов, Знач СсылкаНаДокумент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияShareПереопределяемый.ПриОпределенииФайловДокументаДляВыбораКПубликации(ДанныеФайлов, СсылкаНаДокумент, СтандартнаяОбработка) 
```
</details>

## ПриОпределенииДанныхПубликуемогоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет данные публикуемого документа в сервис 1С:Share.
//
// Параметры:
//  ДанныеТранспортногоКонтейнера - ДеревоЗначений из см. ДеревоЭлектронногоДокументаБЭД.ДеревоЭлектронногоДокумента -
//                                  данные для заполнения транспортного контейнера. Строится по макету.
//                                 см. Обработка.СервисShare.Макет.ТранспортныйКонтейнер. Выходной параметр.
//  СсылкаНаДокумент - ДокументСсылка, СправочникСсылка - электронный документ к публикации.
//
Процедура ПриОпределенииДанныхПубликуемогоДокумента(ДанныеТранспортногоКонтейнера, Знач СсылкаНаДокумент) Экспорт
```

Пример вызова
```bsl
ИнтеграцияShareПереопределяемый.ПриОпределенииДанныхПубликуемогоДокумента(ДанныеТранспортногоКонтейнера, СсылкаНаДокумент) 
```
</details>

## ПриОпределенииВизуализацииПубликуемогоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет представление публикуемого документа.
// При необходимости можно переопределить параметры из свойства
// "ПараметрыПубликуемогоДокументаДляВизуализации.СвойстваПредставления" при использовании стандартной обработки.
//
// Параметры:
//  ОписаниеПредставленияДокумента - Структура из См. РаботаСФайламиБЭД.НовоеОписаниеФайла - представление документа
//      в поддерживаемом формате визуализации. См. ИнтеграцияShareКлиентСервер.ДоступныеРасширенияФайловВизуализации
//      Имя файла используется в качестве имени отправляемого документа, которое отображается пользователю при просмотре
//      файла визуализации. Выходной параметр.
//  ПараметрыПубликуемогоДокументаДляВизуализации - См. ИнтеграцияShare.НовыеПараметрыПубликуемогоДокументаДляВизуализации -
//                            параметры публикуемого документа.
//  СтандартнаяОбработка    - Булево - признак стандартной обработки. По умолчанию Истина.
//
Процедура ПриОпределенииВизуализацииПубликуемогоДокумента(ОписаниеПредставленияДокумента, Экспорт
```

Пример вызова
```bsl
ИнтеграцияShareПереопределяемый.ПриОпределенииВизуализацииПубликуемогоДокумента(ОписаниеПредставленияДокумента, );
```
</details>

## ЗаполнитьНастройкиФормированияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет настройки формирования электронного документа.
//
// Параметры:
//  СсылкаНаДокумент      - СправочникСсылка, ДокументСсылка, - документ или справочник объекта учета.
//  НастройкиФормирования - Структура - настройки источника для формирования обмена электронными документами.
//                                      Выходной параметр:
//    * ТипДокумента       - Произвольный - значение элемента структуры возвращаемой
//                           см. ОбменСКонтрагентами.ТипыДокументов.
//    * Формат             - Строка - формат значения элемента структуры возвращаемой см. ОбменСКонтрагентами.ФорматыДокументов().
//    * Направление        - Произвольный - значение элемента структуры возвращаемой.
//                           см. ОбменСКонтрагентами.НаправленияДокументов.
//    * Организация        - ОпределяемыйТип.Организация - организация документа.
//    * Контрагент         - ОпределяемыйТип.КонтрагентБЭД - контрагент документа.
//    * ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО - договор контрагента.
//
Процедура ЗаполнитьНастройкиФормированияДокумента(СсылкаНаДокумент, НастройкиФормирования) Экспорт
```

Пример вызова
```bsl
ИнтеграцияShareПереопределяемый.ЗаполнитьНастройкиФормированияДокумента(СсылкаНаДокумент, НастройкиФормирования) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
