---
title: Интеграция БРО ЭДО служебный
slug: erp-uh/интеграция-бро-эдо-служебный
---


## ОперацияЭДОВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает помещенную в строку операцию ЭДО.
//
// Параметры:
//  ОперацияЭДО - см. СинхронизацияЭДОКлиентСервер.НоваяОперацияПодключенияЭДО.
//  			- см. СинхронизацияЭДОКлиентСервер.НоваяОперацияОбновленияСертификата.
//
// Возвращаемое значение:
//  Строка - помещенная в строку операция ЭДО.
//
Функция ОперацияЭДОВСтроку(Знач ОперацияЭДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияБРОЭДОСлужебный.ОперацияЭДОВСтроку(ОперацияЭДО) 
```
</details>

## ОперацияЭДОИзСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает извлеченную из строки операцию ЭДО.
//
// Параметры:
//  СтрокаОперацииЭДО - Строка - строка операции ЭДО. См. ОперацияЭДОВСтроку.
//
// Возвращаемое значение:
//  см. УчетныеЗаписиЭДОКлиентСервер.НоваяОперацияЭДО.
//
Функция ОперацияЭДОИзСтроки(Знач СтрокаОперацииЭДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияБРОЭДОСлужебный.ОперацияЭДОИзСтроки(СтрокаОперацииЭДО) 
```
</details>

## ОперацияЭДОКорректна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак корректности (заполненности) параметров операции ЭДО.
//
// Параметры:
//  ОперацияЭДО - см. СинхронизацияЭДОКлиентСервер.НоваяОперацияПодключенияЭДО.
//  			- см. СинхронизацияЭДОКлиентСервер.НоваяОперацияОбновленияСертификата.
//
// Возвращаемое значение:
//  Булево - параметры операции корректны (заполнены).
//
Функция ОперацияЭДОКорректна(Знач ОперацияЭДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияБРОЭДОСлужебный.ОперацияЭДОКорректна(ОперацияЭДО) 
```
</details>

## ОбъектВАрхив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает архив с помещенным в него объектом.
//
// Параметры:
//  Объект - Произвольный - объект для помещения в архив.
//
// Возвращаемое значение:
//  Строка - архив с помещенным в него объектом.
//
Функция ОбъектВАрхив(Знач Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияБРОЭДОСлужебный.ОбъектВАрхив(Объект));
```
</details>

## ОбъектИзАрхива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект извлеченный из архива.
//
// Параметры:
//  Архив - Строка - архив с помещенным в него объектом. См. ОбъектВАрхив.
//
// Возвращаемое значение:
//  Произвольный - объект извлеченный из архива.
//
Функция ОбъектИзАрхива(Знач Архив) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияБРОЭДОСлужебный.ОбъектИзАрхива(Архив));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
