---
title: Интеграция БРО ЭДО служебный вызов сервера
slug: erp-uh/интеграция-бро-эдо-служебный-вызов-сервера
---


## ОперацияЭДОИзСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОперацияЭДОИзСтроки(Знач СтрокаОперацииЭДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияБРОЭДОСлужебныйВызовСервера.ОперацияЭДОИзСтроки(СтрокаОперацииЭДО) 
```
</details>

## ОперацияЭДОВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОперацияЭДОВСтроку(ОперацияЭДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияБРОЭДОСлужебныйВызовСервера.ОперацияЭДОВСтроку(ОперацияЭДО) 
```
</details>

## УчетнаяЗаписьСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку существования учетной записи ЭДО.
//
// Параметры:
//  ОтборУчетнойЗаписи - Структура:
//  * Организация - ОпределяемыйТип.Организация - организация, которую следует подключить к ЭДО.
//  * КодНалоговогоОргана - Строка - код налоговой инспекции, в которой зарегистрирована организация.
//  * Сертификат - СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования - сертификат для регистрации у оператора ЭДО.
//
// Возвращаемое значение:
//  Булево - Учетная запись существует
Функция УчетнаяЗаписьСуществует(Знач ОтборУчетнойЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияБРОЭДОСлужебныйВызовСервера.УчетнаяЗаписьСуществует(ОтборУчетнойЗаписи) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
