---
title: Интеграция ВЕТИС
slug: erp-uh/интеграция-ветис
---


## ИспользуетсяКомиссияПриЗакупкахИлиПереработкаДавальческогоСырья
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет признак использования комиссии при закупках или производства из давальческого сырья.
//
// Параметры:
//	Нет.
//
// Возвращаемое значение:
//	Булево - Признак использования комиссии при закупках или производства из давальческого сырья.
//
Функция ИспользуетсяКомиссияПриЗакупкахИлиПереработкаДавальческогоСырья() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ИспользуетсяКомиссияПриЗакупкахИлиПереработкаДавальческогоСырья() 
```
</details>

## ИспользуетсяПереработкаНаСтороне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет признак использования производства на стороне.
//
// Параметры:
//	Нет.
//
// Возвращаемое значение:
//	Булево - Признак использования производства на стороне.
//
Функция ИспользуетсяПереработкаНаСтороне() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ИспользуетсяПереработкаНаСтороне() 
```
</details>

## ИспользуетсяСопоставлениеКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить использование сопоставления контрагентов
//
// Возвращаемое значение:
// 	Булево - Используется сопоставление контрагентов
Функция ИспользуетсяСопоставлениеКонтрагентов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ИспользуетсяСопоставлениеКонтрагентов() 
```
</details>

## ИспользуетсяСопоставлениеТорговыхОбъектовКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить использование сопоставления торговых объектов контрагентов
//
// Возвращаемое значение:
// 	Булево - Используется сопоставление торговых объектов контрагентов
Функция ИспользуетсяСопоставлениеТорговыхОбъектовКонтрагентов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ИспользуетсяСопоставлениеТорговыхОбъектовКонтрагентов() 
```
</details>

## УказываетсяТранспортноеСредство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет признак использования справочника транспортных средств.
//
// Параметры:
//	Нет.
//
// Возвращаемое значение:
//	Булево - Признак использования справочника транспортных средств.
//
Функция УказываетсяТранспортноеСредство() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.УказываетсяТранспортноеСредство() 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ПриПолученииСпискаШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОчередьЗаданийПереопределяемый.ПриПолученииСпискаШаблонов
Процедура ПриПолученииСпискаШаблонов(ШаблоныЗаданий) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПриПолученииСпискаШаблонов(ШаблоныЗаданий) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Содержит настройки размещения вариантов отчетов в панели отчетов.
// Описание параметров см. в ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов().
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ПраваДоступаПоПользователям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структура доступных права для пользователя
//
// Параметры:
//  ПользовательВЕТИС - СправочникСсылка.Пользователи - Пользователь.
//  ЭтоРегламентноеЗадание - Булево - Истина, если вызов выполняется регламентным заданием.
//
// Возвращаемое значение:
//  Структура - Права пользователя.
//    *`ЭтоВетеринарныйВрач - Булево - Является ли пользователь ветеринарным врачом.
//    * ПраваДоступаПоПользователям - ДеревоЗначений - Набор прав доступа пользователя.
//
Функция ПраваДоступаПоПользователям(Знач ПользовательВЕТИС = Неопределено, ЭтоРегламентноеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПраваДоступаПоПользователям(ПользовательВЕТИС, ЭтоРегламентноеЗадание);
```
</details>

## НастройкиОбменаВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки обмена с ВетИС
//
// Параметры:
//  ХозяйствующиеСубъекты  - Массив, Структура, СправочникСсылка.ХозяйствующиеСубъектыВЕТИС - Организации, предприятия ВетИС для обмена.
//  ЭтоРегламентноеЗадание - Булево - признак регламентного задания (по умолчанию Ложь)
//
// Возвращаемое значение:
//  Соответствие - Настройки обмена, (См. ИнтеграцияВЕТИСКлиентСервер.НоваяНастройкаПодключенияВЕТИС)
//
Функция НастройкиОбменаВЕТИС(ХозяйствующиеСубъекты = Неопределено, ЭтоРегламентноеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.НастройкиОбменаВЕТИС(ХозяйствующиеСубъекты, ЭтоРегламентноеЗадание);
```
</details>

## ПараметрыОптимизацииПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров оптимизации по умолчанию.
//
// Возвращаемое значение:
//  Структура - Параметры по умолчанию.
//
Функция ПараметрыОптимизацииПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПараметрыОптимизацииПоУмолчанию() 
```
</details>

## ПараметрыОптимизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров оптимизации.
// В случае, если константы "Настройки обмена ВЕТИС" и "Интервал запроса измененных данных ВЕТИС" не заполнены
// - возвращает параметры по умолчанию. См. функцию ПараметрыОптимизацииПоУмолчанию.
//
// Возвращаемое значение:
//  Структура - Параметры оптимизации.
//
Функция ПараметрыОптимизации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПараметрыОптимизации() 
```
</details>

## ПараметрыОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает структуру параметров обмена.
//
//Параметры:
//   ХозяйствующиеСубъекты - Массив Из СправочникСсылка.ХозяйствующиеСубъектыВЕТИС, Неопределено - хозяйствующие субъекты,
//     настройки обмена по которым запрашиваются, либо получение всех активных настроек.
//   УникальныйИдентификатор - Неопределено, УникальныйИдентификатор - уникальный идентификатор.
//   ЭтоРегламентноеЗадание  - Булево - Истина, если вызов выполняется регламентным заданием.
//
// Возвращаемое значение:
//   Структура - параметры обмена с ВетИС, включая но не ограничивая:
//   * НастройкиОбмена - Соответствие - настройки обмена с ВетИС на сервере.
//   * ХозяйствующиеСубъекты - Массив Из СправочникСсылка.ХозяйствующиеСубъектыВЕТИС - хозяйствующие субъекты с обменом.
//   * ХозяйствующиеСубъектыБезНастроек - Массив Из СправочникСсылка.ХозяйствующиеСубъектыВЕТИС - без настроек.
//   * ХозяйствующиеСубъектыНедоступные - Массив Из СправочникСсылка.ХозяйствующиеСубъектыВЕТИС - недоступные.
//   * Предприятия - Массив Из СправочникСсылка.ПредприятияВЕТИС - площадки (предприятия) ВетИС.
//   * ОжидатьНаСервере - Булево - необходимость ожидания выполнения на сервере.
//   * ОжидатьНаКлиенте - Булево - необходимость ожидания выполнения на клиенте.
//   * ФоновоеЗадание   - Неопределено - фоновое задание.
//   * УникальныйИдентификатор - УникальныйИдентификатор, Неопределено - входящий параметр без изменений.
//   * ЭтоРегламентноеЗадание - Булево - входящий параметр без изменений.
//   * ДокументыКЗагрузке - Структура - документы к загрузке из сервиса:
//    ** ВходящаяТранспортнаяОперацияВЕТИС        - Соответствие - одноименные документы.
//    ** ИнвентаризацияПродукцииВЕТИС             - Соответствие - одноименные документы.
//    ** ИсходящаяТранспортнаяОперацияВЕТИС       - Соответствие - одноименные документы.
//    ** ОбъединениеЗаписейСкладскогоЖурналаВЕТИС - Соответствие - одноименные документы.
//    ** ПроизводственнаяОперацияВЕТИС            - Соответствие - одноименные документы.
//   * ДокументыДляВосстановления - Структура - документы к загрузке и восстановлению из сервиса.
//
Функция ПараметрыОбмена(ХозяйствующиеСубъекты = Неопределено, УникальныйИдентификатор = Неопределено, ЭтоРегламентноеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПараметрыОбмена(ХозяйствующиеСубъекты, УникальныйИдентификатор, ЭтоРегламентноеЗадание);
```
</details>

## ДобавитьНастройкуОбменаВПараметрыОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьНастройкуОбменаВПараметрыОбмена(ПараметрыОбмена, ХозяйствующийСубъект, НастройкаОбмена) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ДобавитьНастройкуОбменаВПараметрыОбмена(ПараметрыОбмена, ХозяйствующийСубъект, НастройкаОбмена) 
```
</details>

## СообщениеНетДанныхДляВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СообщениеНетДанныхДляВыгрузки(СообщенияXML, СообщениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.СообщениеНетДанныхДляВыгрузки(СообщенияXML, СообщениеXML) 
```
</details>

## СообщениеНеНайденыНастройкиПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СообщениеНеНайденыНастройкиПодключения(СообщенияXML, СообщениеXML, ХозяйствующийСубъект, НастройкиОбменаВЕТИС = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.СообщениеНеНайденыНастройкиПодключения(СообщенияXML, СообщениеXML, ХозяйствующийСубъект, НастройкиОбменаВЕТИС);
```
</details>

## СообщениеОперацияВЕТИСНедоступнаДляПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СообщениеОперацияВЕТИСНедоступнаДляПользователя(СообщенияXML, СообщениеXML, ОперацияВЕТИС) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.СообщениеОперацияВЕТИСНедоступнаДляПользователя(СообщенияXML, СообщениеXML, ОперацияВЕТИС) 
```
</details>

## СообщениеНеНайденыНастройкиПодключенияПараметрыОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СообщениеНеНайденыНастройкиПодключенияПараметрыОбмена(СообщенияXML, СообщениеXML, ХозяйствующийСубъект, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.СообщениеНеНайденыНастройкиПодключенияПараметрыОбмена(СообщенияXML, СообщениеXML, ХозяйствующийСубъект, ПараметрыОбмена);
```
</details>

## ЭтоЗапросСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоЗапросСписка(Операция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЭтоЗапросСписка(Операция) 
```
</details>

## ИнтервалМеждуЗапросамиСписковВыдержан
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИнтервалМеждуЗапросамиСписковВыдержан(ПараметрыОбмена, Операция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ИнтервалМеждуЗапросамиСписковВыдержан(ПараметрыОбмена, Операция) 
```
</details>

## ВремяОжиданияСледующегоЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВремяОжиданияСледующегоЗапроса(ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ВремяОжиданияСледующегоЗапроса(ПараметрыОбмена) 
```
</details>

## ПараметрыПреобразования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыПреобразования() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПараметрыПреобразования() 
```
</details>

## РеквизитыИсходящегоСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыИсходящегоСообщения() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.РеквизитыИсходящегоСообщения());
```
</details>

## ПодготовитьСообщенияКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает сообщения к передаче в ВЕТИС.
//
// Параметры:
//  Сообщения       - Массив - содержит структуру сообщений, которые подготавливаются к передаче
//    (см. ИнтеграцияВЕТИСКлиентСервер.СтруктураСообщенияXML).
//  Немедленно      - Булево - Признак немедленной передачи сообщения, без очереди сообщений.
//  ПараметрыОбмена - Структура, Неопределено - см. функцию ПараметрыОбмена().
//  ЗагружатьПосле  - СправочникСсылка.ВЕТИСПрисоединенныеФайлы, Неопределено
//
// Возвращаемое значение:
//  СправочникСсылка.ВЕТИСПрисоединенныеФайлы - Последнее подготовленное сообщение.
//
Функция ПодготовитьСообщенияКПередаче(Сообщения, Немедленно, ПараметрыОбмена, ЗагружатьПосле = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПодготовитьСообщенияКПередаче(Сообщения, Немедленно, ПараметрыОбмена, ЗагружатьПосле);
```
</details>

## НоваяТаблицаОчередьСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяТаблицаОчередьСообщений() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.НоваяТаблицаОчередьСообщений() 
```
</details>

## НоваяТаблицаЗависимостиСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяТаблицаЗависимостиСообщений() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.НоваяТаблицаЗависимостиСообщений() 
```
</details>

## ПостроитьОчередьСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПостроитьОчередьСообщений(ПараметрыОбмена, СоответствиеЗаписиСкладскогоЖурнала = Неопределено, СообщенияКПередаче = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПостроитьОчередьСообщений(ПараметрыОбмена, СоответствиеЗаписиСкладскогоЖурнала, СообщенияКПередаче);
```
</details>

## ОбработатьЭлементОчередиПередачиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьЭлементОчередиПередачиДанных(ЭлементОчереди, ПараметрыОбмена, ПроверитьИдентификаторЗаявки = Истина) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ОбработатьЭлементОчередиПередачиДанных(ЭлементОчереди, ПараметрыОбмена, ПроверитьИдентификаторЗаявки);
```
</details>

## ДобавитьОтложенныйЭлементОчередиВИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОтложенныйЭлементОчередиВИзменения(ЭлементОчереди, ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ДобавитьОтложенныйЭлементОчередиВИзменения(ЭлементОчереди, ПараметрыОбмена));
```
</details>

## ПодготовитьКПередачеСОжиданием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьКПередачеСОжиданием(СообщенияXML, ПараметрыОбмена, УникальныйИдентификатор = Неопределено, НакапливатьИзменения = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПодготовитьКПередачеСОжиданием(СообщенияXML, ПараметрыОбмена, УникальныйИдентификатор, НакапливатьИзменения);
```
</details>

## СгенерироватьСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СгенерироватьСерии(Объект, Товары, ВыделенныеСтроки, ПараметрыУказанияСерий, ТоварыУточнение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.СгенерироватьСерии(Объект, Товары, ВыделенныеСтроки, ПараметрыУказанияСерий, ТоварыУточнение);
```
</details>

## НоваяТаблицаДляСравненияИдентификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяТаблицаДляСравненияИдентификаторов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.НоваяТаблицаДляСравненияИдентификаторов() 
```
</details>

## ПоследняяДатаИзмененияСтатусаВСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоследняяДатаИзмененияСтатусаВСД(ЭлементДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПоследняяДатаИзмененияСтатусаВСД(ЭлементДанных));
```
</details>

## ЭлементыДанныхСпискаКЗагрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭлементыДанныхСпискаКЗагрузке(Список, Метаданные, ТолькоИзменения = Истина, УчитыватьДатыИзменения = Ложь, ТаблицаИдентификаторов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЭлементыДанныхСпискаКЗагрузке(Список, Метаданные, ТолькоИзменения, УчитыватьДатыИзменения, ТаблицаИдентификаторов);
```
</details>

## УстановитьДатуВыполненияСинхронизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьДатуВыполненияСинхронизации(ТипВЕТИС, ДатаСинхронизации, Смещение = 0, Знач ХозяйствующийСубъект = Неопределено, Знач Предприятие = Неопределено, ПроверятьРегистр = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.УстановитьДатуВыполненияСинхронизации(ТипВЕТИС, ДатаСинхронизации, Смещение, ХозяйствующийСубъект, Предприятие, ПроверятьРегистр);
```
</details>

## ДатаПоДаннымДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаПоДаннымДаты(ДанныеДаты) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ДатаПоДаннымДаты(ДанныеДаты));
```
</details>

## ЗагрузитьДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗагрузитьДату(Объект, Префикс, ЭлементДанных) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ЗагрузитьДату(Объект, Префикс, ЭлементДанных) 
```
</details>

## ДанныеПредприятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеПредприятия(ЭлементДанных, ПараметрыОбмена = Неопределено, ЗагружатьПоСсылкам = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ДанныеПредприятия(ЭлементДанных, ПараметрыОбмена, ЗагружатьПоСсылкам);
```
</details>

## ДанныеХозяйствующегоСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеХозяйствующегоСубъекта(ЭлементДанных, ЗагружатьПоСсылкам = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ДанныеХозяйствующегоСубъекта(ЭлементДанных, ЗагружатьПоСсылкам);
```
</details>

## ДанныеНаименованияПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Данные наименования продукции
//
// Параметры:
//  ЭлементДанных	 - Структура - ответ сервиса ВетИС с данными продукции
//  ТипПродукции	 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - значение заполнения реквизита
//  Продукция		 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - значение заполнения реквизита
//  ВидПродукции	 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - значение заполнения реквизита
//  ПараметрыОбмена	 - Структура, Неопределено - см. ПараметрыОбмена().
//
// Возвращаемое значение:
//  Структура - см. ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныеПродукции()
//
Функция ДанныеНаименованияПродукции(ЭлементДанных, ТипПродукции = Неопределено, Продукция = Неопределено, ВидПродукции = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ДанныеНаименованияПродукции(ЭлементДанных, ТипПродукции, Продукция, ВидПродукции, ПараметрыОбмена);
```
</details>

## ДанныеНаименованияПродукцииДляПросмотра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеНаименованияПродукцииДляПросмотра(ЭлементДанных, ТипПродукции = Неопределено, Продукция = Неопределено, ВидПродукции = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ДанныеНаименованияПродукцииДляПросмотра(ЭлементДанных, ТипПродукции, Продукция, ВидПродукции, ПараметрыОбмена);
```
</details>

## ЗагрузитьПредприятие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить предприятие
//
// Параметры:
//  ДанныеПредприятия - Структура - (см. ДанныеПредприятия).
//  СправочникОбъект  - СправочникОбъект.ПредприятияВЕТИС, Неопределено - объект в который производится загрузка.
//  ПараметрыОбмена   - Структура, Неопределено - см. ПараметрыОбмена().
//  ТребуетсяПоиск    - Булево - если не передан объект, искать элемент перед заполнением по идентификатору (по умолчанию Истина)
//
// Возвращаемое значение:
//  СправочникСсылка.ПредприятияВЕТИС - ссылка на записанный/обновленный элемент справочника
//
Функция ЗагрузитьПредприятие(ДанныеПредприятия, СправочникОбъект = Неопределено, ПараметрыОбмена = Неопределено, ТребуетсяПоиск = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьПредприятие(ДанныеПредприятия, СправочникОбъект, ПараметрыОбмена, ТребуетсяПоиск);
```
</details>

## ЗагрузитьХозяйствующийСубъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить хозяйствующий субъект
//
// Параметры:
//  ДанныеХозяйствующегоСубъекта - Структура - см ДанныеХозяйствующегоСубъекта().
//  СправочникОбъект			 - СправочникОбъект.ХозяйствующиеСубъектыВЕТИС, Неопределено - объект в который производится загрузка.
//  ПредприятиеGLN				 - Неопределено, Структура, ТаблицаЗначений - связанные с ХС предприятия, см. ТаблицаПредприятийGLN().
//  ПараметрыОбмена				 - Структура, Неопределено - см. ПараметрыОбмена().
//  ТребуетсяПоиск				 - Булево - если не передан объект, искать элемент перед заполнением по идентификатору (по умолчанию Истина)
//
// Возвращаемое значение:
//  СправочникСсылка.ХозяйствующиеСубъектыВЕТИС - ссылка на записанный/обновленный элемент справочника
//
Функция ЗагрузитьХозяйствующийСубъект(ДанныеХозяйствующегоСубъекта, СправочникОбъект = Неопределено, ПредприятиеGLN = Неопределено, ПараметрыОбмена = Неопределено, ТребуетсяПоиск = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьХозяйствующийСубъект(ДанныеХозяйствующегоСубъекта, СправочникОбъект, ПредприятиеGLN, ПараметрыОбмена, ТребуетсяПоиск);
```
</details>

## ОбновитьСписокПредприятийХозяйствующегоСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСписокПредприятийХозяйствующегоСубъекта(СправочникОбъект, ПредприятиеGLN) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ОбновитьСписокПредприятийХозяйствующегоСубъекта(СправочникОбъект, ПредприятиеGLN) 
```
</details>

## ЗагрузитьЦель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить цель
//
// Параметры:
//  ЭлементДанных	 - Структура - данные результата загрузки цели ВетИС.
//  СправочникОбъект - СправочникОбъект.ЦелиВЕТИС, Неопределено - объект в который производится загрузка.
//  ПараметрыОбмена	 - Структура, Неопределено - см. ПараметрыОбмена().
//  ТребуетсяПоиск	 - Булево - если не передан объект, искать элемент перед заполнением по идентификатору (по умолчанию Истина)
//
// Возвращаемое значение:
//  СправочникСсылка.ЦелиВЕТИС - ссылка на записанный/обновленный элемент справочника
//
Функция ЗагрузитьЦель(ЭлементДанных, СправочникОбъект = Неопределено, ПараметрыОбмена = Неопределено, ТребуетсяПоиск = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьЦель(ЭлементДанных, СправочникОбъект, ПараметрыОбмена, ТребуетсяПоиск);
```
</details>

## ЗагрузитьЕдиницуИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить единицу измерения
//
// Параметры:
//  ЭлементДанных    - Структура - данные результата загрузки единицы измерения ВетИС
//  СправочникОбъект - СправочникОбъект.ЕдиницыИзмеренияВЕТИС, Неопределено - объект в который производится загрузка.
//  ПараметрыОбмена  - Структура, Неопределено - см. ПараметрыОбмена().
//  ТребуетсяПоиск   - Булево - если не передан объект, искать элемент перед заполнением по идентификатору (по умолчанию Истина)
//
// Возвращаемое значение:
//  СправочникСсылка.ЕдиницыИзмеренияВЕТИС - ссылка на записанный/обновленный элемент справочника
//
Функция ЗагрузитьЕдиницуИзмерения(ЭлементДанных, СправочникОбъект = Неопределено, ПараметрыОбмена = Неопределено, ТребуетсяПоиск = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьЕдиницуИзмерения(ЭлементДанных, СправочникОбъект, ПараметрыОбмена, ТребуетсяПоиск);
```
</details>

## ЗагрузитьПродукцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить продукцию
//
// Параметры:
//  ЭлементДанных	 - Структура - данные результата загрузки продукции из ВетИС.
//  СправочникОбъект - СправочникОбъект.ПродукцияВЕТИС, Неопределено - объект в который производится загрузка.
//  ПараметрыОбмена	 - Структура, Неопределено - см. ПараметрыОбмена().
//  ТребуетсяПоиск	 - Булево - если не передан объект, искать элемент перед заполнением по идентификатору (по умолчанию Истина)
//
// Возвращаемое значение:
//  СправочникСсылка.ПродукцияВЕТИС - ссылка на записанный/обновленный элемент справочника
//
Функция ЗагрузитьПродукцию(ЭлементДанных, СправочникОбъект = Неопределено, ПараметрыОбмена = Неопределено, ТребуетсяПоиск = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьПродукцию(ЭлементДанных, СправочникОбъект, ПараметрыОбмена, ТребуетсяПоиск);
```
</details>

## ЗагрузитьВидПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить вид продукции
//
// Параметры:
//  ЭлементДанных	 - Структура - данные результата загрузки вида продукции из ВетИС.
//  СправочникОбъект - СправочникОбъект.ПродукцияВЕТИС, Неопределено - объект в который производится загрузка.
//  ТипПродукции	 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - значение заполнения реквизита
//  Продукция		 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - значение заполнения реквизита
//  ПараметрыОбмена	 - Структура, Неопределено - см. ПараметрыОбмена().
//  ТребуетсяПоиск	 - Булево - если не передан объект, искать элемент перед заполнением по идентификатору (по умолчанию Истина)
//
// Возвращаемое значение:
//  СправочникСсылка.ПродукцияВЕТИС - ссылка на записанный/обновленный элемент справочника
//
Функция ЗагрузитьВидПродукции(ЭлементДанных, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьВидПродукции(ЭлементДанных, );
```
</details>

## ЗагрузитьНаименованиеПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить наименование продукции
//
// Параметры:
//  ДанныеПродукции	 - Структура - см. ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныеПродукции().
//  СправочникОбъект - СправочникОбъект.ПродукцияВЕТИС, Неопределено - объект в который производится загрузка.
//  ПараметрыОбмена	 - Структура, Неопределено - см. ПараметрыОбмена().
//  БезЗаписи		 - Булево - если Ложь то объект не записывается
//  ТребуетсяПоиск	 - Булево - если не передан объект, искать элемент перед заполнением по идентификатору (по умолчанию Истина)
//
// Возвращаемое значение:
//  СправочникСсылка.ПродукцияВЕТИС - ссылка на записанный/обновленный элемент справочника
//
Функция ЗагрузитьНаименованиеПродукции(ДанныеПродукции, СправочникОбъект = Неопределено, ПараметрыОбмена = Неопределено, БезЗаписи = Ложь, ТребуетсяПоиск = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьНаименованиеПродукции(ДанныеПродукции, СправочникОбъект, ПараметрыОбмена, БезЗаписи, ТребуетсяПоиск);
```
</details>

## ЗаполнитьСведенияОПартии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСведенияОПартии(ВетеринарноСопроводительныйДокументОбъект, batch, ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ЗаполнитьСведенияОПартии(ВетеринарноСопроводительныйДокументОбъект, batch, ПараметрыОбмена));
```
</details>

## ЗаполнитьСведенияОТранспортномСредстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСведенияОТранспортномСредстве(ТипТранспортногоСредства, ЗаполняемыеДанные, Данные) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ЗаполнитьСведенияОТранспортномСредстве(ТипТранспортногоСредства, ЗаполняемыеДанные, Данные));
```
</details>

## ЗагрузитьВетеринарноСопроводительныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗагрузитьВетеринарноСопроводительныйДокумент(ЭлементДанных, ВетеринарноСопроводительныйДокумент, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьВетеринарноСопроводительныйДокумент(ЭлементДанных, ВетеринарноСопроводительныйДокумент, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена) 
```
</details>

## ПродукцияПоДаннымЗаписиЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПродукцияПоДаннымЗаписиЖурнала(ЭлементДанных, ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПродукцияПоДаннымЗаписиЖурнала(ЭлементДанных, ПараметрыОбмена));
```
</details>

## ДополнительныеПараметрыЗагрузкиЗаписиСкладскогоЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДополнительныеПараметрыЗагрузкиЗаписиСкладскогоЖурнала() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ДополнительныеПараметрыЗагрузкиЗаписиСкладскогоЖурнала() 
```
</details>

## ЗагрузитьЗаписьСкладскогоЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗагрузитьЗаписьСкладскогоЖурнала(ЭлементДанных, ЗаписьСкладскогоЖурнала, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьЗаписьСкладскогоЖурнала(ЭлементДанных, ЗаписьСкладскогоЖурнала, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## СвязатьПредприятиеСХозяйствующимСубъектом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СвязатьПредприятиеСХозяйствующимСубъектом(Предприятие, ХозяйствующийСубъект, GLN, ТорговыйОбъект, ПроизводственныйОбъект, ИзменениеВыполнено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.СвязатьПредприятиеСХозяйствующимСубъектом(Предприятие, ХозяйствующийСубъект, GLN, ТорговыйОбъект, ПроизводственныйОбъект, ИзменениеВыполнено));
```
</details>

## РазорватьСвязьПредприятияИХозяйствующегоСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РазорватьСвязьПредприятияИХозяйствующегоСубъекта(Предприятие, ХозяйствующийСубъект, ИзменениеВыполнено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.РазорватьСвязьПредприятияИХозяйствующегоСубъекта(Предприятие, ХозяйствующийСубъект, ИзменениеВыполнено));
```
</details>

## СсылкаПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СсылкаПоИдентификатору(ПараметрыОбмена, ИмяТаблицы, Идентификатор, ИмяИдентификатора = "Идентификатор") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.СсылкаПоИдентификатору(ПараметрыОбмена, ИмяТаблицы, Идентификатор, ИмяИдентификатора);
```
</details>

## ОбновитьСсылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСсылку(ПараметрыОбмена, ИмяТаблицы, Идентификатор, СправочникСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ОбновитьСсылку(ПараметрыОбмена, ИмяТаблицы, Идентификатор, СправочникСсылка));
```
</details>

## ДобавитьКЗагрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьКЗагрузке(ПараметрыОбмена, ИмяТаблицы, Идентификатор, СправочникСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ДобавитьКЗагрузке(ПараметрыОбмена, ИмяТаблицы, Идентификатор, СправочникСсылка));
```
</details>

## ЗаполнитьБлокируемыеОбъекты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьБлокируемыеОбъекты(ИдентификаторыОбъектовКЗагрузке, Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ЗаполнитьБлокируемыеОбъекты(ИдентификаторыОбъектовКЗагрузке, );
```
</details>

## СсылкиПоИдентификаторам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Читает и возвращает ссылки из таблиц БД.
//
// Параметры:
// 	Идентификаторы - Структура - Имя таблицы и соответствий идентификаторов.
// 	 *Ключ         - Строка       - Имя таблицы, как оно задано в конфигураторе, например, "ПродукцияВЕТИС".
// 	 *Значение   - Соответствие - Соответствие читаемых идентификаторов и данных.
// 	  **Ключ     - Строка         - Строка 36 символов. Идентификатор читаемого объекта.
// 	  **Значение - Структура      - Структура данных объекта, полученных соответствующим методом.
// 	                                Например, ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныеПредприятия()
// 	             - Неопределено   - Для чтения данных наличие данных объекта может быть не заполнено.
// 	Результат      - Неопределено - Предыдущий результат чтения ссылок
// 	               - Структура    - Структура совпадает со структурой ответа
// 	 *Ключ - Имя таблицы метаданных, например "ПродукцияВЕТИС".
// 	 *Значение - Соответствие прочитанных идентификаторов и ссылок.
// 	  **Ключ   - Строка - Строка 36 символов. Идентификатор читаемого объекта.
// 	  **Значение - Ссылка - Ссылка соответствующего типа данных.
//
// Возвращаемое значение:
// 	Структура - Структура имя таблицы - соответствие идентификаторов.
// 	 *Ключ - Имя таблицы метаданных, например "ПродукцияВЕТИС".
// 	 *Значение - Соответствие прочитанных идентификаторов и ссылок.
// 	  **Ключ   - Строка - Строка 36 символов. Идентификатор читаемого объекта.
// 	  **Значение - Ссылка - Ссылка соответствующего типа данных.
//
Функция СсылкиПоИдентификаторам(Идентификаторы, Результат = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.СсылкиПоИдентификаторам(Идентификаторы, Результат);
```
</details>

## ЗагрузитьПродукциюПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить продукцию по идентификатору
//
// Параметры:
//  Идентификатор		 - ОпределяемыйТип.УникальныйИдентификаторИС - идентификатор по которому производится загрузка.
//  ЗаполняемаяСсылка	 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - ссылка на заполняемый элемент справочника.
//  ТипПродукции		 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - данные реквизита
//  ПараметрыОбмена		 - Структура, Неопределено - см. функцию ПараметрыОбмена().
//
// Возвращаемое значение:
//  СправочникСсылка.ПродукцияВЕТИС, Неопределено - ссылка на заполненный элемент справочника.
//
Функция ЗагрузитьПродукциюПоИдентификатору(Идентификатор, ЗаполняемаяСсылка = Неопределено, ТипПродукции = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьПродукциюПоИдентификатору(Идентификатор, ЗаполняемаяСсылка, ТипПродукции, ПараметрыОбмена);
```
</details>

## ЗагрузитьВидПродукцииПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить вид продукции по идентификатору
//
// Параметры:
//  Идентификатор		 - ОпределяемыйТип.УникальныйИдентификаторИС - идентификатор по которому производится загрузка.
//  ЗаполняемаяСсылка	 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - ссылка на заполняемый элемент справочника.
//  ТипПродукции		 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - данные реквизита
//  Продукция			 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - данные реквизита
//  ПараметрыОбмена		 - Структура, Неопределено - см. функцию ПараметрыОбмена().
//
// Возвращаемое значение:
//  СправочникСсылка.ПродукцияВЕТИС, Неопределено - ссылка на заполненный элемент справочника.
//
Функция ЗагрузитьВидПродукцииПоИдентификатору(Идентификатор, ЗаполняемаяСсылка = Неопределено, ТипПродукции = Неопределено, Продукция = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьВидПродукцииПоИдентификатору(Идентификатор, ЗаполняемаяСсылка, ТипПродукции, Продукция, ПараметрыОбмена);
```
</details>

## ЗагрузитьНаименованиеПродукцииПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить наименование продукции по идентификатору
//
// Параметры:
//  Идентификатор		 - ОпределяемыйТип.УникальныйИдентификаторИС - идентификатор по которому производится загрузка.
//  ЗаполняемаяСсылка	 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - ссылка на заполняемый элемент справочника.
//  ТипПродукции		 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - данные реквизита
//  Продукция			 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - данные реквизита
//  ВидПродукции		 - СправочникСсылка.ПродукцияВЕТИС, Неопределено - данные реквизита
//  ПараметрыОбмена		 - Структура, Неопределено - см. функцию ПараметрыОбмена().
//
// Возвращаемое значение:
//  СправочникСсылка.ПродукцияВЕТИС, Неопределено - ссылка на заполненный элемент справочника.
//
Функция ЗагрузитьНаименованиеПродукцииПоИдентификатору(Идентификатор, Знач ЗаполняемаяСсылка = Неопределено, ТипПродукции = Неопределено, Продукция = Неопределено, ВидПродукции = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьНаименованиеПродукцииПоИдентификатору(Идентификатор, ЗаполняемаяСсылка, ТипПродукции, Продукция, ВидПродукции, ПараметрыОбмена);
```
</details>

## Продукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Продукция(Идентификатор, ТипПродукции = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.Продукция(Идентификатор, ТипПродукции, ПараметрыОбмена);
```
</details>

## ВидПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидПродукции(Идентификатор, ТипПродукции = Неопределено, Продукция = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ВидПродукции(Идентификатор, ТипПродукции, Продукция, ПараметрыОбмена);
```
</details>

## НаименованиеПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НаименованиеПродукции(Идентификатор, ТипПродукции = Неопределено, Продукция = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.НаименованиеПродукции(Идентификатор, ТипПродукции, Продукция, );
```
</details>

## ЕдиницаИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕдиницаИзмерения(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЕдиницаИзмерения(Идентификатор, ПараметрыОбмена);
```
</details>

## Предприятие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Предприятие(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.Предприятие(Идентификатор, ПараметрыОбмена);
```
</details>

## НайтиСоздатьПродукциюСХешем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ссылку на справочник продукции ВЕТИС
//   Во входящих параметрах участвуют ключи уникальности продукции
//   Поиск производится по хеш-сумме ключей, при необходимости создается новый элемент
// Параметры:
//  ДанныеПродукции						 - 	 -
//  КодТипаПродукции					 - 	 -
//  ПродукцияИдентификатор				 - 	 -
//  ВидПродукцииИдентификатор			 - 	 -
//  ФасовкаУпаковкаИдентификатор		 - 	 -
//  ФасовкаЕдиницаИзмеренияИдентификатор - 	 -
//
// Возвращаемое значение:
//   СправочникСсылка.ПродукцияВЕТИС - найденный по хеш-сумме ключей уникальности
//    или созданный элемент справочника "Продукция ВЕТИС"
//
Функция НайтиСоздатьПродукциюСХешем(ДанныеПродукции, КодТипаПродукции, ПродукцияИдентификатор, ВидПродукцииИдентификатор, ФасовкаУпаковкаИдентификатор, ФасовкаЕдиницаИзмеренияИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.НайтиСоздатьПродукциюСХешем(ДанныеПродукции, КодТипаПродукции, ПродукцияИдентификатор, ВидПродукцииИдентификатор, ФасовкаУпаковкаИдентификатор, ФасовкаЕдиницаИзмеренияИдентификатор) 
```
</details>

## ЗагрузитьЕдиницуИзмеренияПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить единицу измерения по идентификатору
//
// Параметры:
//  Идентификатор		 - ОпределяемыйТип.УникальныйИдентификаторИС - идентификатор по которому производится загрузка.
//  ЗаполняемаяСсылка	 - СправочникСсылка.ЕдиницыИзмеренияВЕТИС, Неопределено - ссылка на заполняемый элемент справочника.
//  ПараметрыОбмена		 - Структура, Неопределено - см. функцию ПараметрыОбмена().
//
// Возвращаемое значение:
//  СправочникСсылка.ЕдиницыИзмеренияВЕТИС, Неопределено - ссылка на заполненный элемент справочника.
//
Функция ЗагрузитьЕдиницуИзмеренияПоИдентификатору(Идентификатор, ЗаполняемаяСсылка = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьЕдиницуИзмеренияПоИдентификатору(Идентификатор, ЗаполняемаяСсылка, ПараметрыОбмена);
```
</details>

## ЗагрузитьПредприятиеПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить предприятие по идентификатору
//
// Параметры:
//  Идентификатор		 - ОпределяемыйТип.УникальныйИдентификаторИС - идентификатор по которому производится загрузка.
//  ЗаполняемаяСсылка	 - СправочникСсылка.ПредприятияВЕТИС, Неопределено - ссылка на заполняемый элемент справочника.
//  ПараметрыОбмена		 - Структура, Неопределено - см. функцию ПараметрыОбмена().
//
// Возвращаемое значение:
//  СправочникСсылка.ПредприятияВЕТИС, Неопределено - ссылка на заполненный элемент справочника.
//
Функция ЗагрузитьПредприятиеПоИдентификатору(Идентификатор, ЗаполняемаяСсылка = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьПредприятиеПоИдентификатору(Идентификатор, ЗаполняемаяСсылка, ПараметрыОбмена);
```
</details>

## ЗагрузитьХозяйствующийСубъектПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить хозяйствующий субъект по идентификатору
//
// Параметры:
//  Идентификатор		 - ОпределяемыйТип.УникальныйИдентификаторИС - идентификатор по которому производится загрузка.
//  ЗаполняемаяСсылка	 - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС, Неопределено - ссылка на заполняемый элемент справочника.
//  ПредприятиеGLN		 - Неопределено, Структура, ТаблицаЗначений - связанные с ХС предприятия, см. ТаблицаПредприятийGLN().
//  ПараметрыОбмена		 - Структура, Неопределено - см. функцию ПараметрыОбмена().
//
// Возвращаемое значение:
//  СправочникСсылка.ХозяйствующиеСубъектыВЕТИС, Неопределено - ссылка на заполненный элемент справочника.
//
Функция ЗагрузитьХозяйствующийСубъектПоИдентификатору(Идентификатор, ЗаполняемаяСсылка = Неопределено, ПредприятиеGLN = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьХозяйствующийСубъектПоИдентификатору(Идентификатор, ЗаполняемаяСсылка, ПредприятиеGLN, ПараметрыОбмена);
```
</details>

## ХозяйствующийСубъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ХозяйствующийСубъект(Идентификатор, ПредприятиеGLN = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ХозяйствующийСубъект(Идентификатор, ПредприятиеGLN, ПараметрыОбмена);
```
</details>

## Упаковка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Упаковка(ЭлементДанных, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.Упаковка(ЭлементДанных, ПараметрыОбмена);
```
</details>

## ЗагрузитьЦельПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить цель по идентификатору
//
// Параметры:
//  Идентификатор		 - ОпределяемыйТип.УникальныйИдентификаторИС - идентификатор по которому производится загрузка.
//  ЗаполняемаяСсылка	 - СправочникСсылка.ЦелиВЕТИС, Неопределено - ссылка на заполняемый элемент справочника.
//  ПараметрыОбмена		 - Структура, Неопределено - см. функцию ПараметрыОбмена().
//
// Возвращаемое значение:
//  СправочникСсылка.ЦелиВЕТИС, Неопределено - ссылка на заполненный элемент справочника.
//
Функция ЗагрузитьЦельПоИдентификатору(Идентификатор, ЗаполняемаяСсылка = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьЦельПоИдентификатору(Идентификатор, ЗаполняемаяСсылка, ПараметрыОбмена);
```
</details>

## Цель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Цель(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.Цель(Идентификатор, ПараметрыОбмена);
```
</details>

## ЗагрузитьЗаболеваниеПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Загрузить заболевание по идентификатору
//
// Параметры:
//  Идентификатор		 - ОпределяемыйТип.УникальныйИдентификаторИС - идентификатор по которому производится загрузка.
//  ЗаполняемаяСсылка	 - СправочникСсылка.ЗаболеванияВЕТИС, Неопределено - ссылка на заполняемый элемент справочника.
//  ПараметрыОбмена		 - Структура, Неопределено - см. функцию ПараметрыОбмена().
//
// Возвращаемое значение:
//  СправочникСсылка.ЗаболеванияВЕТИС, Неопределено - ссылка на заполненный элемент справочника
//
Функция ЗагрузитьЗаболеваниеПоИдентификатору(Идентификатор, ЗаполняемаяСсылка = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ЗагрузитьЗаболеваниеПоИдентификатору(Идентификатор, ЗаполняемаяСсылка, ПараметрыОбмена);
```
</details>

## Заболевание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Заболевание(Идентификатор, ПараметрыОбмена = Неопределено, Наименование = "") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.Заболевание(Идентификатор, ПараметрыОбмена, Наименование);
```
</details>

## УсловиеРегионализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УсловиеРегионализации(Идентификатор, ПараметрыОбмена, НаименованиеПолное, Обязательность, Заболевания, ОбновитьЗапись = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.УсловиеРегионализации(Идентификатор, ПараметрыОбмена, НаименованиеПолное, Обязательность, Заболевания, ОбновитьЗапись);
```
</details>

## ЗаполнитьОбъектыКЗагрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОбъектыКЗагрузке(ИдентификаторыОбъектовКЗагрузке, Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ЗаполнитьОбъектыКЗагрузке(ИдентификаторыОбъектовКЗагрузке, );
```
</details>

## АрхивнаяЗаписьСкладскогоЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АрхивнаяЗаписьСкладскогоЖурнала(АктуальнаяЗаписьСкладскогоЖурнала, ИдентификаторВерсии) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.АрхивнаяЗаписьСкладскогоЖурнала(АктуальнаяЗаписьСкладскогоЖурнала, ИдентификаторВерсии) 
```
</details>

## ТекстОшибкиОбработкиРезультата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстОшибкиОбработкиРезультата(ДанныеДокумента, ХозяйствующийСубъект = Неопределено, Предприятие = Неопределено, ВыводитьЗаголовок = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ТекстОшибкиОбработкиРезультата(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ВыводитьЗаголовок);
```
</details>

## ИзмененныеОбъекты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИзмененныеОбъекты(ИзмененныеОбъекты) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ИзмененныеОбъекты(ИзмененныеОбъекты) 
```
</details>

## ДобавитьЗаписиВПротоколОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьЗаписиВПротоколОбмена(ХозяйствующийСубъект, Предприятие, ДанныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ДобавитьЗаписиВПротоколОбмена(ХозяйствующийСубъект, Предприятие, ДанныеДокумента) 
```
</details>

## ОбработатьРезультатРегистрацииИзмененияХозяйствующегоСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат операции регистрации или изменения данных хозяйствующего субъекта.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
//
Функция ОбработатьРезультатРегистрацииИзмененияХозяйствующегоСубъекта(ДанныеДокумента, ХозяйствующийСубъект, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатРегистрацииИзмененияХозяйствующегоСубъекта(ДанныеДокумента, ХозяйствующийСубъект, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатРегистрацииИзмененияПредприятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат операции регистрации или изменения данных предприятия.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
//
Функция ОбработатьРезультатРегистрацииИзмененияПредприятия(ДанныеДокумента, ХозяйствующийСубъект, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатРегистрацииИзмененияПредприятия(ДанныеДокумента, ХозяйствующийСубъект, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатРегистрацииИзмененияПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат операции регистрации или изменения данных продукции.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
//
Функция ОбработатьРезультатРегистрацииИзмененияПродукции(ДанныеДокумента, ХозяйствующийСубъект, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатРегистрацииИзмененияПродукции(ДанныеДокумента, ХозяйствующийСубъект, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатСозданияИзмененияСвязиСПлощадкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат операции регистрации или изменения данных продукции.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
//
Функция ОбработатьРезультатСозданияИзмененияСвязиСПлощадкой(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатСозданияИзмененияСвязиСПлощадкой(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатЗапросаИзмененныхВСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат операции запроса измененных ВСД.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  Предприятие - СправочникСсылка.ПредприятияВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  Массив из см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
//
Функция ОбработатьРезультатЗапросаИзмененныхВСД(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатЗапросаИзмененныхВСД(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ТребуетсяУказаниеИдентификатораПартииНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает необходимость использования идентификатора партии в сериях для номенклатуры.
//
// Параметры:
//   Номенклатура - ОпределяемыйТип.Номенклатура - элемент номенклатуры.
//
// Возвращаемое значение:
//   Булево - Признак использования идентификатора партии в сериях номенклатуры.
//
Функция ТребуетсяУказаниеИдентификатораПартииНоменклатуры(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ТребуетсяУказаниеИдентификатораПартииНоменклатуры(Номенклатура) 
```
</details>

## ПроверитьЗаполнениеКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЗаполнениеКоличества(ДокументОбъект, Отказ, МассивНепроверяемыхРеквизитов, ИмяТабличнойЧасти = "Товары", ИмяРеквизитаКоличество = "Количество") Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПроверитьЗаполнениеКоличества(ДокументОбъект, Отказ, МассивНепроверяемыхРеквизитов, ИмяТабличнойЧасти, ИмяРеквизитаКоличество);
```
</details>

## ПроверитьЗаполнениеТипаПроисхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЗаполнениеТипаПроисхождения(ДокументОбъект, Отказ, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПроверитьЗаполнениеТипаПроисхождения(ДокументОбъект, Отказ, МассивНепроверяемыхРеквизитов) 
```
</details>

## ОбработатьРезультатЗапросаИзмененныхЗаписейСкладскогоЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат операции запроса измененных записей складского журнала.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  Предприятие - СправочникСсылка.ПредприятияВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  Массив из см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
Функция ОбработатьРезультатЗапросаИзмененныхЗаписейСкладскогоЖурнала(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатЗапросаИзмененныхЗаписейСкладскогоЖурнала(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатЗапросаВСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат операции запроса ВСД.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  Предприятие - СправочникСсылка.ПредприятияВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  Массив из см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
Функция ОбработатьРезультатЗапросаВСД(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатЗапросаВСД(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатЗапросаНаАннулированиеВСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат операции запроса на аннулирование ВСД.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  Предприятие - СправочникСсылка.ПредприятияВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
Функция ОбработатьРезультатЗапросаНаАннулированиеВСД(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатЗапросаНаАннулированиеВСД(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатЗапросаВсехВСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат операции запроса ВСД.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  Предприятие - СправочникСсылка.ПредприятияВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
Функция ОбработатьРезультатЗапросаВсехВСД(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатЗапросаВсехВСД(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписью(ДокументОбъект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПередЗаписью(ДокументОбъект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ПараметрыОбновленияСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Возвращает структуру параметров обновления статуса.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * ОбновлятьДвижения- Булево - Признак необходимости обновления движений документа.
//   * СтатусОбработки - ПеречислениеСсылка.СтатусыОбработкиСообщенийВЕТИС - Статус обработки сообщения.
//   * ДокументОбъект - ДокументОбъект - Документ-объект.
//   * ИдентификаторЗапроса - Строка - Идентификатор запроса.
//   * ФорматОбмена - ПеречислениеСсылка.ФорматыОбменаВЕТИС - Формат обмена.
//   * ЕстьОшибкиСервиса - Булево - Признак наличия ошибок сервиса при обмене.
//
Функция ПараметрыОбновленияСтатуса(ПараметрыОбновленияСтатуса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПараметрыОбновленияСтатуса(ПараметрыОбновленияСтатуса);
```
</details>

## ОшибкаПараметраОбновленияСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОшибкаПараметраОбновленияСтатуса(ПараметрыОбновленияСтатуса, Ключ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОшибкаПараметраОбновленияСтатуса(ПараметрыОбновленияСтатуса, Ключ) 
```
</details>

## ОбработатьРезультатЗапросаЗаписиСкладскогоЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат запроса записи складского журнала.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  Предприятие - СправочникСсылка.ПредприятияВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
Функция ОбработатьРезультатЗапросаЗаписиСкладскогоЖурнала(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатЗапросаЗаписиСкладскогоЖурнала(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатЗапросаАктуальныхЗаписейСкладскогоЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат запроса актуальных записей складского журнала.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  Предприятие - СправочникСсылка.ПредприятияВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
Функция ОбработатьРезультатЗапросаАктуальныхЗаписейСкладскогоЖурнала(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатЗапросаАктуальныхЗаписейСкладскогоЖурнала(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатИнвентаризацияПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат инвентаризации продукции.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  Предприятие - СправочникСсылка.ПредприятияВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
Функция ОбработатьРезультатИнвентаризацияПродукции(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатИнвентаризацияПродукции(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ЗаполнитьСопоставленнуюПродукциюВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет информацию о сопоставлении продукции в табличной части
//
// Параметры:
//  ТабличнаяЧасть	 - ДанныеФормыСтруктура - Табличная часть документа
//
Процедура ЗаполнитьСопоставленнуюПродукциюВДокументе(ТабличнаяЧасть, Отбор = Неопределено, ПроверятьЗаполненнуюПродукцию = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ЗаполнитьСопоставленнуюПродукциюВДокументе(ТабличнаяЧасть, Отбор, ПроверятьЗаполненнуюПродукцию);
```
</details>

## ПолучитьСопоставленныеТовары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСопоставленныеТовары(ТабличнаяЧасть, НоменклатураДляВыбора = Неопределено, Продукция = Неопределено, ЗаписьЖурнала = Неопределено, ИспользоватьОтборПоЗаписямЖурнала = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ПолучитьСопоставленныеТовары(ТабличнаяЧасть, НоменклатураДляВыбора, Продукция, ЗаписьЖурнала, ИспользоватьОтборПоЗаписямЖурнала);
```
</details>

## ЗаполнитьСопоставленныеТовары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСопоставленныеТовары(ТабличнаяЧасть, НоменклатураДляВыбора, Продукция = Неопределено, ЗаписьЖурнала = Неопределено, ИспользоватьОтборПоЗаписямЖурнала= Ложь, ТаблицаСопоставленныеТовары = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ЗаполнитьСопоставленныеТовары(ТабличнаяЧасть, НоменклатураДляВыбора, Продукция, ЗаписьЖурнала, ИспользоватьОтборПоЗаписямЖурнала, ТаблицаСопоставленныеТовары);
```
</details>

## ПроверитьОчиститьЕдиницуИзмеренияВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить очистить единицу измерения ВЕТИС.
//   В качестве реквизитов продукции может быть произвольная коллекция с указанными полями
//
// Параметры:
//  СтрокаТабличнойЧасти - СтрокаТабличнойЧасти - строка в которой выполняется проверка:
//   * Продукция - СправочникСсылка.ПродукцияВЕТИС - продукция ВетИС,
//   * ЕдиницаИзмеренияВЕТИС - СправочникСсылка.ЕдиницыИзмеренияВЕТИС - единица измерения ВетИС.
//  РеквизитыПродукции - Неопределено - Реквизиты продукции не получены ранее,
//                     - Структура - реквизиты продукции:
//   * ТипПродукции - СправочникСсылка.ПродукцияВЕТИС - тип продукции;
//   * ПродукцияИдентификатор - Строка - идентификатор продукции;
//   * ВидПродукцииИдентификатор - Строка - идентификатор вида продукции.
//   * ФасовкаЕдиницаИзмерения - СправочникСсылка.ЕдиницыИзмеренияВЕТИС - единица измерения фасовки продукции.
Процедура ПроверитьОчиститьЕдиницуИзмеренияВЕТИС(СтрокаТабличнойЧасти, РеквизитыПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПроверитьОчиститьЕдиницуИзмеренияВЕТИС(СтрокаТабличнойЧасти, РеквизитыПродукции);
```
</details>

## УстановитьУсловноеОформлениеПоляПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьУсловноеОформлениеПоляПродукция(Форма, СтатусВЕТИСОформленоЧерезWEB, ИмяЭлемента = "ТоварыПродукция", ИмяТЧ = "Товары") Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.УстановитьУсловноеОформлениеПоляПродукция(Форма, СтатусВЕТИСОформленоЧерезWEB, ИмяЭлемента, ИмяТЧ);
```
</details>

## УстановитьУсловноеОформлениеПоляКоличество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьУсловноеОформлениеПоляКоличество(Форма, ИмяЭлемента = "ТоварыКоличество", ИмяТЧ = "Товары") Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.УстановитьУсловноеОформлениеПоляКоличество(Форма, ИмяЭлемента, ИмяТЧ);
```
</details>

## УстановитьДоступностьПоляСтатус
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьДоступностьПоляСтатус(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.УстановитьДоступностьПоляСтатус(Форма) 
```
</details>

## ЗаполнитьСоответствиеОбъектовВЕТИСПриЗаписиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сопоставляет шапку документа-основания ВетИС с шапкой документа ВетИС.
//
// Параметры:
//  Источник - ДокументОбъект - Записываемый документ ВетИС или .
//  Отказ - Булево - иотказ от записи документа
//
Процедура ЗаполнитьСоответствиеОбъектовВЕТИСПриЗаписиДокумента(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ЗаполнитьСоответствиеОбъектовВЕТИСПриЗаписиДокумента(Источник, Отказ) 
```
</details>

## ЗаполнитьСоответствиеШапкиОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСоответствиеШапкиОбъектов(ДокументОснование, ДокументОбъект = Неопределено, ТипОснования = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ЗаполнитьСоответствиеШапкиОбъектов(ДокументОснование, ДокументОбъект, ТипОснования);
```
</details>

## ЗаписатьСоответствиеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сопоставляет продукцию ВЕТИС с номенклатурой.
//
// Параметры:
//  Объект - ДокументОбъект - Объект в котором сопоставляется номенклатура.
//  РежимЗаписи - Неопределено, РежимЗаписиДокумента - текущее действие с объектом
//  ОписаниеТабличнойЧасти - Строка, ТаблицаЗначений - имя табличной части или таблица значений для сопоставления.
//
Процедура ЗаписатьСоответствиеНоменклатуры(Объект, РежимЗаписи = Неопределено, ОписаниеТабличнойЧасти = "Товары") Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ЗаписатьСоответствиеНоменклатуры(Объект, РежимЗаписи, ОписаниеТабличнойЧасти);
```
</details>

## СверткаРегистраСоответствиеНоменклатурыВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сворачивает остатки по сериям и записям складского журнала регистра соответствие номенклатуры ВЕТИС
//
Процедура СверткаРегистраСоответствиеНоменклатурыВЕТИС() Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.СверткаРегистраСоответствиеНоменклатурыВЕТИС() 
```
</details>

## ОбработатьРезультатЗапросаИзмененныхСведенийОВетеринарныхОперациях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат операции запроса измененных записей складского журнала.
//
// Параметры:
//  ДанныеДокумента - Структура - данные документа
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  Предприятие - СправочникСсылка.ПредприятияВЕТИС
//  ПараметрыОбмена - см. ПараметрыОбмена
//  ДополнительныеПараметры - Неопределено, Структура - Дополнительные параметры
//
// Возвращаемое значение:
//  Массив из см. ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения
Функция ОбработатьРезультатЗапросаИзмененныхСведенийОВетеринарныхОперациях(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИС.ОбработатьРезультатЗапросаИзмененныхСведенийОВетеринарныхОперациях(ДанныеДокумента, ХозяйствующийСубъект, Предприятие, ПараметрыОбмена, ДополнительныеПараметры);
```
</details>

## ПриДобавленииКлассификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. РаботаСКлассификаторамиПереопределяемый.ПриДобавленииКлассификаторов
Процедура ПриДобавленииКлассификаторов(Классификаторы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПриДобавленииКлассификаторов(Классификаторы) 
```
</details>

## ПриОпределенииНачальногоНомераВерсииКлассификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. РаботаСКлассификаторамиПереопределяемый.ПриОпределенииНачальногоНомераВерсииКлассификатора
Процедура ПриОпределенииНачальногоНомераВерсииКлассификатора(Идентификатор, НачальныйНомерВерсии) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПриОпределенииНачальногоНомераВерсииКлассификатора(Идентификатор, НачальныйНомерВерсии) 
```
</details>

## ПриЗагрузкеКлассификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. РаботаСКлассификаторамиПереопределяемый.ПриЗагрузкеКлассификатора
Процедура ПриЗагрузкеКлассификатора(Идентификатор, Версия, Адрес, Обработан, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПриЗагрузкеКлассификатора(Идентификатор, Версия, Адрес, Обработан, ДополнительныеПараметры) 
```
</details>

## ПриОпределенииИдентификаторовКлассификаторовВМоделиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. РаботаСКлассификаторамиВМоделиСервисаПереопределяемый.ПриОпределенииИдентификаторовКлассификаторов
Процедура ПриОпределенииИдентификаторовКлассификаторовВМоделиСервиса(Идентификаторы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.ПриОпределенииИдентификаторовКлассификаторовВМоделиСервиса(Идентификаторы) 
```
</details>

## УстановитьПараметрыСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет установку параметров сеанса. Вызывается из модуля сеанса.
//
// Параметры:
//  ИмяПараметра			 - Строка - имя параметра сеанса.
//  УстановленныеПараметры	 - Массив - все установленные параметры сеанса.
//
Процедура УстановитьПараметрыСеанса(ИмяПараметра, УстановленныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИС.УстановитьПараметрыСеанса(ИмяПараметра, УстановленныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
