---
title: Интеграция ВЕТИС вызов сервера
slug: erp-uh/интеграция-ветис-вызов-сервера
---


## ТекстНадписиПоляИнтеграцииВФормеДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстНадписиПоляИнтеграцииВФормеДокументаОснования(Знач ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ТекстНадписиПоляИнтеграцииВФормеДокументаОснования(ДокументОснование) 
```
</details>

## ПодготовитьКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает сообщения к передаче в сервис ВЕТИС.
//
// Параметры:
//  ВходящиеДанные - Массив, ДокументСсылка - Документы к передаче сообщений.
//  ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюВЕТИС - выполняемая операция обмена.
//  ДополнительныеПараметры - Структура - Дополнительные параметры.
//  Немедленно - Булево - Признак немедленной передачи сообщения в УТМ, без очереди сообщений.
//
// Возвращаемое значение:
//  Структура - см. функцию ПодготовитьСообщенияКПередаче().
//
Функция ПодготовитьКПередаче(ВходящиеДанные, ПараметрыПередачи, УникальныйИдентификатор, ХозяйствующиеСубъекты = Неопределено, НастройкаОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ПодготовитьКПередаче(ВходящиеДанные, ПараметрыПередачи, УникальныйИдентификатор, ХозяйствующиеСубъекты, НастройкаОбмена);
```
</details>

## ОтменитьПередачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет неотправленную операцию из очереди передачи данных в ВЕТИС.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить передачу данных.
//
// Возвращаемое значение:
//  Массив - Массив структур, см. функцию ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения(), или Неопределено (если в очереди нет сообщений).
//
Функция ОтменитьПередачу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ОтменитьПередачу(ДокументСсылка) 
```
</details>

## ОтменитьПоследнююОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет последнюю операцию (например, если возникла ошибка передачи данных).
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить операцию.
//
// Возвращаемое значение:
//  Массив - Массив структур, см. функцию ИнтеграцияВЕТИСКлиентСервер.СтруктураИзменения().
//
Функция ОтменитьПоследнююОперацию(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ОтменитьПоследнююОперацию(ДокументСсылка) 
```
</details>

## ВосстановитьСтатусДокументаПоДаннымПротоколаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Восстанавливает статус документа по данным протокола обмена.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется восстановить статус.
//
Процедура ВосстановитьСтатусДокументаПоДаннымПротоколаОбмена(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСВызовСервера.ВосстановитьСтатусДокументаПоДаннымПротоколаОбмена(ДокументСсылка) 
```
</details>

## АрхивироватьРаспоряженияКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Архивирует (убирает из интерфейса к обработке) записи из регистра по переданным документам.
//
// Параметры:
//   Основания - Массив Из ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовВЕТИС - массив распоряжений
//   Документ  - ОпределяемыйТип.ДокументыВЕТИСПоддерживающиеСтатусыОформления - документ, данные по которому
//      необходимо архивировать.
// Возвращаемое значение:
// 	Массив - Выполненные изменения.
//
Функция АрхивироватьРаспоряженияКОформлению(Основания, Документ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.АрхивироватьРаспоряженияКОформлению(Основания, Документ) 
```
</details>

## АрхивироватьДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает статус дальнейших действий переданных в параметре документах - Не требуется.
//
// Параметры:
// 	ДокументыКАрхивированию - Массив - Коллекция документов для установки дальнейшего действия.
// Возвращаемое значение:
// 	Массив - Массив обработанных документов:
// 	 * Объект - ДокументСсылка - ссылка на обрабатываемый документ.
// 	 * ДокументОснование - ДокументСсылка - ссылка на документ-основание, если имеется.
// 	 * ТекстОшибки - Строка - текст ошибки обработки.
//
Функция АрхивироватьДокументы(ДокументыКАрхивированию) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.АрхивироватьДокументы(ДокументыКАрхивированию) 
```
</details>

## ОтметитьДокументКакОбработанный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмечает документ как обработанный. Устанавливает дальнейшее действие - Не требуется.
//
// Параметры:
// 	ДокументСсылка - ДокументсСсылка - Документ, которму необходимо установить соответствующий статус.
// Возвращаемое значение:
// 	Структура - Описание:
// * Объект - ДокументОбъект - Документ-объект устанавливаемый.
// * ДокументОснование - ДокументСсылка - Ссылка на документ-основание, если имеется.
// * ТекстОшибки - Строка - текст ошибки установки дальнейшего действия.
//
Функция ОтметитьДокументКакОбработанный(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ОтметитьДокументКакОбработанный(ДокументСсылка) 
```
</details>

## ПредставленияСопоставлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представления объектов, сопоставленных с хозяйствующим субъектом и предприятием.
//
// Параметры:
//  ХозяйствующийСубъект      - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС - хозяйствующий субъект, для которого требуется получить сопоставленный объект.
//  Предприятие               - СправочникСсылка.ПредприятияВЕТИС           - предприятие хозяйствующего субъекта, для которого требуется получить сопоставленный объект.
//  ИмяХозяйствующегоСубъекта - Строка                                      - имя хозяйствующего субъекта, например "Грузополучатель" или "Грузоотправитель".
//
// Возвращаемое значение:
//  Структура - структура со свойствами:
//  * КонтрагентХозяйствующегоСубъекта - Структура - Структура со свойствами контрагента хозяйствующего субъекта:
//		** Представление - ФорматированнаяСтрока - форматированная строка, содержащая  представление сопоставленного объекта и навигационную ссылку.
//		** Ссылка - ОпределяемыйТип.ОрганизацияКонтрагентГосИС, Неопределено - ссылка на сопоставленный объект или Неопределено.
//  * ТорговыйОбъект - Структура - Структура со свойствами торгового объекта хозяйствующего субъекта:
//		** Представление - ФорматированнаяСтрока - форматированная строка, содержащая  представление сопоставленного объекта и навигационную ссылку.
//		** Ссылка - ОпределяемыйТип.Склад, Неопределено - ссылка на сопоставленный объект или Неопределено.
//  * ПроизводственныйОбъект - Структура - Структура со свойствами производственного объекта хозяйствующего субъекта:
//		** Представление - ФорматированнаяСтрока - форматированная строка, содержащая  представление сопоставленного объекта и навигационную ссылку.
//		** Ссылка - ОпределяемыйТип.Склад, Неопределено - ссылка на сопоставленный объект или Неопределено.
//
Функция ПредставленияСопоставлений(ХозяйствующийСубъект, Предприятие = Неопределено, ИмяХозяйствующегоСубъекта = "") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ПредставленияСопоставлений(ХозяйствующийСубъект, Предприятие, ИмяХозяйствующегоСубъекта);
```
</details>

## ЗаполнитьСсылкуИПредставлениеСопоставленияТорговогоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСсылкуИПредставлениеСопоставленияТорговогоОбъекта(СоответствуетОрганизации, ИмяХозяйствующегоСубъекта, СсылкаИПредставление, СопоставленныеОбъекты) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСВызовСервера.ЗаполнитьСсылкуИПредставлениеСопоставленияТорговогоОбъекта(СоответствуетОрганизации, ИмяХозяйствующегоСубъекта, СсылкаИПредставление, СопоставленныеОбъекты));
```
</details>

## ОтборыДляРеквизитовДокументаПоОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает отборы для реквизитов документа по основанию
//
// Параметры:
//  ДокументОснование - ДокументСсылка - ссылка на документ-основание
//
// Возвращаемое значение:
//  Структура - структура со свойствами, по которым нужно устанавливать отбор:
//  * ГрузоотправительХозяйствующийСубъект - СправочникСсылка - ссылка на элемент справочника,
//  	по которому нужно делать отбор хозяйствующих субъектов грузоотправителя
//  * ГрузоотправительПредприятие - СправочникСсылка - ссылка на элемент справочника,
//  	по которому нужно делать отбор предприятий грузоотправителя
//  * ГрузополучательХозяйствующийСубъект - СправочникСсылка - ссылка на элемент справочника,
//  	по которому нужно делать отбор хозяйствующих субъектов грузополучателя
//  * ГрузополучательПредприятие - СправочникСсылка - ссылка на элемент справочника,
//  	по которому нужно делать отбор предприятий грузополучателя.
//
Функция ОтборыДляРеквизитовДокументаПоОснованию(ТипДокумента, ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ОтборыДляРеквизитовДокументаПоОснованию(ТипДокумента, ДокументОснование) 
```
</details>

## ПравоДоступаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает право доступа к объекту метаданных,
// полученному по ссылке.
//
// Параметры:
//  Право  - Строка - Название права доступа,
//  Ссылка - ЛюбаяСсылка - ссылка на объект метаданных.
// Возвращаемое значение:
//  Булево - Право доступа по ссылке
Функция ПравоДоступаПоСсылке(Право, Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ПравоДоступаПоСсылке(Право, Ссылка) 
```
</details>

## ВыполнитьСинхронизациюКлассификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьСинхронизациюКлассификаторов(ТипыВЕТИС, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСВызовСервера.ВыполнитьСинхронизациюКлассификаторов(ТипыВЕТИС, ПараметрыОбмена);
```
</details>

## ЗагрузитьНезагруженныеЭлементыКлассификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗагрузитьНезагруженныеЭлементыКлассификаторов(ТипыВЕТИС = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСВызовСервера.ЗагрузитьНезагруженныеЭлементыКлассификаторов(ТипыВЕТИС, ПараметрыОбмена);
```
</details>

## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьОбмен(ХозяйствующиеСубъекты, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ВыполнитьОбмен(ХозяйствующиеСубъекты, УникальныйИдентификатор) 
```
</details>

## ПродолжитьВыполнениеОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПродолжитьВыполнениеОбмена(АдресВоВременномХранилище) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ПродолжитьВыполнениеОбмена(АдресВоВременномХранилище) 
```
</details>

## ВыполнитьОбменУниверсально
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьОбменУниверсально(ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ВыполнитьОбменУниверсально(ПараметрыОбмена) 
```
</details>

## ПродолжитьВыполнениеОбменаУниверсально
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПродолжитьВыполнениеОбменаУниверсально(ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ПродолжитьВыполнениеОбменаУниверсально(ПараметрыОбмена) 
```
</details>

## ВыполнитьОбменДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьОбменДлительнаяОперация(ПараметрыОбмена, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСВызовСервера.ВыполнитьОбменДлительнаяОперация(ПараметрыОбмена, АдресРезультата) 
```
</details>

## ПродолжитьВыполнениеОбменаДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПродолжитьВыполнениеОбменаДлительнаяОперация(ПараметрыОбмена, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСВызовСервера.ПродолжитьВыполнениеОбменаДлительнаяОперация(ПараметрыОбмена, АдресРезультата) 
```
</details>

## ПроверитьРезультатОбработкиЗаявок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьРезультатОбработкиЗаявок(ХозяйствующиеСубъекты, СообщениеДокумент, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ПроверитьРезультатОбработкиЗаявок(ХозяйствующиеСубъекты, СообщениеДокумент, УникальныйИдентификатор) 
```
</details>

## КодРезультатаЛабораторныхИсследований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КодРезультатаЛабораторныхИсследований(РезультатЛабораторныхИсследований) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.КодРезультатаЛабораторныхИсследований(РезультатЛабораторныхИсследований) 
```
</details>

## ОтправитьЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет запрос для передачи или получения данных.
//
// Параметры:
//  ТекстИсходящегоСообщенияSOAP - Строка - Текст отправляемого запроса в формате SOAP.
//  Сервис - Перечисление.СервисыВЕТИС - Сервис ВЕТИС.
//  SOAPAction - Строка - Операция.
//  НастройкаОбмена - Структура - Настройка обмена.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.ОбработатьРезультатОтправкиHTTPЗапроса().
//
Функция ОтправитьЗапрос(ТекстИсходящегоСообщенияSOAP, Сервис, SOAPAction, НастройкаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ОтправитьЗапрос(ТекстИсходящегоСообщенияSOAP, Сервис, SOAPAction, НастройкаОбмена) 
```
</details>

## ТекстОшибкиИзПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст последней ошибки из протокола обмена
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется показать ошибку обмена
//
// Возвращаемое значение:
//  Строка - текст ошибки обмена.
//
Функция ТекстОшибкиИзПротокола(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ТекстОшибкиИзПротокола(ДокументСсылка) 
```
</details>

## ОшибкиСервисаПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
// Формирует таблицу по ошибкам, возвращаемую сервисом для документа.
// Параметры:
// 	ДокументСсылка - Ссылка на документ.
// Возвращаемое значение:
// 	ТаблицаЗначений, Неопределено - Описание: в случае невозможности разбора возвращает Неопределено
// * НомерСтроки - Number - номер строки из документа.
// * ОписаниеОшибки - String - описание ошибки.
// * КодОшибки - String - код возвращаемой сервисом ошибки.
Функция ОшибкиСервисаПоДокументу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ОшибкиСервисаПоДокументу(ДокументСсылка) 
```
</details>

## ЗаписатьОшибкуВЖурналРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись ошибки в журнал регистрации, добавляя имя события ВЕТИС.
//
// Параметры:
//  Заголовок   - Строка - заголовок сообщения.
//  ТекстОшибки - Строка - текст ошибки.
//
Процедура ЗаписатьОшибкуВЖурналРегистрации(ТекстОшибки, ОбъектМетаданных = Неопределено, Данные = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСВызовСервера.ЗаписатьОшибкуВЖурналРегистрации(ТекстОшибки, ОбъектМетаданных, Данные);
```
</details>

## ИменаДокументовДляДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имена документов ВЕТИС, основанием для которых может являться указанный документ.
//
// Параметры:
//   ДокументОснование - ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовВЕТИС - документ-основание для документа ВЕТИС
//
// Возвращаемое значение:
//   Массив из Строка - имена документов ВЕТИС
//
Функция ИменаДокументовДляДокументаОснования(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ИменаДокументовДляДокументаОснования(ДокументОснование) 
```
</details>

## ДокументыВЕТИСПоДокументуОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Документы ВетИС по документу основанию
//
// Параметры:
//  ДокументОснование	 - ДокументСсылка - основание по которому надо получить документы ВетИС
//
// Возвращаемое значение:
//  Структура - см. ИнтеграцияИС.ДокументыИСПоДокументуОснованию()
//
Функция ДокументыВЕТИСПоДокументуОснованию(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ДокументыВЕТИСПоДокументуОснованию(ДокументОснование) 
```
</details>

## ПараметрыСозданияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для создания номенклатуры.
//
// Параметры:
//   ПродукцияВЕТИС        - СправочникСсылка.ПродукцияВЕТИС        - Продукция ВЕТИС.
//   ЕдиницаИзмеренияВЕТИС - СправочникСсылка.ЕдиницыИзмеренияВЕТИС - Единица измерения ВЕТИС.
//
// Возвращаемое значение:
//   Структура - Структура со свойствами:
//    * НаименованиеВЕТИС     - ОпределяемыйТип.СтрокаВЕТИС      - Наименование номенклатуры.
//    * АртикулВЕТИС          - ОпределяемыйТип.СтрокаВЕТИС      - Артикул номенклатуры.
//    * ШтрихкодВЕТИС         - ОпределяемыйТип.СтрокаВЕТИС      - Штрихкод номенклатуры.
//    * ЕдиницаИзмеренияВЕТИС - ОпределяемыйТип.ЕдиницаИзмерения - Единица измерения.
//
Функция ПараметрыСозданияНоменклатуры(ПродукцияВЕТИС, ЕдиницаИзмеренияВЕТИС) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ПараметрыСозданияНоменклатуры(ПродукцияВЕТИС, ЕдиницаИзмеренияВЕТИС) 
```
</details>

## РежимРаботыСТестовымКонтуромВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет включение режима использования тестового контура ВЕТИС.
//
// Возвращаемое значение:
//  Булево - Истина, если включен режим работы с тестовым контуром.
//
Функция РежимРаботыСТестовымКонтуромВЕТИС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.РежимРаботыСТестовымКонтуромВЕТИС() 
```
</details>

## ДанныеАдресаПоАдресуXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеАдресаПоАдресуXML(АдресXML, АдресПредставление) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ДанныеАдресаПоАдресуXML(АдресXML, АдресПредставление) 
```
</details>

## ПолучитьДанныеВыбораПродукцииСОтборомПоПредприятию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеВыбораПродукцииСОтборомПоПредприятию(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСВызовСервера.ПолучитьДанныеВыбораПродукцииСОтборомПоПредприятию(Параметры) 
```
</details>

## ДополнитьОтборПоПрикладнымРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет отбор продукцией ВетИС сопоставленной с номенклатурой, характеристикой, серией,
//   а также хозяйствующим субъектом, связанным с организацией.
//
// Параметры:
//   Отбор          - Структура - структура отбора открытия формы выбора идентификатора происхождения ВетИС
//   ИсточникДанных - Структура - данные прикладного объекта:
//    * Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура,
//    * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика,
//    * Серия - ОпределяемыйТип.СерияНоменклатуры - серия,
//    * Организация - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - организация,
//    * Производство - Булево - Операция маркировки производство (Ложь - импорт).
//
Процедура ДополнитьОтборПоПрикладнымРеквизитам(Отбор, ИсточникДанных) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСВызовСервера.ДополнитьОтборПоПрикладнымРеквизитам(Отбор, ИсточникДанных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
