---
title: Интеграция ВЕТИС клиент
slug: erp-uh/интеграция-ветис-клиент
---


## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку подготовленных сообщений, загрузку новых документов, обработку ответов из ВЕТИС.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - источник команды выполнения обмена
//   ХозяйствующиеСубъекты - Неопределено, Массив Из СправочникСсылка.ХозяйствующиеСубъектыВЕТИС, СправочникСсылка.ХозяйствующиеСубъектыВЕТИС - Хозяйствующие субъекты, по которым необходимо выполнить обмен.
//   ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
//
Процедура ВыполнитьОбмен(Форма, ХозяйствующиеСубъекты = Неопределено, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.ВыполнитьОбмен(Форма, ХозяйствующиеСубъекты, ОповещениеПриЗавершении);
```
</details>

## ПродолжитьВыполнениеОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПродолжитьВыполнениеОбмена(Форма, Контекст = Неопределено, ОповещениеПриЗавершении = Неопределено, ВыводитьОкноОжидания = Истина) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.ПродолжитьВыполнениеОбмена(Форма, Контекст, ОповещениеПриЗавершении, ВыводитьОкноОжидания);
```
</details>

## ОбработатьРезультатОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьРезультатОбмена(РезультатОбмена, Форма, Контекст = Неопределено, ОповещениеПриЗавершении = Неопределено, ВыводитьОкноОжидания = Истина) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.ОбработатьРезультатОбмена(РезультатОбмена, Форма, Контекст, ОповещениеПриЗавершении, ВыводитьОкноОжидания);
```
</details>

## ПодготовитьКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует сообщение для передачи в ВетИС, согласно указанной операции.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма объекта документа ВетИС к передаче
//  ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюВЕТИС - выполняемая операция обмена.
//
Процедура ПодготовитьКПередаче(Форма, ПараметрыПередачи) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.ПодготовитьКПередаче(Форма, ПараметрыПередачи) 
```
</details>

## ОтменитьПоследнююОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет последнюю операцию (например, если возникла ошибка передачи данных).
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить операцию.
//
Процедура ОтменитьПоследнююОперацию(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.ОтменитьПоследнююОперацию(ДокументСсылка) 
```
</details>

## ОтменитьПередачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет неотправленную операцию из очереди передачи данных в ВетИС.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить передачу данных.
//
Процедура ОтменитьПередачу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.ОтменитьПередачу(ДокументСсылка) 
```
</details>

## ОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает нажатие на гиперссылку в формах.
//
// Параметры:
//  НавигационнаяСсылкаФорматированнойСтроки - Строка	 - навигационная ссылка на объект.
//  СтандартнаяОбработка					 - Булево	 - признак стандартной обработки.
//  ОбъектФормы								 - ДанныеФормыСтруктура	 - данные формы,
//		которые содержат ссылки на грузополучателя и грузоотправителя.
//
Процедура ОбработкаНавигационнойСсылки(НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка, ОбъектФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.ОбработкаНавигационнойСсылки(НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка, ОбъектФормы) 
```
</details>

## ПараметрыПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует параметры для подбора элементов на основании параметров указанных для элемента формы.
// Используется для подбора в формах выбора с такими же параметрами выбора, как и при выборе.
//
// Параметры:
//  ЭлементФормы - ПолеВвода - Элемент формы в котором указаны параметры подбора.
//  Форма		 - ФормаКлиентскогоПриложения - Форма на которой расположен элемент. Используется для получения параметров.
//
// Возвращаемое значение:
//  Структура - параметры подбора.
//
Функция ПараметрыПодбора(ЭлементФормы, Форма) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиент.ПараметрыПодбора(ЭлементФормы, Форма) 
```
</details>

## ПодтвердитьКорректностьДокументаСозданногоЧерезWeb
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает для документа дальнейшие действия в значение "НеТребуется".
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить передачу данных.
//
Процедура ПодтвердитьКорректностьДокументаСозданногоЧерезWeb(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.ПодтвердитьКорректностьДокументаСозданногоЧерезWeb(ДокументСсылка) 
```
</details>

## ПодготовитьСообщенияКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд по выполнению требуемого дальнейшего действия в динамических списках
//
// Параметры:
//  ДинамическийСписок - ДанныеФормыКоллекция - список в котором выполняется команда
//  ПараметрыПередачи  - См. ИнтеграцияИСКлиентСервер.ИнициализироватьПараметрыПередачиДанных
//  ПравоИзменения     - Булево - разрешено ли проведение данного вида документа из списка
Процедура ПодготовитьСообщенияКПередаче(ДинамическийСписок, ПараметрыПередачи, ПравоИзменения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.ПодготовитьСообщенияКПередаче(ДинамическийСписок, ПараметрыПередачи, ПравоИзменения) 
```
</details>

## ПодготовитьСообщенияКПередачеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения процедуры ПодготовитьСообщенияКПередаче.
//
// Параметры:
//  Контекст - Структура - контекст выполнения обработчика:
//   * МассивДокументов       - Массив Из Документссылка - список ссылок на обрабатываемые документы,
//   * НепроведенныеДокументы - Массив Из Документссылка - документы, исключенные из обработки,
//   * ДинамическийСписок     - ДанныеФормыКоллекция - список в котором выполняется команда,
//   * ПараметрыПередачи      - Структура - (См. ИнтеграцияВЕТИСКлиентСервер.СтруктураПараметрыПередачи)
//  ДополнительныеПараметры - Неопределено - не используется
Процедура ПодготовитьСообщенияКПередачеЗавершение(Контекст, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.ПодготовитьСообщенияКПередачеЗавершение(Контекст, ДополнительныеПараметры);
```
</details>

## АрхивироватьДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование документов.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьДокументы(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.АрхивироватьДокументы(Результат, ДополнительныеПараметры) 
```
</details>

## АрхивироватьРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование распоряжений к оформлению.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиент.АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) 
```
</details>

## ПараметрыФормыПодбораВыбораЗаписейЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры формы подбора выбора записей журнала.
//
// Параметры:
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//  Предприятие - СправочникСсылка.ПредприятияВЕТИС
//  ТекущиеДанные - Неопределено, ДанныеФормыСтруктура - текущие данные
//
// Возвращаемое значение:
//  Структура - Параметры формы подбора выбора записей журнала:
// * РежимВыбора - Булево -
// * ЗакрыватьПриВыборе - Булево -
// * Отбор - Структура - :
// ** ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
// ** Предприятие - СправочникСсылка.ПредприятияВЕТИС
Функция ПараметрыФормыПодбораВыбораЗаписейЖурнала(ХозяйствующийСубъект, Предприятие, ТекущиеДанные = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиент.ПараметрыФормыПодбораВыбораЗаписейЖурнала(ХозяйствующийСубъект, Предприятие, ТекущиеДанные);
```
</details>

## ЭтоВыборЗаписиЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это выбор записи журнала.
//
// Параметры:
//  ВыбранноеЗначение - Произвольный
//
// Возвращаемое значение:
//  Булево - Это выбор записи журнала
Функция ЭтоВыборЗаписиЖурнала(ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиент.ЭтоВыборЗаписиЖурнала(ВыбранноеЗначение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
