---
title: Интеграция ВЕТИС клиент сервер
slug: erp-uh/интеграция-ветис-клиент-сервер
---


## ИмяПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ИмяПодсистемы() 
```
</details>

## ПредставлениеПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПредставлениеПодсистемы() 
```
</details>

## ПредставлениеПериодаВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовое описание периода срока годности в зависимости от имеющихся параметров
// Параметры:
//  ТочностьПериода - ПеречислениеСсылка.ТочностьЗаполненияПериодаВЕТИС - описание способа указания периода.
//  НачалоПериода - Дата - дата периода (для указания срока годности типа "Дата") или дата начала (для указания срока годности типа "Интервал").
//  КонецПериода - Дата - дата окончания периода (для указания срока годности типа "Интервал").
//  ПредставлениеПериода - Строка - описание произвольно заданного периода
// Возвращаемое значение:
//  Строка - строковое описание периода (представление или описание на основе указанного периода и его точности)
//
Функция ПредставлениеПериодаВЕТИС(Знач ТочностьПериода, Знач НачалоПериода = Неопределено, Знач КонецПериода = Неопределено, Знач ПредставлениеПериода = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПредставлениеПериодаВЕТИС(ТочностьПериода, НачалоПериода, КонецПериода, ПредставлениеПериода);
```
</details>

## ЗначениеЭлементаПериодаВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует значение даты ВетИС в дату начала или конца периода точности заполнения.
// Параметры:
//  Период       - Дата   - дата элемента периода ВетИС.
//  Точность     - ПеречислениеСсылка.ТочностьЗаполненияПериодаВЕТИС - описание способа указания периода.
//  КонецПериода - Булево - Признак необходимости получения конца периода.
// Возвращаемое значение:
//  Дата - преобразованное значение даты.
//
Функция ЗначениеЭлементаПериодаВЕТИС(Знач Период, Знач Точность, Знач КонецПериода = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ЗначениеЭлементаПериодаВЕТИС(Период, Точность, КонецПериода);
```
</details>

## ПутьКСерверуСИнформациейПоВСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПутьКСерверуСИнформациейПоВСД() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПутьКСерверуСИнформациейПоВСД() 
```
</details>

## РеквизитыСозданияКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыСозданияКонтрагента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.РеквизитыСозданияКонтрагента() 
```
</details>

## РеквизитыПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие редактируемых реквизитов периода ВЕТИС общей форме
// Параметры:
//  Префикс - Строка - префикс наименования реквизитов
// Возвращаемое значение:
//  Структура - в ключах имена параметров общей формы, в значениях имена соответствующих реквизитов (объекта, формы, структуры итп)
Функция РеквизитыПериода(Префикс) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.РеквизитыПериода(Префикс) 
```
</details>

## ПараметрыФормыРедактированияПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формы по умолчанию
//
// Возвращаемое значение:
//  Структура - Параметры формы редактирования периода:
// * Заголовок - Строка -
// * ТолькоПросмотр - Булево -
// * ПараметрыРедактирования - Структура -
Функция ПараметрыФормыРедактированияПериода() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПараметрыФормыРедактированияПериода() 
```
</details>

## ПараметрыФормыРедактированияСвязанныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формы по-умолчанию
//
//	Параметры:
//		ТипРедактируемогоОбъекта - Тип - на основании данного параметра накладываются ограничения на список выбора колонок "ТипДокумента"
//
//	Возвращаемое значение:
//		Структура - структура параметров со следующими свойствами:
//			* ТолькоПросмотр - Булево - Если устанавливать в истину, форма списка связанных документов будет не доступна для редактирования;
//			* ТаблицаСвязанныхДокументов - Неопределено - требует обязательного заполнения перед вызовом и открытия формы;
//			* ПараметрыРедактирования - Структура - дополнительные параметры редактирования формы связанных документов:
//				** ТипыДокументов - СписокЗначений из ПеречислениеСсылка.ТипыДокументовВЕТИС - если заполнено, то на колонку "ТипДокумента" будет накладываться ограничение на список выбора;
//
Функция ПараметрыФормыРедактированияСвязанныхДокументов(ТипРедактируемогоОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПараметрыФормыРедактированияСвязанныхДокументов(ТипРедактируемогоОбъекта) 
```
</details>

## ПараметрыФормыАктаОНесоответствииВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формы по умолчанию
//
// Параметры:
//  ТребуетсяОснование - Булево - Требуется основание
//
// Возвращаемое значение:
//  Структура - Параметры формы акта о несоответствии ВЕТИС:
// * ДатаАктаНесоответствия - Дата
// * НомерАктаНесоответствия - Строка
// * ПричинаНесоответствия - Строка
// * СерияАктаНесоответствия - Строка
// * Основание - ДокументСсылка
Функция ПараметрыФормыАктаОНесоответствииВЕТИС(ТребуетсяОснование = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПараметрыФормыАктаОНесоответствииВЕТИС(ТребуетсяОснование);
```
</details>

## РеквизитыПодбораВСДВоВходящуюТранспортнуюОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыПодбораВСДВоВходящуюТранспортнуюОперацию(ГашениеНаСВХ = Ложь, ЕстьПеревозка = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.РеквизитыПодбораВСДВоВходящуюТранспортнуюОперацию(ГашениеНаСВХ, ЕстьПеревозка);
```
</details>

## ПараметрыЗаполненияТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров заполнения табличной части.
//
// Возвращаемое значение:
//	Структура - Структура со свойствами:
//		* ИмяТабличнойЧасти							- Строка									- Имя табличной части объекта.
//		* ЗаполнитьПродукциюВЕТИС					- Булево, Истина							- Признак необходимости заполнения значения реквизита
//																									'ПродукцияВЕТИС' в табличной части объекта.
//		* ЕдиницаИзмеренияВЕТИС						- СправочникСсылка.ЕдиницыИзмеренияВЕТИС	- Единица измерения ВЕТИС строки табличной
//																									части объекта.
//		* Суффикс									- Строка									- Суффикс реквизита 'Количество' табличной части объекта.
//		* ПересчитатьКоличествоЕдиницВЕТИС			- Булево, Истина							- Признак необходимости пересчета значения количества
//																									ВЕТИС по количеству.
//		* ПересчитатьКоличествоЕдиницПоВЕТИС		- Булево, Истина							- Признак необходимости пересчета значения количества
//																									по количеству ВЕТИС.
//		* ПроверитьСериюРассчитатьСтатус			- Булево, Истина							- Признак необходимости заполнения значения реквизита
//																									'СтатусУказанияСерий' в табличной части объекта.
//		* ИмяПоляКоличества							- Строка									- Имя реквизита количества в табличной части объекта.
//		* ДанныеЗаполнения							- Структура									- Данные заполнения.
//		* УстановитьУникальныйИдентификаторСтроки	- Булево, Истина							- Признак необходимости заполнения реквизита
//																									'ИдентификаторСтроки' табличной части объекта.
//
Функция ПараметрыЗаполненияТабличнойЧасти() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПараметрыЗаполненияТабличнойЧасти() 
```
</details>

## СоответствиеПолейДокументовОснованийИДокументовВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие полей документов-оснований и документов ВЕТИС
//
// Параметры:
//   ТипДокумента - - Тип - тип документа ВЕТИС
//   ТипОснования - - Тип - тип документа-основания
//
// Возвращаемое значение:
//  КлючИЗначение - элемент соответствия типа:
//  * ключом свойства является имя документа, например "РеализацияТоваровУслуг",
//  а значением - соответствие со свойствами соответствия, например:
//  ** ГрузоотправительХозяйствующийСубъект - Строка - имя поля документа, которое соответствует контрагенту
//  хозяйствующего субъекта грузоотправителя
//  ** ГрузоотправительПредприятие - Строка - имя поля документа, которое соответствует предприятию грузоотправителя
//  ** ГрузополучательХозяйствующийСубъект - Строка - имя поля документа, которое соответствует контрагенту
//  хозяйствующего субъекта грузополучателя
//  ** ГрузополучательПредприятие - Строка - имя поля документа, которое соответствует предприятию грузополучателя
//
Функция СоответствиеПолейДокументовОснованийИДокументовВЕТИС(ТипДокумента, ТипОснования) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СоответствиеПолейДокументовОснованийИДокументовВЕТИС(ТипДокумента, ТипОснования) 
```
</details>

## РежимРаботыСТестовымКонтуромВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет включение режима использования тестового контура ВЕТИС.
//
// Возвращаемое значение:
//  Булево - Истина, если включен режим работы с тестовым контуром.
//
Функция РежимРаботыСТестовымКонтуромВЕТИС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.РежимРаботыСТестовымКонтуромВЕТИС() 
```
</details>

## НайтиВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит в XML содержимое находящееся в теге.
//
// Параметры:
//  Текст                             - Строка - текст XML, в котором выполняется поиск.
//  ИмяТега                           - Строка - тег, содержимое которого необходимо найти.
//  ВключатьОткрывающийЗакрывающийТег - Булево - признак необходимости найденного тегом, по которому выполнялся поиск, по умолчанию Ложь.
//  НомерПоПорядку                    - Число  - позиция, с которой начинается поиск, по умолчанию 1.
//
// Возвращаемое значение:
//   Строка - строка, из которой удалены символы перевода строки и возврата каретки.
//
Функция НайтиВXML(Текст, ИмяТега, ВключатьОткрывающийЗакрывающийТег = Ложь, НомерПоПорядку = 1) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.НайтиВXML(Текст, ИмяТега, ВключатьОткрывающийЗакрывающийТег, НомерПоПорядку);
```
</details>

## СтруктураДанныеПредприятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныеПредприятия() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныеПредприятия() 
```
</details>

## СтруктураДанныеХозяйствующегоСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныеХозяйствующегоСубъекта() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныеХозяйствующегоСубъекта() 
```
</details>

## СтруктураДанныеПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныеПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныеПродукции() 
```
</details>

## СтруктураДанныеЗаболевания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныеЗаболевания() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныеЗаболевания() 
```
</details>

## СтруктураДанныхПунктаМаршрута
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныхПунктаМаршрута() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныхПунктаМаршрута() 
```
</details>

## СтруктураДанныеУпаковкиВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныеУпаковкиВЕТИС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныеУпаковкиВЕТИС() 
```
</details>

## СтруктураДанныхШтрихкодыУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныхШтрихкодыУпаковок() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныхШтрихкодыУпаковок() 
```
</details>

## СтруктураДанныхПроизводители
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныхПроизводители() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныхПроизводители() 
```
</details>

## СтруктураДанныхПроизводственныеПартии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныхПроизводственныеПартии() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныхПроизводственныеПартии() 
```
</details>

## СтруктураДанныхЗаписиСкладскогоЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныхЗаписиСкладскогоЖурнала() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныхЗаписиСкладскогоЖурнала() 
```
</details>

## ХозяйствующиеСубъекты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает хозяйствующие субъекты из ключей настроек обмена.
//
// Параметры:
//  НастройкиОбменаВЕТИС - Соответствие - Настройки обмена ВетИС по организациям:
//   * Ключ - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС - хозяйствующий субъект ВетИС
//
// Возвращаемое значение:
//   Массив из СправочникСсылка.ХозяйствующиеСубъектыВЕТИС - хозяйствующие субъекты
//
Функция ХозяйствующиеСубъекты(НастройкиОбменаВЕТИС) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ХозяйствующиеСубъекты(НастройкиОбменаВЕТИС) 
```
</details>

## РазмерСтраницы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазмерСтраницы() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.РазмерСтраницы() 
```
</details>

## КоличествоСтраниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоСтраниц(ОбщееКоличество, КоличествоЭлементовНаСтранице) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.КоличествоСтраниц(ОбщееКоличество, КоличествоЭлементовНаСтранице) 
```
</details>

## ПараметрыПредставленияТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления табличной части
//
// Параметры:
//  ПоляПодстановки	 - Строка - имена колонок коллекции, которые будут использоваться в представлении
//
// Возвращаемое значение:
//  Структура - с параметрами:
//   * Поля  - Строка - имена колонок табличной части, которые будут использоваться в представлении,
//      в порядке подстановки в шаблон (разделитель - ",");
//   * Пустая      - Строка - надпись по умолчанию для пустой коллекции (по умолчанию "не заполнено");
//   * НеЗаполнено - Строка - надпись по умолчанию для пустого значения элемента (по умолчанию "не заполнено");
//   * Шаблон      - Строка, Массив - шаблон вывода строки коллекции (по умолчанию "%1"),
//      если передан массив то объединяться будут только части с непустыми параметрами;
//   * Количество  - Число  - количество строк выводимых в представлении (по умолчанию 1);
//   * Разделитель - Строка - строка, которой будут разделяться выводимые элементы табличной части (по умолчанию ",");
//   * Уникальные  - Булево - вывод уникальных представлений строк (по умолчанию Ложь);
//   * Пустые      - Булево - вывод представлений строк из пустых элементов (по умолчанию Истина).
//
Функция ПараметрыПредставленияТабличнойЧасти(ПоляПодстановки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПараметрыПредставленияТабличнойЧасти(ПоляПодстановки) 
```
</details>

## ПараметрыПредставленияТабличнойЧастиУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления ТЧ упаковок
//   (стандартные поля, переопределенный шаблон, опциональное количество)
// Параметры:
//  КоличествоВыводимых - Число - количество строк выводимых в представлении (по умолчанию 1).
//
// Возвращаемое значение:
//  Структура - см. ПараметрыПредставленияТабличнойЧасти().
//
Функция ПараметрыПредставленияТабличнойЧастиУпаковок(КоличествоВыводимых = 1) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПараметрыПредставленияТабличнойЧастиУпаковок(КоличествоВыводимых);
```
</details>

## ПараметрыПредставленияТабличнойЧастиПроизводителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления ТЧ производителей
//   (стандартное поле, уникальные записи, опциональное представление пустого)
// Параметры:
//  ПустоеКоличество - Строка, Неопределено - представление пустой ТЧ (строка), не менять(Неопределено).
//
// Возвращаемое значение:
//  Структура - см. ПараметрыПредставленияТабличнойЧасти().
//
Функция ПараметрыПредставленияТабличнойЧастиПроизводителей(ПустоеКоличество = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПараметрыПредставленияТабличнойЧастиПроизводителей(ПустоеКоличество);
```
</details>

## ПараметрыПредставленияТабличнойЧастиПартий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления ТЧ идентификаторов партий
//   (стандартное поле, уникальные записи)
//
// Возвращаемое значение:
//  Структура - см. ПараметрыПредставленияТабличнойЧасти().
//
Функция ПараметрыПредставленияТабличнойЧастиПартий() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПараметрыПредставленияТабличнойЧастиПартий() 
```
</details>

## ПараметрыПредставленияТабличнойЧастиМаршрута
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления ТЧ маршрут
//   (стандартные поля, переопределенный шаблон, представление пустого параметра, вывод 2 строк)
//
// Возвращаемое значение:
//  Структура - см. ПараметрыПредставленияТабличнойЧасти().
//
Функция ПараметрыПредставленияТабличнойЧастиМаршрута() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПараметрыПредставленияТабличнойЧастиМаршрута() 
```
</details>

## ПараметрыПредставленияТабличнойЧастиСвязанныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления ТЧ маршрут
//   (стандартные поля, переопределенные шаблон, представление пустой ТЧ)
//
// Возвращаемое значение:
//  Структура - см. ПараметрыПредставленияТабличнойЧасти().
//
Функция ПараметрыПредставленияТабличнойЧастиСвязанныхДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ПараметрыПредставленияТабличнойЧастиСвязанныхДокументов() 
```
</details>

## СформироватьНадписьПоДаннымТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует надпись (представление) гиперссылки для перехода в данные таб. части
//
// Параметры:
//  Данные - ДанныеФормыКоллекция, ТаблицаЗначений, Массив из Произвольный - данные информацию о которых необходимо вывести;
//  ПараметрыНадписи - Структура, Строка - см. ПараметрыНадписиПредставленияТабличнойЧасти()
//   (строка вызывает конструктор структуры)
//
// Возвращаемое значение:
//  Строка - пользовательское представление табличной части
//
Функция СформироватьНадписьПоДаннымТабличнойЧасти(Данные, ПараметрыНадписи) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СформироватьНадписьПоДаннымТабличнойЧасти(Данные, ПараметрыНадписи) 
```
</details>

## ДобавитьТекстОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в свойство структуры сообщения текст ошибки
//
// Параметры:
//  Сообщение    - Структура - сообщение, в которое добавляется текст ошибки.
//  ТекстОшибки  - Строка - добавляемый текст ошибки.
//
Процедура ДобавитьТекстОшибки(Сообщение, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиентСервер.ДобавитьТекстОшибки(Сообщение, ТекстОшибки) 
```
</details>

## МассивЗначенийДляВыбораИзСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает список выбора для номенклатуры или характеристики на основании данных в таблице сопоставления.
//
//	Параметры:
//		ИмяПоля - Строка - принимает значения "Номенклатура", "Продукция" или "Характеристика", служит для определения для какого поля устанавливается список выбора;
//		ТаблицаИсточник - ТаблицаЗначений, ДанныеФормыКоллекция - таблица, в которой содержатся данные сопоставления. Обязательно наличие колонок:
//			* Продукция - СправочникСсылка.ПродукцияВЕТИС - продукция ВЕТИС для которой производится сопоставление (если передано в качестве свойства отбора) или
//					значение для подстановки в массив результата (если ИмяПоля = "Продукция");
//			* Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура для которой будет производиться сопоставление (если передано в качестве свойства отбора) или
//					значение для подстановки в массив результата (если ИмяПоля = "Номенклатура");
//			* Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика для которой будет производиться сопоставление (если передано в качестве свойства отбора) или
//					значение для подстановки в массив результата (если ИмяПоля = "Характеристика").
//		Отбор - Структура - структура по которой будет производиться отбор со следующими возможными свойствами:
//			* Продукция - СправочникСсылка.ПродукцияВЕТИС - продукция ВЕТИС для которой будет производится сопоставление (если ИмяПоля = "Характеристика" или "Номенклатура");
//			* Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура для которой будет производиться сопоставление (если ИмяПоля = "Характеристика").
//			* Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика для которой будет производиться сопоставление (если ИмяПоля = "Продукция").
//
//Возвращаемое значение:
// - Массив из ОпределяемыйТип.Номенклатура - если ИмяПоля = "Номенклатура"
// - Массив из ОпределяемыйТип.ХарактеристикаНоменклатуры - если ИмяПоля = "Характеристика"
// - Массив из СправочникСсылка.ПродукцияВЕТИС - если ИмяПоля = "Продукция"
//
Функция МассивЗначенийДляВыбораИзСписка(ИмяПоля, ТаблицаИсточник, Отбор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.МассивЗначенийДляВыбораИзСписка(ИмяПоля, ТаблицаИсточник, Отбор);
```
</details>

## УстановитьСвойствоЭлементовФормыРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно устанавливает свойство ИмяСвойства элементов формы (в т.ч. подчиненных)
// в значение Значение, за исключением элементов, имена которых перечислены в массиве исключений.
//
// Параметры:
//  ЭлементыФормы    - ВсеЭлементФормы, ЭлементыФормы - коллекция элементов управляемой формы.
//  ИмяСвойства      - Строка       - имя устанавливаемого свойства элемента формы.
//  Значение         - Произвольный - новое значение элемента.
//  МассивИсключений - Массив - Содержит строки (имена элементов формы).
//
Процедура УстановитьСвойствоЭлементовФормыРекурсивно(ЭлементыФормы, ИмяСвойства, Значение, МассивИсключений) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиентСервер.УстановитьСвойствоЭлементовФормыРекурсивно(ЭлементыФормы, ИмяСвойства, Значение, МассивИсключений) 
```
</details>

## ТочностьЗаполненияБезДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, требуется ли указание даты для заданной точности заполнения периода
// Параметры:
//  ТочностьЗаполненияПериода  - ПеречислениеСсылка.ТочностьЗаполненияПериодаВЕТИС - описание способа указания периода.
// Возвращаемое значение:
//   Булево   - требуется ли указание даты для заданной точности заполнения периода
//
Функция ТочностьЗаполненияБезДаты(ТочностьЗаполненияПериода) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.ТочностьЗаполненияБезДаты(ТочностьЗаполненияПериода) 
```
</details>

## ОбновитьТочностьДатПродукцииВСвязаннойТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет информацию о точности колонок "Дата производства" и "Срок годности" по данным таблицы
//
// Параметры:
//  ТабличнаяЧасть	 - ТаблицаЗначений - Таблица для
//  СвязаннаяТаблица - ТаблицаЗначений - таблица соответствия продукции и точности даты:
//   * Продукция 				- СправочникСсылка.ПродукцияВЕТИС - продукция содержащаяся в табличной части
//   * ТочностьДатыПроизводства - СписокЗначений - список всех доступных для продукции форматов поля Дата производства
//   * ТочностьСрокаГодности	- СписокЗначений - список всех доступных для продукции форматов поля Срок годности
//
Процедура ОбновитьТочностьДатПродукцииВСвязаннойТаблице(ИсходнаяТаблица, СвязаннаяТаблица) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиентСервер.ОбновитьТочностьДатПродукцииВСвязаннойТаблице(ИсходнаяТаблица, СвязаннаяТаблица) 
```
</details>

## СтруктураДанныхАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныхАдреса() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураДанныхАдреса() 
```
</details>

## СтруктураИнтервала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураИнтервала(НачалоПериода, КонецПериода = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураИнтервала(НачалоПериода, КонецПериода);
```
</details>

## СтруктураСвязанногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураСвязанногоДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураСвязанногоДокумента() 
```
</details>

## СтруктураПараметрыПередачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураПараметрыПередачи(ДальнейшееДействие = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСКлиентСервер.СтруктураПараметрыПередачи(ДальнейшееДействие);
```
</details>

## ОчиститьДанныеУпаковокШтрихкодовПоСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьДанныеУпаковокШтрихкодовПоСтроке(Объект, ИдентификаторСтроки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиентСервер.ОчиститьДанныеУпаковокШтрихкодовПоСтроке(Объект, ИдентификаторСтроки) 
```
</details>

## ЗаполнитьДанныеУпаковокШтрихкодовПоСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДанныеУпаковокШтрихкодовПоСтроке(Объект, ИдентификаторСтроки, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиентСервер.ЗаполнитьДанныеУпаковокШтрихкодовПоСтроке(Объект, ИдентификаторСтроки, ДанныеЗаполнения) 
```
</details>

## СкопироватьДанныеУпаковокШтрихкодовПоСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СкопироватьДанныеУпаковокШтрихкодовПоСтроке(Объект, ИдентификаторСтроки, ИдентификаторСтрокиИсточника) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСКлиентСервер.СкопироватьДанныеУпаковокШтрихкодовПоСтроке(Объект, ИдентификаторСтроки, ИдентификаторСтрокиИсточника) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
