---
title: Интеграция ВЕТИС переопределяемый
slug: erp-uh/интеграция-ветис-переопределяемый
---


## ЗаполнитьЕдиницуИзмеренияПоКлассификаторам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит 'ЕдиницаИзмерения' справочника 'ЕдиницыИзмеренияВЕТИС' по ОКЕИ.
//
// Параметры:
//  СправочникОбъект - СправочникОбъект.ЕдиницыИзмеренияВЕТИС - Единица измерения ВЕТИС.
Процедура ЗаполнитьЕдиницуИзмеренияПоКлассификаторам(СправочникОбъект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьЕдиницуИзмеренияПоКлассификаторам(СправочникОбъект) 
```
</details>

## ОбработкаЗаполненияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при вводе документа на основании, при выполнении метода Заполнить или при интерактивном вводе нового.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - заполняемый документ,
//  ДанныеЗаполнения - Произвольный - значение, которое используется как основание для заполнения,
//  ТекстЗаполнения - Строка, Неопределено - текст, используемый для заполнения документа,
//  СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события.
Процедура ОбработкаЗаполненияДокумента(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ОбработкаЗаполненияДокумента(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается расширением формы при необходимости проверки заполнения реквизитов при записи или при проведении документа в форме,
// а также при выполнении метода ПроверитьЗаполнение.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - проверяемый документ,
//  Отказ - Булево - признак отказа от проведения документа,
//  ПроверяемыеРеквизиты - Массив - массив путей к реквизитам, для которых будет выполнена проверка заполнения,
//  МассивНепроверяемыхРеквизитов - Массив - массив путей к реквизитам, для которых не будет выполнена проверка заполнения.
Процедура ОбработкаПроверкиЗаполнения(ДокументОбъект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ОбработкаПроверкиЗаполнения(ДокументОбъект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) 
```
</details>

## ОбработкаПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при проведении документа. Выполняется в транзакции записи.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - проводимый документ,
//  Отказ - Булево - признак отказа от проведения документа,
//  РежимПроведения - РежимПроведенияДокумента - текущий режим проведения.
Процедура ОбработкаПроведения(ДокументОбъект, Отказ, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ОбработкаПроведения(ДокументОбъект, Отказ, РежимПроведения) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает перед выполнением записи документа. Вызывается после начала транзакции записи, но до начала записи документа.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - записываемый документ,
//  Отказ - Булево - признак отказа от записи,
//  РежимЗаписи - РежимЗаписиДокумента - текущий режим записи документа,
//  РежимПроведения - РежимПроведенияДокумента - текущий режим проведения документа.
//
Процедура ПередЗаписью(ДокументОбъект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ПередЗаписью(ДокументОбъект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ЗаполнитьВременнуюТаблицуСвязанныхДокументовИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает временную таблицу "ДокументыИнформационнойБазы", для дальнейшего использования в методе
// ЗаполнениеДокументовВЕТИС.ДокументОснованиеПоДаннымСвязанныхДокументов.
// Содержит колонки:
// * ТипДокумента - ПеречислениеСсылка.ТипыДокументовВЕТИС - тип документа ВЕТИС, служит для определения типа связи со связанными документами;
// * ПоказательУпорядочивания - ПроизвольныйТип - при определении документа основания, служит для определения приоритета найденных документов;
// * Документ - ДокументСсылка - документ, который будет определяться как документ-основание;
// * Дата - Дата - дата входящего документа, по которой будут сопоставляться данные документов ИБ и данные связанных документов;
// * Номер - Строка - номер входящего документа, по которому будут сопоставляться данные документов ИБ и данные связанных документов;
//Параметры:
//  ВременныеТаблицы - МенеджерВременныхТаблиц - менеджер временных таблиц запроса, в который будет добавлена создаваемая временная таблица.
Процедура ЗаполнитьВременнуюТаблицуСвязанныхДокументовИнформационнойБазы(ВременныеТаблицы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьВременнуюТаблицуСвязанныхДокументовИнформационнойБазы(ВременныеТаблицы) 
```
</details>

## НастройкиПодключенияКСервисуИППЗаданы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет заданы ли настройки подключения к сервису интернет поддержки пользователей.
//
Процедура НастройкиПодключенияКСервисуИППЗаданы(НастройкиЗаданы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.НастройкиПодключенияКСервисуИППЗаданы(НастройкиЗаданы) 
```
</details>

## ЗаполнитьДанныеКонтрагентаДляПоискаХозяйствующегоСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры поиска хозяйствующего субъекта по элементу справочника конфигурации
//
// Параметры:
//  ДанныеКонтрагента - (См. ИнтеграцияВЕТИС.ДанныеКонтрагентаДляПоискаХозяйствующегоСубъекта)
//  Контрагент        - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - ссылка на контрагента информационной базы
Процедура ЗаполнитьДанныеКонтрагентаДляПоискаХозяйствующегоСубъекта(ДанныеКонтрагента, Контрагент) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьДанныеКонтрагентаДляПоискаХозяйствующегоСубъекта(ДанныеКонтрагента, Контрагент) 
```
</details>

## ЗаполнитьДанныеФизическогоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет значения реквизитов из справочника физических лиц используемые для создания пользователя ВетИС
//
// Параметры:
//  ДанныеФизЛица  - (См. ИнтеграцияВЕТИС.ДанныеФизическогоЛица)
//  ФизическоеЛицо - ОпределяемыйТип.ФизическоеЛицо - ссылка на физическое лицо информационной базы
Процедура ЗаполнитьДанныеФизическогоЛица(ДанныеФизЛица, ФизическоеЛицо) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьДанныеФизическогоЛица(ДанныеФизЛица, ФизическоеЛицо) 
```
</details>

## ПриИзмененииСтатусаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при изменении статуса обработки документа.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - ссылка на документ,
//  ПредыдущийСтатус - ПеречислениеСсылка - предыдущий статус обработки,
//  НовыйСтатус - ПеречислениеСсылка - новый статус обработки.
Процедура ПриИзмененииСтатусаДокумента(ДокументСсылка, ПредыдущийСтатус, НовыйСтатус, ПараметрыОбновленияСтатуса = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ПриИзмененииСтатусаДокумента(ДокументСсылка, ПредыдущийСтатус, НовыйСтатус, ПараметрыОбновленияСтатуса);
```
</details>

## ЗначенияПоУмолчаниюНеСопоставленныхОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре необходимо определить значения по умолчанию, которые будут подставляться в
// реквизиты не сопоставленных элементов справочника.
//
// Параметры:
//  СобственнаяОрганизация - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - значение по умолчанию для собственной организации,
//  СторонняяОрганизация - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - значение по умолчанию для сторонней организации.
Процедура ЗначенияПоУмолчаниюНеСопоставленныхОбъектов(СобственнаяОрганизация, Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗначенияПоУмолчаниюНеСопоставленныхОбъектов(СобственнаяОрганизация, );
```
</details>

## ЗаполнитьСоответствиеШапкиОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре необходимо реализовать запись сопоставления хозяйствующих субъектов и предприятий с прикладными
//   справочниками конфигурации
//
// Параметры:
//  ДокументОснование - ДокументСсылка, ДокументОбъект - прикладной документ конфигурации,
//  ДокументОбъект    - ДокументСсылка, ДокументОбъект - связанный с ним документ библиотеки.
//
Процедура ЗаполнитьСоответствиеШапкиОбъектов(ДокументОснование, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьСоответствиеШапкиОбъектов(ДокументОснование, ДокументОбъект) 
```
</details>

## ЗаполнитьДанныеТТНДляТранспортнойОперацииПоОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Заполняет структуру данных транспортной накладной для входящей или исходящей транспортной операции по документу-основанию:
//  * Номер - Строка, Неопределено - номер транспортной накладной. Неопределено, если транспортная накладная не найдена.
//  * Дата - Дата, Неопределено - дата транспортной накладной. Неопределено, если транспортная накладная не найдена.
//
// Параметры:
//  ДанныеТТН         - Структура      - Заполняемые поля.
//  ДокументОснование - ДокументСсылка - Ссылка на документ-основание транспортной операции.
Процедура ЗаполнитьДанныеТТНДляТранспортнойОперацииПоОснованию(ДанныеТТН, ДокументОснование) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьДанныеТТНДляТранспортнойОперацииПоОснованию(ДанныеТТН, ДокументОснование) 
```
</details>

## УстановитьПараметрыВыбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметры выбора номенклатуры.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, в которой нужно установить параметры выбора.
//  ИмяПоляВвода - Строка - Имя поля ввода номенклатуры.
Процедура УстановитьПараметрыВыбораНоменклатуры(Форма, ИмяПоляВвода = "ТоварыНоменклатура") Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.УстановитьПараметрыВыбораНоменклатуры(Форма, ИмяПоляВвода);
```
</details>

## ЗаполнитьКоличествоНоменклатурыПоКоличествуВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет количество номенклатуры по количеству ВетИС:
//   * Имя колонки с количеством ВетИС откуда идет пересчет: <Количество[суффикс]ВЕТИС>,
//   * Имя колонки с прикладным количеством: <Количество[суффикс]>.
//
// Параметры:
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции	- Строка табличной части объекта.
//  Суффикс - Строка - Окончание наименования колонки, содержащей количество.
Процедура ЗаполнитьКоличествоНоменклатурыПоКоличествуВЕТИС(ТекущаяСтрока, Суффикс = "") Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьКоличествоНоменклатурыПоКоличествуВЕТИС(ТекущаяСтрока, Суффикс);
```
</details>

## ЗаполнитьКоличествоНоменклатурыПоКоличествуВЕТИСВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет количество номенклатуры по количеству ВЕТИС.
//
// Параметры:
//  ТабличнаяЧасть   - ДокументТабличнаяЧасть - табличная часть документа.
//  Суффикс          - Строка                 - суффикс полей "Количество" табличной части
//
Процедура ЗаполнитьКоличествоНоменклатурыПоКоличествуВЕТИСВТаблице(ТабличнаяЧасть, Суффикс = "") Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьКоличествоНоменклатурыПоКоличествуВЕТИСВТаблице(ТабличнаяЧасть, Суффикс);
```
</details>

## ПроверитьСериюРассчитатьСтатус
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет статус указания серий и проверяет серию в строке табличной части объекта.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - Документ, для которого необходимо заполнить статус указания серии.
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - Строка табличной части объекта.
Процедура ПроверитьСериюРассчитатьСтатус(ДокументОбъект, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ПроверитьСериюРассчитатьСтатус(ДокументОбъект, ТекущаяСтрока) 
```
</details>

## ЗаполнитьИдентификаторПартии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет идентификатор партии по данным серии в строке табличной части объекта.
//
// Параметры:
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - Строка табличной части объекта.
//  Серия - СправочникСсылка - Ссылка на справочник серий, в которой определен реквизит ИдентификаторПартииВЕТИС
Процедура ЗаполнитьИдентификаторПартии(ТекущаяСтрока, Серия) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьИдентификаторПартии(ТекущаяСтрока, Серия) 
```
</details>

## ЗаполнитьИспользованиеИдентификаторовПартий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает служебный признак необходимости заполнения идентификатора партии в строке табличной части объекта.
//
// Параметры:
//  ТабличнаяЧастьТовары - ДанныеФормыКоллекция - Товарная табличная часть объекта.
Процедура ЗаполнитьИспользованиеИдентификаторовПартий(ТабличнаяЧастьТовары) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьИспользованиеИдентификаторовПартий(ТабличнаяЧастьТовары) 
```
</details>

## ЗаполнитьТекстЗапросаДвижениеСерийТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для движений по регистру накопления СерииНоменклатуры.
//
// Возвращаемое значение:
//  Строка - текст запроса.
Процедура ЗаполнитьТекстЗапросаДвижениеСерийТоваров(ТекстЗапроса, МетаданныеДокумента) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьТекстЗапросаДвижениеСерийТоваров(ТекстЗапроса, МетаданныеДокумента) 
```
</details>

## ЗаполнитьСгенерироватьСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет, при необходимости создает серии в документе ВетИС или его выделенных строках
//
// Параметры:
//  Контекст  - (см. ИнтеграцияВЕТИС.СгенерироватьСерии)
//  Результат - (см. ИнтеграцияВЕТИС.СтруктураРезультатЗаполненияСерий)
Процедура ЗаполнитьСгенерироватьСерии(Контекст, Результат) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ЗаполнитьСгенерироватьСерии(Контекст, Результат) 
```
</details>

## ПриГенерацииСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет, при необходимости создает серии в документе ВетИС или его выделенных строках
//
// Параметры:
//  Объект - ДанныеФормыСтруктура - объект для заполнения
//  Товары - ДанныеФормыКоллекция, ТаблицаЗначений - ТЧ документа
//  ВыделенныеСтроки - Массив - выделенные строки документа
//  ПараметрыУказанияСерий - см. ИнтеграцияИСПереопределяемый.ЗаполнитьПараметрыУказанияСерий
//  ТоварыУточнение - Неопределено, ДанныеФормыКоллекция - Дополнительная ТЧ, содержащая расшифровку строк товаров
//  РезультатЗаполненияСерий - см. ИнтеграцияВетис.СтруктураРезультатЗаполненияСерий.
Процедура ПриГенерацииСерий(Объект, Товары, ВыделенныеСтроки, ПараметрыУказанияСерий, ТоварыУточнение, РезультатЗаполненияСерий) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ПриГенерацииСерий(Объект, Товары, ВыделенныеСтроки, ПараметрыУказанияСерий, ТоварыУточнение, РезультатЗаполненияСерий) 
```
</details>

## ПриИзмененииДокументаОснованияПроизводственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает при изменении документа-основания производственной операции ВетИС в форме документа.
//
// Параметры:
//  Объект - ДанныеФормыСтруктура - редактируемый документ "производственная операция ВетИС"
Процедура ПриИзмененииДокументаОснованияПроизводственнойОперации(Объект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ПриИзмененииДокументаОснованияПроизводственнойОперации(Объект) 
```
</details>

## ИспользуетсяКомиссияПриЗакупкахИлиПереработкаДавальческогоСырья
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет признак использования комиссии при закупках или производства из давальческого сырья.
//
// Параметры:
//  Используется - Булево - Признак использования комиссии при закупках или производства из давальческого сырья.
Процедура ИспользуетсяКомиссияПриЗакупкахИлиПереработкаДавальческогоСырья(Используется) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ИспользуетсяКомиссияПриЗакупкахИлиПереработкаДавальческогоСырья(Используется) 
```
</details>

## ИспользуетсяПереработкаНаСтороне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет признак использования производства на стороне.
//
// Параметры:
//  Используется - Булево - Признак использования производства на стороне.
Процедура ИспользуетсяПереработкаНаСтороне(Используется) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ИспользуетсяПереработкаНаСтороне(Используется) 
```
</details>

## ТребуетсяУказаниеИдентификатораПартииНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет использование идентификатора партии в сериях в разрезе номенклатуры.
//
// Параметры:
//  Требуется    - Булево                       - Признак использования идентификатора партии в сериях номенклатуры.
//  Номенклатура - ОпределяемыйТип.Номенклатура - элемент номенклатуры.
Процедура ТребуетсяУказаниеИдентификатораПартииНоменклатуры(Требуется, Номенклатура) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ТребуетсяУказаниеИдентификатораПартииНоменклатуры(Требуется, Номенклатура) 
```
</details>

## УказываетсяТранспортноеСредство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет использование транспортных средств
//
// Параметры:
//  Указывается - Булево - Признак использования транспортных средств.
Процедура УказываетсяТранспортноеСредство(Указывается) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.УказываетсяТранспортноеСредство(Указывается) 
```
</details>

## ПриОпределенииРеквизитовТранспортногоСредства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные реквизитов пункта маршрута ВетИС получаемые из транспортного средства
//
// Параметры:
//  Реквизиты - Структура - возможные реквизиты пункта маршрута ВетИС с данными транспортного средства
//  ТранспортноеСредство - ОпределяемыйТип.ТранспортныеСредстваВЕТИС - транспортное средство
Процедура ПриОпределенииРеквизитовТранспортногоСредства(Реквизиты, ТранспортноеСредство) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ПриОпределенииРеквизитовТранспортногоСредства(Реквизиты, ТранспортноеСредство) 
```
</details>

## ПередОтправкойЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для тестирования проблемы рассинхронизации данных между информационной базой и ФГИС Меркурий
// при получении ошибки 408 (Таймаут)
//
// Пример кода:
// РезультатОтправкиЗапроса = Новый Структура;
// РезультатОтправкиЗапроса.Вставить("ТекстСообщенияXMLОтправлен",  Ложь);
// РезультатОтправкиЗапроса.Вставить("ТекстСообщенияXMLПолучен",    Ложь);
// РезультатОтправкиЗапроса.Вставить("КодСостояния",                408);
// РезультатОтправкиЗапроса.Вставить("ТекстОшибки",                 НСтр("ru = 'Эмуляция ошибки HTTP 408: Таймаут'"));
// РезультатОтправкиЗапроса.Вставить("ТекстВходящегоСообщенияSOAP", "");
//
// Параметры:
//  ТекстСообщенияXML - Строка - Сообщение XML.
//  Операция - ПеречислениеСсылка - Операция.
//  ПараметрыЗапроса - Структура - Параметры запроса.
//  ПараметрыОбмена - Структура - Параметры обмена.
//  РезультатОтправкиЗапроса - Структура - Возвращаемое значение.
Процедура ПередОтправкойЗапроса(ТекстСообщенияXML, Операция, ПараметрыЗапроса, ПараметрыОбмена, РезультатОтправкиЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ПередОтправкойЗапроса(ТекстСообщенияXML, Операция, ПараметрыЗапроса, ПараметрыОбмена, РезультатОтправкиЗапроса) 
```
</details>

## ПослеОтправкиЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для тестирования проблемы рассинхронизации данных между информационной базой и ФГИС Меркурий
// при получении ошибок APLM и т.п.
//
// Пример кода:
// Если Операция = Перечисления.ВидыОперацийВЕТИС.ОтветНаЗапросИзмененныхЗаписейСкладскогоЖурнала
//	Или Операция = Перечисления.ВидыОперацийВЕТИС.ОтветНаЗапросИзмененныхВСД Тогда
//		Если СтрНайти(РезультатОтправкиЗапроса.ТекстВходящегоСообщенияSOAP, "COMPLETED") > 0
//			Или СтрНайти(РезультатОтправкиЗапроса.ТекстВходящегоСообщенияSOAP, "REJECTED") > 0 Тогда
//		Тестирование_ПолучитьAPLM0012(РезультатОтправкиЗапроса, ПараметрыЗапроса, Операция, ПараметрыОбмена);
//		КонецЕсли;
//	КонецЕсли;
//
// Параметры:
//  ТекстСообщенияXML - Строка - Сообщение XML.
//  Операция - ПеречислениеСсылка - Операция.
//  ПараметрыЗапроса - Структура - Параметры запроса.
//  ПараметрыОбмена - Структура - Параметры обмена.
//  РезультатОтправкиЗапроса - Структура - Возвращаемое значение.
Процедура ПослеОтправкиЗапроса(ТекстСообщенияXML, Операция, ПараметрыЗапроса, ПараметрыОбмена, РезультатОтправкиЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСПереопределяемый.ПослеОтправкиЗапроса(ТекстСообщенияXML, Операция, ПараметрыЗапроса, ПараметрыОбмена, РезультатОтправкиЗапроса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
