---
title: Интеграция ВЕТИС повт исп
slug: erp-uh/интеграция-ветис-повт-исп
---


## СтатусВерсионногоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус версионного объекта по коду
//
// Параметры:
//  Код - Число - код статуса
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыВерсионныхОбъектовВЕТИС - статус
//
Функция СтатусВерсионногоОбъекта(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.СтатусВерсионногоОбъекта(Код) 
```
</details>

## РольПредприятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует роль предприятия ВетИС для обмена
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.РолиПредприятийВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.РолиПредприятийВЕТИС - значение после перекодировки
//
Функция РольПредприятия(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.РольПредприятия(ЗначениеПоиска) 
```
</details>

## СтатусПредприятияВРеестре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует статус предприятия ВетИС для обмена
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.СтатусыПредприятийВРеестреЦерберВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.СтатусыПредприятийВРеестреЦерберВЕТИС - значение после перекодировки
//
Функция СтатусПредприятияВРеестре(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.СтатусПредприятияВРеестре(ЗначениеПоиска) 
```
</details>

## ТипПредприятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип предприятия ВетИС по коду
//
// Параметры:
//  Код - Число - код типа предприятия
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыПредприятийВЕТИС - тип предприятия
//
Функция ТипПредприятия(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ТипПредприятия(Код) 
```
</details>

## ТипДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип документа ВетИС по коду
//
// Параметры:
//  Код - Число - код типа документа
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыДокументовВЕТИС - тип документа
//
Функция ТипДокумента(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ТипДокумента(Код) 
```
</details>

## КодДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код ВетИС по типу документа
//
// Параметры:
//  ТипДокумента - ПеречислениеСсылка.ТипыДокументовВЕТИС - тип документа
//
// Возвращаемое значение:
//  Число - код типа документа
//
Функция КодДокумента(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.КодДокумента(ТипДокумента) 
```
</details>

## СтатусВетеринарноСопроводительногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует статус ветеринарно-сопроводительного документа ВетИС для обмена
//
// Параметры:
//  КодИлиЗначение - Строка, ПеречислениеСсылка.СтатусыВетеринарныхДокументовВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.СтатусыВетеринарныхДокументовВЕТИС - значение после перекодировки
//
Функция СтатусВетеринарноСопроводительногоДокумента(КодИлиЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.СтатусВетеринарноСопроводительногоДокумента(КодИлиЗначение) 
```
</details>

## ТипВетеринарноСопроводительногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует тип ветеринарно-сопроводительного документа ВетИС для обмена
//
// Параметры:
//  КодИлиЗначение - Строка, ПеречислениеСсылка.ТипыВетеринарныхДокументовВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ТипыВетеринарныхДокументовВЕТИС - значение после перекодировки
//
Функция ТипВетеринарноСопроводительногоДокумента(КодИлиЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ТипВетеринарноСопроводительногоДокумента(КодИлиЗначение) 
```
</details>

## ФормаВетеринарноСопроводительногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает форму ветеринарно-сопроводительного документа ВетИС по коду
//
// Параметры:
//  Код - Строка - код формы
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ФормыВетеринарныхДокументовВЕТИС - форма документа
//
Функция ФормаВетеринарноСопроводительногоДокумента(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ФормаВетеринарноСопроводительногоДокумента(Код) 
```
</details>

## ПериодНахожденияЖивотныхНаТерриторииТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует период нахождения живых животных на территории ТС для обмена с ВетИС
//
// Параметры:
//  КодИлиЗначение - Строка, ПеречислениеСсылка.ПериодыНахожденияЖивотныхНаТерриторииТСВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ПериодыНахожденияЖивотныхНаТерриторииТСВЕТИС - значение после перекодировки
//
Функция ПериодНахожденияЖивотныхНаТерриторииТС(КодИлиЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ПериодНахожденияЖивотныхНаТерриторииТС(КодИлиЗначение) 
```
</details>

## РезультатЛабораторныхИсследований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует результат лабораторных исследований для обмена с ВетИС
//
// Параметры:
//  КодИлиЗначение - Строка, ПеречислениеСсылка.РезультатыЛабораторныхИсследованийВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.РезультатыЛабораторныхИсследованийВЕТИС - значение после перекодировки
//
Функция РезультатЛабораторныхИсследований(КодИлиЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.РезультатЛабораторныхИсследований(КодИлиЗначение) 
```
</details>

## ТипВетеринарногоМероприятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует тип ветеринарного мероприятия для обмена с ВетИС
//
// Параметры:
//  КодИлиЗначение - Строка, ПеречислениеСсылка.ТипыИммунизацииВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ТипыИммунизацииВЕТИС - значение после перекодировки
//
Функция ТипВетеринарногоМероприятия(КодИлиЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ТипВетеринарногоМероприятия(КодИлиЗначение) 
```
</details>

## УровеньУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует уровень упаковки ВетИС для обмена
//
// Параметры:
//  КодИлиЗначение - Число, ПеречислениеСсылка.УровниУпаковокВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Число, ПеречислениеСсылка.УровниУпаковокВЕТИС - значение после перекодировки
//
Функция УровеньУпаковки(КодИлиЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.УровеньУпаковки(КодИлиЗначение) 
```
</details>

## РезультатПроверкиПравилРегионализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат проверки правил регионализации ВетИС по коду
//
// Параметры:
//  Код - Число - код результата проверки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.РезультатыПроверкиПравилРегионализации - значение перечисления
//
Функция РезультатПроверкиПравилРегионализации(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.РезультатПроверкиПравилРегионализации(Код) 
```
</details>

## ИспользоватьОчередьПередачиЗаписейСкладскогоЖурналаВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Использовать очередь передачи записей складского журнала ВЕТИС.
//
// Возвращаемое значение:
//  Булево - Использовать очередь передачи записей складского журнала ВЕТИС
Функция ИспользоватьОчередьПередачиЗаписейСкладскогоЖурналаВЕТИС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ИспользоватьОчередьПередачиЗаписейСкладскогоЖурналаВЕТИС() 
```
</details>

## ХозяйствующийСубъектСоответствуетОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. Справочники.ХозяйствующиеСубъектыВЕТИС.ХозяйствующийСубъектСоответствуетОрганизации
//
Функция ХозяйствующийСубъектСоответствуетОрганизации(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ХозяйствующийСубъектСоответствуетОрганизации(Идентификатор) 
```
</details>

## РольПользователяВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПользователиВЕТИС.РольПользователяВЕТИС
//
Функция РольПользователяВЕТИС(ПользовательВЕТИС) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.РольПользователяВЕТИС(ПользовательВЕТИС) 
```
</details>

## ПраваДоступаПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПользователиВЕТИС.ПраваДоступаПользователя
//
Функция ПраваДоступаПользователя(ХозяйствующийСубъект, ПользовательВЕТИС) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ПраваДоступаПользователя(ХозяйствующийСубъект, ПользовательВЕТИС) 
```
</details>

## ДоступныеОперацииВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПользователиВЕТИС.ДоступныеОперацииВЕТИСПоПравамДоступа
//
Функция ДоступныеОперацииВЕТИС(ПраваДоступаСтруктура, ЭтоВетеринарныйВрач) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ДоступныеОперацииВЕТИС(ПраваДоступаСтруктура, ЭтоВетеринарныйВрач) 
```
</details>

## Упаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу упаковок из классификатора ВетИС
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица с колонками:
//   * Код           - ОпределяемыйТип.СтрокаВЕТИС - код упаковки
//   * Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - GUID упаковки
//   * Наименование  - ОпределяемыйТип.СтрокаВЕТИС - наименование упаковки
//
Функция Упаковки() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.Упаковки() 
```
</details>

## Упаковки1_4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу упаковок из классификатора ВетИС 1.4
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица с колонками:
//   * Код                - ОпределяемыйТип.СтрокаВЕТИС - код упаковки
//   * Идентификатор      - ОпределяемыйТип.УникальныйИдентификаторИС - GUID упаковки
//   * НаименованиеСтарое - ОпределяемыйТип.СтрокаВЕТИС - наименование упаковки
//   * НаименованиеНовое  - ОпределяемыйТип.СтрокаВЕТИС - наименование упаковки
//
Функция Упаковки1_4() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.Упаковки1_4() 
```
</details>

## СпецифическаяПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу продукции/типов продукции с форматами даты выработки, срока годности
//
// Возвращаемое значение:
//	ТаблицаЗначений - Таблица с колонками:
//		* ИдентификаторПродукции	- ОпределяемыйТип.УникальныйИдентификаторИС- УИД продукции, типа продукции
//		* ФорматДатыВыработки		- Строка										- Формат даты выработки
//		* ФорматСрокаГодности		- Строка										- Формат срока годности
//		* Живая						- Булево										- признак живой продукции
//
Функция СпецифическаяПродукция() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.СпецифическаяПродукция() 
```
</details>

## СтранаМира
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает страну мира, найденную в классификаторе ВетИС,
//  сопоставленную с классификатором "Страны мира" по коду Альфа2.
//  При необходимости создает страну из основного классификатора.
//
// Параметры:
//  GUID - ОпределяемыйТип.УникальныйИдентификаторИС - ключ поиска
//
// Возвращаемое значение:
//  СправочникСсылка.СтраныМира - результат сопоставления
//
Функция СтранаМира(GUID) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.СтранаМира(GUID) 
```
</details>

## ПараметрыЗапросаВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры запроса для документа ВетИС.
//
// Параметры:
//  Операция     - ПеречислениеСсылка.ВидыОперацийВЕТИС  - выполняемая операция.
//  ФорматОбмена - ПеречислениеСсылка.ФорматыОбменаВЕТИС - формат операции.
//
// Возвращаемое значение:
//  СтрокаТаблицыЗначений - см. ТаблицаСоответствияОперацийТипамВЕТИС.
//
Функция ПараметрыЗапросаВЕТИС(Операция, ФорматОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ПараметрыЗапросаВЕТИС(Операция, ФорматОбмена) 
```
</details>

## ДанныеСтрокиКлассификатораЕдиницИзмеренияВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает - данные строки классификатора единиц измерения ВЕТИС
//
// Параметры:
//  Идентификатор	 - ОпределяемыйТип.УникальныйИдентификаторИС - ключ поиска
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура - данные строки классификатора (см. ДанныеКлассификатораЕдиницИзмеренияВЕТИС)
//
Функция ДанныеСтрокиКлассификатораЕдиницИзмеренияВЕТИС(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ДанныеСтрокиКлассификатораЕдиницИзмеренияВЕТИС(Идентификатор) 
```
</details>

## ДоступныеЕдиницыИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступные для продукции единицы изменения
//   по иерархии продукции
// Параметры:
//  ПродукцияСсылка - СправочникСсылка.ПродукцияВЕТИС - продукция
//  Идентификаторы - Неопределено - реквизиты продукции не получены ранее,
//                 - Структура - реквизиты продукции:
//                  * ТипПродукции - СправочникСсылка.ПродукцияВЕТИС - тип продукции;
//                  * ПродукцияИдентификатор - Строка - идентификатор продукции;
//                  * ВидПродукцииИдентификатор - Строка - идентификатор вида продукции.
// Возвращаемое значение:
//  ФиксированныйМассив Из СправочникСсылка.ЕдиницыИзмеренияВЕТИС - доступные единицы измерения
//
Функция ДоступныеЕдиницыИзменения(Знач ПродукцияСсылка, Знач Идентификаторы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСПовтИсп.ДоступныеЕдиницыИзменения(ПродукцияСсылка, Идентификаторы);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
