---
title: Интеграция ВЕТИС УТ клиент сервер
slug: erp-uh/интеграция-ветис-ут-клиент-сервер
---


## КомандыИсходящейТранспортнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыИсходящейТранспортнойОперации(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСУТКлиентСервер.КомандыИсходящейТранспортнойОперации(Команды) 
```
</details>

## УправлениеВидимостьюКомандИсходящейТранспортнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость команд динамически формируемых для создания документов на основании.
//
// Параметры:
// 	Форма   - ФормаКлиентскогоПриложения - Форма на которой находятся вызова команд.
// 	Команды - Структура - структура команд динамически формируемых для создания документов на основании.
//
Процедура УправлениеВидимостьюКомандИсходящейТранспортнойОперации(Форма, Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСУТКлиентСервер.УправлениеВидимостьюКомандИсходящейТранспортнойОперации(Форма, Команды) 
```
</details>

## КомандыВходящейТранспортнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыВходящейТранспортнойОперации(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСУТКлиентСервер.КомандыВходящейТранспортнойОперации(Команды) 
```
</details>

## КомандыПроизводственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыПроизводственнойОперации(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСУТКлиентСервер.КомандыПроизводственнойОперации(Команды) 
```
</details>

## КомандыИнвентаризацииПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыИнвентаризацииПродукции(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСУТКлиентСервер.КомандыИнвентаризацииПродукции(Команды) 
```
</details>

## УправлениеВидимостьюКомандИнвентаризацииПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость команд динамически формируемых для создания документов на основании.
//
// Параметры:
// 	Форма   - ФормаКлиентскогоПриложения - Форма на которой находятся вызова команд.
// 	Команды - Структура - структура команд динамически формируемых для создания документов на основании.
//
Процедура УправлениеВидимостьюКомандИнвентаризацииПродукции(Форма, Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВЕТИСУТКлиентСервер.УправлениеВидимостьюКомандИнвентаризацииПродукции(Форма, Команды) 
```
</details>

## ПересчитатьКоличествоЕдиницВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПересчитатьКоличествоЕдиницВЕТИС(Количество, Номенклатура, ЕдиницаИзмеренияВЕТИС, НужноОкруглять, КэшированныеЗначения, ТекстОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСУТКлиентСервер.ПересчитатьКоличествоЕдиницВЕТИС(Количество, Номенклатура, ЕдиницаИзмеренияВЕТИС, НужноОкруглять, КэшированныеЗначения, ТекстОшибки);
```
</details>

## ПересчитатьКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПересчитатьКоличествоЕдиниц(КоличествоВЕТИС, Номенклатура, ЕдиницаИзмеренияВЕТИС, НужноОкруглять, КэшированныеЗначения, ТекстОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСУТКлиентСервер.ПересчитатьКоличествоЕдиниц(КоличествоВЕТИС, Номенклатура, ЕдиницаИзмеренияВЕТИС, НужноОкруглять, КэшированныеЗначения, ТекстОшибки);
```
</details>

## ПараметрыОформленияСерииПоДаннымСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры оформления серии по данным строки (если использование условного оформления не возможно).
//
//	Параметры:
//		ОсобыйВариантУказанияСерий - Булево, Строка - Ложь, если серии указываются в отдельной ТЧ,
//			"СерииВсегдаВТЧТовары" - если у объекта нет специальной ТЧ для указания серий,
//			"СерииПриПланированииОтгрузкиУказываютсяВТЧТовары" - если серии могут указываться в разных ТЧ,
//				при этом серии с политикой учета "При планировании отгрузки" указываются в ТЧ Товары,
//		ДанныеСтроки - Структура, ДанныеФормыЭлементКоллекции - данные, в которых содержится информация по оформлению серии
//		ПутьКПолюОтбораСтатусУказанияСерий - Строка - имя поля в "ДанныеСтроки" к реквизиту "Статус указания серий",
//														если он отличается от "СтатусУказанияСерий"
//		ПутьКПолюОтбораТипНоменклатуры - Строка - имя поля в "ДанныеСтроки" к реквизиту "Тип номенклатуры",
//														если он отличается от "ТипНоменклатуры".
//
//	Возвращаемое значение:
//		Структура - структура, содержащая поля, на основании которых можно оформить элемент формы, содержит свойства:
//			ИмяЦветаТекста - Строка - имя цвета текста поля, которое в последствии можно назначить элементу
//								"Цвет текста" поля управляемой формы, значение по умолчанию "ЦветТекстаПоля";
//			ОтметкаНезаполненного - Булево - будет назначаться в аналогичный признак поля управляемой формы, значение по умолчанию Истина;
//			ТолькоПросмотр - Булево - будет назначаться в аналогичный признак поля управляемой формы, значение по умолчанию Ложь;
//			Текст - Строка - строка, которая может быть использована в качестве представления текущего значения серии.
//
Функция ПараметрыОформленияСерииПоДаннымСтроки(ОсобыйВариантУказанияСерий, ДанныеСтроки, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВЕТИСУТКлиентСервер.ПараметрыОформленияСерииПоДаннымСтроки(ОсобыйВариантУказанияСерий, ДанныеСтроки, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
