---
title: Интеграция ВИБ переопределяемый УХ
slug: erp-uh/интеграция-виб-переопределяемый-ух
---


## ПриЗаписиДокументаИсточникаВНАПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиДокументаИсточникаВНАПриЗаписи(Источник) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ПриЗаписиДокументаИсточникаВНАПриЗаписи(Источник) 
```
</details>

## ПередЗаписьюСправочникаБанковскиеСчетаУХПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюСправочникаБанковскиеСчетаУХПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ПередЗаписьюСправочникаБанковскиеСчетаУХПередЗаписью(Источник, Отказ) 
```
</details>

## БанковскиеСчетаОбработкаПроверкиЗаполненияОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура БанковскиеСчетаОбработкаПроверкиЗаполненияОбработкаПроверкиЗаполнения(Источник, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.БанковскиеСчетаОбработкаПроверкиЗаполненияОбработкаПроверкиЗаполнения(Источник, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ПолучитьСуммуКонтрактовПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает сумму заключенных спецификаций по договору
//
// Параметры:
//  ДоговорСсылка	 - 	СправочникСсылка.ДоговорыКонтрагентов
// Возвращаемое значение:
// Число  - Сумма контрактов по договору.
Функция ПолучитьСуммуКонтрактовПоДоговору(ДоговорСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВИБПереопределяемыйУХ.ПолучитьСуммуКонтрактовПоДоговору(ДоговорСсылка) 
```
</details>

## ОбработкаПроверкиЗаполненияДоговорыКонтрагентовУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроверкиЗаполненияДоговорыКонтрагентовУХ(Источник, Отказ, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ОбработкаПроверкиЗаполненияДоговорыКонтрагентовУХ(Источник, Отказ, МассивНепроверяемыхРеквизитов) 
```
</details>

## ОбработкаЗаполненияДоговорыКонтрагентовУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияДоговорыКонтрагентовУХ(Источник, ДанныеЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ОбработкаЗаполненияДоговорыКонтрагентовУХ(Источник, ДанныеЗаполнения, СтандартнаяОбработка) 
```
</details>

## ПередЗаписьюДоговорыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюДоговорыКонтрагентов(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ПередЗаписьюДоговорыКонтрагентов(Источник, Отказ) 
```
</details>

## ПриЗаписиДоговорыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиДоговорыКонтрагентов(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ПриЗаписиДоговорыКонтрагентов(Источник, Отказ) 
```
</details>

## ОбработкаЗаполненияКонтрагентыОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияКонтрагентыОбработкаЗаполнения(Источник, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ОбработкаЗаполненияКонтрагентыОбработкаЗаполнения(Источник, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаПроверкиЗаполненияКонтрагентыУХОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроверкиЗаполненияКонтрагентыУХОбработкаПроверкиЗаполнения(Источник, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ОбработкаПроверкиЗаполненияКонтрагентыУХОбработкаПроверкиЗаполнения(Источник, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ПередЗаписьюКонтрагентыУХПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюКонтрагентыУХПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ПередЗаписьюКонтрагентыУХПередЗаписью(Источник, Отказ) 
```
</details>

## ПриСозданииНаСервереУХ_Организации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервереУХ_Организации(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ПриСозданииНаСервереУХ_Организации(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПередЗаписьюСправочникаОрганизацииУХПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюСправочникаОрганизацииУХПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ПередЗаписьюСправочникаОрганизацииУХПередЗаписью(Источник, Отказ) 
```
</details>

## ПриЗаписиЭлементаСправочникаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиЭлементаСправочникаОрганизации(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ПриЗаписиЭлементаСправочникаОрганизации(Источник, Отказ) 
```
</details>

## ПроверитьВозможностьПодокументнойТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьВозможностьПодокументнойТрансляции() Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ПроверитьВозможностьПодокументнойТрансляции() 
```
</details>

## ОбновитьПовторноИспользуемыеЗначенияПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПовторноИспользуемыеЗначенияПриЗаписи(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ОбновитьПовторноИспользуемыеЗначенияПриЗаписи(Источник, Отказ) 
```
</details>

## ПолучитьКонтрагентовПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКонтрагентовПоОрганизации(ОрганизацияИсточник) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВИБПереопределяемыйУХ.ПолучитьКонтрагентовПоОрганизации(ОрганизацияИсточник) 
```
</details>

## РеализацияТоваровУслугПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РеализацияТоваровУслугПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.РеализацияТоваровУслугПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПоступлениеТоваровУслугПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоступлениеТоваровУслугПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ПоступлениеТоваровУслугПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## СвойстваСтрокРасшифровкиПлатежаСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СвойстваСтрокРасшифровкиПлатежаСервер(СвойстваПлатежа, Знач ПараметрыПлатежа, Знач ПолучатьДоговор) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.СвойстваСтрокРасшифровкиПлатежаСервер(СвойстваПлатежа, ПараметрыПлатежа, ПолучатьДоговор) 
```
</details>

## ОснованиеОбязательстваПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОснованиеОбязательстваПередЗаписью(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ОснованиеОбязательстваПередЗаписью(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## СоздатьОрганизацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьОрганизацию(Источник, ПоИНН = Ложь, ДопРеквизиты = Неопределено, ТекстОписанияОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВИБПереопределяемыйУХ.СоздатьОрганизацию(Источник, ПоИНН, ДопРеквизиты, ТекстОписанияОшибки);
```
</details>

## СоздатьКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьКонтрагента(Источник, ПоИНН = Ложь, ДопРеквизиты = Неопределено, ТекстОписанияОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВИБПереопределяемыйУХ.СоздатьКонтрагента(Источник, ПоИНН, ДопРеквизиты, ТекстОписанияОшибки);
```
</details>

## ПолучитьДанныеПоОбъектамИнвестирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеПоОбъектамИнвестирования(ИННУчредителя) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияВИБПереопределяемыйУХ.ПолучитьДанныеПоОбъектамИнвестирования(ИННУчредителя) 
```
</details>

## ВсегдаИспользоватьНесколькоОрганизацийПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВсегдаИспользоватьНесколькоОрганизацийПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ВсегдаИспользоватьНесколькоОрганизацийПередЗаписью(Источник, Отказ) 
```
</details>

## ВсегдаВестиУчетПоСтатьямДДСПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВсегдаВестиУчетПоСтатьямДДСПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ВсегдаВестиУчетПоСтатьямДДСПередЗаписью(Источник, Отказ) 
```
</details>

## ВсегдаИспользоватьТабличныеФормыБанковскихДокументовПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВсегдаИспользоватьТабличныеФормыБанковскихДокументовПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ВсегдаИспользоватьТабличныеФормыБанковскихДокументовПередЗаписью(Источник, Отказ) 
```
</details>

## ВсегдаИспользоватьВалютныйУчетПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВсегдаИспользоватьВалютныйУчетПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.ВсегдаИспользоватьВалютныйУчетПередЗаписью(Источник, Отказ) 
```
</details>

## НеЗаполнятьДатуТекущейВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НеЗаполнятьДатуТекущейВерсии(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияВИБПереопределяемыйУХ.НеЗаполнятьДатуТекущейВерсии(Источник, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
