---
title: Интеграция ГИСМ
slug: erp-uh/интеграция-гисм
---


## ПодсистемаНеИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Состояние перехода ГИСМ в ИСМП.
//
// Возвращаемое значение:
//  Булево - подсистема ГИСМ более не используется.
Функция ПодсистемаНеИспользуется() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ПодсистемаНеИспользуется() 
```
</details>

## СообщитьОбОтключенииПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СообщитьОбОтключенииПодсистемы(Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.СообщитьОбОтключенииПодсистемы(Отказ) 
```
</details>

## ВыполнитьОбменРегламентноеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить обмен с ГИСМ
//
Процедура ВыполнитьОбменРегламентноеЗадание() Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.ВыполнитьОбменРегламентноеЗадание() 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет следующие свойства регламентных заданий:
//  - зависимость от функциональных опций.
//  - возможность выполнения в различных режимах работы программы.
//  - прочие параметры.
//
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ДобавитьВОчередьПолученияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет документ в очередь получения данных
//
// Параметры:
//  ДанныеДляПолученияДокумента - Структура - Данные для получения документа:
//    * GLN       - Число - Регистрационный номер предприятия.
//    * output_id - Число - Идентификатор документа.
//    * action_id - Число - Номер операции маркировки.
//    * Данные    - Структура - Данные документа.
//    * ДатаРегистрации - Дата - Дата регистрации.
//
Процедура ДобавитьВОчередьПолученияДанных(ДанныеДляПолученияДокумента) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.ДобавитьВОчередьПолученияДанных(ДанныеДляПолученияДокумента) 
```
</details>

## УдалитьИзОчередиПолученияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет документ из очереди получения данных
//
// Параметры:
//  ДанныеДляПолученияДокумента - Структура - со свойствами:
//    * GLN       - Число - Регистрационный номер предприятия.
//    * output_id - Число - Идентификатор документа.
//
Процедура УдалитьИзОчередиПолученияДанных(ДанныеДляПолученияДокумента) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.УдалитьИзОчередиПолученияДанных(ДанныеДляПолученияДокумента) 
```
</details>

## ОбработатьОчередьПередачиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать очередь передачи данных в ГИСМ
//
// Параметры:
//  СертификатыДляПодписанияНаСервере - Структура - со свойствами (Можно получить функцией СертификатыДляПодписанияНаСервере):
//    * МенеджерКриптографии - МенеджерКриптографии - Менеджер криптографии.
//    * Сертификаты - ТаблицаЗначений - Таблица сертификатов организации.
//
// Возвращаемое значение:
// Структура - со свойствами:
//  * Изменения - Массив - Структуры со свойствами.
//
Функция ОбработатьОчередьПередачиДанных(СертификатыДляПодписанияНаСервере = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ОбработатьОчередьПередачиДанных(СертификатыДляПодписанияНаСервере);
```
</details>

## ВыборкаОчередьПолученияКвитанцийОФиксации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить выборку из регистра ОчередьПолученияКвитанцийОФиксацииГИСМ по регистрационному номеру предприятия (GLN).
//
// Параметры:
//  GLN - Число - Регистрационный номер предприятия.
//
// Возвращаемое значение:
//  ВыборкаИзРезультатаЗапроса - Выборка из результата запроса.
//
Функция ВыборкаОчередьПолученияКвитанцийОФиксации(GLN) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВыборкаОчередьПолученияКвитанцийОФиксации(GLN) 
```
</details>

## ПодготовитьСообщениеПолученияКвитанцииКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовить сообщение получения квитанции к передаче
//
// Параметры:
//  КонвертSOAP - Строка - Конверт SOAP
//  Реквизиты - Структура - со свойствами:
//    * Операция - ПеречислениеСсылка.ОперацииОбменаГИСМ - Операция обмена
//    * ТипСообщения - ПеречислениеСсылка.ТипыСообщенийГИСМ - Тип сообщения
//    * Документ - ДокументСсылка - Документ
//    * СообщениеОснование - СправочникСсылка.ГИСМПрисоединенныеФайлы - Исходящее сообщение
//    * СообщениеОснованиеСтатусОбработки - ПеречислениеСсылка.СтатусыОбработкиСообщенийГИСМ - Статус обработки
//    * ТекстСообщенияXML - Строка - Текст сообщения XML.
//
// Возвращаемое значение:
// Структура - со свойствами:
//    * Документ - ДокументСсылка - Документ
//    * Основание - ДокументСсылка - Документ
//    * Выполнено - Булево - Признак выполнения операции
//    * ТекстОшибки - Строка - Текст ошибки
//    * НовыйСтатус - Статусы<*>ГИСМ - Новый статус
//    * ИсходящееСообщение - СправочникСсылка.ГИСМПрисоединенныеФайлы - Исходящее сообщение.
//
Функция ПодготовитьСообщениеПолученияКвитанцииКПередаче(КонвертSOAP, Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ПодготовитьСообщениеПолученияКвитанцииКПередаче(КонвертSOAP, Реквизиты) 
```
</details>

## СертификатыДляПодписанияНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает сертификаты организаций, для предназначены для подписания на сервере.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * Сертификаты - ТаблицаЗначений - содержит сертификат и пароль.
//   * МенеджерКриптографии - МенеджерКриптографии - менеджер криптографии.
//
Функция СертификатыДляПодписанияНаСервере() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.СертификатыДляПодписанияНаСервере() 
```
</details>

## ОписаниеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать описание операции для документа
//
// Параметры:
//  Описание - Строка - Описание операции
//  ДокументСсылка - ДокументСсылка - Документ ссылка
//  НомерВерсии - Число - Номер версии.
//
// Возвращаемое значение:
//  Строка - Описание операции
//
Функция ОписаниеОперации(Описание, ДокументСсылка, НомерВерсии = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ОписаниеОперации(Описание, ДокументСсылка, НомерВерсии);
```
</details>

## ОписаниеОперацииПередачиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать описание операции для документа
//
// Параметры:
//  ОперацияПередачиДанных - ПеречислениеСсылка.ОперацииОбменаГИСМ - Операция обмена с ГИСМ
//  ДокументСсылка - ДокументСсылка - Документ ссылка
//  НомерВерсии - Число - Номер версии.
//
// Возвращаемое значение:
//  Строка - Описание операции
//
Функция ОписаниеОперацииПередачиДанных(ОперацияПередачиДанных, ДокументСсылка = Неопределено, НомерВерсии = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ОписаниеОперацииПередачиДанных(ОперацияПередачиДанных, ДокументСсылка, НомерВерсии);
```
</details>

## КатегорииОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает операций обмена с ГИСМ, разбитые на категории
//
// Возвращаемое значение:
//  Структура - со свойствами:
//    * ПередачаДанных - Соответствие - Операции передачи данных.
//    * ПолучениеКвитанции - Соответствие - Операции получения квитанций.
//    * ПолучениеСпискаВходящихДокументов - Соответствие - Операции получения списка входящих документов.
//
Функция КатегорииОпераций() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.КатегорииОпераций() 
```
</details>

## ПоддерживаемыеТипыДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поддерживаемые операции обмена с ГИСМ
//
// Возвращаемое значение:
//  Соответствие - Соответствие номера операции и структуры со свойствами:
//   * Операция - Перечисление.ОперацииОбменаГИСМ
//   * Описание - Строка.
//
Функция ПоддерживаемыеТипыДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ПоддерживаемыеТипыДокументов() 
```
</details>

## ПредставлениеСтатусаГИСМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает форматированную строку - представление статуса ГИСМ
//
// Параметры:
//  СтатусГИСМ - ПеречислениеСсылка.СтатусыЗаявокНаВыпускКиЗГИСМ - Статус ГИСМ.
//             - ПеречислениеСсылка.СтатусыИнформированияГИСМ - Статус ГИСМ.
//             - ПеречислениеСсылка.СтатусыПоступленийГИСМ - Статус ГИСМ.
//             - ПеречислениеСсылка.СтатусыУведомленийОбОтгрузкеМаркированныхТоваровГИСМ - Статус ГИСМ.
//             - ПеречислениеСсылка.СтатусыУведомленийОПоступленииМаркированныхТоваровГИСМ - Статус ГИСМ.
//  ВходящиеДальнейшиеДействия - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюГИСМ, Массив - Дальнейшее действие.
//  ДопустимыеДействия - Массив - Массив с действиями ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюГИСМ, разрешенными
//                                к выводу на форму, например ПередайтеДанные.
//
// Возвращаемое значение:
//  ФорматированнаяСтрока - Представление статуса.
//
Функция ПредставлениеСтатусаГИСМ(СтатусГИСМ, ВходящиеДальнейшиеДействия, ДопустимыеДействия, ПрефиксКоманды = "") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ПредставлениеСтатусаГИСМ(СтатусГИСМ, ВходящиеДальнейшиеДействия, ДопустимыеДействия, ПрефиксКоманды);
```
</details>

## Подписать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подписать сообщение XML
//
// Параметры:
//  ТекстСообщенияXML - Строка - Подписываемое сообщение XML
//  СертификатКриптографии - СертификатКриптографии - используемый сертификат криптографии.
//  МенеджерКриптографии   - МенеджерКриптографии   - менеджер криптографии,
//                           который соответствует закрытому ключу сертификата с установленным паролем.
//
// Возвращаемое значение:
//  Структура - со свойствами:
//   * Успех       - Булево - Признак успешности подписания.
//   * КонвертSOAP - Строка - Конверт SOAP.
//   * ТекстОшибки - Строка - Текст ошибки.
//
Функция Подписать(ТекстСообщенияXML, СертификатКриптографии, МенеджерКриптографии) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.Подписать(ТекстСообщенияXML, СертификатКриптографии, МенеджерКриптографии) 
```
</details>

## ИнформацияОКиЗПоRFIDTID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию о КиЗ, которые организация получала от эмитента
//
// Параметры:
//  RFIDTID - Строка - TID RFID-метки КиЗ.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияГИСМ.СтруктураИнформацииОКиЗ.
//
Функция ИнформацияОКиЗПоRFIDTID(RFIDTID) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ИнформацияОКиЗПоRFIDTID(RFIDTID) 
```
</details>

## ИнформацияОКиЗПоНомеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию о КиЗ, которые организация получала от эмитента
//
// Параметры:
//  НомерКиЗ - Строка - номер КиЗ.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияГИСМ.СтруктураИнформацииОКиЗ.
//
Функция ИнформацияОКиЗПоНомеру(НомерКиЗ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ИнформацияОКиЗПоНомеру(НомерКиЗ) 
```
</details>

## СтруктураИнформацииОКиЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура информации о КиЗ, которая возвращается функциями получения информации о КиЗ.
//
// Возвращаемое значение:
//  Структура - поля:
//  * ВидКиЗ - ПеречислениеСсылка.ВидыКиЗГИСМ - Вид КиЗ
//  * RFIDTID - Строка - TID
//  * НомерКиЗ - Строка - Номер КиЗ
//  * GTIN - Строка - GTIN, записанный в КиЗ эмитентом
//  * СерийныйНомер - Строка - серийный номер, записанный в КиЗ эмитентом
//  * СпособВыпускаВОборот - ПеречислениеСсылка.СпособыВыпускаВОборотГИСМ - Способ выпуска в оборот
//  * РазмерКиЗ - ПеречислениеСсылка.РазмерыКиЗГИСМ - Размер КиЗ.
//
Функция СтруктураИнформацииОКиЗ() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.СтруктураИнформацииОКиЗ() 
```
</details>

## URIПространстваИмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает URI пространства имен системы маркировки заданной версии.
//
// Параметры:
//  Версия - Строка - Версия
//
// Возвращаемое значение:
//  Строка - URI пространства имен.
Функция URIПространстваИмен(Версия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.URIПространстваИмен(Версия) 
```
</details>

## URIПространстваИменИспользуемойВерсииСхемОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает URI текущего пространства имен системы маркировки.
//
// Параметры:
//  Версия - Строка, Неопределено - Версия
//
// Возвращаемое значение:
//  Строка - URI пространства имен.
Функция URIПространстваИменИспользуемойВерсииСхемОбмена(Версия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.URIПространстваИменИспользуемойВерсииСхемОбмена(Версия);
```
</details>

## ВерсииСхемОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить версии схем обмена с ГИСМ.
//
// Возвращаемое значение:
//  Структура:
//   *Клиент - Строка - Версия клиента.
//   *Сервер - Строка - Версия сервера.
//
Функция ВерсииСхемОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВерсииСхемОбмена() 
```
</details>

## ИспользоватьВозможностиВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить возможность использовать возможностей версии
//
// Параметры:
//  ТребуемаяВерсия - Строка - Требуемая версия.
//
// Возвращаемое значение:
//  Булево - Возможность использования.
//
Функция ИспользоватьВозможностиВерсии(ТребуемаяВерсия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ИспользоватьВозможностиВерсии(ТребуемаяВерсия) 
```
</details>

## ВерсияНеМенееТребуемой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить возможность использовать возможностей версии
//
// Параметры:
//  ПроверяемаяВерсия - Строка - Требуемая версия
//  ТребуемаяВерсия - Строка - Используемая версия.
//
// Возвращаемое значение:
//  Булево - Возможность использования.
//
Функция ВерсияНеМенееТребуемой(ПроверяемаяВерсия, ТребуемаяВерсия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВерсияНеМенееТребуемой(ПроверяемаяВерсия, ТребуемаяВерсия) 
```
</details>

## ВерсияСхемОбменаПоследняяПоддерживаемая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить последнюю поддерживаемую версию схем обмена с ГИСМ.
//
// Возвращаемое значение:
//  Строка - Номер версии
//
Функция ВерсияСхемОбменаПоследняяПоддерживаемая() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВерсияСхемОбменаПоследняяПоддерживаемая() 
```
</details>

## ВерсияСхемОбменаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить версию схем обмена с ГИСМ по умолчанию.
//
// Возвращаемое значение:
//  Строка - Номер версии
//
Функция ВерсияСхемОбменаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВерсияСхемОбменаПоУмолчанию() 
```
</details>

## ЗаписатьВерсииСхемОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в константу ВерсииСхемОбменаГИСМ версии схем обмена.
//
// Параметры:
//  Клиент - Строка - Версия клиента.
//  Сервер - Строка - Версия сервера.
//  ОбработчикОбновления - Булево - Признак выполнения из обработчика обновления.
//
Процедура ЗаписатьВерсииСхемОбмена(Клиент, Сервер, ОбработчикОбновления = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.ЗаписатьВерсииСхемОбмена(Клиент, Сервер, ОбработчикОбновления);
```
</details>

## ПроверитьОбновитьВерсиюСхемОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить и обновить версию схем обмена. Вызывается при обмене с ГИСМ.
//
// Параметры:
//  НоваяВерсияСхемОбмена - Строка - Версия схем ГИСМ.
//  ОбработчикОбновления - Булево - Признак выполнения из обработчика обновления.
//
// Возвращаемое значение:
//  Структура - Проверить обновить версию схем обмена:
// * Клиент - Строка -
// * Сервер - Строка -
// * ТребуетсяОбновление - Булево -
// * ТекстСообщения - Строка -
//
Функция ПроверитьОбновитьВерсиюСхемОбмена(НоваяВерсияСхемОбмена, ОбработчикОбновления = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ПроверитьОбновитьВерсиюСхемОбмена(НоваяВерсияСхемОбмена, ОбработчикОбновления);
```
</details>

## СоответствиеВерсийСхемОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие схем обмена и Имен пространств XDTO
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение - Соответствие версий схем обмена
Функция СоответствиеВерсийСхемОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.СоответствиеВерсийСхемОбмена() 
```
</details>

## ОбъектXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект XDTO по имени типа из пространства имен ГИСМ
//
// Параметры:
//  ИмяТипа - Строка - Имя типа
//  Версия - Строка - Требуемая версия.
//
// Возвращаемое значение:
//  ОбъектXDTO - Объект XDTO
//
Функция ОбъектXDTO(ИмяТипа, Версия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ОбъектXDTO(ИмяТипа, Версия);
```
</details>

## ОбъектXDTOПоТекстуСообщенияXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Объект XDTO, получаемый из текста сообщения XML
//
// Параметры:
//  ТекстСообщенияXML - Строка - Текст сообщения XML
//  Тип - Строка, Неопределено, ТипОбъектаXDTO - Тип объекта
//  Версия - Строка - Требуемая версия.
//
// Возвращаемое значение:
//  ОбъектXDTO - Объект XDTO
//
Функция ОбъектXDTOПоТекстуСообщенияXML(ТекстСообщенияXML, Тип = Неопределено, Версия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ОбъектXDTOПоТекстуСообщенияXML(ТекстСообщенияXML, Тип, Версия);
```
</details>

## ОбъектXDTOПоИмениСвойства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Объект XDTOПо имени свойства
//
// Параметры:
//  ОбъектXDTOРодитель - ОбъектXDTO - ОбъектXDTO в контексте которого запрашивается свойство
//  ИмяСвойства - Строка - Имя свойства
//  Версия - Строка - Требуемая версия.
//
// Возвращаемое значение:
//  ОбъектXDTO - Объект XDTO
//
Функция ОбъектXDTOПоИмениСвойства(ОбъектXDTOРодитель, ИмяСвойства, Версия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ОбъектXDTOПоИмениСвойства(ОбъектXDTOРодитель, ИмяСвойства, Версия);
```
</details>

## ОбъектXDTOВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует объект XDTO в XML
//
// Параметры:
//  ОбъектXDTO - ОбъектXDTO - Объект XDTO
//  ИмяТипа - Строка - Имя типа.
//
// Возвращаемое значение:
//  Строка - Текст сообщения XML
//
Функция ОбъектXDTOВXML(ОбъектXDTO, ИмяТипа, Версия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ОбъектXDTOВXML(ОбъектXDTO, ИмяТипа, Версия);
```
</details>

## ТипФабрикаXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип значения (объекта) XDTO из пространства имен ГИСМ по имени
//
// Параметры:
//  ИмяТипа - Строка - Имя типа
//  Версия - Строка - Требуемая версия.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO - Тип значения (объекта).
//
Функция ТипФабрикаXDTO(ИмяТипа, Версия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ТипФабрикаXDTO(ИмяТипа, Версия);
```
</details>

## ИмяКорневогоЭлементаXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает имя корневого узла текста в формате XML.
//
// Параметры:
//  ТекстСообщенияXML - Строка - Текст в формате XML.
//
// Возвращаемое значение:
//  Строка - имя корневого узла.
//
Функция ИмяКорневогоЭлементаXML(ТекстСообщенияXML) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ИмяКорневогоЭлементаXML(ТекстСообщенияXML) 
```
</details>

## СпособВыпускаВОборот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует значение перечисления в код, которое соответствует формату обмена с ГИСМ.
//
// Параметры:
//  ЗначениеПеречисления - Перечисление.СпособыВыпускаВОборотГИСМ - преобразуемое значение перечисления.
//
// Возвращаемое значение:
//  Число - код способа выпуска в оборот в формате обмена с ГИСМ.
//
Функция СпособВыпускаВОборот(ЗначениеПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.СпособВыпускаВОборот(ЗначениеПеречисления) 
```
</details>

## СпособВыпускаВОборотПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение перечисления СпособыВыпускаВОборотГИСМ соответствующее числовому значению в формате обмена с ГИСМ.
//
// Параметры:
//  Код - Число - код способа выпуска в оборот в формате обмена с ГИСМ.
//
// Возвращаемое значение:
//  Перечисление.СпособыВыпускаВОборотГИСМ - полученное значение перечисления.
//
Функция СпособВыпускаВОборотПоКоду(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.СпособВыпускаВОборотПоКоду(Код) 
```
</details>

## СпособПолученияИзготовленныхКиЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует значение перечисления в код, который соответствует формату обмена с ГИСМ.
//
// Параметры:
//  ЗначениеПеречисления - Перечисление.СпособыПолученияИзготовленныхКИЗГИСМ - преобразуемое значение перечисления.
//
// Возвращаемое значение:
//  Число - код способа получения изготовленных КиЗ в формате обмена с ГИСМ.
//
Функция СпособПолученияИзготовленныхКиЗ(ЗначениеПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.СпособПолученияИзготовленныхКиЗ(ЗначениеПеречисления) 
```
</details>

## СпособПолученияИзготовленныхКиЗПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение перечисления СпособыВыпускаВОборотГИСМ соответствующее числовому значению в формате обмена с ГИСМ.
//
// Параметры:
//  Код - Число - код способа выпуска в оборот в формате обмена с ГИСМ.
//
// Возвращаемое значение:
//  Перечисление.СпособыВыпускаВОборотГИСМ - полученное значение перечисления.
//
Функция СпособПолученияИзготовленныхКиЗПоКоду(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.СпособПолученияИзготовленныхКиЗПоКоду(Код) 
```
</details>

## РазмерКиЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует значение перечисления РазмерыКиЗГИСМ в код, который соответствует формату обмена с ГИСМ.
//
// Параметры:
//  ЗначениеПеречисления - Перечисление.СпособыПолученияИзготовленныхКИЗГИСМ - преобразуемое значение перечисления.
//
// Возвращаемое значение:
//  Число - код способа получения изготовленных КиЗ в формате обмена с ГИСМ.
//
Функция РазмерКиЗ(ЗначениеПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.РазмерКиЗ(ЗначениеПеречисления) 
```
</details>

## РазмерКиЗПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение перечисления РазмерыКиЗГИСМ соответствующее числовому значению в формате обмена с ГИСМ.
//
// Параметры:
//  Код - Число - код размера КиЗ в формате обмена с ГИСМ.
//
// Возвращаемое значение:
//  Перечисление.РазмерыКиЗГИСМ - полученное значение перечисления.
//
Функция РазмерКиЗПоКоду(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.РазмерКиЗПоКоду(Код) 
```
</details>

## ВидКиЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует значение перечисления ВидыКиЗГИСМ в код, который соответствует формату обмена с ГИСМ.
//
// Параметры:
//  ЗначениеПеречисления - Перечисление.ВидыКиЗГИСМ - преобразуемое значение перечисления.
//
// Возвращаемое значение:
//  Число - код вида КиЗ в формате обмена с ГИСМ.
//
Функция ВидКиЗ(ЗначениеПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВидКиЗ(ЗначениеПеречисления) 
```
</details>

## ВидКиЗПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение перечисления ВидыКиЗГИСМ соответствующее числовому значению в формате обмена с ГИСМ.
//
// Параметры:
//  Код - Число - код вида КиЗ в формате обмена с ГИСМ.
//
// Возвращаемое значение:
//  Перечисление.ВидыКиЗГИСМ - полученное значение перечисления.
//
Функция ВидКиЗПоКоду(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВидКиЗПоКоду(Код) 
```
</details>

## СпособВводаТовараВОбращение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует признак ДляМаркировкиОстатков в код, который соответствует формату обмена с ГИСМ.
//
// Параметры:
//  ДляМаркировкиОстатков - Булево - преобразуемое значение.
//
// Возвращаемое значение:
//  Число - код признака ДляМаркировкиОстатков в формате обмена с ГИСМ.
//
Функция СпособВводаТовараВОбращение(ДляМаркировкиОстатков) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.СпособВводаТовараВОбращение(ДляМаркировкиОстатков) 
```
</details>

## СпособВводаТовараВОбращениеПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение ДляМаркировкиОстатков, соответствующее числовому значению в формате обмена с ГИСМ.
//
// Параметры:
//  Код - Число - код значения ДляМаркировкиОстатков в формате обмена с ГИСМ.
//
// Возвращаемое значение:
//  Булево - полученное значение признака ДляМаркировкиОстатков.
//
Функция СпособВводаТовараВОбращениеПоКоду(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.СпособВводаТовараВОбращениеПоКоду(Код) 
```
</details>

## ВидОборотаТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует значение перечисления ВидОборотаТовараГИСМ в код, который соответствует формату обмена с ГИСМ.
//
// Параметры:
//  ЗначениеПеречисления - Перечисление.ВидОборотаТовараГИСМ - преобразуемое значение перечисления.
//
// Возвращаемое значение:
//  Число - код вида оборота товара в формате обмена с ГИСМ.
//
Функция ВидОборотаТовара(ЗначениеПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВидОборотаТовара(ЗначениеПеречисления) 
```
</details>

## ВидОборотаТовараПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение перечисления ВидОборотаТовараГИСМ соответствующее числовому значению в формате обмена с ГИСМ.
//
// Параметры:
//  Код - Число - код вида оборота товаров в формате обмена с ГИСМ.
//
// Возвращаемое значение:
//  Перечисление.ВидОборотаТовараГИСМ - полученное значение перечисления.
//
Функция ВидОборотаТовараПоКоду(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВидОборотаТовараПоКоду(Код) 
```
</details>

## ПричинаСписанияПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение перечисления ПричиныСписанияКиЗГИСМ соответствующее числовому значению в формате обмена с ГИСМ.
//
// Параметры:
//  Код - Число - код вида оборота товаров в формате обмена с ГИСМ.
//
// Возвращаемое значение:
//  Перечисление.ПричиныСписанияКиЗГИСМ - полученное значение перечисления.
//
Функция ПричинаСписанияПоКоду(Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ПричинаСписанияПоКоду(Код) 
```
</details>

## ПричинаСписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует значение перечисления ПричиныСписанияКиЗГИСМ в код, который соответствует формату обмена с ГИСМ.
//
// Параметры:
//  ЗначениеПеречисления - Перечисление.ПричиныСписанияКиЗГИСМ - преобразуемое значение перечисления.
//
// Возвращаемое значение:
//  Число - причина списания в формате обмена с ГИСМ.
//
Функция ПричинаСписания(ЗначениеПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ПричинаСписания(ЗначениеПеречисления) 
```
</details>

## ДатаСЧасовымПоясом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление даты с часовым поясом.
//
// Параметры:
//  Дата        - ДатаВремя - дата, для которой нужно вывести представление.
//  ЧасовойПояс - Строка - идентификатор часового пояса.
//
// Возвращаемое значение:
//  Строка - представление даты с часовым поясом.
//
Функция ДатаСЧасовымПоясом(Дата, Знач ЧасовойПояс = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ДатаСЧасовымПоясом(Дата, ЧасовойПояс);
```
</details>

## ДатаUTC
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление даты в формате Coordinated Universal Time
//
// Параметры:
//  Дата - ДатаВремя - дата, представление которой необходимо получить.
//
// Возвращаемое значение:
//  Строка - представление даты в формате Coordinated Universal Time(UTC).
//
Функция ДатаUTC(Дата) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ДатаUTC(Дата) 
```
</details>

## ВременнаяДата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает временную дату, которая будет в дальнейшем преобразована в дату с часовым поясом.
//
// Параметры:
//  Дата - Дата - Дата для преобразования.
//
// Возвращаемое значение:
//  Дата - Временная дата
//
Функция ВременнаяДата(Дата) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВременнаяДата(Дата) 
```
</details>

## УстановитьДатуСЧасовымПоясом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в ОбъектXDTO вместо даты со смещением временную дату. В дальнейшем временная дата будет заменена датой
// со смещением в результирующем ХМL. Тем самым обходится ограничение ОбъектXDTO, который не позволяет устанавливать в
// свойство дату со смещением.
//
// Параметры:
//  ОбъектXDTO            - ОбъектXDTO - в свойство данного объекта помещается дата.
//  ИмяСвойства           - ИмяСвойства - имя свойства, в которое устанавливается дата.
//  Дата                  - ДатаВремя - дата, которая устанавливается в свойство.
//  ХранилищеВременныхДат - Соответствие - в нем хранится соответствие временных дат и дат со смещением.
//
Процедура УстановитьДатуСЧасовымПоясом(ОбъектXDTO, ИмяСвойства, Дата, ХранилищеВременныхДат) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.УстановитьДатуСЧасовымПоясом(ОбъектXDTO, ИмяСвойства, Дата, ХранилищеВременныхДат) 
```
</details>

## ПреобразоватьВременныеДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет временные даты в тексте сообщения в формат XML на даты со смещением, согласно соответствию.
//
// Параметры:
//  ХранилищеВременныхДат - Соответствие - хранит временные даты, которые нужно заменить на даты со смещением
//  ТекстСообщенияXML     - Строка - текст сообщения, в котором выполняется замена.
//
// Возвращаемое значение:
//  Строка - ТекстСообщенияXML, в котором выполнена замена.
//
Функция ПреобразоватьВременныеДаты(ХранилищеВременныхДат, Знач ТекстСообщенияXML) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ПреобразоватьВременныеДаты(ХранилищеВременныхДат, ТекстСообщенияXML) 
```
</details>

## ВлияющийНаСтатусПоступленияКиЗДокументПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "Перед записью" для документов, влияющий на расчет статуса поступления Заявок на выпуск
// КиЗ.
//
// Параметры:
//  Источник        - ДокументОбъект - источник события.
//  Отказ           - см. описание в синтаксис помощнике к обработчику события объекта ПередЗаписью.
//  РежимЗаписи     - см. описание в синтаксис помощнике к обработчику события объекта ПередЗаписью.
//  РежимПроведения - см. описание в синтаксис помощнике к обработчику события объекта ПередЗаписью.
//
Процедура ВлияющийНаСтатусПоступленияКиЗДокументПередЗаписью(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.ВлияющийНаСтатусПоступленияКиЗДокументПередЗаписью(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ВлияющийНаСтатусПоступленияКиЗДокументПриПроведении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "При проведении" для документов, влияющий на расчет статуса поступления Заявок на
// выпуск КиЗ.
//
// Параметры:
//  Источник        - ДокументОбъект - источник события.
//  Отказ           - см. описание в синтаксис помощнике к обработчику события объекта ПриПроведении.
//  РежимПроведения - см. описание в синтаксис помощнике к обработчику события объекта ПриПроведении.
//
Процедура ВлияющийНаСтатусПоступленияКиЗДокументПриПроведении(Источник, Отказ, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.ВлияющийНаСтатусПоступленияКиЗДокументПриПроведении(Источник, Отказ, РежимПроведения) 
```
</details>

## РассчитатьСтатусЗаявкиНаВыпускКиЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "При записи" для документов, влияющий на расчет статуса поступления Заявок на выпуск КиЗ.
//
// Параметры:
//  Источник - ДокументОбъект - источник события.
//  Отказ    - см. описание в синтаксис помощнике к обработчику события объекта ПриЗаписи.
//
Процедура РассчитатьСтатусЗаявкиНаВыпускКиЗ(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.РассчитатьСтатусЗаявкиНаВыпускКиЗ(Источник, Отказ) 
```
</details>

## РассчитатьСтатусУведомленияОПоступлении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "При записи" для документов, влияющий на расчет статуса Уведомлений о поступлении
// маркированного товара.
//
// Параметры:
//  Источник - ДокументОбъект - источник события.
//  Отказ    - см. описание в синтаксис помощнике к обработчику события объекта ПриЗаписи.
//
Процедура РассчитатьСтатусУведомленияОПоступлении(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.РассчитатьСтатусУведомленияОПоступлении(Источник, Отказ) 
```
</details>

## РассчитатьСтатусУведомленияОбОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "При записи" для документов, влияющий на расчет статуса Уведомлений о поступлении
// маркированного товара.
//
// Параметры:
//  Источник - ДокументОбъект - источник события.
//  Отказ    - см. описание в синтаксис помощнике к обработчику события объекта ПриЗаписи.
//
Процедура РассчитатьСтатусУведомленияОбОтгрузке(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.РассчитатьСтатусУведомленияОбОтгрузке(Источник, Отказ) 
```
</details>

## РассчитатьСтатусИнформированияГИСМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "При записи" для документов, влияющий на расчет статуса Информирования ГИСМ.
//
// Параметры:
//  Источник - ДокументОбъект - источник события.
//  Отказ    - см. описание в синтаксис помощнике к обработчику события объекта ПриЗаписи.
//
Процедура РассчитатьСтатусИнформированияГИСМ(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.РассчитатьСтатусИнформированияГИСМ(Источник, Отказ) 
```
</details>

## НеотображаемыеВДокументахДальнейшиеДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив дальнейших действий, которые не отображаются при выводе статуса обмена с ГИСМ в форме документа.
//
// Возвращаемое значение:
//  Массив - содержит неотображаемые дальнейшие действия.
//
Функция НеотображаемыеВДокументахДальнейшиеДействия() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.НеотображаемыеВДокументахДальнейшиеДействия() 
```
</details>

## ЗаполнитьСписокВыбораДальнейшееДействие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список дальнейших действий для быстрого отбора динамического списка "Дальнейшее действие".
//
// Параметры:
//  СписокВыбора         - СписокЗначений - формируемый список значений.
//  ВсеТребующиеДействия - Массив - действия, которые необходимо выполнить пользователю.
//  ВсеТребующиеОжидания - Массив - действия, выполнения которых ожидает пользователь.
//
Процедура ЗаполнитьСписокВыбораДальнейшееДействие(СписокВыбора, ВсеТребующиеДействия, ВсеТребующиеОжидания) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.ЗаполнитьСписокВыбораДальнейшееДействие(СписокВыбора, ВсеТребующиеДействия, ВсеТребующиеОжидания) 
```
</details>

## УстановитьОтборПоДальнейшемуДействию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор в динамическом списке по полю "Дальнейшее действие".
//
// Параметры:
//  ДинамическийСписок     - ДинамическийСписок - список, в котором устанавливается отбор.
//  ДальнейшееДействиеГИСМ - Перечисление.ДальнейшееДействиеГИСМ, Строка - значение устанавливаемого отбора.
//  ВсеТребующиеДействия - Массив - действия, которые необходимо выполнить пользователю.
//  ВсеТребующиеОжидания - Массив - действия, выполнения которых ожидает пользователь.
//
Процедура УстановитьОтборПоДальнейшемуДействию(ДинамическийСписок, ДальнейшееДействиеГИСМ, ВсеТребующиеДействия, ВсеТребующиеОжидания) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.УстановитьОтборПоДальнейшемуДействию(ДинамическийСписок, ДальнейшееДействиеГИСМ, ВсеТребующиеДействия, ВсеТребующиеОжидания) 
```
</details>

## ВсеТребующиеДействияСтатусыИнформирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив дальнейших действий, которые требуют выполнения пользователем для документов, статус которых
// хранится в регистре "Состояния информирования ГИСМ".
//
// Возвращаемое значение:
//  Массив - действия, которые необходимо выполнить пользователю.
//
Функция ВсеТребующиеДействияСтатусыИнформирования() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВсеТребующиеДействияСтатусыИнформирования() 
```
</details>

## ВсеТребующиеОжиданияСтатусыИнформирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив дальнейших действий, выполнения которых необходимо ожидать пользователю для документов, статус
// которых хранится в регистре "Состояния информирования ГИСМ".
//
// Возвращаемое значение:
//   Массив - действия, выполнения которых ожидает пользователь.
//
Функция ВсеТребующиеОжиданияСтатусыИнформирования() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ВсеТребующиеОжиданияСтатусыИнформирования() 
```
</details>

## УстановитьУсловноеОформлениеПоляДата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму списка условное оформление поля Дата
//
//  Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма документа.
//   ИмяСписка - Строка - имя динамического списка.
//   ИмяПоляДата - Строка - условное оформление формы.
//
Процедура УстановитьУсловноеОформлениеПоляДата(Форма, ИмяСписка = "Список", ИмяПоляДата = "Дата") Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.УстановитьУсловноеОформлениеПоляДата(Форма, ИмяСписка, ИмяПоляДата);
```
</details>

## ОтразитьНеЗаказаннуюНоменклатуруВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если строка ТЧ соответствует не заказанной номенклатуре - формирует описание проблемы.
//
//  Параметры:
//   Выборка - Выборка - Выборка из результата запроса.
//
Процедура ОтразитьНеЗаказаннуюНоменклатуруВСтроке(Выборка, Объект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.ОтразитьНеЗаказаннуюНоменклатуруВСтроке(Выборка, Объект) 
```
</details>

## ОтразитьНеНайденнуюНоменклатуруВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если строка ТЧ соответствует не найденной номенклатуре - формирует описание проблемы.
//
//  Параметры:
//   Выборка - Выборка - Выборка из результата запроса.
//
Процедура ОтразитьНеНайденнуюНоменклатуруВСтроке(Выборка, Объект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.ОтразитьНеНайденнуюНоменклатуруВСтроке(Выборка, Объект) 
```
</details>

## РаспределитьВыпущенныеПолученныеКиЗНаЗаказанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Распределить выпущенные полученные КиЗ на заказанные
//
// Параметры:
//   Выборка - Выборка - Выборка из результата запроса.
//
Процедура РаспределитьВыпущенныеПолученныеКиЗНаЗаказанные(Выборка, Объект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.РаспределитьВыпущенныеПолученныеКиЗНаЗаказанные(Выборка, Объект) 
```
</details>

## ПолноеИмяСсылочногоТипаПоДаннымОпределяемогоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает полное имя объекта метаданных, определенного в качестве первого типа в определяемом типе.
// При этом выполняется проверка, что указанный тип ссылочный. В противном случае вызывается исключение.
//
// Параметры:
//  ИмяОпределяемогоТипа          - Строка - имя определяемого типа.
//  ДолженБытьУказанТолькоОдинТип - Булево - если Истина, то вызывается исключение, в случае если задан больше чем один тип.
//
// Возвращаемое значение:
//  Строка - полное имя объекта метаданных.
//
Функция ПолноеИмяСсылочногоТипаПоДаннымОпределяемогоТипа(ИмяОпределяемогоТипа, ДолженБытьУказанТолькоОдинТип = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ПолноеИмяСсылочногоТипаПоДаннымОпределяемогоТипа(ИмяОпределяемогоТипа, ДолженБытьУказанТолькоОдинТип);
```
</details>

## ОрганизацияПодразделениеПоGLN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает организацию и подразделение по GLN.
//
// Параметры:
//  GLN - Строка - GLN.
//
// Возвращаемое значение:
//  Структура:
//  *Организация - ОпределяемыйТип.Организация - Организация
//  *Подразделение - ОпределяемыйТип.Подразделение - Подразделение.
//
Функция ОрганизацияПодразделениеПоGLN(GLN) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ОрганизацияПодразделениеПоGLN(GLN) 
```
</details>

## КонтрагентПоДаннымXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные контрагента по данным XML
//
// Параметры:
//  ДанныеДокумента    - Структура - должна содержать свойство sender_gln, содержащее GLN отправителя.
//  ДанныеОтправителя  - ДанныеОтправителя - структура содержащая данные отправителя.
//
// Возвращаемое значение:
//  Контрагент - ОпределяемыйТип.КонтрагентГосИС - найденный в ИБ контрагент.
//
Функция КонтрагентПоДаннымXML(ДанныеДокумента, ДанныеОтправителя) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.КонтрагентПоДаннымXML(ДанныеДокумента, ДанныеОтправителя) 
```
</details>

## ПоследнийУказанныйВДокументахGLNКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает GLN, указанный для контрагента, указанный в последнем документе подсистемы ГИСМ.
//
// Параметры:
//  Контрагент	 - ОпределяемыйТип.Контрагент - контрагент, для.
//
// Возвращаемое значение:
//  Строка - GLN контрагента, указанный для него в последнем документе подсистемы ГИСМ.
//
Функция ПоследнийУказанныйВДокументахGLNКонтрагента(Контрагент) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ПоследнийУказанныйВДокументахGLNКонтрагента(Контрагент) 
```
</details>

## УстановитьУсловноеОформлениеСтатусДальнейшееДействиеГИСМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление для полей Статус и Дальнейшее действие в динамических списках, в случае, когда
// действие или статус не требуются.
//
// Параметры:
//  УсловноеОформление               - УсловноеОформление - условное оформление динамического списка.
//  Элементы                         - ЭлементыФормы - элементы формы, в которой устанавливается условное оформление.
//  ИмяСтатусГИСМ                    - Строка - имя элемента формы в которое выводится "Статус ГИСМ".
//  ИмяДальнейшееДействиеГИСМ        - Строка - имя элемента формы в которое выводится "Дальнейшее действие".
//  ПутьКПолюСтатусГИСМ              - Строка - путь к данным, содержащим "Статус ГИСМ".
//  ПутьКПолюДальнейшееДействиеГИСМ  - Строка - путь к данным, содержащим "Дальнейшее действие".
//
Процедура УстановитьУсловноеОформлениеСтатусДальнейшееДействиеГИСМ(УсловноеОформление, Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.УстановитьУсловноеОформлениеСтатусДальнейшееДействиеГИСМ(УсловноеОформление, );
```
</details>

## УстановитьУсловноеОформлениеСтатусИнформированияГИСМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление для поля Статус в динамических списках для значений "ПринятоГИСМ" и "ОтклоненоГИСМ".
//
// Параметры:
//  УсловноеОформление               - УсловноеОформление - условное оформление динамического списка.
//  Элементы                         - ЭлементыФормы - элементы формы, в которой устанавливается условное оформление.
//  ИмяСтатусГИСМ                    - Строка - имя элемента формы в которое выводится "Статус ГИСМ".
//  ПутьКПолюСтатусГИСМ              - Строка - путь к данным, содержащим "Статус ГИСМ".
//
Процедура УстановитьУсловноеОформлениеСтатусИнформированияГИСМ(УсловноеОформление, Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.УстановитьУсловноеОформлениеСтатусИнформированияГИСМ(УсловноеОформление, );
```
</details>

## УстановитьУсловноеОформлениеНомерГИСМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление для поля "Номер ГИСМ" в динамических списках".
//
// Параметры:
//  УсловноеОформление  - УсловноеОформление - условное оформление динамического списка.
//  Элементы            - ЭлементыФормы - элементы формы, в которой устанавливается условное оформление.
//  ИмяНомерГИСМ        - Строка - имя элемента формы в которое выводится "Номер ГИСМ".
//  ПутьКПолюНомерГИСМ  - Строка - путь к данным, содержащим "Номер ГИСМ".
//
Процедура УстановитьУсловноеОформлениеНомерГИСМ(УсловноеОформление, Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.УстановитьУсловноеОформлениеНомерГИСМ(УсловноеОформление, );
```
</details>

## ЕстьПравоСозданияКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие права создания контрагента у пользователя
//
// Возвращаемое значение:
//  Булево - Истина, если есть право создания контрагента, Ложь в обратном случае.
//
Функция ЕстьПравоСозданияКонтрагента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ЕстьПравоСозданияКонтрагента() 
```
</details>

## ПриОпределенииСправочниковХраненияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить справочники хранения файлов по типам владельцев.
//
// Параметры:
//  ТипВладелецФайла  - Тип - тип ссылки объекта, к которому добавляется файл.
//
//  ИменаСправочников - Соответствие - содержит в ключах имена справочников.
//                      При вызове содержит стандартное имя одного справочника,
//                      помеченного, как основной (если существует).
//                      Основной справочник используется для интерактивного
//                      взаимодействия с пользователем. Чтобы указать основной
//                      справочник, нужно установить Истина в значение соответствия.
//                      Если установить Истина более одного раза, тогда будет ошибка.
//
Процедура ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМ.ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) 
```
</details>

## МассивПустыхЗначенийДокументовПоступленияМаркированнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив пустых ссылок документов, являющихся документами поступления маркированной продукции и Неопределено.
//
// Возвращаемое значение:
//  Массив - сформированный массив.
//
Функция МассивПустыхЗначенийДокументовПоступленияМаркированнойПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.МассивПустыхЗначенийДокументовПоступленияМаркированнойПродукции() 
```
</details>

## ИспользоватьЗаявкиНаВыпускКиЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование заявок на выпуск КиЗ.
//
// Возвращаемое значение:
//  Булево - Заявки используются.
//
Функция ИспользоватьЗаявкиНаВыпускКиЗ() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ИспользоватьЗаявкиНаВыпускКиЗ() 
```
</details>

## ИспользоватьНесколькоОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование нескольких организаций в информационной базе.
//
// Возвращаемое значение:
//  Булево - Несколько организаций используются.
//
Функция ИспользоватьНесколькоОрганизаций() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ИспользоватьНесколькоОрганизаций() 
```
</details>

## ДокументОснованиеВозвратПоставщику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Документ-основание является возвратом поставщику
//
// Параметры:
//  ДокументСсылка - ДокументСсылка- Документ-основание.
//
// Возвращаемое значение:
//  Булево - Основание является возвратом поставщику.
//
Функция ДокументОснованиеВозвратПоставщику(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ДокументОснованиеВозвратПоставщику(ДокументСсылка) 
```
</details>

## ОрганизацияПодразделениеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить организацию и подразделение документа.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ, подразделение и организацию которого необходимо получить.
//
// Возвращаемое значение:
//  Структура:
//    * Организация - ОпределяемыйТип.Организация - Организация документа.
//    * Подразделение - ОпределяемыйТип.Подразделение - Подразделение документа.
//
Функция ОрганизацияПодразделениеДокумента(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМ.ОрганизацияПодразделениеДокумента(ДокументСсылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
