---
title: Интеграция ГИСМ вызов сервера
slug: erp-uh/интеграция-гисм-вызов-сервера
---


## ТекстГиперссылкиВДокументеОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстГиперссылкиВДокументеОсновании(Ссылка, ТипНадписи) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ТекстГиперссылкиВДокументеОсновании(Ссылка, ТипНадписи) 
```
</details>

## ТекстСтатусДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстСтатусДокумента(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ТекстСтатусДокумента(Ссылка) 
```
</details>

## АрхивироватьДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура АрхивироватьДокументы(ДокументыКАрхивированию) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМВызовСервера.АрхивироватьДокументы(ДокументыКАрхивированию) 
```
</details>

## АрхивироватьРаспоряженияКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура АрхивироватьРаспоряженияКОформлению(Распоряжения, Документ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМВызовСервера.АрхивироватьРаспоряженияКОформлению(Распоряжения, Документ) 
```
</details>

## АктуальнаяВерсияСхемОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет версию сервера ГИСМ и выбирает версию схем для обмена.
//
// Возвращаемое значение:
//  Строка - Версия схем обмена.
//
Функция АктуальнаяВерсияСхемОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.АктуальнаяВерсияСхемОбмена() 
```
</details>

## ВерсияСервераГИСМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить версию сервера ГИСМ
//
// Возвращаемое значение:
//  Строка - Номер версии
//
Функция ВерсияСервераГИСМ() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ВерсияСервераГИСМ() 
```
</details>

## СообщениеЗапросаGLN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует запрос для получения GLN с сервиса ГИСМ  по ИНН и КПП.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - Организация от имени которой будет выполнен запрос.
//  ИНН         - Строка - ИНН запрашиваемой организации или физического лица.
//  КПП         - Строка - КПП запрашиваемой организации.
//
// Возвращаемое значение:
//   Строка - подготовленный запрос в формате XML.
//
Функция СообщениеЗапросаGLN(Организация, ИНН, КПП) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.СообщениеЗапросаGLN(Организация, ИНН, КПП) 
```
</details>

## ОбработатьПодписанноеСообщениеЗапросаGLN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подписанный запрос для получения GLN с сервиса ГИСМ по ИНН и КПП.
//
// Параметры:
//  Сообщение - Строка - сообщение в формате XML, которое содержит запрос.
//
// Возвращаемое значение:
//   Структура - результат выполнения запроса.
//
Функция ОбработатьПодписанноеСообщениеЗапросаGLN(Сообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ОбработатьПодписанноеСообщениеЗапросаGLN(Сообщение) 
```
</details>

## СообщенияКПередачеЗапросыСписковВходящихДокументовИКвитанцийXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Готовит к передаче сообщение для получения списка входящих документов
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * Изменения    - Массив из Структура - переданные исходящие сообщения и выполненные запросы на получение квитанций.
//   * СообщенияXML - Массив из Структура - запросы списков входящих документов по организациям.
//
Функция СообщенияКПередачеЗапросыСписковВходящихДокументовИКвитанцийXML() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.СообщенияКПередачеЗапросыСписковВходящихДокументовИКвитанцийXML() 
```
</details>

## СообщенияКПередачеПолучениеКвитанций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Готовит сообщений для передачи на сервис ГИСМ и формирует запросы на получение квитанций по отправленным сообщениям.
//
// Параметры:
//  GLN - Строка - GLN организации для которой готовятся запросы;
//
// Возвращаемое значение:
//  Массив из Структура - подготовленные исходящие сообщения и запросы на получение квитанций.
//
Функция СообщенияКПередачеПолучениеКвитанций(GLN) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.СообщенияКПередачеПолучениеКвитанций(GLN) 
```
</details>

## ОбработатьПодписанныеСообщенияЗапросыСписковВходящихДокументовИКвитанций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать подписанные сообщения запросы списков входящих документов и квитанций
//
// Параметры:
//  Сообщения - Массив из Структура - сообщения.
//
// Возвращаемое значение:
//  Структура:
//  *Изменения - Массив из Структура - Изменения данных
//  *СообщенияXML - Массив из Структура - Структура сообщений.
Функция ОбработатьПодписанныеСообщенияЗапросыСписковВходящихДокументовИКвитанций(Сообщения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ОбработатьПодписанныеСообщенияЗапросыСписковВходящихДокументовИКвитанций(Сообщения) 
```
</details>

## ОбработатьПодписанныеСообщенияПолучитьВходящиеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать подписанные сообщения на получение входящих документов
//
// Параметры:
//  Сообщения - Массив из Структура - сообщения.
//
// Возвращаемое значение:
//  Структура:
//  *Изменения - Массив из Структура - Изменения данных.
//
Функция ОбработатьПодписанныеСообщенияПолучитьВходящиеДокументы(Сообщения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ОбработатьПодписанныеСообщенияПолучитьВходящиеДокументы(Сообщения) 
```
</details>

## ПередатьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Передать данные
//
// Параметры:
//  ИсходящееСообщение - СправочникСсылка.ГИСМПрисоединенныеФайлы - Исходящее сообщение.
//  СертификатыДляПодписанияНаСервере - Структура - со свойствами (Можно получить функцией СертификатыДляПодписанияНаСервере).
//
// Возвращаемое значение:
//  Структура:
//  *РезультатОтправкиЗапроса - Структура - результат отправки запроса
//  *РезультатОбработкиОтвета - Структура - Результат обработки ответа
//  *ИсходящееСообщение - СправочникСсылка.ГИСМПрисоединенныеФайлы - Исходящее сообщение
//  *ВходящееСообщение - СправочникСсылка.ГИСМПрисоединенныеФайлы - Входящее сообщение
//  *Документ - ДокументСсылка - Полученный документ
//  *Основание - ДокументСсылка - Документ основание.
//
Функция ПередатьДанные(ИсходящееСообщение, СертификатыДляПодписанияНаСервере = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ПередатьДанные(ИсходящееСообщение, СертификатыДляПодписанияНаСервере);
```
</details>

## ПолучитьКвитанциюОФиксации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить квитанцию о фиксации переданного сообщения
//
// Параметры:
//  ИсходящееСообщение - СправочникСсылка.ГИСМПрисоединенныеФайлы - Исходящее сообщение.
//
// Возвращаемое значение:
//  Структура:
//  *РезультатОтправкиЗапроса - Структура - результат отправки запроса
//  *РезультатОбработкиОтвета - Структура - Результат обработки ответа
//  *ИсходящееСообщение - СправочникСсылка.ГИСМПрисоединенныеФайлы - Исходящее сообщение
//  *ВходящееСообщение - СправочникСсылка.ГИСМПрисоединенныеФайлы - Входящее сообщение
//  *Документ - ДокументСсылка - Полученный документ
//  *Основание - ДокументСсылка - Документ основание.
//
Функция ПолучитьКвитанциюОФиксации(ИсходящееСообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ПолучитьКвитанциюОФиксации(ИсходящееСообщение) 
```
</details>

## ПолучитьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить данные реестра
//
// Параметры:
//  ТекстИсходящегоСообщенияXML - Строка - Текст сообщения SOAP
//  ДанныеДляПолученияДокумента - Структура - Данные для получения документа.
//
// Возвращаемое значение:
//  Структура:
//  *РезультатОтправкиЗапроса - Структура - результат отправки запроса
//  *РезультатОбработкиОтвета - Структура - Результат обработки ответа
//  *Документ - ДокументСсылка - Полученный документ
//  *Основание - ДокументСсылка - Документ основание
//  *НовыйСтатус - Статус - Новый статус документа.
//
Функция ПолучитьДокумент(ТекстИсходящегоСообщенияXML, ДанныеДляПолученияДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ПолучитьДокумент(ТекстИсходящегоСообщенияXML, ДанныеДляПолученияДокумента) 
```
</details>

## ПолучитьВходящиеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить входящие документы
//
// Параметры:
//  ТекстИсходящегоСообщенияSOAP - Строка - Текст сообщения SOAP
//  GLN - Число - GLN.
//
// Возвращаемое значение:
//  Структура:
//  *РезультатОтправкиЗапроса - Структура - результат отправки запроса
//  *РезультатОбработкиОтвета - Структура - Результат обработки ответа.
//
Функция ПолучитьВходящиеДокументы(ТекстИсходящегоСообщенияSOAP, GLN) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ПолучитьВходящиеДокументы(ТекстИсходящегоСообщенияSOAP, GLN) 
```
</details>

## ПолучитьДанныеРеестра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить данные реестра
//
// Параметры:
//  ТекстИсходящегоСообщенияSOAP - Строка - Текст сообщения SOAP.
//
// Возвращаемое значение:
//  Структура:
//  *РезультатОтправкиЗапроса - Структура - результат отправки запроса
//  *РезультатОбработкиОтвета - Структура - Результат обработки ответа.
//
Функция ПолучитьДанныеРеестра(ТекстИсходящегоСообщенияSOAP) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ПолучитьДанныеРеестра(ТекстИсходящегоСообщенияSOAP) 
```
</details>

## ИННКППGLNОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую ИНН, КПП, GLN организации.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - Организация.
//  Подразделение - ОпределяемыйТип.Подразделение - Подразделение организации.
//
// Возвращаемое значение:
//   Структура - со свойствами:
//     ИНН  - Строка - ИНН контрагента.
//     КПП  - Строка - КПП контрагента.
//     GLN  - Строка - GLN контрагента.
//
Функция ИННКППGLNОрганизации(Организация, Подразделение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ИННКППGLNОрганизации(Организация, Подразделение) 
```
</details>

## РеквизитыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую Страну, Регистрационный номер, наименование, признак физического лица, ИНН и КПП.
//
// Параметры:
//  Контрагент - ОпределяемыйТип.КонтрагентГосИС - Контрагент.
//
// Возвращаемое значение:
//   Структура - со свойствами:
//     Страна  - Строка - Страна регистрации контрагента.
//     РегистрационныйНомер  - Строка - Регистрационный номер контрагента.
//     Наименование  - Строка - Наименование контрагента.
//     НаименованиеПолное  - Строка - Полное наименование контрагента.
//     ЭтоФизическоеЛицо  - Булево - Признак физического лица.
//     ИНН  - Строка - ИНН контрагента.
//     КПП  - Строка - КПП контрагента.
//     ЮридическийАдрес - Строка - Юридический адрес контрагента.
//     ЭтоРозничныйПокупатель  - Булево - Признак розничного покупателя.
//
Функция РеквизитыКонтрагента(Контрагент) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.РеквизитыКонтрагента(Контрагент) 
```
</details>

## ЗапросВходящихДокументовXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список входящих документов по организации, которые необходимо получить.
//
// Параметры:
//  GLN - Строка - GLN организации для которой получается список документов.
//
// Возвращаемое значение:
//   Строка - сообщение в формате XML, которое содержит список документов для загрузки.
//
Функция ЗапросВходящихДокументовXML(GLN) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ЗапросВходящихДокументовXML(GLN) 
```
</details>

## ЗапросДокументаXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает с сервиса ГИСМ входящий документ.
//
// Параметры:
//  GLN       - Строка - GLN организации для которой загружается документ.
//  output_id - Строка - GLN организации для которой загружается документ.
//
// Возвращаемое значение:
//   Строка - сообщение в формате XML, которое содержит запрашиваемый документ.
//
Функция ЗапросДокументаXML(GLN, output_id) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ЗапросДокументаXML(GLN, output_id) 
```
</details>

## ЗапросGLNПоИННКППXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает с сервиса ГИСМ GLN по ИНН и КПП.
//
// Параметры:
//  ИНН - Строка - ИНН запрашиваемой организации или физического лица.
//  КПП - Строка - КПП запрашиваемой организации.
//
// Возвращаемое значение:
//   Строка - сообщение в формате XML, которое содержит GLN организации.
//
Функция ЗапросGLNПоИННКППXML(СообщениеXML, ИНН, КПП = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ЗапросGLNПоИННКППXML(СообщениеXML, ИНН, КПП);
```
</details>

## ЗапросКвитанцииОФиксацииПоСсылкеXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует запрос о получении квитанции о фиксации по документу.
//
// Параметры:
//  Ссылка   - ДокументСсылка - документ, по которому формируется запрос о получении квитанции.
//  Операция - ПеречислениеСсылка.ОперацииОбменаГИСМ - операция обмена, которая требует получения квитанции.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * ТекстОшибки - строка - сюда будет помещен текст ошибки, если таковая возникнет при отправке сообщения.
//   * Описание - строка - содержит описание выполняемой операции.
//   * ДанныеДляПолученияКвитанцииИзОчереди - Структура со свойствами:
//      ** Сообщение - СправочникСсылка.ГИСМПрисоединенныеФайлы - сообщение, по которому формируется запрос о получении квитанции.
//      ** Организация - ОпределяемыйТип.Организации - организация, от имени которой отправляется запрос.
//      ** Документ    - ДокументСсылка - документ, по которому было отправлено сообщение, требующее получение квитанции.
//      ** ИзОчереди   - Булево - признак того каким образом был сформирован запрос, из очереди или из сообщения.
//      ** Данные      - Структура со свойствами:
//          *** input_id   - строка - идентификатор сообщения, по которому мы запрашиваем квитанцию.
//          *** session_ui - строка - идентификатор сессии сообщения, по которому мы запрашиваем квитанцию.
//   * СообщенияXML - Массив, состоящий из одной структуры:
//      ТекстСообщенияXML - строка - содержит текст запроса о получении квитанции.
//      Организация  - ОпределяемыйТип.Организации - организация, от имени которой отправляется запрос.
//      ТипСообщения - Перечисления.ТипыСообщенийГИСМ - Исходящее.
//      Документ     - ДокументСсылка - документ, по которому было отправлено сообщение, требующее получение квитанции.
//      Операция     - ПеречислениеСсылка.ОперацииОбменаГИСМ - операция обмена, которая требует получения квитанции.
//      Версия       - Число - версия сообщения, для запроса на получение квитанции всегда равна 0.
//
Функция ЗапросКвитанцииОФиксацииПоСсылкеXML(Ссылка, Операция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ЗапросКвитанцииОФиксацииПоСсылкеXML(Ссылка, Операция) 
```
</details>

## ЗапросКвитанцииОФиксацииXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует сообщение XML запроса о получении квитанции.
// Параметры:
//  Данные - Структура со свойствами:
//     GLN        - Строка - GLN организации от имений мы запрашиваем квитанцию.
//     input_id   - Строка - идентификатор сообщения, по которому мы запрашиваем квитанцию.
//     session_ui - Строка - идентификатор сессии сообщения, по которому мы запрашиваем квитанцию.
// Возвращаемое значение:
//  Строка - сформированный запрос о получении квитанции.
//
Функция ЗапросКвитанцииОФиксацииXML(Данные) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ЗапросКвитанцииОФиксацииXML(Данные) 
```
</details>

## ДанныеЗапросаКвитанцииОФиксацииИзПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует данные для запроса на получение квитанции для сообщения, хранящегося в присоединенном файле.
//
// Параметры:
//  Сообщение - СправочникСсылка.ГИСМПрисоединенныеФайлы - сообщение, по которому формируется запрос о получении квитанции.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//     input_id   - строка - идентификатор сообщения, по которому мы запрашиваем квитанцию.
//     session_ui - строка - идентификатор сессии сообщения, по которому мы запрашиваем квитанцию.
//
Функция ДанныеЗапросаКвитанцииОФиксацииИзПротокола(Сообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ДанныеЗапросаКвитанцииОФиксацииИзПротокола(Сообщение) 
```
</details>

## ДанныеЗапросаКвитанцииОФиксацииИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует данные для запроса на получение квитанции для сообщения в формате XML.
//
// Параметры:
//  ТекстСообщенияXML - Строка - сообщение в формате XML.
//
// Возвращаемое значение:
//  Данные - Структура:
//     input_id   - строка - идентификатор сообщения, по которому мы запрашиваем квитанцию.
//     session_ui - строка - идентификатор сессии сообщения, по которому мы запрашиваем квитанцию.
//
Функция ДанныеЗапросаКвитанцииОФиксацииИзXML(ТекстСообщенияXML) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ДанныеЗапросаКвитанцииОФиксацииИзXML(ТекстСообщенияXML) 
```
</details>

## ДанныеЗапросаКвитанцииОФиксацииИзОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует данные для запроса квитанции по отправленному сообщению из РС "Очередь получения квитанций о фиксации ГИСМ".
//
// Параметры:
//  Ссылка   - Документ - документ, по которому было отправлено сообщение, требующее получение квитанции.
//  Операция - Перечисление.ОперацииОбменаГИСМ - операция обмена, по которой было отправлено сообщение.
//
// Возвращаемое значение:
//  Неопределено, Структура - Структура со свойствами:
//   * Сообщение   - СправочникСсылка.ПрисоединенныеФайлыГИСМ - отправленное сообщение.
//   * Организация - ОпределяемыйТип.Организации - организация, от имени которой было отправлено сообщение.
//   * Документ    - ДокументСсылка - документ, по которому было отправлено сообщение.
//   * Данные - Структура со свойствами:
//     ** GLN        - Строка - GLN организации от имений мы запрашиваем квитанцию.
//     ** input_id   - Строка - идентификатор сообщения, по которому мы запрашиваем квитанцию.
//     ** session_ui - Строка - идентификатор сессии сообщения, по которому мы запрашиваем квитанцию.
//   * ИзОчереди   - Булево - в данной процедуре всегда устанавливает в Истина.
//
Функция ДанныеЗапросаКвитанцииОФиксацииИзОчереди(Ссылка, Операция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ДанныеЗапросаКвитанцииОФиксацииИзОчереди(Ссылка, Операция) 
```
</details>

## ДобавитьДанныеЗапросаКвитанцииОФиксацииВОчередь
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить данные запроса квитанции о фиксации в очередь (выполняет запись в РС "Очередь получения квитанций о фиксации
// ГИСМ").
//
// Параметры:
//  ТекстСообщенияXML                 - Строка - текст сообщения по которому запрашивается квитанция о получении.
//  Реквизиты                         - Структура:
//    * ТипСообщения       - Перечисления.ТипыСообщенийГИСМ - Исходящее.
//    * Операция           - ПеречислениеСсылка.ОперацииОбменаГИСМ - операция обмена, которая требует получения квитанции.
//    * Документ           - ДокументСсылка - документ, по которому было отправлено сообщение, требующее получение квитанции.
//    * СообщениеОснование - Справочник.ПрисоединенныеФайлыГИСМ - сообщение, которое требует получение квитанции.
//  СертификатыДляПодписанияНаСервере - Структура - со свойствами (Можно получить функцией СертификатыДляПодписанияНаСервере).
//
Процедура ДобавитьДанныеЗапросаКвитанцииОФиксацииВОчередь(ТекстСообщенияXML, Реквизиты, СертификатыДляПодписанияНаСервере = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМВызовСервера.ДобавитьДанныеЗапросаКвитанцииОФиксацииВОчередь(ТекстСообщенияXML, Реквизиты, СертификатыДляПодписанияНаСервере);
```
</details>

## УдалитьСообщениеИзОчередиПолученияКвитанций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет сообщение из РС "Очередь получения квитанций о фиксации ГИСМ"
//
// Параметры:
//  Сообщение  Справочник.ПрисоединенныеФайлыГИСМ - сообщение, которое удаляется из очереди.
//
Процедура УдалитьСообщениеИзОчередиПолученияКвитанций(Сообщение) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМВызовСервера.УдалитьСообщениеИзОчередиПолученияКвитанций(Сообщение) 
```
</details>

## УдалитьСообщениеИзОчередиПередачиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет сообщение из РС "Очередь передачи данных ГИСМ"
//
// Параметры:
//  Сообщение  Справочник.ПрисоединенныеФайлыГИСМ - сообщение, которое удаляется из очереди.
//
Процедура УдалитьСообщениеИзОчередиПередачиДанных(Сообщение) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМВызовСервера.УдалитьСообщениеИзОчередиПередачиДанных(Сообщение) 
```
</details>

## СообщенияКПередачеXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив сообщений в формате XML к передаче в сервис ГИСМ.
//
// Параметры:
//  ВходящиеДанные - Массив, ДокументСсылка - документы, по которым необходимо передать сообщения.
//  Операция       - Перечисление.ОперацииОбменаГИСМ - выполняемая операция обмена.
//
// Возвращаемое значение:
//  Массив - подготовленные сообщения обмена.
//
Функция СообщенияКПередачеXML(ВходящиеДанные, Операция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.СообщенияКПередачеXML(ВходящиеДанные, Операция) 
```
</details>

## СообщениеКПередачеXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив сообщений в формате XML к передаче в сервис ГИСМ.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому формируется сообщение.
//  Операция       - ПеречислениеСсылка.ОперацииОбменаГИСМ - выполняемая операция обмена.
//
// Возвращаемое значение:
//  Массив - сообщения обмена - массив подготовленных сообщений обмена.
//
Функция СообщениеКПередачеXML(ДокументСсылка, Операция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.СообщениеКПередачеXML(ДокументСсылка, Операция) 
```
</details>

## ПодготовитьСообщенияКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает сообщения к передаче в сервис ГИСМ.
//
// Параметры:
//  Сообщения - Массив - содержит структуру сообщений, которые подготавливаются к передаче.
//
// Возвращаемое значение:
//  Массив - содержит структуры со следующими полями:
//    * Документ
//    * Основание
//    * Выполнено
//    * ТекстОшибки
//    * НовыйСтатус
//    * ИсходящееСообщение.
//
Функция ПодготовитьСообщенияКПередаче(Сообщения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ПодготовитьСообщенияКПередаче(Сообщения) 
```
</details>

## ПодготовитьСообщениеКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает сообщение к передаче в сервис ГИСМ.
//
// Параметры:
//  ТекстСообщенияXML - Строка - Текст сообщения.
//  Реквизиты - Структура - Реквизиты передаваемого сообщения.
//
// Возвращаемое значение:
//  Массив - содержит структуры со следующими полями:
//    * НовыйСтатус
//    * ИсходящееСообщение.
//
Функция ПодготовитьСообщениеКПередаче(ТекстСообщенияXML, Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ПодготовитьСообщениеКПередаче(ТекстСообщенияXML, Реквизиты) 
```
</details>

## ОперацияЗапросаКвитанции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает операцию запроса квитанции по операции передачи данных
//
// Параметры:
//  Операция - ПеречислениеСсылка.ОперацииОбменаГИСМ - операция передачи данных.
//
// Возвращаемое значение:
//  Операция запроса квитанции - ПеречислениеСсылка.ОперацииОбменаГИСМ.
//
Функция ОперацияЗапросаКвитанции(ОперацияПередачиДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ОперацияЗапросаКвитанции(ОперацияПередачиДанных) 
```
</details>

## ДанныеДокументаСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные документа, по которому было отправлено или получено сообщение.
//
// Параметры:
//  Сообщение - Справочник.ГИСМПрисоединенныеФайлы - сообщение, по которому получаются данные.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * Документ  - ДокументСсылка - документ, по которому было получено или отправлено сообщение.
//   * Основание - ДокументСсылка - основание документа, по которому было получено или отправлено сообщение.
//   * Операция  - ПеречислениеСсылка.ОперацииОбменаГИСМ - выполненная операция обмена.
//
Функция ДанныеДокументаСообщения(Сообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ДанныеДокументаСообщения(Сообщение) 
```
</details>

## КонвертSOAPИзПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает конверт SOAP из присоединенного файла, в котором хранится сообщение протокола обмена.
//
// Параметры:
//  Сообщение - Справочник.ПрисоединенныеФайлыГИСМ - хранимый файл сообщения, из которого извлекается конверт SOAP.
//
// Возвращаемое значение:
//  Строка - полученный конверт SOAP.
//
Функция КонвертSOAPИзПротокола(Сообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.КонвертSOAPИзПротокола(Сообщение) 
```
</details>

## ДобавитьЗаписьВПротоколОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить запись в протокол обмена
//
// Параметры:
//  КонвертSOAP - Строка - Текст сообщения SOAP
//  Реквизиты - Структура - Значения реквизитов сообщения.
//
// Возвращаемое значение:
//  СправочникСсылка.ГИСМПрисоединенныеФайлы - Ссылка на присоединенный файл.
//
Функция ДобавитьЗаписьВПротоколОбмена(КонвертSOAP, Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ДобавитьЗаписьВПротоколОбмена(КонвертSOAP, Реквизиты) 
```
</details>

## ВходящееСообщениеПротоколаПоИсходящемуСообщению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает входящее сообщение протокола обмена по исходящему сообщению-основанию.
//
// Параметры:
//  ИсходящееСообщение - Справочник.ПрисоединенныеФайлыГИСМ - ссылка на хранимый файл, в котором храниться исходящее сообщение.
//
// Возвращаемое значение:
//  Справочник.ПрисоединенныеФайлыГИСМ - найденное входящее сообщение.
//
Функция ВходящееСообщениеПротоколаПоИсходящемуСообщению(ИсходящееСообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ВходящееСообщениеПротоколаПоИсходящемуСообщению(ИсходящееСообщение) 
```
</details>

## ИсходящееСообщениеПротоколаПоВходящемуСообщению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает исходящее сообщение протокола обмена по входящему сообщению, для которого оно является основанием.
//
// Параметры:
//  ИсходящееСообщение - Справочник.ПрисоединенныеФайлыГИСМ - ссылка на хранимый файл, в котором храниться входящее сообщение.
//
// Возвращаемое значение:
//  Справочник.ПрисоединенныеФайлыГИСМ - найденное исходящее сообщение.
//
Функция ИсходящееСообщениеПротоколаПоВходящемуСообщению(ВходящееСообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ИсходящееСообщениеПротоколаПоВходящемуСообщению(ВходящееСообщение) 
```
</details>

## СертификатыПользователяДляПодписиПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает доступные пользователю для подписи сертификаты по организации.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организации - организация, чьи сертификаты получаются.
//
// Возвращаемое значение:
//   Массив - массив доступных сертификатов.
//
Функция СертификатыПользователяДляПодписиПоОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.СертификатыПользователяДляПодписиПоОрганизации(Организация) 
```
</details>

## ЭтоНомерКиЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет введенную строку на соответствие формата номеров КиЗ
//
// Параметры:
//  НомерКиЗ - Строка - номер КиЗ, подлежащий проверке.
//
// Возвращаемое значение:
//  Булево - Истина, если указанный номер соответствует формату, Ложь в обратном случае.
//
Функция ЭтоНомерКиЗ(НомерКиЗ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМВызовСервера.ЭтоНомерКиЗ(НомерКиЗ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
