---
title: Интеграция ГИСМ клиент
slug: erp-uh/интеграция-гисм-клиент
---


## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает выполнение обмена с ГИСМ в формах списков документов подсистемы.
//
Процедура ВыполнитьОбмен() Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиент.ВыполнитьОбмен() 
```
</details>

## ВыполнитьДальнейшееДействиеДляДокументовИзСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд по выполнению требуемого дальнейшего действия в динамических списках.
//
// Параметры:
//  ДинамическийСписок - ЭлементФормы - список в котором выполняется команда
//  ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюГИСМ - действие, которое будет выполнено.
//
Процедура ВыполнитьДальнейшееДействиеДляДокументовИзСписка(ДинамическийСписок, ДальнейшееДействие) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиент.ВыполнитьДальнейшееДействиеДляДокументовИзСписка(ДинамическийСписок, ДальнейшееДействие) 
```
</details>

## ПодтвердитьПолучениеДляДокументовИзСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подтверждает получение КиЗ или маркированной продукции выбранных в списке документов.
//
// Параметры:
//  ДинамическийСписок	 - ЭлементФормы - динамический список, из которого вызвана команда.
//
Процедура ПодтвердитьПолучениеДляДокументовИзСписка(ДинамическийСписок) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиент.ПодтвердитьПолучениеДляДокументовИзСписка(ДинамическийСписок) 
```
</details>

## АрхивироватьДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование документов.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьДокументы(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиент.АрхивироватьДокументы(Результат, ДополнительныеПараметры) 
```
</details>

## АрхивироватьРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование распоряжений к оформлению.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиент.АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) 
```
</details>

## УстановитьОтборСтрокВТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор строк в табличной части документа или обработки.
//
// Параметры:
//  Форма          - ФормаКлиентскогоПриложения - форма, для одной из ТЧ, которой устанавливается отбор.
//  ИмяТЧ          - Строка - имя табличной, для которой устанавливается отбор строк.
//  ЗначениеОтбора - Произвольный - значение отбор.
//  Команда        - КомандаФормы - команда, которую выполнил пользователь для установки отбора.
//
Процедура УстановитьОтборСтрокВТЧ(Форма, ИмяТЧ, ЗначениеОтбора, Команда) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиент.УстановитьОтборСтрокВТЧ(Форма, ИмяТЧ, ЗначениеОтбора, Команда) 
```
</details>

## ОткрытьПротоколОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму протокола обмена
//
// Параметры:
//  Документ        - ДокументСсылка - документ, для которого открывается протокол обмена.
//  ФормаВладелец   - ФормаКлиентскогоПриложения, Неопределено - форма, которая будет являться владельцем формы протокола обмена.
//
Процедура ОткрытьПротоколОбмена(Документ, ФормаВладелец = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиент.ОткрытьПротоколОбмена(Документ, ФормаВладелец);
```
</details>

## ПолучитьGLNПоИННКПП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает GLN с сервиса ГИСМ по данным ИНН и КПП контрагента.
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из которой выполняется получение GLN.
//
Процедура ПолучитьGLNПоИННКПП(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиент.ПолучитьGLNПоИННКПП(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
