---
title: Интеграция ГИСМ клиент переопределяемый
slug: erp-uh/интеграция-гисм-клиент-переопределяемый
---


## ОткрытьФормуСозданияНовогоКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму создания нового контрагента
//
// Параметры:
//  ДанныеКонтрагента - Структура - Содержит поля для заполнения данных нового контрагента.
//  Форма             - ФормаКлиентскогоПриложения - форма-владелец.
Процедура ОткрытьФормуСозданияНовогоКонтрагента(ДанныеКонтрагента, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентПереопределяемый.ОткрытьФормуСозданияНовогоКонтрагента(ДанныеКонтрагента, Форма) 
```
</details>

## ОбработатьВыборНовогоКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик выбора нового контрагента
//
// Параметры:
//  ВыбранноеЗначение - Стандартный параметр обработчика формы ОбработкаВыбора
//  ИсточникВыбора    - Стандартный параметр обработчика формы ОбработкаВыбора
//  Объект            - ДокументОбъект - Документ, в форме которого обрабатывается выбор.
Процедура ОбработатьВыборНовогоКонтрагента(ВыбранноеЗначение, ИсточникВыбора, Объект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентПереопределяемый.ОбработатьВыборНовогоКонтрагента(ВыбранноеЗначение, ИсточникВыбора, Объект) 
```
</details>

## ПараметрыОткрытияСпискаОтчетыОРозничныхПродажах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает через параметр структуру параметров, необходимых для передачи в форму списка документов
// Отчеты о розничных продажах.
//
// Параметры:
//  Параметры - Структура - поля структуры
//   * ИмяФормы - Полный путь к форме списка отчетов о розничных продажах
//   * ОткрытьРаспоряжения - Булево, нужно ли открывать закладку Распоряжения на форме, если есть
//   * ИмяПоляОтветственный - Имя реквизита формы, соответствующего фильтру по ответственному
//   * ИмяПоляОрганизация - Имя реквизита формы, соответствующего фильтру по организации.
Процедура ПараметрыОткрытияСпискаОтчетыОРозничныхПродажах(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентПереопределяемый.ПараметрыОткрытияСпискаОтчетыОРозничныхПродажах(Параметры) 
```
</details>

## ПараметрыОткрытияСпискаВозвратыТоваровОтРозничныхКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает через параметр структуру параметров, необходимых для передачи в форму списка документов
// Возвраты товаров от розничных клиентов.
//
// Параметры:
//   Параметры - Структура - поля структуры
//    * ИмяФормы - Полный путь к форме списка отчетов о розничных продажах
//    * ДальнейшееДействиеГИСМ - ПредопределенноеЗначение("Перечисление.ДальнейшиеДействияПоВзаимодействиюГИСМ.ПередайтеДанные")
//    * ОткрытьРаспоряжения - Булево, нужно ли открывать закладку Распоряжения на форме, если есть
//    * ИмяПоляОтветственный - Имя реквизита формы, соответствующего фильтру по ответственному
//    * ИмяПоляОрганизация - Имя реквизита формы, соответствующего фильтру по организации.
Процедура ПараметрыОткрытияСпискаВозвратыТоваровОтРозничныхКлиентов(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентПереопределяемый.ПараметрыОткрытияСпискаВозвратыТоваровОтРозничныхКлиентов(Параметры) 
```
</details>

## ЗаявкаНаВыпускКиЗЗаказанныеКиЗПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик ПриИзменении таблицы ЗаказанныеКиЗ документа ЗаявкаНаВыпускКиЗ
//
// Параметры:
//  Форма                 - ФормаКлиентскогоПриложения - Форма документа ЗаявкаНаВыпускКиЗ
//  КэшированныеЗначения  - Структура -  используется механизмом обработки изменения реквизитов ТЧ
//  Элемент               - Стандартный параметр обработчика таблицы формы ПриИзменении.
Процедура ЗаявкаНаВыпускКиЗЗаказанныеКиЗПриИзменении(Форма, КэшированныеЗначения, Элемент) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентПереопределяемый.ЗаявкаНаВыпускКиЗЗаказанныеКиЗПриИзменении(Форма, КэшированныеЗначения, Элемент) 
```
</details>

## ОткрытьФормуСпискаДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предоставляет возможность открыть произвольную форму, в которой выведен список документов.
//
// Параметры:
//  СписокДокументов - СписокЗначений - Список документов, которые необходимо показать в форме
//  Заголовок        - Строка - Заголовок формы.
Процедура ОткрытьФормуСпискаДокументов(СписокДокументов, Заголовок) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентПереопределяемый.ОткрытьФормуСпискаДокументов(СписокДокументов, Заголовок) 
```
</details>

## ТоварыУведомлениеОбИмпортеНоменклатураКиЗПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик ПриИзменении поля НоменклатураКиЗ таблицы Товары
//
// Параметры:
//   ТекущаяСтрока - ДанныеФормыЭлементКоллекции - Текущие данные таблицы, в которой изменяется поле
//   КэшированныеЗначения - Структура -  используется механизмом обработки изменения реквизитов ТЧ.
//
Процедура ТоварыУведомлениеОбИмпортеНоменклатураКиЗПриИзменении(ТекущаяСтрока, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентПереопределяемый.ТоварыУведомлениеОбИмпортеНоменклатураКиЗПриИзменении(ТекущаяСтрока, КэшированныеЗначения) 
```
</details>

## ОткрытьПодборЗаказываемыхКиЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму подбора номенклатуры КиЗ
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Владелец открываемой формы.
Процедура ОткрытьПодборЗаказываемыхКиЗ(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентПереопределяемый.ОткрытьПодборЗаказываемыхКиЗ(Форма) 
```
</details>

## ИсточникВыбораЭтоФормаПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что форма является формой подбора товаров в документ
// Используется в обработчике формы ОбработкаВыбора.
//
// Параметры:
//  ИсточникВыбора - Строка - имя формы источника выбора.
//  Результат      - Булево - Истина, если форма является формой подбора.
Процедура ИсточникВыбораЭтоФормаПодбора(ИсточникВыбора, Результат) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентПереопределяемый.ИсточникВыбораЭтоФормаПодбора(ИсточникВыбора, Результат) 
```
</details>

## ОткрытьФормуСпискаКлассификатораТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму списка классификатора ТНВЭД.
//
Процедура ОткрытьФормуСпискаКлассификатораТНВЭД(ВладелецФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентПереопределяемый.ОткрытьФормуСпискаКлассификатораТНВЭД(ВладелецФормы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
