---
title: Интеграция ГИСМ клиент УТ
slug: erp-uh/интеграция-гисм-клиент-ут
---


## ТекстУведомленияОСписанииКиЗГИСМОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст уведомления о списании ки ЗГИСМОбработка навигационной ссылки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  НавигационнаяСсылкаФорматированнойСтроки - Строка - навигационная ссылка форматированной строки
//  СтандартнаяОбработка - Булево - стандартная обработка
Процедура ТекстУведомленияОСписанииКиЗГИСМОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентУТ.ТекстУведомленияОСписанииКиЗГИСМОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ТекстЗаявкаНаВыпускКиЗОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст заявка на выпуск ки з обработка навигационной ссылки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  НавигационнаяСсылкаФорматированнойСтроки - Строка - навигационная ссылка форматированной строки
//  СтандартнаяОбработка - Булево - стандартная обработка
Процедура ТекстЗаявкаНаВыпускКиЗОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентУТ.ТекстЗаявкаНаВыпускКиЗОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ТекстУведомленияОбИмпортеВвозеИзЕАЭСОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст уведомления об импорте ввозе из ЕАЭСОбработка навигационной ссылки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  НавигационнаяСсылкаФорматированнойСтроки - Строка - навигационная ссылка форматированной строки
//  СтандартнаяОбработка - Булево - стандартная обработка
Процедура ТекстУведомленияОбИмпортеВвозеИзЕАЭСОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентУТ.ТекстУведомленияОбИмпортеВвозеИзЕАЭСОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ПараметрыОткрытияСпискаОтчетыОРозничныхПродажах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры открытия списка отчеты о розничных продажах.
//
// Возвращаемое значение:
//  Структура - Параметры открытия списка отчеты о розничных продажах:
// * ИмяФормы - Строка -
// * ОткрытьРаспоряжения - Булево -
// * ИмяПоляОтветственный - Строка -
// * ИмяПоляОрганизация - Строка -
Функция ПараметрыОткрытияСпискаОтчетыОРозничныхПродажах() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМКлиентУТ.ПараметрыОткрытияСпискаОтчетыОРозничныхПродажах() 
```
</details>

## ПараметрыОткрытияСпискаВозвратыТоваровОтРозничныхКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры открытия списка возвраты товаров от розничных клиентов.
//
// Параметры:
//  СтруктураВозврата см. ИнтеграцияИСВызовСервераУТ.ВозвратыТоваровОтРозничныхКлиентов
Процедура ПараметрыОткрытияСпискаВозвратыТоваровОтРозничныхКлиентов(СтруктураВозврата) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентУТ.ПараметрыОткрытияСпискаВозвратыТоваровОтРозничныхКлиентов(СтруктураВозврата) 
```
</details>

## ПараметрыОткрытияСпискаВозвратыТоваровОтРозничныхКлиентовЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры открытия списка возвраты товаров от розничных клиентов завершение.
//
// Параметры:
//  Результат - Структура
//  ДополнительныеПараметры - Произвольный
Процедура ПараметрыОткрытияСпискаВозвратыТоваровОтРозничныхКлиентовЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентУТ.ПараметрыОткрытияСпискаВозвратыТоваровОтРозничныхКлиентовЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ЗаявкаНаВыпускКиЗЗаказанныеКиЗПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заявка на выпуск ки з заказанные ки з при изменении.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  КэшированныеЗначения - Произвольный
//  Элемент - Произвольный
Процедура ЗаявкаНаВыпускКиЗЗаказанныеКиЗПриИзменении(Форма, КэшированныеЗначения, Элемент) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентУТ.ЗаявкаНаВыпускКиЗЗаказанныеКиЗПриИзменении(Форма, КэшированныеЗначения, Элемент) 
```
</details>

## ОткрытьФормуСпискаДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму списка документов.
//
// Параметры:
//  СписокДокументов - СписокЗначений из Произвольный
//  Заголовок - Строка
Процедура ОткрытьФормуСпискаДокументов(СписокДокументов, Заголовок) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентУТ.ОткрытьФормуСпискаДокументов(СписокДокументов, Заголовок) 
```
</details>

## ТоварыУведомлениеОбИмпортеНоменклатураКиЗПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Товары уведомление об импорте номенклатура ки з при изменении.
//
// Параметры:
//  ТекущаяСтрока - Произвольный
//  КэшированныеЗначения - Произвольный
Процедура ТоварыУведомлениеОбИмпортеНоменклатураКиЗПриИзменении(ТекущаяСтрока, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентУТ.ТоварыУведомлениеОбИмпортеНоменклатураКиЗПриИзменении(ТекущаяСтрока, КэшированныеЗначения) 
```
</details>

## ОткрытьПодборЗаказываемыхКиЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть подбор заказываемых ки З.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
Процедура ОткрытьПодборЗаказываемыхКиЗ(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияГИСМКлиентУТ.ОткрытьПодборЗаказываемыхКиЗ(Форма) 
```
</details>

## ИсточникВыбораЭтоФормаПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Источник выбора это форма подбора.
//
// Параметры:
//  ИсточникВыбора - ФормаКлиентскогоПриложения
//
// Возвращаемое значение:
//  Булево - Источник выбора это форма подбора
Функция ИсточникВыбораЭтоФормаПодбора(ИсточникВыбора) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияГИСМКлиентУТ.ИсточникВыбораЭтоФормаПодбора(ИсточникВыбора) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
