---
title: Интеграция ЕГАИС вызов сервера
slug: erp-uh/интеграция-егаис-вызов-сервера
---


## ИменаДокументовДляДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имена документов ЕГАИС, основанием для которых может являться указанный документ.
//
// Параметры:
//   ДокументОснование - ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовЕГАИС - документ-основание для документа ЕГАИС
//
// Возвращаемое значение:
//   Массив из Строка - имена документов ЕГАИС
//
Функция ИменаДокументовДляДокументаОснования(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ИменаДокументовДляДокументаОснования(ДокументОснование) 
```
</details>

## ПоследнееСообщение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. Справочники.ЕГАИСПрисоединенныеФайлы.ПоследнееСообщение
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется получить сообщение.
//  ТипПоследнегоСообщения - Строка - тип требуемого сообщения обмена.
//
// Возвращаемое значение:
//  Справочникссылка.ЕГАИСПрисоединенныеФайлы - сообщение обмена.
//
Функция ПоследнееСообщение(ДокументСсылка, ТипПоследнегоСообщения = "СОшибкой") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ПоследнееСообщение(ДокументСсылка, ТипПоследнегоСообщения);
```
</details>

## АрхивироватьРаспоряженияКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АрхивироватьРаспоряженияКОформлению(Основания, Документ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.АрхивироватьРаспоряженияКОформлению(Основания, Документ) 
```
</details>

## АрхивироватьДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АрхивироватьДокументы(ДокументыКАрхивированию) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.АрхивироватьДокументы(ДокументыКАрхивированию) 
```
</details>

## ЗапросПроверкиПодключенияКУТМКПередачеXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует запрос для проверки подключения к УТМ.
//
// Возвращаемое значение:
//  Массив Из (См. ОбменДаннымиЕГАИС.СтруктураСообщенияXML) - Сообщения, к передаче в ЕГАИС.
//
Функция ЗапросПроверкиПодключенияКУТМКПередачеXML() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ЗапросПроверкиПодключенияКУТМКПередачеXML() 
```
</details>

## ЗапросПроверкиМарокНаОстаткахОрганизацииКПередачеXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив сообщений в формате XML к передаче в УТМ.
//
// Параметры:
//  ОрганизацииЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организация ЕГАИС для которой выполняется запрос.
//  АкцизныеМарки - Массив Из Строка - Акцизные марки для проверки.
//
// Возвращаемое значение:
//  Массив Из (См. ОбменДаннымиЕГАИС.СтруктураСообщенияXML) - Сообщения, к передаче в ЕГАИС.
//
Функция ЗапросПроверкиМарокНаОстаткахОрганизацииКПередачеXML(ОрганизацияЕГАИС, АкцизныеМарки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ЗапросПроверкиМарокНаОстаткахОрганизацииКПередачеXML(ОрганизацияЕГАИС, АкцизныеМарки) 
```
</details>

## ЗапросДанныхТТНКПередачеXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив сообщений в формате XML к передаче в УТМ.
//
// Параметры:
//  ОрганизацииЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организация ЕГАИС для которой выполняется запрос.
//  ИдентификаторТТН - Строка - Идентификатор запрашиваемой ТТН.
//
// Возвращаемое значение:
//  Массив Из (См. ОбменДаннымиЕГАИС.СтруктураСообщенияXML) - Сообщения, к передаче в ЕГАИС.
//
Функция ЗапросДанныхТТНКПередачеXML(ОрганизацияЕГАИС, ИдентификаторТТН) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ЗапросДанныхТТНКПередачеXML(ОрганизацияЕГАИС, ИдентификаторТТН) 
```
</details>

## ЗапросДанныхСправкиКПередачеXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив сообщений в формате XML к передаче в УТМ.
//
// Параметры:
//  ОрганизацииЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организация ЕГАИС для которой выполняется запрос.
//  Операция - ПеречислениеСсылка.ВидыДокументовЕГАИС - Запрашиваемые данные.
//   Возможные значения:
//     Перечисление.ВидыДокументовЕГАИС.ЗапросСправки1.
//     Перечисление.ВидыДокументовЕГАИС.ЗапросСправки2.
//  РегистрационныйНомер - Строка - Регистрационный номер запрашиваемой справки.
//
// Возвращаемое значение:
//  Массив Из (См. ОбменДаннымиЕГАИС.СтруктураСообщенияXML) - Сообщения, к передаче в ЕГАИС.
//
Функция ЗапросДанныхСправкиКПередачеXML(ОрганизацияЕГАИС, Операция, РегистрационныйНомер) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ЗапросДанныхСправкиКПередачеXML(ОрганизацияЕГАИС, Операция, РегистрационныйНомер) 
```
</details>

## ПодготовитьЗапросПроверкиПодключенияКУТМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает запрос проверки подключения к УТМ.
//
// Параметры:
//  АдресУТМ - Строка - IP адрес УТМ.
//  ПортУТМ - Число - Порт
//  Таймаут - Число - Количество секунд таймаута.
//  ОбменНаСервере - Булево - Признак проверки подключения на сервере.
//
// Возвращаемое значение:
//  (См. ОбменДаннымиЕГАИСВызовСервера.ПодготовитьСообщенияКПередаче)
//
Функция ПодготовитьЗапросПроверкиПодключенияКУТМ(АдресУТМ, ПортУТМ, Таймаут, ОбменНаСервере, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ПодготовитьЗапросПроверкиПодключенияКУТМ(АдресУТМ, ПортУТМ, Таймаут, ОбменНаСервере, ИдентификаторВладельца);
```
</details>

## ПодготовитьЗапросПроверкиАкцизныхМарокНаОстаткахОрганизацииКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку запроса проверки акцизных марок на остатках организации к передаче и
// передает запрос в ЕГАИС, если есть действующее подключение к УТМ.
//
// Параметры:
//  ОрганизацииЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организация ЕГАИС для которой выполняется запрос.
//  АкцизныеМарки - Массив Из Строка - Акцизные марки для проверки.
//  ИдентификаторВладельца - УникальныйИдентификатор - Уникальный идентификатор формы для сообщений обмена.
//
// Возвращаемое значение:
//  см. ОбменДаннымиЕГАИСВызовСервера.ПодготовитьСообщенияКПередаче
//
Функция ПодготовитьЗапросПроверкиАкцизныхМарокНаОстаткахОрганизацииКПередаче(ОрганизацияЕГАИС, АкцизныеМарки, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ПодготовитьЗапросПроверкиАкцизныхМарокНаОстаткахОрганизацииКПередаче(ОрганизацияЕГАИС, АкцизныеМарки, ИдентификаторВладельца);
```
</details>

## ПодготовитьЗапросДанныхТТНКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку запроса ТТН к передаче и
// передает запрос в ЕГАИС, если есть действующее подключение к УТМ.
//
// Параметры:
//  ОрганизацииЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организация ЕГАИС для которой выполняется запрос.
//  ИдентификаторТТН - Строка - Идентификатор запрашиваемой ТТН.
//  ИдентификаторВладельца - УникальныйИдентификатор - Уникальный идентификатор формы для сообщений обмена
//
// Возвращаемое значение:
//  см. ОбменДаннымиЕГАИСВызовСервера.ПодготовитьСообщенияКПередаче
//
Функция ПодготовитьЗапросДанныхТТНКПередаче(ОрганизацияЕГАИС, ИдентификаторТТН, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ПодготовитьЗапросДанныхТТНКПередаче(ОрганизацияЕГАИС, ИдентификаторТТН, ИдентификаторВладельца);
```
</details>

## ПодготовитьЗапросДанныхСправкиКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку запроса данных справки по ее регистрационному номеру к передаче и
// передает запрос в ЕГАИС, если есть действующее подключение к УТМ.
//
// Параметры:
//  ОрганизацииЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организация ЕГАИС для которой выполняется запрос.
//  Операция - ПеречислениеСсылка.ВидыДокументовЕГАИС - Запрашиваемые данные.
//   Возможные значения:
//     Перечисление.ВидыДокументовЕГАИС.ЗапросСправки1.
//     Перечисление.ВидыДокументовЕГАИС.ЗапросСправки2.
//  РегистрационныйНомер - Строка - Регистрационный номер запрашиваемой справки.
//  ИдентификаторВладельца - УникальныйИдентификатор - Уникальный идентификатор формы для сообщений обмена
//
// Возвращаемое значение:
//  См. ОбменДаннымиЕГАИСВызовСервера.ПодготовитьСообщенияКПередаче
Функция ПодготовитьЗапросДанныхСправкиКПередаче(ОрганизацияЕГАИС, Операция, РегистрационныйНомер, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ПодготовитьЗапросДанныхСправкиКПередаче(ОрганизацияЕГАИС, Операция, РегистрационныйНомер, ИдентификаторВладельца);
```
</details>

## ИнформироватьОбОшибкеВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись ошибки сканирования и проверки в журнал регистрации, добавляя имя события ЕГАИС.
//    Оповещает пользователя об ошибке.
// Параметры:
//  Шаблон				 - Строка - многоязычный шаблон сообщения (с 2 параметрами)
//  Ссылка				 - ДокументСсылка - документ в котором произошла ошибка
//  ПредставлениеОшибки	 - Строка - представление ошибки.
//
Процедура ИнформироватьОбОшибкеВДокументе(Шаблон, Ссылка, ПредставлениеОшибки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСВызовСервера.ИнформироватьОбОшибкеВДокументе(Шаблон, Ссылка, ПредставлениеОшибки) 
```
</details>

## ПриПолученииФормыСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события вызывается на сервере при получении стандартной управляемой формы.
// Если требуется переопределить выбор открываемой формы, необходимо установить в параметре <ВыбраннаяФорма>
// другое имя формы или объект метаданных формы, которую требуется открыть, и в параметре <СтандартнаяОбработка>
// установить значение Ложь.
//
// Параметры:
//  ИмяСправочника - Строка - имя справочника, для которого открывается форма,
//  ВидФормы - Строка - имя стандартной формы,
//  Параметры - Структура - параметры формы,
//  ВыбраннаяФорма - Строка, ФормаКлиентскогоПриложения - содержит имя открываемой формы или объект метаданных Форма,
//  ДополнительнаяИнформация - Структура - дополнительная информация открытия формы,
//  СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//
Процедура ПриПолученииФормыСправочника(ИмяСправочника, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСВызовСервера.ПриПолученииФормыСправочника(ИмяСправочника, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) 
```
</details>

## ПриПолученииФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события вызывается на сервере при получении стандартной управляемой формы.
// Если требуется переопределить выбор открываемой формы, необходимо установить в параметре <ВыбраннаяФорма>
// другое имя формы или объект метаданных формы, которую требуется открыть, и в параметре <СтандартнаяОбработка>
// установить значение Ложь.
//
// Параметры:
//  ИмяДокумента - Строка - имя документа, для которого открывается форма,
//  ВидФормы - Строка - имя стандартной формы,
//  Параметры - Структура - параметры формы,
//  ВыбраннаяФорма - Строка, ФормаКлиентскогоПриложения - содержит имя открываемой формы или объект метаданных Форма,
//  ДополнительнаяИнформация - Структура - дополнительная информация открытия формы,
//  СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//
Процедура ПриПолученииФормыДокумента(ИмяДокумента, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСВызовСервера.ПриПолученииФормыДокумента(ИмяДокумента, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) 
```
</details>

## ПриПолученииФормыРегистраСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события вызывается на сервере при получении стандартной управляемой формы.
// Если требуется переопределить выбор открываемой формы, необходимо установить в параметре <ВыбраннаяФорма>
// другое имя формы или объект метаданных формы, которую требуется открыть, и в параметре <СтандартнаяОбработка>
// установить значение Ложь.
//
// Параметры:
//  ИмяРегистра - Строка - имя регистра сведений, для которого открывается форма,
//  ВидФормы - Строка - имя стандартной формы,
//  Параметры - Структура - параметры формы,
//  ВыбраннаяФорма - Строка, ФормаКлиентскогоПриложения - содержит имя открываемой формы или объект метаданных Форма,
//  ДополнительнаяИнформация - Структура - дополнительная информация открытия формы,
//  СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//
Процедура ПриПолученииФормыРегистраСведений(ИмяРегистра, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСВызовСервера.ПриПолученииФормыРегистраСведений(ИмяРегистра, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) 
```
</details>

## РеквизитыАлкогольнойПродукцииДляСозданияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает реквизиты алкогольной продукции для создания номенклатуры.
//
// Параметры:
//  АлкогольнаяПродукция - СправочникСсылка.КлассификаторАлкогольнойПродукцииЕГАИС - Алкогольная продукция.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * ВидАлкогольнойПродукцииЕГАИС - СправочникСсылка.ВидыАлкогольнойПродукции - Вид алкогольной продукции.
//   * НаименованиеНоменклатурыЕГАИС - Строка - Наименование номенклатуры.
//   * ПолноеНаименованиеНоменклатурыЕГАИС - Строка - Полное наименование номенклатуры.
//   * КрепостьЕГАИС - Число - Крепость.
//   * ОбъемЕГАИС - Число - Объем.
//   * ИмпортерЕГАИС  - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Производитель.
//   * ПроизводительЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Производитель.
//
Функция РеквизитыАлкогольнойПродукцииДляСозданияНоменклатуры(АлкогольнаяПродукция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.РеквизитыАлкогольнойПродукцииДляСозданияНоменклатуры(АлкогольнаяПродукция) 
```
</details>

## ВозможныеТТНЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает возможные ТТН ЕГАИС для связи с прикладным документом поступления
//
// Параметры:
//   Организация - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - организация-ключ поиска
//   Склад       - ОпределяемыйТип.ТорговыйОбъектЕГАИС        - торговый объект-ключ поиска
//   Контрагент  - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - грузоотправитель/поставщик-ключ поиска
//
// Возвращаемое значение:
//   Массив Из ДокументСсылка.ТТНВходящаяЕГАИС - подходящие под указанные фильтры ТТН входящие ЕГАИС, еще не
//   связанные с прикладными документами.
//
Функция ВозможныеТТНЕГАИС(Организация, Склад, Контрагент) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ВозможныеТТНЕГАИС(Организация, Склад, Контрагент) 
```
</details>

## НайтиТТНЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные ТТН ЕГАИС по введенным реквизитам приобретения (контрагенту, входящим номеру и дате)
//   В случае отсутствия или множественного результата возвращает пустую структуру.
//
// Параметры:
//   Контрагент - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - контрагент документа приобретения
//   НомерТТН   - Строка                                     - номер входящего документа (ТТН)
//   ДатаТТН    - Дата                                       - дата входящего документа (ТТН)
//
// Возвращаемое значение:
//   Структура - реквизиты найденной ТТН ЕГАИС (если подходящая ТТН одна):
// * ТребуетсяСвязатьОрганизацию - Булево - признак сопоставленности организации из ТТН ЕГАИС
// * ОрганизацияЕГАИС            - СправочникСсылка.КлассификаторОрганизацийЕГАИС - организация из ТТН ЕГАИС
// * ДатаТТН                     - Дата   - дата найденной ТТН
// * НомерТТН                    - Строка - номер найденной ТТН
// * Ссылка                      - ДокументСсылка.ТТНВходящаяЕГАИС - найденная ТТН
//
Функция НайтиТТНЕГАИС(Контрагент, НомерТТН, ДатаТТН) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.НайтиТТНЕГАИС(Контрагент, НомерТТН, ДатаТТН) 
```
</details>

## ТекстДокументаЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет форматированную строку (связи с документами ЕГАИС) для формы прикладного документа со статусом оформления ЕГАИС
//
// Параметры:
//   Ссылка - ДокументСсылка - ссылка на прикладной документ
//
// Возвращаемое значение:
//   ФорматированнаяСтрока, Строка - Описание доступных действий ЕГАИС
Функция ТекстДокументаЕГАИС(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.ТекстДокументаЕГАИС(Ссылка) 
```
</details>

## УчитываемыеВидыМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Учитываемые виды маркируемой продукции.
//
// Возвращаемое значение:
//  ФиксированныйМассив - Учитываемые виды маркируемой продукции
Функция УчитываемыеВидыМаркируемойПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервера.УчитываемыеВидыМаркируемойПродукции() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
