---
title: Интеграция ЕГАИС вызов сервера УТ
slug: erp-uh/интеграция-егаис-вызов-сервера-ут
---


## ТекстДокументаЕГАИСВПриобретенииТоваровВРаботе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстДокументаЕГАИСВПриобретенииТоваровВРаботе(ТТНВходящаяЕГАИС) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервераУТ.ТекстДокументаЕГАИСВПриобретенииТоваровВРаботе(ТТНВходящаяЕГАИС) 
```
</details>

## ТекстДокументаЕГАИСВПриобретенииТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет форматированную строку (связи с документами ЕГАИС) для формы документа Приобретение товаров услуг
//
// Параметры:
//   Объект - ДанныеФормыКоллекция - редактируемый в форме документ приобретения
//
// Возвращаемое значение:
//   ФорматированнаяСтрока, Строка - Описание доступных действий ЕГАИС
Функция ТекстДокументаЕГАИСВПриобретенииТоваров(Знач Объект, ТТНВходящаяЕГАИС) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервераУТ.ТекстДокументаЕГАИСВПриобретенииТоваров(Объект, ТТНВходящаяЕГАИС) 
```
</details>

## ПроверитьСопоставлениеКлассификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить сопоставление классификаторов
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ, для которого необходимо проверить соответствие классификаторов.
//  УникальныйИдентификатор - УникальныйИдентификатор - Идентификатор формы открытого документа.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   *ЕстьНеСопоставленныеТовары - Булево - Признак наличия несопоставленных товаров.
//   *НеСопоставленныеТовары - Строка - Адрес по временном хранилище.
//
Функция ПроверитьСопоставлениеКлассификаторов(ДокументСсылка, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервераУТ.ПроверитьСопоставлениеКлассификаторов(ДокументСсылка, УникальныйИдентификатор) 
```
</details>

## ТипСклада
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает тип склада.
//
// Параметры:
//  Склад - СправочникСсылка.Склады - склад для которого необходимо получить тип.
//
// Возвращаемое значение:
//   СправочникСсылка.Контрагенты - контрагент партнера по умолчанию.
//
Функция ТипСклада(Склад) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервераУТ.ТипСклада(Склад) 
```
</details>

## ПолучитьКонтрагентаПартнераПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает контрагента по умолчанию.
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры - партнер для которого необходимо получить контрагента.
//
// Возвращаемое значение:
//   СправочникСсылка.Контрагенты - контрагент партнера по умолчанию.
//
Функция ПолучитьКонтрагентаПартнераПоУмолчанию(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСВызовСервераУТ.ПолучитьКонтрагентаПартнераПоУмолчанию(Партнер) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
