---
title: Интеграция егаисисм п
slug: erp-uh/интеграция-егаисисм-п
---


## ДоступнаРаботаСКодамиМаркировкиИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Доступна работа с кодами маркировки пива.
//
// Параметры:
//  Отказ - Булево - Отказ от открытия форм связанных с производством/импортом пива
//
// Возвращаемое значение:
//  Булево - Доступна работа с кодами маркировки ИСМП (пива, слабоалкогольной продукции)
//
Функция ДоступнаРаботаСКодамиМаркировкиИСМП(Отказ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСИСМП.ДоступнаРаботаСКодамиМаркировкиИСМП(Отказ);
```
</details>

## ДопустимыеВидыПродукцииИмпортаПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Допустимые виды продукции, которые можно указать в документе импорта или производства ЕГАИС.
//
// Параметры:
//  Сырье - Булево - для табличной части Сырья
//
// Возвращаемое значение:
//  Массив Из ПеречислениеСсылка.ВидыПродукцииИС - Допустимые виды продукции импорта производства
Функция ДопустимыеВидыПродукцииИмпортаПроизводства(Сырье = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСИСМП.ДопустимыеВидыПродукцииИмпортаПроизводства(Сырье);
```
</details>

## СформироватьДанныеДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать данные документа основания.
//
// Параметры:
//  ТаблицаДанныхДокументаОснования - ТаблицаЗначений - Таблица данных документа основания
//  ДокументОснование - ЛюбаяСсылка - Документ основание
//  ДанныеСформированы - Булево - Данные сформированы
Процедура СформироватьДанныеДокументаОснования(ТаблицаДанныхДокументаОснования, ДокументОснование, ДанныеСформированы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСИСМП.СформироватьДанныеДокументаОснования(ТаблицаДанныхДокументаОснования, ДокументОснование, ДанныеСформированы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
