---
title: Интеграция ЕГАИС клиент
slug: erp-uh/интеграция-егаис-клиент
---


## ПараметрыПроверкиИПодбораАлкогольнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыПроверкиИПодбораАлкогольнойПродукции(ОрганизацияЕГАИС = Неопределено, ПроверяемыйДокумент = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиент.ПараметрыПроверкиИПодбораАлкогольнойПродукции(ОрганизацияЕГАИС, ПроверяемыйДокумент);
```
</details>

## ПодготовитьСообщенияКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд по выполнению требуемого дальнейшего действия в динамических списках
//
// Параметры:
//  ДинамическийСписок - ТаблицаФормы - список в котором выполняется команда
//  ПараметрыПередачи - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюЕГАИС - действие, которое будет выполнено.
//                    - См. ИнтеграцияИСКлиентСервер.ИнициализироватьПараметрыПередачиДанных
Процедура ПодготовитьСообщенияКПередаче(ДинамическийСписок, ПараметрыПередачи) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ПодготовитьСообщенияКПередаче(ДинамическийСписок, ПараметрыПередачи) 
```
</details>

## ПодготовитьСообщенияКПередачеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения процедуры ПодготовитьСообщенияКПередаче.
//
// Параметры:
//  Контекст - Структура - контекст выполнения обработчика:
//   * МассивДокументов - массив - список ссылок на обрабатываемые документы,
//   * НепроведенныеДокументы - массив - документы, исключенные из обработки,
//   * ДинамическийСписок - ЭлементФормы - список в котором выполняется команда,
//   * ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюЕГАИС - действие, которое будет выполнено.
//
Процедура ПодготовитьСообщенияКПередачеЗавершение(Контекст, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ПодготовитьСообщенияКПередачеЗавершение(Контекст, ДополнительныеПараметры);
```
</details>

## ПроверкаМинимальныхЦенЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает ответ пользователя в случае нарушения минимальных цен
//
// Параметры:
//  РезультатВопроса - КодВозвратаДиалога - выбранный пользователем ответ,
//  ДополнительныеПараметры - Структура
//
Процедура ПроверкаМинимальныхЦенЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ПроверкаМинимальныхЦенЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ПодготовитьСообщенияКПередачеПослеПроверкиМинимальныхЦенЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение подготовки сообщений к передаче.
//
// Параметры:
//  Контекст - Структура - контекст выполнения обработчика:
//   * МассивДокументов - массив - список ссылок на обрабатываемые документы,
//   * НепроведенныеДокументы - массив - документы, исключенные из обработки,
//   * ДинамическийСписок - ЭлементФормы - список в котором выполняется команда,
//   * ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюЕГАИС - действие, которое будет выполнено.
//
Процедура ПодготовитьСообщенияКПередачеПослеПроверкиМинимальныхЦенЗавершение(Контекст, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ПодготовитьСообщенияКПередачеПослеПроверкиМинимальныхЦенЗавершение(Контекст, ДополнительныеПараметры);
```
</details>

## АрхивироватьДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование документов.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьДокументы(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.АрхивироватьДокументы(Результат, ДополнительныеПараметры) 
```
</details>

## АрхивироватьРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование распоряжений к оформлению.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) 
```
</details>

## ПроверитьВходящиеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку наличия входящих документов в УТМ.
//
// Параметры:
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
//     В результат передается массив структур, см. функцию ОбменДаннымиЕГАИССлужебныйКлиент.НоваяСтруктураСписокВходящихДокументов().
//  ОрганизацииЕГАИС - Неопределено, Массив, СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организации ЕГАИС, по которым необходимо выполнить обмен.
//  ИдентификаторВладельца - УникальныйИдентификатор - Уникальный идентификатор формы для сообщений обмена
//
Процедура ПроверитьВходящиеДокументы(ОповещениеПриЗавершении, ОрганизацииЕГАИС, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ПроверитьВходящиеДокументы(ОповещениеПриЗавершении, ОрганизацииЕГАИС, ИдентификаторВладельца);
```
</details>

## ПодготовитьЗапросПроверкиАкцизныхМарокНаОстаткахОрганизацииКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку запроса данных классификаторов ЕГАИС к передаче и
// передает запрос в ЕГАИС, если есть действующее подключение к УТМ.
//
// Параметры:
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
//     В результат передается массив структур Изменения, см. функцию ИнтеграцияЕГАИСКлиентСервер.СтруктураИзменения().
//  ОрганизацииЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организация ЕГАИС для которой выполняется запрос.
//  АкцизныеМарки - Массив Из Строка - Акцизные марки для проверки.
//  ИдентификаторВладельца - УникальныйИдентификатор - Уникальный идентификатор формы для сообщений обмена
//
Процедура ПодготовитьЗапросПроверкиАкцизныхМарокНаОстаткахОрганизацииКПередаче(ОповещениеПриЗавершении, ОрганизацияЕГАИС, АкцизныеМарки, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ПодготовитьЗапросПроверкиАкцизныхМарокНаОстаткахОрганизацииКПередаче(ОповещениеПриЗавершении, ОрганизацияЕГАИС, АкцизныеМарки, ИдентификаторВладельца);
```
</details>

## ПодготовитьЗапросДанныхТТНКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку запроса ТТН к передаче и
// передает запрос в ЕГАИС, если есть действующее подключение к УТМ.
//
// Параметры:
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
//     В результат передается массив структур Изменения, см. функцию ИнтеграцияЕГАИСКлиентСервер.СтруктураИзменения().
//  ОрганизацииЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организация ЕГАИС для которой выполняется запрос.
//  ИдентификаторТТН - Строка - Идентификатор запрашиваемой ТТН.
//  ИдентификаторВладельца - УникальныйИдентификатор - Уникальный идентификатор формы для сообщений обмена
//
Процедура ПодготовитьЗапросДанныхТТНКПередаче(ОповещениеПриЗавершении, ОрганизацияЕГАИС, ИдентификаторТТН, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ПодготовитьЗапросДанныхТТНКПередаче(ОповещениеПриЗавершении, ОрганизацияЕГАИС, ИдентификаторТТН, ИдентификаторВладельца);
```
</details>

## ПодготовитьЗапросДанныхСправкиКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку запроса данных справки по ее регистрационному номеру к передаче и
// передает запрос в ЕГАИС, если есть действующее подключение к УТМ.
//
// Параметры:
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
//     В результат передается массив структур Изменения, см. функцию ОбменДаннымиЕГАИСКлиентСервер.СтруктураИзменения().
//  ОрганизацииЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организация ЕГАИС для которой выполняется запрос.
//  Операция - ПеречислениеСсылка.ВидыДокументовЕГАИС - Запрашиваемые данные.
//   Возможные значения:
//     Перечисление.ВидыДокументовЕГАИС.ЗапросСправки1.
//     Перечисление.ВидыДокументовЕГАИС.ЗапросСправки2.
//  РегистрационныйНомер - Строка - Регистрационный номер запрашиваемой справки.
//  ИдентификаторВладельца - УникальныйИдентификатор - Уникальный идентификатор формы для сообщений обмена
//
Процедура ПодготовитьЗапросДанныхСправкиКПередаче(ОповещениеПриЗавершении, ОрганизацияЕГАИС, Операция, РегистрационныйНомер, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ПодготовитьЗапросДанныхСправкиКПередаче(ОповещениеПриЗавершении, ОрганизацияЕГАИС, Операция, РегистрационныйНомер, ИдентификаторВладельца);
```
</details>

## ПроверитьПодключениеКУТМНемедленно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку подключения к УТМ.
//
// Параметры:
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
//     В результат передается массив структур Изменения, см. функцию ИнтеграцияЕГАИСКлиентСервер.СтруктураИзменения().
//  АдресУТМ - Строка - IP адрес УТМ.
//  ПортУТМ - Число - Порт
//  Таймаут - Число - Количество секунд таймаута.
//  ОбменНаСервере - Булево - Признак проверки подключения на сервере.
//  ИдентификаторВладельца - УникальныйИдентификатор - Уникальный идентификатор формы для сообщений обмена
//
Процедура ПроверитьПодключениеКУТМНемедленно(ОповещениеПриЗавершении, АдресУТМ, ПортУТМ, Таймаут, ОбменНаСервере, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ПроверитьПодключениеКУТМНемедленно(ОповещениеПриЗавершении, АдресУТМ, ПортУТМ, Таймаут, ОбменНаСервере, ИдентификаторВладельца);
```
</details>

## ОткрытьФормуСопоставленияАлкогольнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму сопоставления алкогольной продукции с номенклатурой предприятия.
//
// Параметры:
//  АлкогольнаяПродукция - СправочникСсылка.КлассификаторАлкогольнойПродукцииЕГАИС - Сопоставляемая алкогольная продукция.
//  Владелец - ФормаКлиентскогоПриложения, Неопределено - Форма-владелец.
//  НоменклатураДляВыбора - Массив - массив номенклатуры для быстрого выбора.
//
Процедура ОткрытьФормуСопоставленияАлкогольнойПродукции(АлкогольнаяПродукция, Владелец, НоменклатураДляВыбора = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ОткрытьФормуСопоставленияАлкогольнойПродукции(АлкогольнаяПродукция, Владелец, НоменклатураДляВыбора);
```
</details>

## ВыполнитьКомандуПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает обработчик печати переданной команды.
//
// Параметры:
//  ОписаниеКоманды - Структура - Описание команды
//
// Возвращаемое значение:
//  Неопределено - Выполнить команду печати
Функция ВыполнитьКомандуПечати(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиент.ВыполнитьКомандуПечати(ОписаниеКоманды) 
```
</details>

## ПечатьОстаткиЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит печатную форму документа Остатки ЕГАИС.
//
// Параметры:
//  ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//  Неопределено - Печать остатки ЕГАИС
Функция ПечатьОстаткиЕГАИС(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиент.ПечатьОстаткиЕГАИС(ОписаниеКоманды) 
```
</details>

## ПечатьИсторияСправок2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит печатную форму отчета История справок 2.
//
// Параметры:
//  ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//  Неопределено - Печать история справок2
Функция ПечатьИсторияСправок2(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиент.ПечатьИсторияСправок2(ОписаниеКоманды) 
```
</details>

## СообщитьОЗавершенииЗаполненияСправок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение о результате заполнения справок 2 табличной части документа.
//
// Параметры:
//  СправкиЗаполнены - Булево - признак успешного заполнения справок,
//  Регистр2 - Булево - признак заполнения возврата алкогольной продукции из регистра №2.
//
Процедура СообщитьОЗавершенииЗаполненияСправок(СправкиЗаполнены, Регистр2 = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.СообщитьОЗавершенииЗаполненияСправок(СправкиЗаполнены, Регистр2);
```
</details>

## ОповеститьОбОкончанииЗаполненияСерийВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Показывает оповещение пользователя об окончании заполнения серий
//
// Параметры:
//	СерииЗаполнены - Булево - Признак успешного заполнения серий
//	СписокОшибок - Неопределено, Структура - Список ошибок
//
Процедура ОповеститьОбОкончанииЗаполненияСерийВДокументе(СерииЗаполнены, СписокОшибок) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ОповеститьОбОкончанииЗаполненияСерийВДокументе(СерииЗаполнены, СписокОшибок) 
```
</details>

## ОткрытьФормуСпискаВскрытыхПотребительскихУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму списка вскрытых потребительских упаковок.
//
// Параметры:
//  ПараметрыОткрытия - см. ИнтеграцияИСКлиент.ПараметрыОткрытияФормыСпискаПотребительскихУпаковок
Процедура ОткрытьФормуСпискаВскрытыхПотребительскихУпаковок(ПараметрыОткрытия) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиент.ОткрытьФормуСпискаВскрытыхПотребительскихУпаковок(ПараметрыОткрытия) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
