---
title: Интеграция ЕГАИС клиент сервер
slug: erp-uh/интеграция-егаис-клиент-сервер
---


## ИмяПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиентСервер.ИмяПодсистемы() 
```
</details>

## ПредставлениеПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиентСервер.ПредставлениеПодсистемы() 
```
</details>

## Комментарии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Комментарии строки документов импорта/производства:
//
// Параметры:
//  Источник - СтрокаТабличнойЧасти - Текущая строка
//           - ФормаКлиентскогоПриложения - Форма уточнения группы реквизитов
//           - Структура - Данные строки структурой
//
// Возвращаемое значение:
//  Структура - Комментарии строки документов импорта/производства:
//   * Комментарий1 - Строка - комментарий 1
//   * Комментарий2 - Строка - комментарий 2
//   * Комментарий3 - Строка - комментарий 3
Функция Комментарии(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиентСервер.Комментарии(Источник) 
```
</details>

## ПредставлениеКомментариев
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление комментариев строки документов импорта/производства:
//
// Параметры:
//  Источник - СтрокаТабличнойЧасти - Текущая строка с реквизитами:
//    Комментарий1 - ОпределяемыйТип.Строка200ЕГАИС - комментарий 1
//    Комментарий2 - ОпределяемыйТип.Строка200ЕГАИС - комментарий 2
//    Комментарий3 - ОпределяемыйТип.Строка200ЕГАИС - комментарий 3
//
// Возвращаемое значение:
//  Строка - Представление комментарииев строки документов импорта/производства.
Функция ПредставлениеКомментариев(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиентСервер.ПредставлениеКомментариев(Источник) 
```
</details>

## Крепость
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Крепость строки документов импорта/производства:
//
// Параметры:
//  Источник - Произвольный - Источник данных о крепости с полями:
//   * Крепость   - Число - крепость
//   * КрепостьОт - Число - минимальная крепость
//   * КрепостьДо - Число - максимальная крепость
//
// Возвращаемое значение:
//  Структура - крепость строки документов импорта/производства:
//   * Крепость   - Число - крепость
//   * КрепостьОт - Число - минимальная крепость
//   * КрепостьДо - Число - максимальная крепость
Функция Крепость(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиентСервер.Крепость(Источник) 
```
</details>

## ПредставлениеКрепости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление крепости строки документов импорта/производства:
//
// Параметры:
//  Источник - СтрокаТабличнойЧасти - Текущая строка с реквизитами:
//   * Крепость   - Число - крепость
//   * КрепостьОт - Число - минимальная крепость
//   * КрепостьДо - Число - максимальная крепость
//
// Возвращаемое значение:
//  Строка - Представление крепости строки документов импорта/производства.
Функция ПредставлениеКрепости(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиентСервер.ПредставлениеКрепости(Источник) 
```
</details>

## ОкруглитьКоличествоДляУпакованнойПродукцииСУчетомУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Округляет вниз количество для упакованной алкогольной продукции до целого. Для поля
//    "Количество упаковок" выполняется дополнительная проверка (на совпадение с полем "Количество")
//
// Параметры:
//   ДанныеСтроки               - ДанныеФормыСтруктура - редактируемая строка
//   ПолеНеупакованнаяПродукция - Строка               - реквизит "Неупакованная продукция"
//   ПоляКоличество             - Строка               - реквизиты к округлению (через запятую)
//   ПолеДоступноДробноеКоличество- Строка - путь к данным значения "Доступно указание дробного количествав для алкогольной продукции"
//
Процедура ОкруглитьКоличествоДляУпакованнойПродукцииСУчетомУпаковок(ДанныеСтроки, ПолеНеупакованнаяПродукция, Знач ПоляКоличество, ПолеДоступноДробноеКоличество = "") Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиентСервер.ОкруглитьКоличествоДляУпакованнойПродукцииСУчетомУпаковок(ДанныеСтроки, ПолеНеупакованнаяПродукция, ПоляКоличество, ПолеДоступноДробноеКоличество);
```
</details>

## ОкруглитьКоличествоДляУпакованнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Округляет вниз количество для упакованной алкогольной продукции до целого
//
// Параметры:
//   ДанныеСтроки               - ДанныеФормыСтруктура - редактируемая строка
//   ПолеНеупакованнаяПродукция - Строка               - реквизит "Неупакованная продукция"
//   ПоляКоличество             - Строка               - реквизиты к округлению (через запятую)
//   ПолеДоступноДробноеКоличество - Строка - путь к данным значения "Доступно указание дробного количествав для алкогольной продукции"
//
Процедура ОкруглитьКоличествоДляУпакованнойПродукции(ДанныеСтроки, ПолеНеупакованнаяПродукция, Знач ПоляКоличество, ПолеДоступноДробноеКоличество = "") Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиентСервер.ОкруглитьКоличествоДляУпакованнойПродукции(ДанныеСтроки, ПолеНеупакованнаяПродукция, ПоляКоличество, ПолеДоступноДробноеКоличество);
```
</details>

## НастроитьОтборПоОрганизацииЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастроитьОтборПоОрганизацииЕГАИС(Форма, Результат, Префикс = Неопределено, Знач ЗначениеПрефиксы = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСКлиентСервер.НастроитьОтборПоОрганизацииЕГАИС(Форма, Результат, Префикс, ЗначениеПрефиксы);
```
</details>

## ЭтоВыборСправки2ЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это выбор справки2 ЕГАИС.
//
// Параметры:
//  ВыбранноеЗначение - Произвольный
//
// Возвращаемое значение:
//  Булево - Это выбор справки2 ЕГАИС
Функция ЭтоВыборСправки2ЕГАИС(ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЕГАИСКлиентСервер.ЭтоВыборСправки2ЕГАИС(ВыбранноеЗначение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
