---
title: Интеграция ЕГАИС переопределяемый
slug: erp-uh/интеграция-егаис-переопределяемый
---


## СформироватьГиперссылкуСмТакжеВРаботе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует гиперссылку на документ библиотеки в журналах документов УТ
//
// Параметры:
//  Параметры        - Структура                           - параметры формирования гиперссылки
//  ОбъектМетаданных - ОбъектМетаданныхДокумент            - тип метаданных для гиперссылки
//  Гиперссылка      - ФорматированнаяСтрока, Неопределено - результат формирования гиперссылки
Процедура СформироватьГиперссылкуСмТакжеВРаботе(Параметры, ОбъектМетаданных, Гиперссылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.СформироватьГиперссылкуСмТакжеВРаботе(Параметры, ОбъектМетаданных, Гиперссылка) 
```
</details>

## ПриЗагрузкеАлкогольнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при загрузке после записи алкогольной продукции в базу.
//
// Параметры:
//  АлкогольнаяПродукция - СправочникСсылка.КлассификаторАлкогольнойПродукцииЕГАИС - загружаемая алкогольная продукция,
//  ЕстьИзменения - Булево - признак наличия изменений.
Процедура ПриЗагрузкеАлкогольнойПродукции(АлкогольнаяПродукция, ЕстьИзменения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриЗагрузкеАлкогольнойПродукции(АлкогольнаяПродукция, ЕстьИзменения) 
```
</details>

## ПриЗагрузкеТТНВходящаяЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура вызывается при загрузке ТТН входящей ЕГАИС (перед записью).
//
//Параметры:
//  ТТНВходящаяОбъект - ДокументОбъект.ТТНВходящаяЕГАИС - загружаемая ТТН.
Процедура ПриЗагрузкеТТНВходящаяЕГАИС(ТТНВходящаяОбъект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриЗагрузкеТТНВходящаяЕГАИС(ТТНВходящаяОбъект) 
```
</details>

## ПриЗагрузкеАктаПодтвержденияТТН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при загрузке акта подтверждения ТТН.
//
// Параметры:
//  ТТНИсходящаяОбъект - ДокументОбъект.ТТНИсходящаяЕГАИС - подтверждаемая ТТН,
//  ОтказОтТТН         - Булево                           - признак загрузки акта отказа от ТТН,
//  ЕстьРасхождения    - Булево                           - признак загрузки акта расхождений.
Процедура ПриЗагрузкеАктаПодтвержденияТТН(ТТНИсходящаяОбъект, ОтказОтТТН, ЕстьРасхождения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриЗагрузкеАктаПодтвержденияТТН(ТТНИсходящаяОбъект, ОтказОтТТН, ЕстьРасхождения) 
```
</details>

## ПриЗагрузкеПодтвержденияАктаРасхожденийТТН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при загрузке подтверждения акта расхождений ТТН.
//
// Параметры:
//  ТТНВходящаяЕГАИС - ДокументСсылка.ТТНВходящаяЕГАИС - подтверждаемая ТТН,
//  ОтказОтАкта - Булево - признак загрузки отказа от акта расхождений ТТН.
//
Процедура ПриЗагрузкеПодтвержденияАктаРасхожденийТТН(ТТНВходящаяЕГАИС, ОтказОтАкта) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриЗагрузкеПодтвержденияАктаРасхожденийТТН(ТТНВходящаяЕГАИС, ОтказОтАкта) 
```
</details>

## ПриИзмененииСтатусаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при изменении статуса обработки документа.
//
// Параметры:
//  ДокументСсылка          - ДокументСсылка     - ссылка на документ.
//  ПредыдущийСтатус        - ПеречислениеСсылка - предыдущий статус обработки (СтатусыОбработки*).
//  НовыйСтатус             - ПеречислениеСсылка - новый статус обработки (СтатусыОбработки*).
//  ДополнительныеПараметры - См. ОбменДаннымиЕГАИС.ПараметрыОбновленияСтатуса - дополнительные параметры обновления статуса.
Процедура ПриИзмененииСтатусаДокумента(ДокументСсылка, ПредыдущийСтатус, НовыйСтатус, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриИзмененииСтатусаДокумента(ДокументСсылка, ПредыдущийСтатус, НовыйСтатус, ДополнительныеПараметры);
```
</details>

## ОтменитьПроведениеПоступленияТоваровПриОтказеОтТТН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при отказе от входящей ТТН. Нужно реализовать алгоритм отмены проведения связанных поступлений.
//
// Параметры:
//  ТТНВходящаяЕГАИС - ДокументСсылка.ТТНВходящаяЕГАИС - ссылка на документ.
Процедура ОтменитьПроведениеПоступленияТоваровПриОтказеОтТТН(ТТНВходящаяЕГАИС) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ОтменитьПроведениеПоступленияТоваровПриОтказеОтТТН(ТТНВходящаяЕГАИС) 
```
</details>

## ЗаполнитьТаблицуШтрихкодовНеМаркируемойПродукцииТТН_ЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу штрихкодов алкогольной продукции входящей ТТН.
//
// Параметры:
//  ДокументСсылка     - ДокументСсылка.ТТНВходящаяЕГАИС - ссылка на документ.
//  ЗаполняемаяТаблица - ТаблицаЗначений - заполняемая таблица.
Процедура ЗаполнитьТаблицуШтрихкодовНеМаркируемойПродукцииТТН_ЕГАИС(ДокументСсылка, ЗаполняемаяТаблица) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ЗаполнитьТаблицуШтрихкодовНеМаркируемойПродукцииТТН_ЕГАИС(ДокументСсылка, ЗаполняемаяТаблица) 
```
</details>

## ЗаполнитьТаблицуСопоставленныхСправок2ТТН_ЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу сопоставленных справок 2 документа документа ТТН входящая.
//
// Параметры:
//  ДокументСсылка     - ДокументСсылка.ТТНВходящаяЕГАИС - ссылка на документ.
//  ЗаполняемаяТаблица - ТаблицаЗначений - заполняемая таблица.
Процедура ЗаполнитьТаблицуСопоставленныхСправок2ТТН_ЕГАИС(ДокументСсылка, ЗаполняемаяТаблица) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ЗаполнитьТаблицуСопоставленныхСправок2ТТН_ЕГАИС(ДокументСсылка, ЗаполняемаяТаблица) 
```
</details>

## ПредставлениеВалютыРегламентированногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить представление валюты регламентированного учета.
//
// Параметры:
//  Представление - Строка - Возвращаемое значение, представление валюты.
Процедура ПредставлениеВалютыРегламентированногоУчета(Представление) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПредставлениеВалютыРегламентированногоУчета(Представление) 
```
</details>

## ПриОпределенииРасхожденийСТТНВходящейЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет наличие расхождений между ТТН и товарами накладной.
//
// Параметры:
//   ДокументСсылка      - ДокументСсылка.ТТНВходящаяЕГАИС - проверяемая ТТН.
//   ДокументПоступления - ДокументСсылка                  - проверяемое поступление товаров.
//   ЕстьРасхождения      - Булево                         - возвращаемое значение: Истина если есть расхождения.
Процедура ПриОпределенииРасхожденийСТТНВходящейЕГАИС(ДокументСсылка, ДокументПоступления, ЕстьРасхождения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриОпределенииРасхожденийСТТНВходящейЕГАИС(ДокументСсылка, ДокументПоступления, ЕстьРасхождения) 
```
</details>

## ПриОпределенииТекстаЗапросаОстатковКПередачеВРегистр2ЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет текст запроса списка остатков к оформлению документа передача в регистр №2 ЕГАИС.
//
// Параметры:
//  ТекстЗапроса - Строка - текст запроса.
Процедура ПриОпределенииТекстаЗапросаОстатковКПередачеВРегистр2ЕГАИС(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриОпределенииТекстаЗапросаОстатковКПередачеВРегистр2ЕГАИС(ТекстЗапроса) 
```
</details>

## ПриЗаполненииТекстаЗапросаДвижениеСерийТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет текст запроса для движений по регистру Серии номенклатуры.
//
// Параметры:
//  ТекстЗапроса - Строка - текст запроса.
//  ИмяТаблицы   - Строка - имя метаданных документа из которого выполняется заполнение.
Процедура ПриЗаполненииТекстаЗапросаДвижениеСерийТоваров(ТекстЗапроса, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриЗаполненииТекстаЗапросаДвижениеСерийТоваров(ТекстЗапроса, ИмяТаблицы) 
```
</details>

## ПолучитьКоличествоВозможныхДокументовПоступленияТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить количество возможных документов поступления товаров для сопоставления.
//
// Параметры:
//  Количество     - Число                                      - количество документов
//  Организация    - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - ссылка на собственную организацию,
//  ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС        - ссылка на торговый объект,
//  Контрагент     - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - поставщик.
Процедура ПолучитьКоличествоВозможныхДокументовПоступленияТоваров(Количество, Организация, ТорговыйОбъект, Контрагент) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПолучитьКоличествоВозможныхДокументовПоступленияТоваров(Количество, Организация, ТорговыйОбъект, Контрагент) 
```
</details>

## РазрешатьПродажуАлкогольнойПродукцииБезСопоставленияЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает признак разрешения розничной продажи без сопоставления с классификатором ЕГАИС.
//
//Параметры:
//   Разрешать - Булево - если Истина, продажа разрешена, иначе - Ложь.
//
Процедура РазрешатьПродажуАлкогольнойПродукцииБезСопоставленияЕГАИС(Разрешать) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.РазрешатьПродажуАлкогольнойПродукцииБезСопоставленияЕГАИС(Разрешать) 
```
</details>

## ИнициализироватьДополнительныеСвойстваДляПроведенияЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура инициализирует общие структуры, используемые при проведении документов.
// Вызывается из модуля документов при проведении.
Процедура ИнициализироватьДополнительныеСвойстваДляПроведенияЧеков(ДокументСсылка, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ИнициализироватьДополнительныеСвойстваДляПроведенияЧеков(ДокументСсылка, ДополнительныеСвойства) 
```
</details>

## ОбработкаЗаполненияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при вводе документа на основании, при выполнении метода Заполнить или при интерактивном вводе нового.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - заполняемый документ,
//  ДанныеЗаполнения - Произвольный - значение, которое используется как основание для заполнения,
//  ТекстЗаполнения - Строка, Неопределено - текст, используемый для заполнения документа,
//  СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события.
Процедура ОбработкаЗаполненияДокумента(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ОбработкаЗаполненияДокумента(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается расширением формы при необходимости проверки заполнения реквизитов при записи или при проведении документа в форме,
// а также при выполнении метода ПроверитьЗаполнение.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - проверяемый документ,
//  Отказ - Булево - признак отказа от проведения документа,
//  ПроверяемыеРеквизиты - Массив - массив путей к реквизитам, для которых будет выполнена проверка заполнения,
//  МассивНепроверяемыхРеквизитов - Массив - массив путей к реквизитам, для которых не будет выполнена проверка заполнения.
Процедура ОбработкаПроверкиЗаполнения(ДокументОбъект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ОбработкаПроверкиЗаполнения(ДокументОбъект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) 
```
</details>

## ОбработкаПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при проведении документа. Выполняется в транзакции записи.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - проводимый документ,
//  Отказ - Булево - признак отказа от проведения документа,
//  РежимПроведения - РежимПроведенияДокумента - текущий режим проведения.
Процедура ОбработкаПроведения(ДокументОбъект, Отказ, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ОбработкаПроведения(ДокументОбъект, Отказ, РежимПроведения) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает перед выполнением записи документа. Вызывается после начала транзакции записи, но до начала записи документа.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - записываемый документ,
//  Отказ - Булево - признак отказа от записи,
//  РежимЗаписи - РежимЗаписиДокумента - текущий режим записи документа,
//  РежимПроведения - РежимПроведенияДокумента - текущий режим проведения документа.
Процедура ПередЗаписью(ДокументОбъект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПередЗаписью(ДокументОбъект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ИспользоватьРегистр2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность использования регистр №2 для организации.
//
// Параметры:
//  Использовать     - Булево - Истина, если для организации можно использовать регистр №2.
//  ОрганизацияЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - ссылка на организацию в классификаторе ЕГАИС.
Процедура ИспользоватьРегистр2(Использовать, ОрганизацияЕГАИС) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ИспользоватьРегистр2(Использовать, ОрганизацияЕГАИС) 
```
</details>

## ТекстЗапросаОрганизацииЕГАИСИспользующиеРегистр2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Формирует временную таблицу организаций ЕГАИС (с настроенным обменом) использующих регистр №2
//
// Параметры:
//   ТекстЗапроса        - Строка - заполняемый текст запроса.
//   ИмяВременнойТаблицы - Строка - имя создаваемой временной таблицы.
//   ИмяПоляОрганизация  - Строка - поле с организацией ЕГАИС в создаваемой таблице.
//
Процедура ТекстЗапросаОрганизацииЕГАИСИспользующиеРегистр2( Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаОрганизацииЕГАИСИспользующиеРегистр2();
```
</details>

## ЗаполнитьТаблицуЛицензийНаАлкоголь
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу данными о действующих лицензиях на продажу алкогольной продукции.
//
// Параметры:
//  ТаблицаЛицензий - ТаблицаЗначений - таблица для заполнения. Колонки:
//   * Лицензиат     - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - контрагент, для которого нужно получить лицензию,
//   * ДатаТТН       - Дата - дата документа, на которую нужно получить действующую лицензию,
//   * Наименование  - Строка - представление лицензии,
//   * ДатаНачала    - Дата - дата начала действия лицензии,
//   * ДатаОкончания - Дата - дата окончания действия лицензии,
//   * КемВыдана     - Строка - наименование организации, выдавшей лицензию.
Процедура ЗаполнитьТаблицуЛицензийНаАлкоголь(ТаблицаЛицензий) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ЗаполнитьТаблицуЛицензийНаАлкоголь(ТаблицаЛицензий) 
```
</details>

## ПроверитьСопоставлениеКлассификаторовПрикладногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить сопоставление классификаторов, заполнить входящую структуру "РезультатПроверки" значениями:
//   * ЕстьНеСопоставленныеТовары - Булево - Признак наличия несопоставленных товаров.
//   * НеСопоставленныеТовары     - Строка - Адрес по временном хранилище.
//
// Параметры:
//  РезультатПроверки       - Структура      - Результат проверки документа на несопоставленные товары.
//  ДокументСсылка          - ДокументСсылка - Документ, для которого необходимо проверить соответствие классификаторов.
//  УникальныйИдентификатор - УникальныйИдентификатор - Идентификатор формы открытого документа.
Процедура ПроверитьСопоставлениеКлассификаторовПрикладногоДокумента(РезультатПроверки, ДокументСсылка, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПроверитьСопоставлениеКлассификаторовПрикладногоДокумента(РезультатПроверки, ДокументСсылка, УникальныйИдентификатор) 
```
</details>

## ТекстЗапросаТТН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет текст запроса ТТН входящих динамического списка, отображаемого в форме списка документов.
//
// Параметры:
//  ТекстЗапроса - Строка - текст запроса динамического списка,
//  Организация - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - организация, по которой нужно отобрать документы,
//  ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС - торговый объект, по которому нужно отобрать документы,
//  ОжидаетсяОформление- Булево - если Истина, будут отобраны только документы, ожидающие оформления.
Процедура ТекстЗапросаТТН(ТекстЗапроса, Организация = Неопределено, ТорговыйОбъект = Неопределено, ОжидаетсяОформление = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаТТН(ТекстЗапроса, Организация, ТорговыйОбъект, ОжидаетсяОформление);
```
</details>

## ТекстЗапросаВТКоэффициентыПересчетаВЕдиницыЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Заполняет текст запроса для формирования временной таблицы коэффициентов пересчета базовых единиц измерения
//   номенклатуры в единицы ЕГАИС:
//   - для упакованного товара: коэффициент пересчета в штуки (бутылки)
//   - для неупакованного товара: коэффициент пересчета в декалитры.
// Временная таблица используется при проведении документов по регистру ОстаткиЕГАИС и при передаче данных в УТМ.
//
// Параметры:
//  ТекстЗапроса        - Строка - Заполняемый текст запроса.
//  ИмяТаблицыТовары    - Строка - Имя таблицы с колонками: АлкогольнаяПродукция, Номенклатура, Характеристика, Серия.
//  ИмяВременнойТаблицы - Строка - Имя результирующей временной таблицы.
Процедура ТекстЗапросаВТКоэффициентыПересчетаВЕдиницыЕГАИС(ТекстЗапроса, ИмяТаблицыТовары, ИмяВременнойТаблицы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаВТКоэффициентыПересчетаВЕдиницыЕГАИС(ТекстЗапроса, ИмяТаблицыТовары, ИмяВременнойТаблицы) 
```
</details>

## ПриЗаполненииТекстаЗапросаСопоставленияОрганизацийЕГАИСПоТТН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет текст запроса сопоставления организаций ЕГАИС из входящих ТТН контрагентам
//   Ожидаемые свойства текста запроса:
//    * Используется входящий параметр &СписокТТН
//    * В последнем запросе пакета возвращается таблица организаций ЕГАИС без найденных сопоставлений
//    * В предпоследнем запросе пакета возвращается таблица найденных сопоставлений
//    * В предпредпоследнем запросе пакета возвращается таблица контрагентов для сопоставления.
// Параметры:
//  ТекстЗапроса - Строка - текст запроса.
Процедура ПриЗаполненииТекстаЗапросаСопоставленияОрганизацийЕГАИСПоТТН(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриЗаполненииТекстаЗапросаСопоставленияОрганизацийЕГАИСПоТТН(ТекстЗапроса) 
```
</details>

## ПриЗаполненииТекстаЗапросаСопоставленияНоменклатурыПоТТН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет текст запроса сопоставления алкогольной продукции ЕГАИС из входящих ТТН номенклатуре
//   Ожидаемые свойства текста запроса:
//    * Используется входящий параметр &СписокТТН
//    * В предпоследнем запросе пакета возвращается таблица алкогольной продукции с колонками
//     ** АлкогольнаяПродукция - СправочникСсылка.КлассификаторАлкогольнойПродукции - ссылка на алкогольную продукцию,
//     ** Наименование         - Строка                                             - ее наименование.
//    * В последнем запросе пакета возвращается таблица номенклатуры с колонками
//     ** Номенклатура         - ОпределяемыйТип.Номенклатура - ссылка на номенклатуру алкогольной продукции,
//     ** Наименование         - Строка                       - ее наименование.
//    * В одном из запросов пакета создается временная таблица втНоменклатура с колонками
//     ** Номенклатура,
//     ** Наименование,
//     ** ВидАлкогольнойПродукции,
//     ** ПроизводительИмпортерКонтрагент,
//     ** ОбъемДАЛ,
//     ** Крепость.
//    * В одном из запросов пакета создается временная таблица втДанныеТТН с колонками
//     ** АлкогольнаяПродукция,
//     ** ИдентификаторУпаковки,
//     ** Количество,
//     ** Номенклатура,
//     ** Характеристика,
//     ** Серия,
//     ** Наименование,
//     ** НаименованиеПолное,
//     ** Объем,
//     ** Крепость,
//     ** Производитель,
//     ** Импортер,
//     ** ПроизводительИБ,
//     ** ИмпортерИБ.
//
// Параметры:
//  ТекстЗапроса - Строка - текст запроса.
Процедура ПриЗаполненииТекстаЗапросаСопоставленияНоменклатурыПоТТН(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриЗаполненииТекстаЗапросаСопоставленияНоменклатурыПоТТН(ТекстЗапроса) 
```
</details>

## ПриЗаполненииТекстаЗапросаСопоставленияОрганизацийЕГАИСПоВходящимДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет текст запроса сопоставления организаций ЕГАИС из входящих данных (товаров и организаций) контрагентам
//   Ожидаемые свойства текста запроса:
//    * Используется входящий параметр &Товары: таблица с колонками
//     ** АлкогольнаяПродукция,
//     ** ИдентификаторУпаковки,
//     ** Номенклатура,
//     ** Характеристика.
//    * Используется входящий параметр &ОрганизацииЕГАИС: таблица с колонками
//     ** ОрганизацияЕГАИС
//    * В последнем запросе пакета возвращается таблица организаций ЕГАИС без найденных сопоставлений
//    * В предпоследнем запросе пакета возвращается таблица найденных сопоставлений
//    * В предпредпоследнем запросе пакета возвращается таблица контрагентов для сопоставления.
// Параметры:
//  ТекстЗапроса - Строка - текст запроса.
Процедура ПриЗаполненииТекстаЗапросаСопоставленияОрганизацийЕГАИСПоВходящимДанным(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриЗаполненииТекстаЗапросаСопоставленияОрганизацийЕГАИСПоВходящимДанным(ТекстЗапроса) 
```
</details>

## ТекстЗапросаСопоставлениеНоменклатурыПоВходящимДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет текст запроса сопоставления алкогольной продукции ЕГАИС из входящих данных номенклатуре
//   Ожидаемые свойства текста запроса:
//    * Используется входящий параметр &Товары: таблица с колонками
//     ** АлкогольнаяПродукция,
//     ** ИдентификаторУпаковки,
//     ** Номенклатура,
//     ** Характеристика,
//     ** Серия.
//    * В предпоследнем запросе пакета возвращается таблица алкогольной продукции с колонками
//     ** АлкогольнаяПродукция - СправочникСсылка.КлассификаторАлкогольнойПродукции - ссылка на алкогольную продукцию,
//     ** Наименование         - Строка                                             - ее наименование.
//    * В последнем запросе пакета возвращается таблица номенклатуры с колонками
//     ** Номенклатура         - ОпределяемыйТип.Номенклатура - ссылка на номенклатуру алкогольной продукции,
//     ** Наименование         - Строка                       - ее наименование.
//    * В одном из запросов пакета создается временная таблица втНоменклатура с колонками
//     ** Номенклатура,
//     ** Наименование,
//     ** ВидАлкогольнойПродукции,
//     ** ПроизводительИмпортерКонтрагент,
//     ** ОбъемДАЛ,
//     ** Крепость.
//    * В одном из запросов пакета создается временная таблица втДанныеТТН с колонками
//     ** АлкогольнаяПродукция,
//     ** ИдентификаторУпаковки,
//     ** Количество,
//     ** Номенклатура,
//     ** Характеристика,
//     ** Серия,
//     ** Наименование,
//     ** НаименованиеПолное,
//     ** Объем,
//     ** Крепость,
//     ** Производитель,
//     ** Импортер,
//     ** ПроизводительИБ,
//     ** ИмпортерИБ.
//
// Параметры:
//  ТекстЗапроса - Строка - текст запроса.
Процедура ТекстЗапросаСопоставлениеНоменклатурыПоВходящимДанным(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаСопоставлениеНоменклатурыПоВходящимДанным(ТекстЗапроса) 
```
</details>

## СформироватьДанныеДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу алкогольной продукции документа-основания с колонками:
//   * Номенклатура
//   * Характеристика
//   * Серия
//   * Количество.
//
// Параметры:
//  ДокументОснование - ДокументСсылка                 - документ-основание.
//  ДокументЕГАИС     - ОпределяемыйТип.ДокументыЕГАИС - документ по которому требуется получить данные документа-основания.
//  ТаблицаДанных     - ТаблицаЗначений                - заполняемые данные основания
Процедура СформироватьДанныеДокументаОснования(ДокументОснование, ДокументЕГАИС, ТаблицаДанных) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.СформироватьДанныеДокументаОснования(ДокументОснование, ДокументЕГАИС, ТаблицаДанных) 
```
</details>

## ОпределитьТипыШтриховыхКодовНеМаркируемойПродукцииТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает таблицу штриховых кодов и получает для каждого из них данные в информационной базе.
//   На входе имеется таблица, в которой заполнены только колонки "Номер строки", "Штриховой код" и "Количество", опционально заполнена
//   колонка "Родитель".
//   В процедуре устанавливается значение "Истина" в одной из других колонок.
//
// Параметры:
//  ТаблицаНеАкцизныеМарки               - ТаблицаЗначений - имеет следующие колонки:
//   * ШтриховойКод                      - Строка                              - штриховой код полученный с ТСД.
//   * Количество                        - Число                               - сколько раз был считан данный штрихкод.
//   * ШтрихКодУпаковки                  - СправочникСсылка.ШтрихкодыУпаковокТоваров - ссылка на имеющуюся в базе упаковку.
//   * ЭтоИмеющаясяВБазеУпаковка         - Булево                              - если это имеющаяся в базе упаковка.
//   * ЭтоПартионнаяАлкогольнаяПродукция - Булево                              - если это штрихкод партионной алкогольной продукции
//   * ЭтоПрочаяНоменклатура             - Булево                              - если это штрихкод не идентифицирует алкогольную продукцию.
//   * Родитель                          - Строка                              - штрихкод внешней упаковки.
//   * НомерСтроки                       - Число                               - номер строки таблицы
//
Процедура ОпределитьТипыШтриховыхКодовНеМаркируемойПродукцииТСД(ТаблицаНеАкцизныеМарки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ОпределитьТипыШтриховыхКодовНеМаркируемойПродукцииТСД(ТаблицаНеАкцизныеМарки) 
```
</details>

## ПриОпределенииОрганизацииЕГАИСпоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет значение организации ЕГАИС для переданного документа.
//
// Параметры:
//  ОрганизацияЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС - определяемая организация ЕГАИС.
//  Документ - ДокументСсылка - документ, по данным которого определяется организация ЕГАИС
Процедура ПриОпределенииОрганизацииЕГАИСпоДокументу(ОрганизацияЕГАИС, Документ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриОпределенииОрганизацииЕГАИСпоДокументу(ОрганизацияЕГАИС, Документ) 
```
</details>

## ТекстЗапросаАктПостановкиНаБалансЕГАИСОформите
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса
//
Процедура ТекстЗапросаАктПостановкиНаБалансЕГАИСОформите(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаАктПостановкиНаБалансЕГАИСОформите(ТекстЗапроса) 
```
</details>

## ТекстЗапросаАктПостановкиНаБалансЕГАИСОтработайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//  ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаАктПостановкиНаБалансЕГАИСОтработайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаАктПостановкиНаБалансЕГАИСОтработайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаАктПостановкиНаБалансЕГАИСОжидайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаАктПостановкиНаБалансЕГАИСОжидайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаАктПостановкиНаБалансЕГАИСОжидайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаАктСписанияЕГАИСОформите
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//  ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаАктСписанияЕГАИСОформите(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаАктСписанияЕГАИСОформите(ТекстЗапроса) 
```
</details>

## ТекстЗапросаАктСписанияЕГАИСОтработайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//  ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаАктСписанияЕГАИСОтработайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаАктСписанияЕГАИСОтработайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаАктСписанияЕГАИСОжидайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаАктСписанияЕГАИСОжидайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаАктСписанияЕГАИСОжидайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаВозвратИзРегистра2ЕГАИСОформите
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса
//
Процедура ТекстЗапросаВозвратИзРегистра2ЕГАИСОформите(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаВозвратИзРегистра2ЕГАИСОформите(ТекстЗапроса) 
```
</details>

## ТекстЗапросаВозвратИзРегистра2ЕГАИСОтработайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//  ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаВозвратИзРегистра2ЕГАИСОтработайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаВозвратИзРегистра2ЕГАИСОтработайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаВозвратИзРегистра2ЕГАИСОжидайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаВозвратИзРегистра2ЕГАИСОжидайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаВозвратИзРегистра2ЕГАИСОжидайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаПередачаВРегистр2ЕГАИСОформите
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаПередачаВРегистр2ЕГАИСОформите(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаПередачаВРегистр2ЕГАИСОформите(ТекстЗапроса) 
```
</details>

## ТекстЗапросаПередачаВРегистр2ЕГАИСОтработайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаПередачаВРегистр2ЕГАИСОтработайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаПередачаВРегистр2ЕГАИСОтработайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаПередачаВРегистр2ЕГАИСОжидайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//  ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаПередачаВРегистр2ЕГАИСОжидайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаПередачаВРегистр2ЕГАИСОжидайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаТТНИсходящаяЕГАИСОформите
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//  ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаТТНИсходящаяЕГАИСОформите(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаТТНИсходящаяЕГАИСОформите(ТекстЗапроса) 
```
</details>

## ТекстЗапросаТТНИсходящаяЕГАИСОтработайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаТТНИсходящаяЕГАИСОтработайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаТТНИсходящаяЕГАИСОтработайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаТТНИсходящаяЕГАИСОжидайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаТТНИсходящаяЕГАИСОжидайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаТТНИсходящаяЕГАИСОжидайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаЧекЕГАИСОформите
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаЧекЕГАИСОформите(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаЧекЕГАИСОформите(ТекстЗапроса) 
```
</details>

## ТекстЗапросаЧекЕГАИСОтработайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаЧекЕГАИСОтработайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаЧекЕГАИСОтработайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаЧекЕГАИСОжидайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаЧекЕГАИСОжидайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаЧекЕГАИСОжидайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаЧекЕГАИСВозвратОформите
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаЧекЕГАИСВозвратОформите(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаЧекЕГАИСВозвратОформите(ТекстЗапроса) 
```
</details>

## ТекстЗапросаЧекЕГАИСВозвратОтработайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
//Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаЧекЕГАИСВозвратОтработайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаЧекЕГАИСВозвратОтработайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаЧекЕГАИСВозвратОжидайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
// Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаЧекЕГАИСВозвратОжидайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаЧекЕГАИСВозвратОжидайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаУведомлениеОПланируемомИмпортеЕГАИСОформите
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
// Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаУведомлениеОПланируемомИмпортеЕГАИСОформите(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаУведомлениеОПланируемомИмпортеЕГАИСОформите(ТекстЗапроса) 
```
</details>

## ТекстЗапросаУведомлениеОПланируемомИмпортеЕГАИСОтработайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
// Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаУведомлениеОПланируемомИмпортеЕГАИСОтработайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаУведомлениеОПланируемомИмпортеЕГАИСОтработайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаУведомлениеОПланируемомИмпортеЕГАИСОжидайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
// Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаУведомлениеОПланируемомИмпортеЕГАИСОжидайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаУведомлениеОПланируемомИмпортеЕГАИСОжидайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаОтчетОбИмпортеЕГАИСОформите
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
// Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаОтчетОбИмпортеЕГАИСОформите(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаОтчетОбИмпортеЕГАИСОформите(ТекстЗапроса) 
```
</details>

## ТекстЗапросаОтчетОбИмпортеЕГАИСОтработайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
// Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаОтчетОбИмпортеЕГАИСОтработайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаОтчетОбИмпортеЕГАИСОтработайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаОтчетОбИмпортеЕГАИСОжидайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
// Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаОтчетОбИмпортеЕГАИСОжидайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаОтчетОбИмпортеЕГАИСОжидайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаОтчетОПроизводствеЕГАИСОформите
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
// Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаОтчетОПроизводствеЕГАИСОформите(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаОтчетОПроизводствеЕГАИСОформите(ТекстЗапроса) 
```
</details>

## ТекстЗапросаОтчетОПроизводствеЕГАИСОтработайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
// Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаОтчетОПроизводствеЕГАИСОтработайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаОтчетОПроизводствеЕГАИСОтработайте(ТекстЗапроса) 
```
</details>

## ТекстЗапросаОтчетОПроизводствеЕГАИСОжидайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяет текст запроса для отображения требующих действий документов в основной панели ЕГАИС
//   Возвращаемое поле результата запроса: КоличествоДокументов.
//
// Параметры:
//   ТекстЗапроса - Строка - заполняемый текст запроса.
//
Процедура ТекстЗапросаОтчетОПроизводствеЕГАИСОжидайте(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ТекстЗапросаОтчетОПроизводствеЕГАИСОжидайте(ТекстЗапроса) 
```
</details>

## ПриОпределенииИспользуемыхСтатусовДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак "Не используется" для обрабатываемых статусов в обработчике заполнения регистра
// СтатусыДокументовЕГАИС на основании данных в документах ЕГАИС.
// (Обработчик обновления: Переход от хранения статусов в документе к хранению в регистре сведений).
//
// Параметры:
//  НеИспользуется - Булево - Значение статуса не используется
//  Статус         - ПеречислениеСсылка.СтатусыОбработкиАктаПостановкиНаБалансЕГАИС - проверяемый статус
//                 - ПеречислениеСсылка.СтатусыИнформированияЕГАИС -
//                 - ПеречислениеСсылка.СтатусыОбработкиАктаСписанияЕГАИС -
//                 - ПеречислениеСсылка.СтатусыОбработкиВозвратаИзРегистра2ЕГАИС -
//                 - ПеречислениеСсылка.СтатусыОбработкиЗапросаАкцизныхМарокЕГАИС -
//                 - ПеречислениеСсылка.СтатусыОбработкиОстатковЕГАИС -
//                 - ПеречислениеСсылка.СтатусыОбработкиОтчетаЕГАИС -
//                 - ПеречислениеСсылка.СтатусыОбработкиПередачиВРегистр2ЕГАИС -
//                 - ПеречислениеСсылка.СтатусыОбработкиТТНВходящейЕГАИС -
//                 - ПеречислениеСсылка.СтатусыОбработкиТТНИсходящейЕГАИС -
Процедура ПриОпределенииИспользуемыхСтатусовДокумента(НеИспользуется, Статус) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ПриОпределенииИспользуемыхСтатусовДокумента(НеИспользуется, Статус) 
```
</details>

## ЗаполнитьСгенерироватьСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Заполняет, при необходимости создает серии в документе ЕГАИС или его выделенных строках.
//
//Параметры:
//  Контекст  - См. ИнтеграцияЕГАИС.КонтекстЗаполненияСерий - место заполнения серий.
//  Результат - См. ИнтеграцияЕГАИС.РезультатЗаполненияСерий - результат заполнения.
//
Процедура ЗаполнитьСгенерироватьСерии(Контекст, Результат) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЕГАИСПереопределяемый.ЗаполнитьСгенерироватьСерии(Контекст, Результат) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
