---
title: Интеграция ЗЕРНО
slug: erp-uh/интеграция-зерно
---


## ВерсияAPI
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Версия API.
//
// Возвращаемое значение:
//  Строка - Версия API
Функция ВерсияAPI() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ВерсияAPI() 
```
</details>

## ВерсияСервисаAPI
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Версия сервиса API.
//
// Возвращаемое значение:
//  Строка - Версия сервиса API
Функция ВерсияСервисаAPI() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ВерсияСервисаAPI() 
```
</details>

## ПоддерживаемыеВерсииAPI
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поддерживаемые версии API.
//
// Возвращаемое значение:
//  Массив из Строка - Поддерживаемые версии API
Функция ПоддерживаемыеВерсииAPI() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ПоддерживаемыеВерсииAPI() 
```
</details>

## ПоддерживаемыеВерсииСервисаAPI
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поддерживаемые версии сервиса API.
//
// Возвращаемое значение:
//  Массив из Строка - Поддерживаемые версии сервиса API
Функция ПоддерживаемыеВерсииСервисаAPI() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ПоддерживаемыеВерсииСервисаAPI() 
```
</details>

## ПараметрыОптимизацииПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров оптимизации по умолчанию.
//
// Возвращаемое значение:
//  Структура - Параметры оптимизации по умолчанию:
// * КоличествоЗапросовВМинуту - Число -
// * ИнтервалМеждуОтправкойЗапросаИПолучениемРезультата - Число -
// * ИнтервалМеждуПолучениемРезультатов - Число -
// * ТаймаутHTTPЗапросов - Число -
// * КоличествоЭлементовСтраницыОтвета - Число -
// * КоличествоЭлементовСтраницыОтветаСправочника - Число -
// * АдресСервераТестовыйКонтур - Строка -
// * АдресСервера - Строка -
// * ВерсияAPI - Строка -
// * ВерсияСервисаAPI - Строка -
// * ИспользоватьПодтверждениеПолученияСообщения - Булево -
// * ДатаОграниченияГлубиныДереваПартий - Дата -
// * УчитываемыеВидыПродукции - см. УчитываемыеВидыПродукции
// * ПоддерживаемыеВерсииAPI - Массив из Строка -
// * ПоддерживаемыеВерсииСервисаAPI - Массив из Строка -
Функция ПараметрыОптимизацииПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ПараметрыОптимизацииПоУмолчанию() 
```
</details>

## ПараметрыОптимизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров оптимизации.
// В случае, если константы "Настройки обмена ЗЕРНО" и "Интервал запроса измененных данных ЗЕРНО" не заполнены
// - возвращает параметры по умолчанию. см. ПараметрыОптимизацииПоУмолчанию.
//
// Возвращаемое значение:
//  см. ПараметрыОптимизацииПоУмолчанию
//
Функция ПараметрыОптимизации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ПараметрыОптимизации() 
```
</details>

## ПакетыXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пакеты XDTO.
//
// Возвращаемое значение:
//  Структура - Пакеты XDTO:
// * ВерсияAPI - Строка -
// * ВерсияСервисаAPI - Строка -
// * СписокAPI - Массив из ПакетXDTO -
// * СписокСервисаAPI - Массив из ПакетXDTO -
Функция ПакетыXDTO() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ПакетыXDTO() 
```
</details>

## УказываетсяТранспортноеСредство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет признак использования справочника транспортных средств.
//
// Возвращаемое значение:
//	Булево - Признак использования справочника транспортных средств.
//
Функция УказываетсяТранспортноеСредство() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.УказываетсяТранспортноеСредство() 
```
</details>

## УстановитьВидимостьКомандыВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость команды "Выполнить обмен" в формах документов, протокола и панели обмена с ЗЕРНО.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма с кнопкой "Выполнить обмен с ФГИС ЗЕРНО"
//  ИмяЭлемента - Строка - Имя кнопки формы
Процедура УстановитьВидимостьКомандыВыполнитьОбмен(Форма, ИмяЭлемента) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНО.УстановитьВидимостьКомандыВыполнитьОбмен(Форма, ИмяЭлемента) 
```
</details>

## УстановитьПометкуУдаленияПрисоединенныхФайловДокументовЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие ПередЗаписью владельца присоединенного файла.
// Помечает на удаление связанные файлы.
//
// Параметры:
//  Источник        - ДокументОбъект - владелец присоединенного файла.
//  Отказ           - Булево - параметр, передаваемый в подписку на событие ПередЗаписью.
//  РежимЗаписи     - Булево - параметр, передаваемый в подписку на событие ПередЗаписью.
//  РежимПроведения - Булево - параметр, передаваемый в подписку на событие ПередЗаписью.
//
Процедура УстановитьПометкуУдаленияПрисоединенныхФайловДокументовЗЕРНО(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНО.УстановитьПометкуУдаленияПрисоединенныхФайловДокументовЗЕРНО(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ДокументыОснованияДляДокументаЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает допустимые типы документа-основания для указанного документа ЗЕРНО.
//
// Параметры:
//	МетаданныеДокументаЗЕРНО - ОбъектМетаданных - метаданные документа из ОпределяемыйТип.ДокументыЗЕРНОПоддерживающиеСтатусыОформления
//
// Возвращаемое значение:
//	ОписаниеТипов - ОпределяемыйТип.Основание<МетаданныеДокументаЗЕРНО.Имя>.Тип
//		тип реквизита ДокументОснование указанного документа ЗЕРНО
//
Функция ДокументыОснованияДляДокументаЗЕРНО(МетаданныеДокументаЗЕРНО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ДокументыОснованияДляДокументаЗЕРНО(МетаданныеДокументаЗЕРНО) 
```
</details>

## ПриСозданииНаСервереФормыСпискаДокументовЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При создании на сервере формы списка документов ЗЕРНО.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  ИменаСписков - Строка - Имена списков
//  ИменаСписковКОформлению - Строка - Имена списков к оформлению
Процедура ПриСозданииНаСервереФормыСпискаДокументовЗЕРНО(Форма, ИменаСписков, ИменаСписковКОформлению) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНО.ПриСозданииНаСервереФормыСпискаДокументовЗЕРНО(Форма, ИменаСписков, ИменаСписковКОформлению) 
```
</details>

## ИспользуетсяИнтеграцияВФормеДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется интеграция в форме документа основания.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  Объект - ДанныеФормыСтруктура
//
// Возвращаемое значение:
//  Булево - Используется интеграция в форме документа основания
Функция ИспользуетсяИнтеграцияВФормеДокументаОснования(Форма, Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ИспользуетсяИнтеграцияВФормеДокументаОснования(Форма, Объект) 
```
</details>

## ОписаниеОформленныхДокументовЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеОформленныхДокументовЗЕРНО(МетаданныеДокументаЗЕРНО, ДокументОснование, ДокументыПоОснованию, СтатусыОформления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ОписаниеОформленныхДокументовЗЕРНО(МетаданныеДокументаЗЕРНО, ДокументОснование, ДокументыПоОснованию, СтатусыОформления) 
```
</details>

## ШаблонПредставленияДокументаЗЕРНОДляПоляИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШаблонПредставленияДокументаЗЕРНОДляПоляИнтеграции(МетаданныеДокументаЗЕРНО, ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ШаблонПредставленияДокументаЗЕРНОДляПоляИнтеграции(МетаданныеДокументаЗЕРНО, ДокументОснование) 
```
</details>

## ИнициализироватьСтруктуруРеквизитовОрганизацииКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор новой структуры реквизитов организации/контрагента.
//
// Возвращаемое значение:
//  Структура - Реквизиты организации контрагента:
// * ИНН - Строка -
// * КПП - Строка -
// * ОГРН - Строка -
// * Наименование - Строка -
// * ТипОрганизации - ПеречислениеСсылка.ТипыОрганизацийЗЕРНО -
// * КодАльфа3 - Строка -
// * ЮридическийАдрес - Строка -
// * ЮридическийАдресИндекс - Строка -
// * КодРАФП - Строка -
// * Фамилия - Строка -
// * Имя - Строка -
// * ИдентификаторАдреса - Строка -
// * ОКТМО - Строка -
// * ЮридическийАдресJSON   - Строка                                   - ЮридическийАдрес JSON
Функция ИнициализироватьСтруктуруРеквизитовОрганизацииКонтрагента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ИнициализироватьСтруктуруРеквизитовОрганизацииКонтрагента() 
```
</details>

## РеквизитыОрганизацииКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Реквизиты организации контрагента.
//
// Параметры:
//  ТаблицаИсточникиРеквизитов - ТаблицаЗначений
//  ОрганизацияКонтрагент - ОпределяемыйТип.ОрганизацияКонтрагентГосИС
//  Подразделение - Неопределено - Подразделение
//
// Возвращаемое значение:
//  Структура - Реквизиты организации контрагента:
// * ИНН - Строка -
// * КПП - Строка -
// * ОГРН - Строка -
// * Наименование - Строка -
// * ТипОрганизации - ПеречислениеСсылка.ТипыОрганизацийЗЕРНО -
// * КодАльфа3 - Строка -
// * ЮридическийАдрес - Строка -
// * ЮридическийАдресИндекс - Строка -
// * КодРАФП - Строка -
// * Фамилия - Строка -
// * Имя - Строка -
// * ЮридическийАдресJSON   - Строка                                   - ЮридическийАдрес JSON
Функция РеквизитыОрганизацииКонтрагента(ТаблицаИсточникиРеквизитов, ОрганизацияКонтрагент, Подразделение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.РеквизитыОрганизацииКонтрагента(ТаблицаИсточникиРеквизитов, ОрганизацияКонтрагент, Подразделение);
```
</details>

## НоваяТаблицаОрганизацияКонтрагентПодразделение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Таблица для получения реквизитов по органзиация/контрагент, подразделение.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица реквизитов ключей реквизитов организаций:
// * Подразделение                   - ОпределяемыйТип.Подразделение              - Подразделение
// * ОрганизацияКонтрагент           - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - Организация
// * КлючРеквизитов - СправочникСсылка.КлючиРеквизитовОрганизацийЗЕРНО - Ссылка на ключ реквизитов
// * ИНН            - Строка                                           - ИНН
// * КПП            - Строка                                           - КПП
// * ОГРН           - Строка                                           - ОГРН
// * Наименование   - Строка                                           - Наименование
// * Фамилия        - Строка                                           - Фамилия
// * Имя            - Строка                                           - Имя
// * Отчество       - Строка                                           - Отчество
// * ТипОрганизации - ПеречислениеСсылка.ТипыОрганизацийЗЕРНО          -
// * Организация    - ОпределяемыйТип.Организация                      - Организация
// * Контрагент     - ОпределяемыйТип.КонтрагентГосИС                  - Контрагент
// * КодАльфа3        - Строка                                         - КодАльфа3
// * ЮридическийАдрес       - Строка                                   - ЮридическийАдрес, представление
// * ЮридическийАдресИндекс - Строка                                   - ЮридическийАдресИндекс
// * ЮридическийАдресJSON   - Строка                                   - ЮридическийАдрес JSON
Функция НоваяТаблицаОрганизацияКонтрагентПодразделение() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.НоваяТаблицаОрганизацияКонтрагентПодразделение() 
```
</details>

## ДобавитьВТаблицуОтбораОрганизациюПодразделение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в таблицу отбора данные отбора
//
// Параметры:
//  ТаблицаОтбора - см. НоваяТаблицаОрганизацияКонтрагентПодразделение.
//  ОрганизацияКонтрагент - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - Организация.
//  Подразделение         - ОпределяемыйТип.Подразделение              - Подразделение.
Процедура ДобавитьВТаблицуОтбораОрганизациюПодразделение(ТаблицаОтбора, ОрганизацияКонтрагент, Подразделение = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНО.ДобавитьВТаблицуОтбораОрганизациюПодразделение(ТаблицаОтбора, ОрганизацияКонтрагент, Подразделение);
```
</details>

## ПолучитьСопоставленныеТовары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСопоставленныеТовары(ТабличнаяЧасть, ИспользоватьОтборПоПартии = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ПолучитьСопоставленныеТовары(ТабличнаяЧасть, ИспользоватьОтборПоПартии);
```
</details>

## ЗаписатьСоответствиеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сопоставляет продукцию ЗЕРНО с номенклатурой.
//
// Параметры:
//  Объект - ДокументОбъект - Объект в котором сопоставляется номенклатура.
//  ОписаниеТабличнойЧасти - Строка, ТаблицаЗначений - имя табличной части или таблица значений для сопоставления.
//
Процедура ЗаписатьСоответствиеНоменклатуры(Объект, ОписаниеТабличнойЧасти = "Товары") Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНО.ЗаписатьСоответствиеНоменклатуры(Объект, ОписаниеТабличнойЧасти);
```
</details>

## ПередЗаписьюОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюОбъекта(ДокументОбъект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНО.ПередЗаписьюОбъекта(ДокументОбъект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## УстановитьДоступностьПоляСтатус
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьДоступностьПоляСтатус(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНО.УстановитьДоступностьПоляСтатус(Форма) 
```
</details>

## ДокументПоддерживаетКорректировку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает признак, что документ может быть создан как корректировочный при ошибках оформления
//
// Параметры:
//  МетаданныеДокумента - ОбъектМетаданных - метаданные объекта, который надо определить
//
// Возвращаемое значение:
//  Булево - Истина, если может быть оформлен корректирующий документ по ошибкам оформления
Функция ДокументПоддерживаетКорректировку(МетаданныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ДокументПоддерживаетКорректировку(МетаданныеДокумента) 
```
</details>

## ТребуетсяСозданиеКорректировочногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Требуется создание корректировочного документа.
//
// Параметры:
//  МетаданныеДокументаЗЕРНО - ОбъектМетаданных - метаданные документа ЗЕРНО
//  Документ - ОпределяемыйТип.ОснованиеОформлениеСДИЗЗЕРНО - прикладной документ, по которому требуется указать, создается
//  	обычный документ или корректировочный
//
// Возвращаемое значение:
//  Булево - Истина, если по документу надо создать корректировочный. Доступно только если метаданные документа ЗЕРНО
//		поддерживают такую функциональность
Функция ТребуетсяСозданиеКорректировочногоДокумента(МетаданныеДокументаЗЕРНО, Документ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ТребуетсяСозданиеКорректировочногоДокумента(МетаданныеДокументаЗЕРНО, Документ) 
```
</details>

## ЗаголовокДокументаПоддерживающегоКорректировку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает заголовок документа, поддерживающего корректировку.
//
// Параметры:
//  СсылкаНаДокумент         - ДокументСсылка - ссылка на любой документ, поддерживающий корректировку
//  КорректировочныйДокумент - Булево - признак, что документ является корректировочным
//  НомерДокумента           - Строка, Число - номер документа
//  ДатаДокумента            - Дата - дата документа
//
// Возвращаемое значение:
//  Строка - заголовок-представление документа в зависимости от переданных параметров
Функция ЗаголовокДокументаПоддерживающегоКорректировку(СсылкаНаДокумент, КорректировочныйДокумент, НомерДокумента, ДатаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ЗаголовокДокументаПоддерживающегоКорректировку(СсылкаНаДокумент, КорректировочныйДокумент, НомерДокумента, ДатаДокумента) 
```
</details>

## ОКПД2ПодлежащиеГосмониторингу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет ОКПД2, по которым необходимо формировать внесение сведений об урожае с использованием Госмониторинга.
//
// Возвращаемое значение:
//  Массив из Строка - массив ОКПД2.
//
Функция ОКПД2ПодлежащиеГосмониторингу() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ОКПД2ПодлежащиеГосмониторингу() 
```
</details>

## ОКПД2ИспользуетГосмониторинг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет по ОКПД2 необходимость использования Госмониторинга при внесении сведений об урожае.
//
// Параметры:
//  ОКПД2 - Строка - ОКПД2 вида продукции.
// Возвращаемое значение:
//  Булево - Истина, если использует.
//
Функция ОКПД2ИспользуетГосмониторинг(ОКПД2) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНО.ОКПД2ИспользуетГосмониторинг(ОКПД2) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
