---
title: Интеграция ЗЕРНО вызов сервера
slug: erp-uh/интеграция-зерно-вызов-сервера
---


## ТекстНадписиПоляИнтеграцииВФормеДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстНадписиПоляИнтеграцииВФормеДокументаОснования(Знач ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ТекстНадписиПоляИнтеграцииВФормеДокументаОснования(ДокументОснование) 
```
</details>

## ДокументыЗЕРНОПоДокументуОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Документы ЗЕРНО по документу основанию
//
// Параметры:
//  ДокументОснование - ДокументСсылка - основание по которому надо получить документы ЗЕРНО
//
// Возвращаемое значение:
//  См. ИнтеграцияИС.ДокументыИСПоДокументуОснованию
//
Функция ДокументыЗЕРНОПоДокументуОснованию(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ДокументыЗЕРНОПоДокументуОснованию(ДокументОснование) 
```
</details>

## ИменаДокументовДляДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имена документов ЗЕРНО, основанием для которых может являться указанный документ.
//
// Параметры:
//   ДокументОснование - ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовЗЕРНО - документ-основание для документа ЗЕРНО
//
// Возвращаемое значение:
//   Массив из Строка - имена документов ЗЕРНО
//
Функция ИменаДокументовДляДокументаОснования(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ИменаДокументовДляДокументаОснования(ДокументОснование) 
```
</details>

## ПодготовитьКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает сообщения к передаче в сервис.
//
// Параметры:
//  ВходящиеДанные - Массив Из (См. ИнтеграцияЗЕРНОСлужебныйКлиентСервер.ПараметрыОбработкиСообщений)
//  УникальныйИдентификатор - УникальныйИдентификатор - Уникальный идентификатор формы.
//
// Возвращаемое значение:
//  Структура - см. ИнтеграцияЗЕРНОВызовСервера.НоваяСтруктураРезультатовОбмена
//
Функция ПодготовитьКПередаче(ВходящиеДанные, УникальныйИдентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ПодготовитьКПередаче(ВходящиеДанные, УникальныйИдентификатор);
```
</details>

## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьОбмен(ЗначениеОтбора = Неопределено, УникальныйИдентификатор = Неопределено, СообщениеИлиДокумент = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ВыполнитьОбмен(ЗначениеОтбора, УникальныйИдентификатор, СообщениеИлиДокумент);
```
</details>

## ПродолжитьВыполнениеОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПродолжитьВыполнениеОбмена(ПодписанныеДанныеПоОрганизациям, АдресВоВременномХранилище) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ПродолжитьВыполнениеОбмена(ПодписанныеДанныеПоОрганизациям, АдресВоВременномХранилище) 
```
</details>

## ОтменитьПередачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет неотправленную операцию из очереди передачи данных в ИС МП.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить передачу данных.
//
// Возвращаемое значение:
//  Массив из см. ИнтеграцияЗЕРНОСлужебный.СтруктураИзменения()
//
Функция ОтменитьПередачу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ОтменитьПередачу(ДокументСсылка) 
```
</details>

## ОтменитьПоследнююОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет последнюю операцию (например, если возникла ошибка передачи данных).
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить операцию.
//
// Возвращаемое значение:
//  Массив из см. ИнтеграцияЗЕРНОСлужебный.СтруктураИзменения -
//
Функция ОтменитьПоследнююОперацию(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ОтменитьПоследнююОперацию(ДокументСсылка) 
```
</details>

## ВестиУчетПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВестиУчетПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ВестиУчетПродукции() 
```
</details>

## ВидыПродукцииДанныхЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает виды продукции, по которым доступно заполнение документа ЗЕРНО
//
// Параметры:
//   ПолноеИмяДокумента - Строка - создаваемый вводом на основании документ
//   Ссылка - ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовЗЕРНО - документ по которому происходит обработка заполнения
//   КорректировочныйДокумент - Булево - Истина, если необходимо передать в структуру флаг создания Корректировочного документа
//
// Возвращаемое значение:
//   Массив Из ПеречислениеСсылка.ВидыПродукцииИС - различные виды продукции в документе ЗЕРНО, заполненном
//     по основанию без фильтра по виду продукции.
Функция ВидыПродукцииДанныхЗаполнения(ПолноеИмяДокумента, Ссылка, КорректировочныйДокумент = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ВидыПродукцииДанныхЗаполнения(ПолноеИмяДокумента, Ссылка, КорректировочныйДокумент);
```
</details>

## ЗначениеКлассификатораОКДП2ЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на значение справочника с видом классификатора ОКДП2
//
// Параметры:
//  ОКПД2 - Строка - код ОКДП2
//
// Возвращаемое значение:
//  СправочникСсылка.КлассификаторНСИЗЕРНО
Функция ЗначениеКлассификатораОКДП2ЗЕРНО(ОКПД2) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ЗначениеКлассификатораОКДП2ЗЕРНО(ОКПД2) 
```
</details>

## ИдентификаторПоСсылкеКлассификатораНСИЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор справочника НСИ
//
// Параметры:
//  СправочникСсылка - СправочникСсылка.КлассификаторНСИЗЕРНО
//  ВидКлассификатора - ПеречислениеСсылка.ВидыКлассификаторовЗЕРНО
//
// Возвращаемое значение:
//  СправочникСсылка.КлассификаторНСИЗЕРНО
Функция ИдентификаторПоСсылкеКлассификатораНСИЗЕРНО(СправочникСсылка, ВидКлассификатора) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ИдентификаторПоСсылкеКлассификатораНСИЗЕРНО(СправочникСсылка, ВидКлассификатора) 
```
</details>

## ПараметрыОптимизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыОптимизации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ПараметрыОптимизации() 
```
</details>

## ЗагрузитьИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗагрузитьИзменения(ПараметрыЗагрузки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОВызовСервера.ЗагрузитьИзменения(ПараметрыЗагрузки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
