---
title: Интеграция ЗЕРНО клиент
slug: erp-uh/интеграция-зерно-клиент
---


## ПодготовитьКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку к передаче в сервис сообщений и начинает процедуру обмена
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//  ПараметрыОбработкиСообщений - Массив из см. ИнтеграцияЗЕРНОСлужебныйКлиентСервер.ПараметрыОбработкиСообщений
//                              - см. ИнтеграцияЗЕРНОСлужебныйКлиентСервер.ПараметрыОбработкиСообщений
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции
Процедура ПодготовитьКПередаче(Форма, ПараметрыОбработкиСообщений, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ПодготовитьКПередаче(Форма, ПараметрыОбработкиСообщений, ОповещениеПриЗавершении);
```
</details>

## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку подготовленных сообщений, загрузку новых документов, обработку ответов из ЗЕРНО.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - источник команды выполнения обмена
//  Организация - Неопределено, Массив из ОпределяемыйТип.Организация, ОпределяемыйТип.Организация - Организация или несколько организаций,
//                                                                    по которым необходимо выполнить обмен.
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
//  СообщениеИлиДокумент    - Неопределено, Массив из Строка - Сообщения в очереди.
Процедура ВыполнитьОбмен(Форма, Организация = Неопределено, ОповещениеПриЗавершении = Неопределено, СообщениеИлиДокумент = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ВыполнитьОбмен(Форма, Организация, ОповещениеПриЗавершении, СообщениеИлиДокумент);
```
</details>

## ОтменитьПоследнююОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет последнюю операцию (например, если возникла ошибка передачи данных).
//
// Параметры:
//   ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить операцию.
//
Процедура ОтменитьПоследнююОперацию(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ОтменитьПоследнююОперацию(ДокументСсылка) 
```
</details>

## ОтменитьПередачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет неотправленную операцию из очереди передачи данных в ЗЕРНО.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить передачу данных.
//
Процедура ОтменитьПередачу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ОтменитьПередачу(ДокументСсылка) 
```
</details>

## ОрганизацииДляОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОрганизацииДляОбмена(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиент.ОрганизацииДляОбмена(Форма) 
```
</details>

## ОткрытьФормуВыбораОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуВыбораОрганизаций(Форма, Префикс, Префиксы = Неопределено, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ОткрытьФормуВыбораОрганизаций(Форма, Префикс, Префиксы, ОповещениеПриЗавершении);
```
</details>

## ПослеЗавершенияВыбораОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗавершенияВыбораОрганизаций(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ПослеЗавершенияВыбораОрганизаций(Результат, ДополнительныеПараметры) 
```
</details>

## ОбработатьВыборОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьВыборОрганизаций(Форма, Результат, ПрименятьОтбор, Префикс = Неопределено, Префиксы = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ОбработатьВыборОрганизаций(Форма, Результат, ПрименятьОтбор, Префикс, Префиксы);
```
</details>

## ПодготовитьСообщенияКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд по выполнению требуемого дальнейшего действия в динамических списках.
//
// Параметры:
//  ДинамическийСписок - ТаблицаФормы - список в котором выполняется команда.
//  ПараметрыПередачи - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюЗЕРНО - действие, которое будет выполнено.
//                    - См. ИнтеграцияИСКлиентСервер.ИнициализироватьПараметрыПередачиДанных
Процедура ПодготовитьСообщенияКПередаче(ДинамическийСписок, ПараметрыПередачи) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ПодготовитьСообщенияКПередаче(ДинамическийСписок, ПараметрыПередачи) 
```
</details>

## ПодготовитьСообщенияКПередачеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения процедуры ПодготовитьСообщенияКПередаче.
//
// Параметры:
//  Контекст - Структура - контекст выполнения обработчика:
//   * МассивДокументов - Массив из ОпределяемыйТип.ДокументыЗЕРНО - список ссылок на обрабатываемые документы,
//   * НепроведенныеДокументы - Массив из ОпределяемыйТип.ДокументыЗЕРНО - документы, исключенные из обработки,
//   * ДинамическийСписок - ТаблицаФормы - список в котором выполняется команда,
//   * ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюЗЕРНО - действие, которое будет выполнено.
//  ДополнительныеПараметры - Структура, Неопределено - Дополнительные параметры
Процедура ПодготовитьСообщенияКПередачеЗавершение(Контекст, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ПодготовитьСообщенияКПередачеЗавершение(Контекст, ДополнительныеПараметры);
```
</details>

## АрхивироватьДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование документов.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьДокументы(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.АрхивироватьДокументы(Результат, ДополнительныеПараметры) 
```
</details>

## АрхивироватьРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование распоряжений к оформлению.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) 
```
</details>

## ОткрытьФормуСозданияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Выполняет команду создания документа, с предварительным выбором вида продукции или способа ввода в оборот.
//
Процедура ОткрытьФормуСозданияДокумента(ПолноеИмяДокумента, ДокументОснование = Неопределено, Владелец = Неопределено, ОписаниеОповещения = Неопределено, КорректировочныйДокумент = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ОткрытьФормуСозданияДокумента(ПолноеИмяДокумента, ДокументОснование, Владелец, ОписаниеОповещения, КорректировочныйДокумент);
```
</details>

## ПараметрыФормыПодбораПартий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры формы подбора партий.
//
// Возвращаемое значение:
//  Структура - Параметры формы подбора партий:
// * РежимВыбора - Булево -
// * ЗакрыватьПриВыборе - Булево -
// * ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС -
// * ОрганизацияВладелецПартии - ОпределяемыйТип.ОрганизацияКонтрагентГосИС
// * ПодразделениеВладелецПартии - ОпределяемыйТип.Подразделение
// * Грузоотправитель - ОпределяемыйТип.ОрганизацияКонтрагентГосИС
// * Местоположение - СправочникСсылка.КлючиАдресовЗЕРНО
// * ОрганизацияЭлеватор - ОпределяемыйТип.Организация
// * Номенклатура - ОпределяемыйТип.Номенклатура
// * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры
// * Серия - ОпределяемыйТип.СерияНоменклатуры
// * ОКПД2 - Строка
// * ЭтоЭкспорт - Неопределено, Булево -
Функция ПараметрыФормыПодбораПартий() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиент.ПараметрыФормыПодбораПартий() 
```
</details>

## ОткрытьФормуСинхронизацияДанныхЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму синхронизация данных ЗЕРНО.
//
// Параметры:
//  Форма - Форма
Процедура ОткрытьФормуСинхронизацияДанныхЗЕРНО(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ОткрытьФормуСинхронизацияДанныхЗЕРНО(Форма) 
```
</details>

## ЗагрузитьИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму синхронизация данных ЗЕРНО.
//
// Параметры:
//  Форма - Форма
//  Организации - Массив Из ОпределяемыйТип.Организация
//  ИмяЗапросаЗЕРНО - ПеречислениеСсылка.ИмяЗапросаЗЕРНО
//  ИмяСписка - Строка - Имя списка, который необходимо обновить
Процедура ЗагрузитьИзменения(Форма, Организации, ИмяЗапросаЗЕРНО, ИмяСписка = "Список") Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ЗагрузитьИзменения(Форма, Организации, ИмяЗапросаЗЕРНО, ИмяСписка);
```
</details>

## ПередПериодическойОтправкойДанныхКлиентаНаСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//см. ОбщегоНазначенияКлиентПереопределяемый.ПередПериодическойОтправкойДанныхКлиентаНаСервер
Процедура ПередПериодическойОтправкойДанныхКлиентаНаСервер(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ПередПериодическойОтправкойДанныхКлиентаНаСервер(Параметры) 
```
</details>

## ПослеПериодическогоПолученияДанныхКлиентаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//см. ОбщегоНазначенияКлиентПереопределяемый.ПослеПериодическогоПолученияДанныхКлиентаНаСервере
Процедура ПослеПериодическогоПолученияДанныхКлиентаНаСервере(Результаты) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ПослеПериодическогоПолученияДанныхКлиентаНаСервере(Результаты) 
```
</details>

## ПослеНачалаРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//см. ОбщегоНазначенияКлиентПереопределяемый.ПослеНачалаРаботыСистемы
Процедура ПослеНачалаРаботыСистемы() Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.ПослеНачалаРаботыСистемы() 
```
</details>

## НастроитьТипЗначенияПотребительскогоСвойства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастроитьТипЗначенияПотребительскогоСвойства(Форма, Элемент, ПотребительскоеСвойство, Значение, ОКПД2) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиент.НастроитьТипЗначенияПотребительскогоСвойства(Форма, Элемент, ПотребительскоеСвойство, Значение, ОКПД2) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
