---
title: Интеграция ЗЕРНО клиент сервер
slug: erp-uh/интеграция-зерно-клиент-сервер
---


## ИмяПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ИмяПодсистемы() 
```
</details>

## РежимРаботыСТестовымКонтуромЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет включение режима использования тестового контура ЗЕРНО.
//
// Возвращаемое значение:
//  Булево - Истина, если включен режим работы с тестовым контуром.
//
Функция РежимРаботыСТестовымКонтуромЗЕРНО() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.РежимРаботыСТестовымКонтуромЗЕРНО() 
```
</details>

## ПредставлениеОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеОКПД2(Наименование, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПредставлениеОКПД2(Наименование, Идентификатор) 
```
</details>

## ПредставлениеКодТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКодТНВЭД(Наименование, Код) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПредставлениеКодТНВЭД(Наименование, Код) 
```
</details>

## ПредставлениеДопустимыхЗначенийПоДиапазону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеДопустимыхЗначенийПоДиапазону(ДиапазонДопустимыхЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПредставлениеДопустимыхЗначенийПоДиапазону(ДиапазонДопустимыхЗначений) 
```
</details>

## ПодсказкаКСостояниюОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодсказкаКСостояниюОбмена(ИдентификаторПроблемы, ИмяЗапроса,Элемент = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПодсказкаКСостояниюОбмена(ИдентификаторПроблемы, ИмяЗапроса, Элемент);
```
</details>

## ПараметрыПредставленияТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления табличной части
//
// Параметры:
//  ПоляПодстановки - Строка - имена колонок коллекции, которые будут использоваться в представлении
//
// Возвращаемое значение:
//  Структура - с параметрами:
//   * Поля  - Строка - имена колонок табличной части, которые будут использоваться в представлении,
//      в порядке подстановки в шаблон (разделитель - ",");
//   * Пустая      - Строка - надпись по умолчанию для пустой коллекции (по умолчанию "не заполнено");
//   * НеЗаполнено - Строка - надпись по умолчанию для пустого значения элемента (по умолчанию "не заполнено");
//   * Шаблон      - Строка, Массив Из Строка - шаблон вывода строки коллекции (по умолчанию "%1"),
//      если передан массив то объединяться будут только части с непустыми параметрами;
//   * Количество  - Число  - количество строк выводимых в представлении (по умолчанию 1);
//   * Разделитель - Строка - строка, которой будут разделяться выводимые элементы табличной части (по умолчанию ",");
//   * Уникальные  - Булево - вывод уникальных представлений строк (по умолчанию Ложь);
//   * Пустые      - Булево - вывод представлений строк из пустых элементов (по умолчанию Истина).
//
Функция ПараметрыПредставленияТабличнойЧасти(ПоляПодстановки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПараметрыПредставленияТабличнойЧасти(ПоляПодстановки) 
```
</details>

## ПараметрыПредставленияТабличнойЧастиПартий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления ТЧ идентификаторов партий
//   (стандартное поле, уникальные записи)
//
// Возвращаемое значение:
//  См. ПараметрыПредставленияТабличнойЧасти.
//
Функция ПараметрыПредставленияТабличнойЧастиПартий() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПараметрыПредставленияТабличнойЧастиПартий() 
```
</details>

## ПараметрыПредставленияТабличнойЧастиСвязанныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления ТЧ связанные документы
//   (стандартные поля, переопределенные шаблон, представление пустой ТЧ)
//
// Возвращаемое значение:
//  См. ПараметрыПредставленияТабличнойЧасти.
//
Функция ПараметрыПредставленияТабличнойЧастиСвязанныхДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПараметрыПредставленияТабличнойЧастиСвязанныхДокументов() 
```
</details>

## ПараметрыПредставленияТабличнойЧастиТранспортныеСредства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления ТЧ транспортные средства
//   (стандартные поля, переопределенные шаблон, представление пустой ТЧ)
//
// Возвращаемое значение:
//  См. ПараметрыПредставленияТабличнойЧасти.
Функция ПараметрыПредставленияТабличнойЧастиТранспортныеСредства() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПараметрыПредставленияТабличнойЧастиТранспортныеСредства() 
```
</details>

## ПараметрыПредставленияТабличнойЧастиКорректируемыеСДИЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления ТЧ транспортные средства
//   (стандартные поля, переопределенные шаблон, представление пустой ТЧ)
//
// Возвращаемое значение:
//  См. ПараметрыПредставленияТабличнойЧасти.
Функция ПараметрыПредставленияТабличнойЧастиКорректируемыеСДИЗ() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПараметрыПредставленияТабличнойЧастиКорректируемыеСДИЗ() 
```
</details>

## ПараметрыПредставленияТабличнойЧастиМестаПерегрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки для формирования надписи-представления ТЧ места перегрузки
//   (стандартные поля, переопределенные шаблон, представление пустой ТЧ)
//   Параметры:
// 	ИмяПоляПредставления - Неопределено, Строка - Имя основного поля представления
// Возвращаемое значение:
//  См. ПараметрыПредставленияТабличнойЧасти.
//
Функция ПараметрыПредставленияТабличнойЧастиМестаПерегрузки(ИмяПоляПредставления = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПараметрыПредставленияТабличнойЧастиМестаПерегрузки(ИмяПоляПредставления);
```
</details>

## СформироватьНадписьПоДаннымТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует надпись (представление) гиперссылки для перехода в данные таб. части
//
// Параметры:
//  Данные - ДанныеФормыКоллекция, ТаблицаЗначений, Массив из СтрокаТаблицыЗначений - данные информацию о которых необходимо вывести;
//  ПараметрыНадписи - Структура, Строка -См. ПараметрыНадписиПредставленияТабличнойЧасти()(строка вызывает конструктор структуры)
//
// Возвращаемое значение:
//  Строка - пользовательское представление табличной части
Функция СформироватьНадписьПоДаннымТабличнойЧасти(Данные, ПараметрыНадписи) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.СформироватьНадписьПоДаннымТабличнойЧасти(Данные, ПараметрыНадписи) 
```
</details>

## ПутьКСерверуСИнформациейПоСДИЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПутьКСерверуСИнформациейПоСДИЗ(ИдентификаторФГИС, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПутьКСерверуСИнформациейПоСДИЗ(ИдентификаторФГИС, ВидПродукции) 
```
</details>

## ПутьКСерверуСИнформациейОПартии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПутьКСерверуСИнформациейОПартии(ИдентификаторФГИС, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ПутьКСерверуСИнформациейОПартии(ИдентификаторФГИС, ВидПродукции) 
```
</details>

## РасширенныеВидыПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расширенные виды продукции:
//   Возвращает исходные и "двойные" (с ВетИС) виды продукции, допустимые для номенклатуры
//   при известном виде продукции объекта ФГИС "Зерно"
// Параметры:
//  ВидыПродукции - ПеречислениеСсылка.ВидыПродукцииИС, Массив Из ПеречислениеСсылка.ВидыПродукцииИС - исходные виды продукции
//
// Возвращаемое значение:
//  Массив Из ПеречислениеСсылка.ВидыПродукцииИС - расширенные виды продукции
Функция РасширенныеВидыПродукции(Знач ВидыПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.РасширенныеВидыПродукции(ВидыПродукции) 
```
</details>

## ВидыПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Виды продукции ФГИС "Зерно" по расширенным видам продукции:
//   Возвращает исходные виды продукции для "двойных" (с ВетИС) из номенклатуры
//   для заполнения реквизитов объекта
// Параметры:
//  ВидыПродукции - ПеречислениеСсылка.ВидыПродукцииИС, Массив Из ПеречислениеСсылка.ВидыПродукцииИС - расширенные виды продукции
//
// Возвращаемое значение:
//  Массив Из ПеречислениеСсылка.ВидыПродукцииИС - базовые виды продукции
Функция ВидыПродукции(ВидыПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ВидыПродукции(ВидыПродукции) 
```
</details>

## УстановитьПараметрыВыбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметры выбора номенклатуры.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой нужно установить параметры выбора
//  ВидыПродукции - ПеречислениеСсылка.ВидыПродукцииИС, Массив Из ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции.
//  ИмяПоляВвода - Строка - имя поля ввода номенклатуры.
Процедура УстановитьПараметрыВыбораНоменклатуры(Форма, ВидыПродукции, ИмяПоляВвода = "ТоварыНоменклатура") Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОКлиентСервер.УстановитьПараметрыВыбораНоменклатуры(Форма, ВидыПродукции, ИмяПоляВвода);
```
</details>

## ЭтоВыборПартииЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это выбор партии ЗЕРНО.
//
// Параметры:
//  ВыбранноеЗначение - Произвольный
//
// Возвращаемое значение:
//  Булево - Это выбор партии ЗЕРНО
Функция ЭтоВыборПартииЗЕРНО(ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЗЕРНОКлиентСервер.ЭтоВыборПартииЗЕРНО(ВыбранноеЗначение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
