---
title: Интеграция ЗЕРНО переопределяемый
slug: erp-uh/интеграция-зерно-переопределяемый
---


## ПриИзмененииСтатусаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Дополнительные действия прикладной конфигурации при изменении статуса документа ЗЕРНО.
//
//Параметры:
//   ДокументСсылка   - ДокументСсылка     - ссылка на документ с изменением статуса.
//   ПредыдущийСтатус - ПеречислениеСсылка - предыдущий статус обработки.
//   НовыйСтатус      - ПеречислениеСсылка - новый статус обработки.
//   ПараметрыОбновленияСтатуса - Структура, Неопределено - (См. ИнтеграцияЗЕРНОСлужебныйКлиентСервер.ПараметрыОбновленияСтатуса).
//
Процедура ПриИзмененииСтатусаДокумента(ДокументСсылка, ПредыдущийСтатус, НовыйСтатус, ПараметрыОбновленияСтатуса = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриИзмененииСтатусаДокумента(ДокументСсылка, ПредыдущийСтатус, НовыйСтатус, ПараметрыОбновленияСтатуса);
```
</details>

## УказываетсяТранспортноеСредство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет использование транспортных средств
//
// Параметры:
//  Указывается - Булево - Признак использования транспортных средств.
Процедура УказываетсяТранспортноеСредство(Указывается) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.УказываетсяТранспортноеСредство(Указывается) 
```
</details>

## ПриОпределенииРеквизитовТранспортногоСредства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные транспортного средства
//
// Параметры:
//  Реквизиты - Структура из КлючИЗначение - возможные реквизиты транспортного средства:
//  Ключи: НомерТранспортногоСредства, НомерАвтомобильногоКонтейнера
//  ТранспортноеСредство - ОпределяемыйТип.ТранспортныеСредстваИС - транспортное средство
Процедура ПриОпределенииРеквизитовТранспортногоСредства(Реквизиты, ТранспортноеСредство) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииРеквизитовТранспортногоСредства(Реквизиты, ТранспортноеСредство) 
```
</details>

## ЗаполнитьКоличествоПоКоличествуЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет количество номенклатуры по количеству ЗЕРНО:
//   * Имя колонки с количеством ЗЕРНО откуда идет пересчет: <Количество[суффикс]ЗЕРНО>,
//   * Имя колонки с прикладным количеством: <Количество[суффикс]>.
//
// Параметры:
//  ОбъектыПересчета - ДанныеФормыЭлементКоллекции, Массив Из СтрокаТабличнойЧасти - объекты для пересчета.
//  Суффикс - Строка - Окончание наименования колонки, содержащей количество.
Процедура ЗаполнитьКоличествоПоКоличествуЗЕРНО(ОбъектыПересчета, Суффикс = "") Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ЗаполнитьКоличествоПоКоличествуЗЕРНО(ОбъектыПересчета, Суффикс);
```
</details>

## ОбработкаЗаполненияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Вызывается при вводе документа на основании, при выполнении метода Заполнить или при интерактивном вводе нового.
//
//Параметры:
//   ДокументОбъект - ДокументОбъект - заполняемый документ,
//   ДанныеЗаполнения - Произвольный - значение, которое используется как основание для заполнения,
//   ТекстЗаполнения - Строка, Неопределено - текст, используемый для заполнения документа,
//   СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаЗаполненияДокумента(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ОбработкаЗаполненияДокумента(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ЗаполнитьСоответствиеШапкиОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре необходимо реализовать запись сопоставления ключей адресов и ключей реквизитов организаций ЗЕРНО
//   с прикладными справочниками конфигурации
//
// Параметры:
//  ДокументОснование - ДокументСсылка, ДокументОбъект - прикладной документ конфигурации,
//  ДокументОбъект    - ДокументСсылка, ДокументОбъект - связанный с ним документ библиотеки.
//
Процедура ЗаполнитьСоответствиеШапкиОбъектов(ДокументОснование, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ЗаполнитьСоответствиеШапкиОбъектов(ДокументОснование, ДокументОбъект) 
```
</details>

## ПриОпределенииОбособленныхПодразделенийОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре реализуется заполнение обособленных подразделений для коллекции организаций. В переданной таблице
// необходимо заполнить колонки ОрганизацияКонтрагент, Подразделение.
//
// Параметры:
//  КоллекцияОрганизаций - ТаблицаЗначений - массив ссылок, по которым нужно получить реквизиты
//  ТаблицаПодразделенйОрганизации - см. ИнтеграцияЗЕРНО.НоваяТаблицаОрганизацияКонтрагентПодразделение
Процедура ПриОпределенииОбособленныхПодразделенийОрганизации(КоллекцияОрганизаций, ТаблицаПодразделенйОрганизации) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииОбособленныхПодразделенийОрганизации(КоллекцияОрганизаций, ТаблицаПодразделенйОрганизации) 
```
</details>

## ПриОпределенииРеквизитовОрганизацийКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре требуется дополнить в переданной таблице по Организации/контрагенту и подразделению
// данные ИНН/КПП/ОГРН/Наименование/ТипОрганизации/КодАльфа3/ЮридическийАдрес/Фамилия/Имя/Отчество из информационной базы.
// КоллекцияОрганизацийПодразделений индексирован по "ОрганизацияКонтрагент, Подразделение".
//
// Параметры:
//  КоллекцияОрганизацийПодразделений - см. ИнтеграцияЗЕРНО.НоваяТаблицаОрганизацияКонтрагентПодразделение
Процедура ПриОпределенииРеквизитовОрганизацийКонтрагентов(КоллекцияОрганизацийПодразделений) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииРеквизитовОрганизацийКонтрагентов(КоллекцияОрганизацийПодразделений) 
```
</details>

## ПриОпределенииКонтрагентовОрганизацийПоРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение ссылок на организации и контрагенты по реквизитам. Переданной таблице реквизитов необходимо заполнить
// колонки:
//  - Организация - Ссылка на организацию, найденную по переданным реквизитам
//  - Контрагент  - Ссылка на контрагент, найденного по переданным реквизитам,
//  - Подразделение - Ссылка на обособленное подразделение, найденного по переданным реквизитам.
// Параметры:
//  ТаблицаРеквизитов - см. Справочники.КлючиРеквизитовОрганизацийЗЕРНО.НоваяТаблицаРеквизитовКлючейРеквизитовОрганизаций
Процедура ПриОпределенииКонтрагентовОрганизацийПоРеквизитам(ТаблицаРеквизитов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииКонтрагентовОрганизацийПоРеквизитам(ТаблицаРеквизитов) 
```
</details>

## ПриОпределенииТекстаЗапросаКлассификатораОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В данной процедуре требуется переопределить текст запроса, помещающий выборку из прикладного классификатора ОКПД2
// во временную таблицу ВременнаяТаблица.
//   Требования к тексту запроса:
//     Если классификатор ОКПД2 не используется, переопределение также не заполнять.
//     Результат запроса обязательно должен содержать следующие поля:
//   Колонки временной таблицы "ДанныеШтрихкодовУпаковок":
//     Ссылка             - ОпределяемыйТип.ОКПД2ИС - ссылка на элемент классификатора ОКПД2.
//     Код                - Строка - код.
//     НаименованиеПолное - Строка - наименование.
// Параметры:
//  ТекстЗапроса - Строка - Переопределяемый текст запроса.
Процедура ПриОпределенииТекстаЗапросаКлассификатораОКПД2(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииТекстаЗапросаКлассификатораОКПД2(ТекстЗапроса) 
```
</details>

## ПриОпределенииСопоставленногоКлассификатораОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для поиска по коду элемента в Классификаторе ОКПД2.
// Если элемент не найден, то, при использовании классификатора, создать элемент справочника в соответствии с классификатором ОКПД2.
//
// Параметры:
//  ОКПД2 - Строка - Строка с кодом классификатора ОКПД2.
//  ЭлементСправочника - Произвольный - Переопределяемый параметр, ссылка на элемент классификатора.
Процедура ПриОпределенииСопоставленногоКлассификатораОКПД2(ОКПД2, ЭлементСправочника) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииСопоставленногоКлассификатораОКПД2(ОКПД2, ЭлементСправочника) 
```
</details>

## ПриОпределенииТекстаЗапросаКлассификатораТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В данной процедуре требуется переопределить текст запроса, помещающий выборку из прикладного классификатора ТН ВЭД
// во временную таблицу ВременнаяТаблица.
//   Требования к тексту запроса:
//     Если классификатор ТН ВЭД не используется, переопределение также не заполнять.
//     Результат запроса обязательно должен содержать следующие поля:
//   Колонки временной таблицы "ДанныеШтрихкодовУпаковок":
//     Ссылка             - Произвольный - ссылка на элемент классификатора ТН ВЭД.
//     Код                - Строка - код.
//     НаименованиеПолное - Строка - наименование.
// Параметры:
//  ТекстЗапроса - Строка - Переопределяемый текст запроса.
Процедура ПриОпределенииТекстаЗапросаКлассификатораТНВЭД(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииТекстаЗапросаКлассификатораТНВЭД(ТекстЗапроса) 
```
</details>

## ПриОпределенииСопоставленногоКлассификатораТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для поиска по коду элемента в Классификаторе ТН ВЭД.
// Если элемент не найден, то, при использовании классификатора, создать элемент справочника в соответствии с классификатором ТН ВЭД ЕАЭС.
//
// Параметры:
//  ТНВЭД - Строка - Строка с кодом классификатора ТН ВЭД.
//  Наименование - Строка - наименование элемента классификатора ТН ВЭД.
//  ЭлементСправочника - Произвольный - Переопределяемый параметр, ссылка на элемент классификатора.
Процедура ПриОпределенииСопоставленногоКлассификатораТНВЭД(ТНВЭД, Наименование, ЭлементСправочника) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииСопоставленногоКлассификатораТНВЭД(ТНВЭД, Наименование, ЭлементСправочника) 
```
</details>

## ПриОпределенииИспользованияДоговоровКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет признак использования договоров контрагентов.
//
// Параметры:
//  Используется - Булево - Признак использования договоров контрагентов.
Процедура ПриОпределенииИспользованияДоговоровКонтрагентов(Используется) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииИспользованияДоговоровКонтрагентов(Используется) 
```
</details>

## ПриОпределенииИспользованияДоговоровОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет признак использования договоров между организациями.
//
// Параметры:
//  Используется - Булево - Признак использования договоров между организациями.
Процедура ПриОпределенииИспользованияДоговоровОрганизаций(Используется) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииИспользованияДоговоровОрганизаций(Используется) 
```
</details>

## ПриОпределенииНомераДатыДоговораДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие договору дату и номер договора.
//
// Параметры:
//  МассивСсылок - Массив Из ОпределяемыйТип.ДоговорКонтрагентаИС - массив ссылок договоры.
//
//  ВозвращаемоеСоответствие - Соответствие из ОпределяемыйТип.ДоговорКонтрагентаИС:
//                             * Ключ - ОпределяемыйТип.ДоговорКонтрагентаИС - ссылка на выгружаемый учетный документ.
//                             * Значение - Структура:
//                               ** НомерДоговора - Строка.
//                               ** ДатаДоговора - Дата.
//
Процедура ПриОпределенииНомераДатыДоговораДокументов(МассивСсылок, ВозвращаемоеСоответствие) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииНомераДатыДоговораДокументов(МассивСсылок, ВозвращаемоеСоответствие) 
```
</details>

## ПриОпределенииРеквизитовГосКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие госконтракту  дату, номер и номер закупки ЕИС.
//
// Параметры:
//  МассивСсылок - Массив Из ОпределяемыйТип.ГосударственныеКонтрактыИС - массив ссылок государственные контракты.
//
//  ВозвращаемоеСоответствие - Соответствие из ОпределяемыйТип.ГосударственныеКонтрактыИС:
//                             * Ключ - ОпределяемыйТип.ГосударственныеКонтрактыИС - ссылка на ссылка на гос.контракт.
//                             * Значение - Структура:
//                               ** НомерГосКонтракта - Строка.
//                               ** ДатаГосКонтракта  - Дата.
//                               ** НомерЗакупкиЕИС   - Строка.
//
Процедура ПриОпределенииРеквизитовГосКонтракта(МассивСсылок, ВозвращаемоеСоответствие) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииРеквизитовГосКонтракта(МассивСсылок, ВозвращаемоеСоответствие) 
```
</details>

## ПриОпределенииПлощадиЗемельногоУчастка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для получения площади земельного участка если в качестве определяемого типа ЗемльныйУчастокИС
// используется тип, отличный от СправочникСсылка.ЗемельныеУчасткиИС.
//
// Параметры:
//  ЗемельныйУчасток - ОпределяемыйТип.ЗемельныйУчастокИС - Ссылка на земельный участок.
//  ПлощадьЗемельногоУчастка - Число - Площадь земельного участка в гектарах.
//
Процедура ПриОпределенииПлощадиЗемельногоУчастка(ЗемельныйУчасток, ПлощадьЗемельногоУчастка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ПриОпределенииПлощадиЗемельногоУчастка(ЗемельныйУчасток, ПлощадьЗемельногоУчастка) 
```
</details>

## ТребуетсяСозданиеКорректировочногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет, какого типа документ подсистемы ЗЕРНО должен создаваться на основании
// прикладного документа. Необходимо для указания документов, по которым требуется создание корректировочных
// документов ЗЕРНО.
//
// Параметры:
//  МетаданныеДокументаЗЕРНО - ОбъектМетаданных - метаданные документа ЗЕРНО
//  Документ - ОпределяемыйТип.ОснованиеОформлениеСДИЗЗЕРНО - прикладной документ, по которому требуется указать, создается
//  	обычный документ или корректировочный
//  СоздатьДокументКорректировки -Булево - Истина, если по документу надо создать корректировочный. Доступно только если метаданные документа ЗЕРНО
//		поддерживают такую функциональность
Процедура ТребуетсяСозданиеКорректировочногоДокумента(МетаданныеДокументаЗЕРНО, Документ, СоздатьДокументКорректировки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОПереопределяемый.ТребуетсяСозданиеКорректировочногоДокумента(МетаданныеДокументаЗЕРНО, Документ, СоздатьДокументКорректировки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
