---
title: Интеграция ЗЕРНО УТ клиент сервер
slug: erp-uh/интеграция-зерно-ут-клиент-сервер
---


## КомандыПогашенияСДИЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыПогашенияСДИЗ(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОУТКлиентСервер.КомандыПогашенияСДИЗ(Команды) 
```
</details>

## КомандыОформлениеСДИЗЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыОформлениеСДИЗЗЕРНО(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОУТКлиентСервер.КомандыОформлениеСДИЗЗЕРНО(Команды) 
```
</details>

## УправлениеВидимостьюКомандОформлениеСДИЗЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость команд динамически формируемых для создания документов на основании.
//
// Параметры:
// 	Форма   - ФормаКлиентскогоПриложения - Форма на которой находятся вызова команд.
// 	Команды - Структура - структура команд динамически формируемых для создания документов на основании.
//
Процедура УправлениеВидимостьюКомандОформлениеСДИЗЗЕРНО(Форма, Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОУТКлиентСервер.УправлениеВидимостьюКомандОформлениеСДИЗЗЕРНО(Форма, Команды) 
```
</details>

## КомандыФормированиеПартийЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыФормированиеПартийЗЕРНО(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОУТКлиентСервер.КомандыФормированиеПартийЗЕРНО(Команды) 
```
</details>

## УправлениеВидимостьюКомандФормированиеПартийЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость команд динамически формируемых для создания документов на основании.
//
// Параметры:
// 	Форма   - ФормаКлиентскогоПриложения - Форма на которой находятся вызова команд.
// 	Команды - Структура - структура команд динамически формируемых для создания документов на основании.
//
Процедура УправлениеВидимостьюКомандФормированиеПартийЗЕРНО(Форма, Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОУТКлиентСервер.УправлениеВидимостьюКомандФормированиеПартийЗЕРНО(Форма, Команды) 
```
</details>

## КомандыСписаниеПартийЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыСписаниеПартийЗЕРНО(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОУТКлиентСервер.КомандыСписаниеПартийЗЕРНО(Команды) 
```
</details>

## КомандыВнесениеСведенийОСобранномУрожаеЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыВнесениеСведенийОСобранномУрожаеЗЕРНО(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОУТКлиентСервер.КомандыВнесениеСведенийОСобранномУрожаеЗЕРНО(Команды) 
```
</details>

## КомандыФормированиеПартийПриПроизводствеЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыФормированиеПартийПриПроизводствеЗЕРНО(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЗЕРНОУТКлиентСервер.КомандыФормированиеПартийПриПроизводствеЗЕРНО(Команды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
