---
title: Интеграция ИС
slug: erp-uh/интеграция-ис
---


## МассивВТаблицуЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений на основании массива структур
//
// Параметры:
//	МассивСтруктур - Массив Из Структура - Массив структур, которые будут преобразованы в таблиц значений.
//										   Свойства структуры первого элемента массива определяют состав колонок результирующей таблицы.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица значений, созданная из массива структур.
//
Функция МассивВТаблицуЗначений(МассивСтруктур) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.МассивВТаблицуЗначений(МассивСтруктур) 
```
</details>

## МассивПустыхЗначенийСоставногоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив/список значений пустых значений составного типа, включая Неопределено
//
// Параметры:
// 	ВходящееОписаниеТипа - ОписаниеТипов - Описание типов метаданного для получения типов.
// 	ВозвращатьСписокЗначений - Булево - Выбор возвращаемого значения Масси или СписокЗначений.
// Возвращаемое значение:
// 	Массив, СписокЗначений - коллекция пустых значений составного типа.
//
Функция МассивПустыхЗначенийСоставногоТипа(ВходящееОписаниеТипа, ВозвращатьСписокЗначений=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.МассивПустыхЗначенийСоставногоТипа(ВходящееОписаниеТипа, ВозвращатьСписокЗначений);
```
</details>

## ХешированиеДанныхSHA256
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитать хеш для строки
//
// Параметры:
//  СтрокаДляРасчетаХеша - Строка - Строка для расчета хеша
// Возвращаемое значение:
//  Строка - Описание
Функция ХешированиеДанныхSHA256(СтрокаДляРасчетаХеша, ФорматBase64 = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ХешированиеДанныхSHA256(СтрокаДляРасчетаХеша, ФорматBase64);
```
</details>

## НастройкиОбменаГосИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает структуру настроек обмена через ЭДО, извлекая из константы НастройкиОбменаГосИС.
//
// Возвращаемое значение:
//  ТаблицаЗначений, Неопределено - Настройки обмена.
//
Функция НастройкиОбменаГосИС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.НастройкиОбменаГосИС() 
```
</details>

## СертификатыОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СертификатыОрганизаций() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.СертификатыОрганизаций() 
```
</details>

## РазделительЗапросовВПакете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазделительЗапросовВПакете() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.РазделительЗапросовВПакете() 
```
</details>

## ПараметрыИнтеграцииВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры вывода гиперссылок на документы ИС в форме документа-основания.
//
// Параметры:
//  ИменаПодсистем           - Строка - имена подсистем (через запятую), на объекты которых нужны гиперссылки
//  ИмяЭлементаДляРазмещения - Строка - имя реквизита формы, для размещения гиперссылок
//
// Возвращаемое значение:
//  Структура - согласно параметрам
//
Функция ПараметрыИнтеграцииВФорме(ИменаПодсистем = "", ИмяЭлементаДляРазмещения = "") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ПараметрыИнтеграцииВФорме(ИменаПодсистем, ИмяЭлементаДляРазмещения);
```
</details>

## ИмяЭлементаДляРазмещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяЭлементаДляРазмещения() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ИмяЭлементаДляРазмещения() 
```
</details>

## ПриСозданииНаСервереВФормеДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - При создании на сервере в форме документа основания
//
// Параметры:
//  Форма               - ФормаКлиентскогоПриложения     - форма прикладного объекта для встраивания библиотечной гиперссылки
//  Объект              - ДанныеФормыСтруктура - данные прикладного объекта
//  ПараметрыИнтеграции - См. ПараметрыИнтеграцииВФорме
//
Процедура ПриСозданииНаСервереВФормеДокументаОснования(Форма, Объект, Знач ПараметрыИнтеграции) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ПриСозданииНаСервереВФормеДокументаОснования(Форма, Объект, ПараметрыИнтеграции) 
```
</details>

## ОбновитьПолеИнтеграцииВФормеДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПолеИнтеграцииВФормеДокументаОснования(Форма, Объект, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ОбновитьПолеИнтеграцииВФормеДокументаОснования(Форма, Объект, ДополнительныеПараметры);
```
</details>

## ПослеЗаписиНаСервереВФормеОбъектаДокументаИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНаСервереВФормеОбъектаДокументаИС(Форма, Объект, ИмяПодсистемы, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ПослеЗаписиНаСервереВФормеОбъектаДокументаИС(Форма, Объект, ИмяПодсистемы, ПараметрыЗаписи) 
```
</details>

## НастроитьВидимостьДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастроитьВидимостьДокументаОснования(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.НастроитьВидимостьДокументаОснования(Форма) 
```
</details>

## ДокументыИСПоДокументуОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает оформленные документы по документу-основанию
//   * в документе должен быть реквизит "ДокументОснование".
//   * допустимый тип документа определяется из регистра статусов.
// Параметры:
//  ДокументОснование					 - ДокументСсылка   - значение реквизита "ДокументОснование".
//  МетаданныеРегистраСтатусовДокументов - ОбъектМетаданных - используемый регистр статусов документов
//  ИмяИзмеренияДокумент                 - Строка           - используемое измерение регистра статусов документов
//  Фильтр                               - Строка           - фильтр регистра (при необходимости)
// Возвращаемое значение:
//  Структура - описание документов, где:
//   * Ключ - Строка - [ИмяДокумента], имя метаданных оформленного документа
//   * Значение - Массив Из Структура - массив структур с полями:
//     ** Ссылка - ДокументСсылка - ссылка на оформленный документ
//     ** Дата   - Дата           - дата документа
//     ** Статус - Произвольный   - статус документа по регистру
//
Функция ДокументыИСПоДокументуОснованию(ДокументОснование, МетаданныеРегистраСтатусовДокументов, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ДокументыИСПоДокументуОснованию(ДокументОснование, МетаданныеРегистраСтатусовДокументов, );
```
</details>

## ОписаниеТиповПоПолномуИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типов из указанного ссылочного типа по полному имени метаданных
//
// Параметры:
//   ПолноеИмя - Строка - полное имя объекта для получения ссылочного типа
//
// Возвращаемое значение:
//   ОписаниеТипов
Функция ОписаниеТиповПоПолномуИмени(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ОписаниеТиповПоПолномуИмени(ПолноеИмя) 
```
</details>

## ОписаниеТиповПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типов по переданному типу
//
// Параметры:
//	Тип - Тип - Тип значения
//
// Возвращаемое значение:
//	ОписаниеТипов - созданное на основании переданного типа описание типов.
//
Функция ОписаниеТиповПоТипу(Тип) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ОписаниеТиповПоТипу(Тип) 
```
</details>

## РеквизитДокументОснованиеДокументаИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитДокументОснованиеДокументаИС(МетаданныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.РеквизитДокументОснованиеДокументаИС(МетаданныеДокумента) 
```
</details>

## НезаполненныеЗначенияОпределяемогоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив пустых значений определяемого типа.
//
// Возвращаемое значение:
//  Массив - Пустые значения определяемого типа.
//
Функция НезаполненныеЗначенияОпределяемогоТипа(ОпределяемыйТипИлиИмяТипа) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.НезаполненныеЗначенияОпределяемогоТипа(ОпределяемыйТипИлиИмяТипа) 
```
</details>

## ОбщийМодуль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбщийМодуль(КраткоеИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ОбщийМодуль(КраткоеИмяПодсистемы));
```
</details>

## ЕстьРеквизитТабЧастиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет определить есть ли среди реквизитов табличной части объекта реквизит с переданным именем.
//
// Параметры:
//  ИмяРеквизита - Строка - Строковое имя искомого реквизита.
//  МетаданныеОбъекта - ОбъектМетаданных - описание метаданных объекта, среди реквизитов которого производится поиск.
//  ИмяТабЧасти  - Строка - Строковое имя табличной части объекта, среди реквизитов которого производится поиск.
//
// Возвращаемое значение:
//  Булево - Истина, нашли реквизит с таким именем, Ложь - не нашли.
//
Функция ЕстьРеквизитТабЧастиОбъекта(ИмяРеквизита, МетаданныеОбъекта, ИмяТабЧасти) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ЕстьРеквизитТабЧастиОбъекта(ИмяРеквизита, МетаданныеОбъекта, ИмяТабЧасти) 
```
</details>

## РасчетСтатусовОформленияВыполняетсяВнеТранзакцииЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчет статусов оформления для документов-оснований выполняется вне транзакции записи.
// Если записываемый объект не является документом-основанием, расчет по текущему документу будет выполнен сразу.
//
// Возвращаемое значение:
//  Булево - расчет статусов оформления вынесен из подписок записи документов
Функция РасчетСтатусовОформленияВыполняетсяВнеТранзакцииЗаписи() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.РасчетСтатусовОформленияВыполняетсяВнеТранзакцииЗаписи() 
```
</details>

## ТребуетсяТаблицаДляДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость подготовить таблицу для формирования движений
//
// Параметры:
//  ИмяРегистра - Строка - имя регистра. Например "ТоварыНаСкладах"
//  Регистры    - Строка, Структура - список регистров, разделенных запятой, или структура, в ключах которой - имена регистров
//              - Неопределено - то всегда возвращается ИСТИНА
//
// Возвращаемое значение:
//  Булево - Истина, если требуется инициализировать указанную таблицу
//
Функция ТребуетсяТаблицаДляДвижений(ИмяРегистра, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ТребуетсяТаблицаДляДвижений(ИмяРегистра, Регистры) 
```
</details>

## ИнициализироватьДополнительныеСвойстваДляПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура инициализирует общие структуры, используемые при проведении документов.
// Вызывается из модуля документов при проведении.
//
Процедура ИнициализироватьДополнительныеСвойстваДляПроведения(ДокументСсылка, ДополнительныеСвойства, РежимПроведения = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ИнициализироватьДополнительныеСвойстваДляПроведения(ДокументСсылка, ДополнительныеСвойства, РежимПроведения);
```
</details>

## ИнициализироватьТаблицыДляДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура компонует текст запроса, выполняет запрос и выгружает результаты запроса в таблицы
//
// Параметры:
//  Запрос - Запрос - запрос, параметры которого предварительно установлены.
//  ТекстыЗапроса - СписокЗначений из Строка - в списке перечислены тексты запросов и их имена.
//  Таблицы - Структура - структура в которую будут помещены полученные таблицы для движений.
//  ДобавитьРазделитель - Булево - Истина, если нужно добавить разделитель ";" между запросами.
//  ДобавлятьСловоТаблица - Булево - Истина, если к имени таблицы движений нужно в начало добавить слово "Таблица"
//  ТолькоОтмеченные - Булево - Только отмеченные регистры
Процедура ИнициализироватьТаблицыДляДвижений(Запрос, ТекстыЗапроса, Таблицы, ДобавитьРазделитель = Ложь, ДобавлятьСловоТаблица = Истина, ТолькоОтмеченные=Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ИнициализироватьТаблицыДляДвижений(Запрос, ТекстыЗапроса, Таблицы, ДобавитьРазделитель, ДобавлятьСловоТаблица, ТолькоОтмеченные);
```
</details>

## ВыгрузитьРезультатыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пакет запросов и возвращает результат каждого запроса
//
// Параметры:
//  Запрос - Запрос - запрос, параметры которого предварительно установлены.
//  ТекстыЗапроса - СписокЗначений из Строка - в списке перечислены тексты запросов и их имена.
//  ОбходРезультата - ОбходРезультатаЗапроса - вариант обхода результата запроса.
//  ДобавитьРазделитель - Булево - Добавить разделитель
//
// Возвращаемое значение:
//  Структура -- структура в которую помещены полученные таблицы
Функция ВыгрузитьРезультатыЗапроса(Запрос, ТекстыЗапроса, ОбходРезультата = Неопределено, ДобавитьРазделитель = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ВыгрузитьРезультатыЗапроса(Запрос, ТекстыЗапроса, ОбходРезультата, ДобавитьРазделитель);
```
</details>

## ПодготовитьНаборыЗаписейКРегистрацииДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет подготовку наборов записей документа к записи движений.
// 1. Очищает наборы записей от "старых записей" (ситуация возможна только в толстом клиенте)
// 2. Взводит флаг записи у наборов, по которым документ имеет движения
// Вызывается из модуля документов при проведении.
//
Процедура ПодготовитьНаборыЗаписейКРегистрацииДвижений(Объект, ЭтоНовый = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ПодготовитьНаборыЗаписейКРегистрацииДвижений(Объект, ЭтоНовый);
```
</details>

## ПолучитьИспользуемыеРегистры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует массив имен регистров, по которым документ имеет движения.
// Вызывается при подготовке записей к регистрации движений.
//
Функция ПолучитьИспользуемыеРегистры(Регистратор, Движения, МассивИсключаемыхРегистров = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ПолучитьИспользуемыеРегистры(Регистратор, Движения, МассивИсключаемыхРегистров);
```
</details>

## ЗаписатьНаборыЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура записывает движения документа. Дополнительно происходит копирование параметров
// в модули наборов записей для выполнения регистрации изменений в движениях.
// Процедура вызывается из модуля документов при проведении.
//
Процедура ЗаписатьНаборыЗаписей(Объект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ЗаписатьНаборыЗаписей(Объект) 
```
</details>

## ОчиститьДополнительныеСвойстваДляПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет закрытие менеджера временных таблиц в структуре дополнительных свойств документа, используемых
// при проведении.
//
// Параметры:
//	ДополнительныеСвойства - Структура - структура с дополнительными свойствами документа, используемыми
//		при проведении.
//
Процедура ОчиститьДополнительныеСвойстваДляПроведения(ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ОчиститьДополнительныеСвойстваДляПроведения(ДополнительныеСвойства) 
```
</details>

## ДобавитьЗаписьВПротоколОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить запись в протокол обмена.
//
// Параметры:
//   Протокол              - ОбъектМетаданныхСправочник - протокол обмена
//   ТекстСообщенияXML     - Строка                     - Текст сообщения XML.
//   Реквизиты - Структура                              - Значения реквизитов сообщения, с обязательными полями:
//    * Документ       - Произвольный - документ по которому ведется протокол обмена,
//    * ВладелецФайлов - Произвольный - элемент по которому ведется обмен с ГосИС.
//   ПроверятьХешБезСсылки - Булево                     - Признак проверки хеша без ссылки.
//   ЗаписатьПринудительно - Булево                     - Признак записи сообщения без поиска по хешу.
// Возвращаемое значение:
//   Структура - Структура со свойствами:
//    * НовоеСообщение - Булево - Это новое сообщение.
//    * Ссылка - СправочникСсылка - Ссылка на присоединенный файл (СправочникСсылка[Протокол.Имя]).
//    * Документ - ДокументСсылка
//    * ДокументОснование - ДокументСсылка
//
Функция ДобавитьЗаписьВПротоколОбмена(Протокол, ТекстСообщенияXML, Реквизиты, ПроверятьХешБезСсылки, ЗаписатьПринудительно = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ДобавитьЗаписьВПротоколОбмена(Протокол, ТекстСообщенияXML, Реквизиты, ПроверятьХешБезСсылки, ЗаписатьПринудительно);
```
</details>

## ОтработатьВходящийДокументПротоколаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает исключение при открытии формы протокола обмена с незаполненным параметром "Документ"
//  (форма предназначается для просмотра протокола обмена по конкретному объекту).
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма протокола обмена
//  ИмяПоляДокумент - Строка
//  ИмяРеквизита - Строка
//
Процедура ОтработатьВходящийДокументПротоколаОбмена(Форма, ИмяПоляДокумент = "Документ", ИмяРеквизита = "Документ") Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ОтработатьВходящийДокументПротоколаОбмена(Форма, ИмяПоляДокумент, ИмяРеквизита);
```
</details>

## УстановитьУсловноеОформлениеПротоколаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает типовое условное оформление протокола обмена
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма протокола обмена
//
Процедура УстановитьУсловноеОформлениеПротоколаОбмена(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.УстановитьУсловноеОформлениеПротоколаОбмена(Форма) 
```
</details>

## ИндексКартинкиЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает индекс картинки запроса в коллекции "ПротоколОбменаИС"
//
// Параметры:
//  СтрокаПоследовательности - Произвольный - коллекция с типом запроса (входящий, исходящий)
//  НеВыполнен				 - Булево - серые стрелки (по умолчанию Ложь)
//
// Возвращаемое значение:
//  Число - индекс соответствующей картинки запроса
//
Функция ИндексКартинкиЗапроса(СтрокаПоследовательности, НеВыполнен = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ИндексКартинкиЗапроса(СтрокаПоследовательности, НеВыполнен);
```
</details>

## ДополнитьСписокСтранЕАЭС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет список странами ЕАЭС
//
// Параметры:
//  СписокСтран - СписокЗначений из СправочникСсылка.СтраныМира - текущий список стран
//  ВключатьКодВПредставление - Булево - Включает в представление код страны.
Процедура ДополнитьСписокСтранЕАЭС(СписокСтран, ВключатьКодВПредставление = Истина) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ДополнитьСписокСтранЕАЭС(СписокСтран, ВключатьКодВПредставление);
```
</details>

## ПриДобавленииКлассификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяется список и настройки классификаторов обновления которых необходимо
// загружать из сервиса классификаторов. Для получения идентификатора необходимо
// перевести наименование объекта метаданных, данные которого планируется обновлять,
// на английский язык. При переводе рекомендуется использовать профессиональные
// программы перевода текста, либо воспользоваться услугами переводчика, т.к. при
// обнаружении смысловых ошибок в идентификаторе потребуется заводить новый классификатор
// и изменять код конфигурации.
//
// Параметры:
//  Классификаторы  - Массив из Структура - содержит настройки загрузки классификаторов.
//                    Состав настроек см. функцию РаботаСКлассификаторами.ОписаниеКлассификатора.
//
// Пример:
//	Описатель = РаботаСКлассификаторами.ОписаниеКлассификатора();
//	Описатель.Наименование               = НСтр("ru = 'Ставки рефинансирования'");
//	Описатель.Идентификатор              = "CentralBankRefinancingRate";
//	Описатель.ОбновлятьАвтоматически     = Истина;
//	Описатель.ОбщиеДанные                = Истина;
//	Описатель.СохранятьФайлВКэш          = Ложь;
//	Описатель.ОбработкаРазделенныхДанных = Ложь;
//	Классификаторы.Добавить(Описатель);
//
//@skip-warning
Процедура ПриДобавленииКлассификаторов(Классификаторы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ПриДобавленииКлассификаторов(Классификаторы) 
```
</details>

## ПриОпределенииНачальногоНомераВерсииКлассификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяются номер версии классификатора, который уже загружен в информационную базу.
// При начале использовании подсистемы "РаботаСКлассификаторами" или при подключении нового
// классификатора к сервису, неизвестно какой номер версии классификатора загружен в ИБ,
// поэтому при очередной итерации обновления данных из сервиса данные будут загружены повторно.
// Чтобы избежать повторной загрузки, необходимо указать задать начальный номер версии.
// Метод будет вызван при попытке загрузить версию классификатора, у которого установлена
// версия равная 0.
//
// Параметры:
//  Идентификатор        - Строка - идентификатор классификатора в сервисе классификаторов.
//                         Определяется в процедуре ПриДобавленииКлассификаторов.
//  НачальныйНомерВерсии - Число - номер версии загруженного классификатора.
//
// Пример:
//	Если Идентификатор = "CentralBankRefinancingRate" Тогда
//		НачальныйНомерВерсии = РегистрыСведений.СтавкиРефинансирования.НомерЗагруженнойВерсии();
//	КонецЕсли;
//
//@skip-warning
Процедура ПриОпределенииНачальногоНомераВерсииКлассификатора(Идентификатор, НачальныйНомерВерсии) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ПриОпределенииНачальногоНомераВерсииКлассификатора(Идентификатор, НачальныйНомерВерсии) 
```
</details>

## ПриЗагрузкеКлассификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяются алгоритмы обработки файла загруженного
// из сервиса классификаторов. После обработки файла нельзя удалять
// временного хранилища, т.к. при необходимости он будет сохранен в
// кэше для последующего использования.
//
// Параметры:
//  Идентификатор           - Строка - идентификатор классификатора в сервисе классификаторов.
//                            Определяется в процедуре ПриДобавленииКлассификаторов.
//  Версия                  - Число - номер загруженной версии;
//  Адрес                   - Строка - адрес двоичных данных файла обновления во
//                            временном хранилище;
//  Обработан               - Булево - если Ложь, при обработке файла обновления были ошибки
//                            и его необходимо загрузить повторно;
//  ДополнительныеПараметры - Структура - содержит дополнительные параметры обработки.
//                            Необходимо использовать для передачи значений в переопределяемый
//                            метод РаботаСКлассификаторамиВМоделиСервисаПереопределяемый.ПриОбработкеОбластиДанных
//                            и метод ИнтеграцияПодсистемБИП.ПриОбработкеОбластиДанных..
// Пример:
//	Если Идентификатор = "CentralBankRefinancingRate" Тогда
//		Обработан = РегистрыСведений.СтавкиРефинансирования.ОбновитьДанныеРегистраИзФайла(Адрес, ДополнительныеПараметры);
//	КонецЕсли;
//
//@skip-warning
Процедура ПриЗагрузкеКлассификатора(Идентификатор, Версия, Адрес, Обработан, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ПриЗагрузкеКлассификатора(Идентификатор, Версия, Адрес, Обработан, ДополнительныеПараметры) 
```
</details>

## ПриОпределенииИдентификаторовКлассификаторовВМоделиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. РаботаСКлассификаторамиВМоделиСервисаПереопределяемый.ПриОпределенииИдентификаторовКлассификаторов
Процедура ПриОпределенииИдентификаторовКлассификаторовВМоделиСервиса(Идентификаторы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ПриОпределенииИдентификаторовКлассификаторовВМоделиСервиса(Идентификаторы) 
```
</details>

## ЗаполнитьВидПродукцииПоТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик заполнения вида продукции в шапке документа ГосИС. Вызывается после заполнения табличной части "Товары",
//   берет вид продукции из первой строки.
//
// Параметры:
//   ДокументОбъект - ДокументОбъект - документ ГосИС с реквизитом "ВидПродукции" в шапке
//
Процедура ЗаполнитьВидПродукцииПоТабличнойЧасти(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИС.ЗаполнитьВидПродукцииПоТабличнойЧасти(ДокументОбъект) 
```
</details>

## ПараметрыЗаполненияТабличнойЧастиТовары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров заполнения табличной части.
//
// Параметры:
//  ВходноеЗначение - Массив Из ПеречислениеСсылка.ВидыПродукцииИС, ПеречислениеСсылка.ВидыПродукцииИС - виды продукции, которые поддерживает документ.
// Возвращаемое значение:
//  Структура -
Функция ПараметрыЗаполненияТабличнойЧастиТовары(ВходноеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ПараметрыЗаполненияТабличнойЧастиТовары(ВходноеЗначение) 
```
</details>

## ПоляПоискаМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает поля поиска строки табличной части по номенклутаре, характеристикике, опционально серии.
//
//Параметры:
//   ЕстьСерии - Булево - наличие колонки "Серия" в табличной части.
//   ЕстьGTIN - Булево - наличие колонки "GTIN" в табличной части.
//   СпецификаМаркировкаМолочнойПродукции - Булево - специфика в табличной части маркировки
//      (молочная продукция с/без ВетИС - срок годности с/без идентификатора ВетИС, соответственно).
//
//Возвращаемое значение:
//   Структура - поля поиска:
// * Номенклатура - ОпределяемыйТип.Номенклатура - Пустоне значение номенклатуры.
// * Характеристика  - ОпределяемыйТип.ХарактеристикаНоменклатуры - Пустое значение характеристики.
// * Серия - ОпределяемыйТип.СерияНоменклатуры - Пустое значение серии. Может отсутствовать.
// * GTIN  - ОпределяемыйТип.GTIN - Пустое значение GTIN. Может отсутствовать.
// * ИдентификаторПроисхожденияВЕТИС - ОпределяемыйТип.ИдентификаторПроисхожденияВЕТИС - пустое значение идентификатора. Может отсутствовать.
// * СрокГодности - Дата - пустое значение срока годности. Может отсутствовать.
Функция ПоляПоискаМаркируемойПродукции(ЕстьСерии = Истина, ЕстьGTIN = Ложь, СпецификаМаркировкаМолочнойПродукции = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ПоляПоискаМаркируемойПродукции(ЕстьСерии, ЕстьGTIN, СпецификаМаркировкаМолочнойПродукции);
```
</details>

## РегЗаданияНастроены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рег задания настроены.
//
// Параметры:
//  РезультатЗапроса - РезультатЗапроса - Результат запроса
//  ИдентификаторПроблемы - Строка - Идентификатор проблемы
//  ВсеЗадания - Булево - Все задания
//
// Возвращаемое значение:
//  Булево - Рег задания настроены
Функция РегЗаданияНастроены(РезультатЗапроса, ИдентификаторПроблемы, ВсеЗадания = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.РегЗаданияНастроены(РезультатЗапроса, ИдентификаторПроблемы, ВсеЗадания);
```
</details>

## ИспользуетсяМаркируемаяПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет ведение учета маркируемой продукции.
//
// Возвращаемое значение:
//  Булево - учет маркируемой продукции ведется
Функция ИспользуетсяМаркируемаяПродукция() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ИспользуетсяМаркируемаяПродукция() 
```
</details>

## СвойстваМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает свойства маркируемой продукции по номенклатуре.
//
// Параметры:
// 	Номенклатура - ОпределяемыйТип.Номенклатура,  - Номенклатура.
// Возвращаемое значение:
// 	Структура - Описание:
//	 * Номенклатура - ОпределяемыйТип.Номенклатура - Номенклатура.
//	 * МаркируемаяПродукция - Булево - Истина, если продукция маркируемая.
//	 * ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид маркируемой продукции.
Функция СвойстваМаркируемойПродукции(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.СвойстваМаркируемойПродукции(Номенклатура) 
```
</details>

## СвойстваТаблицыПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу свойств маркируемой продукции по входящей таблице товаров.
//
// Параметры:
// 	Таблица - ТаблицаЗначений - входящая таблица товаров.
// 	ИмяКолонкиНоменклатура - Строка - имя колонки номенклатуры входной таблицы.
// Возвращаемое значение:
// 	ТаблицаЗначений - Описание:
//	 * Номенклатура - ОпределяемыйТип.Номенклатура - Номенклатура.
//	 * МаркируемаяПродукция - Булево - Истина, если продукция маркируемая.
//	 * ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид маркируемой продукции.
Функция СвойстваТаблицыПродукции(Таблица, ИмяКолонкиНоменклатура = "Номенклатура") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.СвойстваТаблицыПродукции(Таблица, ИмяКолонкиНоменклатура);
```
</details>

## ВидПродукцииПоНоменклатуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Получает вид продукции по номенклатуре
//
//Параметры:
//   Номенклатура - ОпределяемыйТип.Номенклатура - Номенклатура.
//
//Возвращаемое значение:
//   ПеречислениеСсылка.ВидыПродукцииИС - вид продукции по номенклатуре
//
Функция ВидПродукцииПоНоменклатуре(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ВидПродукцииПоНоменклатуре(Номенклатура) 
```
</details>

## ЕдиницаУчетаМожетНеСовпадатьСИндивидуальнойПотребительскойУпаковкойПоВидуПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройка конфигурации для ведения учета в произвольных единицах измерения:
//  * Ложь (по умолчанию) - индивидуальная потребительская упаковка безусловно соответствует учетному количеству = 1.
//  * Истина - индивидуальная потребительская упаковка может соответствовать произвольному (в т.ч. нефиксированному)
//    учетному количеству. Запрашивается коэффициент GTIN для потребительской упаковки при его первом считывании.
//    Примеры использования: базовая единица измерения  - мерная (литр, килограмм); сигара; блок сигарет.
// Параметры:
//  ВидПродукции - Перечислениессылка.ВидыПродукцииИС - Вид продукции.
//
// Возвращаемое значение:
//  Булево - Единица учета может не совпадать с индивидуальной потребительской упаковкой по виду продукции
Функция ЕдиницаУчетаМожетНеСовпадатьСИндивидуальнойПотребительскойУпаковкойПоВидуПродукции(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ЕдиницаУчетаМожетНеСовпадатьСИндивидуальнойПотребительскойУпаковкойПоВидуПродукции(ВидПродукции) 
```
</details>

## ОрганизацииИнтеркампани
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список доступных для интеркампани организаций.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Организации интеркампани:
// * Организация - ОпределяемыйТип.Организация - Ссылка на организацию.
// * Подразделение  - ОпределяемыйТип.Подразделение - Ссылка на подразделение.
// * Представление - Строка - Представление.
// * ИНН - Строка - ИНН организации.
// * КПП - Строка - КПП организации.
Функция ОрганизацииИнтеркампани() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ОрганизацииИнтеркампани() 
```
</details>

## ПарольКСертификату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пароль к сертификату, если доступен текущему пользователю.
// При вызове в привилегированном режиме текущий пользователь не учитывается.
//
// Параметры:
//  Сертификат - Неопределено - вернуть пароли ко всем сертификатам, доступным текущему пользователю.
//             - СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования - вернуть пароль
//                 к указанному сертификату.
//
// Возвращаемое значение:
//  Неопределено - пароль для указанного сертификата не указан.
//  Строка       - пароль для указанного сертификата.
//  Соответствие - все заданные пароли, доступные текущему пользователю
//                 в виде ключ - сертификат и значение - пароль.
//
Функция ПарольКСертификату(Сертификат = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ПарольКСертификату(Сертификат);
```
</details>

## ВремяОжидания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Серверное ожидание перед очередным действием в соответствии с ограничениями сервиса
//
// Параметры:
//  ВремяОжидания - Число, Неопределено - время ожидания
// Возвращаемое значение:
//  Число, Неопределено - время ожидания
Функция ВремяОжидания(ВремяОжидания) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИС.ВремяОжидания(ВремяОжидания) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
