---
title: Интеграция ИС клиент сервер
slug: erp-uh/интеграция-ис-клиент-сервер
---


## ДатаИзУниверсальнойДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаИзУниверсальнойДаты(Знач Значение, Делитель = 1000, ПриводитьКМестномуВремени = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ДатаИзУниверсальнойДаты(Значение, Делитель, ПриводитьКМестномуВремени);
```
</details>

## ОтображениеПредупрежденияПриРедактировании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливается свойство ОтображениеПредупрежденияПриРедактировании элемента формы.
//
// Параметры:
//  Элемент - ПолеВвода - Элемент формы
//  Отображать - Булево - Отображать предупреждения при редактировании
Процедура ОтображениеПредупрежденияПриРедактировании(Элемент, Отображать) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСКлиентСервер.ОтображениеПредупрежденияПриРедактировании(Элемент, Отображать) 
```
</details>

## ИнициализироватьПараметрыПередачиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру параметров передачи данных.
//
// Параметры:
//  ДальнейшееДействие - ЛюбаяСсылка - Дальнейшее действие
//
// Возвращаемое значение:
//  Структура - Структура параметров передачи данных:
// * ДальнейшееДействие - ЛюбаяСсылка -
// * ПараметрыОтбора - Неопределено -
//                   - Структура -
// * ИменаКолонокДальнейшиеДействия - Массив из Строка -
// * ИмяПоляСсылка - Строка -
// * ВыделенныеСтроки - Массив Из Число -
// * ОчищатьСообщения - Булево -
// * ОповещениеПриЗавершении - ОписаниеОповещения -
Функция ИнициализироватьПараметрыПередачиДанных(ДальнейшееДействие = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИнициализироватьПараметрыПередачиДанных(ДальнейшееДействие);
```
</details>

## НастроитьОтборПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастроитьОтборПоОрганизации(Форма, Результат, Префикс = Неопределено, Знач ЗначениеПрефиксы = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСКлиентСервер.НастроитьОтборПоОрганизации(Форма, Результат, Префикс, ЗначениеПрефиксы);
```
</details>

## ПреобразоватьИмяКомандыНавигационнойСсылкиВоВнутреннийФормат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя команды представляет собой строку формата
// ИнтеграцияИС_КомандаНавигационнойСсылки#<ИмяПодсистемы>#<Действие>[#<Параметр1>#<Параметр2>...]
// где
//	ИнтеграцияИС_КомандаНавигационнойСсылки - постоянный префикс, указывающий принадлежность команды к данному механизму
//	<ИмяПодсистемы> - имя интегрируемой подсистемы, к которой относится команда
//	<Действие> - действие, которое должно быть выполнено по данной команде, см. ПрефиксКоманды...()
//  <Параметр...> - произвольная строка-параметр команды; количество параметров определяется контекстом конкретной команды

Функция ПреобразоватьИмяКомандыНавигационнойСсылкиВоВнутреннийФормат(ИмяКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ПреобразоватьИмяКомандыНавигационнойСсылкиВоВнутреннийФормат(ИмяКоманды) 
```
</details>

## ЭтоИмяКомандыНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ЭтоИмяКомандыНавигационнойСсылки(ИмяКоманды, ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ЭтоИмяКомандыНавигационнойСсылки(ИмяКоманды, ИмяПодсистемы) 
```
</details>

## ЭтоКомандаНавигационнойСсылкиСоздатьОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоКомандаНавигационнойСсылкиСоздатьОбъект(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ЭтоКомандаНавигационнойСсылкиСоздатьОбъект(ОписаниеКоманды) 
```
</details>

## ЭтоКомандаНавигационнойСсылкиОткрытьОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоКомандаНавигационнойСсылкиОткрытьОбъект(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ЭтоКомандаНавигационнойСсылкиОткрытьОбъект(ОписаниеКоманды) 
```
</details>

## ЭтоКомандаНавигационнойСсылкиОткрытьПротоколОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоКомандаНавигационнойСсылкиОткрытьПротоколОбмена(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ЭтоКомандаНавигационнойСсылкиОткрытьПротоколОбмена(ОписаниеКоманды) 
```
</details>

## ИмяОбъектаДляСозданияИзВнутреннегоФорматаКомандыНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ИмяОбъектаДляСозданияИзВнутреннегоФорматаКомандыНавигационнойСсылки(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяОбъектаДляСозданияИзВнутреннегоФорматаКомандыНавигационнойСсылки(ОписаниеКоманды) 
```
</details>

## ИмяОбъектаДляОткрытияИзВнутреннегоФорматаКомандыНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяОбъектаДляОткрытияИзВнутреннегоФорматаКомандыНавигационнойСсылки(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяОбъектаДляОткрытияИзВнутреннегоФорматаКомандыНавигационнойСсылки(ОписаниеКоманды) 
```
</details>

## ЭтоКорректировочныйДокументКомандыНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоКорректировочныйДокументКомандыНавигационнойСсылки(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ЭтоКорректировочныйДокументКомандыНавигационнойСсылки(ОписаниеКоманды) 
```
</details>

## ИмяКомандыСоздатьОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяКомандыСоздатьОбъект(ИмяПодсистемы, ИмяОбъекта, Корректировочный = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяКомандыСоздатьОбъект(ИмяПодсистемы, ИмяОбъекта, Корректировочный);
```
</details>

## ИмяКомандыОткрытьОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяКомандыОткрытьОбъект(ИмяПодсистемы, ИмяОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяКомандыОткрытьОбъект(ИмяПодсистемы, ИмяОбъекта) 
```
</details>

## ИмяКомандыОткрытьПротоколОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяКомандыОткрытьПротоколОбмена(ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяКомандыОткрытьПротоколОбмена(ИмяПодсистемы) 
```
</details>

## ПреобразоватьИмяСобытияОповещенияВоВнутреннийФормат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя события представляет собой строку формата
// ИнтеграцияИС_СобытиеОповещения#<ИмяПодсистемы>#<Действие>[#<Параметр1>#<Параметр2>...]
// где
//	ИнтеграцияИС_СобытиеОповещения - постоянный префикс, указывающий принадлежность события к данному механизму
//	<ИмяПодсистемы> - имя интегрируемой подсистемы, к которой относится событие
//	<Действие> - действие, которое инициировало данное событие, см. ПрефиксСобытия...()
//  <Параметр...> - произвольная строка-параметр события; количество параметров определяется контекстом конкретного события

Функция ПреобразоватьИмяСобытияОповещенияВоВнутреннийФормат(ИмяСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ПреобразоватьИмяСобытияОповещенияВоВнутреннийФормат(ИмяСобытия) 
```
</details>

## ЭтоИмяСобытияОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ЭтоИмяСобытияОповещения(ИмяСобытия, ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ЭтоИмяСобытияОповещения(ИмяСобытия, ИмяПодсистемы) 
```
</details>

## ЭтоСобытиеОповещенияИзмененОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСобытиеОповещенияИзмененОбъект(ОписаниеСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ЭтоСобытиеОповещенияИзмененОбъект(ОписаниеСобытия) 
```
</details>

## ЭтоСобытиеОповещенияИзмененоСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСобытиеОповещенияИзмененоСостояние(ОписаниеСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ЭтоСобытиеОповещенияИзмененоСостояние(ОписаниеСобытия) 
```
</details>

## ЭтоСобытиеОповещенияВыполненОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСобытиеОповещенияВыполненОбмен(ОписаниеСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ЭтоСобытиеОповещенияВыполненОбмен(ОписаниеСобытия) 
```
</details>

## ИмяИзмененногоОбъектаИзВнутреннегоФорматаСобытияОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ИмяИзмененногоОбъектаИзВнутреннегоФорматаСобытияОповещения(ОписаниеСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяИзмененногоОбъектаИзВнутреннегоФорматаСобытияОповещения(ОписаниеСобытия) 
```
</details>

## ИмяСобытияИзмененОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяСобытияИзмененОбъект(ИмяПодсистемы, ИсточникИмениОбъекта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяСобытияИзмененОбъект(ИмяПодсистемы, ИсточникИмениОбъекта);
```
</details>

## ИмяСобытияИзмененоСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяСобытияИзмененоСостояние(ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяСобытияИзмененоСостояние(ИмяПодсистемы) 
```
</details>

## ИмяСобытияОбновитьКэшМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяСобытияОбновитьКэшМаркируемойПродукции(ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяСобытияОбновитьКэшМаркируемойПродукции(ИмяПодсистемы) 
```
</details>

## ИмяСобытияВыполненОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяСобытияВыполненОбмен(ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяСобытияВыполненОбмен(ИмяПодсистемы) 
```
</details>

## ИмяСвойстваОбновлятьСтатусВФормахДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяСвойстваОбновлятьСтатусВФормахДокументов(ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяСвойстваОбновлятьСтатусВФормахДокументов(ИмяПодсистемы) 
```
</details>

## ШрифтГиперссылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШрифтГиперссылки() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ШрифтГиперссылки() 
```
</details>

## ПараметрыФормированияДанныхПредставленияНастройкиНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры формирования данных представления настройки номенклатуры.
//
// Возвращаемое значение:
//  Структура                          - Параметры формирования данных представления настройки номенклатуры:
// * СсылкаНаОбъект                    - Неопределено, ОпределяемыйТип.Номенклатура       - Ссылка на номенклатуру, для которой выполняется настройка.
// * ВидПродукции                      - Неопределено, ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции. Если не заполнено, то вид продукции получается по СсылкаНаОбъект.
// * ЕстьПравоРедактирования           - Булево  - Определяет наличие прав на редактирование, например, если есть права на справочник Номенклатура.
// * РазрешеноРедактированиеРеквизитов - Булево  - Истина (По-умолчанию), если пользователь принудительно включил редактирование реквизитов, например, через подсистему запрета редактирования реквизитов.
//                                                 Ложь - Библиотека определяет использование номенклатуры и разрешает редактирование, если в штрихкодах упаковок номенклатура не использовалась.
// * ТребуетВзвешивания                - Булево, Неопределено - Признак взвешивания потребительской упаковки.
//                                       Неопределено - Означает что в карточке товара нет информации о весовом товаре, необходимость взвешивания настривается в отдельной форме.
//                                       Истина       - Потребительская упаковка требует взвешивания.
//                                       Ложь         - Не требует взвешивания, настраиваются остальные параметры.
// * ДопустимаНастройкаЛогистическойЕдиницы - Булево - Включает возможность настройки потребительской упаковки как части единицы измерения номенклатуры.
// * ПредставлениеВНесколькоСтрок           - Булево - Переносит представление упаковки частичного выбытия на следующую строку. Используется, если место вывода гиперссылки в карточке номенклатуре менее ширины выводимого текста.
// * ВыводитьГиперссылкуНастройкиВидовУпаковокПоGTIN - Булево - Определяет необходимость вывода гиперссылки настройки видов упаковок.
// * ОтступПриВыводеНастройкиВидаУпаковки            - Булево - Добавляет перенос строк при формировании гиперссылки настройки вида упаковки по GTIN.
// * РазделительНастройкиВидовУпаковокПоGTIN         - Неопределено, Строка, ФорматированнаяСтрока - Позволяет задать префикс или дополнительный перенос строк при выводе гиперссылки настройки видов упаковок.
Функция ПараметрыФормированияДанныхПредставленияНастройкиНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ПараметрыФормированияДанныхПредставленияНастройкиНоменклатуры() 
```
</details>

## ИмяОбъектаИзИмениФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяОбъектаИзИмениФормы(Форма, ПолноеИмя = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ИмяОбъектаИзИмениФормы(Форма, ПолноеИмя);
```
</details>

## МассивВСоответствие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует массив в соответствие с ключами, соответствующими элементам массива.
//
// Параметры:
//   Источник - Массив - преобразуемый массив
//   ЗначениеПоУмолчанию - Произвольный - значение соответствия для заполнения
// Возвращаемое значение:
//   Соответствие - результат преобразования
//
Функция МассивВСоответствие(Источник, Знач ЗначениеПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.МассивВСоответствие(Источник, ЗначениеПоУмолчанию);
```
</details>

## ТаблицаФормыВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует таблицу формы в массив структур. В первом элементе структура колонок.
//
// Параметры:
//  ТаблицаФормы - ДанныеФормыКоллекция - исходная таблица значений.
//  Колонки      - Строка               - наименования колонок для копирования.
//
// Возвращаемое значение:
//  Массив Из Структура - коллекция строк таблицы в виде структур.
//
Функция ТаблицаФормыВМассив(ТаблицаФормы, Колонки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ТаблицаФормыВМассив(ТаблицаФормы, Колонки) 
```
</details>

## МассивВТаблицуФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует массив структур в таблицу формы. В первом элементе структура колонок.
//
// Параметры:
//  Массив       - Массив Из Структура  - коллекция строк таблицы в виде структур.
//  ТаблицаФормы - ДанныеФормыКоллекция - заполняемая таблица значений.
//
Процедура МассивВТаблицуФормы(Массив, ТаблицаФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСКлиентСервер.МассивВТаблицуФормы(Массив, ТаблицаФормы) 
```
</details>

## ТипМаркировкиККТПоВидуПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сопоставленное ему перечисление.
//
// Параметры:
//  ТипМаркировкиККТИлиВидПродукции - ПеречислениеСсылка.ТипыМаркировкиККТ,ПеречислениеСсылка.ВидыПродукцииИС - значение
//  перечисления для котороего нужно получить сопоставленное ему перечисление.
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыМаркировкиККТ,ПеречислениеСсылка.ВидыПродукцииИС - значение сопоставленного перечисления
Функция ТипМаркировкиККТПоВидуПродукции(ТипМаркировкиККТИлиВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ТипМаркировкиККТПоВидуПродукции(ТипМаркировкиККТИлиВидПродукции) 
```
</details>

## ВидПродукцииПодлежитМаркировкеОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак возможности маркировки остатков.
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид маркируемой продукции
// Возвращаемое значение:
// 	Булево - Доступность маркировки остатков товаров для вида продукции.
Функция ВидПродукцииПодлежитМаркировкеОстатков(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииПодлежитМаркировкеОстатков(ВидПродукции) 
```
</details>

## ВидПродукцииПодлежитПеремаркировке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак возможности перемаркировки переданного вида продукции.
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции
// Возвращаемое значение:
// 	Булево - Доступность перемаркировки товаров для вида продукции.
Функция ВидПродукцииПодлежитПеремаркировке(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииПодлежитПеремаркировке(ВидПродукции) 
```
</details>

## ВидПродукцииПодлежитВозвратуВОборот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак возможности возврата в оборот переданного вида продукции или список всех видов продукции,
// допускающих возврат в оборот
//
// Параметры:
//  ВидПродукции - Неопределено - для получения набора видов продукции, допускающих возврат в оборот
//               - ПеречислениеСсылка.ВидыПродукцииИС - для получения возможности возврата в оборот
//
// Возвращаемое значение:
//  Массив Из ПеречислениеСсылка.ВидыПродукцииИС - виды продукции, допускающие возврат в оборот
//  Булево - конкретный вид продукции подлежит возврату в оборот
Функция ВидПродукцииПодлежитВозвратуВОборот(ВидПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииПодлежитВозвратуВОборот(ВидПродукции);
```
</details>

## ВидПродукцииПодлежитПриемкеНаКомиссию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак возможности приемки на комиссию от физического лица переданного вида продукции.
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции
// Возвращаемое значение:
// 	Булево - Доступность приемки на комиссию от физического лица товаров для вида продукции.
Функция ВидПродукцииПодлежитПриемкеНаКомиссию(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииПодлежитПриемкеНаКомиссию(ВидПродукции) 
```
</details>

## ВидПродукцииПодлежитИмпорту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак возможности импорта в РФ переданного вида продукции.
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции
// Возвращаемое значение:
// 	Булево - Доступность импорта в РФ для вида продукции.
Функция ВидПродукцииПодлежитИмпорту(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииПодлежитИмпорту(ВидПродукции) 
```
</details>

## ВидПродукцииИспользуетОтчетыОНанесенииКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак использования отчетов о нанесения кодов маркировки в документе маркировки.
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид маркируемой продукции
// Возвращаемое значение:
// 	Булево - Доступность отчетов о нанесении в документе маркировки.
Функция ВидПродукцииИспользуетОтчетыОНанесенииКодовМаркировки(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииИспользуетОтчетыОНанесенииКодовМаркировки(ВидПродукции) 
```
</details>

## ВидПродукцииПоддерживаетАгрегациюКодовМаркировкиЧерезСУЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак использования агрегации кодов маркировки через СУЗ.
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид маркируемой продукции
// Возвращаемое значение:
// 	Булево - Доступность отчетов о нанесении в документе маркировки.
Функция ВидПродукцииПоддерживаетАгрегациюКодовМаркировкиЧерезСУЗ(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииПоддерживаетАгрегациюКодовМаркировкиЧерезСУЗ(ВидПродукции) 
```
</details>

## ВидПродукцииИспользуетПолучениеПродукцииОтФизическихЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Признак использования операции получения продукции от физических лиц в документе маркировки.
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид маркируемой продукции
// Возвращаемое значение:
// 	Булево - Доступность операции получения продукции от физических лиц в документе маркировки.
Функция ВидПродукцииИспользуетПолучениеПродукцииОтФизическихЛиц(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииИспользуетПолучениеПродукцииОтФизическихЛиц(ВидПродукции) 
```
</details>

## ВидПродукцииИспользуетПередачуОтчетаОбОтбраковкеЧерезСУЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак использования отчетов об отбраковке через СУЗ.
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид маркируемой продукции
// Возвращаемое значение:
// 	Булево - Признак использования отчетов об отбраковке через СУЗ для вида продукции.
Функция ВидПродукцииИспользуетПередачуОтчетаОбОтбраковкеЧерезСУЗ(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииИспользуетПередачуОтчетаОбОтбраковкеЧерезСУЗ(ВидПродукции) 
```
</details>

## ПрисутствуетВидПродукцииНабор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Выполняет поиск в массиве ВидыПродукции продукции, для которой используются наборы.
//
//Параметры:
//   ВидыПродукции - Массив Из ПеречислениеСсылка.ВидыПродукцииИС.
//
//Возвращаемое значение:
//   Булево - Истина, если в массиве есть продукция, для которой используются наборы.
//
Функция ПрисутствуетВидПродукцииНабор(ВидыПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ПрисутствуетВидПродукцииНабор(ВидыПродукции) 
```
</details>

## ПрисутствуетВидПродукцииИспользующийГрупповыеУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Выполняет поиск в массиве ВидыПродукции продукции, для которой используются групповые упаковки.
//
//Параметры:
//   ВидыПродукции - Массив Из ПеречислениеСсылка.ВидыПродукцииИС.
//
//Возвращаемое значение:
//   Булево - Истина, если в массиве есть продукция, для которой используются групповые упаковки.
//
Функция ПрисутствуетВидПродукцииИспользующийГрупповыеУпаковки(ВидыПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ПрисутствуетВидПродукцииИспользующийГрупповыеУпаковки(ВидыПродукции) 
```
</details>

## ПредставлениеВидаПродукцииВоМножественномЧисле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак принадлежности к множественному число. Для склонения слов в предложении.
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид маркируемой продукции
// Возвращаемое значение:
// 	Булево - Множественное или единственное число.
Функция ПредставлениеВидаПродукцииВоМножественномЧисле(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ПредставлениеВидаПродукцииВоМножественномЧисле(ВидПродукции) 
```
</details>

## ПрисутствуетМолочнаяПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку в переданном массиве "ВидыПродукции" наличие элемента молочной продукции.
//
// Параметры:
//  ВидыПродукции - Массив из ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции ИС.
// Возвращаемое значение:
//  Булево - Истина, если в переданном массиве найден элемент перечисления молочная продукция.
Функция ПрисутствуетМолочнаяПродукция(ВидыПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ПрисутствуетМолочнаяПродукция(ВидыПродукции) 
```
</details>

## ПрисутствуютВидыПродукцииСоСрокомГодности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку в переданном массиве "ВидыПродукции" наличие продукций со сроками годности.
//
// Параметры:
//  ВидыПродукции - Массив из ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции ИС.
// Возвращаемое значение:
//  Булево - Истина, если в переданном массиве найдены элементы со сроками годности
Функция ПрисутствуютВидыПродукцииСоСрокомГодности(ВидыПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ПрисутствуютВидыПродукцииСоСрокомГодности(ВидыПродукции) 
```
</details>

## ЭтоУпаковка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Определяет является ли тип упаковки логистической или групповой товарной упаковкой.
//
//Параметры:
//  ТипУпаковки - ПеречислениеСсылка.ТипыУпаковок - тип упаковки
//Возвращаемое значение:
//   Булево - Истина, если тип упаковки относится к логистической или товарной.
Функция ЭтоУпаковка(ТипУпаковки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ЭтоУпаковка(ТипУпаковки) 
```
</details>

## ТипыУпаковокДляКоробок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает массив типов упаковок, которые соответствуют коробкам.
//
//Возвращаемое значение:
//  Массив из ПеречислениеСсылка.ТипыУпаковок- Коллекция типов упаковок.
Функция ТипыУпаковокДляКоробок() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ТипыУпаковокДляКоробок() 
```
</details>

## ВидПродукцииИспользуетСвидетельствоОГосударственнойРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак доступности использования Свидетельства о государственной регистрации
// при указании данных сертификации.
//
// Параметры:
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции ИС.
//Возвращаемое значение:
//   Булево - Истина, если вид сертификации поддерживатся.
Функция ВидПродукцииИспользуетСвидетельствоОГосударственнойРегистрации(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииИспользуетСвидетельствоОГосударственнойРегистрации(ВидПродукции) 
```
</details>

## ВидПродукцииПоддерживаетЗапросСтатусовЕАЭС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования запроса подлинности КМ, выпущенных Операторами ЕАЭС
//
// Параметры:
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции ИС.
//Возвращаемое значение:
//  Булево - Истина, если вид продукции поддерживает проверки валидности КМ, выпущенных Операторами государств-членов ЕАЭС.
Функция ВидПродукцииПоддерживаетЗапросСтатусовЕАЭС(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидПродукцииПоддерживаетЗапросСтатусовЕАЭС(ВидПродукции) 
```
</details>

## СравнитьВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнить две строки версий.
//
// Параметры:
//  СтрокаВерсии1  - Строка - номер версии в формате РР.{П|ПП}.ЗЗ.
//  СтрокаВерсии2  - Строка - второй сравниваемый номер версии.
//
// Возвращаемое значение:
//   Число   - больше 0, если СтрокаВерсии1 > СтрокаВерсии2; 0, если версии равны.
//
Функция СравнитьВерсии(Знач СтрокаВерсии1, Знач СтрокаВерсии2) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.СравнитьВерсии(СтрокаВерсии1, СтрокаВерсии2) 
```
</details>

## ВидыПродукцииПодконтрольныеВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает все виды продукции, подконтрольным учету в ВетИС.
//
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции для анализа
// Возвращаемое значение:
//  Массив Из ПеречислениеСсылка.ВидыПродукцииИС - виды продукции по которым ведется учет в ВетИС.
//
Функция ВидыПродукцииПодконтрольныеВЕТИС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСКлиентСервер.ВидыПродукцииПодконтрольныеВЕТИС() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
