---
title: Интеграция ИСМП
slug: erp-uh/интеграция-исмп
---


## ПриОпределенииСправочниковХраненияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить справочники хранения файлов по типам владельцев.
//
// Параметры:
//  ТипВладелецФайла  - Тип - тип ссылки объекта, к которому добавляется файл.
//  ИменаСправочников - Соответствие - содержит в ключах имена справочников.
//                      При вызове содержит стандартное имя одного справочника,
//                      помеченного, как основной (если существует).
//                      Основной справочник используется для интерактивного
//                      взаимодействия с пользователем. Чтобы указать основной
//                      справочник, нужно установить Истина в значение соответствия.
//                      Если установить Истина более одного раза, тогда будет ошибка.
Процедура ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) 
```
</details>

## ВидыПродукцииТестовогоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидыПродукцииТестовогоПериода() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМП.ВидыПродукцииТестовогоПериода() 
```
</details>

## ИспользуемыеВидыМаркируемойПродукцииИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуемыеВидыМаркируемойПродукцииИСМП() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМП.ИспользуемыеВидыМаркируемойПродукцииИСМП() 
```
</details>

## ОчисткаПулаКодовМаркировкиРегламентноеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик регламентного задания очистки пула кодов маркировки
//
Процедура ОчисткаПулаКодовМаркировкиРегламентноеЗадание() Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.ОчисткаПулаКодовМаркировкиРегламентноеЗадание() 
```
</details>

## ВыполнитьОбменРегламентноеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить регламентное задание обмена с ИС МП
//
Процедура ВыполнитьОбменРегламентноеЗадание() Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.ВыполнитьОбменРегламентноеЗадание() 
```
</details>

## УдалениеНеиспользованныхКодовМаркировкиРегламентноеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить регламентное задание по удалению неиспользованных кодов маркировки
//
Процедура УдалениеНеиспользованныхКодовМаркировкиРегламентноеЗадание() Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.УдалениеНеиспользованныхКодовМаркировкиРегламентноеЗадание() 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ПриПолученииСпискаШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОчередьЗаданийПереопределяемый.ПриПолученииСпискаШаблонов
Процедура ПриПолученииСпискаШаблонов(ШаблоныЗаданий) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.ПриПолученииСпискаШаблонов(ШаблоныЗаданий) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ШаблонПолученияВидаПродукцииИзНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяемая область данных прикладных документов отчетов о расхождениях при оформлении
//
//Возвращаемое значение:
//   Строка - типовая часть запроса, которую требуется переопределять
//
Функция ШаблонПолученияВидаПродукцииИзНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМП.ШаблонПолученияВидаПродукцииИзНоменклатуры() 
```
</details>

## УстановитьУсловноеОформлениеПолейКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьУсловноеОформлениеПолейКоличества(Форма, ГрупповыеУпаковкиОтдельно = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.УстановитьУсловноеОформлениеПолейКоличества(Форма, ГрупповыеУпаковкиОтдельно);
```
</details>

## НастроитьВидимостьКолонкиКоличестваКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастроитьВидимостьКолонкиКоличестваКодовМаркировки(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.НастроитьВидимостьКолонкиКоличестваКодовМаркировки(Форма) 
```
</details>

## ТипРасхожденияИСМПБрак
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение Брак определяемого типа ТипРасхожденияИСМП.
//
// Возвращаемое значение:
//  ОпределяемыйТип.ТипРасхожденияИСМП.
Функция ТипРасхожденияИСМПБрак() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМП.ТипРасхожденияИСМПБрак() 
```
</details>

## ТипРасхожденияИСМПИзлишек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение Излишек определяемого типа ТипРасхожденияИСМП.
//
// Возвращаемое значение:
//  ОпределяемыйТип.ТипРасхожденияИСМП.
Функция ТипРасхожденияИСМПИзлишек() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМП.ТипРасхожденияИСМПИзлишек() 
```
</details>

## ТипРасхожденияИСМПНедостача
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение Недостача определяемого типа ТипРасхожденияИСМП.
//
// Возвращаемое значение:
//  ОпределяемыйТип.ТипРасхожденияИСМП.
Функция ТипРасхожденияИСМПНедостача() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМП.ТипРасхожденияИСМПНедостача() 
```
</details>

## ПриЗаписиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиДокумента(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.ПриЗаписиДокумента(ДокументОбъект, Отказ) 
```
</details>

## ПередЗаписьюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюДокумента(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.ПередЗаписьюДокумента(ДокументОбъект, Отказ) 
```
</details>

## ЗапрещеноИспользованиеОбъектаВИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗапрещеноИспользованиеОбъектаВИСМП(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМП.ЗапрещеноИспользованиеОбъектаВИСМП(Объект) 
```
</details>

## ВыполнитьОбновлениеНастроекДляРазрешительногоРежимаДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Длительная операция обновления настроек при включении товарных групп разрешительного режима
//
// Параметры:
//  ПараметрыФоновогоЗадания - Структура - Параметры запуска фонового задания
//  АдресРезультата - Строка - адрес возврата результата
Процедура ВыполнитьОбновлениеНастроекДляРазрешительногоРежимаДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМП.ВыполнитьОбновлениеНастроекДляРазрешительногоРежимаДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) 
```
</details>

## ДанныеВскрытияПотребительскойУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные вскрытия потребительской упаковки.
//
// Возвращаемое значение:
//  Структура - данные подключения к оборудованию розлива:
// * КодМаркировки           - СправочникСсылка.ШтрихкодыУпаковокТоваров - код маркировки кега
// * Организация             - ОпределяемыйТип.Организация - организация, которая подключает кег
// * Подразделение           - ОпределяемыйТип.Подразделение - подразделение организации, которая подключает кег
// * Склад                   - ОпределяемыйТип.Склад - точка подключения
// * ДатаПодключения         - Дата - дата подключения
// * СрокРеализации          - Дата - срок реализации
// * АдресПодключения        - Строка, Неопределено - данные адреса подключения
//                             (обязательно для индивидуального предпринимателя)
// * АдресПодключенияСтрокой - Строка, Неопределено - представление адреса подключения
//                             (обязательно для индивидуального предпринимателя)
// * КодФИАС                 - ОпределяемыйТип.УникальныйИдентификаторИС, Неопределено - код ФИАС адреса подключения
//                             (обязательно для индивидуального предпринимателя)
// * Ответственный           - ОпределяемыйТип.ПользователиИС, Неопределено - пользователь, создавший запись.
//                             Для фонового обмена может быть пользователь регламентного задания
Функция ДанныеВскрытияПотребительскойУпаковки() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМП.ДанныеВскрытияПотребительскойУпаковки() 
```
</details>

## ПодключитьКегКОборудованиюРозлива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключает кег к оборудованию розлива и готовит документ для передачи в ГИС МТ
//
// Параметры:
//  ДанныеВсркрытия - см. ДанныеВскрытияПотребительскойУпаковки
//
// Возвращаемое значение:
//  Структура - результат подключения кега к оборудованию розлива:
// * Документ - ДокументСсылка.ПодключениеКегаКОборудованиюРозливаИСМП - документ подключения кега
// * ТекстОшибки - Строка, Неопределено                                - текст ошибки подключения при наличии
Функция ПодключитьКегКОборудованиюРозлива(ДанныеВскрытия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМП.ПодключитьКегКОборудованиюРозлива(ДанныеВскрытия) 
```
</details>

## ДокументПодключенияКегаКОборудованиюРозлива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает документ подключения кега к оборудованию розлива.
//
// Параметры:
//  КодМаркировки - СправочникСсылка.ШтрихкодыУпаковокТоваров - код маркировки кега
//  Организация - Неопределено, ОпределяемыйТип.Организация - организация, которая подключала кег к оборудованию розлива
//
// Возвращаемое значение:
//  Неопределено, ДокументСсылка.ПодключениеКегаКОборудованиюРозливаИСМП - документ подключения кега к оборудованию розлива.
Функция ДокументПодключенияКегаКОборудованиюРозлива(КодМаркировки, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМП.ДокументПодключенияКегаКОборудованиюРозлива(КодМаркировки, Организация);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
