---
title: Интеграция ИСМП ВЕТИС
slug: erp-uh/интеграция-исмп-ветис
---


## ИспользуетсяПодсистемаВетИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование встроенной или внешней подсистемы ВетИС
//
// Возвращаемое значение:
//  Булево - Истина, если используется встроенная или внешняя подсистема работы с ВетИС
//
Функция ИспользуетсяПодсистемаВетИС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВЕТИС.ИспользуетсяПодсистемаВетИС() 
```
</details>

## СформироватьДанныеДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные документа-основания из подсистемы ВетИС для документа ИСМП
//
// Параметры:
//   ДанныеОснования    - см. ШтрихкодированиеОбщегоНазначенияИС.ИнициализицияТаблицыДанныхДокумента.
//   ДокументОснование  - ДокументСсылка  - документ-основание.
//   ДанныеСформированы - Булево          - заполнение произведено.
//
Процедура СформироватьДанныеДокументаОснования(ДанныеОснования, ДокументОснование, ДанныеСформированы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИС.СформироватьДанныеДокументаОснования(ДанныеОснования, ДокументОснование, ДанныеСформированы) 
```
</details>

## ПроверитьДанныеСтрокиПоСрокуГодностиДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет код маркировки молочной продукции на соответствие документу-основанию
//
// Параметры:
//   СтрокаДанных          - Структура - известные данные кода маркировки.
//   ПравилоПроверки       - Структура - текущее правило проверки кода маркировки:
//     * ЕстьОшибка - Булево - код маркировки не соответствует документу-основанию.
//   ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования.
//
Процедура ПроверитьДанныеСтрокиПоСрокуГодностиДокументаОснования(СтрокаДанных, ПравилоПроверки, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИС.ПроверитьДанныеСтрокиПоСрокуГодностиДокументаОснования(СтрокаДанных, ПравилоПроверки, ПараметрыСканирования) 
```
</details>

## ДополнитьВложенныеШтрихкодыДаннымиВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет дерево вложенных штрихкодов сохраненными данными ВетИС табличной части "Штрихкоды упаковок"
//   для документа МаркировкаТоваровИСМП:
//     * Заполняет признаки ИдентификаторПроисхожденияВЕТИС, ГоденДо, СкоропортящаясяПродукция по заполненным данным
//      табличной части "ШтрихкодыУпаковок".
//     * Заполняет эти же признаки для всех дочерних узлов дерева.
//     * Заполняет эти же признаки для таблицы МаркированныеТовары вложенных штрихкодов.
//
// Параметры:
//   ВложенныеШтрихкоды    - см. ШтрихкодированиеИС.ВложенныеШтрихкодыУпаковокПоДокументу.
//   ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования.
//
Процедура ДополнитьВложенныеШтрихкодыДаннымиВЕТИС(ВложенныеШтрихкоды, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИС.ДополнитьВложенныеШтрихкодыДаннымиВЕТИС(ВложенныеШтрихкоды, ПараметрыСканирования) 
```
</details>

## ПолучитьСсылкуПоСтроковомуИдентификаторуПроисхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет ссылку на идентификатор происхождения ВетИС по его строковому идентификатору
//  Проверка существования подсистемы не производится
//
// Параметры:
//   ИдентификаторПроисхожденияВЕТИССтрокой - Строка - строковое представление идентификатора ВетИС
//   ИдентификаторПроисхожденияВЕТИССсылка - ОпределяемыйТип.ИдентификаторПроисхожденияВЕТИС - ссылочное представление идентификатора ВетИС
//   Кеш - Структура - ранее найденные значения:
//    ПараметрыПреобразования - Структура - :
//      НайденныеСсылки- Структура - :
//        ВетеринарноСопроводительныйДокументВЕТИС - Соответствие - :
//          Ключ - Строка - строковое представление идентификатора ВетИС
//          Значение - ОпределяемыйТип.ИдентификаторПроисхожденияВЕТИС - ссылочное представление идентификатора ВетИС
//
Процедура ПолучитьСсылкуПоСтроковомуИдентификаторуПроисхождения(ИдентификаторПроисхожденияВЕТИССтрокой, ИдентификаторПроисхожденияВЕТИССсылка, Кеш) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИС.ПолучитьСсылкуПоСтроковомуИдентификаторуПроисхождения(ИдентификаторПроисхожденияВЕТИССтрокой, ИдентификаторПроисхожденияВЕТИССсылка, Кеш) 
```
</details>

## ДоработатьЗапросЗаполненияЗаказаНаЭмиссиюПоМаркировке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет ожидаемый шаблон кода маркировки молочной продукции по идентификатору происхождения ВетИС. Ожидаемое поведение:
//   * выставление актуального шаблона молочной продукции.
//
// Параметры:
//  Запрос - Запрос - запрос обработчика заполнения табличной части заказа на эмиссию по маркировке
//
Процедура ДоработатьЗапросЗаполненияЗаказаНаЭмиссиюПоМаркировке(Запрос) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИС.ДоработатьЗапросЗаполненияЗаказаНаЭмиссиюПоМаркировке(Запрос) 
```
</details>

## ОбработкаЗаполненияМаркировкиТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка заполнения документа "Маркировка товаров ИСМП" по документам ВетИС.
//
// Параметры:
//   ДокументОбъект - ДокументОбъект.МаркировкаТоваровИСМП - заполняемый документ
//   ДанныеЗаполнения - Произвольный - данные заполнения
//   ТекстЗаполнения - Строка - текст заполнения
//   СтандартнаяОбработка - Булево - признак стандартной обработки события
Процедура ОбработкаЗаполненияМаркировкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИС.ОбработкаЗаполненияМаркировкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ДоработатьЗапросЗаполненияМаркируемойПродукцииДокументаМаркировка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет признак "Скоропортящаяся продукция" по идентификатору происхождения ВетИС. Ожидаемое поведение:
//   * Для скоропортящейся продукции выставление Истина.
//   * Для прочей продукции (в т. ч. при незаполненном идентификаторе) выставление Ложь.
//
// Параметры:
//  Запрос - Запрос - запрос обработчика заполнения маркируемой продукции документов ИСМП.
//         - Строка - текст части запроса заполнения специфики маркируемой продукции.
//  ЕстьКолонкаВСДСтрокой - Булево - Признак наличия колонки строкового представления индентификатора ВСД.
Процедура ДоработатьЗапросЗаполненияМаркируемойПродукцииДокументаМаркировка(Запрос, ЕстьКолонкаВСДСтрокой = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИС.ДоработатьЗапросЗаполненияМаркируемойПродукцииДокументаМаркировка(Запрос, ЕстьКолонкаВСДСтрокой);
```
</details>

## ПриОпределенииИменРеквизитовДляРасчетаСтатусаОформления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет имена реквизитов документа-основания ВЕТИС для документа ИСМП.
//   При использовании внешней подсистемы ВетИС, расчет статусов оформления пишется в общем переопределении.
//
// Параметры:
//  МетаданныеОснования - ОбъектМетаданных - метаданные документа из ОпределяемыйТип.Основание<Имя документа ИСМП>
//  МетаданныеДокументаИСМП - ОбъектМетаданных - метаданные документа из ОпределяемыйТип.ДокументыИСМППоддерживающиеСтатусыОформления
//  Реквизиты  - Структура - имена реквизитов:
//  * Ключ  - Строка - служебное имя реквизита в ИСМП
//  * Значение - Строка - имя реквизита документа-основания, которое при необходимости надо переопределить
//  (см. РасчетСтатусовОформленияИСМП.СтруктураРеквизитовДляРасчетаСтатусаОформленияДокументов).
Процедура ПриОпределенииИменРеквизитовДляРасчетаСтатусаОформления(МетаданныеОснования, МетаданныеДокументаИСМП, Реквизиты) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИС.ПриОпределенииИменРеквизитовДляРасчетаСтатусаОформления(МетаданныеОснования, МетаданныеДокументаИСМП, Реквизиты) 
```
</details>

## ПриОпределенииТекстаЗапросаДляРасчетаСтатусаОформления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить текст запроса выборки данных из документов-основания для расчета статуса оформления.
//   При использовании внешней подсистемы ВетИС, расчет статусов оформления пишется в общем переопределении.
//   Требования к тексту запроса:
//     Если данные из документа выбирать не требуется, переопределение также не заполнять.
//     Результат запроса обязательно должен содержать следующие поля:
//      * Ссылка - ОпределяемыйТип.Основание<Имя документа ИСМП> - ссылка на документ-основание
//      * ЭтоДвижениеПриход - Булево - вид движения ТМЦ (Истина - приход, Ложь - расход)
//      * Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура
//      * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика номенклатуры
//      * Серия - ОпределяемыйТип.СерияНоменклатуры - серия номенклатуры
//      * Количество - Число - количество номенклатуры в ее основной единице измерения
//     В результат запроса нужно включать только подконтрольную номенклатуру ИСМП (табак, обувь)
//     Для отбора документов-основания в запросе нужно использовать отбор "В (&МассивДокументов)"
//     Выбранные данные необходимо поместить во временную таблицу (См. РасчетСтатусовОформленияИС.ИмяВременнойТаблицыДляВыборкиДанныхДокумента).
//
//Параметры:
//   МетаданныеОснования - ОбъектМетаданных - метаданные документа из ОпределяемыйТип.Основание<Имя документа ИСМП>
//   МетаданныеДокументаИСМП - ОбъектМетаданных - метаданные документа из ОпределяемыйТип.ДокументыИСМППоддерживающиеСтатусыОформления
//   ТекстЗапроса - Строка - текст запроса выборки данных, который надо переопределить
//   ПараметрыЗапроса - Структура - дополнительные параметры запроса, требуемые для выполнения запроса
//       конкретного документа; при необходимости можно дополнить данную структуру
//     Ключ     - имя параметры
//     Значение - значение параметра.
//
Процедура ПриОпределенииТекстаЗапросаДляРасчетаСтатусаОформления( Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИС.ПриОпределенииТекстаЗапросаДляРасчетаСтатусаОформления();
```
</details>

## ДанныеИдентификаторовПроисхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные ВетИС по идентификаторам происхождения:
//   * СрокГодности    - Дата   - дата начала последнего периода срока годности.
//   * СкоропортящаясяПродукция - Булево - признак скоропорта.
//   * Представление   - Строка - представление идентификатора (без имени), ожидается "Дата (срок годности)"
//   * Идентификатор   - ОпределяемыйТип.УникальныйИдентификаторИС - GUID объекта ВетИС.
//	 * Продукция       - Произвольный - продукция ВетИС.
// Параметры:
//   ИдентификаторыПроисхождения - Массив Из ОпределяемыйТип.ИдентификаторПроисхожденияВЕТИС - идентификаторы происхождения.
//
//  Возвращаемое значение:
//   Соответствие - данные ВетИС по идентификаторам происхождения, где ключ - ссылка на идентификатор, значение - полученные данные.
//
Функция ДанныеИдентификаторовПроисхождения(ИдентификаторыПроисхождения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВЕТИС.ДанныеИдентификаторовПроисхождения(ИдентификаторыПроисхождения) 
```
</details>

## НоменклатураСоответствуетСопоставленнойПродукцииВЕТИСПоИдентификаторуПроисхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет продукцию идентификатора происхождения на соответствие сопоставленной продукции по переданной структуре данных товара.
//
// Параметры:
//  ИдентификаторыПроисхождения   - Массив Из ОпределяемыйТип.УникальныйИдентификаторИС - GUID объекта ВетИС.
//  ДанныеСопоставления - Структура - со свойствами:
//   * Номенклатура   - ОпределяемыйТип.Номенклатура               - номенклатура.
//   * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика.
//   * Серия          - ОпределяемыйТип.СерияНоменклатуры          - серия.
//  Соответствует - Булево - переопределяемый параметр, Истина, если продукция идентификатора совпадает с сопоставленной продукцией данных для сопоставления.
//  СтандартнаяОбработка - Булево - признак библиотечной обработки.
//
// Возвращаемое значение:
//   Булево - номенклатура соответствует.
Функция НоменклатураСоответствуетСопоставленнойПродукцииВЕТИСПоИдентификаторуПроисхождения(ИдентификаторыПроисхождения, ДанныеСопоставления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВЕТИС.НоменклатураСоответствуетСопоставленнойПродукцииВЕТИСПоИдентификаторуПроисхождения(ИдентификаторыПроисхождения, ДанныеСопоставления) 
```
</details>

## ИдентификаторПроизводственнойПлощадкиВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор производственной площадки ВетИС.
//
// Параметры:
//   ПроизводственнаяПлощадкаВЕТИС - ОпределяемыйТип.ПроизводственнаяПлощадкаВЕТИС - Ссылка на производственную площадку ВетИС.
//
//  Возвращаемое значение:
//   ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор производственной площадки ВетИС.
//
Функция ИдентификаторПроизводственнойПлощадкиВЕТИС(ПроизводственнаяПлощадкаВЕТИС) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВЕТИС.ИдентификаторПроизводственнойПлощадкиВЕТИС(ПроизводственнаяПлощадкаВЕТИС) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
