---
title: Интеграция ИСМП ВЕТИС клиент
slug: erp-uh/интеграция-исмп-ветис-клиент
---


## ПараметрыВыбораИдентификатораПросхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры выбора идентификатора просхождения.
//
// Параметры:
//  ВидОперацииИСМП - ПеречислениеСсылка.ВидыОперацийИСМП - операция маркировки
//
// Возвращаемое значение:
//  Структура - Параметры выбора идентификатора просхождения:
// * Номенклатура   - ОпределяемыйТип.Номенклатура - номенклатура (для указания связанной продукции ВЕТИС).
// * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика (для указания связанной продукции ВЕТИС).
// * Серия          - ОпределяемыйТип.СерияНоменклатуры - серия (для указания связанной продукции ВЕТИС).
// * Организация    - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - организация (для указания связанных объектов ВЕТИС).
// * ХарактеристикиИспользуются - Булево - необходимость указания характеристики для номенклатуры.
// * ТребуетсяУказаниеСерии     - Булево - необходимость указания серии для номенклатуры.
// * Склад                      - Произвольный - влияет на обязательность указания серии.
// * Производство               - Булево - признак выбора идентификатора происхождения для маркировки при производстве.
// * ЭтоКодМаркировкиСоСрокомГодности - Булево - признак кода маркировки (устаревшие коды).
// * СкоропортящаясяПродукция   - Булево - признак кода маркировки (устаревшие коды).
// * ОтчетПроизводственнойЛинии - Булево - признак выбора для режима "Отчет производственной линии" документа Маркировка
// * ОповещениеВыбора - ОписаниеОповещения - оповещение, которое будет выполнено при выборе
Функция ПараметрыВыбораИдентификатораПросхождения(ВидОперацииИСМП) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВЕТИСКлиент.ПараметрыВыбораИдентификатораПросхождения(ВидОперацииИСМП) 
```
</details>

## ОткрытьФормуВыбораИдентификатораПроисхожденияВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик выбора произвольного идентификатора происхождения (не из списка выбора)
//
// Параметры:
//   ИсточникДанных      - см. ПараметрыВыбораИдентификатораПросхождения
//   СтандартнаяОбработка - Булево - признак стандартной обработки события
//
Процедура ОткрытьФормуВыбораИдентификатораПроисхожденияВЕТИС(ИсточникДанных, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСКлиент.ОткрытьФормуВыбораИдентификатораПроисхожденияВЕТИС(ИсточникДанных, СтандартнаяОбработка) 
```
</details>

## ПараметрыВыбораПроизводственнойПлощадкиВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры выбора производственной площадки ВетИС.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, из которой будет вызвана форма выбора производственной площадки.
//  ПараметрыВыбора - Структура - Параметры выбора производственной площадки:
//   * Организация    - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - организация (для указания связанных объектов ВЕТИС).
//   * ОповещениеВыбора - ОписаниеОповещения - оповещение, которое будет выполнено при выборе.
Процедура ПараметрыВыбораПроизводственнойПлощадкиВЕТИС(Форма, ПараметрыВыбора) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСКлиент.ПараметрыВыбораПроизводственнойПлощадкиВЕТИС(Форма, ПараметрыВыбора) 
```
</details>

## ОткрытьФормуВыбораПроизводственнойПлощадкиВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик выбора произвольного идентификатора происхождения (не из списка выбора)
//
// Параметры:
//   ПараметрыВыбора      - см. ПараметрыВыбораПроизводственнойПлощадкиВЕТИС.
//   СтандартнаяОбработка - Булево - признак стандартной обработки события.
Процедура ОткрытьФормуВыбораПроизводственнойПлощадкиВЕТИС(ПараметрыВыбора, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСКлиент.ОткрытьФормуВыбораПроизводственнойПлощадкиВЕТИС(ПараметрыВыбора, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
