---
title: Интеграция ИСМП ВЕТИС клиент сервер
slug: erp-uh/интеграция-исмп-ветис-клиент-сервер
---


## ДополнитьПараметрыСканированияМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры сканирования для документа Маркировка товаров при необходимости передавать специфику ВетИС:
//   * Взводит флаг "ЗаполнятьДанныеВЕТИС".
//   * Определяет тип идентификатора происхождения ВетИС.
//
// Параметры:
//   Операция              - ПеречислениеСсылка.ВидыОперацийИСМП - операция маркировки.
//   ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования.
//
Процедура ДополнитьПараметрыСканированияМаркировкаТоваров(Операция, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСКлиентСервер.ДополнитьПараметрыСканированияМаркировкаТоваров(Операция, ПараметрыСканирования) 
```
</details>

## ДополнитьПараметрыСканированияУточнениеСведенийОКодах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры сканирования для документа Уточнение сведений о кодах маркировки при необходимости передавать специфику ВетИС:
//   * Взводит флаг "ЗаполнятьДанныеВЕТИС".
//   * Определяет тип идентификатора происхождения ВетИС.
//
// Параметры:
//   Операция              - ПеречислениеСсылка.ВидыОперацийИСМП - операция маркировки.
//   ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования.
//
Процедура ДополнитьПараметрыСканированияУточнениеСведенийОКодах(Операция, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСКлиентСервер.ДополнитьПараметрыСканированияУточнениеСведенийОКодах(Операция, ПараметрыСканирования) 
```
</details>

## ИмяИдентификатораПроисхожденияВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя полей/колонок "Идентификатор происхождения ВетИС" в интерфейсе
//
// Возвращаемое значение:
//  Строка - Имя идентификатора
//
Функция ИмяИдентификатораПроисхожденияВЕТИС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВЕТИСКлиентСервер.ИмяИдентификатораПроисхожденияВЕТИС() 
```
</details>

## ПриОпределенииКоманд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команды выбора основания-документа ВетИС в документ ИСМП
//
// Параметры:
//  ИмяФормы - Строка - Имя формы
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
Процедура ПриОпределенииКоманд(ИмяФормы, Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСКлиентСервер.ПриОпределенииКоманд(ИмяФормы, Команды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
