---
title: Интеграция ИСМП ВЕТИС клиент сервер переопределяемый
slug: erp-uh/интеграция-исмп-ветис-клиент-сервер-переопределяемый
---


## ДополнитьПараметрыСканированияМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры сканирования для документа Маркировка товаров при необходимости передавать специфику ВетИС:
//   * Взводит флаг "ЗаполнятьДанныеВЕТИС".
//   * Определяет тип идентификатора происхождения ВетИС.
//
// Параметры:
//   Операция              - ПеречислениеСсылка.ВидыОперацийИСМП - операция маркировки.
//   ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования.
//   СтандартнаяОбработка  - Булево - признак библиотечной обработки
//
Процедура ДополнитьПараметрыСканированияМаркировкаТоваров(Операция, ПараметрыСканирования, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСКлиентСерверПереопределяемый.ДополнитьПараметрыСканированияМаркировкаТоваров(Операция, ПараметрыСканирования, СтандартнаяОбработка) 
```
</details>

## ДополнитьПараметрыСканированияУточнениеСведенийОКодах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры сканирования для документа Уточнение сведений о кодах маркировки при необходимости передавать специфику ВетИС:
//   * Взводит флаг "ЗаполнятьДанныеВЕТИС".
//   * Определяет тип идентификатора происхождения ВетИС.
//
// Параметры:
//   Операция              - ПеречислениеСсылка.ВидыОперацийИСМП - операция маркировки.
//   ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования.
//   СтандартнаяОбработка  - Булево - признак библиотечной обработки
//
Процедура ДополнитьПараметрыСканированияУточнениеСведенийОКодах(Операция, ПараметрыСканирования, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСКлиентСерверПереопределяемый.ДополнитьПараметрыСканированияУточнениеСведенийОКодах(Операция, ПараметрыСканирования, СтандартнаяОбработка) 
```
</details>

## НастроитьИмяИдентификатораПроисхожденияВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает имя полей/колонок "Идентификатор происхождения ВетИС" в интерфейсе
//
// Параметры:
//  ИмяИдентификатора - Строка - Имя идентификатора
//
Процедура НастроитьИмяИдентификатораПроисхожденияВЕТИС(ИмяИдентификатора) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСКлиентСерверПереопределяемый.НастроитьИмяИдентификатораПроисхожденияВЕТИС(ИмяИдентификатора) 
```
</details>

## ПриОпределенииКоманд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает имя полей/колонок "Идентификатор происхождения ВетИС" в интерфейсе
//
// Параметры:
//  ИмяФормы - Строка - Имя формы
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
//  СтандартнаяОбработка - Булево - признак библиотечной обработки
Процедура ПриОпределенииКоманд(ИмяФормы, Команды, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСКлиентСерверПереопределяемый.ПриОпределенииКоманд(ИмяФормы, Команды, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
