---
title: Интеграция ИСМП ВЕТИС переопределяемый
slug: erp-uh/интеграция-исмп-ветис-переопределяемый
---


## ПриПроверкеИспользованияВнешнейПодсистемыВетИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие внешней подсистемы работы с ВетИС
//
// Параметры:
//  ИспользуетсяВнешняяПодсистемаВетИС - Булево - Истина, если используется внешняя подсистема работы с ВетИС
//
Процедура ПриПроверкеИспользованияВнешнейПодсистемыВетИС(ИспользуетсяВнешняяПодсистемаВетИС) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.ПриПроверкеИспользованияВнешнейПодсистемыВетИС(ИспользуетсяВнешняяПодсистемаВетИС) 
```
</details>

## СформироватьДанныеДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные документа-основания из подсистемы ВетИС для документа ИСМП
//
// Параметры:
//   ДанныеОснования    - см. ШтрихкодированиеОбщегоНазначенияИС.ИнициализицияТаблицыДанныхДокумента.
//   ДокументОснование  - ДокументСсылка  - документ-основание.
//   ДанныеСформированы - Булево          - заполнение произведено.
//
Процедура СформироватьДанныеДокументаОснования(ДанныеОснования, ДокументОснование, ДанныеСформированы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.СформироватьДанныеДокументаОснования(ДанныеОснования, ДокументОснование, ДанныеСформированы) 
```
</details>

## ПроверитьДанныеСтрокиПоСрокуГодностиДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет код маркировки молочной продукции на соответствие документу-основанию
//
// Параметры:
//   СтрокаДанных          - Структура - известные данные кода маркировки.
//   ПравилоПроверки       - Структура - текущее правило проверки кода маркировки:
//     * ЕстьОшибка - Булево - код маркировки не соответствует документу-основанию.
//   ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования.
//   СтандартнаяОбработка  - Булево    - признак библиотечной обработки
//
Процедура ПроверитьДанныеСтрокиПоСрокуГодностиДокументаОснования(СтрокаДанных, ПравилоПроверки, ПараметрыСканирования, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.ПроверитьДанныеСтрокиПоСрокуГодностиДокументаОснования(СтрокаДанных, ПравилоПроверки, ПараметрыСканирования, СтандартнаяОбработка) 
```
</details>

## ДополнитьВложенныеШтрихкодыДаннымиВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет дерево вложенных штрихкодов сохраненными данными ВетИС табличной части "Штрихкоды упаковок"
//   для документа МаркировкаТоваровИСМП:
//     * Заполняет признаки ИдентификаторПроисхожденияВЕТИС, ГоденДо, СкоропортящаясяПродукция по заполненным данным
//      табличной части "ШтрихкодыУпаковок".
//     * Заполняет эти же признаки для всех дочерних узлов дерева.
//     * Заполняет эти же признаки для таблицы МаркированныеТовары вложенных штрихкодов.
//
// Параметры:
//   ВложенныеШтрихкоды    - см. ШтрихкодированиеИС.ВложенныеШтрихкодыУпаковокПоДокументу.
//   ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования.
//   СтандартнаяОбработка  - Булево - признак библиотечной обработки
//
Процедура ДополнитьВложенныеШтрихкодыДаннымиВЕТИС(ВложенныеШтрихкоды, ПараметрыСканирования, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.ДополнитьВложенныеШтрихкодыДаннымиВЕТИС(ВложенныеШтрихкоды, ПараметрыСканирования, СтандартнаяОбработка) 
```
</details>

## ПолучитьСсылкуПоСтроковомуИдентификаторуПроисхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет ссылку на идентификатор происхождения ВетИС по его строковому идентификатору
//
// Параметры:
//   ИдентификаторПроисхожденияВЕТИССтрокой - Строка - строковое представление идентификатора ВетИС
//   ИдентификаторПроисхожденияВЕТИССсылка - ОпределяемыйТип.ИдентификаторПроисхожденияВЕТИС - ссылочное представление идентификатора ВетИС
//   Кеш - Структура - ранее найденные значения:
//    ПараметрыПреобразования - Структура - :
//      НайденныеСсылки- Структура - :
//        ВетеринарноСопроводительныйДокументВЕТИС - Соответствие - :
//          Ключ - Строка - строковое представление идентификатора ВетИС
//          Значение - ОпределяемыйТип.ИдентификаторПроисхожденияВЕТИС - ссылочное представление идентификатора ВетИС
//   СтандартнаяОбработка  - Булево    - признак библиотечной обработки
//
Процедура ПолучитьСсылкуПоСтроковомуИдентификаторуПроисхождения(ИдентификаторПроисхожденияВЕТИССтрокой, ИдентификаторПроисхожденияВЕТИССсылка, Кеш, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.ПолучитьСсылкуПоСтроковомуИдентификаторуПроисхождения(ИдентификаторПроисхожденияВЕТИССтрокой, ИдентификаторПроисхожденияВЕТИССсылка, Кеш, СтандартнаяОбработка) 
```
</details>

## ДоработатьЗапросЗаполненияЗаказаНаЭмиссиюПоМаркировке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет ожидаемый шаблон кода маркировки молочной продукции по идентификатору происхождения ВетИС. Ожидаемое поведение:
//   * Для подконтрольной ВетИС продукции выставление актуального шаблона
//
// Параметры:
//  Запрос                - Запрос - запрос обработчика заполнения табличной части заказа на эмиссию по маркировке
//   СтандартнаяОбработка - Булево - признак библиотечной обработки
//
Процедура ДоработатьЗапросЗаполненияЗаказаНаЭмиссиюПоМаркировке(Запрос, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.ДоработатьЗапросЗаполненияЗаказаНаЭмиссиюПоМаркировке(Запрос, СтандартнаяОбработка) 
```
</details>

## ОбработкаЗаполненияМаркировкиТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка заполнения документа "Маркировка товаров ИСМП" по документам ВетИС.
//
// Параметры:
//   ДокументОбъект - ДокументОбъект.МаркировкаТоваровИСМП - заполняемый документ
//   ДанныеЗаполнения - Произвольный - данные заполнения
//   ТекстЗаполнения - Строка - текст заполнения
//   СтандартнаяОбработка - Булево - признак стандартной обработки события
Процедура ОбработкаЗаполненияМаркировкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.ОбработкаЗаполненияМаркировкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ДоработатьЗапросЗаполненияМаркируемойПродукцииДокументаМаркировка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет признак "Скоропортящаяся продукция" по идентификатору происхождения ВетИС. Ожидаемое поведение:
//   * Для скоропортящейся продукции выставление Истина.
//   * Для прочей продукции (в т. ч. при незаполненном идентификаторе) выставление Ложь.
//
// Параметры:
//  Запрос                - Запрос - запрос обработчика заполнения маркируемой продукции документов ИСМП.
//   СтандартнаяОбработка - Булево - признак библиотечной обработки
//
Процедура ДоработатьЗапросЗаполненияМаркируемойПродукцииДокументаМаркировка(Запрос, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.ДоработатьЗапросЗаполненияМаркируемойПродукцииДокументаМаркировка(Запрос, СтандартнаяОбработка) 
```
</details>

## ПриПолученииДанныхИдентификаторовПроисхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные ВетИС по идентификаторам происхождения:
//   * СрокГодности    - Дата   - дата начала последнего периода срока годности.
//   * СкоропортящаясяПродукция - Булево - признак скоропорта.
//   * Представление   - Строка - представление идентификатора (без имени), ожидается "Дата (срок годности)"
//   * Идентификатор   - ОпределяемыйТип.УникальныйИдентификаторИС - GUID объекта ВетИС.
//
// Параметры:
//   ИдентификаторыПроисхождения - Массив Из ОпределяемыйТип.ИдентификаторПроисхожденияВЕТИС - идентификаторы происхождения.
//   ДанныеПоСрокамГодности - Соответствие - данные ВетИС по идентификаторам происхождения, где ключ - ссылка
//      на идентификатор, значение - полученные данные.
//   СтандартнаяОбработка - Булево - признак библиотечной обработки
//
Процедура ПриПолученииДанныхИдентификаторовПроисхождения(ИдентификаторыПроисхождения, ДанныеПоСрокамГодности, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.ПриПолученииДанныхИдентификаторовПроисхождения(ИдентификаторыПроисхождения, ДанныеПоСрокамГодности, СтандартнаяОбработка) 
```
</details>

## ПриПроверкеСоответствияНоменклатурыИдентификаторуПроисхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет продукцию идентификатора происхождения на соответствие сопоставленной продукции по переданной структуре данных товара.
//
// Параметры:
//  ИдентификаторПроисхождения   - ОпределяемыйТип.УникальныйИдентификаторИС - GUID объекта ВетИС.
//  ДанныеСопоставления - Структура - со свойствами:
//   * Номенклатура   - ОпределяемыйТип.Номенклатура               - номенклатура.
//   * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика.
//   * Серия          - ОпределяемыйТип.СерияНоменклатуры          - серия.
//  Соответствует - Булево - переопределяемый параметр, Истина, если продукция идентификатора совпадает с сопоставленной продукцией данных для сопоставления.
//  СтандартнаяОбработка - Булево - признак библиотечной обработки.
Процедура ПриПроверкеСоответствияНоменклатурыИдентификаторуПроисхождения(ИдентификаторПроисхождения, ДанныеСопоставления, Соответствует, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.ПриПроверкеСоответствияНоменклатурыИдентификаторуПроисхождения(ИдентификаторПроисхождения, ДанныеСопоставления, Соответствует, СтандартнаяОбработка) 
```
</details>

## ПриПолученииИдентификатораПроизводственнойПлощадкиВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор производственной площадки ВетИС.
//
// Параметры:
//   ПроизводственнаяПлощадкаВЕТИС - ОпределяемыйТип.ПроизводственнаяПлощадкаВЕТИС - Ссылка на производственную площадку ВетИС.
//   ИдентификаторПроизводственнойПлощадкиВЕТИС - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор производственной площадки ВетИС.
//   СтандартнаяОбработка - Булево - Признак библиотечной обработки.
//
Процедура ПриПолученииИдентификатораПроизводственнойПлощадкиВЕТИС(ПроизводственнаяПлощадкаВЕТИС, ИдентификаторПроизводственнойПлощадкиВЕТИС, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПВЕТИСПереопределяемый.ПриПолученииИдентификатораПроизводственнойПлощадкиВЕТИС(ПроизводственнаяПлощадкаВЕТИС, ИдентификаторПроизводственнойПлощадкиВЕТИС, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
