---
title: Интеграция ИСМП вызов сервера
slug: erp-uh/интеграция-исмп-вызов-сервера
---


## ПодготовитьКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает сообщения к передаче в сервис ИСМП.
//
// Параметры:
//  ВходящиеДанные - Массив Из (См. ИнтерфейсИСМПОбщегоНазначенияКлиентСервер.ПараметрыОбработкиДокументов)
//  УникальныйИдентификатор - УникальныйИдентификатор - Уникальный идентификатор формы.
//
// Возвращаемое значение:
//  Структура - см. функцию ПодготовитьСообщенияКПередаче().
//
Функция ПодготовитьКПередаче(ВходящиеДанные, УникальныйИдентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВызовСервера.ПодготовитьКПередаче(ВходящиеДанные, УникальныйИдентификатор);
```
</details>

## ЗагрузитьВходящиеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает сообщения к передаче в сервис ИСМП.
//
// Параметры:
//  ПараметрыЗагрузки - Структура - Структура со свойствами:
//   * Организация - ОпределяемыйТип.Организация - Организация
//   * Интервал - Структура - Структура со свойствами:
//     ** НачалоПериода - Дата - Дата начала периода.
//     ** КонецПериода - Дата - Дата окончания периода.
//  УникальныйИдентификатор - УникальныйИдентификатор - Уникальный идентификатор формы.
//
// Возвращаемое значение:
//  Структура - см. функцию ПодготовитьСообщенияКПередаче().
//
Функция ЗагрузитьВходящиеДокументы(ПараметрыЗагрузки, УникальныйИдентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВызовСервера.ЗагрузитьВходящиеДокументы(ПараметрыЗагрузки, УникальныйИдентификатор);
```
</details>

## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьОбмен(Организации = Неопределено, УникальныйИдентификатор = Неопределено, СообщениеИлиДокумент = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВызовСервера.ВыполнитьОбмен(Организации, УникальныйИдентификатор, СообщениеИлиДокумент);
```
</details>

## ПродолжитьВыполнениеОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПродолжитьВыполнениеОбмена(ПодписанныеДанныеПоОрганизациям, АдресВоВременномХранилище) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВызовСервера.ПродолжитьВыполнениеОбмена(ПодписанныеДанныеПоОрганизациям, АдресВоВременномХранилище) 
```
</details>

## ЗапуститьЗаполнениеНастроекРазрешительногоРежима
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запуск в фоне заполнения настроек разрешительного режима - аналогично обработчику обновления, но при включении новой товарной группы,
// если на момент обновления таковых не велось
//
// Параметры:
//  УникальныйИдентификатор - УникальныйИдентификатор, Неопределено - Уникальный идентификатор формы
//
// Возвращаемое значение:
//  см. ДлительныеОперации.ВыполнитьВФоне.
Функция ЗапуститьЗаполнениеНастроекРазрешительногоРежима(УникальныйИдентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВызовСервера.ЗапуститьЗаполнениеНастроекРазрешительногоРежима(УникальныйИдентификатор);
```
</details>

## ОтменитьПередачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет неотправленную операцию из очереди передачи данных в ИС МП.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить передачу данных.
//
// Возвращаемое значение:
//  Массив - Массив структур, см. функцию ИнтеграцияИСМПСлужебный.СтруктураИзменения(), или Неопределено (если в очереди нет сообщений).
//
Функция ОтменитьПередачу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВызовСервера.ОтменитьПередачу(ДокументСсылка) 
```
</details>

## ОтменитьПоследнююОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет последнюю операцию (например, если возникла ошибка передачи данных).
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить операцию.
//
// Возвращаемое значение:
//  Массив - Массив структур, см. функцию ИнтеграцияИСМПСлужебный.СтруктураИзменения().
//
Функция ОтменитьПоследнююОперацию(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПВызовСервера.ОтменитьПоследнююОперацию(ДокументСсылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
