---
title: Интеграция ИСМП клиент
slug: erp-uh/интеграция-исмп-клиент
---


## ПодготовитьКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку к передаче в сервис ИС МП сообщения по документу и начинает процедуру обмена
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//  ПараметрыОбработкиДокументов - (См. ИнтеграцияИСМПСлужебныйКлиентСервер.ПараметрыОбработкиДокументов)
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции
Процедура ПодготовитьКПередаче(Форма, ПараметрыОбработкиДокументов, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ПодготовитьКПередаче(Форма, ПараметрыОбработкиДокументов, ОповещениеПриЗавершении);
```
</details>

## ЗагрузитьВходящиеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку к передаче в сервис ИС МП сообщения по документу и начинает процедуру обмена
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//  ПараметрыЗагрузки - Структура - Структура со свойствами:
//   * Организация - ОпределяемыйТип.Организация - Организация
//   * Интервал - Структура - Структура со свойствами:
//     ** НачалоПериода - Дата - Дата начала периода.
//     ** КонецПериода - Дата - Дата окончания периода.
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции
Процедура ЗагрузитьВходящиеДокументы(Форма, ПараметрыЗагрузки, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ЗагрузитьВходящиеДокументы(Форма, ПараметрыЗагрузки, ОповещениеПриЗавершении);
```
</details>

## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку подготовленных сообщений, загрузку новых документов, обработку ответов из ИС МП.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - источник команды выполнения обмена
//  Организация - Неопределено, Массив Из ОпределяемыйТип.Организация, ОпределяемыйТип.Организация -
//        Организация или несколько организаций, по которым необходимо выполнить обмен.
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
Процедура ВыполнитьОбмен(Форма, Организация = Неопределено, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ВыполнитьОбмен(Форма, Организация, ОповещениеПриЗавершении);
```
</details>

## ОтменитьПоследнююОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет последнюю операцию (например, если возникла ошибка передачи данных).
//
// Параметры:
//   ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить операцию.
//
Процедура ОтменитьПоследнююОперацию(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ОтменитьПоследнююОперацию(ДокументСсылка) 
```
</details>

## ОтменитьПередачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет неотправленную операцию из очереди передачи данных в ИС МП.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить передачу данных.
//
Процедура ОтменитьПередачу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ОтменитьПередачу(ДокументСсылка) 
```
</details>

## ОрганизацииДляОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОрганизацииДляОбмена(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПКлиент.ОрганизацииДляОбмена(Форма) 
```
</details>

## ПодготовитьСообщенияКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд по выполнению требуемого дальнейшего действия в динамических списках.
//
// Параметры:
//  ДинамическийСписок - ТаблицаФормы - список в котором выполняется команда.
//  ПараметрыПередачи - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюИСМП - действие, которое будет выполнено.
//                    - См. ИнтеграцияИСКлиентСервер.ИнициализироватьПараметрыПередачиДанных
Процедура ПодготовитьСообщенияКПередаче(ДинамическийСписок, ПараметрыПередачи) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ПодготовитьСообщенияКПередаче(ДинамическийСписок, ПараметрыПередачи) 
```
</details>

## ПодготовитьСообщенияКПередачеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения процедуры ПодготовитьСообщенияКПередаче.
//
// Параметры:
//  Контекст - Структура - контекст выполнения обработчика:
//   * МассивДокументов - массив - список ссылок на обрабатываемые документы,
//   * НепроведенныеДокументы - массив - документы, исключенные из обработки,
//   * ДинамическийСписок - ТаблицаФормы - список в котором выполняется команда,
//   * ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюИСМП - действие, которое будет выполнено.
//  ДополнительныеПараметры - Структура, Неопределено - Дополнительные параметры
Процедура ПодготовитьСообщенияКПередачеЗавершение(Контекст, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ПодготовитьСообщенияКПередачеЗавершение(Контекст, ДополнительныеПараметры);
```
</details>

## АрхивироватьДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование документов.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьДокументы(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.АрхивироватьДокументы(Результат, ДополнительныеПараметры) 
```
</details>

## АрхивироватьРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование распоряжений к оформлению.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) 
```
</details>

## ОткрытьФормуСозданияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет команду создания документа, с предварительным выбором вида продукции или способа ввода в оборот.
//   Для заказа на эмиссию может открыть форму резервирования кодов.
//
// Параметры:
//  ПолноеИмяДокумента - Строка - Полное имя документа
//  ДокументОснование - Произвольный - Документ основание
//  Владелец - Произвольный - Владелец
//  ОписаниеОповещения - Неопределено, ОписаниеОповещения - Описание оповещения
Процедура ОткрытьФормуСозданияДокумента(ПолноеИмяДокумента, ДокументОснование = Неопределено, Владелец = Неопределено, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ОткрытьФормуСозданияДокумента(ПолноеИмяДокумента, ДокументОснование, Владелец, ОписаниеОповещения);
```
</details>

## НастройкиРаботыССертификацией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НастройкиРаботыССертификацией(ИмяРеквизитаКеш = "КэшСертификации", ИмяРеквизитаСертификация = "ТоварыСертификация") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПКлиент.НастройкиРаботыССертификацией(ИмяРеквизитаКеш, ИмяРеквизитаСертификация);
```
</details>

## ОбновитьСписокВыбораСертификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСписокВыбораСертификации(Форма, НастройкиРаботыССертификацией = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ОбновитьСписокВыбораСертификации(Форма, НастройкиРаботыССертификацией);
```
</details>

## НастройкиРаботыСПервичнымДокументом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НастройкиРаботыСПервичнымДокументом() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПКлиент.НастройкиРаботыСПервичнымДокументом() 
```
</details>

## ОбновитьСписокВыбораПервичногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСписокВыбораПервичногоДокумента(Форма, НастройкиРаботыСПервичнымДокументом = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ОбновитьСписокВыбораПервичногоДокумента(Форма, НастройкиРаботыСПервичнымДокументом);
```
</details>

## ОткрытьФормуВыбораОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуВыбораОрганизаций(Форма, Префикс, Префиксы = Неопределено, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ОткрытьФормуВыбораОрганизаций(Форма, Префикс, Префиксы, ОповещениеПриЗавершении);
```
</details>

## ПослеЗавершенияВыбораОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗавершенияВыбораОрганизаций(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ПослеЗавершенияВыбораОрганизаций(Результат, ДополнительныеПараметры) 
```
</details>

## ОбработатьВыборОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьВыборОрганизаций(Форма, Результат, ПрименятьОтбор, Префикс = Неопределено, Префиксы = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ОбработатьВыборОрганизаций(Форма, Результат, ПрименятьОтбор, Префикс, Префиксы);
```
</details>

## ПодключитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключает обработчик ожидания для инициализации напоминаний ответственному за актуализацию токенов авторизации.
//
Процедура ПодключитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации() Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ПодключитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации() 
```
</details>

## ПроверитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие напоминаний для ответственного за актуализацию токенов авторизации ИС МП.
// При необходимости, открывает форму актуализации токенов авторизации ИС МП.
//
Процедура ПроверитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации(ПараметрыПроверкиНапоминаний) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ПроверитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации(ПараметрыПроверкиНапоминаний) 
```
</details>

## ОткрытьФормуНастройкиВидовУпаковокПоНоменклатуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки видов упаковок по GTIN для номенклатуры.
//
// Параметры:
//  ФормаВладелец - ФормаКлиентскогоПриложения - Форма-владелец открываемой формы настройки.
//  Номенклатура  - ОпределяемыйТип.Номенклатура - Ссылка на номенклатуру для которой выполняется настройка.
//  ВидПродукции  - Неопределено, ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции, если не указана - определяется по номенклатуре.
//                  Вид продукции следует указывать обязательно, если форма может открываться для модифицированной карточки номенклатуры,
//                  когда вид продукции записанного элемента отличается от модифицированного в форме. Вид продукции, в том числе,
//                  определяет доступные виды упаковок.
Процедура ОткрытьФормуНастройкиВидовУпаковокПоНоменклатуре(ФормаВладелец, Номенклатура, ВидПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ОткрытьФормуНастройкиВидовУпаковокПоНоменклатуре(ФормаВладелец, Номенклатура, ВидПродукции);
```
</details>

## ОткрытьФормуСпискаВскрытыхПотребительскихУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму списка вскрытых потребительских упаковок.
//
// Параметры:
//  ПараметрыОткрытия - см. ИнтеграцияИСКлиент.ПараметрыОткрытияФормыСпискаПотребительскихУпаковок
Процедура ОткрытьФормуСпискаВскрытыхПотребительскихУпаковок(ПараметрыОткрытия) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПКлиент.ОткрытьФормуСпискаВскрытыхПотребительскихУпаковок(ПараметрыОткрытия) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
