---
title: Интеграция ИСМП повт исп
slug: erp-uh/интеграция-исмп-повт-исп
---


## ОбъектМетаданныхДоступен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет доступность объекта метаданных. Проверки выполняются по:
// - доступности вида продукции;
// - функциональным опциям;
//
// Параметры:
// 	ПолноеИмяМетаданных - Строка - полное имя проверяемого объекта метаданных.
// Возвращаемое значение:
// 	Булево - Признак доступности объекта.
Функция ОбъектМетаданныхДоступен(ПолноеИмяМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМППовтИсп.ОбъектМетаданныхДоступен(ПолноеИмяМетаданных) 
```
</details>

## ДанныеНастройкиАварийногоРежима
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры включения аварийного режима
//
// Возвращаемое значение:
//  см. ПараметрыАварийногоРежима
Функция ДанныеНастройкиАварийногоРежима() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМППовтИсп.ДанныеНастройкиАварийногоРежима() 
```
</details>

## ВерсияБПОПоддерживаетПроверкуКМЕдинымМетодом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак, поддерживает ли БПО логирование проверок КМ и проверку КМ единым методом
//
// Возвращаемое значение:
//  Булево - Истина, если версия БПО выше 3.2.2.24
Функция ВерсияБПОПоддерживаетПроверкуКМЕдинымМетодом() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМППовтИсп.ВерсияБПОПоддерживаетПроверкуКМЕдинымМетодом() 
```
</details>

## ХранитьУспешныеОперацииПриПроверкеКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак, нужно ли писать данные успешных операций сканирования в РС ОперацииПроверкиКМ при настройке
// Проверка кодов маркировки средствами ККТ = Перед пробитием чека
//
// Возвращаемое значение:
//  Булево - Истина, если установлена нужная версия БПО, есть где хранить логи, Проверка кодов маркировки средствами ККТ = Перед пробитием чека и
//  включена настройка Хранить успешные операции при разрешительном режиме
Функция ХранитьУспешныеОперацииПриПроверкеКМ() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМППовтИсп.ХранитьУспешныеОперацииПриПроверкеКМ() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
