---
title: Интеграция ИСМП служебный
slug: erp-uh/интеграция-исмп-служебный
---


## ПостроитьОчередьСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПостроитьОчередьСообщений(ПараметрыОбмена, СообщениеИлиДокумент = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ПостроитьОчередьСообщений(ПараметрыОбмена, СообщениеИлиДокумент);
```
</details>

## ПодготовитьКПередачеУниверсально
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьКПередачеУниверсально(ВходящиеДанные, ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ПодготовитьКПередачеУниверсально(ВходящиеДанные, ПараметрыОбмена) 
```
</details>

## ЗагрузитьВходящиеДокументыУниверсально
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗагрузитьВходящиеДокументыУниверсально(ПараметрыЗагрузки, ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ЗагрузитьВходящиеДокументыУниверсально(ПараметрыЗагрузки, ПараметрыОбмена) 
```
</details>

## ПродолжитьВыполнениеОбменаУниверсально
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПродолжитьВыполнениеОбменаУниверсально(ПодписанныеСообщенияПоОрганизациям, ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ПродолжитьВыполнениеОбменаУниверсально(ПодписанныеСообщенияПоОрганизациям, ПараметрыОбмена) 
```
</details>

## ВыполнитьОбменУниверсально
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьОбменУниверсально(ПараметрыОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ВыполнитьОбменУниверсально(ПараметрыОбмена) 
```
</details>

## ВремяОжидания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВремяОжидания(НомерИтерации) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ВремяОжидания(НомерИтерации) 
```
</details>

## ВремяОжиданияОбработкиКвитанции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВремяОжиданияОбработкиКвитанции() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ВремяОжиданияОбработкиКвитанции() 
```
</details>

## СтруктураСообщенияJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру сообщения XML
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * ТекстОшибки                 - Строка - Текст ошибки.
//   * Ошибки                      - Соответствие - Описание ошибок.
//   * Описание                    - Строка - Описание для отображения в форме подписания.
//   * ТекстСообщенияJSON          - Строка - Текст сообщения JSON.
//   * ТипЗапроса                  - ПеречислениеСсылка.ТипыЗапросовИС - Тип сообщения.
//   * Организация                 - ОпределяемыйТип.Организация - Организация.
//   * Операция                    - ПеречислениеСсылка.ВидыОперацийИСМП - Вид операции.
//   * Документ                    - ДокументСсылка - Документ.
//   * Версия                      - Строка - Версия сообщения.
//   * СообщениеОснование          - СправочникСсылка.ИСМППрисоединенныеФайлы - сообщение основание.
//   * ДанныеДляПолученияДокумента - Структура - Данные для получения документа.
//   * ДокументОснование           - ДокументСсылка - Документ основание.
Функция СтруктураСообщенияJSON() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.СтруктураСообщенияJSON() 
```
</details>

## ДобавитьЗаписьВПротоколОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить запись в протокол обмена.
//
// Параметры:
//  ТекстСообщенияJSON - Строка - Текст сообщения XML.
//  Реквизиты - Структура - Значения реквизитов сообщения.
//  ПроверятьХешБезСсылки - Булево - Признак проверки хеша без ссылки.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * НовоеСообщение - Булево - Это новое сообщение.
//   * Ссылка - СправочникСсылка.ИСМППрисоединенныеФайлы - Ссылка на присоединенный файл.
//
Функция ДобавитьЗаписьВПротоколОбмена(ТекстСообщенияJSON, Реквизиты, ПроверятьХешБезСсылки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ДобавитьЗаписьВПротоколОбмена(ТекстСообщенияJSON, Реквизиты, ПроверятьХешБезСсылки);
```
</details>

## ОпределитьСтанциюУправленияЗаказами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьСтанциюУправленияЗаказами(СообщенияJSON, СообщениеJSON, Шапка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ОпределитьСтанциюУправленияЗаказами(СообщенияJSON, СообщениеJSON, Шапка, ДополнительныеПараметры) 
```
</details>

## ОпределитьСтанциюУправленияЗаказамиУпрощенно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьСтанциюУправленияЗаказамиУпрощенно(СообщенияJSON, Операция, Шапка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ОпределитьСтанциюУправленияЗаказамиУпрощенно(СообщенияJSON, Операция, Шапка, ДополнительныеПараметры) 
```
</details>

## НоваяСтруктураПоискаНастроекОбменаСУЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяСтруктураПоискаНастроекОбменаСУЗ(Основание = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.НоваяСтруктураПоискаНастроекОбменаСУЗ(Основание);
```
</details>

## ПодготовитьКПередачеДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьКПередачеДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ПодготовитьКПередачеДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) 
```
</details>

## ЗагрузитьВходящиеДокументыДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗагрузитьВходящиеДокументыДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ЗагрузитьВходящиеДокументыДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) 
```
</details>

## ВыполнитьОбменДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьОбменДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ВыполнитьОбменДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) 
```
</details>

## ПродолжитьВыполнениеОбменаДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПродолжитьВыполнениеОбменаДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ПродолжитьВыполнениеОбменаДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) 
```
</details>

## ВыполнитьОбновлениеНастроекДляРазрешительногоРежимаДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Длительная операция обновления настроек при включении товарных групп разрешительного режима
//
// Параметры:
//  ПараметрыФоновогоЗадания - Структура - Параметры запуска фонового задания
//  АдресРезультата - Строка - адрес возврата результата
Процедура ВыполнитьОбновлениеНастроекДляРазрешительногоРежимаДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ВыполнитьОбновлениеНастроекДляРазрешительногоРежимаДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) 
```
</details>

## ПроверитьЗаполнениеШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЗаполнениеШтрихкодовУпаковок(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ПроверитьЗаполнениеШтрихкодовУпаковок(Объект, Отказ) 
```
</details>

## ОписаниеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать описание операции для документа
//
// Параметры:
//  Описание - Строка - Описание операции
//  ДокументСсылка - ДокументСсылка - Документ
//  НомерВерсии - Число - Номер версии
//  ТекстПоКоличествуСообщений - Строка - Текст с количеством сообщений
//
// Возвращаемое значение:
//  Строка - Описание операции.
//
Функция ОписаниеОперации(Описание, ДокументСсылка, НомерВерсии = Неопределено, ТекстПоКоличествуСообщений = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ОписаниеОперации(Описание, ДокументСсылка, НомерВерсии, ТекстПоКоличествуСообщений);
```
</details>

## ОписаниеОперацииПередачиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать описание операции для документа
//
// Параметры:
//  ОперацияПередачиДанных - ПеречислениеСсылка.ВидыОперацийИСМП - Операция обмена с ЕГАИС
//  ДокументСсылка - ДокументСсылка - Документ ссылка
//  НомерВерсии - Число - Номер версии
//  ТекстПоКоличествуСообщений - Строка - Текст с количеством сообщений
//
// Возвращаемое значение:
//  Строка - Описание операции
//
Функция ОписаниеОперацииПередачиДанных(ОперацияПередачиДанных, ДокументСсылка = Неопределено, НомерВерсии = Неопределено, ТекстПоКоличествуСообщений = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ОписаниеОперацииПередачиДанных(ОперацияПередачиДанных, ДокументСсылка, НомерВерсии, ТекстПоКоличествуСообщений);
```
</details>

## ТекстКоличествоИзГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст счетчика по формату N из M.
//
// Параметры:
// 	ТекущийНомерГруппы - Число - текущий номер в группе.
// 	КоличествоГрупп - Число - Всего элементов в группе.
// Возвращаемое значение:
// 	Строка - Сформированный текст счетчика.
Функция ТекстКоличествоИзГруппы(ТекущийНомерГруппы, КоличествоГрупп) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ТекстКоличествоИзГруппы(ТекущийНомерГруппы, КоличествоГрупп) 
```
</details>

## ОписаниеОперацииПолученияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать описание операции для документа
//
// Параметры:
//  ОперацияПередачиДанных - ПеречислениеСсылка.ВидыОперацийИСМП - Операция обмена с ЕГАИС
//  ДокументСсылка - ДокументСсылка - Документ ссылка
//  НомерВерсии - Число - Номер версии
//
// Возвращаемое значение:
//  Строка - Описание операции
//
Функция ОписаниеОперацииПолученияДанных(ОперацияПередачиДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ОписаниеОперацииПолученияДанных(ОперацияПередачиДанных) 
```
</details>

## КатегорииОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает операции обмена с ИС МП, разбитые на категории
//
// Возвращаемое значение:
//  Структура - со свойствами:
//    * ПередачаДанных - Соответствие - Операции передачи данных.
//    * ПолучениеДанных - Соответствие - Операции получения данных.
//
Функция КатегорииОпераций() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.КатегорииОпераций() 
```
</details>

## СтруктураИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру изменений данных
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//
Функция СтруктураИзменения() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.СтруктураИзменения() 
```
</details>

## ЗаписатьОшибкуВЖурналРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись ошибки в журнал регистрации, добавляя имя события ИС МП.
//
// Параметры:
//  ТекстОшибки      - Строка           - текст ошибки.
//  ОбъектМетаданных - ОбъектМетаданных - объект метаданных с ошибкой.
//  Данные           - Произвольный     - объект данных с ошибкой.
Процедура ЗаписатьОшибкуВЖурналРегистрации(ТекстОшибки, ОбъектМетаданных = Неопределено, Данные = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ЗаписатьОшибкуВЖурналРегистрации(ТекстОшибки, ОбъектМетаданных, Данные);
```
</details>

## ЗаполнитьGTINМаркировкиОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет колонку GTIN в переданный таблице значениями, пригодными для маркировки остатков, полученными с помощью
// (См. ИнтерфейсИСМП.НайтиПродукциюПоИННПроизводителя)
//
// Параметры:
// 	ТаблицаНоменклатуры   - ДанныеФормыКоллекция                      - Таблица номенклатуры для заполнения колонки GTIN:
// 	 * ЦелевойПол         - ПеречислениеСсылка.ЦелевойПолИСМП         - Целевой пол.
// 	 * СпособВводаВОборот - ПеречислениеСсылка.СпособыВводаВОборотСУЗ - Способ ввода в оборот.
// 	 * КодТНВЭД           - Строка                                    - Код ТНВЭД будет взято первые два символа.
// 	 * GTIN               - Строка                                    - Поле GTIN, значение которого требуется заполнить,
// 	                                                                    если не заполнено.
// 	Организация  - ОпределяемыйТип.Организация - Оранизация-владелец.
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции.
// Возвращаемое значение:
//  Структура - Заполнить GTINМаркировки остатков:
// * ТребуетсяОбновлениеКлючаСессии - Булево - Обновление ключа сессии.
// * ТекстОшибки - Неопределено, Строка - Текст ошибки.
Функция ЗаполнитьGTINМаркировкиОстатков(ТаблицаНоменклатуры, Организация, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ЗаполнитьGTINМаркировкиОстатков(ТаблицаНоменклатуры, Организация, ВидПродукции) 
```
</details>

## ОбязательныеПоляОписанияОстатковПоСтрокеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку для передачи описания остатков
//
// Параметры:
// 	СтрокаТовары - СтрокаТабличнойЧасти - Строка докумемента Заказа на эмиссию СУЗ
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции.
// Возвращаемое значение:
// 	Структура - Описание:
// * release_method - Строка - Способ ввода в оборот;
// * name           - Строка - Наименование товара;
// * model          - Строка - Модель;
// * tnved_code_2   - Число  - Начало кода ТНВЭД.
// * product_gender - Строка - Целевой пол.
// * consumer_age   - Строка - Возрастная категория.
Функция ОбязательныеПоляОписанияОстатковПоСтрокеДокумента(СтрокаТовары, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ОбязательныеПоляОписанияОстатковПоСтрокеДокумента(СтрокаТовары, ВидПродукции) 
```
</details>

## НормализованноеСтроковоеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НормализованноеСтроковоеЗначение(Знач ВходноеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.НормализованноеСтроковоеЗначение(ВходноеЗначение) 
```
</details>

## ЗаполнитьСвойствоXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение свойства объекта XDTO.
//
Процедура ЗаполнитьСвойствоXDTO(ОбъектXDTO, ИмяСвойства, ЗначениеСвойства = Неопределено, КешОшибок = Неопределено, Глубина = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ЗаполнитьСвойствоXDTO(ОбъектXDTO, ИмяСвойства, ЗначениеСвойства, КешОшибок, Глубина);
```
</details>

## ПодготовитьОчередьЗагрузкиКодовМаркировкиПоЗаказуНаЭмиссию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьОчередьЗагрузкиКодовМаркировкиПоЗаказуНаЭмиссию(ПараметрыЗапроса, ЭлементОчереди, ЗагружатьДо, ПараметрыОбмена, НастройкаОбменаСУЗ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ПодготовитьОчередьЗагрузкиКодовМаркировкиПоЗаказуНаЭмиссию(ПараметрыЗапроса, ЭлементОчереди, ЗагружатьДо, ПараметрыОбмена, НастройкаОбменаСУЗ) 
```
</details>

## ПодготовитьКПередачеСообщениеНаЗакрытиеПодзаказаНаЭмиссиюКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьКПередачеСообщениеНаЗакрытиеПодзаказаНаЭмиссиюКодовМаркировки(ЭлементОчередиОснование, Знач ЗагружатьДо, ПараметрыЗапроса, ПараметрыОбмена, НастройкаОбменаСУЗ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ПодготовитьКПередачеСообщениеНаЗакрытиеПодзаказаНаЭмиссиюКодовМаркировки(ЭлементОчередиОснование, ЗагружатьДо, ПараметрыЗапроса, ПараметрыОбмена, НастройкаОбменаСУЗ) 
```
</details>

## ЗапроситьУстановитьКлючСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапроситьУстановитьКлючСессии(ТребуетсяЗапроситьУстановитьКлючСессии, ПодписанныеСообщенияПоОрганизациям, Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ЗапроситьУстановитьКлючСессии(ТребуетсяЗапроситьУстановитьКлючСессии, ПодписанныеСообщенияПоОрганизациям, );
```
</details>

## ПараметрыСеансаИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыСеансаИС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ПараметрыСеансаИС() 
```
</details>

## ПрочитатьПараметрыСеансаИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПрочитатьПараметрыСеансаИС(ПараметрыСеансаИС) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПСлужебный.ПрочитатьПараметрыСеансаИС(ПараметрыСеансаИС) 
```
</details>

## СтроковоеПредставлениеПустогоУникальногоИдентификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтроковоеПредставлениеПустогоУникальногоИдентификатора() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.СтроковоеПредставлениеПустогоУникальногоИдентификатора() 
```
</details>

## ИндексКартинкиПоВидуУпаковкиИВидуПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИндексКартинкиПоВидуУпаковкиИВидуПродукции(ВидУпаковки, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.ИндексКартинкиПоВидуУпаковкиИВидуПродукции(ВидУпаковки, ВидПродукции) 
```
</details>

## КоличествоКодовВСообщенииАгрегация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоКодовВСообщенииАгрегация() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.КоличествоКодовВСообщенииАгрегация() 
```
</details>

## КоличествоКодовВСообщенииПодтверждениеПоступленияКИЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоКодовВСообщенииПодтверждениеПоступленияКИЗ() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.КоличествоКодовВСообщенииПодтверждениеПоступленияКИЗ() 
```
</details>

## КоличествоКодовВСообщенииВводВОборот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоКодовВСообщенииВводВОборот(ЭтоМаркировкаОстатков = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.КоличествоКодовВСообщенииВводВОборот(ЭтоМаркировкаОстатков);
```
</details>

## КоличествоКодовВСообщенииАТК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоКодовВСообщенииАТК() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебный.КоличествоКодовВСообщенииАТК() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
