---
title: Интеграция ИСМП служебный клиент сервер
slug: erp-uh/интеграция-исмп-служебный-клиент-сервер
---


## ПараметрыОбработкиДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует структуру передачи данных
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Ссылка - ОпределяемыйТип.ДокументыИСМП, СправочникСсылка.СтанцииУправленияЗаказамиИСМП - Передаваемый документ
// * Организация - ОпределяемыйТип.Организация - Организация
// * ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюИСМП - Дальнейшее действие
Функция ПараметрыОбработкиДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ПараметрыОбработкиДокументов() 
```
</details>

## ПараметрыОбновленияСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров обновления статуса.
//
// Параметры:
//  ПараметрыОбновленияСтатуса - Неопределено - Параметры обновления статуса
//
// Возвращаемое значение:
//  Структура, Неопределено - Параметры обновления статуса:
// * Статус - ПеречислениеСсылка
// * СтатусОбработки - ПеречислениеСсылка
// * ОперацияКвитанции - ПеречислениеСсылка
// * ПротоколОбмена - СправочникСсылка.ИСМППрисоединенныеФайлы
// * ПараметрыЗапроса - Структура
Функция ПараметрыОбновленияСтатуса(ПараметрыОбновленияСтатуса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ПараметрыОбновленияСтатуса(ПараметрыОбновленияСтатуса);
```
</details>

## ЗначениеСвойстваКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение свойства переданного констекста
//
// Параметры:
// 	Контекст - ФормаКлиентскогоПриложения - Передаваемый контекст.
// 	ИмяСвойства - Строка - Имя свойства контекста
// Возвращаемое значение:
// 	Произвольный, Неопределено - Значение свойства контекста.
Функция ЗначениеСвойстваКонтекста(Контекст, ИмяСвойства) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ЗначениеСвойстваКонтекста(Контекст, ИмяСвойства) 
```
</details>

## НачалоGTINМаркировкиОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начало GTIN для маркировки остатков.
//
// Возвращаемое значение:
// 	Строка - Определеное в ИСМП значение.
Функция НачалоGTINМаркировкиОстатков() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.НачалоGTINМаркировкиОстатков() 
```
</details>

## ВидУпаковкиПоШаблонуКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает шаблона кода маркировки в вид упаковки
//
// Параметры:
// 	Шаблон - ПеречислениеСсылка.ШаблоныКодовМаркировкиСУЗ - Шаблон кода маркировки.
// Возвращаемое значение:
// 	ПеречислениеСсылка.ВидыУпаковокИС - Вид упаковки.
Функция ВидУпаковкиПоШаблонуКодаМаркировки(Шаблон) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ВидУпаковкиПоШаблонуКодаМаркировки(Шаблон) 
```
</details>

## ШаблонКодаМаркировкиПоВидуУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает вид упаковки в шаблон кода маркировки по виду продукции
//
// Параметры:
// 	ВидУпаковки  - ПеречислениеСсылка.ВидыУпаковокИС  - Вид упаковки.
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции.
// Возвращаемое значение:
// 	ПеречислениеСсылка.ШаблоныКодовМаркировкиСУЗ - Шаблон кода маркировки.
Функция ШаблонКодаМаркировкиПоВидуУпаковки(ВидУпаковки, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ШаблонКодаМаркировкиПоВидуУпаковки(ВидУпаковки, ВидПродукции) 
```
</details>

## ОперацииВыводаИзОборотаПоВидуПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список возможных операций вывода из оборота по виду продукции
//
// Параметры:
// 	ВидПродукции        - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции.
// 	ОбъемноСортовойУчет - Булево                             - Признак объемно-сортового учета.
// 	ВключатьУстаревшие  - Булево                             - Признак включения устаревших причин для поддержки синонимов ранее созданных документов.
// Возвращаемое значение:
// 	СписокЗначений Из ПеречислениеСсылка.ВидыОперацийИСМП - Список операций с представлениями.
Функция ОперацииВыводаИзОборотаПоВидуПродукции(ВидПродукции, ОбъемноСортовойУчет = Неопределено, ВключатьУстаревшие = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ОперацииВыводаИзОборотаПоВидуПродукции(ВидПродукции, ОбъемноСортовойУчет, ВключатьУстаревшие);
```
</details>

## ОперацииВозвратаВОборотПоВидуПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список возможных операций возврата в оборот по виду продукции
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - ВидПродукции
// Возвращаемое значение:
// 	СписокЗначений Из ПеречислениеСсылка.ВидыОперацийИСМП - Список операций с представлениями.
Функция ОперацииВозвратаВОборотПоВидуПродукции(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ОперацииВозвратаВОборотПоВидуПродукции(ВидПродукции) 
```
</details>

## ОперацииМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОперацииМаркировки(Операция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ОперацииМаркировки(Операция) 
```
</details>

## МаксимальноеКоличествоЗаписейВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксимальноеКоличествоЗаписейВТабличнойЧасти() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.МаксимальноеКоличествоЗаписейВТабличнойЧасти() 
```
</details>

## ЭтоПриемкаИзСтранЕАЭС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПриемкаИзСтранЕАЭС(Операция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ЭтоПриемкаИзСтранЕАЭС(Операция) 
```
</details>

## ДоступнаДатаПроизводстваПриПриемкеОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоступнаДатаПроизводстваПриПриемкеОтгрузке(Операция, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ДоступнаДатаПроизводстваПриПриемкеОтгрузке(Операция, ВидПродукции) 
```
</details>

## ТребуетсяУказаниеДатыПроизводстваПриПриемкеОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТребуетсяУказаниеДатыПроизводстваПриПриемкеОтгрузке(Операция, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ТребуетсяУказаниеДатыПроизводстваПриПриемкеОтгрузке(Операция, ВидПродукции) 
```
</details>

## ДоступенСрокГодностиПриПриемкеОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоступенСрокГодностиПриПриемкеОтгрузке(Операция, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ДоступенСрокГодностиПриПриемкеОтгрузке(Операция, ВидПродукции) 
```
</details>

## ТребуетсяУказаниеСрокаГодностиПриПриемкеОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТребуетсяУказаниеСрокаГодностиПриПриемкеОтгрузке(Операция, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ТребуетсяУказаниеСрокаГодностиПриПриемкеОтгрузке(Операция, ВидПродукции) 
```
</details>

## ДоступнаПодакцизнаяПродукцияПриПриемкеОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоступнаПодакцизнаяПродукцияПриПриемкеОтгрузке(Операция, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПСлужебныйКлиентСервер.ДоступнаПодакцизнаяПродукцияПриПриемкеОтгрузке(Операция, ВидПродукции) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
