---
title: Интеграция ИСМП УТ
slug: erp-uh/интеграция-исмп-ут
---


## ОпределитьИспользованиеАктовОРасхожденииПослеПриемки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьИспользованиеАктовОРасхожденииПослеПриемки(Документ, Используются) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОпределитьИспользованиеАктовОРасхожденииПослеПриемки(Документ, Используются) 
```
</details>

## ОпределитьСкладДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьСкладДокументаОснования(Склад, ДокументОснование) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОпределитьСкладДокументаОснования(Склад, ДокументОснование) 
```
</details>

## ОтразитьРезультатыСканированияВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отражает результаты проверки и подбора в документе, из которого была вызвана соответствующая форма.
//
// Параметры:
// 	ПараметрыОкончанияПроверки - Структура - (См. ПроверкаИПодборИСМП.ЗафиксироватьРезультатПроверкиИПодбора)
Процедура ОтразитьРезультатыСканированияВДокументе(ПараметрыОкончанияПроверки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОтразитьРезультатыСканированияВДокументе(ПараметрыОкончанияПроверки) 
```
</details>

## ОтразитьРезультатыСверкиКодовМаркировкиТОРГ2ВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отражает результаты проверки и подбора в документе, из которого была вызвана соответствующая форма.
//
// Параметры:
// 	ПараметрыОкончанияПроверки - Структура - (См. ПроверкаИПодборИСМП.ЗафиксироватьРезультатПроверкиИПодбора)
Процедура ОтразитьРезультатыСверкиКодовМаркировкиТОРГ2ВДокументе(ПараметрыОкончанияПроверки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОтразитьРезультатыСверкиКодовМаркировкиТОРГ2ВДокументе(ПараметрыОкончанияПроверки) 
```
</details>

## ОпределитьДокументОснованиеСверкиКодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьДокументОснованиеСверкиКодов(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ОпределитьДокументОснованиеСверкиКодов(ДокументСсылка) 
```
</details>

## ПриОпределенииТаблицыПродукцииПринятойБезРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет товары, принятые без расхождений при загрузке формы результатов сверки по кодам маркировки.
//
// Параметры:
//  ДокументОснование - ДокументСсылка - документ основание, с которым производится сверка кодов из входящего электронного документа.
//  НоменклатураПоДаннымЭДО - Массив - массив из ОпределяемыйТип.Номенклатура, полученный из входящего электронного документа.
//  ВидыМаркируемойПродукции - Массив, ПеречислениеСсылка.ВидыПродукцииИС - виды продукции
//
// Возвращаемое значение:
//  ТаблицаЗначений - колонки:
//  * Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура.
//
Функция ПриОпределенииТаблицыПродукцииПринятойБезРасхождений(ДокументОснование, НоменклатураПоДаннымЭДО, ВидыМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПриОпределенииТаблицыПродукцииПринятойБезРасхождений(ДокументОснование, НоменклатураПоДаннымЭДО, ВидыМаркируемойПродукции) 
```
</details>

## ПриЗаполненииЗначенияШтрихкодовПродукцииПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет в переданной таблице данные из документа по значениям штрихкодов в разрезе продукции.
// Используется для получения данных по документу, содержащему расхождения кодов маркировки (акты о расхождениях).
//
// Параметры:
// ДокументСсылка - ДокументСсылка - ссылка на документ.
// ТаблицаТоваровЗначенийШтрихкодов - См. СверкаКодовМаркировкиИСМП.ИнициализироватьТаблицуТоваровЗначенийШтрихкодов.
//
Процедура ПриЗаполненииЗначенияШтрихкодовПродукцииПоДокументу(ДокументСсылка, ТаблицаТоваровЗначенийШтрихкодов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ПриЗаполненииЗначенияШтрихкодовПродукцииПоДокументу(ДокументСсылка, ТаблицаТоваровЗначенийШтрихкодов) 
```
</details>

## ВидыПродукцииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает виды маркируемой продукции по товарам, содержащимся в документе
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, виды маркируемой продукции которого необходимо получить.
//
// Возвращаемое значение:
//   Массив - Массив видов продукции.
Функция ВидыПродукцииДокумента(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ВидыПродукцииДокумента(ДокументСсылка) 
```
</details>

## ЗаполнитьМаркируемуюПродукциюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет переданную таблицу товарами переданного документа с указанием вида продукции.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, маркируемую продукцию которого необходимо получить.
//  ТаблицаМаркируемойПродукции - ТаблицаЗначений - таблица маркируемой продукции документа. (См. ПроверкаИПодборПродукцииИСМП.ТаблицаМаркируемойПродукцииДокумента())
//
Процедура ЗаполнитьМаркируемуюПродукциюДокумента(ДокументСсылка, ТаблицаМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЗаполнитьМаркируемуюПродукциюДокумента(ДокументСсылка, ТаблицаМаркируемойПродукции) 
```
</details>

## СформированныйАктОРасхождениях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает сформированный ранее Акт о расхождениях для переданного документа.
//
//Параметры:
//   ДокументОснование - ДокументСсылка - ссылка на документ, для которого необходимо получить Акт о расхождениях.
//
//Возвращаемое значение:
//   ДокументСсылка.АктОРасхожденияхПослеПриемки, Неопределено - Акт о расхождениях (если он есть).
//
Функция СформированныйАктОРасхождениях(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.СформированныйАктОРасхождениях(ДокументОснование) 
```
</details>

## СформироватьТаблицуМаркированныхТоваровОснований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу маркированный товаров по выбранным документам. Требуется обеспечить формирование временной таблицы
//   "МаркированныеТоварыОснований" с колонками по порядку:
//   ДокументОснование,Номенклатура,Характеристика,Шаблон,СпособВводаВОборот,Количество.
// Текст запроса уже содержит выбираемые данные во временную таблицу "ТоварыПредварительно",
// поэтому должен начинаться с конструкции: ОБЪЕДИНИТЬ ВСЕ и для присоединения к существующему тексту запроса.
// Параметры:
//  Запрос - Запрос - запрос, в котором требуется сформировать временную таблицу.
//  ИсточникОснований - Строка - Имя временной таблицы с колонкой "ДокументОснование".
Процедура СформироватьТаблицуМаркированныхТоваровОснований(Запрос, ИсточникОснований) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.СформироватьТаблицуМаркированныхТоваровОснований(Запрос, ИсточникОснований) 
```
</details>

## ТаблицаТоварыДляЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Таблица товары для ЭДО.
//
// Параметры:
//  ИсходнаяТаблица - ТаблицаЗначений - Исходная таблица
//  ИмяКолонкиКоличество - Строка - Имя колонки с учетным количеством
//
// Возвращаемое значение:
//  ТаблицаЗначений - См. ЭлектронноеВзаимодействиеИСМП.ЧастичноеСодержимоеИКодыОСУ.ТаблицаТоваров
Функция ТаблицаТоварыДляЭДО(ИсходнаяТаблица, ИмяКолонкиКоличество) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ТаблицаТоварыДляЭДО(ИсходнаяТаблица, ИмяКолонкиКоличество) 
```
</details>

## СформироватьТаблицуМаркируемойПродукцииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Заполняет переданную таблицу данные из ТЧ документа.
//
// Параметры:
//   Документ - ДокументСсылка - Документ из ТЧ которого будет происходить заполнение.
//   ТаблицаПродукции - ТаблицаЗначений - Таблица для заполнения данными из документа.
//   ВидыМаркируемойПродукции - ПеречислениеСсылка.ВидыПродукцииИС, Массив Из ПеречислениеСсылка.ВидыПродукцииИС -
//     вид(ы) маркируемой продукции, которым(и) необходимо заполнить таблицу.
//   КакДокументаОснования - Булево - в случае использования документа как документа-основания
//
Процедура СформироватьТаблицуМаркируемойПродукцииДокумента(Документ, ТаблицаПродукции, ВидыМаркируемойПродукции, КакДокументаОснования = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.СформироватьТаблицуМаркируемойПродукцииДокумента(Документ, ТаблицаПродукции, ВидыМаркируемойПродукции, КакДокументаОснования);
```
</details>

## УстановитьУсловиеПоВидуМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в тексте запроса условие отбора по маркируемой продукции требуемого вида.
// Текст запроса должен содержать строку вида "&УсловиеМаркируемаяПродукция" в условии соединения или условии отбора
// и таблицу с синонимом "СправочникНоменклатура", которой как правило является таблица справочника "Номенклатура".
// Параметры:
//   ТекстЗапроса - Строка - строка с текстом запроса, удовлетворяющая приведенным выше условиям.
//   ВидМаркируемойПродукции - ПеречислениеСсылка.ВидыПродукцииИС, Массив Из ПеречислениеСсылка.ВидыПродукцииИС -
//     вид или виды маркируемой продукции, условие отбора по которым необходимо установить.
//   ПутьКПолюНоменклатура - Строка - имя таблицы или поля запроса, содержащее номенклатуру
//   ЗаменяемыйПараметр - Строка - подстрока (параметр) в тексте запроса, которая будет заменена сформированным условием
//
Процедура УстановитьУсловиеПоВидуМаркируемойПродукции(ТекстЗапроса, Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.УстановитьУсловиеПоВидуМаркируемойПродукции(ТекстЗапроса, );
```
</details>

## УстановитьУсловиеПоНефасованнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьУсловиеПоНефасованнойПродукции(ТекстЗапроса, ИмяТаблицыТовары = "Товары", КакДокументаОснования = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.УстановитьУсловиеПоНефасованнойПродукции(ТекстЗапроса, ИмяТаблицыТовары, КакДокументаОснования);
```
</details>

## ДополнитьТекстЗапросаСвязанныхДокументовОснований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет текст запроса для выбора связанных оснований
// Использутеся для определения связанных документов оснований, например:
// 	Формируем заказ поставщику, на основании Заказа на эмиссию, заказываем коды.
// 	На основании заказа поставщику вводим документ Приобритение товара.
// 	На основании Приобритения товара вводим документ Маркировка товаров и печатем новый код маркировки.
// 	Так как основания у документов Заказ на эмиссию и Маркировка товаров разные, - то определение связи между документами
// 	Заказ поставщику и Приобритение.
//
// 	Запрос содержит:
// - Установленный параметр Документ - исходныйй документ
// - Временную таблицу ДокументыОснования - исходный документ основания
// - Временную таблицу ОснованияДляПоискаСвязи - Выбранные документы оснований из исходного документа.
// 	Результат должен содержать одно поле создаваемой временной таблицы СвязанныеОснования,
//	значение которого присутсвует в определяемом типе ОснованиеЗаказНаЭмиссиюКодовМаркировкиИСМП
//
// Параметры:
// 	ТекстЗапроса - Строка - Текст запроса.
// 	СтандартнаяОбработка - Булево - Призна включения переопределения.
Процедура ДополнитьТекстЗапросаСвязанныхДокументовОснований(ТекстЗапроса, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ДополнитьТекстЗапросаСвязанныхДокументовОснований(ТекстЗапроса, СтандартнаяОбработка) 
```
</details>

## ТекстНадписиПоляРасхожденияПоРезультатамСверкиКодовМаркировкиИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстНадписиПоляРасхожденияПоРезультатамСверкиКодовМаркировкиИСМП(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ТекстНадписиПоляРасхожденияПоРезультатамСверкиКодовМаркировкиИСМП(ДокументСсылка) 
```
</details>

## ПриОпределенииНеобходимостиОбработкиКодовМаркировкиВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает истина, если в табличной части расхождений вариант действий не заполнен (реквизит табличной части "Признан").
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - документ объект, в котором необходимо проверить обработку пользователем варинатов действий по расхождениям.
//  ИмяТабличнойЧастиШтрихкодыУпаковокРасхождения - Строка - имя табличной части, содержащей данные о расхождениях по кодам маркировки.
//
// Возвращаемое значение:
//  Булево - Истина, если колонка "Признан" в табличной части расхождений не заполнена.
//
Функция ПриОпределенииНеобходимостиОбработкиКодовМаркировкиВДокументе(ДокументОбъект, ИмяТабличнойЧастиШтрихкодыУпаковокРасхождения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПриОпределенииНеобходимостиОбработкиКодовМаркировкиВДокументе(ДокументОбъект, ИмяТабличнойЧастиШтрихкодыУпаковокРасхождения) 
```
</details>

## ПриОпределенииСпискаОрганизацийНедоступныхДляВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Требуется определить массив ссылок организаций, исключаемых из отображаемого списка в общей форме "ФормаВыбораСпискаОрганизацийИСМП".
//
// Параметры:
//  СписокОрганизаций - Массив из ОпределяемыйТип.Организация - переопределяемый параметр, массив организаций, исключаемых из списка отбора.
Процедура ПриОпределенииСпискаОрганизацийНедоступныхДляВыбора(СписокОрганизаций) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ПриОпределенииСпискаОрганизацийНедоступныхДляВыбора(СписокОрганизаций) 
```
</details>

## ПараметрыУказанияСерийОтгрузкаТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыУказанияСерийОтгрузкаТоваровИСМП(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПараметрыУказанияСерийОтгрузкаТоваровИСМП(Объект) 
```
</details>

## ПараметрыУказанияСерийПриемкаТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыУказанияСерийПриемкаТоваровИСМП(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПараметрыУказанияСерийПриемкаТоваровИСМП(Объект) 
```
</details>

## ПараметрыУказанияСерийВыводИзОборотаИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыУказанияСерийВыводИзОборотаИСМП(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПараметрыУказанияСерийВыводИзОборотаИСМП(Объект) 
```
</details>

## ПараметрыУказанияСерийВозвратВОборотИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыУказанияСерийВозвратВОборотИСМП(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПараметрыУказанияСерийВозвратВОборотИСМП(Объект) 
```
</details>

## ПараметрыУказанияСерийСписаниеКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыУказанияСерийСписаниеКодовМаркировки(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПараметрыУказанияСерийСписаниеКодовМаркировки(Объект) 
```
</details>

## ПараметрыУказанияСерийУточнениеСведенийОКодахМаркировкиИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыУказанияСерийУточнениеСведенийОКодахМаркировкиИСМП(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПараметрыУказанияСерийУточнениеСведенийОКодахМаркировкиИСМП(Объект) 
```
</details>

## СгенерироватьСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СгенерироватьСерии(ДанныеДляГенерации, ВидМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.СгенерироватьСерии(ДанныеДляГенерации, ВидМаркируемойПродукции) 
```
</details>

## ПараметрыУказанияСерийВиртуальнаяАгрегацияУпаковокИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыУказанияСерийВиртуальнаяАгрегацияУпаковокИСМП(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПараметрыУказанияСерийВиртуальнаяАгрегацияУпаковокИСМП(Объект) 
```
</details>

## ДополнитьПараметрыУказанияСерийПроверкаИПодборПродукцииИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьПараметрыУказанияСерийПроверкаИПодборПродукцииИСМП(ПараметрыУказанияСерий, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ДополнитьПараметрыУказанияСерийПроверкаИПодборПродукцииИСМП(ПараметрыУказанияСерий, Форма) 
```
</details>

## ДополнитьПараметрыУказанияСерийПроизводстваПроверкаИПодборПродукцииИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьПараметрыУказанияСерийПроизводстваПроверкаИПодборПродукцииИСМП(СтруктураПараметрыУказанияСерий, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ДополнитьПараметрыУказанияСерийПроизводстваПроверкаИПодборПродукцииИСМП(СтруктураПараметрыУказанияСерий, Форма) 
```
</details>

## ПараметрыУказанияСерийМаркировкаТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыУказанияСерийМаркировкаТоваровИСМП(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПараметрыУказанияСерийМаркировкаТоваровИСМП(Объект) 
```
</details>

## ТекстЗапросаЗаполненияСтатусовУказанияСерийПроверкаИПодборПродукцииИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для расчета статусов указания серий в обработках проверки и подбора товаров
//
//Параметры:
//   ПараметрыУказанияСерий - Структура - (См. НоменклатураКлиентСервер.ПараметрыУказанияСерий).
//
//Возвращаемое значение:
//   Строка - сформированный текст запроса.
//
Функция ТекстЗапросаЗаполненияСтатусовУказанияСерийПроверкаИПодборПродукцииИСМП(ПараметрыУказанияСерий) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ТекстЗапросаЗаполненияСтатусовУказанияСерийПроверкаИПодборПродукцииИСМП(ПараметрыУказанияСерий) 
```
</details>

## ТекстЗапросаЗаполненияСтатусовУказанияСерийБезАнализаСклада
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаЗаполненияСтатусовУказанияСерийБезАнализаСклада(ПараметрыУказанияСерий) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ТекстЗапросаЗаполненияСтатусовУказанияСерийБезАнализаСклада(ПараметрыУказанияСерий) 
```
</details>

## ЗаполнитьПроизводствоБезЗаказаНаОснованииМаркировкиТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

Процедура ЗаполнитьПроизводствоБезЗаказаНаОснованииМаркировкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЗаполнитьПроизводствоБезЗаказаНаОснованииМаркировкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения) 
```
</details>

## ЗаполнитьПрочееОприходованиеТоваровНаОснованииМаркировкиТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//-- НЕ УТ

Процедура ЗаполнитьПрочееОприходованиеТоваровНаОснованииМаркировкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЗаполнитьПрочееОприходованиеТоваровНаОснованииМаркировкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения) 
```
</details>

## ЗаполнитьСборкуТоваровНаОснованииМаркировкиТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСборкуТоваровНаОснованииМаркировкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЗаполнитьСборкуТоваровНаОснованииМаркировкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения) 
```
</details>

## ЗаполнитьСборкуТоваровНаОснованииВыводаИзОборотаИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСборкуТоваровНаОснованииВыводаИзОборотаИСМП(ДокументОбъект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЗаполнитьСборкуТоваровНаОснованииВыводаИзОборотаИСМП(ДокументОбъект, ДанныеЗаполнения) 
```
</details>

## ЗаполнитьСписаниеНедостачТоваровНаОснованииВыводаИзОборотаИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСписаниеНедостачТоваровНаОснованииВыводаИзОборотаИСМП(ДокументОбъект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЗаполнитьСписаниеНедостачТоваровНаОснованииВыводаИзОборотаИСМП(ДокументОбъект, ДанныеЗаполнения) 
```
</details>

## ЗаполнитьВнутреннееПотреблениеНаОснованииВыводаИзОборотаИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьВнутреннееПотреблениеНаОснованииВыводаИзОборотаИСМП(ДокументОбъект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЗаполнитьВнутреннееПотреблениеНаОснованииВыводаИзОборотаИСМП(ДокументОбъект, ДанныеЗаполнения) 
```
</details>

## ЗаполнитьПриобретениеТоваровУслугНаОснованииПриемкиТовароИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПриобретениеТоваровУслугНаОснованииПриемкиТовароИСМП(ДокументОбъект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЗаполнитьПриобретениеТоваровУслугНаОснованииПриемкиТовароИСМП(ДокументОбъект, ДанныеЗаполнения) 
```
</details>

## ЗаполнитьВозвратТоваровОтКлиентаНаОснованииПриемкиТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьВозвратТоваровОтКлиентаНаОснованииПриемкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЗаполнитьВозвратТоваровОтКлиентаНаОснованииПриемкиТоваровИСМП(ДокументОбъект, ДанныеЗаполнения) 
```
</details>

## ОбработкаЗаполненияДокументаВыводИзОборотаИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияДокументаВыводИзОборотаИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОбработкаЗаполненияДокументаВыводИзОборотаИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаЗаполненияДокументаЗаказНаЭмиссиюКодовМаркировкиСУЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияДокументаЗаказНаЭмиссиюКодовМаркировкиСУЗ(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОбработкаЗаполненияДокументаЗаказНаЭмиссиюКодовМаркировкиСУЗ(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаЗаполненияДокументаМаркировкаТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияДокументаМаркировкаТоваровИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОбработкаЗаполненияДокументаМаркировкаТоваровИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаЗаполненияДокументаВозвратВОборотИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияДокументаВозвратВОборотИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОбработкаЗаполненияДокументаВозвратВОборотИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаЗаполненияДокументаПеремаркировкаТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияДокументаПеремаркировкаТоваровИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОбработкаЗаполненияДокументаПеремаркировкаТоваровИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаЗаполненияДокументаОтгрузкаТоваровИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияДокументаОтгрузкаТоваровИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОбработкаЗаполненияДокументаОтгрузкаТоваровИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаЗаполненияДокументаСписаниеКодовМаркировкиИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияДокументаСписаниеКодовМаркировкиИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОбработкаЗаполненияДокументаСписаниеКодовМаркировкиИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаЗаполненияДокументаУточнениеСведенийОКодахМаркировкиИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияДокументаУточнениеСведенийОКодахМаркировкиИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ОбработкаЗаполненияДокументаУточнениеСведенийОКодахМаркировкиИСМП(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ЯвляетсяОснованиемДляМаркировкиОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЯвляетсяОснованиемДляМаркировкиОстатков(СсылкаНаДокумент, ЯвляетсяОснованием) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЯвляетсяОснованиемДляМаркировкиОстатков(СсылкаНаДокумент, ЯвляетсяОснованием) 
```
</details>

## ТипРасхожденияИСМПБрак
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипРасхожденияИСМПБрак() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ТипРасхожденияИСМПБрак() 
```
</details>

## ТипРасхожденияИСМПИзлишек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипРасхожденияИСМПИзлишек() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ТипРасхожденияИСМПИзлишек() 
```
</details>

## ТипРасхожденияИСМПНедостача
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипРасхожденияИСМПНедостача() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ТипРасхожденияИСМПНедостача() 
```
</details>

## ЗаполнитьКолонкуРасхожденияПоКодамМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные по расхождениям кодов маркировки в переданной коллекции.
//
// Параметры:
//  Товары - ДанныеФормыКоллекция, ТаблицаЗначений - Таблица, в которой необходимо заполнить реквизиты. Обязательные колонки:
//    * Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура
//    * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика номенклатуры
//    * ИмяКолонкиЗаполнения - ФорматированнаяСтрока - колонка для заполнения данных о расхождениях. Имя определяется в 3м параметре процедуры.
//  ДанныеПоРасхождениям - ДанныеФормыКоллекция, ТаблицаЗначений - Таблица, содержащая данные по расхождениям.
//    * Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура.
//    * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика номенклатуры.
//    * ТипРасхождения - ОпределяемыйТип.ТипРасхожденияИСМП - тип расхождения кодов маркировки.
//    * Количество - Число - количество единиц.
//    * Признан - ОпределяемыйТип.ВариантДействийПоРасхождениямКодовМаркировкиИСМП - Обязательная колонка, если 4й параметр Истина. Вариант действия для строки расхождения.
//  ИмяКолонкиЗаполнения - Строка - Имя колонки для заполнения данных о расхождениях.
//  ДоступноСогласованиеРасхождений  -Булево - Истина, если заполняются данные в документе, загруженном по  данным ЭДО ТОРГ-2.
//
Процедура ЗаполнитьКолонкуРасхожденияПоКодамМаркировки(Товары, ДанныеПоРасхождениям, Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСМПУТ.ЗаполнитьКолонкуРасхожденияПоКодамМаркировки(Товары, ДанныеПоРасхождениям, );
```
</details>

## ОсобенностиУчетаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив особенностей учета номенклатуры подсистемы
//
// Возвращаемое значение:
//   Массив из ПеречислениеСсылка.ОсобенностиУчетаНоменклатуры
Функция ОсобенностиУчетаНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ОсобенностиУчетаНоменклатуры() 
```
</details>

## ПриОпределенииСопоставленногоКлассификатораТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ищет по коду элементы в справочнике Классификатор ТН ВЭД.
// Если их нет, то создает элементы справочника в соответствии с классификатором ТН ВЭД ЕАЭС.
// Если кода нет в классификаторе, то создает элемент справочника по данным ГИС МТ.
//
// Параметры:
//  Код - Строка - Строка с кодом классификатора ТН ВЭД.
//  Наименование - Строка - Наименование элемента классификатора ТН ВЭД по данным ГИС МТ.
//
// Возвращаемое значение:
//  СправочникСсылка.КлассификаторТНВЭД - ссылка на элемент классификатора или Неопределено,
//                                        если не удалось определить единицу измерения для нового элемента.
Функция ПриОпределенииСопоставленногоКлассификатораТНВЭД(КодТНВЭД, Наименование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСМПУТ.ПриОпределенииСопоставленногоКлассификатораТНВЭД(КодТНВЭД, Наименование) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
