---
title: Интеграция ИС УТ
slug: erp-uh/интеграция-ис-ут
---


## ВидыПродукцииВТоварах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращяет список типа Перечисления.ВидыПродукцииИС содержащийся в ТЧ.
//
// Параметры:
// 	Товары - ДанныеФормыКоллекция - ТЧ формы документа.
// Возвращаемое значение:
// 	СписокЗначений - список типа Перечисления.ВидыПродукцииИС содержащийся в ТЧ.
Функция ВидыПродукцииВТоварах(Товары) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСУТ.ВидыПродукцииВТоварах(Товары) 
```
</details>

## ПроверитьЗаполнениеАкцизныхМарокПоСсылкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Проверяет соответствие количества маркируемой продукции из ТЧ Товары к количеству акцизных марок ТЧ АкцизныеМарки
//
//Параметры:
//   Источники - ДокументСсылка, Массив Из ДокументСсылка - объекты для проверки (ссылка или ссылки одного типа).
//   Отказ  - Булево - Отказ из вызывающего метода.
//   НаДату - Дата - дата для определения обязательности маркировки.
//          - Неопределено - на текущую дату сеанса.
//   СообщатьОбОшибках - Булево - Сообщать об ошибках.
Процедура ПроверитьЗаполнениеАкцизныхМарокПоСсылкам(Источники, Отказ, НаДату = Неопределено, СообщатьОбОшибках = Истина) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТ.ПроверитьЗаполнениеАкцизныхМарокПоСсылкам(Источники, Отказ, НаДату, СообщатьОбОшибках);
```
</details>

## ПроверитьЗаполнениеАкцизныхМарок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Проверяет соответствие количества маркируемой продукции из ТЧ Товары к количеству акцизных марок ТЧ АкцизныеМарки
//
//Параметры:
//   Объект - ДокументОбъект - форма документа для проверки.
//   Отказ  - Булево - Отказ из вызывающего метода.
//   НаДату - Дата - дата для определения обязательности маркировки.
//          - Неопределено - на текущую дату сеанса.
//   РеквизитыОбъекта  - Неопределено - в этом случае используются значения по-умолчанию
//					   - Структура:
//     *ИмяТаблицыТовары - Строка - (необязательный) имя табличной части объекта с товарным составом
//     *ИмяПоляТовары - Строка - (необязательный) имя поля номенклатуры в табличной части
//	   *ИмяПараметраУказанияСерий - Строка - необязательный ключ
//   СообщатьОбОшибках - Булево - Сообщать об ошибках.
Процедура ПроверитьЗаполнениеАкцизныхМарок(Объект, Отказ, НаДату = Неопределено, РеквизитыОбъекта = Неопределено, СообщатьОбОшибках = Истина) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТ.ПроверитьЗаполнениеАкцизныхМарок(Объект, Отказ, НаДату, РеквизитыОбъекта, СообщатьОбОшибках);
```
</details>

## ШтрихкодыУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШтрихкодыУпаковок(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСУТ.ШтрихкодыУпаковок(Источник) 
```
</details>

## ТипизироватьКолонкиМаркированныхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Типизируем колонки таблицы МаркированныеТовары для передачи в запрос
// и добавляем колонку НомерСтроки.
Процедура ТипизироватьКолонкиМаркированныхТоваров(ТаблицаМаркированныхТоваров) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТ.ТипизироватьКолонкиМаркированныхТоваров(ТаблицаМаркированныхТоваров) 
```
</details>

## СписокИспользуемыхПодсистем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив используемых подсистем
//
// Параметры:
//  ДобавитьОписание - Булево - Добавить дополнительное описание
//
// Возвращаемое значение:
//  Массив из Строка - Массив из представлений подсистем "ЕГАИС", "ГИСМ" и т.д.
Функция СписокИспользуемыхПодсистем(ДобавитьОписание = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСУТ.СписокИспользуемыхПодсистем(ДобавитьОписание);
```
</details>

## ОсобенностиУчетаНоменклатурыБезПодсистем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив особенностей учета номенклатуры, не относящихся ни к одной из подсистем
//
// Возвращаемое значение:
//   Массив из ПеречислениеСсылка.ОсобенностиУчетаНоменклатуры
Функция ОсобенностиУчетаНоменклатурыБезПодсистем() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСУТ.ОсобенностиУчетаНоменклатурыБезПодсистем() 
```
</details>

## ИспользуютсяПодсистемыГОСИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того, используется ли хотя бы одна из подсистем ГосИС
//
// Возвращаемое значение:
//   Булево
Функция ИспользуютсяПодсистемыГОСИС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСУТ.ИспользуютсяПодсистемыГОСИС() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
