---
title: Интеграция ИС УТ клиент сервер
slug: erp-uh/интеграция-ис-ут-клиент-сервер
---


## ЭтоДокументПоНаименованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Определяет соответствие переданного документа проверяемому типу.
//
// Параметры:
//  Контекст - ФормаКлиентскогоПриложения, ДокументСсылка - Контекст для определения типа документа.
//  Имя      - Строка - имя объекта метаданного документа.
//
// Возвращаемое значение:
// 	Булево - это документ.
Функция ЭтоДокументПоНаименованию(Контекст, Имя) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСУТКлиентСервер.ЭтоДокументПоНаименованию(Контекст, Имя) 
```
</details>

## ОсобенностьУчетаПоВидуПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает значение особености учета номенклатуры по переданному виду продукции ИС
//или вид продукции ИС по переданной особенности учета номенклатуры
// Параметры:
//  ОсобенностьУчетаИлиВидПродукции - ПеречислениеСсылка.ОсобенностиУчетаНоменклатуры, ПеречислениеСсылка.ВидыПродукцииИС - особеннсоть учета номенклатуры или вид продукции ИС
// Возвращаемое значение:
//  ПеречислениеСсылка.ВидыПродукцииИС, ПеречислениеСсылка.ОсобенностиУчетаНоменклатуры - вид продукции ИС или особенность учета номенклатуры
//
Функция ОсобенностьУчетаПоВидуПродукции(ОсобенностьУчетаИлиВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияИСУТКлиентСервер.ОсобенностьУчетаПоВидуПродукции(ОсобенностьУчетаИлиВидПродукции) 
```
</details>

## КомандыАктПостановкиНаБалансЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Команды ввода выбора основания акта постановки на баланс ЕГАИС.
//
// Параметры:
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
Процедура КомандыАктПостановкиНаБалансЕГАИС(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТКлиентСервер.КомандыАктПостановкиНаБалансЕГАИС(Команды) 
```
</details>

## КомандыАктСписанияЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Команды ввода выбора основания акта списания ЕГАИС.
//
// Параметры:
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
Процедура КомандыАктСписанияЕГАИС(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТКлиентСервер.КомандыАктСписанияЕГАИС(Команды) 
```
</details>

## КомандыОтчетОПроизводствеЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Команды ввода выбора основания отчета о производстве ЕГАИС.
//
// Параметры:
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
Процедура КомандыОтчетОПроизводствеЕГАИС(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТКлиентСервер.КомандыОтчетОПроизводствеЕГАИС(Команды) 
```
</details>

## КомандыТТНИсходящаяЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Команды ввода выбора основания исходящей ТТН ЕГАИС.
//
// Параметры:
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
Процедура КомандыТТНИсходящаяЕГАИС(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТКлиентСервер.КомандыТТНИсходящаяЕГАИС(Команды) 
```
</details>

## КомандыТТНВходящаяЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Команды ввода выбора основания входящей ТТН ЕГАИС.
//
// Параметры:
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
Процедура КомандыТТНВходящаяЕГАИС(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТКлиентСервер.КомандыТТНВходящаяЕГАИС(Команды) 
```
</details>

## КомандыУведомлениеОПланируемомИмпортеЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Команды ввода выбора основания уведомления о планируемом импорте ЕГАИС.
//
// Параметры:
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
Процедура КомандыУведомлениеОПланируемомИмпортеЕГАИС(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТКлиентСервер.КомандыУведомлениеОПланируемомИмпортеЕГАИС(Команды) 
```
</details>

## КомандыЧекЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Команды ввода выбора основания чека ЕГАИС.
//
// Параметры:
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
Процедура КомандыЧекЕГАИС(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТКлиентСервер.КомандыЧекЕГАИС(Команды) 
```
</details>

## КомандыЧекЕГАИСВозврат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Команды ввода выбора основания чека на возврат ЕГАИС.
//
// Параметры:
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
Процедура КомандыЧекЕГАИСВозврат(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияИСУТКлиентСервер.КомандыЧекЕГАИСВозврат(Команды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
