---
title: Интеграция облачного ЭДО переопределяемый
slug: erp-uh/интеграция-облачного-эдо-переопределяемый
---


## ПриЗаполненииКлючевыхРеквизитовОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении ключевых реквизитов организаций.
//
// Параметры:
//  КлючевыеРеквизитыОрганизаций - ТаблицаЗначений:
//  * Организация - ОпределяемыйТип.Организация
//  * ИНН - Строка
//  * КПП - Строка
Процедура ПриЗаполненииКлючевыхРеквизитовОрганизаций(КлючевыеРеквизитыОрганизаций) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОблачногоЭДОПереопределяемый.ПриЗаполненииКлючевыхРеквизитовОрганизаций(КлючевыеРеквизитыОрганизаций) 
```
</details>

## ПриЗаполненииКлючевыхРеквизитовКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении ключевых реквизитов контрагентов.
//
// Параметры:
//  КлючевыеРеквизитыКонтрагентов - ТаблицаЗначений:
//  * Контрагент - ОпределяемыйТип.КонтрагентБЭД
//  * Наименование - Строка
//  * ИНН - Строка
//  * КПП - Строка
Процедура ПриЗаполненииКлючевыхРеквизитовКонтрагентов(КлючевыеРеквизитыКонтрагентов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОблачногоЭДОПереопределяемый.ПриЗаполненииКлючевыхРеквизитовКонтрагентов(КлючевыеРеквизитыКонтрагентов) 
```
</details>

## ПриЗаполненииКлючевыхРеквизитовДоговоров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении ключевых реквизитов договоров.
//
// Параметры:
//  КлючевыеРеквизитыДоговоров - ТаблицаЗначений:
//  * Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//  * Наименование - Строка
//  * Номер - Строка
//  * Дата - Дата
//  * Организация - ОпределяемыйТип.Организация
//  * Контрагент - ОпределяемыйТип.КонтрагентБЭД
Процедура ПриЗаполненииКлючевыхРеквизитовДоговоров(КлючевыеРеквизитыДоговоров) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОблачногоЭДОПереопределяемый.ПриЗаполненииКлючевыхРеквизитовДоговоров(КлючевыеРеквизитыДоговоров) 
```
</details>

## ПриЗаполненииОрганизацийПоКлючевымРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При заполнении организаций по ключевым реквизитам.
//
// Параметры:
//  КлючевыеРеквизитыОрганизаций - ТаблицаЗначений:
//  * Организация - ОпределяемыйТип.Организация
//  * ИНН - Строка
//  * КПП - Строка
Процедура ПриЗаполненииОрганизацийПоКлючевымРеквизитам(КлючевыеРеквизитыОрганизаций) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОблачногоЭДОПереопределяемый.ПриЗаполненииОрганизацийПоКлючевымРеквизитам(КлючевыеРеквизитыОрганизаций) 
```
</details>

## ПриЗаполненииКонтрагентовПоКлючевымРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При заполнении контрагентов по ключевым реквизитам.
//
// Параметры:
//  КлючевыеРеквизитыКонтрагентов - ТаблицаЗначений:
//  * Контрагент - ОпределяемыйТип.КонтрагентБЭД
//  * ИНН - Строка
//  * КПП - Строка
Процедура ПриЗаполненииКонтрагентовПоКлючевымРеквизитам(КлючевыеРеквизитыКонтрагентов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОблачногоЭДОПереопределяемый.ПриЗаполненииКонтрагентовПоКлючевымРеквизитам(КлючевыеРеквизитыКонтрагентов) 
```
</details>

## ПриЗаполненииДоговоровПоКлючевымРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При заполнении договоров по ключевым реквизитам.
//
// Параметры:
//  КлючевыеРеквизитыДоговоров - ТаблицаЗначений:
//  * Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//  * Наименование - Строка
//  * Номер - Строка
//  * Дата - Дата
//  * Организация - ОпределяемыйТип.Организация
//  * Контрагент - ОпределяемыйТип.КонтрагентБЭД
Процедура ПриЗаполненииДоговоровПоКлючевымРеквизитам(КлючевыеРеквизитыДоговоров) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОблачногоЭДОПереопределяемый.ПриЗаполненииДоговоровПоКлючевымРеквизитам(КлючевыеРеквизитыДоговоров) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
