---
title: Интеграция подсистем БПО клиент
slug: erp-uh/интеграция-подсистем-бпо-клиент
---


## ПриОпределенииПодписокНаСобытияБСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Обработка программных событий, возникающих в подсистемах БСП.

// Определяет события, на которые подписана эта библиотека.
//
// Параметры:
//  Подписки - Структура - Ключами свойств структуры являются имена событий, на которые
//           подписана эта библиотека.
//
Процедура ПриОпределенииПодписокНаСобытияБСП(Подписки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБПОКлиент.ПриОпределенииПодписокНаСобытияБСП(Подписки) 
```
</details>

## ПередНачаломРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция, вызываемая перед началом работы системы.
//
Процедура ПередНачаломРаботыСистемы() Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБПОКлиент.ПередНачаломРаботыСистемы() 
```
</details>

## ПриНачалеРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция, вызываемая при начале работы системы.
//
Процедура ПриНачалеРаботыСистемы() Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБПОКлиент.ПриНачалеРаботыСистемы() 
```
</details>

## ПередЗавершениемРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая при начале работы системы, выполняет подготовку данных механизма.
//
// Параметры:
//  Отказ - Булево
//  Предупреждения - Строка
//                 - Массив Из Структура
//
Процедура ПередЗавершениемРаботыСистемы(Отказ = Ложь, Предупреждения = "") Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБПОКлиент.ПередЗавершениемРаботыСистемы(Отказ, Предупреждения);
```
</details>

## ОбработкаВнешнегоСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку внешнего события, вызывается из глобального модуля
//
// Параметры:
//  Источник - Строка.
//  Событие - Строка.
//  Данные - Строка.
Процедура ОбработкаВнешнегоСобытия(Источник, Событие, Данные) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБПОКлиент.ОбработкаВнешнегоСобытия(Источник, Событие, Данные) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
