---
title: Интеграция с 1С документооборот УП
slug: erp-uh/интеграция-с-1с-документооборот-уп
---


## ЗаполнитьРеквизитыИзПотребителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ИнтеграцияС1СДокументооборотБазоваяФункциональностьПереопределяемый.ЗаполнитьРеквизитыИзПотребителя.
//
Процедура ЗаполнитьРеквизитыИзПотребителя(Прокси, ОбъектXDTO, СсылкаНаПотребитель) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотУП.ЗаполнитьРеквизитыИзПотребителя(Прокси, ОбъектXDTO, СсылкаНаПотребитель) 
```
</details>

## СоздатьПравилоИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает правило интеграции с 1С:Документооборотом.
//
// Параметры:
//   ТипОбъектаИС - Строка - тип объекта ИС.
//   ТипОбъектаДО - Строка - тип объекта Документооборота.
//   ВидДокумента - ОбъектXDTO - вид документа Документооборота.
//   Папка - ОбъектXDTO - папка документа Документооборота.
//
// Возвращаемое значение:
//   Структура:
//     * Ссылка - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом - правило.
//     * ТипОбъектаИС - Строка - тип объекта ИС.
//     * ТипОбъектаДО - Строка - тип объекта ДО.
//     * ПредставлениеОбъектаИС - Строка - представление объекта ИС.
//     * ПредставлениеОбъектаДО - Строка - представление объекта ДО.
//     * ИдентификаторВидаДокумента - Строка - идентификатор вида документа ДО.
//     * ТипВидаДокумента - Строка - тип вида документа ДО.
//
Функция СоздатьПравилоИнтеграции(ТипОбъектаИС, ТипОбъектаДО, ВидДокумента, Папка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотУП.СоздатьПравилоИнтеграции(ТипОбъектаИС, ТипОбъектаДО, ВидДокумента, Папка) 
```
</details>

## СостояниеСогласованияУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение реквизита, описывающего состояние согласования объекта УП, соответствующее
// переданному значению состояния согласования в 1С:Документооборот.
//
// Параметры:
//   ТипРеквизита - Булево
//                - ПеречислениеСсылка - тип реквизита объекта УП.
//   ИмяРеквизита - Строка - имя реквизита объекта УП.
//   ТипОбъекта - СправочникОбъект
//              - ДокументОбъект - тип объекта УП.
//   СостояниеСогласованияДО - ПеречислениеСсылка.СостоянияСогласованияВДокументообороте - состояние согласования в ДО.
//
// Возвращаемое значение:
//   Булево
//   ПеречислениеСсылка
//
Функция СостояниеСогласованияУП(ТипРеквизита, ИмяРеквизита, ТипОбъекта, СостояниеСогласованияДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотУП.СостояниеСогласованияУП(ТипРеквизита, ИмяРеквизита, ТипОбъекта, СостояниеСогласованияДО) 
```
</details>

## СостояниеУтвержденияУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение реквизита, описывающего состояние утверждения объекта УП, соответствующее
// переданному значению состояния утверждения в 1С:Документооборот.
//
// Параметры:
//   ТипРеквизита - Булево
//                - ПеречислениеСсылка - тип реквизита объекта УП.
//   ИмяРеквизита - Строка - имя реквизита объекта УП.
//   ТипОбъекта - СправочникОбъект
//              - ДокументОбъект - тип объекта УП.
//   СостояниеУтвержденияДО - Строка - состояние утверждения в ДО.
//
// Возвращаемое значение:
//   Булево
//   ПеречислениеСсылка
//
Функция СостояниеУтвержденияУП(ТипРеквизита, ИмяРеквизита, ТипОбъекта, СостояниеУтвержденияДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотУП.СостояниеУтвержденияУП(ТипРеквизита, ИмяРеквизита, ТипОбъекта, СостояниеУтвержденияДО) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
