---
title: Интеграция САТУРН вызов сервера
slug: erp-uh/интеграция-сатурн-вызов-сервера
---


## ПодготовитьКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает сообщения к передаче в сервис САТУРН.
//
// Параметры:
//  ВходящиеДанные - Массив Из (См. ИнтерфейсСАТУРНКлиентСервер.ПараметрыОбработкиДокументов)
//  УникальныйИдентификатор - УникальныйИдентификатор - Уникальный идентификатор формы.
//
// Возвращаемое значение:
//  Структура - см. функцию ПодготовитьСообщенияКПередаче().
//
Функция ПодготовитьКПередаче(ВходящиеДанные, УникальныйИдентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНВызовСервера.ПодготовитьКПередаче(ВходящиеДанные, УникальныйИдентификатор);
```
</details>

## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьОбмен(ЗначениеОтбора = Неопределено, УникальныйИдентификатор = Неопределено, СообщениеИлиДокумент = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНВызовСервера.ВыполнитьОбмен(ЗначениеОтбора, УникальныйИдентификатор, СообщениеИлиДокумент);
```
</details>

## ПродолжитьВыполнениеОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПродолжитьВыполнениеОбмена(АдресВоВременномХранилище) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНВызовСервера.ПродолжитьВыполнениеОбмена(АдресВоВременномХранилище) 
```
</details>

## ОтменитьПередачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет неотправленную операцию из очереди передачи данных в Сатурн.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить передачу данных.
//
// Возвращаемое значение:
//  Массив - Массив структур, см. функцию ИнтеграцияСАТУРНСлужебный.СтруктураИзменения(), или Неопределено (если в очереди нет сообщений).
//
Функция ОтменитьПередачу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНВызовСервера.ОтменитьПередачу(ДокументСсылка) 
```
</details>

## ОтменитьПоследнююОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет последнюю операцию (например, если возникла ошибка передачи данных).
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить операцию.
//
// Возвращаемое значение:
//  см. ИнтеграцияСАТУРНСлужебный.СтруктураИзменения.
//
Функция ОтменитьПоследнююОперацию(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНВызовСервера.ОтменитьПоследнююОперацию(ДокументСсылка) 
```
</details>

## ВестиУчетПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВестиУчетПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНВызовСервера.ВестиУчетПродукции() 
```
</details>

## ОтборыДляРеквизитовДокументаПоОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает отборы для реквизитов документа по основанию
//
// Параметры:
// 	ТипДокумента - Тип - Тип документа
//  ДокументОснование - ДокументСсылка - ссылка на документ-основание
//
// Возвращаемое значение:
//  Неопределено - отсуствует результат
//  Структура - структура со свойствами, по которым нужно устанавливать отбор:
//  * ГрузоотправительИзОснованияДляОтбораОрганизации - СправочникСсылка - ссылка на элемент справочника,
//  	по которому нужно делать отбор организаций САТУРН грузоотправителя
//  * ГрузоотправительИзОснованияДляОтбораМестаХранения - СправочникСсылка - ссылка на элемент справочника,
//  	по которому нужно делать отбор мест хранения САТУРН грузоотправителя
//  * ГрузополучательИзОснованияДляОтбораОрганизации - СправочникСсылка - ссылка на элемент справочника,
//  	по которому нужно делать отбор организаций САТУРН грузополучателя
//  * ГрузополучательИзОснованияДляОтбораМестаХранения - СправочникСсылка - ссылка на элемент справочника,
//  	по которому нужно делать отбор мест хранения САТУРН грузополучателя.
//
Функция ОтборыДляРеквизитовДокументаПоОснованию(ТипДокумента, ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНВызовСервера.ОтборыДляРеквизитовДокументаПоОснованию(ТипДокумента, ДокументОснование) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
