---
title: Интеграция САТУРН клиент
slug: erp-uh/интеграция-сатурн-клиент
---


## ПодготовитьКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку к передаче в сервис САТУРН сообщения по документу и начинает процедуру обмена
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//  ПараметрыОбработкиДокументов - (См. ИнтеграцияСАТУРНСлужебныйКлиентСервер.ПараметрыОбработкиДокументов)
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции
Процедура ПодготовитьКПередаче(Форма, ПараметрыОбработкиДокументов, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.ПодготовитьКПередаче(Форма, ПараметрыОбработкиДокументов, ОповещениеПриЗавершении);
```
</details>

## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку подготовленных сообщений, загрузку новых документов, обработку ответов из САТУРН.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - источник команды выполнения обмена
//  Организации - Неопределено, Массив из СправочникСсылка.КлассификаторОрганизацийСАТУРН - Организация или несколько
//                                                                    организаций, по которым необходимо выполнить обмен.
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
Процедура ВыполнитьОбмен(Форма, Организации = Неопределено, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.ВыполнитьОбмен(Форма, Организации, ОповещениеПриЗавершении);
```
</details>

## ОтменитьПоследнююОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет последнюю операцию (например, если возникла ошибка передачи данных).
//
// Параметры:
//   ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить операцию.
//
Процедура ОтменитьПоследнююОперацию(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.ОтменитьПоследнююОперацию(ДокументСсылка) 
```
</details>

## ОтменитьПередачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет неотправленную операцию из очереди передачи данных в САТУРН.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому требуется отменить передачу данных.
//
Процедура ОтменитьПередачу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.ОтменитьПередачу(ДокументСсылка) 
```
</details>

## ОрганизацииДляОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОрганизацииДляОбмена(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиент.ОрганизацииДляОбмена(Форма) 
```
</details>

## ПодготовитьСообщенияКПередаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд по выполнению требуемого дальнейшего действия в динамических списках.
//
// Параметры:
//  ДинамическийСписок - ТаблицаФормы - список в котором выполняется команда.
//  ПараметрыПередачи  - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюСАТУРН
//                     - См. ИнтеграцияИСКлиентСервер.ИнициализироватьПараметрыПередачиДанных
//  Префикс            - Строка - префикс реквизита Организация
Процедура ПодготовитьСообщенияКПередаче(ДинамическийСписок, ПараметрыПередачи, Префикс = "") Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.ПодготовитьСообщенияКПередаче(ДинамическийСписок, ПараметрыПередачи, Префикс);
```
</details>

## ПодготовитьСообщенияКПередачеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения процедуры ПодготовитьСообщенияКПередаче.
//
// Параметры:
//  Контекст - Структура - контекст выполнения обработчика:
//   * МассивДокументов - массив - список ссылок на обрабатываемые документы,
//   * НепроведенныеДокументы - массив - документы, исключенные из обработки,
//   * ДинамическийСписок - ТаблицаФормы - список в котором выполняется команда,
//   * ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюСАТУРН - действие, которое будет выполнено.
//  ДополнительныеПараметры - Структура, Неопределено - Дополнительные параметры
Процедура ПодготовитьСообщенияКПередачеЗавершение(Контекст, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.ПодготовитьСообщенияКПередачеЗавершение(Контекст, ДополнительныеПараметры);
```
</details>

## АрхивироватьДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование документов.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьДокументы(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.АрхивироватьДокументы(Результат, ДополнительныеПараметры) 
```
</details>

## АрхивироватьРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование распоряжений к оформлению.
//
// Параметры:
// 	Результат - КодВозвратаДиалога - Ответ на вопрос архивирования.
// 	ДополнительныеПараметры - Структура - Структура дополнительных параметров.
//
Процедура АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.АрхивироватьРаспоряжения(Результат, ДополнительныеПараметры) 
```
</details>

## ОткрытьФормуСозданияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Выполняет команду создания документа, с предварительным выбором вида продукции или способа ввода в оборот.
//
Процедура ОткрытьФормуСозданияДокумента(ПолноеИмяДокумента, ДокументОснование = Неопределено, Владелец = Неопределено, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.ОткрытьФормуСозданияДокумента(ПолноеИмяДокумента, ДокументОснование, Владелец, ОписаниеОповещения);
```
</details>

## ОткрытьФормуВыбораОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуВыбораОрганизаций(Форма, Префикс = Неопределено, Префиксы = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.ОткрытьФормуВыбораОрганизаций(Форма, Префикс, Префиксы, );
```
</details>

## ПослеЗавершенияВыбораОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗавершенияВыбораОрганизаций(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.ПослеЗавершенияВыбораОрганизаций(Результат, ДополнительныеПараметры) 
```
</details>

## ОбработатьВыборОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьВыборОрганизаций(Форма, Результат, ПрименятьОтбор, Префикс = Неопределено, Префиксы = Неопределено, Знач ПрефиксыСписков = "") Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиент.ОбработатьВыборОрганизаций(Форма, Результат, ПрименятьОтбор, Префикс, Префиксы, ПрефиксыСписков);
```
</details>

## ДоступныеТипыИзмеряемыхВеличин
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоступныеТипыИзмеряемыхВеличин(ВходящиеДанные, КэшированныеЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиент.ДоступныеТипыИзмеряемыхВеличин(ВходящиеДанные, КэшированныеЗначения);
```
</details>

## ПараметрыФормыПодбораПартий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры формы подбора партий.
//
// Возвращаемое значение:
//  Структура - Параметры формы подбора партий:
// * РежимВыбора - Булево -
// * ЗакрыватьПриВыборе - Булево -
// * ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН -
// * МестоХранения - СправочникСсылка.МестаХраненияСАТУРН -
// * Номенклатура - ОпределяемыйТип.Номенклатура
// * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры
// * Серия - ОпределяемыйТип.СерияНоменклатуры
// * Упаковка - ОпределяемыйТип.Упаковка
// * КоличествоВУпаковкеСАТУРН - Число -
// * ТипИзмеряемойВеличины - ПеречислениеСсылка.ТипыИзмеряемыхВеличинСАТУРН
// * ПАТ - СправочникСсылка.КлассификаторПАТСАТУРН
Функция ПараметрыФормыПодбораПартий() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиент.ПараметрыФормыПодбораПартий() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
