---
title: Интеграция САТУРН клиент сервер
slug: erp-uh/интеграция-сатурн-клиент-сервер
---


## ИмяПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиентСервер.ИмяПодсистемы() 
```
</details>

## РежимРаботыСТестовымКонтуромСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет включение режима использования тестового контура.
//
// Возвращаемое значение:
//  Булево - Истина, если включен режим работы с тестовым контуром.
//
Функция РежимРаботыСТестовымКонтуромСАТУРН() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиентСервер.РежимРаботыСТестовымКонтуромСАТУРН() 
```
</details>

## СоответствиеПолейДокументовОснованийИДокументовСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие полей документов-оснований и документов САТУРН
//
// Параметры:
//   ТипДокумента - Тип - тип документа САТУРН
//   ТипОснования - Тип - тип документа-основания
//
// Возвращаемое значение:
//  КлючИЗначение - элемент соответствия типа:
//  * Ключ - ДокументСсылка - ключем свойства является имя документа, например "РеализацияТоваровУслуг",
//  * Значение - Соответствие Из КлючИЗначение:
//    ** ГрузоотправительОрганизацияСАТУРН - Строка - имя поля документа, по которому нужно делать отбор организации САТУРН грузоотправителя
//    ** ГрузоотправительМестоХранения     - Строка - имя поля документа, по которому нужно делать места хранения грузоотправителя
//    ** ГрузополучательОрганизацияСАТУРН  - Строка - имя поля документа, по которому нужно делать отбор организации САТУРН грузополучателя
//    ** ГрузополучательМестоХранения      - Строка - имя поля документа, по которому нужно делать места хранения  грузополучателя
//    ** ОрганизацияСАТУРН                 - Строка - имя поля документа, по которому нужно делать отбор организации САТУРН
//    ** МестоХранения                     - Строка - имя поля документа, по которому нужно делать места хранения
Функция СоответствиеПолейДокументовОснованийИДокументовСАТУРН(ТипДокумента, ТипОснования) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиентСервер.СоответствиеПолейДокументовОснованийИДокументовСАТУРН(ТипДокумента, ТипОснования) 
```
</details>

## ЭтоВыборПартииСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это выбор партии САТУРН.
//
// Параметры:
//  ВыбранноеЗначение - Произвольный
//
// Возвращаемое значение:
//  Булево - Это выбор партии САТУРН
Функция ЭтоВыборПартииСАТУРН(ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиентСервер.ЭтоВыборПартииСАТУРН(ВыбранноеЗначение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
