---
title: Интеграция САТУРН клиент сервер переопределяемый
slug: erp-uh/интеграция-сатурн-клиент-сервер-переопределяемый
---


## ЗаполнитьСоответствиеПолейДокументовОснованийНакладнойСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие полей документов-оснований и накладной САТУРН
//
// Параметры:
//  СоответствиеПолей - Соответствие из КлючИЗначение:
//  * Ключ - Строка - имя документа в метаданных, например "РеализацияТоваровУслуг"
//  * Значение - Соответствие из КлючИЗначение:
//    ** ГрузоотправительОрганизацияСАТУРН - Строка - имя поля документа, которое соответствует организации грузоотправителя
//    ** ГрузоотправительМестоХранения     - Строка - имя поля документа, которое соответствует месту хранения грузоотправителя
//    ** ГрузополучательОрганизацияСАТУРН  - Строка - имя поля документа, которое соответствует организации грузополучателя
//    ** ГрузополучательМестоХранения      - Строка - имя поля документа, которое соответствует месту хранения грузополучателя
Процедура ЗаполнитьСоответствиеПолейДокументовОснованийНакладнойСАТУРН(СоответствиеПолей) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиентСерверПереопределяемый.ЗаполнитьСоответствиеПолейДокументовОснованийНакладнойСАТУРН(СоответствиеПолей) 
```
</details>

## ЗаполнитьСоответствиеПолейДокументовОснованийАктаИнвентаризацииСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие полей документов-оснований и акта инвентаризации САТУРН
//
// Параметры:
//  СоответствиеПолей - Соответствие из КлючИЗначение:
//  * Ключ - Строка - имя документа в метаданных, например "ОприходованиеТоваров"
//  * Значение - Соответствие из КлючИЗначение:
//    ** ОрганизацияСАТУРН - Строка - имя поля документа, которое соответствует организации САТУРН
//    ** МестоХранения     - Строка - имя поля документа, которое соответствует месту хранения грузоотправителя
Процедура ЗаполнитьСоответствиеПолейДокументовОснованийАктаИнвентаризацииСАТУРН(СоответствиеПолей) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиентСерверПереопределяемый.ЗаполнитьСоответствиеПолейДокументовОснованийАктаИнвентаризацииСАТУРН(СоответствиеПолей) 
```
</details>

## ЗаполнитьСоответствиеПолейДокументовОснованийАктаПримененияСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие полей документов-оснований и акта применения САТУРН
//
// Параметры:
//  СоответствиеПолей - Соответствие из КлючИЗначение:
//  * Ключ - Строка - имя документа в метаданных, например "ПроизводствоТоваров"
//  * Значение - Соответствие из КлючИЗначение:
//    ** ОрганизацияСАТУРН - Строка - имя поля документа, которое соответствует организации САТУРН
//    ** МестоХранения     - Строка - имя поля документа, которое соответствует месту хранения грузоотправителя
Процедура ЗаполнитьСоответствиеПолейДокументовОснованийАктаПримененияСАТУРН(СоответствиеПолей) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиентСерверПереопределяемый.ЗаполнитьСоответствиеПолейДокументовОснованийАктаПримененияСАТУРН(СоответствиеПолей) 
```
</details>

## ЗаполнитьСоответствиеПолейДокументовОснованийИмпортаПродукцииСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие полей документов-оснований и импорта продукции САТУРН
//
// Параметры:
//  СоответствиеПолей - Соответствие из КлючИЗначение:
//  * Ключ - Строка - имя документа в метаданных, например "РеализацияТоваровУслуг"
//  * Значение - Соответствие из КлючИЗначение:
//    ** ОрганизацияСАТУРН - Строка - имя поля документа, которое соответствует организации САТУРН
//    ** МестоХранения     - Строка - имя поля документа, которое соответствует месту хранения грузоотправителя
Процедура ЗаполнитьСоответствиеПолейДокументовОснованийИмпортаПродукцииСАТУРН(СоответствиеПолей) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиентСерверПереопределяемый.ЗаполнитьСоответствиеПолейДокументовОснованийИмпортаПродукцииСАТУРН(СоответствиеПолей) 
```
</details>

## ЗаполнитьСоответствиеПолейДокументовОснованийПланаПримененияСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие полей документов-оснований и плана применения САТУРН
//
// Параметры:
//  СоответствиеПолей - Соответствие из КлючИЗначение:
//  * Ключ - Строка - имя документа в метаданных, например "РеализацияТоваровУслуг"
//  * Значение - Соответствие из КлючИЗначение:
//    ** ОрганизацияСАТУРН - Строка - имя поля документа, которое соответствует организации САТУРН
Процедура ЗаполнитьСоответствиеПолейДокументовОснованийПланаПримененияСАТУРН(СоответствиеПолей) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиентСерверПереопределяемый.ЗаполнитьСоответствиеПолейДокументовОснованийПланаПримененияСАТУРН(СоответствиеПолей) 
```
</details>

## ЗаполнитьСоответствиеПолейДокументовОснованийЗапросаОстатковПартийСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие полей документов-оснований и производственной операции САТУРН
//
// Параметры:
//  СоответствиеПолей - Соответствие из КлючИЗначение:
//  * Ключ - Строка - имя документа в метаданных
//  * Значение - Соответствие из КлючИЗначение:
//    ** ОрганизацияСАТУРН - Строка - имя поля документа, которое соответствует организации САТУРН
//    ** МестоХранения     - Строка - имя поля документа, которое соответствует месту хранения грузоотправителя
Процедура ЗаполнитьСоответствиеПолейДокументовОснованийЗапросаОстатковПартийСАТУРН(СоответствиеПолей) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиентСерверПереопределяемый.ЗаполнитьСоответствиеПолейДокументовОснованийЗапросаОстатковПартийСАТУРН(СоответствиеПолей) 
```
</details>

## ЗаполнитьСоответствиеПолейДокументовОснованийПроизводственнойОперацииСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие полей документов-оснований и производственной операции САТУРН
//
// Параметры:
//  СоответствиеПолей - Соответствие из КлючИЗначение:
//  * Ключ - Строка - имя документа в метаданных, например "ПроизводствоТоваров"
//  * Значение - Соответствие из КлючИЗначение:
//    ** ОрганизацияСАТУРН - Строка - имя поля документа, которое соответствует организации САТУРН
//    ** МестоХранения     - Строка - имя поля документа, которое соответствует месту хранения грузоотправителя
Процедура ЗаполнитьСоответствиеПолейДокументовОснованийПроизводственнойОперацииСАТУРН(СоответствиеПолей) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНКлиентСерверПереопределяемый.ЗаполнитьСоответствиеПолейДокументовОснованийПроизводственнойОперацииСАТУРН(СоответствиеПолей) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
