---
title: Интеграция САТУРН клиент сервер повт исп
slug: erp-uh/интеграция-сатурн-клиент-сервер-повт-исп
---


## УчитываемыеВидыПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список особенностей учета продукци для ФГИС "Сатурн".
//
// Возвращаемое значение:
//  ФиксированныйМассив Из ПеречислениеСсылка.ВидыПродукцииИС - Учитываемые виды продукции
Функция УчитываемыеВидыПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиентСерверПовтИсп.УчитываемыеВидыПродукции() 
```
</details>

## ЕдиницаИзмеренияКилограмм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает единицу измерения, указанную в константе ЕдиницаИзмеренияКилограммИС.
//
// Возвращаемое значение:
// 	ОпределяемыйТип.Упаковка
//
Функция ЕдиницаИзмеренияКилограмм() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиентСерверПовтИсп.ЕдиницаИзмеренияКилограмм() 
```
</details>

## ЕдиницаИзмеренияЛитр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает единицу измерения, указанную в константе ЕдиницаИзмеренияЛитрИС.
//
// Возвращаемое значение:
// 	ОпределяемыйТип.Упаковка
//
Функция ЕдиницаИзмеренияЛитр() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиентСерверПовтИсп.ЕдиницаИзмеренияЛитр() 
```
</details>

## ЕдиницыИзмеренияВесаИОбъема
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает единицы измерения веса и объема.
//
// Возвращаемое значение:
// 	Массив из ОпределяемыйТип.Упаковка
//
Функция ЕдиницыИзмеренияВесаИОбъема() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНКлиентСерверПовтИсп.ЕдиницыИзмеренияВесаИОбъема() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
