---
title: Интеграция САТУРН переопределяемый
slug: erp-uh/интеграция-сатурн-переопределяемый
---


## ПриИзмененииСтатусаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Дополнительные действия прикладной конфигурации при изменении статуса документа.
//
//Параметры:
//   ДокументСсылка   - ДокументСсылка     - ссылка на документ с изменением статуса.
//   ПредыдущийСтатус - ПеречислениеСсылка - предыдущий статус обработки.
//   НовыйСтатус      - ПеречислениеСсылка - новый статус обработки.
//   ПараметрыОбновленияСтатуса - Структура, Неопределено - (См. ИнтеграцияСАТУРН.ПараметрыОбновленияСтатуса).
//
Процедура ПриИзмененииСтатусаДокумента(ДокументСсылка, ПредыдущийСтатус, НовыйСтатус, ПараметрыОбновленияСтатуса = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ПриИзмененииСтатусаДокумента(ДокументСсылка, ПредыдущийСтатус, НовыйСтатус, ПараметрыОбновленияСтатуса);
```
</details>

## ОбработкаЗаполненияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Вызывается при вводе документа на основании, при выполнении метода Заполнить или при интерактивном вводе нового.
//
//Параметры:
//   ДокументОбъект - ДокументОбъект - заполняемый документ,
//   ДанныеЗаполнения - Произвольный - значение, которое используется как основание для заполнения,
//   ТекстЗаполнения - Строка, Неопределено - текст, используемый для заполнения документа,
//   СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаЗаполненияДокумента(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ОбработкаЗаполненияДокумента(ДокументОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ПриОпределенииОбработкиПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается расширением формы при необходимости проверки заполнения реквизитов при записи или при проведении документа в форме,
// а также при выполнении метода ПроверитьЗаполнение.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - проверяемый документ,
//  Отказ - Булево - признак отказа от проведения документа,
//  ПроверяемыеРеквизиты - Массив из Строка- массив путей к реквизитам, для которых будет выполнена проверка заполнения,
//  МассивНепроверяемыхРеквизитов - Массив из Строка - массив путей к реквизитам, для которых не будет выполнена проверка заполнения.
Процедура ПриОпределенииОбработкиПроверкиЗаполнения(ДокументОбъект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ПриОпределенииОбработкиПроверкиЗаполнения(ДокументОбъект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) 
```
</details>

## ПриОпределенииРеквизитовОрганизацийКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре требуется дополнить в переданной таблице по Организации/контрагенту
// данные ИНН из информационной базы.
// КоллекцияОрганизацийПодразделений индексирован по "ОрганизацияКонтрагент".
//
// Параметры:
//  КоллекцияОрганизаций - см. ИнтеграцияСАТУРН.НоваяТаблицаОрганизацияКонтрагент
Процедура ПриОпределенииРеквизитовОрганизацийКонтрагентов(КоллекцияОрганизаций) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ПриОпределенииРеквизитовОрганизацийКонтрагентов(КоллекцияОрганизаций) 
```
</details>

## ПриОпределенииКонтрагентовОрганизацийПоРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение ссылок на организации и контрагенты по реквизитам. Переданной таблице реквизитов необходимо заполнить
// колонки:
//  - Организация - Ссылка на организацию, найденную по переданным реквизитам
//  - Контрагент  - Ссылка на контрагент, найденного по переданным реквизитам
// Параметры:
//  ТаблицаРеквизитов - см. Справочники.КлассификаторОрганизацийСАТУРН.НоваяТаблицаРеквизитовКлассификатораОрганизаций
Процедура ПриОпределенииКонтрагентовОрганизацийПоРеквизитам(ТаблицаРеквизитов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ПриОпределенииКонтрагентовОрганизацийПоРеквизитам(ТаблицаРеквизитов) 
```
</details>

## ТекстЗапросаСобственныхОрганизацийПоРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение текста запроса для получения списка организаций Сатурн, соответствующих собственным организациям.
//
// Параметры:
//  ТекстЗапроса - Строка - Текст запроса, для получения организаций, соответствующих собственным организациям в ФГИС "Сатурн".
//                          В полях запроса должно присутствовать поле Ссылка - СправочникСсылка.КлассификаторОрганизацийСАТУРН
Процедура ТекстЗапросаСобственныхОрганизацийПоРеквизитам(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ТекстЗапросаСобственныхОрганизацийПоРеквизитам(ТекстЗапроса) 
```
</details>

## ТекстЗапросаСтороннихОрганизацийПоРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение текста запроса для получения списка организаций Сатурн, соответствующих сторонним организациям.
//
// Параметры:
//  ТекстЗапроса - Строка - Текст запроса, для получения организаций, соответствующих сторонним организациям в ФГИС "Сатурн".
//                          В полях запроса должно присутствовать поле Ссылка - СправочникСсылка.КлассификаторОрганизацийСАТУРН
Процедура ТекстЗапросаСтороннихОрганизацийПоРеквизитам(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ТекстЗапросаСтороннихОрганизацийПоРеквизитам(ТекстЗапроса) 
```
</details>

## УказываетсяТранспортноеСредство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет использование транспортных средств
//
// Параметры:
//  Указывается - Булево - Признак использования транспортных средств.
Процедура УказываетсяТранспортноеСредство(Указывается) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.УказываетсяТранспортноеСредство(Указывается) 
```
</details>

## ПриОпределенииРеквизитовТранспортногоСредства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные транспортного средства
//
// Параметры:
//  Реквизиты - Структура из КлючИЗначение - возможные реквизиты транспортного средства:
//   Ключи: НомерТранспортногоСредства
//  ТранспортноеСредство - ОпределяемыйТип.ТранспортныеСредстваИС - транспортное средство
Процедура ПриОпределенииРеквизитовТранспортногоСредства(Реквизиты, ТранспортноеСредство) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ПриОпределенииРеквизитовТранспортногоСредства(Реквизиты, ТранспортноеСредство) 
```
</details>

## ПриОпределенииРеквизитовГосКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие госконтракту  дату, номер и номер закупки ЕИС.
//
// Параметры:
//  МассивСсылок - Массив Из ОпределяемыйТип.ГосударственныеКонтрактыИС - массив ссылок государственные контракты.
//
//  ВозвращаемоеСоответствие - Соответствие из ОпределяемыйТип.ГосударственныеКонтрактыИС:
//                             * Ключ - ОпределяемыйТип.ГосударственныеКонтрактыИС - ссылка на ссылка на гос.контракт.
//                             * Значение - Структура:
//                               ** НомерГосКонтракта - Строка.
//                               ** ДатаГосКонтракта  - Дата.
//
Процедура ПриОпределенииРеквизитовГосКонтракта(МассивСсылок, ВозвращаемоеСоответствие) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ПриОпределенииРеквизитовГосКонтракта(МассивСсылок, ВозвращаемоеСоответствие) 
```
</details>

## ЗаполнитьДанныеКонтрагентаДляПоискаОрганизацийСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры поиска организации САТУРН по элементу справочника конфигурации
//
// Параметры:
//  ДанныеКонтрагента - (См. ИнтеграцияСАТУРН.ДанныеКонтрагентаДляПоискаОрганизацииСАТУРН)
//  Контрагент        - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - ссылка на контрагента информационной базы
Процедура ЗаполнитьДанныеКонтрагентаДляПоискаОрганизацийСАТУРН(ДанныеКонтрагента, Контрагент) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ЗаполнитьДанныеКонтрагентаДляПоискаОрганизацийСАТУРН(ДанныеКонтрагента, Контрагент) 
```
</details>

## ПриЗаполненииДанныхИдентификацииТовараПартии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет возможные идентификаторы партии при оформлении накладной.
// Идентификаторы партии - это значения, которые помогают покупателю и продавцу идентифицировать строку партии.
// Например:
// 	 Партия - Номер серии, Дата серии
//
// Параметры:
//  ПараметрыИдентификации  - см. ИнтеграцияСАТУРНКлиентСервер.ПараметрыИдентификацииТовараПартии
//  ИдентификаторыПартии    - СписокЗначений из Строка - Значение и представления идентификатора партии для выбора в форме накладной
Процедура ПриЗаполненииДанныхИдентификацииТовараПартии(ПараметрыИдентификации, ИдентификаторыПартии) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНПереопределяемый.ПриЗаполненииДанныхИдентификацииТовараПартии(ПараметрыИдентификации, ИдентификаторыПартии) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
