---
title: Интеграция САТУРН служебный клиент сервер
slug: erp-uh/интеграция-сатурн-служебный-клиент-сервер
---


## ПараметрыОбработкиДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует структуру передачи данных
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Ссылка - ОпределяемыйТип.ДокументыСАТУРН, СправочникСсылка.СтанцииУправленияЗаказамиСАТУРН - Передаваемый документ
// * ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН - Организация
// * ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюСАТУРН - Дальнейшее действие
Функция ПараметрыОбработкиДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНСлужебныйКлиентСервер.ПараметрыОбработкиДокументов() 
```
</details>

## ПараметрыПередачиДанныхКлассификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует структуру передачи данных на создание классификаторов
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Ссылка - СправочникСсылка.КлассификаторОрганизацийСАТУРН, СправочникСсылка.КлассификаторПАТСАТУРН, СправочникСсылка.ИмпортируемаяПартияСАТУРН - Передаваемый классификатор
// * ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН - Организация
// * ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюСАТУРН - Дальнейшее действие
// * ДополнительныеПараметры - Структура
Функция ПараметрыПередачиДанныхКлассификаторов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНСлужебныйКлиентСервер.ПараметрыПередачиДанныхКлассификаторов() 
```
</details>

## ПараметрыОбновленияСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров обновления статуса.
//
// Параметры:
//  ПараметрыОбновленияСтатуса - Неопределено - Параметры обновления статуса
//
// Возвращаемое значение:
//  Структура, Неопределено - Параметры обновления статуса:
// * Статус - ПеречислениеСсылка
// * СтатусОбработки - ПеречислениеСсылка
// * ОперацияКвитанции - ПеречислениеСсылка
// * ПротоколОбмена - СправочникСсылка.САТУРНПрисоединенныеФайлы
// * ПараметрыЗапроса - Структура
// * ИдентификаторСтроки - Неопределено, Строка -
// * ОрганизацияСАТУРН - СправочникСсылка.КлассификаторОрганизацийСАТУРН
Функция ПараметрыОбновленияСтатуса(ПараметрыОбновленияСтатуса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНСлужебныйКлиентСервер.ПараметрыОбновленияСтатуса(ПараметрыОбновленияСтатуса);
```
</details>

## ЗначениеСвойстваКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение свойства переданного констекста
//
// Параметры:
// 	Контекст - ФормаКлиентскогоПриложения - Передаваемый контекст.
// 	ИмяСвойства - Строка - Имя свойства контекста
// Возвращаемое значение:
// 	Произвольный, Неопределено - Значение свойства контекста.
Функция ЗначениеСвойстваКонтекста(Контекст, ИмяСвойства) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСАТУРНСлужебныйКлиентСервер.ЗначениеСвойстваКонтекста(Контекст, ИмяСвойства) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
