---
title: Интеграция САТУРН УТ клиент сервер
slug: erp-uh/интеграция-сатурн-ут-клиент-сервер
---


## КомандыНакладнаяСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыНакладнаяСАТУРН(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНУТКлиентСервер.КомандыНакладнаяСАТУРН(Команды) 
```
</details>

## УправлениеВидимостьюКомандНакладнаяСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость команд динамически формируемых для создания документов на основании.
//
// Параметры:
// 	Форма   - ФормаКлиентскогоПриложения - Форма на которой находятся вызова команд.
// 	Команды - Структура - структура команд динамически формируемых для создания документов на основании.
//
Процедура УправлениеВидимостьюКомандНакладнаяСАТУРН(Форма, Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНУТКлиентСервер.УправлениеВидимостьюКомандНакладнаяСАТУРН(Форма, Команды) 
```
</details>

## КомандыАктИнвентаризацииСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыАктИнвентаризацииСАТУРН(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНУТКлиентСервер.КомандыАктИнвентаризацииСАТУРН(Команды) 
```
</details>

## УправлениеВидимостьюКомандАктИнвентаризацииСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость команд динамически формируемых для создания документов на основании.
//
// Параметры:
// 	Форма   - ФормаКлиентскогоПриложения - Форма на которой находятся вызова команд.
// 	Команды - Структура - структура команд динамически формируемых для создания документов на основании.
//
Процедура УправлениеВидимостьюКомандАктИнвентаризацииСАТУРН(Форма, Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНУТКлиентСервер.УправлениеВидимостьюКомандАктИнвентаризацииСАТУРН(Форма, Команды) 
```
</details>

## КомандыАктПримененияСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыАктПримененияСАТУРН(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНУТКлиентСервер.КомандыАктПримененияСАТУРН(Команды) 
```
</details>

## КомандыИмпортПродукцииСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыИмпортПродукцииСАТУРН(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНУТКлиентСервер.КомандыИмпортПродукцииСАТУРН(Команды) 
```
</details>

## КомандыПроизводственнаяОперацияСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру команд для динамического формирования доступных для создания документов на основании.
//
// Параметры:
// 	Команды - Структура - Исходящий, структура команд динамически формируемых для создания документов на основании.
//
Процедура КомандыПроизводственнаяОперацияСАТУРН(Команды) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСАТУРНУТКлиентСервер.КомандыПроизводственнаяОперацияСАТУРН(Команды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
