---
title: Интеграция с внешними системами УХ
slug: erp-uh/интеграция-с-внешними-системами-ух
---


## ВыгрузитьОбъектыВВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// ПРОЦЕДУРЫ И ФУНКЦИИ ДЛЯ ЭКСПОРТА ЭЛЕМЕНТОВ НСИ ВО ВНЕШНИЕ ИНФОРМАЦИОННЫЕ БАЗЫ
/////////////////////////////////////////////////////////////////////////////////////////////////////

Функция ВыгрузитьОбъектыВВИБ(ИспользуемаяИБ,НастройкаСоответствия,Организация=Неопределено,СписокОтбора=Неопределено,ВозвращатьСоответствиеОбъектов=Ложь,ОбновлениеДочернихЭлементов=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ВыгрузитьОбъектыВВИБ(ИспользуемаяИБ, НастройкаСоответствия, Организация, СписокОтбора, ВозвращатьСоответствиеОбъектов, ОбновлениеДочернихЭлементов);
```
</details>

## ВыгрузитьДанныеСвязанныхОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыгрузитьДанныеСвязанныхОбъектов(ТекСоединениеВИБ,НастройкаСоответствия,ТабОбработанныхОбъектов,ИспользуемаяИБ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ВыгрузитьДанныеСвязанныхОбъектов(ТекСоединениеВИБ, НастройкаСоответствия, ТабОбработанныхОбъектов, ИспользуемаяИБ));
```
</details>

## ВыгрузитьСвязанныеОбъектыПоНастройке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыгрузитьСвязанныеОбъектыПоНастройке(ТекСоединениеВИБ,СтрокаСвязь,ТабОбработанныхОбъектов,НастройкаСоответствия,ИспользуемаяИБ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ВыгрузитьСвязанныеОбъектыПоНастройке(ТекСоединениеВИБ, СтрокаСвязь, ТабОбработанныхОбъектов, НастройкаСоответствия, ИспользуемаяИБ));
```
</details>

## ПолучитьТаблицуДляВыгрузкиТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДляВыгрузкиТЧ(ОбъектСсылка,ДанныеИсточника,ПравилаИспользованияПолей) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДляВыгрузкиТЧ(ОбъектСсылка, ДанныеИсточника, ПравилаИспользованияПолей));
```
</details>

## ПодготовитьПравилаПолейДляВыгрузкиТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьПравилаПолейДляВыгрузкиТЧ(НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПодготовитьПравилаПолейДляВыгрузкиТЧ(НастройкаСоответствия));
```
</details>

## Экспорт_ПолучитьСоответствиеТаблицДублейДляПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.Экспорт_ПолучитьСоответствиеТаблицДублейДляПротокола(ИспользуемаяИБ, СоответствиеТаблицДублей););
```
</details>

## Экспорт_ЗаполнитьАналитикуПоПравилам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.Экспорт_ЗаполнитьАналитикуПоПравилам(ТекСоединениеВИБ, ТаблицаДанных, ТабПравилаДляВыгрузки, СтруктураКлючевыхРеквизитов, СтруктураПодчиненныхРеквизитов));
```
</details>

## Экспорт_ЗаполнитьНедостающиеАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.Экспорт_ЗаполнитьНедостающиеАналитики(ТекСоединениеВИБ, );
```
</details>

## ВыгрузитьПодчиненныеОбъекты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыгрузитьПодчиненныеОбъекты(ИспользуемаяИБ,ТабОбъектовДляВыгрузки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ВыгрузитьПодчиненныеОбъекты(ИспользуемаяИБ, ТабОбъектовДляВыгрузки));
```
</details>

## ПолучитьТаблицуПравилДляВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуПравилДляВыгрузки(ТабПравилаРабочие,ИспользуемаяИБ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуПравилДляВыгрузки(ТабПравилаРабочие, ИспользуемаяИБ));
```
</details>

## ПреобразоватьНастройкуСоответствияКПримитивным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПреобразоватьНастройкуСоответствияКПримитивным(НастройкаСоответствия,ИспользуемаяИБ,ПреобразоватьНастройкуРеквизит=Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПреобразоватьНастройкуСоответствияКПримитивным(НастройкаСоответствия, ИспользуемаяИБ, ПреобразоватьНастройкуРеквизит);
```
</details>

## ПолучитьТаблицуСинхронизацииПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуСинхронизацииПоGUID(НастройкаСоответствия,ИспользуемаяИБ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуСинхронизацииПоGUID(НастройкаСоответствия, ИспользуемаяИБ));
```
</details>

## ВИБ_ПолучитьОписаниеТиповПоТаблицеАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ВИБ_ПолучитьОписаниеТиповПоТаблицеАналитики(ТекСоединениеВИБ,ТаблицаАналитики) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ВИБ_ПолучитьОписаниеТиповПоТаблицеАналитики(ТекСоединениеВИБ, ТаблицаАналитики) 
```
</details>

## ПолучитьТаблицуДляВыгрузкиПоЗапросу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl





Функция ПолучитьТаблицуДляВыгрузкиПоЗапросу(ДанныеЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДляВыгрузкиПоЗапросу(ДанныеЗапроса));
```
</details>

## ПеренестиТаблицуДанныхНаСторонуВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПеренестиТаблицуДанныхНаСторонуВИБ(ТекСоединениеВИБ,ТаблицаДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПеренестиТаблицуДанныхНаСторонуВИБ(ТекСоединениеВИБ, ТаблицаДанных));
```
</details>

## ПолучитьОбъектВнешнейИБПоСсылкеТекущей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl






Функция ПолучитьОбъектВнешнейИБПоСсылкеТекущей(ТекСоединениеВИБ,СсылкаТекущейИБ,НастройкаСоответствия,ИспользуемаяИБ,ТаблицаАналитикиВИБ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьОбъектВнешнейИБПоСсылкеТекущей(ТекСоединениеВИБ, СсылкаТекущейИБ, НастройкаСоответствия, ИспользуемаяИБ, ТаблицаАналитикиВИБ));
```
</details>

## ВИБ_ПолучитьПустуюСсылкуПоТаблицеАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВИБ_ПолучитьПустуюСсылкуПоТаблицеАналитики(ТекСоединениеВИБ,ТаблицаАналитикиВИБ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ВИБ_ПолучитьПустуюСсылкуПоТаблицеАналитики(ТекСоединениеВИБ, ТаблицаАналитикиВИБ));
```
</details>

## Экспорт_ПолучитьДанныеОбъектаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl





Функция Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.Экспорт_ПолучитьДанныеОбъектаБД(ТаблицаАналитики, ТипБД));
```
</details>

## ВИБ_ПодготовитьДеревоРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВИБ_ПодготовитьДеревоРеквизитов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ВИБ_ПодготовитьДеревоРеквизитов());
```
</details>

## ПолучитьОписаниеТаблицыПравилаИспользованияПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьОписаниеТаблицыПравилаИспользованияПолей() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьОписаниеТаблицыПравилаИспользованияПолей());
```
</details>

## ЗагрузитьОбъектыИзADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗагрузитьОбъектыИзADO(ИспользуемаяИБ,НастройкаСоответствия,Организация=Неопределено,СписокОтбора=Неопределено,ОбновлениеДочернихЭлементов=Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ЗагрузитьОбъектыИзADO(ИспользуемаяИБ, НастройкаСоответствия, Организация, СписокОтбора, ОбновлениеДочернихЭлементов);
```
</details>

## ВИБ_ПолучитьОписаниеТиповДата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ВИБ_ПолучитьОписаниеТиповДата(База,ТекЧастиДаты) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ВИБ_ПолучитьОписаниеТиповДата(База, ТекЧастиДаты) 
```
</details>

## ВИБ_ПолучитьОписаниеТиповЧисла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов числа, заданной разрядности.
//
// Параметры:
//  Разрядность 			- число, разряд числа.
//  РазрядностьДробнойЧасти - число, разряд дробной части.
//
// Возвращаемое значение:
//  Объект "ОписаниеТипов" для числа указанной разрядности.
//
Функция ВИБ_ПолучитьОписаниеТиповЧисла(База,Разрядность,РазрядностьДробнойЧасти=0) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ВИБ_ПолучитьОписаниеТиповЧисла(База, Разрядность, РазрядностьДробнойЧасти);
```
</details>

## ПолучитьЭлементАналитикиДляВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



Функция ПолучитьЭлементАналитикиДляВыгрузки(СтрокаДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьЭлементАналитикиДляВыгрузки(СтрокаДанных) 
```
</details>

## КопироватьОбъектыНСИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ДЛЯ КОПИРОВАНИЯ ЭЛЕМЕНТОВ НСИ С РЕКУРСИВНЫМ ЗАПОЛНЕНИЕМ РЕКВИЗИТОВ
/////////////////////////////////////////////////////////////////////////////////////////////////////

Функция КопироватьОбъектыНСИ(ТипОбъектаКонсолидации,ИмяОбъектаМетаданных,СписокОтбора,НСИ_ВИБ=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.КопироватьОбъектыНСИ(ТипОбъектаКонсолидации, ИмяОбъектаМетаданных, СписокОтбора, НСИ_ВИБ);
```
</details>

## ПодготовитьТаблицуПолейДляКопирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьТаблицуПолейДляКопирования(ПравилаИспользованияПолей,НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПодготовитьТаблицуПолейДляКопирования(ПравилаИспользованияПолей, НастройкаСоответствия));
```
</details>

## ПолучитьТаблицуПолейДляКопирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуПолейДляКопирования(ТипОбъектаКонсолидации,ИмяОбъектаМетаданных,НастройкаСоответствия=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуПолейДляКопирования(ТипОбъектаКонсолидации, ИмяОбъектаМетаданных, НастройкаСоответствия);
```
</details>

## ПолучитьШаблонНастройкиСоответствияТек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьШаблонНастройкиСоответствияТек(ТипОбъектаКонсолидации,ИмяОбъектаМетаданных,ТаблицаСозданныхНастроек=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьШаблонНастройкиСоответствияТек(ТипОбъектаКонсолидации, ИмяОбъектаМетаданных, ТаблицаСозданныхНастроек);
```
</details>

## ОпределитьТаблицуАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ СОЗДАНИЯ МАССИВОВ ПОЛЕЙ ДЛЯ ОБМЕНА ДАННЫМИ С ВИБ


Функция ОпределитьТаблицуАналитики(НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ОпределитьТаблицуАналитики(НастройкаСоответствия));
```
</details>

## ПолучитьСтруктуруТаблицРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруТаблицРеквизитов(НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьСтруктуруТаблицРеквизитов(НастройкаСоответствия));
```
</details>

## ЕстьОписаниеПримитивногоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьОписаниеПримитивногоТипа(ОписаниеОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ЕстьОписаниеПримитивногоТипа(ОписаниеОбъекта));
```
</details>

## УстановитьВозможностьГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьВозможностьГруппировки(НоваяСтрока,СтруктураРеквизиты,РеквизитОбъектаВИБ,РеквизитОбъектаТек) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.УстановитьВозможностьГруппировки(НоваяСтрока, СтруктураРеквизиты, РеквизитОбъектаВИБ, РеквизитОбъектаТек));
```
</details>

## ДобавитьСтрокиПолейДляИмпорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ДобавитьСтрокиПолейДляИмпорта(НаборЗаписей,НастройкаСоответствия,ТекИмяПоляВИБ,ТекИмяПоляКонсолидации,ТекПолеДопРеквизитов) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ДобавитьСтрокиПолейДляИмпорта(НаборЗаписей, НастройкаСоответствия, ТекИмяПоляВИБ, ТекИмяПоляКонсолидации, ТекПолеДопРеквизитов));
```
</details>

## ПроверитьВозможностьПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьПерехода(ТаблицаПереходов,НачальнаяНастройка,КонечнаяНастройка,ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПроверитьВозможностьПерехода(ТаблицаПереходов, НачальнаяНастройка, КонечнаяНастройка, ИмяРеквизита));
```
</details>

## ДобавитьСтрокиСсылочныхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьСтрокиСсылочныхРеквизитов(ТаблицаПереходов, Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ДобавитьСтрокиСсылочныхРеквизитов(ТаблицаПереходов, );
```
</details>

## ЗаполнитьТаблицуПолейДляИмпорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТаблицуПолейДляИмпорта(НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ЗаполнитьТаблицуПолейДляИмпорта(НастройкаСоответствия) 
```
</details>

## СформироватьРезультирующиеСтрокиПолейДляИмпорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьРезультирующиеСтрокиПолейДляИмпорта(НастройкаСоответствия,МассивОбработанных=Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.СформироватьРезультирующиеСтрокиПолейДляИмпорта(НастройкаСоответствия, МассивОбработанных);
```
</details>

## ADO_СформироватьРезультирующиеСтрокиПолейДляИмпорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ADO_СформироватьРезультирующиеСтрокиПолейДляИмпорта(НастройкаСоответствия,МассивОбработанных=Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ADO_СформироватьРезультирующиеСтрокиПолейДляИмпорта(НастройкаСоответствия, МассивОбработанных);
```
</details>

## ADO_ЗаполнитьТаблицуПолейДляИмпорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ADO_ЗаполнитьТаблицуПолейДляИмпорта(НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ADO_ЗаполнитьТаблицуПолейДляИмпорта(НастройкаСоответствия));
```
</details>

## ADO_ДобавитьСтрокиПолейДляИмпорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ADO_ДобавитьСтрокиПолейДляИмпорта(НаборЗаписей,НастройкаСоответствия,ТекИмяПоляВИБ,ТекИмяПоляКонсолидации,ТекПолеДопРеквизитов,ТекТаблицаАналитикиВИБ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ADO_ДобавитьСтрокиПолейДляИмпорта(НаборЗаписей, НастройкаСоответствия, ТекИмяПоляВИБ, ТекИмяПоляКонсолидации, ТекПолеДопРеквизитов, ТекТаблицаАналитикиВИБ));
```
</details>

## ADO_ДобавитьСтрокиСсылочныхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ADO_ДобавитьСтрокиСсылочныхРеквизитов(ТаблицаПереходов, Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ADO_ДобавитьСтрокиСсылочныхРеквизитов(ТаблицаПереходов, );
```
</details>

## ПолучитьДанныеПоИерархии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеПоИерархии(НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьДанныеПоИерархии(НастройкаСоответствия) 
```
</details>

## ПолучитьТаблицуПолейДляОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуПолейДляОтбора(НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуПолейДляОтбора(НастройкаСоответствия) 
```
</details>

## ПолучитьТаблицуДанныхПроизвольногоЗапросаВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ПОЛУЧЕНИЯ ДАННЫХ ИЗ ВНЕШНИХ СИСТЕМ

Функция ПолучитьТаблицуДанныхПроизвольногоЗапросаВИБ(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДанныхПроизвольногоЗапросаВИБ(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПолучитьТаблицуДанныхРегистраБухгалтерииВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДанныхРегистраБухгалтерииВИБ(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДанныхРегистраБухгалтерииВИБ(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПолучитьДанныеРегистраБухгалтерииВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеРегистраБухгалтерииВИБ(ОбъектРасчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьДанныеРегистраБухгалтерииВИБ(ОбъектРасчета, СтрЗапрос) 
```
</details>

## ПолучитьТаблицуДанныхРегистраНакопленияВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДанныхРегистраНакопленияВИБ(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДанныхРегистраНакопленияВИБ(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПолучитьДанныеРегистраНакопленияВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеРегистраНакопленияВИБ(ОбъектРасчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьДанныеРегистраНакопленияВИБ(ОбъектРасчета, СтрЗапрос) 
```
</details>

## ПолучитьТаблицуДанныхРегистраБухгалтерииВИБ_77
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДанныхРегистраБухгалтерииВИБ_77(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДанныхРегистраБухгалтерииВИБ_77(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПолучитьДанныеРегистраБухгалтерииВИБ77
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеРегистраБухгалтерииВИБ77(ОбъектРасчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьДанныеРегистраБухгалтерииВИБ77(ОбъектРасчета, СтрЗапрос) 
```
</details>

## ПолучитьТаблицуДанныхРегистраНакопленияВИБ_77
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДанныхРегистраНакопленияВИБ_77(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДанныхРегистраНакопленияВИБ_77(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПолучитьДанныеРегистраНакопленияВИБ77
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеРегистраНакопленияВИБ77(ОбъектРасчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьДанныеРегистраНакопленияВИБ77(ОбъектРасчета, СтрЗапрос) 
```
</details>

## ПолучитьТаблицуДанныхADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДанныхADO(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДанныхADO(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПолучитьДанныеЗапросаПоADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеЗапросаПоADO(ОбъектРасчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьДанныеЗапросаПоADO(ОбъектРасчета, СтрЗапрос) 
```
</details>

## ПолучитьТаблицуДанныхОбъектаВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДанныхОбъектаВИБ(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДанныхОбъектаВИБ(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПодготовитьСтруктуруЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция подгототавливает структура для выполнения запроса при обращении к регистру бухгалтерии, накопления
// для ВИБ 1С: Предприятие 8 и 7.7.
Функция ПодготовитьСтруктуруЗапроса(КонтекстОтчета,СтрЗапрос,ПроизвольныйЗапрос=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПодготовитьСтруктуруЗапроса(КонтекстОтчета, СтрЗапрос, ПроизвольныйЗапрос);
```
</details>

## ПолучитьТаблицуДанныхПоЗапросу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДанныхПоЗапросу(СтруктураЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДанныхПоЗапросу(СтруктураЗапроса) 
```
</details>

## ТрансформироватьВнешниеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТрансформироватьВнешниеДанные(ЗНАЧ КонтекстОтчета,ТаблицаДанных,ПравилаИспользованияПолей) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ТрансформироватьВнешниеДанные(ЗНАЧ КонтекстОтчета, ТаблицаДанных, ПравилаИспользованияПолей) 
```
</details>

## ОпределитьКолонкуДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьКолонкуДанных(ТаблицаДанных,ПравилаИспользованияПолей) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ОпределитьКолонкуДанных(ТаблицаДанных, ПравилаИспользованияПолей));
```
</details>

## ПолучитьТаблицуОперандовВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Трансформирует полученную из ВИБ таблицу в таблицу значений операндов
//
Процедура ПолучитьТаблицуОперандовВИБ(ОбъектРасчета,ДанныеЗапроса,ТаблицаОперандов,ТабПравилаИспользованияПолей=Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуОперандовВИБ(ОбъектРасчета, ДанныеЗапроса, ТаблицаОперандов, ТабПравилаИспользованияПолей);
```
</details>

## ПолучитьТаблицуДанныхПоЗапросу77
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает таблицу значений для операнда, получаемого из плана счетов 1С: Предприятия 7.7
//
Функция ПолучитьТаблицуДанныхПоЗапросу77(СтруктураЗапроса,ТолькоОбъектИтоги=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДанныхПоЗапросу77(СтруктураЗапроса, ТолькоОбъектИтоги);
```
</details>

## ADO_ПолучитьТаблицуДанныхПоЗапросу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ADO_ПолучитьТаблицуДанныхПоЗапросу(СтруктураЗапроса, ДополнительныеСвойстваИмпорта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ADO_ПолучитьТаблицуДанныхПоЗапросу(СтруктураЗапроса, ДополнительныеСвойстваИмпорта);
```
</details>

## OPG_ПолучитьТаблицуДанныхПоЗапросу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция OPG_ПолучитьТаблицуДанныхПоЗапросу(СтруктураЗапроса, ДополнительныеСвойстваИмпорта) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.OPG_ПолучитьТаблицуДанныхПоЗапросу(СтруктураЗапроса, ДополнительныеСвойстваИмпорта));
```
</details>

## ПолучитьТипДанныхПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТипДанныхПоля(ТаблицаКолонок,ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТипДанныхПоля(ТаблицаКолонок, ИмяПоля));
```
</details>

## ПодготовитьДанныеДляНастройкиЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьДанныеДляНастройкиЗапроса(СтруктураЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПодготовитьДанныеДляНастройкиЗапроса(СтруктураЗапроса) 
```
</details>

## НастроитьОбъектЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НастроитьОбъектЗапрос(СтруктураЗапроса, ИспользованиеWS = Ложь, Прокси = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.НастроитьОбъектЗапрос(СтруктураЗапроса, ИспользованиеWS, Прокси);
```
</details>

## ПроверитьЗаполнениеОбязательныхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



Процедура ПроверитьЗаполнениеОбязательныхРеквизитов(ТаблицаДанных,ПравилаИспользованияПолей) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПроверитьЗаполнениеОбязательныхРеквизитов(ТаблицаДанных, ПравилаИспользованияПолей));
```
</details>

## ОчиститьСлужебныеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьСлужебныеДанные(Результат,ПравилаИспользованияПолей) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ОчиститьСлужебныеДанные(Результат, ПравилаИспользованияПолей));
```
</details>

## ПолучитьЭлементАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭлементАналитики(СтрДанные, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьЭлементАналитики(СтрДанные, );
```
</details>

## ПолучитьДанныеДопЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеДопЗаполнения(НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьДанныеДопЗаполнения(НастройкаСоответствия));
```
</details>

## ПроверитьПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьПередЗаписью(СтруктураЗаписи,ТаблицаРеквизитов,ТаблицаАналитики,ТекстУникальныеРеквизиты="") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПроверитьПередЗаписью(СтруктураЗаписи, ТаблицаРеквизитов, ТаблицаАналитики, ТекстУникальныеРеквизиты);
```
</details>

## ДобавитьВПротоколОшибкуЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьВПротоколОшибкуЗаписи(ЭтоГруппа,ТипОбъектаМетаданных,ИмяОбъектаМетаданных,КодАналитики,ТаблицаАналитики,СтруктураЗаписи,ИнформацияОбОшибке="",НовыйОбъект=Истина, ТекстУникальныеРеквизиты="") Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ДобавитьВПротоколОшибкуЗаписи(ЭтоГруппа, ТипОбъектаМетаданных, ИмяОбъектаМетаданных, КодАналитики, ТаблицаАналитики, СтруктураЗаписи, ИнформацияОбОшибке, НовыйОбъект, ТекстУникальныеРеквизиты);
```
</details>

## ПолучитьТаблицуКонтролируемыхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуКонтролируемыхРеквизитов(ОбъектАналитики) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуКонтролируемыхРеквизитов(ОбъектАналитики) 
```
</details>

## ЗаполнитьНедостающиеАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьНедостающиеАналитики(КонтекстОтчета, Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ЗаполнитьНедостающиеАналитики(КонтекстОтчета, );
```
</details>

## ОбновитьДанныеСвязанныхОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьДанныеСвязанныхОбъектов(КонтекстОтчета,ТекОбъект,НастройкаСоответствияРодитель) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ОбновитьДанныеСвязанныхОбъектов(КонтекстОтчета, ТекОбъект, НастройкаСоответствияРодитель));
```
</details>

## ПолучитьТаблицуСвязанныхЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуСвязанныхЗаписей(КонтекстОтчета,НастройкаСоответствия,Ссылка, ДанныеИсточника) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуСвязанныхЗаписей(КонтекстОтчета, НастройкаСоответствия, Ссылка, ДанныеИсточника));
```
</details>

## НеИспользоватьДляСинхронизацииПодчиненный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НеИспользоватьДляСинхронизацииПодчиненный(ИмяРеквизита,НастройкаСоответствияРеквизит,НеИспользоватьДляСинхронизацииТек) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.НеИспользоватьДляСинхронизацииПодчиненный(ИмяРеквизита, НастройкаСоответствияРеквизит, НеИспользоватьДляСинхронизацииТек));
```
</details>

## ДобавитьСтрокиПодчиненныхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ДобавитьСтрокиПодчиненныхРеквизитов(СтрокаРодитель,КодАналитики,МассивРеквизитов,ИмяРеквизита,КэшНайденныхЗначений,СтруктураПодчиненныхРеквизитов,ПравилаИспользованияПолей,КолонкиДанных) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ДобавитьСтрокиПодчиненныхРеквизитов(СтрокаРодитель, КодАналитики, МассивРеквизитов, ИмяРеквизита, КэшНайденныхЗначений, СтруктураПодчиненныхРеквизитов, ПравилаИспользованияПолей, КолонкиДанных));
```
</details>

## ДобавитьСтруктуруВКэш
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьСтруктуруВКэш(КэшНайденныхЗначений,ТаблицаАналитики,ИмяРеквизита,РазделятьПоОрганизациям=Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ДобавитьСтруктуруВКэш(КэшНайденныхЗначений, ТаблицаАналитики, ИмяРеквизита, РазделятьПоОрганизациям);
```
</details>

## ПолучитьЭлементСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭлементСправочника(ТаблицаАналитики,СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьЭлементСправочника(ТаблицаАналитики, СтруктураПараметров));
```
</details>

## ОбновитьДанныеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбновитьДанныеОбъекта(Ссылка,СтруктураОбновления,КонтекстОтчета,ОбновлятьРеквизитыПриИмпорте=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ОбновитьДанныеОбъекта(Ссылка, СтруктураОбновления, КонтекстОтчета, ОбновлятьРеквизитыПриИмпорте);
```
</details>

## ПроверитьВозможностьИспользованияРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьИспользованияРеквизита(ИспользованиеРеквизита,ЭтоГруппа) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПроверитьВозможностьИспользованияРеквизита(ИспользованиеРеквизита, ЭтоГруппа));
```
</details>

## ПолучитьОбъектТекущейИБПоGUIDВнешней
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОбъектТекущейИБПоGUIDВнешней(ДанныеРеквизитов,КэшНайденныхЗначений,КонтекстОтчета,ОбъектВнешнейИБ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьОбъектТекущейИБПоGUIDВнешней(ДанныеРеквизитов, КэшНайденныхЗначений, КонтекстОтчета, ОбъектВнешнейИБ));
```
</details>

## ПроверитьИСинхронизироватьТаблицуРезультатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьИСинхронизироватьТаблицуРезультатов(ТаблицаДанных,СтруктураКлючевыхРеквизитов,ПравилаИспользованияПолей,СтруктураОшибок) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПроверитьИСинхронизироватьТаблицуРезультатов(ТаблицаДанных, СтруктураКлючевыхРеквизитов, ПравилаИспользованияПолей, СтруктураОшибок));
```
</details>

## ПоместитьЗначенияВТаблицуОперандовВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоместитьЗначенияВТаблицуОперандовВИБ(ОбъектРасчета,ТабОперандов,ТабСчетаОперандов,СоответствиеРесурсов,МассивРесурсов,ЕстьРазворотПоАналитикам,СписокКодовОперандов=Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПоместитьЗначенияВТаблицуОперандовВИБ(ОбъектРасчета, ТабОперандов, ТабСчетаОперандов, СоответствиеРесурсов, МассивРесурсов, ЕстьРазворотПоАналитикам, СписокКодовОперандов);
```
</details>

## РазобратьСводныеДанныеADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РазобратьСводныеДанныеADO(ОбъектРасчета, ТаблицаДанных, ТаблицаОперандов, ТабПравилаИспользованияПолей, РасширенныйАлгоритмРасчетаПоказателей=Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.РазобратьСводныеДанныеADO(ОбъектРасчета, ТаблицаДанных, ТаблицаОперандов, ТабПравилаИспользованияПолей, РасширенныйАлгоритмРасчетаПоказателей);
```
</details>

## ПолучитьТаблицуДанныхДляРегистра77
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает таблицу значений для операнда, получаемого из регистра 1С: Предприятия 7.7
//
Функция ПолучитьТаблицуДанныхДляРегистра77(СтруктураЗапроса, ПроверочнаяТаблица = Неопределено,ТолькоРегистр=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуДанныхДляРегистра77(СтруктураЗапроса, ПроверочнаяТаблица, ТолькоРегистр);
```
</details>

## ПолучитьЗначениеВИБНаОснованииОтбора77
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает элемент справочника из ВИБ, удовлетворяющего условиям,
// указанным в поле УточнениеСпособаОпределения параметра СтрокаВычисления.
//
Функция ПолучитьЗначениеВИБНаОснованииОтбора77(ВИБ,База, СтрокаВычисления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьЗначениеВИБНаОснованииОтбора77(ВИБ, База, СтрокаВычисления) 
```
</details>

## ПеренестиДанныеИзТЗ77
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Функция переносит данные из таблицы, полученной из 7.7 в специально подготовленную таблицу 1С: Предприятия 8.
Процедура ПеренестиДанныеИзТЗ77(Таблица77, Таблица8, СтруктураПолей, РесурсРегистра) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПеренестиДанныеИзТЗ77(Таблица77, Таблица8, СтруктураПолей, РесурсРегистра));
```
</details>

## ПолучитьРазвертываниеПоСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ТЗ для конкретной аналитики основного счета, заданной параметром ТекИндекс.
//
Функция ПолучитьРазвертываниеПоСубконто(БухИтоги, СписокРесурсов, ТекИндекс, СтруктураПолей, ТаблицаИспользуемыхАналитик, ТекСчет Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьРазвертываниеПоСубконто(БухИтоги, СписокРесурсов, ТекИндекс, СтруктураПолей, ТаблицаИспользуемыхАналитик, ТекСчет);
```
</details>

## ПолучитьРазвертываниеПоСубконтоКС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ТЗ для конкретной аналитики корсчета, заданной параметром ТекИндекс.
//
Функция ПолучитьРазвертываниеПоСубконтоКС(БухИтоги, СписокРесурсов, ТекИндекс, СтруктураПолей, ТаблицаИспользуемыхАналитик, ЕстьСубконтоОснСчета = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьРазвертываниеПоСубконтоКС(БухИтоги, СписокРесурсов, ТекИндекс, СтруктураПолей, ТаблицаИспользуемыхАналитик, ЕстьСубконтоОснСчета);
```
</details>

## ПолучитьДетализациюПоКС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ТЗ для корсчетов.
//
Функция ПолучитьДетализациюПоКС(БухИтоги, СписокРесурсов, СтруктураПолей, ОборотМеждуСчетами = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьДетализациюПоКС(БухИтоги, СписокРесурсов, СтруктураПолей, ОборотМеждуСчетами);
```
</details>

## ПолучитьЗначениеИтогов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначениеИтогов(БухИтоги, Ресурс, РаскрытиеПоСубконто = Ложь, ОборотМеждуСчетами = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьЗначениеИтогов(БухИтоги, Ресурс, РаскрытиеПоСубконто, ОборотМеждуСчетами);
```
</details>

## СформироватьТЗНаОсновеСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует ТЗ, поля которой соответствуют записям в структуре СтруктураПолей.
//
Функция СформироватьТЗНаОсновеСтруктуры(СтруктураПолей) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.СформироватьТЗНаОсновеСтруктуры(СтруктураПолей));
```
</details>

## ПолучитьОтборИзВИБ77
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



Функция ПолучитьОтборИзВИБ77(ВИБ,База, СправочникБД, ИмяПараметра, МассивОтбора) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьОтборИзВИБ77(ВИБ, База, СправочникБД, ИмяПараметра, МассивОтбора));
```
</details>

## ПолучитьОтборПоДаннымКонсолидации77
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтборПоДаннымКонсолидации77(ВИБ, База, ИмяПараметра, ЗначениеКонсолидации, Отбор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьОтборПоДаннымКонсолидации77(ВИБ, База, ИмяПараметра, ЗначениеКонсолидации, Отбор));
```
</details>

## ПолучитьРабочуюСтрокуТаблицыПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРабочуюСтрокуТаблицыПолей(ТаблицаАналитикиВИБ,ТаблицаПолей) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьРабочуюСтрокуТаблицыПолей(ТаблицаАналитикиВИБ, ТаблицаПолей));
```
</details>

## ADO_ПолучитьКонструкциюОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ADO_ПолучитьКонструкциюОтбора(ПолеБД,СтрокаПараметр) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ADO_ПолучитьКонструкциюОтбора(ПолеБД, СтрокаПараметр) 
```
</details>

## ПолучитьСписокОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокОтбора(СтрокаПараметр) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьСписокОтбора(СтрокаПараметр));
```
</details>

## ADO_ПолучитьДанныеИзЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ADO_ПолучитьДанныеИзЗапроса(ТекстЗапроса, СтруктураЗапроса, ТипыКолонокРезультата, ДополнительныеСвойстваИмпорта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ADO_ПолучитьДанныеИзЗапроса(ТекстЗапроса, СтруктураЗапроса, ТипыКолонокРезультата, ДополнительныеСвойстваИмпорта);
```
</details>

## ПроверитьИсточникADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьИсточникADO(СтруктураЗапроса, ДополнительныеСвойстваИмпорта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПроверитьИсточникADO(СтруктураЗапроса, ДополнительныеСвойстваИмпорта);
```
</details>

## СформироватьТекстСоединения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


Функция СформироватьТекстСоединения(ИмяТаблицы,ПсевдонимСоединения,МассивУсловий) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.СформироватьТекстСоединения(ИмяТаблицы, ПсевдонимСоединения, МассивУсловий));
```
</details>

## ПолучитьСтрокуОтбораПоДате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтрокуОтбораПоДате(ИмяТаблицы,СтруктураОтбора,СтруктураЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьСтрокуОтбораПоДате(ИмяТаблицы, СтруктураОтбора, СтруктураЗапроса));
```
</details>

## ПолучитьТекстОтбораПоСписку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстОтбораПоСписку(ИмяТаблицы,МассивСоответствий,СтруктураЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТекстОтбораПоСписку(ИмяТаблицы, МассивСоответствий, СтруктураЗапроса));
```
</details>

## ADO_ПолучитьСтрокуИзСпискаЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ADO_ПолучитьСтрокуИзСпискаЗначений(СписокЗначений,СтруктураЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ADO_ПолучитьСтрокуИзСпискаЗначений(СписокЗначений, СтруктураЗапроса) 
```
</details>

## ПолучитьТекстПараметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстПараметра(ЗначениеПараметра,СтруктураЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТекстПараметра(ЗначениеПараметра, СтруктураЗапроса));
```
</details>

## ПолучитьРабочийПсевдонимТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРабочийПсевдонимТаблицы(ИмяТаблицы, ВыбранныеТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьРабочийПсевдонимТаблицы(ИмяТаблицы, ВыбранныеТаблицы));
```
</details>

## ПолучитьИмяКолонкиТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяКолонкиТаблицы(ПолеЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьИмяКолонкиТаблицы(ПолеЗапроса));
```
</details>

## ДобавитьОшибкуВДополнительныеСвойстваИмпорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОшибкуВДополнительныеСвойстваИмпорта(ДополнительныеСвойстваИмпорта, ИмяОшибки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ДобавитьОшибкуВДополнительныеСвойстваИмпорта(ДополнительныеСвойстваИмпорта, ИмяОшибки));
```
</details>

## ПропуститьОшибкиОтсутствияТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПропуститьОшибкиОтсутствияТаблиц(ДополнительныеСвойстваИмпорта) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПропуститьОшибкиОтсутствияТаблиц(ДополнительныеСвойстваИмпорта) 
```
</details>

## ДобавитьПолеВТаблицуПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

Процедура ДобавитьПолеВТаблицуПолей(ТаблицаПолей, ПутьКДанным, ИмяПоля) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ДобавитьПолеВТаблицуПолей(ТаблицаПолей, ПутьКДанным, ИмяПоля));
```
</details>

## ПолучитьИдентификаторыВнешнейИБПоТекущему
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////Новые модули для работы с WS

Процедура ПолучитьИдентификаторыВнешнейИБПоТекущему(ИспользуемаяИБ,ОбъектТекущейИБ,МассивОтбора) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьИдентификаторыВнешнейИБПоТекущему(ИспользуемаяИБ, ОбъектТекущейИБ, МассивОтбора));
```
</details>

## ПолучитьСтруктуруОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОтбора(ТаблицаАналитики, Отбор,ИспользуемаяИБ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьСтруктуруОтбора(ТаблицаАналитики, Отбор, ИспользуемаяИБ) 
```
</details>

## ПолучитьСтруктуруОтбораПоДаннымКонсолидации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОтбораПоДаннымКонсолидации(ЗначениеКонсолидации,Отбор,ИспользуемаяИБ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьСтруктуруОтбораПоДаннымКонсолидации(ЗначениеКонсолидации, Отбор, ИспользуемаяИБ));
```
</details>

## ПолучитьОтборИзВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтборИзВИБ(ВИБ, База, СправочникБД, Отбор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьОтборИзВИБ(ВИБ, База, СправочникБД, Отбор) 
```
</details>

## ПолучитьОтборПоДаннымКонсолидации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтборПоДаннымКонсолидации(ВИБ,База, ПостроительЗапроса, ИмяПараметра, ЗначениеКонсолидации, Отбор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьОтборПоДаннымКонсолидации(ВИБ, База, ПостроительЗапроса, ИмяПараметра, ЗначениеКонсолидации, Отбор));
```
</details>

## ADO_ПодготовитьТаблицуПолейДляЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ADO_ПодготовитьТаблицуПолейДляЗапроса(ПравилаИспользованияПолей) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ADO_ПодготовитьТаблицуПолейДляЗапроса(ПравилаИспользованияПолей) 
```
</details>

## ПолучитьПустуюСсылкуБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПустуюСсылкуБД(База, ТаблицаАналитки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьПустуюСсылкуБД(База, ТаблицаАналитки));
```
</details>

## ПолучитьОбъектыВнешнейИБПоТекущему
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОбъектыВнешнейИБПоТекущему(ИспользуемаяИБ,База,ОбъектТекущейИБ,СправочникБД,СписокЗначенийВиб) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьОбъектыВнешнейИБПоТекущему(ИспользуемаяИБ, База, ОбъектТекущейИБ, СправочникБД, СписокЗначенийВиб));
```
</details>

## ПолучитьПредставлениеСсылкиВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредставлениеСсылкиВИБ(База,СправочникБД,Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьПредставлениеСсылкиВИБ(База, СправочникБД, Ссылка));
```
</details>

## ПолучитьСоединениеВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСоединениеВИБ(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьСоединениеВИБ(ОбъектРасчета) 
```
</details>

## ПолучитьРабочуюТаблицуВычисленияПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРабочуюТаблицуВычисленияПараметров(ТаблицаВычисленияПараметров) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьРабочуюТаблицуВычисленияПараметров(ТаблицаВычисленияПараметров) 
```
</details>

## ПолучитьЗначениеРеквизитаДляОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначениеРеквизитаДляОтбора(Ссылка,РеквизитОбъектаКонсолидации,ТаблицаАналитики) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьЗначениеРеквизитаДляОтбора(Ссылка, РеквизитОбъектаКонсолидации, ТаблицаАналитики));
```
</details>

## ПолучитьРабочуюТаблицуВычисленияПараметровADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРабочуюТаблицуВычисленияПараметровADO(ТаблицаВычисленияПараметров) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьРабочуюТаблицуВычисленияПараметровADO(ТаблицаВычисленияПараметров) 
```
</details>

## НеГруппироватьПриОбмене
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НеГруппироватьПриОбмене(СтрРеквизит,ВыгрузкаДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.НеГруппироватьПриОбмене(СтрРеквизит, ВыгрузкаДанных));
```
</details>

## ПодготовитьТаблицуПолейДляЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьТаблицуПолейДляЗапроса(ПравилаИспользованияПолей,ДанныеСчетов77=Ложь,ВыгрузкаДанных=Ложь,ПолучатьПредставление=Ложь,ПервичноеЗаполнение=Истина,ОбменНСИ=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПодготовитьТаблицуПолейДляЗапроса(ПравилаИспользованияПолей, ДанныеСчетов77, ВыгрузкаДанных, ПолучатьПредставление, ПервичноеЗаполнение, ОбменНСИ);
```
</details>

## ЗаполнитьАналитикуПоПравилам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьАналитикуПоПравилам(ТаблицаДанных,ПравилаИспользованияПолей,СтруктураКлючевыхРеквизитов=Неопределено,СтруктураПодчиненныхРеквизитов=Неопределено,КонтекстОтчета=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ЗаполнитьАналитикуПоПравилам(ТаблицаДанных, ПравилаИспользованияПолей, СтруктураКлючевыхРеквизитов, СтруктураПодчиненныхРеквизитов, КонтекстОтчета);
```
</details>

## ПолучитьСоответствиеТаблицДублей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоответствиеТаблицДублей(ТабРезультат,ТабГруппировкиДубли) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьСоответствиеТаблицДублей(ТабРезультат, ТабГруппировкиДубли) 
```
</details>

## ПолучитьДанныеРеквизитаОбъектаМД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеРеквизитаОбъектаМД(ТаблицаАналитики,ПолеРеквизита,СоответствиеОбъектовМД) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьДанныеРеквизитаОбъектаМД(ТаблицаАналитики, ПолеРеквизита, СоответствиеОбъектовМД));
```
</details>

## ПолучитьТекстПеречисленияИЗВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстПеречисленияИЗВИБ(База,ЗначениеПеречисления,Использование77=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТекстПеречисленияИЗВИБ(База, ЗначениеПеречисления, Использование77);
```
</details>

## ПолучитьНастройкуСоответствияРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНастройкуСоответствияРеквизитов(ТипБД,СправочникКонсолидации,СправочникБД,ТипМетаДанных,ПервыйЭлемент=Истина,СоздаватьОбъект=Ложь,ТипОбъектаКонсолидации="") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьНастройкуСоответствияРеквизитов(ТипБД, СправочникКонсолидации, СправочникБД, ТипМетаДанных, ПервыйЭлемент, СоздаватьОбъект, ТипОбъектаКонсолидации);
```
</details>

## ПолучитьОписаниеТипаЗначенияПВХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеТипаЗначенияПВХ(КонтекстОтчета,ТаблицаАналитикиВИБ,СтрокаUUID) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьОписаниеТипаЗначенияПВХ(КонтекстОтчета, ТаблицаАналитикиВИБ, СтрокаUUID) 
```
</details>

## ПолучитьМассивСсылочныхТиповПоСтрокеВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивСсылочныхТиповПоСтрокеВИБ(ТипБД,СтрокаТип) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьМассивСсылочныхТиповПоСтрокеВИБ(ТипБД, СтрокаТип) 
```
</details>

## ПреобразоватьТипОбъектаВнешнейИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПреобразоватьТипОбъектаВнешнейИБ(ТипОбъектаВнешнейИБ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПреобразоватьТипОбъектаВнешнейИБ(ТипОбъектаВнешнейИБ) 
```
</details>

## ПолучитьТаблицуМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуМетаданных(ТипДанных,ТаблицаМетаданных=Неопределено,ИскатьСуществующие=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуМетаданных(ТипДанных, ТаблицаМетаданных, ИскатьСуществующие);
```
</details>

## ПолучитьТаблицуСоответствий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуСоответствий(ТипБД,ТипДанных,ТаблицаМетаданных=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьТаблицуСоответствий(ТипБД, ТипДанных, ТаблицаМетаданных);
```
</details>

## ПолучитьПроектСоответствий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПроектСоответствий(ТабНастройкаСоответствий) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСВнешнимиСистемамиУХ.ПолучитьПроектСоответствий(ТабНастройкаСоответствий));
```
</details>

## СформироватьНастройкиСоответствия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьНастройкиСоответствия(ТипБД,ТипДанных,ТабНастройкаСоответствий=Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.СформироватьНастройкиСоответствия(ТипБД, ТипДанных, ТабНастройкаСоответствий);
```
</details>

## ОбработатьТаблицуНастроекСоответствий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьТаблицуНастроекСоответствий(ТипБД,ТабНастройкаСоответствий) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ОбработатьТаблицуНастроекСоответствий(ТипБД, ТабНастройкаСоответствий));
```
</details>

## ОбработатьТЧРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьТЧРеквизитов(ТипБД,Реквизиты,ТаблицаМетаданных) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ОбработатьТЧРеквизитов(ТипБД, Реквизиты, ТаблицаМетаданных));
```
</details>

## ДополнитьТаблицуМетаданныхРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьТаблицуМетаданныхРекурсивно(ТипБД,ОписаниеОбъектаВИБ,ТаблицаМетаданных) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.ДополнитьТаблицуМетаданныхРекурсивно(ТипБД, ОписаниеОбъектаВИБ, ТаблицаМетаданных));
```
</details>

## СоздатьНастройкуСоответствияПеречисление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьНастройкуСоответствияПеречисление(ТипБД,СтрокаДанные) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.СоздатьНастройкуСоответствияПеречисление(ТипБД, СтрокаДанные));
```
</details>

## СоздатьНастройкуСоответствияПланСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьНастройкуСоответствияПланСчетов(ТипБД,СтрокаДанные) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСВнешнимиСистемамиУХ.СоздатьНастройкуСоответствияПланСчетов(ТипБД, СтрокаДанные));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
