---
title: Интеграция с коннект клиент
slug: erp-uh/интеграция-с-коннект-клиент
---


## НастройкаИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки интеграции с сервисом 1С-Коннект.
//
// Параметры:
//  Владелец - ФормаКлиентскогоПриложения, Неопределено - форма, которая будет установлена в качестве владельца.
//  ОписаниеОповещения - ОписаниеОповещения - оповещение, которое необходимо выполнить после завершения
//                      настройки интеграции.
//
Процедура НастройкаИнтеграции( Экспорт
```

Пример вызова
```bsl
ИнтеграцияСКоннектКлиент.НастройкаИнтеграции();
```
</details>

## СвязатьсяСоСпециалистом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает приложение 1С-Коннект. Если приложение не установлено
// на клиентский персональный компьютер, открывается форма настройки
// подключения.
//
Процедура СвязатьсяСоСпециалистом() Экспорт
```

Пример вызова
```bsl
ИнтеграцияСКоннектКлиент.СвязатьсяСоСпециалистом() 
```
</details>

## ИмяСобытияОбновленияНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя события, которое будет содержать оповещение
// о завершении настройки интеграции для пользователя.
//
// Возвращаемое значение:
//  Строка - Имя события. Может быть использовано для идентификации
//           сообщений принимающими их формами.
//
Функция ИмяСобытияОбновленияНастроек() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСКоннектКлиент.ИмяСобытияОбновленияНастроек() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
