---
title: Интеграция с маркетплейсами клиент
slug: erp-uh/интеграция-с-маркетплейсами-клиент
---


## ВыполнитьКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает вызов команды заполнения.
//
// Параметры:
//  Форма      - ФормаКлиентскогоПриложения  - форма, в которой требуется обработать событие.
//  ИмяКоманды - Строка - имя обрабатываемой команды.
//  ЗначенияПараметров - Структура из КлючИЗначение - произвольный список параметров.
//
Процедура ВыполнитьКоманду(Форма, ИмяКоманды, ЗначенияПараметров) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсамиКлиент.ВыполнитьКоманду(Форма, ИмяКоманды, ЗначенияПараметров) 
```
</details>

## ОбработатьСобытиеНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку события начала выбора для элемента.
//
// Параметры:
//   Форма                - ФормаКлиентскогоПриложения  - форма, в которой требуется обработать событие.
//   Элемент              - ПолеФормы  - элемент, для которого требуется обработать событие.
//   ДанныеВыбора         - Неопределено,
//                        - СписокЗначений - для заполнения списка доступных к выбору значений.
//   СтандартнаяОбработка - Булево - признак стандартной обработки.
//   Параметры            - Неопределено
//                        - Структура из КлючИЗначение - любые переданные параметры.
//
Процедура ОбработатьСобытиеНачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка, Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсамиКлиент.ОбработатьСобытиеНачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка, );
```
</details>

## ДополнитьПараметрыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В зависимости вида формы и от ключа назначения формы дополняются параметры открытия формы.
//
// Параметры:
//   ПараметрыФормы             - Структура - параметры формы, где ключ структуры - имя параметра, а значение - значение
//                                  параметра формы.
//   ИсточникПараметров         - Структура - параметры, на основании которых выполняется анализ необходимости дополнения параметров формы:
//     * КлючНазначенияФормы      - Строка - ключ назначения формы.
//     * ДанныеТорговойПлощадки   - Структура Из КлючИЗначение - данные торговой площадки.
//   ИмяОткрываемойФормы        - Строка - имя формы, параметры для которой нужно дополнить.
//
Процедура ДополнитьПараметрыФормы(ПараметрыФормы, ИсточникПараметров, ИмяОткрываемойФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсамиКлиент.ДополнитьПараметрыФормы(ПараметрыФормы, ИсточникПараметров, ИмяОткрываемойФормы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
