---
title: Интеграция с маркетплейсами сервер
slug: erp-uh/интеграция-с-маркетплейсами-сервер
---


## ИспользуетсяИнтеграцияСМаркетплейсами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования интеграции хотя бы с одним маркетплейсом.
//
// Возвращаемое значение:
//   Булево - признак использования интеграции.
//
Функция ИспользуетсяИнтеграцияСМаркетплейсами() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ИспользуетсяИнтеграцияСМаркетплейсами() 
```
</details>

## ПриСозданииФормыЭлементаПрисоединенныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает элементы подсистемы "Интеграция с Ozon" в форме присоединенного файла.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - источник события.
//
Процедура ПриСозданииФормыЭлементаПрисоединенныхФайлов(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсамиСервер.ПриСозданииФормыЭлементаПрисоединенныхФайлов(Форма) 
```
</details>

## ПриСозданииФормыСпискаПрисоединенныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает элементы подсистемы "Интеграция с Ozon" в форме списка присоединенных файлов.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - источник события.
//
Процедура ПриСозданииФормыСпискаПрисоединенныхФайлов(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсамиСервер.ПриСозданииФормыСпискаПрисоединенныхФайлов(Форма) 
```
</details>

## ПриСозданииФормыЭлементаСертификатаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает элементы подсистемы "Интеграция с Ozon" в форме сертификата номенклатуры.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - источник события.
//
Процедура ПриСозданииФормыЭлементаСертификатаНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсамиСервер.ПриСозданииФормыЭлементаСертификатаНоменклатуры(Форма) 
```
</details>

## ПриСозданииФормыСпискаКонтекстСертификатовНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При создании формы списка контекст сертификатов номенклатуры.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - источник события.
//
Процедура ПриСозданииФормыСпискаКонтекстСертификатовНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсамиСервер.ПриСозданииФормыСпискаКонтекстСертификатовНоменклатуры(Форма) 
```
</details>

## НоваяОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описывает структуру ошибки.
//
// Возвращаемое значение:
//   Структура - описание ошибки:
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки.
//     * Детализация    - Массив Из Строка - детализированная информация по ошибке;
//                      - Неопределено - детализация не используется (по умолчанию).
//
Функция НоваяОшибка() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка() 
```
</details>

## ПараметрыРаботыССервисомАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает общие параметры подключения к REST API Яндекс.OAuth.
//
// Возвращаемое значение:
//   Структура - дополненная структура функции ПараметрыСоединения().
//
Функция ПараметрыРаботыССервисомАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ПараметрыРаботыССервисомАвторизации() 
```
</details>

## ПараметрыРаботыСЯндексДиском
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает общие параметры подключения к REST API Яндекс.Диск.
//
// Возвращаемое значение:
//   Структура - дополненная структура функции ПараметрыСоединения().
//
Функция ПараметрыРаботыСЯндексДиском() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ПараметрыРаботыСЯндексДиском() 
```
</details>

## ПараметрыПриложенияЯндексДиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает общие параметры приложения для использования в механизмах сервиса.
//
// Возвращаемое значение:
//   Структура - дополненная структура функции ПараметрыПриложения().
//
Функция ПараметрыПриложенияЯндексДиск() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ПараметрыПриложенияЯндексДиск() 
```
</details>

## ЗапросHTTP
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует HTTPЗапрос по переданным данным.
//
// Параметры:
//   Адрес                   - Строка - путь к ресурсу на сервере.
//   ТелоЗапроса             - Строка, ДвоичныеДанные - источник для установки тела запроса.
//                               Применимо для методов HTTP: OPTIONS, PATCH, POST и PUT.
//   ДополнительныеЗаголовки - Соответствие Из КлючИЗначение - заголовки запроса. Могут перезаписывать обязательные
//                               заголовки функции. Названия заголовков регистронезависимые.
//
// Возвращаемое значение:
//   HTTPЗапрос - подготовленный для отправки запрос HTTP.
//
Функция ЗапросHTTP(Адрес, ТелоЗапроса = "", ДополнительныеЗаголовки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ЗапросHTTP(Адрес, ТелоЗапроса, ДополнительныеЗаголовки);
```
</details>

## ЗаписатьДанныеПриложенияВХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает список ключей и значений по адресу в защищенное хранилище.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - используется для формирования адреса в
//                                 хранилище.
//   ПараметрыПриложения       - Структура - используется для формирования адреса в хранилище, см. ПараметрыПриложения.
//   ДанныеПриложения          - Структура, Соответствие Из Произвольный - источник пар ключ/значение для записи в
//                                 защищенное хранилище.
//
Процедура ЗаписатьДанныеПриложенияВХранилище(УчетнаяЗаписьМаркетплейса, ПараметрыПриложения, ДанныеПриложения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсамиСервер.ЗаписатьДанныеПриложенияВХранилище(УчетнаяЗаписьМаркетплейса, ПараметрыПриложения, ДанныеПриложения) 
```
</details>

## ПолучитьДанныеПриложенияИзХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные приложения из хранилища.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - используется для формирования адреса в
//                                 хранилище.
//   ПараметрыПриложения       - Структура - используется для формирования адреса в хранилище, см. ПараметрыПриложения.
//   Ключи                     - Строка - имена ключей, разделенные запятыми.
//
// Возвращаемое значение:
//   Произвольный, Структура, Неопределено - данные из безопасного хранилища. Если указан один ключ, то возвращается его
//     значение, иначе структура. Если данные отсутствуют - Неопределенно.
//
Функция ПолучитьДанныеПриложенияИзХранилища(УчетнаяЗаписьМаркетплейса, ПараметрыПриложения, Ключи) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ПолучитьДанныеПриложенияИзХранилища(УчетнаяЗаписьМаркетплейса, ПараметрыПриложения, Ключи) 
```
</details>

## АдресЗапросаКодаПодтверждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует адрес для интерактивного запроса кода подтверждения.
//
// Параметры:
//   КодПриложения - Строка - код приложения Яндекс, для которого запрашивается доступ.
//
// Возвращаемое значение:
//   Строка - адрес для перехода на страницу запроса кода подтверждения.
//
Функция АдресЗапросаКодаПодтверждения(КодПриложения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.АдресЗапросаКодаПодтверждения(КодПриложения) 
```
</details>

## ЗапроситьТокеныАвторизацииПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запрашивает токены авторизации приложения по коду подтверждения от пользователя.
//
// Параметры:
//   Приложение       - Структура - описание приложения Яндекс.
//                        Содержит ключи: client_id, client_secret.
//   КодПодтверждения - Строка - код подтверждения, указанный пользователем.
//
// Возвращаемое значение:
//   Структура - результат обмена кода подтверждения на ключи доступа для приложения.
//               Содержит ключи: Отказ, token_type, access_token, expires_in, refresh_token.
//
Функция ЗапроситьТокеныАвторизацииПоКоду(Приложение, КодПодтверждения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ЗапроситьТокеныАвторизацииПоКоду(Приложение, КодПодтверждения) 
```
</details>

## ОбновитьТокеныАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запрашивает токены авторизации приложения по токену обновления.
//
// Параметры:
//   Приложение      - Структура - описание приложения Яндекс.
//                       Содержит ключи: client_id, client_secret.
//   ТокенОбновления - Строка - токен обновления, полученный при предыдущем запросе.
//
// Возвращаемое значение:
//   Структура - результат обновления токенов доступа для приложения.
//               Содержит ключи: Отказ, token_type, access_token, expires_in, refresh_token.
//
Функция ОбновитьТокеныАвторизации(Приложение, ТокенОбновления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ОбновитьТокеныАвторизации(Приложение, ТокенОбновления) 
```
</details>

## ПолучитьТокенДоступаЯндексДиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает из хранилища токен доступа, выданный приложению для работы с сервисом Яндекс.Диск.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - используется для формирования адреса в
//                                 хранилище.
//
// Возвращаемое значение:
//   Строка - токен доступа приложения.
//
Функция ПолучитьТокенДоступаЯндексДиск(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ПолучитьТокенДоступаЯндексДиск(УчетнаяЗаписьМаркетплейса) 
```
</details>

## ПолучитьИнформациюОРесурсе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает метаинформацию о файле или каталоге с помощью запроса GET к методу v1/disk/resources.
//
// Параметры:
//   ТокенДоступа       - Строка - access_token приложения.
//   ПрисоединенныйФайл - СправочникСсылка.НоменклатураПрисоединенныеФайлы - файл, по которому запрашивается информация
//                          от сервиса.
//   СписокПолей        - Строка - имена реквизитов, разделенные запятой. Подробности см. в описании метода API.
//
// Возвращаемое значение:
//   Структура - содержит свойство "Отказ" (булево) и значения запрошенных полей.
//
Функция ПолучитьИнформациюОРесурсе(ТокенДоступа, ПрисоединенныйФайл, СписокПолей = "name") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ПолучитьИнформациюОРесурсе(ТокенДоступа, ПрисоединенныйФайл, СписокПолей);
```
</details>

## ЗагрузитьФайлНаСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает файл на сервис Яндекс.Диск в папку приложения и публикует его.
//
// Параметры:
//   ТокенДоступа          - Строка - access_token приложения.
//   ПрисоединенныйФайл    - СправочникСсылка.НоменклатураПрисоединенныеФайлы - файл, который загружается на сервис.
//   ОбновитьФайлНаСервисе - Булево - признак обновления.
//
// Возвращаемое значение:
//   Структура - содержит путь к файлу на сервисе, публичную ссылку и признак отказа в выполнении операции.
//
Функция ЗагрузитьФайлНаСервис(ТокенДоступа, ПрисоединенныйФайл, ОбновитьФайлНаСервисе = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.ЗагрузитьФайлНаСервис(ТокенДоступа, ПрисоединенныйФайл, ОбновитьФайлНаСервисе);
```
</details>

## УдалитьФайлССервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет ресурс с сервиса Яндекс.Диск из папки приложения.
//
// Параметры:
//   ТокенДоступа       - Строка - access_token приложения.
//   ПутьКФайлуНаЯДиске - Строка - путь к файлу на сервисе, возвращается функцией ЗагрузитьФайлНаСервис().
//
// Возвращаемое значение:
//   Булево - признак успешного завершения операции удаления файла.
//
Функция УдалитьФайлССервиса(ТокенДоступа, ПутьКФайлуНаЯДиске) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсамиСервер.УдалитьФайлССервиса(ТокенДоступа, ПутьКФайлуНаЯДиске) 
```
</details>

## ЗагрузитьИнформациюОПродажахТоваровЧерезТорговуюПлощадку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет загрузку информации о продажах товаров через торговую площадку. Используется регламентным заданием.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
Процедура ЗагрузитьИнформациюОПродажахТоваровЧерезТорговуюПлощадку(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсамиСервер.ЗагрузитьИнформациюОПродажахТоваровЧерезТорговуюПлощадку(УчетнаяЗаписьМаркетплейса) 
```
</details>

## ОбновитьИнформациюОПродажахТоваровЧерезТорговыеПлощадки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обновление информации о продажах товаров через торговую площадку. Используется регламентным заданием.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
Процедура ОбновитьИнформациюОПродажахТоваровЧерезТорговыеПлощадки(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсамиСервер.ОбновитьИнформациюОПродажахТоваровЧерезТорговыеПлощадки(УчетнаяЗаписьМаркетплейса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
