---
title: Интеграция с маркетплейсом ozon сервер
slug: erp-uh/интеграция-с-маркетплейсом-ozon-сервер
---


## СписокНастроекПодключенияКСервису
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список действующих учетных записей маркетплейса.
//
// Возвращаемое значение:
//   СписокЗначений Из СправочникСсылка.УчетныеЗаписиМаркетплейсов - не помеченные на удаление учетные записи Ozon.
//
Функция СписокНастроекПодключенияКСервису() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.СписокНастроекПодключенияКСервису() 
```
</details>

## ОчиститьНастройкиУчетнойЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает сохраненные данные авторизации по учетной записи.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
// Возвращаемое значение:
//   Булево - результат выполнения очистки.
//
Функция ОчиститьНастройкиУчетнойЗаписи(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ОчиститьНастройкиУчетнойЗаписи(УчетнаяЗаписьМаркетплейса) 
```
</details>

## НастройкиУчетнойЗаписиСЗагружаемымиВидамиЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список настроек учетной записи.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ТолькоЗагружаемые         - Булево - признак удаления выгружаемых видов цен из результата.
//
// Возвращаемое значение:
//   См. Справочники.УчетныеЗаписиМаркетплейсов.НастройкиУчетнойЗаписи.
//
Функция НастройкиУчетнойЗаписиСЗагружаемымиВидамиЦен(УчетнаяЗаписьМаркетплейса, ТолькоЗагружаемые = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.НастройкиУчетнойЗаписиСЗагружаемымиВидамиЦен(УчетнаяЗаписьМаркетплейса, ТолькоЗагружаемые);
```
</details>

## ЗаполнитьДеревоКатегорийИТиповТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет дерево категорий и типов товаров.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ДеревоКатегорий           - ДеревоЗначений - дерево, которое необходимо заполнить,
//                                 см. Обработка.УправлениеПродажамиНаOzon.Форма.ВыборКатегорииМаркетплейса.ДеревоКатегорийМаркетплейса.
//   КатегорииИТипыТоваров     - Неопределено -
//                             - Массив Из Соответствие - данные из кэша клиентского приложения,
//                                 см. ПолучитьКатегорииИТипыТоваровИзСервиса.
//   ТолькоИспользуемые        - Булево - признак построения дерева категорий только по категориям, по которым созданы
//                                 карточки товара для учетной записи.
//   ПараметрыУстановкиПометок - Неопределено - установка пометок строк коллекции не используется;
//                             - Структура - параметры, используемые при установке пометок строк коллекции,
//                                 см. НовыеПараметрыУстановкиПометокВКоллекции.
//
// Возвращаемое значение:
//   Структура - структура с заполненным деревом и кэшем клиентского приложения:
//     * ДеревоКатегорий - ДеревоЗначений - заполненное дерево категорий, переданное во входящем параметре.
//     * ДанныеКэша      - Неопределено -
//                       - Массив Из Соответствие - кэш клиентского приложения,
//                           см. ПолучитьКатегорииИТипыТоваровИзСервиса.
//
Функция ЗаполнитьДеревоКатегорийИТиповТоваров(УчетнаяЗаписьМаркетплейса, ДеревоКатегорий, КатегорииИТипыТоваров = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ЗаполнитьДеревоКатегорийИТиповТоваров(УчетнаяЗаписьМаркетплейса, ДеревоКатегорий, КатегорииИТипыТоваров, );
```
</details>

## ПредставлениеТоварнойПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строковое представление товарной позиции Ozon по шаблону.
//
// Параметры:
//   Номенклатура     - СправочникСсылка.Номенклатура - номенклатура товарной позиции.
//   Характеристика   - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика  товарной позиции.
//   Упаковка         - СправочникСсылка.УпаковкиЕдиницыИзмерения - упаковка  товарной позиции.
//   ОбъектПубликации - Неопределено -
//                    - СправочникСсылка.НоменклатураПрисоединенныеФайлы -
//                    - СправочникСсылка.СертификатыНоменклатуры - если указано, то возвращается наименование данного
//                        объекта.
//
// Возвращаемое значение:
//   Строка - строковое представление товарной позиции Ozon.
//
Функция ПредставлениеТоварнойПозиции(Номенклатура, Характеристика, Упаковка, ОбъектПубликации = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ПредставлениеТоварнойПозиции(Номенклатура, Характеристика, Упаковка, ОбъектПубликации);
```
</details>

## ВыполнитьПубликациюТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет публикуемые товары на модерацию в сервис Ozon.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ИдентификаторыПубликации  - Массив Из Строка - список внутренних идентификаторов товаров в системе продавца;
//                             - Неопределено - выборка по идентификаторам публикации не используется.
//   ЛимитПозицийНаИтерацию    - Число - ограничения выгрузки публикуемых товаров на одну итерацию.
//   ЛимитЗаданийВОчереди      - Число - ограничение заданий выгрузки публикуемых товаров.
//
// Возвращаемое значение:
//   См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
Функция ВыполнитьПубликациюТоваров(УчетнаяЗаписьМаркетплейса, ИдентификаторыПубликации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ВыполнитьПубликациюТоваров(УчетнаяЗаписьМаркетплейса, ИдентификаторыПубликации, );
```
</details>

## ВыполнитьПубликациюТоваровСУстановкойСтатусаКПубликации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет публикуемые товары на модерацию в сервис Ozon с установкой статуса в учетной системе.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ТаблицаТоваров            - ТаблицаЗначений - обрабатываемые товарные позиции, см. СведенияОВыгруженныхДанных.
//
// Возвращаемое значение:
//   См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
Функция ВыполнитьПубликациюТоваровСУстановкойСтатусаКПубликации(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ВыполнитьПубликациюТоваровСУстановкойСтатусаКПубликации(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров) 
```
</details>

## ПеренестиСписокТоваровВАрхив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет перенос товарных позиций из списка доступных для продажи в архив.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ТаблицаТоваров            - ТаблицаЗначений - обрабатываемые товарные позиции, см. СведенияОВыгруженныхДанных.
//
// Возвращаемое значение:
//   См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
Функция ПеренестиСписокТоваровВАрхив(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ПеренестиСписокТоваровВАрхив(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров) 
```
</details>

## ВернутьСписокТоваровИзАрхива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Возвращает товарные позиции из архива в список доступных для продажи.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ТаблицаТоваров            - ТаблицаЗначений - обрабатываемые товарные позиции, см. СведенияОВыгруженныхДанных.
//
// Возвращаемое значение:
//   См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
Функция ВернутьСписокТоваровИзАрхива(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ВернутьСписокТоваровИзАрхива(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров) 
```
</details>

## УдалитьСписокТоваровБезSKUИзАрхива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет товары без SKU из архива торговой площадки.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ТаблицаТоваров            - ТаблицаЗначений - обрабатываемые товарные позиции, см. СведенияОВыгруженныхДанных.
//
// Возвращаемое значение:
//   См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
Функция УдалитьСписокТоваровБезSKUИзАрхива(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.УдалитьСписокТоваровБезSKUИзАрхива(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров) 
```
</details>

## ЗаполнитьТаблицуТиповСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет типы сертификатов из информационной базы.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
// Возвращаемое значение:
//   Структура - результат выполнения:
//     * ТаблицаТиповСертификатов - ТаблицаЗначений - типы сертификатов:
//       ** ТипСертификата1С                         - Строка - содержит тип, к которому принадлежит сертификат;
//       ** ИдентификаторТипаСертификатаМаркетплейса - Строка - идентификатор объекта (сертификата) маркетплейса;
//       ** НаименованиеТипаСертификатаМаркетплейса  - Строка - наименование типа документа.
//
Функция ЗаполнитьТаблицуТиповСертификатов(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ЗаполнитьТаблицуТиповСертификатов(УчетнаяЗаписьМаркетплейса) 
```
</details>

## ВыгрузитьОстаткиТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает остатки товарных позиций из информационной базы на торговую площадку.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ТаблицаТоваров            - ТаблицаЗначений - обрабатываемые товарные позиции, см. СведенияОВыгруженныхДанных.
//   НулевыеОстатки            - Булево - признак выгрузки нулевых остатков вместо фактических значений.
//   ТолькоИзменения           - Булево - признак выгрузки только измененных значений остатков.
//
// Возвращаемое значение:
//   См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
Функция ВыгрузитьОстаткиТоваров(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров, НулевыеОстатки = Ложь, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ВыгрузитьОстаткиТоваров(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров, НулевыеОстатки, );
```
</details>

## ЗагрузитьОстаткиТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает остатки товарных позиций с маркетплейса в информационную базу.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ТаблицаТоваров            - ТаблицаЗначений - обрабатываемые товарные позиции, см. СведенияОВыгруженныхДанных.
//
// Возвращаемое значение:
//   См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
Функция ЗагрузитьОстаткиТоваров(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ЗагрузитьОстаткиТоваров(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров) 
```
</details>

## ЗагрузитьИнформациюОПродажахТоваровЧерезТорговуюПлощадку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет загрузку информации о продажах товаров через торговую площадку.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   НачалоПериода             - Дата, Неопределено - начало периода загрузки данных.
//   ОкончаниеПериода          - Дата, Неопределено - окончание периода загрузки данных.
//   МетодОтчетовОРеализации   - Булево - Истина, если использовать метод отчетов о реализованных товарах,
//                                 Ложь (по умолчанию) - приоритетным является метод отправлений.
//
// Возвращаемое значение:
//   См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
Функция ЗагрузитьИнформациюОПродажахТоваровЧерезТорговуюПлощадку(УчетнаяЗаписьМаркетплейса, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ЗагрузитьИнформациюОПродажахТоваровЧерезТорговуюПлощадку(УчетнаяЗаписьМаркетплейса, );
```
</details>

## ПолучитьТаблицуОборотовПоПродажам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает c использованием методов API таблицу оборотов для загрузки отчета по продажам.
//
// Параметры:
//   Параметры          - см. ПараметрыПолученияОборотовПоПродажам.
//   ИнформацияОбОшибке - См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
// Возвращаемое значение:
//   ТаблицаЗначений - см. НоваяТаблицаОборотовТоваровНаСкладахТорговойПлощадки.
//
Функция ПолучитьТаблицуОборотовПоПродажам(Параметры, ИнформацияОбОшибке) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ПолучитьТаблицуОборотовПоПродажам(Параметры, ИнформацияОбОшибке) 
```
</details>

## ОбновитьИнформациюОПродажахТоваровЧерезТорговуюПлощадку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обновление информации о продажах товаров через торговую площадку.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   НачалоПериода             - Дата -
//                             - Неопределено - начало периода загрузки данных.
//   ОкончаниеПериода          - Дата -
//                             - Неопределено - окончание периода загрузки данных.
//
// Возвращаемое значение:
//   См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
Функция ОбновитьИнформациюОПродажахТоваровЧерезТорговуюПлощадку(УчетнаяЗаписьМаркетплейса, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ОбновитьИнформациюОПродажахТоваровЧерезТорговуюПлощадку(УчетнаяЗаписьМаркетплейса, );
```
</details>

## ПолучитьОтправленияFBO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает подробный список отправлений по заказам FBO.
//
// Параметры:
//   УчетнаяЗаписьТорговойПлощадки - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   Параметры                     - Структура - параметры выполнения функции:
//     * ФильтрСтатуса               - Строка - представление статуса заказа, по которому необходимо осуществлять отбор.
//     * НачалоПериода               - Дата   - начало периода, за который необходимо получить данные заказов.
//     * КонецПериода                - Дата   - окончание периода, за который необходимо получить данные заказов.
//   ТаблицаЗаказов                - ТаблицаЗначений - таблица с данными заказов FBO,
//                                     см. Обработка.УправлениеПродажамиНаOzon.Форма.СписокЗаказовFBO.ТаблицаЗаказов.
//
// Возвращаемое значение:
//   Структура - результат выполнения функции:
//     * Ошибка         - см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//     * ТаблицаЗаказов - Неопределено - при наличии ошибок;
//                      - ТаблицаЗначений - заполненная таблица с данными заказов FBO,
//                          см. Обработка.УправлениеПродажамиНаOzon.Форма.СписокЗаказовFBO.ТаблицаЗаказов.
//
Функция ПолучитьОтправленияFBO(Знач УчетнаяЗаписьТорговойПлощадки, Знач Параметры, ТаблицаЗаказов) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ПолучитьОтправленияFBO(УчетнаяЗаписьТорговойПлощадки, Параметры, ТаблицаЗаказов) 
```
</details>

## ПолучитьДанныеПоПродажамТоваровЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает информацию о продажах товаров через торговую площадку за указанный период.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   НачалоПериода             - Дата -
//                             - Неопределено - начало периода загрузки данных.
//   ОкончаниеПериода          - Дата -
//                             - Неопределено - окончание периода загрузки данных.
//
// Возвращаемое значение:
//   Структура - результат выполнения:
//     * Ошибка                 - см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//     * ТаблицаОборотовТоваров - ТаблицаЗначений - данные об оборотах,
//                                  см. НоваяТаблицаОборотовТоваровНаСкладахТорговойПлощадки.
//
Функция ПолучитьДанныеПоПродажамТоваровЗаПериод(УчетнаяЗаписьМаркетплейса, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ПолучитьДанныеПоПродажамТоваровЗаПериод(УчетнаяЗаписьМаркетплейса, );
```
</details>

## ПолучитьДанныеПоОтправлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает информацию о продажах товаров через торговую площадку за указанный период.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   НомерОтправления          - Строка - номер отправления.
//
// Возвращаемое значение:
//   Структура - результат выполнения:
//     * Ошибка                 - см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//     * ТаблицаОборотовТоваров - ТаблицаЗначений - данные об оборотах,
//                                  см. НоваяТаблицаОборотовТоваровНаСкладахТорговойПлощадки.
//
Функция ПолучитьДанныеПоОтправлению(УчетнаяЗаписьМаркетплейса, НомерОтправления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ПолучитьДанныеПоОтправлению(УчетнаяЗаписьМаркетплейса, НомерОтправления) 
```
</details>

## ТипыЦенOzon
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает детальную информацию по типам цен, используемым учетными записями Ozon.
//
// Параметры:
//   ВключатьВыгружаемые - Булево - признак включения в результат функции выгружаемых типов цен.
//   ВключатьЗагружаемые - Булево - признак включения в результат функции загружаемых типов цен.
//
// Возвращаемое значение:
//   ТаблицаЗначений - таблица с описанием указанных типов цен учетной записи; содержит колонки:
//     * Идентификатор          - Строка - строковое обозначение типа цен.
//     * ИдентификаторДляФормул - Строка - шаблон для формирования идентификатора вида цен.
//     * Наименование           - Строка - наименование типа цен.
//     * ДляУчетнойЗаписи       - Булево - признак отношения типа цен к учетной записи или к интеграции в целом.
//     * ОбязательноеЗаполнение - Булево - признак обязательного заполнения в формах.
//     * Значение               - СправочникСсылка.ВидыЦен - пустая ссылка вида цен.
//
Функция ТипыЦенOzon(ВключатьВыгружаемые = Истина, ВключатьЗагружаемые = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ТипыЦенOzon(ВключатьВыгружаемые, ВключатьЗагружаемые);
```
</details>

## ВидыЦенУчетнойЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает детальную информацию по видам цен, используемым учетной записью Ozon с заполненным значением цены.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ВключатьВыгружаемые       - Булево - признак включения в результат функции выгружаемых видов цен.
//   ВключатьЗагружаемые       - Булево - признак включения в результат функции загружаемых видов цен.
//
// Возвращаемое значение:
//   ТаблицаЗначений - таблица с запрошенными видами цен и заполненным значением цены, см. ТипыЦенOzon.
//
Функция ВидыЦенУчетнойЗаписи(УчетнаяЗаписьМаркетплейса, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ВидыЦенУчетнойЗаписи(УчетнаяЗаписьМаркетплейса, );
```
</details>

## ЗагружаемыеТипыЦенНаOzon
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет загружаемые типы цен Ozon в виде списка значений.
//
// Возвращаемое значение:
//   СписокЗначений Из Строка - список типов цен Ozon.
//
Функция ЗагружаемыеТипыЦенНаOzon() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ЗагружаемыеТипыЦенНаOzon() 
```
</details>

## ПолучитьТипыЦенНаOzonДляУчетныхЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет загружаемые типы цен Ozon, применимые к учетным записям Ozon, в виде массива.
//
// Возвращаемое значение:
//   Массив Из Строка - наименования загружаемых типов цен для учетных записей.
//
Функция ПолучитьТипыЦенНаOzonДляУчетныхЗаписей() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ПолучитьТипыЦенНаOzonДляУчетныхЗаписей() 
```
</details>

## СтруктураПараметровСпособаЗаданияЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров способа задания цены.
//
// Возвращаемое значение:
//   Структура - параметры способа задания цены:
//     * ТипЦеныНаOzon                - Строка - обозначение типа цен на Ozon.
//     * ИмяТипЦеныНаOzon             - Строка - наименование типа цен на Ozon.
//     * УчетнаяЗаписьМаркетплейса    - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//     * ИмяУчетнаяЗаписьМаркетплейса - Строка - обозначение учетной записи.
//     * СписокВыбора                 - См. ЗагружаемыеТипыЦенНаOzon.
//
Функция СтруктураПараметровСпособаЗаданияЦены() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.СтруктураПараметровСпособаЗаданияЦены() 
```
</details>

## ВыгрузитьЦеныТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгрузка цен товарных позиций из ИБ на маркетплейс.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ТаблицаТоваров            - ТаблицаЗначений - обрабатываемые товарные позиции, см. СведенияОВыгруженныхДанных.
//   ТолькоИзменения           - Булево - признак выгрузки только измененных цен товаров.
//
// Возвращаемое значение:
//   См. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка.
//
Функция ВыгрузитьЦеныТоваров(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров, ТолькоИзменения = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ВыгрузитьЦеныТоваров(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров, ТолькоИзменения);
```
</details>

## ЗагрузитьЦеныТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загрузка цен товарных позиций с маркетплейса в ИБ.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//   ТаблицаТоваров            - ТаблицаЗначений - обрабатываемые товарные позиции, см. СведенияОВыгруженныхДанных.
//   ВидыЦен                   - Массив Из СправочникСсылка.ВидыЦен - загружаемые цены.
//   ТолькоЗагружаемые         - Булево - признак удаления выгружаемых видов цен из результата.
//   ТолькоПоСтатусуЗагружен   - Булево - признак обработки только объектов со статусом "Загружен".
//
// Возвращаемое значение:
//   - Неопределено - документы установки цен не сформированы.
//   - Соответствие Из КлючИЗначение - список сформированных документов изменений цен в разрезе учетных записей:
//       * Ключ     - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//       * Значение - Массив Из Структура - информация о записанных документах:
//         ** УстановкаЦенНоменклатуры    - ДокументСсылка.УстановкаЦенНоменклатуры - сформированный документ установки цен.
//         ** СогласованиеЦенНоменклатуры - БизнесПроцессСсылка.СогласованиеЦенНоменклатуры - бизнес процесс согласования цен.
//
Функция ЗагрузитьЦеныТоваров(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров, ВидыЦен = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ЗагрузитьЦеныТоваров(УчетнаяЗаписьМаркетплейса, ТаблицаТоваров, ВидыЦен, );
```
</details>

## ИспользуемыеВидыЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список используемых видов цен.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
// Возвращаемое значение:
//   Массив Из СправочникСсылка.ВидыЦен - список используемых видов цен, исключая незаполненные.
//
Функция ИспользуемыеВидыЦен(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСМаркетплейсомOzonСервер.ИспользуемыеВидыЦен(УчетнаяЗаписьМаркетплейса) 
```
</details>

## СоздатьЗаписиВРегистреСтатусовПубликацииОбъектовМаркетплейсаOzon
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает записи в регистре сведений "Статусы публикации объектов маркетплейса Ozon".
//
// Параметры:
//   ДанныеПубликации - ТаблицаЗначений - данные публикуемых товаров, см. НоваяТаблицаПубликацииТоваров.
//
Процедура СоздатьЗаписиВРегистреСтатусовПубликацииОбъектовМаркетплейсаOzon(ДанныеПубликации) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.СоздатьЗаписиВРегистреСтатусовПубликацииОбъектовМаркетплейсаOzon(ДанныеПубликации) 
```
</details>

## ПриЗаписиПрисоединенныхФайловНоменклатурыСертификатовНоменклатурыДляOzon
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие изменения присоединенных файлов и сертификатов номенклатуры.
//
// Параметры:
//   Источник - СправочникОбъект.НоменклатураПрисоединенныеФайлы -
//            - СправочникОбъект.СертификатыНоменклатуры -
//            - РегистрСведенийНаборЗаписей.ОбластиДействияСертификатовНоменклатуры - объект события.
//   Отказ    - Булево - флаг отказа от записи.
//
Процедура ПриЗаписиПрисоединенныхФайловНоменклатурыСертификатовНоменклатурыДляOzon(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ПриЗаписиПрисоединенныхФайловНоменклатурыСертификатовНоменклатурыДляOzon(Источник, Отказ) 
```
</details>

## ПриЗаписиДанныхТовараМаркетплейсаOzon
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие изменения номенклатуры, характеристики, упаковки.
//
// Параметры:
//   Источник - СправочникОбъект.Номенклатура -
//            - СправочникОбъект.ХарактеристикиНоменклатуры -
//            - СправочникОбъект.УпаковкиЕдиницыИзмерения - объект события.
//   Отказ    - Булево - признак отказа от записи.
//
Процедура ПриЗаписиДанныхТовараМаркетплейсаOzon(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ПриЗаписиДанныхТовараМаркетплейсаOzon(Источник, Отказ) 
```
</details>

## ПроверитьИзмененияДанныхПубликацииПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка изменения данных публикации с последующей обработкой.
//
// Параметры:
//  СсылкаНаИсточник - СправочникСсылка.Номенклатура -
//                   - СправочникСсылка.ХарактеристикиНоменклатуры -
//                   - СправочникСсылка.УпаковкиЕдиницыИзмерения - ссылка на объект для поиска изменений.
//
Процедура ПроверитьИзмененияДанныхПубликацииПриЗаписи(СсылкаНаИсточник) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ПроверитьИзмененияДанныхПубликацииПриЗаписи(СсылкаНаИсточник) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийЛокализация.ПриОпределенииПсевдонимовОбработчиков.
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ВыгрузитьОстаткиТоваровРегламентнымЗаданием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет выгрузку остатков товаров.
// Используется регламентным заданием.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
Процедура ВыгрузитьОстаткиТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ВыгрузитьОстаткиТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) 
```
</details>

## ЗагрузитьОстаткиТоваровРегламентнымЗаданием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет справочную загрузку остатков товаров.
// Используется регламентным заданием.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
Процедура ЗагрузитьОстаткиТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ЗагрузитьОстаткиТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) 
```
</details>

## ВыгрузитьЦеныТоваровРегламентнымЗаданием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет выгрузку цен товаров.
// Используется регламентным заданием.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
Процедура ВыгрузитьЦеныТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ВыгрузитьЦеныТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) 
```
</details>

## ЗагрузитьЦеныТоваровРегламентнымЗаданием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет загрузку цен товаров.
// Используется регламентным заданием.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
Процедура ЗагрузитьЦеныТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ЗагрузитьЦеныТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) 
```
</details>

## ОбновитьТоварныйКаталогРегламентнымЗаданием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обновление данных по товарному каталогу.
// Используется регламентным заданием.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
Процедура ОбновитьТоварныйКаталогРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ОбновитьТоварныйКаталогРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) 
```
</details>

## ЗагрузитьИнформациюОПродажахТоваровРегламентнымЗаданием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет загрузку информации о продажах товаров через торговую площадку.
// Используется регламентным заданием.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
Процедура ЗагрузитьИнформациюОПродажахТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ЗагрузитьИнформациюОПродажахТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) 
```
</details>

## ОбновитьИнформациюОПродажахТоваровРегламентнымЗаданием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обновление информации о продажах товаров через торговую площадку.
// Используется регламентным заданием.
//
// Параметры:
//   УчетнаяЗаписьМаркетплейса - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
Процедура ОбновитьИнформациюОПродажахТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСМаркетплейсомOzonСервер.ОбновитьИнформациюОПродажахТоваровРегламентнымЗаданием(УчетнаяЗаписьМаркетплейса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
