---
title: Интеграция с платежными системами
slug: erp-uh/интеграция-с-платежными-системами
---


## ИнтеграцияДоступна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.ПереводыСБПДоступны.
//
Функция ИнтеграцияДоступна() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ИнтеграцияДоступна() 
```
</details>

## НастройкаИнтеграцияДоступна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СистемаБыстрыхПлатежей.НастройкаПодключенияДоступна.
//
Функция НастройкаИнтеграцияДоступна() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.НастройкаИнтеграцияДоступна() 
```
</details>

## НастройкиТорговойТочки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СистемаБыстрыхПлатежей.НастройкиПодключения.
//
Функция НастройкиТорговойТочки(ТорговаяТочка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.НастройкиТорговойТочки(ТорговаяТочка) 
```
</details>

## ПлатежныеСистемыВозврата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.УчастникиСБПДляВозврата.
//
Функция ПлатежныеСистемыВозврата(ТорговаяТочка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ПлатежныеСистемыВозврата(ТорговаяТочка) 
```
</details>

## ТорговыеТочкиОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.НастройкиПодключенияОперации.
//
Функция ТорговыеТочкиОперации(ДокументОперации) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ТорговыеТочкиОперации(ДокументОперации) 
```
</details>

## НастройкиИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СистемаБыстрыхПлатежей.ПараметрыПодключенияПоБИК.
//
Функция НастройкиИнтеграции(БИК) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.НастройкиИнтеграции(БИК) 
```
</details>

## ИдентификаторОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.ДинамическаяСсылка.
//
Функция ИдентификаторОплаты(ДокументОплаты, ТорговаяТочка, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ИдентификаторОплаты(ДокументОплаты, ТорговаяТочка, ДополнительныеПараметры);
```
</details>

## КассоваяСсылка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.КассоваяСсылка.
//
Функция КассоваяСсылка(ТорговаяТочка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.КассоваяСсылка(ТорговаяТочка) 
```
</details>

## АктивироватьКассовуюСсылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.АктивироватьКассовуюСсылку.
//
Функция АктивироватьКассовуюСсылку( Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.АктивироватьКассовуюСсылку();
```
</details>

## ДеактивироватьКассовуюСсылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.ДеактивироватьКассовуюСсылку.
//
Функция ДеактивироватьКассовуюСсылку( Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ДеактивироватьКассовуюСсылку();
```
</details>

## СформироватьКарточкуКассовойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.КарточкаКассовойСсылки.
//
Функция СформироватьКарточкуКассовойСсылки(ДанныеСсылки, ПараметрыПечати) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.СформироватьКарточкуКассовойСсылки(ДанныеСсылки, ПараметрыПечати) 
```
</details>

## СтатусОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.СтатусОплаты.
//
Функция СтатусОплаты(ДокументОплаты, ТорговаяТочка, ДлительныйВызов = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.СтатусОплаты(ДокументОплаты, ТорговаяТочка, ДлительныйВызов);
```
</details>

## ОтменитьЗаказНаОплату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать отказаться от использования функции.
//
Функция ОтменитьЗаказНаОплату(ДокументОплаты, ТорговаяТочка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ОтменитьЗаказНаОплату(ДокументОплаты, ТорговаяТочка) 
```
</details>

## ОтменитьОплату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует отказаться от использования метода.
//
Функция ОтменитьОплату(ДокументОплаты, ТорговаяТочка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ОтменитьОплату(ДокументОплаты, ТорговаяТочка) 
```
</details>

## ВозвратОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.ВозвратОплаты.
//
Функция ВозвратОплаты( Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ВозвратОплаты();
```
</details>

## ПодтвердитьВозврат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.ПодтвердитьВозврат.
//
Функция ПодтвердитьВозврат(ДокументВозврата, ТорговаяТочка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ПодтвердитьВозврат(ДокументВозврата, ТорговаяТочка) 
```
</details>

## СтатусВозврата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.СтатусВозврата.
//
Функция СтатусВозврата( Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.СтатусВозврата();
```
</details>

## УдалитьИдентификаторыОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.УдалитьИдентификаторыОперации.
//
Процедура УдалитьИдентификаторыОперации( Экспорт
```

Пример вызова
```bsl
ИнтеграцияСПлатежнымиСистемами.УдалитьИдентификаторыОперации();
```
</details>

## СтатусыОперацийC2B
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.СтатусыОпераций.
//
Функция СтатусыОперацийC2B() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.СтатусыОперацийC2B() 
```
</details>

## УстановитьОтложенноеПолучениеСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.УстановитьОтложенноеПолучениеСтатуса.
//
Функция УстановитьОтложенноеПолучениеСтатуса(ДокументОперации, Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.УстановитьОтложенноеПолучениеСтатуса(ДокументОперации, Значение) 
```
</details>

## СоздатьQRКодОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СистемаБыстрыхПлатежей.ИзображениеQRКодаСБП.
//
Функция СоздатьQRКодОплаты(ТорговаяТочка, QRКод, Размер, ТипПечати = 0) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.СоздатьQRКодОплаты(ТорговаяТочка, QRКод, Размер, ТипПечати);
```
</details>

## СоздатьQRКодВозврата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.ИзображениеQRКодаВозврата.
//
Функция СоздатьQRКодВозврата(ТорговаяТочка, ДокументОплаты, Размер) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.СоздатьQRКодВозврата(ТорговаяТочка, ДокументОплаты, Размер) 
```
</details>

## ИдентификаторыОперацииОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.ИдентификаторыОперацииОплаты.
//
Функция ИдентификаторыОперацииОплаты(ТорговаяТочка, ДокументОплаты) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ИдентификаторыОперацииОплаты(ТорговаяТочка, ДокументОплаты) 
```
</details>

## ИдентификаторФункциональнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2b.ИдентификаторФункциональнойСсылки.
//
Функция ИдентификаторФункциональнойСсылки(ТорговаяТочка, ДокументОплаты) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ИдентификаторФункциональнойСсылки(ТорговаяТочка, ДокументОплаты) 
```
</details>

## ИдентификаторТипаОперацииОплата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СверкаВзаиморасчетовСБПc2b.ИдентификаторТипаОперацииОплата.
//
Функция ИдентификаторТипаОперацииОплата() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ИдентификаторТипаОперацииОплата() 
```
</details>

## ИдентификаторТипаОперацииВозврат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СверкаВзаиморасчетовСБПc2b.ИдентификаторТипаОперацииВозврат.
//
Функция ИдентификаторТипаОперацииВозврат() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСПлатежнымиСистемами.ИдентификаторТипаОперацииВозврат() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
