---
title: Интеграция с платежными системами клиент
slug: erp-uh/интеграция-с-платежными-системами-клиент
---


## НастройкиИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СистемаБыстрыхПлатежейКлиент.НастройкиПодключения.
//
Процедура НастройкиИнтеграции(Владелец) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСПлатежнымиСистемамиКлиент.НастройкиИнтеграции(Владелец) 
```
</details>

## ПодключитьИнтеграциюССБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СистемаБыстрыхПлатежейКлиент.ПодключитьСистемуБыстрыхПлатежей.
//
Процедура ПодключитьИнтеграциюССБП( Экспорт
```

Пример вызова
```bsl
ИнтеграцияСПлатежнымиСистемамиКлиент.ПодключитьИнтеграциюССБП();
```
</details>

## ОтправитьСообщениеВСлужбуТехническойПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СистемаБыстрыхПлатежейКлиент.ОтправитьСообщениеВСлужбуТехническойПоддержки.
//
Процедура ОтправитьСообщениеВСлужбуТехническойПоддержки( Экспорт
```

Пример вызова
```bsl
ИнтеграцияСПлатежнымиСистемамиКлиент.ОтправитьСообщениеВСлужбуТехническойПоддержки();
```
</details>

## РеестрОперацийСБПc2b
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2bКлиент.РеестрОперацийСБПc2b.
//
Процедура РеестрОперацийСБПc2b(Владелец) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСПлатежнымиСистемамиКлиент.РеестрОперацийСБПc2b(Владелец) 
```
</details>

## ФормаПользовательскогоСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СистемаБыстрыхПлатежейКлиент.ФормаПользовательскогоСоглашения.
//
Процедура ФормаПользовательскогоСоглашения(ВладелецФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСПлатежнымиСистемамиКлиент.ФормаПользовательскогоСоглашения(ВладелецФормы);
```
</details>

## ОткрытьИнструкциюПоПрограммированиюNFCМетки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2bКлиент.ОткрытьИнструкциюПоПрограммированиюNFCМетки.
//
Процедура ОткрытьИнструкциюПоПрограммированиюNFCМетки() Экспорт
```

Пример вызова
```bsl
ИнтеграцияСПлатежнымиСистемамиКлиент.ОткрытьИнструкциюПоПрограммированиюNFCМетки() 
```
</details>

## ОткрытьОписаниеКассовыхСсылок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2bКлиент.ОткрытьОписаниеКассовыхСсылок.
//
Процедура ОткрытьОписаниеКассовыхСсылок() Экспорт
```

Пример вызова
```bsl
ИнтеграцияСПлатежнымиСистемамиКлиент.ОткрытьОписаниеКассовыхСсылок() 
```
</details>

## ПодключитьКассовуюСсылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПереводыСБПc2bКлиент.ПодключитьКассовуюСсылку.
//
Процедура ПодключитьКассовуюСсылку( Экспорт
```

Пример вызова
```bsl
ИнтеграцияСПлатежнымиСистемамиКлиент.ПодключитьКассовуюСсылку();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
