---
title: Интеграция с СППР
slug: erp-uh/интеграция-с-сппр
---


## ПолучитьПрокси
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает прокси веб-сервиса СППР. В случае ошибки вызывается исключение.
//
// Возвращаемое значение:
//	WSПрокси - Прокси веб-сервиса
//
Функция ПолучитьПрокси() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССППР.ПолучитьПрокси() 
```
</details>

## ДобавитьКомандыИнтеграцииССППР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в форму команды для интеграции с СППР
//
// Параметры:
//  Форма					- ФормаКлиентскогоПриложения - Форма в которой нужно разместить команды СППР
//  ДополнительныеПараметры	- Структура - Дополнительные параметры, которые могут содержать место размещения команд
//											Если место размещения команд не указано, то команды будут размещены в командной панели,
//											содержащей команду справки.
//
Процедура ДобавитьКомандыИнтеграцииССППР(Форма, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияССППР.ДобавитьКомандыИнтеграцииССППР(Форма, ДополнительныеПараметры);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
