---
title: Интеграция с сервисом EDI переопределяемый
slug: erp-uh/интеграция-с-сервисом-edi-переопределяемый
---


## ЗаполнитьДанныеПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные пользователя по ссылке для сопоставления с сервисом.
//
// Параметры:
//  ДанныеПользователя - Структура - Данные пользователя, которые необходимо заполнить.
//    * Идентификатор - Строка - Идентификатор пользователя, по которому его можно однозначно идентифицировать в информационной базе.
//    * ФИО - Строка - ФИО пользователя.
//  Пользователь - ОпределяемыйТип.ПользовательEDI - Ссылка на пользователя, по которому требуется заполнить данные.
//
Процедура ЗаполнитьДанныеПользователя(ДанныеПользователя, Знач Пользователь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияССервисомEDIПереопределяемый.ЗаполнитьДанныеПользователя(ДанныеПользователя, Пользователь) 
```
</details>

## НайтиПользователяПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет пользователя информационной базы по идентификатору.
//
// Параметры:
//  Пользователь - ОпределяемыйТип.ПользовательEDI - Ссылка на пользователя, по которому требуется заполнить данные.
//  Идентификатор - Строка - Идентификатор пользователя, по которому его можно однозначно идентифицировать в информационной базе.
//
Процедура НайтиПользователяПоИдентификатору(Пользователь, Знач Идентификатор) Экспорт
```

Пример вызова
```bsl
ИнтеграцияССервисомEDIПереопределяемый.НайтиПользователяПоИдентификатору(Пользователь, Идентификатор) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
