---
title: Интеграция с ЦРПТ
slug: erp-uh/интеграция-с-црпт
---


## ИдентификаторСоединения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает идентификатор соединения ЦРПТ на основании переданного запроса.
//
// Параметры:
//  ПараметрыЗапросаJSON - Строка - запрос для отправки в сервис ЦРПТ;
//  ЗаголовкиЗапроса - Соответствие - содержит заголовки, которые необходимо отправить в ЦРПТ;
//  ПараметрыURL - Соответствие - содержит параметры запроса, которые необходимо отправить в ЦРПТ;
//  ДанныеБиблиотеки - Структура - содержит идентификатор библиотеки и версию библиотеки,
//    от имени которой формируется запрос:
//   * Идентификатор - Строка - идентификатор библиотеки;
//   * Версия - Строка - версия библиотеки.
//
// Возвращаемое значение:
//  Структура - результат создания получения идентификатора соединения:
//    * ДанныеОтвета - Соответствие, Неопределено - ответ ЦРПТ преобразованный методом ПрочитатьJSON.
//        Может быть возвращено значение Неопределено, если в процессе вызова были ошибки;
//    * ЗаголовкиОтвета - Соответствие, Неопределено - заголовки ответа ЦРПТ преобразованный методом ПрочитатьJSON.
//        Может быть возвращено значение Неопределено, если в процессе вызова были ошибки;
//    * КодОшибки - Строка - строковый код возникшей ошибки, который
//      может быть обработан вызывающим методом:
//         - <Пустая строка> - создание нового заказа выполнено успешно;
//         - "НеверныйФорматЗапроса" - передан некорректный запрос
//             на получение идентификатора соединения;
//         - "НеверныйЛогинИлиПароль" - неверный логин или пароль или параметры
//             подключения к Порталу 1С:ИТС;
//         - "ПревышеноКоличествоПопыток" - превышено количество попыток
//             обращения к сервису с некорректным логином и паролем;
//         - "ОшибкаПодключения" - ошибка при подключении к сервису;
//         - "ОшибкаСервиса" - внутренняя ошибка сервиса;
//         - "НеизвестнаяОшибка" - при получении информации возникла
//             неизвестная (не обрабатываемая) ошибка;
//    * СообщениеОбОшибке - Строка, ФорматированнаяСтрока - сообщение об ошибке для пользователя.
//
Функция ИдентификаторСоединения( Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЦРПТ.ИдентификаторСоединения();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
