---
title: Интеграция с яндекс маркет сервер
slug: erp-uh/интеграция-с-яндекс-маркет-сервер
---


## СерверАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя сервера авторизации для обновления ключей доступа к сервису.
//
// Возвращаемое значение:
//   Строка - имя сервера сервиса.
//
Функция СерверАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.СерверАвторизации() 
```
</details>

## АдресАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет адрес ресурса авторизации.
//
// Возвращаемое значение:
//   Строка - адрес ресурса.
//
Функция АдресАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.АдресАвторизации() 
```
</details>

## ДанныеАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет данные авторизации.
//
// Параметры:
//   СтруктураОтвета - Структура - содержит набор ключей, которые необходимо вернуть.
//
// Возвращаемое значение:
//   Структура - содержит запрошенный набор ключей:
//     * access_token         - Строка - токен авторизации;
//     * access_token_expires - Дата - период действия токена;
//     * refresh_token        - Строка - токен автообновления.
//
Функция ДанныеАвторизации(СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ДанныеАвторизации(СтруктураОтвета) 
```
</details>

## ЗапросОбновитьТокеныДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает HTTP запрос для обновления ключей доступа к сервису для организации.
//
// Параметры:
//   ИдентификаторАккаунта - Строка - идентификатор аккаунта для подключения к сервису.
//
// Возвращаемое значение:
//   HTTPЗапрос - запрос для получения ключей доступа.
//
Функция ЗапросОбновитьТокеныДоступа(ИдентификаторАккаунта) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ЗапросОбновитьТокеныДоступа(ИдентификаторАккаунта) 
```
</details>

## ЗапросПолучитьТокеныПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает HTTP запрос для получения ключей доступа к сервису по временному коду.
//
// Параметры:
//   ВременныйКод - Строка - временный код для подключения к сервису.
//
// Возвращаемое значение:
//   HTTPЗапрос - запрос для получения ключей доступа.
//
Функция ЗапросПолучитьТокеныПоКоду(ВременныйКод) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ЗапросПолучитьТокеныПоКоду(ВременныйКод) 
```
</details>

## ПолучитьДанныеЛогина
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает информацию о пользователе Яндекс ID (логин и идентификатор пользователя).
//
// Параметры:
//   КлючДоступа - Строка - ключ доступа, выданный для логина пользователя.
//
// Возвращаемое значение:
//   Структура - информацию о пользователе:
//     * Имя           - Строка - логин пользователя на Яндекс ID;
//     * Идентификатор - Строка - уникальный идентификатор пользователя на Яндекс ID.
//
Функция ПолучитьДанныеЛогина(КлючДоступа) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ПолучитьДанныеЛогина(КлючДоступа) 
```
</details>

## ОбновитьКлючиДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет данные авторизации в безопасное хранилище по ключу обновления.
//
// Параметры:
//   ДанныеАвторизации - Структура - данные авторизации для подключения к сервису (см. ИнтеграцияСЯндексМаркетСервер.ДанныеАвторизации);
//
// Возвращаемое значение:
//   Структура - содержит данные авторизации:
//     * СтруктураОтвета      - Строка - ответ сервера с информацией по ключам;
//     * Результат            - Булево - токены обновлены.
//

Функция ОбновитьКлючиДоступа(ДанныеАвторизации) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ОбновитьКлючиДоступа(ДанныеАвторизации));
```
</details>

## ДанныеАвторизацииПоИдентификаторуАккаунта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет данные авторизации из безопасного хранилища.
//
// Параметры:
//   ИдентификаторАккаунта - Строка - идентификатор аккаунта для подключения к сервису.
//
// Возвращаемое значение:
//   Структура    - данные авторизации для подключения к сервису (см. ИнтеграцияСЯндексМаркетСервер.ДанныеАвторизации);
//   Неопределено - данные авторизации не найдены.
//
Функция ДанныеАвторизацииПоИдентификаторуАккаунта(ИдентификаторАккаунта) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ДанныеАвторизацииПоИдентификаторуАккаунта(ИдентификаторАккаунта) 
```
</details>

## ДанныеАвторизацииПоМагазину
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет данные авторизации по указанной учетной записи (магазину).
//
// Параметры:
//   Магазин - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
// Возвращаемое значение:
//   Структура    - данные авторизации для подключения к сервису (см. ИнтеграцияСЯндексМаркетСервер.ДанныеАвторизации);
//   Неопределено - данные авторизации не найдены.
//
Функция ДанныеАвторизацииПоМагазину(Магазин) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ДанныеАвторизацииПоМагазину(Магазин) 
```
</details>

## ДанныеАвторизацииЛогин
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет данные авторизации по указанной учетной записи (магазину).
//
// Параметры:
//   ИдентификаторАккаунта - Строка - идентификатор аккаунта для подключения к сервису.
//
// Возвращаемое значение:
//   Строка - имя аккаунта (см. ИнтеграцияСЯндексМаркетСервер.ПолучитьДанныеЛогина).
//
Функция ДанныеАвторизацииЛогин(ИдентификаторАккаунта) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ДанныеАвторизацииЛогин(ИдентификаторАккаунта) 
```
</details>

## УстановитьНастройкиАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет данные авторизации в безопасное хранилище.
//
// Параметры:
//   ДанныеАвторизации - Структура - данные авторизации для подключения к сервису (см. ИнтеграцияСЯндексМаркетСервер.ДанныеАвторизации);
//   Аккаунт           - Структура - данные об аккаунте (см. ИнтеграцияСЯндексМаркетСервер.ПолучитьДанныеЛогина).
//
// Возвращаемое значение:
//   Булево - результат успешного выполнения операции.
//
Функция УстановитьНастройкиАвторизации(ДанныеАвторизации, Аккаунт) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.УстановитьНастройкиАвторизации(ДанныеАвторизации, Аккаунт) 
```
</details>

## УдалитьДанныеАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет данные авторизации из безопасного хранилища.
//
// Параметры:
//   ИдентификаторАккаунта - Строка - идентификатор аккаунта для подключения к сервису.
//
Процедура УдалитьДанныеАвторизации(ИдентификаторАккаунта) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСЯндексМаркетСервер.УдалитьДанныеАвторизации(ИдентификаторАккаунта) 
```
</details>

## ПолучитьСписокАккаунтов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные обо всех зарегистрированных аккаунтах Яндекс Маркет.
//
// Возвращаемое значение:
//   Массив Из Структура - данные об аккаунтах:
//     * Идентификатор        - Строка - идентификатор аккаунта подключения;
//     * Наименование         - Строка - наименование аккаунта;
//     * ТребуетсяАвторизация - Булево - признак успешно завершенной авторизации (действующего токена доступа).
//
Функция ПолучитьСписокАккаунтов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ПолучитьСписокАккаунтов() 
```
</details>

## ДанныеУчетнойЗаписиЯндексМаркет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет настройки учетной записи торговой площадки Яндекс Маркет.
//
// Параметры:
//   УчетнаяЗапись      - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//   СлужебныеПараметры - Булево - признак необходимости возврата в результате дополнительных параметров.
//
// Возвращаемое значение:
//   Структура - настройки учетной записи:
//     * УчетнаяЗапись                     - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//     * Наименование                      - Строка - наименование учетной записи (магазина);
//     * ПометкаУдаления                   - Булево - признак недействующего магазина;
//     * Организация                       - СправочникСсылка.Организации - организация, связанная с магазином;
//     * ИсточникКатегории                 - ПеречислениеСсылка.ИсточникиКатегорийДляМаркетплейса - источник категории;
//     * ЦенаПродажи                       - СправочникСсылка.ВидыЦен - вид цены продажи;
//     * СхемаРаботы                       - ПеречислениеСсылка.СхемыРаботыТорговыхПлощадок - схема работы магазина;
//     * ИдентификаторАккаунта             - Строка - идентификатор аккаунта;
//     * ИдентификаторКабинета             - Строка - идентификатор кабинета;
//     * ИдентификаторМагазина             - Строка - идентификатор кампании;
//     * ИдентификаторКлиента              - Строка - номер магазина;
//     * НеОбновлятьДанныеТорговойПлощадки - Булево - признак запрещенного обмена данными с торговой площадкой;
//     * ОбязательныеРеквизитыЗаполнены    - Булево - признак заполненности обязательных реквизитов учетной записи;
//     * ОбязательныеЗаданияВключены       - Булево - признак включенных обязательных регламентных заданий.
//
Функция ДанныеУчетнойЗаписиЯндексМаркет(УчетнаяЗапись, СлужебныеПараметры = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ДанныеУчетнойЗаписиЯндексМаркет(УчетнаяЗапись, СлужебныеПараметры);
```
</details>

## ВыбратьУчетныеЗаписиЯндексМаркет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выбирает учетные записи, для которых разрешен обмен данными.
//
// Параметры:
//   УчетнаяЗапись - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//                 - Неопределено - выбрать все учетные записи (по умолчанию).
//
// Возвращаемое значение:
//   ВыборкаИзРезультатаЗапроса - результат выборки. Поля выборки соответствуют результату функции ИнтеграцияСЯндексМаркетСервер.ДанныеУчетнойЗаписиЯндексМаркет.
//
Функция ВыбратьУчетныеЗаписиЯндексМаркет(УчетнаяЗапись = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ВыбратьУчетныеЗаписиЯндексМаркет(УчетнаяЗапись);
```
</details>

## ПолучитьРекомендацииПоСклейкеТовараЯндексМаркет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает рекомендации по заполнению реквизитов товарной позиции с Яндекс Маркет.
//
// Параметры:
//   УчетнаяЗапись           - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//                           - Неопределено - выполнить регламентное задание по всем учетным записям, с которыми разрешен обмен данными.
//   ДополнительныеПараметры - Произвольный - произвольные данные, переданные в функцию;
//                           - Структура - возможные ключи дополнительных параметров:
//     * ПоРасписанию            - Булево - признак автоматического или ручного запуска регламентного задания;
//     * ИдентификаторПубликации - Строка - идентификатор публикации товарной позиции или идентификатор предложения.
//
// Возвращаемое значение:
//   Структура - описание ошибки при выполнении операции (см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка):
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки.
//
Функция ПолучитьРекомендацииПоСклейкеТовараЯндексМаркет(УчетнаяЗапись = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ПолучитьРекомендацииПоСклейкеТовараЯндексМаркет(УчетнаяЗапись, ДополнительныеПараметры);
```
</details>

## ОтправитьНаМодерациюСвязиТоваровЯндексМаркет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет товарные позиции на модерацию.
//
// Параметры:
//   УчетнаяЗапись           - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//                           - Неопределено - выполнить регламентное задание по всем учетным записям, с которыми разрешен обмен данными.
//   ДополнительныеПараметры - Произвольный - произвольные данные, переданные в функцию;
//                           - Структура - возможные ключи дополнительных параметров:
//     * ПоРасписанию          - Булево - признак автоматического или ручного запуска регламентного задания.
//
// Возвращаемое значение:
//   Структура - описание ошибки при выполнении операции (см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка):
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки.
//
Функция ОтправитьНаМодерациюСвязиТоваровЯндексМаркет(УчетнаяЗапись = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ОтправитьНаМодерациюСвязиТоваровЯндексМаркет(УчетнаяЗапись, ДополнительныеПараметры);
```
</details>

## ПолучитьСтатусыМодерацииТоваровЯндексМаркет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает статусы модерации товарных позиций с торговой площадки.
//
// Параметры:
//   УчетнаяЗапись           - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//                           - Неопределено - выполнить регламентное задание по всем учетным записям, с которыми разрешен обмен данными.
//   ДополнительныеПараметры - Произвольный - произвольные данные, переданные в функцию;
//                           - Структура - возможные ключи дополнительных параметров:
//     * ПоРасписанию          - Булево - признак автоматического или ручного запуска регламентного задания.
//
// Возвращаемое значение:
//   Структура - описание ошибки при выполнении операции (см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка):
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки.
//
Функция ПолучитьСтатусыМодерацииТоваровЯндексМаркет(УчетнаяЗапись = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ПолучитьСтатусыМодерацииТоваровЯндексМаркет(УчетнаяЗапись, ДополнительныеПараметры);
```
</details>

## КатегорияТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет категорию товара в зависимости от настройки учетной записи.
//
// Параметры:
//   Номенклатура  - СправочникСсылка.Номенклатура - ссылка на номенклатуру, для которой определяется категория;
//   УчетнаяЗапись - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису.
//
// Возвращаемое значение:
//   Строка - наименование категории товара.
//
Функция КатегорияТовара(Номенклатура, УчетнаяЗапись) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.КатегорияТовара(Номенклатура, УчетнаяЗапись) 
```
</details>

## ПолучитьВесогабариты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет весогабаритные характеристики для упаковки номенклатуры.
//
// Параметры:
//   Упаковка                     - СправочникСсылка.УпаковкиЕдиницыИзмерения - упаковка товарной позиции;
//   Номенклатура                 - СправочникСсылка.Номенклатура - номенклатура товарной позиции;
//   ОтличатьВесогабаритыУпаковки - Булево - необходимость указания признака упаковки.
//
// Возвращаемое значение:
//   Структура - весогабаритные характеристики:
//	   * length  - Строка - длина;
//	   * width   - Строка - ширина;
//	   * height  - Строка - высота;
//	   * weight  - Строка - вес;
//	   * package - Число - признак базовой единицы измерения или упаковки номенклатуры (0/1).
//
Функция ПолучитьВесогабариты(Упаковка, Номенклатура, ОтличатьВесогабаритыУпаковки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ПолучитьВесогабариты(Упаковка, Номенклатура, ОтличатьВесогабаритыУпаковки);
```
</details>

## ПолучитьПредставлениеПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредставлениеПериода(ЕдиницаИзмеренияСрокаГодности) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ПолучитьПредставлениеПериода(ЕдиницаИзмеренияСрокаГодности));
```
</details>

## ДобавитьАссортимент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет выбранный ассортимент магазина-источника в магазин приемник.
//
// Параметры:
//   МагазинИсточник               - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись источник ассортимента;
//   МагазинПриемник               - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись приемник ассортимента;
//   ПараметрыКомпоновщикаНастроек - Структура - см. ИнтеграцияСЯндексМаркетСервер.ПараметрыДобавленияАссортимента.
//
// Возвращаемое значение:
//   Структура - описание ошибки при выполнении операции (см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка):
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки.
//
Функция ДобавитьАссортимент(МагазинИсточник, МагазинПриемник, ПараметрыКомпоновщикаНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ДобавитьАссортимент(МагазинИсточник, МагазинПриемник, ПараметрыКомпоновщикаНастроек) 
```
</details>

## ПараметрыДобавленияАссортимента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров добавления ассортимента.
//
// Возвращаемое значение:
//   Структура - параметры для копирования ассортимента:
//     * НастройкиКомпоновкиДанных           - НастройкиКомпоновкиДанных - используемые в динамическом списке настройки компоновки данных.
//     * СхемаКомпоновкиДанных               - СхемаКомпоновкиДанных - используемая в динамическом списке схема компоновки данных.
//     * ИдентификаторыПубликацииВыбранные   - СписокЗначений Из Строка, Неопределено - список идентификаторов публикации,
//                                               которые выбраны для копирования.
//     * ИдентификаторыПубликацииИсключенные - СписокЗначений Из Строка, Неопределено - список идентификаторов публикации,
//                                               которые исключаются из копирования.
//
Функция ПараметрыДобавленияАссортимента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ПараметрыДобавленияАссортимента() 
```
</details>

## ЗаполнитьПоДаннымПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет товарный каталог магазина по данным прайс-листа.
//
// Параметры:
//   УчетнаяЗапись - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//   ЦенаПродажи   - СправочникСсылка.ВидыЦен - вид цены продажи.
//
// Возвращаемое значение:
//   Структура - описание ошибки при выполнении операции (см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка):
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки.
//
Функция ЗаполнитьПоДаннымПрайсЛиста(УчетнаяЗапись, ЦенаПродажи) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ЗаполнитьПоДаннымПрайсЛиста(УчетнаяЗапись, ЦенаПродажи) 
```
</details>

## ВыгрузитьОстаткиТоваровЯндексМаркет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает остатки товарных позиций из информационной базы на торговую площадку.
//
// Параметры:
//   УчетнаяЗапись           - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//                           - Неопределено - выполнить регламентное задание по всем учетным записям, с которыми разрешен обмен данными.
//   ДополнительныеПараметры - Произвольный - произвольные данные, переданные в функцию;
//                           - Структура - возможные ключи дополнительных параметров:
//     * ПоРасписанию          - Булево - признак автоматического или ручного запуска регламентного задания.
//
// Возвращаемое значение:
//   Структура - описание ошибки при выполнении операции (см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка):
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки.
//
Функция ВыгрузитьОстаткиТоваровЯндексМаркет(УчетнаяЗапись = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ВыгрузитьОстаткиТоваровЯндексМаркет(УчетнаяЗапись, ДополнительныеПараметры);
```
</details>

## ЗагрузитьРекомендованныеЦеныЯндексМаркет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает рекомендованные цены на товары c торговой площадки.
//
// Параметры:
//   УчетнаяЗапись           - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//                           - Неопределено - выполнить регламентное задание по всем учетным записям, с которыми разрешен обмен данными.
//   ДополнительныеПараметры - Произвольный - произвольные данные, переданные в функцию;
//                           - Структура - возможные ключи дополнительных параметров:
//     * ПоРасписанию          - Булево - признак автоматического или ручного запуска регламентного задания;
//     * ТаблицаВидовЦен       - ТаблицаЗначений - загружаемые виды цен:
//       ** ВидЦены              - СправочникСсылка.ВидыЦен - вид цены.
//     * ТаблицаТоваров        - ТаблицаЗначений - список товаров:
//       ** УчетнаяЗапись        - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//       ** Номенклатура         - СправочникСсылка.Номенклатура - номенклатура;
//       ** Характеристика       - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика;
//       ** Упаковка             - СправочникСсылка.УпаковкиЕдиницыИзмерения - упаковка.
//
// Возвращаемое значение:
//   Структура - описание ошибки при выполнении операции (см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка):
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки.
//
Функция ЗагрузитьРекомендованныеЦеныЯндексМаркет(УчетнаяЗапись = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ЗагрузитьРекомендованныеЦеныЯндексМаркет(УчетнаяЗапись, ДополнительныеПараметры);
```
</details>

## ВыгрузитьУстановленныеЦеныЯндексМаркет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает рекомендованные цены на товары c торговой площадки.
//
// Параметры:
//   УчетнаяЗапись           - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//                           - Неопределено - выполнить регламентное задание по всем учетным записям, с которыми разрешен обмен данными.
//   ДополнительныеПараметры - Произвольный - произвольные данные, переданные в функцию;
//                           - Структура - возможные ключи дополнительных параметров:
//     * ПоРасписанию          - Булево - признак автоматического или ручного запуска регламентного задания.
//     * ТаблицаТоваров        - ТаблицаЗначений - список товаров:
//       ** УчетнаяЗапись        - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//       ** Номенклатура         - СправочникСсылка.Номенклатура - номенклатура;
//       ** Характеристика       - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика;
//       ** Упаковка             - СправочникСсылка.УпаковкиЕдиницыИзмерения - упаковка.
//
// Возвращаемое значение:
//   Структура - описание ошибки при выполнении операции (см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка):
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки.
//
Функция ВыгрузитьУстановленныеЦеныЯндексМаркет(УчетнаяЗапись = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ВыгрузитьУстановленныеЦеныЯндексМаркет(УчетнаяЗапись, ДополнительныеПараметры);
```
</details>

## ПолучитьМассивРекомендованныхЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список рекомендованных цен.
//
// Возвращаемое значение:
//    Массив Из СправочникСсылка.ВидыЦен - рекомендованные виды цен.
//
Функция ПолучитьМассивРекомендованныхЦен() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ПолучитьМассивРекомендованныхЦен() 
```
</details>

## СтруктураПараметровСпособаЗаданияЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор настроек по способу задания цены.
//
// Возвращаемое значение:
//   Структура - настройки:
//     * ИмяПараметра      - Строка - имя параметра.
//     * СписокВыбора      - Строка - список выбора (строка с разделителем).
//     * ЗначениеПараметра - Строка - значение параметра.
//
Функция СтруктураПараметровСпособаЗаданияЦены() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.СтруктураПараметровСпособаЗаданияЦены() 
```
</details>

## ОбновитьАктуальныеЦеныТорговойПлощадки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет актуальные цены торговой площадки.
//
// Параметры:
//   УчетнаяЗапись - СправочникСсылка.УчетныеЗаписиМаркетплейсов - учетная запись подключения к сервису;
//   ЦенаПродажи   - СправочникСсылка.ВидыЦен - вид цены продажи;
//   ТаблицаЦен    - ТаблицаЗначений - список рекомендованных цен:
//     * ВидЦены     - СправочникСсылка.ВидыЦен - вид цены;
//     * ПолеТаблицы - Строка - обозначение вида цены в Яндекс Маркет.
//
// Возвращаемое значение:
//   Структура - описание ошибки при выполнении операции (см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка):
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки;
//     * АктуальныеЦены - Неопределено - при возникновении ошибки;
//                      - Массив Из Структура - актуальные цены, описания полей см. Обработка.УправлениеПродажамиНаЯндексМаркет.ВыгрузкаТоварногоКаталога.АктуальныеЦены.
//
Функция ОбновитьАктуальныеЦеныТорговойПлощадки(УчетнаяЗапись, ЦенаПродажи, ТаблицаЦен) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ОбновитьАктуальныеЦеныТорговойПлощадки(УчетнаяЗапись, ЦенаПродажи, ТаблицаЦен) 
```
</details>

## ПолучитьМагазиныЯндексМаркет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список магазинов, к которым имеет доступ пользователь - владелец авторизационного токена.
//
// Параметры:
//   ИдентификаторАккаунта - Строка - идентификатор аккаунта для подключения к сервису.
//
// Возвращаемое значение:
//   Структура - описание ошибки при выполнении операции (см. ИнтеграцияСМаркетплейсамиСервер.НоваяОшибка):
//     * КодОшибки      - Строка - код ошибки;
//     * ОписаниеОшибки - Строка - текстовое описание ошибки.
//
Функция ПолучитьМагазиныЯндексМаркет(ИдентификаторАккаунта) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСЯндексМаркетСервер.ПолучитьМагазиныЯндексМаркет(ИдентификаторАккаунта) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
