---
title: Интеграция смартвей
slug: erp-uh/интеграция-смартвей
---


## ИнициализироватьНастройкиПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает структуру настроек подключения к сервису
//
// Возвращаемое значение:
//    Структура:
//     Логин - Строка
//     Пароль - Строка.
//
Функция ИнициализироватьНастройкиПодключения() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСмартвей.ИнициализироватьНастройкиПодключения() 
```
</details>

## СохранитьНастройкиПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет настройки подключения к сервису
//
// Параметры:
//     Настройки - Структура - см. ИнтеграцияСмартвей.ИнициализироватьНастройкиПодключения
//
Процедура СохранитьНастройкиПодключения(Настройки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСмартвей.СохранитьНастройкиПодключения(Настройки) 
```
</details>

## НастройкиПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Извлекает настройки подключения к сервису
//
// Возвращаемое значение:
//     Структура - см. ИнтеграцияСмартвей.ИнициализироватьНастройкиПодключения
//
Функция НастройкиПодключения() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСмартвей.НастройкиПодключения() 
```
</details>

## ПроверитьПодключение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет настройки подключения к сервису
//
// Параметры:
//     Настройки - Структура - см. ИнтеграцияСмартвей.ИнициализироватьНастройкиПодключения
//
// Возвращаемое значение:
//     Булево - результат проверки
//
Функция ПроверитьПодключение(Настройки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСмартвей.ПроверитьПодключение(Настройки) 
```
</details>

## ПолучитьДанныеСмартвей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет получение данных сервиса: электронных билетов и бронирований, а также статусов заявок на командировку
//
Процедура ПолучитьДанныеСмартвей() Экспорт
```

Пример вызова
```bsl
ИнтеграцияСмартвей.ПолучитьДанныеСмартвей() 
```
</details>

## ПолучитьДанныеБронирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет получение из сервиса электронных билетов и бронирований
//
Процедура ПолучитьДанныеБронирования() Экспорт
```

Пример вызова
```bsl
ИнтеграцияСмартвей.ПолучитьДанныеБронирования() 
```
</details>

## ПолучитьДанныеБронированияПоЗаявке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет получение из сервиса электронных билетов и бронирований по заявке на командировку
//
// Параметры:
//     ЗаявкаСсылка - ДокументСсылка.ЗаявкаНаКомандировку - Заявка на командировку
//
Процедура ПолучитьДанныеБронированияПоЗаявке(ЗаявкаСсылка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСмартвей.ПолучитьДанныеБронированияПоЗаявке(ЗаявкаСсылка) 
```
</details>

## ПолучитьСтатусыЗаявок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет получение из сервиса статусов заявок на командировку
//
// Параметры:
//     Заявки - ДокументСсылка.ЗаявкаНаКомандировку - Заявка на командировку, Массив из ДокументСсылка.ЗаявкаНаКомандировку
//
Процедура ПолучитьСтатусыЗаявок(Заявки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСмартвей.ПолучитьСтатусыЗаявок(Заявки) 
```
</details>

## ОтправитьЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку в сервис заявок на командировку
//
// Параметры:
//     Заявки - ДокументСсылка.ЗаявкаНаКомандировку
//            - Массив из ДокументСсылка.ЗаявкаНаКомандировку
//     ДанныеЗаявок - РезультатЗапроса
//
Процедура ОтправитьЗаявки(Заявки, ДанныеЗаявок) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСмартвей.ОтправитьЗаявки(Заявки, ДанныеЗаявок) 
```
</details>

## ОтменитьЗаявку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет в сервисе отмену заявки на командировку
Процедура ОтменитьЗаявку(Заявка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСмартвей.ОтменитьЗаявку(Заявка) 
```
</details>

## Аэропорты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу аэропортов.
//
// Параметры:
//  ТекстЗапроса - Строка - строка, по которой выполняется поиск аэропортов в системе Смартвей.
//
// Возвращаемое значение:
//   см. ПустаяТаблицаАэропортов.
//
Функция Аэропорты(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСмартвей.Аэропорты(ТекстЗапроса) 
```
</details>

## ЖелезнодорожныеСтанции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу ж/д станций.
//
// Параметры:
//  ТекстЗапроса - Строка - строка, по которой выполняется поиск ж/д станций в системе Смартвей.
//
// Возвращаемое значение:
//   см. ПустаяТаблицаЖелезнодорожныхСтанций.
//
Функция ЖелезнодорожныеСтанции(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСмартвей.ЖелезнодорожныеСтанции(ТекстЗапроса) 
```
</details>

## ОтелиИРегионы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу найденных отелей.
//
// Параметры:
//  ТекстЗапроса - Строка - строка, по которой выполняется поиск отелей в системе Смартвей.
//  ТолькоОтели - Булево - признак формирования списка только из названий отелей.
//  ТолькоРегионы - Булево - признак формирования списка только из названий регионов.
//
// Возвращаемое значение:
//   см. ПустаяТаблицаОтелейИРегионов.
//
Функция ОтелиИРегионы(ТекстЗапроса, ТолькоОтели = Ложь, ТолькоРегионы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСмартвей.ОтелиИРегионы(ТекстЗапроса, ТолькоОтели, ТолькоРегионы);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
