---
title: Интеграция ЦУЗ с ЭТП клиент сервер УХ
slug: erp-uh/интеграция-цуз-с-этп-клиент-сервер-ух
---


## УстановитьЗначениеОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить значения полей описания транзакции для переданной ошибки.
Процедура УстановитьЗначениеОшибки(ПоляОписанияТранзакции, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПКлиентСерверУХ.УстановитьЗначениеОшибки(ПоляОписанияТранзакции, ТекстОшибки) 
```
</details>

## ПолучитьОписаниеОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеОбмена(КомандаОбмена, ЭТП, ОбъектВыгрузки, ПараметрыПодключенияКЭТП, ПоляОписанияТранзакции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПКлиентСерверУХ.ПолучитьОписаниеОбмена(КомандаОбмена, ЭТП, ОбъектВыгрузки, ПараметрыПодключенияКЭТП, ПоляОписанияТранзакции) 
```
</details>

## ТипСвойстваИзТипаОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипСвойстваИзТипаОбъекта(ТипОбъекта, ИмяСвойства) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПКлиентСерверУХ.ТипСвойстваИзТипаОбъекта(ТипОбъекта, ИмяСвойства) 
```
</details>

## ПолучитьКорневыеОбъектыПространстваИмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКорневыеОбъектыПространстваИмен(ФабрикаXDTO, ПространствоИмен) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПКлиентСерверУХ.ПолучитьКорневыеОбъектыПространстваИмен(ФабрикаXDTO, ПространствоИмен) 
```
</details>

## ПолучитьТекстОписанияОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразуем объект-XDTO в текст XML
//
// Параметры:
//  ФабрикаXDTO	- ФабрикаXDTO - фабрика.
//  Объект		- ОбъектXDTO | ЗначениеXDTO -
//  ИмяТэга		- Строка - имя тэга в который нужно сделать запись.
//
// Возвращаемое значение:
//   - Строка - текст XML представления переданного объекта.
//
Функция ПолучитьТекстОписанияОбъекта(ФабрикаXDTO, Объект, ИмяТэга) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПКлиентСерверУХ.ПолучитьТекстОписанияОбъекта(ФабрикаXDTO, Объект, ИмяТэга) 
```
</details>

## ТекстXMLВОбъектXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразуем объект-XDTO в текст XML
//
// Параметры:
//  ФабрикаXDTO	- ФабрикаXDTO - фабрика.
//	ТекстXML	- Строка - текст представления объекта.
//  ТипXDTO		- ТипЗначенияXDTO | ТипОбъектаXDTO | Неопределно - тип
//					объекта для чтения. Если не указан, то будем
//					пытаться определить тип из текста.
//
// Возвращаемое значение:
//   - ЗначенияXDTO | ОбъектаXDTO - прочитанный объект.
//
Функция ТекстXMLВОбъектXDTO(ФабрикаXDTO, ТекстXML, ТипXDTO) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПКлиентСерверУХ.ТекстXMLВОбъектXDTO(ФабрикаXDTO, ТекстXML, ТипXDTO) 
```
</details>

## УбратьПовторяющиесяСимволы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляем лишние пробельные символы
Функция УбратьПовторяющиесяСимволы(Текст, СимволДляПроверки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПКлиентСерверУХ.УбратьПовторяющиесяСимволы(Текст, СимволДляПроверки) 
```
</details>

## ПодготовитьWhiteSpaceCollapse
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьWhiteSpaceCollapse(Текст) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПКлиентСерверУХ.ПодготовитьWhiteSpaceCollapse(Текст) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
