---
title: Интеграция ЦУЗ с ЭТП клиент УХ
slug: erp-uh/интеграция-цуз-с-этп-клиент-ух
---


## ВыполнитьКомандуОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// В регистр сведений ЖурналОбменаСЭТП делается запись об обмене.
// Параметры:
//	КомандаОбмена - Строка, наименование команды обмена.
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//  ОбъектВыгрузки - Документ.ПрограммаЗакупки. Данные для отправки.
//	ПараметрыПодключенияКЭТП - Структура. Состав полей соответствует значению возвращаемому функцией  ШаблонОписанияПараметровПодключенияКЭТП().
//		Можно получить функцией ПолучитьПараметрыПодключенияКЭТП(ЭТП, Сотрудник).
//	ПоляОписанияТранзакции - Структура. Состав полей соответствует значению возвращаемому функцией ШаблонОписанияТранзакцииОбмена().
//		Поля, обязательные к заполнению: Статус, Сотрудник.
//	ОписаниеОповещенияОбОкончанииОбмена - ОписаниеОповещения - процедура, которая будет вызвана по окончании обмена или при возникновении ошибки.
//		В качестве результата возвращается значение ОписаниеОбмена типа Структура с полями соответствующими аргументам данной функции,
//		и добавлением полей:
//			- ИмяОбработки - Строка - полное имя вызванной формы обработки (если используется клиентский вызов);
//			- флТранзакцияЗавершиласьУспешно - Булево. Истина - обмен прошел успешно. Ложь - возникли ошибки обмена.
//				Описание ошибки см. ПоляОписанияТранзакции.ТекстОшибки, ПоляОписанияТранзакции.ОшибкаОбменаСЭТП.
//      Реквизит "ДополнительныеПараметры" всегда Неопределено.
Процедура ВыполнитьКомандуОбмена( Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПКлиентУХ.ВыполнитьКомандуОбмена();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
