---
title: Интеграция ЦУЗ с ЭТП сервер УХ
slug: erp-uh/интеграция-цуз-с-этп-сервер-ух
---


## ШаблонОписанияЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Создает Структуру с пустыми полями описания обработки интеграции
Функция ШаблонОписанияЭТП() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ШаблонОписанияЭТП() 
```
</details>

## ШаблонТаблицыОписанияЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений, колонки которой соответсвтуют структуре возвращаемой функцией ШаблонОписанияЭТП()
Функция ШаблонТаблицыОписанияЭТП() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ШаблонТаблицыОписанияЭТП() 
```
</details>

## ОбновитьСоставЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает элементы справочника ЭлектронныеТроговыеПлощадки на основании обработок обмена,
// зарегистрированных в подсистеме ИнтеграцияСЭТП и справочнике ДополнительныеОтчетыИОбработки.
// Поиск ЭТП производится по Наименованию.
// Параметры:
//	НаименованиеЭТП - Строка. Если заполнено то, обновляем только данные по ЭТП с указанным Наименованием.
//
Процедура ОбновитьСоставЭТП(НаименованиеЭТП=Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.ОбновитьСоставЭТП(НаименованиеЭТП);
```
</details>

## ПолучитьОписанияОбработокИнтеграцииСЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить таблицу значений с описаниями обработок обмена зарегистрированных в подсистеме ИнтеграцияСЭТП
// и справочнике ДополнительныеОтчетыИОбработки. Поиск ЭТП в справочнике производится по Наименованию.
// Параметры:
//	НаименованиеЭТП - Строка(25). Если заполнено то, получаем данные по указанной ЭТП.
// Возвращает:
//	ТаблицаЗначений - описание обработок в формате таблицы колонки которой соответсвтуют структуре возвращаемой функцией ШаблонОписанияЭТП().
//
Функция ПолучитьОписанияОбработокИнтеграцииСЭТП(НаименованиеЭТП="") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписанияОбработокИнтеграцииСЭТП(НаименованиеЭТП);
```
</details>

## ШаблонОписанияПараметровПодключенияКЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Создает Структуру с пустыми полями описания обработки интеграции и параметров подключения пользователя
Функция ШаблонОписанияПараметровПодключенияКЭТП() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ШаблонОписанияПараметровПодключенияКЭТП() 
```
</details>

## ПолучитьПараметрыПодключенияКЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить настройки ЭТП для указанного сотрудника. Если не находит настройки пользователя, то возвращает настройки по умолчанию.
// Принимает:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	Сотрудник - СправочникСсылка.ФизическиеЛица.
// Возвращает:
//	Структура - параметры ЭТП (см. функцию ШаблонОписанияЭТП), дополнительно заполняет поле "ЭТП" значением ЭТП.
//	Неопределено - не найдена ЭТП.
Функция ПолучитьПараметрыПодключенияКЭТП(ЭТП, Сотрудник) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьПараметрыПодключенияКЭТП(ЭТП, Сотрудник) 
```
</details>

## ТекущийСотрудникДляОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ТекущийСотрудникДляОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ТекущийСотрудникДляОбмена() 
```
</details>

## ЭТП_Сотрудника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив ЭТП, для которых есть учетные записи по сотруднику.
// Принимает:
//	Сотрудник - СправочникСсылка.ФизическиеЛица.
// Возвращает:
//	Массив - элементы которого - это ссылки на ЭТП, доступные сотруднику.
Функция ЭТП_Сотрудника(Сотрудник) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ЭТП_Сотрудника(Сотрудник) 
```
</details>

## КодОКДПКорректен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если код корректен для отправки на ЭТП, то возвращает Неопределено. Иначе текст ошибки.
Функция КодОКДПКорректен(КодОКДП) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.КодОКДПКорректен(КодОКДП) 
```
</details>

## ПолныйКодОКДП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолныйКодОКДП(КодОКДП) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолныйКодОКДП(КодОКДП) 
```
</details>

## БукваРазделаОКДП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция БукваРазделаОКДП(КодОКДП) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.БукваРазделаОКДП(КодОКДП) 
```
</details>

## ПериодПоДатеЗакупочнойПроцедуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить период по дате. Периодичность определяется по периодичности закупочной процедуры.
// Возвращает:
//	- СправочникСсылка.Периоды, если удалось определить период.
//	- СправочникСсылка.Периоды.ПустаяСсылка, если не удалось.
Функция ПериодПоДатеЗакупочнойПроцедуры(ЗакупочнаяПроцедура, ДатаВПериоде) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПериодПоДатеЗакупочнойПроцедуры(ЗакупочнаяПроцедура, ДатаВПериоде) 
```
</details>

## ШаблонОписанияТранзакцииОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает:
//	Структура - описание статуса обмена с ЭТП и последней транзакции обмена. Поля:
//		- Статус - Перечисление.СтатусыЗакупокНаЭТП, текущий статус закупочной процедуры (Закупка).
//			Если статус не установлен, то устанавливает статус == "НеЗарегистрирована".
//		- Сотрудник - Справочник.ФизическиеЛица.  Физ. лицо производитвшее обмен
//		- ОписаниеСобытия - Строка. Описание транзакции обмена.
//		- ОтЭТПК1С - Булево. Истина - передача от ЭТП к 1С. Ложь - от 1С к ЭТП.
//		- ОшибкаОбменаСЭТП - Булево. Была ли ошибка последнего обмена или нет. Если обменов не было, то ТекстОшибки == "".
//		- ЗаписанаВЖурнал - Булево. Ошибка возникла до начала транзакции на этапе подготовки данных к отправке, и не была записана в журнал обмена с ЭТП.
//		- ТекстОшибки - Строка(0). Описание ошибки.
Функция ШаблонОписанияТранзакцииОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ШаблонОписанияТранзакцииОбмена() 
```
</details>

## ОбработатьТранзакциюОбменаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Основная функция подготовки, проверки данных и вызова процедур обмена из обработок на сервере.
// Если обмен должен быть выполнен на сервере, то выполняет его. Если на клиенте, то ограничивается
// подготовкой данных:
//	- добавляет поле "ОписаниеОбмена.ИмяФормыОбмена" - полный путь для открытия формы обмена;
//	- добавляет поле "ОписаниеОбмена.ИмяФункции" - имя функции которую должна выполнить форма обмена.
// Параметры:
//	ОписаниеОбмена - Структура:
//		ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//  	ОбъектВыгрузки - Справочник.Лоты.
//		ПараметрыПодключенияКЭТП - Структура. Состав полей соответствует значению возвращаемому функцией  ШаблонОписанияПараметровПодключенияКЭТП().
//			Можно получить функцией ПолучитьПараметрыПодключенияКЭТП(ЭТП, Сотрудник).
//		ПоляОписанияТранзакции - Структура. Состав полей соответствует значению возвращаемому функцией ШаблонОписанияТранзакцииОбмена().
//			Поля, обязательные к заполнению: Статус, Сотрудник.
//		НомерПубликацииНаЭТП - Строка. Идентификатор закупки на ЭТП. Если не заполнено, то закупка не опубликована на ЭТП.
//		флТранзакцияЗавершиласьУспешно - Строка. Идентификатор закупки на ЭТП. Если не заполнено, то закупка не опубликована на ЭТП.
//
Процедура ОбработатьТранзакциюОбменаНаСервере(ОписаниеОбмена) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.ОбработатьТранзакциюОбменаНаСервере(ОписаниеОбмена) 
```
</details>

## ПослеОбменаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка данных после обмена на сервере: запись лога в БД, изменение статуса транзакции.
// Если обмен должен быть выполнен на сервере, то выполняет его. Если на клиенте, то ограничивается
// подготовкой данных:
//	- добавляет поле "ОписаниеОбмена.ИмяФормыОбмена" - полный путь для открытия формы обмена;
//	- добавляет поле "ОписаниеОбмена.ИмяФункции" - имя функции которую должна выполнить форма обмена.
// Параметры:
//	ОписаниеОбмена - Структура:
//		ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//  	ОбъектВыгрузки - Справочник.Лоты.
//		ПараметрыПодключенияКЭТП - Структура. Состав полей соответствует значению возвращаемому функцией  ШаблонОписанияПараметровПодключенияКЭТП().
//			Можно получить функцией ПолучитьПараметрыПодключенияКЭТП(ЭТП, Сотрудник).
//		ПоляОписанияТранзакции - Структура. Состав полей соответствует значению возвращаемому функцией ШаблонОписанияТранзакцииОбмена().
//			Поля, обязательные к заполнению: Статус, Сотрудник.
//		НомерПубликацииНаЭТП - Строка. Идентификатор закупки на ЭТП. Если не заполнено, то закупка не опубликована на ЭТП.
//		флТранзакцияЗавершиласьУспешно - Строка. Идентификатор закупки на ЭТП. Если не заполнено, то закупка не опубликована на ЭТП.
//
Процедура ПослеОбменаНаСервере(ОписаниеОбмена) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.ПослеОбменаНаСервере(ОписаниеОбмена) 
```
</details>

## ПолучитьЭТПДляПлановЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить перечень ЭТП поддерживающих обмен планами закупки
// Возвращает:
//	Массив - элементы - СправочникСсылка.ЭлектронныеТорговыеПлощадки
Функция ПолучитьЭТПДляПлановЗакупки() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьЭТПДляПлановЗакупки() 
```
</details>

## ПолучитьЭТПДляЛотов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить перечень ЭТП поддерживающих обмен закупочными процедурами
// Возвращает:
//	Массив - элементы - СправочникСсылка.ЭлектронныеТорговыеПлощадки
Функция ПолучитьЭТПДляЛотов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьЭТПДляЛотов() 
```
</details>

## ПолучитьЭТПДляТипов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить перечень ЭТП поддерживающих обмен для различных типов объектов обмена
// Возвращает:
//	Соответствие -
//			ключ - тип объекта из ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ,
//			значение - Массив, элементы которого - СправочникСсылка.ЭлектронныеТорговыеПлощадки
Функция ПолучитьЭТПДляТипов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьЭТПДляТипов() 
```
</details>

## УстановитьЗначениеОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Установить значения полей описания транзакции для переданной ошибки.
Процедура УстановитьЗначениеОшибки(ПоляОписанияТранзакции, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.УстановитьЗначениеОшибки(ПоляОписанияТранзакции, ТекстОшибки) 
```
</details>

## СтатусЗакупкиПоСтатусуПубликации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По статусу публикации лота получаем его статус.
// Если статус менять нет необходимости, то возвраащет Неопределено.
Функция СтатусЗакупкиПоСтатусуПубликации(СтатусПубликации) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.СтатусЗакупкиПоСтатусуПубликации(СтатусПубликации) 
```
</details>

## ПолучитьЭТПОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить ЭТП для объекта, если уже был обмен.
// Параметры:
//	ОбъектВыгруки - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ. Объект для которого получем ЭТП.
// Возвращает:
//	СправочникСсылка.ЭлектронныеТорговыеПлощадки - если ЭТП найдена.
//	Справочники.ЭлектронныеТорговыеПлощадки.ПустаяСсылка() - обмена небыло, ЭТП определить невозможно.
//
Функция ПолучитьЭТПОбъекта(ОбъектВыгрузки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьЭТПОбъекта(ОбъектВыгрузки) 
```
</details>

## ПолучитьОписаниеОтветсвенногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить структуру с описанием ответственного за закупку
// Параметры:
//  ЗакупочнаяПроцедура - Справочник.Лоты.
// Возвращает:
//	Неопределено - для закупочной процедуры не определено ответсвенное лицо.
//	Структура - с описанием ответственного лица:
//		Фамилия - Строка.
//		Имя - Строка.
//		Отчество - Строка.
//		Телефон - Строка.
//		Email - Строка.
Функция ПолучитьОписаниеОтветсвенногоЛица(ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписаниеОтветсвенногоЛица(ЗакупочнаяПроцедура) 
```
</details>

## ПолучитьОписаниеНоменклатурыЛота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить описание номенклатуры лота в виде таблицы значений.
// Параметры:
//	Лот - СправочникСсылка.Лот, закупочная процедура по которой получаем таблицу номенклатуры.
//	ТекстОшибки - Строка(0). Переменная для возвращения из функции описания ошибки.
// Возвращает:
//	- Неопределено - возникла ошибка. В переменной ТекстОшибки содержиться описание.
// 	- ТаблицаЗначений, описывает номенклатуру лота. Поля:
//	Идентификатор - Строка, уникальный идентификатор строки, по которому ее можно будет найти в УХ.
//	Номенклатура - СправочникСсылка.Номенклатура;
//	НоменклатураНаименование - Строка, полное наименование номенклатуры;
//	АдресМестаПоставки - Строка, содержимое поля Адрес реквизита МестоПоставки (если заполнено);
//	МестоПоставкиОКАТО - Строка, содержимое поля КодПоОКАТО реквизита МестоПоставки (если заполнено);
//	КодОКПД2 - Строка, код ОКПД2 номенклатуры;
//	КодОКВЭД2 - Строка, код ОКВЭД2 номенклатуры;
//	ЕдиницаИзмерения - ОпределяемыйТип.ТипЕдиницаИзмеренияЕХ, базовая единица измерения, в ней выражено количество закупки;
//	ЕдиницаИзмеренияКод - Строка, ОКЕИ единицы измерения;
//	ЭтоТоварнаяКатегория - Булево, если истина, то это товарная категория, количество = 0;
//	Количество - Число, количество закупаемой номенклатуры в базовой единице измерения;
//	Сумма - Число, планируемая сумма закупки по указанной номенклатуре;
//	СтавкаНДС - Перечисление.СтавкиНДС, для товарных категорий всегда == БезНДС;
//	ВеличинаСтавкиНДС - Число, значение ставки НДС, если БезНДС, то 0.
//
Функция ПолучитьОписаниеНоменклатурыЛота(Лот, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписаниеНоменклатурыЛота(Лот, ТекстОшибки) 
```
</details>

## ПолучитьОписаниеНоменклатурыСтрокиПланаЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить описание номенклатуры строки плана закупок в виде таблицы значений.
// Параметры:
//	СтрокаПлана - ДокументСсылка.СтрокаПланаЗакупок, закупочная процедура по которой получаем таблицу номенклатуры.
//	ТекстОшибки - Строка(0). Переменная для возвращения из функции описания ошибки.
// Возвращает:
//	- Неопределено - возникла ошибка. В переменной ТекстОшибки содержиться описание.
// 	- ТаблицаЗначений, описывает номенклатуру лота. Поля:
//		Идентификатор - Строка, уникальный идентификатор строки, по которому ее можно будет найти в УХ.
//		Номенклатура - СправочникСсылка.Номенклатура;
//		НоменклатураНаименование - Строка, полное наименование номенклатуры;
//		АдресМестаПоставки - Строка, содержимое поля Адрес реквизита МестоПоставки (если заполнено);
//		МестоПоставкиОКАТО - Строка, содержимое поля КодПоОКАТО реквизита МестоПоставки (если заполнено);
//		КодОКПД2 - Строка, код ОКПД2 номенклатуры;
//		КодОКВЭД2 - Строка, код ОКВЭД2 номенклатуры;
//		ЕдиницаИзмерения - ОпределяемыйТип.ТипЕдиницаИзмеренияЕХ, базовая единица измерения, в ней выражено количество закупки;
//		ЕдиницаИзмеренияКод - Строка, ОКЕИ единицы измерения;
//		ЭтоТоварнаяКатегория - Булево, если истина, то это товарная категория, количество = 0;
//		Количество - Число, количество закупаемой номенклатуры в базовой единице измерения;
//		Сумма - Число, планируемая сумма закупки по указанной номенклатуре;
//		СтавкаНДС - Перечисление.СтавкиНДС, для товарных категорий всегда == БезНДС;
//		ВеличинаСтавкиНДС - Число, значение ставки НДС, если БезНДС, то 0.
//
Функция ПолучитьОписаниеНоменклатурыСтрокиПланаЗакупок(СтрокаПлана, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписаниеНоменклатурыСтрокиПланаЗакупок(СтрокаПлана, ТекстОшибки) 
```
</details>

## ПолучитьОписаниеТаблицыНоменклатурыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить описание номенклатуры документа в виде таблицы
// пригодной для отправки на ЕИС.
//
// Параметры:
//	СтрокаПлана - ДокументСсылка.СтрокаПланаЗакупок - закупочная процедура
//				  по которой получаем таблицу номенклатуры.
//
// Возвращает:
//	- Неопределено - возникла ошибка. В переменной ТекстОшибки содержиться описание.
// 	- ТаблицаЗначений, описывает номенклатуру лота. Поля:
//	Идентификатор - Строка, уникальный идентификатор строки, по которому ее можно будет найти в УХ.
//	Номенклатура - СправочникСсылка.Номенклатура;
//	НоменклатураНаименование - Строка, полное наименование номенклатуры;
//	АдресМестаПоставки - Строка, содержимое поля Адрес реквизита МестоПоставки (если заполнено);
//	МестоПоставкиОКАТО - Строка, содержимое поля КодПоОКАТО реквизита МестоПоставки (если заполнено);
//	КодОКПД2 - Строка, код ОКПД2 номенклатуры;
//	КодОКВЭД2 - Строка, код ОКВЭД2 номенклатуры;
//	ЕдиницаИзмерения - ОпределяемыйТип.ТипЕдиницаИзмеренияЕХ, базовая единица измерения, в ней выражено количество закупки;
//	ЕдиницаИзмеренияКод - Строка, ОКЕИ единицы измерения;
//	ЭтоТоварнаяКатегория - Булево, если истина, то это товарная категория, количество = 0;
//	Количество - Число, количество закупаемой номенклатуры в базовой единице измерения;
//	Сумма - Число, планируемая сумма закупки по указанной номенклатуре;
//	СтавкаНДС - Перечисление.СтавкиНДС, для товарных категорий всегда == БезНДС;
//	ВеличинаСтавкиНДС - Число, значение ставки НДС, если БезНДС, то 0.
//
Функция ПолучитьОписаниеТаблицыНоменклатурыОбъекта( Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписаниеТаблицыНоменклатурыОбъекта();
```
</details>

## ПолучитьОписаниеПредложенийПоставщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить описание предложений поставщиков из протокола-документа
// в виде таблицы значений.
//
// Параметры:
//	ПротоколВыбораПобедителей - ДокументСсылка.ПротоколВыбораПобедителей.
//	ТекстОшибки - Строка(0). Переменная для возвращения из функции описания ошибки.
// Возвращает:
//	- Неопределено - возникла ошибка. В переменной ТекстОшибки содержиться описание.
// 	- ТаблицаЗначений, описывает предложения поставщиков из документа.
//		Описание полей см. функции:
//			ПолучитьОписаниеПредложенийПобедителей;
//			ПолучитьОписаниеВскрытияКонвертов;
//			ПолучитьОписаниеРассмотренияЗаявок.
//
Функция ПолучитьОписаниеПредложенийПоставщиков(ДокументПротокол, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписаниеПредложенийПоставщиков(ДокументПротокол, ТекстОшибки) 
```
</details>

## ПолучитьОписаниеПредложенийПобедителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить описание предложений поставщиков из протокола
// выбора победителей в виде таблицы значений.
//
// Параметры:
//	ПротоколВыбораПобедителей - ДокументСсылка.ПротоколВыбораПобедителей.
//	ТекстОшибки - Строка(0). Переменная для возвращения из функции описания ошибки.
// Возвращает:
//	- Неопределено - возникла ошибка. В переменной ТекстОшибки содержиться описание.
// 	- ТаблицаЗначений, описывает номенклатуру лота. Поля:
//		ПредложениеУчастника - ДокументСсылка.ПредложениеПоставщика.
//		ДатаПодачиЗаявки - Дата+Время, дата документа ПредложениеПоставщика.
//		Номер - Строка, номер документа.
//		ПоставщикСМП - Булево, относится ли поставщик к субъектам малого и среднего предпринимательства.
//		Контрагент - СправочникСсылка.Контрагенты, поставщик.
//		СуммаДокумента - Число(15,2).
//		ВалютаДокумента - СправочникСсылка.Валюты.
//		СведенияОбОбъемеЗакупки - Строка(2000), текстовое описание товаров и услуг из табличной части УсловияПоНоменклатуре.
//									Заполняется функцией ПолучитьПредставлениеОбъемаЗакупки().
//		СрокиВыполненияДоговора - Строка(500).
//		Допущен - Булево, Истина - предложение поставщика допущено к участию. Ложь - не допущено.
//		Место - Число, 0 - не входит в победителей. Если больше нуля, то - это место которое заняло предолжение.
//
Функция ПолучитьОписаниеПредложенийПобедителей(ПротоколВыбораПобедителей, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписаниеПредложенийПобедителей(ПротоколВыбораПобедителей, ТекстОшибки) 
```
</details>

## ПолучитьПредставлениеОбъемаЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текстовое описание табличной части УсловияПоНоменклатуре документа ПредложениеПоставщика
Функция ПолучитьПредставлениеОбъемаЗакупки(ПредложениеПоставщика) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьПредставлениеОбъемаЗакупки(ПредложениеПоставщика));
```
</details>

## ИдентификаторСтрокиЛота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить идентификатор строки номенклатуры лота. Используется в функции ПолучитьОписаниеНоменклатурыЗакупки().
// Параметры:
//	СтрокаЛота - СтрокаТаблицыЗначений. Описание реквизитов строки см. функцию ПолучитьОписаниеНоменклатурыЗакупки().
// Возвращает:
//	Строка(0) - идентификатор однозначно характеризующий строку лота.
// Примечание:
//	Текущая реализация основана на уникальности строк по колнкам Номенклатура+МестоПоставки.
Функция ИдентификаторСтрокиЛота(СтрокаЛота) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ИдентификаторСтрокиЛота(СтрокаЛота) 
```
</details>

## ПолучитьОтборСтрокиЛотаПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить структуру с заполненными полями отбора одной строки из номенклатуры лота.
// Параметры:
//	Идентификатор - Строка(0). Идентификатор полученный функцией ИдентификаторСтрокиЛота().
// Возвращает:
//	- Структура. Ее поля - имена ключевых полей из таблицы получаемой функцией ПолучитьОписаниеНоменклатурыЗакупки().
//		Сейчас это Номенклатура и МестоПоставки.
//	- Неопределено - не удалось определить значения ключевых полей по идентификатору.
Функция ПолучитьОтборСтрокиЛотаПоИдентификатору(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОтборСтрокиЛотаПоИдентификатору(Идентификатор) 
```
</details>

## УстановитьАдресЗакупкиНаСайтеЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохранить строку с адресом закупочной процедуры на сайте ЭТП (HTTP://АдресСайта/АдресЗакупочнойПроцедуры).
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ЗакупочнаяПроцедура - СправочникСсылка.Лоты. Закупочная процедура для синхронизации.
//	АдресНаСайте - Строка. Адрес закупки на сайте.
Процедура УстановитьАдресЗакупкиНаСайтеЭТП(ЭТП, ЗакупочнаяПроцедура, АдресНаСайте) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.УстановитьАдресЗакупкиНаСайтеЭТП(ЭТП, ЗакупочнаяПроцедура, АдресНаСайте) 
```
</details>

## ПолучитьАдресЗакупкиНаСайтеЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку с адресом закупочной процедуры на сайте ЭТП (HTTP://АдресСайта/АдресЗакупочнойПроцедуры).
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ЗакупочнаяПроцедура - СправочникСсылка.Лоты. Закупочная процедура для синхронизации.
// Возвращает:
//	Строка - адрес на сайте. Если адрес получить невозможно, то возвращает пустую строку.
Функция ПолучитьАдресЗакупкиНаСайтеЭТП(ЭТП, ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьАдресЗакупкиНаСайтеЭТП(ЭТП, ЗакупочнаяПроцедура) 
```
</details>

## СохранитьНомерЗакупкиНаЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохранить номер закупки на ЭТП в УХ.
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ЗакупочнаяПроцедура - СправочникСсылка.Лоты. Закупочная процедура для синхронизации.
// Возвращает:
//	Неопределено - закупка не зарегистрирована на ЭТП, или не был получен номер от ЭТП.
//	Строка - номер закупки на ЭТП.
Процедура СохранитьНомерЗакупкиНаЭТП(ЭТП, ЗакупочнаяПроцедура, НомерЗакупки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.СохранитьНомерЗакупкиНаЭТП(ЭТП, ЗакупочнаяПроцедура, НомерЗакупки) 
```
</details>

## ПолучитьНомерЗакупкиНаЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить сохраненный в УХ номер закупки на ЭТП
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ЗакупочнаяПроцедура - СправочникСсылка.Лоты. Закупочная процедура для синхронизации.
// Возвращает:
//	Неопределено - закупка не зарегистрирована на ЭТП, или не был получен номер от ЭТП.
//	Строка - номер закупки на ЭТП.
Функция ПолучитьНомерЗакупкиНаЭТП(ЭТП, ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьНомерЗакупкиНаЭТП(ЭТП, ЗакупочнаяПроцедура) 
```
</details>

## УстановитьСтатусЗакупкиНаЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохранить строку с описанием статуса закупочной процедуры на сайте ЭТП.
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ЗакупочнаяПроцедура - СправочникСсылка.Лоты. Закупочная процедура для синхронизации.
//	НаименованиеСтатуса - Строка. Статус закупки на ЭТП.
//	НаименованиеСтатусаЕИС - Строка. Статус закупки ЕИС.
//  НомерНаЕИС - Строка. Номер закупки на ЕИС.
//	URLнаЕИС - Строка. Адрес закупки на ЕИС.
//
Процедура УстановитьСтатусЗакупкиНаЭТП(ЭТП, ЗакупочнаяПроцедура, НаименованиеСтатуса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.УстановитьСтатусЗакупкиНаЭТП(ЭТП, ЗакупочнаяПроцедура, НаименованиеСтатуса) 
```
</details>

## ПолучитьСтатусОбъектаНаЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку с описанием статуса указанного объекта на ЭТП.
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ЗакупочнаяПроцедура - СправочникСсылка.Лоты. Закупочная процедура для синхронизации.
//	НаименованиеСтатусаЕИС - Строка. Переменная для установки статуса на ЕИС.
//  НомерНаЕИС - Строка. Переменная для установки номера закупки на ЕИС.
//	URLнаЕИС - Строка. Переменная для установки адреса закупки на ЕИС.
// Возвращает:
//	Строка - Статус закупки на ЭТП. Если статус получить невозможно, то возвращает пустую строку.
Функция ПолучитьСтатусОбъектаНаЭТП(ЭТП, Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьСтатусОбъектаНаЭТП(ЭТП, Ссылка) 
```
</details>

## ПолучитьФайлыВладельца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить массив описаний файлов прикрепленных к закупочной процедуре
Функция ПолучитьФайлыВладельца(ВладелецФайлов) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьФайлыВладельца(ВладелецФайлов) 
```
</details>

## ДобавитьФайлПоВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать файл в базу данных.
// Параметры:
//  Владелец - ЛюбаяСсылка - объект-владелец связанных файлов.
//  АдресВременногоХранилищаФайла - Строка - адрес временного хранилища, где размещен файл.
//  Имя - Строка - имя помещаемого файла с расширением.
//	Размер - Число - размер помещаемого файла.
//	ТекстОшибки - Строка. Переменная для помщения описания ошибки, если она возникнет в процессе работы функции.
// Возвращает:
//	Неопределено - ошибка сохранения файла. Описание ошибки в ТекстОшибки.
//	Строка - Уникальный идентификатор файла. Позволяет по УИД получить файл функцией ПолучитьФайлПоУИД().
Функция ДобавитьФайлПоВладельцу(Владелец, АдресВременногоХранилищаФайла, Имя, Размер, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ДобавитьФайлПоВладельцу(Владелец, АдресВременногоХранилищаФайла, Имя, Размер, ТекстОшибки) 
```
</details>

## ПолучитьСсылкуНаФайлПоУИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить ссылку в базе на файл по его уникальному идентификатору.
// Параметры:
//	УИДФайла - строка. Либо УИД справочника СправочникСсылка.Файлы (если начинается на "C"), либо  или Строка идентификатор файла ДО (если начинается на "Д").
//	ТекстОшибки - Строка. Переменная для помщения описания ошибки, если она возникнет в процессе работы функции.
// Возвращает:
//	Неопределено - ошибка сохранения файла. Описание ошибки в ТекстОшибки.
//	Строка - Уникальный идентификатор файла. Позволяет по УИД получить файл функцией ПолучитьФайлПоУИД().
Функция ПолучитьСсылкуНаФайлПоУИД(УИДФайла, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьСсылкуНаФайлПоУИД(УИДФайла, ТекстОшибки) 
```
</details>

## ДвоичныеДанныеФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить двоичные данные файла по его описанию
Функция ДвоичныеДанныеФайла(ОписаниеФайла) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ДвоичныеДанныеФайла(ОписаниеФайла) 
```
</details>

## УстановитьЗначениеРеквизитаЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записываем в регистр сведений произвольные данные связанные с ЭТП и ЗакупочнойПроцедурой.
// Если передано значение == Неопределено, то запись из регистра удаляется.
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ОбъектОбмена - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ. Ссылка на объект для которого необходимо записать данные.
//	ИмяРеквизита - Строка(100). Произвольное имя реквизита. Если реквизит с таким имененм для указанных ЭТП и закупки существует, то его значение перезаписывается.
//	Значение - Строка(0), либо произвольные двоичные данные для помещения в хранилище значений.
//	ВДвоичныеДанные - Булево. Записать строку в двоичные данные со сжатием (Истина), или в строку (Ложь). Любые другие значения записываются в двоичные данные.
Процедура УстановитьЗначениеРеквизитаЭТП(ЭТП, ОбъектОбмена, ИмяРеквизита, Значение, ВДвоичныеДанные=Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.УстановитьЗначениеРеквизитаЭТП(ЭТП, ОбъектОбмена, ИмяРеквизита, Значение, ВДвоичныеДанные);
```
</details>

## УстановитьЗначенияРеквизитовЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записываем в регистр сведений несколько произвольных значений связанные с ЭТП и (если задан) объектом обмена.
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ОбъектОбмена - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ. Ссылка на объект для которого необходимо записать данные.
//	Значения - Структура, содержит значения для записи:
//		Ключ - Строка(100), произвольное имя реквизита. Если реквизит с таким имененм для указанных ЭТП и закупки существует, то его значение перезаписывается.
//		Значение - Строка(0), либо произвольные двоичные данные для помещения в хранилище значений.
//	ВДвоичныеДанные - Булево. Записать строки в двоичные данные со сжатием, или в строку. Любые другие значения записываются в двоичные данные.
Процедура УстановитьЗначенияРеквизитовЭТП(ЭТП, ОбъектОбмена, Значения, ВДвоичныеДанные=Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.УстановитьЗначенияРеквизитовЭТП(ЭТП, ОбъектОбмена, Значения, ВДвоичныеДанные);
```
</details>

## ЗначениеРеквизитаЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить значение произвольного реквизита ассоциированного с ЭТП и (если задан) с объектом обмена.
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ОбъектОбмена - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ. Ссылка на объект для которого необходимо прочитать данные.
//	ИмяРеквизита - Строка(100). Произвольное имя реквизита. Если реквизит с таким имененм для указанных ЭТП и закупки не существует, то возвращает Неопределено.
//	ЭтоДвоичныеДанные - Булево. Переменная в которую будет возвращен флаг, показывающий какие данные возвращает функция. Ложь - строка. Истина - произвольное значение из хранилища.
// Возвращает:
//	Строка(0) - если была сохранена строка.
//	Произвольные данные - если был сохранен любой другой тип данных.
//	Неопределено - данные по ключевым полям не найдены.
Функция ЗначениеРеквизитаЭТП(ЭТП, ОбъектОбмена, ИмяРеквизита, ЭтоДвоичныеДанные=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ЗначениеРеквизитаЭТП(ЭТП, ОбъектОбмена, ИмяРеквизита, ЭтоДвоичныеДанные);
```
</details>

## ЗначенияРеквизитовЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить значение набора реквизитов ассоциированного с ЭТП и (если указан) с объектом обмена.
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//  ОбъектОбмена - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ. Необязательное. Если пустое, то данные сохраняются для ЭТП.
//	Значения - Структура, будет заполнена значениями реквизитов по именам ключей.
//		Ключ - Строка(100). Входящее значение. Произвольное имя реквизита.
//		Знчение - произвольный. Заполняется функцией. Возможные типы значений:
//			Строка(0) - если была сохранена строка.
//			Произвольные данные - если был сохранен любой другой тип данных.
//			Неопределено - данные по имени ключевого поля не найдены.
Процедура ЗначенияРеквизитовЭТП(ЭТП, ОбъектОбмена, Значения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.ЗначенияРеквизитовЭТП(ЭТП, ОбъектОбмена, Значения) 
```
</details>

## УстановитьСтатусПубликацииОбъектаНаЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить статус публикации объекта на ЭТП.
Процедура УстановитьСтатусПубликацииОбъектаНаЭТП(ЭТП, ОбъектОбмена, Статус, ДатаИзмененияСтатуса) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.УстановитьСтатусПубликацииОбъектаНаЭТП(ЭТП, ОбъектОбмена, Статус, ДатаИзмененияСтатуса) 
```
</details>

## ПолучитьСтатусПубликацииОбъектаНаЭТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить статус публикации объекта на ЭТП.
Функция ПолучитьСтатусПубликацииОбъектаНаЭТП(ЭТП, ОбъектОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьСтатусПубликацииОбъектаНаЭТП(ЭТП, ОбъектОбмена) 
```
</details>

## ЗарегистрироватьОшибку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает текст ошибки в системный журнал регистрации. Устанавливает значений реквизитов ПоляОписанияТранзакции для сохранения ошибки.
// В журнале транзакции обмена запись не делается!
// Параметры:
//	ПоляОписанияТранзакции - Структура, см. функцию ШаблонОписанияТранзакцииОбмена(). В структуре будут заполнены поля описания ошибки, установлен флаг ошибки.
//	ТекстОшибки - Строка, текст ошибки.
//	ИмяСобытия - Строка, для фильтрации событий в журнале регистрации.
Процедура ЗарегистрироватьОшибку(ПоляОписанияТранзакции, ТекстОшибки, ИмяЭТП="") Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.ЗарегистрироватьОшибку(ПоляОписанияТранзакции, ТекстОшибки, ИмяЭТП);
```
</details>

## ПолучитьШаблонОписанияКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает:
//	Структура - описание поставщика, для заполнения в обработке обмена с ЭТП. Состав полей:
//		- КонтрагентПолноеНаименование - Строка. Полное наименование поставщика.
//		- КонтрагентНаименование - Строка. Сокращенное наименование поставщика.
//		- КонтрагентИНН - Строка. ИНН поставщика.
//		- КонтрагентКПП - Строка. КПП поставщика.
//		- КонтрагентОГРН - Строка. ОГРН поставщика.
//		- КонтрагентЮрАдрес - Строка. Юридический адрес поставщика.
//		- КонтрагентПочтовыйАдрес - Строка. Почтовый адрес поставщика.
//		- КонтрагентEmail - Строка. Адрес электронной почты поставщика.
//		- КонтрагентТелефон - Строка. Телефон поставщика.
//		- КонтрагентКонтактноеЛицо - Строка. ФИО контактного лица поставщика.
//		- КонтрагентМалыйПредприниматель - Булево. Контрагент является субъектом малого предпринимательства.
//		- КонтрагентСреднийПредприниматель - Булево. Контрагент является субъектом "среднего" предпринимательства.
Функция ПолучитьШаблонОписанияКонтрагента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьШаблонОписанияКонтрагента() 
```
</details>

## ЗаписатьОшибкуИнтеграцииВЖурналаРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьОшибкуИнтеграцииВЖурналаРегистрации(ТекстОшибки, ИмяЭТП="") Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.ЗаписатьОшибкуИнтеграцииВЖурналаРегистрации(ТекстОшибки, ИмяЭТП);
```
</details>

## ЗаписатьСообщениеОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать сообщение в базу с уникальным идентификатором
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ОбъектОбмена - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ. Ссылка на объект для которого необходимо записать сообщение.
//	КлючСообщения - Строка, используется для сохранения занчения.
//	ИсходящееСообщение - Булево. Истина - сообщение посланное от нас к ЭТП. Ложь - сообщение получено от ЭТП.
// Возвращает:
//	Булево. Истина - запись прошла успешно.
//		Ложь - записать сообщение не удалось.
Функция ЗаписатьСообщениеОбмена(ЭТП, ОбъектОбмена, ТекстСообщения, КлючСообщения, ИсходящееСообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ЗаписатьСообщениеОбмена(ЭТП, ОбъектОбмена, ТекстСообщения, КлючСообщения, ИсходящееСообщение) 
```
</details>

## ПолучитьСообщениеОбменаПоКлючу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прочитать сообщение из базы по уникальному идентификатору
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ОбъектОбмена - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ. Ссылка на объект для которого необходимо записать сообщение.
//	КлючСообщения - Строка(36) - уникальный идентификатор записанного сообщения.
//	ИсходящееСообщение - Булево, Истина - сообщение посланное от нас к ЭТП. Ложь - сообщение получено от ЭТП.
// Возвращает:
//	Строка(0) - текст сообщения.
//	Неопределено - прочитать сообщение не удалось.
Функция ПолучитьСообщениеОбменаПоКлючу(ЭТП, ОбъектОбмена, КлючСообщения, ИсходящееСообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьСообщениеОбменаПоКлючу(ЭТП, ОбъектОбмена, КлючСообщения, ИсходящееСообщение) 
```
</details>

## ПолучитьУИД_Идентификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Читает из базы УИД назначенный строковому идентификатору. Если УИД не сопоставлен, то он генерируется и записывается соответствие.
// Параметры:
//	ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	Идентификатор - Строка(). Произвольный непустой идентификатор для которого нужно получить УИД.
// Возвращает:
//	Строка(36) - УИД сопоставленный с Идентификатор.
Функция ПолучитьУИД_Идентификатора(ЭТП, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьУИД_Идентификатора(ЭТП, Идентификатор) 
```
</details>

## ПолучитьКонтактнуюИнформацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить контактную информацию организации
// или контрагента в виде набора строк.
//
// Параметры:
//	Ссылка - СправочникСсылка.Организация,
//			 СправочникСсылка.Контрагенты,
//			 СправочникСсылка.Пользователи - ссылка на организацию или контрагента
//									  		 для которого нужно получить КИ.
// Возвращает:
//	Структура - с полями:
//		ЮридическийАдрес;
//		ПочтовыйАдрес;
//		Телефон;
//		Факс;
//		Email.
//
Функция ПолучитьКонтактнуюИнформацию(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьКонтактнуюИнформацию(Ссылка) 
```
</details>

## ПолучитьКодЗакупкиВЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код способа закупки для передачи в ЕИС.
//
Функция ПолучитьКодЗакупкиВЕИС(СпособВыбораПоставщика,ЗакрытыйКонкурс,ВЭлектроннойФорме, Наименование) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьКодЗакупкиВЕИС(СпособВыбораПоставщика, ЗакрытыйКонкурс, ВЭлектроннойФорме, Наименование) 
```
</details>

## ПолучитьОписаниеЛотаВПланеЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Получить реквизиты лота зарегистрированного в плане закупок.
// Если лот не зарегистрирован, то возваращет Лот.УникальныйИдентификатор()
// Параметры:
//	Лот - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ. Объект для которого получем ЭТП.
// Возвращает:
//	Структура:
//		ПрограммаЗакупок - СправочникСсылка.Лоты,
//		УИД_Плана - Строка(36) - УИД последней размещенной версии плана закупки.,
//		НомерЛотаВПлане - Число - номер лота в плане,
//		УИД_Лота - Строка(36) - УИД лота переданный, не ЕИС.
Функция ПолучитьОписаниеЛотаВПланеЗакупок(Лот) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписаниеЛотаВПланеЗакупок(Лот) 
```
</details>

## guidСтрокиПланаЗакупокПредыдущейОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищем УИД закупочной процедуры в сообщениях обмена
// от последних к ранним.
//
// Параметры:
//  ЭТП					 - СправочникСсылка.ЭлектронныеТорговыеПлощадки - ссылка на ЕИС.
//  ПланЗакупок			 - ДокументСсылка.ПрограммаЗакупок - план закупок для отправки.
//  ЗакупочнаяПроцедура	 - СправочникСсылка.Лоты - лот как строка плана закупок.
//
// Возвращаемое значение:
//   - Строка - УИД закупочной процедуры в предыдущей отправке плана закупок.
//
Функция guidСтрокиПланаЗакупокПредыдущейОтправки(ЭТП, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.guidСтрокиПланаЗакупокПредыдущейОтправки(ЭТП, );
```
</details>

## НайтиОднуИзПодстрокВТексте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет подстроку в тексте из переданного перечня.
//
// Параметры:
//  Текст			 - Строка - текст в котором ищем.
//  СтрокиДляПоиска	 - Строка - строки, которые ищем.
//
// Возвращаемое значение:
//   - первая найденная строка.
//
Функция НайтиОднуИзПодстрокВТексте(Текст, СтрокиДляПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.НайтиОднуИзПодстрокВТексте(Текст, СтрокиДляПоиска));
```
</details>

## ПолучитьУИДОбъектаИнтеграцииСЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить УИД объекта.
//
// Параметры:
//  Ссылка	 - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ - ссылка на объект
//				для которго необходимо получить УИД.
//
// Возвращаемое значение:
//   - Строка(36) - строковое представление УИД объекта.
//
Функция ПолучитьУИДОбъектаИнтеграцииСЕИС(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьУИДОбъектаИнтеграцииСЕИС(Ссылка) 
```
</details>

## ПолучитьВерсиюОбъектаДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить номер последней размещенной (подписанной) в ЕИС версии изменения объекта.
// Параметры:
//	Ссылка - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ.
//	Размещена - Булево - Истина - искать только среди размещенных (подписанных) в ЕИС версий.
//						 Ложь - искать только среди не размещенных (не подписанных) в ЕИС версий.
//						 Неопределено - не учитывать факт размещения.
//
// Возвращает:
//	Структура с описанием последней версии:
//		НомерВерсии - Число. Номер последней версии. Если версий нет, то 0.
//		ОбоснованиеИзменений - Строка(2000). Обоснование внесения изменения при создании версии.
//		Дата - Дата+Время - универсальные дата и время создания версии.
//		ГУИДВерсии - Строка(36) - строковое представление УИД зарегистрированное для версии.
//		Размещена - Булево - версия размещена (подписана) в ЕИС.
//
Функция ПолучитьВерсиюОбъектаДляЕИС(Ссылка, Размещена=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьВерсиюОбъектаДляЕИС(Ссылка, Размещена);
```
</details>

## КорректныйНомерРегистрацииЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить, что объект подписан в ЕИС.
//
Функция КорректныйНомерРегистрацииЕИС(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.КорректныйНомерРегистрацииЕИС(Ссылка) 
```
</details>

## ПолучитьНомерРегистрацииЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер регистрации объект в ЕИС.
//
Функция ПолучитьНомерРегистрацииЕИС(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьНомерРегистрацииЕИС(Ссылка) 
```
</details>

## ПолучитьУИДОбъектаБезУчетаВерсий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить УИД объекта для указания в качестве значения поля "guid"
// без учета версий объекта для ЕИС.
//
// Параметры:
//  Ссылка	 - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ - ссылка на объект
//				для которго необходимо получить УИД.
//
// Возвращаемое значение:
//   - Строка(36) - строковое представление УИД объекта.
//
Функция ПолучитьУИДОбъектаБезУчетаВерсий(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьУИДОбъектаБезУчетаВерсий(Ссылка) 
```
</details>

## ПолучитьСтрокиПланаЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить строки плана закупок зарегистрированных в плане закупок.
// Параметры:
//	ПрограммаЗакупок - ДокументСсылка.ПрограммаЗакупок для которой получем список лотов.
// Возвращает:
//	Массив, элементы - ДокумдентСсылка.СтрокаПланаЗакупок.
//
Функция ПолучитьСтрокиПланаЗакупок(ПрограммаЗакупок) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьСтрокиПланаЗакупок(ПрограммаЗакупок) 
```
</details>

## ПолучитьДобавленныеСтрокиПланаЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив строк плана закупок из плана ПрограммаЗакупокВход, которые
// не были включены в документ-основание.
Функция ПолучитьДобавленныеСтрокиПланаЗакупок(ПрограммаЗакупокВход) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьДобавленныеСтрокиПланаЗакупок(ПрограммаЗакупокВход) 
```
</details>

## ПолучитьСуммыПланаЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить сумму, сумму по МСП программы закупок (в валюте централизованных закупок на указанную дату)
// Параметры:
//	ПрограммаЗакупок - ДокументСсылка.ПрограммаЗакупок. Документ для которого нужно посчитать суммы
// Возвращает:
//	Структура:
//		- СуммаДокумента - Число, сумма плана закупок рассчитанную в валюте централизованных закупок на указанную дату.
//		- СуммаТолькоМСП - Число, сумма плана закупок в части МСП.
//		- СуммаБезМСП - Число, сумма плана закупок с флагом исключения при расчете доли СМП
//		- ПроцентМСП - Число == СуммаТолькоМСП / СуммаДокумента * 100
//
Функция ПолучитьСуммыПланаЗакупок(ПрограммаЗакупок) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьСуммыПланаЗакупок(ПрограммаЗакупок) 
```
</details>

## ПолучитьОбъектОбменаПоУИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищем ссылку на объект среди справочников и документов
Функция ПолучитьОбъектОбменаПоУИД(УИД, ИмяТипа=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОбъектОбменаПоУИД(УИД, ИмяТипа);
```
</details>

## ПолучитьПротоколОтменыЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить протокол отмены закупки
Функция ПолучитьПротоколОтменыЗакупки(ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьПротоколОтменыЗакупки(ЗакупочнаяПроцедура) 
```
</details>

## ПолучитьПротоколВыбораПобедителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить протокол выбора победителей
Функция ПолучитьПротоколВыбораПобедителей(ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьПротоколВыбораПобедителей(ЗакупочнаяПроцедура) 
```
</details>

## ПолучитьЛотДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить ЗакупочнаяПроцедура в рамках которого введен договор.
// Если не находит, возвращает пустую ссылку.
Функция ПолучитьЛотДоговора(ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьЛотДоговора(ДоговорКонтрагента) 
```
</details>

## ПолучитьОписаниеНоменклатурыДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить описание номенклатуры договора в виде таблицы значений.
// Параметры:
//	ДоговорКонтрагента - СправочникСсылка.ДоговорыКонтрагентов.
//	ТекстОшибки - Строка(0). Переменная для возвращения из функции описания ошибки.
// Возвращает:
//	- Неопределено - возникла ошибка. В переменной ТекстОшибки содержиться описание.
// 	- ТаблицаЗначений, описывает номенклатуру договора. Поля:
//	Идентификатор - Строка, уникальный идентификатор строки, по которому ее можно будет найти в УХ;
//	Лот - СправочникСсылка.Лоты, лот в рамках которого действует договор;
//	Номенклатура - СправочникСсылка.Номенклатура;
//	НоменклатураНаименование - Строка, полное наименование номенклатуры;
//	АдресМестаПоставки - Строка, содержимое поля Адрес реквизита МестоПоставки (если заполнено);
//	МестоПоставкиОКАТО - Строка, содержимое поля КодПоОКАТО реквизита МестоПоставки (если заполнено);
//	КодОКПД2 - Строка, код ОКПД2 номенклатуры;
//	КодОКВЭД2 - Строка, код ОКВЭД2 номенклатуры;
//	ЕдиницаИзмерения - ОпределяемыйТип.ТипЕдиницаИзмеренияЕХ, базовая единица измерения, в ней выражено количество закупки;
//	ЕдиницаИзмеренияКод - Строка, ОКЕИ единицы измерения;
//	ЭтоТоварнаяКатегория - Булево, если истина, то это товарная категория, количество = 0;
//	Количество - Число, количество закупаемой номенклатуры в базовой единице измерения;
//	Сумма - Число, планируемая сумма закупки по указанной номенклатуре;
//	СтавкаНДС - Перечисление.СтавкиНДС, для товарных категорий всегда == БезНДС;
//	ВеличинаСтавкиНДС - Число, значение ставки НДС, если БезНДС, то 0.
//
Функция ПолучитьОписаниеНоменклатурыДоговора(ДоговорКонтрагента, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписаниеНоменклатурыДоговора(ДоговорКонтрагента, ТекстОшибки) 
```
</details>

## ПолучитьОснованияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить таблицу значений каждая строка которой, описывает документов на основании которых введен договор.
// Параметры:
//	ДоговорКонтрагента - СправочникСсылка.ДоговорыКонтрагентов.
// Возвращает:
//	- Неопределено - нет документов оснований.
// 	- ТаблицаЗначений, описывает основания заключения договора. Поля:
//		УИД - Строка(36), уникальный идентификатор строки, по которому ее можно будет найти в УХ;
//		Ссылка - ДокументСсылка - ссылка на документ в УХ;
//		Номер - Строка(500), номер документа;
//		Дата - Дата+Время, дата документа;
//		Наименование - Строка(2000), представление документа;
//		Комментарий - Строка(500), дополнительная информация по документу основанию.
Функция ПолучитьОснованияДоговора(ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОснованияДоговора(ДоговорКонтрагента) 
```
</details>

## ПолучитьОписаниеПозицийИсполненияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить описание позиций документа исполнения договора.
//
// Параметры:
//	ИсполнениеДоговора - ДокументСсылка.СведенияОбИсполненииДоговора.
//	ТекстОшибки - Строка(0). Переменная для возвращения из функции описания ошибки.
//
// Возвращает:
//	- Неопределено - возникла ошибка. В переменной ТекстОшибки содержиться описание.
//	- ТаблицаЗначений, описывает номенклатуру договора. Поля:
//			Номер - номер строки позиции;
//			Дата - Дата+Время, дата оплаты;
//			Сумма - Число, сумма движения по документу;
//			ВалютаДокумента - СправочникСсылка.Валюты, валюта документа;
//			Курс - Число, курс валюты документа на дату операции;
//			СуммаВРублях - Число, сумма операции выраженная в рублях
//						на дату операции;
//			ЭтоАванс - Булево, если Истина - то это авансовый платеж;
//			ДокументыИсполнения - ТаблицаЗначений, описывает постулпения
//							номенклатуры договора. Поля:
//				Номер - Число - номер строки документа;
//				Дата - Дата+Время, дата документа;
//				КодВидаДокумента - Строка(1-2) - код вида документа;
//				НаименованиеВидаДокумента - Строка - наименование вида документа;
//				НомерДокумента - Строка - номер документа;
//				ИдентификаторСтрокиЛота - Строка - ид строки номенклаутры в лоте;
//				НоменклатураНаименование - Строка - наименование номенклатуры;
//				КодОКПД2 - Строка - код ОКПД2;
//				КодОКЕИ - Строка - код единицы измерения;
//				НаименованиеОКЕИ - Строка - наименование единицы измерения;
//				Количество - Число - количество поставленной номенклатуры.
//
Функция ПолучитьОписаниеПозицийИсполненияДоговора(ИсполнениеДоговора, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписаниеПозицийИсполненияДоговора(ИсполнениеДоговора, ТекстОшибки) 
```
</details>

## ПолучитьВидДокументаИсполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По типу документа получить ссылку на справочник
//  видов документов исполнения договора.
//
// Параметры:
//  ТипДокумента - Тип - тип документа в 1С.
//
// Возвращаемое значение:
//   - СправочникСсылка.ВидыДокументовИсполненияДоговора
//		Если такому типу документа не сопоставлено
//		ни одного элемента справочника, то возвращает
//		пустое значение.
//
Функция ПолучитьВидДокументаИсполнения(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьВидДокументаИсполнения(ТипДокумента) 
```
</details>

## ПолучитьОписаниеИсполненияДоговораПоПозициям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Версия для конфигурации не поддерживающей протокол обмена с ЕИС 7.5.
// Получить описание исполнения договора виде таблицы значений.
// Параметры:
//	ДоговорКонтрагента - СправочникСсылка.ДоговорыКонтрагентов.
//	ТекстОшибки - Строка(0). Переменная для возвращения из функции описания ошибки.
// Возвращает:
//	- Неопределено - возникла ошибка. В переменной ТекстОшибки содержиться описание.
// 	- ТаблицаЗначений, описывает номенклатуру договора. Поля:
//		Дата - Дата+Время, дата движения;
//		Сумма - Число, сумма движения по документу;
//		ВалютаДокумента - СправочникСсылка.Валюты, валюта документа;
//		Курс - Число, курс валюты документа на дату операции;
//		СуммаВРублях - Число, сумма операции выраженная в рублях на дату операции;
//		ЭтоАванс - Булево, если Истина - то это авансовый платеж;
//		Документ - ДокументСсылка, документ операции;
//
Функция ПолучитьОписаниеИсполненияДоговораПоПозициям(ДоговорКонтрагента, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьОписаниеИсполненияДоговораПоПозициям(ДоговорКонтрагента, ТекстОшибки) 
```
</details>

## ПроверитьТребованиеОтсутствиеСведенийВРНП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает:
//	Истина - если для лота зарегистрировано требование "ОтсутствиеСведенийВРНП".
//	Ложь - в противном случае.
Функция ПроверитьТребованиеОтсутствиеСведенийВРНП(ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПроверитьТребованиеОтсутствиеСведенийВРНП(ЗакупочнаяПроцедура) 
```
</details>

## ИзмененРазделСМППланаЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИзмененРазделСМППланаЗакупок(ПрограммаЗакупок) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ИзмененРазделСМППланаЗакупок(ПрограммаЗакупок) 
```
</details>

## ПолучитьРезультатОтменыПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРезультатОтменыПротокола(ДокументПротокол) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьРезультатОтменыПротокола(ДокументПротокол) 
```
</details>

## ПолучитьТребованияКСоставуДокументовПоЛоту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТребованияКСоставуДокументовПоЛоту(Лот) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьТребованияКСоставуДокументовПоЛоту(Лот) 
```
</details>

## ПолучитьРодителяПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для документов Протокол... возвращает его родителя.
//
// Параметры:
//  ДокументПротокол - ДокументСсылка.ПротоколВыбораПобедителей
//					   | ДокументСсылка.ПротоколРассмотренияЗаявок
//					   | ДокументСсылка.ПротоколВскрытияКонвертов -
//		документ для которого, необходимо получить предшественника
//		в последовательности определенной логикой ЕИС.
//
// Возвращаемое значение:
//   - СправочникСсылка.Лоты
//	   | ДокументСсылка.ПротоколРассмотренияЗаявок
//	   | ДокументСсылка.ПротоколВскрытияКонвертов -
//		документ основание для переданного документа.
//		Если  не удалось определить документ, то возвращает пустую ссылку
//		того типа документа, который должен предшествовать переданному.
//
Функция ПолучитьРодителяПротокола(ДокументПротокол) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьРодителяПротокола(ДокументПротокол) 
```
</details>

## ПолучитьВыборокуЛотовЗакупочнойПроцедуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает выборку запроса возвращающего лоты назначенные закупочной процедуре.
//
// Параметры:
//  ЗакупочнаяПроцедура - СправочникСсылка.ЗакупочныеПроцедуры - закупка.
//
// Возвращаемое значение:
//   - ВыборкаИзРезультатаЗапроса - содержит одно поле "Лот".
//
Функция ПолучитьВыборокуЛотовЗакупочнойПроцедуры(ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьВыборокуЛотовЗакупочнойПроцедуры(ЗакупочнаяПроцедура) 
```
</details>

## ПолучитьТаблицуСсылокПоУИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений описывающую объект и его версии
// найденные по УИД.
//
// Параметры:
//  УИДСтрока - Строка(36) - УИД объекта или версии для поиска.
//
// Возвращаемое значение:
//   - ТаблицаЗначений:
//		- Ссылка - ссылка на объект.
//		- НомерВерсии - номер версии.
//
Функция ПолучитьТаблицуСсылокПоУИД(УИДСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьТаблицуСсылокПоУИД(УИДСтрока) 
```
</details>

## ПолучитьКонтрагентаДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКонтрагентаДоговора(Договор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьКонтрагентаДоговора(Договор) 
```
</details>

## УстановитьКонтактнуюИнформациюОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить контактную информацию контаргента
Процедура УстановитьКонтактнуюИнформациюОбъекта(ОбъектКИ, ЗначениеКИ, ВидКИ, XMLформат=Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.УстановитьКонтактнуюИнформациюОбъекта(ОбъектКИ, ЗначениеКИ, ВидКИ, XMLформат);
```
</details>

## ЕдиноеМестоПоставкиВЗакупочнойПроцедуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает единое место поставки закупочной процедуры.
// Если места поставки различны, возвращает Неопределено.
//
Функция ЕдиноеМестоПоставкиВЗакупочнойПроцедуре(ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ЕдиноеМестоПоставкиВЗакупочнойПроцедуре(ЗакупочнаяПроцедура) 
```
</details>

## ПолучитьРазмерКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает размер контрагента.
//
Функция ПолучитьРазмерКонтрагента(Контрагент, Дата=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьРазмерКонтрагента(Контрагент, Дата);
```
</details>

## ОписаниеПоследнейТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает структуру описывающую последнюю транзакцию.
// Параметры:
//	ОбъектОбмена - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ. Ссылка на объект для которой необходимо узнать статус.
//	ЭТП - СправочникСсылка.Номенклатура - если указан, то получает данные по указанной ЭТП. Иначе ищет по всем ЭТП.
//
// Возвращает:
//	Структура - описание последнего обмена. Описание полей см. функцию ШаблонОписанияТранзакцииОбмена().
Функция ОписаниеПоследнейТранзакции(ОбъектОбмена, ЭТП=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ОписаниеПоследнейТранзакции(ОбъектОбмена, ЭТП);
```
</details>

## ЗаписатьСобытиеЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в журнал обмена с ЭТП описание транзакции обмена данными. Устанавливает флаг ПоляОписания.ЗаписанаВЖурнал = Истина.
// Параметры:
//	ОбъектОбмена - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ. Ссылка на объект для которого необходимо записать событие.
//  ЭТП - СправочникСсылка.ЭлектронныеТорговыеПлощадки.
//	ДатаСобытия - Дата+Время события.
//	ПоляОписанияТранзакции - Структура. См. описание функции ШаблонОписанияТранзакцииОбмена().
Процедура ЗаписатьСобытиеЖурнала(ОбъектОбмена, ЭТП, ПоляОписанияТранзакции) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.ЗаписатьСобытиеЖурнала(ОбъектОбмена, ЭТП, ПоляОписанияТранзакции) 
```
</details>

## ПолучитьСсылкиНаВерсииПоУИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьСсылкиНаВерсииПоУИД(УИДСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьСсылкиНаВерсииПоУИД(УИДСтрока));
```
</details>

## ПолучитьСсылкиНаОбъектыПоУИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСсылкиНаОбъектыПоУИД(УИДСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЦУЗсЭТПСерверУХ.ПолучитьСсылкиНаОбъектыПоУИД(УИДСтрока));
```
</details>

## ДобавитьСсылкуПоУИДИВидуОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьСсылкуПоУИДИВидуОбъекта(мСсылок, ВидОбъекта, УИД) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЦУЗсЭТПСерверУХ.ДобавитьСсылкуПоУИДИВидуОбъекта(мСсылок, ВидОбъекта, УИД));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
