---
title: Интеграция ЭДО повт исп
slug: erp-uh/интеграция-эдо-повт-исп
---


## ОписаниеОбъектовУчетаВнутреннихЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//  * Ключ - см. ОбщегоНазначения.ИдентификаторОбъектаМетаданных
//  * Значение - см. ОбщегоНазначения.ОбъектМетаданныхПоИдентификатору
Функция ОписаниеОбъектовУчетаВнутреннихЭлектронныхДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЭДОПовтИсп.ОписаниеОбъектовУчетаВнутреннихЭлектронныхДокументов() 
```
</details>

## ИспользуетсяДополнительнаяАналитикаКонтрагентовСправочникПартнеры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает признак использования справочника Партнеров в качестве
// дополнительной аналитики к справочнику Контрагенты.
//
// Возвращаемое значение:
//  ИспользуетсяСправочникПартнеры - Булево - флаг использования в библиотеке справочника Партнеры.
//
Функция ИспользуетсяДополнительнаяАналитикаКонтрагентовСправочникПартнеры() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЭДОПовтИсп.ИспользуетсяДополнительнаяАналитикаКонтрагентовСправочникПартнеры() 
```
</details>

## ИспользуютсяДоговорыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуютсяДоговорыКонтрагентов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЭДОПовтИсп.ИспользуютсяДоговорыКонтрагентов() 
```
</details>

## ИмяПрикладногоСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя прикладного справочника по имени библиотечного справочника.
//
// Параметры:
//  ИмяСправочника - строка - название справочника из библиотеки.
//
// Возвращаемое значение:
//  Строка - имя прикладного справочника.
//
Функция ИмяПрикладногоСправочника(ИмяСправочника) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЭДОПовтИсп.ИмяПрикладногоСправочника(ИмяСправочника) 
```
</details>

## СтавкаНДСИзСоответствия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает соответствующее переданному параметру значение ставки НДС.
// Если в функцию передан параметр ПредставлениеБЭД, то функция вернет ПрикладноеЗначение ставки НДС и наоборот.
//
// Параметры:
//   ПредставлениеБЭД - Строка - строковое представление ставки НДС.
//   ПрикладноеЗначение - ПеречислениеСсылка.СтавкиНДС, СправочникСсылка.СтавкиНДС - прикладное представление
//     соответствующего значения ставки НДС.
//
// Возвращаемое значение:
//   Строка, ПеречислениеСсылка.СтавкиНДС, СправочникСсылка.СтавкиНДС - соответствующее представление ставки НДС.
//
Функция СтавкаНДСИзСоответствия(ПредставлениеБЭД = "", ПрикладноеЗначение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЭДОПовтИсп.СтавкаНДСИзСоответствия(ПредставлениеБЭД, ПрикладноеЗначение);
```
</details>

## СтавкаНДСПеречисление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает соответствующее переданному параметру значение ставки НДС.
//
// Параметры:
//   СтавкаНДС - ПеречислениеСсылка.СтавкиНДС, СправочникСсылка.СтавкиНДС - прикладное представление
//               соответствующего значения ставки НДС.
//
// Возвращаемое значение:
//   Строка, ПеречислениеСсылка.СтавкиНДС, СправочникСсылка.СтавкиНДС - соответствующее представление ставки НДС.
//
Функция СтавкаНДСПеречисление(СтавкаНДС) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЭДОПовтИсп.СтавкаНДСПеречисление(СтавкаНДС) 
```
</details>

## ВидДоговоровКонтрагентовПеречисление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает соответствующее переданному параметру значение вида договора контрагента.
//
// Параметры:
//   ВидДоговора - ПеречислениеСсылка.ВидыДоговоровКонтрагентов - прикладное представление соответствующего значения
//               вида договора контрагента.
//
// Возвращаемое значение:
//   Строка, ПеречислениеСсылка.ВидыДоговоровКонтрагентов - соответствующее вида договора контрагента.
//
Функция ВидДоговоровКонтрагентовПеречисление(ВидДоговора) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияЭДОПовтИсп.ВидДоговоровКонтрагентовПеречисление(ВидДоговора) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
