---
title: Интеграция ЭДО события клиент
slug: erp-uh/интеграция-эдо-события-клиент
---


## ПослеНачалаРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействиеКлиент.ПослеНачалаРаботыСистемы
Процедура ПослеНачалаРаботыСистемы() Экспорт
```

Пример вызова
```bsl
ИнтеграцияЭДОСобытияКлиент.ПослеНачалаРаботыСистемы() 
```
</details>

## ПослеОтраженияВУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнение действий после отражения документов в системе
//
// Параметры:
//  ОповещениеОЗавершении - ОписаниеОповещения - Оповещение, которое будет вызвано после обработки события с параметрами:
//     Результат - см. ОбработкаНеисправностейБЭДКлиент.НовыйКонтекстДиагностики
//  ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
//  ТаблицаДокументов - ДанныеФормыКоллекция
//  * ОбъектУчета - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  * СпособОбработки - Строка
//  КонтекстДиагностики - см. ОбработкаНеисправностейБЭДКлиент.НовыйКонтекстДиагностики
//
Процедура ПослеОтраженияВУчете(ОповещениеОЗавершении, ТипДокумента, ТаблицаДокументов, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЭДОСобытияКлиент.ПослеОтраженияВУчете(ОповещениеОЗавершении, ТипДокумента, ТаблицаДокументов, КонтекстДиагностики) 
```
</details>

## ПослеПерезаполненияОбъектаУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнение действий после перезаполнения учетных документов
//
// Параметры:
//  ОповещениеОЗавершении - ОписаниеОповещения - Оповещение, которое будет вызвано после обработки события с параметрами:
//     Результат - см. ОбработкаНеисправностейБЭДКлиент.НовыйКонтекстДиагностики
//  ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
//  ОбъектУчета - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  КонтекстДиагностики - см. ОбработкаНеисправностейБЭДКлиент.НовыйКонтекстДиагностики
//
Процедура ПослеПерезаполненияОбъектаУчета(ОповещениеОЗавершении, ТипДокумента, ОбъектУчета, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
ИнтеграцияЭДОСобытияКлиент.ПослеПерезаполненияОбъектаУчета(ОповещениеОЗавершении, ТипДокумента, ОбъектУчета, КонтекстДиагностики) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
