---
title: Интерфейс авторизации ИСМП вызов сервера
slug: erp-uh/интерфейс-авторизации-исмп-вызов-сервера
---


## ТекущийКлючСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущий ключ сессии для обмена с ИСМП.
//
// Параметры:
// 	ПараметрыЗапроса - (См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии).
// 	СрокДействия - Дата, Неопределено - Срок действия ключа сессии.
// Возвращаемое значение:
// 	Строка, Неопределено - Действующий ключ сессии для организации.

Функция ТекущийКлючСессии(ПараметрыЗапроса, Знач СрокДействия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПВызовСервера.ТекущийКлючСессии(ПараметрыЗапроса, СрокДействия);
```
</details>

## ТребуетсяОбновлениеКлючаСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить актуальность ключа сессии.
//
// Параметры:
// 	ПараметрыЗапроса - (См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии).
// 	СрокДействия - Дата, Неопределено - Требуемый срок действия ключа сессии.
// Возвращаемое значение:
// 	Булево - Необходимость обновления ключа сессии.
Функция ТребуетсяОбновлениеКлючаСессии(ПараметрыЗапроса, Знач СрокДействия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПВызовСервера.ТребуетсяОбновлениеКлючаСессии(ПараметрыЗапроса, СрокДействия);
```
</details>

## ТребуетсяОбновлениеКлючаСессииРозница
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить актуальность розничного ключа сессии.
//
// Параметры:
// 	ПараметрыЗапроса - (См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессииИСМПРозница).
// 	СрокДействия - Дата, Неопределено - Требуемый срок действия ключа сессии.
// Возвращаемое значение:
// 	Булево - Необходимость обновления ключа сессии.
Функция ТребуетсяОбновлениеКлючаСессииРозница(ПараметрыЗапроса, Знач СрокДействия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПВызовСервера.ТребуетсяОбновлениеКлючаСессииРозница(ПараметрыЗапроса, СрокДействия);
```
</details>

## ЗапроситьПараметрыАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запросить из сервиса ИС МП параметры авторизации.
//
// Параметры:
// 	ПараметрыЗапроса - (См. ПараметрыЗапросаКлючаСессии) - Параметры запроса ключа сессии.
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ПараметрыАвторизации - (См. ИнтерфейсАвторизацииИСМПСлужебный.ПараметрыАвторизации). - Параметры авторизации
//                        - Неопределено - Если при получении параметров авторизации возникла ошибка.
// * ТекстОшибки          - Строка - Текст сообщения об ошибке.
Функция ЗапроситьПараметрыАвторизации(ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПВызовСервера.ЗапроситьПараметрыАвторизации(ПараметрыЗапроса) 
```
</details>

## ЗапроситьКлючСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить запрос ключа сессии в МОТП.
//
// Параметры:
// 	ПараметрыЗапросаПоОрганизации - Структура - Структура со свойствами:
//	* ПараметрыЗапроса
//	* ПараметрыАвторизации
//	* СвойстваПодписи
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Результат   - (См. ИнтерфейсМОТПСлужебный.ПараметрыКлючаСессии).
//               - Неопределено - При получении параметров ключа сессии произошла ошибка.
// * ТекстОшибки - Строка - Текст ошибки.
Функция ЗапроситьКлючСессии(ПараметрыЗапросаПоОрганизации) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПВызовСервера.ЗапроситьКлючСессии(ПараметрыЗапросаПоОрганизации) 
```
</details>

## ТребуетсяОбновлениеКлючаСессииСУчетомВидаТокена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТребуетсяОбновлениеКлючаСессииСУчетомВидаТокена(ПараметрыСканирования, РозничныйТокен = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПВызовСервера.ТребуетсяОбновлениеКлючаСессииСУчетомВидаТокена(ПараметрыСканирования, РозничныйТокен);
```
</details>

## ПараметрыКлючаСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных ключа сессии обмена с МОТП.
//
// Параметры:
// Возвращаемое значение:
// 	Структура - Параметры ключа сессии:
// * КлючСессии  - Строка - Ключ сессии.
// * ДействуетДо - Дата   - Дата и время окончания действия ключа сессии.
Функция ПараметрыКлючаСессии() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПВызовСервера.ПараметрыКлючаСессии() 
```
</details>

## ПараметрыЗапросаКлючаСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры запроса ключа сессии.
//
// Параметры:
//  ТипТокенаАвторизации - ПеречислениеСсылка.ТипыТокеновАвторизации - Тип токена
//
// Возвращаемое значение:
//  Структура - Параметры запроса ключа сессии:
// * ИмяПараметраСеанса - Строка -
// * Организация - ОпределяемыйТип.Организация -
// * ПроизводственныйОбъект - ОпределяемыйТип.ПроизводственныйОбъектИС, Неопределено -
Функция ПараметрыЗапросаКлючаСессии(ТипТокенаАвторизации) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПВызовСервера.ПараметрыЗапросаКлючаСессии(ТипТокенаАвторизации) 
```
</details>

## УстановитьКлючСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать ключ сессии в базу данных.
//
// Параметры:
//  ПараметрыЗапроса - см. ПараметрыЗапросаКлючаСессии
//  ПараметрыКлючаСессии - см. ПараметрыКлючаСессии
//  ЗаписатьВРегистр - Булево - Записать в регистр
Процедура УстановитьКлючСессии(ПараметрыЗапроса, ПараметрыКлючаСессии, ЗаписатьВРегистр = Истина) Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПВызовСервера.УстановитьКлючСессии(ПараметрыЗапроса, ПараметрыКлючаСессии, ЗаписатьВРегистр);
```
</details>

## НастройкиОтветственногоЗаАктуализациюТокеновАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает настройки текущего пользователя для актуализации токенов авторизации.
//
// Параметры:
//  ДляПросмотра - Булево - определяет для чего нужно получить настройки:
//                          для просмотра списка токенов или для актуализации токенов.
//
// Возвращаемое значение:
// см. Справочники.ОтветственныеЗаАктуализациюТокеновАвторизацииИСМП.НастройкиОтветственногоЗаАктуализациюТокеновАвторизации.
//
Функция НастройкиОтветственногоЗаАктуализациюТокеновАвторизации(ДляПросмотра) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПВызовСервера.НастройкиОтветственногоЗаАктуализациюТокеновАвторизации(ДляПросмотра) 
```
</details>

## ПолучитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает напоминания пользователю, ответственному за актуализацию токенов авторизации.
//
// Параметры:
//  Настройки - см. Справочники.ОтветственныеЗаАктуализациюТокеновАвторизацииИСМП.НастройкиОтветственногоЗаАктуализациюТокеновАвторизации.
//
// Возвращаемое значение:
//  Массив из Структура:
//   * ТипТокенаАвторизации - ПеречислениеСсылка.ТипыТокеновАвторизации - тип токена авторизации.
//   * Организация - ОпределяемыйТип.Организация - организация.
//   * ПроизводственныйОбъект - ОпределяемыйТип.ПроизводственныйОбъектИС - производственный объект.
//   * ДатаДействия - Дата - дата и время, до которой действителен токен.
//   * ВремяДействия - Число - сколько времени (в секундах, кратно минутам) осталось до окончания действия токена.
//   * Отсутствует - Булево - Истина, если токен отсутствует.
//   * Просрочен - Булево - Истина, если токен имеется, но дата действия токена больше текущей.
//   * ТребуетсяАктуализация - Булево - Истина, если требуется актуализация токена.
//   * ОповещениеИспользуется - Булево - Истина, если требуется оповещение пользователя о скором окончании действия токена.
//   * ОповещатьЗа - Число - время в секундах до истечения действия токена, за которое необходимо оповестить пользователя.
//   * ОповеститьЧерез - Число - время в секундах до момента ближайшего оповещения пользователя.
//
Функция ПолучитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации(Настройки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПВызовСервера.ПолучитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации(Настройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
