---
title: Интерфейс авторизации ИСМП клиент
slug: erp-uh/интерфейс-авторизации-исмп-клиент
---


## ЗапроситьКлючСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запросить новый ключ сессии для авторизации в ИС МП.
//
// Параметры:
// 	ПараметрыЗапроса        - (См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии).
// 	ОповещениеПриЗавершении - ОписаниеОповещения - Описание оповещения после получения результата.
Процедура ЗапроситьКлючСессии(ПараметрыЗапроса, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПКлиент.ЗапроситьКлючСессии(ПараметрыЗапроса, ОповещениеПриЗавершении);
```
</details>

## ЗапроситьКлючСессииСУчетомВидаТокена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапроситьКлючСессииСУчетомВидаТокена(ПараметрыСканирования, ВидПродукции, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПКлиент.ЗапроситьКлючСессииСУчетомВидаТокена(ПараметрыСканирования, ВидПродукции, ОповещениеПриЗавершении);
```
</details>

## ПараметрыЗапросаКлючаСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Инициализировать структуру параметров запроса в ИС МОТП (ИС МП) для получения ключа сессии.
//
//Параметры:
//   Организация - ОпределяемыйТип.Организация - Организация.
//   ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции (для уточнения сервиса).
//   ТребуетсяПолучатьТокенРозничнойПродажи - Булево - признак, что требуется получать токен розничной продажи
//
//Возвращаемое значение:
//   (См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии).
Функция ПараметрыЗапросаКлючаСессии(Организация = Неопределено, ВидПродукции = Неопределено, ТребуетсяПолучатьТокенРозничнойПродажи = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПКлиент.ПараметрыЗапросаКлючаСессии(Организация, ВидПродукции, ТребуетсяПолучатьТокенРозничнойПродажи);
```
</details>

## ВыполнитьИнициализациюНастроекОтветственногоЗаАктуализациюТокеновАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключает обработчик ожидания для показа напоминаний ответственному за актуализацию токенов авторизации.
//
Процедура ВыполнитьИнициализациюНастроекОтветственногоЗаАктуализациюТокеновАвторизации() Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПКлиент.ВыполнитьИнициализациюНастроекОтветственногоЗаАктуализациюТокеновАвторизации() 
```
</details>

## ВыполнитьОбновлениеНастроекОтветственногоЗаАктуализациюТокеновАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обновление настроек ответственного за актуализацию токенов авторизации ИСМП.
// Настройки содержатся в глобальной переменной ПараметрыПриложения.
//
// Параметры:
//  ДляПросмотра - Булево - определяет для чего нужно получить настройки:
//                          для просмотра списка токенов или для актуализации токенов.
//
Процедура ВыполнитьОбновлениеНастроекОтветственногоЗаАктуализациюТокеновАвторизации(ДляПросмотра = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПКлиент.ВыполнитьОбновлениеНастроекОтветственногоЗаАктуализациюТокеновАвторизации(ДляПросмотра);
```
</details>

## ПроверитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие напоминаний для ответственного за актуализацию токенов авторизации ИС МП.
// При необходимости, открывает форму актуализации токенов авторизации ИС МП.
//
Процедура ПроверитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации() Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПКлиент.ПроверитьНапоминанияОтветственномуЗаАктуализациюТокеновАвторизации() 
```
</details>

## ОткрытьФормуАктуализацииТокеновАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму актуализации токенов авторизации ИС МП
//
Процедура ОткрытьФормуАктуализацииТокеновАвторизации() Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПКлиент.ОткрытьФормуАктуализацииТокеновАвторизации() 
```
</details>

## ИмяПараметраНастроекОтветственногоЗаАктуализациюТокеновАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя параметра, хранящего настройки ответственного за актуализацию токенов авторизации ИС МП.
//
// Возвращаемое значение:
//  Строка - имя параметра.
//
Функция ИмяПараметраНастроекОтветственногоЗаАктуализациюТокеновАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПКлиент.ИмяПараметраНастроекОтветственногоЗаАктуализациюТокеновАвторизации() 
```
</details>

## ИмяПараметраНапоминанийОтветственногоЗаАктуализациюТокеновАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя параметра, хранящего настройки ответственного за актуализацию токенов авторизации ИС МП.
//
// Возвращаемое значение:
//  Строка - имя параметра.
//
Функция ИмяПараметраНапоминанийОтветственногоЗаАктуализациюТокеновАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПКлиент.ИмяПараметраНапоминанийОтветственногоЗаАктуализациюТокеновАвторизации() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
