---
title: Интерфейс авторизации ИСМП клиент сервер
slug: erp-uh/интерфейс-авторизации-исмп-клиент-сервер
---


## ПараметрыЗапросаКлючаСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру параметров запроса в ИС МОТП (ИС МП) для получения ключа сессии.
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Организация          - ОпределяемыйТип.Организация - Организация от имени которой необходимо авторизоваться.
// * ПредставлениеСервиса - Строка                      - Представление сервиса, например: ИС МОТП.
// * Сервер               - Строка                      - Адрес сервера, например: stable.ismotp.crpt.ru
// * Порт                 - Число                       - Например: 443.
// * ВремяЖизни           - Число                       - Время жизни токена по умолчаниб у в секундах.
// * АдресЗапросаКлючаСессии           - Строка - Например: api/v3/auth/cert/
// * АдресЗапросаПараметровАвторизации - Строка - Например: api/v3/auth/cert/key
// * РазрешенаПодписьДоверенногоЛицаСМЧД - Булево - Истина, если сообщение разрешено подписывать с МЧД
//
Функция ПараметрыЗапросаКлючаСессии() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
