---
title: Интерфейс авторизации ИСМП служебный
slug: erp-uh/интерфейс-авторизации-исмп-служебный
---


## АктуальныеПараметрыКлючаСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АктуальныеПараметрыКлючаСессии(ПараметрыЗапроса, ДанныеКлючаСессии, СрокДействия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПСлужебный.АктуальныеПараметрыКлючаСессии(ПараметрыЗапроса, ДанныеКлючаСессии, СрокДействия);
```
</details>

## ОбновитьКлючСессииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет попытку обновления ключа сессии на сервере
// (на сервере предприятия должны быть установлены сертификаты для подписания и пароль).
//
// Параметры:
// 	ПараметрыЗапроса - См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии
// 	ОбновлятьКлючСессииНаСервере - Булево - Признак необходимости обновления ключа сессии на сервере.
// Возвращаемое значение:
// 	Булево - Истина, если обновление ключа сессии выполнено успешно.
Функция ОбновитьКлючСессииНаСервере(ПараметрыЗапроса, ОбновлятьКлючСессииНаСервере = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПСлужебный.ОбновитьКлючСессииНаСервере(ПараметрыЗапроса, ОбновлятьКлючСессииНаСервере);
```
</details>

## ЗапроситьУстановитьКлючСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запрашивает ключ сессии и установливает его в параметры сеанса.
//
// Параметры:
// 	ПараметрыЗапроса - См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии
// 	ПараметрыАвторизации - См. ПараметрыАвторизации
// 	Подпись - Строка - Подпись.
// Возвращаемое значение:
// 	Булево - Ключ сессии успешно запрошен и установлен
Функция ЗапроситьУстановитьКлючСессии(ПараметрыЗапроса, ПараметрыАвторизации, Подпись) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПСлужебный.ЗапроситьУстановитьКлючСессии(ПараметрыЗапроса, ПараметрыАвторизации, Подпись) 
```
</details>

## ПроверитьОбновитьКлючСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ключ сессии для обмена с МОТП.
//
// Параметры:
// 	ПараметрыЗапроса - См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии
// 	СрокДействия - Дата, Неопределено - Срок действия ключа сессии
// 	ОбновлятьКлючСессииНаСервере - Булево - Признак необходимости обновления ключа сессии на сервере
// Возвращаемое значение:
// 	Строка, Неопределено - Действующий ключ сессии для организации.
Функция ПроверитьОбновитьКлючСессии(ПараметрыЗапроса, Знач СрокДействия = Неопределено, ОбновлятьКлючСессииНаСервере = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПСлужебный.ПроверитьОбновитьКлючСессии(ПараметрыЗапроса, СрокДействия, ОбновлятьКлючСессииНаСервере);
```
</details>

## ПолучитьСохраненныеДанныеКлючаСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сохраненные данные ключа сессии.
//
// Параметры:
//  ИмяПараметраСеанса - Строка - имя параметра сеанса для получения данных ключа сессии.
// Возвращаемое значение:
//  Неопределено, Соответствие - данные ключа сессии:
//  * Ключ - ОпределяемыйТип.Организация - Организация, для которой используется ключ сессии.
//  * Значение - Соответствие, Структура - см. ИнтерфейсАвторизацииИСМПВызовСервера.ПараметрыКлючаСессии.
Функция ПолучитьСохраненныеДанныеКлючаСессии(ИмяПараметраСеанса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПСлужебный.ПолучитьСохраненныеДанныеКлючаСессии(ИмяПараметраСеанса) 
```
</details>

## ПараметрыАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных запроса авторизации
//
// Параметры:
// Возвращаемое значение:
// 	Структура - Параметры авторизации:
// * Идентификатор - Строка - Идентификатор запроса
// * Данные        - Строка - Данные для подписания
Функция ПараметрыАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПСлужебный.ПараметрыАвторизации() 
```
</details>

## ЭтоПараметрыЗапросаСУЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПараметрыЗапросаСУЗ(ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПСлужебный.ЭтоПараметрыЗапросаСУЗ(ПараметрыЗапроса) 
```
</details>

## СертификатыДляПодписанияНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает сертификаты организаций, для предназначены для подписания на сервере.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * Сертификаты - ТаблицаЗначений - содержит сертификат и пароль.
//   * МенеджерКриптографии - МенеджерКриптографии - менеджер криптографии.
//
Функция СертификатыДляПодписанияНаСервере() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПСлужебный.СертификатыДляПодписанияНаСервере() 
```
</details>

## Подписать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подписать сообщение XML
//
// Параметры:
//  ДанныеДляПодписания - Строка - Подписываемое сообщение XML
//  ПараметрыCMS - См. ЭлектроннаяПодпись.ПараметрыCMS
//  СертификатКриптографии - СертификатКриптографии - Сертификат криптографии
//  МенеджерКриптографии - МенеджерКриптографии - Менеджер криптографии.
//
// Возвращаемое значение:
//  Структура - со свойствами:
//   * Успех       - Булево - Признак успешности подписания.
//   * КонвертSOAP - Строка - Конверт SOAP.
//   * ТекстОшибки - Строка - Текст ошибки.
//
Функция Подписать(ДанныеДляПодписания, ПараметрыCMS, СертификатКриптографии, МенеджерКриптографии) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПСлужебный.Подписать(ДанныеДляПодписания, ПараметрыCMS, СертификатКриптографии, МенеджерКриптографии) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
