---
title: Интерфейс авторизации ИСМП служебный клиент
slug: erp-uh/интерфейс-авторизации-исмп-служебный-клиент
---


## Подписать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подпись сообщений обмена с ИС МОТП от имени организации.
//
// Параметры:
//  Сообщения               - Массив Из Структура               - Массив сообщений, которые необходимо подписать.
//  ПараметрыЗапроса        - (См. ПараметрыЗапросаКлючаСессии) - Параметры запроса ключа сессии.
//  ОповещениеПриЗавершении - ОписаниеОповещения                - Оповещение, которое будет выполнено после завершения процесса подписи.
//
Процедура Подписать(Сообщения, ПараметрыЗапроса, ОповещениеПриЗавершении) Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПСлужебныйКлиент.Подписать(Сообщения, ПараметрыЗапроса, ОповещениеПриЗавершении) 
```
</details>

## ПослеПодписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения после подписания данных для авторизации в сервисе ИС МОТП
//
// Параметры:
// 	Результат - Массив Из (См. ИнтерфейсАвторизацииИСМПСлужебныйКлиент.РезультатПодписания).
// 	ДополнительныеПараметры - Структура:
//   * ПараметрыЗапроса        - (См. ПараметрыЗапросаКлючаСессии).
//   * ОповещениеПриЗавершении - ОписаниеОповещения - Описание оповещения при завершении процедуры.
Процедура ПослеПодписания(ПараметрыЗапросовПоОрганизациям, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПСлужебныйКлиент.ПослеПодписания(ПараметрыЗапросовПоОрганизациям, ДополнительныеПараметры) 
```
</details>

## ПодписатьПоказатьТекстСообщенияXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения нажатия на гиперссылку описания подписываемых данных в форме подписания БСП.
Процедура ПодписатьПоказатьТекстСообщенияXML(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПСлужебныйКлиент.ПодписатьПоказатьТекстСообщенияXML(Результат, ДополнительныеПараметры) 
```
</details>

## ПодписатьЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения подписи.
//
// Параметры:
//  Результат - Структура - содержит свойство "Успех", оно установлено в Истина, если подпись была выполнена.
//  ДополнительныеПараметры - Структура - содержит дополнительные параметры обработчика.
//
Процедура ПодписатьЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтерфейсАвторизацииИСМПСлужебныйКлиент.ПодписатьЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## РезультатПодписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с результатом подписания.
//
// Параметры:
// 	ПараметрыЗапроса     - (См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии).
// 	Описание             - Строка - Описание.
// 	ПараметрыАвторизации - (См. ИнтерфейсАвторизацииИСМПВызовСервера.ПараметрыАвторизации).
// Возвращаемое значение:
// 	Структура - Описание:
// * ПараметрыЗапроса     - (См. ПараметрыЗапросаКлючаСессии).
// * Описание             - Строка - Описание.
// * ПараметрыАвторизации - (См. ИнтерфейсАвторизацииИСМПСлужебный.ПараметрыАвторизации).
// * СвойстваПодписи      - Структура, Неопределено - Свойства подписи.
Функция РезультатПодписания(ПараметрыЗапроса, Описание, ПараметрыАвторизации) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсАвторизацииИСМПСлужебныйКлиент.РезультатПодписания(ПараметрыЗапроса, Описание, ПараметрыАвторизации) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
