---
title: Интерфейс документов ЭДО
slug: erp-uh/интерфейс-документов-эдо
---


## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ПриЗаполненииСписковСОграничениемДоступа
//
// Параметры:
//  Списки - Соответствие из КлючИЗначение:
//  * Ключ - ОбъектМетаданных
//  * Значение - Булево
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
//
// Параметры:
//  Описание - Строка
Процедура ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) 
```
</details>

## ПриДобавленииОбработчиковОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ПриДобавленииОбработчиковОбновления.
//
// Параметры:
//  Обработчики - см. ОбновлениеИнформационнойБазы.НоваяТаблицаОбработчиковОбновления
Процедура ПриДобавленииОбработчиковОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриДобавленииОбработчиковОбновления(Обработчики) 
```
</details>

## ПриОпределенииСпискаКомандЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет и параметризирует список команд ЭДО
//
// Параметры:
//   СоставКоманд - Структура - структура состава команд ЭДО.
//    Исходящие    - Массив - состав объектов, например "Документ.РеализацияТоваровУслуг".
//    Входящие     - Массив - состав объектов.
//    БезПодписи   - Массив - состав объектов для обмена без ЭП.
//    Интеркампани - Массив - состав объектов Интеркампани.
//    Контрагенты  - Массив - состав объектов Контрагенты.
//    Организации  - Массив - состав объектов Организации.
//    Договоры     - Массив - состав объектов Договоры.
//  ПолноеИмя - Строка - имя объекта, например "Документ.РеализацияТоваровУслуг".
//  НаправлениеЭД - ПеречислениеСсылка.НаправленияЭДО - параметр отбора входящих или исходящих документов.
//  КомандыЭДО - ТаблицаЗначений - подготавливаемый список команд ЭДО.
//
Процедура ПриОпределенииСпискаКомандЭДО(Знач СоставКоманд, Знач ПолноеИмя, Знач НаправлениеЭД, КомандыЭДО) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриОпределенииСпискаКомандЭДО(СоставКоманд, ПолноеИмя, НаправлениеЭД, КомандыЭДО) 
```
</details>

## ДанныеФормыПросмотраЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеФормыПросмотраЭлектронногоДокумента(ЭлектронныйДокумент, ЭтоВходящийЭДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ДанныеФормыПросмотраЭлектронногоДокумента(ЭлектронныйДокумент, ЭтоВходящийЭДО) 
```
</details>

## СоздатьРеквизитыИЭлементыДляПредставленияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьРеквизитыИЭлементыДляПредставленияДокумента(Форма, СхемаРегламента) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.СоздатьРеквизитыИЭлементыДляПредставленияДокумента(Форма, СхемаРегламента) 
```
</details>

## УстановленныеПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Читает установленные подписи.
//
// Параметры:
//  ЭлементСхемыРегламента - ДанныеФормыЭлементДерева
//  ТипРегламента - ПеречислениеСсылка.ТипыРегламентовЭДО
//
// Возвращаемое значение:
//  Массив из Структура:
//   * СвойстваПодписи - См. ЭлектронныеДокументы.НовыеДанныеПодписи
//   * ЭтоПодписьПоДоверенности - Булево
//   * СвойстваДоверенности - Неопределено,
//   						- см. МашиночитаемыеДоверенности.ОбщиеСвойстваДоверенности
//   * РезультатПроверкиПоМЧД - Неопределено,
//   						  - см. МашиночитаемыеДоверенности.НовыйРезультатПроверкиПодписи
//
//   * ПодписанныйОбъект - СправочникСсылка.СообщениеЭДОПрисоединенныеФайлы
//   * ОтветнаяПодпись - Булево
//   * СообщениеЭДО - СправочникСсылка.СообщениеЭДОПрисоединенныеФайлы
//
Функция УстановленныеПодписи(ЭлементСхемыРегламента, ТипРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.УстановленныеПодписи(ЭлементСхемыРегламента, ТипРегламента) 
```
</details>

## НовыеПараметрыВизуализацииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров визуализации документа.
//
// Возвращаемое значение:
// 	Структура - Описание:
// 	* ВыводитьДопДанные - Булево - признак включения режима вывода дополнительных данных.
// 	* ВыводитьБанковскиеРеквизиты - Булево -  признак включения режима вывода банковских реквизитов.
// 	* ВыводитьКопияВерна - Булево -  признак включения режима вывода отметки "Копия верна".
// 	* ВыводитьШапкуСИдДокумента - Булево - признак, позволяющий отключить вывод шапки с идентификатором документа.
// 	* ПодсказкаQRКода - Строка -  текст подсказки QR кода.
// 	* ПубличнаяСсылкаQRКода - Строка - текст публичной ссылки QR кода.
//
Функция НовыеПараметрыВизуализацииДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеПараметрыВизуализацииДокумента() 
```
</details>

## ЗапуститьФормированиеПредставленияДанныхДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает операцию по формированию представления.
//
// Параметры:
// 	ЭлементСхемыРегламента - ДанныеФормыЭлементДерева - Элемент для которого нужно найти информацию отправителя.
// 	ИдентификаторФормы - УникальныйИдентификатор - ИДентификатор формы.
// 	ПараметрыВизуализацииДокумента - См. ФорматыЭДО.НовыеПараметрыВизуализацииДокумента.
// 	АдресОписанияСообщения - Строка - Адрес хранилища с описанием сообщения.
//
// Возвращаемое значение:
//  Неопределено - если отсутствуют двоичные данные файла.
//  Структура:
//   * ПредставлениеДокумента - ТабличныйДокумент, Неопределено - Табличный документ с представлением.
//   * Успех - Булево - Табличный документ сформирован.
//
Функция ЗапуститьФормированиеПредставленияДанныхДокумента(ЭлементСхемыРегламента, ИдентификаторФормы, ПараметрыВизуализацииДокумента, АдресОписанияСообщения = "") Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ЗапуститьФормированиеПредставленияДанныхДокумента(ЭлементСхемыРегламента, ИдентификаторФормы, ПараметрыВизуализацииДокумента, АдресОписанияСообщения);
```
</details>

## ПредставлениеИнформацииОтправителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеИнформацииОтправителя(НомерДокумента, ДатаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеИнформацииОтправителя(НомерДокумента, ДатаДокумента) 
```
</details>

## НовыеПараметрыПросмотраЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * ОбъектУчета - Неопределено,ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на основание электронного документа.
//  * ЭлектронныйДокумент - ДокументСсылка.ЭлектронныйДокументИсходящийЭДО,ДокументСсылка.ЭлектронныйДокументВходящийЭДО
//  * ПредварительныйПросмотр - Неопределено - если предварительный просмотр недоступен.
//                            - См. ПараметрыПредварительногоПросмотраЭлектронногоДокумента
//  * ПросмотрСтатусовЭлектронныхДокументов - Неопределено
//                                          - См. ПараметрыПросмотраСтатусовЭлектронныхДокументов
//  * ОбъектУчетаЯвляетсяГруппой - Булево - является ли объект учета группой, в случае если его тип справочник
//
Функция НовыеПараметрыПросмотраЭлектронногоДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеПараметрыПросмотраЭлектронногоДокумента() 
```
</details>

## НовыеПараметрыПросмотраСтатусовЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * АдресДанных - Строка
Функция НовыеПараметрыПросмотраСтатусовЭлектронныхДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеПараметрыПросмотраСтатусовЭлектронныхДокументов() 
```
</details>

## ПредставлениеОбъектовУчетаИсходящегоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  СписокОбъектовУчета - СписокЗначений из ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
//
// Возвращаемое значение:
//  Структура:
//  * Заголовок - Строка
//  * Представление - ФорматированнаяСтрока
Функция ПредставлениеОбъектовУчетаИсходящегоДокумента(СписокОбъектовУчета, ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеОбъектовУчетаИсходящегоДокумента(СписокОбъектовУчета, ТипДокумента) 
```
</details>

## ЗаписатьОшибкуВизуализацииPDFВЖурналРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ИнформацияОбОшибке - ИнформацияОбОшибке
Процедура ЗаписатьОшибкуВизуализацииPDFВЖурналРегистрации(ИнформацияОбОшибке) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ЗаписатьОшибкуВизуализацииPDFВЖурналРегистрации(ИнформацияОбОшибке) 
```
</details>

## ОчиститьСопроводительнуюЗаписку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма просмотра входящего/исходящего электронного документа:
//  * СопроводительнаяЗаписка - Строка
//  * СхемаРегламента - ДеревоЗначений
//  * ИдентификаторТекущегоЭлемента - Число
Процедура ОчиститьСопроводительнуюЗаписку(Форма) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ОчиститьСопроводительнуюЗаписку(Форма) 
```
</details>

## НастроитьСопроводительнуюЗаписку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает элементы сопроводительной записки форм просмотра входящего/исходящего электронного документа
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма просмотра входящего/исходящего электронного документа:
//  * СопроводительнаяЗаписка - Строка
//  * Элементы - ВсеЭлементыФормы:
//  ** СтраницаСопроводительнаяЗаписка - ГруппаФормы
//  ** ОчиститьЗаписку - Кнопка
//  ** СопроводительнаяЗаписка - ПолеВвода
//  ЭлементСхемы - ДанныеФормыЭлементДерева
Процедура НастроитьСопроводительнуюЗаписку(Форма, ЭлементСхемы) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.НастроитьСопроводительнуюЗаписку(Форма, ЭлементСхемы) 
```
</details>

## ДобавитьОписанияСообщенийВПараметрыЗаписиЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// Форма - ФормаКлиентскогоПриложения - форма просмотра входящего/исходящего электронного документа
// ПараметрыЗаписи - Структура
// ЭлементыСхемыРегламента - Массив Из ДанныеФормыЭлементДерева
Процедура ДобавитьОписанияСообщенийВПараметрыЗаписиЭлектронногоДокумента(Форма, ПараметрыЗаписи, Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ДобавитьОписанияСообщенийВПараметрыЗаписиЭлектронногоДокумента(Форма, ПараметрыЗаписи, );
```
</details>

## ПроверитьНастройкиОтправкиПоРеквизитамДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  РеквизитыДокумента - Структура:
//  * Организация - ОпределяемыйТип.Организация
//  * Контрагент - ОпределяемыйТип.КонтрагентБЭД
//  * ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//  * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
//
// Возвращаемое значение:
//  См. НовыйРезультатПроверкиНастроекОтправки
Функция ПроверитьНастройкиОтправкиПоРеквизитамДокумента(РеквизитыДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПроверитьНастройкиОтправкиПоРеквизитамДокумента(РеквизитыДокумента) 
```
</details>

## НовыйРезультатПроверкиНастроекОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
// * Отказ - Булево
// * КлючНастроекОтправки - Неопределено
//                        - См. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
//                        - Структура:
//                          * Организация - ОпределяемыйТип.Организация
//                          * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
// * ЭтоВнутреннийЭДО - Булево
// * ФормированиеЗапрещено - Булево
Функция НовыйРезультатПроверкиНастроекОтправки() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыйРезультатПроверкиНастроекОтправки() 
```
</details>

## ТребуетсяПоказыватьОкноПредложенияОтправкиВФормализованномВиде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Булево
Функция ТребуетсяПоказыватьОкноПредложенияОтправкиВФормализованномВиде() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ТребуетсяПоказыватьОкноПредложенияОтправкиВФормализованномВиде() 
```
</details>

## СохранитьНастройкиВыбораМаршрутаПодписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Идентификатор - УникальныйИдентификатор - адрес во временном хранилище, по которому надо поместить данные
//  Организация - ОпределяемыйТип.Организация
//  МаршрутПодписания - СправочникСсылка.МаршрутыПодписания
//  Подписанты - Неопределено,ТаблицаЗначений:
//  * Подписант - СправочникСсылка.Пользователи
//  * Сертификат - СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования
//
// Возвращаемое значение:
//  Строка - адрес настроек во временном хранилище.
Функция СохранитьНастройкиВыбораМаршрутаПодписания(Идентификатор, Организация, МаршрутПодписания, Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.СохранитьНастройкиВыбораМаршрутаПодписания(Идентификатор, Организация, МаршрутПодписания, );
```
</details>

## ДанныеПредварительногоПросмотраПоАдресу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  АдресВоВременномХранилище - Строка
//
// Возвращаемое значение:
//  См. НовыеДанныеПредварительногоПросмотраВстроенногоЭДО
Функция ДанныеПредварительногоПросмотраПоАдресу(АдресВоВременномХранилище) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ДанныеПредварительногоПросмотраПоАдресу(АдресВоВременномХранилище) 
```
</details>

## НовыйРезультатПодготовкиДанныхПредварительногоПросмотра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * ДлительнаяОперация - Неопределено
//                       - См. ДлительныеОперации.ВыполнитьФункцию
//  * Ошибка - Булево
//  * АдресСведенийОбОшибках - Строка
//  * АдресДанныхПредварительногоПросмотра - Строка
//  * КонтекстДиагностики - Неопределено
//                        - См. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
Функция НовыйРезультатПодготовкиДанныхПредварительногоПросмотра() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыйРезультатПодготовкиДанныхПредварительногоПросмотра() 
```
</details>

## РезультатПодготовкиДанныхПросмотраПослеДлительнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ДлительнаяОперация - См. ДлительныеОперации.ВыполнитьФункцию
//
// Возвращаемое значение:
//  См. НовыйРезультатПодготовкиДанныхПредварительногоПросмотра
Функция РезультатПодготовкиДанныхПросмотраПослеДлительнойОперации(ДлительнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.РезультатПодготовкиДанныхПросмотраПослеДлительнойОперации(ДлительнаяОперация) 
```
</details>

## ПодготовитьДанныеПредварительногоПросмотраПоФайлуXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует данные электронного документа.
//
// Параметры:
//  ВыбранныйФайл - Структура - данные выбранного файла:
//  * Хранение - Строка - расположение данных во временном хранилище
//  * Имя - Строка - путь к файлу / имя файла
//
// Возвращаемое значение:
//  См. НовыйРезультатПодготовкиДанныхПредварительногоПросмотраПоФайлуXML
Функция ПодготовитьДанныеПредварительногоПросмотраПоФайлуXML(ВыбранныйФайл) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПодготовитьДанныеПредварительногоПросмотраПоФайлуXML(ВыбранныйФайл) 
```
</details>

## НовыйРезультатПодготовкиДанныхПредварительногоПросмотраПоФайлуXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * ДлительнаяОперация - Неопределено
//                       - См. ДлительныеОперации.ВыполнитьФункцию
//  * Ошибка - Булево
//  * ДокументРаспознан - Булево
//  * АдресСведенийОбОшибках - Строка
//  * АдресДанных - Строка
//  * НастройкиФормирования - Неопределено
//                          - См. ИнтерфейсДокументовЭДОКлиентСервер.НовыеНастройкиФормированияЭлектронногоДокументаОбъектаУчета
//  * КонтекстДиагностики - Неопределено
//                        - См. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
Функция НовыйРезультатПодготовкиДанныхПредварительногоПросмотраПоФайлуXML() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыйРезультатПодготовкиДанныхПредварительногоПросмотраПоФайлуXML() 
```
</details>

## РезультатПодготовкиДанныхПросмотраПоФайлуXMLПослеДлительнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ДлительнаяОперация - См. ДлительныеОперации.ВыполнитьФункцию
//
// Возвращаемое значение:
//  См. НовыйРезультатПодготовкиДанныхПредварительногоПросмотраПоФайлуXML
Функция РезультатПодготовкиДанныхПросмотраПоФайлуXMLПослеДлительнойОперации(ДлительнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.РезультатПодготовкиДанныхПросмотраПоФайлуXMLПослеДлительнойОперации(ДлительнаяОперация) 
```
</details>

## ЗагрузитьФормализованныйДокументПоФайлуXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ДанныеДокумента - Структура:
//                    * Ссылка - ДокументСсылка.ЭлектронныйДокументИсходящийЭДО
//                    * Организация - ОпределяемыйТип.Организация
//  ВыбранныйФайл - Структура - данные выбранного файла:
//  * Хранение - Строка - расположение данных во временном хранилище
//  * Имя - Строка - путь к файлу / имя файла
//  ПринудительнаяЗагрузка - Булево
//
// Возвращаемое значение:
//  См. НовыйРезультатЗагрузкиФормализованногоДокументаПоДаннымФайлаXML
Функция ЗагрузитьФормализованныйДокументПоФайлуXML(ДанныеДокумента, ВыбранныйФайл, Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ЗагрузитьФормализованныйДокументПоФайлуXML(ДанныеДокумента, ВыбранныйФайл, );
```
</details>

## ЕстьНастройкиПоКонтрагенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Контрагент - ОпределяемыйТип.КонтрагентБЭД
//
// Возвращаемое значение:
//  Булево
Функция ЕстьНастройкиПоКонтрагенту(Контрагент) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ЕстьНастройкиПоКонтрагенту(Контрагент) 
```
</details>

## ПредставлениеСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление данных сообщения в виде табличного документа.
// Если представление имеет другой тип, то возвращается неопределено.
//
// Параметры:
// 	Сообщение - ДокументСсылка.СообщениеЭДО - Сообщение для которого формируется представление.
// 	СообщениеОтвета - ДокументСсылка.СообщениеЭДО - Информация получателя для сообщения, переданного первым параметром.
// 	ПараметрыПечати - См. ФорматыЭДО.НовыеПараметрыВизуализацииДокумента.
//	ВыводитьШтампыПодписей - Булево - Определяет необходимость вывода штампа с подписями.
//
// Возвращаемое значение:
//  ТабличныйДокумент, Неопределено - Представление.
//
Функция ПредставлениеСообщения(Сообщение, СообщениеОтвета = Неопределено, ПараметрыПечати = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеСообщения(Сообщение, СообщениеОтвета, ПараметрыПечати, );
```
</details>

## КомандаПечатиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КомандаПечатиОбъекта(Объект, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.КомандаПечатиОбъекта(Объект, Идентификатор) 
```
</details>

## ПредставлениеКомандыПечатиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление команды печати объекта.
//
// Параметры:
//  ИдентификаторОбъекта - СправочникСсылка.ИдентификаторыОбъектовМетаданных - идентификатор объекта метаданных.
//  ИдентификаторКоманды - Строка - идентификатор команды печати.
//
// Возвращаемое значение:
//  Строка - представление команды печати.
//
Функция ПредставлениеКомандыПечатиОбъекта(ИдентификаторОбъекта, ИдентификаторКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыПечатиОбъекта(ИдентификаторОбъекта, ИдентификаторКоманды) 
```
</details>

## СформироватьПечатныеФормыЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает печатные формы электронных документов.
//
// Параметры:
//  ЭлектронныеДокументы - Массив Из ДокументСсылка.ЭлектронныйДокументИсходящийЭДО,ДокументСсылка.ЭлектронныйДокументВходящийЭДО -
//   Электронные документы, печатные формы которых необходимо сформировать.
//  ПараметрыСоставаПечати - см. ИнтерфейсДокументовЭДО.ПараметрыСоставаПечатиЭлектронныхДокументов
//  ПараметрыВизуализации - см. ИнтерфейсДокументовЭДО.НовыеПараметрыВизуализацииДокумента
//
// Возвращаемое значение:
//  Массив Из Структура - Сформированные печатные формы. Элементы - структуры со свойствами:
//   * ИмяМакета - Строка - Уникальное имя макета.
//   * СинонимМакета - Строка - Наименование макета.
//   * ТабличныйДокумент - ТабличныйДокумент - Сформированная печатная форма.
//   * Ссылка - ДокументСсылка.ЭлектронныйДокументИсходящийЭДО,ДокументСсылка.ЭлектронныйДокументВходящийЭДО - Ссылка
//     на документ, по которому сформирована печатная форма.
//
Функция СформироватьПечатныеФормыЭлектронныхДокументов(ЭлектронныеДокументы, ПараметрыСоставаПечати, Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.СформироватьПечатныеФормыЭлектронныхДокументов(ЭлектронныеДокументы, ПараметрыСоставаПечати, );
```
</details>

## ПараметрыСоставаПечатиЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для передачи в функцию ИнтерфейсДокументовЭДО.СформироватьПечатныеФормыЭлектронныхДокументов().
//
// Возвращаемое значение:
//  Структура - параметры, определяющие состав печати электронных документов:
//   * ПечататьЭлектронныйДокумент - Булево - Нужно печатать электронные документы.
//   * ПечататьТехнологическиеКвитанции - Булево - Нужно печатать технические документы, подтверждающие
//                                                 прохождение этапов в документообороте.
//   * ПечататьКарточкуЭлектронногоДокумента - Булево - Нужно печатать карточки электронных документов.
//   * ПечататьРеестрЭлектронныхДокументов - Булево - Нужно печатать реестр электронных документов.
//   * ПечататьКарточкуЕслиНеУдалосьНапечататьЭлектронныйДокумент - Булево - Если не удалось напечатать электронный
//                                                                      документ, тогда печатаем карточку документа.
//   * ВыводитьШтампыПодписей - Булево - Нужно выводить штампы подписей.
//   * ДополнятьСинонимМакетаВидомПечатнойФормы - Булево - К синониму макета добавляется вид печатной формы в скобках.
//
Функция ПараметрыСоставаПечатиЭлектронныхДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыСоставаПечатиЭлектронныхДокументов() 
```
</details>

## СформироватьФайлыВыгрузкиЭДВФорматеPDF
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает электронные документы в формате PDF в архив
//
// Параметры:
//  ЭлектронныеДокументы - Массив - Электронные документы, которые необходимо выгрузить.
//  АдресДанныхВХранилище - Строка - адрес данных или уникальный идентификатор для помещения в хранилище
//  данного идентификатора
//
// Возвращаемое значение:
//  Соответствие - Данные о выгруженных файлах:
//   * Ключ - Структура - Данные файла:
//    ** ИмяФайла - Строка
//    ** ИмяБезРасширения - Строка
//    ** Расширение - Строка
//    ** Размер - Число
//   * Значение - Строка - Адрес архива во временном хранилище
//
Функция СформироватьФайлыВыгрузкиЭДВФорматеPDF(Знач ЭлектронныеДокументы, Знач АдресДанныхВХранилище) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.СформироватьФайлыВыгрузкиЭДВФорматеPDF(ЭлектронныеДокументы, АдресДанныхВХранилище) 
```
</details>

## СформироватьФайлыВыгрузкиЭДДокументооборотЦеликом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает документооборот по электронным документам в архив.
//
// Параметры:
//  ЭлектронныеДокументы - Массив - Электронные документы, которые необходимо выгрузить.
//  АдресДанныхВХранилище - УникальныйИдентификатор, Строка - адрес данных или уникальный идентификатор для помещения в хранилище
//  данного идентификатора
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение - Данные о выгруженных файлах:
//   * Ключ - Структура - Данные файла:
//    ** ИмяФайла - Строка
//    ** ИмяБезРасширения - Строка
//    ** Расширение - Строка
//    ** Размер - Число
//   * Значение - Строка - Адрес архива во временном хранилище
//
Функция СформироватьФайлыВыгрузкиЭДДокументооборотЦеликом(Знач ЭлектронныеДокументы, Знач АдресДанныхВХранилище) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.СформироватьФайлыВыгрузкиЭДДокументооборотЦеликом(ЭлектронныеДокументы, АдресДанныхВХранилище) 
```
</details>

## СформироватьФайлыВыгрузкиЭДДляФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ИнтеграцияБРОЭДО.СформироватьФайлыВыгрузкиЭДДляФНС().
Функция СформироватьФайлыВыгрузкиЭДДляФНС(Знач ЭлектронныеДокументы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.СформироватьФайлыВыгрузкиЭДДляФНС(ЭлектронныеДокументы) 
```
</details>

## УдалитьВыгруженныеФайлыИзХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ВыгруженныеФайлы - Массив из ОписаниеПереданногоФайла
Процедура УдалитьВыгруженныеФайлыИзХранилища(ВыгруженныеФайлы) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.УдалитьВыгруженныеФайлыИзХранилища(ВыгруженныеФайлы) 
```
</details>

## ПолучитьПредупрежденияКомпонентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредупрежденияКомпонентов(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПолучитьПредупрежденияКомпонентов(КлючНастроекОтправки) 
```
</details>

## ЕстьДействиеПоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ДоступныеДействия - Соответствие из КлючИЗначение:
//  * Ключ - ПеречислениеСсылка.СостоянияДокументовЭДО
//  * Значение - Булево
//  ДействиеПоЭДО - ПеречислениеСсылка.ДействияПоЭДО
//
// Возвращаемое значение:
//  Булево
Функция ЕстьДействиеПоЭДО(ДоступныеДействия, ДействиеПоЭДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ЕстьДействиеПоЭДО(ДоступныеДействия, ДействиеПоЭДО) 
```
</details>

## ПредставлениеКомандыПодписать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыПодписать(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыПодписать(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыОтправить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыОтправить(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыОтправить(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыПодписатьИОтправить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыПодписатьИОтправить(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыПодписатьИОтправить(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыПринятьАннулирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыПринятьАннулирование(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыПринятьАннулирование(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыОтклонитьАннулирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыОтклонитьАннулирование(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыОтклонитьАннулирование(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыОтклонить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыОтклонить(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыОтклонить(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыОтклонитьПодписание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыОтклонитьПодписание(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыОтклонитьПодписание(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыПереформировать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыПереформировать(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыПереформировать(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыАннулировать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыАннулировать(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыАннулировать(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыЗакрытьПринудительно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыЗакрытьПринудительно(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыЗакрытьПринудительно(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыОтправитьВАрхив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыОтправитьВАрхив(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыОтправитьВАрхив(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыВернутьВРаботу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыВернутьВРаботу(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыВернутьВРаботу(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыОтправитьПовторно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыОтправитьПовторно(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыОтправитьПовторно(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ПредставлениеКомандыУтвердить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКомандыУтвердить(ПакетСоставной, СостоянияПакетаОднородно) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКомандыУтвердить(ПакетСоставной, СостоянияПакетаОднородно) 
```
</details>

## ИнициализироватьРазделыТекущихДел
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьРазделыТекущихДел(ОписаниеРазделов) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ИнициализироватьРазделыТекущихДел(ОписаниеРазделов) 
```
</details>

## СкрытьВсеЭлементыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Скрывает все элементы на форме
//
// Параметры:
//  Элементы - ВсеЭлементыФормы - содержит коллекцию всех элементов формы клиентского приложения для прямого доступа вне зависимости от иерархии.
//
Процедура СкрытьВсеЭлементыФормы(Элементы) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.СкрытьВсеЭлементыФормы(Элементы) 
```
</details>

## ПереместитьЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перемещает элемент на форме.
//
// Параметры:
//  Элементы -  ВсеЭлементыФормы - содержит коллекцию всех элементов формы клиентского приложения для прямого доступа вне зависимости от иерархии.
//  Элемент - Строка - имя перемещаемого элемента
//  Родитель - Строка, ФормаКлиентскогоПриложения - имя нового родителя элемента или форма
//  МестоРасположения - Строка - имя элемента, перед которым нужно разместить перемещаемый элемент. Если не задан, то перемещается в конец коллекции.
//
Процедура ПереместитьЭлемент(Элементы, Элемент, Родитель, МестоРасположения = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПереместитьЭлемент(Элементы, Элемент, Родитель, МестоРасположения);
```
</details>

## УстановитьВидимостьЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость элементов в Истина
//
// Параметры:
//  ВсеЭлементы - ВсеЭлементыФормы - все элементы формы.
//  ВидимыеЭлементы - Строка - список элементов через запятую для включения видимости.
//
Процедура УстановитьВидимостьЭлементов(ВсеЭлементы, ВидимыеЭлементы) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.УстановитьВидимостьЭлементов(ВсеЭлементы, ВидимыеЭлементы) 
```
</details>

## ЗаполнитьПредставлениеСостоянияПодписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представления для подписей
//
// Параметры:
//  Подписи - ДанныеФормыКоллекция Из ТаблицаЗначений:
//   * Владелец - Строка
//   * ВыводКартинки - Число
//   * ДатаПодписи - Дата
//   * ДатаПроверкиПодписи - Дата
//   * ДоверенностьПредставление - Строка
//   * НомерСтроки - Число
//   * ОтветнаяПодпись - Булево
//   * Отпечаток - Строка
//   * ОтсутствуетВСписке - Булево
//   * ПодписанныйОбъект - СправочникСсылка.СообщениеЭДОПрисоединенныеФайлы
//   * ПодписьВерна - Булево
//   * ПодписьВернаПредставление - Строка
//   * РезультатПроверкиПоМЧД - Неопределено
//                            - См. МашиночитаемыеДоверенности.НовыйРезультатПроверкиПодписи
//   * СвойстваДоверенности - Неопределено
//                          - См. МашиночитаемыеДоверенности.ОбщиеСвойстваДоверенности
//   * СвойстваПодписи - Неопределено
//                     - См. ЭлектронныеДокументы.НовыеДанныеПодписи
//   * Сертификат - Неопределено
//                - ХранилищеЗначения
//   * СообщениеЭДО - ДокументСсылка.СообщениеЭДО
//   * УстановившийПодпись - СправочникСсылка.Пользователи
//   * ЭтоПодписьПоДоверенности - Булево
//
Процедура ЗаполнитьПредставлениеСостоянияПодписей(Подписи) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ЗаполнитьПредставлениеСостоянияПодписей(Подписи) 
```
</details>

## ПредставлениеСостоянияПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ДанныеДляПолученияПредставления - См. НовыеДанныеДляПолученияПредставленияСостоянияПодписи
//
// Возвращаемое значение:
//  Структура:
//  * ПодписьВернаПредставление - Строка
//  * ДоверенностьПредставление - Строка
Функция ПредставлениеСостоянияПодписи(ДанныеДляПолученияПредставления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеСостоянияПодписи(ДанныеДляПолученияПредставления) 
```
</details>

## НовыеДанныеДляПолученияПредставленияСостоянияПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * СвойстваДоверенности - Неопределено
//                         - См. МашиночитаемыеДоверенности.ОбщиеСвойстваДоверенности
//  * ПодписьВерна - Булево
//  * ЭтоПодписьПоДоверенности - Булево
//  * РезультатПроверкиПоМЧД - Неопределено
//                           - См. МашиночитаемыеДоверенности.НовыйРезультатПроверкиПодписи
//  * ДатаПодписи - Дата
//  * ДатаПроверкиПодписи - Дата
Функция НовыеДанныеДляПолученияПредставленияСостоянияПодписи() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеДанныеДляПолученияПредставленияСостоянияПодписи() 
```
</details>

## УстановитьСвязиПараметровВыбораДоговорКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для полей форм, в которые выбирается договор контрагента, необходимо установить связи параметров выбора.
//
// Параметры:
//  ЭлементФормы           - ПолеФормы - Поле, в которое указывается договор контрагента.
//  ПутьКДаннымОрганизация - Строка    - Путь к реквизиту "Организация" объекта формы.
//  ПутьКДаннымКонтрагент  - Строка    - Путь к реквизиту "Контрагент"  объекта формы.
//
Процедура УстановитьСвязиПараметровВыбораДоговорКонтрагента(ЭлементФормы, ПутьКДаннымОрганизация, ПутьКДаннымКонтрагент) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.УстановитьСвязиПараметровВыбораДоговорКонтрагента(ЭлементФормы, ПутьКДаннымОрганизация, ПутьКДаннымКонтрагент) 
```
</details>

## НовыеПараметрыОпределенияТекущихЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры, используемые для определения текущих электронных документов.
//
// Возвращаемое значение:
//  Структура - Параметры, определяющие текущие электронные документы:
//   * Раздел - Строка - Раздел, по которому нужно получить документы. Разделы см. ИнициализироватьРазделыТекущихДел
//   * Режим  - Строка - Режим получения документов. Доступные значения: "ВсеДокументы", "МоиДокументы", "КИсполнению".
//   * Ответственный - Массив из СправочникСсылка.Пользователи - Пользователи для отбора документов по ответственным.
//                                                               Актуально для режима "МоиДокументы".
//   * Отбор  - Массив из Структура - Отбор документов. Можно выполнять по полям учетного документа для раздела
//                                    "Сформировать" и полям электронного документа для подразделов входящих/исходящих
//                                    документов. По остальным разделам отбор не выполняется.
//    Элементы должны быть представлены структурой со свойствами:
//     ** Поле         - Строка - Путь к данным для отбора.
//     ** ВидСравнения - ВидСравнения - Вид сравнения.
//     ** Значение     - Произвольный - Значение для отбора.
//   * КоличествоПолучаемыхЗаписей - Число - Ограничение выборки документов (оператор ПЕРВЫЕ в запросе).
//   * ОтправлятьВходящиеДокументыНаУтверждение - Булево - Если Истина, то входящие документы сначала попадают в
//                                                         Утвердить. Если Ложь - то сразу в Подписать.
//   * ТипыДоговорСКонтрагентомЭДО - Массив из Тип - набор типов из см. ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//
Функция НовыеПараметрыОпределенияТекущихЭлектронныхДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеПараметрыОпределенияТекущихЭлектронныхДокументов() 
```
</details>

## КоличествоТекущихЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество текущих электронных документов.
//
// Параметры:
//  Параметры - Структура - параметры определения текущих документов. См. НовыеПараметрыОпределенияТекущихЭлектронныхДокументов.
//
// Возвращаемое значение:
//  Число - число текущих документов, соответствующих переданным параметрам.
//
Функция КоличествоТекущихЭлектронныхДокументов(Знач Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.КоличествоТекущихЭлектронныхДокументов(Параметры) 
```
</details>

## ЗапросКоличестваТекущихЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос, инициализированный для получения количества текущих электронных документов.
//
// Параметры:
//  Параметры - Структура - параметры определения текущих документов. См. НовыеПараметрыОпределенияТекущихЭлектронныхДокументов.
//
// Возвращаемое значение:
//  Запрос - запрос для получения количества документов. Количество документов представлено в результате запроса полем "_Счетчик".
//
Функция ЗапросКоличестваТекущихЭлектронныхДокументов(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ЗапросКоличестваТекущихЭлектронныхДокументов(Параметры) 
```
</details>

## ВидыЭлектронныхДокументовДоступныеДляОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидыЭлектронныхДокументовДоступныеДляОтборов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ВидыЭлектронныхДокументовДоступныеДляОтборов() 
```
</details>

## СформироватьДеревьяЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьДеревьяЭД(ДеревоОбъект,СоответствиеВладельцевИЭД) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.СформироватьДеревьяЭД(ДеревоОбъект, СоответствиеВладельцевИЭД) 
```
</details>

## ПараметрыПриСозданииНаСервере_ФормаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры "ПриСозданииНаСервере" формы списка справочников и документов.
//
// Возвращаемое значение:
//  Структура:
// * Форма - ФормаКлиентскогоПриложения
// * МестоРазмещенияКоманд - РасширениеГруппыФормыДляПодменю
// * Направление - ПеречислениеСсылка.НаправленияЭДО
// * ИсточникКомандЭДО - ДинамическийСписок - список, в котором будут размещены кеш и настройки видимости команд ЭДО
// * КолонкаСостоянияЭДО - ПолеФормы
// * ИспользоватьОформлениеБиблиотеки - Булево
//
Функция ПараметрыПриСозданииНаСервере_ФормаСписка() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыПриСозданииНаСервере_ФормаСписка() 
```
</details>

## ПриСозданииНаСервере_ФормаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПриСозданииНаСервере" формы списка справочников и документов
//
// Параметры:
//  ПараметрыПриСозданииНаСервере - см. ПараметрыПриСозданииНаСервере_ФормаСписка
//
Процедура ПриСозданииНаСервере_ФормаСписка(ПараметрыПриСозданииНаСервере) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриСозданииНаСервере_ФормаСписка(ПараметрыПриСозданииНаСервере) 
```
</details>

## ПриПолученииДанныхНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ПодключаемыеКомандыЭДО.ПриПолученииДанныхНаСервере
//
Процедура ПриПолученииДанныхНаСервере(ИмяЭлемента, Настройки, Строки) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриПолученииДанныхНаСервере(ИмяЭлемента, Настройки, Строки) 
```
</details>

## ПараметрыПриСозданииНаСервере_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры "ПриСозданииНаСервере" формы документа.
//
// Возвращаемое значение:
//  Структура:
// * Форма - ФормаКлиентскогоПриложения
// * МестоРазмещенияКоманд - РасширениеГруппыФормыДляПодменю
// * Направление - ПеречислениеСсылка.НаправленияЭДО
// * ИсточникКомандЭДО - ДинамическийСписок - список, в котором будут размещены кеш и настройки видимости команд ЭДО
// * ДокументСсылка - ДокументСсылка
// * КонтроллерСостояниеЭДО - ДекорацияФормы, ПолеФормы - элемент для отображения состояния ЭДО
// * ГруппаСостояниеЭДО - ГруппаФормы - владелец для размещения КонтроллерСостояниеЭДО
// * СкрыватьСостояниеПриОтсутствииЭДО - Булево
//
Функция ПараметрыПриСозданииНаСервере_ФормаДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыПриСозданииНаСервере_ФормаДокумента() 
```
</details>

## ПараметрыПриСозданииНаСервере_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры "ПриСозданииНаСервере" формы справочника.
//
// Возвращаемое значение:
//  Структура:
// * Форма - ФормаКлиентскогоПриложения
// * МестоРазмещенияКоманд - РасширениеГруппыФормыДляПодменю
// * Направление - ПеречислениеСсылка.НаправленияЭДО
// * ИсточникКомандЭДО - ДинамическийСписок - список, в котором будут размещены кеш и настройки видимости команд ЭДО
// * СправочникСсылка - СправочникСсылка
// * КонтроллерСостояниеЭДО - ДекорацияФормы, ПолеФормы - элемент для отображения состояния ЭДО
// * ГруппаСостояниеЭДО - ГруппаФормы - владелец для размещения КонтроллерСостояниеЭДО
// * СкрыватьСостояниеПриОтсутствииЭДО - Булево
//
Функция ПараметрыПриСозданииНаСервере_ФормаСправочника() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыПриСозданииНаСервере_ФормаСправочника() 
```
</details>

## ПриСозданииНаСервере_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПриСозданииНаСервере" формы документа.
//
// Параметры:
//  ПараметрыПриСозданииНаСервере - см. ПараметрыПриСозданииНаСервере_ФормаДокумента
//
Процедура ПриСозданииНаСервере_ФормаДокумента(ПараметрыПриСозданииНаСервере) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриСозданииНаСервере_ФормаДокумента(ПараметрыПриСозданииНаСервере) 
```
</details>

## ПриСозданииНаСервере_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПриСозданииНаСервере" формы справочника.
//
// Параметры:
//  ПараметрыПриСозданииНаСервере - см. ПараметрыПриСозданииНаСервере_ФормаСправочника
//
Процедура ПриСозданииНаСервере_ФормаСправочника(ПараметрыПриСозданииНаСервере) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриСозданииНаСервере_ФормаСправочника(ПараметрыПриСозданииНаСервере) 
```
</details>

## ПараметрыПриЧтенииНаСервере_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение параметров оповещения для формы документ, передаваемые в метод
// ОбменСКонтрагентамиКлиент.ОбработкаОповещения_ФормаДокумента
//
// Возвращаемое значение:
//  Структура:
//   * Форма - ФормаКлиентскогоПриложения - форма документа.
//   * ДокументСсылка - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - Ссылка на документ.
//   * КонтроллерСостояниеЭДО - ДекорацияФормы, РасширениеПоляФормыДляПоляНадписи - элемент, в заголовке которого
//                                                                                   будет отображаться состояние ЭДО.
//   * ГруппаСостояниеЭДО - ГруппаФормы - элемент, которому может принадлежать КонтроллерСостояниеЭДО,
//                                         необязательный параметр.
//   * МестоРазмещенияКоманд - РасширениеГруппыФормыДляПодменю - подменю, в котором отображаются команды ЭДО.
Функция ПараметрыПриЧтенииНаСервере_ФормаДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыПриЧтенииНаСервере_ФормаДокумента() 
```
</details>

## ПараметрыПриЧтенииНаСервере_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение параметров оповещения для формы справочника, для передачи в метод
// ОбменСКонтрагентамиКлиент.ОбработкаОповещения_ФормаСправочника
//
// Возвращаемое значение:
//  Структура:
//    * Форма - ФормаКлиентскогоПриложения - форма справочника.
//    * СправочникСсылка - СправочникСсылка
//    * КонтроллерСостояниеЭДО - ДекорацияФормы, РасширениеПоляФормыДляПоляНадписи - элемент формы "декорация",
//          "поле надписи", в заголовке которого будет отображаться состояние ЭДО.
//    * ГруппаСостояниеЭДО - ГруппаФормы - элемент формы "группа", которому может принадлежать КонтроллерСостояниеЭДО,
//   	 	необязательный параметр.
//    * МестоРазмещенияКоманд - РасширениеГруппыФормыДляПодменю - подменю, в котором отображаются команды ЭДО.
Функция ПараметрыПриЧтенииНаСервере_ФормаСправочника() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыПриЧтенииНаСервере_ФормаСправочника() 
```
</details>

## ПриЧтенииНаСервере_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПриЧтенииНаСервере" формы документа.
//
// Параметры:
//  ПараметрыПриЧтенииНаСервере - см. ПараметрыПриЧтенииНаСервере_ФормаДокумента
//
Процедура ПриЧтенииНаСервере_ФормаДокумента(ПараметрыПриЧтенииНаСервере) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриЧтенииНаСервере_ФормаДокумента(ПараметрыПриЧтенииНаСервере) 
```
</details>

## ПриЧтенииНаСервере_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПриЧтенииНаСервере" формы справочника.
//
// Параметры:
//  ПараметрыПриЧтенииНаСервере - см. ПараметрыПриЧтенииНаСервере_ФормаСправочника
//
Процедура ПриЧтенииНаСервере_ФормаСправочника(ПараметрыПриЧтенииНаСервере) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриЧтенииНаСервере_ФормаСправочника(ПараметрыПриЧтенииНаСервере) 
```
</details>

## ПараметрыПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Параметры "ПослеЗаписиНаСервере" формы документа.
//
// Возвращаемое значение:
//  Структура - Параметры, которые нужно передавать в метод ОбменСКонтрагентами.ПослеЗаписиНаСервере:
//    * Форма - ФормаКлиентскогоПриложения - форма документа.
//    * ДокументСсылка - ДокументСсылка - ссылка на документ.
//    * КонтроллерСостояниеЭДО - ДекорацияФормы - элемент формы "декорация", "поле формы", в заголовке которого
//                                                будет отображаться состояние ЭДО, необязательный параметр.
//    * ГруппаСостояниеЭДО - ГруппаФормы - элемент формы "группа", которому может принадлежать КонтроллерСостояниеЭДО,
//                                         необязательный параметр.
//
Функция ПараметрыПослеЗаписиНаСервере() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыПослеЗаписиНаСервере() 
```
</details>

## ПараметрыПослеЗаписиНаСервере_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Параметры "ПослеЗаписиНаСервере" формы справочника.
//
// Возвращаемое значение:
//  Структура - Параметры, которые нужно передавать в метод ОбменСКонтрагентами.ПослеЗаписиНаСервере_ФормаСправочника:
//    * Форма - ФормаКлиентскогоПриложения - форма документа.
//    * СправочникСсылка - СправочникСсылка - ссылка на элемент справочника.
//    * КонтроллерСостояниеЭДО - ДекорацияФормы - элемент формы "декорация", "поле формы", в заголовке которого
//                                                будет отображаться состояние ЭДО, необязательный параметр.
//    * ГруппаСостояниеЭДО - ГруппаФормы - элемент формы "группа", которому может принадлежать КонтроллерСостояниеЭДО,
//                                         необязательный параметр.
//
Функция ПараметрыПослеЗаписиНаСервере_ФормаСправочника() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыПослеЗаписиНаСервере_ФормаСправочника() 
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПослеЗаписиНаСервере" формы документа
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - Записываемый объект.
//  ПараметрыЗаписи - Структура - Структура, содержащая параметры записи.
//  ПараметрыПослеЗаписи - см. ПараметрыПослеЗаписиНаСервере
//
Процедура ПослеЗаписиНаСервере(ДокументОбъект, ПараметрыЗаписи, ПараметрыПослеЗаписи) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПослеЗаписиНаСервере(ДокументОбъект, ПараметрыЗаписи, ПараметрыПослеЗаписи) 
```
</details>

## ПослеЗаписиНаСервере_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПослеЗаписиНаСервере" формы справочника
//
// Параметры:
//  СправочникОбъект - СправочникОбъект - Записываемый объект.
//  ПараметрыЗаписи - Структура - Структура, содержащая параметры записи.
//  ПараметрыПослеЗаписи - см. ПараметрыПослеЗаписиНаСервере_ФормаСправочника
//
Процедура ПослеЗаписиНаСервере_ФормаСправочника(СправочникОбъект, ПараметрыЗаписи, ПараметрыПослеЗаписи) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПослеЗаписиНаСервере_ФормаСправочника(СправочникОбъект, ПараметрыЗаписи, ПараметрыПослеЗаписи) 
```
</details>

## ПараметрыИзмененияКлючевыхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры для процедуры см. КлючевыеРеквизитыТекстСостоянияЭДОПриИзменении.
// Если ОписаниеОбъектаУчета оставить Неопределено, тогда оно будет получено по ДокументОбъект.
//
// Возвращаемое значение:
//  Структура:
//    * Форма                 - ФормаКлиентскогоПриложения - Форма учетного документа.
//    * ДокументСсылка        - ДокументСсылка   - Ссылка на документ.
//    * ДокументОбъект        - ДокументОбъект   - Объект документа.
//    * КонтроллерСостояниеЭДО - ДекорацияФормы, ПолеФормы - контроллер состояния ЭДЛ.
//    * ГруппаСостояниеЭДО    - ГруппаФормы      - Группа, в которую входит "КонтроллерСостояниеЭДО".
//    * ОписаниеОбъектаУчета  - Неопределено, ТаблицаЗначений - См. ИнтеграцияЭДО.ОписаниеОбъектаУчета.
//
Функция ПараметрыИзмененияКлючевыхРеквизитов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыИзмененияКлючевыхРеквизитов() 
```
</details>

## КлючевыеРеквизитыТекстСостоянияЭДОПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПриИзменении" для полей документов,
// которые содержат значения "Организация", "Контрагент", "ДоговорКонтрагента".
//
// Параметры:
//  ПараметрыПриИзменении - см. ПараметрыИзмененияКлючевыхРеквизитов.
//
Процедура КлючевыеРеквизитыТекстСостоянияЭДОПриИзменении(ПараметрыПриИзменении) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.КлючевыеРеквизитыТекстСостоянияЭДОПриИзменении(ПараметрыПриИзменении) 
```
</details>

## СтатусыЭлектронныхДокументовОбъектаУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статусы электронных документов объекта учета.
//
// Параметры:
//  ОписаниеОбъектаУчета - см. ИнтеграцияЭДО.ОписаниеОбъектаУчета
//  УчитыватьВсеАктуальные - Булево
//
// Возвращаемое значение:
//  см. НовыйНаборСтатусовЭлектронныхДокументов
Функция СтатусыЭлектронныхДокументовОбъектаУчета(ОписаниеОбъектаУчета, УчитыватьВсеАктуальные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.СтатусыЭлектронныхДокументовОбъектаУчета(ОписаниеОбъектаУчета, УчитыватьВсеАктуальные);
```
</details>

## НовыйНаборСтатусовЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новый набор статусов электронных документов.
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//  * ОбъектУчета - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  * Организация - ОпределяемыйТип.Организация
//  * ЭлектронныйДокумент - ДокументСсылка.ЭлектронныйДокументВходящийЭДО,ДокументСсылка.ЭлектронныйДокументИсходящийЭДО
//  * ПредставлениеДокумента - Строка
//  * ПредставлениеСостояния - Строка
//  * ОжидаемоеДействие - ПеречислениеСсылка.ДействияПоЭДО
//  * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
//  * Контрагент - ОпределяемыйТип.УчастникЭДО
//  * ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//  * ИдентификаторОбъекта - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//  * НетНастройки - Булево
Функция НовыйНаборСтатусовЭлектронныхДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыйНаборСтатусовЭлектронныхДокументов() 
```
</details>

## ЗаполнитьСтатусыПоАктуальнымДокументам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет статусы по данным актуальных электронных документов.
//
// Параметры:
//  СтатусыЭлектронныхДокументов - см. НовыйНаборСтатусовЭлектронныхДокументов
//  АктуальныеДокументы - ТаблицаЗначений:
//  * ОбъектУчета - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
//  * ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
//  * ЭлектронныйДокумент - ДокументСсылка.ЭлектронныйДокументВходящийЭДО,ДокументСсылка.ЭлектронныйДокументИсходящийЭДО
//  * Организация - ОпределяемыйТип.Организация
//  * Контрагент - ОпределяемыйТип.УчастникЭДО
//  * ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//  * НаОзнакомлении - Булево
//  * НомерДокумента - Строка
//  * ДатаДокумента - Дата
//  * СостояниеЭДО - ПеречислениеСсылка.СостоянияДокументовЭДО
//  * ЭтапПодписанияОтсутствует - Булево
Процедура ЗаполнитьСтатусыПоАктуальнымДокументам(СтатусыЭлектронныхДокументов, АктуальныеДокументы) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ЗаполнитьСтатусыПоАктуальнымДокументам(СтатусыЭлектронныхДокументов, АктуальныеДокументы) 
```
</details>

## ЗаполнитьСтатусыПоНастройкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет статусы по данным актуальных электронных документов.
//
// Параметры:
//  СтатусыЭлектронныхДокументов - см. НовыйНаборСтатусовЭлектронныхДокументов
//  РезультатыПоискаНастроек - ТаблицаЗначений:
//  * ОбъектУчета - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
//  * Организация - ОпределяемыйТип.Организация
//  * Контрагент - Неопределено,ОпределяемыйТип.УчастникЭДО
//  * ДоговорКонтрагента - Неопределено,ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//  * ОбъектУчета - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  * ИдентификаторОбъекта - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//  * ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
//  * НетНастройки - Булево
Процедура ЗаполнитьСтатусыПоНастройкам(СтатусыЭлектронныхДокументов, РезультатыПоискаНастроек) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ЗаполнитьСтатусыПоНастройкам(СтатусыЭлектронныхДокументов, РезультатыПоискаНастроек) 
```
</details>

## НовыеСвойстваПредставленияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустые свойства электронного документа для формирования представления.
//
// Возвращаемое значение:
// 	Структура - Описание:
// 	* ВидДокумента - СправочникСсылка.ВидыДокументовЭДО -
// 	* НомерДокумента - Строка -
// 	* ДатаДокумента - Дата -
Функция НовыеСвойстваПредставленияДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеСвойстваПредставленияДокумента() 
```
</details>

## ПредставлениеДокументаПоСвойствам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение представления по свойствам электронного документа.
//
// Параметры:
// 	СвойстваДокумента - Структура - параметры из которых формируется представление документа:
// 	* ВидДокумента - СправочникСсылка.ВидыДокументовЭДО - вид электронного документа.
// 	* НомерДокумента - Строка - номер электронного документа.
// 	* ДатаДокумента - Дата - дата электронного документа.
// 	ЭтоНовый - Булево
//
// Возвращаемое значение:
//  См. ИнтерфейсДокументовЭДОКлиентСервер.ПредставлениеДокументаПоСвойствам
Функция ПредставлениеДокументаПоСвойствам(СвойстваДокумента, ЭтоНовый = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеДокументаПоСвойствам(СвойстваДокумента, ЭтоНовый);
```
</details>

## КоличествоПодписанныхЭлектронныхДокументовПоМЧД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Возвращает количество подписанных электронных документов доверенностью.
//
// Параметры:
//  Доверенность - СправочникСсылка - ссылка на элемент справочника машиночитаемых доверенностей.
//
// Возвращаемое значение:
//  Число - число текущих документов, соответствующих переданным параметрам.
//
Функция КоличествоПодписанныхЭлектронныхДокументовПоМЧД(Знач Доверенность) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.КоличествоПодписанныхЭлектронныхДокументовПоМЧД(Доверенность) 
```
</details>

## ПриПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УправлениеПечатьюПереопределяемый.ПриПечати
Процедура ПриПечати(МассивОбъектов, ПараметрыПечати, КоллекцияПечатныхФорм, ОбъектыПечати, ПараметрыВывода) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПриПечати(МассивОбъектов, ПараметрыПечати, КоллекцияПечатныхФорм, ОбъектыПечати, ПараметрыВывода) 
```
</details>

## ПечатьДокументовПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УправлениеПечатьюПереопределяемый.ПечатьДокументовПриСозданииНаСервере
Процедура ПечатьДокументовПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ПечатьДокументовПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## НовыеДанныеЭлементовСхемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новые данные элементов схемы.
//
// Возвращаемое значение:
//  ТаблицаЗначений:
// * Наименование - Строка
// * ТипЭлементаРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО
// * Сообщение - ДокументСсылка.СообщениеЭДО
// * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
// * ВидСообщения - СправочникСсылка.ВидыДокументовЭДО
// * ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
// * Направление - ПеречислениеСсылка.НаправленияЭДО
// * Статус - ПеречислениеСсылка.СтатусыСообщенийЭДО
// * ДатаИзмененияСтатуса - Дата
// * ДополнительнаяИнформация - Строка
// * ПрисоединенныйФайл - СправочникСсылка.СообщениеЭДОПрисоединенныеФайлы
// * АдресОписанияСообщения - Строка
// * Доступность - Булево
// * ИмяФайла - Строка
// * Расширение - Строка
//
Функция НовыеДанныеЭлементовСхемы() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеДанныеЭлементовСхемы() 
```
</details>

## ЗаполнитьСхемуРегламента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСхемуРегламента(НастройкиСхемыРегламента, ДанныеЭлементовСхемы, СхемаРегламента) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ЗаполнитьСхемуРегламента(НастройкиСхемыРегламента, ДанныеЭлементовСхемы, СхемаРегламента) 
```
</details>

## ИдентификаторЭлементаСхемыРегламента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИдентификаторЭлементаСхемыРегламента(ЭлементСхемыРодитель, Сообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ИдентификаторЭлементаСхемыРегламента(ЭлементСхемыРодитель, Сообщение) 
```
</details>

## СформироватьПредупреждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьПредупреждения(Форма, ГруппаПредупреждений) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.СформироватьПредупреждения(Форма, ГруппаПредупреждений) 
```
</details>

## НастроитьКомандуПереформировать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает визуальное оформление команды Переформировать.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  ЭлементСхемы - СтрокаДереваЗначений
Процедура НастроитьКомандуПереформировать(Форма, ЭлементСхемы) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.НастроитьКомандуПереформировать(Форма, ЭлементСхемы) 
```
</details>

## НовыйРезультатПереформированияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры, заполняемые при выполнении переформирования документов.
//
// Возвращаемое значение:
//  Структура:
//   * СформированныеДокументы - Соответствие Из КлючИЗначение:
//    ** Ключ - ДокументСсылка.ЭлектронныйДокументИсходящийЭДО
//    ** Значение - Булево
//   * РезультатДействийПоЭДО - См. ЭлектронныеДокументыЭДО.НовыйРезультатДействийПоЭДО
//   * ЕстьОшибки - Булево
Функция НовыйРезультатПереформированияДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыйРезультатПереформированияДокументов() 
```
</details>

## НастройкиВнутреннегоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НастройкиВнутреннегоЭДО(Организация, ВидДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НастройкиВнутреннегоЭДО(Организация, ВидДокумента) 
```
</details>

## ЗаполнитьОтпечаткиСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет отпечатки сертификатов на сервере.
//
// Параметры:
//  ПараметрыВыполнения - см. ИнтерфейсДокументовЭДОКлиентСервер.НовыеПараметрыВыполненияДействийПоЭДО
//  КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
Процедура ЗаполнитьОтпечаткиСертификатов(ПараметрыВыполнения, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ЗаполнитьОтпечаткиСертификатов(ПараметрыВыполнения, КонтекстДиагностики) 
```
</details>

## ЕстьДействие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак наличия действия в наборе.
//
// Параметры:
//  НаборДействий - Соответствие из КлючИЗначение:
//  * Ключ - ПеречислениеСсылка.ДействияПоЭДО
//  * Значение - Булево
//  Действие - ПеречислениеСсылка.ДействияПоЭДО
//
// Возвращаемое значение:
//  Булево
Функция ЕстьДействие(НаборДействий, Действие) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ЕстьДействие(НаборДействий, Действие) 
```
</details>

## ИмяТаблицыДокументаЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя таблицы документа ЭДО.
//
// Параметры:
//  ЭтоВходящийЭДО - Булево
//
// Возвращаемое значение:
//  Строка
Функция ИмяТаблицыДокументаЭДО(ЭтоВходящийЭДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ИмяТаблицыДокументаЭДО(ЭтоВходящийЭДО) 
```
</details>

## ПредставлениеКарточкиСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Сообщение - ДокументСсылка.СообщениеЭДО - Ссылка на сообщение ЭДО
//  ОтветноеСообщение - ДокументСсылка.СообщениеЭДО, Неопределено - Ответное сообщение ЭДО
//
// Возвращаемое значение:
//  ТабличныйДокумент
Функция ПредставлениеКарточкиСообщения(Сообщение, ОтветноеСообщение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПредставлениеКарточкиСообщения(Сообщение, ОтветноеСообщение);
```
</details>

## НастройкиПодбораУчетногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ЭлектронныйДокумент - ДокументСсылка.ЭлектронныйДокументВходящийЭДО
//  СпособОбработки - Строка
//
// Возвращаемое значение:
//  Неопределено,Структура:
//  * СпособОбработки - Строка
//  * Организация - см. ИнтеграцияЭДО.ПустаяСсылкаОрганизации
//  * Контрагент - см. ИнтеграцияЭДО.ПустаяСсылкаУчастникаЭДО
//  * ИмяОбъектаМетаданных - Строка - Опционально.
//  * ИмяТипаСсылки - Строка - Опционально.
Функция НастройкиПодбораУчетногоДокумента(ЭлектронныйДокумент, СпособОбработки = "") Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НастройкиПодбораУчетногоДокумента(ЭлектронныйДокумент, СпособОбработки);
```
</details>

## ЕстьИнтеграцияОблачногоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Булево - есть интеграция с клиентом ЭДО
Функция ЕстьИнтеграцияОблачногоЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ЕстьИнтеграцияОблачногоЭДО() 
```
</details>

## ПараметрыОтправкиПолученияДокументовЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  УчетныеЗаписиОбмена - Неопределено, Массив из Строка - идентификаторы оператора электронного документооборота
// Возвращаемое значение:
//  Структура:
//  * ПараметрыВыполненияДействий - см. ПараметрыВыполненияДействийПриОтправкеПолученииДокументовЭДО
//  * УчетныеЗаписиЭДОБезПринятыхУсловийСервиса - см. УчетныеЗаписиЭДО.УчетныеЗаписиЭДОБезПринятыхУсловийСервиса
//	* ИспользуетсяОтправкаПолучениеСОтборомПоОрганизации - Булево, Неопределено -
//	* ДанныеОтбораНастройкиОтправкиПолучения - см. ДанныеОтбораНастройкиОтправкиПолучения
Функция ПараметрыОтправкиПолученияДокументовЭДО(УчетныеЗаписиОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыОтправкиПолученияДокументовЭДО(УчетныеЗаписиОбмена);
```
</details>

## ДанныеОтбораНастройкиОтправкиПолучения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные отбора настройки отправки получения.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение - Данные отбора настройки отправки получения:
//  *Ключ - ОпределяемыйТип.Организация
//  *Значение - Массив из Структура:
//		**Наименование - Строка - представление ИД ЭДО
//		**ИдентификаторЭДО - Строка - ИД ЭДО
//		**Сертификаты - Массив из Структура:
//			***Сертификат - СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования
//			***Отпечаток - Строка - Отпечаток сертификата
//
Функция ДанныеОтбораНастройкиОтправкиПолучения() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ДанныеОтбораНастройкиОтправкиПолучения() 
```
</details>

## ВыбранЛегкийВариантИнтерфейса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пользовательскую настройку выбранного варианта интерфейса.
//
// Возвращаемое значение:
//  Булево
Функция ВыбранЛегкийВариантИнтерфейса() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ВыбранЛегкийВариантИнтерфейса() 
```
</details>

## ТребуетсяПоказатьОкноВыбораВариантаИнтерфейса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак необходимости вывода окна выбора варианта интерфейса пользователю.
//
// Возвращаемое значение:
//  Булево
Функция ТребуетсяПоказатьОкноВыбораВариантаИнтерфейса() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ТребуетсяПоказатьОкноВыбораВариантаИнтерфейса() 
```
</details>

## ИспользуютсяЛегкиеКарточкиЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройку использования пользователем легкого варианта интерфейса карточек электронных документов.
//
// Возвращаемое значение:
//  Булево
Функция ИспользуютсяЛегкиеКарточкиЭлектронныхДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ИспользуютсяЛегкиеКарточкиЭлектронныхДокументов() 
```
</details>

## ЗаписатьПроверкуЭлектронныхПодписейЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает значения проверок электронных подписей по электронному документу из сообщения ЭДО присоединенного файла.
//
// Параметры:
//  ПодписанныйОбъект - СправочникСсылка.СообщениеЭДОПрисоединенныеФайлы
//
Процедура ЗаписатьПроверкуЭлектронныхПодписейЭДО(ПодписанныйОбъект) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ЗаписатьПроверкуЭлектронныхПодписейЭДО(ПодписанныйОбъект) 
```
</details>

## ЗначенияПроверокЭлектронныхПодписейПоЭлектронномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает значения проверок электронных подписей по электронному документу.
// Учитываем только подписи сообщений ЭДО с типами элемента регламента ИнформацияОтправителя и ИнформацияПолучателя.
// Если нет проверок, то возвращаются пустые значения.
//
// Параметры:
//  ЭлектронныйДокумент - ДокументСсылка.ЭлектронныйДокументВходящийЭДО,
//                        ДокументСсылка.ЭлектронныйДокументИсходящийЭДО
//
// Возвращаемое значение:
//  Структура - Значения проверок электронной подписи по электронному документу:
//   * ДатаПроверкиПодписиПоМЧД - Дата
//   * ЕстьНевалидныеПодписиПоМЧД - Булево
//
Функция ЗначенияПроверокЭлектронныхПодписейПоЭлектронномуДокументу(ЭлектронныйДокумент) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ЗначенияПроверокЭлектронныхПодписейПоЭлектронномуДокументу(ЭлектронныйДокумент) 
```
</details>

## СкорректироватьДатыПодписиНаЧасовойПоясКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Корректирует даты подписи на часовой пояс клиента.
//
// Параметры:
//  Подпись - Структура, Неопределено, Произвольный - Подпись:
// * СвойстваПодписи - Структура -:
// ** Подпись - ДвоичныеДанные -
// ** УстановившийПодпись - СправочникСсылка.Пользователи -
// ** ВидПодписи - ПеречислениеСсылка.ВидыЭлектронныхПодписей -
// ** Комментарий - Строка -
// ** ИмяФайлаПодписи - Строка -
// ** ДатаПодписи - Дата -
// ** ДатаПроверкиПодписи - Дата -
// ** ПодписьВерна - Булево -
// ** ПорядковыйНомер - Число -
// ** Сертификат - ХранилищеЗначения -
// ** Отпечаток - Строка -
// ** КомуВыданСертификат - Строка -
// ** Должность - Строка -
// * ЭтоПодписьПоДоверенности - Булево -
// * СвойстваДоверенности
// * ОтветнаяПодпись
Процедура СкорректироватьДатыПодписиНаЧасовойПоясКлиента(Подпись) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.СкорректироватьДатыПодписиНаЧасовойПоясКлиента(Подпись) 
```
</details>

## ДействияПоСостояниюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает набор действий по указанному состоянию и свойствам электронного документа.
//
// Параметры:
// 	СостояниеДокумента - ПеречислениеСсылка.СостоянияДокументовЭДО - Состояние электронного документа.
// 	СвойстваДокумента - ДокументОбъект.ЭлектронныйДокументВходящийЭДО, ДокументОбъект.ЭлектронныйДокументИсходящийЭДО, Структура - Свойства:
// 	* Ссылка - ДокументСсылка.ЭлектронныйДокументВходящийЭДО, ДокументСсылка.ЭлектронныйДокументИсходящийЭДО - Ссылка на электронный документ.
// 	* НаОзнакомлении - Булево - Признак необходимости ознакомиться с электронным документом.
// 	* ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
//
// Возвращаемое значение:
// 	См. ДоступныеДействияПоЭДО
Функция ДействияПоСостояниюДокумента(СостояниеДокумента, СвойстваДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ДействияПоСостояниюДокумента(СостояниеДокумента, СвойстваДокумента) 
```
</details>

## НовыеПараметрыПоискаВидаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новые параметры поиска вида документа.
//
// Параметры:
//  ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
//
// Возвращаемое значение:
//  Структура - Новые параметры поиска вида документа:
//  * ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
//  * ПрикладнойТипДокумента - Произвольный
//  * ИдентификаторОбъектаУчета - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//  * ИдентификаторКомандыПечати - Строка
//  * ПредставлениеКомандыПечати - Строка
//
Функция НовыеПараметрыПоискаВидаДокумента(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеПараметрыПоискаВидаДокумента(ТипДокумента) 
```
</details>

## НайтиВидДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет вид документа.
//
// Параметры:
//  ПараметрыПоиска см. НовыеПараметрыПоискаВидаДокумента
//
// Возвращаемое значение:
//  - Неопределено
//  - СправочникСсылка.ВидыДокументовЭДО
//
Функция НайтиВидДокумента(ПараметрыПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НайтиВидДокумента(ПараметрыПоиска) 
```
</details>

## ЗаполнитьНаименованиеВидаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет наименование вида документа.
//
// Параметры:
//  ВидДокументаОбъект - СправочникОбъект.ВидыДокументовЭДО
//  ПредставлениеКомандыПечати - Строка
//
Процедура ЗаполнитьНаименованиеВидаДокумента(ВидДокументаОбъект, ПредставлениеКомандыПечати = "") Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.ЗаполнитьНаименованиеВидаДокумента(ВидДокументаОбъект, ПредставлениеКомандыПечати);
```
</details>

## ВидДокументаПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид электронного документа по доступному типу электронного документа.
//
// Параметры:
//  ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО - Значение элемента структуры СтандартныеТипыДокументов.
//
// Возвращаемое значение:
//  СправочникСсылка.ВидыДокументовЭДО - Ссылка на вид электронного документа.
Функция ВидДокументаПоТипу(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ВидДокументаПоТипу(ТипДокумента) 
```
</details>

## ВидыДокументовПоСтандартнымТипам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает виды электронных документов по стандартным типам электронных документов.
// Не подходит для поиска по внутренним и прикладным типам документов.
//
// Параметры:
//  ТипыДокументов - Массив из ПеречислениеСсылка.ТипыДокументовЭДО - Набор прикладных типов электронных документов.
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - ПеречислениеСсылка.ТипыДокументовЭДО - Ссылка на тип документа.
//   * Значение - СправочникСсылка.ВидыДокументовЭДО - Ссылка на вид электронного документа.
//                                                     Для внутреннего и прикладного документа возвращается пустая ссылка.
Функция ВидыДокументовПоСтандартнымТипам(ТипыДокументов) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ВидыДокументовПоСтандартнымТипам(ТипыДокументов) 
```
</details>

## ЭтоВнутреннийТипДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
//
// Возвращаемое значение:
//  Булево
Функция ЭтоВнутреннийТипДокумента(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ЭтоВнутреннийТипДокумента(ТипДокумента) 
```
</details>

## НовыеПараметрыПолученияСвязиИдентификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры получения связи идентификаторов электронного документооборота.
//
// Возвращаемое значение:
// 	Структура:
// * Организация - ОпределяемыйТип.Организация
// * Контрагент - ОпределяемыйТип.КонтрагентБЭД, Массив из ОпределяемыйТип.КонтрагентБЭД -
// * ИдентификаторыОрганизации - Массив из Строка -
// * ИдентификаторыКонтрагента - Массив из Строка, ТаблицаЗначений -
// * ФормироватьСписокВыбора - Булево
// * ПолучатьПочтовыеАдреса - Булево
// * ПриоритетПодключенные - Булево
Функция НовыеПараметрыПолученияСвязиИдентификаторов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеПараметрыПолученияСвязиИдентификаторов() 
```
</details>

## НовыеПараметрыСвязиИдентификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ТаблицаЗначений - Новые параметры связи идентификаторов:
// * Контрагент - ОпределяемыйТип.УчастникЭДО
// * КонтрагентИНН - Строка
// * КонтрагентКПП - Строка
// * ИдентификаторКонтрагента - Строка
// * ИдентификаторКонтрагентаПредставление - Строка
// * ИдентификаторКонтрагентаОписание - Строка
// * ОператорКонтрагента - Строка
// * ОператорКонтрагентаПредставление - Строка
// * АбонентВХабе1С - Булево
// * ИдентификаторОрганизации - Строка
// * ИдентификаторОрганизацииПредставление - Строка
// * ОператорОрганизации - Строка
// * ИмяФайлаСоглашенияНаРоуминг - Строка
// * РекомендацияПоНастройке - Строка
// * СтатусПриглашенияПредставление - Строка
// * НавигационнаяСсылкаНаПриглашение - Строка
// * АбонентАктивен - Булево
// * СертификатДействителен - Булево
// * СтатусПодключения - Число
// * ОператорыСовпадают - Булево
// * СвязьДоступна - Число
// * ОтправкаТолькоНаИдентификаторЭДО - Булево
// * ТребуетсяСоглашение - Булево
// * ТребуетсяНовоеСоглашение - Булево
// * ЭлектроннаяПочта - Строка
// * СписокВыбора - Неопределено,СписокЗначений из Строка
// * ВариантПотребностиСоглашения - ПеречислениеСсылка.ВариантыПотребностиСоглашенияНаРоуминг
// * Абоненты - Неопределено,СписокЗначений из Строка
// * ТребуетсяСоглашениеПриПервомПодключении - Булево
// * ОбязательнаяОтправкаЗаявкиНаРоуминг - Булево
// * ЗаявкаНаРоумингПринята - Булево
// * ПриглашениеОтправлено - Булево
// * СтатусПриглашенияНаИдентификатор - ПеречислениеСсылка.СтатусыПриглашений
// * СтатусШироковещательногоПриглашения - ПеречислениеСсылка.СтатусыПриглашений
// * СтатусЗаявкиНаРоуминг - ПеречислениеСсылка.СтатусыПриглашений
// * ЭтоОблачныйЭДО - Булево
Функция НовыеПараметрыСвязиИдентификаторов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеПараметрыСвязиИдентификаторов() 
```
</details>

## ПараметрыСвязиИдентификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает параметры связи идентификаторов электронного документооборота.
//
// Параметры:
//  ПараметрыПолучения - см. НовыеПараметрыПолученияСвязиИдентификаторов
//  КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
//  ОбновитьДанныеАбонентов - Булево - предварительно обновить данные абонентов из сервиса настроек
//
// Возвращаемое значение:
//  - Неопределено
//  - См. НовыеПараметрыСвязиИдентификаторов
Функция ПараметрыСвязиИдентификаторов(ПараметрыПолучения, КонтекстДиагностики = Неопределено, ОбновитьДанныеАбонентов = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПараметрыСвязиИдентификаторов(ПараметрыПолучения, КонтекстДиагностики, ОбновитьДанныеАбонентов);
```
</details>

## НовыеПараметрыДанныхЗаполненияНастройкиОтправкиПриглашений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * Организация - Неопределено,ОпределяемыйТип.Организация
//  * ОбновитьКэшНастроек - Булево
//  * ЗаполнитьОператоровЭДО - Булево
//  * ПараметрыПолученияСвязиИдентификаторов - см. НовыеПараметрыПолученияСвязиИдентификаторов
Функция НовыеПараметрыДанныхЗаполненияНастройкиОтправкиПриглашений() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеПараметрыДанныхЗаполненияНастройкиОтправкиПриглашений() 
```
</details>

## НовыеДанныеЗаполненияНастройкиОтправкиПриглашений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
//  * ОператорыЭДО - Неопределено -
//                 - см. СервисНастроекЭДО.СписокОператоровЭДО
//  * ПараметрыСвязиИдентификаторовЭДО - Неопределено -
//                                     - см. ПараметрыСвязиИдентификаторов
Функция НовыеДанныеЗаполненияНастройкиОтправкиПриглашений() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.НовыеДанныеЗаполненияНастройкиОтправкиПриглашений() 
```
</details>

## ДанныеЗаполненияНастройкиОтправкиПриглашений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ПараметрыЗаполнения - См. НовыеПараметрыДанныхЗаполненияНастройкиОтправкиПриглашений
//
// Возвращаемое значение:
//  - Неопределено
//  - См. НовыеДанныеЗаполненияНастройкиОтправкиПриглашений
Функция ДанныеЗаполненияНастройкиОтправкиПриглашений(ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ДанныеЗаполненияНастройкиОтправкиПриглашений(ПараметрыЗаполнения) 
```
</details>

## ОбновитьДанныеДляНастройкиОтправкиПриглашений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  См. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
Функция ОбновитьДанныеДляНастройкиОтправкиПриглашений() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ОбновитьДанныеДляНастройкиОтправкиПриглашений() 
```
</details>

## ПользовательскийОтборСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает отборы списка.
//
// Параметры:
//  Список - ДинамическийСписок
//
// Возвращаемое значение:
//  ОтборКомпоновкиДанных
Функция ПользовательскийОтборСписка(Список) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПользовательскийОтборСписка(Список) 
```
</details>

## ЭлементыОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив элементов отбора.
//
// Параметры:
//  Отбор - ГруппаЭлементовОтбораКомпоновкиДанных,Неопределено
//
// Возвращаемое значение:
//  Массив Из ЭлементОтбораКомпоновкиДанных
Функция ЭлементыОтбора(Отбор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ЭлементыОтбора(Отбор) 
```
</details>

## УдалитьДокументИзПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ИдентификаторПакета - см. РегистрСведений.ПакетыДокументовЭДО.ИдентификаторПакета
//  ЭлектронныйДокумент - ДокументСсылка.ЭлектронныйДокументВходящийЭДО,ДокументСсылка.ЭлектронныйДокументИсходящийЭДО
//  КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
Процедура УдалитьДокументИзПакета(ИдентификаторПакета, ЭлектронныйДокумент, КонтекстДиагностики = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДО.УдалитьДокументИзПакета(ИдентификаторПакета, ЭлектронныйДокумент, КонтекстДиагностики);
```
</details>

## ПодготовитьДанныеДляЗаполненияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает необходимые данные для формирования пакета ЭД.
//
// Параметры:
//  Параметры - Структура - параметры для заполнения документа;
//
//  Возвращаемое значение:
//  Структура
//  *ТаблицаЭД - ТаблицаЗначений
//  *ТекстОшибки - Строка
//
Функция ПодготовитьДанныеДляЗаполненияДокументов(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПодготовитьДанныеДляЗаполненияДокументов(Параметры) 
```
</details>

## ПроштампованныйФайлPDF
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с длительной операцией получения проштампованного файла PDF ИС признаком необходимости
//  исользования просмотра PDF.
//
// Параметры:
//  СообщениеЭДО - ДокументСсылка.СообщениеЭДО
//  УникальныйИдентификатор - УникальныйИдентификатор
//  ПроверятьДоступностьВыводаПДФ_А3 - Булево - Проверять версию платформы для работы с просмотром файлов формата
//                                     PDF/A3. Требуется для того, чтобы не получать ошибку обновления динамического
//                                     списка. Истина, если проверка требуется.
//
// Возвращаемое значение:
//  Структура - Структура результатов обработки:
//  * ИспользоватьПросмотрПроштампованногоФайла - Булево - нужно ли использовать просмотр
//  * ДлительнаяОперация - Неопределено - Если операция не была запущена.
//                       - см. ДлительныеОперации.ВыполнитьФункцию
//
Функция ПроштампованныйФайлPDF(СообщениеЭДО, УникальныйИдентификатор, ПроверятьДоступностьВыводаПДФ_А3 = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДО.ПроштампованныйФайлPDF(СообщениеЭДО, УникальныйИдентификатор, ПроверятьДоступностьВыводаПДФ_А3);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
