---
title: Интерфейс документов ЭДО клиент сервер
slug: erp-uh/интерфейс-документов-эдо-клиент-сервер
---


## НовыеПараметрыСозданияДокументаПоФайлу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустые параметры создания документа по файлу.
//
// Возвращаемое значение:
//  См. ОбменСКонтрагентамиКлиент.НовыеПараметрыСозданияЭлектронногоДокументаПоФайлу
Функция НовыеПараметрыСозданияДокументаПоФайлу() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыеПараметрыСозданияДокументаПоФайлу() 
```
</details>

## НовыеДанныеПредупрежденияКомпонента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных предупреждения компонента.
//
// Возвращаемое значение:
// 	Структура - параметры просмотра документооборота:
// 	* Вид - Строка - вид предупреждения.
// 	* ТекстОшибки - Строка - текст сообщения.
// 	* Блокирующее - Булево - признак невозможности дальнейших действий без устранения проблемы.
// 	* ДополнительныеДанные - Структура - дополнительные данные для обработки сообщения.
Функция НовыеДанныеПредупрежденияКомпонента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыеДанныеПредупрежденияКомпонента() 
```
</details>

## НовыеПараметрыПроблемПриОбработкеДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных для открытия формы проблем при обработке документов.
//
// Возвращаемое значение:
//  Структура - параметры просмотра документооборота:
//  * СписокДокументовКОтправке - Массив из ДокументСсылка - ссылки на обрабатываемые документы.
//  * АдресСведенийОбОшибках - Строка - адрес сведений об ошибках во временном хранилище.
//  * РежимПодписатьОтправить - Булево - режим "Подписать и отправить".
//  * ФормаВладелец - ФормаКлиентскогоПриложения
//
Функция НовыеПараметрыПроблемПриОбработкеДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыеПараметрыПроблемПриОбработкеДокументов() 
```
</details>

## ВидОшибкиНетПравДляНастройкиЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидОшибкиНетПравДляНастройкиЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ВидОшибкиНетПравДляНастройкиЭДО() 
```
</details>

## ЗаполнитьСостояниеЭДО_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСостояниеЭДО_ФормаДокумента(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОКлиентСервер.ЗаполнитьСостояниеЭДО_ФормаДокумента(Параметры) 
```
</details>

## ЗаполнитьСостояниеЭДО_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСостояниеЭДО_ФормаСправочника(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОКлиентСервер.ЗаполнитьСостояниеЭДО_ФормаСправочника(Параметры) 
```
</details>

## НовыйИтогВыполненияДействийПоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую коллекцию итогов выполнения действий по ЭДО.
//
// Возвращаемое значение:
//  Структура:
//   * ОбработаноПоДействиям - Соответствие из КлючИЗначение:
//     ** Ключ     - ПеречислениеСсылка.ДействияПоЭДО
//     ** Значение - Число
//   * ОбработанныеДокументы - Соответствие из КлючИЗначение:
//     ** Ключ     - ДокументСсылка.ЭлектронныйДокументВходящийЭДО,
//                   ДокументСсылка.ЭлектронныйДокументИсходящийЭДО
//     ** Значение - Булево
//   * ОбработанныеУчетныеЗаписи - Соответствие из КлючИЗначение:
//     ** Ключ     - Строка
//     ** Значение - см. ДиагностикаЭДОКлиентСервер.НовоеОписаниеОбработаннойУчетнойЗаписи
//   * РезультатыОтправкиПолучения - см. НовыеРезультатыОтправкиПолучения
//   * ПолученоКонтейнеров - Число
//
Функция НовыйИтогВыполненияДействийПоЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыйИтогВыполненияДействийПоЭДО() 
```
</details>

## ДополнитьИтогВыполненияДействийПоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Приемник - см. НовыйИтогВыполненияДействийПоЭДО
//  Источник - см. НовыйИтогВыполненияДействийПоЭДО
Процедура ДополнитьИтогВыполненияДействийПоЭДО(Приемник, Источник) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОКлиентСервер.ДополнитьИтогВыполненияДействийПоЭДО(Приемник, Источник) 
```
</details>

## НовыйНаборДействийПоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустой набор действий по ЭДО.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//  * Ключ - ПеречислениеСсылка.ДействияПоЭДО
//  * Значение - Булево
//
Функция НовыйНаборДействийПоЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыйНаборДействийПоЭДО() 
```
</details>

## НовыеОбъектыДействийПоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую коллекцию типов объектов для обработки по действиям ЭДО.
//
// Возвращаемое значение:
//  Структура:
//  * ОписанияДокументовПоФайлам - Массив из см. НовоеОписаниеДокументаДляФормированияПоФайлам
//  * ОбъектыУчета               - Массив из ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  * ЭлектронныеДокументы       - Массив из ДокументСсылка.ЭлектронныйДокументВходящийЭДО,
//                                           ДокументСсылка.ЭлектронныйДокументИсходящийЭДО
//  * Сообщения                  - Массив из ДокументСсылка.СообщениеЭДО
//  * ПакетыДокументов           - Массив из УникальныйИдентификатор
//  * ИдентификаторыОрганизаций  - Массив из Строка
//  * ТранспортныеКонтейнеры     - Массив из ДокументСсылка.ТранспортныйКонтейнерЭДО
//
Функция НовыеОбъектыДействийПоЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыеОбъектыДействийПоЭДО() 
```
</details>

## НовыеПараметрыВыполненияДействийПоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустые параметры для выполнения действий по ЭДО.
//
// Возвращаемое значение:
//  Структура - Описание:
//  * НаборДействий - См. НовыйНаборДействийПоЭДО
//  * ОбъектыДействий - См. НовыеОбъектыДействийПоЭДО
//  * ДополнительныеПараметрыДействий - Соответствие из КлючИЗначение:
//    ** Ключ - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//    ** Значение - См. НовыеДополнительныеПараметрыДействия
//  * КлючиНастроекОбъектов - Соответствие из КлючИЗначение:
//    ** Ключ - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//    ** Значение - См. НастройкиВнутреннегоЭДО.КлючОбъектаНастроекВнутреннегоЭДО
//  * НастройкиОбъектов - Соответствие из КлючИЗначение:
//    ** Ключ - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//    ** Значение - См. НастройкиЭДО.НастройкиОтправки
//  * МаршрутыПодписанияОбъектов - Соответствие из КлючИЗначение:
//    ** Ключ - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//    ** Значение - СправочникСсылка.МаршрутыПодписания
//  * ДополнительныеДанныеОбъектов - Соответствие из КлючИЗначение:
//    ** Ключ - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//    ** Значение - Структура
//  * ПодписантыОбъектов - Соответствие из КлючИЗначение:
//    ** Ключ - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//    ** Значение - Массив из ОпределяемыйТип.Пользователь
//  * ОтпечаткиСертификатов - Неопределено - если получение отпечатков не выполнялось.
//                          - См. КриптографияБЭДКлиентСервер.НовыеРезультатыПолученияОтпечатков
//  * ВыбранныеСертификаты - Массив из СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования
//  * ИдентификаторыПечатныхФормОбъектов - Соответствие из КлючИЗначение:
//    ** Ключ - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//    ** Значение - Строка
//  * РасшифрованныеМаркеры - Неопределено - при отсутствии маркеров.
//                          - см. КриптографияБЭДКлиентСервер.НовыйНаборРасшифрованныхДанных
//  * ДополнительныеФайлы - Соответствие из КлючИЗначение:
//    ** Ключ - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//    ** Значение - См. РаботаСФайламиБЭДКлиентСервер.НовоеОписаниеФайла
//  * ДанныеРучногоФормированияТитула - Неопределено - заполняется в формах ручного формирования титулов
//                                    - См. ДанныеРучногоФормированияТитула
//  * ОбработатьТолькоИзвещения - Булево
//
Функция НовыеПараметрыВыполненияДействийПоЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыеПараметрыВыполненияДействийПоЭДО() 
```
</details>

## ДобавитьДействие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет действие в набор.
//
// Параметры:
//  НаборДействий - См. НовыйНаборДействийПоЭДО
//  Действие      - ПеречислениеСсылка.ДействияПоЭДО
//
Процедура ДобавитьДействие(НаборДействий, Действие) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОКлиентСервер.ДобавитьДействие(НаборДействий, Действие) 
```
</details>

## НовыеДополнительныеПараметрыДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую коллекцию дополнительных параметров действия по ЭДО.
//
// Возвращаемое значение:
//  Структура:
//  * Комментарий - Строка
//  * Ответственный - Неопределено,ОпределяемыйТип.Пользователь
//
Функция НовыеДополнительныеПараметрыДействия() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыеДополнительныеПараметрыДействия() 
```
</details>

## НовоеОписаниеДокументаДляФормированияПоФайлам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура - Новое описание документа для формирования по файлам:
//  * Идентификатор - Строка
//  * Организация - Неопределено,ОпределяемыйТип.Организация
//  * Контрагент - Неопределено,ОпределяемыйТип.УчастникЭДО
//  * Договор - Неопределено,ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//  * ВидДокумента - Неопределено,СправочникСсылка.ВидыДокументовЭДО
//  * Дата - Дата
//  * Номер - Строка
//  * Сумма - Число
//  * ФайлыТитулов - Массив Из См. НовыеФайлыЭлементаРегламентаДляФормированияДокумента
//  * ОбъектыУчета - Массив из ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  * СопроводительнаяЗаписка - Строка
Функция НовоеОписаниеДокументаДляФормированияПоФайлам() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовоеОписаниеДокументаДляФормированияПоФайлам() 
```
</details>

## НовыеФайлыТитулаДокументаДляФормирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * Основной - Неопределено
//             - См. РаботаСФайламиБЭДКлиентСервер.НовоеОписаниеФайла
//  * Дополнительный - Неопределено - если дополнительный файл отсутствует.
//                   - См. РаботаСФайламиБЭДКлиентСервер.НовоеОписаниеФайла
Функция НовыеФайлыТитулаДокументаДляФормирования() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыеФайлыТитулаДокументаДляФормирования() 
```
</details>

## ТребуютсяОтпечаткиСертификатовДляНабораДействий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НаборДействий - см. НовыйНаборДействийПоЭДО
//
// Возвращаемое значение:
//  Булево
Функция ТребуютсяОтпечаткиСертификатовДляНабораДействий(НаборДействий) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ТребуютсяОтпечаткиСертификатовДляНабораДействий(НаборДействий) 
```
</details>

## ЕстьДействие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак наличия действия в наборе.
//
// Параметры:
//  НаборДействий - См. НовыйНаборДействийПоЭДО
//  Действие      - ПеречислениеСсылка.ДействияПоЭДО
// Возвращаемое значение:
//  Булево - признак наличия действия в наборе.
//
Функция ЕстьДействие(НаборДействий, Действие) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ЕстьДействие(НаборДействий, Действие) 
```
</details>

## НовыеРезультатыОтправкиПолучения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат отправки и получения электронных документов.
//
// Возвращаемое значение:
// 	Структура:
// * Успешные   - Массив из ДокументСсылка.ЭлектронныйДокументВходящийЭДО - содержит ссылки на успешно
//                                               отправленные/полученные электронные документы документы или
//                                               транспортные контейнеры.
//              - Массив из ДокументСсылка.ЭлектронныйДокументИсходящийЭДО - описание см. выше.
//              - Массив из ДокументСсылка.ТранспортныйКонтейнерЭДО - описание см. выше.
//  * Неудачные - Массив из ДокументСсылка.ЭлектронныйДокументВходящийЭДО - одержит ссылки на
//                                                неудачно отправленные/полученные документы или
//                                                транспортные контейнеры.
//              - Массив из ДокументСсылка.ЭлектронныйДокументИсходящийЭДО - описание см. выше.
//              - Массив из ДокументСсылка.ТранспортныйКонтейнерЭДО - описание см. выше.
Функция НовыеРезультатыОтправкиПолучения() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыеРезультатыОтправкиПолучения() 
```
</details>

## ДополнитьРезультатыОтправкиПолучения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Приемник - см. НовыеРезультатыОтправкиПолучения
//  Источник - см. НовыеРезультатыОтправкиПолучения
Процедура ДополнитьРезультатыОтправкиПолучения(Приемник, Источник) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОКлиентСервер.ДополнитьРезультатыОтправкиПолучения(Приемник, Источник) 
```
</details>

## ОтсутствуютОбъектыДействий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ОбъектыДействий - см. ИнтерфейсДокументовЭДОКлиентСервер.НовыеОбъектыДействийПоЭДО
//
// Возвращаемое значение:
//  Булево
Функция ОтсутствуютОбъектыДействий(ОбъектыДействий) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ОтсутствуютОбъектыДействий(ОбъектыДействий) 
```
</details>

## ПредставлениеДокументаПоСвойствам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление электронного документа по его свойствам.
//
// Параметры:
//  СвойстваДокумента - Структура:
//  * ВидДокумента   - СправочникСсылка.ВидыДокументовЭДО
//  * НомерДокумента - Строка
//  * ДатаДокумента  - Дата
//  ЭтоНовый - Булево
// Возвращаемое значение:
//  Строка - представление электронного документа.
//
Функция ПредставлениеДокументаПоСвойствам(СвойстваДокумента, ЭтоНовый = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ПредставлениеДокументаПоСвойствам(СвойстваДокумента, ЭтоНовый);
```
</details>

## НайтиЭлементСхемыИнформацияПолучателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиЭлементСхемыИнформацияПолучателя(ЭлементСхемыРегламенты) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НайтиЭлементСхемыИнформацияПолучателя(ЭлементСхемыРегламенты) 
```
</details>

## ПредставленияВариантовФормированияДополнительныхСведенийАктаОРасхождениях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представления для вариантов формирования дополнительных сведений акта о расхождениях.
//
// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//   * Ключ - Строка - вариант формирования
//   * Значение - Строка - представление варианта
//
Функция ПредставленияВариантовФормированияДополнительныхСведенийАктаОРасхождениях() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ПредставленияВариантовФормированияДополнительныхСведенийАктаОРасхождениях() 
```
</details>

## НайтиЭлементСхемыПриложениеДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает приложение для ЕИС.
//
// Параметры:
// 	ЭлементСхемыРегламенты - ДанныеФормыЭлементДерева - Элемент для которого нужно найти информацию отправителя.
// 	ТипЭлементаРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - тип регламента элемента схемы.
//
// Возвращаемое значение:
//  ДанныеФормыЭлементДерева, Неопределено - Элемент информации отправителя.
//
Функция НайтиЭлементСхемыПриложениеДляЕИС(ЭлементСхемыРегламенты, ТипЭлементаРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НайтиЭлементСхемыПриложениеДляЕИС(ЭлементСхемыРегламенты, ТипЭлементаРегламента) 
```
</details>

## ОбновитьФормуПечатиДокументовБСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьФормуПечатиДокументовБСП(Форма) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОКлиентСервер.ОбновитьФормуПечатиДокументовБСП(Форма) 
```
</details>

## РазблокироватьЗаблокированныеЭлементыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РазблокироватьЗаблокированныеЭлементыФормы(Форма, СписокЭлементов) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОКлиентСервер.РазблокироватьЗаблокированныеЭлементыФормы(Форма, СписокЭлементов) 
```
</details>

## ДанныеТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеТабличногоДокумента(Знач ТабличныйДокумент, Знач ТипФайла) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ДанныеТабличногоДокумента(ТабличныйДокумент, ТипФайла) 
```
</details>

## НовыеПараметрыОткрытияЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * ВидДокумента - Неопределено
//                 - СправочникСсылка.ВидыДокументовЭДО - уточнение вида документа, когда по объекту учета доступно несколько вариантов.
//  * ДанныеКаталога - Строка - адрес временного хранилища данных каталога.
//  * НовыйДокумент - Булево - при Истина поиск текущего электронного документа не производится.
//  * ЗначенияДополнительныхПолей - Неопределено,Произвольный
//  * ФайлДоговора - Неопределено,
//                 - См. РаботаСФайламиБЭДКлиентСервер.НовоеОписаниеФайла
Функция НовыеПараметрыОткрытияЭлектронногоДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыеПараметрыОткрытияЭлектронногоДокумента() 
```
</details>

## НовыеДанныеПечатнойФормыДляНеформализованногоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор данных печатной формы для формирования неформализованного ЭДО
//
// Возвращаемое значение:
//  Структура - Новые данные печатной формы для неформализованного ЭДО:
//    * ТабличныйДокумент - ТабличныйДокумент
//    * ДвоичныеДанныеФайла - Неопределено, ДвоичныеДанные -
//    * НаименованиеФайла - Строка
//    * Расширение - Строка
//    * Уникальность - Строка
Функция НовыеДанныеПечатнойФормыДляНеформализованногоЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыеДанныеПечатнойФормыДляНеформализованногоЭДО() 
```
</details>

## НовыйКонтекстОтправкиПечатныхФормПоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новый контекст отправки печатных форм по ЭДО.
//
// Возвращаемое значение:
//  Структура - Новый контекст отправки печатных форм по ЭДО:
// * ДокументОснование - Неопределено, ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО -
// * ДанныеПечатныхФорм - Массив Из см. НовыеДанныеПечатнойФормыДляНеформализованногоЭДО
Функция НовыйКонтекстОтправкиПечатныхФормПоЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.НовыйКонтекстОтправкиПечатныхФормПоЭДО() 
```
</details>

## ДанныеРучногоФормированияТитула
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру данных ручного формирования титула.
// По данным ручного формирования может заполняться описание данных электронного документа.
//
// Параметры:
//  Форма - См. Обработка.ИнтерфейсДокументовЭДО.Форма.РучноеФормированиеОтветногоТитула
//
// Возвращаемое значение:
//  См. ДанныеРучногоФормированияОтветногоТитулаУПД_УКД
Функция ДанныеРучногоФормированияТитула(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ДанныеРучногоФормированияТитула(Форма) 
```
</details>

## ЭтоФорматДоговорногоДокументаПДФ_А3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Формат - Строка
//
// Возвращаемое значение:
//  Булево
Функция ЭтоФорматДоговорногоДокументаПДФ_А3(Формат) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ЭтоФорматДоговорногоДокументаПДФ_А3(Формат) 
```
</details>

## ЭтоФорматДоговорногоДокументаXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Формат - Строка
//
// Возвращаемое значение:
//  Булево
Функция ЭтоФорматДоговорногоДокументаXML(Формат) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ЭтоФорматДоговорногоДокументаXML(Формат) 
```
</details>

## КлючОбъектаНастроекИнтерфейсаЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ключ объекта настроек интерфейса ЭДО, используется для сохранения настроек интерфейса в хранилище общих настроек.
//
// Возвращаемое значение:
//  Строка
Функция КлючОбъектаНастроекИнтерфейсаЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.КлючОбъектаНастроекИнтерфейсаЭДО() 
```
</details>

## ФормаТекущихДелЭДОПоВариантуИнтерфейса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает путь к форме текущих дел по ЭДО в зависимости от варианта интерфейса.
//
// Параметры:
//  Легкий - Булево
//
// Возвращаемое значение:
//  Строка
Функция ФормаТекущихДелЭДОПоВариантуИнтерфейса(Легкий = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ФормаТекущихДелЭДОПоВариантуИнтерфейса(Легкий);
```
</details>

## ФормаВыбораВариантаИнтерфейса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Форма выбора варианта интерфейса.
//
// Возвращаемое значение:
//  Строка
Функция ФормаВыбораВариантаИнтерфейса() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ФормаВыбораВариантаИнтерфейса() 
```
</details>

## ТекстСообщенияОНезаполненностиРеквизитовДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ИмяРеквизита - Строка
//
// Возвращаемое значение:
//  Строка
Функция ТекстСообщенияОНезаполненностиРеквизитовДокумента(ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ТекстСообщенияОНезаполненностиРеквизитовДокумента(ИмяРеквизита) 
```
</details>

## ТекстСообщенияОНеобходимостиСнятьПометкуУдаленияДляОткрытияФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Строка
Функция ТекстСообщенияОНеобходимостиСнятьПометкуУдаленияДляОткрытияФайла() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ТекстСообщенияОНеобходимостиСнятьПометкуУдаленияДляОткрытияФайла() 
```
</details>

## ТекстСообщенияОбОтсутствииВозможностиЗагрузитьФайлXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Строка
Функция ТекстСообщенияОбОтсутствииВозможностиЗагрузитьФайлXML() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсДокументовЭДОКлиентСервер.ТекстСообщенияОбОтсутствииВозможностиЗагрузитьФайлXML() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
