---
title: Интерфейс документов эдоут клиент
slug: erp-uh/интерфейс-документов-эдоут-клиент
---


## КонтроллерСостояниеЭДОНажатиеДоговорногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка нажатия на гиперссылку "СостояниеЭДО" в форме элемента справочника договора с контрагентом.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма учетного документа.
//  СтандартнаяОбработка - Булево - Признак стандартной обработки нажатия на гиперссылку (устанавливается в Ложь).
//  ДанныеФайла - СправочникСсылка.ДоговорыКонтрагентовПрисоединенныеФайлы - ссылка на присоединенный файл договорного документа, отправляемый по ЭДО.
//
Процедура КонтроллерСостояниеЭДОНажатиеДоговорногоДокумента(Форма, СтандартнаяОбработка, ДанныеФайла = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОУТКлиент.КонтроллерСостояниеЭДОНажатиеДоговорногоДокумента(Форма, СтандартнаяОбработка, ДанныеФайла);
```
</details>

## ПоказатьСправкуПоФорматуДоговорногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает пользователю форму справки для формата Договорного документа PDF/A3 или XML.
//
// Параметры:
//  Результат - Неопределено - в случае, когда файл PDF, для отправки договорного документа по ЭДО, не выбран.
//			  - СправочникСсылка.ДоговорыКонтрагентовПрисоединенныеФайлы - ссылка на присоединенный файл к договору с контрагентом.
//			  - Структура - структура с данными файла, в случае, когда файл ещё не присоединен к договору с контрагентом.
//	ПараметрыФормы - СправочникСсылка.ДоговорыКонтрагентов - ссылка на договор с контрагентом, отправляемый по ЭДО.
//				   - Структура - параметры для открытия формы ЭД.
//	ОбработчикЗавершения - ОписаниеОповещения - оповещение вызываемое дальнейшее действие для отправки файла через БЭД.
//
Процедура ПоказатьСправкуПоФорматуДоговорногоДокумента(Результат, ПараметрыФормы, ОбработчикЗавершения) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОУТКлиент.ПоказатьСправкуПоФорматуДоговорногоДокумента(Результат, ПараметрыФормы, ОбработчикЗавершения) 
```
</details>

## ОткрытьДоговорнойДокумент101ИзФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает данные после выбора файла PDF, и открывает форму исходящего ЭД Договорного документа.
//
// Параметры:
//  ДанныеФайла - Неопределено - в случае, когда файл PDF, для отправки договорного документа по ЭДО, не выбран.
//				- СправочникСсылка.ДоговорыКонтрагентовПрисоединенныеФайлы - ссылка на присоединенный файл к договору с контрагентом.
//				- Структура - структура с данными файла, в случае, когда файл ещё не присоединен к договору с контрагентом.
// 	ПараметрыФормы - Структура - структура с информацией для подготовки данных открытия формы исходящего ЭД.
//
Процедура ОткрытьДоговорнойДокумент101ИзФайла(ДанныеФайла, ПараметрыФормы) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОУТКлиент.ОткрытьДоговорнойДокумент101ИзФайла(ДанныеФайла, ПараметрыФормы) 
```
</details>

## ОткрытьФормуВыбораПрисоединенногоФайлаДоговорногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает пользователю форму выбора присоединенного файла для Договорного документа PDF/A3.
//
// Параметры:
//  ПараметрыФормыЭД - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на объект ИБ, электронный документ которого надо отправить.
//					 - Структура - структура с ссылкой на объект ИБ, электронный документ которого надо отправить.
//  ОбработчикЗавершения - ОписаниеОповещения - оповещение вызываемое дальнейшее действие для отправки файла через БЭД.
//
Процедура ОткрытьФормуВыбораПрисоединенногоФайлаДоговорногоДокумента(ПараметрыФормыЭД, ОбработчикЗавершения) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОУТКлиент.ОткрытьФормуВыбораПрисоединенногоФайлаДоговорногоДокумента(ПараметрыФормыЭД, ОбработчикЗавершения) 
```
</details>

## ЗапроситьФайлДляДоговорногоДокумента101Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает данные после выбора файла PDF, и совершает подпись и отправку ЭД Договорного документа,
// в случае, без предпросмотра его исходящего документа.
//
// Параметры:
//  ДанныеФайла - Неопределено - в случае, когда файл PDF, для отправки договорного документа по ЭДО, не выбран.
//				- СправочникСсылка.ДоговорыКонтрагентовПрисоединенныеФайлы - ссылка на присоединенный файл к договору с контрагентом.
//				- Структура - структура с данными файла, в случае, когда файл ещё не присоединен к договору с контрагентом.
// 	ПараметрКоманды - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на объект ИБ, электронный документ которого надо отправить.
//
Процедура ЗапроситьФайлДляДоговорногоДокумента101Завершение(ДанныеФайла, ПараметрКоманды) Экспорт
```

Пример вызова
```bsl
ИнтерфейсДокументовЭДОУТКлиент.ЗапроситьФайлДляДоговорногоДокумента101Завершение(ДанныеФайла, ПараметрКоманды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
