---
title: Интерфейс ИСМП
slug: erp-uh/интерфейс-исмп
---


## ДеревоУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Построить дерево упаковок на основании данных о кодах маркировки.
//
// Параметры:
//  Значение - Массив Из Структура, Структура - Коды маркировки? для которых необходимо построить дерево упаковок
//  Детализация - ПеречислениеСсылка.ДетализацияСтруктурыХраненияИС, Неопределено - Детализация хранения обувной продукции
//  ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования
// Возвращаемое значение:
//  Структура - Описание:
//   * ТребуетсяОбновлениеКлючаСессии - Булево - Признак необходимости обновления ключа сессии.
//   * ТекстОшибки                    - Строка - Текст ошибки.
//   * ДеревоУпаковок                 - ДеревоЗначений, Неопределено - Дерево упаковок, построенное по переданным кодам маркировки.
//   * GTIN - ТаблицаЗначений - Список GTIN в разрезе МРЦ:
//    ** GTIN - Строка - GTIN.
Функция ДеревоУпаковок(Значение, Детализация = Неопределено, ПараметрыСканирования = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.ДеревоУпаковок(Значение, Детализация, ПараметрыСканирования);
```
</details>

## СтатусыКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить запрос статусов для списка кодов маркировки.
//
// Параметры:
//  МассивИсходныхСтрок - Массив Из СтрокаТабличнойЧасти: см. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияТаблицыДанныхКодовМаркировки - Коллекция строк таблицы
//  Организация - ОпределяемыйТип.Организация - Организация
//  ЗапрашиватьСтатусыКодовЕАЭС - Булево      - флаг использования запроса для проверки в сервисе.
//
// Возвращаемое значение:
//	Структура - Структура со свойствами:
//	* ТребуетсяОбновлениеКлючаСессии - Булево - Необходимость обновления ключа сессии.
//	* РезультатОтправкиЗапроса - (См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON)
//	* СтатусыКодовМаркировки - Соответствие Из КлючИЗначение - Статусы кодов маркировки:
//		** Ключ - СтрокаТабличнойЧасти - элемент переданной входящей колеекции.
//		** Значение - (См. ИнтерфейсИСМПОбщегоНазначения.ПараметрыКодаМаркировкиМОТП).
//  * ТекстОшибки - Строка - Текст сообщения об ошибке.
Функция СтатусыКодовМаркировки(МассивИсходныхСтрок, Организация = Неопределено, ЗапрашиватьСтатусыКодовЕАЭС = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.СтатусыКодовМаркировки(МассивИсходныхСтрок, Организация, ЗапрашиватьСтатусыКодовЕАЭС);
```
</details>

## СтатусыПродукцииИзНатуральногоМехаПакетно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить запрос статусов для списка КИЗ.
//
// Параметры:
//  МассивИсходныхСтрок - Массив Из СтрокаТабличнойЧасти: см. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияТаблицыДанныхКодовМаркировки - Коллекция строк таблицы
//  СтатусыКодовМаркировкиКеш - Соответствие, Неопределено - Кеш статусов кодов маркировки
//  Организация - ОпределяемыйТип.Организация - Организация
//  ВключатьСтатусыВложенныхКодов - Булево - Включать в соответствие СтатусыКодовМаркировки статусы вложенных кодов маркировки.
//  НастройкиРазбора - (см. РазборКодаМаркировкиИССлужебный.НастройкиРазбораКодаМаркировки).
// Возвращаемое значение:
//	Структура - Структура со свойствами:
//	* ТребуетсяОбновлениеКлючаСессии - Булево - Необходимость обновления ключа сессии.
//	* РезультатОтправкиЗапроса - (См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON).
//	отправки запроса.
//	* СтатусыКодовМаркировки - Соответствие Из КлючИЗначение - Статусы кодов маркировки:
//		** Ключ - Строка - Код маркировки.
//		** Значение - (См. ИнтерфейсИСМПОбщегоНазначения.ПараметрыКодаМаркировкиМОТП).
//  * ТекстОшибки - Строка - Текст сообщения об ошибке.
Функция СтатусыПродукцииИзНатуральногоМехаПакетно(МассивИсходныхСтрок, СтатусыКодовМаркировкиКеш = Неопределено, Организация = Неопределено, ВключатьСтатусыВложенныхКодов = Ложь, НастройкиРазбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.СтатусыПродукцииИзНатуральногоМехаПакетно(МассивИсходныхСтрок, СтатусыКодовМаркировкиКеш, Организация, ВключатьСтатусыВложенныхКодов, НастройкиРазбора);
```
</details>

## ТоварнаяГруппаПоКодамИдентификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить вид продукции для кодов идентификации.
// Используется метод true-api cises/info.
//
// Параметры:
//	МассивКодовМаркировки - Массив - коды маркировки.
//	Организация - СправочникСсылка.Организации - организация.
//
// Возвращаемое значение:
//	Структура - Структура со свойствами:
//	* ТребуетсяОбновлениеКлючаСессии - Булево - Необходимость обновления ключа сессии.
//	* РезультатОтправкиЗапроса - (См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON).
//	* ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции по данным сервиса.
//	* ТекстОшибки - Строка - Текст сообщения об ошибке.
Функция ТоварнаяГруппаПоКодамИдентификации(МассивКодовМаркировки, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.ТоварнаяГруппаПоКодамИдентификации(МассивКодовМаркировки, Организация);
```
</details>

## ОстатокGTINПоДаннымВиртуальногоБаланса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить актуальный баланс на складе.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - Организация
//  ВидМаркируемойПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции
//  GTIN - Массив Из Строка, Строка - GTIN для которых необходимо получить количество
//
// Возвращаемое значение:
//	Структура - Структура со свойствами:
//	* ТребуетсяОбновлениеКлючаСессии - Булево - Необходимость обновления ключа сессии
//	* РезультатОтправкиЗапроса - См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON
//	* ТекстОшибки - Строка - Текст сообщения об ошибке
//	* СодержимоеНедоступно - Булево
//	* ОстатокGTIN - Соответствие Из КлючИЗначение:
//		** Ключ - Строка - GTIN
//		** Значение - Число - количество единиц товара
Функция ОстатокGTINПоДаннымВиртуальногоБаланса(Организация, ВидМаркируемойПродукции, GTIN) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.ОстатокGTINПоДаннымВиртуальногоБаланса(Организация, ВидМаркируемойПродукции, GTIN) 
```
</details>

## ПараметрыЗапросаКодовМаркировкиПоФильтру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новая структура Параметров запроса кодов маркировки по фильтру.
//
// Возвращаемое значение:
//  Структура - Параметры запроса кодов маркировки по фильтру:
// * Организация - ОпределяемыйТип.Организация
// * Фильтр - Структура - Параметры фильтрации:
//                        ** ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС -
//                        ** ВидУпаковки  - ПеречислениеСсылка.ВидыУпаковокИС, Неопределено -
//                        ** ОсобоеСостояние - ПеречислениеСсылка.СтатусыКодовМаркировкиИСМП, Неопределено -
//                        ** НаличиеВложенныхКодов - Булево, Неопределено -
// * ПараметрыНавигации - Структура - Служебный, заполняется автоматически
Функция ПараметрыЗапросаКодовМаркировкиПоФильтру() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.ПараметрыЗапросаКодовМаркировкиПоФильтру() 
```
</details>

## КодыМаркировкиПоФильтру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает коды маркировки по фильтру из ГИС МТ.
//
// Параметры:
//  ПараметрыЗапроса - см. ПараметрыЗапросаКодовМаркировкиПоФильтру
//
// Возвращаемое значение:
//  Структура - Коды маркировки по фильтру:
// * ТребуетсяОбновлениеКлючаСессии - Булево -
// * РезультатОтправкиЗапроса - см. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON
// * ТекстОшибки - Строка -
// * ДанныеКодовМаркировки - Соответствие из КлючИЗначение:
//                           ** Ключ     - см. ШтрихкодированиеОбщегоНазначенияИС.НоваяСтруктураОбработкиШтрихкода
//                           ** Значение - см. ИнтерфейсИСМПОбщегоНазначения.ПараметрыКодаМаркировкиМОТП
// * ЭтоПоследняяСтраница - Булево -
Функция КодыМаркировкиПоФильтру(ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.КодыМаркировкиПоФильтру(ПараметрыЗапроса) 
```
</details>

## КоличествоПотребительскихУпаковокНаОснованииВеса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить количество единиц товара для каждой запрашиваемой пары кода товара и веса в граммах.
// Используется метод true-api gtin-weight/cis-count
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - Организация
//  ВидМаркируемойПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции
//  Товары - Массив Из Структура:
//	* GTIN - Строка - GTIN
//	* Вес - Число - Вес товара
//
// Возвращаемое значение:
//	Структура - Структура со свойствами:
//	* ТребуетсяОбновлениеКлючаСессии - Булево - Необходимость обновления ключа сессии
//	* РезультатОтправкиЗапроса - См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON
//	* ТекстОшибки - Строка - Текст сообщения об ошибке
//	* СодержимоеНедоступно - Булево
//	* КоличествоПотребительскихУпаковок - Соответствие Из КлючИЗначение:
//		** Ключ - Строка - GTIN
//		** Значение - Число - количество единиц товара
Функция КоличествоПотребительскихУпаковокНаОснованииВеса(Организация, ВидМаркируемойПродукции, Товары) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.КоличествоПотребительскихУпаковокНаОснованииВеса(Организация, ВидМаркируемойПродукции, Товары) 
```
</details>

## ПредварительнаяПроверкаУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправить УПД на предварительную проверку.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - Организация
//  ИдентификаторДокумента - Строка - Вид продукции
//  УПДBase64 - Строка - Документ, закодированный в base64
//
// Возвращаемое значение:
//	Структура - Структура со свойствами:
//	* ТребуетсяОбновлениеКлючаСессии - Булево - Необходимость обновления ключа сессии
//	* РезультатОтправкиЗапроса - См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON
//	* ТекстОшибки - Строка - Текст сообщения об ошибке
//	* СодержимоеНедоступно - Булево
//	* ТекстПроверки - Строка -Сообщение о том что подаваемый документ успешно отправлен в ГИС МТ.
//	В случае ошибки выводится сообщение об ошибке
Функция ПредварительнаяПроверкаУПД(Организация, ИдентификаторДокумента, УПДBase64) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.ПредварительнаяПроверкаУПД(Организация, ИдентификаторДокумента, УПДBase64) 
```
</details>

## СтатусПредварительнойПроверкиУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Статус предварительной проверки УПД.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - Организация
//  ИдентификаторДокумента - Строка - Вид продукции
//
// Возвращаемое значение:
//	Структура - Структура со свойствами:
//	* ТребуетсяОбновлениеКлючаСессии - Булево - Необходимость обновления ключа сессии
//	* РезультатОтправкиЗапроса - См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON
//	* ТекстОшибки - Строка - Текст сообщения об ошибке
//	* СодержимоеНедоступно - Булево
//	* ТекстПроверки - Строка -Сообщение о том что подаваемый документ успешно отправлен в ГИС МТ.
//	В случае ошибки выводится сообщение об ошибке
Функция СтатусПредварительнойПроверкиУПД(Организация, ИдентификаторДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.СтатусПредварительнойПроверкиУПД(Организация, ИдентификаторДокумента) 
```
</details>

## ОтправитьДокументНаПовторнуюОбработку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправить документ на повторную обработку.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - Организация
//  ИдентификаторДокумента - Строка - Вид продукции
//
// Возвращаемое значение:
//	Структура - Структура со свойствами:
//	* ТребуетсяОбновлениеКлючаСессии - Булево - Необходимость обновления ключа сессии
//	* РезультатОтправкиЗапроса - См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON
//	* ТекстОшибки - Строка - Текст сообщения об ошибке
//	* СодержимоеНедоступно - Булево
//	* ТекстПроверки - Строка -Сообщение о том что подаваемый документ успешно отправлен в ГИС МТ.
//	В случае ошибки выводится сообщение об ошибке
Функция ОтправитьДокументНаПовторнуюОбработку(Организация, ИдентификаторДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.ОтправитьДокументНаПовторнуюОбработку(Организация, ИдентификаторДокумента) 
```
</details>

## КодыТНВЭДПоВидуПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КодыТНВЭДПоВидуПродукции(ВидПродукции, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.КодыТНВЭДПоВидуПродукции(ВидПродукции, Организация);
```
</details>

## НайтиПродукциюПоИННПроизводителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить список продукции по ИНН производителя.
//
// Параметры:
// 	ИНН           - Строка                             - Устарел. ИНН производителя.
// 	ВидПродукции  - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции.
// 	НомерСтраницы - Число                              - Номер страницы.
// 	Организация   - ОпределяемыйТип.Организация        - Организация.
// 	ВариантAPI    - Строка, Неопределено               - Устарел. Использовался как: Вариант используемого API (ТАПИ, v3).
// Возвращаемое значение:
// 	Структура - Структура со свойствами:
// 	* ТребуетсяОбновлениеКлючаСессии - Булево - Признак необходимости обновления ключа сессии.
// 	* РезультатОтправкиЗапроса - (См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON). - Результат
//	отправки запроса.
// 	* ДанныеПродукцииПоШтрихкодуEAN - Неопределено - Если при получении данных возникла ошибка.
// 	                                - Соответствие Из КлючИЗначение - Соответствие штрихкода EAN и данных продукции из сервиса ИС МОТП:
// 	 ** Ключ     - Строка - Штрихкод EAN.
// 	 ** Значение - (См. ИнтерфейсИСМПОбщегоНазначения.ИнициализироватьДанныеПродукции).
// 	* ТекстОшибки - Строка - Текст ошибки.
Функция НайтиПродукциюПоИННПроизводителя(ИНН, ВидПродукции, НомерСтраницы = 0, Организация = Неопределено, ВариантAPI = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.НайтиПродукциюПоИННПроизводителя(ИНН, ВидПродукции, НомерСтраницы, Организация, ВариантAPI);
```
</details>

## НайтиДокументыПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить список документов по отбору.
//
// Параметры:
// 	Организация  - ОпределяемыйТип.Организация                      - Организация.
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС, Неопределено - ВидПродукции.
// 	ПараметрыОтбора - см. ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыОтбораДокументов.
// 	ПараметрыНавигации - Строка, Неопределено                       - Параметры навигации.
//
// Возвращаемое значение:
// Структура - Структура со свойствами:
//  * ТребуетсяОбновлениеКлючаСессии - Булево - Необходимость обновления ключа сессии
//  * РезультатОтправкиЗапроса - (См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON)
//  * НайденныеДокументы - Массив Из См. ИнтерфейсИСМПСлужебный.ИнициализироватьДанныеШапкиДокумента
//                       - Неопределено - Если при получении данных возникла ошибка.
//  * ТекстОшибки        - Строка - Текст сообщения об ошибке.
//  * ПараметрыНавигации - Структура - (См. ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыНавигацииПоДокументам).
//                       - Неопределено - Если при получении данных возникла ошибка.
Функция НайтиДокументыПоОтбору(Организация, ВидПродукции = Неопределено, ПараметрыОтбора = Неопределено, ПараметрыНавигации = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.НайтиДокументыПоОтбору(Организация, ВидПродукции, ПараметрыОтбора, ПараметрыНавигации);
```
</details>

## СтатусОбработкиДокументаПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить документ по идентификатору.
//
// Параметры:
// 	Идентификатор - Строка                              - Идентификатор документа.
// 	Организация   - ОпределяемыйТип.Организация         - Организация
// 	ВидПродукции  - ПеречислениеСсылка.ВидыПродукцииИС  - Вид продукции.
// 	Операция      - ПеречислениеСсылка.ВидыОперацийИСМП - Вид операции.
// Возвращаемое значение:
// 	Структура - Описание:
// 	* ТребуетсяОбновлениеКлючаСессии - Булево - Признак необходимости обновления ключа сессии.
// 	* РезультатОтправкиЗапроса       - см. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON.
// 	* ДанныеДокумента - Структура - Данные документа.
// 	                  - Неопределено - Если при получении данных возникла ошибка.
// 	* ТекстОшибки - Строка - Текст ошибки.
Функция СтатусОбработкиДокументаПоИдентификатору(Идентификатор, Организация = Неопределено, ВидПродукции = Неопределено, Операция = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.СтатусОбработкиДокументаПоИдентификатору(Идентификатор, Организация, ВидПродукции, Операция);
```
</details>

## СоставДокументаПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить состав документа по идентификатору.
//
// Параметры:
// 	Организация - ОпределяемыйТип.Организация - Организация.
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции.
// 	             - Неопределено.
// 	ПараметрыОтбора - Структура - (См. ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыОтбораДокументов).
// 	                - Неопределено.
// 	ПараметрыНавигации - Структура - (См. ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыНавигации).
// 	                   - Неопределено.
// 	ПараметрыОбработки - Структура, Неопределено - Параметры обработки.
// Возвращаемое значение:
// 	Структура - Описание:
// 	* ТребуетсяОбновлениеКлючаСессии - Булево - Признак необходимости обновления ключа сессии.
// 	* РезультатОтправкиЗапроса - Структура - (См. ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON)
// 	* РеквизитыДокумента - Структура - Данные документа.
// 	                     - Неопределено - Если при получении данных возникла ошибка.
// 	* ТекстОшибки        - Строка - Текст ошибки.
// 	* СоставДокумента    - Массив - Состав документа из элемента данных products
// 	                     - Неопределено - Если при получении данных возникла ошибка.
// 	* Статус             - ПеречислениеСсылка.СтатусыДокументовИСМП - Статус документа ИС МП
// 	* СтатусОбработки    - ПеречислениеСсылка.СтатусыОбработкиСообщенийИСМП - Статус обработки сообщения ИС МП
// 	* ДанныеДокумента    - Структура - (См. ОбщегоНазначенияИСМП.ТекстJSONВОбъект)
// 	* ПараметрыНавигации - Структура - (См. ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыНавигации)
// 	                     - Неопределено - Если при получении данных возникла ошибка.
Функция СоставДокументаПоИдентификатору(Организация, ВидПродукции = Неопределено, ПараметрыОтбора = Неопределено, Знач ПараметрыНавигации = Неопределено, ПараметрыОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.СоставДокументаПоИдентификатору(Организация, ВидПродукции, ПараметрыОтбора, ПараметрыНавигации, ПараметрыОбработки);
```
</details>

## СоздатьДокументПоСообщению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьДокументПоСообщению(Организация, Операция, ВидПродукции, ТекстСообщения, Подпись, ПараметрыЗапросаИсходящегоСообщения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМП.СоздатьДокументПоСообщению(Организация, Операция, ВидПродукции, ТекстСообщения, Подпись, ПараметрыЗапросаИсходящегоСообщения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
