---
title: Интерфейс ИСМП общего назначения клиент
slug: erp-uh/интерфейс-исмп-общего-назначения-клиент
---


## ЕмкостьУпаковкиПоGTIN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Емкость упаковки по GTIN.
// Результат выполнения операции будет передан в ОписаниеОповещения в переданном параметре.
//
// Параметры:
//  ПараметрыЗапроса - (см. ИнтерфейсИСМПОбщегоНазначенияКлиент.ПараметрыЗапросаДанных).
Процедура ЕмкостьУпаковкиПоGTIN(ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтерфейсИСМПОбщегоНазначенияКлиент.ЕмкостьУпаковкиПоGTIN(ПараметрыЗапроса) 
```
</details>

## МестаОсуществленияДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает места осуществления деятельности из ГИС МТ.
// Результат выполнения операции будет передан в ОписаниеОповещения в переданном параметре.
//
// Параметры:
//  ПараметрыЗапроса - (см. ИнтерфейсИСМПОбщегоНазначенияКлиент.ПараметрыЗапросаДанных).
Процедура МестаОсуществленияДеятельности(ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтерфейсИСМПОбщегоНазначенияКлиент.МестаОсуществленияДеятельности(ПараметрыЗапроса) 
```
</details>

## СписокМестОсуществленияДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает места осуществления деятельности из ГИС МТ (метод получения списка).
// Результат выполнения операции будет передан в ОписаниеОповещения в переданном параметре.
//
// Параметры:
//  ПараметрыЗапроса - (см. ИнтерфейсИСМПОбщегоНазначенияКлиент.ПараметрыЗапросаДанных).
Процедура СписокМестОсуществленияДеятельности(ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтерфейсИСМПОбщегоНазначенияКлиент.СписокМестОсуществленияДеятельности(ПараметрыЗапроса) 
```
</details>

## АктуализацияСпискаCDNПлощадок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет список CDN-площадок и время их отклика
// Результат выполнения операции будет передан в ОписаниеОповещения в переданном параметре.
//
// Параметры:
//  ПараметрыЗапроса - (см. ИнтерфейсИСМПОбщегоНазначенияКлиент.ПараметрыЗапросаДанных).
Процедура АктуализацияСпискаCDNПлощадок(ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтерфейсИСМПОбщегоНазначенияКлиент.АктуализацияСпискаCDNПлощадок(ПараметрыЗапроса) 
```
</details>

## ВыполнитьАвторизациюГИСМТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию авторизации ГИС МТ.
//
// Параметры:
//  ПараметрыЗапроса - см. ИнтерфейсИСМПОбщегоНазначенияКлиент.ПараметрыЗапросаДанных.
Процедура ВыполнитьАвторизациюГИСМТ(ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтерфейсИСМПОбщегоНазначенияКлиент.ВыполнитьАвторизациюГИСМТ(ПараметрыЗапроса) 
```
</details>

## АвторизацияГИСМТРозничныйТокен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию получения розничного токена в ГИС МТ.
//
// Параметры:
//  ПараметрыЗапроса - см. ИнтерфейсИСМПОбщегоНазначенияКлиент.ПараметрыЗапросаДанных.
Процедура АвторизацияГИСМТРозничныйТокен(ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
ИнтерфейсИСМПОбщегоНазначенияКлиент.АвторизацияГИСМТРозничныйТокен(ПараметрыЗапроса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
