---
title: Интерфейс ИСМП общего назначения клиент сервер
slug: erp-uh/интерфейс-исмп-общего-назначения-клиент-сервер
---


## ПараметрыЗапросаКлючаСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру параметров запроса в ИС МОТП (ИС МП) для получения ключа сессии.
//
// Параметры:
// 	Организация - ОпределяемыйТип.Организация - Организация.
// Возвращаемое значение:
// 	(См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии).
Функция ПараметрыЗапросаКлючаСессии(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПОбщегоНазначенияКлиентСервер.ПараметрыЗапросаКлючаСессии(Организация);
```
</details>

## ПараметрыЗапросаКлючаСессииСУЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру параметров запроса в ИС МОТП (ИС МП) для получения ключа сессии СУЗ.
//
// Параметры:
// 	ПараметрыСУЗ - Структура -
// Возвращаемое значение:
// 	(См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии).
Функция ПараметрыЗапросаКлючаСессииСУЗ(ПараметрыСУЗ) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПОбщегоНазначенияКлиентСервер.ПараметрыЗапросаКлючаСессииСУЗ(ПараметрыСУЗ) 
```
</details>

## ПараметрыЗапросаКлючаСессииИСМПРозница
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру параметров запроса в ГИС МТ для получения ключа сессии
// розничной продажи.
//
// Параметры:
// 	Организация - ОпределяемыйТип.Организация - Организация.
// Возвращаемое значение:
// 	(См. ИнтерфейсАвторизацииИСМПКлиентСервер.ПараметрыЗапросаКлючаСессии).
Функция ПараметрыЗапросаКлючаСессииИСМПРозница(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПОбщегоНазначенияКлиентСервер.ПараметрыЗапросаКлючаСессииИСМПРозница(Организация);
```
</details>

## ИмяДанныхКлючаСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя параметра сеанса, в котором хранится информация о токене авторизации.
//
// Параметры:
// 	ТипТокенаАвторизации - ПеречислениеСсылка.ТипыТокеновАвторизации - Тип токена авторизации.
// Возвращаемое значение:
// 	Строка - имя параметра сеанса.
Функция ИмяДанныхКлючаСессии(ТипТокенаАвторизации) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПОбщегоНазначенияКлиентСервер.ИмяДанныхКлючаСессии(ТипТокенаАвторизации) 
```
</details>

## АдресСервера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес сервера ИС МП.
//
// Параметры:
//   ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции (В тестовом контуре адреса серверов
//                                                       могут отличаться для различных видов продукции).
//   ИспользоватьTrueAPI - Булево - Использовать true-api
//   ЗагрузкаCDNПлощадок - Булево - Загрузка CDN-площадок
//
// Возвращаемое значение:
//  Строка - адрес сервера ИС МП.
//
Функция АдресСервера(ВидПродукции = Неопределено, ИспользоватьTrueAPI = Ложь, ЗагрузкаCDNПлощадок = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПОбщегоНазначенияКлиентСервер.АдресСервера(ВидПродукции, ИспользоватьTrueAPI, ЗагрузкаCDNПлощадок);
```
</details>

## ПараметрыОтправкиHTTPЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для отправки HTTP запросов ИС МП.
//
// Параметры:
//   ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции (В тестовом контуре адреса серверов
//                                                       могут отличаться для различных видов продукции).
//   ИспользоватьTrueAPI - Булево - Использовать true-api.
//   ЗагрузкаCDNПлощадок - Булево - Загрузка CDN-площадок
//
// Возвращаемое значение:
//  Структура - Описание:
//   * ИспользоватьЗащищенноеСоединение - Булево - Признак использования SSL.
//   * Таймаут - Число - Таймаут соединения.
//   * Порт - Число - Порт соединения.
//   * Сервер - Строка - Адрес сервера.
//   * ПредставлениеСервиса - Строка - Представления сервиса.
//
Функция ПараметрыОтправкиHTTPЗапросов(ВидПродукции = Неопределено, ИспользоватьTrueAPI = Ложь, ЗагрузкаCDNПлощадок = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПОбщегоНазначенияКлиентСервер.ПараметрыОтправкиHTTPЗапросов(ВидПродукции, ИспользоватьTrueAPI, ЗагрузкаCDNПлощадок);
```
</details>

## ОрганыВластиУстанавливающиеБлокировкуНаКМПоДаннымГИСМТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция преобразовывает список переданных сокращенных наименований гос. органов, устанавливающих
//  блокировку на реализацию конкретных кодов маркировки по данным ГИС МТ, в читаемое представление
//
// Параметры:
//  МассивИдентификаторов - Массив из Строка - список сокращенных наименований организаций
//
// Возвращаемое значение:
//  Массив из Строка - список полных наименований организаций
Функция ОрганыВластиУстанавливающиеБлокировкуНаКМПоДаннымГИСМТ(МассивИдентификаторов) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПОбщегоНазначенияКлиентСервер.ОрганыВластиУстанавливающиеБлокировкуНаКМПоДаннымГИСМТ(МассивИдентификаторов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
