---
title: Интерфейс ИСМП служебный
slug: erp-uh/интерфейс-исмп-служебный
---


## ИнициализироватьПараметрыКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных кода маркировки.
//
// Параметры:
// Возвращаемое значение:
//  Структура - Описание:
//   * Статус - ПеречислениеСсылка.СтатусыКодовМаркировкиИСМП - Статус кода маркировки.
//   * ИННВладельца - Строка - ИНН владельца кода маркировки.
//   * GTIN - Строка - GTIN продукции.
//   * ПредставлениеНоменклатуры - Строка - Наименование продукции.
//   * ВложенныеУпаковки - Соответствие Из КлючИЗначение - Вложенные упаковки по данным ИС МП:
//		** Ключ - (См. ШтрихкодированиеОбщегоНазначенияИС.НоваяСтруктураОбработкиШтрихкода)
//		** Значение - (См. ИнициализироватьПараметрыКодаМаркировки).
//   * ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции
Функция ИнициализироватьПараметрыКодаМаркировки(ЭлементДанных = Неопределено, ВидПродукции = Неопределено, ВыполнятьРазбор = Истина, Настройки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыКодаМаркировки(ЭлементДанных, ВидПродукции, ВыполнятьРазбор, Настройки);
```
</details>

## ИнициализироватьПараметрыСредстваИдентификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных кода маркировки.
//
// Параметры:
// Возвращаемое значение:
//  Структура - Описание:
//   * Статус - ПеречислениеСсылка.СтатусыКодовМаркировкиИСМП - Статус кода маркировки.
//   * ИННВладельца - Строка - ИНН владельца кода маркировки.
//   * НаименованиеВладельца - Строка - Наименование владельца.
//   * НаименованиеПроизводителя - Строка - Наименование производителя.
//   * ИННПроизводителя - Строка - ИНН производителя кода маркировки.
//   * ДатаЭмиссии - Дата - Дата эмиссии.
//   * GTIN - Строка - GTIN продукции.
//   * ПредставлениеНоменклатуры - Строка - Наименование продукции.
Функция ИнициализироватьПараметрыСредстваИдентификации(ЭлементДанных, ВидПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыСредстваИдентификации(ЭлементДанных, ВидПродукции);
```
</details>

## СпособВыпускаВОборот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует способ выпуска товаров в для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.СпособыВводаВОборотСУЗ - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.СпособыВводаВОборотСУЗ - Результат перекодирования.
Функция СпособВыпускаВОборот(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.СпособВыпускаВОборот(ЗначениеПоиска) 
```
</details>

## ИнициализироватьПараметрыМаркированногоТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных кода маркировки.
//
// Возвращаемое значение:
//  Структура - Описание:
//   * Статус - ПеречислениеСсылка.СтатусыКодовМаркировкиИСМП - Статус кода маркировки.
//   * ИННВладельца - Строка - ИНН владельца кода маркировки.
//   * НаименованиеВладельца - Строка - Наименование владельца.
//   * НаименованиеПроизводителя - Строка - Наименование производителя.
//   * ИННПроизводителя - Строка - ИНН производителя кода маркировки.
//   * ДатаЭмиссии - Дата - Дата эмиссии.
//   * ИдентификаторДокумента - Строка - Идентификатор документа.
//   * КодТНВЭД - Строка - Код ТНВЭД продукции.
//   * ДанныеПродукции - (См. ИнтерфейсИСМПОбщегоНазначения.ИнициализироватьДанныеПродукции).
Функция ИнициализироватьПараметрыМаркированногоТовара(ЭлементДанных = Неопределено, ВидПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыМаркированногоТовара(ЭлементДанных, ВидПродукции);
```
</details>

## ИнициализироватьДанныеКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру данных участника.
//
// Параметры:
//  ДанныеОбработки - Структура - Данные из сервиса ИС МП.
// Возвращаемое значение:
//  Структура - Описание:
//   * АдресЭлектроннойПочты - Строка - Адрес электронной почты
//   * Адрес  - Строка - Адрес
//   * ОГРН  - Строка - ОГРН
//   * КПП  - Строка - КПП
//   * ИНН  - Строка - ИНН
//   * ОКПО  - Строка - ОКПО
//   * НаименованиеПолное  - Строка - Полное наименование
//   * Наименование  - Строка - Наименование
//   * Идентификатор - Строка - Идентификатор
Функция ИнициализироватьДанныеКонтрагента(ДанныеОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьДанныеКонтрагента(ДанныеОбработки);
```
</details>

## ИнициализироватьДанныеШапкиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру данных шапки документа ИС МП.
//
// Параметры:
//  ДанныеОбработки - Структура - Данные из сервиса ИС МП.
// Возвращаемое значение:
//  Структура - Описание:
//   * PDF - Строка - Ссылка на PDF.
//   * СтатусЗагрузкиОписание - Строка - Описание статуса загрузки документа.
//   * СтатусЗагрузки - ПеречислениеСсылка.СтатусыДокументовИСМП - Статус документа.
//   * ДатаЗагрузки - Дата - Дата загрузки документа в ИС МП.
//   * СуммаНДС - Число - Сумма НДС.
//   * Сумма - Число - Сумма документа.
//   * ПолучательНаименование - Строка - Наименование получателя.
//   * ОтправительНаименование - Строка - Наименование отправителя.
//   * Статус - ПеречислениеСсылка.СтатусыДокументовИСМП - Статус документа.
//   * Тип - ПеречислениеСсылка.ВидыОперацийИСМП - Тип документа.
//   * Входящий - Булево - Признак входящего документа
//   * Дата - Дата - Дата документа
//   * Идентификатор - Строка - Идентификатор документа.
Функция ИнициализироватьДанныеШапкиДокумента(ДанныеОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьДанныеШапкиДокумента(ДанныеОбработки);
```
</details>

## ИнициализироватьДанныеШапкиЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру данных шапки чека ГИС МТ.
//
// Параметры:
//  ДанныеОбработки - Структура - Данные из сервиса ИС МП.
// Возвращаемое значение:
//  Структура - Описание:
//   * Идентификатор - Строка - Идентификатор чека в ГИС МТ.
//   * ДатаЗагрузки - Дата - Дата загрузки документа в ИС МП.
//   * Тип - Строка - Тип чека.
//   * Статус - ПеречислениеСсылка.СтатусыДокументовИСМП - Статус документа.
//   * ОтправительНаименование - Строка - Наименование отправителя.
Функция ИнициализироватьДанныеШапкиЧека(ДанныеОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьДанныеШапкиЧека(ДанныеОбработки);
```
</details>

## ИнициализироватьДанныеШапкиЗаказаНаЭмиссиюКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру данных шапки документа ИС МП
//
// Параметры:
//  ДанныеОбработки - Структура - Данные из сервиса ИС МП
// Возвращаемое значение:
//  Структура - Описание:
//   * Идентификатор - Строка - Идентификатор документа
//   * ИННВладельца - Строка - ИНН владельца
//   * НаименованиеВладельца - Строка - Наименование отправителя
//   * КоличествоGTIN - Число - Количество GTIN
//   * КоличествоКодовМаркировки - Число - Количество кодов маркировки
//   * Дата - Дата - Дата документа
//   * Статус - ПеречислениеСсылка.СтатусыОбработкиЗаказовНаЭмиссиюКодовМаркировкиИСМП - Статус документа
Функция ИнициализироватьДанныеШапкиЗаказаНаЭмиссиюКодовМаркировки(ДанныеОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьДанныеШапкиЗаказаНаЭмиссиюКодовМаркировки(ДанныеОбработки);
```
</details>

## ИнициализироватьДанныеШапкиПриемкиТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру данных шапки документа приески ИС МП
//
// Параметры:
//  ДанныеОбработки - Структура - Данные из сервиса ИС МП
// Возвращаемое значение:
//  Структура - Описание:
//   * PDF - Строка - Ссылка на PDF.
//   * СтатусЗагрузкиОписание - Строка - Описание статуса загрузки документа.
//   * СтатусЗагрузки - ПеречислениеСсылка.СтатусыДокументовИСМП - Статус документа.
//   * ДатаЗагрузки - Дата - Дата загрузки документа в ИС МП.
//   * СуммаНДС - Число - Сумма НДС.
//   * Сумма - Число - Сумма документа.
//   * ПолучательНаименование - Строка - Наименование получателя.
//   * ОтправительНаименование - Строка - Наименование отправителя.
//   * Статус - ПеречислениеСсылка.СтатусыДокументовИСМП - Статус документа.
//   * Тип - ПеречислениеСсылка.ВидыОперацийИСМП - Тип документа.
//   * Входящий - Булево - Признак входящего документа
//   * Дата - Дата - Дата документа
//   * Идентификатор - Строка - Идентификатор документа.
Функция ИнициализироватьДанныеШапкиПриемкиТоваров(ДанныеОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьДанныеШапкиПриемкиТоваров(ДанныеОбработки);
```
</details>

## ИнициализироватьДанныеПродукцииПриемкиТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать структуру данных шапки документа приески ИС МП
//
// Параметры:
//  ДанныеОбработки - Структура - Данные из сервиса ИС МП
// Возвращаемое значение:
//  Структура - Описание:
//   * ЗначениеШтрихкода - Строка - Код маркировки продукции.
//   * Количество - Число - Количество единиц.
//   * СуммаНДС - Число - Сумма НДС.
//   * Цена - Число - Цена за единицу.
Функция ИнициализироватьДанныеПродукцииПриемкиТоваров(ДанныеОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьДанныеПродукцииПриемкиТоваров(ДанныеОбработки);
```
</details>

## ИнициализироватьДанныеКодовТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИнициализироватьДанныеКодовТНВЭД(ДанныеОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьДанныеКодовТНВЭД(ДанныеОбработки);
```
</details>

## ИнициализироватьИнтервал
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Инициализирует структуру интервала
//
// Возвращаемое значение:
//  Структура - Описание:
//   * КонецПериода - Дата - Дата окончания периода
//   * НачалоПериода - Дата - Дата начала периода
Функция ИнициализироватьИнтервал() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьИнтервал() 
```
</details>

## ИнициализироватьПараметрыОтбораДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует параметры отбора документов
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ФорматДокумента - ПеречислениеСсылка - Формат документа
// * СтатусДокумента - ПеречислениеСсылка.СтатусыДокументовИСМП - Статус документа
// * ТипДокумента - ПеречислениеСсылка.ВидыОперацийИСМП - Тип документа
// * ТипЗапроса - ПеречислениеСсылка.ТипыЗапросовИС - Тип запроса
// * Интервал - См. ИнициализироватьИнтервал
// * ИНН - Строка - ИНН
// * Идентификатор - Строка - Идентификатор
Функция ИнициализироватьПараметрыОтбораДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыОтбораДокументов() 
```
</details>

## ИнициализироватьПараметрыОтбораСредствИдентификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует параметры отбора средств идентификации
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Интервал - Неопределено -
//            - (См. ИнициализироватьИнтервал)
// * Статус - ПеречислениеСсылка.СтатусыКодовМаркировкиИСМП - Статус кода маркировки
// * GTIN - Строка - ИНН
// * СерийныйНомер - Строка - Серийный номер
// * ИННПроизводителя - Строка - ИНН
// * КодМаркировки - Строка - Код маркировки
Функция ИнициализироватьПараметрыОтбораСредствИдентификации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыОтбораСредствИдентификации() 
```
</details>

## ИнициализироватьПараметрыНавигации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует параметры навигации по страницам
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ЗначениеПоляСортировкиПоследнее - Строка - Значение поля сортировки (последнее)
// * ЗначениеПоляСортировкиПервое - Строка - Значение поля сортировки (первое)
// * КодМаркировкиПоследний - Строка - Код маркировки (последний)
// * КодМаркировкиПервый - Строка - Код маркировки (первый)
Функция ИнициализироватьПараметрыНавигации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыНавигации() 
```
</details>

## ИнициализироватьПараметрыНавигацииПоДокументам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует параметры навигации по страницам списка документов
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ЗначениеПоляСортировкиПоследнее - Строка - Значение поля сортировки (последнее)
// * ЗначениеПоляСортировкиПервое - Строка - Значение поля сортировки (первое)
// * НомерДокументаПоследний - Строка - Код маркировки (последний)
// * НомерДокументаПервый - Строка - Код маркировки (первый)
Функция ИнициализироватьПараметрыНавигацииПоДокументам() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ИнициализироватьПараметрыНавигацииПоДокументам() 
```
</details>

## СтатусДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса документа в значение перечисления и наоборот.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.СтатусыДокументовИСМП, Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыДокументовИСМП, Строка - статус документа.
Функция СтатусДокумента(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.СтатусДокумента(ЗначениеПоиска) 
```
</details>

## СтатусЗаказаНаЭмиссиюКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса заказа на эмиссию кодов маркировки в значение перечисления и наоборот.
//  NEW:                           Первичный статус-маркер о новом запросе на создание нового заказа
//  NOT_ACCEPTED:                  Контрольная проверка формата заказа не пройдена. Заказ не принят. Конечный статус.
//  ACCEPTED:                      Контрольная проверка формата заказа успешно завершена. Заказ принят.
//  DRAFT:                         Черновик (@Deprecated)
//  READY_TO_VALIDATE:             Внутренний промежуточный статус-маркер, заказ готов к проверке
//  VALIDATING:                    Проверка заказа выполняется
//  VALIDATION_FAILED:             Контрольно-логическая проверка заказа не пройдена.
//                                 Конечный статус до обновления параметров заказа.
//  VALIDATED:                     Контрольно-логическая проверка заказа успешно завершена.
//                                 Заказ готов к рассмотрению оператором.
//  PENDING_REVIEW:                На рассмотрении оператором
//  REJECTED:                      Отказано оператором при проверки данных участника в ЕГРЮЛ/ЕГРИП/РАФП. Конечный статус.
//  APPROVED:                      Согласовано оператором
//  PAYMENT:                       Ожидается оплата - с UI
//  ANNULLED:                      Аннулирован - по истечению срока оплаты. Конечный статус.
//  READY_TO_PROCESS:              Внутренний промежуточный статус-маркер, заказ готов к обработке
//  PROCESSING:                    Обработка заказа выполняется
//  PROCESSING_FAILED:             Обработка заказа завершилась с ошибкой. Конечный статус.
//  PROCESSED:                     Обработка заказа успешно завершена
//  READY_FOR_EXTERNAL_PROCESSING: Принят и готов к обработке внешней системой (СУЗ).
//                                 Заказ в этом статусе будет передаваться внешней системе в обработку
//  EXTERNAL_PROCESSING:           Принят к обработке внешней системой (СУЗ). Обработка внешней системой - в процессе.
//                                 Заказ в этом статусе не будет повторно передаваться в обработку внешней системе.
//  PRODUCTION:                    Принят и передан в производство - оплата выполнена - с UI
//  MK_EMITTED:                    КМ Эмитирован - при POOL_STATUS.EXHAUSTED
//  MK_PARTLY_EMITTED:             КМ частично эмитирован
//  IO_EMITTED:                    СИ эмитировано - при подтверждении в ЦЭМ на UI
//  IO_SHIPPED:                    СИ отгружено заказчику - при подтверждении в ЦЭМ на UI
//  COMPLETED:                     Исполнен - при подтверждении принятия заказа участником оборота на UI. Конечный статус.
//  ERROR:                         Произошла ошибка на производстве. Конечный статус до исправления ошибки.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.СтатусыОбработкиЗаказовНаЭмиссиюКодовМаркировкиИСМП, Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыОбработкиЗаказовНаЭмиссиюКодовМаркировкиИСМП, Строка - статус документа.
Функция СтатусЗаказаНаЭмиссиюКодовМаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.СтатусЗаказаНаЭмиссиюКодовМаркировки(ЗначениеПоиска) 
```
</details>

## СтатусСтрокиЗаказаНаЭмиссиюКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса строки заказа на эмиссию кодов маркировки в значение перечисления и наоборот.
//  DRAFT:                         // Черновик
//  READY_TO_PROCESS:              // начальный статус - готов к обработке
//  PROCESSING:                    // обработка началась
//  PROCESSED:                     // обработка закончилась
//  READY_FOR_EXTERNAL_PROCESSING: // Принят и готов к обработке внешней системой (СУЗ)
//  EXTERNAL_PROCESSING:           // Подзаказ принят внешней системой в обработку.
//  PRODUCTION:                    // КМ заказаны и готовы к использованию (или уже используются)
//  EMITTED:                       // Все КМ из пула заказа запрошены на использование в печать
//  VERIFIED:                      // Распечатанный КМ проверен верификатором
//  COMPLETED:                     // Исполнен - при подтверждении принятия заказа участником оборота на UI
//  ERROR:                         // Произошла ошибка.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.СтатусыСтрокЗаказовНаЭмиссиюКодовМаркировкиИСМП, Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыСтрокЗаказовНаЭмиссиюКодовМаркировкиИСМП, Строка - статус документа.
Функция СтатусСтрокиЗаказаНаЭмиссиюКодовМаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.СтатусСтрокиЗаказаНаЭмиссиюКодовМаркировки(ЗначениеПоиска) 
```
</details>

## СпособВыпускаВОборотЧисло
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует способ выпуска товаров в для обмена с СУЗ ИС МП в числовое значение.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.СпособыВводаВОборотСУЗ - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.СпособыВводаВОборотСУЗ - Результат перекодирования в числовое значение.
Функция СпособВыпускаВОборотЧисло(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.СпособВыпускаВОборотЧисло(ЗначениеПоиска) 
```
</details>

## ВидДокументаСертификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует вид документа сертификации для обмена с ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ВидыДокументовОбязательнойСертификацииИС - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ВидыДокументовОбязательнойСертификацииИС - Результат перекодирования.
Функция ВидДокументаСертификации(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ВидДокументаСертификации(ЗначениеПоиска) 
```
</details>

## ВидДокументаСертификацииЧисло
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует вид документа сертификации для обмена с ИС МП в числовое значение.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.ВидыДокументовОбязательнойСертификацииИС - значение для перекодировки.
//
// Возвращаемое значение:
//  Число - Результат перекодирования.
Функция ВидДокументаСертификацииЧисло(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ВидДокументаСертификацииЧисло(ЗначениеПоиска) 
```
</details>

## ПринятоеРешение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует принятое решение для обмена с ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ПринятыеРешенияИСМП - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ПринятыеРешенияИСМП - Результат перекодирования.
Функция ПринятоеРешение(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ПринятоеРешение(ЗначениеПоиска) 
```
</details>

## ПричинаПеремаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует причину перемаркировки для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ПричиныПеремаркировкиТоваровИСМП - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ПричиныПеремаркировкиТоваровИСМП - Результат перекодирования.
Функция ПричинаПеремаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ПричинаПеремаркировки(ЗначениеПоиска) 
```
</details>

## ПричинаСписанияКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует вид маркировки для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ПричиныСписанияКодовМаркировкиИСМП - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ПричиныСписанияКодовМаркировкиИСМП - Результат перекодирования.
Функция ПричинаСписанияКодаМаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ПричинаСписанияКодаМаркировки(ЗначениеПоиска) 
```
</details>

## ПричинаСписанияКодаМаркировкиДляПеремаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует причину перемаркировки для обмена с ИС МП.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.ПричиныПеремаркировкиТоваровИСМП - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ПричиныСписанияКодовМаркировкиИСМП - Результат перекодирования.
Функция ПричинаСписанияКодаМаркировкиДляПеремаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ПричинаСписанияКодаМаркировкиДляПеремаркировки(ЗначениеПоиска) 
```
</details>

## ПричинаВыводаИзОборотаКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует причину вывода из оборота для обмена с ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ПричиныПеремаркировкиТоваровИСМП,
//  ПеречислениеСсылка.СтатусыКодовМаркировкиИСМП - Результат перекодирования.
Функция ПричинаВыводаИзОборотаКодаМаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ПричинаВыводаИзОборотаКодаМаркировки(ЗначениеПоиска) 
```
</details>

## ВидПервичногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует вид первичного документа ИС МП.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.ВидыПервичныхДокументовИСМП - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ВидыПервичныхДокументовИСМП - Результат перекодирования.
Функция ВидПервичногоДокумента(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ВидПервичногоДокумента(ЗначениеПоиска) 
```
</details>

## ВидВозвратаВОборот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует вид возврата в оборотои ИС МП.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.ВидыОперацийИСМП - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ВидыОперацийИСМП - Результат перекодирования.
Функция ВидВозвратаВОборот(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ВидВозвратаВОборот(ЗначениеПоиска) 
```
</details>

## ПроверитьДанныеСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьДанныеСтроки(ДанныеСтроки, СтрокаДерева, ИмяПоля, ТолькоЗаполненность = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтерфейсИСМПСлужебный.ПроверитьДанныеСтроки(ДанныеСтроки, СтрокаДерева, ИмяПоля, ТолькоЗаполненность);
```
</details>

## ПроверитьИсправитьДублиСтрокДереваУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьИсправитьДублиСтрокДереваУпаковок(КодМаркировки, КешКодовМаркировки) Экспорт
```

Пример вызова
```bsl
ИнтерфейсИСМПСлужебный.ПроверитьИсправитьДублиСтрокДереваУпаковок(КодМаркировки, КешКодовМаркировки) 
```
</details>

## ВидОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление типа документа в значение перечисления и наоборот.
//
// Параметры:
//  ЗначениеПоиска      - ПеречислениеСсылка.ВидыОперацийИСМП, Строка - значение для перекодировки.
//	ВидПродукции        - Неопределено, ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции.
//	ОбъемноСортовойУчет - Булево - Признак объемно-сортового учета.
// Возвращаемое значение:
//  ПеречислениеСсылка.ВидыОперацийИСМП, Строка - Тип документа.
Функция ВидОперации(Знач ЗначениеПоиска, ВидПродукции = Неопределено, ОбъемноСортовойУчет = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ВидОперации(ЗначениеПоиска, ВидПродукции, ОбъемноСортовойУчет);
```
</details>

## ПричинаВыводаИзОборота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует вид вывода из оборота ИС МП.
//
// Параметры:
//  ЗначениеПоиска      - ПеречислениеСсылка.ВидыОперацийИСМП - Значение для перекодировки.
//  ВидПродукции        - ПеречислениеСсылка.ВидыПродукцииИС  - Вид продукции.
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ВидыОперацийИСМП - Результат перекодирования.
Функция ПричинаВыводаИзОборота(Знач ЗначениеПоиска, ВидПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ПричинаВыводаИзОборота(ЗначениеПоиска, ВидПродукции);
```
</details>

## ПричинаВыводаИзОборотаПоПричинеСписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует причину списания ИС МП.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.ПричиныСписанияКодовМаркировкиИСМП, Строка - Значение для перекодировки.
//  ВидПродукции   - ПеречислениеСсылка.ВидыПродукцииИС  - Вид продукции.
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ВидыОперацийИСМП - Результат перекодирования.
Функция ПричинаВыводаИзОборотаПоПричинеСписания(Знач ЗначениеПоиска, ВидПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсИСМПСлужебный.ПричинаВыводаИзОборотаПоПричинеСписания(ЗначениеПоиска, ВидПродукции);
```
</details>

## ЗаполнитьСтатусБезВыполненияЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтатусБезВыполненияЗапроса(ИсходнаяСтрока, СтатусыКодовМаркировки) Экспорт
```

Пример вызова
```bsl
ИнтерфейсИСМПСлужебный.ЗаполнитьСтатусБезВыполненияЗапроса(ИсходнаяСтрока, СтатусыКодовМаркировки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
