---
title: Интерфейс МОТП служебный
slug: erp-uh/интерфейс-мотп-служебный
---


## ПараметрыКодаМаркировкиЕАЭС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных кода маркировки.
// Параметры:
// 	ЭлементДанных - Соответствие, Неопределено - Данные ГИС МТ
// Возвращаемое значение:
// 	Структура - Параметры статуса кода маркировки:
// * Статус       - ПеречислениеСсылка.СтатусыКодовМаркировкиМОТП - Статус кода маркировки.
// * ИННВладельца - Строка                                        - ИНН владельца кода маркировки.
Функция ПараметрыКодаМаркировкиЕАЭС(ЭлементДанных = Неопределено, ВидПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсМОТПСлужебный.ПараметрыКодаМаркировкиЕАЭС(ЭлементДанных, ВидПродукции);
```
</details>

## СтатусУчастника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса участника МОТП в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыУчастниковМОТП - статус участника.
//
Функция СтатусУчастника(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсМОТПСлужебный.СтатусУчастника(ЗначениеПоиска) 
```
</details>

## ТипОперацииДвиженияКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление типа операции движения кода маркировки МОТП в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыОперацийДвиженияКодовМаркировкиМОТП - тип операции движения кода маркировки.
//
Функция ТипОперацииДвиженияКодаМаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсМОТПСлужебный.ТипОперацииДвиженияКодаМаркировки(ЗначениеПоиска) 
```
</details>

## ТипДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление типа документа ИС МОТП в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыДокументовМОТП - тип документа.
//
Функция ТипДокумента(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсМОТПСлужебный.ТипДокумента(ЗначениеПоиска) 
```
</details>

## СтатусДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса документа ИС МОТП в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыДокументовМОТП - статус документа МОТП.
//
Функция СтатусДокумента(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсМОТПСлужебный.СтатусДокумента(ЗначениеПоиска) 
```
</details>

## РасшифроватьТокенJWT
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасшифроватьТокенJWT(Токен) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсМОТПСлужебный.РасшифроватьТокенJWT(Токен) 
```
</details>

## ДвоичныеДанныеЭлементаТокенаJWT
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДвоичныеДанныеЭлементаТокенаJWT(Знач Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсМОТПСлужебный.ДвоичныеДанныеЭлементаТокенаJWT(Значение));
```
</details>

## ВерсияПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерсияПрограммы() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсМОТПСлужебный.ВерсияПрограммы() 
```
</details>

## ИмяФайлаXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяФайлаXDTO(ДанныеДокумента, МетаданныеXDTO) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсМОТПСлужебный.ИмяФайлаXDTO(ДанныеДокумента, МетаданныеXDTO) 
```
</details>

## ОписаниеНомераТипаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеНомераТипаДанных(МетаданныеXDTO) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсМОТПСлужебный.ОписаниеНомераТипаДанных(МетаданныеXDTO));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
