---
title: Интерфейс САТУРН
slug: erp-uh/интерфейс-сатурн
---


## УстановитьПараметрыСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет установку параметров сеанса. Вызывается из модуля сеанса.
//
// Параметры:
//  ИмяПараметра			 - Строка           - имя параметра сеанса.
//  УстановленныеПараметры	 - Массив из Строка - все установленные параметры сеанса.
//
Процедура УстановитьПараметрыСеанса(ИмяПараметра, УстановленныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтерфейсСАТУРН.УстановитьПараметрыСеанса(ИмяПараметра, УстановленныеПараметры) 
```
</details>

## АдресСервера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес сервера.
//
// Возвращаемое значение:
// 	Строка - адрес сервера.
//
Функция АдресСервера() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.АдресСервера() 
```
</details>

## АдресРесурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// URL путь на сервере для отправки запроса.
//
// Параметры:
//  Авторизация - Булево - Путь для авторизации.
//
// Возвращаемое значение:
//  Строка - URL путь.
Функция АдресРесурса(Авторизация = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.АдресРесурса(Авторизация);
```
</details>

## ПараметрыОтправкиHTTPЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для отправки HTTP запросов.
//
// Параметры:
//  ПараметрыОптимизации - см. ИнтеграцияСАТУРНСлужебный.ПараметрыОптимизации
//
// Возвращаемое значение:
//  Структура - Описание:
//   * ИспользоватьЗащищенноеСоединение - Булево - Признак использования SSL.
//   * Таймаут - Число - Таймаут соединения.
//   * Порт - Число - Порт соединения.
//   * Сервер - Строка - Адрес сервера.
//   * АвторизацияHTTPТестовыйКонтурЛогин - Строка, Неопределено - Логин.
//   * АвторизацияHTTPТестовыйКонтурПароль - Строка, Неопределено - Пароль.
//   * ПредставлениеСервиса - Строка - Представления сервиса.
//
Функция ПараметрыОтправкиHTTPЗапросов(ПараметрыОптимизации = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ПараметрыОтправкиHTTPЗапросов(ПараметрыОптимизации);
```
</details>

## ИмяКлассаСущности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяКлассаСущности(Операция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ИмяКлассаСущности(Операция) 
```
</details>

## ИмяОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяОперации(Операция) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ИмяОперации(Операция) 
```
</details>

## СпособПримененияПАТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СпособПримененияПАТ(СпособПрименения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СпособПримененияПАТ(СпособПрименения) 
```
</details>

## ТипМестаПрименения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипМестаПрименения(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ТипМестаПрименения(Значение) 
```
</details>

## ПолучитьТокенАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТокенАвторизации(Логин, КлючАвторизации, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ПолучитьТокенАвторизации(Логин, КлючАвторизации, Идентификатор) 
```
</details>

## ПродлитьТокенАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПродлитьТокенАвторизации(Логин, ТокенАвторизации, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ПродлитьТокенАвторизации(Логин, ТокенАвторизации, Идентификатор) 
```
</details>

## Статус
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус версионного объекта по коду
//
// Параметры:
//  Значение - Число - код статуса
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыОбъектовСАТУРН - статус
//
Функция Статус(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.Статус(Значение) 
```
</details>

## СтатусИмпортаПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусИмпортаПродукции(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СтатусИмпортаПродукции(Значение) 
```
</details>

## СтатусНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусНакладной(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СтатусНакладной(Значение) 
```
</details>

## СтатусИмпортируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусИмпортируемойПродукции(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СтатусИмпортируемойПродукции(Значение) 
```
</details>

## ВидПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидПродукции(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ВидПродукции(Значение) 
```
</details>

## ТипИзмеряемойВеличины
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипИзмеряемойВеличины(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ТипИзмеряемойВеличины(Значение) 
```
</details>

## ДатаИзСтрокиISO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаИзСтрокиISO(ЗНАЧ Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ДатаИзСтрокиISO(ЗНАЧ Значение) 
```
</details>

## ТипХозяйствующегоСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипХозяйствующегоСубъекта(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ТипХозяйствующегоСубъекта(Значение) 
```
</details>

## ДанныеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеОрганизации(ЭлементДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ДанныеОрганизации(ЭлементДанных) 
```
</details>

## ДанныеМестаХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеМестаХранения(ЭлементДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ДанныеМестаХранения(ЭлементДанных) 
```
</details>

## ДанныеМестаПрименения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеМестаПрименения(ЭлементДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ДанныеМестаПрименения(ЭлементДанных) 
```
</details>

## ДанныеПАТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеПАТ(ЭлементДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ДанныеПАТ(ЭлементДанных) 
```
</details>

## ДанныеПартии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеПартии(ЭлементДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ДанныеПартии(ЭлементДанных) 
```
</details>

## ДанныеИмпортируемойПартии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеИмпортируемойПартии(ЭлементДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.ДанныеИмпортируемойПартии(ЭлементДанных) 
```
</details>

## СписокКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Список контрагентов.
//
// Параметры:
//  ПараметрыПоиска - Структура - Параметры поиска
//  НомерСтраницы - Число - Номер страницы
//  КоличествоЭлементовНаСтранице - Число - Количество элементов на странице
//
// Возвращаемое значение:
//  Структура - Список контрагентов:
// * Список - Неопределено, Массив из Произвольный - список полученных структур данных
// * ТекстОшибки - Строка - описание ошибки получения данных в САТУРН
// * ПараметрыОбмена - см. ИнтеграцияСАТУРН.ПараметрыОбмена
Функция СписокКонтрагентов(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СписокКонтрагентов(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) 
```
</details>

## СписокМестХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Список мест хранения.
//
// Параметры:
//  ПараметрыПоиска - Структура - Параметры поиска
//  НомерСтраницы - Число - Номер страницы
//  КоличествоЭлементовНаСтранице - Число - Количество элементов на странице
//
// Возвращаемое значение:
//  Структура - Список мест хранения:
// * Список - Неопределено, Массив из Произвольный - список полученных структур данных
// * ТекстОшибки - Строка - описание ошибки получения данных в САТУРН
// * ПараметрыОбмена - см. ИнтеграцияСАТУРН.ПараметрыОбмена
Функция СписокМестХранения(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СписокМестХранения(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) 
```
</details>

## СписокМестПрименения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Список мест применения.
//
// Параметры:
//  ПараметрыПоиска - Структура - Параметры поиска
//  НомерСтраницы - Число - Номер страницы
//  КоличествоЭлементовНаСтранице - Число - Количество элементов на странице
//
// Возвращаемое значение:
//  Структура - Список мест применения:
// * Список - Неопределено, Массив из Произвольный - список полученных структур данных
// * ТекстОшибки - Строка - описание ошибки получения данных в САТУРН
// * ПараметрыОбмена - см. ИнтеграцияСАТУРН.ПараметрыОбмена
Функция СписокМестПрименения(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СписокМестПрименения(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) 
```
</details>

## СписокИнвентаризаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СписокИнвентаризаций(getFullCards = 1) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СписокИнвентаризаций(getFullCards);
```
</details>

## СписокПАТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Список ПАТ.
//
// Параметры:
//  ПараметрыПоиска - Структура - Параметры поиска
//  НомерСтраницы - Число - Номер страницы
//  КоличествоЭлементовНаСтранице - Число - Количество элементов на странице
//
// Возвращаемое значение:
//  Структура - Список мест применения:
// * Список - Неопределено, Массив из Произвольный - список полученных структур данных
// * ТекстОшибки - Строка - описание ошибки получения данных в САТУРН
// * ПараметрыОбмена - см. ИнтеграцияСАТУРН.ПараметрыОбмена
Функция СписокПАТ(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СписокПАТ(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) 
```
</details>

## СписокПартий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Список партий.
//
// Параметры:
//  ПараметрыПоиска - Структура - Параметры поиска
//  НомерСтраницы - Число - Номер страницы
//  КоличествоЭлементовНаСтранице - Число - Количество элементов на странице
//
// Возвращаемое значение:
//  Структура - Список мест применения:
// * Список - Неопределено, Массив из Произвольный - список полученных структур данных
// * ТекстОшибки - Строка - описание ошибки получения данных в САТУРН
// * ПараметрыОбмена - см. ИнтеграцияСАТУРН.ПараметрыОбмена
Функция СписокПартий(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СписокПартий(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) 
```
</details>

## СписокИмпортируемыхПартий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СписокИмпортируемыхПартий(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСАТУРН.СписокИмпортируемыхПартий(ПараметрыПоиска, НомерСтраницы, КоличествоЭлементовНаСтранице) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
