---
title: Интерфейс СУЗ служебный
slug: erp-uh/интерфейс-суз-служебный
---


## СтатусКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса кода маркировки МОТП в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыКодовМаркировкиСУЗ - статус кода маркировки.
//
Функция СтатусКодаМаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СтатусКодаМаркировки(ЗначениеПоиска) 
```
</details>

## СтатусОбработкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса обработки отчёта СУЗ в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыОбработкиСообщенийИСМП - статус обработки отчета.
//
Функция СтатусОбработкиОтчета(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СтатусОбработкиОтчета(ЗначениеПоиска) 
```
</details>

## СтатусОбработкиОтчетаОНанесении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса обработки отчёта о нанесении СУЗ в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыОбработкиСообщенийИСМП - статус обработки отчета.
//
Функция СтатусОбработкиОтчетаОНанесении(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СтатусОбработкиОтчетаОНанесении(ЗначениеПоиска) 
```
</details>

## СтатусОбработкиЗапросаНаПолучениеИдентификатораСоединения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса кода маркировки МОТП в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыОбработкиСообщенийИСМП - статус обработки заявки.
//
Функция СтатусОбработкиЗапросаНаПолучениеИдентификатораСоединения(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СтатусОбработкиЗапросаНаПолучениеИдентификатораСоединения(ЗначениеПоиска) 
```
</details>

## РезультатОбработкиОтчетаСУЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатОбработкиОтчетаСУЗ(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.РезультатОбработкиОтчетаСУЗ(ЗначениеПоиска) 
```
</details>

## ВидОтчетаОбИспользованииКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Преобразовывает вид операции ИС МП в вид отчета об использовании кодов маркировки.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.ВидыОперацийИСМП - значение для перекодировки
//
// Возвращаемое значение:
//  Строка - Вид отчета об использовании кодов маркировки.
//
Функция ВидОтчетаОбИспользованииКодовМаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.ВидОтчетаОбИспользованииКодовМаркировки(ЗначениеПоиска) 
```
</details>

## ПричинаСписанияКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает вид операции ИС МП в вид отчета об использовании кодов маркировки.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.ВидыОперацийИСМП - значение для перекодировки
//
// Возвращаемое значение:
//  Строка - Вид отчета об использовании кодов маркировки.
//
Функция ПричинаСписанияКМ(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.ПричинаСписанияКМ(ЗначениеПоиска) 
```
</details>

## ПричинаСписанияКИЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает причину списания ИС МП в значение справочника "Причина выбраковки знака" для КИЗ.
//
// Параметры:
//  ЗначениеПоиска - ПеречислениеСсылка.ПричиныСписанияКодовМаркировкиИСМП - значение для перекодировки
//
// Возвращаемое значение:
//  Строка - причина выбраковки знака.
//
Функция ПричинаСписанияКИЗ(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.ПричинаСписанияКИЗ(ЗначениеПоиска) 
```
</details>

## СтатусБизнесЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса кода маркировки МОТП в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыКодовМаркировкиСУЗ - статус кода маркировки.
//
Функция СтатусБизнесЗаказа(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СтатусБизнесЗаказа(ЗначениеПоиска) 
```
</details>

## СтатусПулаКодовМаркировки_V1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса кода маркировки МОТП в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыКодовМаркировкиСУЗ - статус кода маркировки.
//
Функция СтатусПулаКодовМаркировки_V1(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СтатусПулаКодовМаркировки_V1(ЗначениеПоиска) 
```
</details>

## СтатусПулаКодовМаркировки_V2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает текстовое представление статуса кода маркировки МОТП в значение перечисления.
//
// Параметры:
//  ЗначениеПоиска - Строка - значение для перекодировки
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыКодовМаркировкиСУЗ - статус кода маркировки.
//
Функция СтатусПулаКодовМаркировки_V2(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СтатусПулаКодовМаркировки_V2(ЗначениеПоиска) 
```
</details>

## СпособВыпускаВОборот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует способ выпуска товаров в для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.СпособыВводаВОборотСУЗ - значение для перекодировки.
//  Назначение     - Строка - СУЗ, ИСМП или ОСТАТКИ
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.СпособыВводаВОборотСУЗ - Результат перекодирования.
//
Функция СпособВыпускаВОборот(Знач ЗначениеПоиска, Назначение = "СУЗ") Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СпособВыпускаВОборот(ЗначениеПоиска, Назначение);
```
</details>

## ШаблонКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует шаблон кода маркировки для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ШаблоныКодовМаркировкиСУЗ - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ШаблоныКодовМаркировкиСУЗ - Результат перекодирования.
//
Функция ШаблонКодаМаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.ШаблонКодаМаркировки(ЗначениеПоиска) 
```
</details>

## СпособИзготовленияКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует вид сервис провайдера для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Неопределено - сервис-провайдер не используется, коды маркировки получаются самостоятельно,
//                   Строка, ПеречислениеСсылка.ВидыСервисПровайдеровСУЗ - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ВидыСервисПровайдеровСУЗ - Результат перекодирования.
//
Функция СпособИзготовленияКодовМаркировки(ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СпособИзготовленияКодовМаркировки(ЗначениеПоиска) 
```
</details>

## СпособФормированияСерийногоНомера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует способ формирования серийного номера кода маркировки для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.СпособыФормированияСерийногоНомераСУЗ - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.СпособыФормированияСерийногоНомераСУЗ - Результат перекодирования.
//
Функция СпособФормированияСерийногоНомера(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СпособФормированияСерийногоНомера(ЗначениеПоиска) 
```
</details>

## НоваяНастройкаОбменаСУЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры для настройки обмена с СУЗ
//
// Возвращаемое значение:
// 	Структура - Параметры для настройки обмена с СУЗ:
// * Таймаут - Число - Таймаут
// * Порт - Число - Порт
// * Адрес - Строка - Адрес
// * Идентификатор - Строка - Адрес
// * Токен - Строка - Адрес
// * ФорматОбмена - ПеречислениеСсылка.ВерсииФорматаОбменаСУЗ - Формат обмена с СУЗ
Функция НоваяНастройкаОбменаСУЗ() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.НоваяНастройкаОбменаСУЗ() 
```
</details>

## ЦелевойПол
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует целевой пол при получении новых GTIN маркировки остатков для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ЦелевойПолИСМП - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ЦелевойПолИСМП - Результат перекодирования.
//
Функция ЦелевойПол(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.ЦелевойПол(ЗначениеПоиска) 
```
</details>

## ВозрастнаяКатегория
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует возрастную категорию при получении новых GTIN маркировки остатков для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ВозрастныеКатегорииИСМП - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ВозрастныеКатегорииИСМП - Результат перекодирования.
//
Функция ВозрастнаяКатегория(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.ВозрастнаяКатегория(ЗначениеПоиска) 
```
</details>

## ТипКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует шаблон кода маркировки и тип кода для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ШаблоныКодовМаркировкиСУЗ - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ШаблоныКодовМаркировкиСУЗ - Результат перекодирования.
//
Функция ТипКодаМаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.ТипКодаМаркировки(ЗначениеПоиска) 
```
</details>

## ТипОплатыКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перекодирует тип оплаты кодов маркировки для обмена с СУЗ ИС МП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ТипыОплатыКодовМаркировкиСУЗ - значение для перекодировки.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ТипыОплатыКодовМаркировкиСУЗ - Результат перекодирования.
//
Функция ТипОплатыКодовМаркировки(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.ТипОплатыКодовМаркировки(ЗначениеПоиска) 
```
</details>

## СпособПолученияИзготовленныхКИЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует значение перечисления в код, который соответствует формату обмена с ИСМП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.СпособыПолученияИзготовленныхКИЗГИСМ - преобразуемое значение.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.СпособыПолученияИзготовленныхКИЗГИСМ - Перекодированное значение.
//
Функция СпособПолученияИзготовленныхКИЗ(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СпособПолученияИзготовленныхКИЗ(ЗначениеПоиска) 
```
</details>

## ВидКИЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует значение перечисления в код, который соответствует формату обмена с ИСМП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ВидыКиЗГИСМ - преобразуемое значение.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ВидыКиЗГИСМ  - Перекодированное значение.
//
Функция ВидКИЗ(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.ВидКИЗ(ЗначениеПоиска) 
```
</details>

## РазмерКИЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует значение перечисления в код, который соответствует формату обмена с ИСМП.
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.РазмерыКиЗГИСМ - преобразуемое значение.
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.РазмерыКиЗГИСМ  - Перекодированное значение.
//
Функция РазмерКИЗ(Знач ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.РазмерКИЗ(ЗначениеПоиска) 
```
</details>

## СтранаЭмиссииПоСерийномуНомеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтранаЭмиссииПоСерийномуНомеру(Знач КодСтраны) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсСУЗСлужебный.СтранаЭмиссииПоСерийномуНомеру(КодСтраны) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
