---
title: Информирование налоговый период
slug: erp-uh/информирование-налоговый-период
---


## НастроитьЭлементИнформирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает (отображает, скрывает, если необходимо - создает) элементы формы,
// предназначенные для информирования пользователя об особенностях первого налогового периода.
// Следует вызывать в контексте формы.
//
// Параметры:
//  Элементы	 - ВсеЭлементыФормы - коллекция элементов настраиваемой формы
//  Информация	 - Структура - см. ИнформированиеНалоговыйПериодКлиентСервер.НовыйИнформация,
//                 информация, подлежащая выводу в элементы формы
//               - Неопределено - ничего выводить не нужно, элементы информирования следует скрыть
//  Позиция		 - ПолеФормы, ГруппаФормы, ТаблицаФормы - элемент формы,
//                 перед которым размещаются элементы для информирования пользователя.
//
Процедура НастроитьЭлементИнформирования(Элементы, Информация, Позиция = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнформированиеНалоговыйПериод.НастроитьЭлементИнформирования(Элементы, Информация, Позиция);
```
</details>

## ИнформацияНалоговыйПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Готовит тексты информации для пользователя об особенностях первого налогового периода организации,
// зарегистрированной в конце стандартного налогового (отчетного) периода.
//
// Параметры:
//  ВариантПериода						 - Перечисления.ВариантыРасширенногоПервогоНалоговогоПериода - вариант требований законодательства
//  КонецОтчетногоПериода				 - Дата - конец отчетного периода, к которому относится информация
//  Организация							 - СправочникСсылка.Организации - организация (налогоплательщик)
//  ВидОтчетаВинительныйПадеж			 - Строка - наименование отчета (расчета), в который включаются данные отчетного периода,
//                                         в винительном падеже, например "декларацию" или "справку"
//  ПродолжительностьНалоговогоПериода	 - ПеречислениеСсылка.Периодичность - продолжительность налогового периода
//  ПродолжительностьОтчетногоПериода	 - ПеречислениеСсылка.Периодичность - продолжительность отчетного периода в рамках налогового
//  ОписаниеНалоговогоПериода			 - Структура - результат функции ИнтерфейсыВзаимодействияБРО.БлижайшийНалоговыйПериод.
//                                         Может быть передан для оптимизации производительности, если уже рассчитан в вызывающем коде.
//
// Возвращаемое значение:
//  Структура - см. ИнформированиеНалоговыйПериодКлиентСервер.НовыйИнформация.
//
Функция ИнформацияНалоговыйПериод(ВариантПериода, КонецОтчетногоПериода, Организация, ВидОтчетаВинительныйПадеж, Экспорт
```

Пример вызова
```bsl
Результат = ИнформированиеНалоговыйПериод.ИнформацияНалоговыйПериод(ВариантПериода, КонецОтчетногоПериода, Организация, ВидОтчетаВинительныйПадеж, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
