---
title: Информирование налоговый период клиент
slug: erp-uh/информирование-налоговый-период-клиент
---


## НастроитьЭлементИнформацияНалоговыйПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает (отображает, скрывает) элементы формы,
// предназначенные для информирования пользователя об особенностях первого налогового периода,
// если это можно сделать без вызова сервера.
// Сигнализирует, если элементы не созданы - необходим контекстный вызов сервера.
// Следует вызывать в контексте формы.
//
// Параметры:
//  Элементы	 - ВсеЭлементыФормы - коллекция элементов настраиваемой формы
//  Информация	 - Структура - см. ИнформированиеНалоговыйПериодКлиентСервер.НовыйИнформация,
//                 информация, подлежащая выводу в элементы формы
//               - Неопределено - ничего выводить не нужно, элементы информирования следует скрыть.
//
// Возвращаемое значение:
//  Булево - Ложь - настроить на клиенте невозможно, требуется контекстный вызов сервера.
//
Функция НастроитьЭлементИнформацияНалоговыйПериод(Элементы, Информация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнформированиеНалоговыйПериодКлиент.НастроитьЭлементИнформацияНалоговыйПериод(Элементы, Информация);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
