---
title: Информирование налоговый период клиент сервер
slug: erp-uh/информирование-налоговый-период-клиент-сервер
---


## НовыйИнформация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор объекта, содержащего тексты, информирующие пользователя об особенностях первого налогового периода организации,
// зарегистрированной в конце стандартного налогового (отчетного) периода.
//
// Параметры:
//  Заголовок	 - Строка - основной текст, выводится в качестве заголовка поля информирования
//  Подсказка	 - Строка - подсказка, выводится по отдельной кнопке.
//
// Возвращаемое значение:
//  Структура - см. тело функции
//
Функция НовыйИнформация(Заголовок, Подсказка) Экспорт
```

Пример вызова
```bsl
Результат = ИнформированиеНалоговыйПериодКлиентСервер.НовыйИнформация(Заголовок, Подсказка) 
```
</details>

## ПредставлениеНалоговогоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление периода для целей налоговой и иной отчетности, с учетом особенностей первого налогового периода организации,
// зарегистрированной в конце стандартного налогового (отчетного) периода.
// Так, если организация зарегистрирована 01 декабря, то представлением отчетного периода с 01 декабря по 31 марта будет "1 квартал".
//
// Параметры:
//  НачалоПериода				 - Дата - начало фактического периода
//  КонецПериода				 - Дата	- конец фактического периода
//  ОписаниеНалоговогоПериода	 - Структура - результат ИнтерфейсыВзаимодействияБРО.БлижайшийНалоговыйПериод().
//
// Возвращаемое значение:
//  Строка - представление налогового периода.
//
Функция ПредставлениеНалоговогоПериода(НачалоПериода, КонецПериода, ОписаниеНалоговогоПериода) Экспорт
```

Пример вызова
```bsl
Результат = ИнформированиеНалоговыйПериодКлиентСервер.ПредставлениеНалоговогоПериода(НачалоПериода, КонецПериода, ОписаниеНалоговогоПериода) 
```
</details>

## ТекстПодсказки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст подсказки (вспомогательной информации) об особенностях первого налогового периода организации,
// зарегистрированной в конце стандартного налогового (отчетного) периода.
//
// Параметры:
//  ЮридическоеФизическоеЛицо          - ПеречислениеСсылка.ЮридическоеФизическоеЛицо - позволяет определить субъекта, к которому обращаемся
//  ВариантПериода                     - Перечисления.ВариантыРасширенногоПервогоНалоговогоПериода - вариант требований законодательства
//  ПродолжительностьНалоговогоПериода - ПеречислениеСсылка.Периодичность - продолжительность налогового периода, позволяет сформулировать,
//                                       в отчет за какой период включаются показатели за период с даты регистрации до стандартной даты начала отчетного периода
//  ВидОтчетаВинительныйПадеж          - Строка - наименование отчета (расчета), в который включаются данные отчетного периода,
//                                       в винительном падеже, например "декларацию" или "справку".
//
// Возвращаемое значение:
//  Строка - текст подсказки
//
Функция ТекстПодсказки(ЮридическоеФизическоеЛицо, ВариантПериода, ПродолжительностьНалоговогоПериода, ВидОтчетаВинительныйПадеж) Экспорт
```

Пример вызова
```bsl
Результат = ИнформированиеНалоговыйПериодКлиентСервер.ТекстПодсказки(ЮридическоеФизическоеЛицо, ВариантПериода, ПродолжительностьНалоговогоПериода, ВидОтчетаВинительныйПадеж) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
