---
title: Исправление документов
slug: erp-uh/исправление-документов
---


## ЗаполнитьИсправление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет исправительный документ на основании исправляемого.
//
// Параметры:
// 	ДокументОбъект - ДокументОбъект, ДокументОбъект.ПеремещениеТоваров - Исправительный документ
// 	ИсправляемыйДокумент - ДокументСсылка, ДокументСсылка.ПеремещениеТоваров - Исправляемый документ
//
Процедура ЗаполнитьИсправление(ДокументОбъект, ИсправляемыйДокумент) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументов.ЗаполнитьИсправление(ДокументОбъект, ИсправляемыйДокумент) 
```
</details>

## ПриКопировании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает реквизиты исправления при копировании документа.
//
// Параметры:
// 	ДокументОбъект - ДокументОбъект, ДокументОбъект.ПеремещениеТоваров - Объект, который создан копированием
// 	ОбъектКопирования - ДокументОбъект, ДокументОбъект.ПеремещениеТоваров - Ссылка на документ, который копируется
//
Процедура ПриКопировании(ДокументОбъект, ОбъектКопирования) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументов.ПриКопировании(ДокументОбъект, ОбъектКопирования) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность записи объекта.
//
// Параметры:
// 	ДокументОбъект - ДокументОбъект, ДокументОбъект.ПеремещениеТоваров - Объект, который записывается.
// 	Отказ - Булево - Флаг отказа записи.
// 	РежимЗаписи - РежимЗаписиДокумента - Режим записи документа.
// 	РежимПроведения - РежимПроведенияДокумента - Режим проведения документа.
//
Процедура ПередЗаписью(ДокументОбъект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументов.ПередЗаписью(ДокументОбъект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения исправительного/исправляемого документа.
//
// Параметры:
// 	ДокументОбъект -  ДокументОбъект, ДокументОбъект.ПеремещениеТоваров - Объект, заполнение которого требуется проверить.
// 	Отказ - Булево - Флаг отказа записи.
// 	ПроверяемыеРеквизиты - Массив из Строка - Массив проверяемых реквизитов.
//
Процедура ОбработкаПроверкиЗаполнения(ДокументОбъект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументов.ОбработкаПроверкиЗаполнения(ДокументОбъект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ПроверитьЗаполнениеСторно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения Сторно.
//
// Параметры:
// 	ДокументОбъект -  ДокументОбъект.Сторно - Объект, заполнение которого требуется проверить.
// 	Отказ - Булево - Флаг отказа записи.
// 	ПроверяемыеРеквизиты - Массив из Строка - Массив проверяемых реквизитов.
//
Процедура ПроверитьЗаполнениеСторно(ДокументОбъект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументов.ПроверитьЗаполнениеСторно(ДокументОбъект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку с информации об исправлении.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа:
// 		* Объект - ДанныеФормыКоллекция - Документ объект:
// 			* Ссылка - ДокументСсылка -
// 	ЭлементИсправление - ПолеФормы - Поле с информацией об исправлении.
//
Процедура ПриСозданииНаСервере(Форма, ЭлементИсправление) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументов.ПриСозданииНаСервере(Форма, ЭлементИсправление) 
```
</details>

## ПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку с информации об исправлении.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа.
// 	ЭлементИсправление - ПолеФормы - Поле с информацией об исправлении.
//
Процедура ПриЧтенииНаСервере(Форма, ЭлементИсправление) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументов.ПриЧтенииНаСервере(Форма, ЭлементИсправление) 
```
</details>

## ПриУстановкеНовогоНомера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает номер исправительного документа, для тех типов документа, для которых важно
// сохранить последовательную нумерацию исправляемых документов.
//
// Параметры:
// 	ДокументОбъект - ДокументОбъект - Исправительный документ
// 	СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события.
// 	Префикс - Строка - Префикс, который будет использоваться для генерации номера.
Процедура ПриУстановкеНовогоНомера(ДокументОбъект, СтандартнаяОбработка, Префикс) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументов.ПриУстановкеНовогоНомера(ДокументОбъект, СтандартнаяОбработка, Префикс) 
```
</details>

## ЭтоИсправительныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если документ является исправлением.
//
// Параметры:
// 	ДокументОбъект - ДокументОбъект - Документ, для которого необходимо выполнить проверку
//
// Возвращаемое значение:
//	Булево -
Функция ЭтоИсправительныйДокумент(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.ЭтоИсправительныйДокумент(ДокументОбъект) 
```
</details>

## РегистрацияСторноРазрешена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак возможности регистрации исправительного (сторнирующего) документа.
// Если исправление (сторнирование) не может быть выполнено, то выдается сообщение.
//
// Параметры:
// 	СторнируемыйДокумент - ДокументОбъект - Исправительный (сторнирующий) документ.
//
// Возвращаемое значение:
// 	Булево -
Функция РегистрацияСторноРазрешена(СторнируемыйДокумент) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.РегистрацияСторноРазрешена(СторнируемыйДокумент) 
```
</details>

## ЕстьИсправлениеИлиСторно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если выполнено исправление или сторно документа.
//
// Параметры:
//	Документ - ДокументСсылка - Документ, для которого необходимо выполнить проверку
//
// Возвращаемое значение:
// 	Булево - Результат проверки
Функция ЕстьИсправлениеИлиСторно(Документ) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.ЕстьИсправлениеИлиСторно(Документ) 
```
</details>

## СторноДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сторнирующие документы
//
// Параметры:
//	СторнируемыеДокументы - Массив Из ДокументСсылка - Документы, для которых необходимо найти сторно
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Сторнирующие документы:
// 		* Ссылка - ДокументСсылка -
// 		* СторнируемыйДокумент - ДокументСсылка -
Функция СторноДокументы(СторнируемыеДокументы) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.СторноДокументы(СторнируемыеДокументы) 
```
</details>

## ИсправляемыйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает исправляемый документ (первый документ цепочки) по исправлению
//
//	Параметры:
//		Исправление - ДокументСсылка - Исправление
//
//	Возвращаемое значение:
//		ДокументСсылка -
//
Функция ИсправляемыйДокумент(Знач Исправление) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.ИсправляемыйДокумент(Исправление) 
```
</details>

## ИсправленияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает исправления документа
//
// Параметры:
//	ИсправляемыйДокумент - ДокументСсылка - Документ, для которого необходимо исправления
//
// Возвращаемое значение:
// 	Массив из ДокументСсылка - Массив исправлений документа.
//
Функция ИсправленияДокумента(Знач ИсправляемыйДокумент) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.ИсправленияДокумента(ИсправляемыйДокумент) 
```
</details>

## ИсправленияДокументовПоТипуИсправления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает исправления документов по типу документа исправления
//
// Параметры:
//	ИсправляемыеДокументы - Массив из ДокументСсылка - документы, для которых необходимы исправления
//	ТипИсправления - Строка - тип документа исправления
//
// Возвращаемое значение:
// 	Массив из ДокументСсылка - Массив исправлений документов.
//
Функция ИсправленияДокументовПоТипуИсправления(Знач ИсправляемыеДокументы, Знач ТипИсправления) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.ИсправленияДокументовПоТипуИсправления(ИсправляемыеДокументы, ТипИсправления) 
```
</details>

## ПредставлениеИсправляемогоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление документа
//
// Параметры:
//	ИсправляемыйДокумент - ДокументСсылка - Документ, для которого необходимо представление
//
// Возвращаемое значение:
// 	Строка - Представление исправляемого документа
//
Функция ПредставлениеИсправляемогоДокумента(Знач ИсправляемыйДокумент) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.ПредставлениеИсправляемогоДокумента(ИсправляемыйДокумент) 
```
</details>

## ИзменилисьПараметрыИсправленияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет изменились ли параметры регистратора относительно хранимых записей в регистре Исправление документов.
//
// Параметры:
//  ПараметрыПроверки - См. РегистрыСведений.ИсправленияДокументов.ПараметрыПроверкиИсправленияДокументов
//
// Возвращаемое значение:
//  Булево - Истина - параметры изменились, Ложь - нет.
//
Функция ИзменилисьПараметрыИсправленияДокументов(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.ИзменилисьПараметрыИсправленияДокументов(ПараметрыПроверки) 
```
</details>

## ИсправлениеПослеДатыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает документ-исправление после даты проверяемого документа.
//
// Параметры:
//  ПараметрыПроверки - См. РегистрыСведений.ИсправленияДокументов.ПараметрыПроверкиИсправленияДокументов
//
// Возвращаемое значение:
//  ДокументСсылка, Неопределено - Регистраторы регистра РегистрСведений.ИсправляемыеДокументы
//
Функция ИсправлениеПослеДатыДокумента(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.ИсправлениеПослеДатыДокумента(ПараметрыПроверки) 
```
</details>

## НаличиеИсправленийНаДатуДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак наличия актуальных исправлений документа на дату
//
// Параметры:
//	ИсправляемыйДокумент - ДокументСсылка - исправляемый документ
//	СторнируемыйДокумент - ДокументСсылка - сторнируемый документ
//	Дата - Дата - Дата проверки
//
// Возвращаемое значение:
// 	Булево - Если Истина - Есть актуальные исправления по сторнируемому документу
//
Функция НаличиеИсправленийНаДатуДокумента(ИсправляемыйДокумент, СторнируемыйДокумент, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ИсправлениеДокументов.НаличиеИсправленийНаДатуДокумента(ИсправляемыйДокумент, СторнируемыйДокумент, Дата) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
