---
title: Исправление документов клиент
slug: erp-uh/исправление-документов-клиент
---


## СтрокаИсправлениеОбработкаНавигационныйСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события навигационной ссылки.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа
// 	НавигационнаяСсылкаФорматированнойСтроки - Строка - Навигационная ссылка
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события
//
Процедура СтрокаИсправлениеОбработкаНавигационныйСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументовКлиент.СтрокаИсправлениеОбработкаНавигационныйСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ОткрытьСписокИсправлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывает форму исправлений документа
//
// Параметры:
// 	ИсправляемыйДокумент - ДокументСсылка - Исправляемый документ
// 	ТекущийДокумент - ДокументСсылка - Текущий документ
//
Процедура ОткрытьСписокИсправлений(Знач ИсправляемыйДокумент, Знач ТекущийДокумент) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументовКлиент.ОткрытьСписокИсправлений(ИсправляемыйДокумент, ТекущийДокумент) 
```
</details>

## ПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы.
// Производит оповещение о том, что введено исправление документа.
//
// Параметры:
// 	Объект					- ДанныеФормыСтруктура - Данные формы, из обработчика события которой происходит вызов процедуры.
//
Процедура ПослеЗаписи(Объект) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументовКлиент.ПослеЗаписи(Объект) 
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы.
// Блокирует изменение документа если введено исправление или документ сторно.
//
// Параметры:
// 	ФормаДокумента			- ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
// 	ИмяСобытия				- Строка - идентификатор сообщения принимающей формой (см. метод Оповестить).
// 	Параметр				- ДокументСсылка - Исправляемый/сторнируемый документ.
// 	Источник				- ДокументСсылка - Исправительный документ или документ сторно.
//
Процедура ОбработкаОповещения(ФормаДокумента, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ИсправлениеДокументовКлиент.ОбработкаОповещения(ФормаДокумента, ИмяСобытия, Параметр, Источник) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
