---
title: Карты лояльности вызов сервера
slug: erp-uh/карты-лояльности-вызов-сервера
---


## ПолучитьДанныеКартыЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структура с данными карты лояльности.
//
// Параметры:
//  КартаЛояльности - СправочникСсылка.КартыЛояльности - Карта лояльности.
//  ПроверятьДоступность - Булево - Проверять доступность данных.
//
// Возвращаемое значение:
//  Структура - Данные карты лояльности, см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности.
//
Функция ПолучитьДанныеКартыЛояльности(КартаЛояльности, ПроверятьДоступность = Истина) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиВызовСервера.ПолучитьДанныеКартыЛояльности(КартаЛояльности, ПроверятьДоступность);
```
</details>

## НайтиКартыЛояльностиПоДаннымСоСчитывателяМагнитныхКарт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет поиск карт лояльности по данным, полученным из считывателя
// магнитных карт.
//
// Параметры:
//  Данные - Массив - Массив данных, полученный из считывателя магнитных карт.
//
// Возвращаемое значение:
//  Структура - со свойствами:
//   * ЗарегистрированныеКартыЛояльности   - Массив из см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности
//   * НеЗарегистрированныеКартыЛояльности - Массив из см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности
//
Функция НайтиКартыЛояльностиПоДаннымСоСчитывателяМагнитныхКарт(Данные) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиВызовСервера.НайтиКартыЛояльностиПоДаннымСоСчитывателяМагнитныхКарт(Данные) 
```
</details>

## НайтиКартыЛояльностиПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет поиск карт лояльности по штрихкоду.
//
// Параметры:
//  Штрихкод - Строка - Штрихкод.
//
// Возвращаемое значение:
//  Структура - со свойствами:
//   * ЗарегистрированныеКартыЛояльности   - ТаблицаЗначений - Данные зарегистрированных карт лояльности,
//                                           см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности.
//   * НеЗарегистрированныеКартыЛояльности - ТаблицаЗначений - Данные незарегистрированных карт лояльности,
//                                           см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности.
//
Функция НайтиКартыЛояльностиПоШтрихкоду(Штрихкод) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиВызовСервера.НайтиКартыЛояльностиПоШтрихкоду(Штрихкод) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
