---
title: Карты лояльности клиент
slug: erp-uh/карты-лояльности-клиент
---


## ОбработатьДанныеСчитывателяМагнитныхКарт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается из форм списков в момент получения магнитного кода.
// Выполняет поиск карты лояльности в базе данных и вызывает оповещение "СчитанаКартаЛояльности"
// для формы-владельца.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  Данные - Массив - Массив данных, полученный из считывателя магнитных карт.
//
Процедура ОбработатьДанныеСчитывателяМагнитныхКарт(Форма, Данные) Экспорт
```

Пример вызова
```bsl
КартыЛояльностиКлиент.ОбработатьДанныеСчитывателяМагнитныхКарт(Форма, Данные) 
```
</details>

## ОбработатьШтрихкоды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается из форм списков в момент получения штрихкода.
// Выполняет поиск карты лояльности в базе данных и вызывает оповещение "СчитанаКартаЛояльности"
// для формы-владельца.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  Штрихкоды - Массив, Строка - Штрихкоды.
//
Процедура ОбработатьШтрихкоды(Форма, Штрихкоды) Экспорт
```

Пример вызова
```bsl
КартыЛояльностиКлиент.ОбработатьШтрихкоды(Форма, Штрихкоды) 
```
</details>

## НачалоВыбораКартыЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При начале выбора карты лояльности
//
// Параметры:
//  Элемент - ЭлементыФормы - Элемент формы.
//  СтандартнаяОбработка - Булево - Стандартная обработка.
//  Партнер - СправочникСсылка.Партнеры - Партнер.
//  ДатаДокумента - Дата - Дата документа.
//  Организация - СправочникСсылка.Организации, Неопределено - организация.
//  ДополнительныеПараметры - Структура - дополнительные параметры открытия формы.
//
Процедура НачалоВыбораКартыЛояльности(Элемент, СтандартнаяОбработка, Партнер, ДатаДокумента, Организация = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
КартыЛояльностиКлиент.НачалоВыбораКартыЛояльности(Элемент, СтандартнаяОбработка, Партнер, ДатаДокумента, Организация, ДополнительныеПараметры);
```
</details>

## ПечатьАнкетыMicrosoftWord
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет печать анкеты в формате "Microsoft Word"
//
// Параметры:
//  ОписаниеКоманды - Структура - Описание команды.
//
// Возвращаемое значение:
//  Неопределено -
Функция ПечатьАнкетыMicrosoftWord(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиКлиент.ПечатьАнкетыMicrosoftWord(ОписаниеКоманды) 
```
</details>

## ПечатьАнкетыOpenOfficeOrgWriter
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет печать анкеты в формате "Open Office"
//
// Параметры:
//  ОписаниеКоманды - Структура - Описание команды.
//
// Возвращаемое значение:
//  Неопределено -
Функция ПечатьАнкетыOpenOfficeOrgWriter(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиКлиент.ПечатьАнкетыOpenOfficeOrgWriter(ОписаниеКоманды) 
```
</details>

## ПечатьАнкетыMXL
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет печать анкеты в формате "MXL"
//
// Параметры:
//  ПараметрКоманды - Структура - Описание команды.
//
// Возвращаемое значение:
//  Неопределено -
Функция ПечатьАнкетыMXL(ПараметрКоманды) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиКлиент.ПечатьАнкетыMXL(ПараметрКоманды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
