---
title: Карты лояльности сервер
slug: erp-uh/карты-лояльности-сервер
---


## СоздатьПартнераДержателяКартыЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура создает партнера с
// наименованием "Держатель карты лояльности" на основании
// переданной структуры с данными карты лояльности.
//
// Параметры:
//  СтруктураДанныхКарты - Структура - Данные карты лояльности, см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности.
//
// Возвращаемое значение:
//  СправочникСсылка.Партнеры - Партнер.
//
Функция СоздатьПартнераДержателяКартыЛояльности(СтруктураДанныхКарты) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиСервер.СоздатьПартнераДержателяКартыЛояльности(СтруктураДанныхКарты) 
```
</details>

## СоздатьПартнераИЗарегистрироватьКартуЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура записывает в базу данных карту лояльности на основании
// переданной структуры с данными карты лояльности, а также создает партнера с
// наименованием "Держатель карты лояльности".
//
// Параметры:
//  СтруктураДанныхКарты - Структура - Данные карты лояльности, см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности.
//
// Возвращаемое значение:
//  СправочникСсылка.КартыЛояльности - Карта лояльности.
//
Функция СоздатьПартнераИЗарегистрироватьКартуЛояльности(СтруктураДанныхКарты) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиСервер.СоздатьПартнераИЗарегистрироватьКартуЛояльности(СтруктураДанныхКарты) 
```
</details>

## АннулироватьКартуЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Аннулировать карту лояльности.
//
// Параметры:
//  КартаЛояльности - СправочникСсылка.КартыЛояльности - Карта лояльности.
//
Процедура АннулироватьКартуЛояльности(КартаЛояльности) Экспорт
```

Пример вызова
```bsl
КартыЛояльностиСервер.АннулироватьКартуЛояльности(КартаЛояльности) 
```
</details>

## ЗарегистрироватьКартуЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура записывает в базу данных карту лояльности на основании
// переданной структуры с данными карты лояльности.
//
// Параметры:
//  СтруктураДанныхКарты - Структура - Данные карты лояльности, см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности.
//
// Возвращаемое значение:
//  СправочникСсылка.КартыЛояльности - Карта лояльности.
//
Функция ЗарегистрироватьКартуЛояльности(СтруктураДанныхКарты) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиСервер.ЗарегистрироватьКартуЛояльности(СтруктураДанныхКарты) 
```
</details>

## ИнициализироватьДанныеКартыЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает пустую структуру данных карт лояльности
//
// Возвращаемое значение:
// 	Структура
//
Функция ИнициализироватьДанныеКартыЛояльности() Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности() 
```
</details>

## ПолучитьОсновнойТипКодаКартыЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает тип кода карты лояльности, если только он
// используется в видах карт лояльности.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыКодовКарт, Неопределено - Основной тип кода карты лояльности.
//
Функция ПолучитьОсновнойТипКодаКартыЛояльности() Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиСервер.ПолучитьОсновнойТипКодаКартыЛояльности() 
```
</details>

## ПолучитьКартуПоУмолчаниюДляПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура возвращает карту лояльности партнера, если она у него одна.
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры - Партнер.
//
// Возвращаемое значение:
//  СправочникСсылка.КартыЛояльности, Неопределено - Карта лояльности.
//
Функция ПолучитьКартуПоУмолчаниюДляПартнера(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиСервер.ПолучитьКартуПоУмолчаниюДляПартнера(Партнер) 
```
</details>

## ПолучитьВозможныеВидыКартыЛояльностиПоКодуКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет поиск видов карт лояльности, которые могут иметь заданный код и тип кода.
//
// Параметры:
//  КодКарты - Строка - Код карты.
//  ТипКода - ПеречислениеСсылка.ТипыКодовКарт - Тип кода карты.
//
// Возвращаемое значение:
//  Массив - Массив ссылок на виды карт лояльности.
//
Функция ПолучитьВозможныеВидыКартыЛояльностиПоКодуКарты(КодКарты, ТипКода) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиСервер.ПолучитьВозможныеВидыКартыЛояльностиПоКодуКарты(КодКарты, ТипКода) 
```
</details>

## НайтиКартыЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет поиск карт лояльности.
//
// Параметры:
//  КодКарты - Строка - Строковое представление кода карты;
//  ТипКода - ПеречислениеСсылка.ТипыКодовКарт - Тип кода карты лояльности.
//
// Возвращаемое значение:
//  Структура - Ключи и свойства структуры:
//   * ЗарегистрированныеКартыЛояльности - ТаблицаЗначений - Данные зарегистрированных карт лояльности:
//          ** Ссылка - СправочникСсылка.КартыЛояльности - ссылка на элемент справочника карты лояльности.
//          ** Штрихкод - Строка - Штрих код карты лояльности.
//          ** МагнитныйКод - Строка - Магнитный код.
//	        ** ВидКарты - СправочникСсылка.ВидыКартЛояльности - ссылка на элемент справочника виды карты лояльности.
//	        ** ТипКарты - ПеречислениеСсылка.ТипыКодовКарт - Тип кода карты лояльности.
//	        ** Персонализирована - Булево - Признак того, что карта персонализирована.
//	        ** АвтоматическаяРегистрацияПриПервомСчитывании - Булево - Признак автоматической регистрации карты в системе.
//	        ** Партнер - СправочникСсылка.Партнеры - Партнер которому выдана карта лояльности.
//	        ** Контрагент - СправочникСсылка.Контрагенты - Контрагент, которому выдана карта лояльности.
//	        ** Соглашение - СправочникСсылка.СоглашенияСКлиентами - Ссылка на элемент справочника соглашения с клиентами.
//	        ** Статус - ПеречислениеСсылка.СтатусыКартЛояльности - Ссылка на перечисление статуса карты лояльности.
//	        ** ДатаНачалаДействия - Дата - Дата начала действия карты лояльности.
//	        ** ДатаОкончанияДействия - Дата - Дата окончания действия карты лояльности.
//	        ** Организация - СправочникСсылка.Организации - Организация от имени которой выпущена карта лояльности.
//	        ** ПартнерДоступен - Булево - Признак доступности партнера.
//	        ** СоглашениеДоступно - Булево - Признак доступности соглашения.
//	        ** КонтрагентДоступен - Булево - Признак доступности контрагента.
//	        ** СтатусВидаКарты - ПеречислениеСсылка.СтатусыКартЛояльности - Статус карты лояльности.
//	        ** ЮрФизЛицо - ПеречислениеСсылка. - Указание типа партнера.
//	        ** ФИОПартнера - Строка - Фамилия Имя Отчество партнера.
//	        ** ДатаРожденияПартнера - Дата - Дата рождения партнера.
//	        ** ПолПартнера - ПеречислениеСсылка.ПолФизическогоЛица - Пол партнера, которому выдана карта.
//   * НеЗарегистрированныеКартыЛояльности - ТаблицаЗначений - Данные незарегистрированных карт лояльности:
//          ** Ссылка - СправочникСсылка.КартыЛояльности - ссылка на элемент справочника карты лояльности.
//          ** Штрихкод - Строка - Штрих код карты лояльности.
//          ** МагнитныйКод - Строка - Магнитный код.
//	        ** ВидКарты - СправочникСсылка.ВидыКартЛояльности - ссылка на элемент справочника виды карты лояльности.
//	        ** ТипКарты - ПеречислениеСсылка.ТипыКодовКарт - Тип кода карты лояльности.
//	        ** Персонализирована - Булево - Признак того, что карта персонализирована.
//	        ** АвтоматическаяРегистрацияПриПервомСчитывании - Булево - Признак автоматической регистрации карты в системе.
//	        ** Партнер - СправочникСсылка.Партнеры - Партнер которому выдана карта лояльности.
//	        ** Контрагент - СправочникСсылка.Контрагенты - Контрагент, которому выдана карта лояльности.
//	        ** Соглашение - СправочникСсылка.СоглашенияСКлиентами - Ссылка на элемент справочника соглашения с клиентами.
//	        ** Статус - ПеречислениеСсылка.СтатусыКартЛояльности - Ссылка на перечисление статуса карты лояльности.
//	        ** ДатаНачалаДействия - Дата - Дата начала действия карты лояльности.
//	        ** ДатаОкончанияДействия - Дата - Дата окончания действия карты лояльности.
//	        ** Организация - СправочникСсылка.Организации - Организация от имени которой выпущена карта лояльности.
//	        ** ПартнерДоступен - Булево - Признак доступности партнера.
//	        ** СоглашениеДоступно - Булево - Признак доступности соглашения.
//	        ** КонтрагентДоступен - Булево - Признак доступности контрагента.
//	        ** СтатусВидаКарты - ПеречислениеСсылка.СтатусыКартЛояльности - Статус карты лояльности.
//	        ** ЮрФизЛицо - ПеречислениеСсылка. - Указание типа партнера.
//	        ** ФИОПартнера - Строка - Фамилия Имя Отчество партнера.
//	        ** ДатаРожденияПартнера - Дата - Дата рождения партнера.
//	        ** ПолПартнера - ПеречислениеСсылка.ПолФизическогоЛица - Пол партнера, которому выдана карта.
//
Функция НайтиКартыЛояльности(КодКарты, ТипКода) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиСервер.НайтиКартыЛояльности(КодКарты, ТипКода) 
```
</details>

## НайтиКартыЛояльностиПоМагнитномуКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет поиск карт лояльности по магнитному коду.
//
// Параметры:
//  МагнитныйКод - ПеречислениеСсылка.ТипыКодовКарт - Магнитный код.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * ЗарегистрированныеКартыЛояльности   - ТаблицаЗначений - Данные зарегистрированных карт лояльности,
//                                           см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности.
//   * НеЗарегистрированныеКартыЛояльности - ТаблицаЗначений - Данные незарегистрированных карт лояльности,
//                                           см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности.
//
Функция НайтиКартыЛояльностиПоМагнитномуКоду(МагнитныйКод) Экспорт
```

Пример вызова
```bsl
Результат = КартыЛояльностиСервер.НайтиКартыЛояльностиПоМагнитномуКоду(МагнитныйКод) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
