---
title: Кассовые смены переопределяемый
slug: erp-uh/кассовые-смены-переопределяемый
---


## ПриУстановкеНовогоНомера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события вызывается на сервере при установке номера кассовой смены.
//
// Параметры:
//	Объект - ДокументСсылка.КассоваяСмена - Значение, которое используется как основание для заполнения.
//	СтандартнаяОбработка - Булево - признак выполнения стандартной обработки,
//	Префикс - Строка - префикс, который будет использоваться для генерации номера
//
Процедура ПриУстановкеНовогоНомера(Объект, СтандартнаяОбработка, Префикс) Экспорт
```

Пример вызова
```bsl
КассовыеСменыПереопределяемый.ПриУстановкеНовогоНомера(Объект, СтандартнаяОбработка, Префикс) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события вызывается на сервере при необходимости проверки корректности заполнения кассовой смены.
//
// Параметры:
//  Объект - ДокументСсылка.КассоваяСмена - Значение, которое используется как основание для заполнения.
//  Отказ - Булево
//  ПроверяемыеРеквизиты - Массив - реквизиты, для которых будет выполнена проверка заполнения
//
Процедура ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
КассовыеСменыПереопределяемый.ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события вызывается на сервере при вводе документа кассовая смена на основании.
//
// Параметры:
//  Объект - ДокументОбъект.КассоваяСмена - Значение, которое используется как основание для заполнения.
//  ДанныеЗаполнения - Произвольный - Значение, которое используется как основание для заполнения,
//  ТекстЗаполнения - Строка, Неопределено - Текст, используемый для заполнения документа
//  СтандартнаяОбработка - Булево
//
Процедура ОбработкаЗаполнения(Объект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
КассовыеСменыПереопределяемый.ОбработкаЗаполнения(Объект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ФормаСпискаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события вызывается на сервере при создании на сервере формы списка Кассовая смена.
//
// Параметры:
//  Форма - Форма - открываемая форма.
//
Процедура ФормаСпискаПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
КассовыеСменыПереопределяемый.ФормаСпискаПриСозданииНаСервере(Форма) 
```
</details>

## ФормаДокументаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события вызывается на сервере при создании на сервере формы документа Кассовая смена.
//
// Параметры:
//  Форма - Форма - открываемая форма.
//
Процедура ФормаДокументаПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
КассовыеСменыПереопределяемый.ФормаДокументаПриСозданииНаСервере(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
