---
title: Классификаторы учреждений
slug: erp-uh/классификаторы-учреждений
---


## ОписаниеОКОФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Содержит описание ОКОФ в терминах подсистемы РаботаСКлассификаторами.
//
// Возвращаемое значение:
//  см. РаботаСКлассификаторами.ОписаниеКлассификатора
//
Функция ОписаниеОКОФ() Экспорт
```

Пример вызова
```bsl
Результат = КлассификаторыУчреждений.ОписаниеОКОФ() 
```
</details>

## СодержимоеОКОФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Десериализует содержимое ОКОФ, поставляемого сервисом подсистемы РаботаСКлассификаторами -
// https://releases.1c.ru/classifiers/total
//
// Параметры:
//  ИдентификаторФайла - Строка - см. ИдентификаторФайлаОКОФ
//  АдресФайла - Строка - адрес во временном хранилище, содержащий файл, полученный от сервиса
//
// Возвращаемое значение:
//  Структура - см. НовыйСодержимоеКлассификатора
//
Функция СодержимоеОКОФ(ИдентификаторФайла, АдресФайла) Экспорт
```

Пример вызова
```bsl
Результат = КлассификаторыУчреждений.СодержимоеОКОФ(ИдентификаторФайла, АдресФайла) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
