---
title: Клиент банк локализация
slug: erp-uh/клиент-банк-локализация
---


## ПриЗаполненииФорматовОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при открытии формы Банковский счет организации.
// Позволяет добавить дополнительные форматы обмена.
// При добавление нового формата обмена будут вызываться следующие процедуры:
// - при выгрузке: КлиентБанкЛокализация.ВыгрузитьПлатежи
// - при загрузке: КлиентБанкЛокализация.ЗагрузитьПлатежи.
//
// Параметры:
// 	ФорматыОбмена - Массив из Строка
//
//@skip-warning реализуется партнером при необходимости.
Процедура ПриЗаполненииФорматовОбмена(ФорматыОбмена) Экспорт
```

Пример вызова
```bsl
КлиентБанкЛокализация.ПриЗаполненииФорматовОбмена(ФорматыОбмена) 
```
</details>

## ВыгрузитьДокументыВФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает платежи согласно переданным параметрам
//
// Параметры:
//      ТаблицаДокументов - см. Обработки.КлиентБанк.ТабличныеЧасти.ДокументыКВыгрузке.
//      ФорматОбмена - Строка - значение формата из ПриЗаполненииФорматовОбмена().
//        Пример реализации в процедуре ВыгрузитьПлатежиВISO20022 модуля менеджера обработки КлиентБанк.
//
//     ДвоичныеДанныеФайла - ДвоичныеДанные - файл, содержащий выгруженные для банка платежные документы.
//
//@skip-warning реализуется партнером при необходимости.
Процедура ВыгрузитьДокументыВФайл(ТаблицаДокументов, ФорматОбмена, ДвоичныеДанныеФайла) Экспорт
```

Пример вызова
```bsl
КлиентБанкЛокализация.ВыгрузитьДокументыВФайл(ТаблицаДокументов, ФорматОбмена, ДвоичныеДанныеФайла) 
```
</details>

## ПрочитатьВыпискуИзФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Читает данные выписки из файла.
//
// Параметры:
//     ДвоичныеДанныеФайла - ДвоичныеДанные - данные файла
//     ФорматОбмена - Строка - название формата из процедуры ПриЗаполненииФорматовОбмена
//     ДанныеВыписки - Структура - возвращаемые данные выписки, содержит поля:
//      * Заголовок - см. ДенежныеСредстваСервер.ЗаголовокВыписки
//      * РасчетныеСчета - Массив из Структура - см. ДенежныеСредстваКлиентСервер.ДанныеРасчетногоСчета;
//      * ДокументыВыписки - Массив из Структура - см. ДенежныеСредстваСервер.ДанныеЗагружаемойОперации;
//      * ОшибкиРазбора - Массив из Строка - ошибки разбора файла выписки
//
//@skip-warning реализуется партнером при необходимости.
Процедура ПрочитатьВыпискуИзФайла(ДвоичныеДанныеФайла, ФорматОбмена, ДанныеВыписки) Экспорт
```

Пример вызова
```bsl
КлиентБанкЛокализация.ПрочитатьВыпискуИзФайла(ДвоичныеДанныеФайла, ФорматОбмена, ДанныеВыписки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
