---
title: Комиссионная торговля клиент
slug: erp-uh/комиссионная-торговля-клиент
---


## СтавкаНДСВознагражденияПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - обработчик события "ПриИзменении" поля "СтавкаНДСВознаграждения".
//
// Параметры:
//  Объект - ДанныеФормыКоллекция - объект, в форме которого вызывается обработчик.
//  ПроцентНДС - Число - значение процента НДС, которое необходимо заполнить.
//
Процедура СтавкаНДСВознагражденияПриИзменении(Объект, ПроцентНДС) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляКлиент.СтавкаНДСВознагражденияПриИзменении(Объект, ПроцентНДС) 
```
</details>

## СуммаПродажиПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - обработчик события "ПриИзменении" поля "СуммаПродажи" таблицы.
//
// Параметры:
//  СтрокаТаблицы - ДанныеФормыЭлементКоллекции - строка таблицы для заполнения полей при изменении суммы.
//  ЕстьСуммаПродажиНДС - Булево - Истина, если в строке таблицы есть поле СуммаПродажиНДС.
//  ИмяКолонкиСуммаПродажи - Строка - имя колонки суммы.
//
Процедура СуммаПродажиПриИзменении(СтрокаТаблицы, ЕстьСуммаПродажиНДС, ИмяКолонкиСуммаПродажи = "СуммаПродажи") Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляКлиент.СуммаПродажиПриИзменении(СтрокаТаблицы, ЕстьСуммаПродажиНДС, ИмяКолонкиСуммаПродажи);
```
</details>

## ОтчетКомиссионераТоварыУпаковкаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - обработчик события "ПриИзменении" поля "Упаковка" таблицы.
//
// Параметры:
//  Объект - ДанныеФормыКоллекция - объект, в форме которого вызывается обработчик.
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - строка таблицы для заполнения полей при изменении упаковки.
//  ИспользоватьСоглашенияСКлиентами - Булево - Истина, если соглашения с клиентом, используются.
//  КэшированныеЗначения - Структура - сохраненные значения параметров, используемых при обработке.
//
Процедура ОтчетКомиссионераТоварыУпаковкаПриИзменении(Объект, ТекущаяСтрока, ИспользоватьСоглашенияСКлиентами, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляКлиент.ОтчетКомиссионераТоварыУпаковкаПриИзменении(Объект, ТекущаяСтрока, ИспользоватьСоглашенияСКлиентами, КэшированныеЗначения) 
```
</details>

## ОтчетКомиссионераТоварыКоличествоУпаковокПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - обработчик события "ПриИзменении" поля "КоличествоУпаковок" таблицы.
//
// Параметры:
//  Объект - ДанныеФормыКоллекция - объект, в форме которого вызывается обработчик.
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - строка таблицы для заполнения полей при изменении количества упаковок.
//  КэшированныеЗначения - Структура - сохраненные значения параметров, используемых при обработке.
//
Процедура ОтчетКомиссионераТоварыКоличествоУпаковокПриИзменении(Объект, ТекущаяСтрока, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляКлиент.ОтчетКомиссионераТоварыКоличествоУпаковокПриИзменении(Объект, ТекущаяСтрока, КэшированныеЗначения) 
```
</details>

## ОтчетКомиссионераТоварыЦенаПродажиПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - обработчик события "ПриИзменении" поля "ЦенаПродажи" таблицы.
//
// Параметры:
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - строка таблицы для заполнения полей при изменении цены продажи.
//  КэшированныеЗначения - Структура - сохраненные значения параметров, используемых при обработке.
//
Процедура ОтчетКомиссионераТоварыЦенаПродажиПриИзменении(ТекущаяСтрока, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляКлиент.ОтчетКомиссионераТоварыЦенаПродажиПриИзменении(ТекущаяСтрока, КэшированныеЗначения) 
```
</details>

## НеобходимоРассчитатьВознаграждение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет необходимость расчета комиссионного вознаграждения.
//
// Параметры:
//  ОписаниеОповещения - ОписаниеОповещения - вызывается после вычисления необходимости расчета вознаграждения.
//  Форма - ФормаКлиентскогоПриложения - форма, в которой вызывается процедура.
//
Процедура НеобходимоРассчитатьВознаграждение(ОписаниеОповещения, Форма) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляКлиент.НеобходимоРассчитатьВознаграждение(ОписаниеОповещения, Форма) 
```
</details>

## ПроверитьЗаполнениеДокументаПоОстаткам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выводит сообщения пользователю, если заполнение не было выполнено.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий объект, содержит в том числе:
//	* Ссылка - ДокументСсылка.ОтчетКомитенту, ДокументСсылка.ОтчетКомитентуОСписании - Ссылка на документ
//
Процедура ПроверитьЗаполнениеДокументаПоОстаткам(Объект) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляКлиент.ПроверитьЗаполнениеДокументаПоОстаткам(Объект) 
```
</details>

## ПроверитьНеобходимостьПересчетаВВалютуОтчетыПоКомиссии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для пересчета из валюты в валюту
//
// Параметры:
// 	ОписаниеОповещения - ОписаниеОповещения -
// 	Объект - ДокументОбъект - Объект, для которого выполняются проверки
// 	СтараяВалюта - СправочникСсылка.Валюты - Предыдущая валюта документа.
// ИмяКолонкиСуммаПродажи - Строка - имя колонки, в которой содержится сумма продажи.
//
// Возвращаемое значение:
//	Булево - Ложь, если необходимые данные не заполнены.
//
Функция ПроверитьНеобходимостьПересчетаВВалютуОтчетыПоКомиссии(ОписаниеОповещения, Объект, СтараяВалюта, ИмяКолонкиСуммаПродажи = "СуммаПродажи") Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляКлиент.ПроверитьНеобходимостьПересчетаВВалютуОтчетыПоКомиссии(ОписаниеОповещения, Объект, СтараяВалюта, ИмяКолонкиСуммаПродажи);
```
</details>

## ОповеститьОбОкончанииРасчетаВознаграждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура показывает оповещение пользователю об окончании расчета
// комиссионного вознаграждения.
//
// Параметры:
//  СпособРасчетаВознаграждения - ПеречислениеСсылка.СпособыРасчетаКомиссионногоВознаграждения - способ расчета.
//
Процедура ОповеститьОбОкончанииРасчетаВознаграждения(СпособРасчетаВознаграждения) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляКлиент.ОповеститьОбОкончанииРасчетаВознаграждения(СпособРасчетаВознаграждения) 
```
</details>

## РассчитатьКомиссионноеВознаграждениеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рассчитывает сумму НДС комиссионного вознаграждения.
//
// Параметры:
//  Объект - ДанныеФормыКоллекция, ДанныеФормыЭлементКоллекции - объект или строка объекта, для которых необходимо рассчитать.
//  ПроцентНДС - Число - значение процента НДС.
//
Процедура РассчитатьКомиссионноеВознаграждениеНДС(Объект, ПроцентНДС) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляКлиент.РассчитатьКомиссионноеВознаграждениеНДС(Объект, ПроцентНДС) 
```
</details>

## ЗаполнитьДатуПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет поле "Дата платежа" в документе.
//
// Параметры:
// 	ОписаниеОповещения - ОписаниеОповещения -
//	ДатаПлатежа - Дата -
//	ПараметрыЗаписи - Структура - Параметры записи документа.
//
Процедура ЗаполнитьДатуПлатежа(ОписаниеОповещения, ДатаПлатежа, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляКлиент.ЗаполнитьДатуПлатежа(ОписаниеОповещения, ДатаПлатежа, ПараметрыЗаписи) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
