---
title: Комиссионная торговля сервер
slug: erp-uh/комиссионная-торговля-сервер
---


## ПроверитьКорректностьПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет правильность заполнения начала и конца периода.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	Отказ - Булево - Признак отказа от продолжения работы.
//
Процедура ПроверитьКорректностьПериода(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ПроверитьКорректностьПериода(ДокументОбъект, Отказ) 
```
</details>

## ПроверитьУслугуПоКомиссионномуВознаграждению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет корректность указания услуги по комиссионному вознаграждению.
//
// Параметры:
//	ДокументОбъект - ДокументОбъект - Текущий документ
//	Отказ - Булево - Признак отказа от продолжения работы.
//
Процедура ПроверитьУслугуПоКомиссионномуВознаграждению(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ПроверитьУслугуПоКомиссионномуВознаграждению(ДокументОбъект, Отказ) 
```
</details>

## ЗаполнитьТоварыПоОстаткамКОформлениюОтчетовКомитентуОСписании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполнения документа по остаткам товаров к оформлению отчетов комитенту о списании.
//
// Параметры:
//	Объект - ДанныеФормыКоллекция - объект, в котором осуществляется заполнение.
//	ЕстьНомерГТД - Булево - признак наличия в таблице объекта колонки 'НомерГТД'. Значение по умолчанию Ложь.
//
Процедура ЗаполнитьТоварыПоОстаткамКОформлениюОтчетовКомитентуОСписании(Объект, ЕстьНомерГТД = Ложь) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗаполнитьТоварыПоОстаткамКОформлениюОтчетовКомитентуОСписании(Объект, ЕстьНомерГТД);
```
</details>

## ЗаполнитьПоТоварамКОформлениюОтчетовКомитентуЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполнения документа по результатам продаж за период товаров к оформлению отчетов комитенту.
//
// Параметры:
//	Объект - ДанныеФормыКоллекция - объект, в котором осуществляется заполнение.
//	НачалоПериода - Дата - дата начала заполнения.
//	КонецПериода - Дата - дата окончания заполнения.
//	ЕстьНомерГТД - Булево - признак наличия в таблице объекта колонки 'НомерГТД'. Значение по умолчанию Ложь.
//	ИспользоватьНоменклатуруПартнера - Булево - признак наличия в таблице объекта колонки 'НоменклатураПартнера'.
//										Значение по умолчанию Ложь.
//
Процедура ЗаполнитьПоТоварамКОформлениюОтчетовКомитентуЗаПериод(Объект, Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗаполнитьПоТоварамКОформлениюОтчетовКомитентуЗаПериод(Объект, );
```
</details>

## ЗаполнитьЦеныПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнят цену продажи по данным документа.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - данные документа
//
Процедура ЗаполнитьЦеныПродажи(Объект) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗаполнитьЦеныПродажи(Объект) 
```
</details>

## СформироватьДанныеДляОтчетаКомитенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Пересчитывает суммы документов реализаций
// и Формирует временнуы таблицц "ТоварыКОформлению" и "УслугиКОформлению" по результатам продаж комиссионных товаров за период.
//
// Параметры:
//	СтруктураПараметров - Структура - параметры запроса.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц, хранящий результат запроса.
//
Процедура СформироватьДанныеДляОтчетаКомитенту(СтруктураПараметров, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.СформироватьДанныеДляОтчетаКомитенту(СтруктураПараметров, МенеджерВременныхТаблиц) 
```
</details>

## ИсходныеДанныеКОформлениюОтчетаКомитентуЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует временные таблицы для последующего получения данных по данным для отчета комитенту.
// "ВтОтбор"                  - исходные параметры
// "ВтВидыЗапасов"            - используемые виды запасов
// "ВтТоварыКОформлениюОтбор" - данные по проданным товарам комитента за период
// "ДокументыРеализацииТоваровУслуг" - данные по документам реализаций комиссионных товаров и услуг.
// Параметры:
//	СтруктураПараметров - Структура - параметры запроса.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц, хранящий результат запроса.
//
Процедура ИсходныеДанныеКОформлениюОтчетаКомитентуЗаПериод(СтруктураПараметров, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ИсходныеДанныеКОформлениюОтчетаКомитентуЗаПериод(СтруктураПараметров, МенеджерВременныхТаблиц) 
```
</details>

## ЗапросПоТоварамУслугамКОформлениюОтчетовКомитентуЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Формирует временнуы таблицц "ТоварыУслугиКОформлению" по результатам продаж комиссионных товаров за период.
//
// Параметры:
//	СтруктураПараметров - Структура - параметры запроса.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц, хранящий результат запроса.
//
Процедура ЗапросПоТоварамУслугамКОформлениюОтчетовКомитентуЗаПериод(СтруктураПараметров, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗапросПоТоварамУслугамКОформлениюОтчетовКомитентуЗаПериод(СтруктураПараметров, МенеджерВременныхТаблиц) 
```
</details>

## ЗаполнитьТЧПоТоварамКОформлениюОтчетовКомитентуЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет табличную часть объекта по данным временной таблицы "ТоварыКОформлению".
//
// Параметры:
//	ТабличнаяЧасть - ТабличнаяЧасть - табличная часть объекта для заполнения.
//	РезультатЗапроса - РезультатЗапроса - результат запроса, по данным которого необходимо заполнить таблицу объекта.
//	ПараметрыЗаполнения - Структура - параметры заполнения табличной части, которые содержат следующие значения:
//					* Дата - Дата - дата документа.
//					* Организация - СправочникСсылка.Организации - организация документа.
//					* НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - налогообложение НДС документа.
//
Процедура ЗаполнитьТЧПоТоварамКОформлениюОтчетовКомитентуЗаПериод(ТабличнаяЧасть, Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗаполнитьТЧПоТоварамКОформлениюОтчетовКомитентуЗаПериод(ТабличнаяЧасть, );
```
</details>

## ЗаполнитьТоварыПоОстаткамПереданныхНаКомиссию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполнения документа по остаткам товаров переданных на комиссию
//
// Параметры:
//	Объект - ДокументОбъект - Текущий документ
//	КонецПериода - Дата - Дата заполнения
//	ЕстьСуммаПродажи - Булево - В документе есть данные о сумме продажи.
//
Процедура ЗаполнитьТоварыПоОстаткамПереданныхНаКомиссию(Объект, КонецПериода, ЕстьСуммаПродажи) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗаполнитьТоварыПоОстаткамПереданныхНаКомиссию(Объект, КонецПериода, ЕстьСуммаПродажи) 
```
</details>

## ЗаполнитьТоварыПоОстаткамПереданныхНаКомиссиюПоНовойСхеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполнения документа по остаткам товаров переданных на комиссию
//
// Параметры:
//	Объект - ДокументОбъект - Текущий документ
//	ОтчетКомиссионера - Булево
//
Процедура ЗаполнитьТоварыПоОстаткамПереданныхНаКомиссиюПоНовойСхеме(Объект, ОтчетКомиссионера = Истина) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗаполнитьТоварыПоОстаткамПереданныхНаКомиссиюПоНовойСхеме(Объект, ОтчетКомиссионера);
```
</details>

## ПересчитатьОстаткиПоДаннымУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполнения колонки документа по данным учета.
//
// Параметры:
//	Объект - ДокументОбъект - Текущий документ
//	КонецПериода - Дата - Дата заполнения
//	ЕстьСуммаПродажи - Булево - В документе есть данные о сумме продажи
//	РассчитыватьВознаграждение - Булево - Признак необходимости расчета комиссионного вознаграждения.
//	НомерСтроки - Неопределено, Число -
//
Процедура ПересчитатьОстаткиПоДаннымУчета(Объект, КонецПериода, ЕстьСуммаПродажи, РассчитыватьВознаграждение = Ложь, НомерСтроки  = Неопределено) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ПересчитатьОстаткиПоДаннымУчета(Объект, КонецПериода, ЕстьСуммаПродажи, РассчитыватьВознаграждение, НомерСтроки);
```
</details>

## ЗаполнитьСуммуСНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет сумму с НДС в строках табличной части "Товары".
//
// Параметры:
//  Товары - ДанныеФормыКоллекция - таблица, в которой необходимо заполнить поле СуммаСНДС.
//  ЦенаВключаетНДС - Булево - признак включения НДС в цену.
//
Процедура ЗаполнитьСуммуСНДС(Товары, ЦенаВключаетНДС) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗаполнитьСуммуСНДС(Товары, ЦенаВключаетНДС) 
```
</details>

## ЗаполнитьСуммуПродажиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет сумму НДС продажи в строках табличной части "Товары".
//
// Параметры:
//  Товары - ДанныеФормыКоллекция - таблица, в которой необходимо заполнить поле СуммаПродажиНДС.
//
Процедура ЗаполнитьСуммуПродажиНДС(Товары) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗаполнитьСуммуПродажиНДС(Товары) 
```
</details>

## РассчитатьСуммуНДСВознаграждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рассчитывает комиссионное вознаграждение.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура, ДанныеФормыЭлементКоллекции - Текущий документ или текущая строка.
//	ПроцентНДС - Число - Процент НДС.
//
Процедура РассчитатьСуммуНДСВознаграждения(Объект, ПроцентНДС) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.РассчитатьСуммуНДСВознаграждения(Объект, ПроцентНДС) 
```
</details>

## РассчитатьСуммуНДСВознагражденияВСтроках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рассчитывает комиссионное вознаграждение построчно.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий документ.
//	ПроцентНДС - Число - Процент НДС.
//
Процедура РассчитатьСуммуНДСВознагражденияВСтроках(Объект, ПроцентНДС) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.РассчитатьСуммуНДСВознагражденияВСтроках(Объект, ПроцентНДС) 
```
</details>

## РассчитатьСуммуВознаграждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рассчитывает комиссионное вознаграждение.
//
// Параметры:
//  Объект - ДанныеФормыКоллекция - объект, в котором осуществляется расчет.
//  КолонкаСуммы - Строка - имя колонки с суммой номенклатуры, для которой происходит расчет вознаграждения.
//  ЕстьСуммаНДСВСтроке - Булево - признак, что расчет суммы НДС вознаграждения происходит построчно.
//
Процедура РассчитатьСуммуВознаграждения(Объект, КолонкаСуммы = "СуммаПродажи", ЕстьСуммаНДСВСтроке = Ложь) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.РассчитатьСуммуВознаграждения(Объект, КолонкаСуммы, ЕстьСуммаНДСВСтроке);
```
</details>

## ЗаполнитьСтавкуНДСкомиссионногоВознаграждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет ставку НДС для комиссионного вознаграждения.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий документ
//	ПроцентНДС - Число - Процент НДС.
//  ЕстьСуммаНДСВСтроке - Булево - признак, что расчет суммы НДС вознаграждения происходит построчно.
//
Процедура ЗаполнитьСтавкуНДСкомиссионногоВознаграждения(Объект, ПроцентНДС = 0, ЕстьСуммаНДСВСтроке = Ложь) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗаполнитьСтавкуНДСкомиссионногоВознаграждения(Объект, ПроцентНДС, ЕстьСуммаНДСВСтроке);
```
</details>

## ЗаполнитьСуммуНДСВознагражденияВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет сумму НДС комиссионного вознаграждения в табличной части документа.
//
// Параметры:
//  Товары - ТабличнаяЧасть - таблица, в которой осуществляется заполнение.
//  СуммаНДСВознаграждения - Число - сумма НДС вознаграждения.
//
Процедура ЗаполнитьСуммуНДСВознагражденияВТабличнойЧасти(Товары, Знач СуммаНДСВознаграждения) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ЗаполнитьСуммуНДСВознагражденияВТабличнойЧасти(Товары, СуммаНДСВознаграждения) 
```
</details>

## ВидЦеныДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает вид цены из договора комиссионных продаж
//
// Параметры:
//  Договор     - СправочникСсылка.ДоговорыКонтрагентов - договор с комиссионером
//  ТипВидаЦены - Булево - "Истина" для получения учетного вида цены, "Ложь" для получения вида цены продажи
//
// Возвращаемое значение:
//   СправочникСсылка.ВидыЦен - СправочникСсылка.ВидыЦен - вид цены, указанный в договоре
//
Функция ВидЦеныДоговора(Договор, ТипВидаЦены) Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляСервер.ВидЦеныДоговора(Договор, ТипВидаЦены) 
```
</details>

## ИспользуетсяКомиссионнаяПродажаПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИспользуетсяКомиссионнаяПродажаПриЗаписи(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
КомиссионнаяТорговляСервер.ИспользуетсяКомиссионнаяПродажаПриЗаписи(Источник, Отказ) 
```
</details>

## ПолучитьДоговорПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск действующего договора с конечным клиентом по заданным реквизитам.
// Если найден один действующий договор, возвращает ссылку на него, в противном случае - пустую ссылку.
//
// Параметры:
//   Объект                  - ДокументОбъект - Объект, из которого будут взяты основные параметры для поиска.
//   ХозяйственныеОперации   - ПеречислениеСсылка.ХозяйственныеОперации, Массив Из ПеречислениеСсылка.ХозяйственныеОперации - Одна или несколько хозяйственных
//                             операций (тип договора).
//
// Возвращаемое значение:
//   СправочникСсылка.ДоговорыКонтрагентов  - договор контрагента по умолчанию.
//
Функция ПолучитьДоговорПоУмолчанию( Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляСервер.ПолучитьДоговорПоУмолчанию();
```
</details>

## ПолучитьДоговорСКомиссионеромПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск действующего договора с комиссионером по заданным реквизитам.
// Если найден один действующий договор, возвращает ссылку на него, в противном случае - пустую ссылку.
//
// Параметры:
//   Объект - СправочникОбъект.ДоговорыКонтрагентов - Объект, из которого будут взяты основные параметры для поиска.
//
// Возвращаемое значение:
//   СправочникСсылка.ДоговорыКонтрагентов  - договор контрагента по умолчанию.
//
Функция ПолучитьДоговорСКомиссионеромПоУмолчанию(Объект) Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляСервер.ПолучитьДоговорСКомиссионеромПоУмолчанию(Объект) 
```
</details>

## ПостфиксСхемыКомиссии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Функция возвращает версию комиссии, который может использовать документ
//
// Параметры:
//  Идентификатор - СправочникСсылка.ИдентификаторыОбъектовМетаданных - идентификатор документа
//
// Возвращаемое значение:
//  Строка - версии комиссии
//
Функция ПостфиксСхемыКомиссии(Идентификатор = "") Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляСервер.ПостфиксСхемыКомиссии(Идентификатор);
```
</details>

## ПостфиксСхемыКомиссии25
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Функция возвращает представление постфикса для схемы комиссии версии 2.5/11.5
//
// Возвращаемое значение:
//  Строка - версии комиссии
//
Функция ПостфиксСхемыКомиссии25() Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляСервер.ПостфиксСхемыКомиссии25() 
```
</details>

## ПостфиксСхемыКомиссии20
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Функция возвращает представление постфикса для схемы комиссии версии 2.0/11.0
//
// Возвращаемое значение:
//  Строка - версии комиссии
//
Функция ПостфиксСхемыКомиссии20() Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляСервер.ПостфиксСхемыКомиссии20() 
```
</details>

## РеализацияЧерезКомиссионера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, относится ли хозяйственная операция к операциям реализации по схеме комиссионной торговли версии 2.5.
//
// Параметры:
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации
//
// Возвращаемое значение:
//  Булево
//
Функция РеализацияЧерезКомиссионера(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляСервер.РеализацияЧерезКомиссионера(ХозяйственнаяОперация) 
```
</details>

## ПередачаНаКомиссию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, относится ли хозяйственная операция к операции передачи на комиссию
//
// Параметры:
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации
//
// Возвращаемое значение:
//  Булево
//
Функция ПередачаНаКомиссию(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляСервер.ПередачаНаКомиссию(ХозяйственнаяОперация) 
```
</details>

## ВозвратТоваровЧерезКомиссионера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, относится ли хозяйственная операция к операциям возврата по схеме комиссионной торговли версии 2.5.
//
// Параметры:
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации
//
// Возвращаемое значение:
//  Булево
//
Функция ВозвратТоваровЧерезКомиссионера(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляСервер.ВозвратТоваровЧерезКомиссионера(ХозяйственнаяОперация) 
```
</details>

## ТекстЗапросаРеализацияЧерезКомиссионера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст для подстановки в запрос условий отбора по хозяйственным операциям реализации
// по схеме комиссионной торговли версии 2.5.
//
// Параметры:
//  ТекстЗапросаПереопределенияХозяйственнойОперации - Строка
//
// Возвращаемое значение:
//  Строка
//
Функция ТекстЗапросаРеализацияЧерезКомиссионера(ТекстЗапросаПереопределенияХозяйственнойОперации) Экспорт
```

Пример вызова
```bsl
Результат = КомиссионнаяТорговляСервер.ТекстЗапросаРеализацияЧерезКомиссионера(ТекстЗапросаПереопределенияХозяйственнойОперации) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
