---
title: Коммерческие предложения
slug: erp-uh/коммерческие-предложения
---


## ЗапросКоммерческихПредложенийПоставщиковГотовКОтправке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет полноту данных, необходимых для отправки Запроса коммерческих предложений исходящего.
//  Обязательные поля см. в макете ЗапросКоммерческихПредложений обработки ЗапросыКоммерческихПредложений.
//
// Параметры:
//  Документ - ОпределяемыйТип.ЗапросКоммерческихПредложенийПоставщиков - Ссылка на учетный документ, который необходимо проверить перед отправкой (обновлением).
//
// Возвращаемое значение:
//  Булево - Истина - если все обязательные поля заполнены, Ложь - имеются незаполненные обязательные поля.
//           В случае наличия незаполненных обязательных полей, пользователю будет выведена соответствующая
//           информация в окне сообщений.
//
Функция ЗапросКоммерческихПредложенийПоставщиковГотовКОтправке(Знач Документ) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложения.ЗапросКоммерческихПредложенийПоставщиковГотовКОтправке(Документ) 
```
</details>

## СостояниеЗапросаКоммерческихПредложенийПоставщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает состояние синхронизации учетного документа Запрос коммерческих предложений поставщиков.
//
// Параметры:
//  Документ - ОпределяемыйТип.ЗапросКоммерческихПредложенийПоставщиков - Ссылка на учетный отправляемый или обновляемый документ.
//
// Возвращаемое значение:
//  Структура - Ключи:
//              * Документ - ДокументСсылка - Соответствует входному параметру Документ.
//              * СостояниеСинхронизации - ПеречислениеСсылка.СостоянияСинхронизацииЗапросовКоммерческихПредложений -
//                                         Агрегированное состояние синхронизации прикладного документа.
//              * Детализация - Соответствие - Расширенная информация по каждому получателю, где:
//                ** Ключ - ОпределяемыйТип.КонтрагентБЭД, Строка - Ссылка на получателя документа. Если
//                          выполняется "открытая" публикация в Бизнес-сети, то значением ключа будет пустая строка.
//                ** Значение - Структура - Детализация состояния синхронизации по указанному получателю, где:
//                   *** СостояниеСинхронизации - ПеречислениеСсылка - Состояние синхронизации по получателю.
//                   *** ПредставлениеОшибки - Строка - Если ключ СостояниеСинхронизации содержит значение перечисления
//                                                      Ошибка, то содержит текстовое представление ошибки.
//
Функция СостояниеЗапросаКоммерческихПредложенийПоставщиков(Знач Документ) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложения.СостояниеЗапросаКоммерческихПредложенийПоставщиков(Документ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
