---
title: Коммерческие предложения документы
slug: erp-uh/коммерческие-предложения-документы
---


## ОписаниеДанныхКоммерческихПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание параметров источников.
//
// Возвращаемое значение:
//   ТаблицаЗначений:
//     * КоммерческоеПредложениеСсылка - ОпределяемыйТип.КоммерческоеПредложениеПоставщика - ссылка на документ.
//     * ДокументОснование             - ОпределяемыйТип.ЗапросКоммерческихПредложенийПоставщиков - ссылка на документ основание.
//     * ПоставщикПредставление        - Строка - представление контрагента.
//     * ПоставщикСсылка               - ОпределяемыйТип.КонтрагентБЭД - ссылка на справочник контрагенты.
//     * УсловияОплатыТекст            - Строка - описание условий оплаты.
//     * УсловияПоставкиТекст          - Строка - описание условий поставки.
//     * ПрочаяДополнительнаяИнформацияТекст - Строка - описание прочей информации о предложении.
//     * СуммаМинимум                  - Число - минимальная сумма по всем позициям предложения.
//     * СуммаМаксимум                 - Число - максимальная сумма по всем позициям предложения.
//     * СрокПоставки                  - Дата, Число - срок поставки в днях с момента оплаты заказа, либо конкретная дата поставки.
//     * Охват                         - Число - охват позиций запроса.
//     * ИмяИсточника                  - Число - имя источника получения коммерческого предложения.
//     * Налогообложение               - Булево - облагается ли продажа НДС.
//     * ЦенаВключаетНДС               - Булево - включает ли цена НДС.
//     * КоммерческоеПредложениеНомер  - Число - номер предложения.
//     * КоммерческоеПредложениеДата   - Дата - дата предложения.
//     * МожетВыкупатьсяЧастично       - Булево - можно ли выкупать только часть предложений.
//     * Валюта                        - СправочникСсылка.Валюты - валюта предложения.
//     * Товары                        - ТаблицаЗначений - товары предложения:
//        ** Номенклатура               - СправочникСсылка.Номенклатура - ссылка на номенклатуру.
//        ** Количество                 - Число - количество позиций предложения.
//        ** Сумма                      - Число - стоимость позиции.
//        ** СтавкаНДС                  - ПеречислениеСсылка.СтавкиНДС - ставка НДС.
//        ** ИдентификаторСтрокиЗапроса - Строка - Идентификатор строки запроса.
//
Функция ОписаниеДанныхКоммерческихПредложений() Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ОписаниеДанныхКоммерческихПредложений() 
```
</details>

## ОписаниеПоступившихКоммерческихПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание параметров поступивших предложений по текущему запросу.
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//    * КоммерческоеПредложениеСсылка - ОпределяемыйТип.КоммерческоеПредложениеПоставщика - ссылка на документ.
//    * КоммерческоеПредложениеНомер  - Число - номер предложения.
//    * КоммерческоеПредложениеДата   - Дата - дата предложения.
//    * ПоставщикПредставление        - Строка - представление контрагента.
//    * ПоставщикСсылка               - ОпределяемыйТип.КонтрагентБЭД - ссылка на справочник контрагенты.
//    * СуммаМинимум                  - Число - минимальная сумма по всем позициям предложения.
//    * СуммаМаксимум                 - Число - максимальная сумма по всем позициям предложения.
//    * СрокПоставки                  - Дата, Число - срок поставки в днях с момента оплаты заказа, либо конкретная дата поставки.
//    * Охват                         - Число - охват позиций запроса.
//    * ИмяИсточника                  - Число - имя источника получения коммерческого предложения.
//    * МожетВыкупатьсяЧастично       - Булево - можно ли выкупать только часть предложений.
//    * Валюта                        - СправочникСсылка.Валюты - валюта предложения.
//
Функция ОписаниеПоступившихКоммерческихПредложений() Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ОписаниеПоступившихКоммерческихПредложений() 
```
</details>

## ОписаниеШаблоныДекорацииВводаНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание параметров формирования переопределяемой части открытия форм списка документов.
//
// Возвращаемое значение:
//  Структура - шаблон для отображения пользователю текста ввода на основании - содержит поля:
//    * Нет - Строка - заголовок кнопки ввода на основании если подчиненные документы отсутствуют.
//    * Один - Строка - заголовок кнопки ввода на основании если есть один подчиненный документ.
//    * Много - Строка - заголовок кнопки ввода на основании если есть больше одного подчиненного документа.
//
Функция ОписаниеШаблоныДекорацииВводаНаОсновании() Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ОписаниеШаблоныДекорацииВводаНаОсновании() 
```
</details>

## ОписаниеКоммерческиеПредложенияКлиенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание параметров формирования переопределяемой части открытия форм списка документов.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица с данными о созданных на основании документа - содержит колонки:
//    * Ссылка   - ДокументСсылка - Ссылка на созданный документ.
//    * Номер    - Число - Номер документа.
//    * Дата     - Дата - Дата документа.
//    * Менеджер - Строка - Имя пользователя создавшего документ.
//
Функция ОписаниеКоммерческиеПредложенияКлиенту() Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ОписаниеКоммерческиеПредложенияКлиенту() 
```
</details>

## АнализируемыеИсточникиПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список анализируемых источников предложений.
// По умолчанию анализируются только торговые предложения из 1С:Торговая площадка и предложения не из этого запроса.
//
// Параметры:
//  Источники - ТаблицаЗначений - таблица с колонками.
//    * ИмяИсточника           - Строка   - имя источника предложений.
//    * ПредставлениеИсточника - Строка   - представление источника.
//    * КартинкаИсточника      - Картинка - картинка источника для вывода на форму.
//    * КраткоеПредставление   - Строка   - текстовое описание источника.
//
Процедура АнализируемыеИсточникиПредложений(Источники) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументы.АнализируемыеИсточникиПредложений(Источники) 
```
</details>

## УстановитьИспользованиеКоммерческихПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Конец ЭлектронноеВзаимодействие.ЗапросКоммерческихПредложенийПоставщиков

// Включает функциональные опции для всех встроенных документов подсистемы КоммерческиеПредложенияДокументы.
//
// Параметры:
//   Параметры - Структура - статус обработки обновления - содержит поля:
//    * ПрогрессВыполнения - Структура - прогресс обработки обновления - содержит поля:
//       ** ОбработаноОбъектов - Число - количество обработанных объектов.
//       ** ВсегоОбъектов - Число - количество объектов к обработке.
//    * ОбработкаЗавершена - Булево - Признак того, что обработка обновления завершена
//
Процедура УстановитьИспользованиеКоммерческихПредложений(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументы.УстановитьИспользованиеКоммерческихПредложений(Параметры);
```
</details>

## НастройкиУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для формирования настроек учета в прикладной конфигурации
//
// Возвращаемое значение:
//  Структура - содержит поля:
//  * ИспользуетсяЕдинственнаяОрганизация                  - Булево - признак того, что в конфигурации используется только одна организация.
//  * ЕдинственнаяОрганизация                              - ОпределяемыйТип.Организация - значение единственной организации в ИБ.
//  * ИспользуетсяЕдинственнаяВалюта                       - Булево - признак того, что в конфигурации используется только одна валюта.
//  * ЕдинственнаяВалюта                                   - СправочникСсылка.Валюты - значение единственной валюты в ИБ.
//  * ИспользуютсяПартнеры                                 - Булево - признак того, что используются партнеры.
//  * НезависимоеВедениеПартнеровИКонтрагентов             - Булево - признак того, что независимо ведутся партнеры и контрагенты.
//  * ИспользуютсяХарактеристикиНоменклатуры               - Булево - признак того, что используются характеристики номенклатуры.
//  * ВидКонтактнойИнформацииEmailМенеджера                - СправочникСсылка.ВидыКонтактнойИнформации - для определения электронной почты менеджера как контактного лица.
//  * ВидКонтактнойИнформацииТелефонМенеджера              - СправочникСсылка.ВидыКонтактнойИнформации - для определения телефона менеджера как контактного лица.
//  * ИспользуютсяВидыЦен                                  - Булево - признак того, что используются виды цен.
//  * ИспользуютсяРучныеСкидкиВПродажах                    - Булево - признак того, что используются ручные скидки в продажах.
//  * ИспользуютсяАвтоматическиеСкидкиВПродажах            - Булево - признак того, что используются автоматические скидки в продажах.
//  * ИспользуютсяНазначаемыеАвтоматическиеСкидкиВПродажах - Булево - признак того, что используются назначаемые автоматические скидки в продажах.
//  * РеализованаФормаПросмотраСкидок                      - Булево - признак того, что возможен вызов формы просмотра скидок.
//  * РеализованоЗаполнениеЦенПоУсловиямПродаж             - Булево - признак того, что реализовано заполнение цен по условиям продаж.
//  * РеализованоЗаполнениеЦенПоВидамЦен                   - Булево - признак того, что реализовано заполнение цен по видам цен.
//  * РеализованоЗаполнениеУсловийОплаты                   - Булево - признак того, что реализовано заполнение условий оплаты.
//  * РеализованоЗаполнениеУсловийДоставки                 - Булево - признак того, что реализовано заполнение условий доставки.
//  * РеализованПодборНоменклатуры                         - Булево - признак того, что реализован подбор номенклатуры.
//  * РеализованПоискПоШтрихкоду                           - Булево - признак того, что реализован поиск товаров по штрихкоду.
//  * РеализованоРазбиениеСтрок                            - Булево - признак того, что реализовано разбиение строк в ТЧ Товары.
//  * РеализованаЗагрузкаДанныхТСД                         - Булево - признак того, что реализована загрузка данных при помощи ТСД в ТЧ Товары.
//  * РеализованоЗаполнениеДокументовИзВнешнегоФайла       - Булево - признак того, что реализовано заполнение ТЧ Товары из внешнего файла.
//  * ИспользуютсяСтатусыКоммерческихПредложенийКлиентам   - Булево - признак того, что реализовано используются статусы коммерческих предложений клиентам.
//  * ИспользуютсяСостоянияКоммерческихПредложенийКлиентам - Булево - признак того, что реализовано используются состояния коммерческих предложений клиентам.
//  * ИмяРеквизитаВладельцаНоменклатурыКонтрагента         - Строка - имя реквизита документа "Коммерческое предложение клиента", который содержит владельца номенклатуры контрагента.
//  * СтатусыКоммерческихПредложенийКлиентамЧерновик       - Массив - определяет те статусы, в которых коммерческое предложение считается черновиком.
//  * СтатусыКоммерческихПредложенийКлиентамДействует      - Массив - определяет те статусы, в которых коммерческое предложение считается действующим.
//
Функция НастройкиУчета() Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.НастройкиУчета() 
```
</details>

## ИмяИсточникаПодчиненныеКоммерческиеПредложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формализует имя источника подчиненного коммерческого предложения в контексте конкретного документа
// Запрос коммерческого предложения.
//
// Возвращаемое значение:
//  Строка - имя источника предложений
//
Функция ИмяИсточникаПодчиненныеКоммерческиеПредложения() Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ИмяИсточникаПодчиненныеКоммерческиеПредложения() 
```
</details>

## ИмяИсточникаДругиеКоммерческиеПредложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формализует имя источника коммерческого предложения не подчиненного документу Запрос коммерческого предложения,
// в контексте которого анализируются предложения.
//
// Возвращаемое значение:
//  Строка - имя источника предложений
//
Функция ИмяИсточникаДругиеКоммерческиеПредложения() Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ИмяИсточникаДругиеКоммерческиеПредложения() 
```
</details>

## ПолучитьКатегорию1СНПоНоменклатуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет преобразование номенклатуры учетной системы в категорию 1СН.
//
// Параметры:
//  Номенклатура - СправочникСсылка - ссылка на справочник номенклатуры.
//
// Возвращаемое значение:
//  Структура - содержит поля:
//   * КатегорияВСервисеИдентификатор - Строка - идентификатор категории в сервисе 1С:Номенклатура.
//   * КатегорияВСервисеПредставление - Строка - представление категории в сервисе 1С:Номенклатура.
//
Функция ПолучитьКатегорию1СНПоНоменклатуре(Знач Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ПолучитьКатегорию1СНПоНоменклатуре(Номенклатура) 
```
</details>

## ИдентификаторыНоменклатурыСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает идентификаторы карточек 1С:Номенклатура, соответствующих переданным ссылкам.
//
// Параметры:
//  СсылкиНоменклатуры - Массив из ОпределяемыйТип.НоменклатураБЭД - ссылки на номенклатуру информационной базы.
//
// Возвращаемое значение:
//  Соответствие - соответствие номенклатуры информационной базы идентификатору сервиса.
//    Ключ - ссылка на номенклатуру, значение - идентификатор сервиса.
//
Функция ИдентификаторыНоменклатурыСервиса(Знач СсылкиНоменклатуры) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ИдентификаторыНоменклатурыСервиса(СсылкиНоменклатуры) 
```
</details>

## ИдентификаторыНоменклатурыИХарактеристикиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает идентификаторы номенклатуры и характеристик по ссылкам на них.
//
// Параметры:
//  КортежиСсылок - Соответствие - содержит:
//    * Ключ - Строка - суррогатный ключ, идентифицирующий пару номенклатура + характеристика.
//    * Значение - Структура - содержит:
//      ** Номенклатура - ОпределяемыйТип.НоменклатураБЭД - ссылка на номенклатуру.
//      ** Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - ссылка на характеристику.
//
// Возвращаемое значение:
//  Соответствие - содержит:
//    * Ключ - Строка - суррогатный ключ из входящего параметра,
//      идентифицирующий пару номенклатура + характеристика.
//    * Значение - Структура - содержит:
//      ** ИдентификаторНоменклатуры - Строка - идентификатор номенклатуры.
//      ** ИдентификаторХарактеристики - Строка - идентификатор характеристики.
//
Функция ИдентификаторыНоменклатурыИХарактеристикиСервиса(Знач КортежиСсылок) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ИдентификаторыНоменклатурыИХарактеристикиСервиса(КортежиСсылок) 
```
</details>

## ТаблицаИдентификаторовНоменклатурИХарактеристикСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает идентификаторы номенклатуры, характеристики по кортежу номенклатура + характеристика.
//
// Параметры:
//  ТаблицаСсылок - ТаблицаЗначений - таблица c колонками:
//    * Номенклатура - ОпределяемыйТип.НоменклатураБЭД - ссылка на номенклатуру.
//    * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - ссылка на характеристику.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица c колонками:
//    * Номенклатура - ОпределяемыйТип.НоменклатураБЭД - ссылка на номенклатуру.
//    * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - ссылка на характеристику.
//    * ИдентификаторНоменклатуры - Строка - идентификатор номенклатуры.
//    * ИдентификаторХарактеристики - Строка - идентификатор характеристики.
//
Функция ТаблицаИдентификаторовНоменклатурИХарактеристикСервиса(Знач ТаблицаСсылок) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ТаблицаИдентификаторовНоменклатурИХарактеристикСервиса(ТаблицаСсылок) 
```
</details>

## ДанныеКатегорийСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает данные категории из сервиса по идентификаторам номенклатуры. Если по переданным идентификаторам
//   не удалось получить данные из сервиса или карточки не куплены - в возвращаемом значении запись будет отсутствовать.
//
// Параметры:
//  ИдентификаторыСервиса - Массив, Строка - идентификаторы запрашиваемой номенклатуры.
//
// Возвращаемое значение:
//  Соответствие - содержит:
//    * Ключ - Строка - идентификатор номенклатуры
//    * Значение - Структура - содержит:
//      ** КатегорияВСервисеИдентификатор - Строка - идентификатор категории.
//      ** КатегорияВСервисеПредставление - Строка - наименование категории.
//
Функция ДанныеКатегорийСервиса(Знач ИдентификаторыСервиса) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ДанныеКатегорийСервиса(ИдентификаторыСервиса) 
```
</details>

## ОбъектДокументHTMLИзТекстаHTML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает объект ДокументHTML из текста HTML.
//
// Параметры:
//  ТекстHTML  - Строка - текст в формате HTML.
//  Кодировка  - Строка - если задан, то объявление HTML-документа будет содержать
//      атрибут encoding с указанным значением.
//
// Возвращаемое значение:
//   ДокументHTML - созданный документ HTML.
//
Функция ОбъектДокументHTMLИзТекстаHTML(ТекстHTML, Кодировка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ОбъектДокументHTMLИзТекстаHTML(ТекстHTML, Кодировка);
```
</details>

## ОбработанныйТекстHTMLДляФорматированногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает текст HTML для помещения в форматированный документ.
//
// Параметры:
//  ВладелецФайлов    - ДокументСсылка - документ, присоединенные файлы которого требуется обработать.
//  ТекстHTML         - Строка - обрабатываемый текст HTML.
//  СтруктураВложений - Структура - структура в которую помещаются картинки - вложения письма.
//
// Возвращаемое значение:
//   Строка   - обработанный текст HTML.
//
Функция ОбработанныйТекстHTMLДляФорматированногоДокумента(ВладелецФайлов, ТекстHTML, СтруктураВложений) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ОбработанныйТекстHTMLДляФорматированногоДокумента(ВладелецФайлов, ТекстHTML, СтруктураВложений) 
```
</details>

## ЗаменитьИменаКартинокНаCIDВложенийHTML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет имена картинок в документе HTML на CID вложений.
// Параметры:
//  ДокументHTML - ДокументHTML - документ HTML в котором будет выполняться замена.
//  ТаблицаСоответствий - ТаблицаЗначений - таблица соответствий имен файлов и идентификаторов.
//
Процедура ЗаменитьИменаКартинокНаCIDВложенийHTML(ДокументHTML, ТаблицаСоответствий) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументы.ЗаменитьИменаКартинокНаCIDВложенийHTML(ДокументHTML, ТаблицаСоответствий) 
```
</details>

## ТекстHTMLИзОбъектаДокументHTML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текст из документа HTML.
//
// Параметры:
//  ДокументHTML - ДокументHTML - документ HTML, который нужно преобразовать в строку.
//
// Возвращаемое значение:
//   Строка - обработанный текст HTML.
//
Функция ТекстHTMLИзОбъектаДокументHTML(ДокументHTML) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ТекстHTMLИзОбъектаДокументHTML(ДокументHTML) 
```
</details>

## ЗаписатьВложениеИзВременногоХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает вложение электронного письма, расположенное во временном хранилище в файл.
//
// Параметры:
//  ВладелецФайлов                 - ОпределяемыйТип.ВладелецПрисоединенныхФайлов - папка файлов или объект, к которому
//                                                                                  требуется прикрепить добавляемый файл.
//  АдресВоВременномХранилище - Строка - адрес, указывающий на двоичные данные во временном хранилище.
//  ИмяФайла                  - Строка - имя файла.
//
// Возвращаемое значение:
//  ОпределяемыйТип.ПрисоединенныйФайл - ссылка на созданный присоединенный файл.
//
Функция ЗаписатьВложениеИзВременногоХранилища(ВладелецФайлов, АдресВоВременномХранилище, ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументы.ЗаписатьВложениеИзВременногоХранилища(ВладелецФайлов, АдресВоВременномХранилище, ИмяФайла) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
