---
title: Коммерческие предложения документы клиент переопределяемый
slug: erp-uh/коммерческие-предложения-документы-клиент-переопределяемый
---


## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает на клиенте перед выполнением записи объекта из формы.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма записываемого объекта,
//  Отказ - Булево - признак отказа от записи,
//  ПараметрыЗаписи - Структура - структура, содержащая параметры записи.
//
Процедура ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) 
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается во всех созданных формах при вызове метода Оповестить.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - оповещаемая форма,
//  ИмяСобытия - Строка - имя события,
//  Параметр - Произвольный - параметр сообщения. Могут быть переданы любые необходимые данные,
//  Источник - Произвольный - источник события.
//
Процедура ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ОбработкаОповещенияФормСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается во всех созданных формах при вызове метода Оповестить.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - оповещаемая форма,
//  ИмяСобытия - Строка - имя события,
//  Параметр - Произвольный - параметр сообщения. Могут быть переданы любые необходимые данные,
//  Источник - Произвольный - источник события.
//
Процедура ОбработкаОповещенияФормСписка(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ОбработкаОповещенияФормСписка(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ВнешнееСобытие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает в формах при получении внешнего события.
//
// Параметры:
//  Форма    - ФормаКлиентскогоПриложения - форма, в которой произошло внешнее событие,
//  Источник - Строка - источник внешнего события,
//  Событие  - Строка - наименование события,
//  Данные   - Строка - данные для события.
//
Процедура ВнешнееСобытие(Форма, Источник, Событие, Данные) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ВнешнееСобытие(Форма, Источник, Событие, Данные) 
```
</details>

## ПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает при открытии форм.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма записываемого объекта,
//  Отказ - Булево - признак отказа от записи.
//
Процедура ПриОткрытии(Форма, Отказ) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриОткрытии(Форма, Отказ) 
```
</details>

## ПриЗакрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает при закрытии форм.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма записываемого объекта.
//  ЗавершениеРаботы - Булево - признак завершения работы приложения.
//
Процедура ПриЗакрытии(Форма, ЗавершениеРаботы) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриЗакрытии(Форма, ЗавершениеРаботы) 
```
</details>

## ПриИзмененииНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении номенклатуры в таблице Товары.
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - Форма, в которой произошло событие.
//  ТекущаяСтрока           - ДанныеФормыЭлементКоллекции - Строка таблицы товаров.
//  ТекущийЭлемент - Строка - Имя изменившегося поля текущей строки,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииНоменклатуры(Форма, ТекущаяСтрока, ТекущийЭлемент, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииНоменклатуры(Форма, ТекущаяСтрока, ТекущийЭлемент, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииХарактеристики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении характеристики в таблице Товары.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - строка таблицы товаров,
//  ТекущийЭлемент - Строка - Имя изменившегося поля текущей строки,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииХарактеристики(Форма, ТекущаяСтрока, ТекущийЭлемент, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииХарактеристики(Форма, ТекущаяСтрока, ТекущийЭлемент, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииЕдиницыИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении единицы измерения в таблице Товары.
//
// Параметры:
//	Форма					- ФормаКлиентскогоПриложения - Форма, в которой произошло событие.
//	ТекущаяСтрока			- ДанныеФормыЭлементКоллекции 	- Строка таблицы товаров,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииЕдиницыИзмерения(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииЕдиницыИзмерения(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении количества в таблице Товары.
//
// Параметры:
//	Форма					- ФормаКлиентскогоПриложения - Форма, в которой произошло событие.
//	ТекущаяСтрока			- ДанныеФормыЭлементКоллекции - Строка таблицы товаров,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииКоличества(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииКоличества(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении цены в таблице Товары.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - строка таблицы товаров,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииЦены(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииЦены(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииВидаЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении вида цены в таблице Товары.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - строка таблицы товаров,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииВидаЦены(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииВидаЦены(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииСумма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении суммы в таблице Товары.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - строка таблицы товаров,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииСумма(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииСумма(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииСтавкаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении ставки НДС в таблице Товары.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - строка таблицы товаров,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииСтавкаНДС(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииСтавкаНДС(Форма, ТекущаяСтрока, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииСуммыНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении суммы НДС в таблице Товары.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - строка таблицы товаров,
//  ЦенаВключаетНДС - Булево - признак того, что в цену включен НДС,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииСуммыНДС(Форма, ТекущаяСтрока, ЦенаВключаетНДС, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииСуммыНДС(Форма, ТекущаяСтрока, ЦенаВключаетНДС, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииНалогообложенияНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении налогообложения НДС.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииНалогообложенияНДС(Форма, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииНалогообложенияНДС(Форма, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииЦенаВключаетНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении признака включения НДС в Цену.
//
// Параметры:
//  Форма           - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  Налогообложение - Булево - признак того, что продажа или закупка облагаются НДС,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииЦенаВключаетНДС(Форма, Налогообложение, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииЦенаВключаетНДС(Форма, Налогообложение, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении партнера (клиента или поставщика) в форме документа.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииПартнера(Форма, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииПартнера(Форма, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении контрагента в форме документа.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииКонтрагента(Форма, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииКонтрагента(Форма, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении валюты в форме документа.
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииВалюты(Форма, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииВалюты(Форма, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииСрокаДействияКоммерческогоПредложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении срока действия коммерческого предложения в форме документа.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТекущаяДата   - Дата - текущая дата,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииСрокаДействияКоммерческогоПредложения(Форма, ТекущаяДата, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииСрокаДействияКоммерческогоПредложения(Форма, ТекущаяДата, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииХозяйственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении хозяйственной операции в форме документа.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииХозяйственнойОперации(Форма, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииХозяйственнойОперации(Форма, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииФлагаМожетВыкупатьсяЧастично
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении флага может выкупаться частично в форме документа.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииФлагаМожетВыкупатьсяЧастично(Форма, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииФлагаМожетВыкупатьсяЧастично(Форма, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииМенеджера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении менеджера в форме документа.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииМенеджера(Форма, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииМенеджера(Форма, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииКонтактногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении контактного лица в форме документа.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииКонтактногоЛица(Форма, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииКонтактногоЛица(Форма, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении статуса в форме документа.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТекущаяДата   - Дата - текущая дата,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииСтатуса(Форма, ТекущаяДата, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииСтатуса(Форма, ТекущаяДата, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении организации в форме документа.
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииОрганизации(Форма, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииОрганизации(Форма, ТребуетсяСерверныйВызов);
```
</details>

## ТабличнаяЧастьВыбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при выборе в табличной части формы документа.
//
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой произошло событие.
//  Элемент              - ТаблицаФормы - элемент формы, в которой произошло событие.
//  ВыбраннаяСтрока      - Число - идентификатор выбранной строки.
//  Поле                 - ПолеФормы - активная колонка табличной части.
//  СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ТабличнаяЧастьВыбор(Форма, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ТабличнаяЧастьВыбор(Форма, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, ТребуетсяСерверныйВызов);
```
</details>

## ТоварыПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия перед удалением в табличной части формы документа.
//
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  Элемент              - ТаблицаФормы - форма, в которой произошло событие,
//  ТекущиеДанные        - ДанныеФормыЭлементКоллекции - данные удаляемой строки,
//  Отказ                - Булево - признак отказа от выполняемой операции.
//
Процедура ТоварыПередУдалением(Форма, Элемент, ТекущиеДанные, Отказ) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ТоварыПередУдалением(Форма, Элемент, ТекущиеДанные, Отказ) 
```
</details>

## ПриВыполнениеКомандыЗаполнитьУсловияОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возможность определить заполнение условий оплаты в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой выполнена команда.
//
Процедура ПриВыполнениеКомандыЗаполнитьУсловияОплаты(Форма) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполнениеКомандыЗаполнитьУсловияОплаты(Форма) 
```
</details>

## ПриВыполнениеКомандыЗаполнитьУсловияДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возможность определить заполнение условий доставки в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой выполнена команда.
//
Процедура ПриВыполнениеКомандыЗаполнитьУсловияДоставки(Форма) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполнениеКомандыЗаполнитьУсловияДоставки(Форма) 
```
</details>

## ОткрытьФормуПодбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму подбора номенклатуры.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой вызывается команда открытия обработки сопоставления.
//  ОповещениеПриЗавершении - ОписаниеОповещения - процедура, вызываемая после закрытия формы подбора.
//
Процедура ОткрытьФормуПодбораНоменклатуры(Форма, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ОткрытьФормуПодбораНоменклатуры(Форма, ОповещениеПриЗавершении);
```
</details>

## ОткрытьФормуЗагрузкиИзВнешнихФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму загрузки данных из внешних файлов
//
// Параметры:
//  Форма                    - ФормаКлиентскогоПриложения - форма, из которой была инициирована загрузка.
//  ОповещениеПриЗавершении  - ОписаниеОповещения - процедура в которой будет выполнена обработка закрытия формы загрузки.
//
Процедура ОткрытьФормуЗагрузкиИзВнешнихФайлов(Форма, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ОткрытьФормуЗагрузкиИзВнешнихФайлов(Форма, ОповещениеПриЗавершении);
```
</details>

## ОбработкаВыбораПодборНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает процедуру обработки подбора, если произошел выбор из формы подбора.
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма, в которую поступило событие выбора,
//  ОповещениеПриЗавершении - ОписаниеОповещения - процедура завершения подбора номенклатуры,
//  ВыбранноеЗначение       - Произвольный - результат выбора в подчиненной форме,
//  ИсточникВыбора          - ФормаКлиентскогоПриложения - форма, где осуществлен выбор.
//
Процедура ОбработкаВыбораПодборНоменклатуры(Форма, ОповещениеПриЗавершении, ВыбранноеЗначение, ИсточникВыбора) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ОбработкаВыбораПодборНоменклатуры(Форма, ОповещениеПриЗавершении, ВыбранноеЗначение, ИсточникВыбора) 
```
</details>

## ОбработкаОповещенияПодборНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает процедуру обработки подбора, если произошло оповещение из формы подбора.
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения   - форма, в которую поступило событие выбора,
//  ОповещениеПриЗавершении - ОписаниеОповещения - процедура завершения подбора номенклатуры.
//  ИмяСобытия              - Строка         - имя события, о котором происходит оповещение.
//  Параметр                - Произвольный     - переданный в сообщение параметр.
//  Источник                - ФормаКлиентскогоПриложения - форма, в которой произошло оповещение.
//
Процедура ОбработкаОповещенияПодборНоменклатуры(Форма, ОповещениеПриЗавершении, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ОбработкаОповещенияПодборНоменклатуры(Форма, ОповещениеПриЗавершении, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПослеОбработкиОповещенияПодбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при оповещении о подборе номенклатуры после серверного вызова.
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ВыбранноеЗначение       - Произвольный - результат действия, о котором пришло оповещение,
//  РезультатОбработки      - Произвольный - результат обработки на сервере,
//  ДополнительныеПараметры - Структура, Неопределено - дополнительные параметры оповещения.
//
Процедура ПослеОбработкиОповещенияПодбораНоменклатуры(Форма, ВыбранноеЗначение, РезультатОбработки, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеОбработкиОповещенияПодбораНоменклатуры(Форма, ВыбранноеЗначение, РезультатОбработки, ДополнительныеПараметры) 
```
</details>

## ПослеОповещенияПодбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при оповещении о подборе номенклатуры.
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  Результат               - Произвольный - результат действия, о котором пришло оповещение,
//  ДополнительныеПараметры - Структура, Неопределено - дополнительные параметры оповещения,
//  ТребуетсяСерверныйВызов - Булево - признак необходимости серверного вызова.
//
Процедура ПослеОповещенияПодбораНоменклатуры(Форма, Результат, ДополнительныеПараметры, ТребуетсяСерверныйВызов) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеОповещенияПодбораНоменклатуры(Форма, Результат, ДополнительныеПараметры, ТребуетсяСерверныйВызов) 
```
</details>

## ПоказатьВводШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре нужно показать диалоговое окно для ввода штрихкода и передать полученные данные в описание оповещения.
//
// Параметры:
//  Оповещение - ОписаниеОповещения - процедура, которую нужно вызвать после ввода штрихкода.
//
Процедура ПоказатьВводШтрихкода(Оповещение) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПоказатьВводШтрихкода(Оповещение) 
```
</details>

## ПослеОбработкиШтриховыхКодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возможность определить действия на клиенте после обработки штриховых кодов
//
// Параметры:
//  Форма              - ФормаКлиентскогоПриложения - форма, в которую была выполнена обработка штриховых кодов,
//  РезультатОбработки - Произвольный - результат обработки штриховых кодов на сервере.
//
Процедура ПослеОбработкиШтриховыхКодов(Форма, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеОбработкиШтриховыхКодов(Форма, РезультатОбработки) 
```
</details>

## НачатьЗагрузкуДанныхИзТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает при начале загрузки данных из терминала сбора данных.
//
// Параметры:
//  Форма                 - ФормаКлиентскогоПриложения - форма, в которой начинается загрузка данных из ТСД,
//  ОповещениеОЗавершении - ОписаниеОповещения - процедура обработки завершения загрузки данных из ТСД.
//
Процедура НачатьЗагрузкуДанныхИзТСД(Форма, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.НачатьЗагрузкуДанныхИзТСД(Форма, ОповещениеОЗавершении) 
```
</details>

## ПриПолученииДанныхИзТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для обработки загруженных из терминала сбора данных.
//
// Параметры:
//  ОповещениеОЗавершении   - ОписаниеОповещения - процедура завершения загрузки данных из ТСД.
//  Форма                   - ФормаКлиентскогоПриложения - форма, в которой начинается загрузка данных из ТСД.
//  РезультатВыполнения     - Произвольный - полученные данные из ТСД.
//
Процедура ПриПолученииДанныхИзТСД(ОповещениеОЗавершении, Форма, РезультатВыполнения) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриПолученииДанныхИзТСД(ОповещениеОЗавершении, Форма, РезультатВыполнения) 
```
</details>

## ПослеВыполненияТоварыВыбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет определить действия после серверной обработки выбора в табличной части формы документа.
//
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ИмяПоля              - Строка - имя поля, в котором произошло событие,
//  РезультатОбработки   - Произвольный - результат серверной обработки.
//
Процедура ПослеВыполненияТоварыВыбор(Форма, ИмяПоля, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеВыполненияТоварыВыбор(Форма, ИмяПоля, РезультатОбработки) 
```
</details>

## ПриВыполненииКомандыЗаполнитьЦеныПоУсловиямПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Заполнить цены по условиям продажи" в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма              - ФормаКлиентскогоПриложения - форма, в выполнена команда.
//  ОповещениеОВыборе  - ОписаниеОповещения - оповещение, в котором будет обработан выбора условия продаж.
//
Процедура ПриВыполненииКомандыЗаполнитьЦеныПоУсловиямПродаж(Форма, ОповещениеОВыборе) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполненииКомандыЗаполнитьЦеныПоУсловиямПродаж(Форма, ОповещениеОВыборе) 
```
</details>

## ПриВыполненииКомандыЗаполнитьЦеныПоВидуЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Заполнить цены по виду цен" в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма              - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  ОповещениеОВыборе  - ОписаниеОповещения - оповещение, в котором будет обработан выбора вида цены.
//
Процедура ПриВыполненииКомандыЗаполнитьЦеныПоВидуЦен(Форма, ОповещениеОВыборе) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполненииКомандыЗаполнитьЦеныПоВидуЦен(Форма, ОповещениеОВыборе) 
```
</details>

## ПриВыполненииКомандыРассчитатьСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Рассчитать скидки" в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма, в которой выполнена команда,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриВыполненииКомандыРассчитатьСкидки(Форма, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполненииКомандыРассчитатьСкидки(Форма, ТребуетсяСерверныйВызов);
```
</details>

## ПослеРасчетаСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для определения действий на клиенте после расчета скидок в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  РезультатРасчета - Произвольный - данные о результатах выполненного расчета скидок.
//
Процедура ПослеРасчетаСкидок(Форма, РезультатРасчета) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеРасчетаСкидок(Форма, РезультатРасчета) 
```
</details>

## ПриВыполненииКомандыНазначитьАвтоматическиеСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Назначить автоматические скидки" в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма                     - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  ОповещениеОЗавершении     - ОписаниеОповещения - процедура, в которую будут возвращены результаты выбора,
//  ТребуетсяСерверныйВызов   - Булево - признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриВыполненииКомандыНазначитьАвтоматическиеСкидки(Форма, ОповещениеОЗавершении, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполненииКомандыНазначитьАвтоматическиеСкидки(Форма, ОповещениеОЗавершении, ТребуетсяСерверныйВызов);
```
</details>

## ПослеНазначенияАвтоматическойСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для определения действий на клиенте после выбора назначаемых автоматических скидок команды в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  Результат               - Произвольный - данные о выбранных скидок,
//  ТребуетсяСерверныйВызов - Булево - признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПослеНазначенияАвтоматическойСкидки(Форма, Результат, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеНазначенияАвтоматическойСкидки(Форма, Результат, ТребуетсяСерверныйВызов);
```
</details>

## ПослеРасчетаНазначенныхАвтоматическихСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для определения действий на клиенте после расчета назначаемых автоматических скидок команды в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма     - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  Результат - Произвольный     - данные о расчете скидок.
//
Процедура ПослеРасчетаНазначенныхАвтоматическихСкидок(Форма, Результат) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеРасчетаНазначенныхАвтоматическихСкидок(Форма, Результат) 
```
</details>

## ПослеПодготовкиНазначенияАвтоматическихСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Назначить автоматические скидки" в документе "Коммерческое предложение клиенту",
// в случае если перед назначением скидок требуется серверный вызов.
//
// Параметры:
//  Форма                    - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  ОповещениеОЗавершении    - ОписаниеОповещения - процедура, в которую будут возвращены результаты выбора,
//  Результат                - Произвольный - результат подготовки.
//
Процедура ПослеПодготовкиНазначенияАвтоматическихСкидок(Форма, ОповещениеОЗавершении, Результат) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеПодготовкиНазначенияАвтоматическихСкидок(Форма, ОповещениеОЗавершении, Результат) 
```
</details>

## ПриВыполненииКомандыНазначитьРучнуюСкидку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Назначить ручную скидку" в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма                    - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  ВыделенныеСтроки         - Массив - массив выделенных строк в табличной части,
//  СтандартнаяОбработка     - Булево - если событие переопределяется, то должно быть установлено в Истина,
//  ТребуетсяСерверныйВызов  - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриВыполненииКомандыНазначитьРучнуюСкидку(Форма, ВыделенныеСтроки, СтандартнаяОбработка, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполненииКомандыНазначитьРучнуюСкидку(Форма, ВыделенныеСтроки, СтандартнаяОбработка, ТребуетсяСерверныйВызов);
```
</details>

## ПослеПодготовкиНазначенияРучныхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Назначить ручную скидку" в документе "Коммерческое предложение клиенту",
// в случае, если перед выполнением команды требуется серверный вызов.
//
// Параметры:
//  Форма                                 - ФормаКлиентскогоПриложения - форма, в выполнена команда.
//  ВыделенныеСтроки                      - Массив - массив выделенных строк в табличной части.
//  ОповещениеПослеНазначенияРучнойСкидки - ОписаниеОповещения - процедура, в которую будет возвращен результат выбора скидки,
//  РезультатОбработки                    - Произвольный - результат подготовки.
//
Процедура ПослеПодготовкиНазначенияРучныхСкидок(Форма, ВыделенныеСтроки, ОповещениеПослеНазначенияРучнойСкидки, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеПодготовкиНазначенияРучныхСкидок(Форма, ВыделенныеСтроки, ОповещениеПослеНазначенияРучнойСкидки, РезультатОбработки) 
```
</details>

## ПослеЗавершенияНазначенияРучныхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для определения действий после окончания назначения ручной скидки в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма             - ФормаКлиентскогоПриложения  - форма, в выполнена команда,
//  ВыделенныеСтроки  - Массив - массив выделенных строк в табличной части,
//  Результат         - Произвольный - результат выбора ручной скидки.
//
Процедура ПослеЗавершенияНазначенияРучныхСкидок(Форма, ВыделенныеСтроки, Результат) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеЗавершенияНазначенияРучныхСкидок(Форма, ВыделенныеСтроки, Результат) 
```
</details>

## ПриВыполненииКомандыОтменитьРучныеСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Отменить ручные скидки" в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма                    - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  ВыделенныеСтроки         - Массив - массив выделенных строк в табличной части,
//  ЦенаВключаетНДС          - Булево - признак того, что в цену включен НДС,
//  Налогообложение          - Булево - признак того, что продажа или закупка облагаются НДС.
//  ТребуетсяСерверныйВызов  - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриВыполненииКомандыОтменитьРучныеСкидки(Форма, ВыделенныеСтроки, ЦенаВключаетНДС, Налогообложение, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполненииКомандыОтменитьРучныеСкидки(Форма, ВыделенныеСтроки, ЦенаВключаетНДС, Налогообложение, ТребуетсяСерверныйВызов);
```
</details>

## ПослеОтменыРучныхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации обработки команды "Отменить ручные скидки" в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма              - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  ВыделенныеСтроки   - Массив - массив выделенных строк в табличной части,
//  РезультатОбработки    - Произвольный - результат отмены ручных скидок на сервере.
//
Процедура ПослеОтменыРучныхСкидок(Форма, ВыделенныеСтроки, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеОтменыРучныхСкидок(Форма, ВыделенныеСтроки, РезультатОбработки) 
```
</details>

## ПриВыполненииКомандыОткрытьИнформациюОСкидках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Открыть информацию о скидках" в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  ТребуетсяСерверныйВызов  - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриВыполненииКомандыОткрытьИнформациюОСкидках(Форма, ТребуетсяСерверныйВызов) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполненииКомандыОткрытьИнформациюОСкидках(Форма, ТребуетсяСерверныйВызов) 
```
</details>

## ПослеПодготовкиОткрытияИнформацииОСкидках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Открыть информацию о скидках" в документе "Коммерческое предложение клиенту" в случаях,
// когда перед открытием формы требуется серверный вызов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в выполнена команда,
//  Результат  - Произвольный - данные о результатах подготовки открытия информации о скидках.
//
Процедура ПослеПодготовкиОткрытияИнформацииОСкидках(Форма, Результат) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеПодготовкиОткрытияИнформацииОСкидках(Форма, Результат) 
```
</details>

## ПриВыполненииКомандыРазбитьСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Разбить строку" в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма                 - ФормаКлиентскогоПриложения - форма, в выполнена команда.
//  ТекущаяСтрока         - ДанныеФормыЭлементКоллекции - строка таблицы товаров.
//  ОповещениеОЗавершении - ОписаниеОповещения - процедура завершения разбиения строки.
//
Процедура ПриВыполненииКомандыРазбитьСтроку(Форма, ТекущаяСтрока, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполненииКомандыРазбитьСтроку(Форма, ТекущаяСтрока, ОповещениеОЗавершении) 
```
</details>

## ПриИзмененииПроцентаРучнойСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении процента ручной скидки в таблице Товары.
//
// Параметры:
//  Форма           - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  ТекущаяСтрока   - ДанныеФормыЭлементКоллекции - строка таблицы товаров,
//  ЦенаВключаетНДС - Булево - признак того, что в цену включен НДС,
//  Налогообложение - Булево - признак того, что продажа или закупка облагаются НДС,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииПроцентаРучнойСкидки(Форма, ТекущаяСтрока , ЦенаВключаетНДС, Налогообложение, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииПроцентаРучнойСкидки(Форма, ТекущаяСтрока, ЦенаВключаетНДС, Налогообложение, ТребуетсяСерверныйВызов);
```
</details>

## ПриИзмененииСуммыРучнойСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении суммы ручной скидки в таблице Товары.
//
// Параметры:
//  Форма           - ФормаКлиентскогоПриложения - форма, в которой произошло событие.
//  ТекущаяСтрока   - ДанныеФормыЭлементКоллекции - строка таблицы товаров,
//  ЦенаВключаетНДС - Булево - признак того, что в цену включен НДС,
//  Налогообложение - Булево - признак того, что продажа или закупка облагаются НДС,
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриИзмененииСуммыРучнойСкидки(Форма, ТекущаяСтрока, ЦенаВключаетНДС, Налогообложение, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриИзмененииСуммыРучнойСкидки(Форма, ТекущаяСтрока, ЦенаВключаетНДС, Налогообложение, ТребуетсяСерверныйВызов);
```
</details>

## ПриВыполненииПереопределяемойКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия для переопределяемой команды в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма, в которой произошло событие.
//  Команда                 - КомандаФормы   - выполненная команда формы.
//  ТребуетсяСерверныйВызов - Булево - Признак того, что необходим переопределяемый серверный вызов.
//
Процедура ПриВыполненииПереопределяемойКоманды(Форма, Команда, ТребуетсяСерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполненииПереопределяемойКоманды(Форма, Команда, ТребуетсяСерверныйВызов);
```
</details>

## ПослеВыполненияПереопределяемойКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возможность определить действия после выполнения переопределяемой команды в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма      - ФормаКлиентскогоПриложения - форма, в которой произошло событие.
//  Команда    - КомандаФормы     - выполненная команда формы.
//  Результат  - Произвольный     - результат выполнения команды.
//
Процедура ПослеВыполненияПереопределяемойКоманды(Форма, Команда, Результат) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПослеВыполненияПереопределяемойКоманды(Форма, Команда, Результат) 
```
</details>

## ВыполнитьПодключаемуюКомандуИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия для переопределяемой команды интеграции с "1С: Документооборотом" в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Команда   - КомандаФормы   - выполненная команда формы,
//  Форма     - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  Объект    - ДанныеФормыКоллекция - данные документа - объекта.
//
Процедура ВыполнитьПодключаемуюКомандуИнтеграции(Команда, Форма, Объект) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ВыполнитьПодключаемуюКомандуИнтеграции(Команда, Форма, Объект) 
```
</details>

## ПредложитьПользователюРассчитатьСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для демонстрации вопроса пользователю о необходимости расчета скидок перед записью в документе "Коммерческое предложение клиенту".
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма, в которой произошло событие,
//  Отказ                   - Булево - признак отказа от записи,
//  ОповещениеПослеЗакрытия - ОписаниеОповещения - оповещение о ответе пользователя на вопрос.
//
Процедура ПредложитьПользователюРассчитатьСкидки(Форма, Отказ, ОповещениеПослеЗакрытия) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПредложитьПользователюРассчитатьСкидки(Форма, Отказ, ОповещениеПослеЗакрытия) 
```
</details>

## ПриВыполненииКомандыЗаполнитьВидыЦенПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации команды "Заполнить виды цен" в документе "Коммерческое предложение поставщика".
// Результатом выполнения метода должна быть ссылка на вид цены переданная в оповещение.
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения - форма, из которой произошло открытие.
//  ОписаниеОповещения	 - ОписаниеОповещения - описание процедуры обработки выбора.
//
Процедура ПриВыполненииКомандыЗаполнитьВидыЦенПоставщика(Форма, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПриВыполненииКомандыЗаполнитьВидыЦенПоставщика(Форма, ОписаниеОповещения) 
```
</details>

## ПоказатьФормуИсточника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает источник анализа коммерческих предложений.
//
// Параметры:
//  ТипИсточника - Строка - определяет тип источника.
//  Источник - Произвольный - источник.
//  НомерСтрокиИсточника - Строка - номер позиции в источнике.
//
Процедура ПоказатьФормуИсточника(ТипИсточника, Источник, НомерСтрокиИсточника) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПоказатьФормуИсточника(ТипИсточника, Источник, НомерСтрокиИсточника) 
```
</details>

## ПоказатьВыборДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора даты
//
// Параметры:
//  ВыбраннаяДата        - Дата - Текущая выбранная дата,
//  ОписаниеОповещения   - ОписаниеОповещения - Оповещение для возврата выбранной даты
//  СтандартнаяОбработка - Булево - если событие переопределяется, то должно быть установлено в Истина.
//
Процедура ПоказатьВыборДаты(ВыбраннаяДата, ОписаниеОповещения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ПоказатьВыборДаты(ВыбраннаяДата, ОписаниеОповещения, СтандартнаяОбработка) 
```
</details>

## ОткрытьФормуСпискаЗаказаПоставщику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму заказа поставщику
//
// Параметры:
//  МассивСсылок  - Массив - список заказов.
//
Процедура ОткрытьФормуСпискаЗаказаПоставщику(Знач МассивСсылок) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентПереопределяемый.ОткрытьФормуСпискаЗаказаПоставщику(МассивСсылок) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
