---
title: Коммерческие предложения документы клиент сервер
slug: erp-uh/коммерческие-предложения-документы-клиент-сервер
---


## ОтборПоЗначениюСпискаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор в списке по указанному значению для нужной колонки
// с учетом переданной структуры быстрого отбора.
//
// Параметры:
//  Список                  - ДинамическийСписок - список, для которого требуется установить отбор.
//  ИмяКолонки              - Строка - имя колонки, по которой устанавливается отбор.
//  Значение                - Произвольный - устанавливаемое значение отбора.
//  СтруктураБыстрогоОтбора - Неопределено, Структура - содержит ключи и значения отбора.
//  Использование           - Неопределено, Булево - признак использования элемента отбора.
//  ВидСравнения            - Неопределено, ВидСравненияКомпоновкиДанных - вид сравнения, устанавливаемый для элемента отбора.
//  ИмяНастройки            - Строка - имя настройки формы, в которой содержится значение отбора.
//
Процедура ОтборПоЗначениюСпискаПриСозданииНаСервере(Список, ИмяКолонки, Значение, Знач СтруктураБыстрогоОтбора, Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.ОтборПоЗначениюСпискаПриСозданииНаСервере(Список, ИмяКолонки, Значение, СтруктураБыстрогоОтбора, );
```
</details>

## ОтборПоЗначениюСпискаПередЗагрузкойИзНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор в списке по указанному значению для нужной колонки
// с учетом переданной структуры быстрого отбора.
//
// Параметры:
//  Параметры               - Структура - настройки отбора списка документов:
//  * Список                - ДинамическийСписок - список, для которого требуется установить отбор.
//  * ИмяКолонки            - Строка - имя колонки, по которой устанавливается отбор.
//  * ИмяНастройки          - Строка - имя сохраненной настройки.
//  * Настройки             - НастройкиКомпоновкиДанных  -настройки, из которых могут получаться значения отбора
//  * Использование         - Неопределено, Булево - признак использования элемента отбора.
//  * ВидСравнения          - Неопределено, ВидСравненияКомпоновкиДанных - вид сравнения, устанавливаемый для элемента отбора.
//  Значение                - Произвольный - устанавливаемое значение отбора.
//  СтруктураБыстрогоОтбора - Неопределено, Структура - содержит ключи и значения отбора.
//
Процедура ОтборПоЗначениюСпискаПередЗагрузкойИзНастроек(Параметры, Значение, Знач СтруктураБыстрогоОтбора) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.ОтборПоЗначениюСпискаПередЗагрузкойИзНастроек(Параметры, Значение, СтруктураБыстрогоОтбора) 
```
</details>

## ЗаполнитьСписокВыбораОтбораПоАктуальности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список выбора для отбора по актуальности.
//
// Параметры:
//  СписокВыбораАктуальности - СписокЗначений - список выбора, который необходимо заполнить.
//
Процедура ЗаполнитьСписокВыбораОтбораПоАктуальности(СписокВыбораАктуальности) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.ЗаполнитьСписокВыбораОтбораПоАктуальности(СписокВыбораАктуальности) 
```
</details>

## ОтборПоАктуальностиПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает переданный в форму списка документов отбор по актуальности.
//
// Параметры:
//  Список                  - ДинамическийСписок - список, в котором необходимо установить отбор.
//  Актуальность            - Строка - строка отбора по актуальности.
//  ДатаСобытия             - Дата - дата, на которую необходимо считать документы неактуальными.
//  ТекущаяДата             - Дата - текущая дата сеанса.
//  СтруктураБыстрогоОтбора - Структура - переданный в форму списка документов отбор.
//  СписокВыбора            - СписокЗначений - список, отображаемый в элементе формы.
//
Процедура ОтборПоАктуальностиПриСозданииНаСервере(Список, Актуальность, ДатаСобытия, ТекущаяДата, Знач СтруктураБыстрогоОтбора, СписокВыбора) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.ОтборПоАктуальностиПриСозданииНаСервере(Список, Актуальность, ДатаСобытия, ТекущаяДата, СтруктураБыстрогоОтбора, СписокВыбора) 
```
</details>

## ПриОчисткеОтбораПоАктуальности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по актуальности и дате актуальности.
// Изменяет значение даты актуальности в зависимости от строки актуальности.
//
// Параметры:
//  Список               - ДинамическийСписок - список, в котором необходимо установить отбор
//  Актуальность         - Строка - строка отбора по актуальности
//  ДатаСобытия          - Дата - дата, на которую документ будет просрочен
//  ТекущаяДата          - Дата - текущая дата сеанса.
//  СтандартнаяОбработка - Булево - флаг выполнения стандартной обработки при очистке значения поля.
//  СписокВыбора         - СписокЗначений - список, содержащий возможные значения отбора.
//
Процедура ПриОчисткеОтбораПоАктуальности(Список, Актуальность, ДатаСобытия, ТекущаяДата, СтандартнаяОбработка, СписокВыбора) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.ПриОчисткеОтбораПоАктуальности(Список, Актуальность, ДатаСобытия, ТекущаяДата, СтандартнаяОбработка, СписокВыбора) 
```
</details>

## ПриИзмененииОтбораПоАктуальности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по актуальности и дате актуальности
// Изменяет значение даты актуальности в зависимости от строки актуальности.
//
// Параметры:
//  Список       - ДинамическийСписок - список, в котором необходимо установить отбор
//  Актуальность - Строка - строка отбора по актуальности
//  ДатаСобытия  - Дата - дата, на которую документы считаются неактуальными
//  ТекущаяДата  - Дата - текущая дата сеанса.
//  СписокВыбора - СписокЗначений - содержащий возможные значения отбора.
//
Процедура ПриИзмененииОтбораПоАктуальности(Список, Актуальность, ДатаСобытия, ТекущаяДата, СписокВыбора) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.ПриИзмененииОтбораПоАктуальности(Список, Актуальность, ДатаСобытия, ТекущаяДата, СписокВыбора) 
```
</details>

## УстановитьОтборВСпискеПоАктуальности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по актуальности.
//
// Параметры:
//  Список - ДинамическийСписок - список, в котором необходимо установить отбор.
//  Актуальность - Строка - строка отбора по актуальности.
//
Процедура УстановитьОтборВСпискеПоАктуальности(Список, Актуальность) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.УстановитьОтборВСпискеПоАктуальности(Список, Актуальность) 
```
</details>

## УдалитьИзСпискаВыбраннуюДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из списка выбора элемент с выбранной датой.
//
// Параметры:
//  СписокВыбора - СписокЗначений - список, из которого удаляется значение.
//
Процедура УдалитьИзСпискаВыбраннуюДату(СписокВыбора) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.УдалитьИзСпискаВыбраннуюДату(СписокВыбора) 
```
</details>

## УстановитьОтборВСпискеПоДатеСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по дате события.
//
// Параметры:
//  Список      - ДинамическийСписок - список, в котором необходимо установить отбор.
//  ДатаСобытия - Дата - дата, на которую документ будет просрочен.
//
Процедура УстановитьОтборВСпискеПоДатеСобытия(Список, ДатаСобытия) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.УстановитьОтборВСпискеПоДатеСобытия(Список, ДатаСобытия) 
```
</details>

## ПолеКонтрагентВидимо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет видимость поля контрагент в форме документа.
//
// Параметры:
//  НастройкиУчета  - Структура - содержит настройки учета.
//
// Возвращаемое значение:
//   Булево   - Истина, если контрагент видим.
//
Функция ПолеКонтрагентВидимо(НастройкиУчета) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументыКлиентСервер.ПолеКонтрагентВидимо(НастройкиУчета) 
```
</details>

## ВариантУказанияСрокаПоставкиПоЗначениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет вариант указания срока поставки по содержащимся в массиве значениям.
//
// Параметры:
//  МассивЗначений  - Массив - содержит значения срока поставки.
//
// Возвращаемое значение:
//   ПеречислениеСсылка.ВариантыСроковПоставкиКоммерческихПредложений - определенный вариант указания.
//
Функция ВариантУказанияСрокаПоставкиПоЗначениям(МассивЗначений) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументыКлиентСервер.ВариантУказанияСрокаПоставкиПоЗначениям(МассивЗначений) 
```
</details>

## УправлениеКолонкойСрокПоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает колонку "Срок поставки" и команду изменяющую срок поставки, в зависимости от варианта указания.
//
// Параметры:
//  ВариантУказанияСрокаПоставки - ПеречислениеСсылка.ВариантыСроковПоставкиКоммерческихПредложений - вариант указания.
//  ЭлементФормыКолонка          - ЭлементыФормы - колонка табличной части, содержащая срок поставки.
//  ЭлементФормыКоманда          - ЭлементыФормы - элемент формы, содержащий команду, изменяющую срок поставки.
//
Процедура УправлениеКолонкойСрокПоставки(ВариантУказанияСрокаПоставки, ЭлементФормыКолонка, ЭлементФормыКоманда = Неопределено) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.УправлениеКолонкойСрокПоставки(ВариантУказанияСрокаПоставки, ЭлементФормыКолонка, ЭлементФормыКоманда);
```
</details>

## СрокПоставкиСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление значения срока поставки, в зависимости от варианта указания.
//
// Параметры:
//  ВариантУказанияСрокаПоставки - ПеречислениеСсылка.ВариантыСроковПоставкиКоммерческихПредложений - вариант указания.
//  СрокПоставки                 - Число, Дата - значение срока поставки
//
// Возвращаемое значение:
//   Строка   - сформированное представление значение срока поставки.
//
Функция СрокПоставкиСтрокой(ВариантУказанияСрокаПоставки, СрокПоставки) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументыКлиентСервер.СрокПоставкиСтрокой(ВариантУказанияСрокаПоставки, СрокПоставки) 
```
</details>

## ЗаголовокСрокПоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует заголовок колонки "Срок поставки".
//
// Параметры:
//  ВариантУказанияСрокаПоставки - ПеречислениеСсылка.ВариантыСроковПоставкиКоммерческихПредложений - вариант указания.
//
// Возвращаемое значение:
//   Строка   - сформированный заголовок колонки.
//
Функция ЗаголовокСрокПоставки(ВариантУказанияСрокаПоставки) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументыКлиентСервер.ЗаголовокСрокПоставки(ВариантУказанияСрокаПоставки) 
```
</details>

## ОчиститьСрокПоставкиЕслиНеСоответствуетВарианту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает в колонке табличной части срок поставки, если он не соответствует варианту указания.
//
// Параметры:
//  ТабличнаяЧасть               - ТабличнаяЧасть - в ней содержится колонка со сроком поставки.
//  ИмяРеквизита                 - Строка - имя реквизита табличной части, содержащего срок поставки.
//  ВариантУказанияСрокаПоставки - ПеречислениеСсылка.ВариантыСроковПоставкиКоммерческихПредложений - вариант указания.
//
Процедура ОчиститьСрокПоставкиЕслиНеСоответствуетВарианту(ТабличнаяЧасть, ИмяРеквизита, ВариантУказанияСрокаПоставки) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.ОчиститьСрокПоставкиЕслиНеСоответствуетВарианту(ТабличнаяЧасть, ИмяРеквизита, ВариантУказанияСрокаПоставки) 
```
</details>

## ПредставлениеНоменклатурыДляПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление номенклатуры для печати.
//
// Параметры:
//  Номенклатура   - ОпределяемыйТип.НоменклатураБЭД - номенклатура.
//  Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика.
//
// Возвращаемое значение:
//   Строка   - сформированное представление номенклатуры для печати.
//
Функция ПредставлениеНоменклатурыДляПечати(Номенклатура, Характеристика) Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументыКлиентСервер.ПредставлениеНоменклатурыДляПечати(Номенклатура, Характеристика) 
```
</details>

## ПараметрыОтбораПередЗагрузкойИзНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание параметров отбора формы списка документов.
//
// Возвращаемое значение:
//  Структура - содержит поля:
//  * Список        - ДинамическийСписок - список, для которого требуется установить отбор.
//  * ИмяКолонки    - Строка - имя колонки, по которой устанавливается отбор.
//  * ИмяНастройки  - Строка - имя сохраненной настройки.
//  * Настройки     - НастройкиКомпоновкиДанных  -настройки, из которых могут получаться значения отбора
//  * Использование - Неопределено, Булево - признак использования элемента отбора.
//  * ВидСравнения  - Неопределено, ВидСравненияКомпоновкиДанных - вид сравнения, устанавливаемый для элемента отбора.
//
Функция ПараметрыОтбораПередЗагрузкойИзНастроек() Экспорт
```

Пример вызова
```bsl
Результат = КоммерческиеПредложенияДокументыКлиентСервер.ПараметрыОтбораПередЗагрузкойИзНастроек() 
```
</details>

## ОтборПоАктуальностиПриЗагрузкеИзНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по актуальности, сохраненный в настройках
// Отбор из настроек устанавливается только если отбор не передан в форму извне.
//
// Параметры:
//  Список                  - ДинамическийСписок - список, в котором необходимо установить отбор.
//  Актуальность            - Строка - строка отбора по актуальности.
//  ДатаСобытия             - Дата - дата, на которую необходимо считать документы неактуальными.
//  ТекущаяДата             - Дата - текущая дата сеанса.
//  СтруктураБыстрогоОтбора - Структура - переданный в форму списка документов отбор.
//  Настройки               - Соответствие - настройки формы.
//  СписокВыбора            - СписокЗначений - список, содержащий возможные значения отбора.
//
Процедура ОтборПоАктуальностиПриЗагрузкеИзНастроек(Список, Актуальность, ДатаСобытия, ТекущаяДата, Знач СтруктураБыстрогоОтбора, Настройки, СписокВыбора) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСервер.ОтборПоАктуальностиПриЗагрузкеИзНастроек(Список, Актуальность, ДатаСобытия, ТекущаяДата, СтруктураБыстрогоОтбора, Настройки, СписокВыбора) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
