---
title: Коммерческие предложения документы клиент сервер переопределяемый
slug: erp-uh/коммерческие-предложения-документы-клиент-сервер-переопределяемый
---


## СформироватьПредставлениеНоменклатурыДляПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возможность переопределения представления номенклатуры для печати.
//
// Параметры:
//  ПредставлениеДляПечати - Строка - предназначена для хранения сформированного представления.
//  Номенклатура           - ОпределяемыйТип.НоменклатураБЭД - номенклатура.
//  Характеристика         - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика.
//  СтандартнаяОбработка   - Булево - в данный параметр передается признак выполнения стандартной (системной) обработки формирования представления.
//      Если в теле процедуры-обработчика установить данному параметру значение Ложь, стандартная обработка события производиться не будет.
//
Процедура СформироватьПредставлениеНоменклатурыДляПечати(ПредставлениеДляПечати, Номенклатура, Характеристика, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСерверПереопределяемый.СформироватьПредставлениеНоменклатурыДляПечати(ПредставлениеДляПечати, Номенклатура, Характеристика, СтандартнаяОбработка) 
```
</details>

## СформироватьПредставлениеСостоянияПоСтатусу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возможность сформировать представление состояния документа "Коммерческое предложение клиенту", основываясь на статусе документа и других данных.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - форма из которой вызвана данная процедура.
//  Статус       - ОпределяемыйТип.СтатусыКоммерческихПредложенийКлиентам - статус документа.
//  ТекущаяДата  - Дата - текущая дата.
//
Процедура СформироватьПредставлениеСостоянияПоСтатусу(Форма, Статус, ТекущаяДата) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияДокументыКлиентСерверПереопределяемый.СформироватьПредставлениеСостоянияПоСтатусу(Форма, Статус, ТекущаяДата) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
