---
title: Коммерческие предложения переопределяемый
slug: erp-uh/коммерческие-предложения-переопределяемый
---


## ОпределитьАктуальныеВидыЭлектронныхДокументов1СЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение актуальных видов электронных документов 1С-ЭДО, используемых подсистемой.
//
// Параметры:
//  ВидыЭлектронныхДокументов - Структура - Виды электронных документов подсистемы. Ключи:
//    * ЗапросКоммерческихПредложений - Булево - Вид электронного документа Запрос коммерческих предложений
//        является актуальным.
//        Если существует подсистема КоммерческиеПредложенияДокументы.ЗапросКоммерческихПредложенийПоставщиков или
//        КоммерческиеПредложенияДокументы.ЗапросКоммерческогоПредложенияОтКлиента, значение по умолчанию - Истина.
//    * КоммерческоеПредложение       - Булево - Вид электронного документа Коммерческое предложение является
//        актуальным.
//        Если существует подсистема КоммерческиеПредложенияДокументы.КоммерческоеПредложениеКлиенту или
//        КоммерческиеПредложенияДокументы.КоммерческоеПредложениеПоставщика, значение по умолчанию - Истина.
//
Процедура ОпределитьАктуальныеВидыЭлектронныхДокументов1СЭДО(ВидыЭлектронныхДокументов) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияПереопределяемый.ОпределитьАктуальныеВидыЭлектронныхДокументов1СЭДО(ВидыЭлектронныхДокументов) 
```
</details>

## ОпределитьПредставлениеИсходящихЭлектронныхДокументов1СЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установка наименования исходящих учетных документов Запрос коммерческих предложений и Коммерческое предложение
// для 1С-ЭДО.
//   Если существуют подсистемы КоммерческиеПредложенияДокументы.ЗапросКоммерческихПредложенийПоставщиков и
//   КоммерческиеПредложенияДокументы.КоммерческоеПредложениеКлиенту, процедура не вызывается.
//
// Параметры:
//  ПредставлениеДокументов - Структура - Наименования исходящих учетных документов подсистемы. Ключи:
//    * ЗапросКоммерческихПредложений - Строка - Наименование исходящего учетного документа Запрос коммерческих
//      предложений.
//      Если существует подсистема КоммерческиеПредложенияДокументы.ЗапросКоммерческихПредложенийПоставщиков, то
//      установленное наименование будет проигнорировано.
//    * КоммерческоеПредложение - Строка - Наименование исходящего учетного документа Коммерческое предложение.
//      Если существует подсистема КоммерческиеПредложенияДокументы.КоммерческоеПредложениеКлиенту, то
//      установленное наименование будет проигнорировано.
//
Процедура ОпределитьПредставлениеИсходящихЭлектронныхДокументов1СЭДО(ПредставлениеДокументов) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияПереопределяемый.ОпределитьПредставлениеИсходящихЭлектронныхДокументов1СЭДО(ПредставлениеДокументов) 
```
</details>

## ЗаполнитьДанныеПоЗапросуКоммерческихПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает данные формирования исходящего электронного документа по Запросу коммерческих предложений.
//
// Параметры:
//  СсылкаНаОбъект  - ОпределяемыйТип.ЗапросКоммерческихПредложенийПоставщиковОбъект - Ссылка на прикладной документ, по которому необходимо создать электронный.
//  ДанныеДокумента - ДеревоЗначений                                                 - Данные, соответствующие структуре Макета ЗапросКоммерческихПредложений
//                                                                                     Обработки ЗапросыКоммерческихПредложений. Если используется подсистема
//                                                                                     ЗапросКоммерческихПредложенийПоставщиков, то параметр будет содержать
//                                                                                     заполненное Дерево значений, данные которого можно оставить без изменений
//                                                                                     (т.е. оставить обработчик пустым).
//  Отказ           - Булево                                                           - Если нужно отказаться от создания электронного документа, необходимо установить
//                                                                                     значение в Истина. После этого дальнейшие действия по формированию документа
//                                                                                     производиться не будут, поэтому нужно сформировать сообщения пользователю при
//                                                                                     необходимости самостоятельно.
//
Процедура ЗаполнитьДанныеПоЗапросуКоммерческихПредложений(Знач СсылкаНаОбъект, ДанныеДокумента, Отказ) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияПереопределяемый.ЗаполнитьДанныеПоЗапросуКоммерческихПредложений(СсылкаНаОбъект, ДанныеДокумента, Отказ) 
```
</details>

## ОтметитьИзменениеЗапросаКоммерческихПредложенийПоставщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отметку изменения ключевых реквизитов прикладного документа Запрос коммерческих предложений поставщиков.
// Выполняется при наступлении события ПередЗаписью прикладного документа, когда транзакция еще не открыта, и данные
// по ссылке не изменены. Таким образом, возможно реализовать сравнение данных объекта с информацией в базе.
// Примечания:
// 1. Если используется подсистема КоммерческиеПредложенияДокументы.ЗапросКоммерческихПредложенийПоставщиков, то
//    обработчик не вызывается.
// 2. Перед первой записью объекта обработчик не вызывается.
//
// Параметры:
//  Объект                    - ОпределяемыйТип.ЗапросКоммерческихПредложенийПоставщиковОбъект - Прикладной документ Запрос коммерческих предложений поставщиков.
//  ИзмененыКлючевыеРеквизиты - Булево                                                         - Признак изменения ключевых реквизитов документа
//                                                                                               (возвращаемый параметр).
//
Процедура ОтметитьИзменениеЗапросаКоммерческихПредложенийПоставщиков(Знач Объект, ИзмененыКлючевыеРеквизиты) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияПереопределяемый.ОтметитьИзменениеЗапросаКоммерческихПредложенийПоставщиков(Объект, ИзмененыКлючевыеРеквизиты) 
```
</details>

## ПерезаполнятьЗапросКоммерческихПредложенийОтКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость автоматического перезаполнения учетного документа Запрос коммерческих предложений от
// клиента при получении новой версии электронного документа через 1С-ЭДО.
// При наличии подсистемы КоммерческиеПредложенияДокументы.ЗапросКоммерческогоПредложенияОтКлиента не вызывается.
//
// Параметры:
//  Перезаполнять - Булево - Если Истина, учетный документ будет перезаполнен при получении новой версии электронного.
//                           По умолчанию Ложь.
//
Процедура ПерезаполнятьЗапросКоммерческихПредложенийОтКлиента(Перезаполнять) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияПереопределяемый.ПерезаполнятьЗапросКоммерческихПредложенийОтКлиента(Перезаполнять) 
```
</details>

## ПолучитьАдресМакетаПодбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Требуется для переопределения макета поиска номенклатуры при подборе списка номенклатуры в обработке
//												поиска запросов коммерческих предложений.
//												Требуется переопределять в случае если необходимо изменить/добавить
//												условия или поля для выбора номенклатуры которая будет участвовать в
//												заполнение реквизита отбора "Отбор по нашей номенклатуре"
//   См. Обработка.ЗапросыКоммерческихПредложений.Форма.ПоискПоОтборам.
//
// Параметры:
//  УникальныйИдентификатор - Строка - Идентификатор формы,
//  АдресВоВременномХранилище - Строка - адрес во временном хранилище.
//
Процедура ПолучитьАдресМакетаПодбораНоменклатуры(Знач УникальныйИдентификатор, АдресВоВременномХранилище) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияПереопределяемый.ПолучитьАдресМакетаПодбораНоменклатуры(УникальныйИдентификатор, АдресВоВременномХранилище) 
```
</details>

## ЗаполнитьДанныеПоКоммерческомуПредложению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает данные формирования исходящего электронного документа по Коммерческому предложению.
//
// Параметры:
//  СсылкаНаОбъект  - ОпределяемыйТип.КоммерческоеПредложениеКлиентуОбъект - Ссылка на прикладной документ, по которому необходимо создать электронный.
//  ДанныеДокумента - ДеревоЗначений -                                       Данные, соответствующие структуре Макета КоммерческоеПредложение
//                                                                           Обработки ОбменСКонтрагентами. Если используется подсистема
//                                                                           КоммерческоеПредложениеКлиенту, то параметр будет содержать
//                                                                           заполненное Дерево значений, данные которого можно оставить без изменений
//                                                                           (т.е. оставить обработчик пустым).
//  Отказ           - Булево                                               - Если нужно отказаться от создания электронного документа, необходимо установить
//                                                                           значение в Истина. После этого дальнейшие действия по формированию документа
//                                                                           производиться не будут, поэтому нужно сформировать сообщения пользователю при
//                                                                           необходимости самостоятельно.
//
Процедура ЗаполнитьДанныеПоКоммерческомуПредложению(Знач СсылкаНаОбъект, ДанныеДокумента, Отказ) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияПереопределяемый.ЗаполнитьДанныеПоКоммерческомуПредложению(СсылкаНаОбъект, ДанныеДокумента, Отказ) 
```
</details>

## ПолучитьВалютуРегламентированногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение валюты регламентированного учета.
//
// Параметры:
//  Валюта - СправочникСсылка - валюта регламентированного учета.
//
Процедура ПолучитьВалютуРегламентированногоУчета(Валюта) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияПереопределяемый.ПолучитьВалютуРегламентированногоУчета(Валюта) 
```
</details>

## ПолучитьДанныеНоменклатурыДляПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные о моей номенклатуре для поиска в сервисе запросов коммерческих предложений.
//
// Параметры:
//  СписокНоменклатуры - Массив - список номенклатур для поиска.
//  ДанныеНоменклатуры - Соответствие - данные о номенклатуре для поиска.
//   * Ключ - ОпределяемыйТип.НоменклатураБЭД - номенклатура из первого параметра.
//   * Значение - Структура - данные номенклатуры, состав:
//       * Наименование - Строка - наименование номенклатуры.
//       * Артикул      - Строка - артикул номенклатуры.
//       * Штрихкоды    - Массив - список штрихкодов номенклатуры.
//
Процедура ПолучитьДанныеНоменклатурыДляПоиска(Знач СписокНоменклатуры, ДанныеНоменклатуры) Экспорт
```

Пример вызова
```bsl
КоммерческиеПредложенияПереопределяемый.ПолучитьДанныеНоменклатурыДляПоиска(СписокНоменклатуры, ДанныеНоменклатуры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
