---
title: Компоновка данных клиент
slug: erp-uh/компоновка-данных-клиент
---


## ОбработатьРасшифровку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция обрабатывает расшифровку в отчете, отображаемом на форме. Если расшифровка предполагает открытие значение, то
// дальнейшую обработку в форме делать не нужно, если нужно сформировать отчет-расшифровки, то функция вернет описание расшифровки
// которое нужно передать в соответствующую серверную функцию.
//
// Параметры:
//		Форма - ФормаКлиентскогоПриложения - форма, в которой расположен отчет
//		ИмяРеквизитаФормы - Строка - реквизит формы связанный с отчетом
//		ИдентификаторРасшифровки - ИдентификаторРасшифровкиКомпоновкиДанных - параметр события ОбработкаРасшифровки
//		СтандартнаяОбработка - Булево - параметр события ОбработкаРасшифровки
//		ПараметрыРасшифровки - Структура - содержит дополнительные параметры расшифровки:
//				*МенюОтчетов - Массив - массив, значения которого имеют тип Структура и описывают отчеты, которыми можно расшифровать
//				*МенюДействий - Массив - массив, значения которого имеют тип Структура и описывают действия, которые можно выполнить
//
Процедура ОбработатьРасшифровку(Форма, ИмяРеквизитаФормы, ИдентификаторРасшифровки, СтандартнаяОбработка, ПараметрыРасшифровки = Неопределено) Экспорт
```

Пример вызова
```bsl
КомпоновкаДанныхКлиент.ОбработатьРасшифровку(Форма, ИмяРеквизитаФормы, ИдентификаторРасшифровки, СтандартнаяОбработка, ПараметрыРасшифровки);
```
</details>

## ОбработкаРасшифровкиСДополнительнымМеню
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура отрабатывает расшифровку в отчет путем формирования меню действий и отработки выбранного действия.
//
// Параметры:
//		Форма - Форма - форма, в которой расположен отчет
//		ПараметрыРасшифровки - Структура - параметр события ОбработкаРасшифровки
//				МенюОтчетов - Массив - массив, значения которого имеют тип Структура и описывают отчет-приемник
//				МенюДействий - Массив - массив, значения которого имеют тип Структура и описывают тип выполняемого действия
//				Расшифровка - Произвольный - значение расшифровки
//						см. события для "Расширение поля формы для поля табличного документа" в справке.
//		СтандартнаяОбработка - Булево - параметр события ОбработкаРасшифровки.
//
Процедура ОбработкаРасшифровкиСДополнительнымМеню(Форма, ПараметрыРасшифровки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
КомпоновкаДанныхКлиент.ОбработкаРасшифровкиСДополнительнымМеню(Форма, ПараметрыРасшифровки, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
