---
title: Компоновка данных повт исп
slug: erp-uh/компоновка-данных-повт-исп
---


## УникальныйИдентификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает уникальный идентификатор по ссылке на объект
// Предназначена для использования в выражениях СКД.
//
// Параметры:
//	СсылкаНаОбъект - ЛюбаяСсылка - любая ссылка
//
// Возвращаемое значение:
//	УникальныйИдентификатор
//
Функция УникальныйИдентификатор(СсылкаНаОбъект) Экспорт
```

Пример вызова
```bsl
Результат = КомпоновкаДанныхПовтИсп.УникальныйИдентификатор(СсылкаНаОбъект) 
```
</details>

## ПредставлениеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление документа для использования в выражениях СКД
//
// Параметры:
//	Документ - ДокументСсылка - ссылка на документ
//	Номер -Строка - номер документа
//	Дата - Дата - дата документа
//
// Возвращаемое значение:
//	Строка - представление документа.
//
Функция ПредставлениеДокумента(Документ, Номер = Неопределено, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = КомпоновкаДанныхПовтИсп.ПредставлениеДокумента(Документ, Номер, Дата);
```
</details>

## ГраницаПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГраницаПериода(Дата, ВидГраницыИмяЗначения) Экспорт
```

Пример вызова
```bsl
Результат = КомпоновкаДанныхПовтИсп.ГраницаПериода(Дата, ВидГраницыИмяЗначения) 
```
</details>

## ЗначениеСимвола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает непечатный символ по имени
//
// Параметры:
//	ИмяСимвола - Строка - имя непечатного символа как оно задано в системном перечислении Символы.
//
// Возвращаемое значение:
//	Строка - значение символа
//
Функция ЗначениеСимвола(ИмяСимвола) Экспорт
```

Пример вызова
```bsl
Результат = КомпоновкаДанныхПовтИсп.ЗначениеСимвола(ИмяСимвола) 
```
</details>

## СтрЗаменитьКомпоновка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Полный аналог СтрЗаменить для использования в выражениях СКД
//
// Параметры:
//  Строка          - Строка - Исходная строка.
//  ПодстрокаПоиска - Строка - Искомая подстрока.
//  ПодстрокаЗамены - Строка - Подстрока, на которую будет заменена подстрока поиска.
//
// Возвращаемое значение:
//  Строка - полученная в результате замены.
//
Функция СтрЗаменитьКомпоновка(Строка, ПодстрокаПоиска, ПодстрокаЗамены) Экспорт
```

Пример вызова
```bsl
Результат = КомпоновкаДанныхПовтИсп.СтрЗаменитьКомпоновка(Строка, ПодстрокаПоиска, ПодстрокаЗамены) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
