---
title: Контролируемые сделки повт исп
slug: erp-uh/контролируемые-сделки-повт-исп
---


## СтранаЯвляетсяОфшором
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет принадлежит ли страна к списку стран офшоров на основании макета на дату.
// (см. общий макет ПереченьОфшоров).
// Параметры:
//	ДатаЗапроса - Дата, Неопределено - Дата проверки действия офшорных территорий.
//	Страна - СправочникСсылка.СтраныМира.
//	УчитыватьНалоговыйПериод - Булево - в случае Истина дата проверки устанавливается на начало года.
// Возвращаемое значение:
//	Булево - Истина, если код переданной страны найден в макете "Перечень офшоров", Ложь - в противном случае.
Функция СтранаЯвляетсяОфшором(Знач ДатаЗапроса, Страна, УчитыватьНалоговыйПериод = Истина) Экспорт
```

Пример вызова
```bsl
Результат = КонтролируемыеСделкиПовтИсп.СтранаЯвляетсяОфшором(ДатаЗапроса, Страна, УчитыватьНалоговыйПериод);
```
</details>

## ПереченьКодовСтранОфшоров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список кодов стран офшоров.
// (см. общий макет ПереченьОфшоров).
// ОтчетныйГод - Дата, Неопределено.
// Возвращаемое значение:
// Массив - список кодов из макета "Перечень офшоров".
Функция ПереченьКодовСтранОфшоров(Знач ОтчетныйГод) Экспорт
```

Пример вызова
```bsl
Результат = КонтролируемыеСделкиПовтИсп.ПереченьКодовСтранОфшоров(ОтчетныйГод) 
```
</details>

## ПереченьКодовТНВЭДМировойБиржевойТорговли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список кодов ТНВЭД, которые принадлежат к товарам мировой биржевой торговли, на основании макета.
// (см. макет Обработка.ПомощникПодготовкиУведомленияОКонтролируемыхСделках.ТоварыМировойБиржевойТорговли).
// Параметры:
// ОтчетныйГод - Дата - отчетный год, за который формируется уведомление и по которому необходимо определять действующие
// 		товары мировой биржевой торговли.
// Возвращаемое значение:
// Массив - список кодов из макета "Товары мировой биржевой торговли".
Функция ПереченьКодовТНВЭДМировойБиржевойТорговли(ОтчетныйГод) Экспорт
```

Пример вызова
```bsl
Результат = КонтролируемыеСделкиПовтИсп.ПереченьКодовТНВЭДМировойБиржевойТорговли(ОтчетныйГод) 
```
</details>

## КодыТНВЭДМировойБиржевойТорговли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу кодов ТНВЭД, которые принадлежат к товарам мировой биржевой торговли, на основании макета.
// (см. макет Обработка.ПомощникПодготовкиУведомленияОКонтролируемыхСделках.ТоварыМировойБиржевойТорговлиXML).
// Возвращаемое значение:
//	ТаблицаЗначений:
//		* СсылкаТНВЭД - Справочник.КлассификаторТНВЭД - ссылка на классификатор кодов ТНВЭД
//		* ДатаНачалаДействия - Дата - дата начала действия
//		* ДатаОкончанияДействия - Дата - дата окончания действия.
//
Функция КодыТНВЭДМировойБиржевойТорговли() Экспорт
```

Пример вызова
```bsl
Результат = КонтролируемыеСделкиПовтИсп.КодыТНВЭДМировойБиржевойТорговли() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
