---
title: Контроль права применения спецрежима
slug: erp-uh/контроль-права-применения-спецрежима
---


## ГраницаДоходовОграничивающаяПравоПримененияПСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает лимит доходов налогоплательщика, ограничивающий его право на применение патентной системы налогообложения
//
// Возвращаемое значение:
//  Число - Число - Граница доходов, ограничивающая право применения ПСН
//
Функция ГраницаДоходовОграничивающаяПравоПримененияПСН() Экспорт
```

Пример вызова
```bsl
Результат = КонтрольПраваПримененияСпецрежима.ГраницаДоходовОграничивающаяПравоПримененияПСН() 
```
</details>

## ГраницаСтоимостиОсновныхСредствОграничивающаяПравоПримененияУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает лимит доходов налогоплательщика, ограничивающий его право на применение УСН
// с учетом коэффициента дефлятора для указанной даты.
//
// Параметры:
//	Дата - Дата - Дата, на которую требуется вернуть лимит.
//
// Возвращаемое значение:
//  Число - Число - Граница стоимости основных средств, ограничивающая право применения УСН.
//
Функция ГраницаСтоимостиОсновныхСредствОграничивающаяПравоПримененияУСН(Дата) Экспорт
```

Пример вызова
```bsl
Результат = КонтрольПраваПримененияСпецрежима.ГраницаСтоимостиОсновныхСредствОграничивающаяПравоПримененияУСН(Дата) 
```
</details>

## ГраницаСреднесписочнойЧисленностиРаботниковОграничивающаяПравоПримененияПатент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает лимит средней численности работников
//
// Возвращаемое значение:
//  Число - Число - Граница среднесписочной численности работников, ограничивающая право применения патента
//
Функция ГраницаСреднесписочнойЧисленностиРаботниковОграничивающаяПравоПримененияПатент() Экспорт
```

Пример вызова
```bsl
Результат = КонтрольПраваПримененияСпецрежима.ГраницаСреднесписочнойЧисленностиРаботниковОграничивающаяПравоПримененияПатент() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
