---
title: Контроль права применения спецрежима клиент сервер
slug: erp-uh/контроль-права-применения-спецрежима-клиент-сервер
---


## ГраницаДоходовДляПримененияПовышеннойСтавкиУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает лимит доходов налогоплательщика для применения УСН, с учетом возможного перехода на повышенную ставку
//
// Параметры:
// Дата - дата - дата, на которую получаем лимит
//
// Возвращаемое значение:
//  Число
//
Функция ГраницаДоходовДляПримененияПовышеннойСтавкиУСН(Дата) Экспорт
```

Пример вызова
```bsl
Результат = КонтрольПраваПримененияСпецрежимаКлиентСервер.ГраницаДоходовДляПримененияПовышеннойСтавкиУСН(Дата) 
```
</details>

## ГраницаДоходовДляПримененияОсновнойСтавкиУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает лимит доходов налогоплательщика, ограничивающий его право на применение основной ставки налога УСН
// с учетом коэффициента дефлятора для указанной даты
//
// Параметры:
//  Дата - Дата - Дата, на которую получаем границу.
//
// Возвращаемое значение:
//  Число
//
Функция ГраницаДоходовДляПримененияОсновнойСтавкиУСН(Дата) Экспорт
```

Пример вызова
```bsl
Результат = КонтрольПраваПримененияСпецрежимаКлиентСервер.ГраницаДоходовДляПримененияОсновнойСтавкиУСН(Дата) 
```
</details>

## БазовыйЛимитДоходовДляПримененияОсновнойСтавкиУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает базовый лимит доходов налогоплательщика для применения основной ставки УСН,
// действующий на указанную дату, без учета коэффициента-дефлятора
//
// Параметры:
//  Дата - Дата - Дата, на которую получаем базовый лимит.
//
// Возвращаемое значение:
//  Число
//
Функция БазовыйЛимитДоходовДляПримененияОсновнойСтавкиУСН(Дата) Экспорт
```

Пример вызова
```bsl
Результат = КонтрольПраваПримененияСпецрежимаКлиентСервер.БазовыйЛимитДоходовДляПримененияОсновнойСтавкиУСН(Дата) 
```
</details>

## БазовыйЛимитДоходовДляПримененияПовышеннойСтавкиУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает базовый лимит доходов налогоплательщика для применения повышенной ставки УСН,
// действующий на указанную дату, без учета коэффициента-дефлятора
//
// Параметры:
//  Дата - Дата - Дата, на которую получаем базовый лимит.
//
// Возвращаемое значение:
//  Число
//
Функция БазовыйЛимитДоходовДляПримененияПовышеннойСтавкиУСН(Дата) Экспорт
```

Пример вызова
```bsl
Результат = КонтрольПраваПримененияСпецрежимаКлиентСервер.БазовыйЛимитДоходовДляПримененияПовышеннойСтавкиУСН(Дата) 
```
</details>

## ГраницаЧисленностиРаботниковДляПримененияПовышеннойСтавкиУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает лимит средней численности работников для применения УСН, с учетом возможного перехода на
// повышенную ставку
//
// Параметры:
//  Дата - дата - дата на которую получаем лимит
//
// Возвращаемое значение:
//  Число
Функция ГраницаЧисленностиРаботниковДляПримененияПовышеннойСтавкиУСН(Дата) Экспорт
```

Пример вызова
```bsl
Результат = КонтрольПраваПримененияСпецрежимаКлиентСервер.ГраницаЧисленностиРаботниковДляПримененияПовышеннойСтавкиУСН(Дата) 
```
</details>

## ГраницаЧисленностиРаботниковДляПримененияОсновнойСтавкиУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает лимит средней численности работников
//
// Параметры:
//  Дата - Дата - Дата, на которую необходимо получить Границу среднесписочной численности работников
//
// Возвращаемое значение:
//  Число - Граница среднесписочной численности работников, ограничивающая право применения УСН
Функция ГраницаЧисленностиРаботниковДляПримененияОсновнойСтавкиУСН(Дата) Экспорт
```

Пример вызова
```bsl
Результат = КонтрольПраваПримененияСпецрежимаКлиентСервер.ГраницаЧисленностиРаботниковДляПримененияОсновнойСтавкиУСН(Дата) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
