---
title: Копирование строк клиент
slug: erp-uh/копирование-строк-клиент
---


## ВозможноКопированиеСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для копирования
//
// Параметры:
//	ТекущаяСтрока - ДанныеФормыЭлементКоллекции  - Элемент табличной части, которую надо проверить на заполненность.
//
// Возвращаемое значение:
//	Булево - Ложь, если необходимые данные не заполнены.
//
Функция ВозможноКопированиеСтрок(ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = КопированиеСтрокКлиент.ВозможноКопированиеСтрок(ТекущаяСтрока) 
```
</details>

## ОповеститьПользователяОКопированииСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в формах документов и справочников при копировании строк.
//
// Параметры:
//     КоличествоВыделенных - Число - количество выделенных строк табличной части.
//
Процедура ОповеститьПользователяОКопированииСтрок(КоличествоВыделенных) Экспорт
```

Пример вызова
```bsl
КопированиеСтрокКлиент.ОповеститьПользователяОКопированииСтрок(КоличествоВыделенных) 
```
</details>

## ОповеститьПользователяОВставкеСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в формах документов и справочников при вставке строк.
//
// Параметры:
//     КоличествоВставленных - Число - количество вставленных строк в табличную часть.
//
Процедура ОповеститьПользователяОВставкеСтрок(КоличествоВставленных) Экспорт
```

Пример вызова
```bsl
КопированиеСтрокКлиент.ОповеститьПользователяОВставкеСтрок(КоличествоВставленных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
