---
title: Копирование строк сервер
slug: erp-uh/копирование-строк-сервер
---


## ПоместитьВыделенныеСтрокиВБуферОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает данные в буфер обмена
//
// Параметры:
//   ВыделенныеСтроки - Массив - Массив идентификаторов выделенных строк
//   ТабЧасть -ТабличнаяЧасть - Табличная часть объекта с копируемыми строками.
//   ИменаКолонок -Структура - содержит описание сопоставления имен колонок, если требуется.
//
Процедура ПоместитьВыделенныеСтрокиВБуферОбмена(ВыделенныеСтроки, ТабЧасть, ИменаКолонок = Неопределено) Экспорт
```

Пример вызова
```bsl
КопированиеСтрокСервер.ПоместитьВыделенныеСтрокиВБуферОбмена(ВыделенныеСтроки, ТабЧасть, ИменаКолонок);
```
</details>

## ПолучитьСтрокиИзБуфераОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные из буфера обмена.
//
// Параметры:
//   ПараметрыОтбора - Структура - Параметры отбора строк.
//
// Возвращаемое значение:
//   ТаблицаЗначений - Строки, полученные из буфера обмена.
//
Функция ПолучитьСтрокиИзБуфераОбмена(ПараметрыОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = КопированиеСтрокСервер.ПолучитьСтрокиИзБуфераОбмена(ПараметрыОтбора);
```
</details>

## ПоместитьВыделенныеЯчейкиБюджетаВБуферОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает данные в буфер обмена.
//
// Параметры:
//   ЯчейкиБюджета - Массив - массив с копируемыми ячейками.
//
Процедура ПоместитьВыделенныеЯчейкиБюджетаВБуферОбмена(ЯчейкиБюджета) Экспорт
```

Пример вызова
```bsl
КопированиеСтрокСервер.ПоместитьВыделенныеЯчейкиБюджетаВБуферОбмена(ЯчейкиБюджета) 
```
</details>

## ПолучитьЯчейкиБюджетаИзБуфераОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные из буфера обмена.
//
// Возвращаемое значение:
//   Массив - массив с вставляемыми ячейками.
//
Функция ПолучитьЯчейкиБюджетаИзБуфераОбмена() Экспорт
```

Пример вызова
```bsl
Результат = КопированиеСтрокСервер.ПолучитьЯчейкиБюджетаИзБуфераОбмена() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
