---
title: Корректировка остатков ЕГАИС клиент переопределяемый
slug: erp-uh/корректировка-остатков-егаис-клиент-переопределяемый
---


## СоздатьПриказНаПроведениеИнвентаризации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре требуется реализовать открытие формы нового документа инвентаризации (пересчета товаров).
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма запущенной обработки корректировки остатков,
//   ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС - склад пересчета.
//
Процедура СоздатьПриказНаПроведениеИнвентаризации(Форма, ТорговыйОбъект) Экспорт
```

Пример вызова
```bsl
КорректировкаОстатковЕГАИСКлиентПереопределяемый.СоздатьПриказНаПроведениеИнвентаризации(Форма, ТорговыйОбъект) 
```
</details>

## ОткрытьСписокИнвентаризаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре требуется реализовать открытие формы списка документов инвентаризации (пересчета товаров).
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма запущенной обработки корректировки остатков,
//   ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС - склад пересчета.
//
Процедура ОткрытьСписокИнвентаризаций(Форма, ТорговыйОбъект) Экспорт
```

Пример вызова
```bsl
КорректировкаОстатковЕГАИСКлиентПереопределяемый.ОткрытьСписокИнвентаризаций(Форма, ТорговыйОбъект) 
```
</details>

## СформироватьОтчетПоИзлишкамНедостачам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует отчет по излишкам/недостачам для переданного торгового объекта.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма запущенной обработки корректировки остатков,
//   ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС - склад пересчета.
//
Процедура СформироватьОтчетПоИзлишкамНедостачам(Форма, ТорговыйОбъект) Экспорт
```

Пример вызова
```bsl
КорректировкаОстатковЕГАИСКлиентПереопределяемый.СформироватьОтчетПоИзлишкамНедостачам(Форма, ТорговыйОбъект) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
