---
title: Криптография БЭД клиент сервер
slug: erp-uh/криптография-бэд-клиент-сервер
---


## НовыйКонтекстПроверкиКвалифицированногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ДвоичныеДанныеСертификата - ДвоичныеДанные
//  РезультатПроверкиСредствамиКриптографии - Строка, Булево -
//  Подпись - ДвоичныеДанные - данные подписи, указывается если сертификат проверяется в контексте проверки подписи
//                             (в таком случае при наличии меток доверенного времени проверки будут выполняться
//                             на дату подписания).
//
// Возвращаемое значение:
//  Структура:
// * ДвоичныеДанныеСертификата - ДвоичныеДанные
// * РезультатПроверкиСредствамиКриптографии - Строка, Булево -
// * Подпись - Неопределено, ДвоичныеДанные -
Функция НовыйКонтекстПроверкиКвалифицированногоСертификата(ДвоичныеДанныеСертификата, РезультатПроверкиСредствамиКриптографии, Подпись = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.НовыйКонтекстПроверкиКвалифицированногоСертификата(ДвоичныеДанныеСертификата, РезультатПроверкиСредствамиКриптографии, Подпись);
```
</details>

## ПроверитьКвалифицировнныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Сертификат - СертификатКриптографии
//  КонтекстПроверки - См. НовыйКонтекстПроверкиКвалифицированногоСертификата
//
// Возвращаемое значение:
//  Структура:
//  * Протокол - См. ПротоколПроверкиКвалификацииСертификата
//  * Успех - Булево
Функция ПроверитьКвалифицировнныйСертификат(Сертификат, КонтекстПроверки) Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.ПроверитьКвалифицировнныйСертификат(Сертификат, КонтекстПроверки) 
```
</details>

## СформироватьОшибкуПоПротоколуПроверкиКвалификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Сертификат - СертификатКриптографии
//  Протокол - См. ПротоколПроверкиКвалификацииСертификата
//
// Возвращаемое значение:
//  См. ОбработкаНеисправностейБЭДКлиентСервер.НоваяОшибка
Функция СформироватьОшибкуПоПротоколуПроверкиКвалификации(Сертификат, Протокол) Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.СформироватьОшибкуПоПротоколуПроверкиКвалификации(Сертификат, Протокол) 
```
</details>

## ВидОшибкиПодписьНеверна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  См. ОбработкаНеисправностейБЭДКлиентСервер.НовоеОписаниеВидаОшибки
Функция ВидОшибкиПодписьНеверна() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.ВидОшибкиПодписьНеверна() 
```
</details>

## СертификатПодписавшейСтороны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сертификат подписавшей стороны из коллекции сертификатов, извлеченной из данных подписи.
// Поиск происходит с учетом того, что CN Субъекта и Издателя могут быть равны.
//
// Параметры:
//  СертификатыПодписи - Массив из СертификатКриптографии - сертификаты, извлеченные из данных подписи,
//                                                          см. метод платформы ПолучитьСертификатыИзПодписи.
//
// Возвращаемое значение:
// СертификатКриптографии, Неопределено - сертификат, с помощью которого была произведена подпись.
//
Функция СертификатПодписавшейСтороны(Знач СертификатыПодписи) Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.СертификатПодписавшейСтороны(СертификатыПодписи) 
```
</details>

## НовыйРезультатПолученияОтпечатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустой результат получения отпечатков сертификатов.
//
// Возвращаемое значение:
// 	Структура:
// * Отпечатки - Массив из Строка
// * Ошибка - Булево - при получении отпечатков произошла ошибка.
// * Доступность - Булево - используется ли криптография в контекстах: клиент, сервер, облачный сервис криптографии.
// * ТекстОшибки - Строка
Функция НовыйРезультатПолученияОтпечатков() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.НовыйРезультатПолученияОтпечатков() 
```
</details>

## НовыеРезультатыПолученияОтпечатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результаты получения отпечатков сертификатов в контекстах: Клиент, Сервер, Облако.
//
// Возвращаемое значение:
// 	Структура:
// * Клиент - Неопределено - получение отпечатков не выполнялось.
//          - см. НовыйРезультатПолученияОтпечатков
// * Сервер - Неопределено - получение отпечатков не выполнялось.
//          - см. НовыйРезультатПолученияОтпечатков
// * Облако - Неопределено - получение отпечатков не выполнялось.
//          - см. НовыйРезультатПолученияОтпечатков
Функция НовыеРезультатыПолученияОтпечатков() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.НовыеРезультатыПолученияОтпечатков() 
```
</details>

## НовыеСвойстваПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание подписи.
//
// Возвращаемое значение:
//  Структура:
//  * Подпись - ДвоичныеДанные
//  * Сертификат - ДвоичныеДанные
//  * Отпечаток - Строка
//  * КомуВыданСертификат - Строка
//  * УстановившийПодпись - СправочникСсылка.Пользователи
//  * ДатаПроверкиПодписи - Дата
//  * ПодписьВерна - Булево
//  * ИмяФайлаПодписи - Строка
//  * ДатаПодписи - Дата
//  * Комментарий - Строка
//  * ТипПодписи - ПеречислениеСсылка.ТипыЭлектроннойПодписи
//  * ПропуститьПриПродлении - Булево
//  * СрокДействияПоследнейМеткиВремени - Дата - срок действия сертификата, которым подписана
//                                    последняя метка времени (или пустая дата, если нет метки времени)
//  * ПорядковыйНомер - Число - идентификатор подписи, по которому можно упорядочивать их в списке.
//                      Не заполнен, если подпись не связана с объектом.
//  * ПодписанныйОбъект - ОпределяемыйТип.ПодписанныйОбъект - идентификатор подписи, по которому можно
//                        упорядочивать их в списке. Не заполнен, если подпись не связана с объектом.
//  * ОшибкаПриАвтоматическомПродлении - Булево - служебный, заполняется регламентным заданием.
//  * ОписаниеСертификата - Структура - свойство, требуемое для сертификатов, которые
//                          не могут быть переданы в метод платформы СертификатКриптографии, со свойствами:
//  ** СерийныйНомер - Строка - серийный номер сертификата, как у объекта платформы СертификатКриптографии.
//  ** КемВыдан      - Строка - как возвращает функция ПредставлениеИздателя.
//  ** КомуВыдан     - Строка - как возвращает функция ПредставлениеСубъекта.
//  ** ДатаНачала    - Строка - дата сертификата, как у объекта платформы СертификатКриптографии в формате "ДЛФ=D".
//  ** ДатаОкончания - Строка - дата сертификата, как у объекта платформы СертификатКриптографии в формате "ДЛФ=D".
//  * ДатаПодписиИзМетки - Дата, Неопределено - самый ранний штамп времени: CADES-T, если его нет, но есть другие штампы,
//               дата заполняется только с помощью менеджера криптографии.
//  * ТипПодписи  - ПеречислениеСсылка.ТипыПодписиКриптографии
Функция НовыеСвойстваПодписи() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.НовыеСвойстваПодписи() 
```
</details>

## НовыйРезультатПроверкиПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат проверки подписи.
//
// Возвращаемое значение:
//  Структура:
// * ОписаниеОшибки - Строка
// * ОшибкаИнициализацииПроверки - Булево
// * СвойстваПодписи - см. НовыеСвойстваПодписи
Функция НовыйРезультатПроверкиПодписи() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.НовыйРезультатПроверкиПодписи() 
```
</details>

## ВидыСертификатовЭлектроннойПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру видов сертификатов электронной подписи.
//
// Возвращаемое значение:
//  Структура:
//  * СертификатДолжностногоЛицаГосОрганаУЦ - Строка
//  * СертификатЮЛ - Строка
//  * СертификатИП - Строка
//  * СертификатФЛ - Строка
//
Функция ВидыСертификатовЭлектроннойПодписи() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.ВидыСертификатовЭлектроннойПодписи() 
```
</details>

## ВидОшибкиКриптография
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид ошибки, возникающей при проблемах с криптографией.
//
// Возвращаемое значение:
// 	См. ОбработкаНеисправностейБЭДКлиентСервер.НовоеОписаниеВидаОшибки
Функция ВидОшибкиКриптография() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.ВидОшибкиКриптография() 
```
</details>

## НовыеДанныеРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * Сертификат - Неопределено,СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования
//  * Данные - Неопределено,ДвоичныеДанные
Функция НовыеДанныеРасшифровки() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.НовыеДанныеРасшифровки() 
```
</details>

## НовыйНаборДанныхДляРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//  * Ключ - Строка
//  * Значение - Массив из см. НовыеДанныеРасшифровки
Функция НовыйНаборДанныхДляРасшифровки() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.НовыйНаборДанныхДляРасшифровки() 
```
</details>

## НовыйНаборРасшифрованныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//  * Ключ - Строка
//  * Значение - см. НовыеДанныеРасшифровки
Функция НовыйНаборРасшифрованныхДанных() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДКлиентСервер.НовыйНаборРасшифрованныхДанных() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
