---
title: Кросс таблицы УХ клиент сервер
slug: erp-uh/кросс-таблицы-ух-клиент-сервер
---


## ЗаполнитьТаблицуИзКроссТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить таблицу из кросс-таблицы с переносом значений из колонок кросс-таблицы в реквизиты таблицы.
//
// Параметры:
//  Таблица              - ДанныеФормы.Коллекция - Табличная часть объекта
//	ОписаниеКТ			 - Структура - Описание кросс-таблицы
//  КроссТаблица         - ДанныеФормы.Коллекция - Кросс-таблица в форме
//  ТаблицаРасшифровки   - ДанныеФормы.Коллекция - Расшифровка кросс-таблицы
//  Периоды              - ДанныеФормы.Коллекция - Периоды кросс-таблицы
//
Процедура ЗаполнитьТаблицуИзКроссТаблицы(Объект, ОписаниеКТ, КроссТаблица, ТаблицаРасшифровки, Периоды) Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.ЗаполнитьТаблицуИзКроссТаблицы(Объект, ОписаниеКТ, КроссТаблица, ТаблицаРасшифровки, Периоды) 
```
</details>

## РассчитатьНомерСтрокиКроссТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рассчитывает добавленное поле "Номер строки" для кросс-таблицы
//
// Параметры:
//  Форма                    - УправляемаяФорма - Форма в которой есть кросс-таблица
//  ИмяРеквизитаКроссТаблицы - Строка - Имя кросс-таблицы в форме
//
Процедура РассчитатьНомерСтрокиКроссТаблицы(ОписаниеКТ, Форма) Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.РассчитатьНомерСтрокиКроссТаблицы(ОписаниеКТ, Форма) 
```
</details>

## РассчитатьИтогиКолонокИОбщие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рассчитывает итоги ресурсов кросс-таблицы
//
// Параметры:
//  Форма                    - УправляемаяФорма - Форма в которой есть кросс-таблица
//	ОписаниеКТ				 - Структура - Описание кросс-таблицы
//  РассчитыватьСтроки		 - Булево - Признак необходимости расчета строк
//
Процедура РассчитатьИтогиКолонокИОбщие(ОписаниеКТ, Форма, РассчитыватьСтроки = Истина) Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.РассчитатьИтогиКолонокИОбщие(ОписаниеКТ, Форма, РассчитыватьСтроки);
```
</details>

## ПолучитьКнопкуУправленияЛимитированиемСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
Функция ПолучитьКнопкуУправленияЛимитированиемСтроки(ОписаниеКТ, Форма) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьКнопкуУправленияЛимитированиемСтроки(ОписаниеКТ, Форма) экспорт);
```
</details>

## РассчитатьИтогиПоСтрокеКТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рассчитывает итоги по строкеКТ (Сумма, кол-во)
Процедура РассчитатьИтогиПоСтрокеКТ(ОписаниеКТ, СтрокаКТ, МассивАктивныПериодов) Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.РассчитатьИтогиПоСтрокеКТ(ОписаниеКТ, СтрокаКТ, МассивАктивныПериодов) 
```
</details>

## СохранитьДанныеКроссТаблицыВОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьДанныеКроссТаблицыВОбъект(ДокументОбъект, ОписаниеКТ, Форма) экспорт Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.СохранитьДанныеКроссТаблицыВОбъект(ДокументОбъект, ОписаниеКТ, Форма) экспорт);
```
</details>

## ПолучитьОписаниеПериодаПоИмениЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеПериодаПоИмениЭлемента(ТаблицаПериодов, ИмяЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьОписаниеПериодаПоИмениЭлемента(ТаблицаПериодов, ИмяЭлемента) 
```
</details>

## Ресурс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Ресурс(СтрокаКТ, ПериодКТ, ПрефиксРесурса) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.Ресурс(СтрокаКТ, ПериодКТ, ПрефиксРесурса) экспорт);
```
</details>

## УстановитьРесурс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьРесурс(СтрокаКТ, ПериодКТ, ПрефиксРесурса, Значение) экспорт Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.УстановитьРесурс(СтрокаКТ, ПериодКТ, ПрефиксРесурса, Значение) экспорт);
```
</details>

## ИзменитьВидимостьКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьВидимостьКолонки(Форма, ОписаниеКТ, ИмяЭлементаУправления, ВидимостьКолонкиКТ) экспорт Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.ИзменитьВидимостьКолонки(Форма, ОписаниеКТ, ИмяЭлементаУправления, ВидимостьКолонкиКТ) экспорт);
```
</details>

## ПолучитьИмяЭлементаГруппаПоПериоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяЭлементаГруппаПоПериоду(ОписаниеКТ, ОписаниеПериода) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьИмяЭлементаГруппаПоПериоду(ОписаниеКТ, ОписаниеПериода) экспорт);
```
</details>

## ПолучитьИмяЭлементаГруппаПоПериодуПоказателю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяЭлементаГруппаПоПериодуПоказателю(ОписаниеКТ, ОписаниеПериода, ОписаниеПоказателя) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьИмяЭлементаГруппаПоПериодуПоказателю(ОписаниеКТ, ОписаниеПериода, ОписаниеПоказателя) экспорт);
```
</details>

## ПолучитьАктивныеПериоды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает активные периоды кросс-таблицы
Функция ПолучитьАктивныеПериоды(ОписаниеКТ, Форма) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьАктивныеПериоды(ОписаниеКТ, Форма) экспорт);
```
</details>

## ПолучитьТаблицуАктивныхПериодовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает таблицу периодов указанной кросс-таблицы
Функция ПолучитьТаблицуАктивныхПериодовФормы(ОписаниеКТ, Форма) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьТаблицуАктивныхПериодовФормы(ОписаниеКТ, Форма) экспорт);
```
</details>

## ПолучитьРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает массив реквизитов кросс-таблицы по заданным в параметрах массивах ресурсов, показателей и периодов.
Функция ПолучитьРеквизиты(Ресурсы, Показатели, Периоды) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьРеквизиты(Ресурсы, Показатели, Периоды) экспорт);
```
</details>

## ПолучитьИмяЭлемента_Измерение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
Функция ПолучитьИмяЭлемента_Измерение(ОписаниеКТ, УникальноеИмяЭлемента, Постфикс="") экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьИмяЭлемента_Измерение(ОписаниеКТ, УникальноеИмяЭлемента, Постфикс);
```
</details>

## ПолучитьИмяЭлемента_ДопРеквизит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
Функция ПолучитьИмяЭлемента_ДопРеквизит(ОписаниеКТ, УникальноеИмяЭлемента) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьИмяЭлемента_ДопРеквизит(ОписаниеКТ, УникальноеИмяЭлемента) экспорт);
```
</details>

## ПолучитьИмяЭлемента_Расшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя элемента из таблицы экспресс-расшифровки
Функция ПолучитьИмяЭлемента_Расшифровка(ОписаниеКТ, УникальноеИмяЭлемента, Постфикс="") экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьИмяЭлемента_Расшифровка(ОписаниеКТ, УникальноеИмяЭлемента, Постфикс);
```
</details>

## ПолучитьИмяЭлемента_Ресурс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить имя элемента ресурса
Функция ПолучитьИмяЭлемента_Ресурс(ОписаниеКТ, УникальноеИмяЭлемента, Постфикс="") экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ПолучитьИмяЭлемента_Ресурс(ОписаниеКТ, УникальноеИмяЭлемента, Постфикс);
```
</details>

## ЕстьАналитикаШапки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьАналитикаШапки(ОписаниеКТ, ИмяАналитики) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ЕстьАналитикаШапки(ОписаниеКТ, ИмяАналитики) экспорт);
```
</details>

## ЕстьАналитикаСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьАналитикаСтроки(ОписаниеКТ, ИмяАналитики) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ЕстьАналитикаСтроки(ОписаниеКТ, ИмяАналитики) экспорт);
```
</details>

## ЕстьАналитикаРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьАналитикаРасшифровки(ОписаниеКТ, ИмяАналитики) экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.ЕстьАналитикаРасшифровки(ОписаниеКТ, ИмяАналитики) экспорт);
```
</details>

## АналитикиСтрокиКТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АналитикиСтрокиКТ(ОписаниеКТ, Форма, ТекущиеДанные, ОбязательныеРеквизитыШапки="") экспорт Экспорт
```

Пример вызова
```bsl
Результат = КроссТаблицыУХКлиентСервер.АналитикиСтрокиКТ(ОписаниеКТ, Форма, ТекущиеДанные, ОбязательныеРеквизитыШапки);
```
</details>

## УстановитьПараметрВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура добавляет/заменяет параметр выбора у поля ввода формы
Процедура УстановитьПараметрВыбора(Элемент, ИмяПараметраВыбора, Ограничение) экспорт Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.УстановитьПараметрВыбора(Элемент, ИмяПараметраВыбора, Ограничение) экспорт);
```
</details>

## УдалитьПараметрВыбораИзМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура удаляет по имени параметр выбора из массива параметров выбора
Процедура УдалитьПараметрВыбораИзМассива(МассивПараметровВыбора, ИмяПараметраВыбора) экспорт Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.УдалитьПараметрВыбораИзМассива(МассивПараметровВыбора, ИмяПараметраВыбора) экспорт);
```
</details>

## УстановитьВидимостьКолонкиРесурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость колонок ресурса кросс-таблицы
Процедура УстановитьВидимостьКолонкиРесурса(Форма, ОписаниеКТ, ОписаниеРесурса, ВидимостьКолонкиКТ) экспорт Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.УстановитьВидимостьКолонкиРесурса(Форма, ОписаниеКТ, ОписаниеРесурса, ВидимостьКолонкиКТ) экспорт);
```
</details>

## УстановитьВидимостьКолонкиПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость колонок показателей кросс-таблицы
Процедура УстановитьВидимостьКолонкиПоказателя(Форма, ОписаниеКТ, ОписаниеПоказателя, ВидимостьКолонкиКТ) экспорт Экспорт
```

Пример вызова
```bsl
КроссТаблицыУХКлиентСервер.УстановитьВидимостьКолонкиПоказателя(Форма, ОписаниеКТ, ОписаниеПоказателя, ВидимостьКолонкиКТ) экспорт);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
