---
title: Лимиты расходования денежных средств сервер
slug: erp-uh/лимиты-расходования-денежных-средств-сервер
---


## ПланФактЛимитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Вызывается из Отчет.ЛимитыРасходаДенежныхСредствПоДаннымБюджетирования.МодульОбъекта
// Плановое и фактическое состояние по лимитам на расходование ДС.
//
// Параметры:
//	ДатаПроверки - Дата - дата, на которую проверяется состояние лимитов.
//	Документ     - ДокументСсылка.ЗаявкаНаРасходованиеДенежныхСредств - документ, для которого формируются временные движения по регистрам ДС.
//	             - Неопределено - Значение по умолчанию.
//	ВалютаЗаявки - СправочникСсылка.Валюты - валюта, в которой нужно получить план-факт.
//	             - Неопределено - Значение по умолчанию.
//	ОтборРасшифровки - Структура - Отбор, накладываемый расшифровкой отчета (вышестоящие от расшифровываемой ячейки значения полей).
//	                               При расшифровке сравнение только на равенство:
//	 *ИспользоватьОтбор - Булево - Флаг использования отбора.
//	 *РасшифровкаПоРегистратору - Булево - Флаг использования расшифровки по регистратору. Расшифровка по регистратору может выполняться
//	                                       только если отбор задан, и отбор включает в себя отбор по правилу получения факта.
//	 *МодельБюджетирования - СправочникСсылка.МоделиБюджетирования - отбор по модели бюджетирования (если отбор задан).
//	 *ПравилоЛимитов - СправочникСсылка.ПравилаЛимитовПоДаннымБюджетирования - отбор по правилу лимитов (если отбор задан).
//	 *ОтборПоАналитикамПлана - Массив из Структура - отбор по вышестоящим аналитикам плана (если задан):
//	   **ИмяИзмеренияНомерАналитики - Строка - Имя измерения или путь к нумерованной аналитике (вида "Аналитика1", здесь номер тот, который задан в статье бюджетов).
//	   **Значение - Характеристика.АналитикиСтатейБюджетов - Значение измерения или аналитики.
//	 *ОтборПоАналитикамФакта - Массив из Структура - отбор по вышестоящим аналитикам факта (если задан):
//	   **ИмяИзмеренияНомерАналитики - Строка - Имя измерения или путь к нумерованной аналитике (вида "Аналитика1", здесь номер тот, который задан в статье бюджетов).
//	   **Значение - Характеристика.АналитикиСтатейБюджетов - Значение измерения или аналитики.
//
// Возвращаемое значение:
//	ТаблицаЗначений - данные о плановом и фактическом состоянии лимитов на расходование ДС.
//
Функция ПланФактЛимитов(ДатаПроверки, Знач Документ = Неопределено, Знач ВалютаЗаявки = Неопределено, ОтборРасшифровки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЛимитыРасходованияДенежныхСредствСервер.ПланФактЛимитов(ДатаПроверки, Документ, ВалютаЗаявки, ОтборРасшифровки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
