---
title: Логирование запросов ВЕТИС
slug: erp-uh/логирование-запросов-ветис
---


## ОтключитьЛогированиеЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает режим записи логов.
//
Процедура ОтключитьЛогированиеЗапросов() Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовВЕТИС.ОтключитьЛогированиеЗапросов() 
```
</details>

## ИнформацияОбОкружении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текствое описание текущего окружения и параметров.
//
// Возвращаемое значение:
// 	Строка - Текстовое описание текущего окружения.
Функция ИнформацияОбОкружении() Экспорт
```

Пример вызова
```bsl
Результат = ЛогированиеЗапросовВЕТИС.ИнформацияОбОкружении() 
```
</details>

## ПараметрыЛогированияЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текущие параметры логирования.
//
// Возвращаемое значение:
// 	см. ЛогированиеЗапросовИС.ПараметрыЛогированияЗапросов
Функция ПараметрыЛогированияЗапросов() Экспорт
```

Пример вызова
```bsl
Результат = ЛогированиеЗапросовВЕТИС.ПараметрыЛогированияЗапросов() 
```
</details>

## УстановитьПараметрыЛогированияЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет параметры логирования в параметр сеанса.
//
// Параметры:
// 	ПараметрыЛогирования - см. ЛогированиеЗапросовИС.ПараметрыЛогированияЗапросов.
Процедура УстановитьПараметрыЛогированияЗапросов(ПараметрыЛогирования) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовВЕТИС.УстановитьПараметрыЛогированияЗапросов(ПараметрыЛогирования) 
```
</details>

## ДописатьВТекущийЛогДанныеИзФоновогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дописывает полученные данные лога запросов в текущий уровень логирования.
//
// Параметры:
// 	ДанныеДокумента - Структура:
// 	* ДанныеЛогаЗапросов - Строка - Данные для записи в лог запросов
Процедура ДописатьВТекущийЛогДанныеИзФоновогоЗадания(ДанныеДокумента) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовВЕТИС.ДописатьВТекущийЛогДанныеИзФоновогоЗадания(ДанныеДокумента) 
```
</details>

## ДополнитьПодвалЛогаЗапросовДаннымиПоКлассификаторам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьПодвалЛогаЗапросовДаннымиПоКлассификаторам(ДанныеОкружения) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовВЕТИС.ДополнитьПодвалЛогаЗапросовДаннымиПоКлассификаторам(ДанныеОкружения));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
