---
title: Логирование запросов ИС
slug: erp-uh/логирование-запросов-ис
---


## ВключитьЛогированиеЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает логирование запросов в текущем сейнсе на время ЗаписыватьСекунд.
//
// Параметры:
// 	ПараметрыЛогирования - см. НовыеПараметрыЛогированияЗапросов.
// 	ЗаписыватьСекунд - Неопределено, Число - Количество секунд, после которых прекратится запись логов запросов.
// 	НовыйЛог         - Булево              - Добавляет новый слой логирования. Используется для вложенного логирования
// 	                                         Возвращаются параметры логирования с текущим значением идентификатора логов.
// Возвращаемое значение:
// 	см. НовыеПараметрыЛогированияЗапросов.
Функция ВключитьЛогированиеЗапросов(ПараметрыЛогирования, ЗаписыватьСекунд = Неопределено, НовыйЛог = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЛогированиеЗапросовИС.ВключитьЛогированиеЗапросов(ПараметрыЛогирования, ЗаписыватьСекунд, НовыйЛог);
```
</details>

## ОчиститьЛогЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает файл лога основного слоя.
//
// Параметры:
// 	ПараметрыЛогирования - см. НовыеПараметрыЛогированияЗапросов.
Процедура ОчиститьЛогЗапросов(ПараметрыЛогирования) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовИС.ОчиститьЛогЗапросов(ПараметрыЛогирования) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
