---
title: Логирование запросов ИСМП
slug: erp-uh/логирование-запросов-исмп
---


## ПараметрыЛогированияЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текущие параметры логирования.
//
// Возвращаемое значение:
// 	см. ЛогированиеЗапросовИС.ПараметрыЛогированияЗапросов.
Функция ПараметрыЛогированияЗапросов() Экспорт
```

Пример вызова
```bsl
Результат = ЛогированиеЗапросовИСМП.ПараметрыЛогированияЗапросов() 
```
</details>

## УстановитьПараметрыЛогированияЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет параметры логирования в параметр сеанса.
//
// Параметры:
// 	ПараметрыЛогирования - см. ЛогированиеЗапросовИС.ПараметрыЛогированияЗапросов.
Процедура УстановитьПараметрыЛогированияЗапросов(ПараметрыЛогирования) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовИСМП.УстановитьПараметрыЛогированияЗапросов(ПараметрыЛогирования) 
```
</details>

## ОтключитьЛогированиеЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает режим записи логов.
//
Процедура ОтключитьЛогированиеЗапросов() Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовИСМП.ОтключитьЛогированиеЗапросов() 
```
</details>

## ПослеПроверкиКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. МенеджерОборудованияВызовСервераПереопределяемый.ПослеПроверкиКодовМаркировки
Процедура ПослеПроверкиКодовМаркировки(ДанныеОбмена) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовИСМП.ПослеПроверкиКодовМаркировки(ДанныеОбмена) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
