---
title: Логирование запросов ИСМП вызов сервера
slug: erp-uh/логирование-запросов-исмп-вызов-сервера
---


## АдресСодержанияЛоговЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает содержимое текущего лога запросов и помещает во временной хранилище.
//
// Параметры:
// 	УникальныйИдентификаторФормы - УникальныйИдентификатор - Уникальный идентификатор формы.
// Возвращаемое значение:
// 	Строка - Адрес содержания лога во временном хранилище.
Функция АдресСодержанияЛоговЗапросов(УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
Результат = ЛогированиеЗапросовИСМПВызовСервера.АдресСодержанияЛоговЗапросов(УникальныйИдентификаторФормы) 
```
</details>

## ВключитьЛогированиеЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ЛогированиеЗапросовИС.ВключитьЛогированиеЗапросов
Процедура ВключитьЛогированиеЗапросов(ЗаписыватьСекунд = 300, НовыйЛог = Ложь) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовИСМПВызовСервера.ВключитьЛогированиеЗапросов(ЗаписыватьСекунд, НовыйЛог);
```
</details>

## Вывести
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит содержимое в лог запросов.
//
// Параметры:
//  ТекстДляВывода            - Строка - Текст для вывода в лог
//  Штрихкод                  - Неопределено, Массив из Структура - список данных штрихкодов для вывода в лог
//  РезультатРазбораШтрихКода - Неопределено, Массив Из Структура - даннные разбора штрихкода для вывода в лог
Процедура Вывести(ТекстДляВывода, Штрихкод = Неопределено, РезультатРазбораШтрихКода = Неопределено) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовИСМПВызовСервера.Вывести(ТекстДляВывода, Штрихкод, РезультатРазбораШтрихКода);
```
</details>

## ВыполняетсяЛогированиеЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ЛогированиеЗапросовИС.ВыполняетсяЛогированиеЗапросов
Функция ВыполняетсяЛогированиеЗапросов() Экспорт
```

Пример вызова
```bsl
Результат = ЛогированиеЗапросовИСМПВызовСервера.ВыполняетсяЛогированиеЗапросов() 
```
</details>

## ДописатьВТекущийЛогДанныеИзФоновогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДописатьВТекущийЛогДанныеИзФоновогоЗадания(ДанныеОтвета) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовИСМПВызовСервера.ДописатьВТекущийЛогДанныеИзФоновогоЗадания(ДанныеОтвета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
