---
title: Логирование запросов САТУРН
slug: erp-uh/логирование-запросов-сатурн
---


## ОтключитьЛогированиеЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает режим записи логов.
//
Процедура ОтключитьЛогированиеЗапросов() Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовСАТУРН.ОтключитьЛогированиеЗапросов() 
```
</details>

## ИнформацияОбОкружении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текствое описание текущего окружения и параметров.
//
// Возвращаемое значение:
// 	Строка - Текстовое описание текущего окружения.
Функция ИнформацияОбОкружении() Экспорт
```

Пример вызова
```bsl
Результат = ЛогированиеЗапросовСАТУРН.ИнформацияОбОкружении() 
```
</details>

## ПараметрыЛогированияЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текущие параметры логирования.
//
// Возвращаемое значение:
// 	см. ЛогированиеЗапросовИС.ПараметрыЛогированияЗапросов.
Функция ПараметрыЛогированияЗапросов() Экспорт
```

Пример вызова
```bsl
Результат = ЛогированиеЗапросовСАТУРН.ПараметрыЛогированияЗапросов() 
```
</details>

## ВывестиДанныеДляПротоколаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись HTTP запроса / ответа в файл логирования в формат протокола обмена, если запись лога включена.
//
// Параметры:
// 	РезультатЗапроса - см. ЛогированиеЗапросовИС.НоваяСтруктураДанныхЗаписи.
Процедура ВывестиДанныеДляПротоколаОбмена(РезультатЗапроса) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовСАТУРН.ВывестиДанныеДляПротоколаОбмена(РезультатЗапроса) 
```
</details>

## УстановитьПараметрыЛогированияЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет параметры логирования в параметр сеанса.
//
// Параметры:
// 	ПараметрыЛогирования - см. ЛогированиеЗапросовИС.ПараметрыЛогированияЗапросов.
Процедура УстановитьПараметрыЛогированияЗапросов(ПараметрыЛогирования) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовСАТУРН.УстановитьПараметрыЛогированияЗапросов(ПараметрыЛогирования) 
```
</details>

## ДописатьВТекущийЛогДанныеИзФоновогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дописывает полученные данные лога запросов в текущий уровень логирования.
//
// Параметры:
// 	ДанныеДокумента - Структура:
// 	* ДанныеЛогаЗапросов - Строка - Данные для записи в лог запросовю
Процедура ДописатьВТекущийЛогДанныеИзФоновогоЗадания(ДанныеДокумента) Экспорт
```

Пример вызова
```bsl
ЛогированиеЗапросовСАТУРН.ДописатьВТекущийЛогДанныеИзФоновогоЗадания(ДанныеДокумента) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
