---
title: Логирование операций БПО
slug: erp-uh/логирование-операций-бпо
---


## ПараметрыИсторияОплатыПлатежнойСистемой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры записи истории платежной операции
//
// Возвращаемое значение:
//  Структура:
//   * ИдентификаторЗапроса - Неопределено, Строка - Необязательный. Уникальный идентификатор запроса
//   * ДокументОснование - Неопределено, ОпределяемыйТип.ОснованиеФискальнойОперацииБПО -
//   * ИдентификаторФискальнойОперации - Неопределено, Строка -
//   * СуммаОперации - Число
//   * ОперацияВыполнена - Булево
//   * ДанныеЗапроса - Структура
//   * ДанныеОтвета - Структура
//
Функция ПараметрыИсторияОплатыПлатежнойСистемой() Экспорт
```

Пример вызова
```bsl
Результат = ЛогированиеОперацийБПО.ПараметрыИсторияОплатыПлатежнойСистемой() 
```
</details>

## ЗаписатьИсториюОплатаПлатежнойСистемой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись в регистр платежных операций
//
// Параметры:
//  Параметры - см. ПараметрыИсторияОплатыПлатежнойСистемой
Процедура ЗаписатьИсториюОплатаПлатежнойСистемой(Параметры) Экспорт
```

Пример вызова
```bsl
ЛогированиеОперацийБПО.ЗаписатьИсториюОплатаПлатежнойСистемой(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
