---
title: Логирование операций БПО переопределяемый
slug: erp-uh/логирование-операций-бпо-переопределяемый
---


## ДоступноЛогированиеПлатежныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доступность логирования платежных операций
//
// Параметры:
//  ЛогированиеДоступно - Булево - Доступность логирования.
//  СтандартнаяОбработка - Булево - Стандартная обработка.
//
Процедура ДоступноЛогированиеПлатежныхОпераций(ЛогированиеДоступно, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ЛогированиеОперацийБПОПереопределяемый.ДоступноЛогированиеПлатежныхОпераций(ЛогированиеДоступно, СтандартнаяОбработка) 
```
</details>

## ПриОпределенииПараметровЛогированияПодключаемогоОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// ++ НеМобильноеПриложение

// Позволяет настроить подсистему логирования оборудования
//
// Параметры:
//  Параметры - Структура:
//   * ИспользоватьЛогирование - Булево - позволяет отключить систему логирования
//   * ИнтервалПереносаНаСервер - Число - интервал записи лога оперций на сервере, по умолчанию 60 секунд
//
Процедура ПриОпределенииПараметровЛогированияПодключаемогоОборудования(Параметры) Экспорт
```

Пример вызова
```bsl
ЛогированиеОперацийБПОПереопределяемый.ПриОпределенииПараметровЛогированияПодключаемогоОборудования(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
