---
title: Льготные кредиты
slug: erp-uh/льготные-кредиты
---


## ОбновитьСостояниеЛьготныхЗаявок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик рег. задания ОбновлениеСостоянияЗаявокНаЛьготныйКредит
//
Процедура ОбновитьСостояниеЛьготныхЗаявок() Экспорт
```

Пример вызова
```bsl
ЛьготныеКредиты.ОбновитьСостояниеЛьготныхЗаявок() 
```
</details>

## ОрганизацииИмеющиеПравоНаЛьготныйКредит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка, что организация имеет право на льготный кредит по данным веб-сервиса ФНС.
//
// Параметры:
//  СписокИНН	 - Массив - Массив ИНН организаций, которые нужно проверить, что они имеют право на льготный кредит
//
// Возвращаемое значение:
//   Массив, Неопределено - Массив ИНН организаций, которые имеют право на льготный кредит
//            В случае недоступности веб-сервиса возвращается Неопределено;
//            В случае отсутствия подсистемы ЛьготныеКредиты2020 возвращается Неопределено;
//
Функция ОрганизацииИмеющиеПравоНаЛьготныйКредит(СписокИНН) Экспорт
```

Пример вызова
```bsl
Результат = ЛьготныеКредиты.ОрганизацииИмеющиеПравоНаЛьготныйКредит(СписокИНН) 
```
</details>

## ОрганизацииОтправлявшиеЗаявкиНаЛьготныйКредит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение по данным базы всех организаций, которые отправляли заявки на льготный кредит.
// Если организация создала заявку, но не отправила, то такие организации в результат не попадут.
//
// Возвращаемое значение:
//  Массив, Неопределено - Массив организаций, которые уже отправляли заявки на льготный кредит
//            В случае отсутствия подсистемы ЛьготныеКредиты2020 возвращается Неопределено;
//
Функция ОрганизацииОтправлявшиеЗаявкиНаЛьготныйКредит() Экспорт
```

Пример вызова
```bsl
Результат = ЛьготныеКредиты.ОрганизацииОтправлявшиеЗаявкиНаЛьготныйКредит() 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
ЛьготныеКредиты.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ПриПолученииСпискаШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийПереопределяемый.ПриПолученииСпискаШаблонов.
//
Процедура ПриПолученииСпискаШаблонов(ШаблоныЗаданий) Экспорт
```

Пример вызова
```bsl
ЛьготныеКредиты.ПриПолученииСпискаШаблонов(ШаблоныЗаданий) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
