---
title: Льготы по имущественным налогам
slug: erp-uh/льготы-по-имущественным-налогам
---


## ТекстПодсказкиЛьготы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует дополнительное описание для льготы с учетом ее применения к конкретной организации и/или
// к конкретному объекту налогообложения
//
// Параметры:
//  Льгота - СправочникСсылка.ОснованияЛьготПоИмущественнымНалогам - льгота, для которой формируется текст подсказки
//  Организация - СправочникСсылка.Организации - организация, в отношении имущества которой применена льгота
//  Период - дата - дата, на которую выбираются данные о льготе
//  ОсновноеСредство - СправочникСсылка.ОсновныеСредства - объект налогообложения, в отношении которого применена льгота.
//  	Если не указан, то текст подсказки формируется с учетом применения льготы в целом по организации.
//
// Возвращаемое значение:
//  ФорматированнаяСтрока - текст подсказки для льготы
//
Функция ТекстПодсказкиЛьготы(Льгота, Организация, Период, ОсновноеСредство = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЛьготыПоИмущественнымНалогам.ТекстПодсказкиЛьготы(Льгота, Организация, Период, ОсновноеСредство);
```
</details>

## НаименованиеФедеральнойЛьготы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует наименование для федеральной льготы (поименованной в НК).
//
// Параметры:
//  Объект - СправочникОбъект.ОснованияЛьготПоИмущественнымНалогам - объект справочника льгот,
//		для которого нужно сформировать наименование.
//
// Возвращаемое значение:
//  Строка - наименование федеральной льготы
//
Функция НаименованиеФедеральнойЛьготы(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЛьготыПоИмущественнымНалогам.НаименованиеФедеральнойЛьготы(Объект) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
