---
title: МСФО ВНА вызов сервера УХ
slug: erp-uh/мсфо-вна-вызов-сервера-ух
---


## ОбновитьПроверяемыеРеквизитыТаблицыПоРежимуЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПроверяемыеРеквизитыТаблицыПоРежимуЗаполнения(ПроверяемыеРеквизиты, ДокументОбъект, ИмяТабличнойЧасти = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОВНАВызовСервераУХ.ОбновитьПроверяемыеРеквизитыТаблицыПоРежимуЗаполнения(ПроверяемыеРеквизиты, ДокументОбъект, ИмяТабличнойЧасти);
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроверкиЗаполнения(ДокументОбъект, Отказ, ПроверяемыеРеквизиты, РеквизитыАмортизации = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОВНАВызовСервераУХ.ОбработкаПроверкиЗаполнения(ДокументОбъект, Отказ, ПроверяемыеРеквизиты, РеквизитыАмортизации);
```
</details>

## ПолучитьРеквизитыАмортизацииПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРеквизитыАмортизацииПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьРеквизитыАмортизацииПоУмолчанию());
```
</details>

## АлгоритмРСБУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АлгоритмРСБУ() Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.АлгоритмРСБУ() 
```
</details>

## ПолучитьРеквизитыВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить реквизиты ВНА
//
// Параметры:
//  Граница		 - <Дата,Граница,МоментВремени>	 - граница(дата), на которую получаются реквизиты ВНА
//  ВНА			 - <СправочникСсылка,Массив,СписокЗначений,НЕОПРЕДЕЛЕНО>	 - ВНА, по которым получаются реквизиты. Если НЕОПРЕДЕЛЕНО то получаются все ВНА
//  Организация	 - <СправочникСсылка.Организации,НЕОПРЕДЕЛЕНО>	 - Организация, по которой получаются ВНА. Если НЕОПРЕДЕЛЕНО то получаются по всем организациям
//  ВидыУчета	 - <Перечисление.ВидыУчета,Массив,СписокЗначений,>	 - НЕОПРЕДЕЛЕНО
//  Сценарий	 - <СправочникСсылка.Сценарий,НЕОПРЕДЕЛЕНО>	 - если НЕОПРЕДЕЛЕНО, тогда Константы.СценарийМСФО
//  ПоляВыбора	 - <Структура(Ключ: имя колонки результата, Значение: имя колонки СКД),Массив>
//
// Возвращаемое значение:
//   -  Новый Структура("НСБУ,МСФО", Новый Соответствие(ВНА,Структура), Новый Соответствие(ВНА,Структура))
//
Функция ПолучитьРеквизитыВНА(Граница, ВНА = Неопределено, Организация = Неопределено, ВидыУчета = Неопределено, Сценарий = Неопределено, ПоляВыбора = Неопределено, АлгоритмРСБУ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьРеквизитыВНА(Граница, ВНА, Организация, ВидыУчета, Сценарий, ПоляВыбора, АлгоритмРСБУ);
```
</details>

## ПолучитьПараметрыОбъектаВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыОбъектаВНА(ОбъектВНА, ДатаАктуальности = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьПараметрыОбъектаВНА(ОбъектВНА, ДатаАктуальности);
```
</details>

## ПолучитьДатуДокументИзПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДатуДокументИзПериода(Граница) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьДатуДокументИзПериода(Граница) 
```
</details>

## ПолучитьЗначенияСтруктурыСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначенияСтруктурыСтрокой(ПоляВыбора) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьЗначенияСтруктурыСтрокой(ПоляВыбора));
```
</details>

## РасчетАмортизацииРетро
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасчетАмортизацииРетро(ПараметрыРасчета, АлгоритмРСБУ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.РасчетАмортизацииРетро(ПараметрыРасчета, АлгоритмРСБУ);
```
</details>

## РазностьДатВМесяцах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазностьДатВМесяцах(ДатаУменьшаемая, ДатаВычитаемая) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.РазностьДатВМесяцах(ДатаУменьшаемая, ДатаВычитаемая) 
```
</details>

## ПолучитьДанныеАмортизацииВНА_ВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция вызывается при расчете элиминационных корректировок. Возвращает таблицу с данными амортизации внутригрупповых ВНА.
// Параметры:
//	ПериодСценария - СправочникСсылка.Периоды. Период за который необходимо посчитать амортизацию.
//	Сценарий - СправочникСсылка.Сценарии. Сценарий за который необходимо посчитать амортизацию.
//	ВидУчета - ПеречислениеСсылка.ВидыУчета. Всегда равен МСФО.
//	ТаблицаВНА - ТаблицаЗначений. Заполнены колонки: Организация, ВНА, ПервоначальнаяСтоимостьДляРасчета.
//		Остальные колонке необходимо расчитать и заполнить. Колонки:
//			Организация - СправочникСсылка.Организации. Входящие данные. Организация владелец ВНА.
//			ВалютаФункц - СправочникСсылка.Валюты. Входящие данные. Функциональная
//			Курс - Число. Входящие данные. Изменять не следует.
//			ВНА - СправочникСсылка.ОсновныеСредства,СправочникСсылка.НематериальныеАктивы. Входящие данные. Ссылка на внеоборотный актив.
//			НаценкаПродавца - Число. Входящие данные. Изменять не следует.
//			НаценкаПродавцаГр - Число. Входящие данные. Изменять не следует.
//			Проводка - Входящие данные. Изменять не следует.
//			СчетУчетаВНА - СправочникСсылка.СчетаБД. По данным МСФО.
//			СчетУчетаАмортизации - СправочникСсылка.СчетаБД. По данным МСФО.
//			СчетУчетаЗатратПоАмортизации - СправочникСсылка.СчетаБД. По данным МСФО.
//			ПервоначальнаяСтоимость - Число. Сумма балансовой стоимости ВНА на конец периода, либо если была продажа на момент продажи. По данным МСФО.
//			НакопленнаяАмортизация - Число. Сумма амортизации МСФО за все периоды с учетом всех модернизаций, изменения сроков амортизации и т.п.

//
Процедура ПолучитьДанныеАмортизацииВНА_ВГО(ТаблицаВНА, ПериодСценария, Сценарий) Экспорт
```

Пример вызова
```bsl
МСФОВНАВызовСервераУХ.ПолучитьДанныеАмортизацииВНА_ВГО(ТаблицаВНА, ПериодСценария, Сценарий) 
```
</details>

## РассчитатьАмортизациюПоПервоначальнойСтоимостиВНА_ВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция вызывается при расчете элиминационных корректировок. Возвращает таблицу с данными амортизации внутригрупповых ВНА.
// Параметры:
//	ПериодСценария - СправочникСсылка.Периоды. Период за который необходимо посчитать амортизацию.
//	Сценарий - СправочникСсылка.Сценарии. Сценарий за который необходимо посчитать амортизацию.
//	ВидУчета - ПеречислениеСсылка.ВидыУчета. Всегда равен МСФО.
//	ТаблицаВНА - ТаблицаЗначений. Заполнены колонки: Организация, ВНА, ПервоначальнаяСтоимостьДляРасчета.
//		Остальные колонке необходимо расчитать и заполнить. Колонки:
//			Организация - СправочникСсылка.Организации. Входящие данные. Организация владелец ВНА.
//			ВалютаФункц - СправочникСсылка.Валюты. Входящие данные. Функциональная
//			Курс - Число. Входящие данные. Изменять не следует.
//			ВНА - СправочникСсылка.ОсновныеСредства,СправочникСсылка.НематериальныеАктивы. Входящие данные. Ссылка на внеоборотный актив.
//			ПервоначальнаяСтоимостьДляРасчета - Число. Входящие данные. Для расчета амортизации за период (см. колонку "АмортизацияЗаПериодПоПереданнойСтоиомости" ниже).
//			ПервоначальнаяСтоимостьДляРасчетаГр - Число. Входящие данные. Не изменять и не использовать.
//			Проводка - Входящие данные. Изменять не следует.
//			СчетУчетаАмортизации - СправочникСсылка.СчетаБД. По данным МСФО.
//			СчетУчетаЗатратПоАмортизации - СправочникСсылка.СчетаБД. По данным МСФО.
//			АмортизацияЗаПериодПоПереданнойСтоиомости - Число. Сумма амортизации МСФО за период по переданной первоначальной стоимости,
//				которая записана в колонку "ПервоначальнаяСтоимостьДляРасчета". Все остальные параметры расчета амортизации беруться по
//				данным организации.
//			АмортизацияЗаПериод - Число. Сумма амортизации МСФО за период с учетом всех модернизаций и т.п.
//
Процедура РассчитатьАмортизациюПоПервоначальнойСтоимостиВНА_ВГО(ТаблицаВНА, ПериодСценария, Сценарий, ВидУчета) Экспорт
```

Пример вызова
```bsl
МСФОВНАВызовСервераУХ.РассчитатьАмортизациюПоПервоначальнойСтоимостиВНА_ВГО(ТаблицаВНА, ПериодСценария, Сценарий, ВидУчета) 
```
</details>

## ИспользоватьДанныеУчетнойСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//устарела
Функция ИспользоватьДанныеУчетнойСистемы(Организация) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ИспользоватьДанныеУчетнойСистемы(Организация) 
```
</details>

## ПолучитьВозможныеСпособыНачисленияАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВозможныеСпособыНачисленияАмортизации() Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьВозможныеСпособыНачисленияАмортизации() 
```
</details>

## УдалитьКолонкиМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьКолонкиМСФО(ТаблицаОбработки) Экспорт
```

Пример вызова
```bsl
МСФОВНАВызовСервераУХ.УдалитьКолонкиМСФО(ТаблицаОбработки) 
```
</details>

## ПолучитьПрофильРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПрофильРаспределения(СчетЗатрат, Субконто1, Субконто2, Субконто3) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьПрофильРаспределения(СчетЗатрат, Субконто1, Субконто2, Субконто3) 
```
</details>

## ПолучитьДокументыСобытияСОшибкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДокументыСобытияСОшибкой(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьДокументыСобытияСОшибкой(ДокументОснование) 
```
</details>

## ОбновитьПараметрыМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПараметрыМСФО(Форма, ДатаСведений = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОВНАВызовСервераУХ.ОбновитьПараметрыМСФО(Форма, ДатаСведений);
```
</details>

## ПолучитьГруппыВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьГруппыВНА(КоллекцияСтрок, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьГруппыВНА(КоллекцияСтрок, ПараметрыЗаполнения) 
```
</details>

## ПолучитьГраницуДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьГраницуДокумента(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьГраницуДокумента(ДокументОбъект) 
```
</details>

## ПолучитьГраницыПериодаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьГраницыПериодаДокумента(КонтекстДокумента, СмещениеПериода = 0, ИспользоватьПериодОтчета = Неопределено, Периодичность = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьГраницыПериодаДокумента(КонтекстДокумента, СмещениеПериода, ИспользоватьПериодОтчета, Периодичность);
```
</details>

## ПолучитьПериодичностьОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПериодичностьОтчетности(ПериодичностьИсточник = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьПериодичностьОтчетности(ПериодичностьИсточник);
```
</details>

## ПолучитьПериодПоДатеПараллельногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПериодПоДатеПараллельногоУчета(ДатаДокумента, ПериодичностьОтчетности = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьПериодПоДатеПараллельногоУчета(ДатаДокумента, ПериодичностьОтчетности);
```
</details>

## ПолучитьДатуДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДатуДвижений(ДатаДокумента, ГраницыПериода = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьДатуДвижений(ДатаДокумента, ГраницыПериода);
```
</details>

## ПолучитьСчетМСФОТрансформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСчетМСФОТрансформации(СчетИсточник, Организация = Неопределено, Сценарий, ПериодОтчета, ПланСчетов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьСчетМСФОТрансформации(СчетИсточник, Организация, Сценарий, ПериодОтчета, ПланСчетов);
```
</details>

## ПолучитьСчетПриемникТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСчетПриемникТрансляции(СчетИсточник, ШаблонТрансляции) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьСчетПриемникТрансляции(СчетИсточник, ШаблонТрансляции) 
```
</details>

## ПолучитьТекстЗапросаСчетаТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапросаСчетаТрансляции(НомераТаблиц = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьТекстЗапросаСчетаТрансляции(НомераТаблиц);
```
</details>

## ПолучитьСчетБДПоСчетуМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСчетБДПоСчетуМСФО(СчетМСФО, Знач ПланСчетов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВНАВызовСервераУХ.ПолучитьСчетБДПоСчетуМСФО(СчетМСФО, ПланСчетов);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
