---
title: МСФО вызов сервера УХ
slug: erp-uh/мсфо-вызов-сервера-ух
---


## УстановитьСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает субконто на счете. Если такое субконто на счете
// отсутствует, то ничего не делается.
//
// Параметры:
//		Счет - Счет, к которому относится субконто
//      Субконто - набор субконто
//		Номер или имя устанавливаемого субконто
//      Значение субконто - значение устанавливаемого субконто
//
Процедура УстановитьСубконто(Счет, Субконто, ИмяСубконто, ЗначениеСубконто) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.УстановитьСубконто(Счет, Субконто, ИмяСубконто, ЗначениеСубконто) 
```
</details>

## ПолучитьСоотвествиеСчетаБДПоСчетамПланаСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоотвествиеСчетаБДПоСчетамПланаСчетов(СчетаПланаСчетов, Знач ПланСчетовБД = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьСоотвествиеСчетаБДПоСчетамПланаСчетов(СчетаПланаСчетов, ПланСчетовБД);
```
</details>

## ПолучитьСчетаПоВидуДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСчетаПоВидуДвижений(ВидДвижения, ПланСчетовБД = Неопределено, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьСчетаПоВидуДвижений(ВидДвижения, ПланСчетовБД, Организация);
```
</details>

## ОписаниеРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеРегистра(РегистрУчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ОписаниеРегистра(РегистрУчета);
```
</details>

## ПланыСчетовПоРегистрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПланыСчетовПоРегистрам() Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПланыСчетовПоРегистрам() 
```
</details>

## ПреобразоватьВРСБУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПреобразоватьВРСБУ(ТекстЗапроса, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПреобразоватьВРСБУ(ТекстЗапроса, ИмяТаблицы) 
```
</details>

## ПреобразоватьПолучениеРСБУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПреобразоватьПолучениеРСБУ(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПреобразоватьПолучениеРСБУ(ТекстЗапроса) 
```
</details>

## ОсновныеРеквизитыУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОсновныеРеквизитыУП(Организация = Неопределено, ДатаУП = Неопределено, Сценарий = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ОсновныеРеквизитыУП(Организация, ДатаУП, Сценарий);
```
</details>

## РеквизитыДляФормыУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыДляФормыУП(Организация = Неопределено, ДатаУП = Неопределено, Сценарий = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.РеквизитыДляФормыУП(Организация, ДатаУП, Сценарий);
```
</details>

## ЗначенияПоОрганизацииУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначенияПоОрганизацииУП(ТаблицаЗначенияУП) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ЗначенияПоОрганизацииУП(ТаблицаЗначенияУП) 
```
</details>

## ПутиРеквизитовУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПутиРеквизитовУП(ИменаРеквизитовУП) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПутиРеквизитовУП(ИменаРеквизитовУП) 
```
</details>

## ЗначенияУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначенияУП(ИменаРеквизитовУП, Организация = Неопределено, ДатаУП = Неопределено, Сценарий = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ЗначенияУП(ИменаРеквизитовУП, Организация, ДатаУП, Сценарий);
```
</details>

## ЗначениеУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначениеУП(РеквизитУП, Организация = Неопределено, ДатаУП = Неопределено, Сценарий = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ЗначениеУП(РеквизитУП, Организация, ДатаУП, Сценарий);
```
</details>

## ПланСчетовУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПланСчетовУП(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПланСчетовУП(Контекст) 
```
</details>

## ЗаписатьУПМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписатьУПМСФО(УчетнаяПолитика, Организация, Сценарий, Дата, ВключитьБизнесЛогику = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ЗаписатьУПМСФО(УчетнаяПолитика, Организация, Сценарий, Дата, ВключитьБизнесЛогику);
```
</details>

## ОрганизацииДляУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОрганизацииДляУП(Организация) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ОрганизацииДляУП(Организация));
```
</details>

## ПолучитьРеквизитыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРеквизитыЗначений(СоответствиеЗначениеРеквизиты) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьРеквизитыЗначений(СоответствиеЗначениеРеквизиты) 
```
</details>

## ПолучитьСтруктуруСоЗначениямиПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает фиксированную структуру содержащую все значения перечисления с
// с переданным именем.
//
// Параметры
//  ИмяПеречисления - Имя перечисления, для которого требуется получить структуру со значениями.
//
// Возвращаемое значение:
//   ФиксированнаяСтруктура - ФиксированнаяСтруктура содержащая значения перечисления.
//   	Ключ - имя значения, Значение - значение перечисления (ссылка).
//
Функция ПолучитьСтруктуруСоЗначениямиПеречисления(Знач ИмяПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьСтруктуруСоЗначениямиПеречисления(ИмяПеречисления) 
```
</details>

## ПолучитьТипРеквизитаТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТипРеквизитаТЧ(Ссылка, ИмяТЧ, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьТипРеквизитаТЧ(Ссылка, ИмяТЧ, ИмяРеквизита) 
```
</details>

## ПолучитьРеквизитыСсылок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРеквизитыСсылок(МассивСсылок, РеквизитыСтрокой = Неопределено, ВернутьСоотвествие = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьРеквизитыСсылок(МассивСсылок, РеквизитыСтрокой, ВернутьСоотвествие);
```
</details>

## ПолучитьКэшДляРасчетаКоэффициентовРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКэшДляРасчетаКоэффициентовРезервов(КонецПериода, Контрагенты = Неопределено, Договоры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьКэшДляРасчетаКоэффициентовРезервов(КонецПериода, Контрагенты, Договоры);
```
</details>

## ТекстЗапросаТаблицаКоэффициентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаКоэффициентов() Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ТекстЗапросаТаблицаКоэффициентов());
```
</details>

## ПолучитьКэшируемыеЗначения_РезервыМПЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКэшируемыеЗначения_РезервыМПЗ(СтруктураПолученияЗначений, СтруктураДействий) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьКэшируемыеЗначения_РезервыМПЗ(СтруктураПолученияЗначений, СтруктураДействий) 
```
</details>

## ПолучитьСчетаЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСчетаЗадолженности(СчетЗадолженности) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьСчетаЗадолженности(СчетЗадолженности) 
```
</details>

## ПолучитьКэшируемыеЗначения_РезервыДЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКэшируемыеЗначения_РезервыДЗ(Знач СтруктураДействий, Знач Контекст = Неопределено, РеквизитыДоговораСтрокой = "", Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьКэшируемыеЗначения_РезервыДЗ(СтруктураДействий, Контекст, РеквизитыДоговораСтрокой, );
```
</details>

## ПолучитьКэшируемыеЗначения_Инвестиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКэшируемыеЗначения_Инвестиции(Знач СтруктураДействий, Знач Организации = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьКэшируемыеЗначения_Инвестиции(СтруктураДействий, Организации);
```
</details>

## ПолучитьКэшируемыеЗначения_ВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКэшируемыеЗначения_ВНА(Знач СтруктураПолученияКэша, Знач СтруктураДействий) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьКэшируемыеЗначения_ВНА(СтруктураПолученияКэша, СтруктураДействий) 
```
</details>

## ПолучитьКэшИзРезультатаЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКэшИзРезультатаЗапроса(РезультатЗапроса, КолонкаКэширования, КолонкаЗначение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьКэшИзРезультатаЗапроса(РезультатЗапроса, КолонкаКэширования, КолонкаЗначение);
```
</details>

## ПолучитьТекстЗапросаСчетаРезервовМПЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапросаСчетаРезервовМПЗ(НомераТаблиц = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьТекстЗапросаСчетаРезервовМПЗ(НомераТаблиц);
```
</details>

## ПолучитьПараметрыУчетаВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыУчетаВНА(Дата, Организация, ВНА, ВидУчета, Сценарий = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьПараметрыУчетаВНА(Дата, Организация, ВНА, ВидУчета, Сценарий);
```
</details>

## ПолучитьПараметрыФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыФИ(Дата, Организация, ФИ, Сценарий = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьПараметрыФИ(Дата, Организация, ФИ, Сценарий);
```
</details>

## ПолучитьГраницуДоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьГраницуДоДокумента(ДатаДокумента, ДокументСсылка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьГраницуДоДокумента(ДатаДокумента, ДокументСсылка);
```
</details>

## ПолучитьДатуИзПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДатуИзПериода(ЗначениеПериод) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьДатуИзПериода(ЗначениеПериод) 
```
</details>

## ЗаполнитьДокументИзРежимаНСБУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Заполнить документ из режима НСБУ
//
// Параметры:
//  ДокументОбъект		 - Заполняемый документ
//  ДокументыОснования	 - Массив документов-оснований
//  ИмяТЧ				 - Имя табличной части документов-оснований, данные НСБУ которой копируются
Процедура ЗаполнитьДокументИзРежимаНСБУ(ДокументОбъект, ДокументыОснования, ИмяТЧ = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьДокументИзРежимаНСБУ(ДокументОбъект, ДокументыОснования, ИмяТЧ);
```
</details>

## ЗаполнитьКонтекстПоОснованиям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьКонтекстПоОснованиям(Контекст, МассивДокументыОснования) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьКонтекстПоОснованиям(Контекст, МассивДокументыОснования) 
```
</details>

## ПроверитьПериодОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПериодОтчета(ДокументОбъект, ПроверитьЗаполненность = Неопределено, ПроверитьУникальностьПериодаОтчета = Ложь, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ПроверитьПериодОтчета(ДокументОбъект, ПроверитьЗаполненность, ПроверитьУникальностьПериодаОтчета, Отказ);
```
</details>

## ТекстЗапроса_УникальностьПериодаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_УникальностьПериодаОтчета(ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ТекстЗапроса_УникальностьПериодаОтчета(ИмяДокумента));
```
</details>

## ПолучитьОписаниеТаблицыЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеТаблицыЗагрузки(ЗагружаемыйТип, ДопПараметры) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьОписаниеТаблицыЗагрузки(ЗагружаемыйТип, ДопПараметры) 
```
</details>

## ПолучитьКолонкиЗагрузкиТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКолонкиЗагрузкиТЧ(ПутьМД, ИмяТЧ) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьКолонкиЗагрузкиТЧ(ПутьМД, ИмяТЧ));
```
</details>

## ПолучитьАдресТаблицыЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьАдресТаблицыЗагрузки(ТаблицаЗагрузки, ОписаниеТаблицы, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьАдресТаблицыЗагрузки(ТаблицаЗагрузки, ОписаниеТаблицы, УникальныйИдентификатор) 
```
</details>

## ПолучитьМассивДляЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивДляЗагрузки(ОписаниеТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьМассивДляЗагрузки(ОписаниеТаблицы) 
```
</details>

## ДоработатьТаблицуЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДоработатьТаблицуЗагрузки(ТаблицаЗагрузки, КэшируемыеЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ДоработатьТаблицуЗагрузки(ТаблицаЗагрузки, КэшируемыеЗначения);
```
</details>

## ЗаполнитьПоТаблицеЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПоТаблицеЗагрузки(Объект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьПоТаблицеЗагрузки(Объект, ДанныеЗаполнения) 
```
</details>

## СформироватьОперациюМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьОперациюМСФО(ТаблицаПроводок, Реквизиты, Отказ) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.СформироватьОперациюМСФО(ТаблицаПроводок, Реквизиты, Отказ) 
```
</details>

## СформироватьДвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьДвижения(Движения, ДополнительныеСвойства, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.СформироватьДвижения(Движения, ДополнительныеСвойства, Отказ);
```
</details>

## ЗаполнитьПодразделенияНаправленияДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПодразделенияНаправленияДеятельности(Движение, Проводка, СвойстваСчетаДт, СвойстваСчетаКт) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьПодразделенияНаправленияДеятельности(Движение, Проводка, СвойстваСчетаДт, СвойстваСчетаКт) 
```
</details>

## ЗаполнитьКлючевыеСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьКлючевыеСубконто(Движение, СтрокаИсточник, УстановитьДт = Истина, УстановитьКт = Истина) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьКлючевыеСубконто(Движение, СтрокаИсточник, УстановитьДт, УстановитьКт);
```
</details>

## ЗаполнитьДатуДокументаПоКонцуПериодаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДатуДокументаПоКонцуПериодаОтчета(ДокументОбъект, СекундДоКонца = 0) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьДатуДокументаПоКонцуПериодаОтчета(ДокументОбъект, СекундДоКонца);
```
</details>

## ПроверитьКонфликтующиеДокументыВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьКонфликтующиеДокументыВНА(Ссылка, ИмяТаблицыМД, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ПроверитьКонфликтующиеДокументыВНА(Ссылка, ИмяТаблицыМД, Отказ);
```
</details>

## ПроверитьЗаполненностьПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЗаполненностьПроводок(ТаблицаПроводок, Реквизиты, Отказ) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ПроверитьЗаполненностьПроводок(ТаблицаПроводок, Реквизиты, Отказ) 
```
</details>

## ПроверитьЗаполненностьПроводки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЗаполненностьПроводки(Проводка, СтрокаТЧ = Неопределено, Реквизиты, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ПроверитьЗаполненностьПроводки(Проводка, СтрокаТЧ, Реквизиты, Отказ);
```
</details>

## ПолучитьУточнениеОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьУточнениеОшибки(СтрокаТЧ, Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьУточнениеОшибки(СтрокаТЧ, Реквизиты));
```
</details>

## СообщитьОбОшибкеСчетаУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СообщитьОбОшибкеСчетаУчета(СтрокаИсточник, СчетУчета, Отказ) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.СообщитьОбОшибкеСчетаУчета(СтрокаИсточник, СчетУчета, Отказ));
```
</details>

## СообщитьОбОшибкеПоСобытию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СообщитьОбОшибкеПоСобытию(Проводка, УточнениеОшибки, СчетОшибки, Отказ) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.СообщитьОбОшибкеПоСобытию(Проводка, УточнениеОшибки, СчетОшибки, Отказ));
```
</details>

## ПолучитьОписаниеТаблицыПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеТаблицыПроводок(КолонкиВалют = Ложь, КолонкиКоличества = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьОписаниеТаблицыПроводок(КолонкиВалют, КолонкиКоличества);
```
</details>

## ПолучитьТаблицуПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуПроводок(Движения) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьТаблицуПроводок(Движения) 
```
</details>

## ПолучитьТаблицуПроводокФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуПроводокФИ() Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьТаблицуПроводокФИ() 
```
</details>

## ПолучитьНаборДвиженийРасчетныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНаборДвиженийРасчетныхДанных(Движения) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьНаборДвиженийРасчетныхДанных(Движения) 
```
</details>

## ОтразитьДвиженияПоТаблицеПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтразитьДвиженияПоТаблицеПроводок(Движения, ТаблицаПроводок, Реквизиты, Отказ = Ложь, ЗагрузитьРасчеты = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ОтразитьДвиженияПоТаблицеПроводок(Движения, ТаблицаПроводок, Реквизиты, Отказ, ЗагрузитьРасчеты);
```
</details>

## ДобавитьЗаполнитьКлючевыеКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаполнитьКлючевыеКолонки(ТаблицаПроводок, Реквизиты) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ДобавитьЗаполнитьКлючевыеКолонки(ТаблицаПроводок, Реквизиты));
```
</details>

## СвернутьТаблицуПроводокДляМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СвернутьТаблицуПроводокДляМСФО(ТаблицаПроводок, ЕстьКолонкаПериодСторно, ЕстьКолонкаСобытиеСторно, ЕстьКолонкиПиНД = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.СвернутьТаблицуПроводокДляМСФО(ТаблицаПроводок, ЕстьКолонкаПериодСторно, ЕстьКолонкаСобытиеСторно, ЕстьКолонкиПиНД);
```
</details>

## ЗаполнитьСуммаВФункциональнойВалюте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСуммаВФункциональнойВалюте(ТаблицаПроводок, Реквизиты, КолонкаПериодКурса = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьСуммаВФункциональнойВалюте(ТаблицаПроводок, Реквизиты, КолонкаПериодКурса);
```
</details>

## ПолучитьСуммуВВалюте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСуммуВВалюте(СуммаОперации, ВалютаОперации, ФункциональнаяВалюта, Период, КэшКурсов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьСуммуВВалюте(СуммаОперации, ВалютаОперации, ФункциональнаяВалюта, Период, КэшКурсов);
```
</details>

## ДобавитьЗаполнитьКолонку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьЗаполнитьКолонку(ТабИсточник, ИмяКолонки, ЗначениеКолонки) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ДобавитьЗаполнитьКолонку(ТабИсточник, ИмяКолонки, ЗначениеКолонки));
```
</details>

## ОтразитьДвижениеМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтразитьДвижениеМСФО(Движения, Проводка, Реквизиты, СвойстваСчетДт, СвойстваСчетКт, Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ОтразитьДвижениеМСФО(Движения, Проводка, Реквизиты, СвойстваСчетДт, СвойстваСчетКт, );
```
</details>

## ЗаполнитьСуммуВалютуДт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСуммуВалютуДт(Движение, ЕстьКолонкаВалюта, ЕстьКолонкаВалютаДт, ЕстьКолонкаСуммаВВалюте, Проводка, СвойстваСчетДт) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьСуммуВалютуДт(Движение, ЕстьКолонкаВалюта, ЕстьКолонкаВалютаДт, ЕстьКолонкаСуммаВВалюте, Проводка, СвойстваСчетДт));
```
</details>

## ЗаполнитьСуммуВалютуКт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСуммуВалютуКт(Движение, Проводка, СвойстваСчетКт, ЕстьКолонкаВалюта, ЕстьКолонкаВалютаКт, ЕстьКолонкаСуммаВВалюте) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьСуммуВалютуКт(Движение, Проводка, СвойстваСчетКт, ЕстьКолонкаВалюта, ЕстьКолонкаВалютаКт, ЕстьКолонкаСуммаВВалюте));
```
</details>

## ЗаполнитьСуммуВВалютеУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСуммуВВалютеУчета(Движение, Проводка, Реквизиты, ЕстьКолонкаСуммаВВалюте) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьСуммуВВалютеУчета(Движение, Проводка, Реквизиты, ЕстьКолонкаСуммаВВалюте));
```
</details>

## ЗаполнитьСуммуВВалютеОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСуммуВВалютеОтчетности(Движение, Проводка, Реквизиты, ЕстьКолонкаВалюта, ЕстьКолонкаВалютаДт, ЕстьКолонкаВалютаКт, СвойстваСчетДт, СвойстваСчетКт) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьСуммуВВалютеОтчетности(Движение, Проводка, Реквизиты, ЕстьКолонкаВалюта, ЕстьКолонкаВалютаДт, ЕстьКолонкаВалютаКт, СвойстваСчетДт, СвойстваСчетКт));
```
</details>

## ОтразитьДвижениеСторно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтразитьДвижениеСторно(Движения, ДвижениеИсточник, Проводка, Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ОтразитьДвижениеСторно(Движения, ДвижениеИсточник, Проводка, );
```
</details>

## ТекстЗапроса_АОСВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_АОСВ(НомераТаблиц, ВидИтогаПоСчету = Неопределено, ИсключитьДокумент = Истина, ИмяТаблицыСчетов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ТекстЗапроса_АОСВ(НомераТаблиц, ВидИтогаПоСчету, ИсключитьДокумент, ИмяТаблицыСчетов);
```
</details>

## ТекстЗапроса_ВерсииПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ВерсииПоказателей(НомераТаблиц, ИсключитьДокумент = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ТекстЗапроса_ВерсииПоказателей(НомераТаблиц, ИсключитьДокумент);
```
</details>

## ТекстЗапроса_ПоказателиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ПоказателиОтчета(НомераТаблиц, ВидИтогаПоСчету = Неопределено, ИмяТаблицыСчетов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ТекстЗапроса_ПоказателиОтчета(НомераТаблиц, ВидИтогаПоСчету, ИмяТаблицыСчетов);
```
</details>

## ТекстЗапроса_ЗначенияПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ЗначенияПоказателей(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ТекстЗапроса_ЗначенияПоказателей(НомераТаблиц));
```
</details>

## ТекстЗапроса_ИтогиПоПоказателям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ИтогиПоПоказателям(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ТекстЗапроса_ИтогиПоПоказателям(НомераТаблиц));
```
</details>

## ЗаписатьДвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьДвижения(Движения) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаписатьДвижения(Движения) 
```
</details>

## ОтразитьДвиженияРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтразитьДвиженияРасчетов(Движения, ТаблицаПроводок, ЕстьКолонкаПериодСторно = Ложь, ЕстьКолонкаСобытиеСторно = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ОтразитьДвиженияРасчетов(Движения, ТаблицаПроводок, ЕстьКолонкаПериодСторно, ЕстьКолонкаСобытиеСторно);
```
</details>

## ОчиститьДвиженияТК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьДвиженияТК(Ссылка, ПометитьТК = Ложь, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ОчиститьДвиженияТК(Ссылка, ПометитьТК, Отказ);
```
</details>

## ПолучитьОтборРасшифровкиСверкаВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтборРасшифровкиСверкаВГО(Отбор) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьОтборРасшифровкиСверкаВГО(Отбор) 
```
</details>

## ПолучитьОстатокПоСчетуСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОстатокПоСчетуСубконто(Организация, Сценарий, ДатаСсылка, СчетИБ, Субконто = Неопределено, ИспользуетсяКт = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьОстатокПоСчетуСубконто(Организация, Сценарий, ДатаСсылка, СчетИБ, Субконто, ИспользуетсяКт);
```
</details>

## ЗаполнитьСценарийПоУмолчаниюВПараметрахОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСценарийПоУмолчаниюВПараметрахОтчетов(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьСценарийПоУмолчаниюВПараметрахОтчетов(ОтчетОбъект) 
```
</details>

## ЗаполнитьПараметрыВВариантахНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПараметрыВВариантахНастроек(ОтчетОбъект, ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ЗаполнитьПараметрыВВариантахНастроек(ОтчетОбъект, ПараметрыОтчета) 
```
</details>

## ПолучитьОтборРСБУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтборРСБУ(КлючПроводкиМСФО) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьОтборРСБУ(КлючПроводкиМСФО) 
```
</details>

## ПолучитьРаскрытиеРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРаскрытиеРасшифровки(АдресСКД, Настройки, ДанныеРасшифровки, СкрытьЗаголовокГруппировки = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьРаскрытиеРасшифровки(АдресСКД, Настройки, ДанныеРасшифровки, СкрытьЗаголовокГруппировки);
```
</details>

## ВставитьРасшифровку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВставитьРасшифровку(ТабДокПриемник, НастройкиРасшифровки, ДополнительныеСвойства, АдресСхемы, ЗаголовокГруппировки, НомерСтрокиДобавления) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ВставитьРасшифровку(ТабДокПриемник, НастройкиРасшифровки, ДополнительныеСвойства, АдресСхемы, ЗаголовокГруппировки, НомерСтрокиДобавления) 
```
</details>

## ДоработатьСубконтоПоСчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДоработатьСубконтоПоСчету(СхемаКД, Счет) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ДоработатьСубконтоПоСчету(СхемаКД, Счет) 
```
</details>

## ДобавитьОтборыИзРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОтборыИзРасшифровки(НастройкиСКД, ОтборРасшифровки, СхемаКомпоновкиДанных) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ДобавитьОтборыИзРасшифровки(НастройкиСКД, ОтборРасшифровки, СхемаКомпоновкиДанных));
```
</details>

## ПолучитьНастройкиРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНастройкиРасшифровки(Знач ДанныеРасшифровки, Знач Компоновщик) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьНастройкиРасшифровки(ДанныеРасшифровки, Компоновщик) 
```
</details>

## ПолучитьПараметрыОтчетаПоПроводкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыОтчетаПоПроводкам(Документ, НомерПроводки) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьПараметрыОтчетаПоПроводкам(Документ, НомерПроводки) 
```
</details>

## УстановитьИспользованиеПараметраСхемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьИспользованиеПараметраСхемы(СхемаКД, ИмяПараметра, Использование) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.УстановитьИспользованиеПараметраСхемы(СхемаКД, ИмяПараметра, Использование) 
```
</details>

## СКД_ДоработатьЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СКД_ДоработатьЗапрос(СКД, Настройки, Отбор) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.СКД_ДоработатьЗапрос(СКД, Настройки, Отбор) 
```
</details>

## ОбновитьВыводНулл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьВыводНулл(СКД, Настройки, Отбор) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.ОбновитьВыводНулл(СКД, Настройки, Отбор));
```
</details>

## ПараметрыКарточкаСчетаРСБУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыКарточкаСчетаРСБУ(ОтборРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПараметрыКарточкаСчетаРСБУ(ОтборРасшифровки) 
```
</details>

## УстановитьСценарийПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьСценарийПоУмолчанию(СхемаКД) Экспорт
```

Пример вызова
```bsl
МСФОВызовСервераУХ.УстановитьСценарийПоУмолчанию(СхемаКД) 
```
</details>

## ПолучитьОписаниеДекорацииПараметровФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеДекорацииПараметровФИ(ФИ, ПараметрыУчетаФИ, ВыборПараметровУчетаФИУХ) Экспорт
```

Пример вызова
```bsl
Результат = МСФОВызовСервераУХ.ПолучитьОписаниеДекорацииПараметровФИ(ФИ, ПараметрыУчетаФИ, ВыборПараметровУчетаФИУХ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
