---
title: МСФО клиент сервер УХ
slug: erp-uh/мсфо-клиент-сервер-ух
---


## СпособЗаполненияВручную
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СпособЗаполненияВручную() Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.СпособЗаполненияВручную() 
```
</details>

## СпособЗаполненияСторно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СпособЗаполненияСторно() Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.СпособЗаполненияСторно() 
```
</details>

## РассчитатьСуммуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает сумму НДС исходя из суммы и флагов налогообложения.
//
// Параметры:
//  Сумма            - Число - сумма от которой надо рассчитывать налоги;
//  СуммаВключаетНДС - Булево - признак включения НДС в сумму ("внутри" или "сверху");
//  СтавкаНДС        - Число - процентная ставка НДС.
//
// Возвращаемое значение:
//  Число - полученная сумма НДС.
//
Функция РассчитатьСуммуНДС(Сумма, СуммаВключаетНДС, СтавкаНДС) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.РассчитатьСуммуНДС(Сумма, СуммаВключаетНДС, СтавкаНДС) 
```
</details>

## УсловноеОформлениеКлючевыхСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет усоловное оформление ключевых субконто
// Устанавливается оформление "Текст" значением типа субконто
Процедура УсловноеОформлениеКлючевыхСубконто(ЭтаФорма, ИмяТЧ, ПолеСубконто = "Субконто") Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УсловноеОформлениеКлючевыхСубконто(ЭтаФорма, ИмяТЧ, ПолеСубконто);
```
</details>

## УстановитьДоступностьСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура установки доступности субконто в зависимости от выбранного счета
//	Счет			 - <План счетов> - Счет, для которого необходимо настроить тип и видимость субконто
//	Объект			 - <Управляемая форма> ИЛИ <Строка табличной части> - Объект, который содержит ПоляФормы
//	ПоляОбъекта		 - <Структура> - Ключи, которой Субконто1, Субконто2, Субконто3,
//									 а значения имена соответствующих полей на форме (поля субконто)
//	СкрыватьСубконто - <Булево>		 - Признак того, нужно ли для этой формы дополнительно скрывать субконто, влияет на выполнении функции НужноСкрытьСубконто
//
Процедура УстановитьДоступностьСубконто(Счет, Объект, ПоляОбъекта, СкрыватьСубконто = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьДоступностьСубконто(Счет, Объект, ПоляОбъекта, СкрыватьСубконто);
```
</details>

## ОбновитьСубконтоСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет значение и типизацию субконто, связанного со счетом
//
// Параметры:
//  <ЭтаФорма>  				- <УправляемаяФорма> - форма, на которой расположен обновляемый элемент
//  <ИмяРеквизитаСчета>  		- <Строка> - имя элемента управления
//  <ОбъектЗаполненияИсточник>  - <ОбъектМетаданных,СтрокаТаблицыФормы,Неопределено> -
//  								Объект формы (или неопределено) - если реквизит принадлежит объекту,
//  								СтрокаТаблицыФормы - если реквизит принадлежит строке табличной части
//  <ИмяТЧ> 					- <Строка> - имя табличной части, к которой относится обновляемый реквизит
//  <СчетГруппыПодробно> 		- <Булево> - признак отображения элемента на группе элементов управления "Подробно"
//
// ОбъектЗаполненияИсточник -
Процедура ОбновитьСубконтоСчета(ЭтаФорма, ИмяРеквизитаСчета = Неопределено, ОбъектЗаполненияИсточник = Неопределено, Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьСубконтоСчета(ЭтаФорма, ИмяРеквизитаСчета, ОбъектЗаполненияИсточник, );
```
</details>

## ОбновитьСубконтоСчетаТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСубконтоСчетаТЧ(ФормаДокумента, ТекущаяСтрока = Неопределено, ИмяКолонкиСчета, ИмяТЧ = "ВНА", ИменаСубконто) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьСубконтоСчетаТЧ(ФормаДокумента, ТекущаяСтрока, ИмяКолонкиСчета, ИмяТЧ, ИменаСубконто) 
```
</details>

## УстановитьПараметрыВыбораСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПараметрыВыбораСчета(ЭлементФормы, ПланСчетовБД, РазделПланаСчетов = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьПараметрыВыбораСчета(ЭлементФормы, ПланСчетовБД, РазделПланаСчетов);
```
</details>

## ОбновитьСубконтоСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСубконтоСчетов(Форма, ЭлементТаблицаФормы, ИмяТЧ) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьСубконтоСчетов(Форма, ЭлементТаблицаФормы, ИмяТЧ) 
```
</details>

## ЕстьТипВСубконтоСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьТипВСубконтоСчета(СчетИсточник, ПроверяемыйТипЗначения) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ЕстьТипВСубконтоСчета(СчетИсточник, ПроверяемыйТипЗначения) 
```
</details>

## ПолучитьНомераСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНомераСубконто(ЭтаФорма, ИмяТЧ = "", ИмяРеквизитаСчета) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьНомераСубконто(ЭтаФорма, ИмяТЧ, ИмяРеквизитаСчета) 
```
</details>

## ПриВыбореСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура установки типа и видимости субконто в зависимости от выбранного счета
//
//Параметры:
//	Счет			 - <План счетов> - Счет, для которого необходимо настроить тип и видимость субконто
//	Форма			 - <Управляемая форма> - Форма, которая содержит ПоляФормы и ЗаголовкиПолей
//	ПоляФормы		 - <Структура> - Ключи, которой Субконто1, Субконто2, Субконто3,
//									 а значения имена соответствующих полей на форме (поля субконто)
//	ЗаголовкиПолей	 - <Структура> ИЛИ <Неопределено> - Ключи, которой Субконто1, Субконто2, Субконто3
//									 а значения имена соответствующих полей на форме (заголовки субконто)
//	ЭтоТаблица		 - <Булево>		 - Признак того, где выполняется настройка субконто.
//	СкрыватьСубконто - <Булево>		 - Признак того, нужно ли для этой формы дополнительно скрывать субконто, влияет на выполнении функции НужноСкрытьСубконто
//
Процедура ПриВыбореСчета(Счет, Форма, ПоляФормы, ЗаголовкиПолей = Неопределено, ЭтоТаблица = Ложь, СкрыватьСубконто = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ПриВыбореСчета(Счет, Форма, ПоляФормы, ЗаголовкиПолей, ЭтоТаблица, СкрыватьСубконто);
```
</details>

## ПриИзмененииСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура установки типа, значения и доступности субконто в зависимости от выбранного счета
//
//Параметры:
//	Счет			 - <План счетов> - Счет, для которого необходимо настроить тип и видимость субконто
//	Объект			 - <Управляемая форма> ИЛИ <Строка табличной части> - Объект, который содержит ПоляФормы
//	ПоляОбъекта		 - <Структура> - Ключи, которой Субконто1, Субконто2, Субконто3,
//									 а значения имена соответствующих полей на форме (поля субконто)
//	ЗначенияСубконто - <Соответствие> ИЛИ <Неопределено> - Значения субконто, где ключ Вид субконто, а значение - значение для подстановки
//	СкрыватьСубконто - <Булево>		 - Признак того, нужно ли для этой формы дополнительно скрывать субконто, влияет на выполнении функции СкрытьСубконто
//
Процедура ПриИзмененииСчета(Счет, Объект, ПоляОбъекта, ЭтоТаблица = Ложь, ЗначенияСубконто = Неопределено, СкрыватьСубконто = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ПриИзмененииСчета(Счет, Объект, ПоляОбъекта, ЭтоТаблица, ЗначенияСубконто, СкрыватьСубконто);
```
</details>

## ПриИзмененииСчетаТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииСчетаТЧ(ЭтаФорма, Элемент, ИмяТЧ = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ПриИзмененииСчетаТЧ(ЭтаФорма, Элемент, ИмяТЧ);
```
</details>

## НужноСкрытьСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет, нужно ли скрывать данное субконто
//
//Параметры:
//	СкрыватьСубконто - Булево - - Признак того, нужно ли для этой формы дополнительно скрывать субконто
//	ТипЗначенияСубконто - Описание типов
//
Функция НужноСкрытьСубконто(СкрыватьСубконто = Неопределено, ТипЗначенияСубконто) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.НужноСкрытьСубконто(СкрыватьСубконто, ТипЗначенияСубконто));
```
</details>

## ИзменитьПараметрыВыбораПолейСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьПараметрыВыбораПолейСубконто(Форма, Объект, ШаблонИмяПоляОбъекта, ШаблонИмяЭлементаФормы, СписокПараметров) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ИзменитьПараметрыВыбораПолейСубконто(Форма, Объект, ШаблонИмяПоляОбъекта, ШаблонИмяЭлементаФормы, СписокПараметров) 
```
</details>

## ПолучитьКлючевыеСубконтоИнвестиций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКлючевыеСубконтоИнвестиций() Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьКлючевыеСубконтоИнвестиций() 
```
</details>

## ПолучитьКлючевыеСубконтоФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКлючевыеСубконтоФИ(ВключитьИнтервалы = Ложь, ВключитьЦБ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьКлючевыеСубконтоФИ(ВключитьИнтервалы, ВключитьЦБ);
```
</details>

## УстановитьКлючевыеСубконтоФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьКлючевыеСубконтоФИ(Движение, СтрокаИсточник, УстановитьДт = Истина, УстановитьКт = Истина, ВключитьИнтервалы = Ложь, ВключитьЦБ = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьКлючевыеСубконтоФИ(Движение, СтрокаИсточник, УстановитьДт, УстановитьКт, ВключитьИнтервалы, ВключитьЦБ);
```
</details>

## УстановитьКлючевыеСубконтоВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьКлючевыеСубконтоВНА(Движение, СтрокаИсточник, УстановитьДт = Истина, УстановитьКт = Истина) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьКлючевыеСубконтоВНА(Движение, СтрокаИсточник, УстановитьДт, УстановитьКт);
```
</details>

## УстановитьКлючевыеСубконтоПереоценка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьКлючевыеСубконтоПереоценка(Движение, СтрокаИсточник, УстановитьДт = Истина, УстановитьКт = Истина) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьКлючевыеСубконтоПереоценка(Движение, СтрокаИсточник, УстановитьДт, УстановитьКт);
```
</details>

## УстановитьКлючевоеСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьКлючевоеСубконто(ЗначениеПриемник, ЗначениеИсточник) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьКлючевоеСубконто(ЗначениеПриемник, ЗначениеИсточник));
```
</details>

## УстановитьПараметрыВыбораСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПараметрыВыбораСубконто(Форма, ИмяСубконто, НомерСубконто) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьПараметрыВыбораСубконто(Форма, ИмяСубконто, НомерСубконто) 
```
</details>

## ПолучитьПараметрыВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыВыбора(ИсточникПараметров) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьПараметрыВыбора(ИсточникПараметров) 
```
</details>

## ПолучитьСвязиВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСвязиВыбора(ИсточникПараметров) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьСвязиВыбора(ИсточникПараметров) 
```
</details>

## УстановитьВидимость
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьВидимость(ЭлементыФормы, ИмяЭлемента, Видимость) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьВидимость(ЭлементыФормы, ИмяЭлемента, Видимость));
```
</details>

## УстановитьПланСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПланСчетов(Форма, ИменаСубконто = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьПланСчетов(Форма, ИменаСубконто);
```
</details>

## ПланСчетовПараметровУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПланСчетовПараметровУчета(СчетУчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПланСчетовПараметровУчета(СчетУчета);
```
</details>

## ПериодОтражения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПериодОтражения(ДатаОтражения, Раздел = "Резервы") Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПериодОтражения(ДатаОтражения, Раздел);
```
</details>

## ДатаСторно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаСторно(ДатаОтражения) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ДатаСторно(ДатаОтражения) 
```
</details>

## ПолучитьСубконтоСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСубконтоСчета(Форма, ИмяПоляСчета, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьСубконтоСчета(Форма, ИмяПоляСчета, ТекущаяСтрока) 
```
</details>

## ЭлементФормыЯвляетсяКолонкойТаблицыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭлементФормыЯвляетсяКолонкойТаблицыФормы(ЭлементФормы) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ЭлементФормыЯвляетсяКолонкойТаблицыФормы(ЭлементФормы) 
```
</details>

## ОбновитьВидимостьСубконтоГруппыПодробно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьВидимостьСубконтоГруппыПодробно(Форма, ТекущаяСтрока, ИмяТЧ = "", ПроверятьВидимостьСчета = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьВидимостьСубконтоГруппыПодробно(Форма, ТекущаяСтрока, ИмяТЧ, ПроверятьВидимостьСчета);
```
</details>

## ОбновитьДоступностьЗависимыхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьДоступностьЗависимыхРеквизитов(ЭтаФорма, ТекущаяСтрока, ИмяТЧ = "") Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьДоступностьЗависимыхРеквизитов(ЭтаФорма, ТекущаяСтрока, ИмяТЧ);
```
</details>

## ПолучитьВидимостьГруппВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВидимостьГруппВНА(Форма, СобытиеВНА, СтруктураИмяГруппа, КэшСобытияВНА = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьВидимостьГруппВНА(Форма, СобытиеВНА, СтруктураИмяГруппа, КэшСобытияВНА);
```
</details>

## ПолучитьПараметрыЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыЗаполнения(ДокументОбъект, ДокументыОснования = Неопределено, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьПараметрыЗаполнения(ДокументОбъект, ДокументыОснования, Отказ);
```
</details>

## ОтображениеКолонок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтображениеКолонок(ФормаДокумента, Постфикс = "МСФО") Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОтображениеКолонок(ФормаДокумента, Постфикс);
```
</details>

## УстановитьОтборСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОтборСтрок(ЭлементТаблица, СтруктураОтбора, ЭлементИсточник = Неопределено, ЗависимыеЭлементы = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьОтборСтрок(ЭлементТаблица, СтруктураОтбора, ЭлементИсточник, ЗависимыеЭлементы);
```
</details>

## ОбновитьЗависимыеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьЗависимыеРеквизиты(СтрокаИсточник, ФормаДокумента, КолонкаИсточник) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьЗависимыеРеквизиты(СтрокаИсточник, ФормаДокумента, КолонкаИсточник) 
```
</details>

## ЗаполнитьРасчетныеРеквизитыСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРасчетныеРеквизитыСтроки(СтрокаДляЗаполнения, ЗаполняемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ЗаполнитьРасчетныеРеквизитыСтроки(СтрокаДляЗаполнения, ЗаполняемыеРеквизиты) 
```
</details>

## ИспользоватьЗаполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользоватьЗаполнение(СтруктураЗаполнений, ИмяЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ИспользоватьЗаполнение(СтруктураЗаполнений, ИмяЗаполнения) 
```
</details>

## УстановитьНезаполненноеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьНезаполненноеЗначение(ЗначениеПриемник, ЗначениеИсточник) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьНезаполненноеЗначение(ЗначениеПриемник, ЗначениеИсточник) 
```
</details>

## ПроверитьКорректностьДатКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьКорректностьДатКолонки(ТаблицаФормы, ИмяКолонки = "ДатаОперацииМСФО", ГраницыПериода, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ПроверитьКорректностьДатКолонки(ТаблицаФормы, ИмяКолонки, ГраницыПериода, Отказ);
```
</details>

## ПересчитатьСуммуВВалюте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПересчитатьСуммуВВалюте(Форма, СуммаВВалюте = Неопределено, СуммаВВалютеУчета, ВалютаДокумента = Неопределено, ДатаОперации, КэшКурсов = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ПересчитатьСуммуВВалюте(Форма, СуммаВВалюте, СуммаВВалютеУчета, ВалютаДокумента, ДатаОперации, КэшКурсов);
```
</details>

## УстановитьВидимостьЭлементаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьВидимостьЭлементаФормы(ЭтаФорма, СоотвествиеИменРеквизитовПараметрам, ИмяПараметра = Неопределено, УстанавливаемаяВидимость = Истина) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьВидимостьЭлементаФормы(ЭтаФорма, СоотвествиеИменРеквизитовПараметрам, ИмяПараметра, УстанавливаемаяВидимость);
```
</details>

## ПолучитьАвтоНаименованиеПараметрыУчетаВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьАвтоНаименованиеПараметрыУчетаВНА(Объект) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьАвтоНаименованиеПараметрыУчетаВНА(Объект) 
```
</details>

## ОбновитьВыборТипаВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьВыборТипаВНА(Форма, НоваяСтрока = Ложь, Копирование = Ложь, ИмяТЧ = "ВНА", ИмяЭлементаВНА = "ВНАВНА", ИмяРеквизитаВНА = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьВыборТипаВНА(Форма, НоваяСтрока, Копирование, ИмяТЧ, ИмяЭлементаВНА, ИмяРеквизитаВНА);
```
</details>

## ЗаполнитьНачислятьАмортизациюМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьНачислятьАмортизациюМСФО(Форма, ЗаполнитьИзПараметровУчетаВНА = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ЗаполнитьНачислятьАмортизациюМСФО(Форма, ЗаполнитьИзПараметровУчетаВНА);
```
</details>

## УправлениеФормойВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УправлениеФормойВНА(Форма) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УправлениеФормойВНА(Форма) 
```
</details>

## ВариантУчетаТрансляция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВариантУчетаТрансляция(ВариантУчетаВНА) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ВариантУчетаТрансляция(ВариантУчетаВНА));
```
</details>

## ОбновитьЗаголовкиГруппВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьЗаголовкиГруппВНА(Форма, ЗаголовокОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьЗаголовкиГруппВНА(Форма, ЗаголовокОбновления);
```
</details>

## ВозможноОбновитьЗаголовокВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВозможноОбновитьЗаголовокВНА(Форма, ЗаголовокОбновления, ИмяЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ВозможноОбновитьЗаголовокВНА(Форма, ЗаголовокОбновления, ИмяЭлемента));
```
</details>

## ПолучитьВНАИзСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВНАИзСтрок(КоллекцияСтрок, КолонкиИсточника = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьВНАИзСтрок(КоллекцияСтрок, КолонкиИсточника);
```
</details>

## ПолучитьИсточникВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИсточникВНА(СтрокаВНА, ТипыВНА) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьИсточникВНА(СтрокаВНА, ТипыВНА));
```
</details>

## ОбновитьВидимостьПараметровАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьВидимостьПараметровАмортизации(ЭтаФорма, СпособНачисленияАмортизации, ИмяТЧ = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьВидимостьПараметровАмортизации(ЭтаФорма, СпособНачисленияАмортизации, ИмяТЧ);
```
</details>

## ОбновитьОтображениеПараметровАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьОтображениеПараметровАмортизации(ЭтаФорма, СпособНачисленияАмортизации, РеквизитыАмортизации, КэшСпособы) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьОтображениеПараметровАмортизации(ЭтаФорма, СпособНачисленияАмортизации, РеквизитыАмортизации, КэшСпособы) 
```
</details>

## ПолучитьИмяЭлементаРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяЭлементаРеквизита(КолонкаОС, ПостФикс, Префикс = "ВНА") Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьИмяЭлементаРеквизита(КолонкаОС, ПостФикс, Префикс);
```
</details>

## ОбновитьРеквизитыПриИзмененииПараметровАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьРеквизитыПриИзмененииПараметровАмортизации(ФормаДокумента, СтрокаВНА = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьРеквизитыПриИзмененииПараметровАмортизации(ФормаДокумента, СтрокаВНА);
```
</details>

## ОбновитьРасхожденияСтрокиВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьРасхожденияСтрокиВНА(СтрокаВНА, СоответствиеКолонок, КэшПроверки = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьРасхожденияСтрокиВНА(СтрокаВНА, СоответствиеКолонок, КэшПроверки);
```
</details>

## ПолучитьПараметрыВыбораДляСчетаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыВыбораДляСчетаБД(ПланСчетов, РазделПланаСчетов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьПараметрыВыбораДляСчетаБД(ПланСчетов, РазделПланаСчетов);
```
</details>

## ЭтоТипВводСведенийВнаМсфо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоТипВводСведенийВнаМсфо(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ЭтоТипВводСведенийВнаМсфо(ТипДокумента) 
```
</details>

## УстановитьКлассВПредставлении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьКлассВПредставлении(ТекстПредставления, КлассВНА = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьКлассВПредставлении(ТекстПредставления, КлассВНА);
```
</details>

## Подключаемый_УстановитьКлассВНАДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Подключаемый_УстановитьКлассВНАДокумента(Результат = Неопределено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.Подключаемый_УстановитьКлассВНАДокумента(Результат, ДополнительныеПараметры) 
```
</details>

## УстановитьПредставлениеКлассаВНАДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПредставлениеКлассаВНАДокумента(ФормаДокумента) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьПредставлениеКлассаВНАДокумента(ФормаДокумента) 
```
</details>

## ПолучитьГраницыГодаДляКраткосрочнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьГраницыГодаДляКраткосрочнойЧасти(ДатаОкончанияПериода) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьГраницыГодаДляКраткосрочнойЧасти(ДатаОкончанияПериода) 
```
</details>

## ПолучитьПоляРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПоляРасшифровки(ИсточникДанныеРасшифровки, ИдентификаторРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьПоляРасшифровки(ИсточникДанныеРасшифровки, ИдентификаторРасшифровки) 
```
</details>

## ПоляРасшифровкиИзЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает все поля расшифровки из элемента расшифровки и его родителей.
// По сути, получает контекст расшифровываемой ячейки отчета, для того чтобы в последующим наложить по нему отбор.
//
// Параметры:
//  ЭлементРасшифровки	 - ЭлементРасшифровкиКомпоновкиДанныхПоля, ЭлементРасшифровкиКомпоновкиДанныхГруппировка - Элемент расшифровки, из которого нужно получить поля.
//  ПоляРасшифровки		 - Соответствие																			 - Соответствие в которое нужно поместить найденные поля расшифровки.
//
Процедура ПоляРасшифровкиИзЭлемента(ЭлементРасшифровки, ПоляРасшифровки) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ПоляРасшифровкиИзЭлемента(ЭлементРасшифровки, ПоляРасшифровки) 
```
</details>

## ДоработатьНастройкиПоПолямРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДоработатьНастройкиПоПолямРасшифровки(Настройки, ПоляРасшифровки) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ДоработатьНастройкиПоПолямРасшифровки(Настройки, ПоляРасшифровки) 
```
</details>

## ВидСравненияДляПоляРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет вид сравнения подходящий для отбора по переданному полю расшифровки.
// В качестве значения отбора, рассматривается значение поля расшифровки.
// Параметры:
//  ПолеРасшифровки	 - ЗначениеПоляРасшифровкиКомпоновкиДанных	 - Значение расшифровки для которого нужно определить вид сравнения.
//
// Возвращаемое значение:
//  ВидСравненияКомпоновкиДанных - Вид сравнения подходящий для значения поля расшифровки.
//
Функция ВидСравненияДляПоляРасшифровки(ПолеРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ВидСравненияДляПоляРасшифровки(ПолеРасшифровки));
```
</details>

## ОтборПоПолюИмеетСмысл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет есть ли в коллекции отборов, элемент устанавливающий такой же или более точный отбор по переданному полю.
//
// Параметры:
//  Поле					 - Строка						 - Имя поля левого значения, по которому предполагается наложить отбор.
//  ПрименяемыйВидСравнения	 - ВидСравненияКомпоновкиДанных	 - Вид сравнения предполагаемого отбора.
//  Отбор					 - ОтборКомпоновкиДанных 		 - Проверяемый отбор.
//
// Возвращаемое значение:
//  Булево - Истина - если более точного отбора в коллекции нет, и отбор имеет смысл, в противном случае - ложь.
//
Функция ОтборПоПолюИмеетСмысл(Поле, ПрименяемыйВидСравнения, Отбор) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ОтборПоПолюИмеетСмысл(Поле, ПрименяемыйВидСравнения, Отбор));
```
</details>

## СкопироватьЭлементыПоНастройкамИзРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СкопироватьЭлементыПоНастройкамИзРасшифровки(НастройкиПриемник, НастройкиИсточник) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.СкопироватьЭлементыПоНастройкамИзРасшифровки(НастройкиПриемник, НастройкиИсточник) 
```
</details>

## ЗаполнитьСценарийОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСценарийОтчета(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ЗаполнитьСценарийОтчета(ОтчетОбъект) 
```
</details>

## ДобавитьИзменитьЭлементОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьИзменитьЭлементОтбора(ОбластьПоискаДобавления, Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ДобавитьИзменитьЭлементОтбора(ОбластьПоискаДобавления, );
```
</details>

## Настройки_Отбор_Счет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Настройки_Отбор_Счет(Настройки, КлючВарианта = "ОСВ", ВидСравненияКД = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.Настройки_Отбор_Счет(Настройки, КлючВарианта, ВидСравненияКД);
```
</details>

## ДонастроитьНастройкиПоВарианту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДонастроитьНастройкиПоВарианту(НовыеНастройки, НастройкиВарианта) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ДонастроитьНастройкиПоВарианту(НовыеНастройки, НастройкиВарианта) 
```
</details>

## ЗапомнитьДанныеРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗапомнитьДанныеРасшифровки(ДополнительныеСвойства, ДанныеРасшифровки, АдресСКД) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ЗапомнитьДанныеРасшифровки(ДополнительныеСвойства, ДанныеРасшифровки, АдресСКД) 
```
</details>

## ВставитьОбластьРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВставитьОбластьРасшифровки(ТабДокПриемник, ТабДокРасшифровка, ИмяОбласти = Неопределено, ЗаголовокГруппировки = Неопределено, НомерСтрокиДобавления) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ВставитьОбластьРасшифровки(ТабДокПриемник, ТабДокРасшифровка, ИмяОбласти, ЗаголовокГруппировки, НомерСтрокиДобавления) 
```
</details>

## НовыйПараметрыФормыСтандартногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров открытия формы стандартного отчета.
//
// Возвращаемое значение:
//	Структура - Содержит ключи с параметрами открытия формы.
//
Функция НовыйПараметрыФормыСтандартногоОтчета() Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.НовыйПараметрыФормыСтандартногоОтчета() 
```
</details>

## ПолучитьПустойУникальныйИдентификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПустойУникальныйИдентификатор() Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьПустойУникальныйИдентификатор() 
```
</details>

## ПоляОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоляОбъекта(Объект, ИменаПолей) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПоляОбъекта(Объект, ИменаПолей) 
```
</details>

## УправлениеФормой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УправлениеФормой(Форма, ИмяТЧ = "ВНА", ОбновитьВидимостьПериодаОтчета = Истина, ИспользоватьПериодОтчета = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УправлениеФормой(Форма, ИмяТЧ, ОбновитьВидимостьПериодаОтчета, ИспользоватьПериодОтчета);
```
</details>

## ВидЗаполненияВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидЗаполненияВНА(Форма) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ВидЗаполненияВНА(Форма));
```
</details>

## УстановитьПланыСчетовВПараметрахВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПланыСчетовВПараметрахВыбора(Форма, ИмяТЧ, СоответствиеКолонок) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.УстановитьПланыСчетовВПараметрахВыбора(Форма, ИмяТЧ, СоответствиеКолонок));
```
</details>

## ОбновитьВидимостьДокументыОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьВидимостьДокументыОснования(ФормаДокумента) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьВидимостьДокументыОснования(ФормаДокумента) 
```
</details>

## ВидимостьПодробно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВидимостьПодробно(Форма, ИзменитьПометку = Ложь, ИмяТЧ = "ВНА", ИмяГруппыПодробно = "ГруппаПодробно", ИмяКомандыПодробно = "ПоказатьПодробно") Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ВидимостьПодробно(Форма, ИзменитьПометку, ИмяТЧ, ИмяГруппыПодробно, ИмяКомандыПодробно);
```
</details>

## ПолучитьСоответствиеКолонок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоответствиеКолонок(ФормаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьСоответствиеКолонок(ФормаДокумента));
```
</details>

## ОбновитьРеквизитыУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьРеквизитыУП(Форма, ДатаУчетнойПолитики = Неопределено, ОрганизацияУП = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ОбновитьРеквизитыУП(Форма, ДатаУчетнойПолитики, ОрганизацияУП);
```
</details>

## ПриИзмененииСчетаПроводки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Устарела**
Процедура ПриИзмененииСчетаПроводки(Форма, ДтКт = "Дт", ПутьКДаннымТЧ = "Объект.Проводки", ИмяТЧ = "Проводки", СтрокаТаблицы = Неопределено, ПересчитатьСтроку = Истина) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ПриИзмененииСчетаПроводки(Форма, ДтКт, ПутьКДаннымТЧ, ИмяТЧ, СтрокаТаблицы, ПересчитатьСтроку);
```
</details>

## ПриИзмененииСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииСубконто(Форма, ПутьКДаннымТЧ = "Объект.Проводки", ИмяТЧ = "Проводки", ДтКт = "") Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ПриИзмененииСубконто(Форма, ПутьКДаннымТЧ, ИмяТЧ, ДтКт);
```
</details>

## НачалоВыбораСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачалоВыбораСубконто(Форма, ИмяТЧ = "Проводки", ДтКт= "Дт", Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.НачалоВыбораСубконто(Форма, ИмяТЧ, ДтКт, Элемент, СтандартнаяОбработка) 
```
</details>

## ПересчитатьСуммыПроводки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПересчитатьСуммыПроводки(Форма, Проводка, Знач ИсточникПересчета = "СуммаВВалютеДт") Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ПересчитатьСуммыПроводки(Форма, Проводка, ИсточникПересчета);
```
</details>

## ЗаполнитьВалютуОперацииМСФОПоСубконтоДоговор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьВалютуОперацииМСФОПоСубконтоДоговор(ЗначениеВалютыВСтроке, ПараметрыДокумента) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ЗаполнитьВалютуОперацииМСФОПоСубконтоДоговор(ЗначениеВалютыВСтроке, ПараметрыДокумента) 
```
</details>

## ПересчетСуммыПоКурсу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПересчетСуммыПоКурсу(Знач ВалютнаяСумма, Знач Валюта, Знач Дата, Знач ВалютаКон) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПересчетСуммыПоКурсу(ВалютнаяСумма, Валюта, Дата, ВалютаКон));
```
</details>

## ЗаполнитьНадписиВПроводке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьНадписиВПроводке(Проводка, ЕстьНадписиНУ = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ЗаполнитьНадписиВПроводке(Проводка, ЕстьНадписиНУ);
```
</details>

## ИзменитьПараметрыВыбораПолейСубконтоФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьПараметрыВыбораПолейСубконтоФормы(Форма, ПутьКДаннымТЧ = "Объект.Проводки", ИмяТЧ = "Проводки", ДтКт = "") Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ИзменитьПараметрыВыбораПолейСубконтоФормы(Форма, ПутьКДаннымТЧ, ИмяТЧ, ДтКт);
```
</details>

## СтруктураДанныхПроводки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныхПроводки(ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.СтруктураДанныхПроводки(ТекущиеДанные));
```
</details>

## ПолучитьСписокПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокПараметров(Форма, ТекущиеДанные, ШаблонИмяПоляОбъекта, ИмяПоляСчетУчета) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентСерверУХ.ПолучитьСписокПараметров(Форма, ТекущиеДанные, ШаблонИмяПоляОбъекта, ИмяПоляСчетУчета) 
```
</details>

## ПриИзмененииПоказателяКорректировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииПоказателяКорректировки(Форма, ПутьКДаннымТЧ = "Объект.Корректировки", ИмяТЧ = "Корректировки", СтрокаТаблицы = Неопределено, СкрыватьСубконто = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентСерверУХ.ПриИзмененииПоказателяКорректировки(Форма, ПутьКДаннымТЧ, ИмяТЧ, СтрокаТаблицы, СкрыватьСубконто);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
