---
title: МСФО клиент УХ
slug: erp-uh/мсфо-клиент-ух
---


## ОткрытьСписокДокументовОснований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьСписокДокументовОснований(ФормаДокумента, ИмяТЧ = Неопределено, СтандартнаяОбработка = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ОткрытьСписокДокументовОснований(ФормаДокумента, ИмяТЧ, СтандартнаяОбработка);
```
</details>

## ПоказатьВопросОПерезаполнении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьВопросОПерезаполнении(Форма, ИмяПроцедуры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ПоказатьВопросОПерезаполнении(Форма, ИмяПроцедуры, ДополнительныеПараметры) 
```
</details>

## ЗаполнитьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДокумент(Форма, ДанныеЗаполнения, ИмяТЧ = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ЗаполнитьДокумент(Форма, ДанныеЗаполнения, ИмяТЧ);
```
</details>

## СоздатьДокументМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьДокументМСФО(Форма) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.СоздатьДокументМСФО(Форма) 
```
</details>

## ТабличнаяЧастьПриОкончанииРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТабличнаяЧастьПриОкончанииРедактирования(ФормаДокумента, Элемент, НоваяСтрока, ОтменаРедактирования) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ТабличнаяЧастьПриОкончанииРедактирования(ФормаДокумента, Элемент, НоваяСтрока, ОтменаРедактирования) 
```
</details>

## ОткрытьФормуРедактированияМногострочногоТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму редактирования произвольного многострочного текста модально
//
// Параметры:
// МногострочныйТекст      - Строка - произвольный текст, который необходимо отредактировать
// РезультатРедактирования - Строка - переменная, в которую будет помещен результат редактирования
// Модифицированность       - Строка - флаг модифицированности формы
// Заголовок               - Строка - текст, который необходимо отобразить в заголовке формы
//
Процедура ОткрытьФормуРедактированияМногострочногоТекста(ФормаДокумента, Знач МногострочныйТекст, РезультатРедактирования, Модифицированность = Ложь, Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ОткрытьФормуРедактированияМногострочногоТекста(ФормаДокумента, МногострочныйТекст, РезультатРедактирования, Модифицированность, );
```
</details>

## УстановитьЗначениеВКолонкеПоВыделеннымСтрокам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьЗначениеВКолонкеПоВыделеннымСтрокам(Форма, ИмяТЧ) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.УстановитьЗначениеВКолонкеПоВыделеннымСтрокам(Форма, ИмяТЧ) 
```
</details>

## Подключаемый_УстановитьЗначениеВКолонкеПоВыделеннымСтрокам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Подключаемый_УстановитьЗначениеВКолонкеПоВыделеннымСтрокам(ЗначениеЗаполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Подключаемый_УстановитьЗначениеВКолонкеПоВыделеннымСтрокам(ЗначениеЗаполнения, ДополнительныеПараметры) 
```
</details>

## УстановитьОтборПоПризнаку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОтборПоПризнаку(ОтборСтрок, КолонкаПризнака, ТекущееЗначениеПризнака) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.УстановитьОтборПоПризнаку(ОтборСтрок, КолонкаПризнака, ТекущееЗначениеПризнака) 
```
</details>

## ОбработкаРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик расшифровки табличного документа формы отчета.
// См. "Расширение поля формы для поля табличного документа.ОбработкаРасшифровки" в синтакс-помощнике.
//
// Параметры:
//   ФормаОтчета - УправляемаяФорма - форма отчета.
//   Элемент     - ПолеФормы        - табличный документ.
//   Расшифровка - Произвольный     - значение расшифровки точки, серии или значения диаграммы.
//   СтандартнаяОбработка - Булево  - признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаРасшифровки(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ОбработкаРасшифровки(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ОбработкаДополнительнойРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик расшифровки табличного документа формы отчета.
// См. "Расширение поля формы для поля табличного документа.ОбработкаРасшифровки" в синтакс-помощнике.
//
// Параметры:
//   ФормаОтчета - УправляемаяФорма - форма отчета.
//   Элемент     - ПолеФормы        - табличный документ.
//   Расшифровка - Произвольный     - значение расшифровки точки, серии или значения диаграммы.
//   СтандартнаяОбработка - Булево  - признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаДополнительнойРасшифровки(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ОбработкаДополнительнойРасшифровки(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ОбработкаРасшифровки_УчетныеПолитикиМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаРасшифровки_УчетныеПолитикиМСФО(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка, РасшифровкиТекущаяОбласть = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ОбработкаРасшифровки_УчетныеПолитикиМСФО(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка, РасшифровкиТекущаяОбласть);
```
</details>

## ОбработкаРасшифровки_ОСВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаРасшифровки_ОСВ(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ОбработкаРасшифровки_ОСВ(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка));
```
</details>

## ОбработкаРасшифровкиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаРасшифровкиЗавершение(ВыполненноеДействие, ПараметрВыполненногоДействия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ОбработкаРасшифровкиЗавершение(ВыполненноеДействие, ПараметрВыполненногоДействия, ДополнительныеПараметры) 
```
</details>

## ОбработкаРасшифровки_СверкаВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаРасшифровки_СверкаВГО(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ОбработкаРасшифровки_СверкаВГО(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка));
```
</details>

## Расшифровать_УрегулированиеДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Расшифровать_УрегулированиеДокументов(ВыполненноеДействие, ПараметрВыполненногоДействия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Расшифровать_УрегулированиеДокументов(ВыполненноеДействие, ПараметрВыполненногоДействия, ДополнительныеПараметры));
```
</details>

## РасшифровкиОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасшифровкиОбласти(ТабДок, ВыделеннаяОбласть) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.РасшифровкиОбласти(ТабДок, ВыделеннаяОбласть));
```
</details>

## ПолучитьОтборПоРасшифровкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтборПоРасшифровкам(Расшифровки, ДанныеРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ПолучитьОтборПоРасшифровкам(Расшифровки, ДанныеРасшифровки));
```
</details>

## ПолучитьДополнительныеПунктыМенюРасшифровкиОСВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДополнительныеПунктыМенюРасшифровкиОСВ(ФормаОтчета, ОтборРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ПолучитьДополнительныеПунктыМенюРасшифровкиОСВ(ФормаОтчета, ОтборРасшифровки));
```
</details>

## ЗаполнитьРасшифровкиОСВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьРасшифровкиОСВ(ПунктыМеню, Счет, ФормаОтчета, КлючВарианта) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ЗаполнитьРасшифровкиОСВ(ПунктыМеню, Счет, ФормаОтчета, КлючВарианта));
```
</details>

## ЗаполнитьРаскрытияОСВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьРаскрытияОСВ(ПунктыМеню, Счет, ОтборРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ЗаполнитьРаскрытияОСВ(ПунктыМеню, Счет, ОтборРасшифровки));
```
</details>

## Расшифровать_ОтчетПоПроводкамРСБУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Расшифровать_ОтчетПоПроводкамРСБУ(ФормаОтчета, ОтборРасшифровки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Расшифровать_ОтчетПоПроводкамРСБУ(ФормаОтчета, ОтборРасшифровки, СтандартнаяОбработка));
```
</details>

## Расшифровать_ОткрытьЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Расшифровать_ОткрытьЗначение(ОтборРасшифровки, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Расшифровать_ОткрытьЗначение(ОтборРасшифровки, Расшифровка, СтандартнаяОбработка));
```
</details>

## Расшифровать_Раскрытие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Расшифровать_Раскрытие(Форма, НастройкиРасшифровки, ОписаниеРасшифровки, ДополнительныеПараметры, ВыполненноеДействие) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Расшифровать_Раскрытие(Форма, НастройкиРасшифровки, ОписаниеРасшифровки, ДополнительныеПараметры, ВыполненноеДействие));
```
</details>

## Расшифровать_ОтчетРасшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Расшифровать_ОтчетРасшифровка(Форма, НастройкиРасшифровки, ОписаниеРасшифровки, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Расшифровать_ОтчетРасшифровка(Форма, НастройкиРасшифровки, ОписаниеРасшифровки, ДополнительныеПараметры));
```
</details>

## Расшифровать_Стандартно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Расшифровать_Стандартно(ВыполненноеДействие, ПараметрВыполненногоДействия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Расшифровать_Стандартно(ВыполненноеДействие, ПараметрВыполненногоДействия, ДополнительныеПараметры) 
```
</details>

## РаскрытияВозможны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РаскрытияВозможны(НастройкиСКД) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.РаскрытияВозможны(НастройкиСКД));
```
</details>

## ПолучитьПараметрыРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыРасшифровки(ФормаОтчета) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ПолучитьПараметрыРасшифровки(ФормаОтчета));
```
</details>

## АдресСхемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АдресСхемы(Компоновщик) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.АдресСхемы(Компоновщик));
```
</details>

## ПолучитьОписаниеРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеРасшифровки(ВыполненноеДействие) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ПолучитьОписаниеРасшифровки(ВыполненноеДействие));
```
</details>

## ДобавитьГруппировкиВОписание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьГруппировкиВОписание(ОписаниеОтчетаПриемника, ИменаГруппировок = "") Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ДобавитьГруппировкиВОписание(ОписаниеОтчетаПриемника, ИменаГруппировок);
```
</details>

## ПолучитьПериодИзРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПериодИзРасшифровки(ОтборРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ПолучитьПериодИзРасшифровки(ОтборРасшифровки));
```
</details>

## Подключаемый_ОбработкаРасшифровкиУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Подключаемый_ОбработкаРасшифровкиУП( Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Подключаемый_ОбработкаРасшифровкиУП();
```
</details>

## Подключаемый_ВыборУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Подключаемый_ВыборУП(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Подключаемый_ВыборУП(Результат, ДополнительныеПараметры) 
```
</details>

## ДоработатьНастройкиПоРасшифровке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДоработатьНастройкиПоРасшифровке(НастройкиРасшифровки, ДополнительныеПараметры, ДанныеРасшифровки, ОписаниеРасшифровки) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ДоработатьНастройкиПоРасшифровке(НастройкиРасшифровки, ДополнительныеПараметры, ДанныеРасшифровки, ОписаниеРасшифровки));
```
</details>

## ДобавитьОтборыПоРасшифровке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОтборыПоРасшифровке(НастройкиРасшифровки, ДанныеРасшифровки, Расшифровка) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ДобавитьОтборыПоРасшифровке(НастройкиРасшифровки, ДанныеРасшифровки, Расшифровка));
```
</details>

## ЗагрузкаДанных_Подключаемый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. МСФОУХ.ПриОпределенииВидовПодключаемыхКоманд
Процедура ЗагрузкаДанных_Подключаемый(ПараметрКоманды, ПараметрыВыполненияКоманды) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ЗагрузкаДанных_Подключаемый(ПараметрКоманды, ПараметрыВыполненияКоманды) 
```
</details>

## ОбъектЗаполненДляЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбъектЗаполненДляЗагрузки(Объект) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ОбъектЗаполненДляЗагрузки(Объект));
```
</details>

## ЗначенияРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначенияРеквизитов(Источник, ИменаРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ЗначенияРеквизитов(Источник, ИменаРеквизитов));
```
</details>

## ПолучитьАдресТаблицыЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьАдресТаблицыЗагрузки(Форма, ОписаниеТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ПолучитьАдресТаблицыЗагрузки(Форма, ОписаниеТаблицы));
```
</details>

## ПолучитьТаблицуОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуОбъекта(Объект, ОписаниеТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = МСФОКлиентУХ.ПолучитьТаблицуОбъекта(Объект, ОписаниеТаблицы));
```
</details>

## Подключаемый_ПриЗакрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Подключаемый_ПриЗакрытии(РезультатЗакрытия = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Подключаемый_ПриЗакрытии(РезультатЗакрытия, ДополнительныеПараметры);
```
</details>

## ДоработатьПослеЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДоработатьПослеЗагрузки(Форма, ОписаниеТаблицы) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.ДоработатьПослеЗагрузки(Форма, ОписаниеТаблицы));
```
</details>

## Заполнить_РезервДЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Заполнить_РезервДЗ(Форма) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Заполнить_РезервДЗ(Форма));
```
</details>

## Заполнить_РезервМПЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Заполнить_РезервМПЗ(Форма) Экспорт
```

Пример вызова
```bsl
МСФОКлиентУХ.Заполнить_РезервМПЗ(Форма));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
