---
title: МСФО УХ
slug: erp-uh/мсфо-ух
---


## ПереключитьАктивностьПроводокМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Снимает/устанавливает активность проводок документа (учет по МСФО).
//
Процедура ПереключитьАктивностьПроводокМСФО(Документ) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ПереключитьАктивностьПроводокМСФО(Документ) 
```
</details>

## ОбъединитьЗаголовкиПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбъединитьЗаголовкиПолей(Документ, ТекстОбласти, ОбъединитьПравыеПустые = Истина) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ОбъединитьЗаголовкиПолей(Документ, ТекстОбласти, ОбъединитьПравыеПустые);
```
</details>

## ПриКомпоновкеРезультата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из стандартных отчетов МФУ.
//
Процедура ПриКомпоновкеРезультата(СхемаКомпоновкиДанных, КомпоновщикНастроек, ДокументРезультат, ДанныеРасшифровки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ПриКомпоновкеРезультата(СхемаКомпоновкиДанных, КомпоновщикНастроек, ДокументРезультат, ДанныеРасшифровки, СтандартнаяОбработка) 
```
</details>

## ДоработатьМакетКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДоработатьМакетКомпоновки(МакетКомпоновки, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ДоработатьМакетКомпоновки(МакетКомпоновки, КомпоновщикНастроек));
```
</details>

## СКД_Поля_Счет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СКД_Поля_Счет(СхемаКомпоновкиДанных, ВыводитьНаименованиеСчета = Ложь, ПоляСчетов = "Счет") Экспорт
```

Пример вызова
```bsl
МСФОУХ.СКД_Поля_Счет(СхемаКомпоновкиДанных, ВыводитьНаименованиеСчета, ПоляСчетов);
```
</details>

## ПолучитьШаблонВыраженияАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьШаблонВыраженияАналитики(СоставАналитики) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьШаблонВыраженияАналитики(СоставАналитики) 
```
</details>

## ЭтоВариантДвиженияССубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоВариантДвиженияССубконто(КлючВарианта) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ЭтоВариантДвиженияССубконто(КлючВарианта) 
```
</details>

## Компоновщик_Поля_Показатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Компоновщик_Поля_Показатели(НастройкиСКД, Отбор, ВидыПоказателей) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.Компоновщик_Поля_Показатели(НастройкиСКД, Отбор, ВидыПоказателей) 
```
</details>

## ПолучитьШаблоныПолейРесурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьШаблоныПолейРесурса(РазвернутоеСальдо = Неопределено, ВариантДетали = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьШаблоныПолейРесурса(РазвернутоеСальдо, ВариантДетали);
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Содержит настройки размещения вариантов отчетов в панели отчетов.
//
// Параметры:
//   Настройки - Коллекция - Используется для описания настроек отчетов и вариантов
//       см. описание к ВариантыОтчетов.ДеревоПредопределенных().
//
// Описание:
//   В данной процедуре необходимо указать каким именно образом предопределенные варианты отчетов
//   будут регистрироваться в программе и показываться в панели отчетов.
//
// Вспомогательные методы:
//   1. Функции ОписаниеОтчета и ОписаниеВарианта формируют описание настроек отчета и варианта для последующего изменения:
//		НастройкиОтчета   = ВариантыОтчетов.ОписаниеОтчета(Настройки, Метаданные.Отчеты.<ИмяОтчета>);
//		НастройкиВарианта = ВариантыОтчетов.ОписаниеВарианта(Настройки, НастройкиОтчета, "<ИмяВарианта>");
//       Возвращаемые коллекции содержат одинаковый набор свойств.
//       НастройкиОтчета используются как умолчания для вариантов, описания которых еще не получены.
//
//       Свойства для изменения:
//       * Включен - Булево -
//           Если Ложь, то вариант отчета не регистрируется в подсистеме.
//           Используется для удаления технических и контекстных вариантов отчетов из всех интерфейсов.
//           Эти варианты отчета по прежнему можно открывать в форме отчета программно при помощи
//           параметров открытия (см. справку по "Расширение управляемой формы для отчета.КлючВарианта").
//       * ВидимостьПоУмолчанию - Булево -
//           Если Ложь, то вариант отчета по умолчанию скрыт в панели отчетов.
//           Пользователь может "включить" его в режиме настройки панели отчетов
//           или открыть через форму "Все отчеты".
//       * Описание - Строка - Дополнительная информация по варианту отчета.
//           В панелях отчетов выводится в виде подсказки.
//           Должно расшифровывать для пользователя содержимое варианта отчета
//           и не должно дублировать наименование варианта отчета.
//           Используется при поиске.
//       * Размещение - Соответствие - Настройки размещения варианта отчета в разделах.
//           ** Ключ     - ОбъектМетаданных: Подсистема - Подсистема, в которой размещается отчет или вариант отчета.
//           ** Значение - Строка - Необязательный. Настройки размещения в подсистеме.
//               ""        - Выводить отчет в своей группе обычным шрифтом.
//               СВажный"  - Выводить отчет в своей группе жирным шрифтом.
//               ССмТакже" - Выводить отчет в группе "См. также".
//       * ФункциональныеОпции - Массив из Строка -
//            Имена функциональных опций варианта отчета.
//       * НастройкиДляПоиска - Структура - Дополнительные настройки для поиска этого варианта отчета.
//           Эти настройки необходимо задавать только если СКД не используется или используется не в полном объеме.
//           Например, СКД может использоваться только для параметризации и получения данных,
//           а вывод выполняться в фиксированный макет табличного документа.
//           ** НаименованияПолей - Строка - Имена полей варианта отчета.
//           ** НаименованияПараметровИОтборов - Строка - Имена настроек варианта отчета.
//           ** КлючевыеСлова - Строка - Дополнительная терминология (в т.ч. специализированная или устаревшая).
//           Разделитель терминов: Символы.ПС.
//       * ФорматНастроекСКД - Булево - Отчет использует типовой формат хранения настроек на механике СКД,
//           а его основные формы поддерживают стандартную схему взаимодействия между формами (параметры и тип возвращаемого значения).
//           Если Ложь, тогда для отчета отключаются проверки консистентности и некоторые механизмы, которые рассчитывают на типовой формат.
//       * ОпределитьНастройкиФормы - Булево - Отчет имеет программный интерфейс для тесной интеграции с формой отчета,
//           в том числе может переопределять некоторые настройки формы и подписываться на ее события.
//           Если Истина и отчет подключен к общей форме ФормаОтчета,
//           тогда в модуле объекта отчета следует определить процедуру по шаблону:
//
//               // Настройки общей формы отчета подсистемы "Варианты отчетов".
//               //
//               // Параметры:
//               //   Форма - УправляемаяФорма, Неопределено - Форма отчета или форма настроек отчета.
//               //       Неопределено когда вызов без контекста.
//               //   КлючВарианта - Строка, Неопределено - Имя предопределенного
//               //       или уникальный идентификатор пользовательского варианта отчета.
//               //       Неопределено когда вызов без контекста.
//               //   Настройки - Структура - см. возвращаемое значение
//               //       ОтчетыКлиентСервер.ПолучитьНастройкиОтчетаПоУмолчанию().
//               //
//               Процедура ОпределитьНастройкиФормы(Форма, КлючВарианта, Настройки) Экспорт
//               	// Код процедуры.
//               КонецПроцедуры
//
//   2. Процедура УстановитьРежимВыводаВПанеляхОтчетов позволяет настроить режим группировки вариантов в панелях отчетов:
//		ВариантыОтчетов.УстановитьРежимВыводаВПанеляхОтчетов(Настройки, НастройкиОтчета, Истина/Ложь);
//		ВариантыОтчетов.УстановитьРежимВыводаВПанеляхОтчетов(Настройки, Метаданные.Отчеты.<ИмяОтчета>, Истина/Ложь);
//		ВариантыОтчетов.УстановитьРежимВыводаВПанеляхОтчетов(Настройки, Метаданные.Подсистемы.<ИмяПодсистемы>, Истина/Ложь);
//
//   3. Процедура НастроитьОтчетВМодулеМенеджера позволяет переопределять настройки отчета в его модуле менеджера:
//		ВариантыОтчетов.НастроитьОтчетВМодулеМенеджера(Настройки, Метаданные.Отчеты.<ИмяОтчета>);
//      После вставки вызова в модуле менеджера указанного отчета следует разместить экспортную процедуру по шаблону:
//      // Настройки размещения в панели отчетов.
//      //
//      // Параметры:
//      //   Настройки - Коллекция - Передается "как есть" из ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов().
//      //       Может использоваться для получения настроек варианта этого отчета при помощи функции ВариантыОтчетов.ОписаниеВарианта().
//      //   НастройкиОтчета - СтрокаДереваЗначений - Настройки этого отчета,
//      //       уже сформированные при помощи функции ВариантыОтчетов.ОписаниеОтчета() и готовые к изменению.
//      //       См. "Свойства для изменения" процедуры ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов().
//      //
//      // Описание:
//      //   См. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов().
//      //
//      // Вспомогательные методы:
//      //	НастройкиВарианта = ВариантыОтчетов.ОписаниеВарианта(Настройки, НастройкиОтчета, "<ИмяВарианта>");
//      //	ВариантыОтчетов.УстановитьРежимВыводаВПанеляхОтчетов(Настройки, НастройкиОтчета, Истина/Ложь);
//      //
//      // Примеры:
//      //
//      //  1. Установка описания варианта.
//      //	НастройкиВарианта = ВариантыОтчетов.ОписаниеВарианта(Настройки, НастройкиОтчета, "<ИмяВарианта>");
//      //	НастройкиВарианта.Описание = НСтр("ru = '<Описание>'");
//      //
//      //  2. Отключение варианта отчета.
//      //	НастройкиВарианта = ВариантыОтчетов.ОписаниеВарианта(Настройки, НастройкиОтчета, "<ИмяВарианта>");
//      //	НастройкиВарианта.Включен = Ложь;
//      //
//      Процедура НастроитьВариантыОтчета(Настройки, НастройкиОтчета) Экспорт
//      	// Код процедуры.
//      КонецПроцедуры
//
// Примеры:
//
//  1. Добавление варианта отчета в подсистему.
//	НастройкиВарианта = ВариантыОтчетов.ОписаниеВарианта(Настройки, Метаданные.Отчеты.ИмяОтчета, "<ИмяВарианта>");
//	НастройкиВарианта.Размещение.Вставить(Метаданные.Подсистемы.ИмяРаздела.Подсистемы.ИмяПодсистемы);
//
//  2. Отключение варианта отчета.
//	НастройкиВарианта = ВариантыОтчетов.ОписаниеВарианта(Настройки, Метаданные.Отчеты.ИмяОтчета, "<ИмяВарианта>");
//	НастройкиВарианта.Включен = Ложь;
//
//  3. Отключение всех вариантов отчета, кроме одного.
//	НастройкиОтчета = ВариантыОтчетов.ОписаниеОтчета(Настройки, Метаданные.Отчеты.ИмяОтчета);
//	НастройкиОтчета.Включен = Ложь;
//	НастройкиВарианта = ВариантыОтчетов.ОписаниеВарианта(Настройки, НастройкиОтчета, "<ИмяВарианта>");
//	НастройкиВарианта.Включен = Истина;
//
//  4. Заполнение настроек для поиска - наименования полей, параметров и отборов:
//	НастройкиВарианта = ВариантыОтчетов.ОписаниеВарианта(Настройки, Метаданные.Отчеты.ИмяОтчетаБезСхемы, "");
//	НастройкиВарианта.НастройкиДляПоиска.НаименованияПолей =
//		НСтр("ru = 'Контрагент
//		|Договор
//		|Ответственный
//		|Скидка
//		|Дата'");
//	НастройкиВарианта.НастройкиДляПоиска.НаименованияПараметровИОтборов =
//		НСтр("ru = 'Период
//		|Ответственный
//		|Контрагент
//		|Договор'");
//
//  5. Переключение режима вывода в панелях отчетов:
//  5.1. Группировка вариантов отчета по этому отчету:
//	ВариантыОтчетов.УстановитьРежимВыводаВПанеляхОтчетов(Настройки, Метаданные.Отчеты.ИмяОтчета, Истина);
//  5.2. Без группировки по отчету:
//	Отчет = ВариантыОтчетов.ОписаниеОтчета(Настройки, Метаданные.Отчеты.ИмяОтчета);
//	ВариантыОтчетов.УстановитьРежимВыводаВПанеляхОтчетов(Настройки, Отчет, Ложь);
//
// Важно:
//   Отчет выступает в качестве контейнера вариантов.
//     Изменяя настройки отчета можно сразу изменять настройки всех его вариантов.
//     Однако, если явно получить настройки варианта отчета, то они станут самостоятельными,
//     т.е. более не будут наследовать изменения настроек от отчета. См. пример 3.
//
//   Начальная настройка размещения отчетов по подсистемам зачитывается из метаданных,
//     ее дублирование в коде не требуется.
//
//   Функциональные опции варианта объединяются с функциональными опциями этого отчета по следующим правилам:
//     (ФО1_Отчета ИЛИ ФО2_Отчета) И (ФО3_Варианта ИЛИ ФО4_Варианта).
//   Функциональные опции отчетов не зачитываются из метаданных,
//     они применяются на этапе использования подсистемы пользователем.
//   Через ОписаниеОтчета можно добавлять функциональные опции, которые будут соединяться по указанным выше правилам,
//     но надо помнить, что эти функциональные опции будут действовать только для предопределенных вариантов отчетов.
//   Для пользовательских вариантов отчета действуют только функциональные опции отчета
//     - они отключаются только с отключением всего отчета.
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
МСФОУХ.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ПриОпределенииВидовПодключаемыхКоманд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПодключаемыеКомандыПереопределяемый.ПриОпределенииВидовПодключаемыхКоманд.
Процедура ПриОпределенииВидовПодключаемыхКоманд(ВидыПодключаемыхКоманд) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ПриОпределенииВидовПодключаемыхКоманд(ВидыПодключаемыхКоманд) 
```
</details>

## ПриОпределенииКомандПодключенныхКОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПодключаемыеКомандыПереопределяемый.ПриОпределенииКомандПодключенныхКОбъекту.
Процедура ПриОпределенииКомандПодключенныхКОбъекту(НастройкиФормы, Источники, ПодключенныеОтчетыИОбработки, Команды) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ПриОпределенииКомандПодключенныхКОбъекту(НастройкиФормы, Источники, ПодключенныеОтчетыИОбработки, Команды) 
```
</details>

## ДобавитьКомандуЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьКомандуЗагрузки(ДопПараметры, Команды, ТипПараметра) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ДобавитьКомандуЗагрузки(ДопПараметры, Команды, ТипПараметра));
```
</details>

## ОпределитьОбъектыСКомандамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых предусмотрена процедура ДобавитьКомандыОтчетов,
// описывающая команды открытия контекстных отчетов.
// Синтаксис процедуры ДобавитьКомандыОтчетов см. в документации.
//
// Параметры:
//   Объекты - Массив - объекты метаданных (ОбъектМетаданных) с командами отчетов.
//
Процедура ОпределитьОбъектыСКомандамиОтчетов(Объекты) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ОпределитьОбъектыСКомандамиОтчетов(Объекты) 
```
</details>

## ПриОпределенииСправочниковХраненияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) 
```
</details>

## ПриИзмененииРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииРеквизита(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ПриИзмененииРеквизита(Форма, Элемент) 
```
</details>

## ПутиСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПутиСубконто() Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПутиСубконто() 
```
</details>

## ВыборТипаСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыборТипаСубконто(ШаблонКогдаТогда, ПутиСубконто) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ВыборТипаСубконто(ШаблонКогдаТогда, ПутиСубконто) 
```
</details>

## ЗаменитьАналитикуУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Заменить аналитику учета
//
// Параметры:
//  ТекстЗапроса	 - 	 <Строка>	 - текст запроса
//  ИмяТаблицыСчета	 - 	 <Строка>	 - имя таблицы счета
//  ФункцииЗамены	 - 	 <Структура> - Новый структура("Подразделение", "т.Подразделение")
//  ЗаменыЗапроса	 - 	 <Структура> - Новый структура("Подразделение", "&А_Подразделение")
//
// Возвращаемое значение:
//   -
//
Функция ЗаменитьАналитикуУчета(ТекстЗапроса, ИмяТаблицыСчета, ФункцииЗамены, ЗаменыЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ЗаменитьАналитикуУчета(ТекстЗапроса, ИмяТаблицыСчета, ФункцииЗамены, ЗаменыЗапроса) 
```
</details>

## ПоляВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоляВыбора(ТаблицаСчета, ПутьПодразделение) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПоляВыбора(ТаблицаСчета, ПутьПодразделение));
```
</details>

## ВыборКогдаТогда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыборКогдаТогда(ТекстКогда, ТекстТогда) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ВыборКогдаТогда(ТекстКогда, ТекстТогда));
```
</details>

## ЗаменыЗапросаПоПрефиксу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменыЗапросаПоПрефиксу(Префикс) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ЗаменыЗапросаПоПрефиксу(Префикс) 
```
</details>

## ЗаменыСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменыСубконто(ФункцииЗамены, ТаблицаСчетов, ПутиСубконто, ИсключитьПозиции = Ложь, ТаблицаИсточник = Неопределено, ИмяЗначенийСубконто = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ЗаменыСубконто(ФункцииЗамены, ТаблицаСчетов, ПутиСубконто, ИсключитьПозиции, ТаблицаИсточник, ИмяЗначенийСубконто);
```
</details>

## ПодготовитьФормуНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьФормуНаСервере(ФормаДокумента, ИмяТаблицы = "ВНА", ДокументОбъект = Неопределено, ИнициализироватьДокументВНА = Истина, ЕстьРежимЗаполнения = Истина) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ПодготовитьФормуНаСервере(ФормаДокумента, ИмяТаблицы, ДокументОбъект, ИнициализироватьДокументВНА, ЕстьРежимЗаполнения);
```
</details>

## ИнициализироватьДокументВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьДокументВНА(ФормаДокумента, Объект, ИмяТаблицы, ИнициализироватьДокументВНА = Истина) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ИнициализироватьДокументВНА(ФормаДокумента, Объект, ИмяТаблицы, ИнициализироватьДокументВНА);
```
</details>

## ПолучитьПараметрыВыбораСчетаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыВыбораСчетаБД(ПланСчетовБД = Неопределено, Группирующий = Неопределено, Забалансовый = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьПараметрыВыбораСчетаБД(ПланСчетовБД, Группирующий, Забалансовый, );
```
</details>

## ПолучитьПараметрыВыбораПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыВыбораПоля(Коллекция, Знач ПараметрыВыбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьПараметрыВыбораПоля(Коллекция, ПараметрыВыбора);
```
</details>

## ОбновитьУсловноеОформлениеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьУсловноеОформлениеФормы(ФормаДокумента, ИмяТаблицы = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОУХ.ОбновитьУсловноеОформлениеФормы(ФормаДокумента, ИмяТаблицы);
```
</details>

## ДобавитьОформлениеВыделениеСтрокСРасхождениями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОформлениеВыделениеСтрокСРасхождениями(ФормаДокумента, ИмяТаблицы = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОУХ.ДобавитьОформлениеВыделениеСтрокСРасхождениями(ФормаДокумента, ИмяТаблицы);
```
</details>

## ДобавитьОформлениеВыделениеОтредактированныхСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОформлениеВыделениеОтредактированныхСтрок(ФормаДокумента, ИмяТаблицы = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОУХ.ДобавитьОформлениеВыделениеОтредактированныхСтрок(ФормаДокумента, ИмяТаблицы);
```
</details>

## ДобавитьОформлениеДоступностиЗависимыхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОформлениеДоступностиЗависимыхРеквизитов(ФормаДокумента, ИмяТаблицы = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОУХ.ДобавитьОформлениеДоступностиЗависимыхРеквизитов(ФормаДокумента, ИмяТаблицы);
```
</details>

## ДобавитьОформлениеДоступностиСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОформлениеДоступностиСубконто(ФормаДокумента, ИменаСубконто, ИмяТаблицы = "ВНА", УстанавливатьВидимость = Истина) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ДобавитьОформлениеДоступностиСубконто(ФормаДокумента, ИменаСубконто, ИмяТаблицы, УстанавливатьВидимость);
```
</details>

## ЗаполнитьДоступностьСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДоступностьСубконто(ФормаДокумента, ИменаСубконто, ИмяТаблицы = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОУХ.ЗаполнитьДоступностьСубконто(ФормаДокумента, ИменаСубконто, ИмяТаблицы);
```
</details>

## ЗаполнитьПараметрыВыбораСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПараметрыВыбораСчетов(Форма, ИмяТЧ = "Проводки", ПланСчетов = "МСФО") Экспорт
```

Пример вызова
```bsl
МСФОУХ.ЗаполнитьПараметрыВыбораСчетов(Форма, ИмяТЧ, ПланСчетов);
```
</details>

## ЗаполнитьРеквизитыОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРеквизитыОрганизации(КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ЗаполнитьРеквизитыОрганизации(КэшируемыеЗначения) 
```
</details>

## ДобавитьРеквизитыТаблицыПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьРеквизитыТаблицыПроводок(Форма, ПутьКДаннымТЧ = "Объект.Проводки", ИмяТЧ = "Проводки", Экспорт
```

Пример вызова
```bsl
МСФОУХ.ДобавитьРеквизитыТаблицыПроводок(Форма, ПутьКДаннымТЧ, ИмяТЧ, );
```
</details>

## УсловноеОформление_Проводки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УсловноеОформление_Проводки(Форма, ПутьКДаннымТЧ = "Объект.Проводки", ИмяТЧ = "Проводки", ПланСчетов = "МСФО") Экспорт
```

Пример вызова
```bsl
МСФОУХ.УсловноеОформление_Проводки(Форма, ПутьКДаннымТЧ, ИмяТЧ, ПланСчетов);
```
</details>

## УсловноеОформление_ДобавитьРеквизитыДоступности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УсловноеОформление_ДобавитьРеквизитыДоступности(Форма, ПутьКДаннымТЧ = "Объект.Проводки", ИмяТЧ = "Проводки", ПланСчетов = "МСФО") Экспорт
```

Пример вызова
```bsl
МСФОУХ.УсловноеОформление_ДобавитьРеквизитыДоступности(Форма, ПутьКДаннымТЧ, ИмяТЧ, ПланСчетов);
```
</details>

## УсловноеОформление_РеквизитыСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УсловноеОформление_РеквизитыСчета(Форма, ПутьКДаннымТЧ = "Объект.Проводки", ИмяТЧ = "Проводки", ПланСчетов = "МСФО") Экспорт
```

Пример вызова
```bsl
МСФОУХ.УсловноеОформление_РеквизитыСчета(Форма, ПутьКДаннымТЧ, ИмяТЧ, ПланСчетов);
```
</details>

## ДоступностиПланаСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоступностиПланаСчетов(ПланСчетов = "МСФО") Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ДоступностиПланаСчетов(ПланСчетов);
```
</details>

## УсловноеОформление_Субконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УсловноеОформление_Субконто(Форма, ПутьКДаннымТЧ = "Объект.Проводки", ИмяТЧ = "Проводки", ПланСчетов = "МСФО") Экспорт
```

Пример вызова
```bsl
МСФОУХ.УсловноеОформление_Субконто(Форма, ПутьКДаннымТЧ, ИмяТЧ, ПланСчетов);
```
</details>

## СоздатьЭлементыТчПроводки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьЭлементыТчПроводки(Элементы, ИмяТЧ, ПараметрыЭлементовТчПроводки = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОУХ.СоздатьЭлементыТчПроводки(Элементы, ИмяТЧ, ПараметрыЭлементовТчПроводки);
```
</details>

## ПараметрыЭлементовТчПроводки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыЭлементовТчПроводки(ПараметрыЭлементовТчПроводки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПараметрыЭлементовТчПроводки(ПараметрыЭлементовТчПроводки);
```
</details>

## СоздатьЭлементыДтКт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьЭлементыДтКт(Элементы, ИмяТЧ, ДтКт = "Дт", ПредставлениеДтКт = "Дебет", ПараметрыТЧ = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОУХ.СоздатьЭлементыДтКт(Элементы, ИмяТЧ, ДтКт, ПредставлениеДтКт, ПараметрыТЧ);
```
</details>

## СоздатьКолонкуФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьКолонкуФормы(Элементы, ИмяТЧ, ИмяКолонки, Родитель, Ширина = Неопределено, ПараметрыЭлемента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.СоздатьКолонкуФормы(Элементы, ИмяТЧ, ИмяКолонки, Родитель, Ширина, ПараметрыЭлемента);
```
</details>

## СоздатьГруппуКолонок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьГруппуКолонок(Элементы, ИмяТЧ, ИмяКолонки, Родитель, Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.СоздатьГруппуКолонок(Элементы, ИмяТЧ, ИмяКолонки, Родитель, );
```
</details>

## ПроверитьРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьРеквизиты(Реквизиты, Отказ = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ПроверитьРеквизиты(Реквизиты, Отказ);
```
</details>

## ДополнитьПараметрыПроведенияИзРезультата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//**ПроведениеСерверУХ.ДополнитьТаблицамиИзПакетаЗапросов
Функция ДополнитьПараметрыПроведенияИзРезультата(ПараметрыПроведения, Результат, НомераТаблиц, ПрефиксИсключаемыхТаблиц = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ДополнитьПараметрыПроведенияИзРезультата(ПараметрыПроведения, Результат, НомераТаблиц, ПрефиксИсключаемыхТаблиц);
```
</details>

## РеквизитыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыДокумента(Запрос, ИменаДопРеквизитов = Неопределено, ИмяПериодОтчета = "ПериодОтчета", Отказ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.РеквизитыДокумента(Запрос, ИменаДопРеквизитов, ИмяПериодОтчета, Отказ);
```
</details>

## ТекстЗапроса_втУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втУП(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ТекстЗапроса_втУП(НомераТаблиц));
```
</details>

## ТекстЗапроса_втАОСВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втАОСВ(НомераТаблиц, ТекстДопРеквизиты = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ТекстЗапроса_втАОСВ(НомераТаблиц, ТекстДопРеквизиты);
```
</details>

## ТекстДопРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстДопРеквизиты(ИменаДопРеквизитов, ИмяПериодОтчета) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ТекстДопРеквизиты(ИменаДопРеквизитов, ИмяПериодОтчета));
```
</details>

## ПутиДопРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПутиДопРеквизитов(ИменаДопРеквизитов, ИмяПериодОтчета = "ПериодОтчета") Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПутиДопРеквизитов(ИменаДопРеквизитов, ИмяПериодОтчета);
```
</details>

## ПланСчетовУП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПланСчетовУП(Организация = Неопределено, Сценарий = Неопределено, ДатаСведений = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПланСчетовУП(Организация, Сценарий, ДатаСведений);
```
</details>

## ПланСчетовПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПланСчетовПоУмолчанию(Сценарий = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПланСчетовПоУмолчанию(Сценарий);
```
</details>

## ЗаполнитьКэшируемыеЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьКэшируемыеЗначения(ФормаДокумента) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ЗаполнитьКэшируемыеЗначения(ФормаДокумента) 
```
</details>

## ОбновитьКэшируемыеЗначенияОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьКэшируемыеЗначенияОрганизации(ФормаДокумента, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ОбновитьКэшируемыеЗначенияОрганизации(ФормаДокумента, Организация);
```
</details>

## ОчиститьТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьТаблицы(ФормаДокумента, ИмяТаблицы = "ВНА") Экспорт
```

Пример вызова
```bsl
МСФОУХ.ОчиститьТаблицы(ФормаДокумента, ИмяТаблицы);
```
</details>

## ОбновитьРеквизитыНСБУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьРеквизитыНСБУ(ФормаДокумента, РеквизитыДляОбновления = "", СтрокиТаблицыОС = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ОбновитьРеквизитыНСБУ(ФормаДокумента, РеквизитыДляОбновления, СтрокиТаблицыОС);
```
</details>

## ЗаполнитьТаблицыНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТаблицыНаСервере(ФормаДокумента) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ЗаполнитьТаблицыНаСервере(ФормаДокумента) 
```
</details>

## ЗаполнитьПоКолонкамНСБУСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПоКолонкамНСБУСервер(ФормаДокумента, ИмяТаблицы = "ВНА", ТолькоНезаполненные = Истина) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ЗаполнитьПоКолонкамНСБУСервер(ФормаДокумента, ИмяТаблицы, ТолькоНезаполненные);
```
</details>

## ЗаполнитьОснованияСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОснованияСервер(ФормаДокумента) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ЗаполнитьОснованияСервер(ФормаДокумента) 
```
</details>

## ПолучитьСоответствиеКолонок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоответствиеКолонок(ФормаДокумента, ИмяТаблицы = "ВНА") Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьСоответствиеКолонок(ФормаДокумента, ИмяТаблицы);
```
</details>

## ДобавитьУсловноеОформлениеТолькоПросмотр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьУсловноеОформлениеТолькоПросмотр(ЭтаФорма, МассивИменОформляемыхПолей, Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ДобавитьУсловноеОформлениеТолькоПросмотр(ЭтаФорма, МассивИменОформляемыхПолей, );
```
</details>

## ПолучитьДокументСобытие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДокументСобытие(ИмяТипаДокумента, ДатаСобытия, ДополнительныеСвойства, КэшДокументов = Неопределено, Знач РежимЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьДокументСобытие(ИмяТипаДокумента, ДатаСобытия, ДополнительныеСвойства, КэшДокументов, РежимЗаполнения);
```
</details>

## ПолучитьДокументыСобытияПоОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДокументыСобытияПоОснованию(ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьДокументыСобытияПоОснованию(ДополнительныеСвойства) 
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполнения(Объект, ДанныеЗаполнения = Неопределено, РежимЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ОбработкаЗаполнения(Объект, ДанныеЗаполнения, РежимЗаполнения);
```
</details>

## ЗаполнитьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать процедуру ОбработкаЗаполнения
Процедура ЗаполнитьДокумент(Объект, РежимЗаполнения = Неопределено, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ЗаполнитьДокумент(Объект, РежимЗаполнения, Отказ);
```
</details>

## УстановитьНезаполненноеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьНезаполненноеЗначение(Параметр, Значение) Экспорт
```

Пример вызова
```bsl
МСФОУХ.УстановитьНезаполненноеЗначение(Параметр, Значение));
```
</details>

## ПроверитьРучныеКорректировкиПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьРучныеКорректировкиПередЗаписью(Источник, Отказ, РежимЗаписи) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ПроверитьРучныеКорректировкиПередЗаписью(Источник, Отказ, РежимЗаписи) 
```
</details>

## ПроверитьРучныеКорректировкиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьРучныеКорректировкиДокумента(ДокументСсылка, Отказ) Экспорт
```

Пример вызова
```bsl
МСФОУХ.ПроверитьРучныеКорректировкиДокумента(ДокументСсылка, Отказ) 
```
</details>

## ДобавитьЗапросыТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьЗапросыТрансляции(ТекстЗапроса, НомераТаблиц, ТекстЗапросаСчетаИсточники = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ДобавитьЗапросыТрансляции(ТекстЗапроса, НомераТаблиц, ТекстЗапросаСчетаИсточники);
```
</details>

## ТекстЗапроса_втСоответствияТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втСоответствияТрансляции(НомераТаблиц, ТекстЗапросаСчетаИсточники = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ТекстЗапроса_втСоответствияТрансляции(НомераТаблиц, ТекстЗапросаСчетаИсточники);
```
</details>

## ТекстЗапроса_втПолучениеПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втПолучениеПолей(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ТекстЗапроса_втПолучениеПолей(НомераТаблиц));
```
</details>

## ТекстЗапроса_втПравилаПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втПравилаПолей(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ТекстЗапроса_втПравилаПолей(НомераТаблиц));
```
</details>

## ПараметрыЗамены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыЗамены() Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПараметрыЗамены() 
```
</details>

## ПолучитьЗаменыПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗаменыПараметров(ШаблонТрансляции = Неопределено, ПараметрыЗамены = Неопределено, ПутиИсключения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьЗаменыПараметров(ШаблонТрансляции, ПараметрыЗамены, ПутиИсключения);
```
</details>

## ШаблонПоляПриемникаТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШаблонПоляПриемникаТрансляции(ДоступныеПути, ИмяТаблицыИсточника, ПоляИсточники) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ШаблонПоляПриемникаТрансляции(ДоступныеПути, ИмяТаблицыИсточника, ПоляИсточники));
```
</details>

## ПолучитьДанныеРежимаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеРежимаЗаполнения(РежимЗаполнения, ПолучитьНСБУ = Неопределено, ПолучитьМСФО = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьДанныеРежимаЗаполнения(РежимЗаполнения, ПолучитьНСБУ, ПолучитьМСФО);
```
</details>

## ПолучитьЗаполняемыеРеквизитыТаблицыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗаполняемыеРеквизитыТаблицыФормы(ФормаДокумента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьЗаполняемыеРеквизитыТаблицыФормы(ФормаДокумента);
```
</details>

## ПолучитьТаблицуВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить таблицу ВНА
//
// Параметры:
//  КоллекцияСтрок				 - <Массив,ТабличнаяЧасть,ТаблицаЗначений> - Строки содержащие ВНА
//  Источник					 - <УправляемаяФорма>	 -
//  ДополнительныеКолонкиИмена	 - <Соотвествие>	 - (ИмяКолонкиИсточник,ИмяКолонкиПриемник = Неопределено)
//  ДополнительныеКолонкиТипы	 - <Соотвествие>	 - (ИмяКолонкиИсточник,ОписаниеТипов)
// Возвращаемое значение:
//   - <ТаблицаЗначений> с дополненными типизированными колонками для использования в запросах
Функция ПолучитьТаблицуВНА(КоллекцияСтрок, Источник, ДополнительныеКолонкиИмена = Неопределено, ДополнительныеКолонкиТипы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьТаблицуВНА(КоллекцияСтрок, Источник, ДополнительныеКолонкиИмена, ДополнительныеКолонкиТипы);
```
</details>

## ПолучитьИмяКолонкиВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяКолонкиВНА(Источник) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьИмяКолонкиВНА(Источник) 
```
</details>

## ПолучитьПараметрыЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыЗаполнения(Источник, ПолучитьНСБУ = Неопределено, ПолучитьМСФО = Неопределено, ИспользоватьПериодОтчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьПараметрыЗаполнения(Источник, ПолучитьНСБУ, ПолучитьМСФО, ИспользоватьПериодОтчета);
```
</details>

## ПолучитьСчетаГруппыПодобно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСчетаГруппыПодобно(ЭтаФорма, ИмяТЧ = "", ПоТЧ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ПолучитьСчетаГруппыПодобно(ЭтаФорма, ИмяТЧ, ПоТЧ);
```
</details>

## ЗаменитьПараметрыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьПараметрыЗапроса(ТекстЗапроса, ПараметрыЗамены) Экспорт
```

Пример вызова
```bsl
Результат = МСФОУХ.ЗаменитьПараметрыЗапроса(ТекстЗапроса, ПараметрыЗамены) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
