---
title: Маркировка товаров ГИСМ
slug: erp-uh/маркировка-товаров-гисм
---


## ОбновитьСтатусГИСМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет информацию о статусе ГИСМ на форме документа
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, в которой необходимо обновить статус ГИСМ
//  ИмяДокумента - Строка - Имя документа, для которого необходимо определить статус ГИСМ.
//
Процедура ОбновитьСтатусГИСМ(Форма, ИмяДокумента) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМ.ОбновитьСтатусГИСМ(Форма, ИмяДокумента) 
```
</details>

## УправлениеДоступностью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает/скрывает видимость полей в зависимости от операции идентификации
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, в которой необходимо управление видимостью.
//
Процедура УправлениеДоступностью(Форма) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМ.УправлениеДоступностью(Форма) 
```
</details>

## ПроверитьСоответствияGTIN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает/скрывает видимость полей в зависимости от операции идентификации
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - Документ, в котором необходимо проверить соответствие GTIN КиЗ и товара
//  Отказ - Булево - Признак, указывающий на необходимость установки стандартного флага Отказ при проверке.
//
Процедура ПроверитьСоответствияGTIN(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМ.ПроверитьСоответствияGTIN(ДокументОбъект, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
