---
title: Маркировка товаров ГИСМ вызов сервера переопределяемый
slug: erp-uh/маркировка-товаров-гисм-вызов-сервера-переопределяемый
---


## ПриПолученииФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события вызывается на сервере при получении стандартной управляемой формы.
// Если требуется переопределить выбор открываемой формы, необходимо установить в параметре <ВыбраннаяФорма>
// другое имя формы или объект метаданных формы, которую требуется открыть, и в параметре <СтандартнаяОбработка>
// установить значение Ложь.
//
// Параметры:
//  ИмяДокумента - Строка - имя документа, для которого открывается форма,
//  ВидФормы - Строка - имя стандартной формы,
//  Параметры - Структура - параметры формы,
//  ВыбраннаяФорма - Строка, ФормаКлиентскогоПриложения - содержит имя открываемой формы или объект метаданных Форма,
//  ДополнительнаяИнформация - Структура - дополнительная информация открытия формы,
//  СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
Процедура ПриПолученииФормыДокумента(ИмяДокумента, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМВызовСервераПереопределяемый.ПриПолученииФормыДокумента(ИмяДокумента, ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) 
```
</details>

## ОтобратьНоменклатуруПоНомеруGTIN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает массив номенклатуры КиЗ по переданному GTIN маркированного товара и списка номенклатуры КиЗ,
// подходящей под выбранные категории КиЗ в документе.
//
// Параметры:
//  СписокНоменклатураКиЗ - Массив - список номенклатуры КиЗ, отобранной по категориям КиЗ в документе.
//  GTIN - Массив - массив GTIN маркируемой номенклатуры.
//  СписокНоменклатурыРезультат - Массив - массив номенклатуры КиЗ.
Процедура ОтобратьНоменклатуруПоНомеруGTIN(СписокНоменклатураКиЗ, GTIN, СписокНоменклатурыРезультат) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМВызовСервераПереопределяемый.ОтобратьНоменклатуруПоНомеруGTIN(СписокНоменклатураКиЗ, GTIN, СписокНоменклатурыРезультат) 
```
</details>

## МассивGTINМаркированногоТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает массив GTIN для переданного товара
//
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура - номенклатура (маркируемый товар).
//  Характеристика - СправочникСсылка.Номенклатура - характеристика номенклатуры (маркируемого товара).
//  СписокGTINРезультат - Массив - массив GTIN.
Процедура МассивGTINМаркированногоТовара(Номенклатура, Характеристика, СписокGTINРезультат) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМВызовСервераПереопределяемый.МассивGTINМаркированногоТовара(Номенклатура, Характеристика, СписокGTINРезультат) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
