---
title: Маркировка товаров ГИСМ переопределяемый
slug: erp-uh/маркировка-товаров-гисм-переопределяемый
---


## ЗаполнитьGTINВСтроках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет GTINВСтроках
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - Документ для заполнения GTIN.
Процедура ЗаполнитьGTINВСтроках(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ЗаполнитьGTINВСтроках(ДокументОбъект) 
```
</details>

## ИнициализироватьДокументМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать документ
//
// Параметры:
//  ДокументОбъект   - ДокументОбъект - обрабатываемый документ.
//  ДанныеЗаполнения - Структура - данные заполнения.
Процедура ИнициализироватьДокументМаркировкаТоваров(ДокументОбъект, ДанныеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ИнициализироватьДокументМаркировкаТоваров(ДокументОбъект, ДанныеЗаполнения);
```
</details>

## ОбработкаЗаполненияМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка заполнения маркировка товаров
//
// Параметры:
//  ДанныеЗаполнения - Структура - данные заполнения.
//  СтандартнаяОбработка - Булево - стандартная обработка.
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
Процедура ОбработкаЗаполненияМаркировкаТоваров(ДанныеЗаполнения, СтандартнаяОбработка, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ОбработкаЗаполненияМаркировкаТоваров(ДанныеЗаполнения, СтандартнаяОбработка, ДокументОбъект) 
```
</details>

## ОбработкаПроверкиЗаполненияМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проверки заполнения маркировка товаров
//
// Параметры:
//  Отказ - Булево - Отказ.
//  ПроверяемыеРеквизиты - Массив - массив проверяемых реквизитов.
//  МассивНепроверяемыхРеквизитов - Массив - массив непроверяемых реквизитов.
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
Процедура ОбработкаПроверкиЗаполненияМаркировкаТоваров(Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ОбработкаПроверкиЗаполненияМаркировкаТоваров(Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов, ДокументОбъект) 
```
</details>

## ПередЗаписьюМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перед записью маркировка товаров
//
// Параметры:
//  Отказ - Булево - Отказ.
//  РежимЗаписи - РежимЗаписи - Режим записи документа.
//  РежимПроведения - РежимПроведения - Режим проведения документа.
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
Процедура ПередЗаписьюМаркировкаТоваров(Отказ, РежимЗаписи, РежимПроведения, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ПередЗаписьюМаркировкаТоваров(Отказ, РежимЗаписи, РежимПроведения, ДокументОбъект) 
```
</details>

## ПриКопированииМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При копировании документа Маркировка товаров.
//
// Параметры:
//  ОбъектКопирования - см. описание параметра в синтаксис-помощнике к обработчику "ПриКопировании".
//  ДокументОбъект - ДокументОбъект.МаркировкаТоваров - обрабатываемый документ.
Процедура ПриКопированииМаркировкаТоваров(ОбъектКопирования, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ПриКопированииМаркировкаТоваров(ОбъектКопирования, ДокументОбъект) 
```
</details>

## ОбработкаПроведенияМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проведения маркировка товаров
//
// Параметры:
//  Отказ - Булево - Отказ.
//  РежимПроведения - РежимПроведения - Режим проведения документа.
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
//
Процедура ОбработкаПроведенияМаркировкаТоваров(Отказ, РежимПроведения, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ОбработкаПроведенияМаркировкаТоваров(Отказ, РежимПроведения, ДокументОбъект) 
```
</details>

## ОбработкаУдаленияПроведенияМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка удаления проведения маркировка товаров
//
// Параметры:
//  Отказ - Булево - Отказ.
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
//
Процедура ОбработкаУдаленияПроведенияМаркировкаТоваров(Отказ, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ОбработкаУдаленияПроведенияМаркировкаТоваров(Отказ, ДокументОбъект) 
```
</details>

## ИнициализироватьДокументПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать документ
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
//  ДанныеЗаполнения - Структура - данные заполнения.
Процедура ИнициализироватьДокументПеремаркировкаТоваров(ДокументОбъект, ДанныеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ИнициализироватьДокументПеремаркировкаТоваров(ДокументОбъект, ДанныеЗаполнения);
```
</details>

## ОбработкаЗаполненияПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проверки заполнения перемаркировка товаров
//
// Параметры:
//  ПроверяемыеРеквизиты - Массив - массив проверяемых реквизитов.
//  МассивНепроверяемыхРеквизитов - Массив - массив непроверяемых реквизитов.
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
//
Процедура ОбработкаЗаполненияПеремаркировкаТоваров(ДанныеЗаполнения, СтандартнаяОбработка, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ОбработкаЗаполненияПеремаркировкаТоваров(ДанныеЗаполнения, СтандартнаяОбработка, ДокументОбъект) 
```
</details>

## ОбработкаПроверкиЗаполненияПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проверки заполнения перемаркировка товаров
//
// Параметры:
//  Отказ - Булево - Отказ.
//  ПроверяемыеРеквизиты - Массив - массив проверяемых реквизитов.
//  МассивНепроверяемыхРеквизитов - Массив - массив непроверяемых реквизитов.
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
Процедура ОбработкаПроверкиЗаполненияПеремаркировкаТоваров(Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ОбработкаПроверкиЗаполненияПеремаркировкаТоваров(Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов, ДокументОбъект) 
```
</details>

## ПередЗаписьюПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перед записью перемаркировка товаров
//
// Параметры:
//  Отказ - Булево - Отказ.
//  РежимЗаписи - РежимЗаписи - Режим записи документа.
//  РежимПроведения - РежимПроведения - Режим проведения документа.
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
Процедура ПередЗаписьюПеремаркировкаТоваров(Отказ, РежимЗаписи, РежимПроведения, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ПередЗаписьюПеремаркировкаТоваров(Отказ, РежимЗаписи, РежимПроведения, ДокументОбъект) 
```
</details>

## ПриКопированииПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При копировании документа Перемаркировка товаров.
//
// Параметры:
//  ОбъектКопирования - см. описание параметра в синтаксис-помощнике к обработчику "ПриКопировании".
//  ДокументОбъект - ДокументОбъект.ПеремаркировкаТоваров - обрабатываемый документ.
Процедура ПриКопированииПеремаркировкаТоваров(ОбъектКопирования, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ПриКопированииПеремаркировкаТоваров(ОбъектКопирования, ДокументОбъект) 
```
</details>

## ОбработкаПроведенияПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проведения перемаркировка товаров
//
// Параметры:
//  Отказ - Булево - Отказ.
//  РежимПроведения - РежимПроведения - Режим проведения документа.
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
Процедура ОбработкаПроведенияПеремаркировкаТоваров(Отказ, РежимПроведения, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ОбработкаПроведенияПеремаркировкаТоваров(Отказ, РежимПроведения, ДокументОбъект) 
```
</details>

## ОбработкаУдаленияПроведенияПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка удаления проведения перемаркировка товаров
//
// Параметры:
//  Отказ - Булево - Отказ.
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
Процедура ОбработкаУдаленияПроведенияПеремаркировкаТоваров(Отказ, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ОбработкаУдаленияПроведенияПеремаркировкаТоваров(Отказ, ДокументОбъект) 
```
</details>

## ЗаполнитьНоменклатуруКиЗВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номенклатуру КиЗ в строке документа
//
// Параметры:
//  ТекущаяСтрока - ТекущаяСтрока - текущая строка таблицы Товары.
//  СписокНоменклатураКиЗ - СписокЗначений - список номенклатуры КиЗ, подходящих под выбранную категорию КиЗ в документе.
//  КиЗГИСМСИндивидуализацией - Булево - Признак получения КиЗ по GTIN или без GTIN.
Процедура ЗаполнитьНоменклатуруКиЗВСтроке(ТекущаяСтрока, СписокНоменклатураКиЗ, КиЗГИСМСИндивидуализацией) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ЗаполнитьНоменклатуруКиЗВСтроке(ТекущаяСтрока, СписокНоменклатураКиЗ, КиЗГИСМСИндивидуализацией) 
```
</details>

## ЗаполнитьGTINВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет GTIN в строке документа
//
// Параметры:
//  ТекущаяСтрока - ТекущаяСтрока - текущая строка таблицы Товары.
Процедура ЗаполнитьGTINВСтроке(ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ЗаполнитьGTINВСтроке(ТекущаяСтрока) 
```
</details>

## ЗаполнитьНоменклатуруКиЗВСтроках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номенклатуру КиЗ в строках документа
//
// Параметры:
//  Объект - ДокументОбъект - текущая строка таблицы Товары.
//  СписокНоменклатураКиЗ - СписокЗначений - список номенклатуры КиЗ, подходящих под выбранную категорию КиЗ в документе.
//  ЗаполнятьСерии - Булево - Признак заполнения серий в ТЧ Серии.
Процедура ЗаполнитьНоменклатуруКиЗВСтроках(Объект, СписокНоменклатураКиЗ, ЗаполнятьСерии = Истина) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ЗаполнитьНоменклатуруКиЗВСтроках(Объект, СписокНоменклатураКиЗ, ЗаполнятьСерии);
```
</details>

## ПолучитьКиЗДляЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список КиЗ, подходящих для заполнения документ по выбранным категориям КиЗ.
//
// Параметры:
//  Объект - ДокументОбъект - текущая строка таблицы Товары.
//  СписокНоменклатураКиЗ - СписокЗначений - список номенклатуры КиЗ, подходящих под выбранную категорию КиЗ в документе.
Процедура ПолучитьКиЗДляЗаполнения(Объект, СписокНоменклатураКиЗ) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ПолучитьКиЗДляЗаполнения(Объект, СписокНоменклатураКиЗ) 
```
</details>

## ЗаполнитьСпискиВыбораРеквизитовШапки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет списки выбора реквизитов шапки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
Процедура ЗаполнитьСпискиВыбораРеквизитовШапки(Форма) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ЗаполнитьСпискиВыбораРеквизитовШапки(Форма) 
```
</details>

## ЗаполнитьСпискиВыбораРеквизитовШапкиПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет списки выбора реквизитов шапки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
Процедура ЗаполнитьСпискиВыбораРеквизитовШапкиПеремаркировкаТоваров(Форма) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.ЗаполнитьСпискиВыбораРеквизитовШапкиПеремаркировкаТоваров(Форма) 
```
</details>

## КатегорияКиЗПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик Категория КиЗ при изменении
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - обрабатываемый документ.
//  СписокНоменклатураКиЗ - СписокЗначений - список номенклатуры КиЗ, подходящих под выбранную категорию КиЗ в документе.
//  ЗаполнятьСерии - Булево - Признак заполнения серий в ТЧ Серии.
Процедура КатегорияКиЗПриИзменении(ДокументОбъект, СписокНоменклатураКиЗ, ЗаполнятьСерии = Истина) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМПереопределяемый.КатегорияКиЗПриИзменении(ДокументОбъект, СписокНоменклатураКиЗ, ЗаполнятьСерии);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
