---
title: Маркировка товаров ГИСМ УТ
slug: erp-uh/маркировка-товаров-гисм-ут
---


## ИнициализироватьДокументМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать документ
//
// Параметры:
//  ДокументОбъект	 - ДокументОбъект.* - обрабатываемый документ.
//  ДанныеЗаполнения - Структура - данные заполнения.
//
Процедура ИнициализироватьДокументМаркировкаТоваров(ДокументОбъект, ДанныеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ИнициализироватьДокументМаркировкаТоваров(ДокументОбъект, ДанныеЗаполнения);
```
</details>

## ОбработкаЗаполненияМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка заполнения маркировка товаров
//
// Параметры:
//  ДанныеЗаполнения	 - Структура - данные заполнения.
//  СтандартнаяОбработка - Булево - стандартная обработка.
//  ДокументОбъект	 - ДокументОбъект.* - обрабатываемый документ.
//
Процедура ОбработкаЗаполненияМаркировкаТоваров(ДанныеЗаполнения, СтандартнаяОбработка, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ОбработкаЗаполненияМаркировкаТоваров(ДанныеЗаполнения, СтандартнаяОбработка, ДокументОбъект) 
```
</details>

## ОбработкаПроверкиЗаполненияМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проверки заполнения маркировка товаров
//
// Параметры:
//  Отказ							 - Булево - Отказ.
//  ПроверяемыеРеквизиты			 - Массив - массив проверяемых реквизитов.
//  МассивНепроверяемыхРеквизитов	 - Массив - массив непроверяемых реквизитов.
//  ДокументОбъект	 				 - ДокументОбъект.* - обрабатываемый документ.
//
Процедура ОбработкаПроверкиЗаполненияМаркировкаТоваров(Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ОбработкаПроверкиЗаполненияМаркировкаТоваров(Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов, ДокументОбъект) 
```
</details>

## ПередЗаписьюМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перед записью маркировка товаров
//
// Параметры:
//  Отказ							 - Булево - Отказ.
//  РежимЗаписи						 - РежимЗаписи - Режим записи документа.
//  РежимПроведения	 				 - РежимПроведения - Режим проведения документа.
//  ДокументОбъект	 				 - ДокументОбъект.* - обрабатываемый документ.
//
Процедура ПередЗаписьюМаркировкаТоваров(Отказ, РежимЗаписи, РежимПроведения, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ПередЗаписьюМаркировкаТоваров(Отказ, РежимЗаписи, РежимПроведения, ДокументОбъект) 
```
</details>

## ПриКопированииМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При копировании документа маркировка товаров.
//
// Параметры:
//  ОбъектКопирования - см. описание параметра в синтаксис-помощнике к обработчику "ПриКопировании".
//  ДокументОбъект    - ДокументОбъект.МаркировкаТоваров - обрабатываемый документ.
//
Процедура ПриКопированииМаркировкаТоваров(ОбъектКопирования, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ПриКопированииМаркировкаТоваров(ОбъектКопирования, ДокументОбъект) 
```
</details>

## ОбработкаПроведенияМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Обработка проведения маркировка товаров
//
// Параметры:
//  Отказ			 - Булево - Отказ.
//  РежимПроведения	 				 - РежимПроведения - Режим проведения документа.
//  ДокументОбъект	 				 - ДокументОбъект.* - обрабатываемый документ.
//
Процедура ОбработкаПроведенияМаркировкаТоваров(Отказ, РежимПроведения, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ОбработкаПроведенияМаркировкаТоваров(Отказ, РежимПроведения, ДокументОбъект) 
```
</details>

## ОбработкаУдаленияПроведенияМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка удаления проведения маркировка товаров
//
// Параметры:
//  Отказ			 - Булево - Отказ.
//  ДокументОбъект	 - ДокументОбъект.* - обрабатываемый документ.
//
Процедура ОбработкаУдаленияПроведенияМаркировкаТоваров(Отказ, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ОбработкаУдаленияПроведенияМаркировкаТоваров(Отказ, ДокументОбъект) 
```
</details>

## ЗаполнитьНоменклатуруКиЗВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номенклатуру КиЗ в строке документа
//
// Параметры:
//  ТекущаяСтрока				 - ТекущаяСтрока - текущая строка таблицы Товары/
//  СписокНоменклатураКиЗ		 - СписокЗначений - список номенклатуры КиЗ, подходящих под выбранную категорию КиЗ в документе.
//  КиЗГИСМСИндивидуализацией	 - Булево - Признак получения КиЗ по GTIN или без GTIN.
//
Процедура ЗаполнитьНоменклатуруКиЗВСтроке(ТекущаяСтрока, СписокНоменклатураКиЗ, КиЗГИСМСИндивидуализацией) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ЗаполнитьНоменклатуруКиЗВСтроке(ТекущаяСтрока, СписокНоменклатураКиЗ, КиЗГИСМСИндивидуализацией) 
```
</details>

## ЗаполнитьНоменклатуруКиЗВСтроках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номенклатуру КиЗ в строках документа
//
// Параметры:
//  Объект				 		 - ДокументОбъект.* - текущая строка таблицы Товары.
//  СписокНоменклатураКиЗ		 - СписокЗначений - список номенклатуры КиЗ, подходящих под выбранную категорию КиЗ в документе.
//  ЗаполнятьСерии				 - Булево - Признак заполнения серий в ТЧ Серии.
//
Процедура ЗаполнитьНоменклатуруКиЗВСтроках(ДокументОбъект, СписокНоменклатураКиЗ, ЗаполнятьСерии = Истина) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ЗаполнитьНоменклатуруКиЗВСтроках(ДокументОбъект, СписокНоменклатураКиЗ, ЗаполнятьСерии);
```
</details>

## ПолучитьКиЗДляЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список КиЗ, подходящих для заполнения документ по выбранным категориям КиЗ.
//
// Параметры:
//  Объект				 		 - ДокументОбъект.* - текущая строка таблицы Товары.
//  СписокНоменклатураКиЗ		 - СписокЗначений - список номенклатуры КиЗ, подходящих под выбранную категорию КиЗ в документе.
//
Процедура ПолучитьКиЗДляЗаполнения(ДокументОбъект, СписокНоменклатураКиЗ) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ПолучитьКиЗДляЗаполнения(ДокументОбъект, СписокНоменклатураКиЗ) 
```
</details>

## ЗаполнитьGTINВСтроках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет GTINВСтроках
//
// Параметры:
//  ДокументОбъект	 - ДокументОбъект. - Документ для заполнения GTIN.
//
Процедура ЗаполнитьGTINВСтроках(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ЗаполнитьGTINВСтроках(ДокументОбъект) 
```
</details>

## КатегорияКиЗПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик Категория КиЗ при изменении
//
// Параметры:
//  ДокументОбъект			 - ДокументОбъект.* - обрабатываемый документ.
//  СписокНоменклатураКиЗ	 - СписокЗначений - список номенклатуры КиЗ, подходящих под выбранную категорию КиЗ в документе.
//  ЗаполнятьСерии			 - Булево - Признак заполнения серий в ТЧ Серии.
//
Процедура КатегорияКиЗПриИзменении(ДокументОбъект, СписокНоменклатураКиЗ, ЗаполнятьСерии=Истина) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.КатегорияКиЗПриИзменении(ДокументОбъект, СписокНоменклатураКиЗ, ЗаполнятьСерии);
```
</details>

## ЗаполнитьСпискиВыбораРеквизитовШапки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет списки выбора реквизитов шапки.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма документа.
//
Процедура ЗаполнитьСпискиВыбораРеквизитовШапки(Форма) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ЗаполнитьСпискиВыбораРеквизитовШапки(Форма) 
```
</details>

## ЗаполнитьСлужебныеРеквизитыТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет служебные реквизиты табличной части
//
// Параметры:
//  Товары	 - ТаблицаФормы - ТЧ Товары документа.
//
Процедура ЗаполнитьСлужебныеРеквизитыТабличнойЧасти(Товары) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ЗаполнитьСлужебныеРеквизитыТабличнойЧасти(Товары) 
```
</details>

## УправлениеДоступностью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет доступностью элементов формы
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма документа.
//
Процедура УправлениеДоступностью(Форма) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.УправлениеДоступностью(Форма) 
```
</details>

## ПараметрыЗаполненияВидаДеятельностиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует параметры заполнения вида деятельности НДС
//
// Параметры:
//  Объект - ДокументОбъект.МаркировкаТоваровГИСМ,
//           ДокументОбъект.МаркировкаТоваровГИСМ,
//           ДанныеФормыСтруктура - документ, для которого необходимо получить параметры.
//
// Возвращаемое значение:
//  См. УчетНДСУПКлиентСервер.ПараметрыЗаполненияВидаДеятельностиНДС().
//
Функция ПараметрыЗаполненияВидаДеятельностиНДС(Объект) Экспорт
```

Пример вызова
```bsl
Результат = МаркировкаТоваровГИСМУТ.ПараметрыЗаполненияВидаДеятельностиНДС(Объект) 
```
</details>

## ИнициализироватьДокументПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать документ
//
// Параметры:
//  ДокументОбъект	 - ДокументОбъект.* - обрабатываемый документ.
//  ДанныеЗаполнения - Структура - данные заполнения.
//
Процедура ИнициализироватьДокументПеремаркировкаТоваров(ДокументОбъект, ДанныеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ИнициализироватьДокументПеремаркировкаТоваров(ДокументОбъект, ДанныеЗаполнения);
```
</details>

## ОбработкаЗаполненияПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка заполнения перемаркировка товаров
//
// Параметры:
//  ДанныеЗаполнения	 - Структура - данные заполнения.
//  СтандартнаяОбработка - Булево - стандартная обработка.
//  ДокументОбъект	 - ДокументОбъект.* - обрабатываемый документ.
//
Процедура ОбработкаЗаполненияПеремаркировкаТоваров(ДанныеЗаполнения, СтандартнаяОбработка, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ОбработкаЗаполненияПеремаркировкаТоваров(ДанныеЗаполнения, СтандартнаяОбработка, ДокументОбъект) 
```
</details>

## ОбработкаПроверкиЗаполненияПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проверки заполнения перемаркировка товаров
//
// Параметры:
//  Отказ							 - Булево - Отказ.
//  ПроверяемыеРеквизиты			 - Массив - массив проверяемых реквизитов.
//  МассивНепроверяемыхРеквизитов	 - Массив - массив непроверяемых реквизитов.
//  ДокументОбъект	 				 - ДокументОбъект.* - обрабатываемый документ.
//
Процедура ОбработкаПроверкиЗаполненияПеремаркировкаТоваров(Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ОбработкаПроверкиЗаполненияПеремаркировкаТоваров(Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов, ДокументОбъект) 
```
</details>

## ПередЗаписьюПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перед записью перемаркировка товаров
//
// Параметры:
//  Отказ							 - Булево - Отказ.
//  РежимЗаписи						 - РежимЗаписи - Режим записи документа.
//  РежимПроведения	 				 - РежимПроведения - Режим проведения документа.
//  ДокументОбъект	 				 - ДокументОбъект.* - обрабатываемый документ.
//
Процедура ПередЗаписьюПеремаркировкаТоваров(Отказ, РежимЗаписи, РежимПроведения, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ПередЗаписьюПеремаркировкаТоваров(Отказ, РежимЗаписи, РежимПроведения, ДокументОбъект) 
```
</details>

## ПриКопированииПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При копировании перемаркировка товаров
//
// Параметры:
//  ОбъектКопирования - см. описание параметра в синтаксис-помощнике к обработчику "ПриКопировании".
//  ДокументОбъект - ДокументОбъект.ПеремаркировкаТоваров - обрабатываемый документ.
//
Процедура ПриКопированииПеремаркировкаТоваров(ОбъектКопирования, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ПриКопированииПеремаркировкаТоваров(ОбъектКопирования, ДокументОбъект) 
```
</details>

## ОбработкаПроведенияПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проведения перемаркировка товаров
//
// Параметры:
//  Отказ			 - Булево - Отказ.
//  РежимПроведения	 				 - РежимПроведения - Режим проведения документа.
//  ДокументОбъект	 				 - ДокументОбъект.* - обрабатываемый документ.
//
Процедура ОбработкаПроведенияПеремаркировкаТоваров(Отказ, РежимПроведения, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ОбработкаПроведенияПеремаркировкаТоваров(Отказ, РежимПроведения, ДокументОбъект) 
```
</details>

## ОбработкаУдаленияПроведенияПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка удаления проведения перемаркировка товаров
//
// Параметры:
//  Отказ			 - Булево - Отказ.
//  ДокументОбъект	 - ДокументОбъект.* - обрабатываемый документ.
//
Процедура ОбработкаУдаленияПроведенияПеремаркировкаТоваров(Отказ, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ОбработкаУдаленияПроведенияПеремаркировкаТоваров(Отказ, ДокументОбъект) 
```
</details>

## ЗаполнитьСпискиВыбораРеквизитовШапкиПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет списки выбора реквизитов шапки.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма документа.
//
Процедура ЗаполнитьСпискиВыбораРеквизитовШапкиПеремаркировкаТоваров(Форма) Экспорт
```

Пример вызова
```bsl
МаркировкаТоваровГИСМУТ.ЗаполнитьСпискиВыбораРеквизитовШапкиПеремаркировкаТоваров(Форма) 
```
</details>

## ПараметрыВыбораСтатейИАналитикМаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры выбора статей и аналитик.
//
// Возвращаемое значение:
//  Структура - Параметры выбора статей и аналитик (См. ДоходыИРасходыСервер.ПараметрыВыбораСтатьиИАналитики).
//
Функция ПараметрыВыбораСтатейИАналитикМаркировкаТоваров(ОперацияМаркировки) Экспорт
```

Пример вызова
```bsl
Результат = МаркировкаТоваровГИСМУТ.ПараметрыВыбораСтатейИАналитикМаркировкаТоваров(ОперацияМаркировки) 
```
</details>

## ПараметрыВыбораСтатейИАналитикПеремаркировкаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры выбора статей и аналитик.
//
// Возвращаемое значение:
//  Структура - Параметры выбора статей и аналитик (См. ДоходыИРасходыСервер.ПараметрыВыбораСтатьиИАналитики).
//
Функция ПараметрыВыбораСтатейИАналитикПеремаркировкаТоваров() Экспорт
```

Пример вызова
```bsl
Результат = МаркировкаТоваровГИСМУТ.ПараметрыВыбораСтатейИАналитикПеремаркировкаТоваров() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
