---
title: Международная отчетность клиент
slug: erp-uh/международная-отчетность-клиент
---


## РазвернутьДеревоСохраненныхЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Раскрывает все узлы переданного дерева
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма на которой размещен элемент ДеревоЗначений.
//  ДанныеДереваЭлементов - ДанныеФормыДерево - элемент формы содержащий дерево значений.
//
Процедура РазвернутьДеревоСохраненныхЭлементов(Форма, ДанныеДереваЭлементов) Экспорт
```

Пример вызова
```bsl
МеждународнаяОтчетностьКлиент.РазвернутьДеревоСохраненныхЭлементов(Форма, ДанныеДереваЭлементов) 
```
</details>

## ВычислитьСуммуВыделенныхЯчеекТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет суммы выделенных ячеек табличного документа.
//
// Параметры:
//	ПолеСумма - Число - Сумма ячеек.
//	Результат - ТабличныйДокумент - Табличный документ с ячейками.
//	КэшВыделеннойОбласти - Структура - Содержит ранее рассчитанные значения ячеек.
//	НеобходимоВычислятьНаСервере - Булево - Признак того, что необходим вызов сервера.
//
Процедура ВычислитьСуммуВыделенныхЯчеекТабличногоДокумента(ПолеСумма, Результат, КэшВыделеннойОбласти, НеобходимоВычислятьНаСервере) Экспорт
```

Пример вызова
```bsl
МеждународнаяОтчетностьКлиент.ВычислитьСуммуВыделенныхЯчеекТабличногоДокумента(ПолеСумма, Результат, КэшВыделеннойОбласти, НеобходимоВычислятьНаСервере) 
```
</details>

## ОбработкаРасшифровкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика формы отчета ОбработкаРасшифровки из отчета СКД
// сформированного генератором финансовой отчетности и экземпляров финансовой отчетности.
//
// Параметры:
//
//  ФормаОтчета - ФормаКлиентскогоПриложения - форма отчета вызвавшего обработку расшифровки.
//  Элемент - ПолеФормы - элемент формы содержащий результат отчета.
//  Расшифровка - Структура - стандартная расшифровка СКД.
//
Процедура ОбработкаРасшифровкиОтчета(ФормаОтчета, Элемент, Расшифровка) Экспорт
```

Пример вызова
```bsl
МеждународнаяОтчетностьКлиент.ОбработкаРасшифровкиОтчета(ФормаОтчета, Элемент, Расшифровка) 
```
</details>

## ДобавитьОперандыФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет новые операнды в таблицу операндов
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - Форма конструктора формул
//  НовыеОперанды  - Массив - Строки дерева операндов
//  ТаблицаОперандов - ТаблицаЗначений - Таблица выбранных в формуле операндов:
//   *СчетПоказательИзмерение - Строка, СправочникСсылка.НемонетарныеПоказатели, ПланСчетовСсылка -
//   *ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов -
//   *Идентификатор - Строка -
//   *НаименованиеДляПечати - Строка -
//   *ЭтоСвязанный - Булево -
//   *АдресСтруктурыЭлемента - Строка -
//   *НестандартнаяКартинка - Число -
//   *ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета -
//   *Идентификатор - Строка -
//   *СчетПланаСчетов - ПланСчетовСсылка -
//   *ТипИтога - ПеречислениеСсылка.ТипыИтогов -
//   *НачальноеСальдо - Булево -
//   *ЕстьНастройки - Булево -
//   *Точность - Число -
//  Уникальный - Булево - признак уникальности операндов (добавлять операнды если есть).
//
// Возвращаемое значение:
//   Массив   - массив добавленных строк таблицы операндов.
//
Функция ДобавитьОперандыФормулы(Форма, НовыеОперанды, ТаблицаОперандов, Уникальный = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МеждународнаяОтчетностьКлиент.ДобавитьОперандыФормулы(Форма, НовыеОперанды, ТаблицаОперандов, Уникальный);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
