---
title: Международный учет закрытие месяца
slug: erp-uh/международный-учет-закрытие-месяца
---


## ДополнитьТекстЗапросаЗаданийКЗакрытиюМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет текст запроса механизма формирования заданий закрытия месяца.
//
// Параметры:
// 	Запрос - Запрос - используется для установки параметров запроса.
// 	ТекстЗапроса - Строка - строка с текстом запроса.
// 	ТекстЗапросаВременныхТаблиц - Строка - строка с текстом запроса временных таблиц.
// 	ИменаВременныхТаблиц - Строка - массив имен создаваемых временных таблиц для последующего уничтожения.
Процедура ДополнитьТекстЗапросаЗаданийКЗакрытиюМесяца(Запрос, ТекстЗапроса, ТекстЗапросаВременныхТаблиц, ИменаВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.ДополнитьТекстЗапросаЗаданийКЗакрытиюМесяца(Запрос, ТекстЗапроса, ТекстЗапросаВременныхТаблиц, ИменаВременныхТаблиц) 
```
</details>

## ДобавитьЭтап_ОтражениеДокументовВМеждународномУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_ОтражениеДокументовВМеждународномУчете(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.ДобавитьЭтап_ОтражениеДокументовВМеждународномУчете(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ОтражениеДокументовВМеждународномУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку необходимости выполнения этапа закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Использование_ОтражениеДокументовВМеждународномУчете(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Использование_ОтражениеДокументовВМеждународномУчете(ПараметрыОбработчика) 
```
</details>

## Выполнить_ОтражениеДокументовВМеждународномУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет этап закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Выполнить_ОтражениеДокументовВМеждународномУчете(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Выполнить_ОтражениеДокументовВМеждународномУчете(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_РеклассификацияДолгосрочныхАктивовОбязательств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_РеклассификацияДолгосрочныхАктивовОбязательств(ТаблицаЭтапов, ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.ДобавитьЭтап_РеклассификацияДолгосрочныхАктивовОбязательств(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_РеклассификацияДолгосрочныхАктивовОбязательств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку необходимости выполнения этапа закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Использование_РеклассификацияДолгосрочныхАктивовОбязательств(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Использование_РеклассификацияДолгосрочныхАктивовОбязательств(ПараметрыОбработчика) 
```
</details>

## Выполнить_РеклассификацияДолгосрочныхАктивовОбязательств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет этап закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Выполнить_РеклассификацияДолгосрочныхАктивовОбязательств(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Выполнить_РеклассификацияДолгосрочныхАктивовОбязательств(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_РасчетКурсовыхРазницВФункциональнойВалюте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - идентификатор группы.
//
Процедура ДобавитьЭтап_РасчетКурсовыхРазницВФункциональнойВалюте(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.ДобавитьЭтап_РасчетКурсовыхРазницВФункциональнойВалюте(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_РасчетКурсовыхРазницВФункциональнойВалюте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку необходимости выполнения этапа закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Использование_РасчетКурсовыхРазницВФункциональнойВалюте(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Использование_РасчетКурсовыхРазницВФункциональнойВалюте(ПараметрыОбработчика) 
```
</details>

## Выполнить_РасчетКурсовыхРазницВФункциональнойВалюте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет этап закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Выполнить_РасчетКурсовыхРазницВФункциональнойВалюте(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Выполнить_РасчетКурсовыхРазницВФункциональнойВалюте(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_ЗакрытиеСчетовУчетаДоходовИРасходовМУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_ЗакрытиеСчетовУчетаДоходовИРасходовМУ(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.ДобавитьЭтап_ЗакрытиеСчетовУчетаДоходовИРасходовМУ(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ЗакрытиеСчетовУчетаДоходовИРасходовМУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку необходимости выполнения этапа закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Использование_ЗакрытиеСчетовУчетаДоходовИРасходовМУ(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Использование_ЗакрытиеСчетовУчетаДоходовИРасходовМУ(ПараметрыОбработчика) 
```
</details>

## Выполнить_ЗакрытиеСчетовУчетаДоходовИРасходовМУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет этап закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Выполнить_ЗакрытиеСчетовУчетаДоходовИРасходовМУ(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Выполнить_ЗакрытиеСчетовУчетаДоходовИРасходовМУ(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_РасчетКурсовыхРазницВВалютеПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_РасчетКурсовыхРазницВВалютеПредставления(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.ДобавитьЭтап_РасчетКурсовыхРазницВВалютеПредставления(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_РасчетКурсовыхРазницВВалютеПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку необходимости выполнения этапа закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Использование_РасчетКурсовыхРазницВВалютеПредставления(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Использование_РасчетКурсовыхРазницВВалютеПредставления(ПараметрыОбработчика) 
```
</details>

## Выполнить_РасчетКурсовыхРазницВВалютеПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет этап закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Выполнить_РасчетКурсовыхРазницВВалютеПредставления(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Выполнить_РасчетКурсовыхРазницВВалютеПредставления(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_УстановкаДатыЗапретаФормированияПроводокМУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_УстановкаДатыЗапретаФормированияПроводокМУ(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.ДобавитьЭтап_УстановкаДатыЗапретаФормированияПроводокМУ(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_УстановкаДатыЗапретаФормированияПроводокМУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку необходимости выполнения этапа закрытия месяца.
//
// Параметры:
//	ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки.
//
Процедура Использование_УстановкаДатыЗапретаФормированияПроводокМУ(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Использование_УстановкаДатыЗапретаФормированияПроводокМУ(ПараметрыОбработчика) 
```
</details>

## Оформление_УстановкаДатыЗапретаФормированияПроводокМУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует наименование этапа установки даты запрета формирования проводок
//
// Параметры:
// 	ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
//
Процедура Оформление_УстановкаДатыЗапретаФормированияПроводокМУ(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетЗакрытиеМесяца.Оформление_УстановкаДатыЗапретаФормированияПроводокМУ(ПараметрыОбработчика) 
```
</details>

## ОписаниеДействия_ОткрытьСписокДокументовРегламентнаяОперацияМУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание действия "Открыть форму списка документов ""Регламентная операция (международный учет)""".
// Отбор по типам операций берется из свойства ТипыРегламентныхОпераций описания этапа закрытия месяца.
//
// Возвращаемое значение:
//	Структура - см. ЗакрытиеМесяцаСервер.СтруктураОписанияДействия
//
Функция ОписаниеДействия_ОткрытьСписокДокументовРегламентнаяОперацияМУ() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетЗакрытиеМесяца.ОписаниеДействия_ОткрытьСписокДокументовРегламентнаяОперацияМУ() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
