---
title: Международный учет клиент
slug: erp-uh/международный-учет-клиент
---


## ОбработчикКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд, добавленных динамически.
//
// Параметры:
//   ЭтаФорма - ФормаКлиентскогоПриложения - форма отчета.
//   Команда - КомандаФормы - команда, которая была вызвана.
//   Результат - Булево - Истина, если вызов команды обработан.
//
Процедура ОбработчикКоманды(ЭтаФорма, Команда, Результат) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетКлиент.ОбработчикКоманды(ЭтаФорма, Команда, Результат) 
```
</details>

## ОбработкаРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик расшифровки табличного документа формы отчета.
//
// Параметры:
//  ЭтаФорма - ФормаКлиентскогоПриложения - форма отчета.
//  Элемент     - ПолеФормы        - табличный документ.
//  Расшифровка - Произвольный     - значение расшифровки точки, серии или значения диаграммы.
//  СтандартнаяОбработка - Булево  - признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетКлиент.ОбработкаРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ПараметрыОткрытияФормНастройкиПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает общие параметры открытия форм настройки проводок
//
// Возвращаемое значение:
// 	Структура - общие параметры открытия:
// 		* Организация - СправочникСсылка.Организации, Неопределено -
// 		* ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета, Неопределено -
// 		* НастройкаФормированияПроводок - СправочникСсылка.НастройкиФормированияПроводокМеждународногоУчета, Неопределено -
Функция ПараметрыОткрытияФормНастройкиПроводок() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетКлиент.ПараметрыОткрытияФормНастройкиПроводок() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
