---
title: Международный учет клиент сервер
slug: erp-uh/международный-учет-клиент-сервер
---


## ТипПланСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип плана счетов международного учета
//
// Возвращаемое значение:
// 	Тип - Тип плана счетов международного учета
//
Функция ТипПланСчетов() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетКлиентСервер.ТипПланСчетов() 
```
</details>

## ИмяПланаСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя плана счетов международного учета.
//
// Возвращаемое значение:
// 	Строка - Имя плана счетов международного учета
//
Функция ИмяПланаСчетов() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетКлиентСервер.ИмяПланаСчетов() 
```
</details>

## ТипВидСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип видов субконто международного учета
//
// Возвращаемое значение:
// 	Тип - Тип видов субконто международного учета
//
Функция ТипВидСубконто() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетКлиентСервер.ТипВидСубконто() 
```
</details>

## ПустоеЗначениеТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для получения пустого значения заданного типа:
//	примитивного, или ссылочного.
//
// Параметры:
//	ЗаданныйТип - Тип - Тип, пустое значение которого нужно получить.
//
// Возвращаемое значение:
//	Произвольный - Пустое значение указанного типа.
//
Функция ПустоеЗначениеТипа(ЗаданныйТип) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетКлиентСервер.ПустоеЗначениеТипа(ЗаданныйТип) 
```
</details>

## ТипыИсточниковУточненияСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет типы источников уточнения счета, соответствующие группе финансового учета.
//
// Параметры:
//  ГруппаФинансовогоУчета - СправочникСсылка.ГруппыФинансовогоУчетаНоменклатуры,
//							 СправочникСсылка.ГруппыФинансовогоУчетаРасчетов,
//							 СправочникСсылка.ГруппыФинансовогоУчетаДенежныхСредств,
//                           СправочникСсылка.ГруппыФинансовогоУчетаДоходовРасходов - группа финансового учета
//                               номенклатуры, расчетов с контрагентами, денежных средств, доходов/расходов.
//
// Возвращаемое значение:
//  Массив - массив значений перечисления ТипыИсточниковУточненияСчета.
//
Функция ТипыИсточниковУточненияСчета(ГруппаФинансовогоУчета) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетКлиентСервер.ТипыИсточниковУточненияСчета(ГруппаФинансовогоУчета) 
```
</details>

## ИмяСправочникаГруппФинансовогоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя справочника групп финансового учета по типу источника уточнения счета.
//
// Параметры:
//  ТипИсточника - ПеречислениеСсылка.ТипыИсточниковУточненияСчета - тип источника уточнения счета.
//
// Возвращаемое значение:
//  Строка - имя справочника.
//
Функция ИмяСправочникаГруппФинансовогоУчета(ТипИсточника) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетКлиентСервер.ИмяСправочникаГруппФинансовогоУчета(ТипИсточника) 
```
</details>

## СкопироватьДанныеФормыДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Копирует данные формы дерева значений.
//
// Параметры:
//  Приемник - ДанныеФормыДерево - дерево приемник.
//  Источник - ДанныеФормыДерево - дерево источник.
//  ВключатьПодчиненные - Булево - Истина, если необходимо рекурсивно копировать элементы низлежащих уровней дерева.
//
Процедура СкопироватьДанныеФормыДерево(Приемник, Источник, ВключатьПодчиненные) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетКлиентСервер.СкопироватьДанныеФормыДерево(Приемник, Источник, ВключатьПодчиненные) 
```
</details>

## НайтиЭлементДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет в дререве значений заданное значение в заданной колонке дерева.
//
// Параметры:
//  ДанныеФормыДерево - ДанныеФормыДерево - дерево значений.
//  ЗначениеРеквизита - Произвольный - искомое значение.
//  ИмяРеквизита - Строка - имя реквизита дерева значение которого необходимо найти.
//  ВключатьПодчиненные - Булево - Истина, если необходимо рекурсивно искать среди элементов низлежащих уровней дерева.
//
// Возвращаемое значение:
//  Неопределено, СтрокаДереваЗначений - Найти элемент дерева
//
Функция НайтиЭлементДерева(ДанныеФормыДерево, ЗначениеРеквизита, ИмяРеквизита, ВключатьПодчиненные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетКлиентСервер.НайтиЭлементДерева(ДанныеФормыДерево, ЗначениеРеквизита, ИмяРеквизита, ВключатьПодчиненные);
```
</details>

## РазвернутьДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разворачивает все узлы дерева.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма содержащая дерево элементов.
//  ИмяТаблицыФормы - Строка - имя элемента формы содержащего дерево элементов.
//  ДанныеФормыДерево - ДанныеФормыДерево - само дерево значений.
//  ВключатьПодчиненные - Булево - Истина, если необходимо рекурсивно разворачивать элементы низлежащих уровней дерева.
//
Процедура РазвернутьДерево(Форма, ИмяТаблицыФормы, ДанныеФормыДерево, ВключатьПодчиненные = Ложь) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетКлиентСервер.РазвернутьДерево(Форма, ИмяТаблицыФормы, ДанныеФормыДерево, ВключатьПодчиненные);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
