---
title: Международный учет общего назначения
slug: erp-uh/международный-учет-общего-назначения
---


## ЕстьПравоОтраженияДокументовВМеждународномУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступность отражения документов в международном учете текущему пользователю.
//
// Возвращаемое значение:
// 	Булево - Наличие прав на отражение документов в регл. учете
//
Функция ЕстьПравоОтраженияДокументовВМеждународномУчете() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.ЕстьПравоОтраженияДокументовВМеждународномУчете() 
```
</details>

## УчетныеВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает валюты учета на плане счетов
//
// Параметры:
// 	ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета - План счетов, для которого необходимо получить учетные валюты.
// 	Организация - СправочникСсылка.Организации - Организация, для которой необходимо получить функциональную валюту.
//
// Возвращаемое значение:
//	Структура - Ключи:
//		* Функциональная - СправочникСсылка.Валюты - Функциональная валюта
//		* Представления - СправочникСсылка.Валюты -  Валюта представления
//		* УчетВФункциональнойВалюте - ПеречислениеСсылка.ВидыУчетаВФункциональнойВалюте - Источник сумм для учета в функциональной валюте
//
Функция УчетныеВалюты(ПланСчетов, Организация) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.УчетныеВалюты(ПланСчетов, Организация) 
```
</details>

## СостояниеУточненияСчетовУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет использование группы финансового учета
// в настройках уточнения счетов учета в международном финансовом учете.
//
// Параметры:
//  ГруппаФинансовогоУчета - СправочникСсылка.ГруппыФинансовогоУчетаНоменклатуры -
//	                       - СправочникСсылка.ГруппыФинансовогоУчетаРасчетов -
//	                       - СправочникСсылка.ГруппыФинансовогоУчетаДенежныхСредств -
//	                       - СправочникСсылка.ГруппыФинансовогоУчетаДоходовРасходов - группа финансового учета
//                               номенклатуры, расчетов с контрагентами, денежных средств, доходов/расходов.
//
// Возвращаемое значение:
//  Структура - Ключи:
//    * КоличествоСвязанныхШаблонов - Число - количество шаблонов проводок, использующих уточнение счетов с помощью данного типа групп финансового учета
//    * КоличествоНастроенныхШаблонов - Число - количество шаблонов проводок, для которых настроены счета учета для данной группы финансового учета.
//
Функция СостояниеУточненияСчетовУчета(ГруппаФинансовогоУчета) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.СостояниеУточненияСчетовУчета(ГруппаФинансовогоУчета) 
```
</details>

## ХозяйственнаяОперацияПоПеречислению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает элемент справочника НастройкиХозяйственныхОпераций по ссылке на значение перечисления ХозяйственныеОперации.
//
// Параметры:
//  ЗначениеПеречисления - ПеречислениеСсылка.ХозяйственныеОперации - ссылка на значение перечисления ХозяйственныеОперации.
//
// Возвращаемое значение:
// СправочникСсылка.НастройкиХозяйственныхОпераций - элемент справочника настроек хозяйственной операции.
//
Функция ХозяйственнаяОперацияПоПеречислению(ЗначениеПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.ХозяйственнаяОперацияПоПеречислению(ЗначениеПеречисления) 
```
</details>

## РассчитатьСуммуПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает сумму функциональной валюты в валюту представления
//
// Параметры:
// 	ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета - План счетов, для которого необходим пересчет
// 	Организация - СправочникСсылка.Организации - Организация, для которой необходим пересчет
//  Сумма - Число - Сумма в функциональной валюте
//  Дата - Дата - Дата определения курса валют.
//
// Возвращаемое значение:
//  Число - Сумма в валюте представления.
//
Функция РассчитатьСуммуПредставления(ПланСчетов, Организация, Сумма, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.РассчитатьСуммуПредставления(ПланСчетов, Организация, Сумма, Дата);
```
</details>

## ПолучитьКоэффициентыПересчетаВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает коэффициенты пересчета сумм из заданной валюты в функциональную валюту и валюту представления.
//
// Параметры:
//  ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета - План счетов, для которого необходимо выполнить пересчет
//  Организация - СправочникСсылка.Организации - Организация, для которой необходим пересчет
//  ИсходнаяВалюта - СправочникСсылка.Валюты - валюта для пересчета которой необходимо получить коэффициенты.
//  Период - Дата - дата определения курса валют.
//
// Возвращаемое значение:
//  Структура - содержащая коэффициенты пересчета в ключах:
//  	* ВФункциональнуюВалюту - Число -
//  	* ВВалютуПредставления - Число -
//
Функция ПолучитьКоэффициентыПересчетаВалюты(ПланСчетов, Организация, ИсходнаяВалюта, Период) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.ПолучитьКоэффициентыПересчетаВалюты(ПланСчетов, Организация, ИсходнаяВалюта, Период)
```
</details>

## ДоступноЧтениеНастроекМеждународногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет доступность чтения настроек международного финансового учета.
//
// Возвращаемое значение:
//  Булево - Истина если разрешено чтение настроек международного учета.
//
Функция ДоступноЧтениеНастроекМеждународногоУчета() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.ДоступноЧтениеНастроекМеждународногоУчета() 
```
</details>

## ДоступноИзменениеНастроекМеждународногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет доступность изменения настроек международного финансового учета.
//
// Возвращаемое значение:
//  Булево - Истина если разрешено изменение настроек международного учета.
//
Функция ДоступноИзменениеНастроекМеждународногоУчета() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.ДоступноИзменениеНастроекМеждународногоУчета() 
```
</details>

## УстановитьОформлениеПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить условное оформление проводок международного учета.
// Оформляются поля таблицы формы проводок: Субконто, ПредставлениеВидаСубконто, Валюта, ТипПроводки.
//
// Параметры:
//  УсловноеОформление - УсловноеОформлениеКомпоновкиДанных - коллекция элементов условного оформления формы.
//  ТаблицаПроводок - Строка - Имя таблицы формы отображающей проводки.
//  Корреспонденция - Булево - Признак того, что проводки с поддержкой корреспонденции.
//
Процедура УстановитьОформлениеПроводок(УсловноеОформление, ТаблицаПроводок, Корреспонденция = Истина) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.УстановитьОформлениеПроводок(УсловноеОформление, ТаблицаПроводок, Корреспонденция);
```
</details>

## ЗаполнитьПредставлениеВидовСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет вспомогательные поля представления видов субконто
//
// Параметры:
//  ТаблицаФормы  - ДанныеФормыКоллекция - Реквизит формы (таблица) содержащая проводки.
//  ДтКт - Строка - Сторона видов субконто
Процедура ЗаполнитьПредставлениеВидовСубконто(ТаблицаФормы, ДтКт) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ЗаполнитьПредставлениеВидовСубконто(ТаблицаФормы, ДтКт) 
```
</details>

## ПредставлениеВидовСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает строковые представления видов субконто счета.
//
// Параметры:
//  Счет - Структура - описание счета международного плана счетов
//  ДтКт - Строка - Сторона проводки "Дт" или "Кт".
//
// Возвращаемое значение:
//   Структура - Наименование поля представления вида субконто на форме ("ПредставлениеВидСубконтоДт1", "ПредставлениеВидСубконтоДт2" и т.д.) Значение структуры - строковое представление вида субконто:
//   *ПредставлениеВидСубконтоДт1 - Строка
//   *ВалютныйУчетДт1 - Булево
//   *КоличественныйУчетДт1 - Булево
//   *КоличествоСубконтоДт1 - Число
//
Функция ПредставлениеВидовСубконто(Счет, ДтКт) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.ПредставлениеВидовСубконто(Счет, ДтКт) 
```
</details>

## ПредставлениеКомандыУстановитьДатуЗапрета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает заголовок кнопки для вызова команды УстановитьДатуЗапрета
//
// Параметры:
//  ДатаЗапрета  - Дата - дата запрета формирования проводок по международному учету.
//
// Возвращаемое значение:
//   Строка - Текст заголовка кнопки.
//
Функция ПредставлениеКомандыУстановитьДатуЗапрета(ДатаЗапрета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.ПредставлениеКомандыУстановитьДатуЗапрета(ДатаЗапрета);
```
</details>

## УстановитьВидимостьНастроекМФУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость настроек для международного учета в зависимости от включенных
// ФО международного учета и наличия настроенных шаблонов проводк для международного учета.
//
// Параметры:
//  Ссылка - СправочникСсылка.ГруппыФинансовогоУчетаДенежныхСредств -
//         - СправочникСсылка.ГруппыФинансовогоУчетаДоходовРасходов -
//         - СправочникСсылка.ГруппыФинансовогоУчетаНоменклатуры -
//         - СправочникСсылка.ГруппыФинансовогоУчетаРасчетов - проверяемая группа финансового учета.
//  ГруппаНастроекМФУ - ГруппаФормы - группа элементов формы в которой размещены настройки МФУ.
//  НастроитьУточнениеСчетов - КнопкаФормы - гиперссылка перехода к настройкам шаблонов проводок для международного учета.
//
Процедура УстановитьВидимостьНастроекМФУ(Ссылка, ГруппаНастроекМФУ, НастроитьУточнениеСчетов) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.УстановитьВидимостьНастроекМФУ(Ссылка, ГруппаНастроекМФУ, НастроитьУточнениеСчетов) 
```
</details>

## УстановитьЗаголовкиПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость надписей заголовков направлений деятельности
//
// Параметры:
//  ЭлементПодразделение - ПолеФормы - колонка табличной части документа.
//  Постфикс - Строка - Постфикс Дт или Кт в заголовке элемента.
Процедура УстановитьЗаголовкиПодразделения(ЭлементПодразделение, Постфикс = "") Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.УстановитьЗаголовкиПодразделения(ЭлементПодразделение, Постфикс);
```
</details>

## ПроверитьВыражениеЗаполненияСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет выражение заполнения субконто для указанной строки настроек и заполняет представление выражения в строке.
//
// Параметры:
//  СтрокиНастройки - ДанныеФормыЭлементКоллекции- Строка табличной части, содержащая выражение заполнения субконто:
//							*Выражение - Строка - Выражение заполнения субконто.
//							*НетВДоступныхПолях - Булево - Флаг прохождения проверки наличия поля в схеме.
//							*ПредставлениеВыражения - Строка - Представление выражения заполнения субконто,
//						ДанныеФормыЭлементДерева,
//						Массив из ДанныеФормыЭлементДерева - Поддерживается массив строк для оптимизации получения представлений для характеристик в выражениях,
//						Массив из ДанныеФормыЭлементКоллекции.
//
// 	КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - Компоновщик настроек, при помощи которого проверяются выражения.
//
Процедура ПроверитьВыражениеЗаполненияСубконто(СтрокиНастройки, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ПроверитьВыражениеЗаполненияСубконто(СтрокиНастройки, КомпоновщикНастроек) 
```
</details>

## ДатаЗапретаФормированияПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текущую дату запрета формирования проводок международного учета
//
// Параметры:
//  Организация - СправочникСсылка.Организации - организация (или массив организаций)
//                 для которой требуется получить дату запрета формирования проводок
//                 если не указана, то будет получена минимальная дата запрета по всем организациям.
//
// Возвращаемое значение:
//   Дата - дата запрета формирования проводок по международному учету.
//
Функция ДатаЗапретаФормированияПроводок(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.ДатаЗапретаФормированияПроводок(Организация);
```
</details>

## НастройкаПроводокПоОбъектамУчетаИлиРеглУчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает комбинацию значений функциональных опций формирования проводок МФУ,
// в которой используются настройки по объектам учета или регламентированному учету,
// а настройки по хозяйственным операциям не используются.
//
// Возвращаемое значение:
// 	Булево - используются настройки по объектам учета или регл.учету, хоз.операции не используются
//
Функция НастройкаПроводокПоОбъектамУчетаИлиРеглУчету() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.НастройкаПроводокПоОбъектамУчетаИлиРеглУчету() 
```
</details>

## ВариантФормированияПроводокПоСчетУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вариант формирования проводок по счету международного учета
//
// Параметры:
//  СчетУчета - ПланСчетовСсылка.Международный - Счет учета
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ВариантыФормированияПроводок, Неопределено - Вариант формирования проводок
//
Функция ВариантФормированияПроводокПоСчетУчета(СчетУчета) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.ВариантФормированияПроводокПоСчетУчета(СчетУчета) 
```
</details>

## ИмяРегистраБухгалтерииДляПроводокПоСчетуУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя регистра бухгалтерии для проводок по счету международного учета
//
// Параметры:
//  СчетУчета - ПланСчетовСсылка.Международный - Счет учета
//
// Возвращаемое значение:
//  Строка, Неопределено - Имя регистра бухгалтерии
//
Функция ИмяРегистраБухгалтерииДляПроводокПоСчетуУчета(СчетУчета) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетОбщегоНазначения.ИмяРегистраБухгалтерииДляПроводокПоСчетуУчета(СчетУчета) 
```
</details>

## ДобавитьТипыАннулирующихПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в список выбора элемента управления ТипПроводки значение Реверс или Сторно в зависимости
// от установленного в настройках формирования проводок способа аннулирования проводок.
//
// Параметры:
//  СпособАннулированияПроводок - ПеречислениеСсылка.СпособыАннулированияПроводокМеждународногоУчета - способ аннулирования проводок
//  СписокВыбора - СписокЗначений - список выбора элемента управления с типом проводки
//
Процедура ДобавитьТипыАннулирующихПроводок(СпособАннулированияПроводок, СписокВыбора) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ДобавитьТипыАннулирующихПроводок(СпособАннулированияПроводок, СписокВыбора) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// (См. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ОпределитьОбъектыСКомандамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	Объекты - Массив из ОбъектМетаданных -
//
Процедура ОпределитьОбъектыСКомандамиОтчетов(Объекты) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ОпределитьОбъектыСКомандамиОтчетов(Объекты) 
```
</details>

## ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// (См. ДатыЗапретаИзмененияПереопределяемый.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения)
//
Процедура ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие имен методов их псевдонимам для вызова из очереди заданий.
//
// (См. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков)
//
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ПриПолученииСпискаШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список шаблонов заданий очереди.
//
// (См. ОчередьЗаданийПереопределяемый.ПриПолученииСпискаШаблонов)
//
// Параметры:
// 	ШаблоныЗаданий - Массив из Строка -
//
Процедура ПриПолученииСпискаШаблонов(ШаблоныЗаданий) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ПриПолученииСпискаШаблонов(ШаблоныЗаданий) 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет следующие свойств регламентных заданий:
//  - зависимость от функциональных опций.
//  - возможность выполнения в различных режимах работы программы.
//  - прочие параметры.
//
// (См. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий)
//
// Параметры:
// 	Настройки - см. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий.Настройки
//
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ПриОпределенииОбъектовСКомандамиСозданияНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список объектов конфигурации, в модулях менеджеров которых предусмотрена процедура
// ДобавитьКомандыСозданияНаОсновании, формирующая команды создания на основании объектов.
// Синтаксис процедуры ДобавитьКомандыСозданияНаОсновании см. в документации.
//
// Параметры:
// 	Объекты - Массив из ОбъектМетаданных -
Процедура ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет указать списки, у которых объекты метаданных содержат описание логики ограничения
// доступа в модулях менеджеров или переопределяемом модуле.
//
// (См. УправлениеДоступомПереопределяемый.ПриЗаполненииСписковСОграничениемДоступа)
//
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПриОпределенииОбъектовСРедактируемымиРеквизитами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определить объекты метаданных, в модулях менеджеров которых ограничивается возможность
// редактирования реквизитов при групповом изменении.
// (См. ГрупповоеИзменениеОбъектовПереопределяемый.ПриОпределенииОбъектовСРедактируемымиРеквизитами)
//
Процедура ПриОпределенииОбъектовСРедактируемымиРеквизитами(Объекты) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ПриОпределенииОбъектовСРедактируемымиРеквизитами(Объекты) 
```
</details>

## ПриОпределенииОбъектовСКомандамиПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых размещена процедура ДобавитьКомандыПечати,
// формирующая список команд печати, предоставляемых этим объектом.
// Синтаксис процедуры ДобавитьКомандыПечати см. в документации к подсистеме.
//
// Параметры:
//  СписокОбъектов - Массив - менеджеры объектов с процедурой ДобавитьКомандыПечати.
//
Процедура ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетОбщегоНазначения.ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
