---
title: Международный учет по данным документов
slug: erp-uh/международный-учет-по-данным-документов
---


## Отразить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет формирование проводок международного учета непосредственно по данным документов.
//
// Параметры:
// 	ПараметрыОтражения - Структура - Параметры формирования проводок.
// 	ТаблицаПроводок - ТаблицаЗначений - Таблица, в которую добавляются сформированные проводки.
//
Процедура Отразить(ПараметрыОтражения, ТаблицаПроводок) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымДокументов.Отразить(ПараметрыОтражения, ТаблицаПроводок) 
```
</details>

## ДополнитьТаблицыРегистрацииКОтражению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет таблицы регистрации документа к отражению в международном учете по данным самого документа.
//
// Параметры:
// 	Объект - ДокументОбъект - Документ, который проводится.
// 	ДополнительныеСвойства - Структура - Дополнительные свойства РС ОтражениеДокументовВМеждународномУчете.
// 	ТаблицаРегистрации - ТаблицаЗначений - Таблица с данными регистрации к отражению:
// 	      * Период - Дата - период регистрации (дата документа);
// 	      * Организация - СправочникСсылка.Организации - организация по которой документ формирует проводки;
// 	      * ДатаОтражения - Дата - дата, на которую документ формирует проводки;
// 	      * ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - отражаемая хозяйственная операция.
//
Процедура ДополнитьТаблицыРегистрацииКОтражению(Объект, ДополнительныеСвойства, ТаблицаРегистрации) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымДокументов.ДополнитьТаблицыРегистрацииКОтражению(Объект, ДополнительныеСвойства, ТаблицаРегистрации) 
```
</details>

## ТипыДокументовКОтражению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает типы документов, которые отражаются в учете непосредственно по своим данным.
//
// Возвращаемое значение:
// 	Соответствие - Типы документов:
// 	               Ключ - Тип - Тип документа
// 	               Значение - Булево - Признак того, что документ отражается только при проведении - не может отражаться отложенно.
//
Функция ТипыДокументовКОтражению() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетПоДаннымДокументов.ТипыДокументовКОтражению() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
