---
title: Международный учет по данным оперативного учета
slug: erp-uh/международный-учет-по-данным-оперативного-учета
---


## ДополнитьПараметрыФормированияПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры отражения необходимыми для формирования проводок по регистрам оперативного учета.
//
// Параметры:
// 	 ПараметрыФормированияПроводок - см. МеждународныйУчетПроведениеСервер.ПараметрыФормированияПроводок
//
Процедура ДополнитьПараметрыФормированияПроводок(ПараметрыФормированияПроводок) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымОперативногоУчета.ДополнитьПараметрыФормированияПроводок(ПараметрыФормированияПроводок) 
```
</details>

## Отразить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет формирование проводок международного учета по данным регистров оперативного учета.
//
// Параметры:
// 	ПараметрыФормированияПроводок - Структура - Параметры формирования проводок.
// 	ТаблицаПроводок - ТаблицаЗначений - Таблица, в которую добавляются сформированные проводки.
//
Процедура Отразить(ПараметрыФормированияПроводок, ТаблицаПроводок) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымОперативногоУчета.Отразить(ПараметрыФормированияПроводок, ТаблицаПроводок) 
```
</details>

## ДополнитьТаблицыРегистрацииКОтражению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет таблицы регистрации документа к отражению в международном учете по данным движений в оперативном.
//
// Параметры:
// 	Объект - ДокументОбъект - Документ, который проводится.
// 	ДополнительныеСвойства - Структура - Дополнительные свойства РС ОтражениеДокументовВМеждународномУчете.
// 	ТаблицаРегистрации - ТаблицаЗначений - Таблица с данными регистрации к отражению, которую необходимо дополнить:
// 	                      * Период - Дата - период регистрации (дата документа)
// 	                      * Организация - СправочникСсылка.Организации - организация по которой документ формирует проводки
// 	                      * ДатаОтражения - Дата - дата, на которую документ формирует проводки;
// 	                      * ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - отражаемая хозяйственная операция.
//
Процедура ДополнитьТаблицыРегистрацииКОтражению(Объект, ДополнительныеСвойства, ТаблицаРегистрации) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымОперативногоУчета.ДополнитьТаблицыРегистрацииКОтражению(Объект, ДополнительныеСвойства, ТаблицаРегистрации) 
```
</details>

## ПроверитьПравилаОтражения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку наличия шаблонов проводок по хозяйственным операциям документов, требующих отражения.
//
// Параметры:
// 	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Содержит временную таблицу ДокументыКОтражению:
// 	              * ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета -
// 	              * Документ - ДокументСсылка -
// 	              * Организация - СправочникСсылка.Организации -
// 	              * НастройкаФормированияПроводок - СправочникСсылка.НастройкиФормированияПроводокМеждународногоУчета
// 	ПараметрыПроверки - См. Обработки.ОтражениеДокументовВМеждународномУчете.ПараметрыПроверкиПравилОтражения
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Таблица необходимых настроек:
// 	              * Операция - СправочникСсылка.НастройкиХозяйственныхОпераций -
// 	              * ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета -
// 	              * НастройкаФормированияПроводок - СправочникСсылка.НастройкиФормированияПроводокМеждународногоУчета -
// 	              * ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации -
// 	              * ИсточникДанных - Строка - Имя источника данных (регистра).
//
Функция ПроверитьПравилаОтражения(МенеджерВременныхТаблиц, ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетПоДаннымОперативногоУчета.ПроверитьПравилаОтражения(МенеджерВременныхТаблиц, ПараметрыПроверки) 
```
</details>

## ЗаполнитьТаблицуДокументовПоОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу документами, требующими отражения и формирующими  движения в опер. учете по определенной хоз. операции.
//
// Параметры:
// 	ТаблицаДокументов - ТаблицаЗначений - Заполняемая таблица значений:
// 		* Документ - ДокументСсылка - Ссылка на документ;
// 		* Дата - Дата - Дата отражения;
// 		* Организация - СправочникСсылка.Организации - Организация, по которой документ формирует движения;
// 		* Комментарий - Строка - Комментарий к статусу отражения документа в международном учете;
// 	ХозяйственнаяОперация - СправочникСсылка.НастройкиХозяйственныхОпераций - Операция, по которой необходимо выполнить отбор.
// 	ИсточникДанных - Строка - Имя источник данных (регистра).
// 	НастройкаФормированияПроводок - СправочникСсылка.НастройкиФормированияПроводокМеждународногоУчета - Настройка для отбора документов.
// 	Организация - СправочникСсылка.Организации - Организация для отбора документов.
//
Процедура ЗаполнитьТаблицуДокументовПоОперации(ТаблицаДокументов, ХозяйственнаяОперация, ИсточникДанных, НастройкаФормированияПроводок, Организация) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымОперативногоУчета.ЗаполнитьТаблицуДокументовПоОперации(ТаблицаДокументов, ХозяйственнаяОперация, ИсточникДанных, НастройкаФормированияПроводок, Организация) 
```
</details>

## ПередЗаписьюПравилОтражения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку правил отражения перед их записью в регистр ПравилаОтраженияВМеждународномУчете.
//
// Параметры:
// 	ПравилаОтраженияВМеждународномУчете - ТаблицаЗначений - Выгрузка набора записей регистра ПравилаОтраженияВМеждународномУчете.
// 	Отказ - Булево - Признак отказа записи, устанавливается в случае ошибки.
//
Процедура ПередЗаписьюПравилОтражения(ПравилаОтраженияВМеждународномУчете, Отказ) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымОперативногоУчета.ПередЗаписьюПравилОтражения(ПравилаОтраженияВМеждународномУчете, Отказ) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// См. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымОперативногоУчета.НастроитьВариантыОтчетов(Настройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
