---
title: Международный учет по данным регл учета
slug: erp-uh/международный-учет-по-данным-регл-учета
---


## ДополнитьПараметрыФормированияПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры отражения необходимыми для формирования проводок по данным регламентированного учета.
//
// Параметры:
// 	 ПараметрыФормированияПроводок - см. МеждународныйУчетПроведениеСервер.ПараметрыФормированияПроводок
//
Процедура ДополнитьПараметрыФормированияПроводок(ПараметрыФормированияПроводок) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчета.ДополнитьПараметрыФормированияПроводок(ПараметрыФормированияПроводок) 
```
</details>

## Отразить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет формирование проводок международного учета по данным регламентированного учета.
//
// Параметры:
// 	ПараметрыФормированияПроводок - Структура - Параметры формирования проводок.
// 	ТаблицаПроводок - ТаблицаЗначений - Таблица, в которую добавляются сформированные проводки.
//
Процедура Отразить(ПараметрыФормированияПроводок, ТаблицаПроводок) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчета.Отразить(ПараметрыФормированияПроводок, ТаблицаПроводок) 
```
</details>

## ДополнитьТаблицыРегистрацииКОтражению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет таблицы регистрации документа к отражению в международном учете по данным регистрации к отражению в регламентированного.
//
// Параметры:
// 	Объект - ДокументОбъект - Документ, который проводится.
// 	ДополнительныеСвойстваОбъекта - Структура - Дополнительные свойства объекта
// 	ДополнительныеСвойстваРегистра - Структура - Дополнительные свойства РС ОтражениеДокументовВМеждународномУчете.
// 	ТаблицаРегистрации - ТаблицаЗначений - Таблица с данными регистрации к отражению, которую необходимо дополнить:
// 	                      * Период - Дата - период регистрации (дата документа);
// 	                      * Организация - СправочникСсылка.Организации - организация по которой документ формирует проводки;
// 	                      * ДатаОтражения - Дата - дата, на которую документ формирует проводки;
// 	                      * ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - отражаемая хозяйственная операция.
// 	ВыборочнаяРегистрация - Булево - Признак выборочной регистрации документа к отражению в учете.
// 	                                 Установить Истина, если статус "К отражению" необходимо установить только по выбранным организациям и датам.
// 	                                 При этом по остальным статус оставить неизменным.
// 	ТаблицаВыборочнойРегистрации - ТаблицаЗначений - Таблица дат и организаций, по которым надо установить статус "К отражению":
// 	                      * Организация - СправочникСсылка.Организации - организация по которой документ формирует проводки;
// 	                      * ДатаОтражения - Дата - дата, на которую документ формирует проводки.
//
Процедура ДополнитьТаблицыРегистрацииКОтражению(Объект, ДополнительныеСвойстваОбъекта, ДополнительныеСвойстваРегистра, ТаблицаРегистрации, ВыборочнаяРегистрация, ТаблицаВыборочнойРегистрации) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчета.ДополнитьТаблицыРегистрацииКОтражению(Объект, ДополнительныеСвойстваОбъекта, ДополнительныеСвойстваРегистра, ТаблицаРегистрации, ВыборочнаяРегистрация, ТаблицаВыборочнойРегистрации) 
```
</details>

## ПроверитьПравилаОтражения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку наличия настроенных соответствий счетов, необходимых для отражения документов.
//
// Параметры:
// 	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Содержит временную таблицу ДокументыКОтражению:
// 	              * Документ - ДокументСсылка -
// 	              * Организация - СправочникСсылка.Организации -
// 	              * НастройкаФормированияПроводок - СправочникСсылка.НастройкиФормированияПроводокМеждународногоУчета -
// 	ПараметрыПроверки - См. Обработки.ОтражениеДокументовВМеждународномУчете.ПараметрыПроверкиПравилОтражения
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Таблица необходимых настроек:
// 	              * Счет - ПланСчетовСсылка -
// 	              * НастройкаФормированияПроводок - СправочникСсылка.НастройкиФормированияПроводокМеждународногоУчета -
// 	              * Комментарий - Строка -
//
Функция ПроверитьПравилаОтражения(МенеджерВременныхТаблиц, ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетПоДаннымРеглУчета.ПроверитьПравилаОтражения(МенеджерВременныхТаблиц, ПараметрыПроверки) 
```
</details>

## ОтразитьДокументВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает отражение документа в регламентированном учете.
//
// Параметры:
// 	РеквизитыДокумента - Структура - Реквизиты документа, который необходимо отразить:
// 	                     * Ссылка - ДокументСсылка - Ссылка на документ;
// 	                     * Дата - Дата - Дата документа;
// 	                     * Организация - СправочникСсылка.Организации - Дата документа.
//
Процедура ОтразитьДокументВРеглУчете(РеквизитыДокумента) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчета.ОтразитьДокументВРеглУчете(РеквизитыДокумента) 
```
</details>

## ЗаполнитьТаблицуДокументовПоСчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу документами, требующими отражения и формирующими проводки регламентированного учета по определенному счету.
//
// Параметры:
// 	ТаблицаДокументов - ТаблицаЗначений - Заполняемая таблица значений:
// 						Колонки:
// 						* Документ - ДокументСсылка - Ссылка на документ;
// 						* Дата - Дата - Дата документа;
// 						* Организация - СправочникСсылка.Организации - Организация, по которой документ формирует проводки регл. учета;
// 						* Комментарий - Строка - Комментарий к статусу отражения документа в международном учете;
// 	Счет - ПланСчетовСсылка - Счет регламентированного учета, по которому необходимо отобрать проводки документов.
// 	НастройкаФормированияПроводок - СправочникСсылка.НастройкиФормированияПроводокМеждународногоУчета - Настройка формирования проводок для отбора документов.
// 	Организация - СправочникСсылка.Организации - Организация для отбора документов.
//
Процедура ЗаполнитьТаблицуДокументовПоСчету(ТаблицаДокументов, Счет, НастройкаФормированияПроводок, Организация) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчета.ЗаполнитьТаблицуДокументовПоСчету(ТаблицаДокументов, Счет, НастройкаФормированияПроводок, Организация) 
```
</details>

## ПередЗаписьюПравилОтражения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку правил отражения перед их записью в регистр ПравилаОтраженияВМеждународномУчете.
//
// Параметры:
// 	ПравилаОтраженияВМеждународномУчете - ТаблицаЗначений - Выгрузка набора записей регистра ПравилаОтраженияВМеждународномУчете.
// 	Отказ - Булево - Признак отказа записи, устанавливается в случае ошибки.
//
Процедура ПередЗаписьюПравилОтражения(ПравилаОтраженияВМеждународномУчете, Отказ) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчета.ПередЗаписьюПравилОтражения(ПравилаОтраженияВМеждународномУчете, Отказ) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчета.НастроитьВариантыОтчетов(Настройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
