---
title: Международный учет по данным регл учета клиент
slug: erp-uh/международный-учет-по-данным-регл-учета-клиент
---


## ОбработчикКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд, добавленных динамически.
//
// (См. ОтчетыКлиентПереопределяемый.ОбработчикКоманды).
//
Процедура ОбработчикКоманды(ЭтаФорма, Команда, Результат) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчетаКлиент.ОбработчикКоманды(ЭтаФорма, Команда, Результат) 
```
</details>

## ОбработкаРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик расшифровки табличного документа формы отчета.
//
// (См. ОтчетыКлиентПереопределяемый.ОбработкаРасшифровки)
//
Процедура ОбработкаРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчетаКлиент.ОбработкаРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ОткрытьПроводкиРеглУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму просмотра проводок регламентированного учета по документу.
//
// Параметры:
// 	Документ - ДокументСсылка - Документ, для которого необходимо открыть форму просмотра проводок.
// 	ФормаВладелец - ФормаКлиентскогоПриложения - Владелец формы просмотра проводок.
//
Процедура ОткрытьПроводкиРеглУчета(Документ, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчетаКлиент.ОткрытьПроводкиРеглУчета(Документ, ФормаВладелец) 
```
</details>

## ОткрытьНастройкуСоответствияСчетовИОборотов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки соответствия счетов и оборотов международного учета регламентированным.
//
// Параметры:
// 	ПараметрыФормы - См. МеждународныйУчетКлиент.ПараметрыОткрытияФормНастройкиПроводок
// 	ФормаВладелец - ФормаКлиентскогоПриложения - Владелец формы настройки.
// 	СчетРеглУчета - ПланСчетовСсылка,
// 	                Неопределено - Счет регламентированного учета, для которого необходимо выполнить настройку.
// 	                               Если Неопределено, то форма открывается для настройки по всем счетам.
//
Процедура ОткрытьНастройкуСоответствияСчетовИОборотов(ПараметрыФормы, ФормаВладелец, СчетРеглУчета = Неопределено) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымРеглУчетаКлиент.ОткрытьНастройкуСоответствияСчетовИОборотов(ПараметрыФормы, ФормаВладелец, СчетРеглУчета);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
