---
title: Международный учет по данным финансовых регистров
slug: erp-uh/международный-учет-по-данным-финансовых-регистров
---


## ДополнитьПараметрыФормированияПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры отражения необходимыми для формирования проводок по регистрам оперативного учета.
//
// Параметры:
// 	 ПараметрыФормированияПроводок - см. МеждународныйУчетПроведениеСервер.ПараметрыФормированияПроводок
//
Процедура ДополнитьПараметрыФормированияПроводок(ПараметрыФормированияПроводок) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистров.ДополнитьПараметрыФормированияПроводок(ПараметрыФормированияПроводок) 
```
</details>

## Отразить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет формирование проводок международного учета по данным регистров оперативного учета.
//
// Параметры:
// 	ПараметрыФормированияПроводок - Структура - Параметры формирования проводок.
// 	ТаблицаПроводок - ТаблицаЗначений - Таблица, в которую добавляются сформированные проводки.
//
Процедура Отразить(ПараметрыФормированияПроводок, ТаблицаПроводок) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистров.Отразить(ПараметрыФормированияПроводок, ТаблицаПроводок) 
```
</details>

## ДополнитьТаблицыРегистрацииКОтражению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет таблицы регистрации документа к отражению в международном учете по данным движений в финансовых регистрах.
//
// Параметры:
// 	Объект - ДокументОбъект - Документ, который проводится.
// 	ДополнительныеСвойства - Структура - Дополнительные свойства РС ОтражениеДокументовВМеждународномУчете.
// 	ТаблицаРегистрации - ТаблицаЗначений - Таблица с данными регистрации к отражению, которую необходимо дополнить:
// 	                      * Период - Дата - период регистрации (дата документа)
// 	                      * Организация - СправочникСсылка.Организации - организация по которой документ формирует проводки
// 	                      * ДатаОтражения - Дата - дата, на которую документ формирует проводки;
// 	                      * ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - отражаемая хозяйственная операция.
//
Процедура ДополнитьТаблицыРегистрацииКОтражению(Объект, ДополнительныеСвойства, ТаблицаРегистрации) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистров.ДополнитьТаблицыРегистрацииКОтражению(Объект, ДополнительныеСвойства, ТаблицаРегистрации) 
```
</details>

## ДополнитьПараметрыОтраженияДвиженийВФинансовомУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет структуру параметров отражения записей регистров накопления в финансовом учете:
//  ПутьКДаннымОбъектНастройки - Строка - Путь выборки данных регистра, соответствующих объектам настроек, в разрезе которых указываются счета учета. Может быть переопределено в описании объектов бух.учета
//  ПутьКДаннымМестоУчета - Строка - Путь выборки данных регистра, соответствующих местам учета, в разрезе которых указываются исключения счетов учета
//  ИсточникиСубконто - Структура Из КлючИЗначение - Описание:
//    Ключ - Строка - Имя измерения регистра или реквизита измерения если оно является ключем аналитики
//    Значение - см. ОписаниеПоляРегистра
//  ПоляОтбораДвижений - Структура Из КлючИЗначение - Описание:
//    Ключ - Строка - Имя измерения регистра
//    Значение - см. ОписаниеПоляРегистра
//  ВыделениеДолгосрочныхАктивовОбязательств - Булево - Признак деления учетных данных регистра на краткосрочные и долгосрочные.
//  ПутьКДаннымДатаПогашения - Строка - Путь выборки данных регистра, соответствующих датам погашения обязательств
//
// Параметры:
// 	ПараметрыОтражения - см. ФинансовыйУчетПоДаннымБалансовыхРегистров.ПараметрыОтраженияДвиженийВФинансовомУчете
//
Процедура ДополнитьПараметрыОтраженияДвиженийВФинансовомУчете(ПараметрыОтражения) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистров.ДополнитьПараметрыОтраженияДвиженийВФинансовомУчете(ПараметрыОтражения) 
```
</details>

## ЗаполнитьПараметрыОтраженияПоМетаданнымРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры отражения движений в фин.учете источниками заполнения субконто по измерениям и реквизитам регистра накопления
//
// Параметры:
//  ПараметрыОтражения - см. ФинансовыйУчетПоДаннымБалансовыхРегистров.ПараметрыОтраженияДвиженийВФинансовомУчете
//  МетаданныеРегистра - ОбъектМетаданныхРегистрНакопления - Метаданные регистра накопления
//	НедоступныеПоля - Массив - Массив имен полей, которые не доступны в качестве источников заполнения субконто
//
Процедура ЗаполнитьПараметрыОтраженияПоМетаданнымРегистра(ПараметрыОтражения, МетаданныеРегистра, НедоступныеПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистров.ЗаполнитьПараметрыОтраженияПоМетаданнымРегистра(ПараметрыОтражения, МетаданныеРегистра, НедоступныеПоля);
```
</details>

## ПолеВыборкиГФУНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку - текст выборки значения ГФУ номенклатуры из регистров ВыручкаИСебестоимостьПродаж и СебестоимостьТоваров
//
// Параметры:
//  ПсевдонимИсточника - Строка - псевдоним источника данных в запросе
//
// Возвращаемое значение:
//  Строка - текст выборки значения ГФУ номенклатуры
//
Функция ПолеВыборкиГФУНоменклатуры(ПсевдонимИсточника = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетПоДаннымФинансовыхРегистров.ПолеВыборкиГФУНоменклатуры(ПсевдонимИсточника);
```
</details>

## ПроверитьПравилаОтражения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку наличия настроенных соответствий счетов, необходимых для отражения документов.
//
// Параметры:
// 	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Содержит временную таблицу ДокументыКОтражению:
// 	              * Документ - ДокументСсылка - отражаемый документ
// 	              * Организация - СправочникСсылка.Организации - отражаемая организация
// 	              * НастройкаФормированияПроводок - СправочникСсылка.НастройкиФормированияПроводокМеждународногоУчета - действующая на дату отражения настройка формирования проводок
// 	ПараметрыПроверки - См. Обработки.ОтражениеДокументовВМеждународномУчете.ПараметрыПроверкиПравилОтражения
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Таблица необходимых настроек:
// 	              * ОбъектУчета - ПеречислениеСсылка.ОбъектыФинансовогоУчета -
// 	              * ОбъектНастройки - Метаданные.ОпределяемыеТипы.ОбъектНастройкиСчетовМеждународногоУчета
// 	              * ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета -
// 	              * НастройкаФормированияПроводок - СправочникСсылка.НастройкиФормированияПроводокМеждународногоУчета -
//
Функция ПроверитьПравилаОтражения(МенеджерВременныхТаблиц, ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетПоДаннымФинансовыхРегистров.ПроверитьПравилаОтражения(МенеджерВременныхТаблиц, ПараметрыПроверки) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистров.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ИспользуетсяВыделениеДолгосрочныхАктивовОбязательств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования деления активов и обязательств на краткосрочные и долгосрочные по срокам обращения.
//
// Параметры:
//  Организации - СправочникСсылка.Организации, Массив из СправочникСсылка.Организации - организации по которым выполняется анализ
//  Период - Дата - дата, на которую выполняется анализ
//
// Возвращаемое значение:
//  Булево - признак использования деления активов и обязательств по срокам обращения.
//
Функция ИспользуетсяВыделениеДолгосрочныхАктивовОбязательств(Организации, Период) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетПоДаннымФинансовыхРегистров.ИспользуетсяВыделениеДолгосрочныхАктивовОбязательств(Организации, Период) 
```
</details>

## ИспользоватьНомерСтрокиКакИдентификаторСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удалить после перехода на 8.3.20. Заменить на функцию языка запросов СТРОКА()
// Использует стандартный реквизит регистра НомерСтроки как ИдентификаторСтроки, преобразуя из типа Число в тип Строка.
// Применяется для идентификации записей регистра в случае заполнения в них реквизита ИдентификаторФинЗаписи значением
// уникального идентификатора объекта расчетов и отсутстсвия реквизита ИдентификаторСтроки.
//
// Параметры:
//  ПараметрыОтражения - см. ФинансовыйУчетПоДаннымБалансовыхРегистров.ПараметрыОтраженияДвиженийВФинансовомУчете
//
Процедура ИспользоватьНомерСтрокиКакИдентификаторСтроки(ПараметрыОтражения) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистров.ИспользоватьНомерСтрокиКакИдентификаторСтроки(ПараметрыОтражения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
