---
title: Международный учет по данным финансовых регистров клиент
slug: erp-uh/международный-учет-по-данным-финансовых-регистров-клиент
---


## ОбработчикКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд, добавленных динамически.
//
// (См. ОтчетыКлиентПереопределяемый.ОбработчикКоманды).
//
Процедура ОбработчикКоманды(ЭтаФорма, Команда, Результат) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистровКлиент.ОбработчикКоманды(ЭтаФорма, Команда, Результат) 
```
</details>

## ОбработкаРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик расшифровки табличного документа формы отчета.
//
// (См. ОтчетыКлиентПереопределяемый.ОбработкаРасшифровки).
//
Процедура ОбработкаРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистровКлиент.ОбработкаРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ОткрытьНастройкуСчетовПоОбъектамУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки счетов по объектам учета.
//
// Параметры:
// 	ПараметрыФормы - См. МеждународныйУчетКлиент.ПараметрыОткрытияФормНастройкиПроводок
// 	ФормаВладелец - ФормаКлиентскогоПриложения - Владелец формы настройки.
// 	ОбъектУчета - ПеречислениеСсылка.ОбъектыФинансовогоУчета - Объект учета, на которого необходимо выполнить настройку
// 	ОбъектНастройки - Произвольный - Объект настройки
//
Процедура ОткрытьНастройкуСчетовПоОбъектамУчета(ПараметрыФормы, ФормаВладелец, ОбъектУчета = Неопределено, ОбъектНастройки = Неопределено) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистровКлиент.ОткрытьНастройкуСчетовПоОбъектамУчета(ПараметрыФормы, ФормаВладелец, ОбъектУчета, ОбъектНастройки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
