---
title: Международный учет по данным финансовых регистров локализация
slug: erp-uh/международный-учет-по-данным-финансовых-регистров-локализация
---


## ДополнитьИсточникиДанныхОбъектовФинансовогоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет соответствие объектов финансового учета и источников их данных - имен балансовых регистров накопления.
// Параметры:
//  ИсточникиДанныхОбъектовУчета - см. Перечисления.ОбъектыФинансовогоУчета.ИсточникиДанныхОбъектовФинансовогоУчета
//
Процедура ДополнитьИсточникиДанныхОбъектовФинансовогоУчета(ИсточникиДанныхОбъектовУчета) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистровЛокализация.ДополнитьИсточникиДанныхОбъектовФинансовогоУчета(ИсточникиДанныхОбъектовУчета) 
```
</details>

## ДополнитьОписаниеОбъектовФинансовогоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет записи в таблицу описания объектов финансового учета.
//
// Параметры:
// 	ОбъектыФинансовогоУчета - см.Перечисления.ОбъектыФинансовогоУчета.ОписаниеОбъектовФинансовогоУчета
// 	НастройкиПроводок - см. Справочники.НастройкиФормированияПроводокМеждународногоУчета.НастройкиФормированияПроводок
//
Процедура ДополнитьОписаниеОбъектовФинансовогоУчета(ОбъектыФинансовогоУчета, НастройкиПроводок) Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистровЛокализация.ДополнитьОписаниеОбъектовФинансовогоУчета(ОбъектыФинансовогоУчета, НастройкиПроводок) 
```
</details>

## ДополнитьРасширенноеОписаниеОбъектовУчетаДляНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет элементы в соответствие расширенного описания объектов финансового учета.
//
// Параметры:
//  ОписаниеОбъектовУчетаДляНастройкиФорм - Соответствие Из КлючИЗначение - данные расширенного описания объектов финансового учета:
//  	* Ключ - ПеречислениеСсылка.ОбъектыФинансовогоУчета - объект финансового учета
//  	* Значение - см. Перечисления.ОбъектыФинансовогоУчета.ОписаниеОбъектаУчетаДляНастройкиФорм
//  ГруппыОбъектовУчета - см. Перечисления.ОбъектыФинансовогоУчета.ГруппыОбъектовУчета
//  НастройкиПроводок - см. Справочники.НастройкиФормированияПроводокМеждународногоУчета.НастройкиФормированияПроводок
//
Процедура ДополнитьРасширенноеОписаниеОбъектовУчетаДляНастройки( Экспорт
```

Пример вызова
```bsl
МеждународныйУчетПоДаннымФинансовыхРегистровЛокализация.ДополнитьРасширенноеОписаниеОбъектовУчетаДляНастройки();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
