---
title: Международный учет по данным финансовых регистров служебный
slug: erp-uh/международный-учет-по-данным-финансовых-регистров-служебный
---


## ТекстЗапросаОстатковДляРеклассификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса выборки остатков регистра со сроком погашения равным длительности операционного
// цикла организации для реклассификации долгосрочных активов и обязательств в краткосрочные.
// Состав и имена полей выборки соответствуют всем измерениям и ресурсам регистра накопления.
// Результат выборки помещается во временную таблицу с именем регистра накопления.
// В тексте запроса используются параметры:
//  МассивОрганизаций - Массив из СправочникСсылка.Организации - отбор по организациям, по которым выполняется анализ остатков
//  НачалоПериода - Дата - дата начала месяца, в котором происходит анализ остатков регистра
//  КонецПериода - Дата - дата окончания месяца, в котором происходит анализ остатков регистра
//  ГраницаПериода - Граница с видом "Включая" - граница окончания месяца, на которую рассчитываются остатки регистра
//
// Возвращаемое значение:
//  Строка - текст запроса
//
Функция ТекстЗапросаОстатковДляРеклассификации(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетПоДаннымФинансовыхРегистровСлужебный.ТекстЗапросаОстатковДляРеклассификации(ИмяРегистра) 
```
</details>

## ТекстЗапросаДвиженийРеклассификацииОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса выборки данных для выполнения операции реклассификации долгосрочных активов и
// обязательств в краткосрочные на основании полученных ранее остатков со сроком погашения равным длительности
// операционного цикла организации. По данным остатков формируются пары приходных и расходных "движений",
// подаваемых на вход транслятора МФУ по объектам учета, которые обрабатываются в нем по общим правилам,
// как обычные движения регистров.
// Источником данных запроса является временная таблица с именем регистра накопления, полученная при выполнении
// запроса с текстом из функции ТекстЗапросаОстатковДляРеклассификации.
// Состав и имена полей выборки соответствуют всем измерениям и ресурсам регистра накопления и необходимым
// реквизитам, в том числе стандартным.
// Результат выборки помещается во временную таблицу, именованную по правилу "Движения" + имя регистра накопления.
// В тексте запроса используются параметры:
//  Регистратор - ДокументСсылка.РегламентнаяОперацияМеждународныйУчет - ссылка на документ, по которому будут сформированы проводки реклассификации
//  ДатаОперации - Дата - дата операции реклассификации долгосрочных активов и обязательств в краткосрочные
//
// Возвращаемое значение:
//  Строка - текст запроса
//
Функция ТекстЗапросаДвиженийРеклассификацииОстатков(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетПоДаннымФинансовыхРегистровСлужебный.ТекстЗапросаДвиженийРеклассификацииОстатков(ИмяРегистра) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
