---
title: Международный учет сервер повт исп
slug: erp-uh/международный-учет-сервер-повт-исп
---


## УчетныеВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Возвращает валюты учета на плане счетов
//
// Параметры:
// 	ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета - План счетов, для которого необходимо получить учетные валюты.
// 	Организация - СправочникСсылка.Организации - Организация, для которых необходимо получить учетные валюты.
//
// Возвращаемое значение:
//	Структура - см. МеждународныйУчетОбщегоНазначения.УчетныеВалюты
//
Функция УчетныеВалюты(ПланСчетов, Организация) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.УчетныеВалюты(ПланСчетов, Организация) 
```
</details>

## ВалютаФункциональная
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает функциональную валюту, которая используется в организации на указанном плане счетов.
//
// Параметры:
// 	ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета - План счетов, для которого необходимо получить учетные валюты.
// 	Организация - СправочникСсылка.Организации - Организация, для которых необходимо получить учетные валюты.
//
// Возвращаемое значение:
//	СправочникСсылка.Валюты -
//
Функция ВалютаФункциональная(ПланСчетов, Организация) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.ВалютаФункциональная(ПланСчетов, Организация) 
```
</details>

## СтатьиАктивовПассивовСНастройкамиПоОбъектам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив статей активов и пассивов, для которых в режиме формирования проводок МФУ по объектам учета
// настроены счета учета по объектам учета и объектам настройки
//
// Возвращаемое значение:
//  ФиксированныйМассив из ПланВидовХарактеристикСсылка.СтатьиАктивовПассивов
//
Функция СтатьиАктивовПассивовСНастройкамиПоОбъектам() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.СтатьиАктивовПассивовСНастройкамиПоОбъектам() 
```
</details>

## ПараметрыРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТКА

// Возвращает параметры регистра для отражения в международном учете.
//
// Параметры:
//	ИмяРегистра - Строка - имя регистра, для которого возвращаются параметры отражения.
//
// Возвращаемое значение:
//	Структура из КлючИЗначение - Структура возвращаемых параметров:
//		* Показатели - см. МеждународныйУчетСерверПовтИсп.Показатели
//		* ПоказателиВВалюте - см. МеждународныйУчетСерверПовтИсп.ПоказателиВВалюте
//		* ПоказателиКоличества - см. МеждународныйУчетСерверПовтИсп.ПоказателиКоличества
//		* ИсточникиУточненияСчета - см. МеждународныйУчетСерверПовтИсп.ИсточникиУточненияСчета
//		* ИсточникиПодразделений - см. МеждународныйУчетСерверПовтИсп.ИсточникиПодразделений
//		* ИсточникиНаправлений - см. МеждународныйУчетСерверПовтИсп.ИсточникиНаправлений
//		* ИсточникиСубконто - см. МеждународныйУчетСерверПовтИсп.ИсточникиСубконто
Функция ПараметрыРегистра(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.ПараметрыРегистра(ИмяРегистра) 
```
</details>

## ИсточникиУточненияСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет источники уточнения счета, доступные в регистре и их свойства.
//
// Параметры:
//  ИмяРегистра - Строка - имя регистра.
//
// Возвращаемое значение:
//  Соответствие - Ключ - название источника уточнения счета.
//				   Значение - структура свойств источника уточнения счета.
//
Функция ИсточникиУточненияСчета(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.ИсточникиУточненияСчета(ИмяРегистра) 
```
</details>

## ИсточникиПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет источники подразделений регистра и их свойства.
//
// Параметры:
//  ИмяРегистра - Строка - имя регистра.
//
// Возвращаемое значение:
//  Соответствие - Ключ - имя источника.
//				   Значение - структура свойств источника.
//
Функция ИсточникиПодразделений(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.ИсточникиПодразделений(ИмяРегистра) 
```
</details>

## ИсточникиНаправлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет источники направлений регистра и их свойства.
//
// Параметры:
//  ИмяРегистра - Строка - имя регистра.
//
// Возвращаемое значение:
//  Соответствие - Ключ - имя источника.
//				   Значение - структура свойств источника.
//
Функция ИсточникиНаправлений(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.ИсточникиНаправлений(ИмяРегистра) 
```
</details>

## ИсточникиСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет источники заполнения субконто.
//
// Параметры:
//  ИмяРегистра - Строка - имя регистра.
//
// Возвращаемое значение:
//  Массив - массив атрибутов регистра.
//
Функция ИсточникиСубконто(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.ИсточникиСубконто(ИмяРегистра) 
```
</details>

## Показатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет показатели регистра.
//
// Параметры:
//  ИмяРегистра - Строка - имя регистра.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение - :
//   Ключ - Перечисления.ПоказателиАналитическихРегистров - имя показателя
//   Значение - Структура из КлючИЗначение - Описание свойств показателя:
//    *Ресурсы - Массив из Структура-:
//     **Имя - Строка -
//     **ИсточникВалюты - Массив Из Строка -
//
Функция Показатели(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.Показатели(ИмяРегистра) 
```
</details>

## ПоказателиВВалюте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет показатели в валюте регистра.
//
// Параметры:
//  ИмяРегистра - Строка - имя регистра.
//
// Возвращаемое значение:
//  Соответствие - Ключ - имя показателя.
//				   Значение - структура свойств показателя.
//
Функция ПоказателиВВалюте(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.ПоказателиВВалюте(ИмяРегистра) 
```
</details>

## ПоказателиКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет показатели количества.
//
// Параметры:
//  ИмяРегистра - Строка - имя регистра.
//
// Возвращаемое значение:
//  Соответствие - Ключ - имя источника.
//				   Значение - структура свойств источника.
//
Функция ПоказателиКоличества(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.ПоказателиКоличества(ИмяРегистра) 
```
</details>

## СвойстваСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//++ НЕ УТКА

// Получает свойства счета международного учета
//
// Параметры:
//  Счет - ПланСчетовСсылка.Международный - Счет международного плана счетов.
//
// Возвращаемое значение:
//  Структура - свойства счета
//				Ключ - имя свойства счета.
//				Значение - значение свойства.
//
Функция СвойстваСчета(Знач Счет) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.СвойстваСчета(Счет) 
```
</details>

## ТипыАтрибутаРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает типы атрибута регистра.
//
// Параметры:
//	ИмяРегистра - Строка - имя регистра.
//	ИмяАтрибута - Строка - имя атрибута.
//
// Возвращаемое значение:
//	Массив - массив типов атрибута регистра.
//
Функция ТипыАтрибутаРегистра(ИмяРегистра, ИмяАтрибута) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.ТипыАтрибутаРегистра(ИмяРегистра, ИмяАтрибута) 
```
</details>

## ОпределитьСтатус
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус на основе приоритетов статусов.
//
// Параметры:
//	ТекущийСтатус - ПеречислениеСсылка.СтатусыОтраженияВМеждународномУчете - текущий статус.
//	НовыйСтатус - ПеречислениеСсылка.СтатусыОтраженияВМеждународномУчете - текущий статус.
//
// Возвращаемое значение:
//	ПеречислениеСсылка.СтатусыОтраженияВМеждународномУчете - устанавливаемый статус.
//
Функция ОпределитьСтатус(ТекущийСтатус, НовыйСтатус) Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.ОпределитьСтатус(ТекущийСтатус, НовыйСтатус) 
```
</details>

## МаксКоличествоСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает максимальное количество субконто международного плана счетов
//
// Возвращаемое значение:
// 	Число -
Функция МаксКоличествоСубконто() Экспорт
```

Пример вызова
```bsl
Результат = МеждународныйУчетСерверПовтИсп.МаксКоличествоСубконто() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
