---
title: Менеджер оборудования
slug: erp-uh/менеджер-оборудования
---


## ВерсияБиблиотеки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер версии библиотеки подключаемого оборудования.
//
// Возвращаемое значение:
//  Строка.
//
Функция ВерсияБиблиотеки() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ВерсияБиблиотеки() 
```
</details>

## ДоступныеТипыОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список доступных типов оборудования.
//
// Параметры:
//  ВключаяНеиспользуемые - Булево - по умолчанию Ложь, неиспользуемые не должны выводиться для выбора пользователем
//
// Возвращаемое значение:
//   Массив из ПеречислениеСсылка.ТипыПодключаемогоОборудования - Массив доступных типов подключаемого оборудования в конфигурации.
//
Функция ДоступныеТипыОборудования(ВключаяНеиспользуемые = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДоступныеТипыОборудования(ВключаяНеиспользуемые);
```
</details>

## ДоступноДобавлениеНовыхДрайверов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступность добавление новых драйверов.
//
// Возвращаемое значение:
//  Булево.
//
Функция ДоступноДобавлениеНовыхДрайверов() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДоступноДобавлениеНовыхДрайверов() 
```
</details>

## ДоступноСетевоеОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступность сетевого оборудования.
//
// Возвращаемое значение:
//  Булево.
//
Функция ДоступноСетевоеОборудование() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДоступноСетевоеОборудование() 
```
</details>

## ДоступноИнкассацияВУправлениеФискальнымУстройством
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступность инкассации в форме управление фискальным устройством.
//
// Возвращаемое значение:
//  Булево.
//
Функция ДоступноИнкассацияВУправлениеФискальнымУстройством() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДоступноИнкассацияВУправлениеФискальнымУстройством() 
```
</details>

## ВедетсяУчетПродукцииИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ведется учет ИСМП в конфигурации
//
// Возвращаемое значение:
//  Булево - Ведется учет ИСМП в конфигурации
//
Функция ВедетсяУчетПродукцииИСМП() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ВедетсяУчетПродукцииИСМП() 
```
</details>

## ДоступныеТипыОбщедоступногоОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список доступных типов общедоступного оборудования.
//
// Возвращаемое значение:
//   Массив из ПеречислениеСсылка.ТипыПодключаемогоОборудования - Массив доступных типов подключаемого оборудования в конфигурации.
//
Функция ДоступныеТипыОбщедоступногоОборудования() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДоступныеТипыОбщедоступногоОборудования() 
```
</details>

## ДрайверПоставляетсяВКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДрайверПоставляетсяВКонфигурации(ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДрайверПоставляетсяВКонфигурации(ИдентификаторУстройства) 
```
</details>

## ОбновитьПоставляемыеДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить поставляемые драйвера БПО.
//
Процедура ОбновитьПоставляемыеДрайвера() Экспорт
```

Пример вызова
```bsl
МенеджерОборудования.ОбновитьПоставляемыеДрайвера() 
```
</details>

## ОбновитьУстановленныеДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить установленные драйвера.
//
Процедура ОбновитьУстановленныеДрайвера() Экспорт
```

Пример вызова
```bsl
МенеджерОборудования.ОбновитьУстановленныеДрайвера() 
```
</details>

## ЗаписатьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает изменения в переданном объекте.
// Для использования в обработчиках обновления.
//
// Параметры:
//   Данные                            - Произвольный - объект, набор записей или менеджер константы, который
//                                                      необходимо записать.
//   РегистрироватьНаУзлахПлановОбмена - Булево       - включает регистрацию на узлах планов обмена при записи объекта.
//   ВключитьБизнесЛогику              - Булево       - включает бизнес-логику при записи объекта.
//
Процедура ЗаписатьДанные(Знач Данные, Знач РегистрироватьНаУзлахПлановОбмена = Ложь, Знач ВключитьБизнесЛогику = Ложь) Экспорт
```

Пример вызова
```bsl
МенеджерОборудования.ЗаписатьДанные(Данные, РегистрироватьНаУзлахПлановОбмена, ВключитьБизнесЛогику);
```
</details>

## УстановитьПризнакПереустановкиДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак необходимости переустановки оборудования для подключаемого оборудования на рабочем месте.
//
// Параметры:
//  РабочееМесто - СправочникСсылка.РабочиеМеста.
//  ДрайверОборудования - СправочникСсылка.ДрайверыОборудования.
//  Признак - Булево - требуется переустановить драйвер
//
Процедура УстановитьПризнакПереустановкиДрайвера(РабочееМесто, ДрайверОборудования, Признак) Экспорт
```

Пример вызова
```bsl
МенеджерОборудования.УстановитьПризнакПереустановкиДрайвера(РабочееМесто, ДрайверОборудования, Признак) 
```
</details>

## ОбновитьУстановленныеДрайвераПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить установленные драйвера по справочнику подключаемого оборудования.
//
// Параметры:
//  ТипОборудования - ПеречислениеСсылка.ТипыПодключаемогоОборудования
Процедура ОбновитьУстановленныеДрайвераПоТипу(ТипОборудования) Экспорт
```

Пример вызова
```bsl
МенеджерОборудования.ОбновитьУстановленныеДрайвераПоТипу(ТипОборудования) 
```
</details>

## ПоставляемыеДрайверы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу поставляемых в библиотеке драйверов
//
// Возвращаемое значение:
//  см. НоваяТаблицаПоставляемыхДрайверовОборудования
Функция ПоставляемыеДрайверы() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ПоставляемыеДрайверы() 
```
</details>

## ИспользуемыеДрайверыПодключаемогоОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу драйверов по всему оборудованию которое добавлено в справочник
//   подключаемого оборудования
// Параметры:
//   СпособПодключения - ПеречислениеСсылка.СпособПодключенияДрайвера - если значение не передано,
//                       тогда будет отобрано независимо от способа подключения
// Возвращаемое значение:
//  ТаблицаЗначений:
//    * Ссылка - СправочникСсылка.ДрайверыОборудования
//    * Наименование - Строка
//    * Идентификатор - Строка
//    * Версия - Строка
//    * СпособПодключения - ПеречислениеСсылка.СпособПодключенияДрайвера
//    * ИмяМакета - Строка - имя макета в котором находится драйвер
//    * МакетДоступен - Булево - если Ложь, тогда в библиотеке отсутствует макет драйвера
//    * ЕстьВСправочникеВК - Булево - соержится ли драйвер в справочнике Внешних компонент БСП
//    * ВерсияВСправочникеВК - Строка - версия драйвера в справочнике Внешних копонент БСП
//    * ВходитВБПО - Булево - флаг того что драйвер включен в библиотеку подключаемого оборудования
Функция ИспользуемыеДрайверыПодключаемогоОборудования(СпособПодключения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ИспользуемыеДрайверыПодключаемогоОборудования(СпособПодключения);
```
</details>

## ДобавитьВСправочникВнешнихКомпонентИзМакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить в справочник внешние компоненты драйверы из макета
// Параметры:
//  Идентификаторы - Массив из Строка
//
// Возвращаемое значение:
//  см. ДобавитьВСправочникВнешнихКомпонентИзМакетаСлужебный
//
Функция ДобавитьВСправочникВнешнихКомпонентИзМакета(Идентификаторы) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДобавитьВСправочникВнешнихКомпонентИзМакета(Идентификаторы) 
```
</details>

## ЗагрузитьДрайверыССайтаИТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загрузить в справочник внешние копоненты драйверы с сайта ИТС
//
// Параметры:
//  Идентификаторы - Массив из Строка
//
// Возвращаемое значение:
//  см. ЗагрузитьДрайверыССайтаИТССлужебный
//
Функция ЗагрузитьДрайверыССайтаИТС(Идентификаторы) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ЗагрузитьДрайверыССайтаИТС(Идентификаторы) 
```
</details>

## СписокОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список подключенного в справочнике ПО по установленному отбору
//
// Параметры:
//  Отбор - см. МенеджерОборудованияКлиентСервер.СписокОборудованияОтбор.
//
// Возвращаемое значение:
//  Массив из Структура.
//
Функция СписокОборудования(Отбор) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.СписокОборудования(Отбор) 
```
</details>

## ДанныеУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру с данными устройства.
//
// Параметры:
//  Идентификатор - СправочникСсылка.ПодключаемоеОборудование.
//  КодЯзыка - Неопределено, Строка -
//
// Возвращаемое значение:
//  см. Справочники.ПодключаемоеОборудование.ДанныеУстройства
//
Функция ДанныеУстройства(Идентификатор, КодЯзыка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДанныеУстройства(Идентификатор, КодЯзыка);
```
</details>

## ПараметрыУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает по идентификатору устройства его параметры
//
// Параметры:
//  Идентификатор - СправочникСсылка.ПодключаемоеОборудование.
//
// Возвращаемое значение:
//  - Произвольный
//  - Структура
//
Функция ПараметрыУстройства(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ПараметрыУстройства(Идентификатор) 
```
</details>

## СохранитьПараметрыУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для сохранения параметров устройства
// в реквизит Параметры типа хранилище значения в элементе справочника.
//
// Параметры:
//  Идентификатор - СправочникСсылка.ПодключаемоеОборудование.
//  Параметры - Структура - параметры устройства.
//
// Возвращаемое значение:
//  Булево.
//
Функция СохранитьПараметрыУстройства(Идентификатор, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.СохранитьПараметрыУстройства(Идентификатор, Параметры) 
```
</details>

## ДанныеДрайвераОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру с данными драйвера.
//
// Параметры:
//  ИдентификаторДрайвера - СправочникСсылка.ДрайверыОборудования - идентификатор драйвера.
//
// Возвращаемое значение:
//  Структура.
//
Функция ДанныеДрайвераОборудования(ИдентификаторДрайвера) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДанныеДрайвераОборудования(ИдентификаторДрайвера) 
```
</details>

## ДрайверыПоТипуОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает драйвера по типу оборудования
//
// Параметры:
//  ТипОборудования - ПеречислениеСсылка.ТипыПодключаемогоОборудования - типы подключаемого оборудования.
//  ТолькоДоступные - Булево - признак только доступных драйверов.
//  СнятыеСПоддержкиДрайвера - Булево - признак отображения снятых с поддержки драйверов.
//  РекомендуемоеИспользование - Булево - признак отображения рекомендуемых к использованию драйверов.
//
// Возвращаемое значение:
//  СписокЗначений.
//
Функция ДрайверыПоТипуОборудования(ТипОборудования, ТолькоДоступные = Истина, СнятыеСПоддержкиДрайвера = Ложь, РекомендуемоеИспользование = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДрайверыПоТипуОборудования(ТипОборудования, ТолькоДоступные, СнятыеСПоддержкиДрайвера, РекомендуемоеИспользование);
```
</details>

## СоздатьДрайверОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция создает запись в справочнике о новом драйвере.
//
// Параметры:
//  ПараметрыСоздания - см. МенеджерОборудованияКлиентСервер.ПараметрыСозданияНовогоДрайвера
//
// Возвращаемое значение:
//  СправочникСсылка.ДрайверыОборудования.
//
Функция СоздатьДрайверОборудования(ПараметрыСоздания) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.СоздатьДрайверОборудования(ПараметрыСоздания) 
```
</details>

## СоздатьПодключаемоеОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция создает запись в справочнике о новом драйвере.
//
// Параметры:
//  ПараметрыСоздания - см. МенеджерОборудованияКлиентСервер.ПараметрыСозданияНовогоПодключаемогоОборудования
//
// Возвращаемое значение:
//  СправочникСсылка.ПодключаемоеОборудование.
//
Функция СоздатьПодключаемоеОборудование(ПараметрыСоздания) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.СоздатьПодключаемоеОборудование(ПараметрыСоздания) 
```
</details>

## ПолучитьПараметрыXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить параметры подключения в XML
//
// Параметры:
//   Параметры - Структура - Параметры подключения.
//   ТипОборудования - Строка - Тип оборудования
// Возвращаемое значение:
//   Строка -
//
Функция ПолучитьПараметрыXML(Параметры, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ПолучитьПараметрыXML(Параметры, ТипОборудования);
```
</details>

## ЗагрузитьПараметрыXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить параметры подключения из XML
//
// Параметры:
//   ПараметрыXML - Строка - Параметры подключения в XML.
// Возвращаемое значение:
//   Структура -
//
Функция ЗагрузитьПараметрыXML(ПараметрыXML) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ЗагрузитьПараметрыXML(ПараметрыXML) 
```
</details>

## ПараметрыПриложенияДляДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры приложения для драйвера.
//
// Возвращаемое значение:
//  Строка
//
Функция ПараметрыПриложенияДляДрайвера() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ПараметрыПриложенияДляДрайвера() 
```
</details>

## ПолучитьЦенуЕМРЦ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает цену ЕМРЦ из данных информационной базы на дату.
//
// Параметры:
//  ОсобенностьУчета - ПеречислениеСсылка.ВидыМаркированнойПродукцииБПО - тип маркированной продукции для проверки цены.
//  Период - Дата - дата проверки цены.
//  ЕМРЦ - Число - значение ЕМРЦ.
//
Процедура ПолучитьЦенуЕМРЦ(ОсобенностьУчета, Период = Неопределено, ЕМРЦ = 0) Экспорт
```

Пример вызова
```bsl
МенеджерОборудования.ПолучитьЦенуЕМРЦ(ОсобенностьУчета, Период, ЕМРЦ);
```
</details>

## ВозможнаОтменаОплатыПоЧеку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет были ли совершены сторнирования по документу основания.
//
// Параметры:
//  ДокументОснования - ОпределяемыйТип.ОснованиеФискальнойОперацииБПО - документ основание.
//
// Возвращаемое значение:
//  Булево
//
Функция ВозможнаОтменаОплатыПоЧеку(ДокументОснования) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ВозможнаОтменаОплатыПоЧеку(ДокументОснования) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить на форму список подключаемого оборудования
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  ТипыОборудования - см. МенеджерОборудованияКлиентСервер.ПараметрыТипыОборудования
Процедура ПриСозданииНаСервере(Форма, ТипыОборудования) Экспорт
```

Пример вызова
```bsl
МенеджерОборудования.ПриСозданииНаСервере(Форма, ТипыОборудования) 
```
</details>

## ЕстьПодключаемоеОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет существует ли в базе подключаемое оборудование, и возвращает
// Истина если в справочнике Подключаемое оборудование отсутствует хотя бы один элемент.
//
// Возвращаемое значение:
//  Булево
Функция ЕстьПодключаемоеОборудование() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ЕстьПодключаемоеОборудование() 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ИнтеграцияПодсистемБПО.ПриОпределенииНастроекРегламентныхЗаданий.
// Вызывается из процедуры РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий
// для установки доступности регламентного задания, определяет зависимость от функциональных опций.
//
// Параметры:
//  Настройки - ТаблицаЗначений
//  ФункциональнаяОпция - ОбъектМетаданныхФункциональнаяОпция
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки, ФункциональнаяОпция) Экспорт
```

Пример вызова
```bsl
МенеджерОборудования.ПриОпределенииНастроекРегламентныхЗаданий(Настройки, ФункциональнаяОпция) 
```
</details>

## ПриПолученииСпискаШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ИнтеграцияПодсистемБПО.ПриПолученииСпискаШаблонов.
// См. ОчередьЗаданийПереопределяемый.ПриПолученииСпискаШаблонов
Процедура ПриПолученииСпискаШаблонов(ШаблоныЗаданий) Экспорт
```

Пример вызова
```bsl
МенеджерОборудования.ПриПолученииСпискаШаблонов(ШаблоныЗаданий) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ИнтеграцияПодсистемБПО.ПриОпределенииПсевдонимовОбработчиков.
// См. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
МенеджерОборудования.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ДрайвераПоТипуОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает драйвера по типу оборудования
//
// Параметры:
//  ТипОборудования - ПеречислениеСсылка.ТипыПодключаемогоОборудования - типы подключаемого оборудования.
//  ТолькоДоступные - Булево - признак только доступных драйверов.
//  СнятыеСПоддержкиДрайвера - Булево - признак отображения снятых с поддержки драйверов.
//  РекомендуемоеИспользование - Булево - признак отображения рекомендуемых к использованию драйверов.
//
// Возвращаемое значение:
//  СписокЗначений.
//
Функция ДрайвераПоТипуОборудования(ТипОборудования, ТолькоДоступные = Истина, СнятыеСПоддержкиДрайвера = Ложь, РекомендуемоеИспользование = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудования.ДрайвераПоТипуОборудования(ТипОборудования, ТолькоДоступные, СнятыеСПоддержкиДрайвера, РекомендуемоеИспользование);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
