---
title: Менеджер оборудования маркировка
slug: erp-uh/менеджер-оборудования-маркировка
---


## КодПланируемыйСтатусМаркируемогоТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код планируемого статус маркируемого товара
//
// Параметры:
//  ПланируемыйСтатусМаркируемогоТовара - ПеречислениеСсылка.ПланируемыйСтатусМаркируемогоТовара - Планируемый статус маркируемого товара.
//
// Возвращаемое значение:
//  Число - Код планируемого статус маркируемого товара по ОФД
//
Функция КодПланируемыйСтатусМаркируемогоТовара(ПланируемыйСтатусМаркируемогоТовара) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.КодПланируемыйСтатусМаркируемогоТовара(ПланируемыйСтатусМаркируемогоТовара) 
```
</details>

## КодОтветаОИСМОСтатусеТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код ответа ОИСМ о статусе товара
//
// Параметры:
//  ОтветОИСМОСтатусеТовара - ПеречислениеСсылка.ОтветОИСМОСтатусеТовара - Ответ от ИСМО.
//
// Возвращаемое значение:
//  Число - Ответ ОИСМ о статусе товара по ОФД
//
Функция КодОтветаОИСМОСтатусеТовара(ОтветОИСМОСтатусеТовара) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.КодОтветаОИСМОСтатусеТовара(ОтветОИСМОСтатусеТовара) 
```
</details>

## ОтветОИСМОСтатусеТовараПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ответ ОИСМ о статусе товара по коду.
//
// Параметры:
//  ОтветОИСМОСтатусеТовара - Число - Ответ от ИСМО.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ОтветОИСМОСтатусеТовара - Ответ ОИСМ.
//
Функция ОтветОИСМОСтатусеТовараПоКоду(ОтветОИСМОСтатусеТовара) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.ОтветОИСМОСтатусеТовараПоКоду(ОтветОИСМОСтатусеТовара) 
```
</details>

## КодТипаМаркировкиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код типа маркировки ККТ по коду.
//
// Параметры:
//  ТипМаркировкиККТ - ПеречислениеСсылка.ТипыМаркировкиККТ - Тип маркировки ККТ.
//
// Возвращаемое значение:
//  Строка, Произвольный - Код типа маркировки ККТ
Функция КодТипаМаркировкиККТ(ТипМаркировкиККТ) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.КодТипаМаркировкиККТ(ТипМаркировкиККТ) 
```
</details>

## ТипМаркировкиККТПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код типа маркировки ККТ.
//
// Параметры:
//  КодТипМаркировкиККТ - Число - Код тип маркировки ККТ
//
// Возвращаемое значение:
//  Произвольный, ПеречислениеСсылка.ТипыМаркировкиККТ - Тип маркировки ККТПо коду
Функция ТипМаркировкиККТПоКоду(КодТипМаркировкиККТ) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.ТипМаркировкиККТПоКоду(КодТипМаркировкиККТ) 
```
</details>

## СтатусРезультатаЗапросаКМПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус результата запроса КМ по коду.
//
// Параметры:
//  КодСтатуса - Число - Код статуса.
//
// Возвращаемое значение:
//  Произвольный, ПеречислениеСсылка.СтатусРезультатаЗапросаКМ - Статус результата запроса КМПо коду
Функция СтатусРезультатаЗапросаКМПоКоду(КодСтатуса) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.СтатусРезультатаЗапросаКМПоКоду(КодСтатуса) 
```
</details>

## КодТовараЗаполняетсяДляТиповИдентификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает, для каких типов идентификаторов будет заполняться код товара.
//
// Возвращаемое значение:
//  Массив из ПеречислениеСсылка.ТипыИдентификаторовТовараККТ
//
Функция КодТовараЗаполняетсяДляТиповИдентификаторов() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.КодТовараЗаполняетсяДляТиповИдентификаторов() Экспорт;);
```
</details>

## КодТовараИдентифицируетЭкземпляр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентифицирует ли код товара (значение тега 1162) экземпляр товара.
//
// Параметры:
//   РеквизитКодаТовара - Строка - Значение реквизита кода товара в BASE64.
//   ШтриховойКодТовара - Строка - Штриховой код товара.
//
// Возвращаемое значение:
//  Булево - Истина - Если код товара идентифицирует экземпляр товара.
//
Функция КодТовараИдентифицируетЭкземпляр(Знач РеквизитКодаТовара = Неопределено, Знач ШтриховойКодТовара = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.КодТовараИдентифицируетЭкземпляр(РеквизитКодаТовара, ШтриховойКодТовара);
```
</details>

## СформироватьXMLДляЗапросаКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать XML для запроса КМ.
//
// Параметры:
//  ПараметрыОперации - Структура - Параметры операции.
//
// Возвращаемое значение:
//   Строка
//
Функция СформироватьXMLДляЗапросаКМ(ПараметрыОперации, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.СформироватьXMLДляЗапросаКМ(ПараметрыОперации, РевизияИнтерфейса);
```
</details>

## ПолучитьРезультатыЗапросаКМИзXMLПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить результаты запроса КМ из XML пакета.
//
// Параметры:
//  ДанныеXML - Строка - XML.
//
// Возвращаемое значение:
//  Структура - Получить результаты запроса КМИз XMLПакета:
//   * КодМаркировкиПроверен - Булево -
//   * РезультатПроверки - Булево -
Функция ПолучитьРезультатыЗапросаКМИзXMLПакета(ДанныеXML) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.ПолучитьРезультатыЗапросаКМИзXMLПакета(ДанныеXML) 
```
</details>

## ПолучитьРезультатыОИСМКМИзXMLПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить результаты запроса ОИСМ КМ из XML пакета.
//
// Параметры:
//  ДанныеXML - Строка - XML.
//  Параметры - Неопределено - Параметры
//
// Возвращаемое значение:
//  Неопределено, Структура - Получить результаты ОИСМКМИз XMLПакета:
//   * ИдентификаторЗапроса - УникальныйИдентификатор.
//   * СтатусРезультата - ПеречислениеСсылка.СтатусРезультатаЗапросаКМ.
//   * РезультатПроверкиОИСМ - Булево -
//   * КодРезультатаПроверкиОИСМ - Число -
//   * РезультатПроверкиОИСМПредставление - Строка -
//   * РезультатПроверкиСведенийОТоваре - Булево
//   * РезультатПроверкиСведенийОТовареПФ - Булево
//   * КодОбработкиЗапроса - Число
//   * СтатусОбработкиЗапроса - ПеречислениеСсылка.СтатусОбработкиЗапросаКМ.
//   * СтатусТовара - Неопределено -
Функция ПолучитьРезультатыОИСМКМИзXMLПакета(ДанныеXML, Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.ПолучитьРезультатыОИСМКМИзXMLПакета(ДанныеXML, Параметры);
```
</details>

## ПараметрыЗаписиОперацииПроверкиКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру для формирования записи в журнале логирования операций проверки кода маркировки
//
// Возвращаемое значение:
//   Структура:
//     * Наименование - Строка - наименование товара
//     * КонтрольнаяМарка - Строка - контрольная марка в виде Base64
//     * ЗапросРазрешенияПродажиКМ - Булево - выполнялся запрос разрешения продажи
//     * АдресСервераЗапросаРазрешения - Строка - адрес сервера где выполняется запрос разрешения
//     * ТекстЗапросаРазрешения - Строка - текст запроса для получения разрешения
//     * КодОтветаРазрешения - Строка - код ответа который получен от удаленного сервера, если код не задан, а значение флага
//                           ЗапросРазрешенияПродажиКМ установлено в Истина, тогда код будет содержать текст Таймаут
//     * РезультатЗапросаРазрешения - Строка - JSON - строка, ответ от удаленного сервера ГИС МТ
//     * ИдентификаторЗапросаРазрешения - Строка - идентификатор запроса полученного разрешения
//     * ВремяЗапросаРазрешения - Строка, Дата, Неопределено - таймштамп полученный с удаленного сервера
//     * ПродажаРазрешена - Булево - флаг указывающий, что продажа разрешена, на форме записи будет отображение, что продажа разрешена.
//     * ПричинаЗапрета - Строка - Причина запрета продажи, для отображения на форме записи
//     * ДополнительныеСведения - Массив из см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ДополнительноеСведениеЗапросаКМ
//
Функция ПараметрыЗаписиОперацииПроверкиКМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.ПараметрыЗаписиОперацииПроверкиКМ() 
```
</details>

## ДобавитьЗаписьВЖурналОперацийПроверкиКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура добавляет в журнал операций проверки контрольной марки, операцию по проверке КМ на сервере ГИС МТ
//
// Параметры:
//  ПараметрыЗаписиОперации - см. ПараметрыЗаписиОперацииПроверкиКМ
//
Процедура ДобавитьЗаписьВЖурналОперацийПроверкиКМ(ПараметрыЗаписиОперации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияМаркировка.ДобавитьЗаписьВЖурналОперацийПроверкиКМ(ПараметрыЗаписиОперации) 
```
</details>

## РазобратьСтрокуШтрихкодаGS1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разобрать строку штрихкода в соответствии со стандартом GS1.
//
// Параметры:
//  Штрихкод - Строка - значение штрихкода.
//
// Возвращаемое значение:
//  Структура - см. МенеджерОборудованияМаркировкаКлиентСервер.НовыйРезультатРазбораСтрокиШтрихкодаGS1.
Функция РазобратьСтрокуШтрихкодаGS1(Знач Штрихкод) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.РазобратьСтрокуШтрихкодаGS1(Штрихкод) Экспорт;);
```
</details>

## РазобратьШтриховойКодТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разобрать штриховой код товара.
//
// Параметры:
//  Штрихкод - Строка - Штрихкод
//  ШтрихкодВBase64 - Булево - Штрихкод в base64
//
// Возвращаемое значение:
//  Структура - Разобрать штриховой код товара:
//   * Разобран - Булево -
//   * ОписаниеОшибки - СТрока
//   * ПредставлениеШтрихкода - Строка -
//   * ДанныеШтрихкода - Строка -
//   * ТипИдентификатораТовара - ПеречислениеСсылка.ТипыИдентификаторовТовараККТ -
//   * GTIN - Строка -
//   * СерийныйНомер - Строка -
//   * EAN - Строка -
//   * РеквизитКодаТовараHEX - Строка -
//   * РеквизитКодаТовара - Строка -
//   * ИдентифицируетЭкземпляр - Булево -
//   * ПотребительскаяУпаковкаТабачнойПродукции - Булево -
//   * ШтрихкодBase64 - Булево -
//   * НаименованиеРеквизита - Строка -
//
Функция РазобратьШтриховойКодТовара(Знач Штрихкод, Знач ШтрихкодВBase64 = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.РазобратьШтриховойКодТовара(Штрихкод, ШтрихкодВBase64);
```
</details>

## КодыGS1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Коды GS1.
//
// Возвращаемое значение:
//  Соответствие из Строка - Коды GS1
Функция КодыGS1() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировка.КодыGS1() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
