---
title: Менеджер оборудования маркировка клиент
slug: erp-uh/менеджер-оборудования-маркировка-клиент
---


## РазобратьСтрокуШтрихкодаGS1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разобрать строку штрихкода в соответствии со стандартом GS1.
//
// Параметры:
//  Штрихкод - Строка - значение штрихкода.
//
// Возвращаемое значение:
//  Структура.
Функция РазобратьСтрокуШтрихкодаGS1(Знач Штрихкод) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиент.РазобратьСтрокуШтрихкодаGS1(Штрихкод) Экспорт;);
```
</details>

## РазобратьШтриховойКодТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разобрать штриховой код товара.
//
// Параметры:
//  Штрихкод - Строка - Штрихкод
//  ШтрихкодВBase64 - Булево - Штрихкод в base64
//
// Возвращаемое значение:
//  Структура - Разобрать штриховой код товара:
//   * Разобран - Булево -
//   * ОписаниеОшибки - СТрока
//   * ПредставлениеШтрихкода - Строка -
//   * ДанныеШтрихкода - Строка -
//   * ТипИдентификатораТовара - ПеречислениеСсылка.ТипыИдентификаторовТовараККТ -
//   * GTIN - Строка -
//   * СерийныйНомер - Строка -
//   * EAN - Строка -
//   * РеквизитКодаТовараHEX - Строка -
//   * РеквизитКодаТовара - Строка -
//   * ИдентифицируетЭкземпляр - Булево -
//   * ПотребительскаяУпаковкаТабачнойПродукции - Булево -
//   * ШтрихкодBase64 - Булево -
//   * НаименованиеРеквизита - Строка -
//
Функция РазобратьШтриховойКодТовара(Знач Штрихкод, Знач ШтрихкодВBase64 = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиент.РазобратьШтриховойКодТовара(Штрихкод, ШтрихкодВBase64);
```
</details>

## КодыGS1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Коды g s1.
//
// Возвращаемое значение:
//  Соответствие из Строка - Коды gs1
Функция КодыGS1() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиент.КодыGS1() 
```
</details>

## ОткрытьОперацииПроверкиКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Открытие форму списка операций проверки КМ
//
// Параметры:
//  ПараметрКоманды - Произвольный - источник, в котором реализована команда
//  ПараметрыВыполненияКоманды - ПараметрыВыполненияКоманды
//
Процедура ОткрытьОперацииПроверкиКМ(ПараметрКоманды, ПараметрыВыполненияКоманды) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияМаркировкаКлиент.ОткрытьОперацииПроверкиКМ(ПараметрКоманды, ПараметрыВыполненияКоманды) 
```
</details>

## СобытиеПроверкаКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор события проверки кода маркировки, используется в процедуре обработка оповещения формы
//
// Возвращаемое значение:
//   Строка - идентификатор события проверки кода маркировки
//
Функция СобытиеПроверкаКМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиент.СобытиеПроверкаКМ() 
```
</details>

## СписокОперацийПроверкиКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает типы операций проверки кода маркировки, используется в процедуре обработка оповещения формы
//
// Возвращаемое значение:
//   Структура - типы операций проверки кода маркировки:
//     * ЗапросККТ - Строка - выполняется запрос к локальной ККТ
//     * ЗапросККТЗавершено - Строка - завершен запрос к локальной ККТ
//     * ЗапросОИСМ - Строка - выполняется запрос к удаленному серверу ОИСМ
//     * ЗапросОИСМЗавершено - Строка - завершен запрос к удаленному серверу ОИСМ
//     * ПодтверждениеККТ - Строка - выполняется подтверждение продажи на локальной ККТ
//     * ПодтверждениеККТЗавершено - Строка - завершен подтверждение продажи на локальной ККТ
//
Функция СписокОперацийПроверкиКМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиент.СписокОперацийПроверкиКМ() 
```
</details>

## НовыйПараметрыОповещенияОбОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает типы операций проверки кода маркировки, используется в процедуре обработка оповещения формы
//
// Возвращаемое значение:
//   Структура - типы операций проверки кода маркировки:
//     * КодМаркировки - Строка - код маркировки в виде base64
//     * Операция - Строка - одно из значений структуры СписокОперацийПроверкиКМ();
//     * ДополнительныеПараметры - Неопределено, Структура - структура дополнительных параметров переданная при подготовке параметров запроса проверки КМ
//
Функция НовыйПараметрыОповещенияОбОперации() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиент.НовыйПараметрыОповещенияОбОперации() 
```
</details>

## СостояниеПроверкиКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущее состояние проверки кода маркировки
//
// Возвращаемое значение:
//  Структура
Функция СостояниеПроверкиКМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиент.СостояниеПроверкиКМ() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
