---
title: Менеджер оборудования маркировка клиент сервер
slug: erp-uh/менеджер-оборудования-маркировка-клиент-сервер
---


## СформироватьКодТовараДляDataMatrixGS1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать реквизита кода товар для DataMatrixGS1 на основе GTIN & SerialNumber.
//
// Параметры:
//   GTIN - Строка - Глобальный идентификатор торговой единицы.
//   СерийныйНомер - Строка - Серийный номер.
//
// Возвращаемое значение:
//  Строка - Значение реквизита кода товара в BASE64
//
Функция СформироватьКодТовараДляDataMatrixGS1(Знач GTIN, Знач СерийныйНомер) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиентСервер.СформироватьКодТовараДляDataMatrixGS1(GTIN, СерийныйНомер) 
```
</details>

## СформироватьТехническийКодДляНечитаемогоDataMatrixВBase64
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать технический код для нечитаемого DataMatrix на основе GTIN & SerialNumber.
//
// Параметры:
//   GTIN - Строка - Глобальный идентификатор торговой единицы.
//   СерийныйНомер - Строка - Серийный номер.
//   КриптоЧасть - Строка - Крипто часть КМ.
//
// Возвращаемое значение:
//  Строка - Технический код в Base64.
//
Функция СформироватьТехническийКодДляНечитаемогоDataMatrixВBase64(GTIN, СерийныйНомер, КриптоЧасть = "0000") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиентСервер.СформироватьТехническийКодДляНечитаемогоDataMatrixВBase64(GTIN, СерийныйНомер, КриптоЧасть);
```
</details>

## РазобратьСтрокуШтрихкодаGS1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать МенеджерОборудованияМаркировка.РазобратьСтрокуШтрихкодаGS1 или
// МенеджерОборудованияМаркировкаКлиент.РазобратьСтрокуШтрихкодаGS1.
// Разобрать строку штрихкода в соответствии со стандартом GS1.
//
// Параметры:
//  Штрихкод - Строка - значение штрихкода.
//
// Возвращаемое значение:
//  Структура.
Функция РазобратьСтрокуШтрихкодаGS1(Знач Штрихкод) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиентСервер.РазобратьСтрокуШтрихкодаGS1(Штрихкод) 
```
</details>

## КодыGS1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать МенеджерОборудованияМаркировка.КодыGS1 или
// МенеджерОборудованияМаркировкаКлиент.КодыGS1.
// Коды GS1.
//
// Возвращаемое значение:
//  Соответствие из Строка - Коды gs1
Функция КодыGS1() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиентСервер.КодыGS1() 
```
</details>

## РазобратьШтриховойКодТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать МенеджерОборудованияМаркировка.РазобратьШтриховойКодТовара или
// МенеджерОборудованияМаркировкаКлиент.РазобратьШтриховойКодТовара.
// Разобрать штриховой код товара.
//
// Параметры:
//  Штрихкод - Строка - Штрихкод
//  ШтрихкодВBase64 - Булево - Штрихкод в base64
//
// Возвращаемое значение:
//  Структура - Разобрать штриховой код товара:
//   * Разобран - Булево -
//   * ОписаниеОшибки - СТрока
//   * ПредставлениеШтрихкода - Строка -
//   * ДанныеШтрихкода - Строка -
//   * ТипИдентификатораТовара - ПеречислениеСсылка.ТипыИдентификаторовТовараККТ -
//   * GTIN - Строка -
//   * СерийныйНомер - Строка -
//   * EAN - Строка -
//   * РеквизитКодаТовараHEX - Строка -
//   * РеквизитКодаТовара - Строка -
//   * ИдентифицируетЭкземпляр - Булево -
//   * ПотребительскаяУпаковкаТабачнойПродукции - Булево -
//   * ШтрихкодBase64 - Булево -
//   * НаименованиеРеквизита - Строка -
//
Функция РазобратьШтриховойКодТовара(Знач Штрихкод, Знач ШтрихкодВBase64 = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиентСервер.РазобратьШтриховойКодТовара(Штрихкод, ШтрихкодВBase64);
```
</details>

## РазделительGS1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ОбщегоНазначенияБПОКлиентСервер.РазделительGS1.
// Функция возвращает разделитель GS1.
//
// Возвращаемое значение:
//  Строка.
//
Функция РазделительGS1() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиентСервер.РазделительGS1() 
```
</details>

## ЭкранированныйСимволGS1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ОбщегоНазначенияБПОКлиентСервер.ЭкранированныйСимволGS1.
// Функция возвращает экранированный символ GS1.
//
// Возвращаемое значение:
//  Строка.
//
Функция ЭкранированныйСимволGS1() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиентСервер.ЭкранированныйСимволGS1() 
```
</details>

## РазобратьКодМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать РазобратьШтриховойКодТовара.
// Функция расшифровывает код маркировки продукции.
//
// Параметры:
//  КодМаркировки - Строка - код маркировки.
//
// Возвращаемое значение:
//  Структура.
//
Функция РазобратьКодМаркировки(Знач КодМаркировки) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияМаркировкаКлиентСервер.РазобратьКодМаркировки(КодМаркировки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
