---
title: Менеджер оборудования УТ клиент
slug: erp-uh/менеджер-оборудования-ут-клиент
---


## ТекущаяСтрока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	Форма - ФормаКлиентскогоПриложения
// 	ИмяТабличнойЧасти - Строка
//
// Возвращаемое значение:
//  ДанныеФормыСтруктура, ДанныеФормыЭлементКоллекции, ДанныеФормыЭлементДерева -
Функция ТекущаяСтрока(Форма, ИмяТабличнойЧасти = "Товары") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияУТКлиент.ТекущаяСтрока(Форма, ИмяТабличнойЧасти);
```
</details>

## ПреобразоватьДанныеСоСканераВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре нужно реализовать алгоритм преобразования данных из подсистемы подключаемого оборудования.
//
// Параметры:
//  Параметр - Массив - входящие данные.
//
// Возвращаемое значение:
//  Массив - Массив структур со свойствами:
//   * Штрихкод - Строка -
//   * Количество - Число -
Функция ПреобразоватьДанныеСоСканераВМассив(Параметр) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияУТКлиент.ПреобразоватьДанныеСоСканераВМассив(Параметр) 
```
</details>

## ПреобразоватьДанныеСоСканераВСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре нужно реализовать алгоритм преобразования данных из подсистемы подключаемого оборудования.
//
// Параметры:
//  Параметр - Массив - входящие данные.
//
// Возвращаемое значение:
//  Структура - структура со свойствами:
//   * Штрихкод - Строка -
//   * Количество - Число -
Функция ПреобразоватьДанныеСоСканераВСтруктуру(Параметр) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияУТКлиент.ПреобразоватьДанныеСоСканераВСтруктуру(Параметр) 
```
</details>

## ОборудованиеПодключено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОборудованиеПодключено(ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияУТКлиент.ОборудованиеПодключено(ИдентификаторУстройства) 
```
</details>

## ЕстьНеобработанноеСобытие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьНеобработанноеСобытие() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияУТКлиент.ЕстьНеобработанноеСобытие() 
```
</details>

## ОбработатьСобытие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьСобытие() Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияУТКлиент.ОбработатьСобытие() 
```
</details>

## СообщитьОбОшибке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СообщитьОбОшибке(РезультатВыполнения) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияУТКлиент.СообщитьОбОшибке(РезультатВыполнения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
