---
title: Менеджер офлайн оборудования
slug: erp-uh/менеджер-офлайн-оборудования
---


## ЗаписьВидЭлектроннойОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения параметра "ВидыЭлектроннойОплаты" выгружаемых на ККМ настроек,
// настройки заполняются в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеНастроек.
//
// Возвращаемое значение:
// 	Структура - Описание:
//   * УникальныйИдентификатор - УникальныйИдентификатор - .
//   * ТипЭлектроннойОплаты - Число - .
//   * Наименование - Строка - .
//   * Код - Число - .
//
Функция ЗаписьВидЭлектроннойОплаты() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьВидЭлектроннойОплаты() 
```
</details>

## ТипЭлектроннойОплатыПлатежнаяКарта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Константа для заполнения поля ТипЭлектроннойОплаты структуры ЗаписьВидЭлектроннойОплаты()
//
// Возвращаемое значение:
//  Число
Функция ТипЭлектроннойОплатыПлатежнаяКарта() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ТипЭлектроннойОплатыПлатежнаяКарта() 
```
</details>

## ТипЭлектроннойОплатыБанковскийКредит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Константа для заполнения поля ТипЭлектроннойОплаты структуры ЗаписьВидЭлектроннойОплаты()
//
// Возвращаемое значение:
//  Число
Функция ТипЭлектроннойОплатыБанковскийКредит() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ТипЭлектроннойОплатыБанковскийКредит() 
```
</details>

## ТипЭлектроннойОплатыПодарочныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Константа для заполнения поля ТипЭлектроннойОплаты структуры ЗаписьВидЭлектроннойОплаты()
//
// Возвращаемое значение:
//  Число
Функция ТипЭлектроннойОплатыПодарочныйСертификат() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ТипЭлектроннойОплатыПодарочныйСертификат() 
```
</details>

## ТипЭлектроннойОплатыБонусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Константа для заполнения поля ТипЭлектроннойОплаты структуры ЗаписьВидЭлектроннойОплаты()
//
// Возвращаемое значение:
//  Число
Функция ТипЭлектроннойОплатыБонусы() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ТипЭлектроннойОплатыБонусы() 
```
</details>

## ЗаписьТовараПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения массива Товары прайс-листа выгружаемого на оборудование,
// прайс-лист заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеПрайсЛиста.
//
// Возвращаемое значение:
//  Структура:
//   * Наименование - Строка - .
//   * Описание - Строка - .
//   * Характеристики - Массив из см. ЗаписьХарактеристикиПрайсЛиста
//   * Упаковки - Массив из см. ЗаписьУпаковкиПрайсЛиста
//
Функция ЗаписьТовараПрайсЛиста() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьТовараПрайсЛиста() 
```
</details>

## ЗаписьХарактеристикиПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения массива Характеристики прайс-листа выгружаемого на оборудование,
// прайс-лист заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеПрайсЛиста.
//
// Возвращаемое значение:
//  Структура:
//   * Наименование - Строка - .
//   * Упаковки - Массив из см. ЗаписьУпаковкиПрайсЛиста
//
Функция ЗаписьХарактеристикиПрайсЛиста() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьХарактеристикиПрайсЛиста() 
```
</details>

## ЗаписьУпаковкиПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения массива Упаковки прайс-листа выгружаемого на оборудование,
// прайс-лист заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеПрайсЛиста.
//
// Возвращаемое значение:
// 	Структура:
//   * Наименование - Строка - .
//
Функция ЗаписьУпаковкиПрайсЛиста() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьУпаковкиПрайсЛиста() 
```
</details>

## ЗаписьГруппыТоваровПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения массива ГруппыТоваров прайс-листа выгружаемого на оборудование,
// прайс-лист заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеПрайсЛиста.
//
// Возвращаемое значение:
// 	Структура - Описание:
//   * УникальныйИдентификаторГруппы - УникальныйИдентификатор - .
//   * КодГруппы - Число - .
//   * УникальныйИдентификатор - УникальныйИдентификатор - .
//   * Наименование - Строка - .
//   * Код - Число - .
//
Функция ЗаписьГруппыТоваровПрайсЛиста() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьГруппыТоваровПрайсЛиста() 
```
</details>

## ЗаписьЕдиницыИзмеренияПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения массива ЕдиницыИзмерения прайс-листа выгружаемого на оборудование,
// прайс-лист заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеПрайсЛиста.
//
// Возвращаемое значение:
// 	Структура - Описание:
//   * Код - Строка
//   * Наименование - Строка - .
//   * УникальныйИдентификатор - УникальныйИдентификатор -
//   * КодОКЕИ - Строка
Функция ЗаписьЕдиницыИзмеренияПрайсЛиста() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьЕдиницыИзмеренияПрайсЛиста() 
```
</details>

## ЗаписьДанныхАгентаПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения массива ДанныеАгентов прайс-листа выгружаемого на оборудование,
// прайс-лист заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеПрайсЛиста.
//
// Возвращаемое значение:
//  Структура.
//
Функция ЗаписьДанныхАгентаПрайсЛиста() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьДанныхАгентаПрайсЛиста() 
```
</details>

## ЗаписьДанныхПоставщикаПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения массива ДанныеПоставщиков прайс-листа выгружаемого на оборудование,
// прайс-лист заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеПрайсЛиста.
//
// Возвращаемое значение:
// 	Структура.
//
Функция ЗаписьДанныхПоставщикаПрайсЛиста() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьДанныхПоставщикаПрайсЛиста() 
```
</details>

## ЗаписьШтрихкодаПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения массива Штрихкоды товара прайс-листа выгружаемого на оборудование,
// прайс-лист заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеПрайсЛиста.
//
// Возвращаемое значение:
// 	Структура.
//
Функция ЗаписьШтрихкодаПрайсЛиста() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьШтрихкодаПрайсЛиста() 
```
</details>

## СтавкаНДС0
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// константы

// Возвращает значение ставки НДС 0
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС0() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС0() 
```
</details>

## СтавкаНДС10
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки НДС 10
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС10() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС10() 
```
</details>

## СтавкаНДС18
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки НДС 18
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС18() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС18() 
```
</details>

## СтавкаБезНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки БЕЗ НДС
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаБезНДС() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаБезНДС() 
```
</details>

## СтавкаНДС20
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки 20
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС20() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС20() 
```
</details>

## СтавкаНДС110
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки 10/110
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС110() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС110() 
```
</details>

## СтавкаНДС118
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки 18/118
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС118() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС118() 
```
</details>

## СтавкаНДС120
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки 20/120
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС120() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС120() 
```
</details>

## СтавкаНДС5
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки 5
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС5() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС5() 
```
</details>

## СтавкаНДС105
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки 5/105
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС105() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС105() 
```
</details>

## СтавкаНДС7
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки 7
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС7() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС7() 
```
</details>

## СтавкаНДС107
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ставки 7/107
//
// Возвращаемое значение:
// 	Строка.
//
Функция СтавкаНДС107() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.СтавкаНДС107() 
```
</details>

## КодТипаМаркировкиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код типа маркировки ККТ по коду.
//
// Параметры:
//  ТипМаркировкиККТ - ПеречислениеСсылка.ТипыМаркировкиККТ
//
// Возвращаемое значение:
// 	Соответствие.
//
Функция КодТипаМаркировкиККТ(ТипМаркировкиККТ) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.КодТипаМаркировкиККТ(ТипМаркировкиККТ) 
```
</details>

## КодВидаМаркировкиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код вида маркировки ККТ по коду.
//
// Параметры:
//  ТипМаркировкиККТ - ПеречислениеСсылка.ВидыМаркированнойПродукцииБПО
//
// Возвращаемое значение:
// 	Соответствие.
//
Функция КодВидаМаркировкиККТ(ТипМаркировкиККТ) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.КодВидаМаркировкиККТ(ТипМаркировкиККТ) 
```
</details>

## ЗаписьЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения списка заказов, выгружаемых на оборудование,
// заказы заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеЗаказов.
//
//
// Возвращаемое значение:
// 	Структура.
//
Функция ЗаписьЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьЗаказа() 
```
</details>

## ЗаписьТовараЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения массива Товары заказа выгружаемого на оборудование,
// заказы заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеЗаказов.
//
// Возвращаемое значение:
// 	Структура.
//
Функция ЗаписьТовараЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьТовараЗаказа() 
```
</details>

## ЗаписьОплатыЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для заполнения массива Оплаты заказа выгружаемого на оборудование,
// заказы заполняется в МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеЗаказов.
//
// Возвращаемое значение:
// 	Структура.
//
Функция ЗаписьОплатыЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудования.ЗаписьОплатыЗаказа() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
