---
title: Менеджер офлайн оборудования вызов сервера
slug: erp-uh/менеджер-офлайн-оборудования-вызов-сервера
---


## ПодключаемоеОборудованиеЭвоторОФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключаемое оборудование эвотор.
//
// Параметры:
//  ИдентификаторУстройства - СправочникСсылка.ОфлайнОборудование - Идентификатор устройства.
//
// Возвращаемое значение:
//  Булево - Подключаемое оборудование эвотор
Функция ПодключаемоеОборудованиеЭвоторОФД(ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияВызовСервера.ПодключаемоеОборудованиеЭвоторОФД(ИдентификаторУстройства) 
```
</details>

## ПроверитьИсториюЗагрузкиУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить историю загрузки устройства.
//
// Параметры:
//  ИдентификаторУстройства - СправочникСсылка.ОфлайнОборудование - Идентификатор устройства
//
// Возвращаемое значение:
//  Булево - Проверить историю загрузки устройства
Функция ПроверитьИсториюЗагрузкиУстройства(ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияВызовСервера.ПроверитьИсториюЗагрузкиУстройства(ИдентификаторУстройства) 
```
</details>

## ДанныеУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру с данными устройства.
//
// Параметры:
//  Идентификатор - СправочникСсылка.ОфлайнОборудование - экземпляр офлайн оборудования.
//
// Возвращаемое значение:
//  Структура - см. Справочники.ОфлайнОборудование.ДанныеУстройства
//
Функция ДанныеУстройства(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияВызовСервера.ДанныеУстройства(Идентификатор) 
```
</details>

## ПараметрыУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает по идентификатору устройства его параметры
//
// Параметры:
//  Идентификатор - СправочникСсылка.ОфлайнОборудование - экземпляр офлайн оборудования.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыУстройства(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияВызовСервера.ПараметрыУстройства(Идентификатор) 
```
</details>

## СохранитьПараметрыУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для сохранения параметров устройства
// в реквизит Параметры типа хранилище значения в элементе справочника.
//
// Параметры:
//  Идентификатор - СправочникСсылка.ОфлайнОборудование - экземпляр офлайн оборудования.
//  Параметры - Структура - параметры устройства.
//
// Возвращаемое значение:
//  Булево.
//
Функция СохранитьПараметрыУстройства(Идентификатор, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияВызовСервера.СохранитьПараметрыУстройства(Идентификатор, Параметры) 
```
</details>

## ИмяВременногоФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя временного файла.
//
// Возвращаемое значение:
//  Строка - Имя временного файла
//
Функция ИмяВременногоФайла() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияВызовСервера.ИмяВременногоФайла() 
```
</details>

## ПолучитьКодировкуФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получения кодировки файла.
//
// Параметры:
//  Кодировка - КодировкаТекста - кодировка при чтении текстового файла, по умолчанию КодировкаТекста.UTF8.
//
// Возвращаемое значение:
//  КодировкаТекста
//
Функция ПолучитьКодировкуФайла(Кодировка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияВызовСервера.ПолучитьКодировкуФайла(Кодировка);
```
</details>

## ПодключаемоеОборудованиеЭвотор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ПодключаемоеОборудованиеЭвоторОФД.
// Подключаемое оборудование эвотор.
//
// Параметры:
//  ИдентификаторУстройства - СправочникСсылка.ОфлайнОборудование - Идентификатор устройства.
//
// Возвращаемое значение:
//  Булево - Подключаемое оборудование эвотор
Функция ПодключаемоеОборудованиеЭвотор(ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияВызовСервера.ПодключаемоеОборудованиеЭвотор(ИдентификаторУстройства) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
