---
title: Менеджер офлайн оборудования вызов сервера переопределяемый
slug: erp-uh/менеджер-офлайн-оборудования-вызов-сервера-переопределяемый
---


## ЭкземплярОфлайнОборудованияПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ПриСозданииНаСервере".
//
// Параметры:
//  Объект - СправочникОбъект.ОфлайнОборудование -
//  ЭтаФорма - ФормаКлиентскогоПриложения -
//  Отказ - Булево - Признак отказа от создания формы
//  Параметры - ДанныеФормыСтруктура - параметры формы
//  СтандартнаяОбработка - Булево - признак выполнения стандартной обработки
//
Процедура ЭкземплярОфлайнОборудованияПриСозданииНаСервере(Объект, ЭтаФорма, Отказ, Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияВызовСервераПереопределяемый.ЭкземплярОфлайнОборудованияПриСозданииНаСервере(Объект, ЭтаФорма, Отказ, Параметры, СтандартнаяОбработка) 
```
</details>

## ЭкземплярОфлайнОборудованияПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ПриЧтенииНаСервере".
//
// Параметры:
//  ТекущийОбъект - СправочникОбъект.ОфлайнОборудование - Объект, который будет прочитан.
//  ЭтаФорма - ФормаКлиентскогоПриложения
//
Процедура ЭкземплярОфлайнОборудованияПриЧтенииНаСервере(ТекущийОбъект, ЭтаФорма) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияВызовСервераПереопределяемый.ЭкземплярОфлайнОборудованияПриЧтенииНаСервере(ТекущийОбъект, ЭтаФорма) 
```
</details>

## ЭкземплярОфлайнОборудованияПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ПередЗаписьюНаСервере".
//
// Параметры:
//  Отказ - Булево - Признак отказа от записи
//  ТекущийОбъект - СправочникОбъект.ОфлайнОборудование - Записываемый объект
//  ПараметрыЗаписи - Структура - Структура, содержащая параметры записи.
//
Процедура ЭкземплярОфлайнОборудованияПередЗаписьюНаСервере(Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияВызовСервераПереопределяемый.ЭкземплярОфлайнОборудованияПередЗаписьюНаСервере(Отказ, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ЭкземплярОфлайнОборудованияПриЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ПриЗаписиНаСервере".
//
// Параметры:
//  Отказ - Булево - Признак отказа от записи
//  ТекущийОбъект - СправочникОбъект.ОфлайнОборудование - Записываемый объект
//  ПараметрыЗаписи - Структура - Структура, содержащая параметры записи.
//
Процедура ЭкземплярОфлайнОборудованияПриЗаписиНаСервере(Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияВызовСервераПереопределяемый.ЭкземплярОфлайнОборудованияПриЗаписиНаСервере(Отказ, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ЭкземплярОфлайнОборудованияПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ПослеЗаписиНаСервере".
//
// Параметры:
//  ТекущийОбъект - СправочникОбъект.ОфлайнОборудование - Записанный объект
//  ПараметрыЗаписи - Структура - Структура, содержащая параметры записи.
//
Процедура ЭкземплярОфлайнОборудованияПослеЗаписиНаСервере(ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияВызовСервераПереопределяемый.ЭкземплярОфлайнОборудованияПослеЗаписиНаСервере(ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ЭкземплярОфлайнОборудованияОбработкаПроверкиЗаполненияНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ОбработкаПроверкиЗаполненияНаСервере".
//
// Параметры:
//  Объект - СправочникОбъект.ОфлайнОборудование
//  ЭтаФорма - ФормаКлиентскогоПриложения
//  Отказ - Булево - Признак отказа от создания формы
//  ПроверяемыеРеквизиты - Массив - Массив путей к реквизитам, для которых будет выполнена проверка заполнения.
//
Процедура ЭкземплярОфлайнОборудованияОбработкаПроверкиЗаполненияНаСервере(Объект, ЭтаФорма, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияВызовСервераПереопределяемый.ЭкземплярОфлайнОборудованияОбработкаПроверкиЗаполненияНаСервере(Объект, ЭтаФорма, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ОбработатьПереходСправочникаПодключаемоеОборудованиеНаОфлайнОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия при переносе элемента офлайн оборудования из справочника ПодключаемоеОборудование
// в справочник ОфлайнОборудование.
//
// Параметры:
//  СсылкаНаПодключаемоеОборудование - СправочникСсылка.ПодключаемоеОборудование - ссылка на перемещаемый элемент
//  СсылкаНаОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на аналогичный объект в справочнике ОфлайнОборудование
//
Процедура ОбработатьПереходСправочникаПодключаемоеОборудованиеНаОфлайнОборудование(СсылкаНаПодключаемоеОборудование, СсылкаНаОфлайнОборудование) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияВызовСервераПереопределяемый.ОбработатьПереходСправочникаПодключаемоеОборудованиеНаОфлайнОборудование(СсылкаНаПодключаемоеОборудование, СсылкаНаОфлайнОборудование) 
```
</details>

## ДополнительнаяОбработкаОбъектовПриПереходеНаОфлайнОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия для обработки объектов прикладной конфигурации при переходе на новый
// справочник "ОфлайнОборудование".
//
Процедура ДополнительнаяОбработкаОбъектовПриПереходеНаОфлайнОборудование() Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияВызовСервераПереопределяемый.ДополнительнаяОбработкаОбъектовПриПереходеНаОфлайнОборудование() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
