---
title: Менеджер офлайн оборудования клиент
slug: erp-uh/менеджер-офлайн-оборудования-клиент
---


## НачатьВыгрузкуДанныхНаККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить частичную выгрузку данных на оффлайн ККМ
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   УникальныйИдентификатор - ФормаКлиентскогоПриложения -идентификатор формы.
//   ОповещениеПриЗавершении - ОписаниеОповещения - оповещение при завершении.
//   ОтображатьСообщения     - Булево
//
Процедура НачатьВыгрузкуДанныхНаККМ(ИдентификаторУстройства, Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьВыгрузкуДанныхНаККМ(ИдентификаторУстройства, );
```
</details>

## НачатьПолнуюВыгрузкуПрайсЛистаНаККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить полную выгрузку данных на оффлайн ККМ
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   УникальныйИдентификатор - ФормаКлиентскогоПриложения -идентификатор формы.
//   ОповещениеПриЗавершении - ОписаниеОповещения - оповещение при завершении.
//   ОтображатьСообщения     - Булево
//
Процедура НачатьПолнуюВыгрузкуПрайсЛистаНаККМ(ИдентификаторУстройства, Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьПолнуюВыгрузкуПрайсЛистаНаККМ(ИдентификаторУстройства, );
```
</details>

## НачатьВыгрузкуНастроекНаККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить выгрузку настроек на оффлайн ККМ
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   УникальныйИдентификатор - ФормаКлиентскогоПриложения -идентификатор формы.
//   ОповещениеПриЗавершении - ОписаниеОповещения - оповещение при завершении.
//   ОтображатьСообщения     - Булево
//
Процедура НачатьВыгрузкуНастроекНаККМ(ИдентификаторУстройства, Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьВыгрузкуНастроекНаККМ(ИдентификаторУстройства, );
```
</details>

## НачатьОчисткуПрайсЛистаНаККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить очистку прайс-листа на оффлайн ККМ
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   УникальныйИдентификатор - ФормаКлиентскогоПриложения -идентификатор формы.
//   ОповещениеПриЗавершении - ОписаниеОповещения - оповещение при завершении.
//   ОтображатьСообщения     - Булево
//
Процедура НачатьОчисткуПрайсЛистаНаККМ(ИдентификаторУстройства, Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьОчисткуПрайсЛистаНаККМ(ИдентификаторУстройства, );
```
</details>

## НачатьЗагрузкуДанныхИзККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить загрузку данных из оффлайн ККМ
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   УникальныйИдентификатор - ФормаКлиентскогоПриложения -идентификатор формы.
//   ОповещениеПриЗавершении - ОписаниеОповещения - оповещение при завершении.
//   ОтображатьСообщения     - Булево
//
Процедура НачатьЗагрузкуДанныхИзККМ(ИдентификаторУстройства, Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуДанныхИзККМ(ИдентификаторУстройства, );
```
</details>

## НачатьЗагрузкуОборотовИзОФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить загрузку данных из оффлайн ККМ
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   УникальныйИдентификатор - ФормаКлиентскогоПриложения -идентификатор формы.
//   ОповещениеПриЗавершении - ОписаниеОповещения - оповещение при завершении.
//   НомерСмены              - Число
//   ОтображатьСообщения     - Булево
//
Процедура НачатьЗагрузкуОборотовИзОФД(ИдентификаторУстройства, Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуОборотовИзОФД(ИдентификаторУстройства, );
```
</details>

## НачатьЗагрузкуЧековИзОФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить загрузку данных из оффлайн ККМ
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   УникальныйИдентификатор - ФормаКлиентскогоПриложения -идентификатор формы.
//   ОповещениеПриЗавершении - ОписаниеОповещения - оповещение при завершении.
//   НомерСмены              - Число
//   ОтображатьСообщения     - Булево
//
Процедура НачатьЗагрузкуЧековИзОФД(ИдентификаторУстройства, Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуЧековИзОФД(ИдентификаторУстройства, );
```
</details>

## ОткрытьФормуНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму настройки подключаемого оборудования
//
// Параметры:
//   ПараметрКоманды - Структура
//   ПараметрыВыполненияКоманды - Структура
//
Процедура ОткрытьФормуНастройки(ПараметрКоманды, ПараметрыВыполненияКоманды) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.ОткрытьФормуНастройки(ПараметрКоманды, ПараметрыВыполненияКоманды) 
```
</details>

## НачатьВыгрузкуДанныхНаККМПроверкаПодключенияРасширения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить подключение расширения перед выгрузкой данных
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   Параметры - Структура
//
Процедура НачатьВыгрузкуДанныхНаККМПроверкаПодключенияРасширения(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьВыгрузкуДанныхНаККМПроверкаПодключенияРасширения(ИдентификаторУстройства, Параметры) Экспорт // оповещение);
```
</details>

## НачатьВыгрузкуДанныхНаККМПродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат подключения расширения
//
// Параметры:
//   Подключено - Булево
//   Контекст - Структура
//
Процедура НачатьВыгрузкуДанныхНаККМПродолжение(Подключено, Контекст) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьВыгрузкуДанныхНаККМПродолжение(Подключено, Контекст) Экспорт // оповещение);
```
</details>

## НачатьВыгрузкуДанныхНаККМЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат выполнения команды выгрузка данных
//
// Параметры:
//   РезультатКоманды - Структура
//   Параметры - Структура
//
Процедура НачатьВыгрузкуДанныхНаККМЗавершение(РезультатКоманды, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьВыгрузкуДанныхНаККМЗавершение(РезультатКоманды, Параметры) Экспорт // оповещение);
```
</details>

## НачатьЗагрузкуДанныхИзККМПроверкаПодключенияРасширения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить подключение расширения перед загрузкой данных
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   Параметры - Структура
//
Процедура НачатьЗагрузкуДанныхИзККМПроверкаПодключенияРасширения(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуДанныхИзККМПроверкаПодключенияРасширения(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьЗагрузкуДанныхИзККМПродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат подключения расширения
//
// Параметры:
//   Подключено - Булево
//   Контекст - Структура
//
Процедура НачатьЗагрузкуДанныхИзККМПродолжение(Подключено, Контекст) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуДанныхИзККМПродолжение(Подключено, Контекст) 
```
</details>

## НачатьЗагрузкуДанныхИзККМЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат выполнения команды загрузка данных
//
// Параметры:
//   РезультатКоманды - Структура
//   Параметры - Структура
//
Процедура НачатьЗагрузкуДанныхИзККМЗавершение(РезультатКоманды, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуДанныхИзККМЗавершение(РезультатКоманды, Параметры) 
```
</details>

## НачатьЗагрузкуДанныхИзККМПослеУстановкиФлагаОбработанности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат выполнения команды загрузка данных
//
// Параметры:
//   РезультатКоманды - Структура
//   Параметры - Структура
//
Процедура НачатьЗагрузкуДанныхИзККМПослеУстановкиФлагаОбработанности(РезультатКоманды, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуДанныхИзККМПослеУстановкиФлагаОбработанности(РезультатКоманды, Параметры) 
```
</details>

## НачатьЗагрузкуОборотовИзОФДПродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат подключения расширения
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ОфлайнОборудование
//   Контекст - Структура
//
Процедура НачатьЗагрузкуОборотовИзОФДПродолжение(ИдентификаторУстройства, Контекст) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуОборотовИзОФДПродолжение(ИдентификаторУстройства, Контекст) 
```
</details>

## НачатьЗагрузкуОборотовИзОФДЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат выполнения команды загрузка данных
//
// Параметры:
//   РезультатКоманды - Структура
//   Параметры - Структура
//
Процедура НачатьЗагрузкуОборотовИзОФДЗавершение(РезультатКоманды, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуОборотовИзОФДЗавершение(РезультатКоманды, Параметры) 
```
</details>

## НачатьЗагрузкуЧековИзОФДПродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат подключения расширения
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ОфлайнОборудование
//   Контекст - Структура
//
Процедура НачатьЗагрузкуЧековИзОФДПродолжение(ИдентификаторУстройства, Контекст) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуЧековИзОФДПродолжение(ИдентификаторУстройства, Контекст) 
```
</details>

## НачатьЗагрузкуЧековИзОФДЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат выполнения команды загрузка данных
//
// Параметры:
//   РезультатКоманды - Структура
//   Параметры - Структура
//
Процедура НачатьЗагрузкуЧековИзОФДЗавершение(РезультатКоманды, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьЗагрузкуЧековИзОФДЗавершение(РезультатКоманды, Параметры) 
```
</details>

## НачатьОчисткуТоваровВККМOffline
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает товары в ККМ Offline.
//
// Параметры:
//   ОповещениеПриОчисткеДанные - ОписаниеОповещения - оповещение при завершении.
//   УникальныйИдентификатор - ФормаКлиентскогоПриложения -идентификатор формы.
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   ОтображатьСообщения     - Булево
//
Процедура НачатьОчисткуТоваровВККМOffline(ОповещениеПриОчисткеДанные, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено, ОтображатьСообщения = Истина) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьОчисткуТоваровВККМOffline(ОповещениеПриОчисткеДанные, УникальныйИдентификатор, ИдентификаторУстройства, ОтображатьСообщения);
```
</details>

## НачатьОчисткуТоваровВККМOfflineЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершить очистку товаров в ККМ Offline.
//
// Параметры:
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//   Параметры - Структура
//
Процедура НачатьОчисткуТоваровВККМOfflineЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьОчисткуТоваровВККМOfflineЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьОчисткуТоваровВККМOfflineФайловоеРасширениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат подключения расширения
//
// Параметры:
//   Подключено - Булево
//   Контекст - Структура
//
Процедура НачатьОчисткуТоваровВККМOfflineФайловоеРасширениеЗавершение(Подключено, Контекст) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьОчисткуТоваровВККМOfflineФайловоеРасширениеЗавершение(Подключено, Контекст) 
```
</details>

## НачатьОчисткуТоваровВККМOfflineВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершить выполнение команды очистки товаров в ККМ Offline.
//
// Параметры:
//   РезультатКоманды - Структура
//   Параметры - Структура
//
Процедура НачатьОчисткуТоваровВККМOfflineВыполнитьКомандуЗавершение(РезультатКоманды, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьОчисткуТоваровВККМOfflineВыполнитьКомандуЗавершение(РезультатКоманды, Параметры) 
```
</details>

## НачатьВыборФайлаРасширенияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение выбора файла
//
// Параметры:
//   Установлено - Булево
//   ДополнительныеПараметры - Структура
Процедура НачатьВыборФайлаРасширенияЗавершение(Установлено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьВыборФайлаРасширенияЗавершение(Установлено, ДополнительныеПараметры) 
```
</details>

## НачатьВыборФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция начинает выбор файла.
//
// Параметры:
//   ОповещениеПриВыборе - ОписаниеОповещения - оповещение при завершении.
//   ИмяФайла - Строка
//   РежимДиалогаВыбораФайла - Строка
Процедура НачатьВыборФайла(ОповещениеПриВыборе, Знач ИмяФайла, РежимДиалогаВыбораФайла = "Открытие") Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.НачатьВыборФайла(ОповещениеПриВыборе, ИмяФайла, РежимДиалогаВыбораФайла);
```
</details>

## ВыполнитьНастройкуОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить настройку оборудования.
//
// Параметры:
//   ОповещениеПриЗавершении - ОписаниеОповещения - оповещение при завершении.
//   Идентификатор - СправочникСсылка.ПодключаемоеОборудование
//
Процедура ВыполнитьНастройкуОборудования(Идентификатор, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.ВыполнитьНастройкуОборудования(Идентификатор, ОповещениеПриЗавершении);
```
</details>

## ВыполнитьНастройкуОборудования_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение настройки оборудования.
//
// Параметры:
//   Результат - Структура
//   Параметры - Структура
//
Процедура ВыполнитьНастройкуОборудования_Завершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиент.ВыполнитьНастройкуОборудования_Завершение(Результат, Параметры) 
```
</details>

## НомерСменыОфлайнОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер смены офлайн оборудования.
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - .
//
// Возвращаемое значение:
//   Число
//
Функция НомерСменыОфлайнОборудования(ОфлайнОборудование) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиент.НомерСменыОфлайнОборудования(ОфлайнОборудование) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
