---
title: Менеджер офлайн оборудования клиент переопределяемый
slug: erp-uh/менеджер-офлайн-оборудования-клиент-переопределяемый
---


## ФормаНастройкиОфлайнОборудованияПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая при создании формы настройки офлайн оборудования.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма обработки
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//
Процедура ФормаНастройкиОфлайнОборудованияПриОткрытии(Форма, ОфлайнОборудование) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиентПереопределяемый.ФормаНастройкиОфлайнОборудованияПриОткрытии(Форма, ОфлайнОборудование) 
```
</details>

## ФормаНастройкиОфлайнОборудованияПриСохраненииПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая при создании формы настройки офлайн оборудования.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма обработки
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   СохраняемыеПараметры - Структура - сохраняемые параметры оборудования
//
Процедура ФормаНастройкиОфлайнОборудованияПриСохраненииПараметров(Форма, ОфлайнОборудование, СохраняемыеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиентПереопределяемый.ФормаНастройкиОфлайнОборудованияПриСохраненииПараметров(Форма, ОфлайнОборудование, СохраняемыеПараметры) 
```
</details>

## ЭкземплярОфлайнОборудованияПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ПриОткрытии".
//
// Параметры:
//  Объект - СправочникОбъект.ОфлайнОборудование - объект подключаемого оборудования.
//  ЭтаФорма - ФормаКлиентскогоПриложения - форма владелец.
//  Отказ - Булево - признак отказа.
//
Процедура ЭкземплярОфлайнОборудованияПриОткрытии(Объект, ЭтаФорма, Отказ) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиентПереопределяемый.ЭкземплярОфлайнОборудованияПриОткрытии(Объект, ЭтаФорма, Отказ) 
```
</details>

## ЭкземплярОфлайнОборудованияПередЗакрытием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ПередЗакрытием".
//
//
// Параметры:
//  Объект - СправочникОбъект.ОфлайнОборудование - объект подключаемого оборудования.
//  ЭтаФорма - ФормаКлиентскогоПриложения - форма владелец.
//  Отказ - Булево - признак отказа.
//  СтандартнаяОбработка - Булево - признак стандартной обработки.
//
Процедура ЭкземплярОфлайнОборудованияПередЗакрытием(Объект, ЭтаФорма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиентПереопределяемый.ЭкземплярОфлайнОборудованияПередЗакрытием(Объект, ЭтаФорма, Отказ, СтандартнаяОбработка) 
```
</details>

## ЭкземплярОфлайнОборудованияПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ПередЗаписью".
//
// Параметры:
//  Объект - СправочникОбъект.ОфлайнОборудование - объект подключаемого оборудования.
//  ЭтаФорма - ФормаКлиентскогоПриложения - форма владелец.
//  Отказ - Булево - признак отказа.
//  ПараметрыЗаписи - Структура - параметры записи оборудования.
//
Процедура ЭкземплярОфлайнОборудованияПередЗаписью(Объект, ЭтаФорма, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиентПереопределяемый.ЭкземплярОфлайнОборудованияПередЗаписью(Объект, ЭтаФорма, Отказ, ПараметрыЗаписи) 
```
</details>

## ЭкземплярОфлайнОборудованияПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ПослеЗаписи".
//
// Параметры:
//  Объект - СправочникОбъект.ОфлайнОборудование - объект подключаемого оборудования.
//  ЭтаФорма - ФормаКлиентскогоПриложения - форма владелец.
//  ПараметрыЗаписи - Структура - параметры записи оборудования.
//
Процедура ЭкземплярОфлайнОборудованияПослеЗаписи(Объект, ЭтаФорма, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиентПереопределяемый.ЭкземплярОфлайнОборудованияПослеЗаписи(Объект, ЭтаФорма, ПараметрыЗаписи) 
```
</details>

## ЭкземплярОфлайнОборудованияОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ОбработкаНавигационнойСсылки".
//
// Параметры:
//  Объект - СправочникОбъект.ОфлайнОборудование - объект подключаемого оборудования.
//  ЭтаФорма - ФормаКлиентскогоПриложения - форма владелец.
//  НавигационнаяСсылкаФорматированнойСтроки - Строка - навигационная ссылка.
//  СтандартнаяОбработка - Булево - признак стандартной обработки.
//
Процедура ЭкземплярОфлайнОборудованияОбработкаНавигационнойСсылки(Объект, ЭтаФорма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиентПереопределяемый.ЭкземплярОфлайнОборудованияОбработкаНавигационнойСсылки(Объект, ЭтаФорма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ЭкземплярОфлайнОборудованияТипОборудованияВыбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Экземпляре оборудования
// при событии "ТипОборудованияОбработкаВыбора".
//
// Параметры:
//  Объект - СправочникОбъект.ОфлайнОборудование - объект подключаемого оборудования.
//  ЭтаФорма - ФормаКлиентскогоПриложения - форма владелец.
//  ЭтотОбъект - СправочникОбъект.ОфлайнОборудование - текущий объект подключаемого оборудования.
//  Элемент - ЭлементыФормы - изменяемый элемент.
//  ВыбранноеЗначение - ПеречислениеСсылка.ТипыПодключаемогоОборудования - выбранное значение.
//
Процедура ЭкземплярОфлайнОборудованияТипОборудованияВыбор(Объект, ЭтаФорма, ЭтотОбъект, Элемент, ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияКлиентПереопределяемый.ЭкземплярОфлайнОборудованияТипОборудованияВыбор(Объект, ЭтаФорма, ЭтотОбъект, Элемент, ВыбранноеЗначение) 
```
</details>

## НомерСменыОфлайнОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер смены офлайн оборудования.
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование -
//   НомерСмены - Число -
//   СтандартнаяОбработка - Булево - .
//
// Возвращаемое значение:
//   Число
//
Функция НомерСменыОфлайнОборудования(ОфлайнОборудование, НомерСмены, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентПереопределяемый.НомерСменыОфлайнОборудования(ОфлайнОборудование, НомерСмены, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
