---
title: Менеджер офлайн оборудования клиент сервер
slug: erp-uh/менеджер-офлайн-оборудования-клиент-сервер
---


## ДоступныеВерсииФорматовОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступные версии форматов обмена.
//
// Возвращаемое значение:
//  СписокЗначений.
Функция ДоступныеВерсииФорматовОбмена() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ДоступныеВерсииФорматовОбмена() 
```
</details>

## ДоступныеВерсииФорматовОбменаED
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// АПК: 299-выкл
// Доступные версии форматов обмена ED.
//
// Возвращаемое значение:
//  СписокЗначений - Доступные версии форматов обмена ED
Функция ДоступныеВерсииФорматовОбменаED() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ДоступныеВерсииФорматовОбменаED() 
```
</details>

## НастройкиККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// АПК: 299-вкл

// Настройки ККМ.
//
// Возвращаемое значение:
//  Структура - Настройки ККМ:
// * НаименованиеОрганизации - Строка -
// * НаименованиеМагазина - Строка -
// * СистемыНалогообложения - Массив Из Число-
// * ИНН - Строка -
// * КПП - Строка -
// * АдресТочкиПродажи - Строка -
// * МестоТочкиПродажи - Строка -
// * ВидыЭлектроннойОплаты - Массив из см. МенеджерОфлайнОборудования.ЗаписьВидЭлектроннойОплаты
// * ЭлектроннаяПочтаОтправителяЧека - Строка -
Функция НастройкиККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.НастройкиККМ() 
```
</details>

## ПрайсЛистККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прайс лист ККМ.
//
// Возвращаемое значение:
//  Структура:
//   * Товары - Массив из см. МенеджерОфлайнОборудования.ЗаписьТовараПрайсЛиста -
//   * ЕдиницыИзмерения - Массив из см. МенеджерОфлайнОборудования.ЗаписьЕдиницыИзмеренияПрайсЛиста -
//   * ГруппыТоваров - Массив из см. МенеджерОфлайнОборудования.ЗаписьГруппыТоваровПрайсЛиста -
//   * ДанныеПоставщиков - Массив из см. МенеджерОфлайнОборудования.ЗаписьДанныхПоставщикаПрайсЛиста -
//   * ДанныеАгентов - Массив из см. МенеджерОфлайнОборудования.ЗаписьДанныхАгентаПрайсЛиста -
Функция ПрайсЛистККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ПрайсЛистККМ() 
```
</details>

## ЗаказыККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заказы ККМ.
//
// Возвращаемое значение:
//  Массив из см. МенеджерОфлайнОборудования.ЗаписьЗаказа- Заказы ККМ
Функция ЗаказыККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ЗаказыККМ() 
```
</details>

## ЗагружаемыеДанныеИзККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружаемые данные из ККМ.
//
// Возвращаемое значение:
//  Структура - Загружаемые данные из ККМ:
// * ОтчетыОПродажах - Массив из см. МенеджерОфлайнОборудованияКлиентСервер.ОтчетОПродажахККМ -
// * ВскрытияАлкогольнойТары - Массив из см. МенеджерОфлайнОборудованияКлиентСервер.ВскрытиеТарыККМ -
Функция ЗагружаемыеДанныеИзККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ЗагружаемыеДанныеИзККМ() 
```
</details>

## ЗагружаемыеДанныеИзПрайсЧекера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружаемые данные из прайс чекера.
//
// Возвращаемое значение:
//  Структура - Загружаемые данные из прайс чекера:
// * ОтчетыОПроверкахЦенников - Массив из см. МенеджерОфлайнОборудованияКлиентСервер.ОтчетОЦенниках -
Функция ЗагружаемыеДанныеИзПрайсЧекера() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ЗагружаемыеДанныеИзПрайсЧекера() 
```
</details>

## ОтчетОПродажахККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отчет о продажах ККМ.
//
// Возвращаемое значение:
//  Структура - Отчет о продажах ККМ:
// * НомерСмены - Число - номер смены ККМ.
// * ДатаОткрытияСмены - Строка - дата открытия смены.
// * ДатаЗакрытияСмены - Строка - дата закрытия смены.
// * Чеки - Массив из см. МенеджерОфлайнОборудованияКлиентСервер.ЧекККМ - массив чеков ККМ.
// * ДвиженияДС - Массив из см. МенеджерОфлайнОборудованияКлиентСервер.ДвижениеДСККМ - массив движений чека ККМ.
// * УникальныйИдентификатор - УникальныйИдентификатор - уникальный идентификатор смены.
// * СтатусСмены - ПеречислениеСсылка.СтатусыКассовойСмены - статус смены ККМ.
Функция ОтчетОПродажахККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ОтчетОПродажахККМ() 
```
</details>

## ЧекККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Чек ККМ.
//
// Возвращаемое значение:
//  Структура - Чек ККМ:
// * ДатаЧека - строка - дата чека.
// * НомерЧека - Число - номер чека ККМ.
// * УникальныйИдентификатор - УникальныйИдентификатор - уникальный идентификатор чека.
// * СистемаНалогообложения - ПеречислениеСсылка.ТипыСистемНалогообложенияККТ - тип системы налогообложения.
// * ТипСвязанногоДокументаККМ - ПеречислениеСсылка.ТипыФискальныхДокументовККТ - тип связанного документа.
// * УникальныйИдентификаторСвязанногоДокументаККМ - УникальныйИдентификатор - уникальный идентификатор связанного чека.
// * ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - тип расчета денежными средствами.
// * Товары - Массив из см. МенеджерОфлайнОборудованияКлиентСервер.ТоварЧекаККМ - товары чека ККМ.
// * Оплаты - Массив из см. МенеджерОфлайнОборудованияКлиентСервер.ОплатаЧекаККМ- оплаты чека ККМ.
Функция ЧекККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ЧекККМ() 
```
</details>

## ТоварЧекаККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Товар чека ККМ.
//
// Возвращаемое значение:
//  Структура - Товар чека ККМ:
// * Код - Число.
// * Цена - Число.
// * Сумма - Число.
// * Количество - Число.
// * ШтрихкодыМаркированнойПродукции - Массив из см. МенеджерОфлайнОборудования.ЗаписьШтрихкодаПрайсЛиста.
// * СтавкаНДС - Число
// 			   - Строка.
// * ПризнакСпособаРасчета - ПеречислениеСсылка.ПризнакиСпособаРасчета.
// * УникальныйИдентификаторНоменклатуры - УникальныйИдентификатор.
// * УникальныйИдентификаторХарактеристики - УникальныйИдентификатор.
// * УникальныйИдентификаторУпаковки - УникальныйИдентификатор.
Функция ТоварЧекаККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ТоварЧекаККМ() 
```
</details>

## ОплатаЧекаККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оплата чека ККМ.
//
// Возвращаемое значение:
//  Структура - Оплата чека ККМ:
// * СуммаНаличнойОплаты - Число -
// * СуммаЭлектроннойОплаты - Число -
// * СуммаПредоплатой - Число -
// * СуммаПостоплатой - Число -
// * СуммаВстречнымПредоставлением - Число -
// * КодВидаЭлектроннойОплаты - Число.
// * УникальныйИдентификаторВидаЭлектроннойОплаты - УникальныйИдентификатор.
Функция ОплатаЧекаККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ОплатаЧекаККМ() 
```
</details>

## ДвижениеДСККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Движение ДСККМ.
//
// Возвращаемое значение:
//  Структура - Движение ДСККМ:
// * Дата - Дата.
// * Номер - Число.
// * УникальныйИдентификатор - УникальныйИдентификатор.
// * Сумма - Число.
// * ТипДвижения - Строка.
Функция ДвижениеДСККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ДвижениеДСККМ() 
```
</details>

## ВскрытиеТарыККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вскрытие тары ККМ.
//
// Возвращаемое значение:
//  Структура - Вскрытие тары ККМ:
// * Дата - Дата.
// * Номер - Число.
// * УникальныйИдентификатор - УникальныйИдентификатор.
// * Товары - Массив из см. МенеджерОфлайнОборудования.ЗаписьТовараПрайсЛиста.
Функция ВскрытиеТарыККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ВскрытиеТарыККМ() 
```
</details>

## ТоварВскрытияТарыККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Товар вскрытия тары ККМ.
//
// Возвращаемое значение:
//  Структура - Товар вскрытия тары ККМ:
// * Код - Число.
// * Количество - Число.
// * ШтрихкодАлкогольнойПродукции - Массив из см. МенеджерОфлайнОборудования.ЗаписьШтрихкодаПрайсЛиста.
// * УникальныйИдентификаторНоменклатуры - УникальныйИдентификатор.
// * УникальныйИдентификаторХарактеристики - УникальныйИдентификатор.
// * УникальныйИдентификаторУпаковки - УникальныйИдентификатор.
Функция ТоварВскрытияТарыККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ТоварВскрытияТарыККМ() 
```
</details>

## ОтчетОЦенниках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отчет о ценниках.
//
// Возвращаемое значение:
//  Структура - Отчет о ценниках:
// * Дата - Дата.
// * Номер - Число.
// * УникальныйИдентификатор - УникальныйИдентификатор.
// * Товары - Массив из см. МенеджерОфлайнОборудования.ЗаписьТовараПрайсЛиста
Функция ОтчетОЦенниках() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ОтчетОЦенниках() 
```
</details>

## ТоварОтчетаОЦенниках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Товар отчета о ценниках.
//
// Возвращаемое значение:
//  Структура - Товар отчета о ценниках:
// * Код - Число.
// * Штрихкод - Строка.
// * УникальныйИдентификаторНоменклатуры - УникальныйИдентификатор.
// * УникальныйИдентификаторХарактеристики - УникальныйИдентификатор.
// * УникальныйИдентификаторУпаковки - УникальныйИдентификатор.
Функция ТоварОтчетаОЦенниках() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ТоварОтчетаОЦенниках() 
```
</details>

## НаборВыгруженныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Набор выгруженных данных.
//
// Возвращаемое значение:
//  Структура - Набор выгруженных данных:
// * Настройки - Булево.
// * ПрайсЛист - Булево.
// * Заказы - Булево.
Функция НаборВыгруженныхДанных() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.НаборВыгруженныхДанных() 
```
</details>

## РазделительRS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает разделитель RS.
//
// Возвращаемое значение:
//  Строка.
//
Функция РазделительRS() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.РазделительRS() Экспорт;);
```
</details>

## ЭкранированныйСимволRS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает экранированный символ RS.
//
// Возвращаемое значение:
//  Строка.
//
Функция ЭкранированныйСимволRS() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ЭкранированныйСимволRS() Экспорт;);
```
</details>

## РазделительEOT
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает разделитель EOT.
//
// Возвращаемое значение:
//  Строка.
//
Функция РазделительEOT() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.РазделительEOT() Экспорт;);
```
</details>

## ЭкранированныйСимволEOT
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает экранированный символ EOT.
//
// Возвращаемое значение:
//  Строка.
//
Функция ЭкранированныйСимволEOT() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ЭкранированныйСимволEOT() Экспорт;);
```
</details>

## ДанныеКоррекцииЧекаККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные коррекции Чека ККМ
//
// Возвращаемое значение:
//  Структура
//
Функция ДанныеКоррекцииЧекаККМ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ДанныеКоррекцииЧекаККМ() 
```
</details>

## ДанныеМерыКоличестваПредметаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные меры расчета Товара Чека ККМ
//
// Возвращаемое значение:
//  Структура
//
Функция ДанныеМерыКоличестваПредметаРасчета() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ДанныеМерыКоличестваПредметаРасчета() 
```
</details>

## ДанныеКодаПредметаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные меры расчета Товара Чека ККМ
//
// Возвращаемое значение:
//  Структура
//
Функция ДанныеКодаПредметаРасчета() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ДанныеКодаПредметаРасчета() 
```
</details>

## ДанныеАгентаПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеАгентаПоставщика() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ДанныеАгентаПоставщика() 
```
</details>

## ДанныеОборотовКассовойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеОборотовКассовойСмены() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ДанныеОборотовКассовойСмены() 
```
</details>

## ЧекКассовойСменыОФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЧекКассовойСменыОФД() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияКлиентСервер.ЧекКассовойСменыОФД() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
