---
title: Менеджер офлайн оборудования переопределяемый
slug: erp-uh/менеджер-офлайн-оборудования-переопределяемый
---


## ПолучитьДоступныеТипыОфлайнОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список доступных типов оборудования.
//
// Параметры:
//  ТипыОфлайнОборудования - ПеречислениеСсылка.ТипыОфлайнОборудования
//
// Возвращаемое значение:
//   Массив из ПеречислениеСсылка.ТипыОфлайнОборудования - Массив доступных типов офлайн подключаемого оборудования в конфигурации
//
Функция ПолучитьДоступныеТипыОфлайнОборудования(ТипыОфлайнОборудования) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОфлайнОборудованияПереопределяемый.ПолучитьДоступныеТипыОфлайнОборудования(ТипыОфлайнОборудования) 
```
</details>

## ПриВыгрузкеНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие вызываемое при выгрузке настроек на оборудование. Тип офлайн оборудования: ККМ
// Вызывается при файловом или Web-сервис обмене (метод EquipmentService.GetSettings).
// Вспомогательные методы для заполнения НастройкиОборудования:
//    Модуль - МенеджерОфлайнОборудования:
//             ПолучитьЗаписьВидЭлектроннойОплаты()
//             ТипЭлектроннойОплатыПлатежнаяКарта()
//             ТипЭлектроннойОплатыБанковскийКредит()
//             ТипЭлектроннойОплатыПодарочныйСертификат()
//             ТипЭлектроннойОплатыБонусы().
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   НастройкиОборудования - Структура - структура, которую необходимо заполнить настройками для выгрузки на ККМ.
//
Процедура ПриВыгрузкеНастроек(ОфлайнОборудование, НастройкиОборудования) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеНастроек(ОфлайнОборудование, НастройкиОборудования) 
```
</details>

## ПриВыгрузкеПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие вызываемое при выгрузке прайс-листа на оборудование. Тип офлайн оборудования: ККМ, Прайс-чекер
// Вызывается при файловом или Web-сервис обмене (метод EquipmentService.GetPriceList или EquipmentService.PreparePriceList).
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   ПрайсЛист - Структура - структура, которую необходимо заполнить данными прайс-листа для выгрузки на офлайн-оборудование.
//   ПолнаяВыгрузка - Булево - если ПолнаяВыгрузка = Истина,
//      то предполагается полная очистка прайс-листа на офлайн оборудовании перед загрузкой (сервисная команда "Выгрузить полный прайс-лист")
//      При ПолнаяВыгрузка = Истина рекомендуется выгружать полный список товаров по правилу обмена,
//      при ПолнаяВыгрузка = Ложь рекомендуется выгружать список товаров зарегистрированных к обмену (измененных).
//
Процедура ПриВыгрузкеПрайсЛиста(ОфлайнОборудование, ПрайсЛист, ПолнаяВыгрузка) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеПрайсЛиста(ОфлайнОборудование, ПрайсЛист, ПолнаяВыгрузка) 
```
</details>

## ПриВыгрузкеТовараПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие вызываемое при выгрузке прайс-листа на оборудование с отбором по штрихкоду. Тип офлайн оборудования: Прайс-чекер
// Вызывается при Web-сервис обмене (метод EquipmentService.GetGood).
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   ПрайсЛист - Структура - структура, которую необходимо заполнить данными прайс-листа для выгрузки на офлайн-оборудование.
//   Штрихкод - Строка - значение штрихкода для отбора.
//
Процедура ПриВыгрузкеТовараПоШтрихкоду(ОфлайнОборудование, ПрайсЛист, Штрихкод) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеТовараПоШтрихкоду(ОфлайнОборудование, ПрайсЛист, Штрихкод) 
```
</details>

## ПриВыгрузкеЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие вызываемое при выгрузке заказов на оборудование. Тип офлайн оборудования: ККМ
// Вызывается при файловом или Web-сервис обмене (метод EquipmentService.GetDocs, DocType = "Order").
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   Заказы - Структура - структура, которую необходимо заполнить данными заказов для выгрузки на офлайн-оборудование.
//
Процедура ПриВыгрузкеЗаказов(ОфлайнОборудование, Заказы) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ПриВыгрузкеЗаказов(ОфлайнОборудование, Заказы) 
```
</details>

## ПослеУспешнойВыгрузкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие вызываемое после успешной выгрузки данных на оборудование. Тип офлайн оборудования: ККМ, Прайс-чекер
// Вызывается при файловом или Web-сервис обмене
//    (методы EquipmentService: GetSettings; GetPriceList; GetPriceListPackage; GetDocs, DocType = "Order").
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   НаборВыгруженныхДанных - Структура - структура, в которой описаны типы наборов выгруженных данных "Настройки", "ПрайсЛист", "Заказы";
//   в зависимости от набора необходимо снимать данные с регистрации в узлах обмена.
//
Процедура ПослеУспешнойВыгрузкиДанных(ОфлайнОборудование, НаборВыгруженныхДанных) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ПослеУспешнойВыгрузкиДанных(ОфлайнОборудование, НаборВыгруженныхДанных) 
```
</details>

## ПриЗагрузкеДанныхОПродажахИзККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие вызываемое при загрузке данных о продажах из оборудования. Тип офлайн оборудования: ККМ
// Вызывается при файловом или Web-сервис обмене (метод EquipmentService.PostDocs, DocType = "SalesReport").
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   ДанныеОПродажах - Структура - полученные данные из офлайн оборудования для загрузки в прикладную конфигурацию
//   Отказ - Булево - признак возникновения ошибки при загрузке в прикладной конфигурации,
//                    если Отказ не установлен Истина, то загружаемый пакет данных помечается как обработанный.
//   СообщениеОбОшибке - Строка - сообщение выводимое пользователю если Отказ = Истина
//   ТаблицаФискальныхДанных - Массив из Структура
//   НесопоставленныеТоварыОФД - Массив из Структура
Процедура ПриЗагрузкеДанныхОПродажахИзККМ(ОфлайнОборудование, ДанныеОПродажах, Отказ, СообщениеОбОшибке, ТаблицаФискальныхДанных = Неопределено, НесопоставленныеТоварыОФД = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ПриЗагрузкеДанныхОПродажахИзККМ(ОфлайнОборудование, ДанныеОПродажах, Отказ, СообщениеОбОшибке, ТаблицаФискальныхДанных, НесопоставленныеТоварыОФД);
```
</details>

## ПриЗагрузкеДанныхОВскрытияхАлкогольнойТарыИзККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие вызываемое при загрузке данных о вскрытиях алкогольной тары из оборудования. Тип офлайн оборудования: ККМ
// Вызывается при файловом или Web-сервис обмене (метод EquipmentService.PostDocs, DocType = "AlcoholTareOpenings").
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   ДанныеОВскрытияхТары - Структура - полученные данные из офлайн оборудования для загрузки в прикладную конфигурацию
//   Отказ - Булево - признак возникновения ошибки при загрузке в прикладной конфигурации,
//                    если Отказ не установлен Истина, то загружаемый пакет данных помечается как обработанный.
//   СообщениеОбОшибке - Строка - сообщение выводимое пользователю если Отказ = Истина
//
Процедура ПриЗагрузкеДанныхОВскрытияхАлкогольнойТарыИзККМ(ОфлайнОборудование, ДанныеОВскрытияхТары, Отказ, СообщениеОбОшибке) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ПриЗагрузкеДанныхОВскрытияхАлкогольнойТарыИзККМ(ОфлайнОборудование, ДанныеОВскрытияхТары, Отказ, СообщениеОбОшибке) 
```
</details>

## ПриЗагрузкеДанныхОПроверкахЦенников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие вызываемое при загрузке данных о проверках ценников из оборудования. Тип офлайн оборудования: Прайс-чекер
// Вызывается при Web-сервис обмене (метод EquipmentService.PostDocs, DocType = "PriceCheckerReport").
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   ДанныеОПроверкахЦенников - Структура - полученные данные из офлайн оборудования для загрузки в прикладную конфигурацию
//   Отказ - Булево - признак возникновения ошибки при загрузке в прикладной конфигурации,
//                    если Отказ не установлен Истина, то загружаемый пакет данных помечается как обработанный.
//   СообщениеОбОшибке - Строка - сообщение выводимое пользователю если Отказ = Истина
//
Процедура ПриЗагрузкеДанныхОПроверкахЦенников(ОфлайнОборудование, ДанныеОПроверкахЦенников, Отказ, СообщениеОбОшибке) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ПриЗагрузкеДанныхОПроверкахЦенников(ОфлайнОборудование, ДанныеОПроверкахЦенников, Отказ, СообщениеОбОшибке) 
```
</details>

## ПриЗагрузкеДанныхОборотовИзОФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие вызываемое при загрузке данных о продажах из оборудования. Тип офлайн оборудования: ККМ
// Вызывается при файловом или Web-сервис обмене (метод EquipmentService.PostDocs, DocType = "SalesReport").
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   ДанныеОборотов - Структура - полученные данные из офлайн оборудования для загрузки в прикладную конфигурацию
//   Отказ - Булево - признак возникновения ошибки при загрузке в прикладной конфигурации,
//                    если Отказ не установлен Истина, то загружаемый пакет данных помечается как обработанный.
//   СообщениеОбОшибке - Строка - сообщение выводимое пользователю если Отказ = Истина
//
Процедура ПриЗагрузкеДанныхОборотовИзОФД(ОфлайнОборудование, ДанныеОборотов, Отказ, СообщениеОбОшибке) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ПриЗагрузкеДанныхОборотовИзОФД(ОфлайнОборудование, ДанныеОборотов, Отказ, СообщениеОбОшибке) 
```
</details>

## ПриЗагрузкеДанныхОЧекахИзОФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие вызываемое при загрузке данных о вскрытиях алкогольной тары из оборудования. Тип офлайн оборудования: ККМ
// Вызывается при файловом или Web-сервис обмене (метод EquipmentService.PostDocs, DocType = "AlcoholTareOpenings").
//
// Параметры:
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//   ДанныеЧеков - Структура - полученные данные из офлайн оборудования для загрузки в прикладную конфигурацию
//   Отказ - Булево - признак возникновения ошибки при загрузке в прикладной конфигурации,
//                    если Отказ не установлен Истина, то загружаемый пакет данных помечается как обработанный.
//   СообщениеОбОшибке - Строка - сообщение выводимое пользователю если Отказ = Истина
//
Процедура ПриЗагрузкеДанныхОЧекахИзОФД(ОфлайнОборудование, ДанныеЧеков, Отказ, СообщениеОбОшибке) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ПриЗагрузкеДанныхОЧекахИзОФД(ОфлайнОборудование, ДанныеЧеков, Отказ, СообщениеОбОшибке) 
```
</details>

## ФормаОбменСОфлайнОборудованиемПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая при создании формы обработки ОбменСОфлайнОборудованием.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма обработки
//
Процедура ФормаОбменСОфлайнОборудованиемПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ФормаОбменСОфлайнОборудованиемПриСозданииНаСервере(Форма) 
```
</details>

## ФормаНастройкиОфлайнОборудованияПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая при создании формы настройки офлайн оборудования.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма обработки
//   ОфлайнОборудование - СправочникСсылка.ОфлайнОборудование - ссылка на экземпляр оборудования.
//
Процедура ФормаНастройкиОфлайнОборудованияПриСозданииНаСервере(Форма, ОфлайнОборудование) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ФормаНастройкиОфлайнОборудованияПриСозданииНаСервере(Форма, ОфлайнОборудование) 
```
</details>

## ФормаНастройкиПроизвольногоПериодаЭвоторПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая при создании формы настройки офлайн оборудования.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма обработки
//
Процедура ФормаНастройкиПроизвольногоПериодаЭвоторПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
МенеджерОфлайнОборудованияПереопределяемый.ФормаНастройкиПроизвольногоПериодаЭвоторПриСозданииНаСервере(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
