---
title: Мероприятия выбор поставщиков
slug: erp-uh/мероприятия-выбор-поставщиков
---


## ПолучитьТаблицуДительностиСтадийЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает таблицу длительности стадий закупки для способа закупки СпособЗакупкиВход.
// Параметр ДополнительныеПараметрыВход содержит структуру дополнительных параметров:
// -Переторжка (булево) - включать стадии Переторжка;
// -КвалификационныйОтбор (булево) - включать стадии КвалификационныйОтбор.
Функция ПолучитьТаблицуДительностиСтадийЗакупки(СпособЗакупкиВход, ДополнительныеПараметрыВход) Экспорт
```

Пример вызова
```bsl
Результат = МероприятияВыборПоставщиков.ПолучитьТаблицуДительностиСтадийЗакупки(СпособЗакупкиВход, ДополнительныеПараметрыВход) 
```
</details>

## ПолучитьПлановуюДлительностьЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает плановую длительность мероприятия закупки по способу закупки РезультатФункции.
// Параметры ПереторжкаВход и КвалификационныйОтборВход указывают необходимость включения
// переторжки и квалификационного отбора соответственно.
Функция ПолучитьПлановуюДлительностьЗакупки(СпособЗакупкиВход, ПереторжкаВход = Ложь, КвалификационныйОтборВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МероприятияВыборПоставщиков.ПолучитьПлановуюДлительностьЗакупки(СпособЗакупкиВход, ПереторжкаВход, КвалификационныйОтборВход);
```
</details>

## РазместитьСтадииВОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в шаблон мероприятия ОбъектШаблонИзм предопределённые стадии по
// способу выбора поставщика СпособВыбораПоставщикаВход.
Процедура РазместитьСтадииВОбъект(СпособВыбораПоставщикаВход, ОбъектШаблонИзм) Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.РазместитьСтадииВОбъект(СпособВыбораПоставщикаВход, ОбъектШаблонИзм) 
```
</details>

## ДобавитьСтадиюВШаблон
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в шаблон ШаблонВход стадию с итогом выполнения ИтогВыполненияВход.
Процедура ДобавитьСтадиюВШаблон(ШаблонВход, ИтогВыполненияВход, СтадияВход) Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.ДобавитьСтадиюВШаблон(ШаблонВход, ИтогВыполненияВход, СтадияВход));
```
</details>

## ЗаполнитьПредопределенныеШаблоныМероприятий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик обновления для создания предопределённых шаблонов.
Процедура ЗаполнитьПредопределенныеШаблоныМероприятий() Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.ЗаполнитьПредопределенныеШаблоныМероприятий() 
```
</details>

## ЗаполнитьИтоговыеДокументыСтадий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает итоговые документы для предопрелённых стадий мероприятий.
Процедура ЗаполнитьИтоговыеДокументыСтадий() Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.ЗаполнитьИтоговыеДокументыСтадий() 
```
</details>

## УстановитьИтоговыйДокументВСтадию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Устанавливает в стадию СтадияВход итоговый документ с именем ИмяДокументаВход.
Процедура УстановитьИтоговыйДокументВСтадию(СтадияВход, ИмяДокументаВход) Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.УстановитьИтоговыйДокументВСтадию(СтадияВход, ИмяДокументаВход));
```
</details>

## УстановитьИтоговыйСправочникВСтадию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в стадию СтадияВход итоговый справочник с именем ИмяДокументаВход.
Процедура УстановитьИтоговыйСправочникВСтадию(СтадияВход, ИмяСправочникаБДВход) Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.УстановитьИтоговыйСправочникВСтадию(СтадияВход, ИмяСправочникаБДВход));
```
</details>

## УстановитьТипыИтоговыхДокументовВСтадию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Устанавливает в стадию итоговые документы МассивИтоговыхДокументовВход.
// Когда параметр ОчисткаВход Истина, будут очищены существующие данные об
// итоговых документах.
Процедура УстановитьТипыИтоговыхДокументовВСтадию(СтадияВход, МассивИтоговыхДокументовВход, ОчисткаВход = Истина) Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.УстановитьТипыИтоговыхДокументовВСтадию(СтадияВход, МассивИтоговыхДокументовВход, ОчисткаВход);
```
</details>

## ЗаполнитьПредопределенныеШаблоныЗакупокМСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик обновления для создания предопределённых шаблонов.
Процедура ЗаполнитьПредопределенныеШаблоныЗакупокМСП() Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.ЗаполнитьПредопределенныеШаблоныЗакупокМСП() 
```
</details>

## ЗаполнитьПредопределенныеСтадииПереторжка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет стадии Переторжка для всех видов закупок.
Процедура ЗаполнитьПредопределенныеСтадииПереторжка() Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.ЗаполнитьПредопределенныеСтадииПереторжка() 
```
</details>

## УдалитьСтадиюИзШаблонаМероприятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из табличной части шаблона мероприятия ШаблонМероприятияВход
// строки со стадией СтадияВход.
Процедура УдалитьСтадиюИзШаблонаМероприятия(СтадияВход, ШаблонМероприятияВход) Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.УдалитьСтадиюИзШаблонаМероприятия(СтадияВход, ШаблонМероприятияВход) 
```
</details>

## УдалитьИзШаблоновСтадииОкончания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из шаблонов закупочных процедур стадии окончания.
Процедура УдалитьИзШаблоновСтадииОкончания() Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.УдалитьИзШаблоновСтадииОкончания() 
```
</details>

## РасположитьСтадиюВШаблоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Добавляет в шаблон мероприятия ШаблонВход стадию СтадияВход
// после стадии ПоложениеВход как стадию без группирующей
// строки с процентом выполнения ПроцентВыполненияВход.
Процедура РасположитьСтадиюВШаблоне(ШаблонВход, СтадияВход, ПоложениеВход, ПроцентВыполненияВход) Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.РасположитьСтадиюВШаблоне(ШаблонВход, СтадияВход, ПоложениеВход, ПроцентВыполненияВход) 
```
</details>

## РасположитьСтадииПереторжка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Размещает стадии Переторжка в шаблонах мероприятий закупочных процедур.
Процедура РасположитьСтадииПереторжка() Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.РасположитьСтадииПереторжка() 
```
</details>

## РазместитьСтадиюПереторжкаМСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Размещает стадии Переторжка в шаблонах мероприятий закупочных процедур по МСП.
Процедура РазместитьСтадиюПереторжкаМСП() Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.РазместитьСтадиюПереторжкаМСП() 
```
</details>

## УстановитьВсеВложенияСтадииОбязательными
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает все вложения стадии СтадияВход в обязательные.
Процедура УстановитьВсеВложенияСтадииОбязательными(СтадияВход) Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.УстановитьВсеВложенияСтадииОбязательными(СтадияВход) 
```
</details>

## ЗаполнитьДанныеСтадии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Записывает в стадию СтадияВход вид мероприятия ВидМероприятияВход
// способ выбора поставщика СпособВыбораПоставщикаВход и длительность
// выполнения ДлительностьВход.
Процедура ЗаполнитьДанныеСтадии(СтадияВход, ВидМероприятияВход, СпособВыбораПоставщикаВход, ДлительностьВход = 0) Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.ЗаполнитьДанныеСтадии(СтадияВход, ВидМероприятияВход, СпособВыбораПоставщикаВход, ДлительностьВход);
```
</details>

## ЗаполнитьПредопределенныйШаблонЗакупкаУЕдинственногоПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Обработчик обновления для создания предопределённого шаблона по процедуре Закупка
// у единственного поставщика.
Процедура ЗаполнитьПредопределенныйШаблонЗакупкаУЕдинственногоПоставщика() Экспорт
```

Пример вызова
```bsl
МероприятияВыборПоставщиков.ЗаполнитьПредопределенныйШаблонЗакупкаУЕдинственногоПоставщика() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
