---
title: Многооборотная тара вызов сервера
slug: erp-uh/многооборотная-тара-вызов-сервера
---


## ПоместитьТоварыДляПодбораТарыВоВременноеХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет в документе подобранную обработкой многооборотную тару.
//
// Параметры:
//  Объект                  - ДокументОбъект - Документ, из которого необходимо подобрать многооборотную тару.
//  ИмяТаблицы              - Строка - Имя таблицы документа, для которой необходимо подобрать многооборотную тару.
//  ИменаКолонок            - Строка - Имена колонок таблицы, по которым необходимо осуществлять подбор тары.
//  УникальныйИдентификатор - Строка - Уникальный идентификатор формы.
//  ИспользоватьСклад       - Булево - Признак наличия склада в табличной части документа.
//  ИспользоватьДату        - Булево - Признак наличия даты в табличной части документа.
//
// Возвращаемое значение:
//  Строка - Адрес во временном хранилище, в котором помещена тара.
//
Функция ПоместитьТоварыДляПодбораТарыВоВременноеХранилище(Знач Объект, Экспорт
```

Пример вызова
```bsl
Результат = МногооборотнаяТараВызовСервера.ПоместитьТоварыДляПодбораТарыВоВременноеХранилище(Объект, );
```
</details>

## ЗадаватьВопросОЗаполненииМногооборотнойТарой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие в документе товаров, для которых может потребоваться многооборотная тара.
//
// Параметры:
//  Объект       - ДокументОбъект - Документ, из которого необходимо подобрать многооборотную тару.
//  ИмяТаблицы   - Строка - Имя таблицы документа, для которой необходимо осуществлять проверку.
//  ИменаКолонок - Строка - Имена колонок таблицы, по которым необходимо осуществлять проверку.
//
// Возвращаемое значение:
//  Булево - Истина, если пользователю необходимо предложить добавить тару в документ.
//
Функция ЗадаватьВопросОЗаполненииМногооборотнойТарой(Знач Объект, Экспорт
```

Пример вызова
```bsl
Результат = МногооборотнаяТараВызовСервера.ЗадаватьВопросОЗаполненииМногооборотнойТарой(Объект, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
