---
title: Многооборотная тара клиент
slug: erp-uh/многооборотная-тара-клиент
---


## ПодобратьМногооборотнуюТару
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму подбора многооборотной тары в документ
//
// Параметры:
// Форма - ФормаКлиентскогоПриложения - Форма, из которой подбирается многооборотная тара
// ИмяТаблицы - Строка - Имя таблицы с товарами и тарой документа
// ИменаКолонок - Строка - Имена колонок таблицы с товарами и тарой документа, разделенные запятыми.
// ОписаниеОповещения - ОписаниеОповещения - Описание оповещенея
//
Процедура ПодобратьМногооборотнуюТару(Знач Форма, Экспорт
```

Пример вызова
```bsl
МногооборотнаяТараКлиент.ПодобратьМногооборотнуюТару(Форма, );
```
</details>

## ПодобратьМногооборотнуюТаруПодборТарыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения подбора многооборотной тары.
//
// Параметры:
//  СтруктураВозврата - Структура, Неопределено - необходимые данные для определения состояния подбора многооборотной тары.
//  ДополнительныеПараметры - Структура - дополнительные параметры.
//
Процедура ПодобратьМногооборотнуюТаруПодборТарыЗавершение(СтруктураВозврата, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МногооборотнаяТараКлиент.ПодобратьМногооборотнуюТаруПодборТарыЗавершение(СтруктураВозврата, ДополнительныеПараметры) 
```
</details>

## ОповеститьПользователяОЗаполненииМногооборотнойТарой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещения пользователю после добавление многооборотной тары в документ.
//
Процедура ОповеститьПользователяОЗаполненииМногооборотнойТарой() Экспорт
```

Пример вызова
```bsl
МногооборотнаяТараКлиент.ОповеститьПользователяОЗаполненииМногооборотнойТарой() 
```
</details>

## ПредложитьПодобратьМногооборотнуюТару
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предлагает пользователю дополнить товары документа многооборотной тарой
// Если пользователь согласился - открывает форму подбора многооборотной тары.
//
// Параметры:
// Форма - ФормаКлиентскогоПриложения - Форма, из которой подбирается многооборотная тара
// ИмяТаблицы - Строка - Имя таблицы с товарами и тарой документа
// ИменаКолонок - Строка - Имена колонок таблицы с товарами и тарой документа, разделенные запятыми.
// ОписаниеОповещения - ОписаниеОповещения - Описание оповещенея
//
Процедура ПредложитьПодобратьМногооборотнуюТару(Знач Форма, Экспорт
```

Пример вызова
```bsl
МногооборотнаяТараКлиент.ПредложитьПодобратьМногооборотнуюТару(Форма, );
```
</details>

## ПредложитьПодобратьМногооборотнуюТаруВопросДополнитьТаройЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения вопроса о предложении заполнения многооборотной тарой.
//
// Параметры:
//  ОтветНаВопрос           - Строка - вариант ответа на вопрос, выбранный пользователем.
//  ДополнительныеПараметры - Структура - дополнительные параметры.
//
Процедура ПредложитьПодобратьМногооборотнуюТаруВопросДополнитьТаройЗавершение(ОтветНаВопрос, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МногооборотнаяТараКлиент.ПредложитьПодобратьМногооборотнуюТаруВопросДополнитьТаройЗавершение(ОтветНаВопрос, ДополнительныеПараметры) 
```
</details>

## ПредложитьПодобратьМногооборотнуюТаруПодборТарыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения вопроса о предложении заполнения многооборотной тарой.
//
// Параметры:
//  ТараПодобрана - Булево - Истина, если тара подобрана.
//  ДополнительныеПараметры - Структура - дополнительные параметры.
//
Процедура ПредложитьПодобратьМногооборотнуюТаруПодборТарыЗавершение(ТараПодобрана, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МногооборотнаяТараКлиент.ПредложитьПодобратьМногооборотнуюТаруПодборТарыЗавершение(ТараПодобрана, ДополнительныеПараметры) 
```
</details>

## ОбновитьСостояниеЗаполненияМногооборотнойТары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбрасывает состояние заполнения многооборотной тары в документе после изменения табличной части.
//
// Параметры:
// СостояниеЗаполненияМногооборотнойТары - ПеречислениеСсылка.СостоянияЗаполненияМногооборотнойТары.
//
Процедура ОбновитьСостояниеЗаполненияМногооборотнойТары(СостояниеЗаполненияМногооборотнойТары) Экспорт
```

Пример вызова
```bsl
МногооборотнаяТараКлиент.ОбновитьСостояниеЗаполненияМногооборотнойТары(СостояниеЗаполненияМногооборотнойТары) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
