---
title: Мобильное приложение заказы клиентов
slug: erp-uh/мобильное-приложение-заказы-клиентов
---


## ВыгрузитьЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по заданиям для мобильного приложения.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена.
//
// Возвращаемое значение:
//  ОбъектXDTO - MessageExchange (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ВыгрузитьЗадания(ИдентификаторМобильногоУстройства) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ВыгрузитьЗадания(ИдентификаторМобильногоУстройства) 
```
</details>

## ВыгрузитьКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по клиентам для мобильного приложения.
// Если переданный параметр "ВсеКлиенты" = Истина, регистрируются все элементы справочника "Партнеры",
// если переданный параметр "УникальныйИдентификатор" не пустой,
// зарегистрируется только одино объект по переданной ссылке.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена;
//  ВсеКлиенты - Булево - флаг регистрации всех элементов справочника "Партнеры";
//  УникальныйИдентификатор - Строка -
//    строковое представление уникального идентификатора элементов справочника "Партнеры";
//  АдресДанных - строка - адрес(имя временного файла) подготовленных данных для обмена.
//
// Возвращаемое значение:
//  ОбъектXDTO - MessageExchange (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ВыгрузитьКлиентов(ИдентификаторМобильногоУстройства, ВсеКлиенты, УникальныйИдентификатор, АдресДанных) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ВыгрузитьКлиентов(ИдентификаторМобильногоУстройства, ВсеКлиенты, УникальныйИдентификатор, АдресДанных) 
```
</details>

## ВыгрузитьНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по настройкам приложения для мобильного приложения.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена.
//
// Возвращаемое значение:
//  ОбъектXDTO - Settings (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ВыгрузитьНастройки(ИдентификаторМобильногоУстройства) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ВыгрузитьНастройки(ИдентификаторМобильногоУстройства) 
```
</details>

## ВыгрузитьОстатки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по остаткам номенклатуры для мобильного приложения.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена;
//  АдресДанных - строка - адрес(имя временного файла) подготовленных данных для обмена.
//
// Возвращаемое значение:
//  ОбъектXDTO - Settings (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ВыгрузитьОстатки(ИдентификаторМобильногоУстройства, АдресДанных) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ВыгрузитьОстатки(ИдентификаторМобильногоУстройства, АдресДанных) 
```
</details>

## ВыгрузитьПрайсЛист
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по ценам номенклатуры по типовым соглашениям для мобильного приложения.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена;
//  ВсеЦены - Булево - флаг выборки всех цен номенклатуры;
//  АдресДанных - строка - адрес(имя временного файла) подготовленных данных для обмена.
//
// Возвращаемое значение:
//  ОбъектXDTO - MessageExchange (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ВыгрузитьПрайсЛист(ИдентификаторМобильногоУстройства, ВсеЦены = Ложь, АдресДанных = "") Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ВыгрузитьПрайсЛист(ИдентификаторМобильногоУстройства, ВсеЦены, АдресДанных);
```
</details>

## ВыгрузитьСправочники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по справочникам для мобильного приложения.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена.
//
// Возвращаемое значение:
//  ОбъектXDTO - MessageExchange (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ВыгрузитьСправочники(ИдентификаторМобильногоУстройства) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ВыгрузитьСправочники(ИдентификаторМобильногоУстройства) 
```
</details>

## ВыгрузитьСтатусыДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по текущим статусам документов.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена;
//  СообщениеОбмена - ОбъектXDTO - MessageExchange (HTTP:// www.1c.ru/CustomerOrders/Exchange);
//  ТипДокумента - число - определяет тип документов.
//
// Возвращаемое значение:
//  ОбъектXDTO - MessageExchange (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ВыгрузитьСтатусыДокументов(ИдентификаторМобильногоУстройства, СообщениеОбмена, ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ВыгрузитьСтатусыДокументов(ИдентификаторМобильногоУстройства, СообщениеОбмена, ТипДокумента) 
```
</details>

## ЗагрузитьЗаданияТорговымПредставителям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по записи заданий из мобильного приложения.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена;
//  СообщениеОбмена - Строка - данные для записи;
//  НастройкиЗадания - ОбъектXDTO - JobTargetSettings (HTTP://www.1c.ru/CustomerOrders/Exchange),
//    настройки использования заданий торговыми представителями.
//
// Возвращаемое значение:
//  ОбъектXDTO - Permit (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ЗагрузитьЗаданияТорговымПредставителям(ИдентификаторМобильногоУстройства, СообщениеОбмена, НастройкиЗадания) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ЗагрузитьЗаданияТорговымПредставителям(ИдентификаторМобильногоУстройства, СообщениеОбмена, НастройкиЗадания) 
```
</details>

## ЗагрузитьЗаказыКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по записи заказов из мобильного приложения.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена;
//  СообщениеОбмена - Строка - данные для записи.
//
// Возвращаемое значение:
//  ОбъектXDTO - Permit (HTTP://www.1c.ru/ CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ЗагрузитьЗаказыКлиентов(ИдентификаторМобильногоУстройства, СообщениеОбмена) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ЗагрузитьЗаказыКлиентов(ИдентификаторМобильногоУстройства, СообщениеОбмена) 
```
</details>

## ЗагрузитьЗаявкиНаВозвратТоваровОтКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по записи заявок на возврат товаров из мобильного приложения.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена;
//  СообщениеОбмена - Строка - данные для записи.
//
// Возвращаемое значение:
//  ОбъектXDTO - Permit (HTTP://www.1c.ru/ CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ЗагрузитьЗаявкиНаВозвратТоваровОтКлиента(ИдентификаторМобильногоУстройства, СообщениеОбмена) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ЗагрузитьЗаявкиНаВозвратТоваровОтКлиента(ИдентификаторМобильногоУстройства, СообщениеОбмена) 
```
</details>

## ЗагрузитьОплатыКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по записи заказов из мобильного приложения.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена;
//  СообщениеОбмена - Строка - данные для записи.
//
// Возвращаемое значение:
//  ОбъектXDTO - Permit (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ЗагрузитьОплатыКлиентов(ИдентификаторМобильногоУстройства, СообщениеОбмена) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ЗагрузитьОплатыКлиентов(ИдентификаторМобильногоУстройства, СообщениеОбмена) 
```
</details>

## ЗагрузитьСправочники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по записи справочников из мобильного приложения.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена;
//  СообщениеОбмена - Строка - данные для записи.
//
// Возвращаемое значение:
//  ОбъектXDTO - Permit (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ЗагрузитьСправочники(ИдентификаторМобильногоУстройства, СообщениеОбмена) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ЗагрузитьСправочники(ИдентификаторМобильногоУстройства, СообщениеОбмена) 
```
</details>

## ЗаполнитьНастройкиКомпоновщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет настройки компоновщика по переданным источнику, макету и настройкам.
//
// Параметры:
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - компоновщик настроек данных, в котором необходимо заполнить настройки;
//  Источник - произвольный - объект метаданных, в макете которого находится схема компоновки данных;
//  ИмяМакета - Строка - имя макета, содержащего схему компоновки;
//  НастройкиКомпоновки - НастройкиКомпоновкиДанных - настройки для заполнения.
//
Процедура ЗаполнитьНастройкиКомпоновщика(КомпоновщикНастроек, Источник, ИмяМакета = "СхемаКомпоновкиНастроекОбмена", НастройкиКомпоновки = Неопределено) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентов.ЗаполнитьНастройкиКомпоновщика(КомпоновщикНастроек, Источник, ИмяМакета, НастройкиКомпоновки);
```
</details>

## ИдентификаторПользовательскойНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор пользовательской настройки.
//
// Параметры:
//  ИмяЭлемента - строка - имя элемента пользовательских настроек;
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - компоновщик настроек данных, в котором осуществляется поиск;
//  Источник - произвольный - объект метаданных, в макете которого находится схема компоновки данных;
//  ИмяМакета - Строка - имя макета, содержащего схему компоновки.
//
// Возвращаемое значение:
//  Строка - идентификатор настройки.
//
Функция ИдентификаторПользовательскойНастройки(ИмяЭлемента, КомпоновщикНастроек, Источник, ИмяМакета) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ИдентификаторПользовательскойНастройки(ИмяЭлемента, КомпоновщикНастроек, Источник, ИмяМакета) 
```
</details>

## РеквизитыУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает реквизиты узла плана обмена.
//
// Параметры:
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена.
//
// Возвращаемое значение:
//  Структура - реквизиты узла обмена.
//
Функция РеквизитыУзла(УзелОбмена) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.РеквизитыУзла(УзелОбмена) 
```
</details>

## УстановитьОтборыКомпоновщикаВРеквизитыКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет отборы из компоновщика настроек в реквизиты коллекции.
//
// Параметры:
//  Коллекция - ДанныеФормыКоллекция, Структура - коллекция реквизитов;
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - компоновщик настроек данных, из отбора которого заполняются реквизиты;
//  СоответствияЭлементовОтбора - Массив - массив соответствий;
//  ТребуемыеРеквизиты - Массив - массив реквизитов к установке.
//
Процедура УстановитьОтборыКомпоновщикаВРеквизитыКоллекции(Коллекция, КомпоновщикНастроек, СоответствияЭлементовОтбора, ТребуемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентов.УстановитьОтборыКомпоновщикаВРеквизитыКоллекции(Коллекция, КомпоновщикНастроек, СоответствияЭлементовОтбора, ТребуемыеРеквизиты) 
```
</details>

## УстановитьРеквизитФормыВОтборыКомпоновщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет отбор компоновщика настроек из реквизита коллекции.
//
// Параметры:
//  ИмяРеквизита - строка - имя реквизита коллекции;
//  Коллекция - ДанныеФормыКоллекция, Структура - коллекция реквизитов;
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - компоновщик настроек данных для заполнения;
//  Источник - произвольный - объект метаданных, в макете которого находится схема компоновки данных;
//  ИмяМакета - Строка - имя макета, содержащего схему компоновки.
//
Процедура УстановитьРеквизитФормыВОтборыКомпоновщика(ИмяРеквизита, Коллекция, КомпоновщикНастроек, Источник, ИмяМакета = "СхемаКомпоновкиНастроекОбмена") Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентов.УстановитьРеквизитФормыВОтборыКомпоновщика(ИмяРеквизита, Коллекция, КомпоновщикНастроек, Источник, ИмяМакета);
```
</details>

## УстановитьРеквизитыФормыВОтборыКомпоновщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет отбор компоновщика настроек реквизитами коллекции.
//
// Параметры:
//  Коллекция - ДанныеФормыКоллекция, Структура - коллекция реквизитов;
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - компоновщик настроек данных для заполнения;
//  Источник - произвольный - объект метаданных, в макете которого находится схема компоновки данных;
//  ИмяМакета - Строка - имя макета, содержащего схему компоновки.
//
Процедура УстановитьРеквизитыФормыВОтборыКомпоновщика(Коллекция, КомпоновщикНастроек, Источник, ИмяМакета = "СхемаКомпоновкиНастроекОбмена") Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентов.УстановитьРеквизитыФормыВОтборыКомпоновщика(Коллекция, КомпоновщикНастроек, Источник, ИмяМакета);
```
</details>

## ВозможнаОтправка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает флаг возможности отправки push-уведомления на мобильное устройство.
//
// Параметры:
//  Получатель - ПланОбменаСсылка - Проверяемый узел, настроенный на синхронизацию с мобильным устройством.
//
// Возвращаемое значение:
//  Булево - флаг возможности отправки push-уведомления.
//
Функция ВозможнаОтправка(Получатель) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ВозможнаОтправка(Получатель) 
```
</details>

## ОтправитьУведомление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет push-уведомления на мобильные устройства пользователям указанного мобильного приложения.
//
// Параметры:
//  УведомлениеТекст - Строка - текст уведомления;
//  Получатели - Массив - массив получателей уведомления;
//  ПолучателиБезДоставки - Массив - массив получателей уведомления, которым оно не было отправлено;
//  ИмяУзла - Строка - имя плана обмена, связанного с мобильным приложением.
//
Процедура ОтправитьУведомление(УведомлениеТекст, Получатели, ПолучателиБезДоставки, ИмяУзла = "МобильноеПриложениеЗаказыКлиентов") Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентов.ОтправитьУведомление(УведомлениеТекст, Получатели, ПолучателиБезДоставки, ИмяУзла);
```
</details>

## ЗаписьИдентификатораПодписчикаДоставляемыхУведомлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Операция записи идентификатора получателя push-уведомлений, сформированного на мобильном устройстве.
//
// Параметры:
//  ИдентификаторМобильногоУстройства - строка - не изменяемый код мобильного приложения, используется как код узла плана обмена;
//  ИдентификаторПодписчикаДоставляемыхУведомлений - ХранилищеЗначения - идентификатор получателя push-уведомлений.
//
// Возвращаемое значение:
//  ОбъектXDTO - MessageExchange (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция ЗаписьИдентификатораПодписчикаДоставляемыхУведомлений(ИдентификаторМобильногоУстройства, ИдентификаторПодписчикаДоставляемыхУведомлений) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ЗаписьИдентификатораПодписчикаДоставляемыхУведомлений(ИдентификаторМобильногоУстройства, ИдентификаторПодписчикаДоставляемыхУведомлений) 
```
</details>

## СтруктураВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Валюты" для обмена.
//
// Возвращаемое значение:
//  Структура.
//
Функция СтруктураВалюты() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураВалюты() 
```
</details>

## СтруктураВидаКИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Виды контактной информации" для обмена.
//
// Параметры:
//  ЭтоГруппа - Булево - признак группы.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураВидаКИ(Знач ЭтоГруппа) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураВидаКИ(ЭтоГруппа) 
```
</details>

## СтруктураВидаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Виды номенклатуры" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураВидаНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураВидаНоменклатуры() 
```
</details>

## СтруктураВидаЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Виды цен" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураВидаЦены() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураВидаЦены() 
```
</details>

## СтруктураДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Договоры клиентов" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураДоговора() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураДоговора() 
```
</details>

## СтруктураДопРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Дополнительные реквизиты и сведения" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураДопРеквизита() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураДопРеквизита() 
```
</details>

## СтруктураЕдиницыИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Единицы измерения" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураЕдиницыИзмерения() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураЕдиницыИзмерения() 
```
</details>

## СтруктураЗначенияСвойствОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Значение свойств объекта"
//  и "Значение свойств объекта (Иерархия)" для обмена.
//
// Параметры:
//  Иерархия - Булево - признак иерархичности;
//  ЭтоГруппа - Булево - признак группы.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураЗначенияСвойствОбъекта(Иерархия, ЭтоГруппа) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураЗначенияСвойствОбъекта(Иерархия, ЭтоГруппа) 
```
</details>

## СтруктураКонтактногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Контактные лица клиента" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураКонтактногоЛица() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураКонтактногоЛица() 
```
</details>

## СтруктураКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Контрагента" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураКонтрагента() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураКонтрагента() 
```
</details>

## СтруктураНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Номенклатура" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураНоменклатуры() 
```
</details>

## СтруктураНоменклатурыПрисоединенныеФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Номенклатура" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураНоменклатурыПрисоединенныеФайлы() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураНоменклатурыПрисоединенныеФайлы() 
```
</details>

## СтруктураПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Клиенты" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураПартнера() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураПартнера() 
```
</details>

## СтруктураОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Организации" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураОрганизации() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураОрганизации() 
```
</details>

## СтруктураОтвета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру ответного сообщения для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру ответов.
//
Функция СтруктураОтвета() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураОтвета() 
```
</details>

## СтруктураРодителяНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Номенклатура" для обмена для групп.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураРодителяНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураРодителяНоменклатуры() 
```
</details>

## СтруктураСклада
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Склады" для обмена.
//
// Параметры:
//  ЭтоГруппа - Булево - признак создания структуры для группы.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураСклада(Знач ЭтоГруппа) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураСклада(ЭтоГруппа) 
```
</details>

## СтруктураСтраны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Страны мира" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураСтраны() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураСтраны() 
```
</details>

## СтруктураСтатусаЗаданияТорговомуПредставителю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Статус задания торговому представителю" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураСтатусаЗаданияТорговомуПредставителю() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураСтатусаЗаданияТорговомуПредставителю() 
```
</details>

## СтруктураСтатусаЗаказаКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Статус заказа клиенту" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураСтатусаЗаказаКлиента() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураСтатусаЗаказаКлиента() 
```
</details>

## СтруктураСтатусаЗаявкиНаВозврат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Статуса заявки на возврат" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураСтатусаЗаявкиНаВозврат() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураСтатусаЗаявкиНаВозврат() 
```
</details>

## СтруктураУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Упаковки" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураУпаковки() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураУпаковки() 
```
</details>

## СтруктураЦеновойГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру объекта мобильного приложения "Ценовые группы" для обмена.
//
// Возвращаемое значение:
//  Структура - содержит структуру реквизитов.
//
Функция СтруктураЦеновойГруппы() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.СтруктураЦеновойГруппы() 
```
</details>

## ОписаниеТиповЗначенияДопРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типов дополнительных реквизитов, участвующих в обмене.
//
// Возвращаемое значение:
//  ОписаниеТипов - описание типов значения.
//
Функция ОписаниеТиповЗначенияДопРеквизита() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ОписаниеТиповЗначенияДопРеквизита() 
```
</details>

## ТекстЗапросаКонтактныхЛицКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса контактных лиц клиента.
//
// Возвращаемое значение:
//  Строка - текст запроса контактных лиц.
//
Функция ТекстЗапросаКонтактныхЛицКлиента() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ТекстЗапросаКонтактныхЛицКлиента() 
```
</details>

## ТекстЗапросаПоискаДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса поиска договора.
//
// Возвращаемое значение:
//  Строка - текст запроса поиска договора.
//
Функция ТекстЗапросаПоискаДоговора() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ТекстЗапросаПоискаДоговора() 
```
</details>

## ТекстЗапросаПоискаИндивидуальныхСоглашений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса поиска индивидуальных соглашений.
//
// Возвращаемое значение:
//  Строка - текст запроса поиска индивидуального соглашения.
//
Функция ТекстЗапросаПоискаИндивидуальныхСоглашений() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ТекстЗапросаПоискаИндивидуальныхСоглашений() 
```
</details>

## ТекстЗапросаПоискаТиповыхСоглашений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса поиска типовых соглашений.
//
// Возвращаемое значение:
//  Строка - текст запроса поиска типовых соглашений.
//
Функция ТекстЗапросаПоискаТиповыхСоглашений() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ТекстЗапросаПоискаТиповыхСоглашений() 
```
</details>

## ТекстЗапросаРеквизитовОбъектовПрайса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для выборки реквизитов объектов.
//
// Параметры:
//  Индивидуальный - Булево - признак типа прайса.
//
// Возвращаемое значение:
//  Строка - текст запроса реквизитов прайса.
//
Функция ТекстЗапросаРеквизитовОбъектовПрайса(Индивидуальный) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.ТекстЗапросаРеквизитовОбъектовПрайса(Индивидуальный) 
```
</details>

## URIПространстваИмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление URI пространства имен web -сервиса.
//
// Возвращаемое значение:
//  Строка - описание пространства имен.
//
Функция URIПространстваИмен() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.URIПространстваИмен() 
```
</details>

## НачалоОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сообщение обмена с информацией по началу обмена с мобильным приложения.
//
// Параметры:
//  ВерсияМобильногоПриложения - Строка - версия мобильного приложения;
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код данного мобильного приложения,
//    используется как код узла плана обмена.
//
// Возвращаемое значение:
//  ОбъектXDTO - Permit (HTTP:// www.1c.ru/CustomerOrders/Exchange) - сформированное сообщение обмена.
//
Функция НачалоОбмена(ВерсияМобильногоПриложения, ИдентификаторМобильногоУстройства) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентов.НачалоОбмена(ВерсияМобильногоПриложения, ИдентификаторМобильногоУстройства) 
```
</details>

## ОчиститьИсториюОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет очистку записей истории обмена для узла.
//
// Параметры:
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена.
//
Процедура ОчиститьИсториюОбмена(УзелОбмена) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентов.ОчиститьИсториюОбмена(УзелОбмена) 
```
</details>

## УдалениеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, на основании анализа типа переданных данных,
// преобразовывает эти данные в тип "УдалениеОбъекта" для удаления этих данных.
//
// Параметры:
//  Данные - СправочникОбъект, ДокументОбъект, УдалениеОбъекта, Неопределено - объект, набор записей, который нужно преобразовать.
//
Процедура УдалениеДанных(Данные) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентов.УдалениеДанных(Данные) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
