---
title: Мобильное приложение заказы клиентов переопределяемый
slug: erp-uh/мобильное-приложение-заказы-клиентов-переопределяемый
---


## ВыгрузитьДоступныеОстатки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает информацию по остаткам в сообщение для обмена для узла обмена с мобильным приложением.
//
// Параметры:
//  ЗаписьXML - ЗаписьXML - сообщение обмена;
//  УзелОбмена - ПланОбменаСсылка - узел обмена с мобильным приложением;
//  ДопСвойства - Структура - содержит данные для продолжения обмена.
//
Процедура ВыгрузитьДоступныеОстатки(ЗаписьXML, УзелОбмена, ДопСвойства) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.ВыгрузитьДоступныеОстатки(ЗаписьXML, УзелОбмена, ДопСвойства) 
```
</details>

## ВыгрузитьЗаданияДляОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает данные заданий в сообщение для обмена для узла обмена с мобильным приложением.
//
// Параметры:
//  ЗаписьXML - ЗаписьXML - сообщение обмена;
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена с мобильным приложением;
//  СообщениеОбмена - Строка - возвращаемое сообщение обмена;
//  НомерСообщения - Число - номер сообщения обмена данными.
//
Процедура ВыгрузитьЗаданияДляОбмена(ЗаписьXML, УзелОбмена, СообщениеОбмена, НомерСообщения) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.ВыгрузитьЗаданияДляОбмена(ЗаписьXML, УзелОбмена, СообщениеОбмена, НомерСообщения) 
```
</details>

## ВыгрузитьКлиентовДляОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает данные клиентов в сообщение для обмена для узла обмена с мобильным приложением.
//
// Параметры:
//  ЗаписьXML - ЗаписьXML - сообщение обмена;
//  УзелОбмена - ПланОбменаСсылка - узел обмена с мобильным приложением;
//  ДопСвойства - Структура - содержит данные для продолжения обмена.
//  ВыгружатьПолноеДосье - Булево - флаг выгрузки полного досье.
//
Процедура ВыгрузитьКлиентовДляОбмена(ЗаписьXML, УзелОбмена, ДопСвойства, ВыгружатьПолноеДосье = Ложь) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.ВыгрузитьКлиентовДляОбмена(ЗаписьXML, УзелОбмена, ДопСвойства, ВыгружатьПолноеДосье);
```
</details>

## ВыгрузитьНастройкиДляОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет сообщение обмена информацией по настройкам приложения для мобильного приложения.
//
// Параметры:
//  УзелОбмена - ПланОбменаСсылка - узел обмена с мобильным приложением;
//  СтруктураОтвета - Структура - сообщение обмена.
//
Процедура ВыгрузитьНастройкиДляОбмена(УзелОбмена, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.ВыгрузитьНастройкиДляОбмена(УзелОбмена, СтруктураОтвета) 
```
</details>

## ВыгрузитьПрайсЛистДляОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает информацию по ценам в сообщение для обмена для узла обмена с мобильным приложением.
//
// Параметры:
//  ЗаписьXML - ЗаписьXML - сообщение обмена;
//  СообщениеОбмена - Строка - возвращаемое сообщение обмена;
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена с мобильным приложением;
//  НомерСообщения - Число - номер сообщения обмена с мобильным приложением;
//  ВсеЦены - Булево - флаг выгрузки всех цен;
//  ДопСвойства - Структура - содержит данные для продолжения обмена.
//
Процедура ВыгрузитьПрайсЛистДляОбмена(ЗаписьXML, СообщениеОбмена, УзелОбмена, НомерСообщения, ВсеЦены, ДопСвойства) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.ВыгрузитьПрайсЛистДляОбмена(ЗаписьXML, СообщениеОбмена, УзелОбмена, НомерСообщения, ВсеЦены, ДопСвойства) 
```
</details>

## ВыгрузитьСправочникиДляОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает данные справочников в сообщение для обмена для узла обмена с мобильным приложением.
//
// Параметры:
//  ЗаписьXML - ЗаписьXML - сообщение обмена
//  УзелОбмена - ПланОбменаСсылка - узел обмена с мобильным приложением.
//
Процедура ВыгрузитьСправочникиДляОбмена(ЗаписьXML, УзелОбмена) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.ВыгрузитьСправочникиДляОбмена(ЗаписьXML, УзелОбмена) 
```
</details>

## ОтветныеДанныеСтатусыЗаказовКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ответные данные по статусам заказов клиентов.
//
// Параметры:
//  ОтветноеСообщение - ЗаписьXML - ответное сообщение по статусам заказов клиентов;
//  ИдентификаторыЗаказов - Массив - массив прочитанных идентификаторов заказов клиентов.
//
// Возвращаемое значение:
//  Массив - массив, содержащий данные по статусам заказов клиентов.
//
Функция ОтветныеДанныеСтатусыЗаказовКлиентов(ОтветноеСообщение, Знач ИдентификаторыЗаказов) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПереопределяемый.ОтветныеДанныеСтатусыЗаказовКлиентов(ОтветноеСообщение, ИдентификаторыЗаказов) 
```
</details>

## ОтветныеДанныеСтатусыЗаявкиНаВозврат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ответные данные по статусам заявок на возврат.
//
// Параметры:
//  ОтветноеСообщение - ЗаписьXML - ответное сообщение по статусам заказов клиентов;
//  Идентификаторы - Массив - массив прочитанных идентификаторов заявок на возврат.
//
// Возвращаемое значение:
//  Массив - массив, содержащий данные по статусам заявок на возврат.
//
Функция ОтветныеДанныеСтатусыЗаявкиНаВозврат(ОтветноеСообщение, Знач Идентификаторы) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПереопределяемый.ОтветныеДанныеСтатусыЗаявкиНаВозврат(ОтветноеСообщение, Идентификаторы) 
```
</details>

## СоздатьОбновитьДоговорСоглашение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает элемент справочника "Договоры контрагентов".
//
// Параметры:
//  МобильныйДоговор - ОбъектXDTO - полученные данные обмена;
//  Сообщение - Массив - массив содержащий данные для ответного сообщения.
//
Процедура СоздатьОбновитьДоговорСоглашение(МобильныйДоговор, Сообщение) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.СоздатьОбновитьДоговорСоглашение(МобильныйДоговор, Сообщение) 
```
</details>

## СоздатьОбновитьЗаданиеТорговомуПредставителю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает документ "Задание торговому представителю".
//
// Параметры:
//  МобильноеЗадание - ОбъектXDTO - полученные данные обмена;
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена с мобильным приложением;
//  Сообщение - Массив - массив содержащий данные для ответного сообщения;
//  НастройкиЗадания - ОбъектXDTO - JobTargetSettings (HTTP://www.1c.ru/CustomerOrders/Exchange),
//    настройки использования заданий торговыми представителями.
//
Процедура СоздатьОбновитьЗаданиеТорговомуПредставителю(МобильноеЗадание, УзелОбмена, Сообщение, НастройкиЗадания) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.СоздатьОбновитьЗаданиеТорговомуПредставителю(МобильноеЗадание, УзелОбмена, Сообщение, НастройкиЗадания) 
```
</details>

## СоздатьОбновитьЗаказКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает документ "Заказ клиента".
//
// Параметры:
//  МобильныеДанные - ОбъектXDTO - полученные данные обмена;
//  Сообщение - Массив - массив содержащий данные для ответного сообщения.
//
Процедура СоздатьОбновитьЗаказКлиента(МобильныеДанные, Сообщение) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.СоздатьОбновитьЗаказКлиента(МобильныеДанные, Сообщение) 
```
</details>

## СоздатьОбновитьЗаявкуНаВозвратТоваровОтКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает документ "Заявка на возврат товаров от клиента".
//
// Параметры:
//  МобильныеДанные - ОбъектXDTO - полученные данные обмена;
//  Сообщение - Массив - массив содержащий данные для ответного сообщения.
//
Процедура СоздатьОбновитьЗаявкуНаВозвратТоваровОтКлиента(МобильныеДанные, Сообщение) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.СоздатьОбновитьЗаявкуНаВозвратТоваровОтКлиента(МобильныеДанные, Сообщение) 
```
</details>

## СоздатьОбновитьКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает элемент справочника "Партнеры".
//
// Параметры:
//  МобильныйПартнер - ОбъектXDTO - полученные данные обмена;
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена с мобильным приложением;
//  Сообщение - Массив - массив содержащий данные для ответного сообщения.
//
Процедура СоздатьОбновитьКлиента(МобильныйПартнер, УзелОбмена, Сообщение) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.СоздатьОбновитьКлиента(МобильныйПартнер, УзелОбмена, Сообщение) 
```
</details>

## СоздатьОбновитьКонтактноеЛицоКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает элемент справочника "Контактные лица партнеров".
//
// Параметры:
//  МобильныеДанные - ОбъектXDTO
//  Сообщение - Массив Из Структура - массив содержащий данные для ответного сообщения.
//
Процедура СоздатьОбновитьКонтактноеЛицоКлиента(МобильныеДанные, Сообщение) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.СоздатьОбновитьКонтактноеЛицоКлиента(МобильныеДанные, Сообщение) 
```
</details>

## СоздатьОбновитьКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает элемент справочника "Контрагенты".
//
// Параметры:
//  МобильныйКонтрагент - ОбъектXDTO - полученные данные обмена;
//  Сообщение - Массив - массив содержащий данные для ответного сообщения.
//
Процедура СоздатьОбновитьКонтрагента(МобильныйКонтрагент, Сообщение) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.СоздатьОбновитьКонтрагента(МобильныйКонтрагент, Сообщение) 
```
</details>

## СоздатьОбновитьОплатуКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает документ "Оплата клиента" из мобильного приложения.
//
// Параметры:
//  МобильнаяОплата - ОбъектXDTO - полученные данные обмена;
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена с мобильным приложением;
//  Сообщение - Массив - массив содержащий данные для ответного сообщения.
//
Процедура СоздатьОбновитьОплатуКлиента(МобильнаяОплата, УзелОбмена, Сообщение) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.СоздатьОбновитьОплатуКлиента(МобильнаяОплата, УзелОбмена, Сообщение) 
```
</details>

## ЗарегистрироватьИзмененияДляУзловОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует объекты в узлах обмена мобильного приложения.
//
// Параметры:
//  МассивУзлов - Массив - содержит узлы для регистрации изменений объекта;
//  Объект - СправочникОбъект, РегистрСведенийНаборЗаписей - объект для которого регистрируются изменения.
//
Процедура ЗарегистрироватьИзмененияДляУзловОбмена(МассивУзлов, Объект) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.ЗарегистрироватьИзмененияДляУзловОбмена(МассивУзлов, Объект) 
```
</details>

## ЗарегистрироватьИзмененияКлиентовДляПланаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует изменения с типом "Справочник.Партнеры" на узле плана обмена по переданным параметрам.
// Если переданный параметр "ВсеКлиенты" = Истина, регистрируются все элементы справочника "Партнеры",
// если переданный параметр "УникальныйИдентификатор" не пустой,
// зарегистрируется только один объект по переданной ссылке.
//
// Параметры:
//  УзелОбмена - ПланОбменаСсылка - узел обмена с мобильным приложением;
//  ВсеКлиенты - Булево - флаг регистрации всех элементов справочника "Партнеры";
//  УникальныйИдентификатор - Строка - строковое представление уникального идентификатора элементов справочника "Партнеры";
//  Отказ - Булево - признак выполнения регистрации объектов;
//  СообщениеОбмена - Строка - строка, в которую запишется информация об ошибке выполнения.
//
Процедура ЗарегистрироватьИзмененияКлиентовДляПланаОбмена(УзелОбмена, ВсеКлиенты, УникальныйИдентификатор, Отказ, Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.ЗарегистрироватьИзмененияКлиентовДляПланаОбмена(УзелОбмена, ВсеКлиенты, УникальныйИдентификатор, Отказ, );
```
</details>

## НайтиУзелОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает узел обмена по идентификатору мобильного приложения и текущему пользователю.
//
// Параметры:
//  СтруктураОтвета - Структура - ответное сообщение;
//  ИдентификаторМобильногоУстройства - Строка - не изменяемый код мобильного приложения, используется как код узла плана обмена;
//  ТекущийПользователь - СправочникСсылка.Пользователи, Неопределено - текущий пользователь сеанса.
//
// Возвращаемое значение:
//  ПланОбменаСсылка - Узел обмена "Мобильное приложение "1С: Заказы клиентов"".
//
Функция НайтиУзелОбмена(СтруктураОтвета, ИдентификаторМобильногоУстройства, ТекущийПользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПереопределяемый.НайтиУзелОбмена(СтруктураОтвета, ИдентификаторМобильногоУстройства, ТекущийПользователь);
```
</details>

## НовыйПрефиксДляДанныхМобильногоУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новый префикс для данных мобильного устройства.
//
// Возвращаемое значение:
//  Строка - новый префикс.
//
Функция НовыйПрефиксДляДанныхМобильногоУстройства() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПереопределяемый.НовыйПрефиксДляДанныхМобильногоУстройства() 
```
</details>

## ПроверитьПрефиксДляДанныхМобильногоУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат проверки префикса для данных мобильного устройства.
//
// Параметры:
//  Ссылка - ПланОбменаСсылка - Узел обмена "Мобильное приложение "1С: Заказы"";
//  Префикс - Строка - проверяемый префикс для данных мобильного устройства.
//
// Возвращаемое значение:
//  Булево - истина, когда префикс уже используется на другом узле.
//
Функция ПроверитьПрефиксДляДанныхМобильногоУстройства(Ссылка, Префикс) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПереопределяемый.ПроверитьПрефиксДляДанныхМобильногоУстройства(Ссылка, Префикс) 
```
</details>

## ПроверкаПользователяМобильногоПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую значения доступных пользователю функций мобильного приложения.
//
// Параметры:
//  Пользователь - СправочникСсылка.Пользователи - пользователь мобильного приложения.
//
// Возвращаемое значение:
//  Структура - структура, содержащая значения доступных пользователю функций.
//
Функция ПроверкаПользователяМобильногоПриложения(Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПереопределяемый.ПроверкаПользователяМобильногоПриложения(Пользователь);
```
</details>

## ЗаполнитьТаблицуСохраненныхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет коллекцию значений сохраненными реквизитами объектов для обмена.
//
// Параметры:
//  СохраненныеРеквизитыОбмена - ТаблицаЗначений, ДанныеФормыКоллекция - заполняемая коллекция.
//
Процедура ЗаполнитьТаблицуСохраненныхРеквизитов(СохраненныеРеквизитыОбмена) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.ЗаполнитьТаблицуСохраненныхРеквизитов(СохраненныеРеквизитыОбмена) 
```
</details>

## ОбработатьСообщениеОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Постобработка сообщения для обмена
//
// Параметры:
//  Сообщение - Строка
//  Выгрузка - Булево - Выгрузка - Истина, Загрузка - Ложь
//
Процедура ОбработатьСообщениеОбмена(Сообщение, Выгрузка = Истина) Экспорт
```

Пример вызова
```bsl
МобильноеПриложениеЗаказыКлиентовПереопределяемый.ОбработатьСообщениеОбмена(Сообщение, Выгрузка);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
