---
title: Мобильное приложение заказы клиентов повт исп
slug: erp-uh/мобильное-приложение-заказы-клиентов-повт-исп
---


## ВалютаЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает валюту мобильного приложения.
//
// Возвращаемое значение:
//  СправочникСсылка.Валюты - валюта заказа.
//
Функция ВалютаЗаказов() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.ВалютаЗаказов() 
```
</details>

## ИдентификаторВалютыЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление идентификатора валюты.
//
// Возвращаемое значение:
//  Строка - идентификатор валюты.
//
Функция ИдентификаторВалютыЗаказов() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.ИдентификаторВалютыЗаказов() 
```
</details>

## НастройкиОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки компоновки для узла обмена
// Параметры:
//  УзелОбмена - ПланОбменаСсылка - узел обмена с мобильным приложением.
//
// Возвращаемое значение:
//  КомпоновщикНастроекКомпоновкиДанных - настройки обмена.
//
Функция НастройкиОбмена(УзелОбмена) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.НастройкиОбмена(УзелОбмена) 
```
</details>

## СоответствиеНаЗамену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между ERP и 1С Заказы для замены в итоговом сообщении
//
// Параметры:
//  Выгрузка - Булево - Выгрузка - Истина, Загрузка - Ложь
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеНаЗамену(Выгрузка = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеНаЗамену(Выгрузка);
```
</details>

## СоответствиеИменПартнеровИКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между ERP и 1С Заказы
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеИменПартнеровИКлиентов() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеИменПартнеровИКлиентов() 
```
</details>

## СоответствиеТиповЮрФизЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между типом XDTO и Перечислением ЮрФизЛицо
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеТиповЮрФизЛицо() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеТиповЮрФизЛицо() 
```
</details>

## СоответствиеТиповКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между типом XDTO и Перечислением ТипыКонтактнойИнформации
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеТиповКонтактнойИнформации() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеТиповКонтактнойИнформации() 
```
</details>

## СоответствиеТиповФормыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между типом XDTO и Перечислением ФормыОплаты
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеТиповФормыОплаты() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеТиповФормыОплаты() 
```
</details>

## СоответствиеТиповСистемыНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между типом XDTO и Перечислением СистемыНалогообложения
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеТиповСистемыНалогообложения() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеТиповСистемыНалогообложения() 
```
</details>

## СоответствиеПредопределенныеВидыКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между именами предопределенных значений справочника "Виды контакнтой информации"
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеПредопределенныеВидыКонтактнойИнформации() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеПредопределенныеВидыКонтактнойИнформации() 
```
</details>

## СоответствиеТиповСтатусыЗаказовКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между типом XDTO и Перечислением СтатусыЗаказовКлиентов
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеТиповСтатусыЗаказовКлиентов() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеТиповСтатусыЗаказовКлиентов() 
```
</details>

## СоответствиеТиповСостоянияЗаявокНаВозврат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между типом XDTO и Перечислением СостоянияЗаявокНаВозврат
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеТиповСостоянияЗаявокНаВозврат() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеТиповСостоянияЗаявокНаВозврат() 
```
</details>

## СоответствиеТиповСостоянияЗаказовКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между типом XDTO и Перечислением СостоянияЗаказовКлиентов
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеТиповСостоянияЗаказовКлиентов() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеТиповСостоянияЗаказовКлиентов() 
```
</details>

## СоответствиеТиповСпособыКомпенсацииВозвратовТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между типом XDTO и Перечислением СпособыКомпенсацииВозвратовТоваров
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеТиповСпособыКомпенсацииВозвратовТоваров() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеТиповСпособыКомпенсацииВозвратовТоваров() 
```
</details>

## СоответствиеТиповСтатусыЗаданийТорговымПредставителям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между типом XDTO и Перечислением СтатусыЗаданийТорговымПредставителям
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеТиповСтатусыЗаданийТорговымПредставителям() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеТиповСтатусыЗаданийТорговымПредставителям() 
```
</details>

## СоответствиеТиповСтатусыЗаявокНаВозвратТоваровОтКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие имен данных между типом XDTO и Перечислением СтатусыЗаявокНаВозвратТоваровОтКлиентов
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
// * Ключ - Строка
// * Значение - Строка
Функция СоответствиеТиповСтатусыЗаявокНаВозвратТоваровОтКлиентов() Экспорт
```

Пример вызова
```bsl
Результат = МобильноеПриложениеЗаказыКлиентовПовтИсп.СоответствиеТиповСтатусыЗаявокНаВозвратТоваровОтКлиентов() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
