---
title: Мобильные приложения
slug: erp-uh/мобильные-приложения
---


## ОписаниеПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает структуру, содержащую данные о версии мобильного приложения.
//
// Параметры:
//  ИмяПриложения - Строка - строка с именем мобильного приложения
//  НомерВерсии - Строка - строка, содержащая номер версии мобильного приложения.
//
// Возвращаемое значение:
//  Структура - структура, содержащая данные о версии мобильного приложения
//
Функция ОписаниеПриложения(ИмяПриложения, НомерВерсии) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ОписаниеПриложения(ИмяПриложения, НомерВерсии) 
```
</details>

## ЗаписатьПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает версию мобильного приложения в справочник на основании переданных данных.
//
// Параметры:
//  ИмяПриложения - Строка - строка с именем мобильного приложения.
//  НомерВерсии - Строка - строка, содержащая номер версии мобильного приложения.
//  Приложение - Строка - мобильное приложение в виде кодированной строки.
//  ИспользуемыеМетаданные - Строка - строка, содержащая информацию об используемых приложением метаданных в XML-виде.
//  СтруктураПриложения - Структура - структура, содержащая информацию о приложении.
//
Процедура ЗаписатьПриложение(ИмяПриложения, НомерВерсии, Приложение, ИспользуемыеМетаданные, СтруктураПриложения) Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.ЗаписатьПриложение(ИмяПриложения, НомерВерсии, Приложение, ИспользуемыеМетаданные, СтруктураПриложения) 
```
</details>

## ПолучитьГруппуПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает группу справочника "Версии мобильных приложений", соответствующую указанному приложению.
//
// Параметры:
//  ИмяМобильногоПриложения - Строка - имя мобильного приложения, для которого необходимо получить группу.
//
// Возвращаемое значение:
//  СправочникСсылка.ВерсииМобильныхПриложений - группа справочника, соответствующая мобильному приложения. Если не найдено -
//                                         возвращается пустая ссылка.
//
Функция ПолучитьГруппуПриложения(ИмяМобильногоПриложения) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ПолучитьГруппуПриложения(ИмяМобильногоПриложения) 
```
</details>

## ПолучитьЭлементПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает элемент справочника "Версии мобильных приложений", соответствующий указанной версии приложения.
//
// Параметры:
//  ИмяМобильногоПриложения - Строка - имя мобильного приложения, для которого необходимо получить элемент.
//  ВерсияМобильногоПриложения - СправочникСсылка.ВерсииМобильныхПриложений - версия мобильного приложения, для которого
//                                                                            необходимо получить элемент.
//
// Возвращаемое значение:
//  СправочникСсылка.ВерсииМобильныхПриложений - элемент справочника, соответствующий указанной версии мобильного
//                                               приложения.Если не найдено - возвращается пустая ссылка.
//
Функция ПолучитьЭлементПриложения(ИмяМобильногоПриложения, ВерсияМобильногоПриложения) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ПолучитьЭлементПриложения(ИмяМобильногоПриложения, ВерсияМобильногоПриложения) 
```
</details>

## ЗагрузитьВерсиюПриложенияИзМакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает данные о версии мобильного приложения из макета конфигурации.
//
// Параметры:
//  ИмяМакета - Строка - имя макета, из которого производится загрузка.
//
Процедура ЗагрузитьВерсиюПриложенияИзМакета(ИмяМакета) Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.ЗагрузитьВерсиюПриложенияИзМакета(ИмяМакета) 
```
</details>

## ПолучитьУзелОбменаДляМобильногоПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает узел обмена, соответствующий мобильному подключению (т.е. паре пользователь + компьютер).
//
// Параметры:
//  ИмяПользователя - Строка - имя мобильного пользователя
//  КодМобильногоКомпьютера - Строка - код (серийный номер или сетевое имя) мобильного компьютера).
//
// Возвращаемое значение:
//  ПланОбменаСсылка - узелОбмена - ссылка на соответствующий узел обмена.
//
Функция ПолучитьУзелОбменаДляМобильногоПодключения(ИмяПользователя, КодМобильногоКомпьютера) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ПолучитьУзелОбменаДляМобильногоПодключения(ИмяПользователя, КодМобильногоКомпьютера) 
```
</details>

## УзелДляПодключенияСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, существует ли узел, соответствующий указанному подключению.
//
// Параметры:
//  Пользователь - СправочникСсылка.Пользователи - пользователь, для которого определяется наличие узла.
//  МобильныйКомпьютер - СправочникСсылка.МобильныеКомпьютеры - мобильный компьютер, для которого определяется наличие узла.
//  ПроверяемыйУзел - ПланОбменаСсылка - ссылка на узел плана обмена, для которого проверяется существование.
//
// Возвращаемое значение:
//  Булево - существование узла. Истина - узел существует, Ложь - не существует.
//
Функция УзелДляПодключенияСуществует(Пользователь, МобильныйКомпьютер, ПроверяемыйУзел) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.УзелДляПодключенияСуществует(Пользователь, МобильныйКомпьютер, ПроверяемыйУзел) 
```
</details>

## ПодготовитьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку необходимых данных для обмена.
//
// Параметры:
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена, для которого требуется подготовка данных.
//  СтруктураПараметровОбменаДанными - Структура - структура, содержащая параметры обмена данными.
//
Процедура ПодготовитьДанные(УзелОбмена, СтруктураПараметровОбменаДанными) Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.ПодготовитьДанные(УзелОбмена, СтруктураПараметровОбменаДанными) 
```
</details>

## СформироватьПакетОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись данных в пакет обмена
//
// Параметры:
//  УзелОбмена - ПланОбменаСсылка.МобильноеПриложениеТорговыйПредставитель - узел плана обмена, для которого необходимо зарегистрировать изменение данных.
//  СтруктураПараметровОбменаДанными - Структура - структура, содержащая параметры обмена данными.
//  НачальнаяИнициализацияИБ - Булево - признак выполнения начальной инициализации ИБ.
//
// Возвращаемое значение:
//  Строка - строка, содержащая данные пакета обмена.
//
Функция СформироватьПакетОбмена(УзелОбмена, СтруктураПараметровОбменаДанными, НачальнаяИнициализацияИБ) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.СформироватьПакетОбмена(УзелОбмена, СтруктураПараметровОбменаДанными, НачальнаяИнициализацияИБ) 
```
</details>

## ЗаписатьДанныеПолученногоПакетаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись данных, содержащихся в полученном пакете обмена, в ИБ.
//
// Параметры:
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена, для которого предназначен полученный пакет обмена.
//  ДанныеМобильногоПриложения - Строка - пакет обмена в виде xml-строки.
//  ПараметрыОбменаДанными - Строка - Строка с параметрами обмена данными.
//
Процедура ЗаписатьДанныеПолученногоПакетаОбмена(УзелОбмена, ДанныеМобильногоПриложения, ПараметрыОбменаДанными) Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.ЗаписатьДанныеПолученногоПакетаОбмена(УзелОбмена, ДанныеМобильногоПриложения, ПараметрыОбменаДанными) 
```
</details>

## ТребуетсяРегистрацияИзмененийОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость регистрации изменений в указанном узле плана обмена, исходя из
// схемы обмена, определенной для данного узла обмена.
//
// Параметры:
//  СтруктураРеквизитовОбъекта - Структура - структура, содержащая реквизиты проверяемого объекта.
//  СтруктураОписанияОбъекта - Структура - структура, содержащая описание объекта метаданных.
//  МассивПолей - Массив - массив, содержащий имена полей объекта.
//  ТаблицаДанныхОбъекта - ТаблицаЗначений - таблица значений, содержащая данные полей объекта.
//  УзелОбмена - ПланОбменаСсылка.МобильноеПриложениеТорговыйПредставитель - узел плана обмена, в котором регистрируются изменения.
//
// Возвращаемое значение:
//  Булево - Признак необходимости регистрации изменений по объекту. Истина - регистрация требуется. Ложь - регистрация
//                                                                            не требуется.
//
Функция ТребуетсяРегистрацияИзмененийОбъекта(СтруктураРеквизитовОбъекта, СтруктураОписанияОбъекта, МассивПолей, ТаблицаДанныхОбъекта, УзелОбмена) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ТребуетсяРегистрацияИзмененийОбъекта(СтруктураРеквизитовОбъекта, СтруктураОписанияОбъекта, МассивПолей, ТаблицаДанныхОбъекта, УзелОбмена) 
```
</details>

## ЗарегистрироватьИзмененияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует изменения для указанного узла обмена в соответствии
// со схемой обмена, определенной для этого узла.
//
// Параметры:
// УзелОбмена - ПланОбменаСсылка.МобильноеПриложениеТорговыйПредставитель - узел плана обмена, для которого нужно зарегистрировать изменения.
//
Процедура ЗарегистрироватьИзмененияДанных(УзелОбмена) Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.ЗарегистрироватьИзмененияДанных(УзелОбмена) 
```
</details>

## ПолучитьТекстЗапросаДляРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и возвращает текст запроса для выборки данных конкретного регистра сведений.
//
// Параметры:
//  ИмяОбъекта - Строка - имя регистра, по которому необходимо сформировать текст запроса.
//  ИмяТаблицы - Строка - имя таблицы данных, по которой необходимо сформировать текст запроса.
//  МассивПолей - Массив - массив, содержащий имена полей для выборки.
//  Изменения - Булево - признак выборки только изменений.
//  НомерСообщения - Число - номер сообщения обмена.
//
// Возвращаемое значение:
//  Строка - Текст запроса, если он определен для регистра. В противном случае возвращается пустая строка - при этом будет
//  использован "стандартный" текст запроса по таблице, без дополнительных условий.
//
Функция ПолучитьТекстЗапросаДляРегистра(ИмяОбъекта, ИмяТаблицы, МассивПолей, Изменения, НомерСообщения) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ПолучитьТекстЗапросаДляРегистра(ИмяОбъекта, ИмяТаблицы, МассивПолей, Изменения, НомерСообщения) 
```
</details>

## СкомпоноватьНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и возвращает настройки компоновщика для переданной схемы компоновки.
//
// Параметры:
//  СхемаКомпоновки - СхемаКомпоновкиДанных - схема компоновки данных, для которой компонуются настройки.
//
// Возвращаемое значение:
//  НастройкиКомпоновкиДанных - настройки компоновщика.
//
Функция СкомпоноватьНастройки(СхемаКомпоновки) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.СкомпоноватьНастройки(СхемаКомпоновки) 
```
</details>

## ДобавитьЭлементОтбораВНастройкиСхемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет элемент отбора в настройки компоновки
//
// Параметры:
//  Настройки - НастройкиКомпоновкиДанных - настройки компоновки
//  ИмяПоля - Строка - имя поля, по которому задается отбор
//  ВидСравнения - ВидСравненияКомпоновкиДанных - вид сравнения компоновки данных
//  Использование - Булево - использование элемента отбора
//  ПравоеЗначение - Произвольный - правое значение сравнения.
//
Процедура ДобавитьЭлементОтбораВНастройкиСхемы(Настройки, ИмяПоля, ВидСравнения = Неопределено, Использование = Истина, ПравоеЗначение = Неопределено) Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.ДобавитьЭлементОтбораВНастройкиСхемы(Настройки, ИмяПоля, ВидСравнения, Использование, ПравоеЗначение);
```
</details>

## УстановитьЗначениеЭлементаОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет установку значения элемента отбора в настройках компоновки
//
// Параметры:
//  Отбор - ОтборКомпоновкиДанных - отбор компоновки.
//  ИмяПоля - Строка - имя поля.
//  ВидСравнения - ВидСравненияКомпоновкиДанных - вид сравнения.
//  Использование - Булево - Признак использования.
//  ПравоеЗначение - Произвольный - правое значение в отборе.
//
Процедура УстановитьЗначениеЭлементаОтбора(Отбор, ИмяПоля, ВидСравнения = Неопределено, Использование = Истина, ПравоеЗначение = Неопределено) Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.УстановитьЗначениеЭлементаОтбора(Отбор, ИмяПоля, ВидСравнения, Использование, ПравоеЗначение);
```
</details>

## УстановитьИспользованиеПоляКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак включения в настройки компоновки поля.
//
// Параметры:
//  НастройкиКомпоновки - НастройкиКомпоновкиДанных - настройки компоновки, для которых требуется установить использование.
//  ИмяПоля - Строка - имя поля компоновки, использование которого требуется установить.
//  Использование - Булево - признак использования поля.
//
Процедура УстановитьИспользованиеПоляКомпоновки(НастройкиКомпоновки, ИмяПоля, Использование) Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.УстановитьИспользованиеПоляКомпоновки(НастройкиКомпоновки, ИмяПоля, Использование) 
```
</details>

## УстановитьЗначениеПараметраНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает указанное значение параметра настроек компоновки данных.
//
// Параметры:
//  Настройки - НастройкиКомпоновкиДанных - настройки компоновки данных.
//  ИмяПараметра - Строка - имя параметра, значение которого нужно установить.
//  Значение - Произвольный - устанавливаемое значение параметра.
//
Процедура УстановитьЗначениеПараметраНастроек(Настройки, ИмяПараметра, Значение) Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.УстановитьЗначениеПараметраНастроек(Настройки, ИмяПараметра, Значение) 
```
</details>

## ОписаниеОтбораКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и возвращает структуру на основе переданного отбора компоновки данных.
//
// Параметры:
//  Отбор - ОтборКомпоновкиДанных - отбор компоновки данных.
//
// Возвращаемое значение:
//  Структура - структура, содержащая данные отбора.
//
Функция ОписаниеОтбораКомпоновкиДанных(Отбор) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ОписаниеОтбораКомпоновкиДанных(Отбор) 
```
</details>

## ЗаполнитьОтборКомпоновкиИзСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет указанный отбор на основании структуры, содержащей данные отбора.
//
// Параметры:
//  Отбор - ОтборКомпоновкиДанных - отбор компоновки данных, который надо заполнить.
//  СтруктураОтбора - Структура - структура, содержащая данные для заполнения отбора.
//
Процедура ЗаполнитьОтборКомпоновкиИзСтруктуры(Отбор, СтруктураОтбора) Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.ЗаполнитьОтборКомпоновкиИзСтруктуры(Отбор, СтруктураОтбора) 
```
</details>

## ДобавитьОтборыИзСхемыОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Задает отборы для выборки объектов с использованием компоновки.
//
// Параметры:
//  НастройкиКомпоновки - НастройкиКомпоновкиДанных - настройки компоновки данных, для которых задаются отборы.
//  СтруктураНастроекОтбора - Структура - структура, содержащая описание устанавливаемого отбора.
//  ИмяКласса - Строка - имя класса, к которому принадлежит объект (Справочники, Документы и т.д).
//  ИмяОбъекта - Строка - имя объекта метаданных, для которого добавляются отборы.
//  ИспользоватьДополнительныеОтборы - Булево - признак необходимости установки доп. отборов для регистров (помимо
//                                              ключевых полей).
//  СтруктураПараметровНастройкиОбмена - Структура - структура, содержащая параметры настройки обмена.
//  ИспользуетсяВыборка - Булево - признак того, что используется выборка данных и отборы указываются для выборки.
//
Процедура ДобавитьОтборыИзСхемыОбмена(НастройкиКомпоновки, СтруктураНастроекОтбора, ИмяКласса, ИмяОбъекта, Экспорт
```

Пример вызова
```bsl
МобильныеПриложения.ДобавитьОтборыИзСхемыОбмена(НастройкиКомпоновки, СтруктураНастроекОтбора, ИмяКласса, ИмяОбъекта, );
```
</details>

## НастройкиОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и возвращает структуру, содержащую структуры настроек отбора.
//
// Параметры:
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена, для которого определяются настройки отборов.
//
// Возвращаемое значение:
//  Структура - структура, описывающее отборы.
//
Функция НастройкиОтбора(УзелОбмена) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.НастройкиОтбора(УзелОбмена) 
```
</details>

## ОписаниеПараметровНастройкиОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и возвращает структуру, описывающие параметры настройки обмена для указанного узла обмена.
//
// Параметры:
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена, для которого требуется получить параметры.
//
// Возвращаемое значение:
//  Структура - структура, описывающая параметры настройки обмена для указанного узла обмена, с полями:
//      * АвтоматическиСоздаватьЗаказыПоЗаданию - Булево - признак необходимости автоматического создания заказов.
//      * ТорговыйПредставитель - СправочникСсылка.Пользователи - торговый представитель.
//      * ИспользованиеКонтактнойИнформации - ПеречислениеСсылка.ИспользованиеКонтактнойИнформацииМобильнымПриложением -
//                                            вид использования контактной информации.
//      * ИспользованиеСоглашенийСКлиентами - ПеречислениеСсылка.ИспользованиеСоглашенийСКлиентами - вид использования
//          соглашений с клиентами.
//
Функция ОписаниеПараметровНастройкиОбмена(УзелОбмена) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ОписаниеПараметровНастройкиОбмена(УзелОбмена) 
```
</details>

## ОписаниеПараметровОбменаДанными
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разбирает xml-строку параметров обмена данными и формирует структуру параметров на ее основе.
//
// Параметры:
//  ПараметрыОбменаДанными - Строка - xml-строка, содержащая параметры обмена.
//
// Возвращаемое значение:
//  Структура - структура, содержащая параметры обмена.
//
Функция ОписаниеПараметровОбменаДанными(ПараметрыОбменаДанными) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ОписаниеПараметровОбменаДанными(ПараметрыОбменаДанными) 
```
</details>

## ПодключатьКомпонентуОбменаДаннымиПриСтартеСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, требуется ли подключение внешней компоненты обмена данными при старте системы.
//
// Возвращаемое значение:
//  Булево - результат проверки. Истина - подключение требуется, Ложь - не требуется.
//
Функция ПодключатьКомпонентуОбменаДаннымиПриСтартеСистемы() Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ПодключатьКомпонентуОбменаДаннымиПриСтартеСистемы() 
```
</details>

## ИспользуемыеМетаданные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует дерево используемых метаданных на основании описания, полученного от редактора мобильных приложений.
//
// Параметры:
//  ОписаниеМетаданных - Строка - XML-строка, содержащая описание используемых метаданных.
//
// Возвращаемое значение:
//  ДеревоЗначений - ДеревоЗначений - с колонками:
//   * Имя - Строка
//   * Использование - Булево
//
Функция ИспользуемыеМетаданные(ОписаниеМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = МобильныеПриложения.ИспользуемыеМетаданные(ОписаниеМетаданных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
