---
title: Модификация конфигурации переопределяемый
slug: erp-uh/модификация-конфигурации-переопределяемый
---


## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
// 	Отказ - Булево -
// 	СтандартнаяОбработка - Булево -
//
Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
МодификацияКонфигурацииПереопределяемый.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
// 	ТекущийОбъект - ДокументОбъект, СправочникОбъект -
//
Процедура ПриЧтенииНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
МодификацияКонфигурацииПереопределяемый.ПриЧтенииНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
// 	Отказ - Булево -
// 	ТекущийОбъект - ДокументОбъект, СправочникОбъект -
// 	ПараметрыЗаписи - Структура -
//
Процедура ПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
МодификацияКонфигурацииПереопределяемый.ПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи)
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
// 	ТекущийОбъект - ДокументОбъект, СправочникОбъект -
// 	ПараметрыЗаписи - Структура -
//
Процедура ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
МодификацияКонфигурацииПереопределяемый.ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи)
```
</details>

## НоменклатураПриИзмененииПереопределяемый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из обработчика реквизита "Номенклатура" табличной части.
//
// Параметры:
// 	ТекущаяСтрока - ДанныеФормыЭлементКоллекции - текущая строка табличной части.
// 	ПараметрыДействия - Структура - допустимые действия для табличной части.
//	КэшированныеЗначения - Структура - Кэшированные значения табличной части.
Процедура НоменклатураПриИзмененииПереопределяемый(ТекущаяСтрока, ПараметрыДействия, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
МодификацияКонфигурацииПереопределяемый.НоменклатураПриИзмененииПереопределяемый(ТекущаяСтрока, ПараметрыДействия, КэшированныеЗначения)
```
</details>

## ХарактеристикаПриИзмененииПереопределяемый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из обработчика реквизита "Характеристика" табличной части.
//
// Параметры:
// 	ТекущаяСтрока - ДанныеФормыЭлементКоллекции - текущая строка табличной части.
// 	ПараметрыДействия - Структура - допустимые действия для табличной части.
//	КэшированныеЗначения - Структура - Кэшированные значения табличной части.
Процедура ХарактеристикаПриИзмененииПереопределяемый(ТекущаяСтрока, ПараметрыДействия, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
МодификацияКонфигурацииПереопределяемый.ХарактеристикаПриИзмененииПереопределяемый(ТекущаяСтрока, ПараметрыДействия, КэшированныеЗначения)
```
</details>

## ДляТипаСобытияТребуетсяНастройкаРегламентногоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, возвращающая признак необходимости настройки для типа события регламентного задания.
//
// Параметры:
//  ТипСобытия  - ПеречислениеСсылка.ТипыСобытийОповещений - тип события оповещения, для которого указывается признак.
//
// Возвращаемое значение:
//   Булево   - Истина, если настройка регламентного задания необходима, Ложь в обратном случае.
//
Функция ДляТипаСобытияТребуетсяНастройкаРегламентногоЗадания(ТипСобытия) Экспорт
```

Пример вызова
```bsl
Результат = МодификацияКонфигурацииПереопределяемый.ДляТипаСобытияТребуетсяНастройкаРегламентногоЗадания(ТипСобытия) 
```
</details>

## НастройкиТипаСобытияДляОбработкиОчередиОповещений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, в которой можно настроить параметры обработки очереди оповещений по типу события.
//
// Параметры:
//  ТипСобытия         - ПеречислениеСсылка.ТипыСобытийОповещений - тип события оповещения для которого указываются настройки.
//  СтруктураНастроек  - Структура - Настройки, подробное описание см. в модуле менеджера перечисления ТипыСобытийОповещений.
//
Процедура НастройкиТипаСобытияДляОбработкиОчередиОповещений(ТипСобытия, СтруктураНастроек) Экспорт
```

Пример вызова
```bsl
МодификацияКонфигурацииПереопределяемый.НастройкиТипаСобытияДляОбработкиОчередиОповещений(ТипСобытия, СтруктураНастроек) 
```
</details>

## АнализДанныхДляВидаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, в которой можно настроить анализ данных для оповещений клиентам и запись в очередь оповещений.
// Примеры реализации см. в общем модуле РассылкиИОповещенияКлиентам.
//
// Параметры:
//  ВидОповещения  - СправочникСсылка.ВидыОповещенийКлиентам - вид оповещения, для которого выполняется анализ данных.
//
Процедура АнализДанныхДляВидаОповещения(ВидОповещения) Экспорт
```

Пример вызова
```bsl
МодификацияКонфигурацииПереопределяемый.АнализДанныхДляВидаОповещения(ВидОповещения) 
```
</details>

## ИсточникОповещенияПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, в которой можно получить состояние объекта до записи.
//
// Параметры:
//  Источник  - Произвольный - объект или набор записей регистра, который вызвал событие "перед записью".
//  Отказ  - Булево - признак отказа от записи объекта.
//  РежимЗаписи  - РежимЗаписиДокумента - действительно, только в случае записи документа, в остальных случаях Неопределено.
//  РежимПроведения  - РежимПроведенияДокумента - действительно, только в случае проведения документа, в остальных случаях Неопределено.
//
Процедура ИсточникОповещенияПередЗаписью(Источник, Отказ, РежимЗаписи , РежимПроведения) Экспорт
```

Пример вызова
```bsl
МодификацияКонфигурацииПереопределяемый.ИсточникОповещенияПередЗаписью(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ИсточникОповещенияПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, в которой можно получить новое состояние объекта и при необходимости выполнить запись
// в очередь оповещений.
//
// Параметры:
//  Источник  - Произвольный - объект или набор записей регистра, который вызвал событие "при записи".
//  Отказ  - Булево - признак отказа от записи объекта.
//
Процедура ИсточникОповещенияПриЗаписи(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
МодификацияКонфигурацииПереопределяемый.ИсточникОповещенияПриЗаписи(Источник, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
