---
title: Модуль регламентных заданий УХ
slug: erp-uh/модуль-регламентных-заданий-ух
---


## РассчитатьОтносительныйПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьОтносительныйПериод(ВидСравненияДляРассылки, Смещение, Период) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.РассчитатьОтносительныйПериод(ВидСравненияДляРассылки, Смещение, Период));
```
</details>

## ВернутьВидСравненияДляСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьВидСравненияДляСКД(ВидСравненияДляРассылки) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ВернутьВидСравненияДляСКД(ВидСравненияДляРассылки));
```
</details>

## ВернутьСтруктуруПараметровШаблонаПисьма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСтруктуруПараметровШаблонаПисьма(ШаблонПисьма) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ВернутьСтруктуруПараметровШаблонаПисьма(ШаблонПисьма));
```
</details>

## ВернутьПредставлениеОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьПредставлениеОтбора(ПравоеЗначениеОтбора) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ВернутьПредставлениеОтбора(ПравоеЗначениеОтбора));
```
</details>

## РегламентноеЗаданиеПоРассылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РегламентноеЗаданиеПоРассылке(ПараметрРассылки) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.РегламентноеЗаданиеПоРассылке(ПараметрРассылки) 
```
</details>

## УстановитьОтборАналитическойРасылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в настройки НастройкиКомпоновщикаВход отбор по полю ИмяПоляВход
// с видом сравнения ВидСравненияВход по значению ЗначениеПоляВход, когда
// включено использование ИспользованиеВход.
Процедура УстановитьОтборАналитическойРасылки(НастройкиКомпоновщикаВход, ВидСравненияВход, ИспользованиеВход, ЗначениеПоляВход, ИмяПоляВход); Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.УстановитьОтборАналитическойРасылки(НастройкиКомпоновщикаВход, ВидСравненияВход, ИспользованиеВход, ЗначениеПоляВход, ИмяПоляВход););
```
</details>

## ПеренестиНастройкиРассылкиВНастройкиКомпоновщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет настройки вывода отчета из АналитическаяПодпискаВход в настройки компоновщика данных
// НастройкиКомпоновщикаВход.
Процедура ПеренестиНастройкиРассылкиВНастройкиКомпоновщика(НастройкиКомпоновщикаВход, АналитическаяПодпискаВход) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ПеренестиНастройкиРассылкиВНастройкиКомпоновщика(НастройкиКомпоновщикаВход, АналитическаяПодпискаВход));
```
</details>

## УстановитьПараметрВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выставляет для настроек компоновщика НастройкиКомпоновщикаВход параметр с имененем
// ИмяПараметраВход в значение ЗначениеПараметраВход.
Процедура УстановитьПараметрВывода(НастройкиКомпоновщикаВход, ИмяПараметраВход, ЗначениеПараметраВход, ИспользованиеВход = Истина) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.УстановитьПараметрВывода(НастройкиКомпоновщикаВход, ИмяПараметраВход, ЗначениеПараметраВход, ИспользованиеВход);
```
</details>

## УстановитьПараметрыИзНастроекПанели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В настройки НастройкиКомпоновщика выставляет параметры аналитической панели, заданные
// настройками панели из аналитической рассылки АналитическаяПодпискаВход.
Процедура УстановитьПараметрыИзНастроекПанели(АналитическаяПодпискаВход, НастройкиКомпоновщика) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.УстановитьПараметрыИзНастроекПанели(АналитическаяПодпискаВход, НастройкиКомпоновщика));
```
</details>

## ДобавитьВМассивВложениеАналитическогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в массив МассивВложенийВход PDF-представление табличного документа
// ТабДокументВход по аналитическому отчету ОтчетВход, предварительно сохранив
// табличный документ во временный PDF-файл.
Процедура ДобавитьВМассивВложениеАналитическогоОтчета(ОтчетВход, ТабДокументВход, МассивВложенийВход) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ДобавитьВМассивВложениеАналитическогоОтчета(ОтчетВход, ТабДокументВход, МассивВложенийВход));
```
</details>

## ПолучитьМассивПутейФайловВложенийАналитическойПанели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив, содержащий пути файлов для вложения в аналитическую
// рассылку по аналитической панели ПанельВход.
Функция ПолучитьМассивПутейФайловВложенийАналитическойПанели(ПанельВход, АналитическаяПодпискаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьМассивПутейФайловВложенийАналитическойПанели(ПанельВход, АналитическаяПодпискаВход);
```
</details>

## ПолучитьТекстСпискаВложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вовзращает текст в формате HTML, содержащий список вложений из массива
// МассивПутейВложенийВход.
Функция ПолучитьТекстСпискаВложений(МассивПутейВложенийВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьТекстСпискаВложений(МассивПутейВложенийВход));
```
</details>

## ПолучитьОтборИзНастройкиПанели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение отбора из настроек панели НастройкаПанелиВход.
// Параметр ИмяОтбораВход определяет выбираемый отбор. Когда
// получить значение не удалось - возвращает Неопределено.
Функция ПолучитьОтборИзНастройкиПанели(НастройкаПанелиВход, ИмяОтбораВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьОтборИзНастройкиПанели(НастройкаПанелиВход, ИмяОтбораВход));
```
</details>

## ОтправитьПисьмоАналитическойРассылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет получателю с адресом АдресПолучателяВход письмо с заголовком ЗаголовокПисьмаВход,
// текстом ТекстПисьмаВход и вложениями из массива МассивПутейВложенийВход с учетной записи
// УчетнаяЗаписьОтправкиВход. Добавляет в строку протокола рассылки СтрокаПротоколаВход
// информацию об успешности отправки.
Процедура ОтправитьПисьмоАналитическойРассылки(ЗаголовокПисьмаВход, ТекстПисьмаВход, МассивПутейВложенийВход, УчетнаяЗаписьОтправкиВход, АдресПолучателяВход, СтрокаПротоколаВход) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ОтправитьПисьмоАналитическойРассылки(ЗаголовокПисьмаВход, ТекстПисьмаВход, МассивПутейВложенийВход, УчетнаяЗаписьОтправкиВход, АдресПолучателяВход, СтрокаПротоколаВход));
```
</details>

## ПодготовитьРассылкуПоНастройкамРассылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьРассылкуПоНастройкамРассылки(ПараметрРассылки, ОбъектРассылки = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ПодготовитьРассылкуПоНастройкамРассылки(ПараметрРассылки, ОбъектРассылки);
```
</details>

## ОбновитьДанныеМониторовКлючевыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ МЕХАНИЗМА ОБРАБОТКИ УПРАВЛЕНИЯ ПРОЦЕССОМ
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

Процедура ОбновитьДанныеМониторовКлючевыхПоказателей() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ОбновитьДанныеМониторовКлючевыхПоказателей() 
```
</details>

## ПолучитьСтруктуруДанныхРегламентногоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую свойства регламентного задания с именем ИмяЗаданияВход.
Функция ПолучитьСтруктуруДанныхРегламентногоЗадания(ИмяЗаданияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьСтруктуруДанныхРегламентногоЗадания(ИмяЗаданияВход) 
```
</details>

## ДобавитьЗаданиеНаЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаданиеНаЭтап(ДокументПроцесса, ЭтапПроцесса, ОтветственныеТекущегоЭтапа = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ДобавитьЗаданиеНаЭтап(ДокументПроцесса, ЭтапПроцесса, ОтветственныеТекущегоЭтапа, ДополнительныеПараметры);
```
</details>

## ОбработкаЭтаповПроцессов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЭтаповПроцессов(ЭтапВход = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ОбработкаЭтаповПроцессов(ЭтапВход);
```
</details>

## ПолучитьТаблицуДатыВыполненияДействийПоРасписаниямЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу, в которой указаны этапы, у которых
// нужно выполнять действия по расписанию, а также
// даты посленеднего и следующего выполнения.
Функция ПолучитьТаблицуДатыВыполненияДействийПоРасписаниямЭтапов() Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьТаблицуДатыВыполненияДействийПоРасписаниямЭтапов());
```
</details>

## ВыполнитьДействияПоРасписаниюЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регламентная обработка действий по расписанию этапов процессов.
Процедура ВыполнитьДействияПоРасписаниюЭтапов() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ВыполнитьДействияПоРасписаниюЭтапов() 
```
</details>

## ВыполнитьПереоценкуЗаявок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьПереоценкуЗаявок() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ВыполнитьПереоценкуЗаявок() 
```
</details>

## СформироватьЗаявкиПоДоговорам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьЗаявкиПоДоговорам() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.СформироватьЗаявкиПоДоговорам() 
```
</details>

## ОтправитьПроведенныеЗаявкиНаСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправитьПроведенныеЗаявкиНаСогласование() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ОтправитьПроведенныеЗаявкиНаСогласование() 
```
</details>

## СформироватьЗаявкиНаПереводИзлишковСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьЗаявкиНаПереводИзлишковСредств() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.СформироватьЗаявкиНаПереводИзлишковСредств() 
```
</details>

## ЗагрузитьСтавкиЦБРФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗагрузитьСтавкиЦБРФ() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ЗагрузитьСтавкиЦБРФ() 
```
</details>

## СформироватьТелоПисьмаСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует тело письма для ссылки mailto по задаче ЗадачаПроцессаВход. Когда
// НомерДействия - 1, то формируется задача согласования; 2 - отклонения; 3 - на шаг назад
Функция СформироватьТелоПисьмаСогласование(ЗадачаПроцессаВход, НомерДействия, ОтветственныйВход, ИдентификаторСообщения, ЭтапПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.СформироватьТелоПисьмаСогласование(ЗадачаПроцессаВход, НомерДействия, ОтветственныйВход, ИдентификаторСообщения, ЭтапПроцессаВход));
```
</details>

## СформироватьТелоПисьмаВыборЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует тело письма для ссылки mailto по задаче ЗадачаПроцессаВход для выбора этапа.
Функция СформироватьТелоПисьмаВыборЭтапа(ЗадачаПроцессаВход, ИдентификаторЭтапа, ИдентификаторСообщения) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.СформироватьТелоПисьмаВыборЭтапа(ЗадачаПроцессаВход, ИдентификаторЭтапа, ИдентификаторСообщения));
```
</details>

## СформироватьСсылкуУтверждение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует ссылку mailto для утверждения задачи ЗадачаПроцессаВход по ответственному ОтветственныйВход.
Функция СформироватьСсылкуУтверждение(ЗадачаПроцессаВход, ОтветственныйВход, ИдентификаторСообщения, ЭтапПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.СформироватьСсылкуУтверждение(ЗадачаПроцессаВход, ОтветственныйВход, ИдентификаторСообщения, ЭтапПроцессаВход);
```
</details>

## СформироватьСсылкуОтклонения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует ссылку mailto для отклонения задачи ЗадачаПроцессаВход по ответственному ОтветственныйВход.
Функция СформироватьСсылкуОтклонения(ЗадачаПроцессаВход, ОтветственныйВход, ИдентификаторСообщения, ЭтапПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.СформироватьСсылкуОтклонения(ЗадачаПроцессаВход, ОтветственныйВход, ИдентификаторСообщения, ЭтапПроцессаВход);
```
</details>

## СформироватьСсылкуШагНазад
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует ссылку mailto для возвращения задачи ЗадачаПроцессаВход на шаг назад по ответственному ОтветственныйВход.
Функция СформироватьСсылкуШагНазад(ЗадачаПроцессаВход, ОтветственныйВход, ИдентификаторСообщения, ЭтапПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.СформироватьСсылкуШагНазад(ЗадачаПроцессаВход, ОтветственныйВход, ИдентификаторСообщения, ЭтапПроцессаВход);
```
</details>

## СформироватьСсылкуВыборЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует ссылку mailto для выбора этапа с идентификатором ИдентификаторЭтапаВход задачи ЗадачаПроцессаВход
// в сообщении ИдентификаторСообщения.
Функция СформироватьСсылкуВыборЭтапа(ЗадачаПроцессаВход, ИдентификаторЭтапаВход, ИдентификаторСообщения, НаименованиеЭтапаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.СформироватьСсылкуВыборЭтапа(ЗадачаПроцессаВход, ИдентификаторЭтапаВход, ИдентификаторСообщения, НаименованиеЭтапаВход));
```
</details>

## СформироватьСсылкуСогласованияВСистеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует навигационную ссылку с заголовком ЗаголовокСсылкиВход для согласования в системе
// задачи ЗадачаПроцессаВход. Когда установлено значение СтрокаЦветаВход - ссылка будет выведена
// заданным цветом (формат HTML-цвета).
Функция СформироватьСсылкуСогласованияВСистеме(ЗадачаПроцессаВход, ЗаголовокСсылкиВход, СтрокаЦветаВход = "", ИдентификаторЭлемента = "") Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.СформироватьСсылкуСогласованияВСистеме(ЗадачаПроцессаВход, ЗаголовокСсылкиВход, СтрокаЦветаВход, ИдентификаторЭлемента);
```
</details>

## ДополнитьМассивПоследователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в массив МассивРезультат этапы-последователи этапа ЭтапВход. Параметр ГлубинаВход
// защищает от бесконечной рекурсии.
Процедура ДополнитьМассивПоследователей(МассивРезультат, ЭтапВход, ГлубинаВход = 0, ДокументПроцессаВход = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ДополнитьМассивПоследователей(МассивРезультат, ЭтапВход, ГлубинаВход, ДокументПроцессаВход, ДополнительныеПараметры);
```
</details>

## ПолучитьМассивПредшественниковЭтапаРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает массив этапов-предшественников этапа ЭтапВход по документу процесса ДокументПроцессаВход.
// Когда параметр ВключаяВложенныеМаршрутыВход установлен в Истина, также будут получены этапы вышестоящих
// процессов.
Функция ПолучитьМассивПредшественниковЭтапаРекурсивно(ЭтапВход, ДокументПроцессаВход, ВключаяВложенныеМаршрутыВход = Ложь, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьМассивПредшественниковЭтапаРекурсивно(ЭтапВход, ДокументПроцессаВход, ВключаяВложенныеМаршрутыВход, ДополнительныеПараметры);
```
</details>

## ПолучитьТаблицуПредшественниковЭтапаРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу этапов-предшественников и их документов процесса для этапа
// ЭтапВход и документа процесса ДокументПроцессаВход. Когда параметр ВключаяВложенныеМаршрутыВход
// Истина, будут получены также этапы вышестоящих процессов.
Функция ПолучитьТаблицуПредшественниковЭтапаРекурсивно(ЭтапВход, ДокументПроцессаВход, ВключаяВложенныеМаршрутыВход = Ложь, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьТаблицуПредшественниковЭтапаРекурсивно(ЭтапВход, ДокументПроцессаВход, ВключаяВложенныеМаршрутыВход, ДополнительныеПараметры);
```
</details>

## ВыполнитьПолучениеПоследователейЭтапаРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно дополняет последователей этапа ЭтапВход по процессу ДокументПроцессаВход в
// массив МассивИзм. Параметр ГлубинаРекурсииВход защищает от бесконечной рекурсии.
Процедура ВыполнитьПолучениеПоследователейЭтапаРекурсивно(ЭтапВход, ДокументПроцессаВход, МассивИзм, ГлубинаРекурсииВход = 0, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ВыполнитьПолучениеПоследователейЭтапаРекурсивно(ЭтапВход, ДокументПроцессаВход, МассивИзм, ГлубинаРекурсииВход, ДополнительныеПараметры);
```
</details>

## ПолучитьМассивПоследователейЭтапаРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив всех последователей этапа ЭтапВход для процесса ДокументПроцессаВход.
Функция ПолучитьМассивПоследователейЭтапаРекурсивно(ЭтапВход, ДокументПроцессаВход, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьМассивПоследователейЭтапаРекурсивно(ЭтапВход, ДокументПроцессаВход, ДополнительныеПараметры);
```
</details>

## ОтделитьНеЭтапыСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию массива этапов процессов МассивЭтаповВход, из которого удалены
//все этапы, которые не являются этапами согласования.
Функция ОтделитьНеЭтапыСогласования(МассивЭтаповВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ОтделитьНеЭтапыСогласования(МассивЭтаповВход) 
```
</details>

## ПолучитьДокументПроцессаПоЗадачеЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает экземпляр процесса по задаче ЗадачаПроцессаВход для ответственного
// ОтветственныйВход в этапе ЭтапПроцессаВход.
Функция ПолучитьДокументПроцессаПоЗадачеЭтапа(ЗадачаПроцессаВход, ОтветственныйВход, ЭтапПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьДокументПроцессаПоЗадачеЭтапа(ЗадачаПроцессаВход, ОтветственныйВход, ЭтапПроцессаВход));
```
</details>

## ДобавитьТекстСогласованияПоЗадаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет служебную информацию для согласования в сообщение ТекстСообщенияВход
// по задаче ЗадачаПроцессаВход по согласующему ОтветственныйВход. Параметр ПоПочтеВход
// влияет на формат ссылок - mailto для почты и навигационные ссылки для оповещения
// в системе.
Функция ДобавитьТекстСогласованияПоЗадаче(ТекстСообщенияВход, ЗадачаПроцессаВход, ОтветственныйВход, ПоПочтеВход, ЭтапПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ДобавитьТекстСогласованияПоЗадаче(ТекстСообщенияВход, ЗадачаПроцессаВход, ОтветственныйВход, ПоПочтеВход, ЭтапПроцессаВход);
```
</details>

## ДобавитьТекстСпискаВыбораЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в строку СтрокаТекстаСообщенияВход текст выбора этапов
// для оповещения в системе из списка СписокЭтаповВход по задаче ЗадачаПроцессаВход.
Процедура ДобавитьТекстСпискаВыбораЭтапов(СтрокаТекстаСообщенияВход, СписокЭтаповВход, ЗадачаПроцессаВход, ИдентификаторСообщения, ПоПочте = Ложь) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ДобавитьТекстСпискаВыбораЭтапов(СтрокаТекстаСообщенияВход, СписокЭтаповВход, ЗадачаПроцессаВход, ИдентификаторСообщения, ПоПочте);
```
</details>

## ДобавитьТекстВыбораЭтапаПоЗадаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет служебную информацию для выбора этапа в сообщение ТекстСообщенияВход
// по задаче ЗадачаПроцессаВход по согласующему ОтветственныйВход. Параметр ПоПочтеВход
// влияет на формат ссылок - mailto для почты и навигационные ссылки для оповещения
// в системе.
Функция ДобавитьТекстВыбораЭтапаПоЗадаче(ТекстСообщенияВход, ЗадачаПроцессаВход, ОтветственныйВход, ПоПочтеВход, ЭтапПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ДобавитьТекстВыбораЭтапаПоЗадаче(ТекстСообщенияВход, ЗадачаПроцессаВход, ОтветственныйВход, ПоПочтеВход, ЭтапПроцессаВход) 
```
</details>

## ПолучитьСтрокуЭтаповПоследователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовое представление последующих за ЭтапПроцессаВход этапов и их ответственным
// по таблице ответственных ТаблицаОтветственныхВход и документу процесса ДокументПроцессаВход.
Функция ПолучитьСтрокуЭтаповПоследователей(ТаблицаОтветственныхВход, ЭтапПроцессаВход, ДокументПроцессаВход, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьСтрокуЭтаповПоследователей(ТаблицаОтветственныхВход, ЭтапПроцессаВход, ДокументПроцессаВход, ДополнительныеПараметры);
```
</details>

## ПолучитьСтрокуЭтаповПредшественников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовое представление предыдущих перед ЭтапПроцессаВход этапов и их ответственным
// по таблице ответственных ТаблицаОтветственныхВход и документу процесса ДокументПроцессаВход.
Функция ПолучитьСтрокуЭтаповПредшественников(ТаблицаОтветственныхВход, ЭтапПроцессаВход, ДокументПроцессаВход, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьСтрокуЭтаповПредшественников(ТаблицаОтветственныхВход, ЭтапПроцессаВход, ДокументПроцессаВход, ДополнительныеПараметры);
```
</details>

## СформироватьСтруктуруДополнительныхПараметровОповещенийПоЗадаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с дополнительными параметрами оповещения ответственному
// ОтветственныйВход для этапа ЭтапПроцессаВход по задаче ЗадачаПроцессаВход.
Функция СформироватьСтруктуруДополнительныхПараметровОповещенийПоЗадаче(ЗадачаПроцессаВход, ОтветственныйВход, ЭтапПроцессаВход, ДокументПроцессаВход, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.СформироватьСтруктуруДополнительныхПараметровОповещенийПоЗадаче(ЗадачаПроцессаВход, ОтветственныйВход, ЭтапПроцессаВход, ДокументПроцессаВход, ДополнительныеПараметры);
```
</details>

## СоздатьОповещениеПоЗадаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По данной задаче ЗадачаПроцессаВход и ответственному ОтветственныйВход создаёт оповещение.
Процедура СоздатьОповещениеПоЗадаче(ЗадачаПроцессаВход, ОтветственныйВход, ЭтапПроцессаВход = Неопределено, ДокументПроцессаВход, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.СоздатьОповещениеПоЗадаче(ЗадачаПроцессаВход, ОтветственныйВход, ЭтапПроцессаВход, ДокументПроцессаВход, ДополнительныеПараметры);
```
</details>

## СброситьЗадачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Снимает выполнение задачи ЗадачаВход
Процедура СброситьЗадачу(ЗадачаВход) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.СброситьЗадачу(ЗадачаВход) 
```
</details>

## СброситьЗадачиПоСвязанномуОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбрасывает все задачи по объекту СвязанныйОбъектВход
Процедура СброситьЗадачиПоСвязанномуОбъекту(СвязанныйОбъектВход) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.СброситьЗадачиПоСвязанномуОбъекту(СвязанныйОбъектВход) 
```
</details>

## СоздатьЗадачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьЗадачу(ЗадачаПроцесса, Ответственный, ДокументПроцесса, ЭтапПроцесса, ВидДействия, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.СоздатьЗадачу(ЗадачаПроцесса, Ответственный, ДокументПроцесса, ЭтапПроцесса, ВидДействия, ДополнительныеПараметры);
```
</details>

## ДобавитьЗаданиеНаТаймаутЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаданиеНаТаймаутЭтапа(ДокументПроцесса, ЭтапПроцесса) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ДобавитьЗаданиеНаТаймаутЭтапа(ДокументПроцесса, ЭтапПроцесса) 
```
</details>

## СброситьЗаданияПоЭтапуПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СброситьЗаданияПоЭтапуПроцесса(ДокументПроцесса, ЭтапПроцесса, ВидДействия = Неопределено,ОтветственныеТекущегоЭтапа=Неопределено) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.СброситьЗаданияПоЭтапуПроцесса(ДокументПроцесса, ЭтапПроцесса, ВидДействия, ОтветственныеТекущегоЭтапа);
```
</details>

## СброситьЗаданияПоПроцессу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СброситьЗаданияПоПроцессу(ДокументПроцесса) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.СброситьЗаданияПоПроцессу(ДокументПроцесса) 
```
</details>

## ИнициализироватьТаблицуВыполненияПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИнициализироватьТаблицуВыполненияПроцесса() Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ИнициализироватьТаблицуВыполненияПроцесса() 
```
</details>

## УтвердитьЭтапОбработкаПодготовкиОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Утверждает этап ЭтапПроцессаВход с типом обработка в процессе подготовки
// отчетности ДокументПроцессаВход. Возвращает успешность выполнения операции.
Функция УтвердитьЭтапОбработкаПодготовкиОтчетности(ЭтапПроцессаВход, ДокументПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.УтвердитьЭтапОбработкаПодготовкиОтчетности(ЭтапПроцессаВход, ДокументПроцессаВход));
```
</details>

## ОбработатьПереходПоЭтапуСТипом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет согласование текущего и инициализацию следующих этапов
// для этапа с типом ТипЭтапаВход. Возвращает успешность выполнения.
Функция ОбработатьПереходПоЭтапуСТипом(ЗадачаВход, ТипЭтапаВход, КомментарийВход = "", ВыбранныйЭтапВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ОбработатьПереходПоЭтапуСТипом(ЗадачаВход, ТипЭтапаВход, КомментарийВход, ВыбранныйЭтапВход);
```
</details>

## ВыполнитьИОбработатьЗадачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливание задаче ЗадачаВход статус "выполнено" с комментарием КомментарийВход,
// а также выполняет переход по этапам для задачи обработки. Возвращает успешность выполняения
// операции.
Функция ВыполнитьИОбработатьЗадачу(ЗадачаВход, КомментарийВход = "") Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ВыполнитьИОбработатьЗадачу(ЗадачаВход, КомментарийВход);
```
</details>

## ВыполнитьЗадачуРучногоПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливание задаче ЗадачаВход статус "выполнено" с комментарием КомментарийВход,
// а также выполняет переход на этап ВыбранныйЭтапВход. Возвращает успешность выполнения операции.
Функция ВыполнитьЗадачуРучногоПерехода(ЗадачаВход, ВыбранныйЭтапВход, КомментарийВход = "", ПользовательВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ВыполнитьЗадачуРучногоПерехода(ЗадачаВход, ВыбранныйЭтапВход, КомментарийВход, ПользовательВход);
```
</details>

## ВыполнитьЗадачу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливание задаче ЗадачаВход статус "выполнено" с комментарием КомментарийВход.
// Возвращает успешность выполняения операции.
Функция ВыполнитьЗадачу(ЗадачаВход, КомментарийВход = "") Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ВыполнитьЗадачу(ЗадачаВход, КомментарийВход);
```
</details>

## СброситьЗаданияПоОбъектуПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СброситьЗаданияПоОбъектуПроцесса(КлючевойОбъектПроцесса) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.СброситьЗаданияПоОбъектуПроцесса(КлючевойОбъектПроцесса) 
```
</details>

## ПолучитьЗначениеПоляПисьма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выделяет в тексте письма ТекстВход значение служебного поля
//с именем НазваниеПоляВход.
Функция ПолучитьЗначениеПоляПисьма(ТекстВход, НазваниеПоляВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПолучитьЗначениеПоляПисьма(ТекстВход, НазваниеПоляВход));
```
</details>

## ОчиститьHtmlВКомментарии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тело html-документа из ТекстВход.
Функция ОчиститьHtmlВКомментарии(ТекстВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ОчиститьHtmlВКомментарии(ТекстВход));
```
</details>

## ВыделитьКомментарийВПисьме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выделяет в тексте письма ТекстВход значение комментария пользователя.
Функция ВыделитьКомментарийВПисьме(ТекстВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ВыделитьКомментарийВПисьме(ТекстВход));
```
</details>

## УтвердитьЭтапыПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Утверждает все этапы по пользователю ПользовательВход по документу ЗаявкаВход,
//устанавливая комментарий КомментарийВход. Возвращает успешность выполнения
Функция УтвердитьЭтапыПользователя(ПользовательВход, ЗаявкаВход, КомментарийВход, ДопСогласованиеВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.УтвердитьЭтапыПользователя(ПользовательВход, ЗаявкаВход, КомментарийВход, ДопСогласованиеВход);
```
</details>

## ОтклонитьЭтапыПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отклоняет все этапы по пользователю ПользовательВход по документу ЗаявкаВход,
// устанавливая комментарий КомментарийВход. Параметр ДопСогласование показывает,
// нужно ли ставить визу доп согласования. Возвращает успешность выполнения.
Функция ОтклонитьЭтапыПользователя(ПользовательВход, ЗаявкаВход, КомментарийВход, ДопСогласование = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ОтклонитьЭтапыПользователя(ПользовательВход, ЗаявкаВход, КомментарийВход, ДопСогласование);
```
</details>

## ПерейтиНаШагНазадПоЭтапу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Снимает все этапы по пользователю ПользовательВход по документу ЗаявкаВход,
// устанавливая комментарий КомментарийВход. После чего переводит согласование
// на предыдущие этапы. Параметр ДопСогласование показывает, нужно ли ставить визу
// доп согласования. Возвращает успешность выполнения.
Функция ПерейтиНаШагНазадПоЭтапу(ПользовательВход, ЗаявкаВход, КомментарийВход, ДопСогласование = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульРегламентныхЗаданийУХ.ПерейтиНаШагНазадПоЭтапу(ПользовательВход, ЗаявкаВход, КомментарийВход, ДопСогласование);
```
</details>

## УведомитьПользователяОРезультатахСогласованияПоПочте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Оповещает пользователя ПользовательВход о результате согласования/отклонения документа ДокументВход
Процедура УведомитьПользователяОРезультатахСогласованияПоПочте(ПользовательВход, ДокументВход, КодДействияВход, УспешностьВход) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.УведомитьПользователяОРезультатахСогласованияПоПочте(ПользовательВход, ДокументВход, КодДействияВход, УспешностьВход));
```
</details>

## ОбработатьПисьмоСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет обработку письма согласования ПисьмоВход.
Процедура ОбработатьПисьмоСогласование(ПисьмоВход) Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ОбработатьПисьмоСогласование(ПисьмоВход));
```
</details>

## ОбработатьВходящееСогласованиеПоПочте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регламентная обработка согласования по почте.
Процедура ОбработатьВходящееСогласованиеПоПочте() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ОбработатьВходящееСогласованиеПоПочте() 
```
</details>

## ОбработатьНапоминанияПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регламентная обработка переноса и оповещения напоминаний пользователя.
Процедура ОбработатьНапоминанияПользователей() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ОбработатьНапоминанияПользователей() 
```
</details>

## ВыполнитьОтправкуОповещенийСобытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регламентная обработка отправки оповещений по событиям.
Процедура ВыполнитьОтправкуОповещенийСобытий() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ВыполнитьОтправкуОповещенийСобытий() 
```
</details>

## ВыполнитьОчисткуОтправленныхСобытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регламентная обработка очистки отправленных событий.
Процедура ВыполнитьОчисткуОтправленныхСобытий() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ВыполнитьОчисткуОтправленныхСобытий() 
```
</details>

## ОтправкаУведомлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправкаУведомлений() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ОтправкаУведомлений() 
```
</details>

## СоздатьМероприятияПоРасписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регламентная обработка создания мероприятий по расписанию.
Процедура СоздатьМероприятияПоРасписанию() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.СоздатьМероприятияПоРасписанию() 
```
</details>

## ОтразитьДокументыПоШаблонам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтразитьДокументыПоШаблонам() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ОтразитьДокументыПоШаблонам() 
```
</details>

## ПроверитьВводИсполненияКовенантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьВводИсполненияКовенантов() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ПроверитьВводИсполненияКовенантов() 
```
</details>

## ПроверитьИсполнениеОбязательствПоДоговорам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьИсполнениеОбязательствПоДоговорам() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ПроверитьИсполнениеОбязательствПоДоговорам() 
```
</details>

## ПроверкаСроковВыполненияСверкиВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверкаСроковВыполненияСверкиВГО() Экспорт
```

Пример вызова
```bsl
МодульРегламентныхЗаданийУХ.ПроверкаСроковВыполненияСверкиВГО() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
