---
title: Модуль управления оповещениями УХ
slug: erp-uh/модуль-управления-оповещениями-ух
---


## ПолучитьСлужебнуюЧастьПисьмаЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает уникальную служебную часть, которая будет добавлена к письму с задачей
Функция ПолучитьСлужебнуюЧастьПисьмаЗадачи() Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьСлужебнуюЧастьПисьмаЗадачи() 
```
</details>

## СоздатьЗаписьОтправленныеЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает запись в регистре Отправленные задачи по параметрам. Возвращает ИдентификаторСообщения. Когда
//ИдентификаторСообщенияВход не задан - будет сгенерирован новый.
Функция СоздатьЗаписьОтправленныеЗадачи(ЗадачаВход, ПользовательВход, ИдентификаторСообщенияВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.СоздатьЗаписьОтправленныеЗадачи(ЗадачаВход, ПользовательВход, ИдентификаторСообщенияВход);
```
</details>

## ПолучитьСтруктуруПоИдентификаторуСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По идентификатору сообщения ИдентификаторВход возвращает структуру из регистра ОтправленныеЗадачи.
Функция ПолучитьСтруктуруПоИдентификаторуСообщения(ИдентификаторВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьСтруктуруПоИдентификаторуСообщения(ИдентификаторВход) 
```
</details>

## УстановитьИсполнениеОтправленнойЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает по ИдентификаторСообщенияВход в регистре ОтправленныеЗадачи флаг исполнения в
//значение ЗначениеИсполненияВход.
Процедура УстановитьИсполнениеОтправленнойЗадачи(ИдентификаторСообщенияВход, ЗначениеИсполненияВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.УстановитьИсполнениеОтправленнойЗадачи(ИдентификаторСообщенияВход, ЗначениеИсполненияВход) 
```
</details>

## УстановитьСтатусОшибкиОтправленнойЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает по ИдентификаторСообщенияВход в регистре ОтправленныеЗадачи флаг Ошибка в
//значение ЗначениеИсполненияВход.
Процедура УстановитьСтатусОшибкиОтправленнойЗадачи(ИдентификаторСообщенияВход, ЗначениеСтатусаОшибкиВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.УстановитьСтатусОшибкиОтправленнойЗадачи(ИдентификаторСообщенияВход, ЗначениеСтатусаОшибкиВход) 
```
</details>

## ПолучитьКонстантуНавигационнаяСсылкаИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение константы НавигационнаяСсылкаИнформационнойБазы
Функция ПолучитьКонстантуНавигационнаяСсылкаИнформационнойБазы() Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьКонстантуНавигационнаяСсылкаИнформационнойБазы() 
```
</details>

## ПреобразоватьНавигационныеСсылкиВоВнешние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет все навигационные ссылки, содержащиеся в ИсходныйТекстВход, на внешние.
Функция ПреобразоватьНавигационныеСсылкиВоВнешние(ИсходныйТекстВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПреобразоватьНавигационныеСсылкиВоВнешние(ИсходныйТекстВход) 
```
</details>

## СоздатьОповещениеПользователю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьОповещениеПользователю(КатегорияОповещения,ВидСобытия,Пользователь,ТекстСообщения, ЗадачаВход = Неопределено, ТекстПочтовогоСообщения = "",Вложение = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.СоздатьОповещениеПользователю(КатегорияОповещения, ВидСобытия, Пользователь, ТекстСообщения, ЗадачаВход, ТекстПочтовогоСообщения, Вложение);
```
</details>

## УчетнаяЗаписьДляРассылкиУведомлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УчетнаяЗаписьДляРассылкиУведомлений() Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.УчетнаяЗаписьДляРассылкиУведомлений() 
```
</details>

## ПолучитьЗначениеРеквизитаСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение реквизита с именем ПараметрВход объекта СсылкаВход с именем ИмяСсылкиВход.
Функция ПолучитьЗначениеРеквизитаСсылки(ОбъектСсылкаВход, ИмяСсылкиВход, ПараметрВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьЗначениеРеквизитаСсылки(ОбъектСсылкаВход, ИмяСсылкиВход, ПараметрВход));
```
</details>

## ПолучитьПредставлениеПараметраШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление реквизита ИмяПараметраВход со значением ЗначениеПараметраВход для
// объекта ОбъектСсылкаВход.
Функция ПолучитьПредставлениеПараметраШаблона(ОбъектСсылкаВход, ИмяПараметраВход, ЗначениеПараметраВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьПредставлениеПараметраШаблона(ОбъектСсылкаВход, ИмяПараметраВход, ЗначениеПараметраВход));
```
</details>

## ОбработатьПараметрШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку параметров, обозначенных через СлужебноеИмяВход. Возвращает структуру со значением и именем параметра
Функция ОбработатьПараметрШаблона(СлужебноеИмяВход, ПараметрыПроцессаВход, ОбъектСсылкаВход, ФлОшибкиВход, ТекстШаблонаРабочийВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ОбработатьПараметрШаблона(СлужебноеИмяВход, ПараметрыПроцессаВход, ОбъектСсылкаВход, ФлОшибкиВход, ТекстШаблонаРабочийВход));
```
</details>

## ПодготовитьТекстОповещенияПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьТекстОповещенияПоШаблону(ТекстШаблона,ПараметрыПроцесса=Неопределено,ОбъектССылка,ФлОшибки=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПодготовитьТекстОповещенияПоШаблону(ТекстШаблона, ПараметрыПроцесса, ОбъектССылка, ФлОшибки);
```
</details>

## ПолучитьМассивПользователейПоЗадаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив активных ответственных по задаче ЗадачаВход.
Функция ПолучитьМассивПользователейПоЗадаче(ЗадачаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьМассивПользователейПоЗадаче(ЗадачаВход));
```
</details>

## СоздатьСобытиеОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаёт запись в регистре СобытияОповещений по переданным параметрам в структуре Параметры.
Процедура СоздатьСобытиеОповещения(Параметры) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.СоздатьСобытиеОповещения(Параметры));
```
</details>

## ОповеститьПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаёт событие оповещения
//
// Параметры:
//  ВидСобытия - Вид события оповещения;
//  ШаблонОповещения - Шаблон, который будет заполнен в оповещении. Если не указан - будет использоваться из настроек оповещения;
//  ИсточникСсылка - Ссылка на ключевой объект оповещения. Если не указан - будет использоваться объект оповещения, назначенный категории оповещения;
//  СписокРассылки - Список пользователей, которым будет отправлено оповещение. Если не указан - будет использоваться пользователь, назначенный категорией оповещения;
//  ДопПараметры - Структура дополнительных параметров, подставляемых в шаблон;
//  ЗадачаВход - Задача, которая будет привязана к данному оповещению. Если не указано - оповещение будет создано без привязки к задаче;
//  ЭтапПроцессаВход - Этап процесса (если требуется), на котором произошло данное событие.
Функция ОповеститьПользователей(ВидСобытия, ШаблонОповещения = Неопределено, ИсточникСсылка = Неопределено, СписокРассылки = Неопределено, ДопПараметры = Неопределено, ЗадачаВход = Неопределено, ЭтапПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ОповеститьПользователей(ВидСобытия, ШаблонОповещения, ИсточникСсылка, СписокРассылки, ДопПараметры, ЗадачаВход, ЭтапПроцессаВход);
```
</details>

## СоздатьНапоминание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаёт напоминание
//
// Параметры:
//  ВидСобытия - вид события оповещения;
//  ИсточникСсылка - ссылка на ключевой объект напоминания;
//  СписокРассылки - список пользователей, которым будет отправлено напоминание;
Функция СоздатьНапоминание(ВидСобытия, ИсточникСсылка, СписокРассылки, ТекущийДокументПроцесса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.СоздатьНапоминание(ВидСобытия, ИсточникСсылка, СписокРассылки, ТекущийДокументПроцесса);
```
</details>

## ПолучитьТипОбъектаОповещенияПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на элементы справочника Справочник БД/Документ БД,
// который соответствует принадлежности ссылки СсылкаВход.
Функция ПолучитьТипОбъектаОповещенияПоСсылке(ИсточникСсылкаВходПараметр) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьТипОбъектаОповещенияПоСсылке(ИсточникСсылкаВходПараметр) 
```
</details>

## ПолучитьТаблицуШаблоновПоПараметрамРассылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений, содержащую шаблоны оповещений и получателей
// по объекту ИсточникСсылкаВход и событию ВидСобытияВход
Функция ПолучитьТаблицуШаблоновПоПараметрамРассылки(ВидСобытияВход, ИсточникСсылкаВход, ТипОбъектаОповещения) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьТаблицуШаблоновПоПараметрамРассылки(ВидСобытияВход, ИсточникСсылкаВход, ТипОбъектаОповещения)  
```
</details>

## ПолучитьТекстСообщенияПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст сообщения по событию ВидСобытияВход и ИсточникСсылкаВход. Когда категория не задана -
// будет вычислена из Вида события. Сначала используется шаблон ШаблонОповещения, после ШаблонПоУмолчанию,
// в случае отсутствия обоих - берется шаблон из кода.
Функция ПолучитьТекстСообщенияПоШаблону(ВидСобытияВход, ИсточникСсылкаВход, КатегорияСобытияВход = Неопределено, ШаблонОповещения = Неопределено, ШаблонПоУмолчанию = Неопределено, ДопПараметрыВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьТекстСообщенияПоШаблону(ВидСобытияВход, ИсточникСсылкаВход, КатегорияСобытияВход, ШаблонОповещения, ШаблонПоУмолчанию, ДопПараметрыВход);
```
</details>

## ДобавитьТекстЗамещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст сообщения, в которое добавлена информация
// о замещении пользователя ЗамещаемыйВход.
Функция ДобавитьТекстЗамещения(СообщениеВход, ЗамещаемыйВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ДобавитьТекстЗамещения(СообщениеВход, ЗамещаемыйВход) 
```
</details>

## ПользовательПолучилОповещениеОЗадаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, получил ли пользователь оповещение по данной задаче ранее.
Функция ПользовательПолучилОповещениеОЗадаче(ПолучательВход, ЗадачаВход, ВидСобытияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПользовательПолучилОповещениеОЗадаче(ПолучательВход, ЗадачаВход, ВидСобытияВход));
```
</details>

## ДобавитьДопПараметрВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в таблицу дополнительных параметров ТаблицаДопПараметров значение ЗначениеПараметраВход
// параметра с кодом КодПараметраВход. Когда ТаблицаДопПараметров - неопределено, формирует новую.
Процедура ДобавитьДопПараметрВТаблицу(ТаблицаДопПараметров, КодПараметраВход, ЗначениеПараметраВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ДобавитьДопПараметрВТаблицу(ТаблицаДопПараметров, КодПараметраВход, ЗначениеПараметраВход) 
```
</details>

## ОповеститьПользователейВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьПользователейВФоне(Параметры, АдресХранилища, АдресХранилищаДополнительный) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ОповеститьПользователейВФоне(Параметры, АдресХранилища, АдресХранилищаДополнительный) 
```
</details>

## ПолучитьТекстПоВидуСобытияПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст оповещения по настройкам шаблонов для события ВидСобытияВход по
// объекту ИсточникСсылкаВход.
Функция ПолучитьТекстПоВидуСобытияПоШаблону(ВидСобытияВход, ИсточникСсылкаВход, ДопПараметрыВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьТекстПоВидуСобытияПоШаблону(ВидСобытияВход, ИсточникСсылкаВход, ДопПараметрыВход);
```
</details>

## ПреобразоватьСтруктуруДопПараметровОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует структуру дополнительных параметров оповещения в таблицу для передачи в
// программный интерфейс заполнения шаблона.
Функция ПреобразоватьСтруктуруДопПараметровОповещения(СтруктураВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПреобразоватьСтруктуруДопПараметровОповещения(СтруктураВход) 
```
</details>

## ПолучитьПустоеЗначениеСправочникаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустое значение по данным справочника (Справочник БД, Документ БД).
Функция ПолучитьПустоеЗначениеСправочникаБД(СправочникБДВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьПустоеЗначениеСправочникаБД(СправочникБДВход) 
```
</details>

## ПолучитьПоставляемыеДанныеПоВидуСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую данные поставляемого макета по виду события
// ВидСобытияВход и категории КатегорияВход.
Функция ПолучитьПоставляемыеДанныеПоВидуСобытия(ВидСобытияВход, КатегорияВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьПоставляемыеДанныеПоВидуСобытия(ВидСобытияВход, КатегорияВход);
```
</details>

## ПолучитьТекстОповещенияПоВидуСобытияПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстОповещенияПоВидуСобытияПоУмолчанию(КатегорияСобытия, ВидСобытия, ИсточникСсылка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьТекстОповещенияПоВидуСобытияПоУмолчанию(КатегорияСобытия, ВидСобытия, ИсточникСсылка) 
```
</details>

## ПолучитьОповещаемыхПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОповещаемыхПоУмолчанию(КатегорияСобытия,ВидСобытия,ИсточникСсылка,ИсходныйСписокРассылки) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьОповещаемыхПоУмолчанию(КатегорияСобытия, ВидСобытия, ИсточникСсылка, ИсходныйСписокРассылки));
```
</details>

## ДобавитьЗаместителейПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию ТаблицаВход, дополненную заместителями
// пользователей, а также колонкой с замещаемыми пользователями.
Функция ДобавитьЗаместителейПользователей(ТаблицаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ДобавитьЗаместителейПользователей(ТаблицаВход));
```
</details>

## ПолучитьОповещаемыхПоСпискуРассылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОповещаемыхПоСпискуРассылки(СписокРассылки,ИсточникСсылка,ТипОбъектаОповещения,ИсходныйСписокРассылки) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьОповещаемыхПоСпискуРассылки(СписокРассылки, ИсточникСсылка, ТипОбъектаОповещения, ИсходныйСписокРассылки));
```
</details>

## ОповеститьПользователейПоНаборуЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьПользователейПоНаборуЗаписей(НаборЗаписей) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ОповеститьПользователейПоНаборуЗаписей(НаборЗаписей) 
```
</details>

## ВернутьСписокОповещаемыхПоЭтапуПодготовкиОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСписокОповещаемыхПоЭтапуПодготовкиОтчетности(Этап,ВерсияОрганизационнойСтруктуры,Организация=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ВернутьСписокОповещаемыхПоЭтапуПодготовкиОтчетности(Этап, ВерсияОрганизационнойСтруктуры, Организация);
```
</details>

## ПолучитьОграниченияТипаДляВидаОбъектаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ограничение типа для выбора вида объекта оповещения по категории
// КатегорияВход, событию ВидСобытияВход и типу объекта ТипОбъектаВход.
Функция ПолучитьОграниченияТипаДляВидаОбъектаОповещения(КатегорияВход, ВидСобытияВход, ТипОбъектаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьОграниченияТипаДляВидаОбъектаОповещения(КатегорияВход, ВидСобытияВход, ТипОбъектаВход) 
```
</details>

## ПолучитьЗначениеПараметраПоПолномуИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Функция получает значение параметра оповещения по полному имени
//
Функция ПолучитьЗначениеПараметраПоПолномуИмени(ОбъектСсылкаВход, ИмяПараметра) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьЗначениеПараметраПоПолномуИмени(ОбъектСсылкаВход, ИмяПараметра));
```
</details>

## ВернутьОбъектШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьОбъектШаблона(ТипОбъектаОповещения,НазначениеОповещения) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ВернутьОбъектШаблона(ТипОбъектаОповещения, НазначениеОповещения) 
```
</details>

## ДобавитьСтандартныеРеквизитыВСхему
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в схему скд МакетСкд ревизитов объекта ТипОбъектаОповещенияВход его
// стандартные реквизиты.
Процедура ДобавитьСтандартныеРеквизитыВСхему(ТипОбъектаОповещенияВход, МакетСкд) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ДобавитьСтандартныеРеквизитыВСхему(ТипОбъектаОповещенияВход, МакетСкд));
```
</details>

## ЭтоПредставлениеПримитивногоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, принадлежит ли представление типа ПредставлениеВход примитивному типу.
Функция ЭтоПредставлениеПримитивногоТипа(ПредставлениеВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ЭтоПредставлениеПримитивногоТипа(ПредставлениеВход));
```
</details>

## ПолучитьСхемуСКДДляПодстановкиВШаблоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСхемуСКДДляПодстановкиВШаблоне(ТипОбъектаОповещения, ВидОбъектаОповещения, НазначениеОповещения, ВидСобытияВход = Неопределено, ОграничиватьСсылочныеВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьСхемуСКДДляПодстановкиВШаблоне(ТипОбъектаОповещения, ВидОбъектаОповещения, НазначениеОповещения, ВидСобытияВход, ОграничиватьСсылочныеВход);
```
</details>

## ЗаполнитьСхемуСКДДляПодстановкиВШаблоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСхемуСКДДляПодстановкиВШаблоне(ТипОбъектаОповещенияВход, ВидОбъектаОповещенияВход, НазначениеОповещенияВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ЗаполнитьСхемуСКДДляПодстановкиВШаблоне(ТипОбъектаОповещенияВход, ВидОбъектаОповещенияВход, НазначениеОповещенияВход, ВыходноеЗначение) 
```
</details>

## ДобавитьОписаниеПоляСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОписаниеПоляСКД(ИмяПоля,СинонимПоля,ТипДанных,МакетСкд, ТипОбъектаОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ДобавитьОписаниеПоляСКД(ИмяПоля, СинонимПоля, ТипДанных, МакетСкд, ТипОбъектаОповещения);
```
</details>

## ПолучитьПредставлениеПараметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредставлениеПараметра(СтрПараметр) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьПредставлениеПараметра(СтрПараметр));
```
</details>

## ЗаполнитьНастройкиОповещений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура вызывается для заполнения предопределенных элементов категорий оповещений и видов событий оповещений
Процедура ЗаполнитьНастройкиОповещений() Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ЗаполнитьНастройкиОповещений() 
```
</details>

## ПолучитьТипОбъектаПоВидуОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип объекта оповещения, ассоциировнный с видом события ВидСобытияВход.
// Когда невозможно однозначно определить тип объекта - возвращает Неопределено.
Функция ПолучитьТипОбъектаПоВидуОповещения(ВидСобытияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьТипОбъектаПоВидуОповещения(ВидСобытияВход) 
```
</details>

## ДобавитьНапоминаниеПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет напоминание по ПользовательВход, ВремяСобытияВход, ИсточникВход,
// ВидСобытияОповещенияВход с указанными параметрами.
Процедура ДобавитьНапоминаниеПользователя(ПользовательВход, ВремяСобытияВход, ИсточникВход, ВидСобытияОповещенияВход, СрокНапоминанияВход, ИнтервалВремениНапоминанияВход = 0, ВремяПоследнегоНапоминанияВход = Неопределено, ОписаниеВход = "", ЗадачаВход = Неопределено, ДопПараметрыВход = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ДобавитьНапоминаниеПользователя(ПользовательВход, ВремяСобытияВход, ИсточникВход, ВидСобытияОповещенияВход, СрокНапоминанияВход, ИнтервалВремениНапоминанияВход, ВремяПоследнегоНапоминанияВход, ОписаниеВход, ЗадачаВход, ДопПараметрыВход);
```
</details>

## ДобавитьНапоминаниеПользователяСЗадачей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет напоминание пользователю и задачу, где необходимые параметры заданы в виде
// структуры СтруктураВход.
Процедура ДобавитьНапоминаниеПользователяСЗадачей(СтруктураВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ДобавитьНапоминаниеПользователяСЗадачей(СтруктураВход) 
```
</details>

## ДобавитьНапоминаниеПользователяПоСтруктуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет напоминание пользователю, где необходимые параметры заданы в виде Структуры
//
// Параметры:
//  СтруктураВход 	- см. МодульУправленияОповещениямиУХ.СтруктураНапоминания
//
Процедура ДобавитьНапоминаниеПользователяПоСтруктуре(СтруктураВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ДобавитьНапоминаниеПользователяПоСтруктуре(СтруктураВход) 
```
</details>

## СтруктураНапоминания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Структура для создания напоминания см. МодульУправленияОповещениямиУХ.ДобавитьНапоминаниеПользователяПоСтруктуре
//
// Возвращаемое значение:
//   - Структура
//
Функция СтруктураНапоминания() Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.СтруктураНапоминания() 
```
</details>

## ПолучитьТаблицуНаступившихСобытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу напоминаний, которые уже наступили на дату ДатаВход.
// Когда ДатаВход не указана - будет использована текущая.
Функция ПолучитьТаблицуНаступившихСобытий(ДатаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьТаблицуНаступившихСобытий(ДатаВход);
```
</details>

## ПолучитьТаблицуАктуальныхНапоминанийПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу напоминаний актуальных для пользователя ПользовательВход на дату ДатаВход.
// Когда ДатаВход не указана, берётся текущая.
Функция ПолучитьТаблицуАктуальныхНапоминанийПользователя(ПользовательВход, ДатаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьТаблицуАктуальныхНапоминанийПользователя(ПользовательВход, ДатаВход);
```
</details>

## ПеренестиНапоминание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет перенос напоминания по параметрам ПользовательВход, ВремяСобытияВход, ИсточникВход, ВидСобытияОповещенияВход
// на новое время НоваяДатаОповещенияВход. Когда параметр ЗафиксироватьПереносВход - Истина, будет также записано время переноса.
// Возвращает успешность выполнения операции.
Функция ПеренестиНапоминание(ПользовательВход, ВремяСобытияВход, ИсточникВход, ВидСобытияОповещенияВход, НоваяДатаОповещенияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПеренестиНапоминание(ПользовательВход, ВремяСобытияВход, ИсточникВход, ВидСобытияОповещенияВход, НоваяДатаОповещенияВход) 
```
</details>

## ОтключитьНапоминание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отключение напоминания пользователя по переданным параметрам. Возвращает успешность выполнения операции.
Функция ОтключитьНапоминание(ПользовательВход, ВремяСобытияВход, ИсточникВход, ВидСобытияОповещенияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ОтключитьНапоминание(ПользовательВход, ВремяСобытияВход, ИсточникВход, ВидСобытияОповещенияВход) 
```
</details>

## УдалитьНапоминание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из регистра напоминание по переданным параметрам.
Процедура УдалитьНапоминание(ПользовательВход, ВремяСобытияВход, ИсточникВход, ВидСобытияОповещенияВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.УдалитьНапоминание(ПользовательВход, ВремяСобытияВход, ИсточникВход, ВидСобытияОповещенияВход) 
```
</details>

## УдалитьНапоминанияПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из регистра напоминание по переданным параметрам.
//
// Параметры:
//  ПараметрыОтбора	 - Структура - параметры отбора напоминаний по измерениям регистра НапоминанияПользователяУХ
//
Процедура УдалитьНапоминанияПоОтбору(ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.УдалитьНапоминанияПоОтбору(ПараметрыОтбора) 
```
</details>

## УдалитьНапоминанияПоИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Удаляет напоминания по источнику
//
// Параметры:
//  Источник - см. РегистрСведений.НапоминанияПользователяУХ.Источник
//
Процедура УдалитьНапоминанияПоИсточнику(Источник) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.УдалитьНапоминанияПоИсточнику(Источник) 
```
</details>

## ОбновитьОповещенияПоНапоминаниям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие оповещения по задаче ЗадачаВход. В случае отсуствия - создаёт новое оповещение с переданными
// параметрами. Иначе - обновляет дату создания и сбрасывает флаг прочтения у оповещения.
Процедура ОбновитьОповещенияПоНапоминаниям(ПользовательВход, ИсточникВход, ВидСобытияОповещенияВход, ЗадачаВход, ДопПараметрыВход = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ОбновитьОповещенияПоНапоминаниям(ПользовательВход, ИсточникВход, ВидСобытияОповещенияВход, ЗадачаВход, ДопПараметрыВход);
```
</details>

## ОбработатьТаблицуНапоминанийСобытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет рассылку оповещений и перенос напоминаний по таблице
// событий ТаблицаСобытийВход
Процедура ОбработатьТаблицуНапоминанийСобытий(ТаблицаСобытийВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ОбработатьТаблицуНапоминанийСобытий(ТаблицаСобытийВход));
```
</details>

## ОбработатьНапоминанияПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет обработку напоминаний пользователей и отправку по ним оповещений при необходимости
Процедура ОбработатьНапоминанияПользователей() Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ОбработатьНапоминанияПользователей() 
```
</details>

## ПолучитьИнтервалДоБлижайшегоНапоминанияПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает время (в секундах) до ближайшего напоминания пользователю ПользовательВход
Функция ПолучитьИнтервалДоБлижайшегоНапоминанияПользователя(ПользовательВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьИнтервалДоБлижайшегоНапоминанияПользователя(ПользовательВход));
```
</details>

## ОбработатьНапоминанияТекущегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет поиск наступивших напоминаний пользователя. Возвращает
// структуру, содержащую массив напоминаний и интервал до ближайшего
// следующего напоминания
Функция ОбработатьНапоминанияТекущегоПользователя() Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ОбработатьНапоминанияТекущегоПользователя() 
```
</details>

## СоздатьСтруктуруНапоминанияПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаёт структуру напоминания с настройками СтруктураНастроекВход по
// событию оповещения для отправки пользователю ПользовательВход напоминания
// о событии в дату ВремяСобытияВход по объекту напоминания ИстиочникСобытияВход.
// ВАЖНО! Ссылка на задачу по умолчанию не включается в структуру.
Функция СоздатьСтруктуруНапоминанияПоУмолчанию(СтруктураНастроекВход, ПользовательВход, ВремяСобытияВход, ИсточникСобытияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.СоздатьСтруктуруНапоминанияПоУмолчанию(СтруктураНастроекВход, ПользовательВход, ВремяСобытияВход, ИсточникСобытияВход) 
```
</details>

## ПолучитьНастройкиОповещенийПоВидуСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По виду события ВидСобытияВход возвращает структуру настроек оповещения
Функция ПолучитьНастройкиОповещенийПоВидуСобытия(ВидСобытияВход, ВидОбъектаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьНастройкиОповещенийПоВидуСобытия(ВидСобытияВход, ВидОбъектаВход);
```
</details>

## ПолучитьНастройкиОповещенийПоВидуСобытияИТипуОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По виду события ВидСобытияВход и типу объекта ТипОбъектаВход возвращает структуру настроек оповещения
Функция ПолучитьНастройкиОповещенийПоВидуСобытияИТипуОбъекта(ВидСобытияВход, ТипОбъектаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ПолучитьНастройкиОповещенийПоВидуСобытияИТипуОбъекта(ВидСобытияВход, ТипОбъектаВход) 
```
</details>

## ВключеноОповещениеПоВидуСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает состояние включения оповещения по виду события ВидСобытияВход.
Функция ВключеноОповещениеПоВидуСобытия(ВидСобытияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияОповещениямиУХ.ВключеноОповещениеПоВидуСобытия(ВидСобытияВход) 
```
</details>

## УдалитьНапоминанияПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Снимает напоминание пользователям из МассивОповещаемыхВход по заданным параметрам.
Процедура УдалитьНапоминанияПользователей(ИсточникВход, ВидСобытияВход, МассивОповещаемыхВход, ДатаВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.УдалитьНапоминанияПользователей(ИсточникВход, ВидСобытияВход, МассивОповещаемыхВход, ДатаВход) 
```
</details>

## СоздатьНапоминаниеПоЛоту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает напоминание пользователям из массива МассивОповещаемыхВход по лоту ЛотВход
// по виду события ВидСобытияВход на дату ДатаВход.
Процедура СоздатьНапоминаниеПоЛоту(ЛотВход, ВидСобытияВход, МассивОповещаемыхВход, ДатаВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.СоздатьНапоминаниеПоЛоту(ЛотВход, ВидСобытияВход, МассивОповещаемыхВход, ДатаВход) 
```
</details>

## УдалитьНапоминанияПоДоговорам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из регистра напоминания об оплате по договорам из массива МассивДоговоровВход.
Процедура УдалитьНапоминанияПоДоговорам(МассивДоговоровВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.УдалитьНапоминанияПоДоговорам(МассивДоговоровВход) 
```
</details>

## ОповеститьПользователейОбИзмененииСостояния
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьПользователейОбИзмененииСостояния(ТекЗапись,ОбъектОповещенияСсылка) Экспорт
```

Пример вызова
```bsl
МодульУправленияОповещениямиУХ.ОповеститьПользователейОбИзмененииСостояния(ТекЗапись, ОбъектОповещенияСсылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
