---
title: Мониторинг целевых показателей
slug: erp-uh/мониторинг-целевых-показателей
---


## ПолучитьНастройкиМонитораЦелевыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пользовательские настройки монитора целевых показателей
//
// Параметры:
//	Дашборд - СправочникСсылка.ДашбордыМЦП - дашборд с настройками МЦП
//
// Возвращаемое значение:
//	Структура - содержит пользовательские настройки:
//		* ВариантГруппировкиПоказателей - Строка - принимает значения "ПоКатегориямЦелей" и "ПоСостоянию"
//		* ВариантОтображенияДеталей - Строка - принимает значения "ПоказыватьТолькоТекущееЗначение" и "ПоказыватьТекущееЗначениеИДетали"
//		* КоличествоКолонокМонитораПоказателей - Число - количество колонок на форме.
//		* РазмерДиаграмм - Число - принимает значения 1(малый) и 2(Крупный)
//		* ПериодАвтообновления - Число - период в минутах.
//
Функция ПолучитьНастройкиМонитораЦелевыхПоказателей(Дашборд = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьНастройкиМонитораЦелевыхПоказателей(Дашборд);
```
</details>

## ПодготовитьДанныеДляЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается из фонового задания для подготовки данных для заполнения
// монитора целевых показателей.
//
// Параметры:
//	ПараметрыСоставаМонитора - Структура - структура параметров для подготовки данных:
//		* СтруктураНастроек - см. МониторингЦелевыхПоказателей.ПолучитьНастройкиМонитораЦелевыхПоказателей
//		* ОтборСтатус - Строка, СписокЗначений - значения отбираемых статусов
//		* ПериодичностьКонтроля - ПеречислениеСсылка.Периодичность - периодичность контроля варианта анализа
//		* УчитыватьВариантыОтображения - Булево - учитывать визуальное представление при подготовке данных
//		* ДемонстрационныйРежим - Булево - получить демонстрационные данные вместо реальных
//  АдресХранилища - Строка - адрес временного хранилища с подготовленными данными.
//
Процедура ПодготовитьДанныеДляЗаполнения(ПараметрыСоставаМонитора, АдресХранилища) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ПодготовитьДанныеДляЗаполнения(ПараметрыСоставаМонитора, АдресХранилища) 
```
</details>

## ПолучитьСоставМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает подготовленный состав монитора целевых показателей
//
// Параметры:
//	ПараметрыСоставаМонитора - см. МониторингЦелевыхПоказателей.ПодготовитьДанныеДляЗаполнения.ПараметрыСоставаМонитора
//
// Возвращаемое значение:
//	Структура -
Функция ПолучитьСоставМонитора(ПараметрыСоставаМонитора) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьСоставМонитора(ПараметрыСоставаМонитора) 
```
</details>

## ПолучитьСоставМонитораВзаимосвязанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает подготовленный состав взаимосвязанных показателей монитора
// Параметры:
//	ПараметрыСоставаМонитора - Структура - структура параметров для подготовки данных. См. МониторингЦелевыхПоказателей.ПодготовитьДанныеДляЗаполнения.
//
// Возвращаемое значение:
//	См. ПолучитьВзаимосвязанныеВариантыАнализа
//
Функция ПолучитьСоставМонитораВзаимосвязанных(ПараметрыСоставаМонитора) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьСоставМонитораВзаимосвязанных(ПараметрыСоставаМонитора) 
```
</details>

## СтруктураВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает порядок вывода блоков информации в виде структуры
//
// Параметры:
//	СоставМонитора - Структура - таблица ссылок на показатели, которые должны попасть в отчет
// Возвращаемое значение:
//	Структура - описание порядка вывода блоков информации.
//
Функция СтруктураВывода(СоставМонитора) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.СтруктураВывода(СоставМонитора) 
```
</details>

## РасчетИсточниковДанныхВариантовАнализа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет источников данных, доступных хотя бы одному пользователю.
// Вызывается из регламентного задания "РасчетИсточниковДанныхВариантовАнализа".
//
Процедура РасчетИсточниковДанныхВариантовАнализа() Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.РасчетИсточниковДанныхВариантовАнализа() 
```
</details>

## ПолучитьВзаимосвязанныеВариантыАнализа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает набор источников данных взаимосвязанных вариантов анализа
//
// Параметры:
//	ВидПоиска - ПеречислениеСсылка.ВидыПоискаСвязанныхПоказателей - способ поиска связей
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - вариант анализа, для которого ищутся взаимосвязанные
//	ОтборЗонаВнимания - Число - характеризует статус или набор статусов
//	АдресаДинамическихПараметров - ТаблицаЗначений - содержит варианты анализа и адреса их дин. параметров.
//	ДемоДанные - Булево - Флаг построения отчета по демо-данным.
//
// Возвращаемое значение:
//	Структура - содержит набор источников данных и обобщенную информацию об источниках взаимосвязанных показателей:
//	 *НаборИсточниковДанных - ТаблицаЗначений - Таблица источников:
//	   **ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - Вариант анализа.
//	   **Цель - СправочникСсылка.СтруктураЦелей - Цель.
//	   **ЦельЦелевойПоказатель - Строка - Целевой показатель.
//	   **СостояниеПоНарастающемуИтогу - Булево - флаг расчета состояния по нарастающему итогу.
//	   **ВариантОтображения - ПеречислениеСсылка.ВариантыОтображенияВариантовАнализа - Вариант отображения.
//	   **ВыводитьПодробности - Булево - Флаг вывода подробностей.
//	   **ВыводитьИтогТаблицы - Булево - Флаг вывода итогов таблицы.
//	   **Позиция - Число - реквизит дополнительного упорядочивания варианта анализа.
//	   **НаименованиеЦелевогоПоказателя - Строка - Краткое наименование целевого показателя.
//	   **Группа - ПеречислениеСсылка.ВидыПоискаСвязанныхПоказателей - группа.
//	   **ИсточникДанных - См. ПолучитьИсточникДанныхВариантаАнализа
//	   **ЗонаВнимания - См. ЗонаАнализаЗначения
//	   **Пустой - Булево -
//	   **РасчетыНеактуальны - Булево -
//	   **ОшибкаРасчета - Булево -
//	   **ПорядокЗоныВнимания - Неопределено, ПеречислениеСсылка.ЗоныВниманияВариантовАнализа -
//	 *СтатистикаПоСтрокам - См. СтатистикаИсточниковДанныхПоЗонамВнимания
//	 *Пустой - Булево - Флаг пустого состава монитора.
//
Функция ПолучитьВзаимосвязанныеВариантыАнализа(ВидПоиска, ВариантАнализа, ОтборЗонаВнимания, АдресаДинамическихПараметров, ДемоДанные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьВзаимосвязанныеВариантыАнализа(ВидПоиска, ВариантАнализа, ОтборЗонаВнимания, АдресаДинамическихПараметров, ДемоДанные);
```
</details>

## ПолучитьПараметрыДоступностиАнализаВзаимосвязанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступность зависимых/влияющих вариантов анализа для текущего пользователя
// и переданного варианта анализа.
//
// Параметры:
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - вариант анализа, для которого ищутся взаимосвязанные.
//
// Возвращаемое значение:
//	Структура - содержит признаки доступности:
//		*ЕстьДоступныеВлияющие - Булево -
//		*ЕстьДоступныеЗависимые - Булево -
//
Функция ПолучитьПараметрыДоступностиАнализаВзаимосвязанных(ВариантАнализа) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьПараметрыДоступностиАнализаВзаимосвязанных(ВариантАнализа) 
```
</details>

## ВывестиОтдельныеПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет табличный документ информацией отдельных вариантов анализа
//
// Параметры:
//	ТабличныйДокумент - ТабличныйДокумент - табличный документ для заполнения
//	СоставМонитора - Структура - см. ПодготовитьДанныеДляЗаполнения:
//	 *Параметры - Структура -:
//	  **РежимАнализаВзаимосвязанных - Булево -
//	СтруктураВывода - Структура - описание порядка вывода блоков информации.
//
Процедура ВывестиОтдельныеПоказатели(ТабличныйДокумент, СоставМонитора, СтруктураВывода) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ВывестиОтдельныеПоказатели(ТабличныйДокумент, СоставМонитора, СтруктураВывода) 
```
</details>

## ВывестиОтдельныйПоказатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет табличный документ информацией отдельного варианта анализа
//
// Параметры:
//	ТабличныйДокумент - ТабличныйДокумент - табличный документ для заполнения
//	ОписаниеИсточникаДанных - Структура - полное описание источника данных.
//
Процедура ВывестиОтдельныйПоказатель(ТабличныйДокумент, ОписаниеИсточникаДанных) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ВывестиОтдельныйПоказатель(ТабличныйДокумент, ОписаниеИсточникаДанных) 
```
</details>

## УстановитьПараметрыВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает стандартные параметры вывода для табличного документа
//
// Параметры:
//	ТабличныйДокумент - ТабличныйДокумент - табличный документ для настройки.
//
Процедура УстановитьПараметрыВывода(ТабличныйДокумент) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.УстановитьПараметрыВывода(ТабличныйДокумент) 
```
</details>

## ПолучитьПоследнееЗначениеМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает последнее значение из переданного из СКД массива итогов
//
// Параметры:
//	Данные - Массив из Произвольный - массив итогов.
//	РазвернутьМассив - Булево - Истина, если нужно получить первое значение массива
//
// Возвращаемое значение:
//	Произвольный - последнее значение в массиве.
//
Функция ПолучитьПоследнееЗначениеМассива(Данные, РазвернутьМассив = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьПоследнееЗначениеМассива(Данные, РазвернутьМассив);
```
</details>

## ПолучитьИсточникДанныхВариантаАнализа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает источник данных варианта анализа
// Если источник данных в кэше устарел, то производится перерасчет и обновление кэша.
//
// Параметры:
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей
//	ВариантОтображения - ПеречислениеСсылка.ВариантыОтображенияВариантовАнализа - кратко, диаграмма, таблица
//	ПринудительноОбновитьДанные - Булево - указывает, что проверять актуальность данных не нужно.
//	ДинамическиеПараметры - Неопределено -
//						- Структура - содержит примененные дин. параметры варианта анализа:
//							*ПериодичностьРасчетаПоказателя - ПеречислениеСсылка.Периодичность - периодичность расчета.
//							*ОбъектАнализа - Строка - имя поля-измерения, которое будет в роли объекта анализа.
//	ДемоДанные - Булево - Флаг построения отчета по демо-данным.
//
// Возвращаемое значение:
//	Структура - источник данных варианта анализа.
//
Функция ПолучитьИсточникДанныхВариантаАнализа(ВариантАнализа, ВариантОтображения, ПринудительноОбновитьДанные = Ложь, ДинамическиеПараметры = Неопределено, ДемоДанные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьИсточникДанныхВариантаАнализа(ВариантАнализа, ВариантОтображения, ПринудительноОбновитьДанные, ДинамическиеПараметры, ДемоДанные);
```
</details>

## ПолучитьИсточникДанныхВариантаАнализаИзДемоДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает источник данных варианта анализа, на основании демонстрационных данных.
//
// Параметры:
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей
//	ВариантОтображения - ПеречислениеСсылка.ВариантыОтображенияВариантовАнализа - кратко, диаграмма, таблица
//	ДинамическиеПараметры - Неопределено -
//						- Структура - содержит примененные дин. параметры варианта анализа:
//							*ПериодичностьРасчетаПоказателя - ПеречислениеСсылка.Периодичность - периодичность расчета.
//							*ОбъектАнализа - Строка - имя поля-измерения, которое будет в роли объекта анализа.
//	ТаблицаДанных - Неопределено,
//				  - ТаблицаЗначений - таблица с возможными колонками (см. Справочник.ВариантыАнализаЦелевыхПоказателей.Форма.НастройкаДемоДанных.ИсточникДемоДанных):
//					*Период - Дата -
//					*ОбъектАнализа - Произвольный -
//					*ЗначениеПоказателя - Число -
//					*ЦелевоеЗначение - Число -
//					*ЦелевойДиапазонМаксимум - Число -
//					*ЦелевойДиапазонМинимум - Число -
//					*ПриведенноеГраничноеПозитивноеОтклонение - Число -
//					*ПриведенноеГраничноеНегативноеОтклонение - Число -
//					*ГраничноеПозитивноеОтклонение - Число -
//					*ГраничноеНегативноеОтклонение - Число -
//					*ЗначениеПоказателяДополнительное - Число -
//
// Возвращаемое значение:
//	См. ИнициализироватьИсточникДанных
Функция ПолучитьИсточникДанныхВариантаАнализаИзДемоДанных(ВариантАнализа, ВариантОтображения, ДинамическиеПараметры = Неопределено, ТаблицаДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьИсточникДанныхВариантаАнализаИзДемоДанных(ВариантАнализа, ВариантОтображения, ДинамическиеПараметры, ТаблицаДанных);
```
</details>

## ДатаСоСмещением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату, смещенную на указанное количество периодов
//
// Параметры:
//	Дата - Дата - исходная дата
//	Периодичность - ПеречислениеСсылка.Периодичность - шаг периода
//	ЧислоПериодов - Число - число периодов, на которые нужно сдвинуть исходную дату
//  НеделяДекадаСПервогоДня - Булево - указывает, будет ли для периодичности "Неделя" и "Декада"
// 		расчетная дата смещаться на начало недели или декады.
//
// Возвращаемое значение:
//	Дата - дата, смещенная на указанное количество периодов.
//
Функция ДатаСоСмещением(Дата, Периодичность, ЧислоПериодов, НеделяДекадаСПервогоДня = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ДатаСоСмещением(Дата, Периодичность, ЧислоПериодов, НеделяДекадаСПервогоДня);
```
</details>

## ПредставлениеПериодаВариантаАнализа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление периода варианта анализа
//
// Параметры:
//	ИсточникДанных - См. ИнициализироватьИсточникДанных
//
// Возвращаемое значение:
//	Строка - строковое представление периода варианта анализа.
//
Функция ПредставлениеПериодаВариантаАнализа(Знач ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПредставлениеПериодаВариантаАнализа(ИсточникДанных) 
```
</details>

## ДополнитьТаблицуПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений, дополненную невошедшими датами
// для последующего использования в качестве объекта СКД.
//
// Параметры:
//  ТаблицаПериодов - ТаблицаЗначений - таблица периодов:
//    *Период - Дата -
//  НачалоПериода 	- Дата - начало периода
//  КонецПериода	- Дата - окончание периода
//  Периодичность	- ПеречислениеСсылка.Периодичность - принимает значения "ДЕНЬ,НЕДЕЛЯ,ДЕКАДА,МЕСЯЦ,КВАРТАЛ,ПОЛУГОДИЕ,ГОД".
//
// Возвращаемое значение:
//   ТаблицаЗначений - таблица значений, содержащая колонку "Период" и значения периодов:
//    *Период - Дата -
//
Функция ДополнитьТаблицуПериодов(Знач ТаблицаПериодов, НачалоПериода, КонецПериода, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ДополнитьТаблицуПериодов(ТаблицаПериодов, НачалоПериода, КонецПериода, Периодичность) 
```
</details>

## ПериодыЗаданнойПериодичности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений для последующего использования в качестве внешнего источника.
//
// Параметры:
//  НачалоПериода 	- Дата - начало периода.
//  КонецПериода	- Дата - окончание периода.
//  Периодичность	- ПеречислениеСсылка.Периодичность - принимает значения "ДЕНЬ,НЕДЕЛЯ,ДЕКАДА,МЕСЯЦ,КВАРТАЛ,ПОЛУГОДИЕ,ГОД".
//
// Возвращаемое значение:
//   ТаблицаЗначений	 - таблица значений, содержащая колонку "Период" и значения периодов.
//
Функция ПериодыЗаданнойПериодичности(НачалоПериода, КонецПериода, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПериодыЗаданнойПериодичности(НачалоПериода, КонецПериода, Периодичность) 
```
</details>

## ПериодыСДатойНаКонецПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений для последующего использования в качестве внешнего источника.
//
// Параметры:
//  НачалоПериода 	- Дата - начало периода.
//  КонецПериода	- Дата - окончание периода.
//  Периодичность	- ПеречислениеСсылка.Периодичность - принимает значения "ДЕНЬ,НЕДЕЛЯ,ДЕКАДА,МЕСЯЦ,КВАРТАЛ,ПОЛУГОДИЕ,ГОД".
//
// Возвращаемое значение:
//   ТаблицаЗначений	 - таблица значений, содержащая колонку "ДатаРасчета" и значения периодов.
//
Функция ПериодыСДатойНаКонецПериода(НачалоПериода, КонецПериода, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПериодыСДатойНаКонецПериода(НачалоПериода, КонецПериода, Периодичность) 
```
</details>

## ПериодыСравненияСАналогичнымиПериодамиВПрошлом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений для последующего использования в качестве внешнего источника.
//
// Параметры:
//	НачалоПериода - Дата - начало периода
//	КонецПериода- Дата - окончание периода
//	ШагПериодовСравнения- ПеречислениеСсылка.Периодичность - период, в котором будет выделен отрезок от начала и до окончания периода.
//	КоличествоПериодов- Число - количество сравниваемых периодов заданной периодичности.
//
// Пример: НачалоПериода = начало года, КонецПериода = текущая дата, ШагПериодовСравнения = год, КоличествоПериодов = 2
//	Будет получен набор периодов с начала года до текущей даты за текущий и прошлый год.
//
// Возвращаемое значение:
//   ТаблицаЗначений - таблица значений, содержащая колонки "ДатаНачалаРасчета", "ДатаОкончанияРасчета" и значения дат:
//    *ДатаНачалаРасчета - Дата -
//    *ДатаОкончанияРасчета - Дата -
//
Функция ПериодыСравненияСАналогичнымиПериодамиВПрошлом(НачалоПериода, КонецПериода, ШагПериодовСравнения, КоличествоПериодов) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПериодыСравненияСАналогичнымиПериодамиВПрошлом(НачалоПериода, КонецПериода, ШагПериодовСравнения, КоличествоПериодов) 
```
</details>

## ПолучитьТонНасыщенностьЯркостьПоКрасныйЗеленыйСиний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает компоненты цвета по модели HSV, по переданным компонентам RGB
//
// Параметры:
//	Красный - Число - от 0 до 255
//	Зеленый - Число - от 0 до 255
//	Синий - Число - от 0 до 255
//	Тон - Число - возвращается значение от 0 до 360 (градусов)
//	Насыщенность - Число - возвращается значение от 0 до 100 (%)
//	Светлота - Число - возвращается значение от 0 до 100 (%).
//
Процедура ПолучитьТонНасыщенностьЯркостьПоКрасныйЗеленыйСиний(Красный, Зеленый, Синий, Тон, Насыщенность, Светлота) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ПолучитьТонНасыщенностьЯркостьПоКрасныйЗеленыйСиний(Красный, Зеленый, Синий, Тон, Насыщенность, Светлота) 
```
</details>

## ПолучитьКрасныйЗеленыйСинийВебЦвета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает компоненты цвета по модели RGB, по переданным Web-цвету.
//
// Параметры:
//	Цвет - WebЦвета - системное перечисление.
//	Красный - Число - возвращается значение от 0 до 255.
//	Зеленый - Число - возвращается значение от 0 до 255.
//	Синий - Число - возвращается значение от 0 до 255.
//
Процедура ПолучитьКрасныйЗеленыйСинийВебЦвета(Цвет, Красный, Зеленый, Синий) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ПолучитьКрасныйЗеленыйСинийВебЦвета(Цвет, Красный, Зеленый, Синий) 
```
</details>

## ПолучитьКрасныйЗеленыйСинийПоТонуНасыщенностиЯркости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает компоненты цвета по модели RGB, по переданным компонентам HSV.
//
// Параметры:
//	Тон - Число - от 0 до 360 (градусов).
//	Насыщенность - Число - от 0 до 100 (%).
//	Светлота - Число - от 0 до 100 (%).
//	Красный - Число - возвращается значение от 0 до 255.
//	Зеленый - Число - возвращается значение от 0 до 255.
//	Синий - Число - возвращается значение от 0 до 255.
//
Процедура ПолучитьКрасныйЗеленыйСинийПоТонуНасыщенностиЯркости(Тон, Насыщенность, Светлота, Красный, Зеленый, Синий) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ПолучитьКрасныйЗеленыйСинийПоТонуНасыщенностиЯркости(Тон, Насыщенность, Светлота, Красный, Зеленый, Синий) 
```
</details>

## ПолучитьДополнительныйЦветПоТонуНасыщенностиЯркости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает компоненты дополнительного цвета по модели HSV, по переданным компонентам HSV.
//
// Параметры:
//	Тон - Число - от 0 до 360 (градусов).
//	Насыщенность - Число - от 0 до 100 (%).
//	Светлота - Число - от 0 до 100 (%).
//	НовыйТон - Число - возвращается значение от 0 до 360 (градусов).
//	НоваяНасыщенность - Число - возвращается значение от 0 до 100 (%).
//	НоваяСветлота - Число - возвращается значение от 0 до 100 (%).
//
Процедура ПолучитьДополнительныйЦветПоТонуНасыщенностиЯркости(Тон, Насыщенность, Светлота, НовыйТон, НоваяНасыщенность, НоваяСветлота) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ПолучитьДополнительныйЦветПоТонуНасыщенностиЯркости(Тон, Насыщенность, Светлота, НовыйТон, НоваяНасыщенность, НоваяСветлота) 
```
</details>

## ПолучитьДополнительныйЦветПоКрасныйЗеленыйСиний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает компоненты дополнительного цвета по модели HSV, по переданным компонентам RGB.
//
// Параметры:
//	Красный - Число - от 0 до 255.
//	Зеленый - Число - от 0 до 255.
//	Синий - Число - от 0 до 255.
//	НовыйКрасный - Число - возвращается значение от 0 до 255.
//	НовыйЗеленый - Число - возвращается значение от 0 до 255.
//	НовыйСиний - Число - возвращается значение от 0 до 255.
//
Процедура ПолучитьДополнительныйЦветПоКрасныйЗеленыйСиний(Красный, Зеленый, Синий, НовыйКрасный, НовыйЗеленый, НовыйСиний) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ПолучитьДополнительныйЦветПоКрасныйЗеленыйСиний(Красный, Зеленый, Синий, НовыйКрасный, НовыйЗеленый, НовыйСиний) 
```
</details>

## ВариантОтчетаПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие ВариантОтчетаПередУдалением.
//
// Параметры:
//	Источник - СправочникОбъект.ВариантыАнализаЦелевыхПоказателей - Ссылка на вариант анализа
//	Отказ - Булево - признак отказа удаления объекта.
//
Процедура ВариантОтчетаПередУдалением(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ВариантОтчетаПередУдалением(Источник, Отказ) 
```
</details>

## ЗаполнитьСтруктуруЦелейИВариантыАнализа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет справочники "Категории целей", "Структура целей" и "Варианты анализа целевых показателей",
// а также регистр сведений "Целевые значение вариантов анализа" по заданному шаблону.
// Если ранее демонстрационные показатели уже были созданы, то восстанавливаются стандартные настройки.
// Процедура используется только при обновлении информационной базы, первом запуске
// и может быть вызвана из раздела "Администрирование".
//
Процедура ЗаполнитьСтруктуруЦелейИВариантыАнализа() Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ЗаполнитьСтруктуруЦелейИВариантыАнализа() 
```
</details>

## ЗаполнитьДиаграммуДляМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заполненную и настроенную диаграмму для монитора показателей.
//
// Параметры:
//	Диаграмма - Диаграмма - исходный объект.
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - Ссылка на вариант анализа.
//	ИсточникСПараметрами - См. ИнициализироватьИсточникДанных
//
// Возвращаемое значение:
//	Диаграмма - заполненная данными и настроенная диаграмма.
//
Функция ЗаполнитьДиаграммуДляМонитора(Диаграмма, ВариантАнализа, ИсточникСПараметрами) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ЗаполнитьДиаграммуДляМонитора(Диаграмма, ВариантАнализа, ИсточникСПараметрами) 
```
</details>

## ЗаполнитьТаблицуДляМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу значений для монитора показателей
//
// Параметры:
//	ТаблицаЗначенийМонитора - ТаблицаЗначений - исходный объект
//	ИдентификаторЭлементаФормы - Строка - строковый идентификатор элемента формы, определяющий уникальность
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - Ссылка на вариант анализа
//	ИсточникСПараметрами - См. ИнициализироватьИсточникДанных
//
Процедура ЗаполнитьТаблицуДляМонитора(ТаблицаЗначенийМонитора, ИдентификаторЭлементаФормы, ВариантАнализа, ИсточникСПараметрами) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателей.ЗаполнитьТаблицуДляМонитора(ТаблицаЗначенийМонитора, ИдентификаторЭлементаФормы, ВариантАнализа, ИсточникСПараметрами) 
```
</details>

## ПолучитьДиаграммуПриОшибкахРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает диаграмму с сообщением об ошибке в заголовке
//
// Параметры:
//	ДиаграммаПриОшибках - Диаграмма - диаграмма, в которой будет установлено сообщение об ошибке
//	ТекстОшибки - Строка - текст выводимой ошибки.
//
// Возвращаемое значение:
//	Диаграмма - диаграмма, в которой будет установлено сообщение об ошибке.
//
Функция ПолучитьДиаграммуПриОшибкахРасчета(ДиаграммаПриОшибках, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьДиаграммуПриОшибкахРасчета(ДиаграммаПриОшибках, ТекстОшибки) 
```
</details>

## ПолучитьВалютуПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает валюту по умолчанию для заполнения настроек структуры целей и вариантов анализа.
//
// Возвращаемое значение:
//	СправочникСсылка.Валюты - валюта по умолчанию для настроек.
//
Функция ПолучитьВалютуПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьВалютуПоУмолчанию() 
```
</details>

## ПолучитьИмяЗначенияПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя значения объекта метаданных перечисление по ссылке.
//
// Параметры:
//  ПеречислениеСсылка - ПеречислениеСсылка - значение перечисления.
//
// Возвращаемое значение:
//  Строка - Если не найдено, то пустая строка.
//
Функция ПолучитьИмяЗначенияПеречисления(ПеречислениеСсылка) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьИмяЗначенияПеречисления(ПеречислениеСсылка) 
```
</details>

## ПолучитьИндексКартинкиСостоянияДляПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает индекс картинки, характеризующей состояние(статус) показателя для списка.
//
// Параметры:
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - Ссылка на вариант анализа.
//
// Возвращаемое значение:
//	Число - индекс картинки в коллекции.
//
Функция ПолучитьИндексКартинкиСостоянияДляПоказателя(ВариантАнализа, ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьИндексКартинкиСостоянияДляПоказателя(ВариантАнализа, ИсточникДанных) 
```
</details>

## ПолучитьИндексКартинкиТрендаДляПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает индекс картинки, характеризующей тренд(характер изменений) показателя для списка.
//
// Параметры:
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - Ссылка на вариант анализа.
//
// Возвращаемое значение:
//	Число - индекс картинки в коллекции.
//
Функция ПолучитьИндексКартинкиТрендаДляПоказателя(ВариантАнализа, ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьИндексКартинкиТрендаДляПоказателя(ВариантАнализа, ИсточникДанных) 
```
</details>

## ПолучитьКартинкуСостоянияДляПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает картинку, характеризующую состояние(статус) показателя
//
// Параметры:
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - Ссылка на вариант анализа
//	ИсточникДанных 	- ТаблицаЗначений с данными для диаграммы.
//
// Возвращаемое значение:
//	Картинка		- картинка из библиотеки картинок.
//
Функция ПолучитьКартинкуСостоянияДляПоказателя(ВариантАнализа, ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьКартинкуСостоянияДляПоказателя(ВариантАнализа, ИсточникДанных) 
```
</details>

## ПолучитьКартинкуТрендаДляПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает картинку, характеризующую тренд(характер изменений) показателя
//
// Параметры:
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - Ссылка на вариант анализа.
//
// Возвращаемое значение:
//	Число - индекс картинки из библиотеки.
//
Функция ПолучитьКартинкуТрендаДляПоказателя(ВариантАнализа, ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьКартинкуТрендаДляПоказателя(ВариантАнализа, ИсточникДанных) 
```
</details>

## ПолучитьОписаниеТиповСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов строки
//
// Параметры:
//  ДлинаСтроки - Число - количество символов в строке.
//
// Возвращаемое значение:
//	ОписаниеТипов - описание строкового типа заданной длины.
//
Функция ПолучитьОписаниеТиповСтроки(ДлинаСтроки) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьОписаниеТиповСтроки(ДлинаСтроки) 
```
</details>

## ПолучитьОписаниеТиповБулево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов булево.
//
// Возвращаемое значение:
//	ОписаниеТипов - описание булевого типа.
//
Функция ПолучитьОписаниеТиповБулево() Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьОписаниеТиповБулево() 
```
</details>

## ПолучитьСвойстваВариантаАнализа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую все свойства варианта анализа
//
// Параметры:
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - Ссылка на вариант анализа.
//
// Возвращаемое значение:
//  Структура - структура реквизитов и сопутствующих данных варианта анализа.
//
Функция ПолучитьСвойстваВариантаАнализа(ВариантАнализа, ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьСвойстваВариантаАнализа(ВариантАнализа, ИсточникДанных) 
```
</details>

## ПолучитьСокращенноеПредставлениеЧисла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление числа в виде тыс., млн
//
// Параметры:
//	ИсходноеЧисло - Число - форматируемое число
//	Разрядность - Число - количество знаков после запятой
//	ВидПредставленияЧисла - ПеречислениеСсылка.ВидыПредставленияЧисел - вид представления возвращаемой строки.
//
// Возвращаемое значение:
//	Строка - строковое представление числа в виде <ФорматированноеЧисло> <Размерность>.
//
Функция ПолучитьСокращенноеПредставлениеЧисла(ИсходноеЧисло, Разрядность, ВидПредставленияЧисла) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьСокращенноеПредставлениеЧисла(ИсходноеЧисло, Разрядность, ВидПредставленияЧисла) 
```
</details>

## ПолучитьСтрокуПредставленияЧисел
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку для видов тыс., млн
//
// Параметры:
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - Ссылка на вариант анализа.
//
// Возвращаемое значение:
//	Строка - представление размерности числа (пустая строка, "тыс." или "млн.").
//
Функция ПолучитьСтрокуПредставленияЧисел(ВариантАнализа) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьСтрокуПредставленияЧисел(ВариантАнализа) 
```
</details>

## СтатистикаИсточниковДанныхПоЗонамВнимания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количества источников данных с разбивкой по зонам внимания и вариантам отображения.
//
// Параметры:
//	НаборИсточниковДанных - ТаблицаЗначений - анализируемый набор
//	УчитыватьВариантыОтображения - Булево
//
// Возвращаемое значение:
//	Структура - содержит количества источников данных.
//
Функция СтатистикаИсточниковДанныхПоЗонамВнимания(НаборИсточниковДанных, УчитыватьВариантыОтображения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.СтатистикаИсточниковДанныхПоЗонамВнимания(НаборИсточниковДанных, УчитыватьВариантыОтображения);
```
</details>

## СтатистикаИсточниковДанныхПоСостояниям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количества источников данных с разбивкой по состояниям и вариантам отображения.
//
// Параметры:
//	НаборИсточниковДанных - ТаблицаЗначений - анализируемый набор
//	УчитыватьВариантыОтображения - Булево
//
// Возвращаемое значение:
//	Структура - содержит количества источников данных.
//
Функция СтатистикаИсточниковДанныхПоСостояниям(НаборИсточниковДанных, УчитыватьВариантыОтображения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.СтатистикаИсточниковДанныхПоСостояниям(НаборИсточниковДанных, УчитыватьВариантыОтображения);
```
</details>

## ТипыАнализаИДиаграмм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает свойства типов анализа - доступные типы диаграмм,
// доступность объекта анализа, требуется ли оформление типа анализа.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Описание:
// * ТипАнализа - ПеречислениеСсылка.ТипыАнализаПоказателей -
// * ТипДиаграммы - ПеречислениеСсылка.ТипыДиаграммПоказателей -
// * ОформлениеПокомпонентногоСравненияДоступно - Булево -
// * ОбъектАнализаДоступен - Булево -
// * ПериодСравненияДоступен - Булево -
// * ПрогнозированиеДоступно - Булево -
// * ВыводитьМаркерыТочекДоступно - Булево -
// * ВыводитьМаркерТочекПрогнозаДоступно - Булево -
// * ВыводитьПодписиКДиаграммамДоступно - Булево -
// * ОкантовкаДиаграммДоступно - Булево -
// * РежимСглаживанияДиаграммДоступно - Булево -
Функция ТипыАнализаИДиаграмм() Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ТипыАнализаИДиаграмм() 
```
</details>

## ПолучитьЦветаСостоянияИТрендаПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает цвета, характеризующие состояние(статус) и тренд (изменение) показателя.
//
// Параметры:
//	ВариантАнализа - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - Ссылка на вариант анализа.
//	ИсточникДанных - См. ПолучитьИсточникДанныхВариантаАнализаИзДемоДанных
//
// Возвращаемое значение:
//	Структура - со свойствами:
//		*ЦветСостояния - Цвет - цвет состояния.
//		*ЦветТренда - Цвет - цвет тренда.
//
Функция ПолучитьЦветаСостоянияИТрендаПоказателя(ВариантАнализа, ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПолучитьЦветаСостоянияИТрендаПоказателя(ВариантАнализа, ИсточникДанных) 
```
</details>

## ПрименитьКТаблицеУсловие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений с примененным к ней отбором
//
// Параметры:
//	ТаблицаЗначений - ТаблицаЗначений - обрабатываемая таблица
//	СтруктураОтборов - Структура - применяемые отборы.
//
// Возвращаемое значение:
//	ТаблицаЗначений - обработанная таблица.
//
Функция ПрименитьКТаблицеУсловие(ТаблицаЗначений, СтруктураОтборов) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПрименитьКТаблицеУсловие(ТаблицаЗначений, СтруктураОтборов) 
```
</details>

## ПрименитьКТаблицеУсловиеНЕ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений с примененным к ней отбором по условию НЕ
//
// Параметры:
//	ТаблицаЗначений - ТаблицаЗначений - обрабатываемая таблица
//	СтруктураОтборов - Структура - применяемые отборы.
//
// Возвращаемое значение:
//	ТаблицаЗначений - обработанная таблица.
//
Функция ПрименитьКТаблицеУсловиеНЕ(ТаблицаЗначений, СтруктураОтборов) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПрименитьКТаблицеУсловиеНЕ(ТаблицаЗначений, СтруктураОтборов) 
```
</details>

## ПроверитьСхемуКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат проверки шаблона расчета целевого показателя
//
// Параметры:
//	МакетСКДПоказателя - СхемаКомпоновкиДанных - проверяемый шаблон расчета.
//
// Возвращаемое значение:
//	Структура - содержит признак корректности шаблона и описание ошибки
//			МакетКорректный - Булево
//			ОписаниеОшибок - Массив - обнаруженные ошибки.
//
Функция ПроверитьСхемуКомпоновкиДанных(МакетСКДПоказателя) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПроверитьСхемуКомпоновкиДанных(МакетСКДПоказателя) 
```
</details>

## УникальныйИдентификаторВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление уникального идентификатора.
// Символы "-" заменяются на "_".
//
// Параметры:
//	УникальныйИдентификатор - УникальныйИдентификатор - идентификатор, который требуется преобразовать в строку.
//
// Возвращаемое значение:
//	Строка - строковое представление уникального идентификатора.
//
Функция УникальныйИдентификаторВСтроку(УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.УникальныйИдентификаторВСтроку(УникальныйИдентификатор) 
```
</details>

## СтрокуВУникальныйИдентификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает уникальный идентификатор из строки, которая была получена функцией УникальныйИдентификаторВСтроку.
//
// Параметры:
//	Строка - Строка - строковое представление уникального идентификатора, полученное функцией УникальныйИдентификаторВСтроку.
//
// Возвращаемое значение:
//	УникальныйИдентификатор - идентификатор, полученный из строки.
//
Функция СтрокуВУникальныйИдентификатор(Строка) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.СтрокуВУникальныйИдентификатор(Строка) 
```
</details>

## ПредставлениеСостояния
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает локализованное представление состояния
//
// Параметры:
//	Состояние - Строка - строковое значение состояния показателя.
//
// Возвращаемое значение:
//	Строка - локализованное, адаптированное для интерфейса представление состояния.
//
Функция ПредставлениеСостояния(Состояние) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателей.ПредставлениеСостояния(Состояние) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
