---
title: Мониторинг целевых показателей вызов сервера
slug: erp-uh/мониторинг-целевых-показателей-вызов-сервера
---


## СформироватьНастройкиВариантаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция заполняет переданными параметрами и возвращает пользовательские настройки варианта
// Этапы получения пользовательских настроек:
//		1. Получение пользовательских настроек для пользовательских вариантов отчетов (настройки сохранялись/несохранялись)
//		2. Получение пользовательских настроек для предопределенных вариантов отчетов (настройки сохранялись)
//		3. Получение пользовательских настроек для предопределенных вариантов отчетов (настройки не сохранялись, первый запуск).
//
// Параметры:
//	СвойстваВариантаАнализа - Структура - содержит:
//		* Ссылка        - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей - вариант анализа, настройки которого будут применены к отчету
//		* ПериодАнализа - ХранилищеЗначения - содержит упакованный СтандартныйПериод, описывающий период выборки данных
//		* ПериодАнализа - СтандартныйПериод - или уже в готовом виде
//	СвойстваВариантаОтчета  - Структура - вариант отчета, настройки которого будут установлены. Содержит:
//		* КлючВарианта - Строка -
//		* КлючОбъекта  - Строка -
//
// Возвращаемое значение:
//	Структура - содержит:
//		* ПользовательскиеНастройки - НастройкиКомпоновкиДанных -
//		* ФиксированныеНастройки    - ПользовательскиеНастройкиКомпоновкиДанных -
//
Функция СформироватьНастройкиВариантаОтчета(СвойстваВариантаАнализа, СвойстваВариантаОтчета) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателейВызовСервера.СформироватьНастройкиВариантаОтчета(СвойстваВариантаАнализа, СвойстваВариантаОтчета) 
```
</details>

## СкорректироватьНастройкиПоДоступнымПолям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура корректирует состав выбранных полей, полей отбора, полей порядка
// в соответствии с соответствующими доступными полями
//
Процедура СкорректироватьНастройкиПоДоступнымПолям(Настройки) Экспорт
```

Пример вызова
```bsl
МониторингЦелевыхПоказателейВызовСервера.СкорректироватьНастройкиПоДоступнымПолям(Настройки));
```
</details>

## ПолучитьСвойстваВариантаАнализаПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает свойства варианта анализа по идентификатору варианта
// Параметры:
//	Идентификатор - Строка - строковое представление идентификатора варианта анализа
// Возвращаемое значение:
//	Структура - структура свойств варианта анализа целевых показателей:
//	 *Ссылка - СправочникСсылка.ВариантыАнализаЦелевыхПоказателей -
//	 *ПериодАнализа - СтандартныйПериод -
//
Функция ПолучитьСвойстваВариантаАнализаПоИдентификатору(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателейВызовСервера.ПолучитьСвойстваВариантаАнализаПоИдентификатору(Идентификатор) 
```
</details>

## ПолучитьСсылкуСправочникаПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ссылку справочника по идентификатору ссылки
// Параметры:
//	ИмяОбъекта    - Строка - имя справочника
//	Идентификатор - Строка - идентификатор элемента справочника
// Возвращаемое значение:
//	СправочникСсылка - ссылка на объект метаданных.
//
Функция ПолучитьСсылкуСправочникаПоИдентификатору(ИмяОбъекта, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателейВызовСервера.ПолучитьСсылкуСправочникаПоИдентификатору(ИмяОбъекта, Идентификатор) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
