---
title: Мониторинг целевых показателей повт исп
slug: erp-uh/мониторинг-целевых-показателей-повт-исп
---


## МакетСтраницыПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает макет электронной формы анализа показателя
//
// Возвращаемое значение:
//  ТабличныйДокумент - макет табличного документа.
//
Функция МакетСтраницыПоказателя() Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателейПовтИсп.МакетСтраницыПоказателя() 
```
</details>

## ПолучитьМатрицуСостояний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает макет электронной формы анализа показателя
//
// Возвращаемое значение:
//  ТабличныйДокумент - макет табличного документа.
//
Функция ПолучитьМатрицуСостояний() Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателейПовтИсп.ПолучитьМатрицуСостояний() 
```
</details>

## ПредставлениеПоясненияКТрендуМатрицыСостояния
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление пояснения к тренду на языке текущего пользователя.
//
// Параметры:
//  ПояснениеКТренду - Строка - Строка пояснения к тренду из макета матрицы состояний.
//
// Возвращаемое значение:
//  Строка - Строка пояснения к тренду на языке текущего пользователя.
//
Функция ПредставлениеПоясненияКТрендуМатрицыСостояния(ПояснениеКТренду) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателейПовтИсп.ПредставлениеПоясненияКТрендуМатрицыСостояния(ПояснениеКТренду) 
```
</details>

## ПредставлениеПоясненияКСтатусуМатрицыСостояния
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление пояснения к статусу на языке текущего пользователя.
//
// Параметры:
//  ПояснениеКСтатусу - Строка - Строка пояснения к статусу из макета матрицы состояний.
//
// Возвращаемое значение:
//  Строка - Строка пояснения к статусу на языке текущего пользователя.
//
Функция ПредставлениеПоясненияКСтатусуМатрицыСостояния(ПояснениеКСтатусу) Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателейПовтИсп.ПредставлениеПоясненияКСтатусуМатрицыСостояния(ПояснениеКСтатусу) 
```
</details>

## ПолучитьРазделительПечатнойФормыВариантаАнализа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает область "РазделительБлоков" макета электронной формы анализа показателя.
//
// Возвращаемое значение:
//  ТабличныйДокумент - макет области табличного документа документа, для разделения блоков информации.
//
Функция ПолучитьРазделительПечатнойФормыВариантаАнализа() Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателейПовтИсп.ПолучитьРазделительПечатнойФормыВариантаАнализа() 
```
</details>

## СоставляющиеВебЦветов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу соответствия web цветов и составляющих цветов - красного, зеленого, синего.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица соответствия web цветов и составляющих цветов:
//   *ВебЦвет - WebЦвета - цвет.
//   *Красный - Число - Тон красного цвета по RGB.
//   *Зеленый - Число - Тон зеленого цвета по RGB.
//   *Синий   - Число - Тон синего цвета по RGB.
//
Функция СоставляющиеВебЦветов() Экспорт
```

Пример вызова
```bsl
Результат = МониторингЦелевыхПоказателейПовтИсп.СоставляющиеВебЦветов() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
