---
title: Наборы вызов сервера
slug: erp-uh/наборы-вызов-сервера
---


## ВариантКомплектацииНоменклатурыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает вариант комплектации номенклатуры по-умолчанию
//
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура - Позиция номенклатуры.
//  Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - Характеристика номенклатуры.
//
// Возвращаемое значение:
//  СправочникСсылка.ВариантыКомплектацииНоменклатуры - Вариант комплектации по-умолчанию.
//
Функция ВариантКомплектацииНоменклатурыПоУмолчанию(Знач Номенклатура, Знач Характеристика) Экспорт
```

Пример вызова
```bsl
Результат = НаборыВызовСервера.ВариантКомплектацииНоменклатурыПоУмолчанию(Номенклатура, Характеристика) 
```
</details>

## ПараметрыВариантаКомплектацииНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает параметры варианта комплектации номенклатуры
//
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура - Позиция номенклатуры.
//  Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - Характеристика номенклатуры.
//
// Возвращаемое значение:
//  Неопределено, Структура - Структура со свойствами:
//   * ВариантКомплектацииНоменклатуры - СправочникСсылка.ВариантыКомплектацииНоменклатуры - Вариант комплектации.
//   * ВариантРасчетаЦеныНабора - ПеречислениеСсылка.ВариантыРасчетаЦенНаборов - Вариант расчета цены набора.
//   * ВариантПредставленияНабораВПечатныхФормах - ПеречислениеСсылка.ВариантыПредставленияНаборовВПечатныхФормах -
//                                                 Вариант предоставления в печатных формах.
//   * Комплектующие - ТаблицаЗначений - Комплектующие.
//   * НоменклатураОсновногоКомпонента - СправочникСсылка.Номенклатура - Номенклатура основного компонента.
//   * ХарактеристикаОсновногоКомпонента - СправочникСсылка.ХарактеристикиНоменклатуры - Характеристика основного компонента.
//
Функция ПараметрыВариантаКомплектацииНоменклатуры(Знач Номенклатура, Знач Характеристика) Экспорт
```

Пример вызова
```bsl
Результат = НаборыВызовСервера.ПараметрыВариантаКомплектацииНоменклатуры(Номенклатура, Характеристика) 
```
</details>

## Комплектующие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает комплектующие набора, их цены и остатки на складах
//
// Параметры:
//  Параметры - Структура - Описание параметров набора.
//  ДополнительныеПараметры - Структура - Прочие параметры (Расчет цен и остатков).
//
// Возвращаемое значение:
//  Массив - Массив с комплектующими набора.
//
Функция Комплектующие(Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = НаборыВызовСервера.Комплектующие(Параметры, ДополнительныеПараметры) 
```
</details>

## ДополнитьДоПолногоНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура дополняет массив строк табличной части оставшимися строками наборов,
// если указанные наборы в массиве строк представлены не полностью.
//
// Параметры:
//  ТабличнаяЧасть - ТабличнаяЧасть - Табличная часть.
//  МассивСтрок - Массив - Строки табличной части для дополнения.
//  УчитыватьКодСтроки - Булево - Признак учета кода строки.
//
Процедура ДополнитьДоПолногоНабора(ТабличнаяЧасть, МассивСтрок, УчитыватьКодСтроки = Ложь) Экспорт
```

Пример вызова
```bsl
НаборыВызовСервера.ДополнитьДоПолногоНабора(ТабличнаяЧасть, МассивСтрок, УчитыватьКодСтроки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
