---
title: Наборы клиент
slug: erp-uh/наборы-клиент
---


## БлокируемыйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли поле блокируемым элементом подсистемы наборов
//
// Параметры:
//  Поле - ПолеФормы - Поле формы.
//
// Возвращаемое значение:
//  Булево - результат проверки
Функция БлокируемыйЭлемент(Поле) Экспорт
```

Пример вызова
```bsl
Результат = НаборыКлиент.БлокируемыйЭлемент(Поле) 
```
</details>

## ПередУдалениемСтрокиТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура обработчик события ПередУдалением
//
// Параметры:
//  ДанныеФормы - ФормаКлиентскогоПриложения -
//  ИмяТЧ       - Строка - Имя табличной части
//  Отказ       - Булево -
//  Копирование - Булево -
//  ИмяОбработчикаОповещения - Строка -
//
Процедура ПередУдалениемСтрокиТабличнойЧасти(ДанныеФормы, ИмяТЧ, Отказ, Копирование = Ложь, ИмяОбработчикаОповещения = "ПриУдаленииКомплектующих") Экспорт
```

Пример вызова
```bsl
НаборыКлиент.ПередУдалениемСтрокиТабличнойЧасти(ДанныеФормы, ИмяТЧ, Отказ, Копирование, ИмяОбработчикаОповещения);
```
</details>

## ПриУдаленииКомплектующих
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обработчик события ПриУдалении
//
// Параметры:
//  Форма     - Форма -
//  ИмяТЧ     - Строка - Имя табличной части
//  Параметры - Структура - (Наборы, Прочее).
//
Процедура ПриУдаленииКомплектующих(Форма, ИмяТЧ, Параметры) Экспорт
```

Пример вызова
```bsl
НаборыКлиент.ПриУдаленииКомплектующих(Форма, ИмяТЧ, Параметры) 
```
</details>

## ПроверитьЗаполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверки заполнения в части наборов
//
// Параметры:
//  Форма     - ДанныеФормыСтруктура - должна содержать в том числе:
//    * Товары - ТаблицаЗначений, ТабличнаяЧасть -
//  Отказ     - Булево -
//
Процедура ПроверитьЗаполнение(Форма, Отказ) Экспорт
```

Пример вызова
```bsl
НаборыКлиент.ПроверитьЗаполнение(Форма, Отказ) 
```
</details>

## ДополнитьДоПолногоНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура дополняет массив строк табличной части оставшимися строками наборов,
// если указанные наборы в массиве строк представлены не полностью.
//
// Параметры:
//  ТабличнаяЧасть - ТабличнаяЧасть -
//  МассивСтрок - Массив из СтрокаТабличнойЧасти -
//
Процедура ДополнитьДоПолногоНабора(ТабличнаяЧасть, МассивСтрок) Экспорт
```

Пример вызова
```bsl
НаборыКлиент.ДополнитьДоПолногоНабора(ТабличнаяЧасть, МассивСтрок) 
```
</details>

## ИзменитьВидимостьПредупрежденияОбОграниченииНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура управляет видимостью элементов в формах настройки состава набора
// если указанные наборы в массиве строк представлены не полностью.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения -
//
Процедура ИзменитьВидимостьПредупрежденияОбОграниченииНастроек(Форма) Экспорт
```

Пример вызова
```bsl
НаборыКлиент.ИзменитьВидимостьПредупрежденияОбОграниченииНастроек(Форма) 
```
</details>

## ДействиеРедактироватьНабор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет выполнение действия "РедактироватьНабор".
//
// Параметры:
//  Действие - Строка - Требуемое действие.
//
// Возвращаемое значение:
//  Булево - Это действие "Редактировать набор".
//
Функция ДействиеРедактироватьНабор(Действие) Экспорт
```

Пример вызова
```bsl
Результат = НаборыКлиент.ДействиеРедактироватьНабор(Действие) 
```
</details>

## ДействиеУдалитьВесьНабор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет выполнение действия "УдалитьВесьНабор".
//
// Параметры:
//  Действие - Строка - Требуемое действие.
//
// Возвращаемое значение:
//  Булево - Это действие "Удалить весь набор".
//
Функция ДействиеУдалитьВесьНабор(Действие) Экспорт
```

Пример вызова
```bsl
Результат = НаборыКлиент.ДействиеУдалитьВесьНабор(Действие) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
