---
title: Наборы клиент сервер
slug: erp-uh/наборы-клиент-сервер
---


## БлокируемыеЭлементы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список блокируемых элементов формы.
//
// Параметры:
//  ИмяТЧ - Строка - Имя табличной части.
//
// Возвращаемое значение:
//  Массив - Массив блокируемых элементов.
//
Функция БлокируемыеЭлементы(ИмяТЧ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НаборыКлиентСервер.БлокируемыеЭлементы(ИмяТЧ);
```
</details>

## ВыводитьТолькоЗаголовок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если СтрокаТовара должна отображаться с пустыми данными в колонках
// за исключением наименования.
//
// Параметры:
//  СтрокаТовары - СтрокаТабличнойЧасти - Строка товара.
//  ИспользоватьНаборы - Булево - Значение ФО ИспользоватьНаборы.
//
// Возвращаемое значение:
//  Булево - Истина, если СтрокаТовара должна отображаться с пустыми данными в колонках
//  за исключением наименования.
Функция ВыводитьТолькоЗаголовок(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыКлиентСервер.ВыводитьТолькоЗаголовок(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

## ВыводитьТолькоЗаголовокКомплектующих
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если СтрокаТовара должна отображаться с пустыми данными в колонках
// за исключением наименования и данная строка - Комплектующие набора.
//
// Параметры:
//  СтрокаТовары - СтрокаТабличнойЧасти - Строка товара.
//  ИспользоватьНаборы - Булево - Значение ФО ИспользоватьНаборы.
//
// Возвращаемое значение:
//  Булево - Истина, если СтрокаТовара должна отображаться с пустыми данными в колонках
//  за исключением наименования и данная строка - Комплектующие набора.
Функция ВыводитьТолькоЗаголовокКомплектующих(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыКлиентСервер.ВыводитьТолькоЗаголовокКомплектующих(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

## ВыводитьТолькоЗаголовокНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если СтрокаТовара должна отображаться с пустыми данными в колонках
// за исключением наименования и данная строка - Набор.
//
// Параметры:
//  СтрокаТовары - СтрокаТабличнойЧасти - Строка товара.
//  ИспользоватьНаборы - Булево - Значение ФО ИспользоватьНаборы.
//
// Возвращаемое значение:
//  Булево - Истина, если СтрокаТовара должна отображаться с пустыми данными в колонках
//  за исключением наименования и данная строка - Набор.
Функция ВыводитьТолькоЗаголовокНабора(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыКлиентСервер.ВыводитьТолькоЗаголовокНабора(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

## ИспользоватьОбластьНабор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если область набора должна быть использована в печатной форме.
//
// Параметры:
//  СтрокаТовары - СтрокаТабличнойЧасти - Строка товары.
//  ИспользоватьНаборы - Булево - Значение ФО ИспользоватьНаборы.
//
// Возвращаемое значение:
//  Булево - Истина, если область набора должна быть использована в печатной форме.
//
Функция ИспользоватьОбластьНабор(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыКлиентСервер.ИспользоватьОбластьНабор(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

## ИспользоватьОбластьКомплектующие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если область комплектующих должна быть использована в печатной форме.
//
// Параметры:
//  СтрокаТовары - СтрокаТабличнойЧасти - Строка товара.
//  ИспользоватьНаборы - Булево - Значение ФО ИспользоватьНаборы.
//
// Возвращаемое значение:
//  Булево - Истина, если область комплектующих должна быть использована в печатной форме.
//
Функция ИспользоватьОбластьКомплектующие(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыКлиентСервер.ИспользоватьОбластьКомплектующие(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
