---
title: Наборы сервер
slug: erp-uh/наборы-сервер
---


## УстановитьУсловноеОформление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает условное оформление для механизма Наборов
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, в которой нужно установить условное оформление, должна содержать:
//    * Объект - ДокументОбъект
//  ИмяТЧ - Строка - Имя табличной части
//  ТЧФормы - Булево - ТЧ это реквизит формы.
//
Процедура УстановитьУсловноеОформление(Форма, ИмяТЧ, ТЧФормы = Ложь) Экспорт
```

Пример вызова
```bsl
НаборыСервер.УстановитьУсловноеОформление(Форма, ИмяТЧ, ТЧФормы);
```
</details>

## ПриОкончанииРедактированияНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура должна вызываться при окончании редактирования набора
// в форме редактирования набора.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  ИмяТЧ - Строка - Имя табличной части
//  Параметры - Структура:
//  * Данные - ТаблицаЗначений
//  * СтруктураДействийСИзмененнымиСтроками - Структура
//  * СтруктураДействийСДобавленнымиСтроками - Структура
//  * КолонкиНабора - Массив из Строка
//  * СоответствиеИменКолонок - Соответствие из КлючИЗначение:
//    ** Ключ - Строка
//    ** Значение - Строка
//  * СверхЗаказа - Булево,
//                - Неопределено
//
Процедура ПриОкончанииРедактированияНабора(Форма, ИмяТЧ = "Товары", Параметры) Экспорт
```

Пример вызова
```bsl
НаборыСервер.ПриОкончанииРедактированияНабора(Форма, ИмяТЧ, Параметры) 
```
</details>

## ЗаполнитьСлужебныеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура должна вызываться при чтении или создании формы на сервере
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  ИмяТЧ - Строка - Имя табличной части
//  ТЧТаблицаЗначенийФормы - Булево -
//
Процедура ЗаполнитьСлужебныеРеквизиты(Форма, ИмяТЧ = "Товары", ТЧТаблицаЗначенийФормы = Ложь) Экспорт
```

Пример вызова
```bsl
НаборыСервер.ЗаполнитьСлужебныеРеквизиты(Форма, ИмяТЧ, ТЧТаблицаЗначенийФормы);
```
</details>

## АдресНабораВоВременномХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес набора во временном хранилище для
// последующего редактирования набора во временном хранилище.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  Параметры - Структура - Параметры
//  ИмяТЧ - Строка - Имя табличной части
//
// Возвращаемое значение:
//  Строка - Адрес во временном хранилище.
//
Функция АдресНабораВоВременномХранилище(Форма, Параметры, ИмяТЧ = "Товары") Экспорт
```

Пример вызова
```bsl
Результат = НаборыСервер.АдресНабораВоВременномХранилище(Форма, Параметры, ИмяТЧ);
```
</details>

## КоэффициентыРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу коэффициентов распределения цены набора на комплектующие
//
// Параметры:
//  ТабличнаяЧасть - ФормаКлиентскогоПриложения - Форма.
//  Параметры - Структура - Параметры распределения.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица коэффициентов распределения цены набора на комплектующие.
//
Функция КоэффициентыРаспределения(ТабличнаяЧасть, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = НаборыСервер.КоэффициентыРаспределения(ТабличнаяЧасть, Параметры) 
```
</details>

## ПустыеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустые значения параметров подсистемы.
//
// Возвращаемое значение:
//  Структура - Пустые значения параметров.
Функция ПустыеДанные() Экспорт
```

Пример вызова
```bsl
Результат = НаборыСервер.ПустыеДанные() 
```
</details>

## ПолучитьПрефиксИПостфикс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает префикс и постфикс наименования для вывода в печатных формах
//
// Параметры:
//  СтрокаТовары - Структура - Строка таблицы
//  ИспользоватьНаборы - Булево - Значение ФО "ИспользоватьНаборы".
//
// Возвращаемое значение:
//  Структура - префикс и постфикс.
Функция ПолучитьПрефиксИПостфикс(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыСервер.ПолучитьПрефиксИПостфикс(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

## ВыводитьТолькоЗаголовок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если СтрокаТовара должна отображаться с пустыми данными в колонках
// за исключением наименования.
//
// Параметры:
//  СтрокаТовары - Структура - Строка таблицы.
//  ИспользоватьНаборы - Булево - Значение ФО "ИспользоватьНаборы".
//
// Возвращаемое значение:
//  Булево - СтрокаТовара должна отображаться с пустыми данными в колонках
//           за исключением наименования.
Функция ВыводитьТолькоЗаголовок(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыСервер.ВыводитьТолькоЗаголовок(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

## ВыводитьТолькоЗаголовокКомплектующих
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если СтрокаТовара должна отображаться с пустыми данными в колонках
// за исключением наименования и данная строка - Комплектующие набора.
//
// Параметры:
//  СтрокаТовары - Структура - Строка таблицы.
//  ИспользоватьНаборы - Булево - Значение ФО "ИспользоватьНаборы".
//
// Возвращаемое значение:
//  Булево -
Функция ВыводитьТолькоЗаголовокКомплектующих(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыСервер.ВыводитьТолькоЗаголовокКомплектующих(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

## ВыводитьТолькоЗаголовокНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если СтрокаТовара должна отображаться с пустыми данными в колонках
// за исключением наименования и данная строка - Набор.
//
// Параметры:
//  СтрокаТовары - Структура - Строка таблицы.
//  ИспользоватьНаборы - Булево - Значение ФО "ИспользоватьНаборы".
//
// Возвращаемое значение:
//  Булево - СтрокаТовара должна отображаться с пустыми данными в колонках
//           за исключением наименования и данная строка - Набор.
//
Функция ВыводитьТолькоЗаголовокНабора(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыСервер.ВыводитьТолькоЗаголовокНабора(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

## ИспользоватьОбластьНабор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если область набора должна быть использована в печатной форме
//
// Параметры:
//  СтрокаТовары - Структура - СтрокаТаблицы.
//  ИспользоватьНаборы - Булево - Значение ФО "ИспользоватьНаборы".
//
// Возвращаемое значение:
//  Булево - область набора должна быть использована в печатной форме.
//
Функция ИспользоватьОбластьНабор(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыСервер.ИспользоватьОбластьНабор(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

## ИспользоватьОбластьКомплектующие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если область комплектующих должна быть использована в печатной форме.
//
// Параметры:
//  СтрокаТовары - Структура - Строка таблицы.
//  ИспользоватьНаборы - Булево - Значение ФО "ИспользоватьНаборы".
//
// Возвращаемое значение:
//  Булево - область комплектующих должна быть использована в печатной форме.
//
Функция ИспользоватьОбластьКомплектующие(СтрокаТовары, ИспользоватьНаборы) Экспорт
```

Пример вызова
```bsl
Результат = НаборыСервер.ИспользоватьОбластьКомплектующие(СтрокаТовары, ИспользоватьНаборы) 
```
</details>

## ПриУдаленииКомплектующих
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обработчик события ПриУдалении
//
// Параметры:
//  Форма     - ФормаКлиентскогоПриложения -
//  ИмяТЧ     - Строка - Имя табличной части
//  Параметры - Структура - (Наборы, Прочее).
//
Процедура ПриУдаленииКомплектующих(Форма, ИмяТЧ, Параметры) Экспорт
```

Пример вызова
```bsl
НаборыСервер.ПриУдаленииКомплектующих(Форма, ИмяТЧ, Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
