---
title: Назначения клиент
slug: erp-uh/назначения-клиент
---


## ЗаполнитьТипНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет служебный реквизит "ТипНазначения" в строке по данным указанного назначения
//
// Параметры:
//  ТекущаяСтрока        - Структура - данные обрабатываемой строки.
//  КэшированныеЗначения - Структура - сохраненные значения параметров, используемых при обработке.
//  ПараметрыЗаполнения  - см. НазначенияКлиентСервер.ПараметрыЗаполнения
//
Процедура ЗаполнитьТипНазначения(ТекущаяСтрока, КэшированныеЗначения, ПараметрыЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
НазначенияКлиент.ЗаполнитьТипНазначения(ТекущаяСтрока, КэшированныеЗначения, ПараметрыЗаполнения);
```
</details>

## ТоварыОбособленноПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В табличной части формы документа актуализирует назначение по флагу Обособленно.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - Строка в которой нужно актуализировать назначение.
//  Устарело - Булево - для совместимости с НаправленияДеятельностиКлиент.ТоварыОбособленноПриИзменении
Процедура ТоварыОбособленноПриИзменении(Форма, ТекущаяСтрока, Устарело = Ложь) Экспорт
```

Пример вызова
```bsl
НазначенияКлиент.ТоварыОбособленноПриИзменении(Форма, ТекущаяСтрока, Устарело);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
