---
title: Назначения клиент сервер
slug: erp-uh/назначения-клиент-сервер
---


## ПараметрыЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры заполнения по типу назначения
//
// Возвращаемое значение:
//  Структура - с ключами:
// * ИмяЗаполняемогоПоля - Строка                            - имя заполняемого поля
// * ИмяПоляТЧ           - Строка, Неопределено              - источник значение заполнения, приоритетнее чем ЗначениеПоля
// * ЗначениеПоля        - Произвольный                      - значение заполнения
// * ТипНазначения       - ПеречислениеСсылка.ТипыНазначений - тип назначения, по которому заполняется указанное поле указанным значением
//
Функция ПараметрыЗаполнения() Экспорт
```

Пример вызова
```bsl
Результат = НазначенияКлиентСервер.ПараметрыЗаполнения() 
```
</details>

## СтруктураДействийВставитьПриДобавленииСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для использования в формах документах в обработчиках событий, которые приводят к изменению назначения в
// строке табличной части документа. Добавляет в структуру действий действие, которое отрабатывается механизмами
// обработки табличных частей, см. ОбработкаТабличнойЧастиКлиент.ОбработатьСтрокуТЧ Выполнение такого
// действия актуализирует назначение в строке табличной части документа, в соответствии с изменившимся направлением деятельности.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма в которой необходимо выполнить действие по обработки строки табличной части.
//  СтруктураДействий - Структура - Структура действий, используемая механизмами обработки табличных частей (см.
//                                  процедуру ОбработкаТабличнойЧастиКлиент.ОбработатьСтрокуТЧ).
//  Устарело - Булево - Для совместимости с НаправленияДеятельностиКлиентСервер.СтруктураДействийВставитьПриДобавленииСтроки
Процедура СтруктураДействийВставитьПриДобавленииСтроки(Форма, СтруктураДействий, Устарело = Ложь) Экспорт
```

Пример вызова
```bsl
НазначенияКлиентСервер.СтруктураДействийВставитьПриДобавленииСтроки(Форма, СтруктураДействий, Устарело);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
