---
title: Накладные вызов сервера
slug: erp-uh/накладные-вызов-сервера
---


## ОформитьНакладныеПоЗаказам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для переданной группировки возвращает параметры для открытия формы оформляемой по заказам накладной.
// см. НакладныеКлиент.ОткрытьФормуСозданныхДокументов.
//
// Параметры:
//  ГруппировкиРаспоряжений				 - Массив - содержит массивы групп распоряжений по которым необходимо создать документ
//  															см. НакладныеКлиент.ДанныеДляОформленияПоЗаказам.
//  ПараметрыФормыСозданныхДокументов	 - Структура - параметры для ОбщаяФорма.ФормаСозданныхДокументов.
//  СписокОшибок						 - Структура - список ошибок.
//  ПолеОшибки							 - Строка - значение, которое задается в свойстве Поле объекта СообщениеПользователю.
//
// Возвращаемое значение:
//  Структура - Структура с полями:
//  		ИмяФормы	 - Строка
//  		Параметры	 - Структура.
//
Функция ОформитьНакладныеПоЗаказам(ГруппировкиРаспоряжений, ПараметрыФормыСозданныхДокументов, СписокОшибок, ПолеОшибки) Экспорт
```

Пример вызова
```bsl
Результат = НакладныеВызовСервера.ОформитьНакладныеПоЗаказам(ГруппировкиРаспоряжений, ПараметрыФормыСозданныхДокументов, СписокОшибок, ПолеОшибки) 
```
</details>

## ОформитьНакладныеПоОрдерам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для переданной группировки возвращает параметры для открытия формы переоформляемой по ордерам накладной.
// см. НакладныеКлиент.ОткрытьФормуСозданныхДокументов.
//
// Параметры:
//  ГруппировкиРаспоряжений				 - Массив - содержит массивы групп распоряжений по которым необходимо создать документ
//  															см. НакладныеКлиент.ДанныеДляОформленияПоОрдерам.
//  ПараметрыФормыСозданныхДокументов	 - Структура - параметры для ОбщаяФорма.ФормаСозданныхДокументов.
//  СписокОшибок						 - Структура - список ошибок.
//  ПолеОшибки							 - Строка - значение, которое задается в свойстве Поле объекта СообщениеПользователю.
//
// Возвращаемое значение:
//  Структура - Структура с полями:
//  		ИмяФормы	 - Строка
//  		Параметры	 - Структура.
//
Функция ОформитьНакладныеПоОрдерам(ГруппировкиРаспоряжений, ПараметрыФормыСозданныхДокументов, СписокОшибок, ПолеОшибки) Экспорт
```

Пример вызова
```bsl
Результат = НакладныеВызовСервера.ОформитьНакладныеПоОрдерам(ГруппировкиРаспоряжений, ПараметрыФормыСозданныхДокументов, СписокОшибок, ПолеОшибки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
