---
title: Накладные сервер
slug: erp-uh/накладные-сервер
---


## ОформитьНакладныеПоОрдерамВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для переданной группировки возвращает параметры для открытия формы переоформляемой по ордерам накладной.
// см. НакладныеКлиент.ОткрытьФормуСозданныхДокументов.
//
// Параметры:
//  ПараметрыПроцедуры - Структура - Структура с полями:
//   *ГруппировкиРаспоряжений            - Массив - содержит массивы групп распоряжений по которым необходимо создать документ
//  															см. НакладныеКлиент.ДанныеДляОформленияПоЗаказам.
//   *ПараметрыФормыСозданныхДокументов	 - Структура - параметры для ОбщаяФорма.ФормаСозданныхДокументов.
//   *ПолеОшибки						 - Строка - значение, которое задается в свойстве Поле объекта СообщениеПользователю.
//  АдресРезультата - Строка - Адрес во временном хранилище. Содержит сруктуру с полями:
//   * ПараметрыСозданныхДокументов - Структура - Структура с полями:
//     ** ИмяФормы	 - Строка    - имя открываемой формы
//  	** Параметры - Структура - параметры открываемой формы
//   * СписокОшибок - см. ОбщегоНазначенияКлиентСервер.ДобавитьОшибкуПользователю
//
Процедура ОформитьНакладныеПоОрдерамВФоне(ПараметрыПроцедуры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.ОформитьНакладныеПоОрдерамВФоне(ПараметрыПроцедуры, АдресРезультата) 
```
</details>

## ОформитьНакладныеПоЗаказамВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для переданной группировки возвращает параметры для открытия формы оформляемой по заказам накладной.
// см. НакладныеКлиент.ОткрытьФормуСозданныхДокументов.
//
// Параметры:
//  ПараметрыПроцедуры - Структура - Структура с полями:
//   *ГруппировкиРаспоряжений            - Массив - содержит массивы групп распоряжений по которым необходимо создать документ
//  															см. НакладныеКлиент.ДанныеДляОформленияПоЗаказам.
//   *ПараметрыФормыСозданныхДокументов	 - Структура - параметры для ОбщаяФорма.ФормаСозданныхДокументов.
//   *ПолеОшибки						 - Строка - значение, которое задается в свойстве Поле объекта СообщениеПользователю.
//  АдресРезультата - Строка - Адрес во временном хранилище. Содержит сруктуру с полями:
//   * ПараметрыСозданныхДокументов - Структура - Структура с полями:
//     ** ИмяФормы	 - Строка    - имя открываемой формы
//  	** Параметры - Структура - параметры открываемой формы
//   * СписокОшибок - см. ОбщегоНазначенияКлиентСервер.ДобавитьОшибкуПользователю
//
Процедура ОформитьНакладныеПоЗаказамВФоне(ПараметрыПроцедуры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.ОформитьНакладныеПоЗаказамВФоне(ПараметрыПроцедуры, АдресРезультата) 
```
</details>

## ОформитьАктыОРасхожденияхВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оформляет акты о расхождениях для переданных накладных и заказов.
//
// Параметры:
//  ПараметрыПроцедуры - Структура - Структура с полями:
//   *Накладные                         - Массив - накладные.
//   *Заказы                            - Массив - заказы.
//   *ПараметрыФормыСозданныхДокументов - Структура - параметры для ОбщаяФорма.ФормаСозданныхДокументов.
//   *ПолеОшибки						- Строка - значение, которое задается в свойстве Поле объекта СообщениеПользователю.
//  АдресРезультата - Строка - Адрес во временном хранилище. Содержит сруктуру с полями:
//   * ПараметрыСозданныхДокументов - Структура - Структура с полями:
//     ** ИмяФормы	 - Строка    - имя открываемой формы
//  	** Параметры - Структура - параметры открываемой формы
//   * СписокОшибок - см. ОбщегоНазначенияКлиентСервер.ДобавитьОшибкуПользователю
//
Процедура ОформитьАктыОРасхожденияхВФоне(ПараметрыПроцедуры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.ОформитьАктыОРасхожденияхВФоне(ПараметрыПроцедуры, АдресРезультата) 
```
</details>

## НастроитьКомандуПодобратьПоЗаказамОрдерам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет заголовок команды подбора по заказам/ордерам.
//
// Параметры:
//   Элемент              - ВсеЭлементыФормы - элемент для заполнения заголовка.
//   Параметры            - Структура        - структура с полями:
//    * ОрдернаяСхемаПриОтгрузке                 - Булево - значение соответствующей ФО для типа документов.
//    * ИспользоватьЗаказы                       - Булево - значение соответствующей ФО для типа документов.
//    * ИспользоватьНакладныеПоНесколькимЗаказам - Булево - значение соответствующей ФО для типа документов.
//   УстанавливатьДоступность                    - Булево - истина, если доступность элемента подлежит обновлению.
//
Процедура НастроитьКомандуПодобратьПоЗаказамОрдерам(Элемент, Параметры, УстанавливатьДоступность = Истина) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.НастроитьКомандуПодобратьПоЗаказамОрдерам(Элемент, Параметры, УстанавливатьДоступность);
```
</details>

## ЕстьРасходныйОрдерДляЗаказовНаОтгрузку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие расходных ордеров по распоряжению.
//
// Параметры:
//  Распоряжения - ДокументСсылка - массив распоряжений-заказов.
//  УчитыватьСобирается - Булево - необходимость учета ордеров в статусе Собирается.
//
// Возвращаемое значение:
//  Булево - Истина, если есть ордера, Ложь - если нет ордеров.
//
Функция ЕстьРасходныйОрдерДляЗаказовНаОтгрузку(Распоряжения, УчитыватьСобирается = Истина) Экспорт
```

Пример вызова
```bsl
Результат = НакладныеСервер.ЕстьРасходныйОрдерДляЗаказовНаОтгрузку(Распоряжения, УчитыватьСобирается);
```
</details>

## ЗаполнитьПоказательКоличествоПоОрдерам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Списывает количество для оформления по ордерам на количество для оформления по заказам.
//
// Параметры:
//  ТаблицаПриемник - ТаблицаЗначений - таблица, содержащая данные для оформления по заказам.
//  ТаблицаИсточник - ТаблицаЗначений - таблица, содержащая данные для оформления по ордерам.
//  ПоляКлюча - Строка - ключ связи таблиц для списания.
//
Процедура ЗаполнитьПоказательКоличествоПоОрдерам(ТаблицаПриемник, ТаблицаИсточник, ПоляКлюча) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.ЗаполнитьПоказательКоличествоПоОрдерам(ТаблицаПриемник, ТаблицаИсточник, ПоляКлюча) 
```
</details>

## ЗаполнитьПоВарианту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу по варианту заполнения (по данным заказа или данным ордера).
//
// Параметры:
//  Приемник - ТаблицаЗначений - таблица с обязательными колонками "Количество" и "Количество упаковок".
//  Источник - ТаблицаЗначений - таблица, содержащая данные для оформления по заказам, либо по заказам и ордерам.
//  ВариантЗаполнения - Строка - "ЗаполнятьПоОрдеру" - если требуется заполнение по ордеру.
//  ДобавлятьСтроки - Булево - возможность добавлять стоки сверх заказа в накладную.
Процедура ЗаполнитьПоВарианту(Приемник, Источник, ВариантЗаполнения, ДобавлятьСтроки = Истина) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.ЗаполнитьПоВарианту(Приемник, Источник, ВариантЗаполнения, ДобавлятьСтроки);
```
</details>

## ЗаполнятьПоОрдеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет каким образом заполнять накладную, по заказам, либо по ордерам.
//
// Параметры:
//  Склад - СправочникСсылка.Склады - склад оформления.
//
// Возвращаемое значение:
//  Булево - Истина, если заполнять по ордеру, Ложь - если заполнять по заказу.
//
Функция ЗаполнятьПоОрдеру(Склад) Экспорт
```

Пример вызова
```bsl
Результат = НакладныеСервер.ЗаполнятьПоОрдеру(Склад) 
```
</details>

## СгруппироватьДокументыПоКлючевымПолям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разбивает документы одного типа на группы по ключевым полям.
//
// Параметры:
//  ДокументыДляГруппировки	 - Массив - содержащий ссылки на документы.
//  КлючевыеПоля				 - Строка - перечисление реквизитов документа по которым будет происходить группировка.
Процедура СгруппироватьДокументыПоКлючевымПолям(ДокументыДляГруппировки, КлючевыеПоля) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.СгруппироватьДокументыПоКлючевымПолям(ДокументыДляГруппировки, КлючевыеПоля) 
```
</details>

## СгруппироватьДокументыПоКлючевымПолямВКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разбивает документы одного типа на группы по ключевым полям в коллекции.
//
// Параметры:
//  Коллекция						 - Массив - массив структур.
//  ИмяМассиваДокументовВКоллекции	 - Строка - имя поля коллекции содержащее массив ссылок на документы.
//  ИмяПоляКлючевыхПолейВКоллекции	 - Строка - имя поля коллекции содержащее строку с перечислениям реквизитов документа по которым будет происходить группировка.
//  ИмяПоляКлючевыхПолейАдаптированныхВКоллекции - Строка - имя поля коллекции содержащее строку с адаптированными значениями полей сопоставляемыми с реквизитами документа.
Процедура СгруппироватьДокументыПоКлючевымПолямВКоллекции( Экспорт
```

Пример вызова
```bsl
НакладныеСервер.СгруппироватьДокументыПоКлючевымПолямВКоллекции();
```
</details>

## ЗаполнитьСостоянияНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание состояний:
// 0 - документ оформлен полностью
// 1 - документ не оформлен
// 2 - документ оформлен частично
// 3 - распоряжение не соответствует документу
// 4 - не используется.

// Заполняет переданный список значениями состояний накладных в РМ
//
// Параметры:
//  СписокВыбора	 - СписокЗначений - заполняемый список.
//  ТолькоАктивные	 - Булево - при установке в Истина, не заполняет состояния по которым не требуется оформление (0 и 4).
//
Процедура ЗаполнитьСостоянияНакладной(СписокВыбора, ТолькоАктивные = Ложь) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.ЗаполнитьСостоянияНакладной(СписокВыбора, ТолькоАктивные);
```
</details>

## ЗаполнитьСостоянияОрдера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет переданный список значениями состояний ордеров в РМ
//
// Параметры:
//  СписокВыбора	 - СписокЗначений - заполняемый список.
//  ТолькоАктивные	 - Булево - при установке в Истина, не заполняет состояния по которым не требуется оформление (0 и 4).
//
Процедура ЗаполнитьСостоянияОрдера(СписокВыбора, ТолькоАктивные = Ложь) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.ЗаполнитьСостоянияОрдера(СписокВыбора, ТолькоАктивные);
```
</details>

## СформироватьДокументыПоРаспоряжениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует документы по списку групп распоряжений.
//
// Параметры:
//  ГруппировкиРаспоряжений  - см. НакладныеКлиент.ДанныеДляОформленияПоЗаказам
//  СписокОшибок			 - Структура - список ошибок.
//  ПолеОшибки				 - Строка - значение, которое задается в свойстве Поле объекта СообщениеПользователю.
//
// Возвращаемое значение:
//  Массив из ДокументСсылка - содержит ссылки на созданные документы.
//
Функция СформироватьДокументыПоРаспоряжениям(ГруппировкиРаспоряжений, СписокОшибок, ПолеОшибки) Экспорт
```

Пример вызова
```bsl
Результат = НакладныеСервер.СформироватьДокументыПоРаспоряжениям(ГруппировкиРаспоряжений, СписокОшибок, ПолеОшибки) 
```
</details>

## ПараметрыОтбораРаспоряжений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция-конструктор структуры, описывающей параметры для отбора распоряжений в функциях расчета состояний.
//
// Возвращаемое значение:
//  Структура - Структура с полями:
//  		Организация			- Булево - Добавление в запрос параметра отбора &Организация.
//  		Подразделение		- Булево - Добавление в запрос параметра отбора &Подразделение.
//  		Склад				- Булево - Добавление в запрос параметра отбора &Склад.
//  		ХозОперация			- Булево - Добавление в запрос параметра отбора &ХозОперация.
//  		Менеджер			- Булево - Добавление в запрос параметра отбора &Менеджер.
//
Функция ПараметрыОтбораРаспоряжений(Организация = Неопределено, Подразделение = Неопределено, Склад = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = НакладныеСервер.ПараметрыОтбораРаспоряжений(Организация, Подразделение, Склад, );
```
</details>

## ТекстЗапросаСостояний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст запроса получения временной таблицы содержащей состояния оформления документов
// Имя временной таблицы: ВТ[ИмяТаблицыСостояний]
// Обязательные поля: Распоряжение, Состояние
// Дополнительные поля: Склад, Отправитель, Получатель, ХозОперация.
//
// Параметры:
//  ИмяТаблицыСостояний			- Строка - имя требуемой таблицы см. СостоянияПоХозОперациям.
//  ПараметрыОтбора				- см. ПараметрыОтбораРаспоряжений.
//  Распоряжения				- Массив - имена документов, по которым необходимо рассчитать состояния.
//  ТолькоНаличиеКОформлению	- Булево - если Истина, то вернуть временную таблицу с одной строкой
//                                         если есть остатки для оформления, либо пустую если остатков нет.
//  ПараметрыЗамены             - Неопределено, Структура - Если есть ключ "ПолеНоменклатура", тогда в текст запроса
//                                                          проставляется поле Номенклатура (Характеристика).
//
// Возвращаемое значение:
//  Строка - текст запроса
//
Функция ТекстЗапросаСостояний( Экспорт
```

Пример вызова
```bsl
Результат = НакладныеСервер.ТекстЗапросаСостояний();
```
</details>

## ДобавитьПараметрыОтбораПоРееструДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПараметрыОтбораПоРееструДокументов(Запрос, ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.ДобавитьПараметрыОтбораПоРееструДокументов(Запрос, ПараметрыОтбора) 
```
</details>

## СостоянияПоХозОперациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру содержащую необходимые имена таблиц расчета состояний для переданных хоз. операций.
//
// Параметры:
//  ХозОперации	- Массив - список хозяйственных операций.
//
// Возвращаемое значение:
//  Структура -
//  		Ключ	 - Строка - имя таблицы состояний.
//  		Значение - Массив - имена документов, по которым необходимо рассчитать состояния.
//
Функция СостоянияПоХозОперациям(ХозОперации) Экспорт
```

Пример вызова
```bsl
Результат = НакладныеСервер.СостоянияПоХозОперациям(ХозОперации) 
```
</details>

## ИменаВременныхТаблицПоСостояниям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает имена временных таблиц по наименованиям состояний.
//
// Возвращаемое значение:
//  Структура -
//   Ключ - Строка - имя таблицы состояний.
//   Значение - Строка - Имя временной таблицы.
//
Функция ИменаВременныхТаблицПоСостояниям() Экспорт
```

Пример вызова
```bsl
Результат = НакладныеСервер.ИменаВременныхТаблицПоСостояниям() 
```
</details>

## НастройкиФормыПереоформленияНакладных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру параметров настройки общей формы "Переоформление накладных по распоряжениям".
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ОсновнойТовар - Структура -:
// ** Ключ - Структура -:
// *** Номенклатура - СправочникСсылка.Номенклатура -
// *** Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры -
// *** Склад - СправочникСсылка.Склады -
// ** КартинкаШапки - Картинка -
// ** КартинкаЗначений - Картинка -
// * ЭтоДокументПоступлениеТоваров - Булево -
// * НакладнаяНаПриемку - Булево -
// * НакладнаяНаОтгрузку - Булево -
// * Заголовок - Строка -
// * ДанныеЗаполнения - Структура -
// * ИмяФормыНакладной - Строка -
Функция НастройкиФормыПереоформленияНакладных() Экспорт
```

Пример вызова
```bsl
Результат = НакладныеСервер.НастройкиФормыПереоформленияНакладных() 
```
</details>

## ЗаполнитьТоварыПодобраннымиИзЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переносит в табличную часть документа подобранные по заказам и ордерам строки.
//
// Параметры:
//  ДеревоСтрок - Массив - элементами массива являются строки для переноса с одинаковыми значениями ключевых полей.
//  ПоляПоиска - Строка - ключевые поля поиска, перечисленные через запятую.
//  ТабЧасть - ДанныеФормыКоллекция - таблица в которою необходимо перенести подобранные строки.
//  ПустыеПоляСвязиСЗаказом - Структура - значения полей "Код строки" и "Заказ..." в табличной части документа для
//                                        строки без заказа.
//  НеЗаполняемыеПоля - Строка - Поля через запятую, которые не нужно переносить в табличную часть из дерева строк.
//
// Возвращаемое значение:
//  Массив - добавленные строки.
//
Функция ЗаполнитьТоварыПодобраннымиИзЗаказа(ДеревоСтрок, ПоляПоиска, ТабЧасть, ПустыеПоляСвязиСЗаказом, НеЗаполняемыеПоля = "") Экспорт
```

Пример вызова
```bsl
Результат = НакладныеСервер.ЗаполнитьТоварыПодобраннымиИзЗаказа(ДеревоСтрок, ПоляПоиска, ТабЧасть, ПустыеПоляСвязиСЗаказом, НеЗаполняемыеПоля);
```
</details>

## ПерезаполнитьКоличествоПоОрдерам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПерезаполнитьКоличествоПоОрдерам(ТабЧасть, Накладная, Распоряжения, Склад, РаспределятьПолностью = Истина) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.ПерезаполнитьКоличествоПоОрдерам(ТабЧасть, Накладная, Распоряжения, Склад, РаспределятьПолностью);
```
</details>

## ПеренестиСерииИзТаблицыВСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переносит серии указанные в отдельной таблице в строки другой таблицы.
//
// Параметры:
//   Таблица      - ТаблицаЗначений - содержит строки без указания серий.
//   ИндексыСтрок - Массив           - массив индексов строк в таблице для обработки. Индексы должны быть по убыванию.
//   ТаблицаСерий - ТаблицаЗначений - таблица содержащая серии и количества этих серий.
//   КлючСерии    - Строка           - ключевые поля в таблице серий через запятую.
//
Процедура ПеренестиСерииИзТаблицыВСтроки(Таблица, ИндексыСтрок, ТаблицаСерий, КлючСерии) Экспорт
```

Пример вызова
```bsl
НакладныеСервер.ПеренестиСерииИзТаблицыВСтроки(Таблица, ИндексыСтрок, ТаблицаСерий, КлючСерии) 
```
</details>

## НастроитьПолеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает поле Номенклатура (Характеристика) в тексте запроса,
// а так же, при необходимости условие соединение по полю Номенклатура (Характеристика) и индекс.
//
// Параметры:
//  ТекстЗапроса                             - Строка                  - Текст запроса
//  ПараметрыЗамены                          - Неопределено, Структура - Если есть ключ "ПолеНоменклатура",
//                                                                       тогда в текст запроса проставляется
//                                                                       поле Номенклатура (Характеристика)
//  ПолеНоменклатураКонструкция              - Строка                  - Конструкция поле номенклатура
//                                                                       которая подлежит замене
//  ИмяТаблицы                               - Строка                  - Имя таблицы
//  УсловиеСоединениеКонструкция             - Неопределено, Строка    - Конструкция условие соединение
//                                                                       которая подлежит замене
//  ИмяТаблицыСоединение                     - Неопределено, Строка    - Имя таблицы соединение
//  ПолеНоменклатураБезПсевдонимаКонструкция - Неопределено, Строка    - Конструкция поле номенклатура
//                                                                       без псевдонима которая подлежит замене
//
Процедура НастроитьПолеНоменклатуры( Экспорт
```

Пример вызова
```bsl
НакладныеСервер.НастроитьПолеНоменклатуры();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
