---
title: Налог на прибыль бухгалтерский учет клиент сервер
slug: erp-uh/налог-на-прибыль-бухгалтерский-учет-клиент-сервер
---


## ДатаНачалаПримененияПриказа236н
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Хранит дату начала обязательного применения изменений в ПБУ18,
// внесенных Приказом Минфина от 20 ноября 2018 г. N 236н:
//
// "2. Установить, что предусмотренные настоящим Приказом изменения применяются организациями,
// начиная с бухгалтерской (финансовой) отчетности за 2020 год.
// Организация вправе принять решение о применении предусмотренных настоящим Приказом изменений до указанного срока."
//
// Возвращаемое значение:
//  Дата - дата начала обязательного применения изменений
//
Функция ДатаНачалаПримененияПриказа236н() Экспорт
```

Пример вызова
```bsl
Результат = НалогНаПрибыльБухгалтерскийУчетКлиентСервер.ДатаНачалаПримененияПриказа236н() 
```
</details>

## Приказ236нОбязателен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, обязательны ли к применению в указанном периоде,
// изменения в ПБУ18, внесенные Приказом Минфина от 20 ноября 2018 г. N 236н
//
// Параметры:
//  Период - Дата - отчетный период
//
// Возвращаемое значение:
//  Булево - Истина, если изменения обязательны к применению
//
Функция Приказ236нОбязателен(Период) Экспорт
```

Пример вызова
```bsl
Результат = НалогНаПрибыльБухгалтерскийУчетКлиентСервер.Приказ236нОбязателен(Период) 
```
</details>

## ОсновнойМетодУчетаОтложенногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет основной метод учета отложенного налога в указанном периоде.
//
// Параметры:
//  Период - Дата - отчетный период
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ВариантыУчетаОтложенногоНалога - метод учета отложенного налога
//
Функция ОсновнойМетодУчетаОтложенногоНалога(Период) Экспорт
```

Пример вызова
```bsl
Результат = НалогНаПрибыльБухгалтерскийУчетКлиентСервер.ОсновнойМетодУчетаОтложенногоНалога(Период) 
```
</details>

## ГиперссылкаОписаниеМетодовУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Хранит гиперссылку (URL) на описание методов учета отложенных налогов (на языке пользователя)
//
// Возвращаемое значение:
//  Строка - URL методических материалов
//
Функция ГиперссылкаОписаниеМетодовУчета() Экспорт
```

Пример вызова
```bsl
Результат = НалогНаПрибыльБухгалтерскийУчетКлиентСервер.ГиперссылкаОписаниеМетодовУчета() 
```
</details>

## ПрименяетсяПБУ18
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет по варианту учета, ведется ли ПБУ 18
//
// Параметры:
//  ВариантУчета - ПеречислениеСсылка.ВариантыУчетаОтложенногоНалога - ссылка на вариант учета отложенного налога
//
// Возвращаемое значение:
//  Булево - Истина, если вариант учета соответствует применению ПБУ 18
//
Функция ПрименяетсяПБУ18(ВариантУчета) Экспорт
```

Пример вызова
```bsl
Результат = НалогНаПрибыльБухгалтерскийУчетКлиентСервер.ПрименяетсяПБУ18(ВариантУчета) 
```
</details>

## ВедетсяУчетПостоянныхИВременныхРазниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет по варианту учета, ведется ли учет постоянных разниц
//
// Параметры:
//  ВариантУчета - ПеречислениеСсылка.ВариантыУчетаОтложенногоНалога - ссылка на вариант учета отложенного налога
//
// Возвращаемое значение:
//  Булево - Истина, если вариант учета соответствует применению учета разниц
//
Функция ВедетсяУчетПостоянныхИВременныхРазниц(ВариантУчета) Экспорт
```

Пример вызова
```bsl
Результат = НалогНаПрибыльБухгалтерскийУчетКлиентСервер.ВедетсяУчетПостоянныхИВременныхРазниц(ВариантУчета) 
```
</details>

## ЭтоБалансовыйМетод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет по варианту учета, применяется ли балансовый метод
// как с учетом разниц, так и без учета разниц
//
// Параметры:
//  ВариантУчета - ПеречислениеСсылка.ВариантыУчетаОтложенногоНалога - ссылка на вариант учета отложенного налога
//
// Возвращаемое значение:
//  Булево - Истина, если вариант учета соответствует применению балансового метода
//
Функция ЭтоБалансовыйМетод(ВариантУчета) Экспорт
```

Пример вызова
```bsl
Результат = НалогНаПрибыльБухгалтерскийУчетКлиентСервер.ЭтоБалансовыйМетод(ВариантУчета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
