---
title: Налог на прибыль убытки прошлых лет
slug: erp-uh/налог-на-прибыль-убытки-прошлых-лет
---


## ПорядокУчетаУбытковПрошлыхЛет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Порядок учета убытков прошлых лет
//
// Возвращаемое значение:
//  Структура
//
Функция ПорядокУчетаУбытковПрошлыхЛет() Экспорт
```

Пример вызова
```bsl
Результат = НалогНаПрибыльУбыткиПрошлыхЛет.ПорядокУчетаУбытковПрошлыхЛет() 
```
</details>

## УбытокПеренесенныйНаБудущее
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Убыток перенесенный на будущее
//
// Параметры:
//  НачалоПериода	 - Дата - начало отчетного периода
//  КонецПериода	 - Дата - конец отчетного периода
//  Организации		 - Массив, ФиксированныйМассив из СправочникСсылка.Организации -
//
// Возвращаемое значение:
//  Число - сумма убытка по НУ, перенесенная на будущий период
//
Функция УбытокПеренесенныйНаБудущее(НачалоПериода, КонецПериода, Организации) Экспорт
```

Пример вызова
```bsl
Результат = НалогНаПрибыльУбыткиПрошлыхЛет.УбытокПеренесенныйНаБудущее(НачалоПериода, КонецПериода, Организации) 
```
</details>

## ПодготовитьВТ_УбытокПеренесенныйНаБудущее
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает временную таблицу "УбытокПеренесенныйНаБудущее", данные содержатся в разрезе вариантов н/о.
// Если раздельный учет не используется, вариант н/о только 1 - в виде пустой ссылки.
//
// Содержит колонки:
// 	ВариантНалогообложенияПрибыли - СправочникСсылка.ВариантыНалогообложенияПрибыли;
// 	Сумма                         - Число - Сумма по налоговому учету.
//
// Параметры:
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  НачалоПериода	 - Дата - начало отчетного периода
//  КонецПериода	 - Дата - конец отчетного периода
//  Организации		 - Массив, ФиксированныйМассив из СправочникСсылка.Организации -
//  ВРазрезеВариантовНалогообложения - Булево - Если истина, то данные будут в разрезе вариантов н/о
//
Процедура ПодготовитьВТ_УбытокПеренесенныйНаБудущее(МенеджерВременныхТаблиц, Экспорт
```

Пример вызова
```bsl
НалогНаПрибыльУбыткиПрошлыхЛет.ПодготовитьВТ_УбытокПеренесенныйНаБудущее(МенеджерВременныхТаблиц, );
```
</details>

## НовыйУбыткиПеренесенныеНаБудущее
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор таблицы убытков, подлежащих переносу/перенесенных на будущее
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Описание:
// * ВариантНалогообложенияПрибыли - СправочникСсылка.ВариантыНалогообложенияПрибыли -
// * Филиал                        - СправочникСсылка.Организации -
// * Подразделение                 - СправочникСсылка.СтруктураПредприятия -
// * НаправлениеДеятельности       - СправочникСсылка.НаправленияДеятельности -
// * СчетУбытка                    - ПланСчетовСсылка.Хозрасчетный -
// * СубконтоУбытка                - Неопределено - Субконто РБП
// * СуммаУбытка                   - Число -
//
Функция НовыйУбыткиПеренесенныеНаБудущее() Экспорт
```

Пример вызова
```bsl
Результат = НалогНаПрибыльУбыткиПрошлыхЛет.НовыйУбыткиПеренесенныеНаБудущее() 
```
</details>

## УчестьПереносУбыткаНаБудущееВРасчетеОтложенногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в таблицы движений данные по отложенным налогам исходя из перенесенных убытков
//
// Параметры:
// 	Движения                      - КоллекцияДвижений -
// 	Организация                   - СправочникСсылка.Организации -
// 	Период                        - Дата
// 	УбыткиПеренесенныеНаБудущее   - см. НовыйУбыткиПеренесенныеНаБудущее
// 	ВариантУчетаОтложенногоНалога - Неопределено, ПеречислениеСсылка.ВариантыУчетаОтложенногоНалога -
// 	                                 если не передан, будет получен из базы
// 	ИспользуетсяРаздельныйУчет    - Неопределено, Булево - если не передан, будет получен из базы
Процедура УчестьПереносУбыткаНаБудущееВРасчетеОтложенногоНалога( Экспорт
```

Пример вызова
```bsl
НалогНаПрибыльУбыткиПрошлыхЛет.УчестьПереносУбыткаНаБудущееВРасчетеОтложенногоНалога();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
