---
title: Налоговый учет обособленных подразделений
slug: erp-uh/налоговый-учет-обособленных-подразделений
---


## УчетВРазрезеНалоговыхОрганов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ОБЩИЕ СВЕДЕНИЯ О НАЛОГОВОМ УЧЕТЕ ОБОСОБЛЕННЫХ ПОДРАЗДЕЛЕНИЙ

Функция УчетВРазрезеНалоговыхОрганов() Экспорт
```

Пример вызова
```bsl
Результат = НалоговыйУчетОбособленныхПодразделений.УчетВРазрезеНалоговыхОрганов() 
```
</details>

## НалоговаяСтавка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет ставку налога в региональный бюджет, действующую по месту регистрации в налоговом органе.
Функция НалоговаяСтавка(Организация, НалоговыйОрган, Дата) Экспорт
```

Пример вызова
```bsl
Результат = НалоговыйУчетОбособленныхПодразделений.НалоговаяСтавка(Организация, НалоговыйОрган, Дата) 
```
</details>

## ЗаполнитьНалоговыеСтавкиРегиональныйБюджет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ЗаполнитьНалоговыеСтавкиВБюджетыРФ
//
// Определяет ставки налога на прибыль, подлежащего уплате в региональные бюджеты
// по местам нахождения организации и ее обособленных подразделений.
//
// Параметры:
//  Ставки - Соответствие - заполняемая коллекция
//        * Ключ - СправочникСсылка.РегистрацииВНалоговомОргане - все значения из параметра РегистрацииВНалоговомОргане
//        * Значение - ставка в виде доли от единицы (например, 0.135 для 13,5%)
//  Период	    - Дата - характеризует налоговый период
//  Организация - СправочникСсылка.Организации	- налогоплательщик
//  РегистрацииВНалоговомОргане - Массив - перечень регистраций в налоговом органе, в отношении которых нужно получить ставки.
//
Процедура ЗаполнитьНалоговыеСтавкиРегиональныйБюджет(Ставки, Период, Организация, РегистрацииВНалоговомОргане) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ЗаполнитьНалоговыеСтавкиРегиональныйБюджет(Ставки, Период, Организация, РегистрацииВНалоговомОргане) 
```
</details>

## ЗаполнитьНалоговыеСтавкиВБюджетыРФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет ставки в переданную параметром таблицу
//
// Параметры:
// ТаблицаДанных - ТаблицаЗначений:
//  	* ВариантНалогообложенияПрибыли - СправочникСсылка.ВариантыНалогообложенияПрибыли - если нет индекса по колонке, будет создан
//  	* РегистрацияВНалоговомОргане - СправочникСсылка.РегистрацииВНалоговомОргане - если нет индекса по колонке, будет создан
//  	* СтавкаФедеральныйБюджет     - Число - доля
//  	* СтавкаРегиональныйБюджет    - Число - доля
//  Период	    - Дата - характеризует налоговый период
//  Организация - СправочникСсылка.Организации	- налогоплательщик
//  СтавкаНалогаФБ - Неопределено, Число - Основная ставка по организации. Если ставка уже посчитана, можно передать.
//  СтавкаНалогаРБ - Неопределено, Число - Основная ставка по организации. Если ставка уже посчитана, можно передать.
//
Процедура ЗаполнитьНалоговыеСтавкиВБюджетыРФ(ТаблицаДанных, Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ЗаполнитьНалоговыеСтавкиВБюджетыРФ(ТаблицаДанных, );
```
</details>

## ОпределитьНалоговуюБазуЗакрытыхПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Для заполнения декларации по налогу на прибыль получает общую налоговую базу,
// рассчитанную для закрытых в течение текущего отчетного периода подразделений
//
// Параметры:
//  НалоговаяБазаЗакрытыхПодразделений
//             - Число        - возвращаемое значение, налоговая база закрытых подразделений
//             - Неопределено - возвращаемое значение, в отчетном периоде не закрывались подразделения
//  КонтекстРасчета	- см. НалогНаПрибыльДекларация.НовыйКонтекстРасчета() - описывает период и организацию, по которой готовится расчет
//
Процедура ОпределитьНалоговуюБазуЗакрытыхПодразделений(НалоговаяБазаЗакрытыхПодразделений, КонтекстРасчета) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ОпределитьНалоговуюБазуЗакрытыхПодразделений(НалоговаяБазаЗакрытыхПодразделений, КонтекстРасчета) 
```
</details>

## НалоговыеОрганыПолучателиДекларацийПоПрибыли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив регистраций в налоговых органах, в которые организация представляет декларацию по налогу на прибыль.
// Данный массив является фильтром для списка выбора налогового органа из формы декларации.
// Если массив пустой, то список выбора налогового органа не фильтруется.
//
// Параметры:
//		Организация - СправочникСсылка.Организации - плательщик налога на прибыль
//		Период - Дата - дата, характеризующая отчетный период по налогу на прибыль
//		НалоговыеОрганы - Массив Из СправочникСсылка.РегистрацииВНалоговомОргане - налоговые органы,
//                         в которые организация представляет декларации.
//
Процедура НалоговыеОрганыПолучателиДекларацийПоПрибыли(Организация, Период, НалоговыеОрганы) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.НалоговыеОрганыПолучателиДекларацийПоПрибыли(Организация, Период, НалоговыеОрганы) 
```
</details>

## ПрочитатьРасчетРаспределенияНалоговойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////
// РАСПРЕДЕЛЕНИЕ НАЛОГОВОЙ БАЗЫ МЕЖДУ НАЛОГОВЫМИ ОРГАНАМИ

// Читает из информационной базы данные о фактическом распределении налоговой базы,
// рассчитанные и зарегистрированные регламентной операцией РасчетНалогаНаПрибыль.
//
// Параметры:
//  Расчет		 - ТаблицаЗначений - см. НовыйРасчетРаспределенияНалоговойБазы()
//                 Возвращаемый параметр. Следует передать неинициализированную переменную;
//                 процедура поместит в нее результат НовыйРасчетРаспределенияНалоговойБазы().
//  Период		 - Дата - дата, характеризующая отчетный период - любая дата последнего месяца отчетного периода.
//  Организация	 - СправочникСсылка.Организации - налогоплательщик.
//  ИспользуетсяРаздельныйУчет - Неопределено - признак не известен, будет получен из базы данных
//                             - Булево - признак известен, обращение к базе данных не требуется
//
Процедура ПрочитатьРасчетРаспределенияНалоговойБазы(Расчет, Период, Организация, ИспользуетсяРаздельныйУчет = Неопределено) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ПрочитатьРасчетРаспределенияНалоговойБазы(Расчет, Период, Организация, ИспользуетсяРаздельныйУчет);
```
</details>

## ПрочитатьРасчетРаспределенияНалоговойБазыПоВариантамНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Читает из информационной базы данные о фактическом распределении налоговой базы,
// рассчитанные и зарегистрированные регламентной операцией РасчетНалогаНаПрибыль.
//
// Параметры:
//  Расчет		 - ТаблицаЗначений - см. НовыйРасчетРаспределенияНалоговойБазыПоВариантамНалогообложения
//                 Возвращаемый параметр. Следует передать неинициализированную переменную;
//                 процедура поместит в нее результат НовыйРасчетРаспределенияНалоговойБазы().
//  Период		 - Дата - дата, характеризующая отчетный период - любая дата последнего месяца отчетного периода.
//  Организация	 - СправочникСсылка.Организации - налогоплательщик.
//  ВариантНалогообложенияПрибыли - СправочникСсылка.ВариантыНалогообложенияПрибыли, Неопределено -
//
Процедура ПрочитатьРасчетРаспределенияНалоговойБазыПоВариантамНалогообложения( Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ПрочитатьРасчетРаспределенияНалоговойБазыПоВариантамНалогообложения();
```
</details>

## ДобавитьВидСубконтоРегистрацияВНалоговомОргане
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
// 	ВидыСубконто - Массив Из ПланВидовХарактеристикСсылка.ВидыСубконтоХозрасчетные
Процедура ДобавитьВидСубконтоРегистрацияВНалоговомОргане(ВидыСубконто) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ДобавитьВидСубконтоРегистрацияВНалоговомОргане(ВидыСубконто) 
```
</details>

## ПодготовитьРасчетРаспределенияНалоговойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Готовит данные о распределении налоговой базы между обособленными подразделениями в соответствии со ст. 288 НК
//
// Параметры:
//  РасчетРаспределенияНалоговойБазы	 - см. НовыйРасчетРаспределенияНалоговойБазы
//  КонтекстРасчета						 - см. РасчетНалогаНаПрибыль.НовыйКонтекстРасчета
//  ПараметрТаблицаНалоговаяБаза		 - см. РасчетНалогаНаПрибыль.СуммыНалоговойБазыВРазрезеВариантовНалогообложения
//  МенеджерВременныхТаблиц				 - МенеджерВременныхТаблиц - может применяться для повторного использования (передачи из процедуры в вызывающий код)
//                                         создаваемой в процедуре временной таблицы СоответствиеПрежнихИТекущихНалоговыхОрганов.
//
Процедура ПодготовитьРасчетРаспределенияНалоговойБазы(РасчетРаспределенияНалоговойБазы, КонтекстРасчета, ПараметрТаблицаНалоговаяБаза, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ПодготовитьРасчетРаспределенияНалоговойБазы(РасчетРаспределенияНалоговойБазы, КонтекстРасчета, ПараметрТаблицаНалоговаяБаза, МенеджерВременныхТаблиц) 
```
</details>

## РазвернутьРасчетРаспределенияНалоговойБазыПоВариантамНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает развернутый расчет налоговой базы по вариантам н/о.
// Если нет исходных данных по вариантам н/о, будет возвращена пустая таблица.
//
// Параметры:
// 	ИсходныйРасчет - см. НовыйРасчетРаспределенияНалоговойБазы
// Возвращаемое значение:
// 	см. НовыйРасчетРаспределенияНалоговойБазыПоВариантамНалогообложения
//
Функция РазвернутьРасчетРаспределенияНалоговойБазыПоВариантамНалогообложения(ИсходныйРасчет) Экспорт
```

Пример вызова
```bsl
Результат = НалоговыйУчетОбособленныхПодразделений.РазвернутьРасчетРаспределенияНалоговойБазыПоВариантамНалогообложения(ИсходныйРасчет) 
```
</details>

## ДобавитьПериодыВЗапросОстатковАмортизируемогоИмущества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПериодыВЗапросОстатковАмортизируемогоИмущества(Запрос, ДобавляемыеПериоды) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ДобавитьПериодыВЗапросОстатковАмортизируемогоИмущества(Запрос, ДобавляемыеПериоды));
```
</details>

## УточнитьБазуНалогаНаПрибыльЗакрытыхРегистраций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает базу налога по закрытым регистрациям (КПП)
//  - добавляет записи в ТаблицаРаспределенияБазыНалогаНаПрибыль.
//  - вычитает из таблицы налоговой базы суммы закрытых подразделений.
//
// Параметры:
//  ТаблицаРаспределенияБазыНалогаНаПрибыль - ТаблицаЗначений -
//  			таблица, содержащая результат распределения налога, т.е. доли и налоговые базы по регистрациям (КПП).
//
//  // прибыль текущего отчетного (налогового) периода по всей организации в разрезе вариантов н/о.
//  ТаблицаНалоговаяБаза	- см. НовыйНалоговаяБазаПоВариантамНалогообложения
//
//  КонтекстРасчета			- см. РасчетНалогаНаПрибыль.НовыйКонтекстРасчета
//
//  ТочностьРасчета			- Число - длина дробной части при округлении сумм налоговых баз по регистрациям (КПП)
//
Процедура УточнитьБазуНалогаНаПрибыльЗакрытыхРегистраций(ТаблицаРаспределенияБазыНалогаНаПрибыль, ТаблицаНалоговаяБаза, КонтекстРасчета, ТочностьРасчета) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.УточнитьБазуНалогаНаПрибыльЗакрытыхРегистраций(ТаблицаРаспределенияБазыНалогаНаПрибыль, ТаблицаНалоговаяБаза, КонтекстРасчета, ТочностьРасчета));
```
</details>

## НовыйНалоговаяБазаПоВариантамНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу налоговой базы в разрезе долей. Может заполняться из таблицы, полученных при расчете НнП
//
// Параметры:
// 	ИсхТаблицаНалоговаяБаза - см. РасчетНалогаНаПрибыль.СуммыНалоговойБазыВРазрезеВариантовНалогообложения
//
// Возвращаемое значение:
// 	ТаблицаЗначений - содержит:
//  	* ВариантНалогообложенияПрибыли - СправочникСсылка.ВариантыНалогообложенияПрибыли -
//  	* НалоговаяБаза                 - Число -
Функция НовыйНалоговаяБазаПоВариантамНалогообложения(ИсхТаблицаНалоговаяБаза = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НалоговыйУчетОбособленныхПодразделений.НовыйНалоговаяБазаПоВариантамНалогообложения(ИсхТаблицаНалоговаяБаза);
```
</details>

## НалоговаяБаза
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает налоговую базу в разрезе вариантов н/о. Результат кэшируется по значению периода
//
// Параметры:
// 	Организация                - СправочникСсылка.Организации -
// 	Период                     - Дата -
// 	КэшНалоговойБазыПоПериодам - Соответствие -
// 	ИспользуетсяРаздельныйУчет - Булево, Неопределено -
//
// Возвращаемое значение:
// 	см. НовыйНалоговаяБазаПоВариантамНалогообложения
Функция НалоговаяБаза(Организация, Период, КэшНалоговойБазыПоПериодам, ИспользуетсяРаздельныйУчет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НалоговыйУчетОбособленныхПодразделений.НалоговаяБаза(Организация, Период, КэшНалоговойБазыПоПериодам, ИспользуетсяРаздельныйУчет);
```
</details>

## ПроведениеПересчетаОНАиОНОКаждыйМесяц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПЕРЕСЧЕТ ОНА И ОНО ПО РАСЧЕТНОЙ СТАВКЕ НАЛОГА НА ПРИБЫЛЬ

Процедура ПроведениеПересчетаОНАиОНОКаждыйМесяц(СтруктураШапкиДокумента, Движения, Отказ) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ПроведениеПересчетаОНАиОНОКаждыйМесяц(СтруктураШапкиДокумента, Движения, Отказ) 
```
</details>

## ПолучитьРасчетнуюСтавкуНалогаНаПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРасчетнуюСтавкуНалогаНаПрибыль(Организация, Дата) Экспорт
```

Пример вызова
```bsl
Результат = НалоговыйУчетОбособленныхПодразделений.ПолучитьРасчетнуюСтавкуНалогаНаПрибыль(Организация, Дата) 
```
</details>

## ПолучитьРаспределениеНалогаДляЗаполненияДекларации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////
// ЗАПОЛНЕНИЕ ЛИСТА ДЕКЛАРАЦИИ С РАСЧЕТОМ БАЗЫ В РАЗРЕЗЕ НАЛОГОВЫХ ОРГАНОВ


// Для заполнения декларации по налогу на прибыль получает данные информационной базы
// о распределении налога между обособленными подразделениями.
//
// Параметры:
//  Расчет							 - см. НовыйРасчетРаспределенияНалоговойБазы
//  КонтекстРасчета					 - см. НалогНаПрибыльДекларация.НовыйКонтекстРасчета
//  ВариантыНО						- Массив из СправочникСсылка.ВариантыНалогообложенияПрибыли -
//
Процедура ПолучитьРаспределениеНалогаДляЗаполненияДекларации(Расчет, КонтекстРасчета, ВариантыНО) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ПолучитьРаспределениеНалогаДляЗаполненияДекларации(Расчет, КонтекстРасчета, ВариантыНО) 
```
</details>

## ЗаполнитьЛист2Приложение5ДекларацииПоПрибыли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЛист2Приложение5ДекларацииПоПрибыли(Контейнер, ПараметрыОтчета, СписокОрганизаций, Лист02_Прил5) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ЗаполнитьЛист2Приложение5ДекларацииПоПрибыли(Контейнер, ПараметрыОтчета, СписокОрганизаций, Лист02_Прил5) 
```
</details>

## СписокОтчетовПоддерживаемыхПодсистемой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С ВАРИАНТАМИ ОТЧЕТОВ

Процедура СписокОтчетовПоддерживаемыхПодсистемой(СписокОтчетов) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.СписокОтчетовПоддерживаемыхПодсистемой(СписокОтчетов) 
```
</details>

## ДополнитьСписокСправокРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////
// СПРАВКИ-РАСЧЕТЫ

Процедура ДополнитьСписокСправокРасчетов(Список) Экспорт
```

Пример вызова
```bsl
НалоговыйУчетОбособленныхПодразделений.ДополнитьСписокСправокРасчетов(Список) 
```
</details>

## ВыполнитьЗапросРасчетСтавкиНалогаНаПрибыльЗаМесяц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьЗапросРасчетСтавкиНалогаНаПрибыльЗаМесяц(Организация, КонецПериода) Экспорт
```

Пример вызова
```bsl
Результат = НалоговыйУчетОбособленныхПодразделений.ВыполнитьЗапросРасчетСтавкиНалогаНаПрибыльЗаМесяц(Организация, КонецПериода) 
```
</details>

## ВыполнитьЗапросРасчетНалогаНаПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса расчета НнП
//
// Параметры:
// 	Организация - СправочникСсылка.Организации -
// 	КонецПериода - Дата -
// 	ВариантНО - СправочникСсылка.ВариантыНалогообложенияПрибыли -
//
// Возвращаемое значение:
// 	РезультатЗапроса -
//
Функция ВыполнитьЗапросРасчетНалогаНаПрибыль(Организация, КонецПериода, ВариантНО = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НалоговыйУчетОбособленныхПодразделений.ВыполнитьЗапросРасчетНалогаНаПрибыль(Организация, КонецПериода, ВариантНО);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
