---
title: Направления деятельности клиент
slug: erp-uh/направления-деятельности-клиент
---


## ЗаполнитьНаправлениеДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит "НаправлениеДеятельности" в строке по данным назначение или переданного параметра
//
// Параметры:
//  ТекущаяСтрока		 - Структура - данные обрабатываемой строки.
//  СтруктураДействий	 - Структура - описывает действия, где Ключ - наименование действия,
//  														   Значение - Структура - параметры действия.
//  КэшированныеЗначения - Структура - сохраненные значения параметров, используемых при обработке.
//  ПараметрыДействия    - Структура, Неопределено - параметры для выполнения данного действия
//
Процедура ЗаполнитьНаправлениеДеятельности( Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиКлиент.ЗаполнитьНаправлениеДеятельности();
```
</details>

## ТоварыОбособленноПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияКлиент.ТоварыОбособленноПриИзменении
// В табличной части формы документа актуализирует назначение по флагу Обособленно.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - Строка в которой нужно актуализировать назначение.
Процедура ТоварыОбособленноПриИзменении(Форма, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиКлиент.ТоварыОбособленноПриИзменении(Форма, ТекущаяСтрока) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
