---
title: Направления деятельности клиент сервер
slug: erp-uh/направления-деятельности-клиент-сервер
---


## СтруктураДействийВставитьПриДобавленииСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияКлиентСервер.СтруктураДействийВставитьПриДобавленииСтроки
// Предназначена для использования в формах документах в обработчиках событий, которые приводят к изменению назначения в
// строке табличной части документа. Добавляет в структуру действий действие, которое отрабатывается механизмами
// обработки табличных частей (см. ОбработкаТабличнойЧастиКлиент.ОбработатьСтрокуТЧ) Выполнение такого
// действия актуализирует назначение в строке табличной части документа, в соответствии с изменившимся направлением деятельности.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма в которой необходимо выполнить действие по обработки строки табличной части.
//  СтруктураДействий - Структура - Структура действий, используемая механизмами обработки табличных частей (см. ОбработкаТабличнойЧастиКлиент.ОбработатьСтрокуТЧ).
//
Процедура СтруктураДействийВставитьПриДобавленииСтроки(Форма, СтруктураДействий) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиКлиентСервер.СтруктураДействийВставитьПриДобавленииСтроки(Форма, СтруктураДействий) 
```
</details>

## ЗаполнитьНазначениеПоФлагуОбособленно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияКлиентСервер.ЗаполнитьНазначениеПоФлагуОбособленно
// Заполняет невидимое поле Назначение в документах исходя из заполненного поля Обособленно.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма в которой необходимо выполнить действие по обработки строки табличной части.
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - строка в которой нужно заполнить назначение исходя из флага Обособленно.
//
Процедура ЗаполнитьНазначениеПоФлагуОбособленно(Форма, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиКлиентСервер.ЗаполнитьНазначениеПоФлагуОбособленно(Форма, ТекущаяСтрока) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
