---
title: Направления деятельности сервер
slug: erp-uh/направления-деятельности-сервер
---


## ПриЧтенииСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.ПриЧтенииСозданииНаСервере
// Используется в формах документов, в одноименных процедурах "ПриЧтенииСозданииНаСервере".
// Инициализирует реквизиты формы, используемые при интерактивной работе пользователя. Заполняет назначение, исходя из
// направления деятельности.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой необходимо инициализировать реквизиты связанные с использованием
//                             направлений деятельности.
//
Процедура ПриЧтенииСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.ПриЧтенииСозданииНаСервере(Форма) 
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.ПослеЗаписиНаСервере
// Используется в формах документов, в одноименных процедурах "ПослеЗаписиНаСервере".
// Заполняет реквизит формы "Отгружать обособленно" табличной части исходя из заполненности назначения.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой необходимо инициализировать реквизиты связанные с использованием
//                             направлений деятельности.
//
Процедура ПослеЗаписиНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.ПослеЗаписиНаСервере(Форма) 
```
</details>

## ПриИзмененииНаправленияДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.ПриИзмененииШаблонаНазначенияВДокументе
// Используется в формах документов, в процедурах, приводящих к изменению направления деятельности.
// Инициализирует реквизиты формы, используемые при интерактивной работе пользователя. Заполняет назначение, исходя из
// направления деятельности. При необходимости актуализирует назначения в табличных частях документа, в соответствии с
// изменившимся направлением деятельности.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой необходимо инициализировать реквизиты связанные с использованием
//                             направлений деятельности.
//
// Возвращаемое значение:
//  Массив Из ДанныеФормыЭлементКоллекции - массив измененных строк табличной части документа.
//
Функция ПриИзмененииНаправленияДеятельности(Форма) Экспорт
```

Пример вызова
```bsl
Результат = НаправленияДеятельностиСервер.ПриИзмененииНаправленияДеятельности(Форма) 
```
</details>

## УстановитьВидимостьЭлементовОбособленно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.УстановитьВидимостьЭлементовОбособленно
// Используется в формах документов, в процедурах, приводящих к изменению флага по заказам.
// Управляет видимостью элементов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой необходимо отреагировать на изменение флага по заказам.
//
Процедура УстановитьВидимостьЭлементовОбособленно(Форма) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.УстановитьВидимостьЭлементовОбособленно(Форма) 
```
</details>

## ПриЗаполненииПоСпецификацииСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.ПриЗаполненииПоСпецификацииСервер
// Используется в форме документа заказ переработчику при заполнении документа по спецификации.
// Инициализирует реквизиты формы, используемые при интерактивной работе пользователя. Заполняет назначение, исходя из
// направления деятельности.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой необходимо инициализировать реквизиты связанные с использованием
//                             направлений деятельности.
//
Процедура ПриЗаполненииПоСпецификацииСервер(Форма) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.ПриЗаполненииПоСпецификацииСервер(Форма) 
```
</details>

## УстановитьУсловноеОформлениеФлагаОбособленно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.УстановитьУсловноеОформлениеФлагаОбособленно
// Используется в формах документов. Устанавливает условное оформление флага Обособленно..
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой необходимо установить условное оформление.
//
Процедура УстановитьУсловноеОформлениеФлагаОбособленно(Форма) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.УстановитьУсловноеОформлениеФлагаОбособленно(Форма) 
```
</details>

## УстановитьСнятьОтметкуОбособленно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.УстановитьСнятьОтметкуОбособленно
// В табличной части формы документа устанавливает флаг "Обособленно" для выделенных строк.
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  Установить - Булево - Истина если нужно установить флаг, Ложь - если нужно сбросить флаг.
Процедура УстановитьСнятьОтметкуОбособленно(Форма, Установить) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.УстановитьСнятьОтметкуОбособленно(Форма, Установить) 
```
</details>

## ЗаполнитьНаправлениеДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит "НаправлениеДеятельности" в строке по данным назначение или переданного параметра
//
// Параметры:
//  ТекущаяСтрока		 - Структура - данные обрабатываемой строки.
//  СтруктураДействий	 - Структура - описывает действия, где Ключ - наименование действия,
//  														   Значение - Структура - параметры действия.
//  КэшированныеЗначения - Структура - сохраненные значения параметров, используемых при обработке.
//  ПараметрыДействия    - Структура, Неопределено - параметры для выполнения данного действия.
//
Процедура ЗаполнитьНаправлениеДеятельности( Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.ЗаполнитьНаправлениеДеятельности();
```
</details>

## ЗаполнитьНаправлениеДеятельностиПакетно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит "НаправлениеДеятельности" в строке по данным назначение или переданного параметра
// с помощью пакетного механизма пакетной обработки строк табличных частей.
//
// Параметры:
//  ТекущаяСтрока - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧВЦикле.ТекущаяСтрока.
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧВЦикле.Действия.
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения.
//  ПараметрыДействия    - Структура, Неопределено - параметры для выполнения данного действия.
//
Процедура ЗаполнитьНаправлениеДеятельностиПакетно( Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.ЗаполнитьНаправлениеДеятельностиПакетно();
```
</details>

## ЗаполнитьНаправлениеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет направление из соглашения или договора
//
// Параметры:
//  НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - направление деятельности, которое будет заполнено.
//  Соглашение - СправочникСсылка.СоглашенияСКлиентами, СправочникСсылка.СоглашенияСПоставщиками - Соглашение документа.
//  Договор - СправочникСсылка.ДоговорыКонтрагентов,
//            СправочникСсылка.ДоговорыКредитовИДепозитов,
//            СправочникСсылка.ДоговорыАренды,
//            СправочникСсылка.ДоговорыМеждуОрганизациями - Договор документа.
//
Процедура ЗаполнитьНаправлениеПоУмолчанию(НаправлениеДеятельности, Знач Соглашение = Неопределено, Знач Договор = Неопределено) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.ЗаполнитьНаправлениеПоУмолчанию(НаправлениеДеятельности, Соглашение, Договор);
```
</details>

## ПерезаполнитьСлужебныеРеквизитыТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.ПерезаполнитьСлужебныеРеквизитыТабличнойЧасти
//  Используется в формах документов. Заполняет реквизит формы "Отгружать обособленно" табличной части исходя из заполненности назначения.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой необходимо инициализировать реквизиты связанные с использованием
//                             направлений деятельности.
//
Процедура ПерезаполнитьСлужебныеРеквизитыТабличнойЧасти(Форма) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.ПерезаполнитьСлужебныеРеквизитыТабличнойЧасти(Форма) 
```
</details>

## ДополнитьТекстЗапросаНаправлениеДеятельностиПоНазначению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения направления деятельности
// по назначению.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//
Процедура ДополнитьТекстЗапросаНаправлениеДеятельностиПоНазначению(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.ДополнитьТекстЗапросаНаправлениеДеятельностиПоНазначению(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## УстановитьУсловноеОформлениеНаправленияДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное для реквизита НаправлениеДеятельности.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма, для которой настраивается условное оформление.
//
Процедура УстановитьУсловноеОформлениеНаправленияДеятельности(Форма) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.УстановитьУсловноеОформлениеНаправленияДеятельности(Форма) 
```
</details>

## ХозяйственнаяОперацияОбразуетДоход
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет образует ли хозяйственная операция доход
//
// Параметры:
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа или договора.
//
// Возвращаемое значение:
// 		Булево - Истина, если образуется доход.
//
Функция ХозяйственнаяОперацияОбразуетДоход(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = НаправленияДеятельностиСервер.ХозяйственнаяОперацияОбразуетДоход(ХозяйственнаяОперация) 
```
</details>

## ХозяйственнаяОперацияОбразуетАктив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет образует ли хозяйственная операция актив
//
// Параметры:
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа или договора.
//
// Возвращаемое значение:
// 		Булево - Истина, если образуется актив.
//
Функция ХозяйственнаяОперацияОбразуетАктив(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = НаправленияДеятельностиСервер.ХозяйственнаяОперацияОбразуетАктив(ХозяйственнаяОперация) 
```
</details>

## УстановитьВидимостьНаправленияДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость направления деятельности по порядку расчетов документа.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма, в которой было находится элемент группы финансового учета.
//	ЭтоЗаказ - Булево - Истина - Документ является заказом.
//	ПоЗаказу - Булево - Истина - Документ введен на основании заказа/заказов.
//
Процедура УстановитьВидимостьНаправленияДеятельности(Форма, ЭтоЗаказ = Ложь, ПоЗаказу = Ложь) Экспорт
```

Пример вызова
```bsl
НаправленияДеятельностиСервер.УстановитьВидимостьНаправленияДеятельности(Форма, ЭтоЗаказ, ПоЗаказу);
```
</details>

## ЭтоНаправлениеДеятельностиСОбособлениемТоваровИРабот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, порядок формирования назначения при фиксации обособленных потребностей в заказах по данному направлению деятельности.
//
// Параметры:
//  Ссылка - СправочникСсылка.НаправленияДеятельности - направление деятельности, которое может быть указано в заказе.
//
// Возвращаемое значение:
//  Булево - Истина, если данное направление деятельности будет использоваться в аналитике обособленной потребности
//           заказа, Ложь - в противном случае.
//
Функция ЭтоНаправлениеДеятельностиСОбособлениемТоваровИРабот(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = НаправленияДеятельностиСервер.ЭтоНаправлениеДеятельностиСОбособлениемТоваровИРабот(Ссылка) 
```
</details>

## ПорядокОбработкиДокументаПриИзмененииНаправленияДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.ПорядокЗаполненияНазначенийВДокументе
// Конструктор структуры парамтеров встраивания направлений деятельности в документ.
//  Возвращаемое значение:
//   см. НазначенияСервер.ПорядокЗаполненияНазначенийВДокументе
Функция ПорядокОбработкиДокументаПриИзмененииНаправленияДеятельности() Экспорт
```

Пример вызова
```bsl
Результат = НаправленияДеятельностиСервер.ПорядокОбработкиДокументаПриИзмененииНаправленияДеятельности() 
```
</details>

## УсловияОбработкиНазначенийВСтроках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.УсловияОбработкиНазначенийВСтроках
//
// Параметры:
//  ШаблоныУсловий - Строка
//
// Возвращаемое значение:
//  Массив из Структура - Условия обработки назначений в строках
//
Функция УсловияОбработкиНазначенийВСтроках(ШаблоныУсловий) Экспорт
```

Пример вызова
```bsl
Результат = НаправленияДеятельностиСервер.УсловияОбработкиНазначенийВСтроках(ШаблоныУсловий) 
```
</details>

## СтруктураОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.СтруктураОбъекта
// Конструктор структуры по умолчанию для использования в функциях ОписаниеФормыДокументаДляЗаполненияРеквизитовСвязанныхСНаправлениемДеятельности
// модулей менеджеров документов.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   *ОформляетсяПоЗаказу - Булево - признак, что строки табличных частей могут быть оформлены по заказу.
//   *ЭтоИсточникПотребности - Булево - признак, что документ является документом фиксации обособленной потребности (заказом).
//   *ЕстьНазначениеВТЧ - Булево - признак, что в строках табличных частей есть реквизит назначение.
//   *ВТЧНазначениеОтгрузки - Булево - признак, что в строках табличных частей реквизит назначение используется для указания
//                            назначения отгружаемых товаров и работ, а не принимаемых).
//   *ТабЧасти - Структура - описание табличной части документа, используется для переопределения общих параметров, заданных для
//                           всех табличных частей.
//
Функция СтруктураОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = НаправленияДеятельностиСервер.СтруктураОбъекта() 
```
</details>

## ТолкающееНазначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарело. Необходимо использовать НазначенияСервер.ТолкающееНазначение
//  Возвращает назначение по направлению деятельности.
//
// Параметры:
//  НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - направление деятельности.
//
// Возвращаемое значение:
//  СправочникСсылка.Назначения - назначение, связанное с направлением деятельности.
//
Функция ТолкающееНазначение(НаправлениеДеятельности) Экспорт
```

Пример вызова
```bsl
Результат = НаправленияДеятельностиСервер.ТолкающееНазначение(НаправлениеДеятельности) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
