---
title: Настройка параметров сканирования служебный клиент сервер повт исп
slug: erp-uh/настройка-параметров-сканирования-служебный-клиент-сервер-повт-исп
---


## ПараметрыКонтроля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перечисление параметров настроек контроля кодов маркировки.
//
// Возвращаемое значение:
//  Структура - Параметры контроля:
//    * ПараметрыКонтроляСтатусов - Произвольный - параметры контроля статусов,
//    * ПараметрыКонтроляВладельцев - Произвольный - параметры контроля владельцев,
//    * ПараметрыИгнорированияПроверкиККТ -Произвольный - параметры контроля ККТ.
Функция ПараметрыКонтроля() Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.ПараметрыКонтроля() 
```
</details>

## РежимыКонтроляСредствамиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РежимыКонтроляСредствамиККТ() Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.РежимыКонтроляСредствамиККТ() 
```
</details>

## ПредставленияПараметровСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представления настроек параметров сканирования для отображения пользователю.
//
// Возвращаемое значение:
// 	Соответствие - Представление параметров сканирования.
Функция ПредставленияПараметровСканирования() Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.ПредставленияПараметровСканирования() 
```
</details>

## ДопустимыеВидыОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Допустимые виды операций для настройки исключений.
//
// Параметры:
//  ПараметрКонтроля - Строка,Неопределено - см. ПараметрыКонтроля.
// Возвращаемое значение:
// 	СписокЗначений Из  ПеречислениеСсылка.ВидыОперацийИСМП - Значение и представление допустимых видов операций.
Функция ДопустимыеВидыОпераций(ПараметрКонтроля = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.ДопустимыеВидыОпераций(ПараметрКонтроля);
```
</details>

## ПодчиненныеВидыОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение зависимостей видов операций от допустимых для настройки исключений видов операций.
//
// Возвращаемое значение:
// 	Соответствие Из ПеречислениеСсылка.ВидыОперацийИСМП - соответствие виду операции, который не указан в допустимых видах операции.
Функция ПодчиненныеВидыОпераций() Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.ПодчиненныеВидыОпераций() 
```
</details>

## ВариантОтображенияПоВидамПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предопределенное значение отображения по товарным группам.
//
// Возвращаемое значение:
// 	Строка - Идентификатор значения.
Функция ВариантОтображенияПоВидамПродукции() Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.ВариантОтображенияПоВидамПродукции() 
```
</details>

## ВариантОтображенияПоОперациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предопределенное значение отображения по видам операции.
//
// Возвращаемое значение:
// 	Строка - Идентификатор значения
Функция ВариантОтображенияПоОперациям() Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.ВариантОтображенияПоОперациям() 
```
</details>

## ПредставлениеНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
// 	НастройкаЗначение - ПеречислениеСсылка.ВидыПродукцииИС, ПеречислениеСсылка.ВидыОперацийИСМП - Настройка.
// Возвращаемое значение:
// 	Строка - Представление
Функция ПредставлениеНастройки(НастройкаЗначение) Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.ПредставлениеНастройки(НастройкаЗначение) 
```
</details>

## ОперацияУточненаВНастройкахСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
// 	ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции.
// 	ВидОперации - ПеречислениеСсылка.ВидыОперацийИСМП - Вид операции.
// 	ИмяПараметраКонтроля - Строка - Идентификатор параметра контроля.
// Возвращаемое значение:
// 	Булево - Признак исключения операции.
Функция ОперацияУточненаВНастройкахСканирования(ВидПродукции, ВидОперации, ИмяПараметраКонтроля) Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.ОперацияУточненаВНастройкахСканирования(ВидПродукции, ВидОперации, ИмяПараметраКонтроля) 
```
</details>

## ОперацииРозничнойТорговли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Виды розничных операций.
//
// Возвращаемое значение:
// 	Массив из ПеречислениеСсылка.ВидыОперацийИСМП - Виды розничных операций.
Функция ОперацииРозничнойТорговли() Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.ОперацииРозничнойТорговли() 
```
</details>

## КонтролироватьСтатусыКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость контроля статусов кодов маркировки для вида операции по товарной группе.
//
// Параметры:
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС  - Вид продукции.
//  ВидОперации  - ПеречислениеСсылка.ВидыОперацийИСМП - Вид операции.
//  ТребуетсяПроверкаСредствамиККТ - Булево  - в зависимости от флага проверяется контроль статусов с учетом или
//   без учета разрешительного режима. Если Ложь, то проверяются исключения, если Истина - контроль всегда.
//
// Возвращаемое значение:
//  Булево - Контролировать статусы кодов маркировки.
Функция КонтролироватьСтатусыКодовМаркировки(ВидПродукции, ВидОперации, ТребуетсяПроверкаСредствамиККТ = Истина) Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.КонтролироватьСтатусыКодовМаркировки(ВидПродукции, ВидОперации, ТребуетсяПроверкаСредствамиККТ);
```
</details>

## КонтролироватьВладельцевКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость контроля владельцев кодов маркировки для вида опреации по товарной группе.
//
// Параметры:
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС  - Вид продукции.
//  ВидОперации  - ПеречислениеСсылка.ВидыОперацийИСМП - Вид операции.
//
// Возвращаемое значение:
//  Булево - Контролировать владельцев кодов маркировки.
Функция КонтролироватьВладельцевКодовМаркировки(ВидПродукции, ВидОперации) Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.КонтролироватьВладельцевКодовМаркировки(ВидПродукции, ВидОперации) 
```
</details>

## КонтролироватьКодыМаркировкиСредствамиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость контроля кодов маркировки средствами ККТ для вида опреации по товарной группе.
//
// Параметры:
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС  - Вид продукции.
//  ВидОперации  - ПеречислениеСсылка.ВидыОперацийИСМП - Вид операции.
//
// Возвращаемое значение:
//  Булево - Контролировать коды маркировки средствами ККТ.
Функция КонтролироватьКодыМаркировкиСредствамиККТ(ВидПродукции, ВидОперации) Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПараметровСканированияСлужебныйКлиентСерверПовтИсп.КонтролироватьКодыМаркировкиСредствамиККТ(ВидПродукции, ВидОперации) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
