---
title: Настройка счетов учета клиент
slug: erp-uh/настройка-счетов-учета-клиент
---


## ЗаконченаНастройкаСчетовУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку закрытия формы настройки счетов учета.
// Вызывается в обработчике ОбработкаОповещения() формы объекта.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта
// 	ИмяСобытия - Строка - Имя события оповещения
// 	Параметр - Произвольный - Параметр оповещения
//
Процедура ЗаконченаНастройкаСчетовУчета(Форма, ИмяСобытия, Параметр) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиент.ЗаконченаНастройкаСчетовУчета(Форма, ИмяСобытия, Параметр) 
```
</details>

## ОбработкаНавигационнойСсылкиНастройкаСчетовУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку навигационной ссылки открытия формы настройки счетов.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта
// 	НавигационнаяСсылка - Строка - Навигационная ссылка
// 	СтандартнаяОбработка - Булево - флаг СтандартнаяОбработка события
//
Процедура ОбработкаНавигационнойСсылкиНастройкаСчетовУчета(Форма, НавигационнаяСсылка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиент.ОбработкаНавигационнойСсылкиНастройкаСчетовУчета(Форма, НавигационнаяСсылка, СтандартнаяОбработка) 
```
</details>

## ПриИзмененииСчетаУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку изменения счетов учета аналитики учета.
//
// Параметры:
// 	Элемент - ПолеФормы - Элемент (поле ввода) настройки счета учета
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта настройки
//
Процедура ПриИзмененииСчетаУчета(Элемент, Форма) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиент.ПриИзмененииСчетаУчета(Элемент, Форма) 
```
</details>

## НачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку начала выбора настройки счетов учета.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта настройки
// 	Элемент - ПолеФормы - Элемент (поле ввода) настройки счета учета
// 	Элемент - ПолеФормы - Элемент (поле ввода) настройки счета учета
// 	ДанныеВыбора - Массив - то что выбирается
// 	СтандартнаяОбработка - Булево - признак необходимости выполнения стандартной обработки
//
Процедура НачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиент.НачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка) 
```
</details>

## ВыполнитьПереопределяемуюКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет команду вывода / скрытия элементов настройки долгосрочных счетов учета на форме.
//
// Параметры:
//  Форма	- ФормаКлиентскогоПриложения - Форма в которой расположена команда;
//  Команда	- КомандаФормы - Команда, которую нужно выполнить.
//
Процедура ВыполнитьПереопределяемуюКоманду(Форма, Команда) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиент.ВыполнитьПереопределяемуюКоманду(Форма, Команда) 
```
</details>

## ПриНажатии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в обработчике "Нажатие" гиперссылки элемента настройки.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта настройки.
// 	Элемент - ПолеФормы - Элемент настройки.
// 	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
// 	Оповещение - ОписаниеОповещения - Описание оповещения, которое необходимо выполнить после окончания настройки.
//
Процедура ПриНажатии(Форма, Элемент, СтандартнаяОбработка, Оповещение = Неопределено) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиент.ПриНажатии(Форма, Элемент, СтандартнаяОбработка, Оповещение);
```
</details>

## ПриКопированииСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в обработчике "ПриНачалеРедактирования" таблицы формы.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта настройки.
// 	ТаблицаФормы - ТаблицаФормы - Редактируемая таблица формы.
// 	НоваяСтрока - ДанныеФормыЭлементКоллекции - Новая строка в редактируемой таблице формы. Используется при программном копировании и несовпадении с текущими данными таблицы
// 	ПутьКДанным - Строка - Путь к данным настройки счетов. Используется, когда настройка не выведена на форму и в параметрах настройки отсутствуют элементы формы.
//
Процедура ПриКопированииСтроки(Форма, ТаблицаФормы, НоваяСтрока = Неопределено, ПутьКДанным = Неопределено) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиент.ПриКопированииСтроки(Форма, ТаблицаФормы, НоваяСтрока, ПутьКДанным);
```
</details>

## ПередЗаписьюНаКлиенте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Предназначена для обработки таблицы формы, не связанной с табличной частью объекта.
// Вызывается в обработчике формы ПередЗаписью().
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма.
//
Процедура ПередЗаписьюНаКлиенте(Форма) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиент.ПередЗаписьюНаКлиенте(Форма) 
```
</details>

## ОбработкаПроводокПриИзмененииОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проводок при изменении организации.
//
// Параметры:
//  Проводка - РегистрБухгалтерииЗапись - Проводка
//  ТипыСвязанныеСОрганизацией - ОписаниеТипов - Описание типов
//  ДтКт - Строка - Дт или Кт
Процедура ОбработкаПроводокПриИзмененииОрганизации(Проводка, ТипыСвязанныеСОрганизацией, ДтКт = "") Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиент.ОбработкаПроводокПриИзмененииОрганизации(Проводка, ТипыСвязанныеСОрганизацией, ДтКт);
```
</details>

## ИзменитьПараметрыВыбораПолейСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьПараметрыВыбораПолейСубконто(Форма, СтрокаТаблицы, Организация, ДтКт = "") Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиент.ИзменитьПараметрыВыбораПолейСубконто(Форма, СтрокаТаблицы, Организация, ДтКт);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
