---
title: Настройка счетов учета клиент сервер
slug: erp-uh/настройка-счетов-учета-клиент-сервер
---


## ПриИзмененииРеквизитаДоступностиСчетаУчетаВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает статью и аналитику в строке таблицы, если они не доступны в строке ТЧ.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	СтрокаТаблицы - ДанныеФормыЭлементКоллекции - Строка таблицы.
// 	ПутьКДаннымТаблицы - Строка - Путь к данным таблицы формы, например "Объект.Товары".
//
Процедура ПриИзмененииРеквизитаДоступностиСчетаУчетаВСтроке(Форма, СтрокаТаблицы, ПутьКДаннымТаблицы) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиентСервер.ПриИзмененииРеквизитаДоступностиСчетаУчетаВСтроке(Форма, СтрокаТаблицы, ПутьКДаннымТаблицы) 
```
</details>

## ПриИзмененииСтатьи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость настройки счетов учета при изменении типа статьи, заполняет настройки счетов учета статьи по умолчанию.
// Вызывается из механизма выбора статей и аналитик (См. ДоходыИРасходыСервер).
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта.
// 	ПутьКДанным - Строка - Значение поля "ПутьКДанным" параметров выбора статей и аналитик (См. ДоходыИРасходыСервер.ПараметрыВыбораСтатьиИАналитики).
// 	ТипСтатьи - Строка - Значение поля "ТипСтатьи" параметров выбора статей и аналитик (См. ДоходыИРасходыСервер.ПараметрыВыбораСтатьиИАналитики).
// 	ИдентификаторыСтрок - Число, Массив, Неопределено - Идентификаторы строк таблицы, в которых изменился тип статьи.
//
Процедура ПриИзмененииСтатьи(Форма, ПутьКДанным, ТипСтатьи, ИдентификаторыСтрок = Неопределено) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиентСервер.ПриИзмененииСтатьи(Форма, ПутьКДанным, ТипСтатьи, ИдентификаторыСтрок);
```
</details>

## ВставитьДействиеЗаполнитьНастройкуСчетовУчетаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет структуру действий механизма ОбработкаТабличнойЧасти действием заполнения настройки счетов учета по умолчанию
// по данным статьи активов и пассивов.
//
// Параметры:
//  СтруктураДействий - Структура - Структура действий
//  ФормаИлиПараметры - ФормаКлиентскогоПриложения, Структура, Массив - При вызове из формы передается форма объекта. Из формы получаются закэшированные данные настройки счетов учета.
//                                                             При вызове из объекта - параметры настройки счетов (см. НастройкаСчетовУчетаСервер.ПараметрыНастройки).
//  ПутьКДанным - Строка - Путь к данным настройки счетов учета. Значение по умолчанию "Объект.Товары".
//
Процедура ВставитьДействиеЗаполнитьНастройкуСчетовУчетаПоУмолчанию(СтруктураДействий, ФормаИлиПараметры, ПутьКДанным = "Объект.Товары") Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиентСервер.ВставитьДействиеЗаполнитьНастройкуСчетовУчетаПоУмолчанию(СтруктураДействий, ФормаИлиПараметры, ПутьКДанным);
```
</details>

## ВставитьДействиеЗаполнитьПредставлениеНастройкиСчетовУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет структуру действий механизма ОбработкаТабличнойЧасти действием заполнения представления настройки счетов учета.
// Действие возможно использовать только в форме.
//
// Параметры:
// 	СтруктураДействий - Структура - Структура действий
// 	Форма - ФормаКлиентскогоПриложения - Из формы получаются закэшированные параметры настройки счетов учета.
// 	ПутьКДанным - Строка - Путь к данным настройки счетов учета. Значение по умолчанию "Объект.Товары".
//
Процедура ВставитьДействиеЗаполнитьПредставлениеНастройкиСчетовУчета(СтруктураДействий, Форма, ПутьКДанным = "Объект.Товары") Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиентСервер.ВставитьДействиеЗаполнитьПредставлениеНастройкиСчетовУчета(СтруктураДействий, Форма, ПутьКДанным);
```
</details>

## СоставНастройкиСчетовУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру полей настройки счетов учета операции.
//
// Возвращаемое значение:
//  Структура - Описание:
//++ Локализация
//  * СчетУчета - ПланСчетовСсылка.Хозрасчетный - счет регламентированного учета.
//  * Субконто1 - Произвольный - субконто 1 счета регламентированного учета
//  * Субконто2 - Произвольный - субконто 2 счета регламентированного учета
//  * Субконто3 - Произвольный - субконто 3 счета регламентированного учета
//-- Локализация
//  * НастройкиМеждународногоУчета - Массив - настройки счетов международного учета, см. СоставНастройкиСчетовМеждународногоУчета
//
Функция СоставНастройкиСчетовУчета() Экспорт
```

Пример вызова
```bsl
Результат = НастройкаСчетовУчетаКлиентСервер.СоставНастройкиСчетовУчета() 
```
</details>

## СоставНастройкиСчетовМеждународногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру полей настройки учета операции на счете международного учета.
// Используется для заполнения свойства НастройкиМеждународногоУчета состава настройки счетов учета операции.
//
// Возвращаемое значение:
//  Структура - Описание:
//  * ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета - план счетов международного учета.
//  * СчетУчета - ПланСчетовСсылка.Международный - счет международного учета.
//  * Субконто1 - Произвольный - субконто 1 счета международного учета
//  * Субконто2 - Произвольный - субконто 2 счета международного учета
//  * Субконто3 - Произвольный - субконто 3 счета международного учета
//
Функция СоставНастройкиСчетовМеждународногоУчета() Экспорт
```

Пример вызова
```bsl
Результат = НастройкаСчетовУчетаКлиентСервер.СоставНастройкиСчетовМеждународногоУчета() 
```
</details>

## ПриИзмененииРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку изменения реквизитов аналитики учета, влияющих на настройку счетов учета.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма объекта настройки
// 	ИмяЭлемента - Строка - Имя элемента реквизита
//
Процедура ПриИзмененииРеквизита(Форма, ИмяЭлемента = Неопределено) Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиентСервер.ПриИзмененииРеквизита(Форма, ИмяЭлемента);
```
</details>

## ВидыСчетовСНастройкамиДолгосрочнойЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Возвращает виды счетов регл. учета, для которых будет добавлена возможность настройки долгосрочного счета учета.
//
// Возвращаемое значение:
//	Массив - массив из Строка:
//		Имя вида счета регл. учета строкой, для которого надо будет дать возможность настройки долгосрочного счета учета.
//
Функция ВидыСчетовСНастройкамиДолгосрочнойЗадолженности() Экспорт
```

Пример вызова
```bsl
Результат = НастройкаСчетовУчетаКлиентСервер.ВидыСчетовСНастройкамиДолгосрочнойЗадолженности() 
```
</details>

## ИзменитьПараметрыВыбораПолейСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет параметры выбора полей субконто.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма, на которой расположены поля субконто.
//	Объект - ДанныеФормыСтруктура - Объект, форма которого отображается.
//	ШаблонИмяПоляОбъекта - Строка - Шаблон имени поля объекта, содержащего субконто.
//	ШаблонИмяЭлементаФормы - Строка - Шаблон имени поля формы, в который выводится субконто.
//	СписокПараметров - Структура - Содержит ключи со значениями отборов.
//
Процедура ИзменитьПараметрыВыбораПолейСубконто(Форма, Объект, ШаблонИмяПоляОбъекта, ШаблонИмяЭлементаФормы, Экспорт
```

Пример вызова
```bsl
НастройкаСчетовУчетаКлиентСервер.ИзменитьПараметрыВыбораПолейСубконто(Форма, Объект, ШаблонИмяПоляОбъекта, ШаблонИмяЭлементаФормы, );
```
</details>

## ПараметрыВыбораСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует структуру ключей со значениями отбора для субконто.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - Организация, для который выполняется настройка субконто.
//	ТекущиеДанные - РегистрБухгалтерииЗаписьИмяРегистраБухгалтерии - Запись, для которой настраиваются параметры выбора.
//	ШаблонИмяПоляОбъекта - Строка - Шаблон имени поля объекта, содержащего субконто.
//	ИмяПоляСчетУчета - Строка - Шаблон имени поля формы, в который выводится счет.
//
//Возвращаемое значение:
//   Структура - Содержит ключи со значениями отборов.
//
Функция ПараметрыВыбораСубконто(Организация, ТекущиеДанные, ШаблонИмяПоляОбъекта, ИмяПоляСчетУчета) Экспорт
```

Пример вызова
```bsl
Результат = НастройкаСчетовУчетаКлиентСервер.ПараметрыВыбораСубконто(Организация, ТекущиеДанные, ШаблонИмяПоляОбъекта, ИмяПоляСчетУчета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
