---
title: Настройки налогов учетных политик повт исп
slug: erp-uh/настройки-налогов-учетных-политик-повт-исп
---


## СистемаНалогообложенияОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает систему налогообложения организации
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - ссылка на организацию.
// 	ДатаДействия - Дата - дата получения системы налогообложения.
// 	ПоУмолчанию - Булево - если истина, то возвращается система налогообложения по умолчанию,
// 	               иначе возвращается только из записи регистра.
// Возвращаемое значение:
// 	ПеречислениеСсылка.СистемыНалогообложения, Неопределено - система налогообложения организации.
Функция СистемаНалогообложенияОрганизации(Организация, ДатаДействия = Неопределено, ПоУмолчанию = Истина) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.СистемаНалогообложенияОрганизации(Организация, ДатаДействия, ПоУмолчанию);
```
</details>

## ДействующиеПараметрыНалоговУчетныхПолитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. НастройкиНалоговУчетныхПолитик.ДействующиеПараметрыНалоговУчетныхПолитикНаДату
Функция ДействующиеПараметрыНалоговУчетныхПолитик(ИмяРегистра, Организация, ДатаДействия = Неопределено, ВозвращатьПоУмолчанию = Истина, ВыдаватьИсключение = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.ДействующиеПараметрыНалоговУчетныхПолитик(ИмяРегистра, Организация, ДатаДействия, ВозвращатьПоУмолчанию, ВыдаватьИсключение);
```
</details>

## ОрганизацииСЗаданнымПараметромПолитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. НастройкиНалоговУчетныхПолитик.ОрганизацииСЗаданнымПараметромПолитики
Функция ОрганизацииСЗаданнымПараметромПолитики(ИмяРегистра, ИмяПараметра, ЗначениеПараметра, Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.ОрганизацииСЗаданнымПараметромПолитики(ИмяРегистра, ИмяПараметра, ЗначениеПараметра, );
```
</details>

## РаздельныйУчетТоваровПоНалогообложениюНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования раздельного учета товаров по налогообложению НДС.
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - Организация, для которой необходимо получить признак учетной политики
// 	Период 		- Дата, Неопределено - Дата действия учетной политики, если Неопределено, то на текущую дату
//
// Возвращаемое значение:
// 	Булево - Значение признака.
//
Функция РаздельныйУчетТоваровПоНалогообложениюНДС(Организация, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.РаздельныйУчетТоваровПоНалогообложениюНДС(Организация, Период);
```
</details>

## РаздельныйУчетВНАПоНалогообложениюНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования раздельного учета ВНА по налогообложению НДС.
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - Организация, для которой необходимо получить признак учетной политики
// 	Период 		- Дата, Неопределено - Дата действия учетной политики, если Неопределено, то на текущую дату
//
// Возвращаемое значение:
// 	Булево - Значение признака.
//
Функция РаздельныйУчетВНАПоНалогообложениюНДС(Организация, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.РаздельныйУчетВНАПоНалогообложениюНДС(Организация, Период);
```
</details>

## РаздельныйУчетПостатейныхПроизводственныхЗатратПоНалогообложениюНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования раздельного учета постатейных производственных затрат по налогообложению НДС.
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - Организация, для которой необходимо получить признак учетной политики
// 	Период 		- Дата, Неопределено - Дата действия учетной политики, если Неопределено, то на текущую дату
//
// Возвращаемое значение:
// 	Булево - Значение признака.
//
Функция РаздельныйУчетПостатейныхПроизводственныхЗатратПоНалогообложениюНДС(Организация, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.РаздельныйУчетПостатейныхПроизводственныхЗатратПоНалогообложениюНДС(Организация, Период);
```
</details>

## ФормироватьНДСПредъявленныйПриВключенииВСтоимость
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройку формирования НДС Предъявленного при включении в стоимость
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - Организация, для которой необходимо получить признак учетной политики
// 	Период 		- Дата, Неопределено - Дата действия учетной политики, если Неопределено, то на текущую дату
//
// Возвращаемое значение:
//	Булево - Значение признака
//
Функция ФормироватьНДСПредъявленныйПриВключенииВСтоимость(Организация, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.ФормироватьНДСПредъявленныйПриВключенииВСтоимость(Организация, Период);
```
</details>

## СписыватьНДСПоРасходамНеПринимаемымВНУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройку списания НДС по расходам, не принимаемым в НУ
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - Организация, для которой необходимо получить признак учетной политики
// 	Период 		- Дата, Неопределено - Дата действия учетной политики, если Неопределено, то на текущую дату
//
// Возвращаемое значение:
//	Булево - Значение признака
//
Функция СписыватьНДСПоРасходамНеПринимаемымВНУ(Организация, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.СписыватьНДСПоРасходамНеПринимаемымВНУ(Организация, Период);
```
</details>

## ГоловнаяОрганизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает головную организацию для переданной организации-филиала, либо ссылку на себя.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - ссылка на справочник Организации.
//
// Возвращаемое значение:
//  СправочникСсылка.Организации - Головная организация.
Функция ГоловнаяОрганизация(Организация) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.ГоловнаяОрганизация(Организация) 
```
</details>

## РеглУчетВНАВедетсяНезависимо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Определяет ведется ли учет ВНА ведется независимо от упр. учета в указанной организации.
// Если организация не указана, то проверяется во всех организациях доступных пользователю.
//
// Параметры:
// 	Организация - СправочникСсылка.Организации, Неопределено - Организация, для которой проверяется настройка.
// 	Период 	- Дата, Неопределено - Дата действия учетной политики, если Неопределено, то на текущую дату.
//
// Возвращаемое значение:
//  Булево - Истина, если хотя бы в одной доступной организации регл. учет ВНА ведется независимо от упр. учета.
Функция РеглУчетВНАВедетсяНезависимо(Организация = Неопределено, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.РеглУчетВНАВедетсяНезависимо(Организация, Период);
```
</details>

## ПорядокУчетаВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает порядок учета внеоборотных активов.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, для которой определяется порядок.
//	Период - Дата - дата, на которую определяется порядок.
//
// Возвращаемое значение:
//	ПеречислениеСсылка.ПорядокУчетаВНА - Порядок учета внеоборотных активов.
//
Функция ПорядокУчетаВНА(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.ПорядокУчетаВНА(Организация, Период) 
```
</details>

## ПорядокНачисленияАмортизацииОСУпр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает порядок начисления амортизации ОС в упр. учете.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, для которой определяется порядок.
//	Период - Дата - дата, на которую определяется порядок.
//
// Возвращаемое значение:
//	ПеречислениеСсылка.ПорядокНачисленияАмортизации - Порядок начисления амортизации в бухгалтерском учет.
//
Функция ПорядокНачисленияАмортизацииОСУпр(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.ПорядокНачисленияАмортизацииОСУпр(Организация, Период) 
```
</details>

## ПорядокНачисленияАмортизацииОСРегл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает порядок начисления амортизации ОС в регл. учете.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, для которой определяется порядок.
//	Период - Дата - дата, на которую определяется порядок.
//
// Возвращаемое значение:
//	ПеречислениеСсылка.ПорядокНачисленияАмортизации - Порядок начисления амортизации в бухгалтерском учет.
//
Функция ПорядокНачисленияАмортизацииОСРегл(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.ПорядокНачисленияАмортизацииОСРегл(Организация, Период) 
```
</details>

## ПрименяетсяФСБУ14
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает применение ФСБУ 14 в бухгалтерском учете.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, для которой определяется порядок.
//	Период - Дата - дата, на которую определяется порядок.
//
// Возвращаемое значение:
//	Булево - Истина, если применяется ФСБУ 6.
//
Функция ПрименяетсяФСБУ14(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.ПрименяетсяФСБУ14(Организация, Период) 
```
</details>

## ПрименяетсяФСБУ6
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает применение ФСБУ 6 в бухгалтерском учете.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, для которой определяется порядок.
//	Период - Дата - дата, на которую определяется порядок.
//
// Возвращаемое значение:
//	Булево - Истина, если применяется ФСБУ 6.
//
Функция ПрименяетсяФСБУ6(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.ПрименяетсяФСБУ6(Организация, Период) 
```
</details>

## НастройкиУчетаВнеоборотныхАктивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки учета внеоборотных активов.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, для которой определяются настройки.
//	Период - Дата - дата, на которую определяются настройки.
//
// Возвращаемое значение:
//	Структура - содержит:
//		* ПорядокУчетаВНА - ПеречислениеСсылка.ПорядокУчетаВНА -
//		* ПорядокНачисленияАмортизацииОС - ПеречислениеСсылка.ПорядокНачисленияАмортизации -
//		* ПорядокНачисленияАмортизацииНМА - ПеречислениеСсылка.ПорядокНачисленияАмортизации -
//		* ПорядокНачисленияАмортизацииАренда - ПеречислениеСсылка.ПорядокНачисленияАмортизации -
//		* ПорядокУчетаВНАРегл - ПеречислениеСсылка.ПорядокУчетаВНАРегл -
//		* ПорядокНачисленияАмортизацииРегл - ПеречислениеСсылка.ПорядокНачисленияАмортизации -
//		* ПорядокНачисленияАмортизацииАрендаРегл - ПеречислениеСсылка.ПорядокНачисленияАмортизации -
//		* УчетАрендыПоФСБУ25_2018 - Булево -
//		* ВариантПроводокПоОбесценениюВНА - ПеречислениеСсылка.ВариантыПроводокПоОбесценениюВНА -
//		* ПрименяетсяФСБУ6 - Булево -
//
Функция НастройкиУчетаВнеоборотныхАктивов(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиНалоговУчетныхПолитикПовтИсп.НастройкиУчетаВнеоборотныхАктивов(Организация, Период) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
