---
title: Настройки отправки ЭДО
slug: erp-uh/настройки-отправки-эдо
---


## ИдентификаторыОтправителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает идентификаторы отправителей
//
// Возвращаемое значение:
//  РезультатЗапроса - Результат запроса
Функция ИдентификаторыОтправителей() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ИдентификаторыОтправителей() 
```
</details>

## ИдентификаторыПолучателейОтправителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает идентификаторы получателей и договор по отправителю
//
// Параметры:
//  ИдентификаторОтправителя - Строка
//  Отправитель - ОпределяемыйТип.Организация
//  ВидыДокументов - Массив Из СправочникСсылка.ВидыДокументовЭДО
//
// Возвращаемое значение:
//  РезультатЗапроса - Результат запроса
Функция ИдентификаторыПолучателейОтправителя(ИдентификаторОтправителя, Отправитель, ВидыДокументов) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ИдентификаторыПолучателейОтправителя(ИдентификаторОтправителя, Отправитель, ВидыДокументов) 
```
</details>

## НастройкиОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки отправки.
//
// Параметры:
// 	КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
// Возвращаемое значение:
//  - Неопределено,
//    См. НастройкиЭДОКлиентСервер.НоваяНастройкаОтправки
Функция НастройкиОтправки(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.НастройкиОтправки(КлючНастроекОтправки) 
```
</details>

## НастройкиОтправкиИнтеркампани
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки отправки.
//
// Параметры:
// 	КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
// Возвращаемое значение:
//  - Неопределено,
//    См. НастройкиЭДОКлиентСервер.НоваяНастройкаОтправки
Функция НастройкиОтправкиИнтеркампани(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.НастройкиОтправкиИнтеркампани(КлючНастроекОтправки) 
```
</details>

## ПредставлениеНастройкиОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление настройки отправки.
//
// Параметры:
// 	КлючНастройки - РегистрСведенийКлючЗаписи.НастройкиОтправкиЭлектронныхДокументов
// Возвращаемое значение:
// 	Строка - Описание
Функция ПредставлениеНастройкиОтправки(КлючНастройки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ПредставлениеНастройкиОтправки(КлючНастройки) 
```
</details>

## НастройкиОбменаПоИдентификаторам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки обмена ЭД по ИД участников и виду документа
//
// Параметры:
// ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
// ИдентификаторОрганизации - Строка
// ИдентификаторКонтрагента - Строка
//
// Возвращаемое значение:
//  Неопределено, Структура - Настройки обмена по идентификаторам:
// * Организация - ОпределяемыйТип.Организация
// * Контрагент - ОпределяемыйТип.УчастникЭДО
// * ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
// * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
// * ИдентификаторОрганизации - Строка
// * ИдентификаторКонтрагента - Строка
// * СпособОбмена - ПеречислениеСсылка.СпособыОбменаЭД
Функция НастройкиОбменаПоИдентификаторам(ВидДокумента, ИдентификаторОрганизации, ИдентификаторКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.НастройкиОбменаПоИдентификаторам(ВидДокумента, ИдентификаторОрганизации, ИдентификаторКонтрагента) 
```
</details>

## ПолучитьНастройкиОтправкиПоИдентификаторам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки обмена ЭД по ИД участников.
//
// Параметры:
//  ИДОтправителя - Строка - строка с уникальный идентификатор отправителя
//  ИДПолучателя - Строка - строка с уникальный идентификатор получателя
//  Организация - ОпределяемыйТип.Организация
//  Контрагент - ОпределяемыйТип.УчастникЭДО
//  ВидДокумента - СправочникСсылка.ВидыДокументовЭДО - вид электронного документа
//  СоздаватьНастройки - Булево - создавать настройки при отсутствии
//
// Возвращаемое значение:
//  Структура - структура параметров с настройками обмена.
//
Функция ПолучитьНастройкиОтправкиПоИдентификаторам(ИДОтправителя, ИДПолучателя, Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ПолучитьНастройкиОтправкиПоИдентификаторам(ИДОтправителя, ИДПолучателя, );
```
</details>

## СоздатьНастройкиОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. НастройкиЭДО.СоздатьНастройкиОтправки
//
// Параметры:
// 	Организация - ОпределяемыйТип.Организация
// 	Контрагент - ОпределяемыйТип.УчастникЭДО
// 	ДоговорКонтрагента - Неопределено,ОпределяемыйТип.ДоговорСКонтрагентомЭДО
// 	ИдентификаторОрганизации - Строка
// 	ИдентификаторКонтрагента - Строка
// 	Отказ - Булево - устанавливается в Истину, если настройки создать не удалось.
Процедура СоздатьНастройкиОтправки(Знач Организация, Знач Контрагент, Знач ДоговорКонтрагента, Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДО.СоздатьНастройкиОтправки(Организация, Контрагент, ДоговорКонтрагента, );
```
</details>

## СоздатьНастройкиИнтеркампани
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает настройки отправки интеркампани.
//
// Параметры:
// 	КлючНастроек - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
// Возвращаемое значение:
// 	- См. НастройкиЭДОКлиентСервер.НоваяНастройкаОтправки
// 	- Неопределено
Функция СоздатьНастройкиИнтеркампани(КлючНастроек) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.СоздатьНастройкиИнтеркампани(КлючНастроек) 
```
</details>

## ПриУдаленииУчетнойЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СинхронизацияЭДОСобытия.ПриУдаленииУчетнойЗаписи
Процедура ПриУдаленииУчетнойЗаписи(ИдентификаторУчетнойЗаписи) Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДО.ПриУдаленииУчетнойЗаписи(ИдентификаторУчетнойЗаписи) 
```
</details>

## ЕстьНастройкиЗаполненияДополнительныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наличие настроек заполнения дополнительных полей.
//
// Параметры:
// 	КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
// 	Формат - Строка
// Возвращаемое значение:
// 	Булево
Функция ЕстьНастройкиЗаполненияДополнительныхПолей(КлючНастроекОтправки, Формат) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ЕстьНастройкиЗаполненияДополнительныхПолей(КлючНастроекОтправки, Формат) 
```
</details>

## НастройкаЗаполненияДополнительныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройку заполнения дополнительных полей.
//
// Параметры:
// 	КлючНастроек - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
// 	Формат - Строка
// 	ТекстОшибки - Строка - выходной параметр, содержит текст ошибки, возникшей при получении настройки
// Возвращаемое значение:
// 	- Неопределено -.
// 	- ТаблицаЗначений - с колонками:
// * Идентификатор - Строка
// * Имя - Строка
// * Представление - Строка
// * Описание - Строка
// * Правило - Строка
// * Заполнение - Строка
// * Значение - Строка
// * Раздел - Строка
Функция НастройкаЗаполненияДополнительныхПолей(КлючНастроек, Формат = Неопределено, ТекстОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.НастройкаЗаполненияДополнительныхПолей(КлючНастроек, Формат, ТекстОшибки);
```
</details>

## ЕстьПравоИзмененияНастроекОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак наличия у пользователя права на изменение настроек отправки электронных документов.
//
// Возвращаемое значение:
// 	Булево
Функция ЕстьПравоИзмененияНастроекОтправки() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ЕстьПравоИзмененияНастроекОтправки() 
```
</details>

## ПриДобавленииОбработчиковОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. НастройкиЭДОСобытия.ПриДобавленииОбработчиковОбновления.
Процедура ПриДобавленииОбработчиковОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДО.ПриДобавленииОбработчиковОбновления(Обработчики) 
```
</details>

## ИспользуетсяУПД_УКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет использование УПД и УКД.
//
// Параметры:
// 	Организация - ОпределяемыйТип.Организация
// 	Контрагент - ОпределяемыйТип.КонтрагентБЭД
// 	ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
// Возвращаемое значение:
// 	Структура:
// * ИспользуетсяУПД - Булево
// * ИспользуетсяУКД - Булево
Функция ИспользуетсяУПД_УКД(Организация, Контрагент, ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ИспользуетсяУПД_УКД(Организация, Контрагент, ДоговорКонтрагента) 
```
</details>

## ОбщиеПараметрыНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров настроек отправки.
//
// Параметры:
// 	Организация - ОпределяемыйТип.Организация
// 	Контрагент - ОпределяемыйТип.КонтрагентБЭД
// 	ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
// Возвращаемое значение:
// 	Структура:
// * ИспользуетсяУПД - Булево
// * ИспользуетсяУКД - Булево
Функция ОбщиеПараметрыНастроек(Организация, Контрагент, ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ОбщиеПараметрыНастроек(Организация, Контрагент, ДоговорКонтрагента) 
```
</details>

## СсылкаНаОбъектНастройкиЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на элемент справочника НастройкиЭДО.
//
// Параметры:
// 	Организация - ОпределяемыйТип.Организация
// 	Контрагент - ОпределяемыйТип.КонтрагентБЭД
// 	ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
// Возвращаемое значение:
// 	- СправочникСсылка.НастройкиЭДО
// 	- Неопределено
Функция СсылкаНаОбъектНастройкиЭДО(Организация, Контрагент, ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.СсылкаНаОбъектНастройкиЭДО(Организация, Контрагент, ДоговорКонтрагента) 
```
</details>

## ИмяТипаНастройкиОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя типа настройки отправки.
//
// Возвращаемое значение:
// 	Строка
Функция ИмяТипаНастройкиОтправки() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ИмяТипаНастройкиОтправки() 
```
</details>

## ИмяПоляДляОтображенияОшибкиПоМаршруту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя поля формы настроек, на котором нужно спозиционироваться при возникновении ошибки проверки настроек.
//
// Параметры:
//  НомерСтроки - Число - номер строки таблицы исходящих документов, на которой нужно спозиционироваться.
//
// Возвращаемое значение:
//  Строка
Функция ИмяПоляДляОтображенияОшибкиПоМаршруту(НомерСтроки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ИмяПоляДляОтображенияОшибкиПоМаршруту(НомерСтроки) 
```
</details>

## СформироватьСоглашениеПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес на сформированное соглашение об ЭДО.
//
// Параметры:
//  НастройкаЭДО - См. СсылкаНаОбъектНастройкиЭДО
//
// Возвращаемое значение:
//  См. НастройкиОтправкиЭДОСлужебный.СформироватьСоглашениеПоШаблону
Функция СформироватьСоглашениеПоШаблону(НастройкаЭДО) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.СформироватьСоглашениеПоШаблону(НастройкаЭДО) 
```
</details>

## ИзменитьНастройку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет настройку отправки электронных документов.
//
// Параметры:
// 	Настройка - см. НастройкиЭДОКлиентСервер.НоваяНастройкаОтправки
Процедура ИзменитьНастройку(Настройка) Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДО.ИзменитьНастройку(Настройка) 
```
</details>

## ИзменитьТранспортныеНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет транспортные настройки.
//
// Параметры:
//  КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
//  ИдентификаторОтправителя - Строка
//  ИдентификаторПолучателя - Строка
Процедура ИзменитьТранспортныеНастройки(КлючНастроекОтправки, ИдентификаторОтправителя, Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДО.ИзменитьТранспортныеНастройки(КлючНастроекОтправки, ИдентификаторОтправителя, );
```
</details>

## ЭтоРасширеннаяНастройка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак расширенной настройки.
//
// Параметры:
//  КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
//
// Возвращаемое значение:
//  Булево - Это расширенная настройка
Функция ЭтоРасширеннаяНастройка(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ЭтоРасширеннаяНастройка(КлючНастроекОтправки) 
```
</details>

## ИдентификаторыУчастниковОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. НастройкиОтправкиЭДОСлужебный.ИдентификаторыУчастниковОбмена
Функция ИдентификаторыУчастниковОбмена(УчастникиОбмена) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДО.ИдентификаторыУчастниковОбмена(УчастникиОбмена) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
