---
title: Настройки отправки ЭДО служебный
slug: erp-uh/настройки-отправки-эдо-служебный
---


## НастройкиОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки отправки.
//
// Параметры:
// 	КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
// Возвращаемое значение:
// 	- Неопределено - настройки не существуют
// 	- См. НастройкиЭДОКлиентСервер.НоваяНастройкаОтправки
Функция НастройкиОтправки(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.НастройкиОтправки(КлючНастроекОтправки) 
```
</details>

## НастройкиОтправкиИнтеркампани
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки отправки для направления Интеркампани
//
// Параметры:
// 	КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
// Возвращаемое значение:
// 	- Неопределено - настройки не существуют
// 	- См. НастройкиЭДОКлиентСервер.НоваяНастройкаОтправки
Функция НастройкиОтправкиИнтеркампани(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.НастройкиОтправкиИнтеркампани(КлючНастроекОтправки) 
```
</details>

## НастройкиОтправкиПодсистемыЭлектронноеАктированиеЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройки отправки подсистемы электронное актирование ЕИС.
//
// Параметры:
//  КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
//
// Возвращаемое значение:
// 	- Неопределено - настройки не существуют
// 	- См. НастройкиЭДОКлиентСервер.НоваяНастройкаОтправки
Функция НастройкиОтправкиПодсистемыЭлектронноеАктированиеЕИС(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.НастройкиОтправкиПодсистемыЭлектронноеАктированиеЕИС(КлючНастроекОтправки));
```
</details>

## ДополнитьНастройкиОтправкиНовымВидомДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет настройки отправки по ключу настроек новым видом документа в разрезе договора.
//
// Параметры:
// 	КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
// 	Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//
Процедура ДополнитьНастройкиОтправкиНовымВидомДокумента(КлючНастроекОтправки, Договор) Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДОСлужебный.ДополнитьНастройкиОтправкиНовымВидомДокумента(КлючНастроекОтправки, Договор));
```
</details>

## ИзменитьНастройку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. НастройкиОтправкиЭДО.ИзменитьНастройку
Процедура ИзменитьНастройку(Настройка) Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДОСлужебный.ИзменитьНастройку(Настройка) 
```
</details>

## ЭтоРасширеннаяНастройка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. НастройкиОтправкиЭДО.ЭтоРасширеннаяНастройка
Функция ЭтоРасширеннаяНастройка(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ЭтоРасширеннаяНастройка(КлючНастроекОтправки) 
```
</details>

## ИзменитьТранспортныеНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. НастройкиОтправкиЭДО.ИзменитьТранспортныеНастройки
Процедура ИзменитьТранспортныеНастройки(КлючНастроекОтправки, ИдентификаторОтправителя, Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДОСлужебный.ИзменитьТранспортныеНастройки(КлючНастроекОтправки, ИдентификаторОтправителя, );
```
</details>

## ИспользуетсяУПД_УКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуетсяУПД_УКД(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ИспользуетсяУПД_УКД(КлючНастроекОтправки) 
```
</details>

## ОбщиеПараметрыНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбщиеПараметрыНастроек(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ОбщиеПараметрыНастроек(КлючНастроекОтправки) 
```
</details>

## НоваяТаблицаНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяТаблицаНастроек() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.НоваяТаблицаНастроек() 
```
</details>

## ПредставлениеНастройкиОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление настройки отправки.
//
// Параметры:
// 	КлючНастройки - РегистрСведенийКлючЗаписи.НастройкиОтправкиЭлектронныхДокументов
// Возвращаемое значение:
// 	Строка - Описание
Функция ПредставлениеНастройкиОтправки(КлючНастройки) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ПредставлениеНастройкиОтправки(КлючНастройки) 
```
</details>

## СсылкаНаОбъектНастройкиЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СсылкаНаОбъектНастройкиЭДО(Организация, Контрагент, ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.СсылкаНаОбъектНастройкиЭДО(Организация, Контрагент, ДоговорКонтрагента) 
```
</details>

## ЗаполнитьСписокУчетныхЗаписейПрямогоОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСписокУчетныхЗаписейПрямогоОбмена(Список, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДОСлужебный.ЗаполнитьСписокУчетныхЗаписейПрямогоОбмена(Список, Организация);
```
</details>

## ЗаполнитьНастройкиПоВидамЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьНастройкиПоВидамЭлектронныхДокументов(Настройки, ВидыДокументов, СпособОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДОСлужебный.ЗаполнитьНастройкиПоВидамЭлектронныхДокументов(Настройки, ВидыДокументов, СпособОбмена);
```
</details>

## ЗаполнитьНастройкиПоВидамЭлектронныхДокументовИнтеркампани
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьНастройкиПоВидамЭлектронныхДокументовИнтеркампани(Настройки, ВидыДокументов, Отправитель, Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДОСлужебный.ЗаполнитьНастройкиПоВидамЭлектронныхДокументовИнтеркампани(Настройки, ВидыДокументов, Отправитель, );
```
</details>

## ЗаписатьНастройкиИнтеркампани
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписатьНастройкиИнтеркампани(Настройки, Отправитель, Получатель) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ЗаписатьНастройкиИнтеркампани(Настройки, Отправитель, Получатель) 
```
</details>

## ИдентификаторыОрганизацийИнтеркампани
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИдентификаторыОрганизацийИнтеркампани(Отправитель, Получатель) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ИдентификаторыОрганизацийИнтеркампани(Отправитель, Получатель));
```
</details>

## ЗаполнитьТаблицуФормыНастроекОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТаблицуФормыНастроекОтправки(ТаблицаФормы, Настройки) Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДОСлужебный.ЗаполнитьТаблицуФормыНастроекОтправки(ТаблицаФормы, Настройки) 
```
</details>

## УстановитьУсловноеОформлениеДляГруппировкиНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьУсловноеОформлениеДляГруппировкиНастроек(УсловноеОформление, СкрываемыеПоля) Экспорт
```

Пример вызова
```bsl
НастройкиОтправкиЭДОСлужебный.УстановитьУсловноеОформлениеДляГруппировкиНастроек(УсловноеОформление, СкрываемыеПоля) 
```
</details>

## СертификатыСоответствуютМаршрутам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствие сертификатов маршрутам в настройке.
//
// Параметры:
// 	ПроверяемаяНастройка - см. НовоеОписаниеПроверяемойНастройки
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.
// Возвращаемое значение:
// 	Булево
Функция СертификатыСоответствуютМаршрутам(ПроверяемаяНастройка, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.СертификатыСоответствуютМаршрутам(ПроверяемаяНастройка, КонтекстДиагностики) 
```
</details>

## НовоеОписаниеПроверяемойНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание настройки для проверки соответствия сертификатов маршрутам, см. СертификатыСоответствуютМаршрутам.
//
// Возвращаемое значение:
// 	Структура:
// * Настройки - см. НовыеПроверяемыеНастройкиДокументов
// * ИдентификаторОтправителя - Строка
// * ИдентификаторыОтправителя - Массив из Строка
// * Отправитель - ОпределяемыйТип.Организация
// * Получатель - ОпределяемыйТип.КонтрагентБЭД
// * Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
Функция НовоеОписаниеПроверяемойНастройки() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.НовоеОписаниеПроверяемойНастройки() 
```
</details>

## НовыеПроверяемыеНастройкиДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу проверяемых настроек, см. НовоеОписаниеПроверяемойНастройки.
//
// Возвращаемое значение:
// 	ТаблицаЗначений:
// * Формировать - Булево
// * МаршрутПодписания - СправочникСсылка.МаршрутыПодписания
// * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
// * ОбменБезПодписи - Булево
Функция НовыеПроверяемыеНастройкиДокументов() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.НовыеПроверяемыеНастройкиДокументов());
```
</details>

## НастройкаПоДоговоруКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает измерения для поиска настроек по договору
//
// Параметры:
//   Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО - Договор контрагента
//
//  Возвращаемое значение:
//   Структура:
//    * ВладелецДоговора - Произвольный
//    * КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
//
Функция НастройкаПоДоговоруКонтрагента(Знач Договор) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.НастройкаПоДоговоруКонтрагента(Договор) 
```
</details>

## ИдентификаторОрганизацииИнтеркампани
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИдентификаторОрганизацииИнтеркампани(ПараметрыОрганизации, ИмяРеквизитаИННОрганизации, ИмяРеквизитаКППОрганизации) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ИдентификаторОрганизацииИнтеркампани(ПараметрыОрганизации, ИмяРеквизитаИННОрганизации, ИмяРеквизитаКППОрганизации));
```
</details>

## НоваяНастройкаЗаполненияДополнительныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяНастройкаЗаполненияДополнительныхПолей(СтруктураДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.НоваяНастройкаЗаполненияДополнительныхПолей(СтруктураДанных);
```
</details>

## СоглашениеОбОбменеЭлектроннымиДокументами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соглашение об обмене электронными документами.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация
//  Контрагент - ОпределяемыйТип.УчастникЭДО
//  Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//
// Возвращаемое значение:
//  Структура:
//  * НастройкаЭДО - СправочникСсылка.НастройкиЭДО
//  * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
Функция СоглашениеОбОбменеЭлектроннымиДокументами(Организация, Контрагент, Договор) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.СоглашениеОбОбменеЭлектроннымиДокументами(Организация, Контрагент, Договор) 
```
</details>

## ПараметрыКаталогаТоваровДляОтправкиПоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры каталога товаров для отправки по ЭДО.
//
// Параметры:
//  Отправитель - ОпределяемыйТип.Организация
//  Получатель - ОпределяемыйТип.УчастникЭДО
//  Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//
// Возвращаемое значение:
//  Структура:
//  * НастройкаЭДО - СправочникСсылка.НастройкиЭДО
//  * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
Функция ПараметрыКаталогаТоваровДляОтправкиПоЭДО(Организация, Контрагент, Договор) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ПараметрыКаталогаТоваровДляОтправкиПоЭДО(Организация, Контрагент, Договор) 
```
</details>

## ИдентификаторыУчастниковОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификаторы участников обмена с отбором по переданной таблице значений.
//
// Параметры:
//  УчастникиОбмена - ТаблицаЗначений - колонки:
//  * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
//  * Организация - ОпределяемыйТип.Организация
//  * Контрагент - ОпределяемыйТип.УчастникЭДО
//  * ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//
// Возвращаемое значение:
//  ТаблицаЗначений - колонки:
//  * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО
//  * Организация - ОпределяемыйТип.Организация
//  * Контрагент - ОпределяемыйТип.УчастникЭДО
//  * ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//  * ИдентификаторОтправителя - Строка
//  * ИдентификаторПолучателя - Строка
//
Функция ИдентификаторыУчастниковОбмена(УчастникиОбмена) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ИдентификаторыУчастниковОбмена(УчастникиОбмена) 
```
</details>

## УчастникиЭДОГотовыКОбмену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает готовность участников ЭДО к обмену
//
// Параметры:
//  ИдентификаторОтправителя - Строка - уникальный идентификатор отправителя.
//  ИдентификаторПолучателя - Строка - уникальный идентификатор получателя.
//  СпособОбмена - ПеречислениеСсылка.СпособыОбменаЭД - способ обмена ЭД.
//
// Возвращаемое значение:
//  Булево
Функция УчастникиЭДОГотовыКОбмену(ИдентификаторОтправителя, ИдентификаторПолучателя, СпособОбмена) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.УчастникиЭДОГотовыКОбмену(ИдентификаторОтправителя, ИдентификаторПолучателя, СпособОбмена));
```
</details>

## СформироватьСоглашениеПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес на сформированное соглашение об ЭДО.
//
// Параметры:
//  НастройкаЭДО - см. СсылкаНаОбъектНастройкиЭДО
//
// Возвращаемое значение:
//  - Неопределено - если не удалось сформировать соглашение об ЭДО.
//  - ОписаниеФайла - см. РаботаСФайламиБЭД.НовоеОписаниеФайла
Функция СформироватьСоглашениеПоШаблону(НастройкаЭДО) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.СформироватьСоглашениеПоШаблону(НастройкаЭДО) 
```
</details>

## ПодготовитьДанныеПечатиСоглашенияПолучитьМакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьДанныеПечатиСоглашенияПолучитьМакет(НастройкаЭДО, ИмяМакета) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ПодготовитьДанныеПечатиСоглашенияПолучитьМакет(НастройкаЭДО, ИмяМакета));
```
</details>

## ПредставлениеЮрФизЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеЮрФизЛица(ЮрФизЛицо) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиОтправкиЭДОСлужебный.ПредставлениеЮрФизЛица(ЮрФизЛицо));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
