---
title: Настройки программы БПО переопределяемый
slug: erp-uh/настройки-программы-бпо-переопределяемый
---


## ПанельАдминистрированияПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные переопределяемые действия с управляемой формой в Панели администрирования БПО
// при событии "ПриСозданииНаСервере".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма настройки оборудования
//  Отказ - Булево - Отказ создания
//  Параметры - Структура - Параметры операции
//  СтандартнаяОбработка - Булево - Стандартная обработка
//
Процедура ПанельАдминистрированияПриСозданииНаСервере(Форма, Отказ, Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НастройкиПрограммыБПОПереопределяемый.ПанельАдминистрированияПриСозданииНаСервере(Форма, Отказ, Параметры, СтандартнаяОбработка) 
```
</details>

## ПанельАдминистрированияУстановкаДоступности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительная настройка доступности при изменении реквизита формы
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  РеквизитПутьКДанным - Строка
//
Процедура ПанельАдминистрированияУстановкаДоступности(Форма, РеквизитПутьКДанным) Экспорт
```

Пример вызова
```bsl
НастройкиПрограммыБПОПереопределяемый.ПанельАдминистрированияУстановкаДоступности(Форма, РеквизитПутьКДанным) 
```
</details>

## ПриЗаполненииКомандПанелиАдминистрирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет заполнить пользовательские команды на Панели администрирования
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  Команды - см. НастройкиПрограммыБПО.ТаблицаКоманд.
//
Процедура ПриЗаполненииКомандПанелиАдминистрирования(Форма, Команды) Экспорт
```

Пример вызова
```bsl
НастройкиПрограммыБПОПереопределяемый.ПриЗаполненииКомандПанелиАдминистрирования(Форма, Команды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
