---
title: Настройки продаж для пользователей сервер
slug: erp-uh/настройки-продаж-для-пользователей-сервер
---


## ОчиститьНеиспользуемыеПравилаПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистить неиспользуемые правила продаж.
//
// Параметры:
//  Объект - СправочникОбъект.НастройкиПродажДляПользователей, СправочникОбъект.СоглашенияСКлиентами - Объект.
//
Процедура ОчиститьНеиспользуемыеПравилаПродаж(Объект) Экспорт
```

Пример вызова
```bsl
НастройкиПродажДляПользователейСервер.ОчиститьНеиспользуемыеПравилаПродаж(Объект) 
```
</details>

## ОграниченияСкидокНаценок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить ограничения скидок (наценок)
//
// Параметры:
//  СоглашениеСКлиентом - СправочникСсылка.СоглашенияСКлиентами - Соглашение
//  Пользователь - СправочникСсылка.Пользователи - Пользователь.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Ограничений скидок (наценок).
//
Функция ОграниченияСкидокНаценок(СоглашениеСКлиентом = Неопределено, Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиПродажДляПользователейСервер.ОграниченияСкидокНаценок(СоглашениеСКлиентом, Пользователь) 
```
</details>

## СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокГруппыПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать запрос временная таблица ограничение ручных скидок группы пользователей.
//
// Параметры:
//  ТекстЗапроса - Строка - Текст запроса.
//
Процедура СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокГруппыПользователей(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
НастройкиПродажДляПользователейСервер.СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокГруппыПользователей(ТекстЗапроса) 
```
</details>

## СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокОграниченияПоГруппамПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать запрос временная таблица ограничение ручных скидок ограничения по группам пользователей.
//
// Параметры:
//  ТекстЗапроса - Строка - Текст запроса
//  ИспользоватьЦеновыеГруппы - Булево - Признак использования ценовых групп.
//
Процедура СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокОграниченияПоГруппамПользователей(ТекстЗапроса, ИспользоватьЦеновыеГруппы) Экспорт
```

Пример вызова
```bsl
НастройкиПродажДляПользователейСервер.СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокОграниченияПоГруппамПользователей(ТекстЗапроса, ИспользоватьЦеновыеГруппы) 
```
</details>

## СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокОграниченияПоГруппамИПользователям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать запрос временная таблица ограничение ручных скидок ограничения по группам и пользователям.
//
// Параметры:
//  ТекстЗапроса - Строка - Текст запроса
//  ИспользоватьЦеновыеГруппы - Булево - Признак использования ценовых групп.
//
Процедура СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокОграниченияПоГруппамИПользователям(ТекстЗапроса, ИспользоватьЦеновыеГруппы) Экспорт
```

Пример вызова
```bsl
НастройкиПродажДляПользователейСервер.СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокОграниченияПоГруппамИПользователям(ТекстЗапроса, ИспользоватьЦеновыеГруппы) 
```
</details>

## СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокОбщиеОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать запрос временная таблица ограничение ручных скидок общие ограничения.
//
// Параметры:
//  ТекстЗапроса - Строка - Текст запроса
//  ИспользоватьЦеновыеГруппы - Булево - Признак использования ценовых групп.
//  ИспользоватьОграниченияПоПользователям - Булево - Признак использования ограничений по пользователям.
//  ИспользоватьОграниченияПоСоглашениям - Булево - Признак использования ограничений по соглашениям.
//
Процедура СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокОбщиеОграничения(ТекстЗапроса, ИспользоватьЦеновыеГруппы, ИспользоватьОграниченияПоПользователям, ИспользоватьОграниченияПоСоглашениям) Экспорт
```

Пример вызова
```bsl
НастройкиПродажДляПользователейСервер.СформироватьЗапросВременнаяТаблицаОграничениеРучныхСкидокОбщиеОграничения(ТекстЗапроса, ИспользоватьЦеновыеГруппы, ИспользоватьОграниченияПоПользователям, ИспользоватьОграниченияПоСоглашениям) 
```
</details>

## СформироватьЗапросВременнаяТаблицаОграниченияРучныхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать запрос временная таблица ограничения ручных скидок.
//
// Параметры:
//  ТекстЗапроса - Строка - Текст запроса.
//
Процедура СформироватьЗапросВременнаяТаблицаОграниченияРучныхСкидок(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
НастройкиПродажДляПользователейСервер.СформироватьЗапросВременнаяТаблицаОграниченияРучныхСкидок(ТекстЗапроса) 
```
</details>

## ПраваДоступаРМК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить права доступа РМК для пользователя.
//
// Параметры:
//  Пользователь - СправочникСсылка - Пользователь.
//
// Возвращаемое значение:
//  Структура - Права доступа пользователя.
//
Функция ПраваДоступаРМК(Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиПродажДляПользователейСервер.ПраваДоступаРМК(Пользователь) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
