---
title: Настройки системы локализация
slug: erp-uh/настройки-системы-локализация
---


## ДополнитьЗначенияКонстантПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет значения констант в новой ИБ по умолчанию.
//
// Параметры:
// 	Результат - Структура - Дополняемая структура констант
//
Процедура ДополнитьЗначенияКонстантПоУмолчанию(Результат) Экспорт
```

Пример вызова
```bsl
НастройкиСистемыЛокализация.ДополнитьЗначенияКонстантПоУмолчанию(Результат) 
```
</details>

## КодВалютыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код валюты по умолчанию
//
// Возвращаемое значение:
//  Строка - код валюты
//
Функция КодВалютыПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыЛокализация.КодВалютыПоУмолчанию() 
```
</details>

## ВалютаРегламентированногоУчетаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает валюту регламентированного учета по умолчанию
//
// Возвращаемое значение:
//  СправочникСсылка.Валюты - валюта регламентированного учета по умолчанию
//
Функция ВалютаРегламентированногоУчетаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыЛокализация.ВалютаРегламентированногоУчетаПоУмолчанию() 
```
</details>

## ОсновнаяСтранаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает основную старну по умолчанию
//
// Возвращаемое значение:
//  СправочникСсылка.СтраныМира - Основная страна по умолчанию
//
Функция ОсновнаяСтранаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыЛокализация.ОсновнаяСтранаПоУмолчанию() 
```
</details>

## ДополнитьЗначенияКонстантКонтролируемыхВБазовойВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет значения констант, контролируемых в базовой версии.
//
// Параметры:
// 	Результат - Структура - Дополняемая структура констант
//
Процедура ДополнитьЗначенияКонстантКонтролируемыхВБазовойВерсии(Результат) Экспорт
```

Пример вызова
```bsl
НастройкиСистемыЛокализация.ДополнитьЗначенияКонстантКонтролируемыхВБазовойВерсии(Результат) 
```
</details>

## ДополнитьКонстантыДоступныеВБазовойВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет список констант, которые доступны для изменения в базовой версии.
//
// Параметры:
// 	Результат - Структура - Дополняемая структура констант
//
Процедура ДополнитьКонстантыДоступныеВБазовойВерсии(Результат) Экспорт
```

Пример вызова
```bsl
НастройкиСистемыЛокализация.ДополнитьКонстантыДоступныеВБазовойВерсии(Результат) 
```
</details>

## ДополнитьЗначенияКонстантКонтролируемыхВНеБазовойВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет значения констант контролируемых в НЕ базовой версии.
//
// Параметры:
// 	Результат - Структура - Дополняемая структура констант
//
Процедура ДополнитьЗначенияКонстантКонтролируемыхВНеБазовойВерсии(Результат) Экспорт
```

Пример вызова
```bsl
НастройкиСистемыЛокализация.ДополнитьЗначенияКонстантКонтролируемыхВНеБазовойВерсии(Результат) 
```
</details>

## ДополнитьТаблицуЗависимостиКонстант
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Дополняет таблицу, описывающую зависимость констант в конфигурации.
// Каждая строка таблицы означает:
// для родительской константы со значением Х допустимо только значение Y для подчиненной константы.
// Параметры:
// 	Результат - ТаблицаЗначений:
//		* ИмяРодительскойКонстанты - Строка
//		* ИмяПодчиненнойКонстанты - Строка
//		* ЗначениеРодительскойКонстанты - Булево
//		* ЗначениеПодчиненнойКонстанты - Булево.
//
Процедура ДополнитьТаблицуЗависимостиКонстант(Результат) Экспорт
```

Пример вызова
```bsl
НастройкиСистемыЛокализация.ДополнитьТаблицуЗависимостиКонстант(Результат) 
```
</details>

## УстановитьВидимостьЭлементовЛокализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость групп элементов, относящихся к элементам локализации.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма, в которой необходима установка видимости.
Процедура УстановитьВидимостьЭлементовЛокализации(Форма) Экспорт
```

Пример вызова
```bsl
НастройкиСистемыЛокализация.УстановитьВидимостьЭлементовЛокализации(Форма) 
```
</details>

## ПереопределитьКодВалютыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить код валюты по умолчанию.
//
// Параметры:
//  КодВалюты	 - Строка - код валюты, если не задан, то RUB (643).
//
Процедура ПереопределитьКодВалютыПоУмолчанию(КодВалюты) Экспорт
```

Пример вызова
```bsl
НастройкиСистемыЛокализация.ПереопределитьКодВалютыПоУмолчанию(КодВалюты) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
