---
title: Настройки системы повт исп
slug: erp-uh/настройки-системы-повт-исп
---


## ПолучитьДопустимыеЗначенияПодчиненныхКонстант
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, описывающую "подчиненные" константы для указанной "родительской" константы.
//
//	Параметры:
//		ИмяРодительскойКонстанты 	  - Строка - имя константы как оно задано в конфигураторе
//		ЗначениеРодительскойКонстанты - Произвольный - значение константы.
//
//	Возвращаемое значение:
//		Структура
//			Ключ 	 - имя подчиненной константы
//			Значение - значение подчиненной константы, соответствующее значению родительской константы.
//
Функция ПолучитьДопустимыеЗначенияПодчиненныхКонстант(ИмяРодительскойКонстанты, ЗначениеРодительскойКонстанты) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыПовтИсп.ПолучитьДопустимыеЗначенияПодчиненныхКонстант(ИмяРодительскойКонстанты, ЗначениеРодительскойКонстанты) 
```
</details>

## ЕстьПодчиненныеКонстанты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак наличия у константы "подчиненных" констант.
//
//	Параметры:
//		ИмяРодительскойКонстанты 	  - Строка - имя константы как оно задано в конфигураторе
//		ЗначениеРодительскойКонстанты - Произвольный - значение константы.
//
//	Возвращаемое значение:
//		Булево - если Истина, то у константы есть "подчиненные" ей константы.
//
Функция ЕстьПодчиненныеКонстанты(ИмяРодительскойКонстанты, ЗначениеРодительскойКонстанты) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыПовтИсп.ЕстьПодчиненныеКонстанты(ИмяРодительскойКонстанты, ЗначениеРодительскойКонстанты) 
```
</details>

## ПолучитьСтруктуруРодительскихКонстант
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, описывающую "родительские" константы для указанных "подчиненных" констант.
//
//	Параметры:
//		СтруктураПодчиненныхКонстант - Структура - имена подчиненных констант.
//
//	Возвращаемое значение:
//		Структура
//			Ключ - имя родительской константы.
//
Функция ПолучитьСтруктуруРодительскихКонстант(СтруктураПодчиненныхКонстант) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыПовтИсп.ПолучитьСтруктуруРодительскихКонстант(СтруктураПодчиненныхКонстант) 
```
</details>

## ПолучитьСтруктуруПодчиненныхКонстант
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, описывающую "подчиненные" константы для указанной "родительской" константы.
//
//	Параметры:
//		ИмяРодительскойКонстанты - Структура - имя родительской константы.
//
//	Возвращаемое значение:
//		Структура
//			Ключ - имя подчиненной константы.
//
Функция ПолучитьСтруктуруПодчиненныхКонстант(ИмяРодительскойКонстанты) Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыПовтИсп.ПолучитьСтруктуруПодчиненныхКонстант(ИмяРодительскойКонстанты) 
```
</details>

## ПолучитьЗначенияКонстантПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения констант в новой ИБ по умолчанию.
//
//	Возвращаемое значение:
//		Структура
//			Ключ - имя константы.
Функция ПолучитьЗначенияКонстантПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыПовтИсп.ПолучитьЗначенияКонстантПоУмолчанию() 
```
</details>

## ЗначенияКонстантКонтролируемыхВБазовойВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения констант контролируемых в базовой версии.
//
//	Возвращаемое значение:
//		Структура
//			Ключ - имя константы.
Функция ЗначенияКонстантКонтролируемыхВБазовойВерсии() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыПовтИсп.ЗначенияКонстантКонтролируемыхВБазовойВерсии() 
```
</details>

## КонстантыДоступныеВБазовойВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список констант, которые доступны для изменения в базовой версии.
//
//	Возвращаемое значение:
//		Структура
//			Ключ - имя константы.
Функция КонстантыДоступныеВБазовойВерсии() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыПовтИсп.КонстантыДоступныеВБазовойВерсии() 
```
</details>

## ЗначенияКонстантКонтролируемыхВНеБазовойВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения констант контролируемых в НЕ базовой версии.
//
//	Возвращаемое значение:
//		Структура
//			Ключ - имя подчиненной константы.
Функция ЗначенияКонстантКонтролируемыхВНеБазовойВерсии() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыПовтИсп.ЗначенияКонстантКонтролируемыхВНеБазовойВерсии() 
```
</details>

## ПолучитьТаблицуЗависимостиКонстант
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу, описывающую зависимость констант в конфигурации.
// Каждая строка таблицы означает:
// для родительской константы со значением Х допустимо только значение Y для подчиненной константы.
//
// Возвращаемое значение:
//	см. НастройкиСистемы.ИнициализироватьТаблицуЗначенийКонстант
//
Функция ПолучитьТаблицуЗависимостиКонстант() Экспорт
```

Пример вызова
```bsl
Результат = НастройкиСистемыПовтИсп.ПолучитьТаблицуЗависимостиКонстант() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
