---
title: Начисление списание резервов по сомнительным долгам локализация
slug: erp-uh/начисление-списание-резервов-по-сомнительным-долгам-локализация
---


## ОбработкаПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый документ.
//  Отказ - Булево - Признак проведения документа.
//                   Если в теле процедуры-обработчика установить данному параметру значение Истина,
//                   то проведение документа выполнено не будет.
//  РежимПроведения - РежимПроведенияДокумента - В данный параметр передается текущий режим проведения.
//
Процедура ОбработкаПроведения(Объект, Отказ, РежимПроведения) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ОбработкаПроведения(Объект, Отказ, РежимПроведения) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект
//  Отказ - Булево - Если в теле процедуры-обработчика установить данному параметру значение Истина,
//                   то будет выполнен отказ от продолжения работы после выполнения проверки заполнения.
//  ПроверяемыеРеквизиты - Массив - Массив путей к реквизитам, для которых будет выполнена проверка заполнения.
//
Процедура ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект.
//  ДанныеЗаполнения - Произвольный - Значение, которое используется как основание для заполнения.
//  СтандартнаяОбработка - Булево - В данный параметр передается признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаЗаполнения(Объект, ДанныеЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ОбработкаЗаполнения(Объект, ДанныеЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаУдаленияПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект
//  Отказ - Булево - Признак отказа от записи.
//                   Если в теле процедуры-обработчика установить данному параметру значение Истина,
//                   то запись выполнена не будет и будет вызвано исключение.
//
Процедура ОбработкаУдаленияПроведения(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ОбработкаУдаленияПроведения(Объект, Отказ) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект
//  Отказ - Булево - Признак отказа от записи.
//                   Если в теле процедуры-обработчика установить данному параметру значение Истина,
//                   то запись выполнена не будет и будет вызвано исключение.
//  РежимЗаписи - РежимЗаписиДокумента - В параметр передается текущий режим записи документа. Позволяет определить в теле процедуры режим записи.
//  РежимПроведения - РежимПроведенияДокумента - В данный параметр передается текущий режим проведения.
//
Процедура ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект
//  Отказ - Булево - Признак отказа от записи.
//                   Если в теле процедуры-обработчика установить данному параметру значение Истина, то запись выполнена не будет и будет вызвано исключение.
//
Процедура ПриЗаписи(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ПриЗаписи(Объект, Отказ) 
```
</details>

## ПриКопировании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект
//  ОбъектКопирования - ДокументОбъект.НачислениеСписаниеРезервовПоСомнительнымДолгам - Исходный документ, который является источником копирования.
//
Процедура ПриКопировании(Объект, ОбъектКопирования) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ПриКопировании(Объект, ОбъектКопирования) 
```
</details>

## ДобавитьКомандуСоздатьНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команду создания документа "Авансовый отчет".
//
// Параметры:
//  КомандыСозданияНаОсновании - см. СозданиеНаОснованииПереопределяемый.ПередДобавлениемКомандСозданияНаОсновании.КомандыСозданияНаОсновании
//
Процедура ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании) 
```
</details>

## ДобавитьКомандыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список команд отчетов.
//
// Параметры:
//   КомандыОтчетов - См. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.КомандыОтчетов
//   Параметры - См. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.Параметры
//
Процедура ДобавитьКомандыОтчетов(КомандыОтчетов, Параметры) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ДобавитьКомандыОтчетов(КомандыОтчетов, Параметры) 
```
</details>

## ТекстОтраженияВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст запроса для отражения документа в регламентированном учете.
//
// Возвращаемое значение:
//	Строка - Текст запроса
//
Функция ТекстОтраженияВРеглУчете() Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ТекстОтраженияВРеглУчете() 
```
</details>

## ТекстЗапросаВТОтраженияВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст запроса дополнительных временных таблиц,
// необходимых для отражения в регламентированном учете
//
// Возвращаемое значение:
//   Строка - сформированный текст запроса.
//
Функция ТекстЗапросаВТОтраженияВРеглУчете() Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ТекстЗапросаВТОтраженияВРеглУчете() 
```
</details>

## УдалитьСтарыеРезервыПриЗакрытииМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет проведение документов Регламентная операция с типом "Формирование резервов по сомнительным долгам"
// по переданным организациям за указанный период.
//
// Параметры:
// 	Организации - Массив - массив организаций для формирования документов
// 	Период - Дата - период формирования документов
//
Процедура УдалитьСтарыеРезервыПриЗакрытииМесяца(Организации, Период) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.УдалитьСтарыеРезервыПриЗакрытииМесяца(Организации, Период) 
```
</details>

## ТекстЗапросаРезервыСтарые
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет тексты запроса запросом получения регламентных операций формирования резервов по сомнительным долгам
// (старый подход к формированию резервов).
//
// Параметры:
// 	ТекстыЗапроса - Массив - тексты запроса, к которым нужно добавить новый запрос
//
Процедура ТекстЗапросаРезервыСтарые(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ТекстЗапросаРезервыСтарые(ТекстыЗапроса) 
```
</details>

## УчитыватьВстречнуюЗадолженность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// С 01.01.2017 согласно пункту 1 статьи 266 НК РФ (в ред. Федерального закона от 30.11.2016 № 401-ФЗ)
// внесена поправка в определение сомнительных долгов.
// При наличии у налогоплательщика перед контрагентом встречного обязательства (кредиторской задолженности)
// сомнительным долгом признается соответствующая задолженность перед налогоплательщиком в той части,
// которая превышает указанную кредиторскую задолженность налогоплательщика перед этим контрагентом.
//
// Возвращаемое значение:
// 	Булево
//
Функция УчитыватьВстречнуюЗадолженность(Период) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.УчитыватьВстречнуюЗадолженность(Период) 
```
</details>

## ПрименятьПункт70Приказа34н
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// П. 70 Положения по ведению бухгалтерского учета (Приказ Минфина РФ от 29.07.1998 N 34н)
// Если до конца отчетного года, следующего за годом создания резерва сомнительных долгов,
// этот резерв в какой-либо части не будет использован,
// то неизрасходованные суммы присоединяются при составлении бухгалтерского баланса на конец отчетного года к
// финансовым результатам.
//
// Возвращаемое значение:
// 	Булево
//
Функция ПрименятьПункт70Приказа34н(Период, Организация) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ПрименятьПункт70Приказа34н(Период, Организация) 
```
</details>

## ПолучитьДолюРезервовПоСомнительнымДолгамНУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет долю резервов по сомнительным долгам на основании ограничения в соответствии с п. 4 ст. 266 НК
// Ограничение определяется как "разрешенная" доля суммы резервов, определенной исходя из сумм сомнительной
// задолженности и сроков ее возникновения.
//
// Возвращаемое значение:
// 	Число - доля резервов по сомнительным долгам НУ
//
Функция ПолучитьДолюРезервовПоСомнительнымДолгамНУ(Период, Организация) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ПолучитьДолюРезервовПоСомнительнымДолгамНУ(Период, Организация) 
```
</details>

## ПолучитьЛимитРасходовНУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// п. 4, ст. 266 НК РФ
// С 2017 года при расчете резервов по сомнительным долгам за отчетные периоды ограничение в НУ равно большей из сумм:
// - 10% выручки текущего отчетного периода
// - 10% выручки предыдущего года
// При расчете за год ограничение по-прежнему 10% выручки отчетного года(405-ФЗ от 30.11.16).
//
// Возвращаемое значение:
// 	Число - лимит расходов НУ
//
Функция ПолучитьЛимитРасходовНУ(Период, Организация) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ПолучитьЛимитРасходовНУ(Период, Организация) 
```
</details>

## КоэффициентОтраженияПостояннойРазницы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет применяется ли ПБУ 18/02 и отражаются ли резервы по сомнительным долгам на Постоянных разницах (ПР).
//
// Параметры:
// 	ПараметрыУчетнойПолитики - Структура, Неопределено - значений ресурсов регистра
//
// Возвращаемое значение:
// 	Число - 1, если применяется ПБУ 18/02 и резервы отражаются на ПР, иначе 0
//
Функция КоэффициентОтраженияПостояннойРазницы(ПараметрыУчетнойПолитики) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.КоэффициентОтраженияПостояннойРазницы(ПараметрыУчетнойПолитики) 
```
</details>

## КоэффициентОтраженияВременнойРазницы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет применяется ли ПБУ 18/02 и отражаются ли резервы по сомнительным долгам на Временных разницах (ВР).
//
// Параметры:
// 	ПараметрыУчетнойПолитики - Структура, Неопределено - значений ресурсов регистра
//
// Возвращаемое значение:
// 	Число - 1, если применяется ПБУ 18/02 и резервы отражаются на ВР, иначе 0
//
Функция КоэффициентОтраженияВременнойРазницы(ПараметрыУчетнойПолитики) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.КоэффициентОтраженияВременнойРазницы(ПараметрыУчетнойПолитики) 
```
</details>

## ИзмененВидРазницВУчетнойПолитике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет был ли изменен вид учета разниц для резервов по сомнительным долгам в учетной политике
//
// Параметры:
// 	Период - Дата -
// 	Организация - СправочникСсылка.Организации -
// 	ПараметрыУчетнойПолитики - см. НастройкиНалоговУчетныхПолитик.ДействующиеПараметрыНалоговУчетныхПолитик
// 	ПараметрыУчетнойПолитикиНУ - см. НастройкиНалоговУчетныхПолитик.ДействующиеПараметрыНалоговУчетныхПолитик
// Возвращаемое значение:
// 	Булево
Функция ИзмененВидРазницВУчетнойПолитике(Период, Организация, ПараметрыУчетнойПолитики, ПараметрыУчетнойПолитикиНУ) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ИзмененВидРазницВУчетнойПолитике(Период, Организация, ПараметрыУчетнойПолитики, ПараметрыУчетнойПолитикиНУ)
```
</details>

## СПАРКРискиИспользованиеРазрешено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет разрешено ли использование сервиса СПАРК риски.
//
// Возвращаемое значение:
// 	Булево - если Истина, то разрешено
//
Функция СПАРКРискиИспользованиеРазрешено() Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.СПАРКРискиИспользованиеРазрешено() 
```
</details>

## СПАРКРискиПолучитьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные СПАРК индексов по переданным контрагентам.
//
// Параметры:
// 	МассивКонтрагентов - Массив - контрагенты, по которым необходимо получить СПАРК индексы
// 	ИспользованиеРазрешено - Булево - если Ложь, то возвращается пустая таблица
//
// Возвращаемое значение:
// 	ТаблицаЗначений - таблица СПАРК индексов
//
Функция СПАРКРискиПолучитьДанные(МассивКонтрагентов, ИспользованиеРазрешено) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.СПАРКРискиПолучитьДанные(МассивКонтрагентов, ИспользованиеРазрешено) 
```
</details>

## СПАРКРискиУсловноеОформление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление элементам переданной формы
// для документа Начисление и списание резервов по сомнительным долгам.
//
Процедура СПАРКРискиУсловноеОформление(Форма) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.СПАРКРискиУсловноеОформление(Форма) 
```
</details>

## ДобавитьСписаниеЗаСчетРезерва
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в список выбора хозяйственной операции значение "Списание дебиторской задолженности за счет резерва".
//
// Параметры:
// 	Элемент - ПолеФормы - поле ввода формы, в котором указывается хозяйственная операция
//
Процедура ДобавитьСписаниеЗаСчетРезерва(Элемент) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамЛокализация.ДобавитьСписаниеЗаСчетРезерва(Элемент) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
