---
title: Начисление списание резервов по сомнительным долгам сервер
slug: erp-uh/начисление-списание-резервов-по-сомнительным-долгам-сервер
---


## ДобавитьЭтап_ФормированиеРезервовПоСомнительнымДолгам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап закрытия месяца Формирование резервов по сомнительным долгам.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - группа. в которую нужно добавить новый этап
//
Процедура ДобавитьЭтап_ФормированиеРезервовПоСомнительнымДолгам(ТаблицаЭтапов, ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.ДобавитьЭтап_ФормированиеРезервовПоСомнительнымДолгам(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ФормированиеРезервовПоСомнительнымДолгам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка необходимости использования этапа закрытия месяца.
//
// Параметры:
//  ПараметрыОбработчика - Структура - параметры обработчика события этапа.
//
Процедура Использование_ФормированиеРезервовПоСомнительнымДолгам(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.Использование_ФормированиеРезервовПоСомнительнымДолгам(ПараметрыОбработчика) 
```
</details>

## Выполнить_ФормированиеРезервовПоСомнительнымДолгам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнение этапа закрытия месяца.
//
// Параметры:
//  ПараметрыОбработчика - Структура - параметры обработчика события этапа.
//
Процедура Выполнить_ФормированиеРезервовПоСомнительнымДолгам(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.Выполнить_ФормированиеРезервовПоСомнительнымДолгам(ПараметрыОбработчика) 
```
</details>

## ОписаниеПроверок_ФормированиеРезервовПоСомнительнымДолгам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание проверок этапа закрытия месяца.
//
// Параметры:
//	ТаблицаПроверок - см. АудитСостоянияСистемыПереопределяемый.ЗаполнитьПроверкиДляРегистрации.
//
Процедура ОписаниеПроверок_ФормированиеРезервовПоСомнительнымДолгам(ТаблицаПроверок) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.ОписаниеПроверок_ФормированиеРезервовПоСомнительнымДолгам(ТаблицаПроверок) 
```
</details>

## ПроверкаНеобходимостиФормированияРезервовПоСомнительнымДолгам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап требуется, если в текущем месяце отсутствует документ формирования резервов по сомнительным долгам.
//
// Параметры:
//  ПараметрыПроверки - Структура - параметр процедуры-обработчика проверки, см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки
//
Процедура ПроверкаНеобходимостиФормированияРезервовПоСомнительнымДолгам(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.ПроверкаНеобходимостиФормированияРезервовПоСомнительнымДолгам(ПараметрыПроверки) 
```
</details>

## ПроверкаИзмененияДебиторскойЗадолженностиРезервовПоСомнительнымДолгам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап требуется, если дебиторская задолженность сохраненная в документе отличается от остатков дебиторской задолженности в учете.
//
// Параметры:
//  ПараметрыПроверки - Структура - параметр процедуры-обработчика проверки, см. АудитСостоянияСистемы.ИнициализироватьПараметрыПроверки
//
Процедура ПроверкаИзмененияДебиторскойЗадолженностиРезервовПоСомнительнымДолгам(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.ПроверкаИзмененияДебиторскойЗадолженностиРезервовПоСомнительнымДолгам(ПараметрыПроверки) 
```
</details>

## ВыборкаЗаданийКЗакрытиюМесяцаПриИзмененииРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выбирает задания к закрытию месяца.
// Если по учетной политике резервы не формируются, то задания не регистрируются.
//
// Параметры:
// 	Запрос - Запрос - запрос, содержащий временную таблицу изменений расчетов с колонками:
// 	* Период - Дата -
// 	* Организация - СправочникСсылка.Организации -
// 	* Документ - ДокументСсылка -
// 	ИмяТаблицыИзменений - Строка - имя временной таблицы изменений расчетов.
//
// Возвращаемое значение:
//  ВыборкаИзРезультатаЗапроса - выборка заданий к закрытию месяца:
//  * Месяц - Дата - период задания
//  * Организация - СправочникСсылка.Организации - организация, по которой сформируется задание
//  * Операция - ПеречислениеСсылка.ОперацииЗакрытияМесяца - всегда ФормированиеРезервовПоСомнительнымДолгам
//  * Документ - Неопределено -
//
Функция ВыборкаЗаданийКЗакрытиюМесяцаПриИзмененииРасчетов(Запрос, ИмяТаблицыИзменений) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.ВыборкаЗаданийКЗакрытиюМесяцаПриИзмененииРасчетов(Запрос, ИмяТаблицыИзменений) 
```
</details>

## ТекстЗапросаЗаданийКЗакрытиюМесяцаПриИзмененииРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса заданий к закрытию месяца резервов по сомнительным долгам.
//
// Параметры:
// 	ИмяТаблицыДействующиеУчетныеПолитики - Строка - имя временной таблицы действующих учетных политик.
//   (См. ТекстЗапросаДействующихУчетныхПолитик).
//
// Возвращаемое значение:
//  Строка - текст запроса
//
Функция ТекстЗапросаЗаданийКЗакрытиюМесяцаПриИзмененииРасчетов(ИмяТаблицыДействующиеУчетныеПолитики) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.ТекстЗапросаЗаданийКЗакрытиюМесяцаПриИзмененииРасчетов(ИмяТаблицыДействующиеУчетныеПолитики) 
```
</details>

## ТекстЗапросаДействующихУчетныхПолитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса действующих учетных политики резервов по сомнительным долгам.
//
// Параметры:
// 	ИмяТаблицыИзменений - Строка - имя временной таблицы изменений расчетов.
// 	ИмяПодготовленнойТаблицы - Строка - имя временной таблицы, в которую необходимо поместить действующие учетные политики.
//
// Возвращаемое значение:
//  Строка - текст запроса
//
Функция ТекстЗапросаДействующихУчетныхПолитик(ИмяТаблицыИзменений, ИмяПодготовленнойТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.ТекстЗапросаДействующихУчетныхПолитик(ИмяТаблицыИзменений, ИмяПодготовленнойТаблицы) 
```
</details>

## ТребуетсяФормированиеРезервовВУказанномПериоде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет совпадение указанного периода и периодичности формирования резервов.
//
// Параметры:
//	Периодичность - ПеречислениеСсылка.Периодичность - периодичность резервов
//	Период - Дата - период для формирования документа по данной операции
//
// Возвращаемое значение:
//	 Булево - признак необходимости формирования документа
//
Функция ТребуетсяФормированиеРезервовВУказанномПериоде(Периодичность, Период) Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.ТребуетсяФормированиеРезервовВУказанномПериоде(Периодичность, Период) 
```
</details>

## ПолучитьИнтервалыОценкиЗадолженностиПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИнтервалыОценкиЗадолженностиПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = НачислениеСписаниеРезервовПоСомнительнымДолгамСервер.ПолучитьИнтервалыОценкиЗадолженностиПоУмолчанию() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
