---
title: Номенклатура клиент
slug: erp-uh/номенклатура-клиент
---


## НаименованиеПоФормуле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует наименование элемента справочника по заданному для вида номенклатуры шаблону.
//
// Параметры:
//		ДанныеДляФормированияНаименования - Структура - структура, возвращаемая функцией НоменклатураСервер.ФормулаНаименования
//		ВидНоменклатуры - СправочникСсылка.ВидыНоменклатуры	- вид номенклатуры, в котором задан шаблон наименования
//		ЗначениеНаименования - Строка - в формулу полного наименования может входить наименование. Наименование может быть не
//								заполнено на момент формирования массива ДанныеДляФормированияНаименования.МассивЗначенийРеквизитов,
//								поэтому перед расчетом полного наименования значение наименования нужно обновить.
// Возвращаемое значение:
// Строка - Наименование полученное по алгоритму расчета
// Пустая строка - если не удалось сформировать наименование или не заполнены операнды алгоритма.
//
Функция НаименованиеПоФормуле(ДанныеДляФормированияНаименования, ВидНоменклатуры, ЗначениеНаименования = "") Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураКлиент.НаименованиеПоФормуле(ДанныеДляФормированияНаименования, ВидНоменклатуры, ЗначениеНаименования);
```
</details>

## ФильтрФайловИзображений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает фильтр, используемый для выбора файлов-изображений.
// Возвращаемое значение:
// Строка - строка, содержащая фильтр для файлов-изображений.
//
Функция ФильтрФайловИзображений() Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураКлиент.ФильтрФайловИзображений() 
```
</details>

## ОповеститьОбИзмененииСпискаВыбораЕдиницИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет оповещение пользователя о выполненном подборе единиц измерений из классификатора.
//
// Параметры:
//	КоличествоНовыхЭлементов - Число - количество подобранных единиц измерений из классификатора,
//	МассивЭлементов			 - Массив - массив ссылок на элементы справочника 'УпаковкиЕдиницыИзмерения',
//		подобранных из классификатора единиц измерений.
//
Процедура ОповеститьОбИзмененииСпискаВыбораЕдиницИзмерения(КоличествоНовыхЭлементов, МассивЭлементов) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ОповеститьОбИзмененииСпискаВыбораЕдиницИзмерения(КоличествоНовыхЭлементов, МассивЭлементов) 
```
</details>

## ВыбратьЭлементГруппуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция является обработчиком события "НачалоВыбора" для тех элементов форм, в которых может быть
//  выбрана как группа справочника, так и элемент.
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения	 - контекст действия.
//  Элемент				 - ПолеФормы		 - элемент, в котором осуществляется выбор.
//  СтандартнаяОбработка - Булево			 - признак стандартной обработки выбора в поле.
//
Процедура ВыбратьЭлементГруппуНоменклатуры(Форма, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ВыбратьЭлементГруппуНоменклатуры(Форма, Элемент, СтандартнаяОбработка) 
```
</details>

## ДляУказанияСерийНуженСерверныйВызов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет необходимость указания серий в строке, если возможно, открывает форму указания,
//  если форма указания не требует контекстного вызова сервера.
//
// Параметры:
//  Форма					 - ФормаКлиентскогоПриложения	 - форма документа, в которой инициировано указание серий, содержит в том числе:
//  	* Объект - ДокументОбъект, ДанныеФормыСтруктура -
//  ПараметрыУказанияСерий	 - Структура		 - параметры указания серий, возвращаемые соответствующей процедурой модуля менеджера документа.
//  Текст					 - Строка			 - текст, введенный в поле ввода (параметр событий ОкончаниеВводаТекста и АвтоПодборВводаТекста);
//  ТекущиеДанные			 - Структура, ДанныеФормыЭлементКоллекции - данные строки, в которой указывается серия, если значение не передано, то используются текущие данные табличного поля с именем ПараметрыУказанияСерий.ИмяТЧТовары, должна содержать:
//  	* Ссылка - ДокументСсылка
//  ОпределятьРаспоряжение	 - Булево			 - признак необходимости определения распоряжения по значениям полей;
//  ВыдаватьСообщения		 - Булево			 - признак необходимости вывода пользователю информационного сообщения.
//
// Возвращаемое значение:
//  Булево - нужен контекстный вызов.
//
Функция ДляУказанияСерийНуженСерверныйВызов(Форма, ПараметрыУказанияСерий, Текст, ТекущиеДанные = Неопределено, ОпределятьРаспоряжение = Истина, ВыдаватьСообщения = Истина) Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураКлиент.ДляУказанияСерийНуженСерверныйВызов(Форма, ПараметрыУказанияСерий, Текст, ТекущиеДанные, ОпределятьРаспоряжение, ВыдаватьСообщения);
```
</details>

## ДляОтменыУказанияСерийНуженСерверныйВызов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет возможность отмены указания серий в строке.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма документа, в которой инициировано указание серий;
//	ПараметрыУказанияСерий - Структура - параметры указания серий, возвращаемая соответствующей процедурой модуля менеджера документа;
//	ИмяТабличногоПоля - Строка - имя табличной части документа.
//
// Возвращаемое значение:
//	Булево - Истина, если серверный вызов нужен.
//
Функция ДляОтменыУказанияСерийНуженСерверныйВызов(Форма,ПараметрыУказанияСерий, ИмяТабличногоПоля = "") Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураКлиент.ДляОтменыУказанияСерийНуженСерверныйВызов(Форма, ПараметрыУказанияСерий, ИмяТабличногоПоля);
```
</details>

## ОбновитьКешированныеЗначенияДляУчетаСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обновляет кеш ключевых реквизитов текущей строки товаров. По ключевым реквизитам осуществляется связь
//  между ТЧ серий и ТЧ товаров.
//
// Параметры:
//  ТаблицаФормы			 - ТаблицаФормы	 - таблица, в которой отображается ТЧ с товарами.
//  КэшированныеЗначения	 - Структура	 - переменная модуля формы, в которой хранятся кешируемые значения.
//  ПараметрыУказанияСерий	 - Структура	 - структура параметров указания серий, возвращаемая соответствующей процедурой модуля менеджера документа.
//  Копирование				 - Булево		 - признак, что кешированная строка скопирована (параметр события ПриНачалеРедактирования).
//
Процедура ОбновитьКешированныеЗначенияДляУчетаСерий(ТаблицаФормы,КэшированныеЗначения,ПараметрыУказанияСерий,Копирование = Ложь) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ОбновитьКешированныеЗначенияДляУчетаСерий(ТаблицаФормы, КэшированныеЗначения, ПараметрыУказанияСерий, Копирование);
```
</details>

## ОбновитьКешированныеЗначенияШапкиДляУчетаСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет кеш ключевых реквизитов товара в шапке документа. По ключевым реквизитам осуществляется связь
//  между ТЧ серий товаром.
//
// Параметры:
//  Объект					 - ДанныеФормыСтруктура	 - основной реквизит формы
//  КэшированныеЗначения	 - Структура			 - переменная модуля формы, в которой хранятся кешируемые значения
//  ПараметрыУказанияСерий	 - Структура			 - параметры указания серий, возвращаемая соответствующей процедурой модуля менеджера документа.
//
Процедура ОбновитьКешированныеЗначенияШапкиДляУчетаСерий(Объект, КэшированныеЗначения, ПараметрыУказанияСерий) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ОбновитьКешированныеЗначенияШапкиДляУчетаСерий(Объект, КэшированныеЗначения, ПараметрыУказанияСерий) 
```
</details>

## НеобходимоОбновитьСтатусыСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет необходимость обновления статусов указания серий при окончании редактирования строки товаров.
//
// Параметры:
//  ТаблицаФормы			 - ТаблицаФормы	 - таблица формы, отображающая ТЧ товаров;
//  КэшированныеЗначения	 - Структура	 - переменная модуля формы, в которой хранятся кешируемые значения;
//  ПараметрыУказанияСерий	 - Структура	 - параметры указания серий, возвращаемые соответствующей процедурой модуля менеджера документа.
//  Удаление				 - Булево		 - Истина, признак, что проверка вызывается при удалении строки ТЧ.
//
// Возвращаемое значение:
//  Булево - нужно ли обновить статусы указания серий.
//
Функция НеобходимоОбновитьСтатусыСерий(ТаблицаФормы,КэшированныеЗначения,ПараметрыУказанияСерий, Удаление = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураКлиент.НеобходимоОбновитьСтатусыСерий(ТаблицаФормы, КэшированныеЗначения, ПараметрыУказанияСерий, Удаление);
```
</details>

## НеобходимоОбновитьСтатусСерийВШапке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет необходимость обновления статуса указания серий для товара в шапке документа.
//
// Параметры:
//  Объект					 - ДанныеФормыСтруктура	 - основной реквизит формы;
//  КэшированныеЗначения	 - Структура			 - переменная модуля формы, в которой хранятся кешируемые значения;
//  ПараметрыУказанияСерий	 - Структура			 - параметры указания серий, возвращаемые соответствующей процедурой
//  			модуля менеджера документа.
//
// Возвращаемое значение:
//  Булево - нужно ли обновить статус указания серий.
//
Функция НеобходимоОбновитьСтатусСерийВШапке(Объект,КэшированныеЗначения,Знач ПараметрыУказанияСерий) Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураКлиент.НеобходимоОбновитьСтатусСерийВШапке(Объект, КэшированныеЗначения, ПараметрыУказанияСерий) 
```
</details>

## ЗадатьВопросОПерезаполненииСерийПоFEFO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запрашивает у пользователя подтверждение перезаполнения серий по FEFO.
//
// Параметры:
//  ОповещениеПослеОтвета	 - ОписаниеОповещения - действие после ответа.
//
Процедура ЗадатьВопросОПерезаполненииСерийПоFEFO(ОповещениеПослеОтвета) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ЗадатьВопросОПерезаполненииСерийПоFEFO(ОповещениеПослеОтвета) 
```
</details>

## ЗадатьВопросОПерезаполненииСерийПоFEFOЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет обработку оповещения после вопроса о перезаполнении серий по FEFO.
//
// Параметры:
//  РезультатВопроса		 - КодВозвратаДиалога - ответ на вопрос.
//  ДополнительныеПараметры	 - Структура - передается ОповещениеПослеОтвета.
//
Процедура ЗадатьВопросОПерезаполненииСерийПоFEFOЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ЗадатьВопросОПерезаполненииСерийПоFEFOЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ПредупредитьОбОтсутствииСтрокЗаполняемыхПоFEFO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выводит предупреждение, что в ТЧ нет строк, серии по которым можно заполнить по FEFO.
Процедура ПредупредитьОбОтсутствииСтрокЗаполняемыхПоFEFO() Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ПредупредитьОбОтсутствииСтрокЗаполняемыхПоFEFO() 
```
</details>

## ОбработатьУказаниеСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает указание серии в ТЧ "Товары".
//	Параметры:
//		Форма - ФормаКлиентскогоПриложения - форма документа, в которой инициировано указание серии
//		ПараметрыУказанияСерий - Структура - параметры указания серий, возвращаемые соответствующей процедурой модуля менеджера документа
//		ВыбраннаяСерия - Структура - формат которой описан в функции НоменклатураКлиентСервер.ВыбраннаяСерия
//		ТекущиеДанные - Структура, ДанныеФормыЭлементКоллекции  - данные строки, в которой указывается серия, если значение не передано,
//									то используются текущие данные табличного поля с именем ПараметрыУказанияСерий.ИмяТЧТовары.
//
Процедура ОбработатьУказаниеСерии(Форма, ПараметрыУказанияСерий, ВыбраннаяСерия, ТекущиеДанные = Неопределено) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ОбработатьУказаниеСерии(Форма, ПараметрыУказанияСерий, ВыбраннаяСерия, ТекущиеДанные);
```
</details>

## ПараметрыРасшифровкиОтчетВедомостьПоСериямНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры необходимые для расшифровки отчета ВедомостьПоСериямНоменклатуры.
//
// Возвращаемое значение:
//   Структура   - параметры необходимые для расшифровки отчета.
//
Функция ПараметрыРасшифровкиОтчетВедомостьПоСериямНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураКлиент.ПараметрыРасшифровкиОтчетВедомостьПоСериямНоменклатуры() 
```
</details>

## ЭтоУказаниеСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция вызывается в обработчике ОбработкаВыбора в форме, в которой указываются серии
// и проверяет, что источник выбора - это форма указания серий.
//
// Параметры:
//  ИсточникВыбора	 - Произвольный - форма, где осуществлен выбор. Параметр события ОбработкаВыбора формы.
//
// Возвращаемое значение:
//   Булево - истина, если это указание серий.
//
Функция ЭтоУказаниеСерий(ИсточникВыбора) Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураКлиент.ЭтоУказаниеСерий(ИсточникВыбора) 
```
</details>

## ДатаПроизводстваНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет переопределение платформенного обработчика события начала выбора реквизита "ДатаПроизводства" справочника "СерииНоменклатуры".
//
// Параметры:
//	Объект					 - ДанныеФормыСтруктура, ДанныеФормыЭлементКоллекции	 - структура данных, содержащая обрабатываемые сведения
//	ОповещениеОЗавершении	 - ОписаниеОповещения, Неопределено						 - описание оповещения, выполняемое после закрытия формы указания даты.
//	СтандартнаяОбработка	 - Булево												 - признак выполнения стандартной обработки события.
//
Процедура ДатаПроизводстваНачалоВыбора(Объект, ОповещениеОЗавершении, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ДатаПроизводстваНачалоВыбора(Объект, ОповещениеОЗавершении, СтандартнаяОбработка) 
```
</details>

## ДатаИстеченияСрокаГодностиНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет переопределение платформенного обработчика события начала выбора реквизита "ГоденДо" справочника "СерииНоменклатуры".
//
// Параметры:
//	Объект					 - ДанныеФормыСтруктура, ДанныеФормыЭлементКоллекции	 - структура данных, содержащая обрабатываемые сведения
//	ПараметрыФормы			 - Структура											 - параметры, используемые при открытии формы указания даты
//	ОповещениеОЗавершении	 - ОписаниеОповещения, Неопределено						 - описание оповещения, выполняемое после закрытия формы
//																						указания даты.
//	СтандартнаяОбработка	 - Булево												 - признак выполнения стандартной обработки события.
//
Процедура ДатаИстеченияСрокаГодностиНачалоВыбора(Объект, ПараметрыФормы, ОповещениеОЗавершении, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ДатаИстеченияСрокаГодностиНачалоВыбора(Объект, ПараметрыФормы, ОповещениеОЗавершении, СтандартнаяОбработка) 
```
</details>

## ОповеститьОПерезаполненииСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет оповещение пользователя о выполненном перезаполнении серий
//
// Параметры:
//  ЕстьИзменения				 - Булево	 - было ли выполнение перезаполнение
//  КоличествоИзначальноВерное	 - Булево	 - признак обозначающий что изначальные данные соответствуют перезаполненным.
//
Процедура ОповеститьОПерезаполненииСерий(ЕстьИзменения, КоличествоИзначальноВерное) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.ОповеститьОПерезаполненииСерий(ЕстьИзменения, КоличествоИзначальноВерное) 
```
</details>

## УстановитьСтатусСертификатовНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет установку значения статуса сертификатов номенклатуры для выделенных строк в таблице формы.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма-источник инициализации команды.
//	Список - ТаблицаФормы - таблица формы, для элементов которой выполняется установка статусов.
//	Статус - ПеречислениеСсылка.СтатусыСертификатовНоменклатуры - значение устанавливаемого статуса.
//
Процедура УстановитьСтатусСертификатовНоменклатуры(Форма, Список, Статус) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиент.УстановитьСтатусСертификатовНоменклатуры(Форма, Список, Статус) 
```
</details>

## НовыйРезультатОбработкиЗавершения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает неинициализированные параметры результата работы с формой контроля уникальности данных информационной базы.
//
// Возвращаемое значение:
//	Структура - коллекция, содержащая следующие свойства:
//		* Действие - Строка - действие обработки данных.
//		* Ссылка - СправочникСсылка.Номенклатура, СправочникСсылка.ХарактеристикиНоменклатуры, СправочникСсылка.НомераГТД, Неопределено - ссылка на элемент информационной базы.
//
Функция НовыйРезультатОбработкиЗавершения() Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураКлиент.НовыйРезультатОбработкиЗавершения() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
