---
title: Номенклатура клиент локализация
slug: erp-uh/номенклатура-клиент-локализация
---


## ПриИзмененииРеквизита_СертификатыНоменклатуры_ФормаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события изменения реквизита формы списка сертификатов номенклатуры.
//
// Параметры:
//	Элемент - ПолеФормы - элемент формы, инициировавший событие.
//	Форма - ФормаКлиентскогоПриложения - форма списка сертификатов номенклатуры, в которой вызвано событие.
//
Процедура ПриИзмененииРеквизита_СертификатыНоменклатуры_ФормаСписка(Элемент, Форма) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиентЛокализация.ПриИзмененииРеквизита_СертификатыНоменклатуры_ФормаСписка(Элемент, Форма) 
```
</details>

## ВыполнитьКоманду_СертификатыНоменклатуры_ФормаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды формы списка сертификатов номенклатуры.
//
// Параметры:
//	Команда - КомандаФормы - команда формы, инициировавшая событие.
//	Форма - ФормаКлиентскогоПриложения - форма списка сертификатов номенклатуры, в которой вызвано событие.
//
Процедура ВыполнитьКоманду_СертификатыНоменклатуры_ФормаСписка(Команда, Форма) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиентЛокализация.ВыполнитьКоманду_СертификатыНоменклатуры_ФормаСписка(Команда, Форма) 
```
</details>

## ВыборСтатусРосаккредитации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат проверки выбранного пользователем поля в списке справочника сертификатов номенклатуры.
//
// Параметры:
//	Поле - ПолеФормы - выбранное поле формы.
//	Элементы -ВсеЭлементыФормы - элементы формы.
//
// Возвращаемое значение:
//	Булево - результат проверки выбранного пользователем поля в списке справочника сертификатов номенклатуры.
//				ИСТИНА - если выбрано поле колонки 'СтатусРосаккредитации'.
//
Функция ВыборСтатусРосаккредитации(Поле, Элементы) Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураКлиентЛокализация.ВыборСтатусРосаккредитации(Поле, Элементы) 
```
</details>

## ПриВыбореСтатусРосаккредитации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку выбора поля 'СтатусРосаккредитации' в таблице списка справочника сертификатов номенклатуры.
//
// Параметры:
//	ТаблицаФормы - ТаблицаФормы - таблица списка справочника сертификатов номенклатуры.
//	СтандартнаяОбработка - Булево - признак выполнения стандартной обработки вызываемого обработчика события.
//	ИзменитьЭлемент - Булево - признак необходимости изменения выбранного элемента списка справочника сертификатов номенклатуры.
//
Процедура ПриВыбореСтатусРосаккредитации(ТаблицаФормы, СтандартнаяОбработка, ИзменитьЭлемент = Истина) Экспорт
```

Пример вызова
```bsl
НоменклатураКлиентЛокализация.ПриВыбореСтатусРосаккредитации(ТаблицаФормы, СтандартнаяОбработка, ИзменитьЭлемент);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
