---
title: Номенклатура партнеров сервер
slug: erp-uh/номенклатура-партнеров-сервер
---


## СформироватьЗапросКорректностьЗаполненияНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для проверки табличной части Товары на наличие дублей номенклатуры партнера.
//
// Параметры:
//  ТекстЗапроса     - Строка    - текстовая строка, к которой необходимо добавить текст запроса.
//  ПараметрыЗапроса - Структура - структура, содержащая параметры запроса.
//
Процедура СформироватьЗапросКорректностьЗаполненияНоменклатурыПартнера(ТекстЗапроса, ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.СформироватьЗапросКорректностьЗаполненияНоменклатурыПартнера(ТекстЗапроса, ПараметрыЗапроса) 
```
</details>

## СообщитьОбОшибкахКорректностьЗаполненияНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит сообщения об ошибках наличия дублей в табличной части Товары документов.
//
// Параметры:
//  Выборка         - ВыборкаИзРезультатаЗапроса - выборка результата запроса:
//   * НоменклатураКонтрагента - СправочникСсылка.НоменклатураКонтрагентов - ссылка на номенклатуру партнера.
//   * НомерСтроки             - Число                                     - номер строки в документе.
//  Документ        - ДокументОбъект             - документ, для которого необходимо вывести сообщения об ошибках
//  Отказ           - Булево                     - признак отказа от проведения документа.
//
Процедура СообщитьОбОшибкахКорректностьЗаполненияНоменклатурыПартнера(Выборка, Документ, Отказ) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.СообщитьОбОшибкахКорректностьЗаполненияНоменклатурыПартнера(Выборка, Документ, Отказ) 
```
</details>

## ЗаполнитьНоменклатуруПартнераПоНоменклатуреПриИзмененииПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номенклатуру партнера при изменении партнера в документе
//
// Параметры:
//  Таблица - ДанныеФормыКоллекция, ТаблицаЗначений - таблица, в которой необходимо заполнить номенклатуру партнера.
//  Партнер - СправочникСсылка.Партнеры             - партнер, которому принадлежит номенклатура.
//
Процедура ЗаполнитьНоменклатуруПартнераПоНоменклатуреПриИзмененииПартнера(Таблица, Партнер) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ЗаполнитьНоменклатуруПартнераПоНоменклатуреПриИзмененииПартнера(Таблица, Партнер) 
```
</details>

## ЗаполнитьНоменклатуруПартнераПоНоменклатуреВСтрокеТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номенклатуру партнера по номенклатуре в строке табличной части.
//
// Параметры:
//  Партнер              - СправочникСсылка.Партнеры - ссылка партнера.
//  ТекущаяСтрока        - Структура                 - данные обрабатываемой строки.
//  СтруктураДействий    - Структура                 - описывает действия.
//  КэшированныеЗначения - Структура                 - сохраненные значения параметров, используемых при обработке.
//
Процедура ЗаполнитьНоменклатуруПартнераПоНоменклатуреВСтрокеТЧ(Партнер, ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ЗаполнитьНоменклатуруПартнераПоНоменклатуреВСтрокеТЧ(Партнер, ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения) 
```
</details>

## ЗаполнитьНоменклатуруПоНоменклатуреПартнераВСтрокеТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номенклатуру по номенклатуре партнера в строке табличной части.
//
// Параметры:
//  ТекущаяСтрока        - Структура - данные обрабатываемой строки.
//  СтруктураДействий    - Структура - описывает действия.
//  КэшированныеЗначения - Структура - сохраненные значения параметров, используемых при обработке.
//
Процедура ЗаполнитьНоменклатуруПоНоменклатуреПартнераВСтрокеТЧ(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ЗаполнитьНоменклатуруПоНоменклатуреПартнераВСтрокеТЧ(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения) 
```
</details>

## ЗаполнитьПустоеСопоставлениеВНоменклатуреПартнераПоНоменклатуреИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номенклатуру, характеристику, упаковку в номенклатуре партнера с пустой номенклатурой в сопоставление.
//
// Параметры:
//  Товары - ТаблицаЗначений - таблица, содержащая данные для связывания номенклатуры с номенклатурой партнера.
//  Отказ  - Булево - Истина, если не удалось связать номенклатуру с номенклатурой поставщика.
//
Процедура ЗаполнитьПустоеСопоставлениеВНоменклатуреПартнераПоНоменклатуреИБ(Товары, Отказ) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ЗаполнитьПустоеСопоставлениеВНоменклатуреПартнераПоНоменклатуреИБ(Товары, Отказ) 
```
</details>

## ТекстЗапросаПоискаНеСопоставленнойНоменклатурыКонтрагентовПоНоменклатуреИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ТекстЗапросаПоискаНеСопоставленнойНоменклатурыКонтрагентовПоНоменклатуреИБ
Процедура ТекстЗапросаПоискаНеСопоставленнойНоменклатурыКонтрагентовПоНоменклатуреИБ(ТекстЗапроса, Знач ТаблицаТоваровПоУмолчанию) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ТекстЗапросаПоискаНеСопоставленнойНоменклатурыКонтрагентовПоНоменклатуреИБ(ТекстЗапроса, ТаблицаТоваровПоУмолчанию) 
```
</details>

## ЗаполнитьНоменклатуруПартнераПоНоменклатуреВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номенклатуру партнера по номенклатуре в таблице.
//
// Параметры:
//  Товары  -ТаблицаЗначений            - таблица, содержащая данные для связывания номенклатуры с номенклатурой партнера.
//  Партнер - СправочникСсылка.Партнеры - ссылка партнера.
//
Процедура ЗаполнитьНоменклатуруПартнераПоНоменклатуреВТаблице(Товары, Партнер) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ЗаполнитьНоменклатуруПартнераПоНоменклатуреВТаблице(Товары, Партнер) 
```
</details>

## СформироватьТаблицуСопоставленияНоменклатурыКонтрагентовВДокументах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.СформироватьТаблицуСопоставленияНоменклатурыКонтрагентовВДокументах
Процедура СформироватьТаблицуСопоставленияНоменклатурыКонтрагентовВДокументах( Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.СформироватьТаблицуСопоставленияНоменклатурыКонтрагентовВДокументах();
```
</details>

## ТекстЗапросаСпискаВыбораНоменклатурыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ТекстЗапросаСпискаВыбораНоменклатурыКонтрагента
Процедура ТекстЗапросаСпискаВыбораНоменклатурыКонтрагента(Запрос) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ТекстЗапросаСпискаВыбораНоменклатурыКонтрагента(Запрос) 
```
</details>

## ПриСозданииНаСервере_ФормаГруппыНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриСозданииНаСервере_ФормаГруппыНоменклатурыКонтрагентов
Процедура ПриСозданииНаСервере_ФормаГруппыНоменклатурыКонтрагентов(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриСозданииНаСервере_ФормаГруппыНоменклатурыКонтрагентов(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПриСозданииНаСервере_ФормаСпискаНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриСозданииНаСервере_ФормаСпискаНоменклатурыКонтрагентов
Процедура ПриСозданииНаСервере_ФормаСпискаНоменклатурыКонтрагентов(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриСозданииНаСервере_ФормаСпискаНоменклатурыКонтрагентов(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПриЧтенииНаСервере_ФормаЭлементаНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриЧтенииНаСервере_ФормаЭлементаНоменклатурыКонтрагентов
Процедура ПриЧтенииНаСервере_ФормаЭлементаНоменклатурыКонтрагентов(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриЧтенииНаСервере_ФормаЭлементаНоменклатурыКонтрагентов(Форма, ТекущийОбъект) 
```
</details>

## ПередЗаписьюНаСервере_ФормаЭлементаНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПередЗаписьюНаСервере_ФормаЭлементаНоменклатурыКонтрагентов
Процедура ПередЗаписьюНаСервере_ФормаЭлементаНоменклатурыКонтрагентов(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПередЗаписьюНаСервере_ФормаЭлементаНоменклатурыКонтрагентов(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПослеЗаписиНаСервере_ФормаЭлементаНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПослеЗаписиНаСервере_ФормаЭлементаНоменклатурыКонтрагентов
Процедура ПослеЗаписиНаСервере_ФормаЭлементаНоменклатурыКонтрагентов(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПослеЗаписиНаСервере_ФормаЭлементаНоменклатурыКонтрагентов(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПриСозданииНаСервере_ФормаЭлементаНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриСозданииНаСервере_ФормаЭлементаНоменклатурыКонтрагентов
Процедура ПриСозданииНаСервере_ФормаЭлементаНоменклатурыКонтрагентов(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриСозданииНаСервере_ФормаЭлементаНоменклатурыКонтрагентов(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ОбработкаПолученияДанныхВыбора_НоменклатураКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ОбработкаПолученияДанныхВыбора_НоменклатураКонтрагентов
Процедура ОбработкаПолученияДанныхВыбора_НоменклатураКонтрагентов(ДанныеВыбора, Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ОбработкаПолученияДанныхВыбора_НоменклатураКонтрагентов(ДанныеВыбора, Параметры, СтандартнаяОбработка) 
```
</details>

## ПриИзмененииНоменклатурыСопоставления_НоменклатураКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриИзмененииНоменклатурыСопоставления_НоменклатураКонтрагентов
Процедура ПриИзмененииНоменклатурыСопоставления_НоменклатураКонтрагентов(Форма, ДанныеСопоставления) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриИзмененииНоменклатурыСопоставления_НоменклатураКонтрагентов(Форма, ДанныеСопоставления) 
```
</details>

## ПриСозданииНаСервере_ФормаВыбораНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриСозданииНаСервере_ФормаВыбораНоменклатурыКонтрагентов
Процедура ПриСозданииНаСервере_ФормаВыбораНоменклатурыКонтрагентов(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриСозданииНаСервере_ФормаВыбораНоменклатурыКонтрагентов(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ТекстЗапросаДинамическогоСписка_ФормаВыбораНоменклатурыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ТекстЗапросаДинамическогоСписка_ФормаВыбораНоменклатурыКонтрагента
Процедура ТекстЗапросаДинамическогоСписка_ФормаВыбораНоменклатурыКонтрагента(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ТекстЗапросаДинамическогоСписка_ФормаВыбораНоменклатурыКонтрагента(ТекстЗапроса) 
```
</details>

## УстановитьПараметрыДинамическогоСписка_ФормаВыбораНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.УстановитьПараметрыДинамическогоСписка_ФормаВыбораНоменклатурыКонтрагентов
Процедура УстановитьПараметрыДинамическогоСписка_ФормаВыбораНоменклатурыКонтрагентов(Параметры, Список) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.УстановитьПараметрыДинамическогоСписка_ФормаВыбораНоменклатурыКонтрагентов(Параметры, Список) 
```
</details>

## ПриЗаполненииВидовОграниченийПравОбъектовМетаданных_НоменклатураКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных_НоменклатураКонтрагентов
Процедура ПриЗаполненииВидовОграниченийПравОбъектовМетаданных_НоменклатураКонтрагентов(Описание) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных_НоменклатураКонтрагентов(Описание) 
```
</details>

## ПриЗаполненииОграниченияДоступа_НоменклатураКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриЗаполненииОграниченияДоступа_НоменклатураКонтрагентов
Процедура ПриЗаполненииОграниченияДоступа_НоменклатураКонтрагентов(Ограничение) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриЗаполненииОграниченияДоступа_НоменклатураКонтрагентов(Ограничение) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа_НоменклатураКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриЗаполненииСписковСОграничениемДоступа_НоменклатураКонтрагентов
Процедура ПриЗаполненииСписковСОграничениемДоступа_НоменклатураКонтрагентов(Списки) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриЗаполненииСписковСОграничениемДоступа_НоменклатураКонтрагентов(Списки) 
```
</details>

## НайтиСсылкуНаНоменклатуруПоНоменклатуреПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку номенклатуры по номенклатуре партнера.
//
// Параметры:
//  НоменклатураПартнеров - СправочникСсылка.НоменклатураКонтрагентов - ссылка номенклатуры партнера.
//
// Возвращаемое значение:
//  СправочникСсылка.Номенклатура - ссылка номенклатуры.
//
Функция НайтиСсылкуНаНоменклатуруПоНоменклатуреПартнера(НоменклатураПартнеров) Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураПартнеровСервер.НайтиСсылкуНаНоменклатуруПоНоменклатуреПартнера(НоменклатураПартнеров) 
```
</details>

## НайтиСсылкуНаНоменклатуруПоИдентификаторуНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на номенклатуру по идентификатору номенклатуры партнера.
//
// Параметры:
//  Идентификатор - Строка - идентификатор номенклатуры партнера.
//
// Возвращаемое значение:
//  СправочникСсылка.Номенклатура - ссылка номенклатуры.
//
Функция НайтиСсылкуНаНоменклатуруПоИдентификаторуНоменклатурыПартнера(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураПартнеровСервер.НайтиСсылкуНаНоменклатуруПоИдентификаторуНоменклатурыПартнера(Идентификатор) 
```
</details>

## НайтиСсылкуНаНоменклатуруПартнераПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку по идентификатору номенклатуры партнера.
//
// Параметры:
//  Идентификатор - Строка - идентификатор номенклатуры партнера.
//
// Возвращаемое значение:
//  СправочникСсылка.НоменклатураКонтрагентов - ссылка на номенклатуру партнера.
//
Функция НайтиСсылкуНаНоменклатуруПартнераПоИдентификатору(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураПартнеровСервер.НайтиСсылкуНаНоменклатуруПартнераПоИдентификатору(Идентификатор) 
```
</details>

## ПриОпределенииСтруктурыНоменклатурыИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриОпределенииСтруктурыНоменклатурыИнформационнойБазы
Процедура ПриОпределенииСтруктурыНоменклатурыИнформационнойБазы(СтруктураНоменклатуры) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриОпределенииСтруктурыНоменклатурыИнформационнойБазы(СтруктураНоменклатуры) 
```
</details>

## ПриОпределенииВладельцаНоменклатурыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриОпределенииВладельцаНоменклатурыКонтрагента
Процедура ПриОпределенииВладельцаНоменклатурыКонтрагента(Знач Контрагент, Владелец) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриОпределенииВладельцаНоменклатурыКонтрагента(Контрагент, Владелец) 
```
</details>

## ПриОпределенииСвойствНоменклатурыИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриОпределенииСвойствНоменклатурыИнформационнойБазы
Процедура ПриОпределенииСвойствНоменклатурыИнформационнойБазы(Знач НаборНоменклатуры, СвойстваНоменклатурИБ) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриОпределенииСвойствНоменклатурыИнформационнойБазы(НаборНоменклатуры, СвойстваНоменклатурИБ) 
```
</details>

## ПриЗаполненииФормыНоменклатурыПоДаннымКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Параметры:
//  НоменклатураКонтрагента - Структура - данные контрагента для заполнения формы номенклатуры.
//                                        См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента.
// 	Форма - ФормаКлиентскогоПриложения - Форма, содержит в том числе:
// 		* Объект - СправочникОбъект.Номенклатура
//
Процедура ПриЗаполненииФормыНоменклатурыПоДаннымКонтрагента(Знач НоменклатураКонтрагента, Форма) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриЗаполненииФормыНоменклатурыПоДаннымКонтрагента(НоменклатураКонтрагента, Форма) 
```
</details>

## ПриОпределенииШтрихкодовНоменклатурыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриОпределенииШтрихкодовНоменклатурыКонтрагента
Процедура ПриОпределенииШтрихкодовНоменклатурыКонтрагента(Знач НоменклатураИБ, Штрихкод, ДругиеШтрихкодыНоменклатуры) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриОпределенииШтрихкодовНоменклатурыКонтрагента(НоменклатураИБ, Штрихкод, ДругиеШтрихкодыНоменклатуры) 
```
</details>

## НайтиНаименованиеЕдиницыИзмеренияПоКодуОКЕИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.НайтиНаименованиеЕдиницыИзмеренияПоКодуОКЕИ
Процедура НайтиНаименованиеЕдиницыИзмеренияПоКодуОКЕИ(КодОКЕИЕдиницыИзмерения, НаименованиеЕдиницыИзмерения) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.НайтиНаименованиеЕдиницыИзмеренияПоКодуОКЕИ(КодОКЕИЕдиницыИзмерения, НаименованиеЕдиницыИзмерения) 
```
</details>

## БазоваяЕдиницаИзмеренияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.БазоваяЕдиницаИзмеренияНоменклатуры
Процедура БазоваяЕдиницаИзмеренияНоменклатуры(Знач Номенклатура, ЕдиницаИзмерения) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.БазоваяЕдиницаИзмеренияНоменклатуры(Номенклатура, ЕдиницаИзмерения) 
```
</details>

## ВладелецУпаковкиЕдиницыИзмеренияНоменклатура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ВладелецУпаковкиЕдиницыИзмеренияНоменклатура
Процедура ВладелецУпаковкиЕдиницыИзмеренияНоменклатура(Знач Упаковка, ВладелецУпаковкиНоменклатура) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ВладелецУпаковкиЕдиницыИзмеренияНоменклатура(Упаковка, ВладелецУпаковкиНоменклатура) 
```
</details>

## ПриОпределенииСвойствУпаковкиЕдиницыИзмеренияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриОпределенииСвойствУпаковкиЕдиницыИзмеренияНоменклатуры
Процедура ПриОпределенииСвойствУпаковкиЕдиницыИзмеренияНоменклатуры(Знач Упаковка, Знач Номенклатура, СвойстваУпаковки) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриОпределенииСвойствУпаковкиЕдиницыИзмеренияНоменклатуры(Упаковка, Номенклатура, СвойстваУпаковки) 
```
</details>

## ПриЗаполненииФормыХарактеристикиПоДаннымКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Параметры:
//  НоменклатураКонтрагента - Структура - данные контрагента для заполнения формы номенклатуры.
//                                        См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента.
// 	Форма - ФормаКлиентскогоПриложения - Форма, содержит в том числе:
// 		* Объект - СправочникОбъект.Номенклатура
//
Процедура ПриЗаполненииФормыХарактеристикиПоДаннымКонтрагента(Знач НоменклатураКонтрагента, Форма) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриЗаполненииФормыХарактеристикиПоДаннымКонтрагента(НоменклатураКонтрагента, Форма) 
```
</details>

## ПриОпределенииПредставленийСопоставленияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриОпределенииПредставленийСопоставленияНоменклатуры
Процедура ПриОпределенииПредставленийСопоставленияНоменклатуры(Представления) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриОпределенииПредставленийСопоставленияНоменклатуры(Представления) 
```
</details>

## ОпределитьНаименованиеТипаОбъектаСопоставленияНоменклатурыБЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ОпределитьНаименованиеТипаОбъектаСопоставленияНоменклатурыБЭД
Процедура ОпределитьНаименованиеТипаОбъектаСопоставленияНоменклатурыБЭД(Знач СсылкаНаОбъект, НаименованиеТипаОбъекта) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ОпределитьНаименованиеТипаОбъектаСопоставленияНоменклатурыБЭД(СсылкаНаОбъект, НаименованиеТипаОбъекта) 
```
</details>

## ЗначениеНаименованияДанныхСопоставленияНоменклатурыБЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ЗначениеНаименованияДанныхСопоставленияНоменклатурыБЭД
Процедура ЗначениеНаименованияДанныхСопоставленияНоменклатурыБЭД(Знач СсылкаНаОбъект, ЗначениеНаименования) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ЗначениеНаименованияДанныхСопоставленияНоменклатурыБЭД(СсылкаНаОбъект, ЗначениеНаименования) 
```
</details>

## ЗначенияНаименованийДанныхСопоставленияНоменклатурыБЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ЗначенияНаименованийДанныхСопоставленияНоменклатурыБЭД
Процедура ЗначенияНаименованийДанныхСопоставленияНоменклатурыБЭД(Знач НаборСсылокНаОбъекты, СоответствиеЗначенийНаименований) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ЗначенияНаименованийДанныхСопоставленияНоменклатурыБЭД(НаборСсылокНаОбъекты, СоответствиеЗначенийНаименований) 
```
</details>

## ИнициализацияТекстаЗапросаПоискаСопоставленияПоНатуральнымКлючам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ИнициализацияТекстаЗапросаПоискаСопоставленияПоНатуральнымКлючам
Процедура ИнициализацияТекстаЗапросаПоискаСопоставленияПоНатуральнымКлючам(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ИнициализацияТекстаЗапросаПоискаСопоставленияПоНатуральнымКлючам(ТекстЗапроса) 
```
</details>

## ТекстЗапросаПоискаВариантовСопоставленияПоШтрихкодамКомбинаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ТекстЗапросаПоискаВариантовСопоставленияПоШтрихкодамКомбинаций
Процедура ТекстЗапросаПоискаВариантовСопоставленияПоШтрихкодамКомбинаций(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ТекстЗапросаПоискаВариантовСопоставленияПоШтрихкодамКомбинаций(ТекстЗапроса) 
```
</details>

## ТекстЗапросаОтбораХарактеристикНоменклатурыБЭДПоВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ТекстЗапросаОтбораХарактеристикНоменклатурыБЭДПоВладельцу
Процедура ТекстЗапросаОтбораХарактеристикНоменклатурыБЭДПоВладельцу(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ТекстЗапросаОтбораХарактеристикНоменклатурыБЭДПоВладельцу(ТекстЗапроса) 
```
</details>

## ТекстЗапросаПоискаВариантовСопоставленияХарактеристикиСНашейНоменклатурой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ТекстЗапросаПоискаВариантовСопоставленияХарактеристикиСНашейНоменклатурой
Процедура ТекстЗапросаПоискаВариантовСопоставленияХарактеристикиСНашейНоменклатурой(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ТекстЗапросаПоискаВариантовСопоставленияХарактеристикиСНашейНоменклатурой(ТекстЗапроса) 
```
</details>

## ТекстЗапросаПоискаВариантовСопоставленияУпаковкиНоменклатурыБЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ТекстЗапросаПоискаВариантовСопоставленияУпаковкиНоменклатурыБЭД
Процедура ТекстЗапросаПоискаВариантовСопоставленияУпаковкиНоменклатурыБЭД(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ТекстЗапросаПоискаВариантовСопоставленияУпаковкиНоменклатурыБЭД(ТекстЗапроса) 
```
</details>

## ТекстЗапросаОтбораСтрокСопоставленияДляЗаполненияХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ТекстЗапросаОтбораСтрокСопоставленияДляЗаполненияХарактеристик
Процедура ТекстЗапросаОтбораСтрокСопоставленияДляЗаполненияХарактеристик(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ТекстЗапросаОтбораСтрокСопоставленияДляЗаполненияХарактеристик(ТекстЗапроса) 
```
</details>

## ЗаполнитьВладельцаНоменклатурыКонтрагентаИзДереваРазбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ЗаполнитьВладельцаНоменклатурыКонтрагентаИзДереваРазбора
Процедура ЗаполнитьВладельцаНоменклатурыКонтрагентаИзДереваРазбора(Знач ДеревоРазбора, Владелец) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ЗаполнитьВладельцаНоменклатурыКонтрагентаИзДереваРазбора(ДеревоРазбора, Владелец) 
```
</details>

## ПриОтраженииВУчетеЭлектронногоДокументаСНоменклатурой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриОтраженииВУчетеЭлектронногоДокументаСНоменклатурой
Процедура ПриОтраженииВУчетеЭлектронногоДокументаСНоменклатурой(Знач Документ, Настройки) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ПриОтраженииВУчетеЭлектронногоДокументаСНоменклатурой(Документ, Настройки) 
```
</details>

## ИнициализацияТекстаЗапросаПоискаШтрихкодовПоВременнойТаблицеТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует текст запроса поиска штрихкодов комбинации и штрихкодов номенклатуры по табличной части "Товары" документа,
// в котором есть колонки: Номенклатура, Характеристика, Упаковка.
// В запросе используется временная таблица "ВТ_Товары", в которой должны быть колонки: Номенклатура, Характеристика, Упаковка.
// При отсутствии своей временной таблицы необходимо заполнять параметр "ИмяДокумента", и в запросе установить параметр "Ссылка".
//
// Параметры:
//  ТекстЗапроса    - Строка - текст запроса поиска штрихкодов по данным табличной части документа.
//  ИмяДокумента    - Строка - имя объекта метаданных документа, в котором есть табличная часть "Товары" с колонками:
//                             Номенклатура, Характеристика, Упаковка.
//  МножествоСсылок - Булево - признак поиска штрихкодов по нескольким ссылкам документов.
//
Процедура ИнициализацияТекстаЗапросаПоискаШтрихкодовПоВременнойТаблицеТоваров( Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ИнициализацияТекстаЗапросаПоискаШтрихкодовПоВременнойТаблицеТоваров();
```
</details>

## ВыборкаДляСопоставленияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Возвращает выборку данных для сопоставления номенклатуры.
//
// Параметры:
//  СсылкаНаОбъект - ДокументСсылка - ссылка на документ.
//
// Возвращаемое значение:
//  РезультатЗапроса - результат выполнения запроса с выборкой данных для сопоставления.
//
Функция ВыборкаДляСопоставленияНоменклатуры(СсылкаНаОбъект) Экспорт
```

Пример вызова
```bsl
Результат = НоменклатураПартнеровСервер.ВыборкаДляСопоставленияНоменклатуры(СсылкаНаОбъект) 
```
</details>

## ЗаполнитьШтрихкодыТоваровВСопоставление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

// Добавляет в структуру поле ШтрихкодыНоменклатуры и ШтрихкодКомбинации в сопоставление номенклатуры БЭД.
//
// Параметры:
//  Сопоставление         - Структура        - сопоставление номенклатуры БЭД.
//  ШтрихкодыНоменклатуры - Массив из Строка - набор штрихкодов номенклатуры.
//  ШтрихкодыКомбинаций   - Массив из Строка - набор штрихкодов по комбинации строки: номенклатура, характеристика, упаковка.
//  НоменклатураИБ        - ОпределяемыйТип.НоменклатураБЭД               - ссылка на номенклатуру.
//  ХарактеристикаИБ      - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - ссылка на характеристику.
//  ЕдиницаИзмеренияИБ    - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - ссылка на единицу измерения/упаковку.
//
Процедура ЗаполнитьШтрихкодыТоваровВСопоставление(Сопоставление, ШтрихкодыНоменклатуры, ШтрихкодыКомбинаций, Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ЗаполнитьШтрихкодыТоваровВСопоставление(Сопоставление, ШтрихкодыНоменклатуры, ШтрихкодыКомбинаций, );
```
</details>

## ШтрихкодыПоТоварам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает штрихкоды номенклатуры и комбинации (номенклатура, характеристика, упаковка) по набору товаров.
//
// Параметры:
//  НаборТоваров          - ВыборкаИзРезультатаЗапроса - выборка товаров из табличной части документа.
//  ШтрихкодыКомбинаций   - Массив из Строка           - набор штрихкодов комбинации: номенклатура, характеристика, упаковка.
//  ШтрихкодыНоменклатуры - Массив из Строка           - набор штрихкодов номенклатуры.
//
Процедура ШтрихкодыПоТоварам(НаборТоваров, ШтрихкодыКомбинаций, ШтрихкодыНоменклатуры) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ШтрихкодыПоТоварам(НаборТоваров, ШтрихкодыКомбинаций, ШтрихкодыНоменклатуры) 
```
</details>

## ДополнитьТекстЗапросаЗаполнитьНоменклатуруПартнераПоНоменклатуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения номенклатуры партнера.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - Структура
//
Процедура ДополнитьТекстЗапросаЗаполнитьНоменклатуруПартнераПоНоменклатуре(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ДополнитьТекстЗапросаЗаполнитьНоменклатуруПартнераПоНоменклатуре(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## ДополнитьТекстЗапросаЗаполнитьНоменклатуруПоНоменклатуреПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения номенклатуры по номенклатуре партнера.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - Структура
//
Процедура ДополнитьТекстЗапросаЗаполнитьНоменклатуруПоНоменклатуреПартнера(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ДополнитьТекстЗапросаЗаполнитьНоменклатуруПоНоменклатуреПартнера(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## ДополнитьТекстЗапросаПроверитьСопоставленнуюНоменклатуруПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для проверки сопоставленной номенклатуры партнера.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - Структура
//
Процедура ДополнитьТекстЗапросаПроверитьСопоставленнуюНоменклатуруПартнера(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
НоменклатураПартнеровСервер.ДополнитьТекстЗапросаПроверитьСопоставленнуюНоменклатуруПартнера(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
