---
title: ОФД клиент
slug: erp-uh/офд-клиент
---


## НастройкаПодключенияДоступна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет доступность использования функциональности настройки подключения
// и параметров кассы на основании прав доступа пользователя.
//
// Возвращаемое значение:
//  Булево - если Истина, настройка подключения доступна.
//
Функция НастройкаПодключенияДоступна() Экспорт
```

Пример вызова
```bsl
Результат = ОФДКлиент.НастройкаПодключенияДоступна() 
```
</details>

## ПараметрыПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки подключения к ОФД.
//
// Параметры:
//  НастройкиПодключения - Структура - параметры настройки подключения к ОФД:
//    * Касса - ОпределяемыйТип.КассаОФДБИП - Касса для которой выполняется настройка параметров подключения.
//  ОписаниеОповещения - ОписаниеОповещения, Неопределено - оповещение, которое
//    необходимо вызвать после завершения работы с параметрами подключения.
//
Процедура ПараметрыПодключения( Экспорт
```

Пример вызова
```bsl
ОФДКлиент.ПараметрыПодключения();
```
</details>

## ПерейтиКДаннымЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму данных чеков по документу.
//
// Параметры:
//   Документ - ОпределяемыйТип.ДокументОФДБИП - документ созданный по данным сервиса ОФД;
//
Процедура ПерейтиКДаннымЧеков(Документ) Экспорт
```

Пример вызова
```bsl
ОФДКлиент.ПерейтиКДаннымЧеков(Документ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
