---
title: Обеспечение в документах вызов сервера
slug: erp-uh/обеспечение-в-документах-вызов-сервера
---


## ДанныеДокументаДляСозданияКорректировкиНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Ссылка - ЛюбаяСсылка - Ссылка на заказ, в который встроены команды создания корректировки назначения
//  ДополнительныеПараметры - Структура - Струкура с полями:
//  * ИдентификаторВХранилище - Строка - Уникальный идентификатор, чтобы поместить товары документа в хранилище
//  * ЭтоСнятиеРезерва - Булево - Истина, если данные нужно получить для операции снятия резерва, Ложь, если для операции резервирования
//  Возвращаемое значение:
//   Структура - Данные документа, необходмые для выполнения команды создания корректировки назначения
Функция ДанныеДокументаДляСозданияКорректировкиНазначения(Ссылка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ДанныеДокументаДляСозданияКорректировкиНазначения(Ссылка, ДополнительныеПараметры) 
```
</details>

## ПроверкаВозможностиОткрытияЗаполнениеКорректировкиНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для проверки возможности открытия обработки заполнения корректировки назначения.
// Параметры:
//  ЭтоРезервирование - Булево - Истина, если нужно открыть обработку для резервирования, ложь, если для снятия резерва.
//  Ссылка - ОпределяемыйТип.ОжидаемаяОтгрузка - ссылка на заказ, в который встроены команды обособленного резервироваия и снятия резерва.
// Возвращаемое значение:
//  Структура - структура с полями:
//   * НазначениеДокумента - СправочникСсылка.Назначения - назначение заказа.
//   * ЕстьТоварыКОбособленномуОбеспечению - Булево - Истина, если по заказу есть товары к обособленному обеспечению.
//   * ЕстьТоварыКСтороннемуОбособленномуОбеспечению - Булево - Истина, если есть товары к обособленному обеспечению используемому заказом, но не связанному с заказом.
//   * ЕстьТоварыКСнятиюРезерва - Булево - Истина, если по заказу есть товары к снятию обособления.
//   * ЕстьТоварыКСтороннемуСнятиюРезерва - Булево - Истина, если есть товары к снтятию обособления по назначению используемому заказом, но не связанному с заказом.
Функция ПроверкаВозможностиОткрытияЗаполнениеКорректировкиНазначения(ЭтоРезервирование, Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ПроверкаВозможностиОткрытияЗаполнениеКорректировкиНазначения(ЭтоРезервирование, Ссылка) 
```
</details>

## СвойстваГиперссылкиСостояниеОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Свойства для формирования надписи состояния обеспечения в форме заказа.
//
// Параметры:
//  Модифицированность - Булево - признак, что заказ модифицирован в форме.
//  Ссылка - ЛюбаяСсылка - ссылка на заказ.
//  ГотовКОбеспечению - Булево - признак, что документ имеет надлежащий статус, чтобы считаться обеспечиваемым.
//  ПроблемаЗапускаЗадания - Булево - Истина, если в результате запросов определено, что есть проблемы с запуском распределения запаосв.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * Заголовок - Строка - текст отображаемый в заголовке гиперссылки.
//   * ИмяСтраницы - Строка - имя страницы формы заказа на которой нужная гиперссылка.
//   * ИмяГиперссылки - Строка - имя элемента формы отображаемой гиперссылки.
//
Функция СвойстваГиперссылкиСостояниеОбеспечения(Модифицированность, Ссылка, ГотовКОбеспечению, ПроблемаЗапускаЗадания = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.СвойстваГиперссылкиСостояниеОбеспечения(Модифицированность, Ссылка, ГотовКОбеспечению, ПроблемаЗапускаЗадания);
```
</details>

## ГиперссылкаСостояниеОбеспеченияНажатиеДокументПроведен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В форме заказа проверяет что документ проведен.
//
// Параметры:
//  Ссылка - ЛюбаяСсылка - ссылка на заказ.
//
// Возвращаемое значение:
//  Булево - Истина, если документ проведен, Ложь - в противном случае
//
Функция ГиперссылкаСостояниеОбеспеченияНажатиеДокументПроведен(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ГиперссылкаСостояниеОбеспеченияНажатиеДокументПроведен(Ссылка) 
```
</details>

## ЕстьЗаданияПоЗаказам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие заданий к распределению запасов по заказам.
//
// Параметры:
//  Заказы - Массив из ЛюбаяСсылка - массив заказов.
//
// Возвращаемое значение:
//  Булево - Истина, если есть задания, Ложь -  в противном случае
//
Функция ЕстьЗаданияПоЗаказам(Заказы) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ЕстьЗаданияПоЗаказам(Заказы) 
```
</details>

## ПроверитьЗапуститьФоновоеЗаданиеРаспределенияЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если не запущено фоновое задание распределения запасов то запускает его.
Процедура ПроверитьЗапуститьФоновоеЗаданиеРаспределенияЗапасов() Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахВызовСервера.ПроверитьЗапуститьФоновоеЗаданиеРаспределенияЗапасов() 
```
</details>

## ЗаданияПоЗаказамПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие заданий к распределению запасов хотя бы по одному заказу определенного типа документа.
//
// Параметры:
//  ПолныеИменаДокументов - Строка - полные имена документов отображаемых списком через запятую.
//
// Возвращаемое значение:
//  Массив из ЛюбаяСсылка - заказы заданий из регистра заданий распределения запасов
//
Функция ЗаданияПоЗаказамПоТипу(ПолныеИменаДокументов) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ЗаданияПоЗаказамПоТипу(ПолныеИменаДокументов) 
```
</details>

## ВыполнитьДействиеВСпискеЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действие по заполнению обеспечения в заказе из списка заказов.
//
// Параметры:
//  ПараметрКоманды - Массив из ЛюбаяСсылка - заказы выделенные в списке для выполнения действий обеспечения.
//  ИмяКоманды - Строка - условное обозначение команды "ДЕЙСТВИЕ_КОБЕСПЕЧЕНИЮ" или "ДЕЙСТВИЕ_ОТГРУЗИТЬ"
//                        или "ДЕЙСТВИЕ_РЕЗЕРВИРОВАТЬ" или "ДЕЙСТВИЕ_НЕОБЕСПЕЧИВАТЬ" или "ОТКАТ_ДЕЙСТВИЯ_ОТГРУЗИТЬ".
//  УникальныйИдентификатор - УникальныйИдентификатор - уникальный идентификатор формы, в хранилище которой будет
//                                                       помещен результат выполнения в фоне.
//  ПараметрыВстраивания - см. ОбеспечениеВДокументахСервер.ДоступныеОстаткиПараметрыВстраивания
//
// Возвращаемое значение:
//  Структура - результат выполнения действий над заказами.
//
Функция ВыполнитьДействиеВСпискеЗаказов(ПараметрКоманды, ИмяКоманды, УникальныйИдентификатор, ПараметрыВстраивания = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеВСпискеЗаказов(ПараметрКоманды, ИмяКоманды, УникальныйИдентификатор, ПараметрыВстраивания);
```
</details>

## ВыполнитьДействиеДляЗаказовПослеВопросаФоновымЗаданием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действие по заполнению обеспечения в заказе из списка заказов после задания вопроса об отгрузке одной датой.
//
// Параметры:
//  Параметры - Структура - структура параметров:
//   * КодДействия - Строка - условное обозначение команды "ДЕЙСТВИЕ_КОБЕСПЕЧЕНИЮ" или "ДЕЙСТВИЕ_ОТГРУЗИТЬ"
//                   или "ДЕЙСТВИЕ_РЕЗЕРВИРОВАТЬ" или "ДЕЙСТВИЕ_НЕОБЕСПЕЧИВАТЬ"
//   * ПараметрыЗаполнения - Структура - структура параметров:
//     ** СнятьФлагОтгружатьОднойДатой - Булево - результат ответа на вопрос об отгрузке одной датой.
//     ** ЗаполнитьДатуОтгрузкиОднойДатой - Булево - результат ответа на вопрос об отгрузке одной датой.
//   * Заказы - Массив из ЛюбаяСсылка - заказы для установки действия.
//   * ПараметрыВстраивания - см. ОбеспечениеВДокументахСервер.ДоступныеОстаткиПараметрыВстраивания
//  УникальныйИдентификатор - УникальныйИдентификатор - уникальный идентификатор формы, в хранилище которой будет
//                                                       помещен результат выполнения в фоне.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * СписокОшибок - Массив - массив содержащий тексты ошибок обработки документов.
//   * КоличествоОбработано - Число - количество обработанных документов.
//
Функция ВыполнитьДействиеДляЗаказовПослеВопросаФоновымЗаданием(Параметры, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеДляЗаказовПослеВопросаФоновымЗаданием(Параметры, УникальныйИдентификатор) 
```
</details>

## ОбработкаПолученияДанныхВыбораВариантаОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика получения данных выбора перечисления "Варианты обеспечения".
// Предназначена для получения необходимых данных на сервере.
// Параметры:
//  Параметры - Структура - структура параметров для получения серверных данных.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения - единица измерения номенклатуры в строке.
//   * ТребуетсяУказаниеСерийВСтроке - Булево - необходимость указания серий для номенклатуры и склада заказа.
//   * ДопустимоеОтклонение - Число - допустимое отклонение мерных единиц измерения, если номенклатура мерная.
//   * КоэффициентУпаковки - Число - коэффициент упаковки указанной в строке.
//
Функция ОбработкаПолученияДанныхВыбораВариантаОбеспечения(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ОбработкаПолученияДанныхВыбораВариантаОбеспечения(Параметры) 
```
</details>

## ДатаОтгрузкиВсехСтрокОднойДатой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату отгрузки установленную в шапке документа, если таковая в документе есть.
//
// Параметры:
//   ДоступныеОстаткиПараметрыДокумента - см. ОбеспечениеВДокументахСервер.ДоступныеОстаткиПараметрыВстраивания
//
// Возвращаемое значение:
//  Дата, Неопределено - дата отгрузки из шапки документа.
//
Функция ДатаОтгрузкиВсехСтрокОднойДатой(ДоступныеОстаткиПараметрыДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ДатаОтгрузкиВсехСтрокОднойДатой(ДоступныеОстаткиПараметрыДокумента) 
```
</details>

## НужноОбновитьДоступностьПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет есть ли задания по заказам для распределения запасов.
//
// Параметры:
//   Заказы - Массив из ЛюбаяСсылка - заказы для проверки.
//
// Возвращаемое значение:
//  Булево - Истина, если обновлять нужно, иначе Ложь.
//
Функция НужноОбновитьДоступностьПослеЗаписи(Заказы) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.НужноОбновитьДоступностьПослеЗаписи(Заказы) 
```
</details>

## ВыполнитьДействиеВСпискеЗаказовРазныхТипов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия обеспечения в списках заказов, где отображаются документы имеющие разные параметры встраивания обеспечения.
// Параметры:
//  КодДействия - Строка - "ДЕЙСТВИЕ_ОТГРУЗИТЬ", "ДЕЙСТВИЕ_РЕЗЕРВИРОВАТЬ", "ДЕЙСТВИЕ_КОБЕСПЕЧЕНИЮ", "ДЕЙСТВИЕ_НЕОБЕСПЕЧИВАТЬ".
//  ВсеЗаказы - Массив - ссылки, выбранные в списке документов.
//  Ссылка - ДокументСсылка - ссылка для получения модуля менеджера объекта в котором расположена функция параметров.
//  УникальныйИдентификатор - УникальныйИдентификатор - идентификатор формы списка документов.
// Возвращаемое значение:
//  Структура - длительная операция либо структура для задания вопроса.
Функция ВыполнитьДействиеВСпискеЗаказовРазныхТипов(КодДействия, ВсеЗаказы, Ссылка, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеВСпискеЗаказовРазныхТипов(КодДействия, ВсеЗаказы, Ссылка, УникальныйИдентификатор) 
```
</details>

## ВыполнитьДействиеВСпискеЗаказовРазныхТиповПослеВопроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия обеспечения в списках заказов,
//  где отображаются документы имеющие разные параметры встраивания обеспечения после вопроса об отгрузке одной датой.
// Параметры:
//  РезультатВыполненияДействий - Структура - структура параметров для выполнения действий.
//  УникальныйИдентификатор - УникальныйИдентификатор - идентификатор формы списка документов.
// Возвращаемое значение:
//  Структура - длительная операция либо структура для задания вопроса.
Функция ВыполнитьДействиеВСпискеЗаказовРазныхТиповПослеВопроса(РезультатВыполненияДействий, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеВСпискеЗаказовРазныхТиповПослеВопроса(РезультатВыполненияДействий, УникальныйИдентификатор) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
