---
title: Обеспечение в документах клиент
slug: erp-uh/обеспечение-в-документах-клиент
---


## ЕстьПодобранныеТовары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обслуживающие формы документов

// Проверяет необходимость обработки результата закрытия формы обработки "Запрос количества и серий".
//
// Параметры:
//  ВыбранноеЗначение - Неопределено,Структура - результат закрытия формы "Запрос количества и серий".
//
// Возвращаемое значение:
//  Булево - Истина, если требуется обработка, ложь - в противном случае.
//
Функция ЕстьПодобранныеТовары(ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ЕстьПодобранныеТовары(ВыбранноеЗначение) 
```
</details>

## ПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик после записи заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ИмяОбработчика - Строка - имя процедуры обработчика ожидания для проверки выполнения заданий
//                            по распределению запасов в форме заказа.
//
Процедура ПослеЗаписи(Форма, ИмяОбработчика) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ПослеЗаписи(Форма, ИмяОбработчика) 
```
</details>

## НужноОбновитьДоступностьПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет необходимость обновления колонки "Доступно" или гиперссылки состояния обеспечения после записи заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ИмяОбработчика - Строка - имя процедуры обработчика ожидания для проверки выполнения заданий
//                            по распределению запасов в форме заказа.
//  Ошибка - Булево - в функции устанавливается истина, если не удалось распределить запасы.
//
// Возвращаемое значение:
//  Булево - Истина, если требуется обработка, ложь - в противном случае.
//
Функция НужноОбновитьДоступностьПослеЗаписи(Форма, ИмяОбработчика, Ошибка) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.НужноОбновитьДоступностьПослеЗаписи(Форма, ИмяОбработчика, Ошибка) 
```
</details>

## ОбновлятьКолонкуДоступноПослеРаспределенияЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет необходимость обновления колонки "Доступно" после записи заказа.
// Вызывать только совместно с НужноОбновитьДоступностьПослеЗаписи.
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
// Возвращаемое значение:
//  Булево - Истина, если требуется обработка, ложь - в противном случае.
//
Функция ОбновлятьКолонкуДоступноПослеРаспределенияЗапасов(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ОбновлятьКолонкуДоступноПослеРаспределенияЗапасов(Форма) 
```
</details>

## ПараметрыФормыСостояниеОбеспеченияЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры параметров формы состояния обеспечения.
//
// Параметры:
//  КонтекстИспользования - Строка - условное обозначение места открытия формы состояния обеспечения:
//                                   "ЗАКАЗ", если вызов из формы проведенного заказа,
//                                   "СПИСОКЗАКАЗОВ", если вызов из списка заказов,
//                                   "ТАБЛИЦА", если вызов из формы непроведенного заказа,
//                                   "РАЗДЕЛ", если вызов из раздела.
//
// Возвращаемое значение:
//  Булево - Структура - структура с полями в зависимости от контекста использования.
//
Функция ПараметрыФормыСостояниеОбеспеченияЗаказов(КонтекстИспользования) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ПараметрыФормыСостояниеОбеспеченияЗаказов(КонтекстИспользования) 
```
</details>

## ГиперссылкаСостояниеОбеспеченияНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик нажатия гиперссылки состояния обеспечения в форме заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//
// Возвращаемое значение:
//  см. ПараметрыФормыСостояниеОбеспеченияЗаказов
//
Функция ГиперссылкаСостояниеОбеспеченияНажатие(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ГиперссылкаСостояниеОбеспеченияНажатие(Форма) 
```
</details>

## НастроитьГиперссылкиСостояниеОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает необходимую гиперссылку в заказе для перехода к состоянию обеспечения.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//
Процедура НастроитьГиперссылкиСостояниеОбеспечения(Форма) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.НастроитьГиперссылкиСостояниеОбеспечения(Форма) 
```
</details>

## НастроитьГиперссылкиСостояниеОбеспеченияПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает необходимую гиперссылку в заказе для перехода к состоянию обеспечения для записанного документа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ПроблемаЗапускаЗадания - Булево - Истина, если в результате запросов определено, что есть проблемы с запуском распределения запаосв.
//
Процедура НастроитьГиперссылкиСостояниеОбеспеченияПослеЗаписи(Форма, ПроблемаЗапускаЗадания) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.НастроитьГиперссылкиСостояниеОбеспеченияПослеЗаписи(Форма, ПроблемаЗапускаЗадания) 
```
</details>

## ОбособленноПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик изменения флага Обособленно в строке заказа.
//
// Параметры:
//  ТекущиеДанные - ДанныеФормыЭлементКоллекции - строка заказа.
//
Процедура ОбособленноПриИзменении(ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ОбособленноПриИзменении(ТекущиеДанные) 
```
</details>

## ТекстЗаполнениеОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст "Заполнение обеспечения"
//
// Возвращаемое значение:
//   Строка - текст "Заполнение обеспечения".
//
Функция ТекстЗаполнениеОбеспечения() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ТекстЗаполнениеОбеспечения() 
```
</details>

## ТекстОповещенияОбработкиВыборСкладаИСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В зависимости от выполняемой команды с обеспечением в форме заказа формирует текст оповещения пользователя.
//
// Параметры:
//  Режим - Строка - режим выполнения команды.
//
// Возвращаемое значение:
//   Строка - текст оповещения о заполнении склада, действия или серии в заказе.
//
Функция ТекстОповещенияОбработкиВыборСкладаИСерии(Режим) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ТекстОповещенияОбработкиВыборСкладаИСерии(Режим) 
```
</details>

## ПоказатьВопросЗаполнятьОбеспечениеЦелымиУпаковками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает вопрос о необходимости заполнять целыми или дробными упаковками при выполнении команд
// "Отгрузить" или "Резервировать" в форме заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  Коллекция - ДанныеФормыКоллекция - табличная часть заказа, в которой выполняют команды обеспечения.
//  Результат - см. ОбеспечениеВДокументахСервер.ОбеспечениеУстановитьДействиеСтруктураРезультата
//  ИмяПроцедурыОповещения - Строка - процедура оповещения в форме заказа в которую будет передано управление после ответа.
//
// Возвращаемое значение:
//  Булево - Истина, если вопрос задан, ложь, если вопрос не задавался.
//
Функция  ПоказатьВопросЗаполнятьОбеспечениеЦелымиУпаковками(Форма, Коллекция, Результат, ИмяПроцедурыОповещения) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ПоказатьВопросЗаполнятьОбеспечениеЦелымиУпаковками(Форма, Коллекция, Результат, ИмяПроцедурыОповещения) 
```
</details>

## ПоказатьВопросСнятьФлагОтгружатьОднойДатой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает вопрос о необходимости снятия флага "Отгружать одной датой" при выполнении команд
// "Отгрузить" в форме заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  Коллекция - ДанныеФормыКоллекция - табличная часть заказа, в которой выполняют команды обеспечения.
//  Результат - см. ОбеспечениеВДокументахСервер.ОбеспечениеУстановитьДействиеСтруктураРезультата
//  ИмяПроцедурыОповещения - Строка - процедура оповещения в форме заказа в которую будет передано управление после ответа.
//
// Возвращаемое значение:
//  Булево - Истина, если вопрос задан, ложь, если вопрос не задавался.
//
Функция ПоказатьВопросСнятьФлагОтгружатьОднойДатой(Форма, Коллекция, Результат, ИмяПроцедурыОповещения) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ПоказатьВопросСнятьФлагОтгружатьОднойДатой(Форма, Коллекция, Результат, ИмяПроцедурыОповещения) 
```
</details>

## ПоказатьВопросСнятьФлагОтгружатьОднойДатойПослеВопроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает вопрос о необходимости снятия флага "Отгружать одной датой" при выполнении команд
// "Отгрузить" в форме заказа после вопроса о заполнении целыми или дробными упаковками.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  Коллекция - ДанныеФормыКоллекция - табличная часть заказа, в которой выполняют команды обеспечения.
//  Результат - см. ОбеспечениеВДокументахСервер.ОбеспечениеУстановитьДействиеСтруктураРезультата
//  Ответ - Строка - результат ответа на вопрос о заполнении целыми или дробными упаковками
//  ИмяПроцедурыОповещения - Строка - процедура оповещения в форме заказа в которую будет передано управление после ответа.
//
// Возвращаемое значение:
//  Булево - Истина, если вопрос задан, ложь, если вопрос не задавался.
//
Функция ПоказатьВопросСнятьФлагОтгружатьОднойДатойПослеВопроса(Форма, Коллекция, Результат, Ответ, ИмяПроцедурыОповещения) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ПоказатьВопросСнятьФлагОтгружатьОднойДатойПослеВопроса(Форма, Коллекция, Результат, Ответ, ИмяПроцедурыОповещения) 
```
</details>

## ВставитьПараметрыПодобранныхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вставляет в структуру параметры "МаксимальнаяДатаОтгрузки", "МинимальнаяДатаОтгрузки", исходя из дат отгрузки для строк
// табличной части документа с действием "Отгрузить".
//
// Параметры:
//  Структура - Структура - структура в которую необходимо вставить параметр.
//  Товары - ДанныеФормыКоллекция - табличная часть заказа.
//  ДатаОтгрузкиВсехСтрокОднойДатой - Дата, Неопределено - дата отгрузи, указанная в шапке документа, если таковая есть.
//
Процедура ВставитьПараметрыПодобранныхТоваров(Структура, Товары, ДатаОтгрузкиВсехСтрокОднойДатой) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ВставитьПараметрыПодобранныхТоваров(Структура, Товары, ДатаОтгрузкиВсехСтрокОднойДатой) 
```
</details>

## ДоступныеОстаткиПараметрыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры встраивания подсистемы обеспечения в заказ, кэшированные в форме документа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * ПараметрыВстраивания - см. ОбеспечениеВДокументахСервер.ДоступныеОстаткиПараметрыВстраивания
//   * ДанныеПрограммногоОбъекта - см. ОбеспечениеВДокументахКлиентСервер.ДанныеПрограммногоОбъекта.
//
Функция ДоступныеОстаткиПараметрыДокумента(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ДоступныеОстаткиПараметрыДокумента(Форма) 
```
</details>

## ПараметрыОбработкиДатОтгрузкиПослеЗаполненияОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура для обработки дат отгрузки после выполнения команд обеспечения в заказе.
//
// Параметры:
//  Ответ - Строка - ответ на необходимость снимать флаг отгружать одной датой в форме заказа.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * СнятьФлагОтгружатьОднойДатой - Булево - Истина если снимать флаг отгрузки одной датой нужно.
//   * ЗаполнитьДатуОтгрузкиОднойДатой - Булево - Истина если снимать флаг отгрузки одной датой не нужно.
//
Функция ПараметрыОбработкиДатОтгрузкиПослеЗаполненияОбеспечения(Ответ) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ПараметрыОбработкиДатОтгрузкиПослеЗаполненияОбеспечения(Ответ) 
```
</details>

## ПоказатьВопросСнятьФлагОтгружатьОднойДатойПослеВыбораОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает вопрос о необходимости снятия флага "Отгружать одной датой" при установке действия обеспечения в строке
// заказа если открывается форма указания складов и серий.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ВыбранноеЗначение - Структура - результат выбора действия в форме обработки "ЗапросКоличестваИСерий".
//  ПараметрыФормы - см. ОбеспечениеВДокументахСервер.ПараметрыВыбораОбеспечения
//  ИмяПроцедурыОповещения - Строка - процедура оповещения в форме заказа в которую будет передано управление после ответа.
//
Процедура ПоказатьВопросСнятьФлагОтгружатьОднойДатойПослеВыбораОбеспечения(Форма, ВыбранноеЗначение, ПараметрыФормы, ИмяПроцедурыОповещения) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ПоказатьВопросСнятьФлагОтгружатьОднойДатойПослеВыбораОбеспечения(Форма, ВыбранноеЗначение, ПараметрыФормы, ИмяПроцедурыОповещения) 
```
</details>

## ПоказатьВопросСнятьФлагОтгружатьОднойДатойПослеПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает вопрос о необходимости снятия флага "Отгружать одной датой" после закрытия формы подбора товаров.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ДанныеПодбора - Структура - результат закрытия формы подбора товаров в документ
//  ИмяПроцедурыОповещения - Строка - процедура оповещения в форме заказа в которую будет передано управление после ответа.
//
Процедура ПоказатьВопросСнятьФлагОтгружатьОднойДатойПослеПодбора(Форма, ДанныеПодбора, ИмяПроцедурыОповещения) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ПоказатьВопросСнятьФлагОтгружатьОднойДатойПослеПодбора(Форма, ДанныеПодбора, ИмяПроцедурыОповещения) 
```
</details>

## ПоказатьВопросСнятьФлагОтгружатьОднойДатойВСостоянииОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает вопрос о необходимости снятия флага "Отгружать одной датой" после выполнения команды Отгрузить в форме состояния обеспечения.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ПараметрыУстановкиДат - Структура - структура с полями:
//   * ДатаОтгрузкиВсехСтрокОднойДатой - Дата - дата отгрузки в шапке заказа.
//   * ДатаОтгрузкиНовыхСтрок - Дата - дата отгрузки устанавливаемая из состояния обеспечения для изменяемых строк заказа.
//  КодДействия - Строка  - строка "ДЕЙСТВИЕ_ОТГРУЗИТЬ".
//  ИмяПроцедурыОповещения - Строка - процедура оповещения в форме заказа в которую будет передано управление после ответа.
//
Процедура ПоказатьВопросСнятьФлагОтгружатьОднойДатойВСостоянииОбеспечения(Форма, ПараметрыУстановкиДат, КодДействия, ИмяПроцедурыОповещения) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ПоказатьВопросСнятьФлагОтгружатьОднойДатойВСостоянииОбеспечения(Форма, ПараметрыУстановкиДат, КодДействия, ИмяПроцедурыОповещения) 
```
</details>

## ПоказатьВопросСнятьФлагОтгружатьОднойДатойДляСпискаЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает вопрос о необходимости снятия флага "Отгружать одной датой" при установке действия обеспечения в списке заказов.
//
// Параметры:
//  Заказы - Массив из ЛюбаяСсылка - массив заказов для которых выполняется действие.
//  КодДействия - Строка - условное обозначение команды "ДЕЙСТВИЕ_КОБЕСПЕЧЕНИЮ" или "ДЕЙСТВИЕ_ОТГРУЗИТЬ"
//                         или "ДЕЙСТВИЕ_РЕЗЕРВИРОВАТЬ" или "ДЕЙСТВИЕ_НЕОБЕСПЕЧИВАТЬ".
//  ПараметрыДат - Структура - ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеВСпискеЗаказов.
//  Форма - ФормаКлиентскогоПриложения - форма списка заказов.
//  ОписаниеОповещения - ОписаниеОповещения - описание оповещения после вопроса
//
Процедура ПоказатьВопросСнятьФлагОтгружатьОднойДатойДляСпискаЗаказов(Заказы, КодДействия, ПараметрыДат, Форма, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ПоказатьВопросСнятьФлагОтгружатьОднойДатойДляСпискаЗаказов(Заказы, КодДействия, ПараметрыДат, Форма, ОписаниеОповещения);
```
</details>

## РезультатВыполненияДействийНуженВопрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет что при выполнении действий обеспечения над строками заказа нужно задать вопрос об отгрузке одной датой,
// целыми либо дробными упаковками.
//
// Параметры:
//  РезультатВыполненияДействий - см. ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеВСпискеЗаказов
//
// Возвращаемое значение:
//  Булево - Истина, если вопрос нужен, Ложь - в противном случае.
//
Функция РезультатВыполненияДействийНуженВопрос(РезультатВыполненияДействий) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.РезультатВыполненияДействийНуженВопрос(РезультатВыполненияДействий) 
```
</details>

## ВариантОбеспеченияОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик выбора варианта обеспечения в строке заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма списка заказов.
//  ТекущиеДанные - ДанныеФормыЭлементКоллекции - строка в которой выбрали вариант обеспечения.
//  ВыбранноеЗначение - Структура - структура выбора варианта обеспечения.
//
Процедура ВариантОбеспеченияОбработкаВыбора(Форма, ТекущиеДанные, ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ВариантОбеспеченияОбработкаВыбора(Форма, ТекущиеДанные, ВыбранноеЗначение) 
```
</details>

## ВариантОбеспеченияПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик при изменении варианта обеспечения в строке заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма списка заказов.
//  ПараметрыФормы - см. ОбеспечениеВДокументахСервер.ПараметрыВыбораОбеспечения
//  ИмяПроцедурыВыбораСкладаИСерии - Строка - имя процедуры, отвечающей в форме заказа за обработку закрытия формы выбора складов и серий
//  ЗадаватьВопросОбОтгрузкеОднойДатой - Булево - Истина, Если нужно задавать вопрос об отгрузке одной датой
//  ИмяПроцедурыПослеВопроса - Строка - имя процедуры из модуля формы заказа которую нужно вызывать после окончания обработки
//
Процедура ВариантОбеспеченияПриИзменении( Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ВариантОбеспеченияПриИзменении();
```
</details>

## ОткрытьФормуВыбораСкладаИСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак необходимости открытия формы выбора склада и серии в заказе.
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
// Возвращаемое значение:
//  Булево - Истина, если нужно открыть форму выбора склада и серии.
Функция ОткрытьФормуВыбораСкладаИСерий(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ОткрытьФормуВыбораСкладаИСерий(Форма) 
```
</details>

## ТребуетсяОбновитьКолонкуДоступно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет необходимость обновления колонки "Доступно" в форме заказа по результатам выполнения
// действия по проверке необходимости обновления колонки "Доступно" в структуре действий.
//
// Параметры:
//  СтруктураДействий - Структура - структура выполненных действий.
//
// Возвращаемое значение:
//  Булево - Истина, если нужно обновить колонку доступно.
//
Функция ТребуетсяОбновитьКолонкуДоступно(СтруктураДействий) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиент.ТребуетсяОбновитьКолонкуДоступно(СтруктураДействий) 
```
</details>

## ПроверитьЗапуститьФоновоеЗаданиеРаспределенияЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обслуживающие формы списков документов

// Если не запущено фоновое задание распределения запасов то запускает его.
Процедура ПроверитьЗапуститьФоновоеЗаданиеРаспределенияЗапасов() Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ПроверитьЗапуститьФоновоеЗаданиеРаспределенияЗапасов() 
```
</details>

## ПроверитьВыполнениеЗаданияРаспределенияЗапасовПоЗаказам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет выполнение задания распределения запасов по заказам в списке заказов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма списка заказов.
//  Список - ТаблицаФормы - список заказов на форме.
//
Процедура ПроверитьВыполнениеЗаданияРаспределенияЗапасовПоЗаказам(Форма, Список) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ПроверитьВыполнениеЗаданияРаспределенияЗапасовПоЗаказам(Форма, Список) 
```
</details>

## СписокПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события изменения списка.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма списка заказов.
//  ПолныеИменаДокументов - Строка - полные имена документов отображаемых списком через запятую.
//
Процедура СписокПриИзменении(Форма, ПолныеИменаДокументов) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.СписокПриИзменении(Форма, ПолныеИменаДокументов) 
```
</details>

## СообщитьОРезультатахВыполненияДействийВСпискеЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о результатах выполнения действий обеспечения в списке заказов.
//
// Параметры:
//  РезультатВыполненияДействий - см. ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеВСпискеЗаказов
//
Процедура СообщитьОРезультатахВыполненияДействийВСпискеЗаказов(РезультатВыполненияДействий) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.СообщитьОРезультатахВыполненияДействийВСпискеЗаказов(РезультатВыполненияДействий) 
```
</details>

## ДополнитьРезультатыВыполненияДействийВСпискеЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет структуру результата выполнения действий обеспечения в списке , используется если список обрабатывается
// порциями.
//
// Параметры:
//  Приемник - см. ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеВСпискеЗаказов
//  Источник - см. ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеВСпискеЗаказов
//
Процедура ДополнитьРезультатыВыполненияДействийВСпискеЗаказов(Приемник, Источник) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ДополнитьРезультатыВыполненияДействийВСпискеЗаказов(Приемник, Источник) 
```
</details>

## ОткрытьЗаполнениеКорректировкиНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Прочие

// Отркывает обработку заполнения корректировки назначения.
//  Параметры:
//   ЭтоРезервирование - Булево - Истина, если нужно открыть обработку для резервирования, ложь, если для снятия резерва.
//   Ссылка - ОпределяемыйТип.ОжидаемаяОтгрузка - ссылка на заказ, в который встроены команды обособленного резервироваия и снятия резерва.
//   ОписаниеКоманды - см. ОбеспечениеКлиент.ПараметрыФормыЗаполненияКорректировкиНазначенияТоваров
Процедура ОткрытьЗаполнениеКорректировкиНазначения(ЭтоРезервирование, Ссылка, ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиент.ОткрытьЗаполнениеКорректировкиНазначения(ЭтоРезервирование, Ссылка, ОписаниеКоманды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
