---
title: Обеспечение в документах клиент сервер
slug: erp-uh/обеспечение-в-документах-клиент-сервер
---


## КлючевыеПараметрыФормыЗапросаКоличестваИСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////
// Заполнение вариантов обеспечения и серий.

// Конструктор структуры ключевых параметров формы запроса количества и серий.
//
//  Возвращаемое значение:
//  Структура - структура с полями:
//   * Режим - Строка - режим открытия формы.
//   * ПодборТоваров - Булево - признак того, что форма открывается из подбора товаров.
//   * ПодборВариантовОбеспечения - Булево - признак, что в форме необходимо подбирать варианты обеспечения.
//   * ПодборСерий - Булево - признак, что форма открыта для подбора серий.
//   * ПодборСкладов - Булево - признак того, что форма открыта для отбора складов.
//   * СкрытьЦену - Булево - признак, что в открываемой форме нужно скрыть информацию о ценах.
//   * РедактироватьВидЦены - Булево - признак того, что в открываемой форме можно редактировать вид цены.
//   * РедактироватьЦену - Булево -  - признак того, что в открываемой форме можно редактировать цены.
//   * ВыборСерии - Булево - признак того, что форма открывается исключительно для указания серий.
//   * СкрыватьРучныеСкидки - Булево - признак того, что в открываемой форме нужно скрыть указание ручных скидок.
//   * ИспользоватьРучныеСкидкиВПродажах - Булево - признак использования скидок.
//   * ОграничиватьВариантыОбеспечения - Булево - признак, что варианты обеспечения передаются в форму.
//   * ДопКолонкиДляУказанияСерий - Строка - перечень дополнительных колонок через запятую.
//   * РежимОтображенияТоваров - Строка, Неопределено - "Все" либо "СвободныеОстатки".
//   * ДатаОтгрузкиВсехСтрокОднойДатой - Дата, Неопределено - дата отгрузки из шапки документа.
//   * ДатаОтгрузкиНовыхСтрок - Дата, Неопределено - дата отгрузки измененных в форме строк.
//
Функция КлючевыеПараметрыФормыЗапросаКоличестваИСерий() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.КлючевыеПараметрыФормыЗапросаКоличестваИСерий() 
```
</details>

## ПараметрыФормыЗапросаКоличестваИСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры параметров указания серий.
//
// Параметры:
//  Все - Булево - если истина то будут получены все параметры, иначе будут получены не ключевые параметры.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * Режим - Строка - режим открытия формы.
//   * ПодборТоваров - Булево - признак того, что форма открывается из подбора товаров.
//   * ПодборВариантовОбеспечения - Булево - признак, что в форме необходимо подбирать варианты обеспечения.
//   * ПодборСерий - Булево - признак, что форма открыта для подбора серий.
//   * ПодборСкладов - Булево - признак того, что форма открыта для отбора складов.
//   * СкрытьЦену - Булево - признак, что в открываемой форме нужно скрыть информацию о ценах.
//   * РедактироватьВидЦены - Булево - признак того, что в открываемой форме можно редактировать вид цены.
//   * РедактироватьЦену - Булево -  - признак того, что в открываемой форме можно редактировать цены.
//   * ВыборСерии - Булево - признак того, что форма открывается исключительно для указания серий.
//   * СкрыватьРучныеСкидки - Булево - признак того, что в открываемой форме нужно скрыть указание ручных скидок.
//   * ИспользоватьРучныеСкидкиВПродажах - Булево - признак использования скидок.
//   * ОграничиватьВариантыОбеспечения - Булево - признак, что варианты обеспечения передаются в форму.
//   * ДопКолонкиДляУказанияСерий - Строка - перечень дополнительных колонок через запятую.
//   * РежимОтображенияТоваров - Строка, Неопределено - "Все" либо "СвободныеОстатки".
//   * ДатаОтгрузкиВсехСтрокОднойДатой - Дата, Неопределено - дата отгрузки из шапки документа.
//   * ДатаОтгрузкиНовыхСтрок - Дата, Неопределено - дата отгрузки измененных в форме строк.
//   * ТолькоПросмотр - Булево - Истина, если форму нужнооткрыть только на просмотр.
//   * Номенклатура - СправочникСсылка.Номенклатура - аналитика для получения остатков товаров отображаемых в форме.
//   * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - аналитика для получения остатков товаров отображаемых в форме.
//   * Назначение - СправочникСсылка.Назначения - аналитика для получения остатков товаров отображаемых в форме.
//   * Подразделение - СправочникСсылка.СтруктураПредприятия - аналитика для получения остатков товаров отображаемых в форме.
//   * Склад - СправочникСсылка.Склады - аналитика для получения остатков товаров отображаемых в форме.
//   * Склады - Массив из СправочникСсылка.Склады - массив складов для получения остатков, если в документе указана группа складов.
//   * АдресТаблицыПодобраноРанее - Строка - адрес таблицы содержащей ранее подобранные товары, для сторнирования остатков.
//   * АдресДоступныеОстатки - Строка - адрес таблицы с готовыми рассчитанными остатками, используется в режиме ПодборТоваров = Истина.
//   * ЗаказыНаОтгрузку - Массив из ОпределяемыйТип.ОжидаемаяОтгрузка - заказы указанные в документе.
//   * Регистратор - ОпределяемыйТип.ОжидаемаяОтгрузка - ссылка на документ.
//   * ВариантОбеспеченияПоДокументу - ПеречислениеСсылка.ВариантыОбеспечения - вариант обеспечения из текущей строки документа.
//   * ВариантОбеспеченияДоИзменения - ПеречислениеСсылка.ВариантыОбеспечения - вариант обеспечения из текущей строки документа до изменения.
//   * ОбособленноПоДокументу - Булево - значение признака "Обособленно2 из текущей строки документа до изменения.
//   * КоличествоПоДокументу - Число - количество из текущей строки документа до изменения.
//   * СкладПоДокументу - СправочникСсылка.Склады - склад из текущей строки документа до изменения.
//   * КоличествоОформлено - Число - Количество на которое оформлены накладные и ордера для текущей строки докукмента.
//   * Цена - Число - цена товара.
//   * ВидЦены - СправочникСсылка.ВидыЦен - вид цены по которому нужно получить цену.
//   * Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения - упаковка по которой нужно получить цену для товара.
//   * Валюта - СправочникСсылка.Валюты - валюта по которой нужно получить цену для товара.
//   * Дата - Дата - дата на которую нужно получить цену для товара.
//   * ЦенаВключаетНДС - Булево - если Истина, то нужно получать цены включая НДС, иначе - без учета НДС.
//   * БезОтбораПоВключениюНДСВЦену - Булево - если Истина, то нужно искать цену без отбора по включению НДС.
//   * Соглашение - СправочникСсылка.СоглашенияСКлиентами - соглашение по которому искать цену.
//   * АдресВоВременномХранилище - Строка - адрес данных о скидках на товар.
//   * ДопустимыеОбособленныеДействия - Массив из ПеречислениеСсылка.ВариантыОбеспечения - доступные обособленные действия для укзаания в форме.
//   * ДопустимыеНеобособленныеДействия - Массив из ПеречислениеСсылка.ВариантыОбеспечения - доступные необособленные действия для укзаания в форме.
//   * ВариантОбеспеченияИФлагОбособленно - Структура - структура содержащая вариант обеспечения и признак обособленно, если в форме жестко заданы выбираемые значения этих полей.
//   * РазбиватьСтрокиЗапрещено - Булево - если истина, то в форме нельзя разбивать исходную строку на две и более указывая количество.
//   * ПараметрыУказанияСерий - см. НоменклатураСервер.ПараметрыУказанияСерий
//   * Серия - СправочникСсылка.СерииНоменклатуры, Массив из СправочникСсылка.СерииНоменклатуры - серия из текущей строки документа.
//
Функция ПараметрыФормыЗапросаКоличестваИСерий(Все = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.ПараметрыФормыЗапросаКоличестваИСерий(Все);
```
</details>

## ИмяСвойстваСтруктурыВариантыОбеспеченияПоТипуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры ключевых параметров формы запроса количества и серий.
//
// Параметры:
//  ТипНоменклатуры - ПеречислениеСсылка.ТипыНоменклатуры - тип номенклатуры.
//
// Возвращаемое значение:
//  Строка - ключ структуры, содержащей данные по указанному типу номенклатуры.
//
Функция ИмяСвойстваСтруктурыВариантыОбеспеченияПоТипуНоменклатуры(ТипНоменклатуры) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.ИмяСвойстваСтруктурыВариантыОбеспеченияПоТипуНоменклатуры(ТипНоменклатуры) 
```
</details>

## ВариантИФлагПоУмолчаниюДляПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает вариант обеспечения по умолчанию для подбора товаров исходя из входящих параметров.
//
// Параметры:
//  ТипНоменклатуры - ПеречислениеСсылка.ТипыНоменклатуры - тип номенклатуры.
//  ДопустимыеОбособленныеДействия - Массив из ПеречислениеСсылка.ВариантыОбеспечения - допустимые для выбора обособленные варианты обеспечения.
//  ДопустимыеНеобособленныеДействия - Массив из ПеречислениеСсылка.ВариантыОбеспечения - допустимые для выбора необособленные варианты обеспечения.
//  ОграничиватьВариантыОбеспечения - Булево - признак необходимости ограничения варианта обеспечения переданным в открываемую форму.
//  ВариантОбеспеченияИФлагОбособленно - Структура - структура с полями:
//   * ВариантОбеспечения - ПеречислениеСсылка.ВариантыОбеспечения - значение варианта обеспечения.
//   * Обособленно - Булево - значение признака "Обособленно".
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * ВариантОбеспечения - ПеречислениеСсылка.ВариантыОбеспечения - значение варианта обеспечения.
//   * Обособленно - Булево - значение признака "Обособленно".
//
Функция ВариантИФлагПоУмолчаниюДляПодбора(ТипНоменклатуры, ДопустимыеОбособленныеДействия, ДопустимыеНеобособленныеДействия, ОграничиватьВариантыОбеспечения, ВариантОбеспеченияИФлагОбособленно) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.ВариантИФлагПоУмолчаниюДляПодбора(ТипНоменклатуры, ДопустимыеОбособленныеДействия, ДопустимыеНеобособленныеДействия, ОграничиватьВариантыОбеспечения, ВариантОбеспеченияИФлагОбособленно) 
```
</details>

## ДопустимыеВариантыОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает вариант обеспечения по умолчанию для подбора товаров исходя из входящих параметров.
//
// Параметры:
//  ТипНоменклатуры - ПеречислениеСсылка.ТипыНоменклатуры - тип номенклатуры.
//  ДопустимыеОбособленныеДействия - Массив из ПеречислениеСсылка.ВариантыОбеспечения - допустимые для выбора обособленные варианты обеспечения.
//  ДопустимыеНеобособленныеДействия - Массив из ПеречислениеСсылка.ВариантыОбеспечения - допустимые для выбора необособленные варианты обеспечения.
//  ОграничиватьВариантыОбеспечения - Булево - признак необходимости ограничения варианта обеспечения переданным в открываемую форму.
//  ВариантОбеспеченияИФлагОбособленно - Структура - структура с полями:
//   * ВариантОбеспечения - ПеречислениеСсылка.ВариантыОбеспечения - значение варианта обеспечения.
//   * Обособленно - Булево - значение признака "Обособленно".
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * ВариантОбеспечения - ПеречислениеСсылка.ВариантыОбеспечения - значение варианта обеспечения.
//   * Обособленно - Булево - значение признака "Обособленно".
//
Функция ДопустимыеВариантыОбеспечения(ТипНоменклатуры, ДопустимыеОбособленныеДействия, ДопустимыеНеобособленныеДействия, ОграничиватьВариантыОбеспечения, ВариантОбеспеченияИФлагОбособленно) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.ДопустимыеВариантыОбеспечения(ТипНоменклатуры, ДопустимыеОбособленныеДействия, ДопустимыеНеобособленныеДействия, ОграничиватьВариантыОбеспечения, ВариантОбеспеченияИФлагОбособленно) 
```
</details>

## ВсеДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список значений, содержащий все доступные варианты обеспечения.
//
// Возвращаемое значение:
//  - СписокЗначений - список всех вариантов обеспечения.
//
Функция ВсеДействия() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.ВсеДействия() 
```
</details>

## ДоступныеДействияДляВыбораОбеспеченияВСтрокеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень действий, доступных для выбора в строке заказа по умолчанию.
// Возвращаемое значение:
//  Массив - Массив действий.
Функция ДоступныеДействияДляВыбораОбеспеченияВСтрокеПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.ДоступныеДействияДляВыбораОбеспеченияВСтрокеПоУмолчанию() 
```
</details>

## ДобавитьДействияОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обслуживающие формы документов

// Добавление в структуру действий действия, для заполнения реквизитов табличной части и шапки формы,
// а также служебных реквизитов табличной части и формы, необходимых для условного оформления.
// Действие для заполнения служебных реквизитов формы:
//  - Форма.ДатаОтгрузкиОбязательна
//  - Форма.СкладОбязателен
//  - СтрокаКоллекции.ДатаОтгрузкиОбязательна
//  - СтрокаКоллекции.СкладОбязателен
// Событие обработки табличных частей:
//  "ПриИзмененииТипаНоменклатурыИлиВариантаОбеспечения"
// Событие обработки табличных частей:
//  "ЗаполнитьКолонкуДоступно"
// Действие для заполнения реквизита табличной части:
//  СтрокаКоллекции.Доступно
//  СтрокаКоллекции.ПерераспределятьЗапасы
// Действие для заполнения реквизита табличной части:
//  СтрокаКоллекции.ВариантОбеспечения
//  СтрокаКоллекции.ДатаОтгрузки
// Событие обработки табличных частей:
//  "ПроверитьЗаполнитьОбеспечениеВДокументеПродажи"
// Действие для заполнения реквизита табличной части:
//  СтрокаКоллекции.ВариантОбеспечения
// Событие обработки табличных частей, только на сервере:
//  "УвеличитьДатуОтгрузкиДокумента".
//
// Параметры:
//  СтруктураДействий - Структура - структура в которую добавляется действие.
//  ПоляСтрокой - Строка - "ВариантОбеспечения" и/или "ДатаОтгрузки","СкладОбязателен","ДатаОтгрузкиОбязательна", "ДатаОтгрузкиОтложенно" через запятую.
//  ПараметрыДокумента - Структура - Данные формы:
//   * ДатаОтгрузкиВСтроке                - Дата, Неопределено   - Дата отгрузки из строки документа.
//   * ИмяПоляДатаОтгрузки                - Строка               - Имя поля "Дата отгрузки" в шапке документа.
//   * ВариантОбеспеченияИФлагОбособленно - см. ОбеспечениеВДокументахКлиентСервер.ВариантОбеспеченияИФлагОбособленноПоУмолчанию
//   * Объект                             - ДанныеФормыСтруктура - Объект формы связанный с заказом на отгрузку,
//                                                                 в том числе поле "Ссылка" для определения типа заказа на отгрузку.
//
Процедура ДобавитьДействияОбеспечения(СтруктураДействий, ПоляСтрокой, ПараметрыДокумента) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиентСервер.ДобавитьДействияОбеспечения(СтруктураДействий, ПоляСтрокой, ПараметрыДокумента) 
```
</details>

## УдалитьДействияОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из структуры действий действия связанные с обеспечением.
//
// Параметры:
//  СтруктураДействий - Структура - структура действий.
//
Процедура УдалитьДействияОбеспечения(СтруктураДействий) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиентСервер.УдалитьДействияОбеспечения(СтруктураДействий) 
```
</details>

## ЗаполнитьСлужебныеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет служебные реквизиты обеспечения в шапке формы, исходя из изменений служебных реквизитов табличной части.
// Необходимо использовать в паре с ДобавитьДействияОбеспечения на клиенте после обработки строки табличной части.
//
// Параметры:
//  Коллекция - ДанныеФормыКоллекция - табличная часть в которой произошли изменения служебных реквизитов.
//  ДатаОтгрузкиОбязательна - Булево - одноименный реквизит формы, который нужно обновить.
//  СкладОбязателен - Булево - одноименный реквизит формы, который нужно обновить.
//
Процедура ЗаполнитьСлужебныеРеквизиты(Коллекция, ДатаОтгрузкиОбязательна, СкладОбязателен) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахКлиентСервер.ЗаполнитьСлужебныеРеквизиты(Коллекция, ДатаОтгрузкиОбязательна, СкладОбязателен) 
```
</details>

## ВариантОбеспеченияИФлагОбособленноПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает варианты обеспечения по умолчанию для каждого типа номенклатуры, в зависимости от стратегии обеспечения.
// Структура вариантов обеспечения нужно инициализировать в документах только если необходимо полностью переопределить правила, используемые
// при заполнении варианта обеспечения по умолчанию. В случае если известен и жестко задан вариант обеспечения для каждого типа номенклатуры.
//
// Параметры:
//  ЗаполнятьОбособленно - Булево - признак использования обособленной стратегии обеспечения.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * Товар - Структура - структура с ключами:
//      ** ВариантОбеспечения - ПеречислениеСсылка.ВариантыОбеспечения - вариант обеспечения по умолчанию.
//      ** Обособленно - Булево - значение флага Обособленно по умолчанию.
//   * МногооборотнаяТара - Структура - структура с ключами:
//      ** ВариантОбеспечения - ПеречислениеСсылка.ВариантыОбеспечения - вариант обеспечения по умолчанию.
//      ** Обособленно - Булево - значение флага Обособленно по умолчанию.
//   * Работа - Структура - структура с ключами:
//      ** ВариантОбеспечения - ПеречислениеСсылка.ВариантыОбеспечения - вариант обеспечения по умолчанию.
//      ** Обособленно - Булево - значение флага Обособленно по умолчанию.
//   * Услуга - Структура - структура с ключами:
//      ** ВариантОбеспечения - ПеречислениеСсылка.ВариантыОбеспечения - вариант обеспечения по умолчанию.
//      ** Обособленно - Булево - значение флага Обособленно по умолчанию.
//
Функция ВариантОбеспеченияИФлагОбособленноПоУмолчанию(ЗаполнятьОбособленно) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.ВариантОбеспеченияИФлагОбособленноПоУмолчанию(ЗаполнятьОбособленно) 
```
</details>

## РежимПодборСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает условное обозначение режима побора складов.
//
// Возвращаемое значение:
//  Строка - строка "ПодборСерий".
//
Функция РежимПодборСерий() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.РежимПодборСерий() 
```
</details>

## РежимВыборДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает условное обозначение режима побора складов.
//
// Возвращаемое значение:
//  Строка - строка "ВыборДействия".
//
Функция РежимВыборДействия() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.РежимВыборДействия() 
```
</details>

## РежимСостоянияОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает условное обозначение режима состояния обеспечения.
//
// Возвращаемое значение:
//  Строка - строка "СостоянияОбеспечения".
//
Функция РежимСостоянияОбеспечения() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.РежимСостоянияОбеспечения() 
```
</details>

## РежимЗаполнениеДействияИзСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает условное обозначение режима заполнения действия из списка.
//
// Возвращаемое значение:
//  Строка - строка "ЗаполнениеДействияИзСписка".
//
Функция РежимЗаполнениеДействияИзСписка() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.РежимЗаполнениеДействияИзСписка() 
```
</details>

## РежимВыборДействияНепосредственно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает условное обозначение режима выбора действия в строке непосредственно.
//
// Возвращаемое значение:
//  Строка - строка "ВыборДействияНепосредственно".
//
Функция РежимВыборДействияНепосредственно() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.РежимВыборДействияНепосредственно() 
```
</details>

## РежимПодборСкладов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает условное обозначение режима побора складов.
//
// Возвращаемое значение:
//  Строка - строка "ПодборСкладов".
//
Функция РежимПодборСкладов() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.РежимПодборСкладов() 
```
</details>

## РежимПросмотрДоступности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает условное обозначение режима побора складов.
//
// Возвращаемое значение:
//  Неопределено - значение Неопределено.
//
Функция РежимПросмотрДоступности() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.РежимПросмотрДоступности() 
```
</details>

## НужноПроверитьЗаполнитьДатуОтгрузкиДляСтрокОтгрузить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет нужно ли проверять или заполнять дату отгрузки после изменения варианта обеспечения в строках документа.
//
// Параметры:
//  Режим - Строка - режим выполнения действия.
//
// Возвращаемое значение:
//  Булево - Истина, если нужно проверять или заполнять дату отгрузки.
//
Функция НужноПроверитьЗаполнитьДатуОтгрузкиДляСтрокОтгрузить(Режим) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.НужноПроверитьЗаполнитьДатуОтгрузкиДляСтрокОтгрузить(Режим) 
```
</details>

## ЭтоРежимИзмененияВариантаОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет режим изменения варианта обеспечения
//
// Параметры:
//  Режим - Строка - режим выполнения действия.
//
// Возвращаемое значение:
//  Булево - Истина, если меняется вариант обеспечения.
//
Функция ЭтоРежимИзмененияВариантаОбеспечения(Режим) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахКлиентСервер.ЭтоРежимИзмененияВариантаОбеспечения(Режим) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
