---
title: Обеспечение в документах переопределяемый
slug: erp-uh/обеспечение-в-документах-переопределяемый
---


## ДобавитьВременнуюТаблицуДоступныеОстатки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для переопределения доступных остатков используемых в заказе.
// Подготавливает временную таблицу ДоступныеОстатки с колонками аналогичными входящей таблице ТаблицаОстатков.
// Параметры:
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц содержащий входящие таблицы:
//   * ТаблицаОстатков - ВременнаяТаблицаЗапроса - таблица с колонками:
//     ** Номенклатура - КолонкаВременнойТаблицыЗапроса
//     ** Характеристика - КолонкаВременнойТаблицыЗапроса
//     ** Склад - КолонкаВременнойТаблицыЗапроса - склад для товаров / подразделение (для работ)
//     ** Назначение - КолонкаВременнойТаблицыЗапроса
//     ** Количество - КолонкаВременнойТаблицыЗапроса
//   * ВременнаяТаблицаДанныхДокумента - ВременнаяТаблицаЗапроса - таблица с колонками:
//     ** Номенклатура - КолонкаВременнойТаблицыЗапроса
//     ** Характеристика - КолонкаВременнойТаблицыЗапроса
//     ** Подразделение - КолонкаВременнойТаблицыЗапроса
//     ** Склад - КолонкаВременнойТаблицыЗапроса
//     ** Назначение - КолонкаВременнойТаблицыЗапроса
//     ** ЗаказНаОтгрузку - КолонкаВременнойТаблицыЗапроса
//     ** ВариантОбеспечения - КолонкаВременнойТаблицыЗапроса
//     ** Обособленно - КолонкаВременнойТаблицыЗапроса
//     ** Количество - КолонкаВременнойТаблицыЗапроса
//     ** КоличествоУпаковок - КолонкаВременнойТаблицыЗапроса
//     ** Упаковка - КолонкаВременнойТаблицыЗапроса
//     ** ГотовКОбеспечению - КолонкаВременнойТаблицыЗапроса
//     ** ГотовКОтгрузке - КолонкаВременнойТаблицыЗапроса
//     ** ЖелаемаяДатаОтгрузки - КолонкаВременнойТаблицыЗапроса
//     ** Серия - КолонкаВременнойТаблицыЗапроса
//     ** КодСтроки - КолонкаВременнойТаблицыЗапроса
//     ** Отменено - КолонкаВременнойТаблицыЗапроса
//     ** НомерСтроки - КолонкаВременнойТаблицыЗапроса
//     ** Регистратор - КолонкаВременнойТаблицыЗапроса
//     ** ДатаДокумента - КолонкаВременнойТаблицыЗапроса
//     ** ГруппаСкладов - КолонкаВременнойТаблицыЗапроса
//     ** Приоритет - КолонкаВременнойТаблицыЗапроса
//     ** ДатаОтгрузкиВсехСтрокОднойДатой - КолонкаВременнойТаблицыЗапроса
//  ДополнительныеПараметры - Структура - структура дополнительных параметров.
//
Процедура ДобавитьВременнуюТаблицуДоступныеОстатки(МенеджерВременныхТаблиц, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахПереопределяемый.ДобавитьВременнуюТаблицуДоступныеОстатки(МенеджерВременныхТаблиц, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
