---
title: Обеспечение в документах сервер
slug: erp-uh/обеспечение-в-документах-сервер
---


## ПараметрыСозданияОбеспечивающегоЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры создания обеспечивающиего заказа для механизма создания на основании.
//
// Параметры:
//  ПараметрыСоздания - Структура - структура для заполнения дополнительных параметров
// Возвращаемое значение:
//  Структура - структура с полями:
//   * ИмяМенеджераДокумента - Строка - тип заказа который необходимо создать на основании.
//   * ИмяФормы - Строка - Имя открываемой формы.
Функция ПараметрыСозданияОбеспечивающегоЗаказа(ПараметрыСоздания) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ПараметрыСозданияОбеспечивающегоЗаказа(ПараметрыСоздания) 
```
</details>

## ПараметрыОтбораТоваровДляСозданияОбеспечивающиегоЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры создания обеспечивающиего заказа для механизма создания на основании.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * ТипыНоменклатуры - Массив Из ПеречислениеСсылка.ТипыНоменклатуры - отбор по типам номенклатуры
Функция ПараметрыОтбораТоваровДляСозданияОбеспечивающиегоЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ПараметрыОтбораТоваровДляСозданияОбеспечивающиегоЗаказа() 
```
</details>

## ПроверитьЗапуститьФоновоеЗаданиеРаспределенияЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если не запущено фоновое задание распределения запасов то запускает его.
Процедура ПроверитьЗапуститьФоновоеЗаданиеРаспределенияЗапасов() Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ПроверитьЗапуститьФоновоеЗаданиеРаспределенияЗапасов() 
```
</details>

## ЗаполнитьСкладИДатуОтгрузкиПриИзмененииПереданРанее
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет склад и дату отгрузки если в строках заказа установили вариант обеспечения ПередаРанее.
//  Параметры:
//   Изменения - ТаблицаЗначений - таблица с изменениями после заполнения варианта обеспечения.
//
Процедура ЗаполнитьСкладИДатуОтгрузкиПриИзмененииПереданРанее(Изменения) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ЗаполнитьСкладИДатуОтгрузкиПриИзмененииПереданРанее(Изменения) 
```
</details>

## ДанныеДокументаДляСозданияКорректировкиНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Ссылка - ЛюбаяСсылка - Ссылка на заказ, в который встроены команды создания корректировки назначения
//  ДополнительныеПараметры - Структура - Струкура с полями:
//  * ИдентификаторВХранилище - Строка - Уникальный идентификатор, чтобы поместить товары документа в хранилище
//  * ЭтоСнятиеРезерва - Булево - Истина, если данные нужно получить для операции снятия резерва, Ложь, если для операции резервирования
//  Возвращаемое значение:
//   Структура - Данные документа, необходмые для выполнения команды создания корректировки назначения
Функция ДанныеДокументаДляСозданияКорректировкиНазначения(Ссылка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ДанныеДокументаДляСозданияКорректировкиНазначения(Ссылка, ДополнительныеПараметры) 
```
</details>

## ВыполнитьДействиеДляНесколькихТиповЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьДействиеДляНесколькихТиповЗаказов(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ВыполнитьДействиеДляНесколькихТиповЗаказов(Параметры) 
```
</details>

## ДополнитьРезультатыВыполненияДействийВСпискеЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет структуру результата выполнения действий обеспечения в списке , используется если список обрабатывается
// порциями.
//
// Параметры:
//  Приемник - см. ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеВСпискеЗаказов
//  Источник - см. ОбеспечениеВДокументахВызовСервера.ВыполнитьДействиеВСпискеЗаказов
//
Процедура ДополнитьРезультатыВыполненияДействийВСпискеЗаказов(Приемник, Источник) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ДополнитьРезультатыВыполненияДействийВСпискеЗаказов(Приемник, Источник) 
```
</details>

## УстановитьДействиеОбособленно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды заполнения флага "Обособленно" в форме заказа на отгрузку.
//
// Параметры:
//  КодДействия - Строка - код выполняемого действия:
//                         "ФЛАГ_ОБОСОБЛЕННО", "ФЛАГ_НЕОБОСОБЛЕННО", "ДЕЙСТВИЕ_КОБЕСПЕЧЕНИЮ",
//                         "ДЕЙСТВИЕ_НЕОБЕСПЕЧИВАТЬ", "ДЕЙСТВИЕ_РЕЗЕРВИРОВАТЬ", "ДЕЙСТВИЕ_ОТГРУЗИТЬ".
//  Форма - ФормаКлиентскогоПриложения - форма в табличной части которой нужно выполнить команду.
//  ВыделенныеСтроки - Массив - содержит идентификаторы строк коллекции для выполнения действия.
//  ПропускатьОтгрузить - Булево - Истина, если в стоках с действием "Отгрузить" команду выполнять не нужно.
//
// Возвращаемое значение:
//  Структура - структура содержащая таблицу изменений.
//
Функция УстановитьДействиеОбособленно(КодДействия, Форма, ВыделенныеСтроки, ПропускатьОтгрузить = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.УстановитьДействиеОбособленно(КодДействия, Форма, ВыделенныеСтроки, ПропускатьОтгрузить);
```
</details>

## ОбеспечениеУстановитьДействиеСтруктураРезультата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры результата установки действий в заказе
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * АдресИзменений - Строка - адрес изменений для переноса в табличную часть.
//   * ЗадаватьВопросОЗаполненииЦелымиУпаковками - Булево - признак необходимости задать вопрос об отгрузке целыми
//                                                          либо дробными упаковками.
//   * СнятьФлагОтгружатьОднойДатой - Булево - необходимость снять флаг Отгружать одной датой, исходя из изменений.
//   * СнятьФлагОтгружатьОднойДатойЦелымиУпаковками - Булево - необходимость снять флаг Отгружать одной датой,
//                                                             исходя из изменений при заполнении целыми упаковками.
//   * ЗаполнитьДатуОтгрузкиОднойДатой - Булево - признак необходимости заполнить дату отгрузки в шапке заказа.
//   * ЗаполнитьДатуОтгрузкиОднойДатойЦелымиУпаковками - Булево - признак необходимости заполнить дату отгрузки в
//                                                                шапке заказа при заполнении целыми упаковками.
//   * ДатаОтгрузкиВсехСтрокОднойДатой - Дата - дата отгрузки из шапки заказа, если таковая имеется.
//   * ДатаОтгрузкиЗаполненныхСтрок  - Дата - дата отгрузки измененных строк.
//
Функция ОбеспечениеУстановитьДействиеСтруктураРезультата() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ОбеспечениеУстановитьДействиеСтруктураРезультата() 
```
</details>

## УстановитьДействие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды установки действия в форме заказа на отгрузку.
//
// Параметры:
//  КодДействия - Строка - код выполняемого действия:
//                         "ФЛАГ_ОБОСОБЛЕННО", "ФЛАГ_НЕОБОСОБЛЕННО", "ДЕЙСТВИЕ_КОБЕСПЕЧЕНИЮ",
//                         "ДЕЙСТВИЕ_НЕОБЕСПЕЧИВАТЬ", "ДЕЙСТВИЕ_РЕЗЕРВИРОВАТЬ", "ДЕЙСТВИЕ_ОТГРУЗИТЬ",
//                         "ДЕЙСТВИЕ_ПЕРЕДАНРАНЕЕ", "ОТКАТ_ДЕЙСТВИЯ_ОТГРУЗИТЬ".
//  Форма - ФормаКлиентскогоПриложения - форма в табличной части которой нужно выполнить команду.
//  ВыделенныеСтроки - Массив - содержит идентификаторы строк коллекции для выполнения действия.
//
// Возвращаемое значение:
//  см. ОбеспечениеУстановитьДействиеСтруктураРезультата
//
Функция УстановитьДействие(КодДействия, Форма, ВыделенныеСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.УстановитьДействие(КодДействия, Форма, ВыделенныеСтроки) 
```
</details>

## УстановитьДействиеПослеВопроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды установки действия в форме заказа на отгрузку.
//
// Параметры:
//  Ответ - Строка - условное обозначение выбора пользователя при ответе на вопросы при заполнении обеспечения
//                   "ДРОБНЫМИ_УПАКОВКАМИ", "ОТГРУЖАТЬ_ЧАСТЯМИ_ДРОБНЫМИ_УПАКОВКАМИ", "ОТГРУЖАТЬ_ОДНОЙДАТОЙ_ДРОБНЫМИ_УПАКОВКАМИ"
//                   "ЦЕЛЫМИ_УПАКОВКАМИ", "ОТГРУЖАТЬ_ЧАСТЯМИ_ЦЕЛЫМИ_УПАКОВКАМИ", "ОТГРУЖАТЬ_ОДНОЙДАТОЙ_ЦЕЛЫМИ_УПАКОВКАМИ"
//  Результат - см. ОбеспечениеУстановитьДействиеСтруктураРезультата
//  Форма - ФормаКлиентскогоПриложения - форма в табличной части которой нужно выполнить команду заполнения варианта обеспечения.
//
// Возвращаемое значение:
//  см. ОбеспечениеУстановитьДействиеСтруктураРезультата
//
Функция УстановитьДействиеПослеВопроса(Ответ, Результат, Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.УстановитьДействиеПослеВопроса(Ответ, Результат, Форма) 
```
</details>

## ОбработкаПолученияДанныхВыбораВариантаОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика получения данных выбора перечисления "Варианты обеспечения".
// Предназначена для получения необходимых данных на сервере.
//
// Параметры:
//  Параметры - Структура - структура параметров для получения серверных данных.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения - единица измерения номенклатуры в строке.
//   * ТребуетсяУказаниеСерийВСтроке - Булево - необходимость указания серий для номенклатуры и склада заказа.
//   * ДопустимоеОтклонение - Число - допустимое отклонение мерных единиц измерения, если номенклатура мерная.
//   * КоэффициентУпаковки - Число - коэффициент упаковки указанной в строке.
//   * ПроводитьБезКонтроляРезервов - Булево - пользователь отключил контроль резервов на время сеанса
//
Функция ОбработкаПолученияДанныхВыбораВариантаОбеспечения(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ОбработкаПолученияДанныхВыбораВариантаОбеспечения(Параметры) 
```
</details>

## ВариантОбеспеченияПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик изменения варианта обеспечения в строке заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ТекущаяСтрока - Число - идентификатор строки документа.
//
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица изменений для переноса в документ.
//
Функция ВариантОбеспеченияПриИзменении(Форма, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ВариантОбеспеченияПриИзменении(Форма, ТекущаяСтрока) 
```
</details>

## ПересчитатьКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает количество единиц, исходя из количества упаковок в переданной таблице, содержащей ссылки на строки
// таблицы в которых необходимо выполнить пересчет.
//
// Параметры:
//  Изменения - ТаблицаЗначений -
//   * Строка - ДанныеФормыЭлементКоллекции - строка табличной части, в которой нужно выполнить пересчет.
//
Процедура ПересчитатьКоличествоЕдиниц(Изменения) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ПересчитатьКоличествоЕдиниц(Изменения) 
```
</details>

## ИзмененияДляУстановкиДействий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды установки действия в форме заказа на отгрузку без переноса результата в документ.
//
// Параметры:
//  КодДействия - Строка - код выполняемого действия:
//                         "ФЛАГ_ОБОСОБЛЕННО", "ФЛАГ_НЕОБОСОБЛЕННО", "ДЕЙСТВИЕ_КОБЕСПЕЧЕНИЮ",
//                         "ДЕЙСТВИЕ_НЕОБЕСПЕЧИВАТЬ", "ДЕЙСТВИЕ_РЕЗЕРВИРОВАТЬ", "ДЕЙСТВИЕ_ОТГРУЗИТЬ", "ОТКАТ_ДЕЙСТВИЯ_ОТГРУЗИТЬ".
//  Форма - ФормаКлиентскогоПриложения - форма в табличной части которой нужно выполнить команду.
//  ВыделенныеСтроки - Массив Из ДанныеФормыЭлементКоллекции - содержит идентификаторы строк коллекции для выполнения действия.
//
// Возвращаемое значение:
//  Структура - структура содержащая таблицы для заполнения варианта обеспечения в строках а также поля,
//              необходимые для дальнейшей обработки и принятия решения об отгрузке одной или разными датами.
//
Функция ИзмененияДляУстановкиДействий(КодДействия, Форма, ВыделенныеСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ИзмененияДляУстановкиДействий(КодДействия, Форма, ВыделенныеСтроки) 
```
</details>

## ПриВыбореСклада
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик выбора в поле "Действие" в табличной части заказа на отгрузку.
//
// Параметры:
//  ВыбранноеЗначение - Структура - структура, содержащая таблицу:
//    * ПодобранныеТовары - ТаблицаЗначений - таблица для переноса в документ.
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ТекущаяСтрока - Число - идентификатор строки табличной части заказа для которой указывают вариант обеспечения, серию или склад.
//  ЗаполняемыеПоля - Строка - поля в табличной части заказа перечисленные через запятую, которые нужно заполнить из таблицы подобранных товаров.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица содержащая ссылки на строки табличной части заказа в которые были перенесены данные.
//
Функция ПриВыбореСклада(ВыбранноеЗначение, Форма, ТекущаяСтрока, ЗаполняемыеПоля) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ПриВыбореСклада(ВыбранноеЗначение, Форма, ТекущаяСтрока, ЗаполняемыеПоля) 
```
</details>

## ПараметрыВыбораОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует параметры для передачи в форму выбора складов и серий в строке заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ТекущаяСтрока - Число - идентификатор строки табличной части заказа для которой указывают вариант обеспечения, серию или склад.
//  Режим - Строка - режим выполнения команды.
//  Склады - Массив из СправочникСсылка.Склады - склады, если подбор нужно ограничить.
//
// Возвращаемое значение:
//  см. ОбеспечениеВДокументахКлиентСервер.ПараметрыФормыЗапросаКоличестваИСерий
//
Функция ПараметрыВыбораОбеспечения(Форма, ТекущаяСтрока, Режим, Склады = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ПараметрыВыбораОбеспечения(Форма, ТекущаяСтрока, Режим, Склады);
```
</details>

## АдресТаблицыДвиженийВХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует данные измененного объекта для общей формы состояния обеспечения.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из которой нужно открыть форму состояния обеспечения.
//
// Возвращаемое значение:
//  Строка - адрес данных заказа во временном хранилище.
//
Функция АдресТаблицыДвиженийВХранилище(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.АдресТаблицыДвиженийВХранилище(Форма) 
```
</details>

## УстановитьДействияИзТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////
// Особые случаи использования, вызов функций ядра напрямую.

// Устанавливает действия в табличную часть заказа исходя из переданной таблицы изменений.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ТаблицаИзменений - см. ТаблицаДляУстановкиДействий
//  ПараметрыВстраивания - см. ДоступныеОстаткиПараметрыВстраивания
Процедура УстановитьДействияИзТаблицы(Форма, ТаблицаИзменений, ПараметрыВстраивания = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.УстановитьДействияИзТаблицы(Форма, ТаблицаИзменений, ПараметрыВстраивания);
```
</details>

## ДоступныеОстаткиПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обслуживающие формы документов

// Обработчик при создании на сервере для форм заказов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ПараметрыВстраивания - см. ОбеспечениеВДокументахСервер.ДоступныеОстаткиПараметрыВстраивания
//
Процедура ДоступныеОстаткиПриСозданииНаСервере(Форма, ПараметрыВстраивания) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ДоступныеОстаткиПриСозданииНаСервере(Форма, ПараметрыВстраивания) 
```
</details>

## ДоступныеОстаткиПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик при чтении на сервере для форм заказов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//  ПараметрыВстраивания - см. ОбеспечениеВДокументахСервер.ДоступныеОстаткиПараметрыВстраивания
//
Процедура ДоступныеОстаткиПриЧтенииНаСервере(Форма, ПараметрыВстраивания) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ДоступныеОстаткиПриЧтенииНаСервере(Форма, ПараметрыВстраивания) 
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик после записи на сервере для форм заказов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//
Процедура ПослеЗаписиНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ПослеЗаписиНаСервере(Форма) 
```
</details>

## ОбновитьДоступностьПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет колонку "Доступно" в табличной части товаров заказа после записи заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//
Процедура ОбновитьДоступностьПослеЗаписи(Форма) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ОбновитьДоступностьПослеЗаписи(Форма) 
```
</details>

## ПриИзмененииРеквизитаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет колонку "Доступно" в табличной части товаров заказа при изменении реквизитов документа влияющих на эту колонку.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//
Процедура ПриИзмененииРеквизитаДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ПриИзмененииРеквизитаДокумента(Форма) 
```
</details>

## ДоступныеОстаткиДобавитьОформлениеКолонкиДоступно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление колонки "Доступно" в форме заказа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//
Процедура ДоступныеОстаткиДобавитьОформлениеКолонкиДоступно(Форма) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ДоступныеОстаткиДобавитьОформлениеКолонкиДоступно(Форма) 
```
</details>

## ДоступныеОстаткиПараметрыВстраивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры параметров встраивания обеспечения в документ.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * ИмяОбъекта - Строка - полное имя объекта.
//   * ИмяТаблицы - Строка - имя таблицы товаров документа.
//   * ИмяРегистраОформленияОтгрузки - Строка - имя регистра, в котором хранится информация об оформленном количестве по заказу
//   * ИмяТаблицыФормы - Строка - Имя табличной части формы заказа
//   * УсловноеОформление - Структура - структура с полями:
//      ** ЭлементыФормы - Структура - структура с полями:
//        *** ВариантОбеспечения - Строка - имя элемента в форме связанного с одноименным реквизитом формы.
//        *** Доступно - Строка - имя элемента в форме связанного с одноименным реквизитом формы.
//        *** Серия - Строка - имя элемента в форме связанного с одноименным реквизитом формы.
//        *** Обособленно - Строка - имя элемента в форме связанного с одноименным реквизитом формы.
//        *** Склад - Строка - имя элемента в форме связанного с одноименным реквизитом формы.
//       ** ПутиКДанным - Структура - структура с полями:
//        *** ПерераспределятьЗапасы - Строка - путь к реквизиту списка товары в котором хранится признак перераспределения запасов в строке.
//        *** ЗапретРедактирования - Строка - путь к реквизиту списка товары в котором хранится признак запрета редактирования в строке.
//   * РеквизитДоступно - Структура - структура с полями:
//    ** ИмяЭлемента - Строка - имя элемента "Доступно".
//   * РеквизитПерераспределятьЗапасы - Структура - cтруктура с полями:
//    ** ПутьКДанным - Строка - путь к данным реквизита перераспределения запасов.
//   * РеквизитВариантОбеспечения - Структура - cтруктура с полями:
//    ** ИмяЭлемента - Строка - имя элемента "ВариантОбеспечения".
//   * ОписаниеПолученияДанныхДокумента - Строка - текст запроса временной таблицы данных документа.
//   * АдресКорректировкиДвижений - Строка - имя реквизита для хранения адреса корректировки движений документа.
//   * ШаблонСериализацииДанныхФормы - Структура - содержит имена таблиц используемых в описании получения данных объекта и путь к данным этих таблиц на форме.
//   * ПоляСвязиТабличныхЧастей - Структура - поля связи таблиц, для извлечения данных из формы документа.
//   * ВыражениеДляВопросаПриВыполненииДействияВСпискеЗаказов - Строка - строка для подстановки в запрос.
//   * СвязиПараметровВыбораВариантаОбеспечения - Структура - структура с полями:
//    ** Доступно - Строка - Имя соответствующего поля на форме.
//    ** КоличествоУпаковок - Строка - Имя соответствующего поля на форме.
//    ** Количество - Строка - Имя соответствующего поля на форме.
//    ** ОтгружатьЕслиДоступно - Строка - Имя соответствующего поля на форме.
//    ** Обособленно - Строка - Имя соответствующего поля на форме.
//    ** ТипНоменклатуры - Строка - Имя соответствующего поля на форме.
//    ** Упаковка - Строка - Имя соответствующего поля на форме.
//    ** Номенклатура - Строка - Имя соответствующего поля на форме.
//    ** ВариантОбеспечения - Строка - Имя соответствующего поля на форме.
//    ** Склад - Строка - Имя соответствующего поля на форме.
//    ** НесколькоСкладов - Строка - Имя соответствующего поля на форме.
//    ** ИспользоватьЧастичнуюОтгрузку - Булево - Истина, если разрешается разбивать строки, Ложь - если не разрешается.
//   * ИменаЭлементов - Структура - структура с полями:
//    ** СтраницыГиперссылкаСостояниеОбеспечения - Строка - имя соотвествующего поля на форме.
//    ** СтраницаГиперссылкаСостояниеОбеспечения - Строка - имя соотвествующего поля на форме.
//    ** ГиперссылкаСостояниеОбеспечения - Строка - имя соотвествующего поля на форме.
//    ** СтраницаГиперссылкаСостояниеОбеспеченияОтгружается - Строка - имя соотвествующего поля на форме.
//    ** ГиперссылкаСостояниеОбеспеченияОтгружается - Строка - имя соотвествующего поля на форме.
//    ** СтраницаГиперссылкаСостояниеОбеспеченияПроблема - Строка - имя соотвествующего поля на форме.
//    ** ГиперссылкаСостояниеОбеспеченияПроблема - Строка - имя соотвествующего поля на форме.
//   * ИспользоватьПодпискиНаСобытия - Структура - структура с полями:
//    ** ПередВыполнениемДействийВСпискеЗаказов - Булево - если истина, то нужно в модуле менеджера заказа определить процедуру
//       с именем ПередВыполнениемДействийВСпискеЗаказов и параметрами:
//         Заказы - Массив из ЛюбаяСсылка
//         КодДействия - Строка.
//         СообщенияПользователю - Массив из Структура.
//   * ОчищаемыеРеквизиты - Строка - имена реквизитов объекта, очищаемых при добавлении новых строк при заполнении действий в табличных частях документа.
Функция ДоступныеОстаткиПараметрыВстраивания() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ДоступныеОстаткиПараметрыВстраивания() 
```
</details>

## ОбновитьКолонкуДоступно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет колонку "Доступно" в формах заказов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//
Процедура ОбновитьКолонкуДоступно(Форма) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ОбновитьКолонкуДоступно(Форма) 
```
</details>

## ЗаполнитьСлужебныеРеквизитыФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение служебных реквизитов табличной части и шапки формы,
// необходимых для условного оформления.
// Заполняемые реквизиты формы:
//  Форма.ДатаОтгрузкиОбязательна
//  Форма.СкладОбязателен
//  СтрокаКоллекции.ДатаОтгрузкиОбязательна
//  СтрокаКоллекции.СкладОбязателен
// Событие обработки табличных частей:
//  "ПриИзмененииТипаНоменклатурыИлиВариантаОбеспечения".
//
// Параметры:
//  ПараметрыДокумента - Структура - данные формы:
//   * Коллекция - ДанныеФормыКоллекция - таблица формы, связанная с заказом на отгрузку
//   * Объект    - ДанныеФормыСтруктура - объект формы связанный с заказом на отгрузку,
//                                        в том числе поле "Ссылка" для определения типа заказа на отгрузку.
Процедура ЗаполнитьСлужебныеРеквизитыФормыДокумента(ПараметрыДокумента) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ЗаполнитьСлужебныеРеквизитыФормыДокумента(ПараметрыДокумента) 
```
</details>

## АктуализироватьДатуОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Актуализирует дату отгрузки в шапке и табличной части после заполнения обеспечения в заказе.
//
// Параметры:
//  ПараметрыЗаполнения - см. ОбеспечениеВДокументахКлиент.ПараметрыОбработкиДатОтгрузкиПослеЗаполненияОбеспечения
//  НеОтгружатьЧастями - Булево - признак "Не отгружать частями" документа.
//  ДатаОтгрузки - Дата - дата отгрузки из шапки документа.
//  Товары - ДанныеФормыКоллекция - табличная часть документа.
//  ИмяПоля - Строка - имя поля даты отгрузки в табличной части заказа.
//  ЕстьПереданРанее - Булево - в табличной части могут быть строки с действием ПереданРанее, надо очищать дату отгрузки для них.
// Возвращаемое значение:
//  Булево - Истина, если есть изменения даты отгрузки
Функция АктуализироватьДатуОтгрузки(ПараметрыЗаполнения, НеОтгружатьЧастями, ДатаОтгрузки, Товары, ИмяПоля, ЕстьПереданРанее = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.АктуализироватьДатуОтгрузки(ПараметрыЗаполнения, НеОтгружатьЧастями, ДатаОтгрузки, Товары, ИмяПоля, ЕстьПереданРанее);
```
</details>

## ПроверитьЗаполнитьДатуОтгрузкиДляСтрокОтгрузить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение даты отгрузки в строке заказа датой из шапки если заказ отгружается одной датой либо текущей датой,
// если в строке устанавливают действие "Отгрузить" при незаполненной или просроченной дате отгрузки в строке.
//
// Параметры:
//  Изменения                      - Массив         - массив строк табличной части документа в которой нужно выполнить действие.
//  ИмяПоля                        - Строка         - имя поля даты отгрузки в табличной части.
//  ОтгружатьОднойДатой            - Булево         - признак, что заказ отгружается одной датой.
//  ДатаОтгрузки                   - Дата           - дата отгрузки одной датой, указанная в шапке документа.
// Возвращаемое значение:
//  Булево - Истина, если даты отгрузки в строках изменились
Функция ПроверитьЗаполнитьДатуОтгрузкиДляСтрокОтгрузить(Изменения, ИмяПоля, ОтгружатьОднойДатой, ДатаОтгрузки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ПроверитьЗаполнитьДатуОтгрузкиДляСтрокОтгрузить(Изменения, ИмяПоля, ОтгружатьОднойДатой, ДатаОтгрузки);
```
</details>

## ДатаОтгрузкиОбработкаВыбораПодбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает дату отгрузки строки заказа после подбора товаров.
//
// Параметры:
//  ДатаОтгрузки - Дата - дата отгрузки из шапки документа.
//  ВариантОбеспечения - ПеречислениеСсылка.ВариантыОбеспечения - вариант обеспечения в строке.
//  НачалоДня - Строка - начало текущего дня.
//
//  Возвращаемое значение:
//   Дата - дата отгрузки.
//
Функция ДатаОтгрузкиОбработкаВыбораПодбор(ДатаОтгрузки, ВариантОбеспечения, НачалоДня) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ДатаОтгрузкиОбработкаВыбораПодбор(ДатаОтгрузки, ВариантОбеспечения, НачалоДня) 
```
</details>

## АктуализироватьДатуОтгрузкиОднойДатой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Актуализирует дату отгрузки в шапке после заполнения обеспечения в заказе.
//
// Параметры:
//  ОтгружатьОднойДатой - Булево - признак "Не отгружать частями" документа.
//  ДатаОтгрузки - Дата - дата отгрузки из шапки документа.
//  Коллекция - ДанныеФормыКоллекция - табличная часть документа.
//  ИмяПоля - Строка - имя поля даты отгрузки в табличной части заказа.
//
Процедура АктуализироватьДатуОтгрузкиОднойДатой(ОтгружатьОднойДатой, ДатаОтгрузки, Коллекция, ИмяПоля) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.АктуализироватьДатуОтгрузкиОднойДатой(ОтгружатьОднойДатой, ДатаОтгрузки, Коллекция, ИмяПоля) 
```
</details>

## УстановитьСнятьОтметкуНезаполненногоПоСтатусу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму условное оформление элемента (отметку незаполненного), исходя из значения статуса документа
// по следующему правилу: если реквизит не заполнен и статус не входит в некоторый перечень статусов,то пометка
// выставляется иначе снимается.
//
// Параметры:
//   УсловноеОформление - УсловноеОформлениеКомпоновкиДанных - условное оформление формы.
//   ИмяЭлемента - Строка - имя элемента для условного оформления.
//   ИмяРеквизита - Произвольный - Реквизит формы, связанный с элементом формы.
//   ИмяТЧ - Строка - имя табличной части, если требуется оформлять поле таблицы формы.
//   СтатусЧерновик - Массив - перечень статусов.
//
Процедура УстановитьСнятьОтметкуНезаполненногоПоСтатусу(УсловноеОформление, ИмяЭлемента, ИмяРеквизита, ИмяТЧ, СтатусЧерновик) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.УстановитьСнятьОтметкуНезаполненногоПоСтатусу(УсловноеОформление, ИмяЭлемента, ИмяРеквизита, ИмяТЧ, СтатусЧерновик) 
```
</details>

## МаксимальноеЗначениеВКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение даты отгрузки в табличной части заказа
// Определяет максимальное значение поля в колонке коллекции значений.
//
// Параметры:
//  Коллекция - ДанныеФормыКоллекция - Коллекция, в которой необходимо заполнить поле.
//  ИмяПоля - Строка - имя колонки для поиска.
//  НачальноеЗначение - Число - начальное значение, относительно которого искать макс. значение.
//
// Возвращаемое значение:
//  Число - Максимальное значение поля.
//
Функция МаксимальноеЗначениеВКоллекции(Коллекция, ИмяПоля, НачальноеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.МаксимальноеЗначениеВКоллекции(Коллекция, ИмяПоля, НачальноеЗначение) 
```
</details>

## ЗаполнитьРеквизитВКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение даты отгрузки в табличной части заказа
// Заполняет значение поля в строках коллекции значений.
//
// Параметры:
//  Коллекция - ДанныеФормыКоллекция - Коллекция, в которой необходимо заполнить поле.
//  ИмяПоля - Строка - имя колонки, которую необходимо заполнить.
//  ЗначениеЗаполнения - ЛюбаяСсылка, Число, Дата, Булево - Значение для заполнения.
//  ВыделенныеСтроки - Массив - строки, в которых необходимо заполнить значение.
//
Процедура ЗаполнитьРеквизитВКоллекции(Коллекция, ИмяПоля, ЗначениеЗаполнения, ВыделенныеСтроки = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ЗаполнитьРеквизитВКоллекции(Коллекция, ИмяПоля, ЗначениеЗаполнения, ВыделенныеСтроки);
```
</details>

## ТекстОбработаноСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст "Обработано строк".
//
// Параметры:
//   Количество - Число - количество отработанных строк.
//
// Возвращаемое значение:
//   Строка - текст "Обработано строк: количество".
//
Функция ТекстОбработаноСтрок(Количество) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ТекстОбработаноСтрок(Количество) 
```
</details>

## ПодсказкаДатаОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст "Желаемая дата отгрузки".
//
// Возвращаемое значение:
//   Строка - текст "Желаемая дата отгрузки".
//
Функция ПодсказкаДатаОтгрузки() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ПодсказкаДатаОтгрузки() 
```
</details>

## УстановитьУсловноеОформлениеОбособленно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет условное оформление элемента связанного с флагом "Обособленно" в заказе.
//
// Параметры:
//  УсловноеОформление - УсловноеОформлениеКомпоновкиДанных - условное оформление формы.
//  ЭлементФормыОбособленно - ПолеФормы - элемент формы связанный с признаком "Обособленно".
//  ПутьДанныхВариантОбеспечения - Строка - путь к данным поля "Вариант обеспечения".
//  ПутьДанныхТипНоменклатуры  - Строка - путь к данным к полю "Тип номенклатуры".
//
Процедура УстановитьУсловноеОформлениеОбособленно(УсловноеОформление, ЭлементФормыОбособленно, ПутьДанныхВариантОбеспечения, ПутьДанныхТипНоменклатуры) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.УстановитьУсловноеОформлениеОбособленно(УсловноеОформление, ЭлементФормыОбособленно, ПутьДанныхВариантОбеспечения, ПутьДанныхТипНоменклатуры) 
```
</details>

## ЕстьПравоПросмотраГиперссылкиСостоянияОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие у пользователя права просмотра гиперссылки состояния обеспечения в заказе
//
// Возвращаемое значение:
//  Булево  - Истина если право есть, Ложь - в противном случае.
//
Функция ЕстьПравоПросмотраГиперссылкиСостоянияОбеспечения() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ЕстьПравоПросмотраГиперссылкиСостоянияОбеспечения() 
```
</details>

## ВыполнитьДействиеДляЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обслуживающие формы списков документов

// Выполняет действие по заполнению обеспечения в заказе из списка заказов.
//
// Параметры:
//  Заказы - Массив из ЛюбаяСсылка - заказы выделенные в списке для выполнения действий обеспечения.
//  КодДействия - Строка - условное обозначение команды "ДЕЙСТВИЕ_КОБЕСПЕЧЕНИЮ" или "ДЕЙСТВИЕ_ОТГРУЗИТЬ"
//                         или "ДЕЙСТВИЕ_РЕЗЕРВИРОВАТЬ" или "ДЕЙСТВИЕ_НЕОБЕСПЕЧИВАТЬ" или "ОТКАТ_ДЕЙСТВИЯ_ОТГРУЗИТЬ".
//  УникальныйИдентификатор - УникальныйИдентификатор - уникальный идентификатор формы, в хранилище которой будет
//                                                       помещен результат выполнения в фоне.
//  ПараметрыВстраиванияВходящие - см. ДоступныеОстаткиПараметрыВстраивания
//
// Возвращаемое значение:
//  Структура - результат выполнения действий над заказами.
//
Функция ВыполнитьДействиеДляЗаказов(Заказы, КодДействия, УникальныйИдентификатор, ПараметрыВстраиванияВходящие) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ВыполнитьДействиеДляЗаказов(Заказы, КодДействия, УникальныйИдентификатор, ПараметрыВстраиванияВходящие) 
```
</details>

## ВыполнитьДействиеДляЗаказовПослеВопроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действие по заполнению обеспечения в заказе из списка заказов после задания вопроса об отгрузке одной датой.
//
// Параметры:
//  Параметры - Структура - структура параметров:
//   * КодДействия - Строка - условное обозначение команды "ДЕЙСТВИЕ_КОБЕСПЕЧЕНИЮ" или "ДЕЙСТВИЕ_ОТГРУЗИТЬ"
//                   или "ДЕЙСТВИЕ_РЕЗЕРВИРОВАТЬ" или "ДЕЙСТВИЕ_НЕОБЕСПЕЧИВАТЬ" или "ОТКАТ_ДЕЙСТВИЯ_ОТГРУЗИТЬ".
//   * ПараметрыЗаполнения - Структура - структура параметров:
//     ** СнятьФлагОтгружатьОднойДатой - Булево - результат ответа на вопрос об отгрузке одной датой.
//     ** ЗаполнитьДатуОтгрузкиОднойДатой - Булево - результат ответа на вопрос об отгрузке одной датой.
//   * Заказы - Массив из ЛюбаяСсылка - заказы для установки действия.
//   * ПараметрыВстраивания - см. ДоступныеОстаткиПараметрыВстраивания
//  ЗаполнитьДатуОтгрузкиПринудительно - Булево - Истина, если нужно заполнить дату отгрузки даже если нет изменений в документе.
//  Загрузка - Булево - Истина, если нужно объект необходимо записывать в режиме ОбменДанными.Загрузка.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * СписокОшибок - Массив - массив содержащий тексты ошибок обработки документов.
//   * КоличествоОбработано - Число - количество обработанных документов.
//
Функция ВыполнитьДействиеДляЗаказовПослеВопроса(Параметры, ЗаполнитьДатуОтгрузкиПринудительно = Ложь, Загрузка = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ВыполнитьДействиеДляЗаказовПослеВопроса(Параметры, ЗаполнитьДатуОтгрузкиПринудительно, Загрузка);
```
</details>

## ЗаполнитьВариантОбеспеченияПоОстаткамДляВыделенныхСтрокОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действие по заполнению обеспечения в заказе из списка заказов после задания вопроса об отгрузке одной датой.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект.ЗаказКлиента, ДокументОбъект.ЗаказНаПеремещение - обрабатываемый документ, любой заказ.
//  КодДействия - Строка - условное обозначение варианта обеспечения "ДЕЙСТВИЕ_КОБЕСПЕЧЕНИЮ" или "ДЕЙСТВИЕ_ОТГРУЗИТЬ"
//                           или "ДЕЙСТВИЕ_РЕЗЕРВИРОВАТЬ" или "ДЕЙСТВИЕ_НЕОБЕСПЕЧИВАТЬ" или "ОТКАТ_ДЕЙСТВИЯ_ОТГРУЗИТЬ".
//  ПараметрыЗаполнения - Структура - структура параметров:
//   * СнятьФлагОтгружатьОднойДатой - Булево - результат ответа на вопрос об отгрузке одной датой.
//   * ЗаполнитьДатуОтгрузкиОднойДатой - Булево - результат ответа на вопрос об отгрузке одной датой.
//  Строки - Массив Из ДанныеформыКоллекция - массив содержащий строки, которые необходимо обработать в документе.
//  ПараметрыВстраивания - см. ДоступныеОстаткиПараметрыВстраивания
//  ДополнительныеПараметры - Структура - дополнительные параметры, используемые для получения остатков.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * ТаблицаИзменений - см. ТаблицаДляУстановкиДействий
//   * Предупреждения - Структура - структура с полями:
//     ** ЕстьСтрокиСНезаполненнымСкладом - Булево
//
Функция ЗаполнитьВариантОбеспеченияПоОстаткамДляВыделенныхСтрокОбъекта(ДокументОбъект, КодДействия, ПараметрыЗаполнения, Строки = Неопределено, ПараметрыВстраивания = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ЗаполнитьВариантОбеспеченияПоОстаткамДляВыделенныхСтрокОбъекта(ДокументОбъект, КодДействия, ПараметрыЗаполнения, Строки, ПараметрыВстраивания, ДополнительныеПараметры);
```
</details>

## ТаблицаОшибокЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обслуживающие модули объектов документа

// Проверяет заполнение документа для проведения по регистрам обеспечения.
//
// Параметры:
//  Объект - ДокументОбъект - проверяемый документ.
//  ПараметрыВстраивания - см. ДоступныеОстаткиПараметрыВстраивания.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица ошибок заполнения документа.
//
Функция ТаблицаОшибокЗаполнения(Объект, ПараметрыВстраивания) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ТаблицаОшибокЗаполнения(Объект, ПараметрыВстраивания) 
```
</details>

## ТекстОшибкиНетТоваровДоступныхДляОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обсуживающие возможность создания накладной по заказу.

// Возвращает текст ошибки контроля остатков.
//
// Возвращаемое значение:
//  Строка - текст ошибок контроля остатков.
//
Функция ТекстОшибкиНетТоваровДоступныхДляОтгрузки() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ТекстОшибкиНетТоваровДоступныхДляОтгрузки() 
```
</details>

## ГиперссылкаСостояниеОбеспеченияНажатиеДокументПроведен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обсуживающие вызов общей формы "Состояние обеспечения заказов" в документах

// В форме заказа проверяет что документ проведен.
//
// Параметры:
//  Ссылка - ЛюбаяСсылка - ссылка на заказ.
//
// Возвращаемое значение:
//  Булево - Истина, если документ проведен, Ложь - в противном случае
//
Функция ГиперссылкаСостояниеОбеспеченияНажатиеДокументПроведен(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ГиперссылкаСостояниеОбеспеченияНажатиеДокументПроведен(Ссылка) 
```
</details>

## НастроитьГиперссылкиСостояниеОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает элементы формы связанные с гиперссылками состояния обеспечения.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма заказа.
//
//
Процедура НастроитьГиперссылкиСостояниеОбеспечения(Форма) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.НастроитьГиперссылкиСостояниеОбеспечения(Форма) 
```
</details>

## СвойстваГиперссылкиСостояниеОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Свойства для формирования надписи состояния обеспечения в форме заказа.
//
// Параметры:
//  Модифицированность - Булево - признак, что заказ модифицирован в форме.
//  Ссылка - ЛюбаяСсылка - ссылка на заказ.
//  ГотовКОбеспечению - Булево - признак, что документ имеет надлежащий статус, чтобы считаться обеспечиваемым.
//  ПроблемаЗапускаЗадания - Булево - Истина, если в результате запросов определено, что есть проблемы с запуском распределения запаосв.
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * Заголовок - Строка - текст отображаемый в заголовке гиперссылки.
//   * ИмяСтраницы - Строка - имя страницы формы заказа на которой нужная гиперссылка.
//   * ИмяГиперссылки - Строка - имя элемента формы отображаемой гиперссылки.
//
Функция СвойстваГиперссылкиСостояниеОбеспечения(Модифицированность, Ссылка, ГотовКОбеспечению, ПроблемаЗапускаЗадания = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.СвойстваГиперссылкиСостояниеОбеспечения(Модифицированность, Ссылка, ГотовКОбеспечению, ПроблемаЗапускаЗадания);
```
</details>

## ТекстЗапросаДоступныхОстатковПоДатамДляПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обслуживающие получение остатков в форме Обработка.ЗапросКоличестваИСерий.Форма".

// Возвращает текст запроса о доступных остатках в разрезе дат для вывода информации в подбор.
//
// Параметры:
//   ЕстьХарактеристика         - Булево               - признак наличия характеристик.
//   СоставРазделовЗапроса      - Массив, Неопределено - разделы запроса.
//
// Возвращаемое значение:
//   Строка - текст запроса доступных остатков.
//
Функция ТекстЗапросаДоступныхОстатковПоДатамДляПодбора(ЕстьХарактеристика, СоставРазделовЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ТекстЗапросаДоступныхОстатковПоДатамДляПодбора(ЕстьХарактеристика, СоставРазделовЗапроса) 
```
</details>

## ДатаОтгрузкиВсехСтрокОднойДатой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обсуживающие подбор товаров в документы.

// Возвращает дату отгрузки установленную в шапке документа, если таковая в документе есть.
//
// Параметры:
//   ПараметрыДокумента - Структура - структура с полями:
//    * ДоступныеОстаткиПараметрыДокумента - см. ДоступныеОстаткиПараметрыВстраивания
//
// Возвращаемое значение:
//  Дата, Неопределено - дата отгрузки из шапки документа.
//
Функция ДатаОтгрузкиВсехСтрокОднойДатой(ПараметрыДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ДатаОтгрузкиВсехСтрокОднойДатой(ПараметрыДокумента) 
```
</details>

## РаспределениеЗапасовДляРедактируемогоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение распределения запасов в контексте редактируемого документа.
//
// Параметры:
//  ВызовИзФормы   - Булево - если вызов происходит из формы, тогда передается ИСТИНА,
//                            если из объекта - тогда ЛОЖЬ.
//  ИсточникДанных - Структура, ФормаКлиентскогоПриложения - если вызов происходит из формы (см. параметр ВызовИзФормы),
//                                                           тогда ФормаКлиентскогоПриложения или структура с ключами:
//                                                             * Объект - Структура - ключ: имя табличной части,
//                                                                                    значение: таблица значения.
//                                                             * Элементы - ВсеЭлементыФормы -
//                                                             * УникальныйИдентификатор - УникальныйИдентификатор -
//                                                             * Модифицированность - Булево -
//                                                             * ДоступныеОстаткиПараметрыВстраивания - см. ОбеспечениеВДокументахСервер.ДоступныеОстаткиПараметрыВстраивания
//                                                           если вызов происходит из объекта, тогда структура с ключами:
//                                                             * Объект - ДокументОбъект -
//                                                             * УникальныйИдентификатор - УникальныйИдентификатор -
//                                                             * Модифицированность - Булево -
//                                                             * ДоступныеОстаткиПараметрыВстраивания - см. ОбеспечениеВДокументахСервер.ДоступныеОстаткиПараметрыВстраивания
//  ОтборСостояний - Массив из ПеречислениеСсылка.РаспределениеЗапасовСостояния - передается если необходимо получать
//                                                                                не все состояния а только некоторые.
//                 - Неопределено - если нужно получать все состояния.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица распределения запасов для редактируемого документа.
//                     Структура таблицы соответствует структуре регистра "Распределение запасов".
//                     В таблице присутствуют только товары, склад, назначение указанные в объекте (передается в параметре Форма).
//                     Для этих товаров в таблице присутствуют Состояния свободного остатка:
//                     "ОстатокНаСкладе", "ОжидаемоеПоступление", "ПоступлениеНеподтвержденное".
//                     Для этих товаров в таблице также присутствует информация о резервах заказов в контексте объекта (те заказы которые указаны в параметре Объект)
//                     а именно Состояния: "ВРезерве" (в документе указано действие "Резервировать"),
//                     "ОбеспеченНаСкладе" (в документе указано действие "К обеспечению"),
//                     "ОбеспеченКДате" (в документе указано действие "К обеспечению"),
//                     "Обеспечить" (в документе указано действие "К обеспечению"),
//                     "НеОбеспечивать" (в документе указано действие "Не обеспечивать").
//
Функция РаспределениеЗапасовДляРедактируемогоДокумента(ВызовИзФормы, ИсточникДанных, ОтборСостояний = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.РаспределениеЗапасовДляРедактируемогоДокумента(ВызовИзФормы, ИсточникДанных, ОтборСостояний);
```
</details>

## ЗаполнитьВариантОбеспеченияПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обслуживающие инициализацию реквизита Очередь в заказе и реквизита "Вариант обеспечения".

// Заполняет вариант обеспечения и флаг обособленно по умолчанию в зависимости от настроек номенклатуры.
//
// Параметры:
//  Таблица - ТабличнаяЧасть, ДанныеФормыКоллекция, ТаблицаЗначений - таблица товаров.
//  ЗаполнитьОбособленно - ФормаКлиентскогоПриложения - форма заказа.
//  СтатусЗаказаКлиента - ПеречислениеСсылка.СтатусыЗаказовКлиентов - статус заказа клиента.
//
// Возвращаемое значение:
//  Булево - признак, что документ был изменен.
//
Функция ЗаполнитьВариантОбеспеченияПоУмолчанию(Таблица, ЗаполнитьОбособленно = Ложь, СтатусЗаказаКлиента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ЗаполнитьВариантОбеспеченияПоУмолчанию(Таблица, ЗаполнитьОбособленно, СтатусЗаказаКлиента);
```
</details>

## ЗаполнитьДатыОтгрузкиВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обслуживающие заполнение даты отгрузки в строках, при записи заказа, если заказ отгружается одной датой.

// Заполняет дату отгрузки в параметре Таблица в колонке ИмяПоля для неотмененных строк.
//
// Параметры:
//  Значение - Дата - Значение даты отгрузки.
//  Таблица - ТаблицаЗначений - Таблица, в которой необходимо заполнить дату отгрузки.
//  ИмяПоля - Строка - Имя поля, в котором дата отгрузки.
//  ЕстьОтменено - Булево - признак, что в таблице есть поле "Отменено".
//
Процедура ЗаполнитьДатыОтгрузкиВТаблице(Значение, Таблица, ИмяПоля, ЕстьОтменено = Истина) Экспорт
```

Пример вызова
```bsl
ОбеспечениеВДокументахСервер.ЗаполнитьДатыОтгрузкиВТаблице(Значение, Таблица, ИмяПоля, ЕстьОтменено);
```
</details>

## РаботыТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет номенклатуру с типом работа в табличной части.
//
//  Параметры:
//   ТабЧасть - ТабличнаяЧасть - табличная часть документа для которой нужно определить работы.
//
//  Возвращаемое значение:
//   Соответствие - ключами соответствия являются ссылки на номенклатуру с типом работа, которая есть в табличной части.
//
Функция РаботыТабличнойЧасти(ТабЧасть) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.РаботыТабличнойЧасти(ТабЧасть) 
```
</details>

## ВременнаяТаблицаСвободныеОстатки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса временной таблицы свободных остатков.
// Параметры:
//  ИмяТаблицыФильтра - Строка - Имя временной таблицы фильтра товаров.
//  ИмяТаблицыРезультат - Строка - Имя временной таблицы результата.
//  ПолучатьОтрицательные - Булево - если Истина, то нулевые и отрицательные остатки будут включены в результат.
//  УчитыватьРезервы - Булево - Учитывать резервы по товарам или только физический остаток товара.
// Возвращаемое значение:
//  Строка - Текст запроса
Функция ВременнаяТаблицаСвободныеОстатки( Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ВременнаяТаблицаСвободныеОстатки();
```
</details>

## ВременнаяТаблицаОстаткиВНаличииПоВсемНазначениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса временной таблицы остатков в наличии по всем назначениям.
// Параметры:
//  ИмяТаблицыФильтра - Строка - Имя временной таблицы фильтра товаров.
//  ИмяТаблицыРезультат - Строка - Имя временной таблицы результата.
// Возвращаемое значение:
//  Строка - Текст запроса
Функция ВременнаяТаблицаОстаткиВНаличииПоВсемНазначениям(ИмяТаблицыФильтра, ИмяТаблицыРезультат) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.ВременнаяТаблицаОстаткиВНаличииПоВсемНазначениям(ИмяТаблицыФильтра, ИмяТаблицыРезультат) 
```
</details>

## НуженВопросОбОтгрузкеОднойДатой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет нужно ли задавать вопрос об отгрузке одной датой.
// Параметры:
//  ПараметрыВстраивания - см. ОбеспечениеВДокументахСервер.ДоступныеОстаткиПараметрыВстраивания
//  Заказы - Массив Из ОпределяемыйТип.ОжидаемаяОтгрузка - документы
// Возвращаемое значение:
//  Булево - истина, если нужно задавать вопрос
Функция НуженВопросОбОтгрузкеОднойДатой(ПараметрыВстраивания, Заказы) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеВДокументахСервер.НуженВопросОбОтгрузкеОднойДатой(ПараметрыВстраивания, Заказы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
