---
title: Обеспечение клиент
slug: erp-uh/обеспечение-клиент
---


## ДобавитьВПараметрыВыбораВариантаОбеспеченияДействиеПереданРанее
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет действие "Передан ранее" в варианты выбора обеспечения в заказе.
// Параметры:
//  Элемент - ПолеВвода - элемент формы связанный с реквизитом табличной части ВариантОбеспечения
//  ТекущиеДанные - ДанныеФормыЭлементКоллекции - текущие данные табличной части.
Процедура ДобавитьВПараметрыВыбораВариантаОбеспеченияДействиеПереданРанее(Элемент, ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
ОбеспечениеКлиент.ДобавитьВПараметрыВыбораВариантаОбеспеченияДействиеПереданРанее(Элемент, ТекущиеДанные) 
```
</details>

## ПроверитьЗаполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для проверки заполнения полей перед выполнением команды по заполнению обеспечения в документах.
//
// Параметры:
//  Объект - ДанныеФормыСтруктура - основной реквизит формы документа, связанный с редактируемым объектом-документом в
//                                  которым нужно выполнить проверки заполнения полей.
//  ТаблицаТовары - ДанныеФормыКоллекция - список в котором необходимо выполнить проверки заполнения полей
//  Идентификатор - Число - идентификатор строки.
//  ПараметрыПроверки - Структура - структура параметров проверки, формируемая функцией ОбеспечениеКлиентСервер.ИнициализироватьПараметрыПроверкиЗаполнения
//  Склад - СправочникСсылка.Склады - значение поля склад (склад - отгрузки) из шапки документа.
//  Режим - Строка  - режим выполнения команды.
//
// Возвращаемое значение:
//  Булево - истина, если проверка заполнения выполнена успешно, ложь - в противном случае.
//
Функция ПроверитьЗаполнение(Объект, ТаблицаТовары, Идентификатор, ПараметрыПроверки, Склад, Режим) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеКлиент.ПроверитьЗаполнение(Объект, ТаблицаТовары, Идентификатор, ПараметрыПроверки, Склад, Режим) 
```
</details>

## ПараметрыОткрытияФормыОбработкиОбеспечениеПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров, используемую при открытии формы обработки "ОбеспечениеПотребностей".
//  Возвращаемое значение:
//   Структура -
//    ОтборПоТипуОбеспечения - ПеречислениеСсылка.ТипыОбеспечения, Неопределено - отбор по типу обеспечения.
//    ОтборПоПодразделению - СправочникСсылка.СтруктураПредприятия, Неопределено - отбор по подразделению.
//    ЕстьШагЗапасы - Булево - если Ложь, то шаг поддержания запасов игнорируется.
//
Функция ПараметрыОткрытияФормыОбработкиОбеспечениеПотребностей() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеКлиент.ПараметрыОткрытияФормыОбработкиОбеспечениеПотребностей() 
```
</details>

## СообщитьОбОтсутствииТовараКОбособленномуОбеспечению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о том, что в заказе нет ни одного товара с действием "Обеспечивать обособленно" по собственному назначению.
//
Процедура СообщитьОбОтсутствииТовараКОбособленномуОбеспечению() Экспорт
```

Пример вызова
```bsl
ОбеспечениеКлиент.СообщитьОбОтсутствииТовараКОбособленномуОбеспечению() 
```
</details>

## СообщитьОбОтсутствииТовараКСнятиюРезерва
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о том, что по назначению заказа нет резервов на складе.
Процедура СообщитьОбОтсутствииТовараКСнятиюРезерва() Экспорт
```

Пример вызова
```bsl
ОбеспечениеКлиент.СообщитьОбОтсутствииТовараКСнятиюРезерва() 
```
</details>

## СообщитьОбОтсутствииТовараКОбособленномуОбеспечениюПоТекущемуЗаказу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о том, что все присутствующие в документе товары с действием "Обеспечивать обособленно" - по стороннему назначению.
//
// Параметры:
//  ЭтоРезервирование	 - Булево - Это резервирование или снятие резерва.
//
Процедура СообщитьОбОтсутствииТовараКОбособленномуОбеспечениюПоТекущемуЗаказу(ЭтоРезервирование) Экспорт
```

Пример вызова
```bsl
ОбеспечениеКлиент.СообщитьОбОтсутствииТовараКОбособленномуОбеспечениюПоТекущемуЗаказу(ЭтоРезервирование) 
```
</details>

## СообщитьОНеобходимомМинимальномСтатусеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о невозможности запуска обработки резервирования/снятия резерва из документа с
// неподходящим статусов.
//
// Параметры:
//  ЭтоРезервирование	 - Булево - Это резервирование или снятие резерва
//  МинимальныйСтатус	 - Строка - Минимальный статус, начиная с которого доступен запуск обработки резервирования/снятия резерва.
//
Процедура СообщитьОНеобходимомМинимальномСтатусеДокумента(ЭтоРезервирование, МинимальныйСтатус) Экспорт
```

Пример вызова
```bsl
ОбеспечениеКлиент.СообщитьОНеобходимомМинимальномСтатусеДокумента(ЭтоРезервирование, МинимальныйСтатус) 
```
</details>

## ПараметрыФормыЗаполненияКорректировкиНазначенияТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров формы заполнения корректировки назначения.
// Возвращаемое значение:
//  Структура - структура с полями:
//   * Мастер - Булево - Истина, при закрытии формы заполнения будет создан документ,
//              Ложь - в результате товары для заполнения будут помещены во временное хранилище.
//   * ВидОперации - ПеречислениеСсылка.ВидыОперацийКорректировкиНазначения - вид операции.
//   * Назначение - СправочникСсылка.Назначения - назначение для которого необходимо заполнить документ.
//   * Заказ - ДокументСсылка - заказ в контексте которого вызывают заполнение.
//   * Организация - СправочникСсылка.СтруктураПредприятия - используется для отбора остатков под назначения заказов заданной организации.
//   * АдресТоваров - Строка - адрес хранилища с таблицей отбора товаров.
//   * КорректировкаНазначения - ДокументСсылка.КорректировкаНазначенияТоваров - ссылка на перезаполняемый документ, который ранее мог быть уже проведен.
//   * Количество - Число - используется в операции встречная корректировка.
Функция ПараметрыФормыЗаполненияКорректировкиНазначенияТоваров() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеКлиент.ПараметрыФормыЗаполненияКорректировкиНазначенияТоваров() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
