---
title: Обеспечение клиент сервер
slug: erp-uh/обеспечение-клиент-сервер
---


## ТипНоменклатурыСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое значение типа номенклатуры используемое в подсистеме обеспечения.
//
// Параметры:
//  ТипНоменклатуры - ПеречислениеСсылка.ТипыНоменклатуры
//
// Возвращаемое значение:
//  Строка
//
Функция ТипНоменклатурыСтрокой(ТипНоменклатуры) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеКлиентСервер.ТипНоменклатурыСтрокой(ТипНоменклатуры) 
```
</details>

## ИнициализироватьПараметрыПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для описания того, каким образом производить проверку заполнения полей перед выполнением команды по
// заполнению обеспечения в документах.
//
// Параметры:
//  ИмяТабличнойЧасти - Строка, Неопределено - имя списка в котором производится проверка, если не указано, то список "Товары"
//  Синоним - Строка, Неопределено - наименование списка в котором производится проверка, если не указано, то список "Товары".
//
// Возвращаемое значение:
//  Структура - структура с полями: "Поля" и "Тексты" используемая в функции проверки заполнения (см. ОбеспечениеКлиентСервер.ПроверитьЗаполнение).
//
Функция ИнициализироватьПараметрыПроверкиЗаполнения(ИмяТабличнойЧасти = Неопределено, Синоним = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеКлиентСервер.ИнициализироватьПараметрыПроверкиЗаполнения(ИмяТабличнойЧасти, Синоним);
```
</details>

## ПараметрыОбъединенияТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает структуру данных, содержащую параметры объединения таблиц
//
// Возвращаемое значение:
//  Структура - структура данных, содержащая параметры объединения таблиц.
//
Функция ПараметрыОбъединенияТаблиц() Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеКлиентСервер.ПараметрыОбъединенияТаблиц() 
```
</details>

## СтруктураДействийВставитьПриИзмененииНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет струткру действий действием при изменении назначения.
//
// Параметры:
//  СтруктураДействий - Структура - структура действий.
//
Процедура СтруктураДействийВставитьПриИзмененииНазначения(СтруктураДействий) Экспорт
```

Пример вызова
```bsl
ОбеспечениеКлиентСервер.СтруктураДействийВставитьПриИзмененииНазначения(СтруктураДействий) 
```
</details>

## ОписаниеНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует описание периода для подсказки при классификации номенклатуры и клиентов.
//
// Параметры:
//  Период - ПеречислениеСсылка.Периодичность - периодичность расчета.
//  КоличествоПериодов - Число - количество периодов расчета
//  Подпериод - ПеречислениеСсылка.Периодичность - количество подпериодов расчета.
//
// Возвращаемое значение:
//  Строка - текстовое описание периода расчета.
//
Функция ОписаниеНастройки(Период, КоличествоПериодов, Подпериод = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеКлиентСервер.ОписаниеНастройки(Период, КоличествоПериодов, Подпериод);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
