---
title: Обеспечение сервер
slug: erp-uh/обеспечение-сервер
---


## ТекстЗапросаДатГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса по датам графика
//
// Параметры:
//  Разделы      - Массив, Неопределено - разделы запроса.
//  ИскатьВперед - Булево               - если истина, то поиск вперед, иначе поиск назад.
//
// Возвращаемое значение:
//	Строка - текст запроса дат по календарю работы предприятия.
//
Функция ТекстЗапросаДатГрафика(Разделы = Неопределено, ИскатьВперед = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеСервер.ТекстЗапросаДатГрафика(Разделы, ИскатьВперед);
```
</details>

## УстановитьПараметрыЗапросаРасчетаСтатистики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет запрос параметрами необходимыми для выполнения запроса расчета статистики потребления,
//
// Параметры:
//   Запрос - Запрос - запрос содержащий текст расчета статистики потребления
//   ПериодКлассификации - СтандартныйПериод - период за который требуется рассчитать статистику.
//
Процедура УстановитьПараметрыЗапросаРасчетаСтатистики(Запрос, ПериодКлассификации = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбеспечениеСервер.УстановитьПараметрыЗапросаРасчетаСтатистики(Запрос, ПериодКлассификации);
```
</details>

## ДобавитьВременнуюТаблицуСтатистикиПотребления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает временную таблицу со статистикой потребления (ВтСтатистикаПотребления).
//
// Параметры:
//  Запрос - Запрос - Запрос, содержащий параметры необходимые для расчета статистике. В этот же запрос добавляется результат расчета
//                    "ВтСтатистикаПотребления".
//  ИмяТаблицыТовары - Строка - Имя временной таблицы с товарами, по умолчанию: "ВтТовары".
//
Процедура ДобавитьВременнуюТаблицуСтатистикиПотребления(Запрос, ИмяТаблицыТовары) Экспорт
```

Пример вызова
```bsl
ОбеспечениеСервер.ДобавитьВременнуюТаблицуСтатистикиПотребления(Запрос, ИмяТаблицыТовары) 
```
</details>

## ОбновитьКоллекциюДаннымиИзТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Объединяет данные из коллекции и таблицы и помещает их в коллекцию.
//
// Параметры:
//  Коллекция - ДанныеФормыКоллекция - Коллекция с данными отсортированная по полям ключа,
//  Таблица - ТаблицаЗначений - Содержит данные для дополнения коллекции, отсортированная по полям ключа,
//  СтрокаКлюча - Строка - Поля, по которым осуществляется поиск строки в коллекции,
//              для принятия решения об обновлении имеющейся строки коллекции либо добавлении новой,
//  Параметры - Структура - содержит параметры объединения.
//
Процедура ОбновитьКоллекциюДаннымиИзТаблицы(Коллекция, Таблица, СтрокаКлюча, Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбеспечениеСервер.ОбновитьКоллекциюДаннымиИзТаблицы(Коллекция, Таблица, СтрокаКлюча, Параметры);
```
</details>

## РазбитьТаблицуПоЗначениюКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для разбиения таблицы значений на несколько таблиц по комбинациям значений в ключевых полях таблицы.
//
// Параметры:
//   Таблица            - ТаблицаЗначений      - таблица, которую необходимо разбить на несколько таблиц.
//   ПоляКлюча          - Строка               - имена колонок таблицы, образующие ключ строки таблицы.
//   ПоляКлючаУдаляемые - Строка, Неопределено - имена колонок из состава ключа, которые необходимо удалить
//                                               из полученных в результате разбиения таблиц.
// Возвращаемое значение:
//  Массив из Структура:
//    * Ключ    - Структура       - структура, с полями, имена которых переданы в параметре "ПоляКлюча".
//                                  Содержит комбинацию значений полей, таблицы переданной параметром "Таблица".
//    * Таблица - ТаблицаЗначений - таблица, с полями совпадающими с полями таблицы переданной в параметре "Таблица",
//                                  не содержит полей, имена которых переданы в параметре "ПоляКлючаУдаляемые".
//                                  Содержит копию строк таблицы переданной параметром "Таблица", отобранных по
//                                  значениям полей, перечисленным в структуре "Ключ".
//
Функция РазбитьТаблицуПоЗначениюКлюча(Таблица, ПоляКлюча, ПоляКлючаУдаляемые = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеСервер.РазбитьТаблицуПоЗначениюКлюча(Таблица, ПоляКлюча, ПоляКлючаУдаляемые);
```
</details>

## ИзменилсяКлюч
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет ключ на изменение.
//
// Параметры:
//   Ключ              - Структура                                                     - содержит ранее установленные
//                                                                                       значения ключа.
//   ПроверяемаяСтрока - ДанныеФормыЭлементКоллекции, СтрокаТаблицыЗначений, Структура - данные содержащие текущие
//                                                                                       значения ключа.
//
// Возвращаемое значение:
//   Булево - признак, что ключ изменился.
//
Функция ИзменилсяКлюч(Ключ, ПроверяемаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ОбеспечениеСервер.ИзменилсяКлюч(Ключ, ПроверяемаяСтрока) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
