---
title: Обесценение ВНА сервер
slug: erp-uh/обесценение-вна-сервер
---


## ДобавитьЭтап_ФормированиеДвиженийПоОбесценениюВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
// Вызывается из ЗакрытиеМесяцаСервер.ЗаполнитьОписаниеЭтаповЗакрытияМесяца(ТаблицаЭтапов).
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца).
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_ФормированиеДвиженийПоОбесценениюВНА(ТаблицаЭтапов, ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ОбесценениеВНАСервер.ДобавитьЭтап_ФормированиеДвиженийПоОбесценениюВНА(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ФормированиеДвиженийПоОбесценениюВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет статус операции "ФормированиеДвиженийПоОбесценениюВНА".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Использование_ФормированиеДвиженийПоОбесценениюВНА(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ОбесценениеВНАСервер.Использование_ФормированиеДвиженийПоОбесценениюВНА(ПараметрыОбработчика) 
```
</details>

## Выполнить_ФормированиеДвиженийПоОбесценениюВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "ФормированиеДвиженийПоОбесценениюВНА".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Выполнить_ФормированиеДвиженийПоОбесценениюВНА(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ОбесценениеВНАСервер.Выполнить_ФормированиеДвиженийПоОбесценениюВНА(ПараметрыОбработчика) 
```
</details>

## УстановитьПараметрыВыбораЕГДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить параметры выбора ЕГДС.
// Используется в документах ПеремещениеОС2_4 и ПеремещениеВНА2_4 для установки отбора владельца ЕГДС.
//
// Параметры:
//  ЕГДС - ПолеФормы - ЕГДС.
//  Объект - ДокументОбъект.ПеремещениеОС2_4 - Документ.
Процедура УстановитьПараметрыВыбораЕГДС(ЕГДС, Объект) Экспорт
```

Пример вызова
```bsl
ОбесценениеВНАСервер.УстановитьПараметрыВыбораЕГДС(ЕГДС, Объект) 
```
</details>

## ПолучитьЕГДСВНАНаДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Получить ЕГДС ВНА на дату.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация.
//  ВнеоборотныйАктив - СправочникСсылка.ОбъектыЭксплуатации, СправочникСсылка.НематериальныеАктивы - Внеоборотный актив.
//  Дата - Дата
//
// Возвращаемое значение:
//  СправочникСсылка.ЕдиницыГенерирующиеДенежныеСредства - ЕГДС ВНА на указанную дату.
Функция ПолучитьЕГДСВНАНаДату(Организация, ВнеоборотныйАктив, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ОбесценениеВНАСервер.ПолучитьЕГДСВНАНаДату(Организация, ВнеоборотныйАктив, Дата) 
```
</details>

## УстановитьВидимостьДанныхОбесцененияВОтчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Установить видимость данных обесценения в отчете.
// При отключенной функциональной опции ИспользоватьОбесценениеВНА
// удаляет из отчета колонки с именами начинающимися на Обесценение.
//
// Параметры:
//  НастройкиОсновнойСхемы - НастройкиКомпоновкиДанных - .
Процедура УстановитьВидимостьДанныхОбесцененияВОтчете(НастройкиОсновнойСхемы) Экспорт
```

Пример вызова
```bsl
ОбесценениеВНАСервер.УстановитьВидимостьДанныхОбесцененияВОтчете(НастройкиОсновнойСхемы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
