---
title: Облачные кассы клиент
slug: erp-uh/облачные-кассы-клиент
---


## НастройкаПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки подключения к Облачной кассе.
//
// Параметры:
//  Касса - ОпределяемыйТип.ОблачнаяКасса - ссылка на элемент справочника для которого настроена интеграция с Облачной
//    кассой.
//  ОповещениеОЗакрытии - Неопределено - оповещение закрытия формы настроек не требуется.
//                      - ОписаниеОповещения - оповещение закрытия формы настроек:
//    * Результат - Неопределено - форма настроек подключения закрыта без сохранения.
//                - Булево - настрока подключения сохранена.
//    * ДополнительныеПараметры - Произвольный - значение, которое было указано при создании объекта ОписаниеОповещения.
//
Процедура НастройкаПодключения(Касса, ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ОблачныеКассыКлиент.НастройкаПодключения(Касса, ОповещениеОЗакрытии);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
