---
title: Облачные кассы переопределяемый
slug: erp-uh/облачные-кассы-переопределяемый
---


## ПриЗагрузкеСтатусаОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет алгоритм обработки операции, статус которых был получен регламентным заданием.
// Переопределяемая операция выполняется в попытке вне транзации. Ошибки кода записываются в журнал регистрации.
//
// Параметры:
//  ДокументОперации - ОпределяемыйТип.ДокументОперацииОблачнойКассы - ссылка на документ инициирующий пробитие чека.
//  Касса - ОпределяемыйТип.ОблачнаяКасса - ссылка на элемент справочника для которого настроена интеграция с Облачной
//    кассой.
//  ПараметрыОперации - Структура - результат загрузки статуса операции:
//    * ИдентификаторОперации - Строка - идентификатор операции Облачной кассы.
//    * СтатусОперации - Строка - результат выполнения операции Облачной кассы.
//        Доступные значения:
//          см. ОблачныеКассыКлиентСервер.СтатусОперацииВыполнена - успешное завершение операции.
//          см. ОблачныеКассыКлиентСервер.СтатусОперацииОтменена - операция отмена.
//    * ОписаниеСтатусаОперации - Строка - описание статуса выполнения операции, полученное из Облачной кассы.
//    * ДанныеДляОбработки - Структура из КлючИЗначение - тело ответа запроса к Облачной кассе.
//  Обработан - Булево - признак обработки операции. Необходимо установить Истина, после завершения обработки.
//
//@skip-check module-empty-method
Процедура ПриЗагрузкеСтатусаОперации(ДокументОперации, Касса, ПараметрыОперации, Обработан) Экспорт
```

Пример вызова
```bsl
ОблачныеКассыПереопределяемый.ПриЗагрузкеСтатусаОперации(ДокументОперации, Касса, ПараметрыОперации, Обработан) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
