---
title: Облачные классификаторы
slug: erp-uh/облачные-классификаторы
---


## ОбновитьКлассификаторТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновление классификатора ТН ВЭД
// Запускает обновление элементов классификатора, загруженных в базу.
// Полученные данные передает в метод ОблачныеКлассификаторыПереопределяемый.СоздатьОбновитьЭлементыТНВЭД.
//
Процедура ОбновитьКлассификаторТНВЭД() Экспорт
```

Пример вызова
```bsl
ОблачныеКлассификаторы.ОбновитьКлассификаторТНВЭД() 
```
</details>

## ПриСозданииНаСервереФормаСпискаТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события формы ПриСозданииНаСервере.
// Создает кнопку подбора элементов классификатора из сервиса.
// Обработчик см. ОблачныеКлассификаторыКлиент.ПодобратьИзСервисаЭлементыТНВЭД().
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  ГруппаРодитель - ЭлементФормы - группа формы для размещения элементов.
//
Процедура ПриСозданииНаСервереФормаСпискаТНВЭД(Форма, ГруппаРодитель) Экспорт
```

Пример вызова
```bsl
ОблачныеКлассификаторы.ПриСозданииНаСервереФормаСпискаТНВЭД(Форма, ГруппаРодитель) 
```
</details>

## ДатаПоследнегоОбновленияОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение даты последнего успешного обновления элементов классификатора ОКПД 2
//
// Возвращаемое значение:
//  Дата - значение служебной константы ДатаСинхронизацииОКПД2
//
Функция ДатаПоследнегоОбновленияОКПД2() Экспорт
```

Пример вызова
```bsl
Результат = ОблачныеКлассификаторы.ДатаПоследнегоОбновленияОКПД2() 
```
</details>

## ОбновитьКлассификаторОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновление классификатора ОКПД 2
// Запускает обновление элементов классификатора, загруженных в базу.
// Полученные данные передает в переопределяемый метод см. СоздатьОбновитьЭлементыОКПД2.
//
Процедура ОбновитьКлассификаторОКПД2() Экспорт
```

Пример вызова
```bsl
ОблачныеКлассификаторы.ОбновитьКлассификаторОКПД2() 
```
</details>

## ПриСозданииНаСервереФормаСпискаОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события формы ПриСозданииНаСервере.
// Создает кнопку подбора элементов классификатора из сервиса.
// Обработчик см. ОблачныеКлассификаторыКлиент.ПодобратьИзСервисаЭлементыОКПД2().
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  ГруппаРодитель - ЭлементФормы - группа формы для размещения элементов.
//
// Пример:
//   ОблачныеКлассификаторы.ПриСозданииНаСервереФормаСпискаОКПД2(ЭтотОбъект, ЭтотОбъект.КоманднаяПанель);
//
Процедура ПриСозданииНаСервереФормаСпискаОКПД2(Форма, ГруппаРодитель) Экспорт
```

Пример вызова
```bsl
ОблачныеКлассификаторы.ПриСозданииНаСервереФормаСпискаОКПД2(Форма, ГруппаРодитель) 
```
</details>

## ПолучитьИзСервисаДанныеОКЕИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение из сервиса данных ОКЕИ
// Возвращает данные элементов классификатора ОКЕИ из сервиса.
//
// Параметры:
//  Коды - Массив - Коды элементов ОКЕИ, данные которых необходимо получить. Элементы массива должны иметь тип Строка.
//                  Элементы массива должны иметь тип Строка. Если передан пустой массив, будут возвращены данные
//                  всех элементов классификатора.
//
// Возвращаемое значение:
//  ТаблицаЗначений, Неопределено - если обращение к сервису успешно, будет возвращена ТаблицаЗначений с колонками:
//    * Код                                      - Строка - Например, "163".
//    * Наименование                             - Строка - Например, "Грамм".
//    * УсловноеОбозначениеНациональное          - Строка - Например, "г".
//    * УсловноеОбозначениеМеждународное         - Строка - Например, "g".
//    * КодовоеБуквенноеОбозначениеНациональное  - Строка - Например, "Г".
//    * КодовоеБуквенноеОбозначениеМеждународное - Строка - Например, "GRM".
//    * ТипИзмеряемойВеличины                    - Строка - Например, "Вес".
//    * Числитель                                - Число  - Числитель в отношении к базовой единице измерения.
//                                                          Например, для Грамма базовой единицей измерения является
//                                                          Килограмм, т.е. числитель равен 1.
//    * Знаменатель                              - Число  - Знаменатель в отношении к базовой единице измерения.
//                                                          Например, для Грамма знаменатель равен 1000.
//    * Идентификатор                            - Строка - Служебное поле. Идентификатор элемента в сервисе.
//    * ИдентификаторРодителя                    - Строка - Служебное поле. Идентификатор родителя элемента в сервисе.
//    В случае ошибки будет возвращено Неопределено, описание ошибки см. в Журнале регистрации.
//
Функция ПолучитьИзСервисаДанныеОКЕИ(Коды) Экспорт
```

Пример вызова
```bsl
Результат = ОблачныеКлассификаторы.ПолучитьИзСервисаДанныеОКЕИ(Коды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
