---
title: Облачные классификаторы клиент
slug: erp-uh/облачные-классификаторы-клиент
---


## ПодобратьИзСервисаЭлементыТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы подбора элементов классификатора ТН ВЭД из сервиса.
//
// Параметры:
//  НастройкиРежима	 - Структура - (необязательный) настройки режима открытия формы, ключи:
//                     АльтернативныйСпособПодбора  - ОписаниеОповещения - процедура открытия альтернативной
//                                                    формы подбора элементов классификатора (например,
//                                                    подбора из макета); в случае передачи параметра,
//                                                    будет выполнена проверка использования функциональной
//                                                    опции ИспользоватьСервисРаботаСНоменклатурой,
//                                                    входа в ИПП, а также доступности сервиса 1С:Номенклатура;
//                                                    при положительном результате проверки открыта форма подбора
//                                                    из сервиса, иначе - выполнена обработка оповещения;
//                     РежимВыбораЭлемента          - Булево - открытие формы в режиме выбора элемента
//                                                    вместо режима подбора и загрузки данных в базу;
//                     КодВыбранногоЭлемента        - Строка - код элемента классификатора, на котором
//                                                    необходимо спозиционироваться при открытии формы
//                                                    (только для РежимВыбораЭлемента = Истина);
//                     Владелец                     - ФормаКлиентскогоПриложения - владелец открываемой формы;
//                     ОбработчикЗавершения         - ОписаниеОповещения - описание оповещения, которое
//                                                    будет выполнено после интерактивного выбора элемента
//                                                    в форме (только для РежимВыбораЭлемента = Истина).
//                                                    В параметр Результат обработчика будет возвращена
//                                                    структура с данными выбранного элемента.
//                                                    Ключи структуры идентичны именам колонок таблицы значений,
//                                                    см. СоздатьОбновитьЭлементыТНВЭД() общего модуля
//                                                    ОблачныеКлассификаторыПереопределяемый.
//
Процедура ПодобратьИзСервисаЭлементыТНВЭД(НастройкиРежима = Неопределено) Экспорт
```

Пример вызова
```bsl
ОблачныеКлассификаторыКлиент.ПодобратьИзСервисаЭлементыТНВЭД(НастройкиРежима);
```
</details>

## ПодобратьИзСервисаЭлементыОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы подбора элементов классификатора из сервиса.
//
// Параметры:
//  НастройкиРежима - Структура - (необязательный) настройки режима открытия формы, ключи:
//                    ЗагружатьСИерархией          - Булево - определяет, будут ли при загрузке из облачного классификатора
//                                                   переноситься только выделенные элементы или еще и все их предки.
//                    АльтернативныйСпособПодбора  - ОписаниеОповещения - процедура открытия альтернативной
//                                                   формы подбора элементов классификатора (например,
//                                                   подбора из макета); в случае передачи параметра,
//                                                   будет выполнена проверка использования функциональной
//                                                   опции ИспользоватьСервисРаботаСНоменклатурой,
//                                                   входа в ИПП, а также доступности сервиса 1С:Номенклатура;
//                                                   при положительном результате проверки открыта форма подбора
//                                                   из сервиса, иначе - выполнена обработка оповещения;
//                    РежимВыбораЭлемента          - Булево - открытие формы в режиме выбора элемента
//                                                   вместо режима подбора и загрузки данных в базу;
//                    КодВыбранногоЭлемента        - Строка - код элемента классификатора, на котором
//                                                   необходимо спозиционироваться при открытии формы
//                                                   (только для РежимВыбораЭлемента = Истина);
//                    Владелец                     - ФормаКлиентскогоПриложения - владелец открываемой формы;
//                    ОбработчикЗавершения         - ОписаниеОповещения - описание оповещения, которое
//                                                   будет выполнено после интерактивного выбора элемента
//                                                   в форме (только для РежимВыбораЭлемента = Истина).
//                                                   В параметр Результат обработчика будет возвращена
//                                                   структура с данными выбранного элемента.
//                                                   Ключи структуры идентичны именам колонок таблицы значений,
//                                                   см. СоздатьОбновитьЭлементыТНВЭД() общего модуля
//                                                   ОблачныеКлассификаторыПереопределяемый.
//
Процедура ПодобратьИзСервисаЭлементыОКПД2(НастройкиРежима = Неопределено) Экспорт
```

Пример вызова
```bsl
ОблачныеКлассификаторыКлиент.ПодобратьИзСервисаЭлементыОКПД2(НастройкиРежима);
```
</details>

## ПараметрыВызоваФормыОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру настроек для открытия формы работы с классификатором ОКПД 2
//
// Возвращаемое значение:
//  Структура - настройки открытия формы по умолчанию:
//      * ОткрытиеЧерезОбщуюКоманду - Булево - признак того, что форма была вызвана из общей команды.
//          Если Истина - после загрузки элементов в базу данных форма не будет закрыта.
//      * АльтернативныйСпособПодбора - ОписаниеОповещения - оповещение, которое должно отработать
//          в том случае, если сервис 1С:Номенклатура не доступен.
//      * ЗагружатьСИерархией - Булево - признак переноса всей иерархии загружаемого элементы.
//          Если Истина то при загрузке элемента в базу будут перенесены все его предки.
//          Также значение данного параметра должно быть Истина в том случае,
//          если требуется выбирать групповые элементы
//      * РежимВыбораЭлемента - Булево - признак того, что форма открывается в режиме выбора одного
//          конкретного элемента, а не для загрузки классификатора в базу
//      * ОбработчикЗавершения - ОписаниеОповещения -  оповещение, которое должно отработать
//          после выбора элемента классификатора (в режиме выбора элемента).
//      * КодВыбранногоЭлемента - Строка - код элемента классификатора,
//          на котором нужно спозиционироваться при открытии
//      * Владелец - Форма - форма, из которой вызывается подбор элементов классификатора
//
Функция ПараметрыВызоваФормыОКПД2() Экспорт
```

Пример вызова
```bsl
Результат = ОблачныеКлассификаторыКлиент.ПараметрыВызоваФормыОКПД2() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
