---
title: Обмен данными ЕГАИС клиент
slug: erp-uh/обмен-данными-егаис-клиент
---


## ОбщиеПараметрыОбменаНаКлиенте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбщиеПараметрыОбменаНаКлиенте(Источник = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиЕГАИСКлиент.ОбщиеПараметрыОбменаНаКлиенте(Источник);
```
</details>

## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку подготовленных сообщений, загрузку новых документов, обработку ответов из ЕГАИС.
//
// Параметры:
//  ОрганизацииЕГАИС - Неопределено, Массив, СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организации ЕГАИС, по которым необходимо выполнить обмен.
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
//  ИдентификаторВладельца - УникальныйИдентификатор, Истина - Уникальный идентификатор формы для сообщений обмена, Неопределено, Истина (обмен в основной форме)
//     В результат передается массив структур Изменения, см. функцию ОбменДаннымиЕГАИСКлиентСервер.СтруктураИзменения().
//
Процедура ВыполнитьОбмен(ОрганизацииЕГАИС = Неопределено, ОповещениеПриЗавершении = Неопределено, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЕГАИСКлиент.ВыполнитьОбмен(ОрганизацииЕГАИС, ОповещениеПриЗавершении, ИдентификаторВладельца);
```
</details>

## ПередатьНемедленно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует сообщение и сразу же передает его в УТМ.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, по которому формируется сообщение в ЕГАИС.
//  ДальнейшееДействие - ПеречислениеСсылка.ДальнейшиеДействияПоВзаимодействиюЕГАИС - выполняемая операция обмена.
//  ДополнительныеПараметры - Структура со свойствами:
//   * НомерЧека - Число - Номер чека ККМ.
//   * НомерСмены - Число - Номер смены.
//  ОповещениеПриЗавершении - ОписаниеОповещения - Оповещение при завершении операции.
//  ИдентификаторВладельца - УникальныйИдентификатор - Уникальный идентификатор формы для сообщений обмена
//     В результат передается массив структур Изменения, см. функцию ИнтеграцияЕГАИСКлиентСервер.СтруктураИзменения().
//
Процедура ПередатьНемедленно(ДокументСсылка, ДальнейшееДействие, ДополнительныеПараметры, ОповещениеПриЗавершении, ИдентификаторВладельца = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЕГАИСКлиент.ПередатьНемедленно(ДокументСсылка, ДальнейшееДействие, ДополнительныеПараметры, ОповещениеПриЗавершении, ИдентификаторВладельца);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
