---
title: Обмен данными локализация
slug: erp-uh/обмен-данными-локализация
---


## ПолучитьПланыОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список планов обмена, которые используют функционал подсистемы обмена данными.
//
// см. ОбменДаннымиПереопределяемый.ПолучитьПланыОбмена
//
Процедура ПолучитьПланыОбмена(ПланыОбменаПодсистемы) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЛокализация.ПолучитьПланыОбмена(ПланыОбменаПодсистемы) 
```
</details>

## РегистрацияИзмененийНачальнойВыгрузкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик регистрации изменений для начальной выгрузки данных.
//
// см. ОбменДаннымиПереопределяемый.РегистрацияИзмененийНачальнойВыгрузкиДанных
//
Процедура РегистрацияИзмененийНачальнойВыгрузкиДанных(Знач Получатель, СтандартнаяОбработка, Отбор) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЛокализация.РегистрацияИзмененийНачальнойВыгрузкиДанных(Получатель, СтандартнаяОбработка, Отбор) 
```
</details>

## ПриВыгрузкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик при выгрузке данных.
// см. ОбменДаннымиПереопределяемый.ПриВыгрузкеДанных
Процедура ПриВыгрузкеДанных(СтандартнаяОбработка, Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЛокализация.ПриВыгрузкеДанных(СтандартнаяОбработка, );
```
</details>

## ПриЗагрузкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Обработчик при загрузке данных.
// см. ОбменДаннымиПереопределяемый.ПриЗагрузкеДанных
Процедура ПриЗагрузкеДанных(СтандартнаяОбработка, Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЛокализация.ПриЗагрузкеДанных(СтандартнаяОбработка, );
```
</details>

## ПриПолученииДоступныхВерсийФормата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает доступные для использования версии универсального формата EnterpriseData.
//
// см. ОбменДаннымиПереопределяемый.ПриПолученииДоступныхВерсийФормата
//
Процедура ПриПолученииДоступныхВерсийФормата(ВерсииФормата) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЛокализация.ПриПолученииДоступныхВерсийФормата(ВерсииФормата) 
```
</details>

## ПриКоллизииИзмененийДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик при коллизии изменений данных.
// см. ОбменДаннымиПереопределяемый.ПриКоллизииИзмененийДанных
//
Процедура ПриКоллизииИзмененийДанных(Знач ЭлементДанных, ПолучениеЭлемента, Знач Отправитель, Знач ПолучениеОтГлавного) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЛокализация.ПриКоллизииИзмененийДанных(ЭлементДанных, ПолучениеЭлемента, Отправитель, ПолучениеОтГлавного) 
```
</details>

## ПриНастройкеПодчиненногоУзлаРИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик начальной настройки ИБ после создания узла РИБ.
// Вызывается в момент первого запуска подчиненного узла РИБ (в том числе АРМ).
//
Процедура ПриНастройкеПодчиненногоУзлаРИБ() Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЛокализация.ПриНастройкеПодчиненногоУзлаРИБ() 
```
</details>

## ПриПолученииДоступныхРасширенийФормата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Получает доступные для использования расширения универсального формата EnterpriseData.
// см. ОбменДаннымиПереопределяемый.ПриПолученииДоступныхРасширенийФормата
//
Процедура ПриПолученииДоступныхРасширенийФормата(РасширенияФормата) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЛокализация.ПриПолученииДоступныхРасширенийФормата(РасширенияФормата) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
