---
title: Обмен данными подключаемое оборудование OFFLINE события
slug: erp-uh/обмен-данными-подключаемое-оборудование-offline-события
---


## ЗарегистрироватьИзмененияСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Зарегистрировать изменения справочника
//
// Параметры:
//  Источник - СправочникОбъект.ПодключаемоеОборудование,
//             СправочникОбъект.УпаковкиЕдиницыИзмерения,
//             СправочникОбъект.ХарактеристикиНоменклатуры,
//             СправочникОбъект.Номенклатура, СправочникОбъект.ВидыНоменклатуры - Источник.
//  Отказ - Булево - Признак отказа.
//
Процедура ЗарегистрироватьИзмененияСправочника(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиПодключаемоеОборудованиеOfflineСобытия.ЗарегистрироватьИзмененияСправочника(Источник, Отказ) 
```
</details>

## ЗарегистрироватьИзмененияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Зарегистрировать изменения документа
//
// Параметры:
//  Источник - ДокументОбъект.УстановкаЦенНоменклатуры - Источник.
//  Отказ - Булево - Признак отказа.
//  РежимЗаписи - РежимЗаписиДокумента.
//  РежимПроведения - РежимПроведенияДокумента.
//
Процедура ЗарегистрироватьИзмененияДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиПодключаемоеОборудованиеOfflineСобытия.ЗарегистрироватьИзмененияДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ЗарегистрироватьИзмененияРегистраСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Зарегистрировать изменения регистра сведений
//
// Параметры:
//  Источник - РегистрСведенийНаборЗаписей.ЦеныНоменклатуры, РегистрСведенийНаборЗаписей.ШтрихкодыНоменклатуры - Источник.
//  Отказ - Булево - Признак отказа.
//  Замещение - Булево.
//
Процедура ЗарегистрироватьИзмененияРегистраСведений(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиПодключаемоеОборудованиеOfflineСобытия.ЗарегистрироватьИзмененияРегистраСведений(Источник, Отказ, Замещение) 
```
</details>

## СоздатьУзелОбменаСПодключаемымОборудованиемOffline
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать узел обмена с подключаемым оборудованием OFFLINE
//
// Параметры:
//  Источник - СправочникОбъект.ПодключаемоеОборудование - Источник.
//  Отказ - Булево - Признак отказа.
//
Процедура СоздатьУзелОбменаСПодключаемымОборудованиемOffline(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиПодключаемоеОборудованиеOfflineСобытия.СоздатьУзелОбменаСПодключаемымОборудованиемOffline(Источник, Отказ) 
```
</details>

## ОчиститьУзелОбменаСПодключаемымОборудованиемOffline
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистить узел обмена с подключаемым оборудованием OFFLINE.
//
// Параметры:
//  Источник - СправочникОбъект.ПодключаемоеОборудование - Источник.
//  ОбъектКопирования - СправочникОбъект.ПодключаемоеОборудование - Объект копирования.
//
Процедура ОчиститьУзелОбменаСПодключаемымОборудованиемOffline(Источник, ОбъектКопирования) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиПодключаемоеОборудованиеOfflineСобытия.ОчиститьУзелОбменаСПодключаемымОборудованиемOffline(Источник, ОбъектКопирования) 
```
</details>

## ЗарегистрироватьИзмененияПриСменеПравилаОбменаПодключаемогоОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Зарегистрировать изменения при смене правила обмена подключаемого оборудования.
//
// Параметры:
//  Источник - СправочникОбъект.ПодключаемоеОборудование - Источник.
//  Отказ - Булево - Отказ.
//
Процедура ЗарегистрироватьИзмененияПриСменеПравилаОбменаПодключаемогоОборудования(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиПодключаемоеОборудованиеOfflineСобытия.ЗарегистрироватьИзмененияПриСменеПравилаОбменаПодключаемогоОборудования(Источник, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
