---
title: Обмен данными с мобильными приложениями события
slug: erp-uh/обмен-данными-с-мобильными-приложениями-события
---


## ЗарегистрироватьИзмененияСправочникаДляОбменаСМобильнымПриложениемТорговыйПредставитель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" справочников для регистрации изменений объектов в узлах плана обмена.
//
// Параметры:
//  Источник       - СправочникОбъект - источник события.
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура ЗарегистрироватьИзмененияСправочникаДляОбменаСМобильнымПриложениемТорговыйПредставитель(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСМобильнымиПриложениямиСобытия.ЗарегистрироватьИзмененияСправочникаДляОбменаСМобильнымПриложениемТорговыйПредставитель(Источник, Отказ) 
```
</details>

## ЗарегистрироватьИзмененияДокументаДляОбменаСМобильнымПриложениемТорговыйПредставитель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" документов для регистрации изменений объектов в узлах плана обмена.
//
// Параметры:
//  Источник       - ДокументОбъект - источник события.
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//  РежимЗаписи - РежимЗаписиДокумента - режим записи.
//  РежимПроведения - РежимПроведенияДокумента -Режим проведения.
//
Процедура ЗарегистрироватьИзмененияДокументаДляОбменаСМобильнымПриложениемТорговыйПредставитель(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСМобильнымиПриложениямиСобытия.ЗарегистрироватьИзмененияДокументаДляОбменаСМобильнымПриложениемТорговыйПредставитель(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ЗарегистрироватьИзмененияРегистраСведенийДляОбменаСМобильнымПриложениемТорговыйПредставитель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" регистров для регистрации изменений в узлах плана обмена.
//
// Параметры:
//  Источник       - РегистрСведенийНаборЗаписей - источник события.
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//  Замещение      - Булево - признак замещения существующего набора записей.
//
Процедура ЗарегистрироватьИзмененияРегистраСведенийДляОбменаСМобильнымПриложениемТорговыйПредставитель(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСМобильнымиПриложениямиСобытия.ЗарегистрироватьИзмененияРегистраСведенийДляОбменаСМобильнымПриложениемТорговыйПредставитель(Источник, Отказ, Замещение) 
```
</details>

## ЗарегистрироватьИзмененияСправочникаПриЗаписиДляОбменаСМобильнымПриложениемТорговыйПредставитель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПриЗаписи" справочников для регистрации изменений объектов в узлах плана обмена.
//
// Параметры:
//  Источник       - СправочникОбъект - источник события.
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура ЗарегистрироватьИзмененияСправочникаПриЗаписиДляОбменаСМобильнымПриложениемТорговыйПредставитель(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСМобильнымиПриложениямиСобытия.ЗарегистрироватьИзмененияСправочникаПриЗаписиДляОбменаСМобильнымПриложениемТорговыйПредставитель(Источник, Отказ) 
```
</details>

## ПоляОтбораДляОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и возвращает массив, содержащий имена полей, на которые могут накладываться отборы.
//
// Параметры:
//  ИмяКласса - Строка - имя класса, к которому принадлежит объект (Справочники, Документы и т.д).
//  ИмяОбъекта - Строка - имя объекта метаданных, для которого формируется массив полей.
//
// Возвращаемое значение:
//  Массив - массив, содержащий имена полей.
//
Функция ПоляОтбораДляОбъекта(ИмяКласса, ИмяОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиСМобильнымиПриложениямиСобытия.ПоляОтбораДляОбъекта(ИмяКласса, ИмяОбъекта) 
```
</details>

## ОписаниеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую имя таблицы для выборки и массив полей, которые нужно выбрать.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - объект метаданных, структуру описания которого требуется получить.
//  Изменения - Булево - признак того, что в качестве таблицы для выборки выступает таблица изменений.
//
// Возвращаемое значение:
//  Структура - структура, содержащая описание объекта метаданных, с полями:
//  	* ИмяКласса - Строка - имя класса объекта метаданных.
//      * ИмяОбъекта - Строка - имя объекта метаданных
//      * ИмяТаблицы - Строка - имя таблицы объекта.
//
Функция ОписаниеОбъекта(ОбъектМетаданных, Изменения) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиСМобильнымиПриложениямиСобытия.ОписаниеОбъекта(ОбъектМетаданных, Изменения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
