---
title: Обмен данными события упд о
slug: erp-uh/обмен-данными-события-упд-о
---


## ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" ссылочных типов данных (кроме документов) для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - источник события, кроме типа ДокументОбъект
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУПДО.ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередЗаписью(Источник, Отказ) 
```
</details>

## ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередЗаписьюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" документов для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник        - ДокументОбъект - источник события.
//  Отказ           - Булево - флаг отказа от выполнения обработчика.
//  РежимЗаписи     - РежимЗаписиДокумента - см. в синтаксис-помощнике РежимЗаписиДокумента.
//  РежимПроведения - РежимПроведенияДокумента - см. в синтаксис-помощнике РежимПроведенияДокумента.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУПДО.ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередУдалением" ссылочных типов данных для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - источник события
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередУдалением(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУПДО.ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередУдалением(Источник, Отказ) 
```
</details>

## ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередЗаписьюРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" регистров для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - НаборЗаписейРегистра - источник события
//  Отказ          - Булево - флаг отказа от выполнения обработчика
//  Замещение      - Булево - признак замещения существующего набора записей.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередЗаписьюРегистра(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУПДО.ОбменДаннымиОбменУправлениеПредприятиемДокументооборотПередЗаписьюРегистра(Источник, Отказ, Замещение) 
```
</details>

## ОбменДаннымиОбменУправлениеПредприятиемДокументооборот20ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" ссылочных типов данных (кроме документов) для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - источник события, кроме типа ДокументОбъект
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемДокументооборот20ПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУПДО.ОбменДаннымиОбменУправлениеПредприятиемДокументооборот20ПередЗаписью(Источник, Отказ) 
```
</details>

## ОбменДаннымиОбменУправлениеПредприятиемДокументооборот20ПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередУдалением" ссылочных типов данных для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - источник события
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемДокументооборот20ПередУдалением(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУПДО.ОбменДаннымиОбменУправлениеПредприятиемДокументооборот20ПередУдалением(Источник, Отказ) 
```
</details>

## ОбменДаннымиОбменУправлениеПредприятиемДокументооборот20ПередЗаписьюРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" регистров для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - НаборЗаписейРегистра - источник события
//  Отказ          - Булево - флаг отказа от выполнения обработчика
//  Замещение      - Булево - признак замещения существующего набора записей.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемДокументооборот20ПередЗаписьюРегистра(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУПДО.ОбменДаннымиОбменУправлениеПредприятиемДокументооборот20ПередЗаписьюРегистра(Источник, Отказ, Замещение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
