---
title: Обмен данными события УТ
slug: erp-uh/обмен-данными-события-ут
---


## СинхронизацияДанныхЧерезУниверсальныйФорматПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" ссылочных типов данных (кроме документов) для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник - СправочникОбъект
//           - ДокументОбъект
//           - ПланВидовХарактеристикОбъект- источник события, кроме типа ДокументОбъект
//  Отказ    - Булево - флаг отказа от выполнения обработчика.
//
Процедура СинхронизацияДанныхЧерезУниверсальныйФорматПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТ.СинхронизацияДанныхЧерезУниверсальныйФорматПередЗаписью(Источник, Отказ) 
```
</details>

## СинхронизацияДанныхЧерезУниверсальныйФорматПередЗаписьюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" документов для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник        - ДокументОбъект - источник события.
//  Отказ           - Булево - флаг отказа от выполнения обработчика.
//  РежимЗаписи     - РежимЗаписиДокумента - см. в синтаксис-помощнике РежимЗаписиДокумента.
//  РежимПроведения - РежимПроведенияДокумента - см. в синтаксис-помощнике РежимПроведенияДокумента.
//
Процедура СинхронизацияДанныхЧерезУниверсальныйФорматПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТ.СинхронизацияДанныхЧерезУниверсальныйФорматПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## СинхронизацияДанныхЧерезУниверсальныйФорматПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередУдалением" ссылочных типов данных для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник - СправочникОбъект
//           - ДокументОбъект
//           - ПланВидовХарактеристикОбъект - источник события
//  Отказ    - Булево - флаг отказа от выполнения обработчика.
//
Процедура СинхронизацияДанныхЧерезУниверсальныйФорматПередУдалением(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТ.СинхронизацияДанныхЧерезУниверсальныйФорматПередУдалением(Источник, Отказ) 
```
</details>

## СинхронизацияДанныхЧерезУниверсальныйФорматПередЗаписьюНабораЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" регистров для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - РегистрСведенийНаборЗаписей - источник события.
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//  Замещение      - Булево - признак замещения существующего набора записей.
//
Процедура СинхронизацияДанныхЧерезУниверсальныйФорматПередЗаписьюНабораЗаписей(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТ.СинхронизацияДанныхЧерезУниверсальныйФорматПередЗаписьюНабораЗаписей(Источник, Отказ, Замещение) 
```
</details>

## ИнициализироватьПараметрыОбработкиПРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры обработчиков правил регистрации "ПриОбработке" и "ПриОбработкеДополнительный"
//

// Инициализировать параметры обработки ПРО.
//
// Возвращаемое значение:
//  Структура:
// * РазделыУчетаСтрокой - Строка - Список через запятую, разделов учета, по которым необходимо произвести фильтрацию
// * ТекстЗапроса - Строка - Текст запроса к ИБ для вычисления массива узлов получателей
// * ПараметрыЗапроса - Структура - Структура с заполненными параметрами запроса к ИБ, для вычисления узлов получателей:
//      **Запрос - Строка
// * ИспользоватьКэш - Булево - Флаг использования кэша
// * Отказ - Булево - флаг отказа от выполнения обработчика
// * Объект - КонстантаМенеджерЗначения
//          - СправочникОбъект
//          - ДокументОбъект
//          - БизнесПроцессОбъект
//          - ЗадачаОбъект
//          - ПланСчетовОбъект
//          - ПланОбменаОбъект
//          - ПланВидовХарактеристикОбъект
//          - ПланВидовРасчетаОбъект
//          - РегистрСведенийНаборЗаписей
//          - РегистрНакопленияНаборЗаписей
//          - РегистрБухгалтерииНаборЗаписей
//          - РегистрРасчетаНаборЗаписей
//          - ПоследовательностьНаборЗаписей
//          - ПерерасчетНаборЗаписей
//          - Неопределено- Объект, для которого выполняются правила регистрации
// * Выгрузка - Булево - - Флаг, определяющий происходит запись объекта или выгрузка
Функция ИнициализироватьПараметрыОбработкиПРО() Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиСобытияУТ.ИнициализироватьПараметрыОбработкиПРО() 
```
</details>

## ПриОбработкеПРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПриОбработке".
// Вызывается из правил регистрации плана обмена СинхронизацияДанныхЧерезУниверсальныйФормат.

// При обработке ПРО.
//
// Параметры:
//  ПараметрыОбработкиПРО - см. ИнициализироватьПараметрыОбработкиПРО
//
// Возвращаемое значение:
// 	см. ИнициализироватьПараметрыОбработкиПРО
//
Функция ПриОбработкеПРО(ПараметрыОбработкиПРО) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиСобытияУТ.ПриОбработкеПРО(ПараметрыОбработкиПРО) 
```
</details>

## ДокументАвансовыйОтчетПередОбработкойПРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДокументАвансовыйОтчетПередОбработкойПРО(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТ.ДокументАвансовыйОтчетПередОбработкойПРО(Объект, Отказ) 
```
</details>

## ДокументВзаимозачетЗадолженностиПослеОбработкиПРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод выполняет регистрацию документа ВзаимозачетЗадолженности после выполения обработчиков ПРО.
//
// Параметры:
//  Объект - ДокументОбъект.ВзаимозачетЗадолженности - регистрируемый объект.
//  Выгрузка - Булево - Флаг, указывающий на то, что осуществляется выгрузка объекта.
//  Получатели - Массив из ПланОбменаСсылка - Массив ссылок на узлы планов обмена, на которых необходимо зарегистрировать объекта
//  ИмяПланаОбмена - Строка - Имя плана обмена, для которого выполняется ПРО.
//
Процедура ДокументВзаимозачетЗадолженностиПослеОбработкиПРО(Объект, Выгрузка, Получатели, ИмяПланаОбмена) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТ.ДокументВзаимозачетЗадолженностиПослеОбработкиПРО(Объект, Выгрузка, Получатели, ИмяПланаОбмена) 
```
</details>

## ДокументСчетФактураВыданныйПередОбработкойПРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//++ Локализация

// Метод выполняет регистрацию документа СчетФактураВыданный после выполения обработчиков ПРО.
//
// Параметры:
//  Объект - ДокументОбъект.СчетФактураВыданный - регистрируемый объект.
//  Выгрузка - Булево - Флаг, указывающий на то, что осуществляется выгрузка объекта.
//  Получатели - Массив из ПланОбменаСсылка - Массив ссылок на узлы планов обмена, на которых необходимо зарегистрировать объекта
//  ИмяПланаОбмена - Строка - Имя плана обмена, для которого выполняется ПРО.
//
Процедура ДокументСчетФактураВыданныйПередОбработкойПРО(Объект, Отказ, ИмяПланаОбмена) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТ.ДокументСчетФактураВыданныйПередОбработкойПРО(Объект, Отказ, ИмяПланаОбмена) 
```
</details>

## ДокументСчетФактураПолученныйПередОбработкойПРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//-- Локализация

Процедура ДокументСчетФактураПолученныйПередОбработкойПРО(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТ.ДокументСчетФактураПолученныйПередОбработкойПРО(Объект, Отказ) 
```
</details>

## ДокументОтчетКомиссионераКомитентуПриОбработкеПРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДокументОтчетКомиссионераКомитентуПриОбработкеПРО(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТ.ДокументОтчетКомиссионераКомитентуПриОбработкеПРО(Объект, Отказ) 
```
</details>

## ДокументПроизводствоБезЗаказаПередОбработкойПРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//++ НЕ УТ
Процедура ДокументПроизводствоБезЗаказаПередОбработкойПРО(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТ.ДокументПроизводствоБезЗаказаПередОбработкойПРО(Объект, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
