---
title: Обмен данными события УТ УП
slug: erp-uh/обмен-данными-события-ут-уп
---


## ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" ссылочных типов данных (кроме документов) для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - СправочникОбъект
//                 - ПланВидовХарактеристикОбъект - источник события, кроме типа ДокументОбъект
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередЗаписью(Источник, Отказ) 
```
</details>

## ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередЗаписьюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" документов для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник        - ДокументОбъект - источник события.
//  Отказ           - Булево - флаг отказа от выполнения обработчика.
//  РежимЗаписи     - РежимЗаписиДокумента - см. в синтаксис-помощнике РежимЗаписиДокумента.
//  РежимПроведения - РежимПроведенияДокумента - см. в синтаксис-помощнике РежимПроведенияДокумента.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередУдалением" ссылочных типов данных для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - СправочникОбъект
//                 - ДокументОбъект
//                 - ПланВидовХарактеристикОбъект - источник события
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередУдалением(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередУдалением(Источник, Отказ) 
```
</details>

## ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередЗаписьюРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" регистров для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - РегистрСведенийНаборЗаписей - источник события
//  Отказ          - Булево - флаг отказа от выполнения обработчика
//  Замещение      - Булево - признак замещения существующего набора записей.
//
Процедура ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередЗаписьюРегистра(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ОбменДаннымиОбменУправлениеПредприятиемЗарплатаИУправлениеПерсоналом25ПередЗаписьюРегистра(Источник, Отказ, Замещение) 
```
</details>

## ОбменДаннымиПолныйПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" ссылочных типов данных (кроме документов) для механизма регистрации объектов на узлах.
//
// Параметры:
//  ИмяПланаОбмена - Строка - имя плана обмена, для которого выполняется механизм регистрации
//  Источник       - СправочникОбъект
//                 - БизнесПроцессОбъект
//                 - ЗадачаОбъект
//                 - ПланСчетовОбъект
//                 - ПланВидовХарактеристикОбъект
//                 - ПланВидовРасчетаОбъект - источник события, кроме типа ДокументОбъект
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура ОбменДаннымиПолныйПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ОбменДаннымиПолныйПередЗаписью(Источник, Отказ) 
```
</details>

## ОбменДаннымиПолныйПередЗаписьюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" документов для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - ДокументОбъект - источник события
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//  РежимЗаписи    - РежимЗаписиДокумента
//  РежимПроведения - РежимПроведенияДокумента
//
Процедура ОбменДаннымиПолныйПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ОбменДаннымиПолныйПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ОбменДаннымиПолныйПередЗаписьюКонстанты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" константы для механизма регистрации объектов на узлах.
//
// Параметры:
//  ИмяПланаОбмена - Строка - имя плана обмена, для которого выполняется механизм регистрации
//  Источник       - КонстантаМенеджерЗначения - источник события
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура ОбменДаннымиПолныйПередЗаписьюКонстанты(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ОбменДаннымиПолныйПередЗаписьюКонстанты(Источник, Отказ) 
```
</details>

## ОбменДаннымиПолныйПередЗаписьюРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" регистров для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник       - РегистрСведенийНаборЗаписей
//                 - РегистрНакопленияНаборЗаписей
//                 - РегистрБухгалтерииНаборЗаписей- НаборЗаписейРегистра - источник события
//  Отказ          - Булево - флаг отказа от выполнения обработчика
//  Замещение      - Булево - признак замещения существующего набора записей.
//
Процедура ОбменДаннымиПолныйПередЗаписьюРегистра(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ОбменДаннымиПолныйПередЗаписьюРегистра(Источник, Отказ, Замещение) 
```
</details>

## ОбменДаннымиПолныйПередЗаписьюНабораРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" регистров расчета для механизма регистрации объектов на узлах.
//
// Параметры:
//		Источник	- РегистрРасчетаНаборЗаписей - источник события.
//		Отказ		- Булево - флаг отказа от выполнения обработчика.
//		Замещение	- Булево - признак замещения существующего набора записей.
//		ТолькоЗапись - Булево
//		ЗаписьФактическогоПериодаДействия - Булево
//		ЗаписьПерерасчетов - Булево
//
Процедура ОбменДаннымиПолныйПередЗаписьюНабораРасчета(Источник, Отказ, Замещение, ТолькоЗапись, ЗаписьФактическогоПериодаДействия, ЗаписьПерерасчетов) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ОбменДаннымиПолныйПередЗаписьюНабораРасчета(Источник, Отказ, Замещение, ТолькоЗапись, ЗаписьФактическогоПериодаДействия, ЗаписьПерерасчетов) 
```
</details>

## ОбменДаннымиПолныйПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередУдалением" ссылочных типов данных для механизма регистрации объектов на узлах.
//
// Параметры:
//  Источник     - СправочникОбъект
//               - ДокументОбъект
//               - БизнесПроцессОбъект
//               - ЗадачаОбъект
//               - ПланСчетовОбъект
//               - ПланВидовХарактеристикОбъект
//               - ПланВидовРасчетаОбъект - источник события
//  Отказ        - Булево - флаг отказа от выполнения обработчика.
//
Процедура ОбменДаннымиПолныйПередУдалением(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ОбменДаннымиПолныйПередУдалением(Источник, Отказ) 
```
</details>

## ЗарегистрироватьДанныеПоДатеНачалаВыгрузкиИОрганизациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию изменений для начальной выгрузки данных с учетом даты начала выгрузки и списка организаций.
// Процедура является универсальной и может быть использована для регистрации изменений данных по дате начала выгрузки
// и списку организаций для объектных типов данных и наборов записей регистров.
// Если список организаций не задан (Организации = Неопределено), то изменения регистрируются только по дате начала выгрузки.
// Регистрации подлежат данные для всех объектов метаданных, включенных в состав плана обмена.
// Если для объекта метаданных в составе плана обмена установлен признак авторегистрации
// или если признак авторегистрации не установлен и правила регистрации не заданы,
// то регистрация изменений будет выполнена безусловно для всех данных этого типа.
// Если для объекта метаданных заданы правила регистрации, то регистрация изменений будет выполнена
// с учетом даты начала выгрузки и списка организаций.
// Для документов поддерживается регистрация изменений по дате начала выгрузки и по списку организаций.
// Для бизнес-процессов и для задач поддерживается регистрация изменений по дате начала выгрузки.
// Для наборов записей регистров поддерживается регистрация изменений по дате начала выгрузки и по списку организаций.
// Данная процедура может служить прототипом для разработки собственных процедур регистрации изменений
// для начальной выгрузки данных.
//
// Параметры:
//  Получатель         - ПланОбменаСсылка - Узел плана обмена, для которого требуется выполнить регистрацию изменений данных.
//  ДатаНачалаВыгрузки - Дата - Дата, относительно которой необходимо выполнить регистрацию изменений данных для выгрузки.
//                       Изменения будут зарегистрированы для данных, которые на оси времени располагаются после этой даты.
//  Организации        - Массив из СправочникСсылка.Организации - Список организаций, для которых необходимо выполнить регистрацию изменений данных.
//                       Если параметр не задан, то организации не будут учитываться при регистрации изменений.
//  Данные             - Массив из ОбъектМетаданных
//
Процедура ЗарегистрироватьДанныеПоДатеНачалаВыгрузкиИОрганизациям(Знач Получатель, ДатаНачалаВыгрузки, Организации = Неопределено, Данные = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиСобытияУТУП.ЗарегистрироватьДанныеПоДатеНачалаВыгрузкиИОрганизациям(Получатель, ДатаНачалаВыгрузки, Организации, Данные);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
