---
title: Обмен данными УТ
slug: erp-uh/обмен-данными-ут
---


## ЭтоПодчиненныйУзелРИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если это подчиненный узел РИБ
//
// Возвращаемое значение:
// 	Булево -
Функция ЭтоПодчиненныйУзелРИБ() Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиУТ.ЭтоПодчиненныйУзелРИБ() 
```
</details>

## ВЭтомУзлеДоступноВыполнениеОперацийЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак доступности выполнения операций по закрытию месяца в текущей ИБ.
//
// Параметры:
//   Отказ - Булево - признак отказа от выполнения операции.
//
// Возвращаемое значение:
//   Булево - Истина, если выполнение операций по закрытию месяца доступно в данной ИБ,
//            Ложь - в противном случае.
//
Функция ВЭтомУзлеДоступноВыполнениеОперацийЗакрытияМесяца(Отказ) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиУТ.ВЭтомУзлеДоступноВыполнениеОперацийЗакрытияМесяца(Отказ) 
```
</details>

## ДоступныеВерсииУниверсальногоФормата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет перечень доступных версий универсального формата EnterpriseData.
//
// Параметры:
//  ВерсииФормата - Соответствие - Соответствие номера версии формата общему модулю,
//                  в котором находятся обработчики выгрузки/загрузки для данной версии.
//
Процедура ДоступныеВерсииУниверсальногоФормата(ВерсииФормата) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиУТ.ДоступныеВерсииУниверсальногоФормата(ВерсииФормата) 
```
</details>

## ПослеЗагрузкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик после загрузки данных.
// Используется в типовых правилах конвертации при обменах и переносах данных.
// Вызывается из соответствующего обработчика событий "После загрузки данных" правил конвертации.
//
// Параметры:
//  Параметры - Структура - структура со свойствами:
//            * ПроверятьНаИспользованиеИмпортныхТоваров - Булево - Если Истина - будет включено использование
//              импортных товаров при необходимости (если в базе есть элементы справочника "Номера ГТД").
//            * ПроверятьНаИспользованиеИмпортныхЗакупок - Булево - Если Истина - будет включено использование
//              импортных закупок (если в базе есть соответствующие операции).
//            * ПроверятьНаИспользованиеКомиссииПриЗакупках - Булево - Если Истина - будет включено использование
//              комиссии при закупках (если в базе есть соответствующие операции).
//            * ПроверятьНаИспользованиеКомиссииПриПродажах - Булево - Если Истина - будет включено использование
//              комиссии при продажах (если в базе есть соответствующие операции).
//            * ПроверятьНаИспользованиеДоговоров - Булево - Если Истина - будет включено использование
//              договоров контрагентов (если в базе есть хотя бы один договор с покупателем).
//            * ПроверятьНаИспользованиеРозничныхПродаж - Булево - Если Истина - будет включено использование
//              розничных продаж (если в базе есть соответствующие операции).
//            * ПроверятьНаИспользованиеПеремещений - Булево - Если Истина - будет включено использование
//              перемещений товаров (если в базе есть соответствующие операции).
//            * ПроверятьНаИспользованиеНесколькихВидовНоменклатуры - Булево - Если Истина - будет включено использование
//              нескольких видов номенклатуры (если видов номенклатуры от 3 и более).
//            * ПроверятьНаИспользованиеАлкогольнойПродукцииВРознице - Булево - Если Истина - будет включено
//              использование розничных продаж алкогольной продукции (если в базе есть виды номенклатуры с.
//              признаком "Алкогольная продукция").
//            * ПроверятьНаИспользованиеОтгрузкиБезПереходаПраваСобственности - Булево - Если Истина - будет включено
//              использование операций отгрузки без перехода права собственности (если в базе есть соответствующие
//              операции.
//
Процедура ПослеЗагрузкиДанных(Параметры) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиУТ.ПослеЗагрузкиДанных(Параметры) 
```
</details>

## ПередЗагрузкойОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗагрузкойОбъекта" для механизма выгрузки/загрузки данных в сервисе.
//
// Параметры:
//   Контейнер - ОбработкаОбъект.ВыгрузкаЗагрузкаДанныхМенеджерКонтейнера - менеджер
//               контейнера, используемый в процессе загрузки данных.
//   Объект      - КонстантаМенеджерЗначения
//               - СправочникОбъект
//               - ДокументОбъект
//               - БизнесПроцессОбъект
//               - ЗадачаОбъект
//               - ПланСчетовОбъект
//               - ПланОбменаОбъект
//               - ПланВидовХарактеристикОбъект
//               - ПланВидовРасчетаОбъект
//               - РегистрСведенийНаборЗаписей
//               - РегистрНакопленияНаборЗаписей
//               - РегистрБухгалтерииНаборЗаписей
//               - РегистрРасчетаНаборЗаписей
//               - ПоследовательностьНаборЗаписей
//               - ПерерасчетНаборЗаписей - объект данных информационной базы, перед загрузкой которого был вызван обработчик.
//               Значение, переданное в процедуру ПередЗагрузкойОбъекта() в качестве значения параметра
//               Объект может быть модифицировано внутри процедуры обработчика ПередЗагрузкойОбъекта().
//   Артефакты - Массив - дополнительные данные, логически неразрывно связанные
//               с объектом данных, но не являющиеся его частью. Сформированы в экспортируемых процедурах
//               ПередВыгрузкойОбъекта() обработчиков выгрузки данных (см. комментарий к процедуре
//               ПриРегистрацииОбработчиковВыгрузкиДанных(). Каждый артефакт должен являться XDTO-объектом,
//               для типа которого в качестве базового типа используется абстрактный XDTO-тип
//               {HTTP://www.1c.ru/1cFresh/Data/Dump/1.0.2.1}Artefact. Допускается использовать XDTO-пакеты,
//               помимо изначально поставляемых в составе подсистемы ВыгрузкаЗагрузкаДанных.
//   Отказ     - Булево - Если в процедуре ПередЗагрузкойОбъекта() установить значение данного
//               параметра равным Истина - загрузка объекта данных выполняться не будет.
//
Процедура ПередЗагрузкойОбъекта(Контейнер, Объект, Артефакты, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиУТ.ПередЗагрузкойОбъекта(Контейнер, Объект, Артефакты, Отказ) 
```
</details>

## ЗарегистрироватьДанныеКОбработкеДляПереходаНаНовуюВерсию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	Параметры - см. ОбновлениеИнформационнойБазы.ОсновныеПараметрыОтметкиКОбработке
//
Процедура ЗарегистрироватьДанныеКОбработкеДляПереходаНаНовуюВерсию(Параметры) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиУТ.ЗарегистрироватьДанныеКОбработкеДляПереходаНаНовуюВерсию(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
