---
title: Обмен мобильные автономный сервер
slug: erp-uh/обмен-мобильные-автономный-сервер
---


## ДанныеДляПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сервисная функция для начальной инициализации БД, проверяет что синхронизация данных ранее не проводилась
// Возвращаемое значение:
//	Структура - коллекция, которая содержит следующие свойства:
//		* КодУзлаОбмена - Строка - код узла .
//
Функция ДанныеДляПроверки() Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеАвтономныйСервер.ДанныеДляПроверки() 
```
</details>

## ВыполнитьОбменДанными
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет синхронизацию данных с основной базой. через опубликованный ею веб-сервис
Процедура ВыполнитьОбменДанными() Экспорт
```

Пример вызова
```bsl
ОбменМобильныеАвтономныйСервер.ВыполнитьОбменДанными() 
```
</details>

## ОбменДаннымиЗакончен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверки завершенности фонового задания
// Функция анализирует состояние фонового задания и информацию
// о возникших ошибках
//
// Параметры:
//  Идентификатор - УникальныйИдентификатор - идентификатор фонового задания
//  ТекстОшибки - Строка - параметр для возврата информации об ошибках
//
// Возвращаемое значение:
//  Булево - Истина, если задание завершено
//
Функция ОбменДаннымиЗакончен(Идентификатор, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеАвтономныйСервер.ОбменДаннымиЗакончен(Идентификатор, ТекстОшибки) 
```
</details>

## ВыполнитьОбменДаннымиВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция запускает фоновое задание для синхронизации данных
// Возвращаемое значение:
//  УникальныйИдентификатор
//
Функция ВыполнитьОбменДаннымиВФоне() Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеАвтономныйСервер.ВыполнитьОбменДаннымиВФоне() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
