---
title: Обмен мобильные переопределяемый
slug: erp-uh/обмен-мобильные-переопределяемый
---


## НуженПереносДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет проверку того, что данные нужно переностить в данный узел
//
// Параметры:
//  Данные - Объект, набор записей,... который нужно проверить.
//            То, что переносится везде, не обрабатывается
//  УзелОбмена - узел плана обмена, куда осуществляется перенос
//
// Возвращаемое значение:
//  Перенос - булево, если Истина - необходимо выполнять перенос,
//			  иначе - перенос выполнять не нужно
//
Функция НуженПереносДанных(Данные, УзелОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.НуженПереносДанных(Данные, УзелОбмена) 
```
</details>

## ЗаписатьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура записывает данные в формат XML
// Процедура анализирует переданный объект данных и на основе этого анализа
// записывает его определенным образом в формат XML
//
// Параметры:
//  ЗаписьXML	- объект, записывающий XML данные
//  Данные 		- данные, подлежащие записи в формат XML
//
Процедура ЗаписатьДанные(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ЗаписатьДанные(ЗаписьXML, Данные) 
```
</details>

## ПрочитатьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция читает данные из формат XML
// Процедура анализирует переданный объект ЧтениеXML и на основе этого анализа
// читает из него данные определенным образом
//
// Параметры:
//  ЧтениеXML	- объект, читающий XML данные
//
// Возвращаемое значение:
//  Данные - значение, прочитанное из объекта ЧтениеXML
//
Функция ПрочитатьДанные(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.ПрочитатьДанные(ЧтениеXML) 
```
</details>

## ЗарегистрироватьИзмененияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура регистрирует изменения, для всех данных, входящих в состав плана обмена
// Параметры:
//  УзелОбмена - узел плана обмена, для которого регистрируются изменения
Процедура ЗарегистрироватьИзмененияДанных(УзелОбмена) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ЗарегистрироватьИзмененияДанных(УзелОбмена) 
```
</details>

## НоменклатураВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НоменклатураВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.НоменклатураВXML(ЗаписьXML, Данные));
```
</details>

## УпаковкиЕдиницыИзмеренияВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УпаковкиЕдиницыИзмеренияВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.УпаковкиЕдиницыИзмеренияВXML(ЗаписьXML, Данные));
```
</details>

## НаборыУпаковокВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НаборыУпаковокВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.НаборыУпаковокВXML(ЗаписьXML, Данные));
```
</details>

## ПользователиВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПользователиВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ПользователиВXML(ЗаписьXML, Данные));
```
</details>

## СкладыВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СкладыВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.СкладыВXML(ЗаписьXML, Данные));
```
</details>

## СкладскиеПомещенияВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СкладскиеПомещенияВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.СкладскиеПомещенияВXML(ЗаписьXML, Данные));
```
</details>

## СкладскиеЯчейкиВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СкладскиеЯчейкиВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.СкладскиеЯчейкиВXML(ЗаписьXML, Данные));
```
</details>

## ХарактеристикиНоменклатурыВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ХарактеристикиНоменклатурыВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ХарактеристикиНоменклатурыВXML(ЗаписьXML, Данные));
```
</details>

## ВидыНоменклатурыВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВидыНоменклатурыВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ВидыНоменклатурыВXML(ЗаписьXML, Данные));
```
</details>

## ВариантыОтчетовВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВариантыОтчетовВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ВариантыОтчетовВXML(ЗаписьXML, Данные));
```
</details>

## ДашбордыМЦПВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДашбордыМЦПВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ДашбордыМЦПВXML(ЗаписьXML, Данные));
```
</details>

## ШтрихкодыНоменклатурыВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ШтрихкодыНоменклатурыВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ШтрихкодыНоменклатурыВXML(ЗаписьXML, Данные));
```
</details>

## СнимкиОтчетовВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СнимкиОтчетовВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.СнимкиОтчетовВXML(ЗаписьXML, Данные));
```
</details>

## БлокировкиСкладскихЯчеекВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура БлокировкиСкладскихЯчеекВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.БлокировкиСкладскихЯчеекВXML(ЗаписьXML, Данные));
```
</details>

## УстановкаБлокировокЯчеекВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановкаБлокировокЯчеекВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.УстановкаБлокировокЯчеекВXML(ЗаписьXML, Данные));
```
</details>

## ПересчетТоваровВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПересчетТоваровВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ПересчетТоваровВXML(ЗаписьXML, Данные));
```
</details>

## ПриходныйОрдерВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриходныйОрдерВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ПриходныйОрдерВXML(ЗаписьXML, Данные));
```
</details>

## РасходныйОрдерВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасходныйОрдерВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.РасходныйОрдерВXML(ЗаписьXML, Данные));
```
</details>

## ОтборРазмещениеТоваровВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтборРазмещениеТоваровВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ОтборРазмещениеТоваровВXML(ЗаписьXML, Данные));
```
</details>

## УпаковкиЕдиницыИзмеренияИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УпаковкиЕдиницыИзмеренияИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.УпаковкиЕдиницыИзмеренияИзXML(ЧтениеXML));
```
</details>

## НаборыУпаковокИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НаборыУпаковокИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.НаборыУпаковокИзXML(ЧтениеXML));
```
</details>

## НоменклатураИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоменклатураИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.НоменклатураИзXML(ЧтениеXML));
```
</details>

## ПользователиИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПользователиИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.ПользователиИзXML(ЧтениеXML));
```
</details>

## СкладыИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СкладыИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.СкладыИзXML(ЧтениеXML));
```
</details>

## СкладскиеПомещенияИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СкладскиеПомещенияИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.СкладскиеПомещенияИзXML(ЧтениеXML));
```
</details>

## СкладскиеЯчейкиИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СкладскиеЯчейкиИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.СкладскиеЯчейкиИзXML(ЧтениеXML));
```
</details>

## ХарактеристикиНоменклатурыИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ХарактеристикиНоменклатурыИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.ХарактеристикиНоменклатурыИзXML(ЧтениеXML));
```
</details>

## ВидыНоменклатурыИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидыНоменклатурыИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.ВидыНоменклатурыИзXML(ЧтениеXML));
```
</details>

## ВариантыОтчетовИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВариантыОтчетовИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.ВариантыОтчетовИзXML(ЧтениеXML));
```
</details>

## ДашбордыМЦПИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДашбордыМЦПИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.ДашбордыМЦПИзXML(ЧтениеXML));
```
</details>

## ШтрихкодыНоменклатурыИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШтрихкодыНоменклатурыИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.ШтрихкодыНоменклатурыИзXML(ЧтениеXML));
```
</details>

## СнимкиОтчетовИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СнимкиОтчетовИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.СнимкиОтчетовИзXML(ЧтениеXML));
```
</details>

## БлокировкиСкладскихЯчеекИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция БлокировкиСкладскихЯчеекИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.БлокировкиСкладскихЯчеекИзXML(ЧтениеXML));
```
</details>

## УстановкаБлокировокЯчеекИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановкаБлокировокЯчеекИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.УстановкаБлокировокЯчеекИзXML(ЧтениеXML));
```
</details>

## ПересчетТоваровИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПересчетТоваровИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.ПересчетТоваровИзXML(ЧтениеXML));
```
</details>

## ПриходныйОрдерИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПриходныйОрдерИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.ПриходныйОрдерИзXML(ЧтениеXML));
```
</details>

## РасходныйОрдерИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасходныйОрдерИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.РасходныйОрдерИзXML(ЧтениеXML));
```
</details>

## ОтборРазмещениеТоваровИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтборРазмещениеТоваровИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.ОтборРазмещениеТоваровИзXML(ЧтениеXML));
```
</details>

## ЗарегистрироватьИзмененияДляАвтономногоРежимаПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗарегистрироватьИзмененияДляАвтономногоРежимаПриЗаписи(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ЗарегистрироватьИзмененияДляАвтономногоРежимаПриЗаписи(Источник, Отказ) 
```
</details>

## УзлыДляРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив узлов плана обмена с учетом исключаемых.
//
// Возвращаемое значение:
//  Массив - массив узлов для регистрации изменений.
//
Функция УзлыДляРегистрации() Экспорт
```

Пример вызова
```bsl
Результат = ОбменМобильныеПереопределяемый.УзлыДляРегистрации());
```
</details>

## ЗарегистрироватьИзмененияДляУзловОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует объекты в узлах обмена мобильного приложения.
//
// Параметры:
//  МассивУзлов - Массив - содержит узлы для регистрации изменений объекта;
//  Объект - СправочникОбъект, РегистрСведенийНаборЗаписей - объект для которого регистрируются изменения.
//
Процедура ЗарегистрироватьИзмененияДляУзловОбмена(МассивУзлов, Объект) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ЗарегистрироватьИзмененияДляУзловОбмена(МассивУзлов, Объект) 
```
</details>

## ЗарегистрироватьИзмененияДляАвтономногоРежимаРегистрыПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗарегистрироватьИзмененияДляАвтономногоРежимаРегистрыПриЗаписи(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ЗарегистрироватьИзмененияДляАвтономногоРежимаРегистрыПриЗаписи(Источник, Отказ, Замещение) 
```
</details>

## ЗарегистрироватьИзмененияДляУзловОбменаРегистры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует объекты в узлах обмена мобильного приложения.
//
// Параметры:
//  МассивУзлов - Массив - содержит узлы для регистрации изменений объекта;
//  НаборЗаписей - РегистрСведенийНаборЗаписей - объект для которого регистрируются изменения.
//
Процедура ЗарегистрироватьИзмененияДляУзловОбменаРегистры(МассивУзлов, НаборЗаписей) Экспорт
```

Пример вызова
```bsl
ОбменМобильныеПереопределяемый.ЗарегистрироватьИзмененияДляУзловОбменаРегистры(МассивУзлов, НаборЗаписей) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
