---
title: Обмен с ГИС ЭПД
slug: erp-uh/обмен-с-гис-эпд
---


## ПриОпределенииПечатныхФормЗапрещенныхДляФормированияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// При определении печатных форм запрещенных для формирования документа.
//
// Параметры:
//  ЗапрещенныеКоманды - Массив из Строка - Запрещенные команды
//   * Строка
Процедура ПриОпределенииПечатныхФормЗапрещенныхДляФормированияДокумента(ЗапрещенныеКоманды) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриОпределенииПечатныхФормЗапрещенныхДляФормированияДокумента(ЗапрещенныеКоманды) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// См. УправлениеДоступомПереопределяемый.ПриЗаполненииСписковСОграничениемДоступа
//
// Параметры:
//  Списки - Соответствие из КлючИЗначение - Списки:
// * Ключ - ОбъектМетаданных -
// * Значение - Булево -
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
//
// Параметры:
//  Описание - Строка - Описание
Процедура ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) 
```
</details>

## ПриЗаполненииПараметровКонтейнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При заполнении параметров контейнера.
//
// Параметры:
//  ПараметрыКонтейнера - Структура - Параметры контейнера
//  ДанныеОбъекта - Структура - Данные объекта
Процедура ПриЗаполненииПараметровКонтейнера(ПараметрыКонтейнера, ДанныеОбъекта) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриЗаполненииПараметровКонтейнера(ПараметрыКонтейнера, ДанныеОбъекта) 
```
</details>

## ПриПолученииСпискаШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении списка шаблонов.
//
// Параметры:
//  Шаблоны - Массив из Строка - Шаблоны
Процедура ПриПолученииСпискаШаблонов(Шаблоны) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриПолученииСпискаШаблонов(Шаблоны) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении псевдонимов обработчиков.
//
// Параметры:
//  СоответствиеИменПсевдонимам - Соответствие из КлючИЗначение - Соответствие имен псевдонимам
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ПриОпределенииСтандартныхТиповДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении стандартных типов документов.
//
// Параметры:
//  ТипыДокументов - Структура - Типы документов
Процедура ПриОпределенииСтандартныхТиповДокументов(ТипыДокументов) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриОпределенииСтандартныхТиповДокументов(ТипыДокументов) 
```
</details>

## ЭтоПрерывающееУОУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Это прерывающее УОУ.
//
// Параметры:
//  ТипЭлементаРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип элемента регламента
//
// Возвращаемое значение:
//  Булево - Это прерывающее УОУ
Функция ЭтоПрерывающееУОУ(ТипЭлементаРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ЭтоПрерывающееУОУ(ТипЭлементаРегламента) 
```
</details>

## ЭтоНеПрерывающееУОУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это не прерывающее УОУ.
//
// Параметры:
//  ТипЭлементаРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип элемента регламента
//
// Возвращаемое значение:
//  Булево - Это не прерывающее УОУ
Функция ЭтоНеПрерывающееУОУ(ТипЭлементаРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ЭтоНеПрерывающееУОУ(ТипЭлементаРегламента) 
```
</details>

## ОтклонениеДоступно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отклонение доступно.
//
// Параметры:
//  ЭлементыРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Элементы регламента
//  ЭтоВходящийЭДО - Булево - Это входящий ЭДО
//  ТипЭлементаРегламентаУОУ - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип элемента регламента УОУ
//
// Возвращаемое значение:
//  Булево - Отклонение доступно
Функция ОтклонениеДоступно(ЭлементыРегламента, ЭтоВходящийЭДО, ТипЭлементаРегламентаУОУ) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ОтклонениеДоступно(ЭлементыРегламента, ЭтоВходящийЭДО, ТипЭлементаРегламентаУОУ) 
```
</details>

## ЭтоТипРегламентаЭПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это тип регламента ЭПД.
//
// Параметры:
//  ТипРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип регламента
//
// Возвращаемое значение:
//  Булево - Это тип регламента ЭПД
Функция ЭтоТипРегламентаЭПД(ТипРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ЭтоТипРегламентаЭПД(ТипРегламента) 
```
</details>

## ДополнитьЗапросВыборкиДокументовДляФормированияОтвета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнить запрос выборки документов для формирования ответа.
//
// Параметры:
//  ТекстыЗапросов - Массив из Строка - Тексты запросов
//  Параметры - Структура - Параметры запроса
//  ДляЭД - Булево - Для ЭД
Процедура ДополнитьЗапросВыборкиДокументовДляФормированияОтвета(ТекстыЗапросов, Параметры, ДляЭД = Ложь) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ДополнитьЗапросВыборкиДокументовДляФормированияОтвета(ТекстыЗапросов, Параметры, ДляЭД);
```
</details>

## ПриОпределенииТипаРегламентаУОУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении типа регламента УОУ.
//
// Параметры:
//  ТипЭлементаРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип элемента регламента
//  ТипЭлементаРегламентаУОУ - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип элемента регламента УОУ
Процедура ПриОпределенииТипаРегламентаУОУ(Знач ТипЭлементаРегламента, ТипЭлементаРегламентаУОУ) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриОпределенииТипаРегламентаУОУ(ТипЭлементаРегламента, ТипЭлементаРегламентаУОУ) 
```
</details>

## ПриПолученииНаправленияНастроекОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении направления настроек отправки.
//
// Параметры:
//  ОписанияОбъектовУчета - Массив из Структура - Описания объектов учета
//  НаправленияНастроекОтправки - Массив из ПеречислениеСсылка.НаправленияЭДО - Направления настроек отправки
Процедура ПриПолученииНаправленияНастроекОтправки(Знач ОписанияОбъектовУчета, НаправленияНастроекОтправки) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриПолученииНаправленияНастроекОтправки(ОписанияОбъектовУчета, НаправленияНастроекОтправки) 
```
</details>

## НастройкиУчетнойЗаписиСОтбором
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает параметры настроек ЭДО
// Параметры:
// 	ВыбираемыеПоля - Строка - выбираемые поля через запятую
// 				   - Массив из Строка - массив выбираемых полей
// 	Отбор - см. НовыйОтборНастроекОтправки
// Возвращаемое значение:
// 	Структура
Функция НастройкиУчетнойЗаписиСОтбором(ВыбираемыеПоля, Отбор) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.НастройкиУчетнойЗаписиСОтбором(ВыбираемыеПоля, Отбор) 
```
</details>

## РегламентЭПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регламент ЭПД.
//
// Параметры:
//  ТипРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип регламента
//
// Возвращаемое значение:
//  CommonModule.РегламентыЭПД_ЭТрН, CommonModule.РегламентыЭПД_ЭЗН, CommonModule.РегламентыЭПД_ЭСВ, CommonModule.РегламентыЭПД_ЭЗЗ, CommonModule.РегламентыЭПД_ЭПЛ, CommonModule.РегламентыЭПД_ЭДФ, Неопределено - Регламент ЭПД
Функция РегламентЭПД(ТипРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.РегламентЭПД(ТипРегламента) 
```
</details>

## НастройкиОтправкиПоКлючу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки отправки.
//
// Параметры:
// 	КлючНастроекОтправки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтправки
// Возвращаемое значение:
// 	- Неопределено - настройки не существуют
// 	- См. НастройкиЭДОКлиентСервер.НоваяНастройкаОтправки.
Функция НастройкиОтправкиПоКлючу(КлючНастроекОтправки) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.НастройкиОтправкиПоКлючу(КлючНастроекОтправки) 
```
</details>

## ОписаниеСообщенияОтправителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание сообщения отправителя.
//
// Параметры:
//  ОбъектУчетаИлиЭД - ДокументСсылка - Объект учета или ЭД
//  НастройкиОтправки - Структура - Настройки отправки
//
// Возвращаемое значение:
//  Структура -- ЭлектронныеДокументыЭДО.НовоеОписаниеСообщения() - Описание сообщения отправителя:
Функция ОписаниеСообщенияОтправителя(ОбъектУчетаИлиЭД, НастройкиОтправки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ОписаниеСообщенияОтправителя(ОбъектУчетаИлиЭД, НастройкиОтправки);
```
</details>

## СоответствиеТитуловИШагов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Соответствие титулов и шагов.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - Документ объект
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение - Соответствие титулов и шагов
Функция СоответствиеТитуловИШагов(ДокументОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.СоответствиеТитуловИШагов(ДокументОбъект);
```
</details>

## УстановитьТекущийШаг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить текущий шаг (для отражения в форме списка).
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - Документ объект
Процедура УстановитьТекущийШаг(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.УстановитьТекущийШаг(ДокументОбъект) 
```
</details>

## ДанныеРеквизитовЭПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные реквизитов ЭПД.
//
// Параметры:
//  Документ - ДокументСсылка - Документ
//  Титул - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Титул
//  ВсеВерсии - Булево - Все версии
//
// Возвращаемое значение:
//  Структура
Функция ДанныеРеквизитовЭПД(Документ, Титул = Неопределено, ВсеВерсии = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ДанныеРеквизитовЭПД(Документ, Титул, ВсеВерсии);
```
</details>

## ДвоичныеДанныеДокументаЭПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Двоичные данные документа ЭПД.
//
// Параметры:
//  Объект - Неопределено, Произвольный, ДокументСсылка - Объект
//  Данные - Неопределено, Структура - Данные:
// * УникальныйИдентификатор - УникальныйИдентификатор
// * ИдентификаторОтправителя - Строка -
// * ИдентификаторПолучателя - Строка -
// * ПрикладнойТипДокумента - Произвольный -
//  АдресВоВременномХранилище - Строка - Адрес во временном хранилище
//
// Возвращаемое значение:
//  Структура - Двоичные данные документа ЭПД:
// * ДвоичныеДанные - ДвоичныеДанные
// * ИмяФайла - Строка
// * Ошибка - Булево
Функция ДвоичныеДанныеДокументаЭПД(Объект, Данные = Неопределено, АдресВоВременномХранилище = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ДвоичныеДанныеДокументаЭПД(Объект, Данные, АдресВоВременномХранилище);
```
</details>

## УточнитьПараметрыЗагрузкиСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Уточнить параметры загрузки сообщения.
//
// Параметры:
//  ПараметрыЗагрузкиСообщения - Структура - Параметры загрузки сообщения
//  ДанныеОбъекта - Структура - Данные объекта
Процедура УточнитьПараметрыЗагрузкиСообщения(ПараметрыЗагрузкиСообщения, ДанныеОбъекта) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.УточнитьПараметрыЗагрузкиСообщения(ПараметрыЗагрузкиСообщения, ДанныеОбъекта) 
```
</details>

## ПередВыполнениемОперацииПолучитьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перед выполнением операции получить документ.
//
// Параметры:
//  АдресРесурса - Строка - Адрес ресурса
//  Документ - СтрокаТаблицыЗначений из см. НоваяТаблицаКонтейнеров
Процедура ПередВыполнениемОперацииПолучитьДокумент(АдресРесурса, Документ) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПередВыполнениемОперацииПолучитьДокумент(АдресРесурса, Документ) 
```
</details>

## ПередВыполнениемОперацииОтправитьКонтейнер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перед выполнением операции отправить контейнер.
//
// Параметры:
//  ПараметрыВыполненияОперации - Структура - Параметры выполнения операции
//  ОписаниеКонтейнера - Структура - Описание контейнера
Процедура ПередВыполнениемОперацииОтправитьКонтейнер(ПараметрыВыполненияОперации, ОписаниеКонтейнера) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПередВыполнениемОперацииОтправитьКонтейнер(ПараметрыВыполненияОперации, ОписаниеКонтейнера) 
```
</details>

## ПолучитьТокеныЭПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает токен авторизации от оператора.
//
// Параметры:
//  КлючиСинхронизации - Массив из Структура - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
//  КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
Процедура ПолучитьТокеныЭПД(КлючиСинхронизации, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПолучитьТокеныЭПД(КлючиСинхронизации, КонтекстДиагностики) 
```
</details>

## ПослеОтправкиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СинхронизацияЭДОСобытия.ПослеОтправкиОбъекта
//
// Параметры:
//  Объект - Произвольный - Объект
//  ТранспортныйКонтейнер - ДокументСсылка.ТранспортныйКонтейнерЭДО - Транспортный контейнер
//  ОшибкаПередачи - Произвольный - см. СинхронизацияЭДО.НоваяОшибкаПередачи
//  КонтекстДиагностики - Структура - Контекст диагностики:
// * ЗаголовокОперации - Строка -
// * Диагностика - Структура -:
// ** Ошибки - Массив из Структура -:
// *** ВидОперации - Строка -
// *** ВидОшибки - Структура -:
// **** Идентификатор - Строка -
// *** ПодробноеПредставлениеОшибки - Строка -
// *** КраткоеПредставлениеОшибки - Строка -
// *** Сертификат - СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования -
// *** Подсистема - Строка -
// *** СсылкаНаОбъект - ЛюбаяСсылка -
// *** ДополнительныеДанные - Произвольный -
// * ДополнительныеСвойства - Структура -
//  Отказ - Булево - Отказ
//  ДополнительныеПараметры - Произвольный - Дополнительные параметры
Процедура ПослеОтправкиОбъекта(Объект, ТранспортныйКонтейнер, ОшибкаПередачи, КонтекстДиагностики, Отказ, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПослеОтправкиОбъекта(Объект, ТранспортныйКонтейнер, ОшибкаПередачи, КонтекстДиагностики, Отказ, ДополнительныеПараметры) 
```
</details>

## ПриЗагрузкеСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронныеДокументыЭДОСобытия.ПриЗагрузкеСообщения
//
// Параметры:
//  Объект - ДокументСсылка - Объект
//  ДанныеОбъекта - Структура - Данные объекта
//  КонтекстДиагностики - Структура - Контекст диагностики:
// * ЗаголовокОперации - Строка -
// * Диагностика - Структура -:
// ** Ошибки - Массив из Структура -:
// *** ВидОперации - Строка -
// *** ВидОшибки - Структура -:
// **** Идентификатор - Строка -
// *** ПодробноеПредставлениеОшибки - Строка -
// *** КраткоеПредставлениеОшибки - Строка -
// *** Сертификат - СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования -
// *** Подсистема - Строка -
// *** СсылкаНаОбъект - ЛюбаяСсылка -
// *** ДополнительныеДанные - Произвольный -
// * ДополнительныеСвойства - Структура -
Процедура ПриЗагрузкеСообщения(Объект, ДанныеОбъекта, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриЗагрузкеСообщения(Объект, ДанныеОбъекта, КонтекстДиагностики) 
```
</details>

## ПредставлениеФайлаПрикладногоЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление файла прикладного электронного документа.
//
// Параметры:
//  ДанныеФайла - ДвоичныеДанные - Данные файла
//
// Возвращаемое значение:
//  Структура - Представление файла прикладного электронного документа:
// * ПредставлениеДокумента - Неопределено, ТабличныйДокумент -
// * Успех - Булево -
Функция ПредставлениеФайлаПрикладногоЭлектронногоДокумента(ДанныеФайла) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ПредставлениеФайлаПрикладногоЭлектронногоДокумента(ДанныеФайла) 
```
</details>

## НайтиЭлектронныйДокументОбъектаУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Найти электронный документ объекта учета.
//
// Параметры:
//  ОбъектУчета - ДокументСсылка - Объект учета
//
// Возвращаемое значение:
//  Неопределено - Найти электронный документ объекта учета
Функция НайтиЭлектронныйДокументОбъектаУчета(ОбъектУчета) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.НайтиЭлектронныйДокументОбъектаУчета(ОбъектУчета) 
```
</details>

## НастройкиОтраженияВУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет способ обработки электронного документа.
//
// Параметры:
// 	КлючНастройки - см. НастройкиЭДОКлиентСервер.НовыйКлючНастроекОтраженияВУчете
// 	Настройки - Структура:
// 	 * СпособОбработки - Строка
// 	 * ПредлагатьСохранятьНастройки - Булево
Процедура НастройкиОтраженияВУчете(КлючНастройки, Настройки) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.НастройкиОтраженияВУчете(КлючНастройки, Настройки) 
```
</details>

## ПриЗаполненииНастройкиПоВидамЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При заполнении настройки по видам электронных документов.
//
// Параметры:
//  Настройки - Структура - Настройки
Процедура ПриЗаполненииНастройкиПоВидамЭлектронныхДокументов(Настройки) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриЗаполненииНастройкиПоВидамЭлектронныхДокументов(Настройки) 
```
</details>

## ЭтоДокументЭПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это документ ЭПД.
//
// Параметры:
//  ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО - Тип документа
//
// Возвращаемое значение:
//  Булево - Это документ ЭПД
Функция ЭтоДокументЭПД(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ЭтоДокументЭПД(ТипДокумента) 
```
</details>

## ЗаполнитьПараметрыЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры электронного документа для отправки документа ЭПД.
//
// Параметры:
//  ИсточникДанныхСсылка - СправочникСсылка.ОснованияЭлектронныхДокументовПоЗапросамКоммерческихПредложений - Основание
//              (технический владелец) электронного документа.
//  ПараметрыИсточника - Структура -
//
Процедура ЗаполнитьПараметрыЭлектронногоДокумента(ИсточникДанныхСсылка, ПараметрыИсточника) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ЗаполнитьПараметрыЭлектронногоДокумента(ИсточникДанныхСсылка, ПараметрыИсточника) 
```
</details>

## АдресРесурсаПолученияСпискаСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АдресРесурсаПолученияСпискаСообщений() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.АдресРесурсаПолученияСпискаСообщений() 
```
</details>

## АдресРесурсаПолученияСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АдресРесурсаПолученияСообщения() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.АдресРесурсаПолученияСообщения() 
```
</details>

## АдресРесурсаОтправкиСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АдресРесурсаОтправкиСообщения() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.АдресРесурсаОтправкиСообщения() 
```
</details>

## ЭтоТитулЭПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это титул ЭПД.
//
// Параметры:
//  ИдФайл - Строка - Ид файл
//
// Возвращаемое значение:
//  Булево - Это титул ЭПД
Функция ЭтоТитулЭПД(ИдФайл) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ЭтоТитулЭПД(ИдФайл) 
```
</details>

## ПрочитатьСодержаниеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прочитать содержание документа.
//
// Параметры:
//  ОписаниеФайла - Структура - Описание файла
//
// Возвращаемое значение:
//  Структура - Прочитать содержание документа:
// * ИдентификаторДокумента - Строка -
// * ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО -
// * ПрикладнойТипДокумента - Неопределено -
// * ТипРегламента - ПеречислениеСсылка.ТипыРегламентовЭДО -
// * НомерДокумента - Строка -
// * ДатаДокумента - Дата -
// * СуммаДокумента - Число -
// * ЕстьМаркировка - Булево -
// * Отправитель - Структура -:
// ** Наименование - Строка -
// ** ИНН - Строка -
// ** КПП - Строка -
// * Получатель - Структура -:
// ** Наименование - Строка -
// ** ИНН - Строка -
// ** КПП - Строка -
// * Формат - Строка -
// * ОтражениеВУчете - Неопределено -
// * СвойстваДокументовПоФорматам - Структура -:
// ** АктОРасхождениях - Структура -:
// *** ФормируютсяИтогиПриемки - Булево -
// *** ВариантФормированияИтоговПриемки - Строка -
Функция ПрочитатьСодержаниеДокумента(ОписаниеФайла) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ПрочитатьСодержаниеДокумента(ОписаниеФайла) 
```
</details>

## ПроверитьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить документ.
//
// Параметры:
//  ОписаниеФайла - Структура - Описание файла
//
// Возвращаемое значение:
//  Структура - Проверить документ:
// * Ошибки - Булево -
// * ТекстОшибки - Строка -
Функция ПроверитьДокумент(ОписаниеФайла) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ПроверитьДокумент(ОписаниеФайла) 
```
</details>

## ЭтоУОУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это УОУ.
//
// Параметры:
//  ТипЭлементаРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип элемента регламента
//
// Возвращаемое значение:
//  Булево - Это УОУ
Функция ЭтоУОУ(ТипЭлементаРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ЭтоУОУ(ТипЭлементаРегламента) 
```
</details>

## ЭтоИОП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это ИОП.
//
// Параметры:
//  ТипЭлементаРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип элемента регламента
//
// Возвращаемое значение:
//  Булево - Это ИОП
Функция ЭтоИОП(ТипЭлементаРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ЭтоИОП(ТипЭлементаРегламента) 
```
</details>

## ЭтоТитулОтправителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это титул отправителя.
//
// Параметры:
//  ТипЭлементаРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип элемента регламента
//
// Возвращаемое значение:
//  Булево
Функция ЭтоТитулОтправителя(ТипЭлементаРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ЭтоТитулОтправителя(ТипЭлементаРегламента) 
```
</details>

## ЭтоТитулПолучателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это титул получателя.
//
// Параметры:
//  ТипЭлементаРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип элемента регламента
//
// Возвращаемое значение:
//  Булево - Это титул получателя
Функция ЭтоТитулПолучателя(ТипЭлементаРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ЭтоТитулПолучателя(ТипЭлементаРегламента) 
```
</details>

## ПервыйТитулДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Первый титул документа.
//
// Параметры:
//  ТипДокумента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип документа
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Первый титул документа
Функция ПервыйТитулДокумента(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ПервыйТитулДокумента(ТипДокумента) 
```
</details>

## КодТранзакцииУОУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Код транзакции УОУ.
//
// Параметры:
//  ТипЭлементаРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип элемента регламента
//
// Возвращаемое значение:
//  Строка - Код транзакции УОУ
Функция КодТранзакцииУОУ(ТипЭлементаРегламента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.КодТранзакцииУОУ(ТипЭлементаРегламента) 
```
</details>

## ДобавитьТипыДокументовЭПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить типы документов ЭПД.
//
// Параметры:
//  Таблица - ТаблицаЗначений - Таблица
Процедура ДобавитьТипыДокументовЭПД(Таблица) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ДобавитьТипыДокументовЭПД(Таблица) 
```
</details>

## ПриРаспознанииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При распознании документа.
//
// Параметры:
//  ВидСообщения - СправочникСсылка.ВидыДокументовЭДО - Вид сообщения
//  ЭлементСхемы - СтрокаДереваЗначений - Элемент схемы
Процедура ПриРаспознанииДокумента(ВидСообщения, ЭлементСхемы) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриРаспознанииДокумента(ВидСообщения, ЭлементСхемы) 
```
</details>

## ПредставлениеИнформацииОтправителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление информации отправителя.
//
// Параметры:
//  ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО - Тип документа
//  НомерДокумента - Строка - Номер документа
//  ДатаДокумента - Дата - Дата документа
//
// Возвращаемое значение:
//  Строка - Представление информации отправителя
Функция ПредставлениеИнформацииОтправителя(ТипДокумента, НомерДокумента, ДатаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ПредставлениеИнформацииОтправителя(ТипДокумента, НомерДокумента, ДатаДокумента) 
```
</details>

## ЗаполнитьДополнительныхДанныеКарточкиЭПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить дополнительных данные карточки ЭПД.
//
// Параметры:
//  СообщениеЭДО - ДокументСсылка.СообщениеЭДО - Сообщение ЭДО
//  ДополнительныеДанные - Структура - Дополнительные данные
//  ТипДокументаСтрокой - Строка - Тип документа строкой
Процедура ЗаполнитьДополнительныхДанныеКарточкиЭПД(СообщениеЭДО, ДополнительныеДанные, ТипДокументаСтрокой) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ЗаполнитьДополнительныхДанныеКарточкиЭПД(СообщениеЭДО, ДополнительныеДанные, ТипДокументаСтрокой) 
```
</details>

## ПриФормированииТаблицыТиповЭлементовРегламента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При формировании таблицы типов элементов регламента.
//
// Параметры:
//  Таблица - ТаблицаЗначений - Таблица
Процедура ПриФормированииТаблицыТиповЭлементовРегламента(Таблица) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриФормированииТаблицыТиповЭлементовРегламента(Таблица) 
```
</details>

## ПриФормированииТаблицыТиповРегламентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При формировании таблицы типов регламентов.
//
// Параметры:
//  Таблица - ТаблицаЗначений - Таблица
Процедура ПриФормированииТаблицыТиповРегламентов(Таблица) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриФормированииТаблицыТиповРегламентов(Таблица) 
```
</details>

## ПриОпределенииИнформацииОтправителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении информации отправителя.
//
// Параметры:
//  ТипРегламента - ПеречислениеСсылка.ТипыЭлементовРегламентаЭДО - Тип регламента
//  ДанныеЭлементовСхемы - ДеревоЗначений - Данные элементов схемы
//  ИнформацияОтправителя - СтрокаДереваЗначений - Информация отправителя
Процедура ПриОпределенииИнформацииОтправителя(Знач ТипРегламента, Знач ДанныеЭлементовСхемы, ИнформацияОтправителя) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриОпределенииИнформацииОтправителя(ТипРегламента, ДанныеЭлементовСхемы, ИнформацияОтправителя) 
```
</details>

## ОчиститьАктуальностьЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистить актуальность электронного документа.
//
// Параметры:
//  ЭлектронныйДокумент - ДокументСсылка - Электронный документ
//  Очистить - Булево - Очистить
Процедура ОчиститьАктуальностьЭлектронногоДокумента(ЭлектронныйДокумент, Очистить = Ложь) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ОчиститьАктуальностьЭлектронногоДокумента(ЭлектронныйДокумент, Очистить);
```
</details>

## ПриОпределенииИспользуемыхТиповЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении используемых типов электронных документов.
//
// Параметры:
//  АктуальныеТипы - Массив из ПеречислениеСсылка.ТипыДокументовЭДО - Актуальные типы
Процедура ПриОпределенииИспользуемыхТиповЭлектронныхДокументов(АктуальныеТипы) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПриОпределенииИспользуемыхТиповЭлектронныхДокументов(АктуальныеТипы) 
```
</details>

## ПредставлениеИсходящихВидовЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление исходящих видов электронных документов.
//
// Параметры:
//  ПредставленияЭПД - Соответствие из КлючИЗначение - Представления ЭПД
Процедура ПредставлениеИсходящихВидовЭлектронныхДокументов(ПредставленияЭПД) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ПредставлениеИсходящихВидовЭлектронныхДокументов(ПредставленияЭПД) 
```
</details>

## СпособыОтраженияВУчетеТипаЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Способы отражения в учете типа электронного документа.
//
// Параметры:
//  ТипДокумента - ПеречислениеСсылка.ТипыДокументовЭДО - Тип документа
//  СпособыОтраженияВУчете - Соответствие из КлючИЗначение - Способы отражения в учете
Процедура СпособыОтраженияВУчетеТипаЭлектронногоДокумента(ТипДокумента, СпособыОтраженияВУчете) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.СпособыОтраженияВУчетеТипаЭлектронногоДокумента(ТипДокумента, СпособыОтраженияВУчете) 
```
</details>

## СохранитьДанныеОбъектаВБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохранить данные объекта ВБД.
//
// Параметры:
//  СтрокаДляЗагрузки - СтрокаДереваЗначений - Строка для загрузки
//  ДеревоРазбора - ДеревоЗначений - Дерево разбора
//  ПараметрыОбработки - Структура - Параметры обработки
//  НайденныйОбъект - ДокументСсылка - Найденный объект
Процедура СохранитьДанныеОбъектаВБД(СтрокаДляЗагрузки, ДеревоРазбора, ПараметрыОбработки, НайденныйОбъект) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.СохранитьДанныеОбъектаВБД(СтрокаДляЗагрузки, ДеревоРазбора, ПараметрыОбработки, НайденныйОбъект) 
```
</details>

## ИмяДокументаПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя документа по типу.
//
// Параметры:
//  ТипДокумента - Произвольный, ПеречислениеСсылка.ТипыДокументовЭДО - Тип документа
//
// Возвращаемое значение:
//  Строка, Неопределено - Имя документа по типу
Функция ИмяДокументаПоТипу(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСГИСЭПД.ИмяДокументаПоТипу(ТипДокумента) 
```
</details>

## ОтметитьИсправлениеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отметить исправление документа.
//
// Параметры:
//  ОбъектУчета - ДокументСсылка.ЭлектроннаяТранспортнаяНакладная, ДокументСсылка.ЭлектроннаяСопроводительнаяВедомость, ДокументСсылка.ЭлектронныйЗаказНаряд - Объект учета
//  Отметка - Булево - Отметка
Процедура ОтметитьИсправлениеДокумента(ОбъектУчета, Отметка = Истина) Экспорт
```

Пример вызова
```bsl
ОбменСГИСЭПД.ОтметитьИсправлениеДокумента(ОбъектУчета, Отметка);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
