---
title: Обмен с контрагентами клиент
slug: erp-uh/обмен-с-контрагентами-клиент
---


## УстановитьИспользованиеВнутреннегоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает / отключает использование внутренних документов, с учетом проверки разрешения использования внутренних
// документов конфигурацией.
//
// Параметры:
//	Использовать - Булево - Истина для включения, Ложь для отключения
//
Процедура УстановитьИспользованиеВнутреннегоЭДО(Использовать) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.УстановитьИспользованиеВнутреннегоЭДО(Использовать) 
```
</details>

## ОткрытьНастройкуОтправкиОбъектаУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Открывает актуальную настройку отправки по переданному объекту учета.
//
// Параметры:
// ОбъектУчета - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на объект учета
// Владелец - ФормаКлиентскогоПриложения - владелец для открываемой формы
//            Неопределено - в этом случае форма будет открыта независимо
// ОписаниеОповещенияОЗакрытии - ОписаниеОповещения - обработчик оповещения, который будет вызван при закрытии формы настроек
//
Процедура ОткрытьНастройкуОтправкиОбъектаУчета(ОбъектУчета, Владелец = Неопределено, ОписаниеОповещенияОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОткрытьНастройкуОтправкиОбъектаУчета(ОбъектУчета, Владелец, ОписаниеОповещенияОЗакрытии);
```
</details>

## ВыполнитьКомплекснуюОбработкуАктуальногоЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает, утверждает, подписывает и отправляет электронный документ. Выполняются только те действия,
// которые действительно требуются для электронного документа (еще не были выполнены и допустимы). Используется как для
// исходящих, так и для входящих документов.
//
// Параметры:
//  ОбъектУчета        - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на объект учета, электронные документы
//  			         которого нужно обработать.
//  ОписаниеОповещения - ОписаниеОповещения - обработчик оповещения, который вызывается по окончании операции.
//                       В качестве результата передается Истина, если удалось выполнить действия хотя бы по одному объекту.
//
Процедура ВыполнитьКомплекснуюОбработкуАктуальногоЭлектронногоДокумента(ОбъектУчета, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ВыполнитьКомплекснуюОбработкуАктуальногоЭлектронногоДокумента(ОбъектУчета, ОписаниеОповещения);
```
</details>

## ОткрытьАктуальныйЭлектронныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает актуальный электронный документ, соответствующий переданному объекту учета.
//
// Параметры:
//  ОбъектУчета - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на объект учета
//
Процедура ОткрытьАктуальныйЭлектронныйДокумент(ОбъектУчета) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОткрытьАктуальныйЭлектронныйДокумент(ОбъектУчета) 
```
</details>

## ОтклонитьАктуальныйЭлектронныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отклоняет актуальный для переданного учетного объекта электронный документ. Если в процессе выполнения метода
// возникают ошибки, они обрабатываются библиотекой, вызывающей стороне не возвращаются.
//
// Параметры:
//  ОбъектУчета        - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на объект учета. Имеет смысл передавать
//  					 только входящие документы.
//  ОписаниеОповещения - ОписаниеОповещения - оповещение вызывается по окончании выполнения операции. В качестве результата
//                         передается "Истина" в случае, если отклонение выполнено успешно, "Ложь" - в противном случае.
//
Процедура ОтклонитьАктуальныйЭлектронныйДокумент(ОбъектУчета, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОтклонитьАктуальныйЭлектронныйДокумент(ОбъектУчета, ОписаниеОповещения);
```
</details>

## НовыеПараметрыСозданияЭлектронногоДокументаПоФайлу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустые параметры создания произвольного документа.
//
// Возвращаемое значение:
//  Структура - Новые параметры создания произвольного документа:
//  * Организация - Неопределено,ОпределяемыйТип.Организация - организация, от имени которой нужно отправить документ.
//  * Контрагент - Неопределено,ОпределяемыйТип.КонтрагентБЭД - контрагент, которому нужно отправить документ.
//  * Договор - Неопределено,ОпределяемыйТип.ДоговорСКонтрагентомЭДО - договор, по которому отправляется документ.
//  * ВидДокумента - СправочникСсылка.ВидыДокументовЭДО - вид электронного документа. Если не указан, то определяется автоматически.
//  * НомерДокумента - Строка - номер электронного документа.
//  * ДатаДокумента - Дата - дата электронного документа
//  * СуммаДокумента - Число - сумма по документу.
//  * ОбъектыУчета - Массив Из ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - учетные объекты, которые нужно проставить в качестве основания.
//  * Подписанты - Массив из ОпределяемыйТип.Пользователь - подписанты электронного документа. Если не указаны, то заполняются из настроек. Если указаны, то устанавливается маршрут подписания См. МаршрутыПодписанияБЭД.МаршрутУказыватьПриСоздании.
//  * МаршрутПодписания - СправочникСсылка.МаршрутыПодписания
//  * СоздатьНомерАвтоматически - Булево
//
Функция НовыеПараметрыСозданияЭлектронногоДокументаПоФайлу() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСКонтрагентамиКлиент.НовыеПараметрыСозданияЭлектронногоДокументаПоФайлу() 
```
</details>

## НачатьСозданиеЭлектронногоДокументаПоФайлу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конвертирует переданные двоичные данные в произвольный электронный документ.
//
// Параметры:
//  ОповещениеОЗавершении - ОписаниеОповещения - описание процедуры, которая будет вызвана после создания документа:
//  * ЭлектронныйДокумент - Неопределено - если создание отменено пользователем.
//                        - ДокументСсылка.ЭлектронныйДокументИсходящийЭДО - ссылка на созданный документ.
//                          Если документ не создан, то возвращается пустая ссылка.
//  * ДополнительныеПараметры - Произвольный - значение, которое было указано при создании объекта ОписаниеОповещения.
//  ПараметрыСоздания - См. НовыеПараметрыСозданияЭлектронногоДокументаПоФайлу
//  ПараметрыФайла - Структура - описывает файл, который нужно отправить:
//  * ИмяФайла - Строка - имя файла вместе с расширением.
//  * АдресХранилища - Строка - адрес временного хранилища, в котором содержатся двоичные данные файла.
//
Процедура НачатьСозданиеЭлектронногоДокументаПоФайлу(ОповещениеОЗавершении, ПараметрыСоздания, ПараметрыФайла) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.НачатьСозданиеЭлектронногоДокументаПоФайлу(ОповещениеОЗавершении, ПараметрыСоздания, ПараметрыФайла) 
```
</details>

## ОткрытьФормуВыбораСпециальныхОбстоятельствФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму выбора переченя специальных обстоятельств ФНС.
//
// Параметры:
//  ПараметрыОткрытия - Неопределено, Структура - Параметры открытия:
//  *Код - Строка - Необязательно, если будет передано список будет позиционирован по коду
//  *ОтборСписка - Соответствие из КлючИЗначение:
//  **Ключ - Строка - Имя поля для отбора
//  **Значение - Структура:
//  ***ВидСравнения - ВидСравненияКомпоновкиДанных - условие отбора.
//  ***ЗначениеОтбора - Произвольный - значение отбора.
//  Владелец - Форма - Форма владелец, будет заблокировано до закрытия формы
//  ОповещениеОЗавершении - ОписаниеОповещения -оповещение для передачи выбранного значения в типе Структура:
//												*Код - Строка
//												*Наименование - Строка
Процедура ОткрытьФормуВыбораСпециальныхОбстоятельствФНС(ПараметрыОткрытия, Владелец, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОткрытьФормуВыбораСпециальныхОбстоятельствФНС(ПараметрыОткрытия, Владелец, ОповещениеОЗавершении) 
```
</details>

## ОткрытьФормуПросмотраСпециальногоОбстоятельстваФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму просмотра специального обстоятельства ФНС.
//
// Параметры:
//  КодСпециальногоОбстоятельства - Строка - Код специального обстоятельства
//  Владелец - Форма - Форма владелец, будет заблокировано до закрытия формы
Процедура ОткрытьФормуПросмотраСпециальногоОбстоятельстваФНС(КодСпециальногоОбстоятельства, Владелец) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОткрытьФормуПросмотраСпециальногоОбстоятельстваФНС(КодСпециальногоОбстоятельства, Владелец) 
```
</details>

## ПараметрыПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров см. ПриОткрытии
//
// Возвращаемое значение:
//  Структура - параметры, которые необходимо передать в метод ОбменСКонтрагентамиКлиент.ПриОткрытии.
//    * Форма - УправляемаяФорма - форма справочника или документа.
//    * МестоРазмещенияКоманд - ЭлементФормы - элемент формы "группа", в котором должны отображаться команды ЭДО, необязательный параметр.
//    * ЕстьОбработчикОбновитьКомандыЭДО - Булево - нужно устанавливать в Истина в форме прикладного справочника организаций.
//
Функция ПараметрыПриОткрытии() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСКонтрагентамиКлиент.ПараметрыПриОткрытии() 
```
</details>

## ПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "ПриОткрытии" формы списка и формы учетных документов.
// Параметры:
//  Параметры - см. ПараметрыПриОткрытии.
//            - ФормаКлиентскогоПриложения
//
Процедура ПриОткрытии(Параметры) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ПриОткрытии(Параметры) 
```
</details>

## ПараметрыОповещенияЭДО_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров см. ОбработкаОповещения_ФормаДокумента
//
// Возвращаемое значение:
//  Структура - параметры, которые нужно передавать в метод ОбменСКонтрагентамиКлиент.ОбработкаОповещения_ФормаДокумента:
//    * Форма - ФормаКлиентскогоПриложения - форма учетного документа.
//    * ДокументСсылка - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на учетный документ.
//    * КонтроллерСостояниеЭДО - ЭлементФормы - элемент формы с типом "декорация" или "поле надписи", в котором будет
//                               отображаться состояние ЭДО.
//    * ГруппаСостояниеЭДО - ЭлементФормы - элемент формы типа "группа", которому может принадлежать КонтроллерСостояниеЭДО,
//                           необязательный параметр.
//    * МестоРазмещенияКоманд - ЭлементФормы - подменю, в котором отображаются команды ЭДО.
//                            - Массив из ЭлементФормы - набор подменю, в которых отображаются команды ЭДО.
//
Функция ПараметрыОповещенияЭДО_ФормаДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСКонтрагентамиКлиент.ПараметрыОповещенияЭДО_ФормаДокумента() 
```
</details>

## ОбработкаОповещения_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ОбработкаОповещения" формы учетного документа.
//
// Параметры:
//  ИмяСобытия - Строка - Имя события.
//  Параметр - Произвольный - Параметр сообщения. Могут быть переданы любые необходимые данные.
//  Источник - Произвольный - Источник события. Например, в качестве источника может быть указана другая форма.
//  ПараметрыОповещения - Структура - см. ОбменСКонтрагентамиКлиент.ПараметрыОповещенияЭДО_ФормаДокумента.
//  РезультатыОбработкиОповещения - Структура - Выходной параметр. Содержит ключи:
//    * ИзменилосьСостояниеЭДО - Булево - Истина, если произошло изменение состояния ЭДО объекта учета, отображаемого
//                                        в вызывающей форме.
//
Процедура ОбработкаОповещения_ФормаДокумента(ИмяСобытия, Параметр, Источник, ПараметрыОповещения, Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОбработкаОповещения_ФормаДокумента(ИмяСобытия, Параметр, Источник, ПараметрыОповещения, );
```
</details>

## ПараметрыОповещенияЭДО_ФормаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров см. ОбработкаОповещения_ФормаСписка
//
// Возвращаемое значение:
//  Структура - параметры, которые нужно передавать в метод см. ОбработкаОповещения_ФормаДокумента.
//    * Форма - ФормаКлиентскогоПриложения - форма списка учетного документа.
//    * ИмяДинамическогоСписка - Строка - Наименование динамического списка формы, отображающего "СостояниеЭД".
//                               Возможно указание нескольких списков через ("СписокИсходящий, СписокВходящий").
//    * МестоРазмещенияКоманд - ЭлементФормы - подменю, в котором отображаются команды ЭДО.
//                            - Массив из ЭлементФормы - набор подменю, в которых отображаются команды ЭДО.
//    * ЕстьОбработчикОбновитьКомандыЭДО - Булево - нужно устанавливать в Истина в форме прикладного справочника организаций.
//    * ЕстьОбработчикОбновленияВидимостиСостоянияЭДО - Булево - нужно устанавливать в Истина в формах списка внутрених документов ЭДО.
//
Функция ПараметрыОповещенияЭДО_ФормаСписка() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСКонтрагентамиКлиент.ПараметрыОповещенияЭДО_ФормаСписка() 
```
</details>

## ОбработкаОповещения_ФормаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ОбработкаОповещения" формы списка документов.
//
// Параметры:
//  ИмяСобытия - Строка - имя события.
//  Параметр - Произвольный - параметр сообщения, могут быть переданы любые необходимые данные.
//  Источник - Произвольный - источник события. Например, в качестве источника может быть указана другая форма.
//  ПараметрыОповещения - Структура - см. ПараметрыОповещенияЭДО_ФормаСписка.
//
Процедура ОбработкаОповещения_ФормаСписка(ИмяСобытия, Параметр, Источник, ПараметрыОповещения) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОбработкаОповещения_ФормаСписка(ИмяСобытия, Параметр, Источник, ПараметрыОповещения) 
```
</details>

## ПараметрыОповещенияЭДО_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров см. ОбработкаОповещения_ФормаСправочника
//
// Возвращаемое значение:
//  Структура - параметры, которые нужно передавать в метод ОбработкаОповещения_ФормаСправочника.
//    * Форма - ФормаКлиентскогоПриложения - форма справочника.
//    * МестоРазмещенияКоманд - ЭлементФормы - подменю, в котором отображаются команды ЭДО.
//                            - Массив из ЭлементФормы - набор подменю, в которых отображаются команды ЭДО.
//    * ЕстьОбработчикОбновитьКомандыЭДО - Булево - нужно устанавливать в Истина в форме прикладного справочника организаций.
//
Функция ПараметрыОповещенияЭДО_ФормаСправочника() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСКонтрагентамиКлиент.ПараметрыОповещенияЭДО_ФормаСправочника() 
```
</details>

## ОбработкаОповещения_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ОбработкаОповещения" формы списка документов.
//
// Параметры:
//  ИмяСобытия - Строка - имя события.
//  Параметр - Произвольный - параметр сообщения, могут быть переданы любые необходимые данные.
//  Источник - Произвольный - источник события. Например, в качестве источника может быть указана другая форма.
//  ПараметрыОповещения - Структура - см. ОбменСКонтрагентамиКлиент.ПараметрыОповещенияЭДО_ФормаСправочника.
//
Процедура ОбработкаОповещения_ФормаСправочника(ИмяСобытия, Параметр, Источник, ПараметрыОповещения) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОбработкаОповещения_ФормаСправочника(ИмяСобытия, Параметр, Источник, ПараметрыОповещения) 
```
</details>

## ПослеЗаписи_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПослеЗаписи" формы документа.
// При встраивании метода в форму документа необходимо доработать реализацию
// метода см. ОбменСКонтрагентамиПереопределяемый.ПриОпределенииОбъектовМетаданныхСПоддержкойДиагностикиОшибок.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма учетного документа.
//  ПараметрыЗаписи - Структура - см. параметр события формы ПослеЗаписи.
//
Процедура ПослеЗаписи_ФормаДокумента(Форма, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ПослеЗаписи_ФормаДокумента(Форма, ПараметрыЗаписи) 
```
</details>

## ПослеЗаписи_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПослеЗаписи" формы справочника.
// При встраивании метода в форму справочника необходимо доработать реализацию
// метода см. ОбменСКонтрагентамиПереопределяемый.ПриОпределенииОбъектовМетаданныхСПоддержкойДиагностикиОшибок.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма элемента справочника.
//  ПараметрыЗаписи - Структура - см. параметр события формы ПослеЗаписи.
//
Процедура ПослеЗаписи_ФормаСправочника(Форма, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ПослеЗаписи_ФормаСправочника(Форма, ПараметрыЗаписи) 
```
</details>

## ПриАктивизацииСтроки_ФормаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПриАктивизацииСтроки" формы списка, на которой подключено обновление команд ЭДО.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма списка.
//
Процедура ПриАктивизацииСтроки_ФормаСписка(Форма) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ПриАктивизацииСтроки_ФормаСписка(Форма) 
```
</details>

## ОбновитьКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет список команд ЭДО в зависимости от текущего контекста.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, для которой требуется обновление команд.
//   Источник - ДанныеФормыСтруктура - основной объект формы (если вызывается из формы объекта).
//            - ТаблицаФормы - таблица, содержащая список (если вызывается из формы списка).
//
Процедура ОбновитьКоманды(Форма, Источник) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОбновитьКоманды(Форма, Источник) 
```
</details>

## СостояниеЭДОНажатие_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик нажатия на гиперссылку "СостояниеЭДО" в форме документа
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма учетного документа.
//  СтандартнаяОбработка - Булево - Признак стандартной обработки нажатия на гиперссылку.
//
Процедура СостояниеЭДОНажатие_ФормаДокумента(Форма, СтандартнаяОбработка = Ложь) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.СостояниеЭДОНажатие_ФормаДокумента(Форма, СтандартнаяОбработка);
```
</details>

## СостояниеЭДОНажатие_ФормаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик нажатия на гиперссылку "СостояниеЭДО" в форме справочника
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма учетного документа.
//  СтандартнаяОбработка - Булево - Признак стандартной обработки нажатия на гиперссылку.
//
Процедура СостояниеЭДОНажатие_ФормаСправочника(Форма, СтандартнаяОбработка = Ложь) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.СостояниеЭДОНажатие_ФормаСправочника(Форма, СтандартнаяОбработка);
```
</details>

## СостояниеЭДОНажатие_ФормаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик нажатия на гиперссылку "СостояниеЭДО" в форме списка документа.
//
// Параметры:
//  ОбъектУчета - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на объект учета.
//  СтандартнаяОбработка - Булево - признак стандартной обработки нажатия на гиперссылку.
//
Процедура СостояниеЭДОНажатие_ФормаСписка(ОбъектУчета, СтандартнаяОбработка = Ложь) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.СостояниеЭДОНажатие_ФормаСписка(ОбъектУчета, СтандартнаяОбработка);
```
</details>

## ОбработчикОбновленияВидимостьСостоянияЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик обновления видимости состояния ЭДО.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, к которой подключается обработчик.
//  КолонкаСостояния - ЭлементФормы - колонка состояния.
//
Процедура ОбработчикОбновленияВидимостьСостоянияЭДО(Форма, КолонкаСостояния) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОбработчикОбновленияВидимостьСостоянияЭДО(Форма, КолонкаСостояния) 
```
</details>

## ОткрытьФормуНастроекРегистрацииЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки регистрации в сервисе ЭДО.
//
// Параметры:
//  Настройки - Строка - настройки регистрации.
//                       См. ОбменСКонтрагентами.ИнициализироватьНастройкиПодключенияЭДО.
//                       См. ОбменСКонтрагентами.ИнициализироватьНастройкиПереизданияСертификатаЭДО.
//  ВыполняемоеОповещение - ОписаниеОповещения - описание процедуры, которая будет вызвана при закрытии формы со следующими параметрами:
//   * Настройки - Строка - измененные настройки регистрации.
//               - Неопределено - пользователь отказался от редактирования настроек.
//   * ДополнительныеПараметры - Произвольный - значение, которое было указано при создании объекта ОписаниеОповещения.
//
Процедура ОткрытьФормуНастроекРегистрацииЭДО(Знач Настройки, Знач ВыполняемоеОповещение) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОткрытьФормуНастроекРегистрацииЭДО(Настройки, ВыполняемоеОповещение) 
```
</details>

## ОткрытьФормуОтправкиДанныхОператоруЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает отправку данных оператору ЭДО, согласно переданным настройкам.
// Поддерживается подключение к ЭДО и переиздание сертификата.
//
// Параметры:
//  Настройки - Строка - настройки регистрации.
//                       См. ОбменСКонтрагентами.ИнициализироватьНастройкиПодключенияЭДО.
//                       См. ОбменСКонтрагентами.ИнициализироватьНастройкиПереизданияСертификатаЭДО.
//  Сертификат - СертификатКриптографии - сертификат криптографии для регистрации у оператора ЭДО.
//  ВыполняемоеОповещение - ОписаниеОповещения - описание процедуры, которая будет вызвана при окончании отправки данных со следующими параметрами:
//   * Результат - Структура - результат отправки со следующими свойствами:
//    ** Выполнено - Булево - Истина, если настройка ЭДО завешена успешна и продолжения не требует.
//    ** Настройка - Строка - настройки для повторной попытки, если операция не была завершена.
//                 - Неопределено - операция завершена успешно.
//   * ДополнительныеПараметры - Произвольный - значение, которое было указано при создании объекта ОписаниеОповещения.
//
Процедура ОткрытьФормуОтправкиДанныхОператоруЭДО(Знач Настройки, Знач Сертификат ,Знач ВыполняемоеОповещение) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОткрытьФормуОтправкиДанныхОператоруЭДО(Настройки, Сертификат, ВыполняемоеОповещение) 
```
</details>

## ОткрытьТекущиеДелаЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает рабочее место "Текущие дела ЭДО".
//
// Параметры:
// 	ПараметрыОтбора - Неопределено,
// 	                  см. ОбменСКонтрагентамиКлиентСервер.ПараметрыОтбораТекущихДелЭДО.
//  ОповещениеОЗакрытии - Неопределено,
//                        ОписаниеОповещения - обработчик оповещения, который будет вызван при закрытии.
Процедура ОткрытьТекущиеДелаЭДО(ПараметрыОтбора = Неопределено, ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОткрытьТекущиеДелаЭДО(ПараметрыОтбора, ОповещениеОЗакрытии);
```
</details>

## ПомощникПодключенияКСервису1СЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает мастер-помощник по подключению организации к сервису 1С-ЭДО.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация
Процедура ПомощникПодключенияКСервису1СЭДО(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ПомощникПодключенияКСервису1СЭДО(Организация);
```
</details>

## ИзменитьОповещенияЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. (Вызов больше не требуется) Подключает / отключает оповещение о наличии новых электронных документов к получению.
//
// Параметры:
//  Включить - Булево
//
Процедура ИзменитьОповещенияЭДО(Включить = Ложь) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ИзменитьОповещенияЭДО(Включить);
```
</details>

## ПараметрыОжиданияЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. (Вызов больше не требуется) Конструктор параметров для ОбработчикОжиданияЭДО
//
// Возвращаемое значение:
//  Структура:
//    * МестоРазмещенияКоманд - РасширениеГруппыФормыДляПодменю
//                            - Массив из РасширениеГруппыФормыДляПодменю
//
Функция ПараметрыОжиданияЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСКонтрагентамиКлиент.ПараметрыОжиданияЭДО() 
```
</details>

## ОбработчикОжиданияЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. (Вызов больше не требуется) Обработчик ожидания событий ЭДО.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  ПараметрыОжиданияЭДО - см. ПараметрыОжиданияЭДО
//
Процедура ОбработчикОжиданияЭДО(Форма, ПараметрыОжиданияЭДО = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменСКонтрагентамиКлиент.ОбработчикОжиданияЭДО(Форма, ПараметрыОжиданияЭДО);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
