---
title: Обмен с контрагентами клиент сервер
slug: erp-uh/обмен-с-контрагентами-клиент-сервер
---


## ПараметрыОтбораТекущихДелЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает набор параметров для отбора данных рабочего места "Текущие дела ЭДО"
//
// Возвращаемое значение:
//  Структура - набор возможных отборов при работе с рабочим местом "Текущие дела ЭДО"
//  * РежимОтображения - Произвольный - режим отображения рабочего места, один из значений структуры,
//                                      возвращаемой см. РежимыОтображенияТекущихДелЭДО.
//  * Раздел - Произвольный - раздел рабочего места. , один из значений структуры, возвращаемой см. РазделыТекущихДелЭДО.
//  * ОтборВРазделеСоздать - Массив Из см. НовыйЭлементОтбораТекущихДелЭДО - отборы, которые нужно установить
//                           на объект учета в разделе "Создать".
//  * ОтборВходящихЭлектронныхДокументов - Массив Из см. НовыйЭлементОтбораТекущихДелЭДО - отборы, которые нужно установить
//                                         на входящие электронные документы.
//    ОтборИсходящихЭлектронныхДокументов - Массив Из см. НовыйЭлементОтбораТекущихДелЭДО - отборы, которые нужно установить
//                                          на исходящие электронные документы.
Функция ПараметрыОтбораТекущихДелЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСКонтрагентамиКлиентСервер.ПараметрыОтбораТекущихДелЭДО() 
```
</details>

## РежимыОтображенияТекущихДелЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Доступные режимы отображения Текущих дел ЭДО
//
// Возвращаемое значение:
// 	Структура - возможные режимы:
//  * КИсполнению - Произвольный - режим, в котором отбираются документы, требующие действий от текущего пользователя.
//  * МоиДокументы - Произвольный - режим, в котором отбираются документы, по которым ответственным является текущий пользователь.
//  * ВсеДокументы - Произвольный - режим отображения всех документов с незавершенным ЭДО.
Функция РежимыОтображенияТекущихДелЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСКонтрагентамиКлиентСервер.РежимыОтображенияТекущихДелЭДО() 
```
</details>

## РазделыТекущихДелЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Доступные разделы Текущих дел ЭДО
//
// Возвращаемое значение:
// 	Структура - доступные разделы:
//    * Входящие - произвольный
//    * ОтразитьВУчете - произвольный
//    * УтвердитьВходящие - произвольный
//    * ПодписатьВходящие - произвольный
//    * ИсправитьВходящие - произвольный
//    * АннулироватьВходящие - произвольный
//    * НаКонтролеВходящие - произвольный
//    * Исходящие - произвольный
//    * Создать - произвольный
//    * ПодписатьИсходящие - произвольный
//    * ИсправитьИсходящие - произвольный
//    * АннулироватьИсходящие - произвольный
//    * НаКонтролеИсходящие - произвольный
Функция РазделыТекущихДелЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСКонтрагентамиКлиентСервер.РазделыТекущихДелЭДО() 
```
</details>

## НовыйЭлементОтбораТекущихДелЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует описание элемента отбора для рабочего места Текущие дела ЭДО.
//
// Параметры:
//  Поле - Строка - путь к данным, на которые устанавливается отбор.
//  ВидСравнения - ВидСравненияКомпоновкиДанных - вид сравнения отбора. Допустимо использовать виды сравнения "Равно" и "В списке".
//  Значение - Произвольный - значение отбора.
// Возвращаемое значение:
//  Произвольный - описание элемента отбора
Функция НовыйЭлементОтбораТекущихДелЭДО(Поле, ВидСравнения, Значение) Экспорт
```

Пример вызова
```bsl
Результат = ОбменСКонтрагентамиКлиентСервер.НовыйЭлементОтбораТекущихДелЭДО(Поле, ВидСравнения, Значение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
