---
title: Обмен с сайтами УТ
slug: erp-uh/обмен-с-сайтами-ут
---


## ДедупликацияВыполнена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того, что данные перенесены в новый регистр
//
// Возвращаемое значение:
//  см. РаботаСФайламиСлужебныйПовтИсп.ДедупликацияВыполнена
//
Функция ДедупликацияВыполнена() Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.ДедупликацияВыполнена() 
```
</details>

## ДобавитьРеквизитыФормыНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в форму настроек обмена с сайтом реквизиты
// необходимые для выгрузки товаров и загрузки заказов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форму узла плана обмена "Обмен с сайтом".
//
Процедура ДобавитьРеквизитыФормыНастройки(Форма) Экспорт
```

Пример вызова
```bsl
ОбменССайтамиУТ.ДобавитьРеквизитыФормыНастройки(Форма) 
```
</details>

## УстановитьУсловноеОформление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление формы узла плана обмена
//
// Параметры
//  Форма - управляемая форма - форма узла плана обмена "Обмен с сайтом".
//
Процедура УстановитьУсловноеОформление(Форма) Экспорт
```

Пример вызова
```bsl
ОбменССайтамиУТ.УстановитьУсловноеОформление(Форма) 
```
</details>

## УстановитьПараметрКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметр компоновки
//
// Параметры:
//  ПараметрыКомпоновки  - ПараметрыСхемыКомпоновкиДанных - в них будет добавлен новый параметр.
//  ИмяПараметра         - Строка - имя параметра компоновки данных.
//  ЗначениеПараметра    - Произвольный - значение параметра компоновки данных.
//
Процедура УстановитьПараметрКомпоновки(ПараметрыКомпоновки, ИмяПараметра, ЗначениеПараметра) Экспорт
```

Пример вызова
```bsl
ОбменССайтамиУТ.УстановитьПараметрКомпоновки(ПараметрыКомпоновки, ИмяПараметра, ЗначениеПараметра) 
```
</details>

## ЗаполнитьСтруктуруПолейАдресаПоЗначениюПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение Реквизитов Адреса по строке XTDO
//  СкладАдрес - Структура, в которой необходимо представить адресную информацию о складе
//        Поля структуры: ПочтовыйИндекс, Страна, Регион, Район, НаселенныйПункт, Город,Улица, Дом, Корпус, Квартира
//  ЗначениеПолей - Значение полей адреса
Процедура ЗаполнитьСтруктуруПолейАдресаПоЗначениюПолей(СкладАдрес, ЗначениеПолей) Экспорт
```

Пример вызова
```bsl
ОбменССайтамиУТ.ЗаполнитьСтруктуруПолейАдресаПоЗначениюПолей(СкладАдрес, ЗначениеПолей) 
```
</details>

## НоменклатураПоАртикулу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет номенклатуру по артикулу.
//
// Параметры:
//  Артикул     - Строка.
//
// Возвращаемое значение:
//   СправочникСсылка.Номенклатура, Неопределено - ссылка на найденный элемент справочника Номенклатура, Неорпределено, если не найдено.
//
Функция НоменклатураПоАртикулу(Артикул) Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.НоменклатураПоАртикулу(Артикул) 
```
</details>

## НоменклатураПоНаименованиюИВиду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет номенклатуру по наименованию и виду номенклатуры.
//
// Параметры:
//  Наименование     - Строка - наименование, используемое для поиска.
//  ВидНоменклатуры  - СправочникСсылка.ВидыНоменклатуры - вид номенклатуры, по которому выполняется поиск
//
// Возвращаемое значение:
//   СправочникСсылка.Номенклатура, Неопределено - ссылка на найденный элемент справочника Номенклатура, Неопределено, если не найдено.
//
Функция НоменклатураПоНаименованиюИВиду(Наименование, ВидНоменклатуры) Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.НоменклатураПоНаименованиюИВиду(Наименование, ВидНоменклатуры) 
```
</details>

## УспешноНайденТоварПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет номенклатуру по уникальному идентификатору
//
// Параметры:
//  Номенклатура                      - СправочникСсылка.Номенклатура - найденная номенклатура будет помещена в данный параметр.
//  ДанныеНоменклатуры                - Структура - содержит данные о номенклатуре, в частности свойство ИД, по которому будет выполняться поиск.
//  ПрикладныеПараметры               - Структура - содержит параметры узла обмена с сайтом.
//  УникальныйИдентификаторКорректен  - Булево - признак того, что уникальный идентификатор в данных номенклатуры был корректным
//
// Возвращаемое значение:
//   Булево   - признак того, что номенклатура успешно найдена
//
Функция УспешноНайденТоварПоСсылке(Номенклатура, ДанныеНоменклатуры, ПрикладныеПараметры, УникальныйИдентификаторКорректен) Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.УспешноНайденТоварПоСсылке(Номенклатура, ДанныеНоменклатуры, ПрикладныеПараметры, УникальныйИдентификаторКорректен) 
```
</details>

## ЗаполнитьНомерИДатуЗаказаДополнительныеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет дополнительные реквизиты документа "Заказ клиента" соответствующие номеру и дате заказа с сайта
//
// Параметры:
//  ДокументОбъект      - ДокументОбъект.ЗаказКлиента - документ, дополнительные реквизиты которого необходимо обновить
//  РеквизитыЗаказа     - Структура - содержит информацию о данных заказа, полученных с сайта.
//  ПрикладныеПараметры - Структура - содержит информацию настройках обмена, выполненных в форме узла.
//
Процедура ЗаполнитьНомерИДатуЗаказаДополнительныеРеквизиты(ДокументОбъект, РеквизитыЗаказа, ПрикладныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбменССайтамиУТ.ЗаполнитьНомерИДатуЗаказаДополнительныеРеквизиты(ДокументОбъект, РеквизитыЗаказа, ПрикладныеПараметры) 
```
</details>

## РеквизитыОбменаТоварами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив реквизитов формы узла обмена с сайтами, отвечающих за настройки выгрузки товаров.
//
// Возвращаемое значение:
//   Массив  - массив реквизитов формы узла обмена с сайтами, отвечающих за настройки выгрузки товаров.
//
Функция РеквизитыОбменаТоварами() Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.РеквизитыОбменаТоварами() 
```
</details>

## РеквизитыОбменаЗаказами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив реквизитов формы узла обмена с сайтами, отвечающих за настройки выгрузки товаров.
//
// Возвращаемое значение:
//   Массив  - массив реквизитов формы узла обмена с сайтами, отвечающих за настройки обмена заказами.
//
Функция РеквизитыОбменаЗаказами() Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.РеквизитыОбменаЗаказами() 
```
</details>

## СоздатьКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает нового контрагента
//
// Параметры:
//  ДанныеКонтрагента        - Структура - содержит данные покупателя с сайта.
//  ПрикладныеПараметры      - Структура - содержит информацию настройках обмена, выполненных в форме узла.
//  ОписаниеОшибки           - Строка - в нее записывается текст ошибки, которая может возникнуть при создании нового контрагента.
//  СтруктураСвойстваЗаказа  - Структура - содержит свойства заказа с сайта.
//
// Возвращаемое значение:
//   СправочникСсылка.Контрагент   - ссылка на вновь созданного контрагента
//
Функция СоздатьКонтрагента(ДанныеКонтрагента, ПрикладныеПараметры, ОписаниеОшибки, СтруктураСвойстваЗаказа) Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.СоздатьКонтрагента(ДанныеКонтрагента, ПрикладныеПараметры, ОписаниеОшибки, СтруктураСвойстваЗаказа) 
```
</details>

## ЗаполнитьТабличнуюЧастьДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет табличную часть "Товары" документа "Заказ клиента".
//
// Параметры:
//  Документ            - ДокументОбъект.ЗаказКлиента - документ, чья табличная часть "Товары" будет заполнена.
//  ТаблицаТоваровСайт  - ТаблицаЗначений - таблица заказанных товаров по данным с сайта.
//  ПрикладныеПараметры - Структура - содержит информацию настройках обмена, выполненных в форме узла.
//
Процедура ЗаполнитьТабличнуюЧастьДокумента(Документ, ТаблицаТоваровСайт, ПрикладныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбменССайтамиУТ.ЗаполнитьТабличнуюЧастьДокумента(Документ, ТаблицаТоваровСайт, ПрикладныеПараметры) 
```
</details>

## ОбработатьВалютуXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет валюту по коду валюту, переданному с сайта.
// Если валюту найти не удалось, получает валюту регламентированного учета.
//
// Параметры:
//  Валюта           - СправочникСсылка.Валюта - в данный параметр устанавливается найденная валюта
//  КодВалютыСтрока  - Строка - код валюты, по которому выполняется поиск.
//
Процедура ОбработатьВалютуXML(Валюта, КодВалютыСтрока) Экспорт
```

Пример вызова
```bsl
ОбменССайтамиУТ.ОбработатьВалютуXML(Валюта, КодВалютыСтрока) 
```
</details>

## СтавкаНДСПоЗначениюПриЗагрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение ставки НДС по строковому значению, переданному с сайта.
//
// Параметры:
//  СтавкаНалогаСтрока - Строка - строковое представление ставки НДС
//
// Возвращаемое значение:
//   ПеречислениеСсылка.СтавкиНДС   - найденное по строковому описанию значение ставки НДС
//
Функция СтавкаНДСПоЗначениюПриЗагрузке(СтавкаНалогаСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.СтавкаНДСПоЗначениюПриЗагрузке(СтавкаНалогаСтрока) 
```
</details>

## ДобавляемыеПоляОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую таблицу значений, в которую будут добавляться дополнительные поля отбора
//
Функция ДобавляемыеПоляОтбора() Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.ДобавляемыеПоляОтбора() 
```
</details>

## ПараметрыОтбораСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив структур по которым происходит отбор соглашения
//
Функция ПараметрыОтбораСоглашения() Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.ПараметрыОтбораСоглашения() 
```
</details>

## ПараметрыОтбораСегмента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив структур по которым происходит отбор сегмента номенклатуры
//
Функция ПараметрыОтбораСегмента() Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.ПараметрыОтбораСегмента() 
```
</details>

## ФормаУзлаОбменаСоглашениеПриИзмененииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФормаУзлаОбменаСоглашениеПриИзмененииНаСервере(Форма, ЭтоЧтение = Ложь) Экспорт
```

Пример вызова
```bsl
ОбменССайтамиУТ.ФормаУзлаОбменаСоглашениеПриИзмененииНаСервере(Форма, ЭтоЧтение);
```
</details>

## ПриСозданииНаСервереФормаСоздатьСайт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервереФормаСоздатьСайт(Форма) Экспорт
```

Пример вызова
```bsl
ОбменССайтамиУТ.ПриСозданииНаСервереФормаСоздатьСайт(Форма) 
```
</details>

## МассивДопустимыхРасширенийИзображений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивДопустимыхРасширенийИзображений() Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.МассивДопустимыхРасширенийИзображений() 
```
</details>

## РеквизитПрикладногоРешения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение реквизита, который был добавлен на форму узла плана обмена
// добавленный реквизит формы не является реквизитом плана обмена
//Параметры
//	Узел - ПланОбмена.ОбменССайтом.Ссылка
//	ИмяРеквизита - имя реквизита, добавленного на форму
//Возвращаемое значение
// Значение реквизита, которое было выбрано в форме узла
//
Функция РеквизитПрикладногоРешения(Узел, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтамиУТ.РеквизитПрикладногоРешения(Узел, ИмяРеквизита) 
```
</details>

## ПослеЗаписиЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет дополнительные процедуры после записи заказа.
//
// Параметры:
//   ЗаказПокупателя - ДокументСсылка - ссылка на документ ЗаказПокупателя.
//   ПрикладныеПараметры - Структура - прикладные параметры обмена.
//   СвойстваЗаказа - Соответствие - содержит строковое представления свойств (ключ) и значений (значение) заказа.
//
Процедура ПослеЗаписиЗаказа(ЗаказПокупателя, ПрикладныеПараметры, СвойстваЗаказа) Экспорт
```

Пример вызова
```bsl
ОбменССайтамиУТ.ПослеЗаписиЗаказа(ЗаказПокупателя, ПрикладныеПараметры, СвойстваЗаказа) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
