---
title: Обмен с сайтом
slug: erp-uh/обмен-с-сайтом
---


## ВыполнитьТестовоеПодключениеКСайту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат тестового подключения к сайту.
//
// Параметры:
//  НастройкиПодключения - структура - Адрес сайта, пользователь и пароль
//  ТекстСообщения - строка - текстовое сообщение об ошибках
// Возвращаемое значение:
//  Успешно - булево - результат подключения к сайту.
//
Функция ВыполнитьТестовоеПодключениеКСайту(НастройкиПодключения, ТекстСообщения) Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтом.ВыполнитьТестовоеПодключениеКСайту(НастройкиПодключения, ТекстСообщения) 
```
</details>

## ВыполнитьОбменССайтом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запуск обмена с сайтом.
//
// Параметры:
//  Параметры - Структура - настройки и данные для обмена.
//  РезультатОбмена - Структура - результат обмена товарами и заказами.
//  ТаблицаИнформации - ТаблицаЗначений - таблица, хранящая лог обмена.
//
Процедура ВыполнитьОбменССайтом(Параметры, РезультатОбмена, ТаблицаИнформации) Экспорт
```

Пример вызова
```bsl
ОбменССайтом.ВыполнитьОбменССайтом(Параметры, РезультатОбмена, ТаблицаИнформации) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
