---
title: Обмен с сайтом клиент переопределяемый
slug: erp-uh/обмен-с-сайтом-клиент-переопределяемый
---


## ФормаУзлаПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы узла плана обмена "Обмен с сайтом".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
//  Отказ - Булево - признак отказа от выполнения действия.
//
Процедура ФормаУзлаПриОткрытии(Форма, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменССайтомКлиентПереопределяемый.ФормаУзлаПриОткрытии(Форма, Отказ) 
```
</details>

## ФормаУзлаПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы узла плана обмена "Обмен с сайтом".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
//  Отказ - Булево - признак отказа от выполнения действия.
//  ПараметрыЗаписи - Структура - Структура, содержащая параметры записи.
//
Процедура ФормаУзлаПередЗаписью(Форма, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ОбменССайтомКлиентПереопределяемый.ФормаУзлаПередЗаписью(Форма, Отказ, ПараметрыЗаписи) 
```
</details>

## ПолеВводаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события При изменении добавляемого поля ввода формы узла плана обмена.
// Параметры:
//  Элемент - ЭлементФормы - источник события.
//  Форма - ФормаКлиентскогоПриложения - Форма узла плана обмена.
//  Объект - ДанныеФормыСтруктура - данные формы узла плана обмена Обмен с сайтом.
//
Процедура ПолеВводаПриИзменении(Элемент, Форма, Объект) Экспорт
```

Пример вызова
```bsl
ОбменССайтомКлиентПереопределяемый.ПолеВводаПриИзменении(Элемент, Форма, Объект) 
```
</details>

## ПолеФлажкаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события При изменении добавляемого поля флажка формы узла плана обмена.
//
// Параметры:
//  Элемент - ЭлементФормы - источник события.
//  Форма - ФормаКлиентскогоПриложения - Форма узла плана обмена.
//  Объект - ДанныеФормыСтруктура - данные формы узла плана обмена Обмен с сайтом.
//
Процедура ПолеФлажкаПриИзменении(Элемент, Форма, Объект) Экспорт
```

Пример вызова
```bsl
ОбменССайтомКлиентПереопределяемый.ПолеФлажкаПриИзменении(Элемент, Форма, Объект) 
```
</details>

## ТаблицаФормыПередОкончаниемРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПередОкончаниемРедактирования табличной части формы узла обмена.
//
// Параметры:
//  Элемент - Строка - источник события.
//  НоваяСтрока - Булево - Истина, если строка была добавлена или скопирована.
//  ОтменаРедактирования - Булево - Истина, если произошла отмена редактирования.
//  Отказ - Булево - Признак отказа от записи объекта.
//  Форма - ФормаКлиентскогоПриложения - Форма узла обмена.
//  Объект - ДанныеФормыСтруктура - данные формы узла плана обмена Обмен с сайтом.
//
Процедура ТаблицаФормыПередОкончаниемРедактирования(Элемент, НоваяСтрока, ОтменаРедактирования, Отказ, Экспорт
```

Пример вызова
```bsl
ОбменССайтомКлиентПереопределяемый.ТаблицаФормыПередОкончаниемРедактирования(Элемент, НоваяСтрока, ОтменаРедактирования, Отказ, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
