---
title: Обмен с сайтом переопределяемый
slug: erp-uh/обмен-с-сайтом-переопределяемый
---


## ПереопределитьФормуУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя формы узла плана обмена "Обмен с сайтом".
//
// Параметры:
//  ВыбраннаяФорма - ФормаКлиентскогоПриложения - форма для узла плана обмена.
//
Процедура ПереопределитьФормуУзла(ВыбраннаяФорма) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПереопределитьФормуУзла(ВыбраннаяФорма) 
```
</details>

## ФормаУзлаПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы узла плана обмена "Обмен с сайтом".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
//  ТекущийОбъект - ПланОбменаОбъект - узел плана обмена "ОбменССайтом".
//
Процедура ФормаУзлаПриЧтенииНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ФормаУзлаПриЧтенииНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ФормаУзлаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы узла плана обмена "Обмен с сайтом".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
//  Отказ - Булево - признак отказа от создания формы.
//  СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события.
//
Процедура ФормаУзлаПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ФормаУзлаПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ФормаУзлаПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы узла плана обмена "Обмен с сайтом".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
//  Отказ - Булево - признак отказа от выполнения действия.
//  ТекущийОбъект - ПланОбменаОбъект - записываемый объект.
//  ПараметрыЗаписи - Структура - структура, содержащая параметры записи.
//
Процедура ФормаУзлаПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ФормаУзлаПередЗаписьюНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ФормаУзлаПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы узла плана обмена "Обмен с сайтом".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
//  ТекущийОбъект - ПланОбменаОбъект - записываемый объект.
//  ПараметрыЗаписи - Структура - структура, содержащая параметры записи.
//
Процедура ФормаУзлаПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ФормаУзлаПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## УстановитьУсловноеОформлениеФормаУзлаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В данной процедуре можно изменить условное оформление формы узла обмена с сайтом.
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма узла обмена с сайтом.
//
Процедура УстановитьУсловноеОформлениеФормаУзлаОбмена(Форма) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.УстановитьУсловноеОформлениеФормаУзлаОбмена(Форма) 
```
</details>

## УстановитьВидимостьЭлементовФормыУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В данной процедуре можно изменить видимость элементов формы узла обмена с сайтом
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма узла обмена с сайтом.
//
Процедура УстановитьВидимостьЭлементовФормыУзла(Форма) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.УстановитьВидимостьЭлементовФормыУзла(Форма) 
```
</details>

## СкорректироватьПроверяемыеРеквизитыФормыУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Корректирует проверяемые при записи реквизиты формы узла
//
// Параметры:
//  Форма                 - ФормаКлиентскогоПриложения - форма плана узла обмена, в которой выполняется запись.
//  ПроверяемыеРеквизиты  - Массив - массив имен проверяемых на заполненность реквизитов формы.
//  ОбменТоварами         - Булево - признак того, что будет выполняться обмен товарами.
//  ОбменЗаказами         - Булево - признак того, что будет выполняться обмен заказами.
//
Процедура СкорректироватьПроверяемыеРеквизитыФормыУзла(Форма, ПроверяемыеРеквизиты, ОбменТоварами, ОбменЗаказами) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.СкорректироватьПроверяемыеРеквизитыФормыУзла(Форма, ПроверяемыеРеквизиты, ОбменТоварами, ОбменЗаказами) 
```
</details>

## ПолеВводаПриИзмененииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриИзменении флажка формы узла обмена.
//
// Параметры:
//  ЭлементИмя - Строка - наименование элемента формы.
//  Форма - ФормаКлиентскогоПриложения - Форма узла обмена.
//
Процедура ПолеВводаПриИзмененииНаСервере(ЭлементИмя, Форма) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолеВводаПриИзмененииНаСервере(ЭлементИмя, Форма) 
```
</details>

## ПолеФлажкаПриИзмененииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриИзменении поля ввода формы узла обмена.
//
// Параметры:
//  ЭлементИмя - Строка - наименование элемента формы.
//  Форма - ФормаКлиентскогоПриложения - Форма узла обмена.
//
Процедура ПолеФлажкаПриИзмененииНаСервере(ЭлементИмя, Форма) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолеФлажкаПриИзмененииНаСервере(ЭлементИмя, Форма) 
```
</details>

## ТаблицаФормыПередОкончаниемРедактированияНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПередОкончаниемРедактирования табличной части формы узла обмена.
//
// Параметры:
//  ЭлементИмя - Строка - наименование элемента формы.
//  Форма - ФормаКлиентскогоПриложения - Форма узла обмена.
//  НоваяСтрока - Булево - Истина, если строка была добавлена или скопирована.
//  ОтменаРедактирования - Булево - Истина, если произошла отмена редактирования.
//  Отказ - Булево - Признак отказа от записи объекта.
//
Процедура ТаблицаФормыПередОкончаниемРедактированияНаСервере(ЭлементИмя, НоваяСтрока, ОтменаРедактирования, Отказ, Форма) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ТаблицаФормыПередОкончаниемРедактированияНаСервере(ЭлементИмя, НоваяСтрока, ОтменаРедактирования, Отказ, Форма) 
```
</details>

## ПолучитьТекстЗапросаОбновлениеПакетаПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса, который позволит получить таблицу значений, описанную
// в макете "СхемаВыгрузкиОбновлениеПакетаПредложений" плана обмена "Обмен с сайтом".
//
// Параметры:
//  ТекстЗапроса - Строка - текст запроса.
//
Процедура ПолучитьТекстЗапросаОбновлениеПакетаПредложений(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьТекстЗапросаОбновлениеПакетаПредложений(ТекстЗапроса) 
```
</details>

## УстановитьПараметрыЗапросаОбновлениеПакетаПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры схемы компоновки, которые могли появиться в тексте запроса в процедуре
// ПолучитьТекстЗапросаОбновлениеПакетаПредложений или быть особенностью прикладного решения.
//
// Параметры:
//  ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                    подсистемы в прикладное решение.
//  ПараметрыКомпоновки - ПараметрыСхемыКомпоновкиДанных - параметры, которые могли появиться в тексте запроса
//                                                      в процедуре ПолучитьТекстЗапросаОбновлениеПакетаПредложений.
//
Процедура УстановитьПараметрыЗапросаОбновлениеПакетаПредложений(ПрикладныеПараметры, ПараметрыКомпоновки) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.УстановитьПараметрыЗапросаОбновлениеПакетаПредложений(ПрикладныеПараметры, ПараметрыКомпоновки)  
```
</details>

## ЗаполнитьПоляОтбораОбновленияПакетаПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру полями, которые должны быть добавлены в отбор настройки каталога.
// Указанные поля будут добавлены к предопределенными полям, заданным в макете
// "СхемаВыгрузкиОбновлениеПакетаПредложений" плана обмена "Обмен с сайтом".
// Параметры:
//  ПоляОтбора - Структура - сюда добавляются поля отбора.
//		* Ключ - Наименование поля отбора;
//		* Значение - Описание типа значения добавляемого поля.
//
Процедура ЗаполнитьПоляОтбораОбновленияПакетаПредложений(ПоляОтбора) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗаполнитьПоляОтбораОбновленияПакетаПредложений(ПоляОтбора) 
```
</details>

## ПолучитьТекстыЗапросовПакетаПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует тексты запросов, которые позволяют получить таблицу значений,
// описанные в макете "СхемаВыгрузкиПакетПредложений" плана обмена "Обмен с сайтом".
// Параметры:
//  ТекстыЗапросов - структура - тексты запросов;
//    * Цены - поле, в которое нужно поместить текст запроса для заполнения источника данных "Цены"
//					макета "СхемаВыгрузкиПакетПредложений" плана обмена "ОбменССайтом";
//    * Остатки - поле, в которое нужно поместить текст запроса для заполнения источника данных "Остатки"
//					макета "СхемаВыгрузкиПакетПредложений" плана обмена "ОбменССайтом".
//
Процедура ПолучитьТекстыЗапросовПакетаПредложений(ТекстыЗапросов) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьТекстыЗапросовПакетаПредложений(ТекстыЗапросов) 
```
</details>

## ПолучитьТекстЗапросаЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить текст запроса цены.
//
// Возвращаемое значение:
//  Строка - Получить текст запроса цены
Функция ПолучитьТекстЗапросаЦены() Экспорт
```

Пример вызова
```bsl
Результат = ОбменССайтомПереопределяемый.ПолучитьТекстЗапросаЦены() 
```
</details>

## УстановитьПараметрыЗапросаПакетПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры схемы компоновки, которые могли появиться в тексте запроса в процедуре
// ПолучитьТекстЗапросаПакетПредложений или быть особенностью прикладного решения.
//
// Параметры:
//  ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                    подсистемы в прикладное решение.
//  ПараметрыСхемыКомпоновки - ПараметрСхемыКомпоновкиДанных - параметры схемы компоновки текста запроса в процедуре
//                                                        ПолучитьТекстЗапросаПакетПредложений.
//
Процедура УстановитьПараметрыЗапросаПакетПредложений(ПрикладныеПараметры, ПараметрыСхемыКомпоновки) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.УстановитьПараметрыЗапросаПакетПредложений(ПрикладныеПараметры, ПараметрыСхемыКомпоновки) 
```
</details>

## ЗаполнитьПоляОтбораПакетаПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие полями, которые должны быть добавлены в отбор настройки каталога.
// Указанные поля будут добавлены к предопределенными полям, заданным в макете
// "СхемаВыгрузкиПакетПредложений" плана обмена "Обмен с сайтом".
// Поля в соответствии хранятся с привязкой к набору данных, к которому они относятся.
//
// Параметры:
//   ПоляОтбора - Соответствие - соответствие полей отбора:
//    * Ключ - Строка - имя набора данных из макета "СхемаВыгрузкиПакетПредложений".
//    * Значение - ТаблицаЗначений - таблица, в которую добавляются поля отбора:
//      * Наименование - Строка - имя поля.
//      * Синоним - Строка - пользовательское представление.
//      * ТипЗначения - ОписаниеТипов - тип значения поля.
//      * Отбор - Массив Из Структура - описание отбора, необходимого при открытии формы выбора поля.
//
Процедура ЗаполнитьПоляОтбораПакетаПредложений(ПоляОтбора) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗаполнитьПоляОтбораПакетаПредложений(ПоляОтбора) 
```
</details>

## ПолучитьТекстыЗапросовКаталог
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует тексты запросов, которые позволят получить таблицы значений, описанные в макете "СхемаВыгрузкиКаталог"
// плана обмена "Обмен с сайтом".
//
// Параметры:
//	ТекстыЗапросов - Структура - тексты запросов:
//    * Номенклатура - поле, в которое нужно поместить текст запроса для заполнения источника данных "Номенклатура"
//                     макета "СхемаВыгрузкиКаталог" плана обмена "ОбменССайтом".
//    * Свойства - поле, в которое нужно поместить текст запроса для заполнения источника данных "Свойства"
//                 макета "СхемаВыгрузкиКаталог" плана обмена "ОбменССайтом".
//    * Файлы - поле, в которое нужно поместить текст запроса для заполнения источника данных "Файлы"
//              макета "СхемаВыгрузкиКаталог" плана обмена "ОбменССайтом".
//    * Характеристики - поле, необязательное поле, поле в которое нужно поместить текст запроса для заполнения источника данных "Характеристики"
//                       макета "СхемаВыгрузкиКаталог" плана обмена "ОбменССайтом".
//
Процедура ПолучитьТекстыЗапросовКаталог(ТекстыЗапросов) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьТекстыЗапросовКаталог(ТекстыЗапросов) 
```
</details>

## УстановитьПараметрыЗапросаКаталог
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры схемы компоновки, которые могли появиться в тексте запроса в процедуре
// ПолучитьТекстыЗапросовКаталог или быть особенностью прикладного решения.
//
// Параметры:
//  ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                    подсистемы в прикладное решение.
//  ПараметрыКомпоновки - ПараметрСхемыКомпоновкиДанных - параметры схемы компоновки текста запроса в процедуре
//                                                        ПолучитьТекстыЗапросовКаталог.
//
Процедура УстановитьПараметрыЗапросаКаталог(ПрикладныеПараметры, ПараметрыКомпоновки) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.УстановитьПараметрыЗапросаКаталог(ПрикладныеПараметры, ПараметрыКомпоновки) 
```
</details>

## ЗаполнитьПоляОтбораКаталога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие полями, которые должны быть добавлены в отбор настройки каталога.
// Указанные поля будут добавлены к предопределенными полям, заданным в макете "СхемаВыгрузкиКаталог"
// плана обмена "Обмен с сайтом". Поля в соответствии хранятся с привязкой к набору данных, к которому они относятся.
//
// Параметры:
//  ПоляОтбора - Соответствие -  в которую добавляются поля отбора:
//    * Наименование - Строка - имя поля.
//    * Синоним - Строка - пользовательское представление.
//    * ТипЗначения - ОписаниеТипов - тип значения поля.
//    * Отбор - Массив - содержит структуры отборов, необходимых при открытии формы выбора поля.
//
Процедура ЗаполнитьПоляОтбораКаталога(ПоляОтбора) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗаполнитьПоляОтбораКаталога(ПоляОтбора) 
```
</details>

## КомпоновщикНастроекСхемыФормированияДанныхПослеЗагрузкиНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет внести изменения в компоновщик настроек СКД после загрузки в нее настроек при получении данных для выгрузки.
//
// Параметры:
//  КомпоновщикНастроек  - КомпоновщикНастроекКомпоновкиДанных - компоновщик настроек, в который можно внести изменения.
//  ИмяМакета  - Строка - имя макета выполняемой СКД которая выполняется.
//
Процедура КомпоновщикНастроекСхемыФормированияДанныхПослеЗагрузкиНастроек(КомпоновщикНастроек, ИмяМакета) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.КомпоновщикНастроекСхемыФормированияДанныхПослеЗагрузкиНастроек(КомпоновщикНастроек, ИмяМакета) 
```
</details>

## ПолучитьТекстЗапросаЗаказы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса, который позволит получить таблицу значений, описанную в макете "СхемаВыгрузкиЗаказов"
// плана обмена "Обмен с сайтом".
//
// Параметры:
//  ТекстЗапроса - Строка - текст запроса.
//
Процедура ПолучитьТекстЗапросаЗаказы(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьТекстЗапросаЗаказы(ТекстЗапроса) 
```
</details>

## УстановитьПараметрыТекстаЗапросаЗаказы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры схемы компоновки, которые могли появиться в тексте запроса в процедуре
// ПолучитьТекстЗапросаЗаказы или быть особенностью прикладного решения.
//
// Параметры:
//  ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                    подсистемы в прикладное решение.
//  ПараметрыКомпоновки - ПараметрСхемыКомпоновкиДанных - параметры схемы компоновки текста запроса в процедуре
//                                                        ПолучитьТекстЗапросаЗаказы.
//
Процедура УстановитьПараметрыТекстаЗапросаЗаказы(ПрикладныеПараметры, ПараметрыКомпоновки) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.УстановитьПараметрыТекстаЗапросаЗаказы(ПрикладныеПараметры, ПараметрыКомпоновки) 
```
</details>

## ЗаполнитьУдаляемыеПоляОтбораКаталог
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив полями, которые должны быть удалены из отбора
// в макете "СхемаВыгрузкиКаталог" плана обмена "Обмен с сайтом".
//
// Параметры:
//  УдаляемыеПоля - Массив - наименованием полей, которые должны быть удалены из отбора.
//
Процедура ЗаполнитьУдаляемыеПоляОтбораКаталог(УдаляемыеПоля) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗаполнитьУдаляемыеПоляОтбораКаталог(УдаляемыеПоля) 
```
</details>

## ЗаполнитьУдаляемыеПоляОтбораПакетПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив полями, которые должны быть удалены из отбора
// в макете "СхемаВыгрузкиПакетПредложений" плана обмена "Обмен с сайтом".
//
// Параметры:
//  УдаляемыеПоля - Массив - наименованием полей, которые должны быть удалены из отбора.
//
Процедура ЗаполнитьУдаляемыеПоляОтбораПакетПредложений(УдаляемыеПоля) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗаполнитьУдаляемыеПоляОтбораПакетПредложений(УдаляемыеПоля) 
```
</details>

## ЗаполнитьУдаляемыеПоляОтбораОбновлениеПакетаПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив полями, которые должны быть удалены из отбора
// в макете "СхемаВыгрузкиПакетПредложений" плана обмена "Обмен с сайтом".
//
// Параметры:
//  УдаляемыеПоля - Массив - наименованием полей, которые должны быть удалены из отбора.
//
Процедура ЗаполнитьУдаляемыеПоляОтбораОбновлениеПакетаПредложений(УдаляемыеПоля) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗаполнитьУдаляемыеПоляОтбораОбновлениеПакетаПредложений(УдаляемыеПоля) 
```
</details>

## ИзменитьПараметрыОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В данной процедуре возможно изменить параметры обмена перед началом обмена
//
// Параметры:
//  ПараметрыОбмена  - Структура - текущие параметры обмена, имеет следующие свойства:
//    * УзелОбмена - ПланОбмена.ОбменССайтом - план обмена, для которого будет выполнен обмен.
//    * НастройкиПодключения - структура настроек для подключения к сайту, содержит следующие свойства:
//        * Пользователь - Строка - имя пользователя для подключения к сайту.
//        * АдресСайта - Строка - адрес сайта.
//        * Пароль - Строка - пароль для подключения.
//    * ВыгружатьИзменения - Булево - если Истина, то будут выгружаться только измененные объекты.
//    * ОтборГруппыКатегорииНоменклатуры  - ПеречислениеСсылка.ВидыОтборовНоменклатуры - режим отбора номенклатуры
//                                                                                       (по группам или категориям).
//    * РазмерПорции - Число - количество товаров, данные о которых будут выгружены на сайт в одной порции данных.
//    * КоличествоПовторов - Число - количество попыток выгрузки данных на сайт в случае сбоя в обмене.
//    * ВладелецКаталога - ОпределяемыйТип.Организация - организация, от имени которой будет публиковаться каталог товаров
//    * ОбменЗаказами - Булево - определяет, загружать ли с сайта заказы.
//    * ОбменТоварами - Булево - определяет, выгружать ли на сайт данные, связанные с товарами.
//    * ВыгружатьТовары - Булево - определяет, выгружать ли на сайт каталог товаров.
//    * ВыгружатьЦеныОстатки - Булево - определяет, выгружать ли на сайт данные по ценам.
//    * ВыгружатьОбновленияЦенИОстатков - Булево - определяет, выгружать ли на сайт информацию об изменении цен и остатков товаров.
//    * КаталогВыгрузки - Строка - каталог на диске, в который будут сохранены файлы обмена.
//    * ВыгружатьНаСайт - Булево - если Истина, то выгрузка будет производиться непосредственно на сайт, а не в каталог выгрузки.
//    * ВыгружатьКартинки - Булево - определяет, выполнять ли выгрузку изображений номенклатуры.
//    * РазрешенныеТипыКартинок - Массив - содержит допустимые расширения файлов картинок.
//    * НаименованиеНалога - Строка - наименование налога, применяемого к товару.
//    * ИспользоватьХарактеристики - Булево - определяет, используются ли характеристики.
//    * РежимЗапускаОбмена - Строка - строка, поясняющая был ли обмен запущен интерактивно
//                                    или через регл. задание.
//    * ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                        подсистемы в прикладное решение.
//    * ФайлЗагрузки - Строка - путь к файлу XML, из которого будут загружаться заказы.
//    * СтруктураИзменений - Структура - имеет следующие свойства:
//        * Заказы - Массив - массив ссылок на заказы, подлежащие выгрузке.
//        * Товары - Массив - массив ссылок на товары, подлежащие выгрузке.
//  УзелОбмена  - ПланОбмена.ОбменССайтом - план обмена, для которого будет выполнен обмен.
//
Процедура ИзменитьПараметрыОбмена(ПараметрыОбмена, УзелОбмена) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ИзменитьПараметрыОбмена(ПараметрыОбмена, УзелОбмена) 
```
</details>

## ЗаписатьДатуНомерЗаказовССайта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура записывает в БП информацию о номера и дате заказа на сайте.
//
// Параметры:
//  ТаблицаЗаказов - ТаблицаЗначений - информация о заказах, загруженных с сайта:
//    * Заказ - Ссылка - ссылка на документ Заказ покупателя;
//    * НомерЗаказа - Строка - номер заказа на сайте;
//    * ДатаЗаказа - Дата - дата заказа на сайте;
//  ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                    подсистемы в прикладное решение.
//
Процедура ЗаписатьДатуНомерЗаказовССайта(ТаблицаЗаказов, ПрикладныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗаписатьДатуНомерЗаказовССайта(ТаблицаЗаказов, ПрикладныеПараметры) 
```
</details>

## ЗаполнитьИнформациюОСкладахИТочкахСамовывоза
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет информацию о складах.
//
// Параметры:
//	СписокТочекСамовывоза - СписокЗначений - точки самовывоза, указанные в узле обмена.
//	СписокСкладов - СписокЗначений - склады полученные в результате выполнения запроса (при выгрузке пакета предложений).
//	ИнформацияОТочкахСамовывоза - ТаблицаЗначений - таблица, в которой будет храниться информация о точках самовывоза и складах.
//    * Склад - Ссылка, ссылка на элемент справочника (склады или точки самовывоза).
//    * СкладНаименование - наименование склада.
//    * СкладАдрес - Адресная информация о складе - Структура СкладАдрес.
//    * СкладКонтактнаяИнформация - Контактная информация о складе  -структура "СкладКонтактнаяИнформация".
//	СкладАдрес - Структура - структура, в которой необходимо представить адресную информацию о складе:
//    ** ПочтовыйИндекс - Строка - почтовый индекс.
//    ** Страна - Строка - наименование страны.
//    ** Регион - Строка - наименование региона.
//    ** Район - Строка - наименование района.
//    ** НаселенныйПункт - Строка - наименование населенного пункта.
//    ** Город - Строка - наименование города.
//    ** Улица - Строка - наименование улицы.
//    ** Дом - Строка - номер дома.
//    ** Корпус - Строка - номер корпуса.
//    ** Квартира - Строка - номер квартиры.
//	СкладКонтактнаяИнформация - Структура - структура, в которой необходимо представить контактную информацию о складе:
//    ** ТелефонРабочий - Строка - номер телефона,
//    ** Почта- Строка - адрес электронной почты,
//    ** КоординатыНаКарте- Строка - координаты,
//    ** Прочее - Строка - дополнительная информация.
//
Процедура ЗаполнитьИнформациюОСкладахИТочкахСамовывоза(СписокТочекСамовывоза, СписокСкладов, Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗаполнитьИнформациюОСкладахИТочкахСамовывоза(СписокТочекСамовывоза, СписокСкладов, );
```
</details>

## УстановитьВидимостьТабличнойЧастиСоответствиеЗаказовФормыУзлаПланаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В зависимости от значения функциональной опции "Использовать статусы заказов" устанавливается
// видимость табличной части "Соответствия заказов".
//
// Параметры:
//  Видимость - Булево - признак видимости табличной части.
//
Процедура УстановитьВидимостьТабличнойЧастиСоответствиеЗаказовФормыУзлаПланаОбмена(Видимость) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.УстановитьВидимостьТабличнойЧастиСоответствиеЗаказовФормыУзлаПланаОбмена(Видимость) 
```
</details>

## ЗарегистрироватьИзмененияВУзлах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В зависимости от типа регистрируемых данных определяет данные, которые необходимо зарегистрировать в плане обмена.
//
// Параметры:
//  Объект - СправочникОбъект, ДокументОбъект - регистрируемый объект данных, например, НоменклатураОбъект, ЗаказОбъект.
//  МассивУзловТовары - Массив - массив узлов плана обмена "Обмен с сайтом" в которых необходимо регистрировать объект
//                               в том случае если он является Номенклатурой.
//  МассивУзловЗаказы - Массив - массив узлов плана обмена "Обмен с сайтом" в которых необходимо регистрировать объект
//                               в том случае если он является Заказом.
//  Замещение - Булево - замещение данных регистрации.
//
Процедура ЗарегистрироватьИзмененияВУзлах(Объект, МассивУзловТовары, МассивУзловЗаказы, Замещение = Ложь) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗарегистрироватьИзмененияВУзлах(Объект, МассивУзловТовары, МассивУзловЗаказы, Замещение);
```
</details>

## ОпределитьЭтоЮрЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет статус контрагента по значению перечисления.
//
// Параметры:
//  ДанныеКонтрагентаЮрФизЛицо - ПеречислениеСсылка - определяет юридический статус контрагента.
//                               В зависимости от статуса контрагента при выгрузке на сайт
//                               будут по разному заполняется данные о контрагенте.
//  ЭтоЮрЛицо - Булево - если это юридическое лицо заполняется ИНН, КПП, если это физическое лицо, то наименование.
//
Процедура ОпределитьЭтоЮрЛицо(ДанныеКонтрагентаЮрФизЛицо, ЭтоЮрЛицо) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ОпределитьЭтоЮрЛицо(ДанныеКонтрагентаЮрФизЛицо, ЭтоЮрЛицо) 
```
</details>

## ДополнитьИдНоменклатурыХарактеристикой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// К ИД номенклатуры добавляет ИД характеристики, если она задана.
//
// Параметры:
//	Номенклатура - Ссылка - например, СправочникСсылка.Номенклатура.
//	Характеристика - Ссылка - например, СправочникСсылка.ХарактеристикиНоменклатуры.
//  Ид - Строка - идентификатор.
//
Процедура ДополнитьИдНоменклатурыХарактеристикой(Номенклатура, Характеристика, Ид) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ДополнитьИдНоменклатурыХарактеристикой(Номенклатура, Характеристика, Ид) 
```
</details>

## ПолучитьРанееЗагруженныеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает заказы, загруженные с сайта.
//
// Параметры:
//  ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                    подсистемы в прикладное решение.
//  ТаблицаНомераИДатыЗаказов - ТаблицаЗначений - таблица содержащая номера и даты заказов, загруженных с сайта;
//    * НомерЗаказа - строка - номер заказа;
//    * ДатаЗаказа - строка - дата заказа.
//  Результат - ТаблицаЗначений - информация о заказах;
//    * ЗаказПокупателя - ссылка на документ Заказ.
//    * НомерЗаказаНаСайте - номер заказа.
//    * НеОбновлятьЗаказ - признак того, что Заказ не должен перезаписываться.
//
Процедура ПолучитьРанееЗагруженныеДокументы(ПрикладныеПараметры, ТаблицаНомераИДатыЗаказов, Результат) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьРанееЗагруженныеДокументы(ПрикладныеПараметры, ТаблицаНомераИДатыЗаказов, Результат) 
```
</details>

## СоздатьНовыйДокументЗаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новый документ "Заказ покупателя".
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - выходной параметр, заполняется созданным объектом документа Заказ.
//
Процедура СоздатьНовыйДокументЗаказ(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.СоздатьНовыйДокументЗаказ(ДокументОбъект) 
```
</details>

## ЗаполнитьЗаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет документ заказ данными с сайта.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - объект документа Заказ покупателя.
//  РеквизитыЗаказа - Структура - содержит значения реквизитов заказа, загруженных с сайта:
//     * Ид - Идентификатор заказа, очень часто тоже что и номер.
//     * Дата				- дата создания заказа на сайте.
//     * Номер				- номер заказа на сайте.
//     * ДатаОтгрузки		- дата отгрузки товара по заказу.
//     * ВалютаДокументаКод	- трехзначный идентификатор валюты.
//     * ВидЦенНаименование	- наименование вида цены.
//     * СуммаВключаетНДС	- признак включения НДС.
//     * НаименованиеСкидки	- наименование скидки.
//     * ПроцентСкидки		- процент скидки.
//     * СуммаСкидки		- сумма скидки по заказу.
//     * СкладНаименование 	- наименование склада, точки самовывоза.
//     * ПодразделениеНаименование - наименование подразделения.
//     * Контрагент			- ссылка на контрагента, который уже был идентифицирован в базе.
//     * АдресДоставки      - строка адреса доставки.
//     * ТочкаСамовывоза	- ссылка на элемент справочника, который в прикладном решении является справочником точек самовывоза или Неопределено.
//     * Товары				- табличная часть документа.
//     * Комментарий		- текстовый комментарий.
//  СвойстваЗаказа - Соответствие - содержит строковое представления свойств (ключ) и значений (значение) заказа.
//  ПрикладныеПараметры - Структура - содержит параметры прикладного решения, добавленные на форму узла плана обмена.
//  ОписаниеОшибки - Строка - текстовое представление ошибки.
//  Успешно - Булево - признак заполнения документа.
//
Процедура ЗаполнитьЗаказ(ДокументОбъект, РеквизитыЗаказа, СвойстваЗаказа, ПрикладныеПараметры, ОписаниеОшибки, Успешно) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗаполнитьЗаказ(ДокументОбъект, РеквизитыЗаказа, СвойстваЗаказа, ПрикладныеПараметры, ОписаниеОшибки, Успешно) 
```
</details>

## ИдентифицироватьКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск контрагента по настройкам плана обмена.
//
// Параметры:
//	СтруктураСвойстваЗаказа - Структура - содержит реквизиты заказа, загруженные с сайта. В данной структуре необходимо
//                                        заполнить поле "Контрагент".
//  ДанныеКонтрагента - Структура - содержит реквизита контрагента, загруженная с заказа, по данным реквизитам будет
//                                  происходить поиск существующего контрагента или создание нового:
//    * ЮрЛицо - Тип Булево. Признак наличия статуса Юр. лицо у контрагента.
//    * ОфициальноеНаименование - Тип строка.Официальное Наименование контрагента Юр. лица.
//    * ПолноеНаименование - Тип строка. Полное наименование контрагента Юр. лица.
//    * Наименование - Тип строка. Наименование контрагента.
//    * ФИО - ФИО контрагента, если он Физ. лицо.
//    * ОКПО - код ОКПО
//    * ИНН - код ИНН
//    * КПП - код КПП
//    * РасчетныеСчета - Массив - элементами массива является структура, в которой описаны свойства
//                                расчетного счета (необязательное поле):
//        ** НомерСчета - Строка - Номер банковского счета контрагента
//        ** ДанныеБанка - Структура - Данные банка расчетного счета:
//             *** Наименование - Строка
//             *** БИК - Строка
//             *** SWIFT - Строка
//             *** КоррСчет - Строка
//             *** Адрес - Строка
//             *** Город - Строка
//    * ИнформацияПоКонтрагенту - ТаблицаЗначений - содержит строковое представление и значение
//                                                  контактной информации о контрагенте:
//        ** Вид - Вид контактной информации.
//        ** Значение - значение контактной информации.
//  ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                    подсистемы в прикладное решение.
//  ОписаниеОшибки - Строка - текстовое представление ошибки.
//
//	Пример:
//   Заполнение таблицы ИнформацияПоКонтрагенту:
//			Вид						Значение
//			"Наименование"			Администратор
//			"Полное наименование"	Администратор
//			"Юр./Физ. лицо"			Физ. лицо
//			"Юридический адрес"		Ул. Ленина
//			"Почта"					email@example.com
//			"Контактные лица"		Администратор
//
Процедура ИдентифицироватьКонтрагента(СтруктураСвойстваЗаказа, ДанныеКонтрагента, ПрикладныеПараметры, ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ИдентифицироватьКонтрагента(СтруктураСвойстваЗаказа, ДанныеКонтрагента, ПрикладныеПараметры, ОписаниеОшибки) 
```
</details>

## НайтиСоздатьНоменклатуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет номенклатуру по ИД, если не находит - ищет по артикулу и наименованию, если не находит - создает новую.
//
// Параметры:
//   Номенклатура - Ссылка - Ссылка на найденную или новую номенклатуру.
//   ДанныеНоменклатуры - Структура - Структура, содержащая информацию о номенклатуре, загруженной с сайта,
//     по данным которой необходимо провести поиск существующей номенклатуры или создать новую.
//     * Ид - Строка - внутренний идентификатор номенклатуры.
//     * АртикулНоменклатуры - Строка - Артикул номенклатуры.
//     * НаименованиеНоменклатуры - Строка - Наименование номенклатуры.
//     * ЕдиницаИзмерения - Справочник.ЕдиницыИзмерения - ссылка на единицу измерения товара.
//     * ЭтоУслуга - Булево - признак услуги.
//     * СтавкаНДС - Перечисление.СтавкиНДС - ставка НДС номенклатуры.
//   ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                    подсистемы в прикладное решение.
//   ОписаниеОшибки - Строка - текстовое представление ошибки.
//
Процедура НайтиСоздатьНоменклатуру(Номенклатура, ДанныеНоменклатуры, ПрикладныеПараметры, ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.НайтиСоздатьНоменклатуру(Номенклатура, ДанныеНоменклатуры, ПрикладныеПараметры, ОписаниеОшибки) 
```
</details>

## НайтиСоздатьУпаковку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск единицы измерения товара по коду.
//
// Параметры:
//  КодУпаковки - Строка - код упаковки товара.
//  Упаковка - СправочникСсылка - ссылка на упаковку.
//
Процедура НайтиСоздатьУпаковку(КодУпаковки, Упаковка) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.НайтиСоздатьУпаковку(КодУпаковки, Упаковка) 
```
</details>

## СоздатьТочкуСамовывоза
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новый элемент справочника являющегося в прикладном решении точками самовывоза, например, Склады, Магазины.
//
// Параметры:
//  ДанныеТочки - Структура - параметры точки:
//    * Ид - Строка - идентификатор точки самовывоза.
//    * Адрес - Структура - структура с полями "ТипАдреса" и "ЗначениеАдреса".
//    * Контакты - Структура - структура с полями "ТипКонтакта" и "ЗначениеКонтакта".
//    * Наименование - Строка - наименование точки самовывоза.
//  ТочкаСамовывоза - СправочникСсылка - ссылка на элемент справочника,который в прикладном решении является точкой самовывоза.
//
Процедура СоздатьТочкуСамовывоза(ДанныеТочки, ТочкаСамовывоза) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.СоздатьТочкуСамовывоза(ДанныеТочки, ТочкаСамовывоза) 
```
</details>

## ПолучитьПоСтавкеНДСЗначениеДляВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет значение ставки НДС по переданному элементу справочника или перечисления.
//
// Параметры:
//   СтавкаНДС - ПеречислениеСсылка, СправочникСсылка - ставка НДС, выраженная элементом объекта метаданных прикладного решения.
//   ЗначениеСтавкиНДС - Число - Значение ставки НДС выраженное числом.
//
Процедура ПолучитьПоСтавкеНДСЗначениеДляВыгрузки(СтавкаНДС, ЗначениеСтавкиНДС) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьПоСтавкеНДСЗначениеДляВыгрузки(СтавкаНДС, ЗначениеСтавкиНДС) 
```
</details>

## ОбновитьСоздатьДополнительныеСведенияЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в регистр сведений дополнительные сведения о заказе.
//
// Параметры:
//   ОбновленыСвойстваЗаказа - Булево - признак успешного выполнения процедуры.
//   ПрикладныеПараметры - Структура - прикладные параметры обмена.
//   ЗаказПокупателя - ДокументСсылка - ссылка на документ ЗаказПокупателя.
//   СвойстваЗаказа - Соответствие - содержит строковое представления свойств (ключ) и значений (значение) заказа.
//   ОписаниеОшибки - Строка - текстовое представление ошибки.
//
Процедура ОбновитьСоздатьДополнительныеСведенияЗаказа(ОбновленыСвойстваЗаказа, Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ОбновитьСоздатьДополнительныеСведенияЗаказа(ОбновленыСвойстваЗаказа, );
```
</details>

## ПослеЗаписиЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет дополнительные процедуры после записи заказа.
//
// Параметры:
//   ЗаказПокупателя - ДокументСсылка - ссылка на документ ЗаказПокупателя.
//   ПрикладныеПараметры - Структура - прикладные параметры обмена.
//   СвойстваЗаказа - Соответствие - содержит строковое представления свойств (ключ) и значений (значение) заказа.
//
Процедура ПослеЗаписиЗаказа(ЗаказПокупателя, ПрикладныеПараметры, СвойстваЗаказа) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПослеЗаписиЗаказа(ЗаказПокупателя, ПрикладныеПараметры, СвойстваЗаказа) 
```
</details>

## УстановитьПризнакИспользоватьХарактеристики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В зависимости от настроек прикладного решения установка флага использования характеристик.
//
// Параметры:
//  ИспользоватьХарактеристики - Булево - установка признака использования характеристик.
//
// Пример:
//  ИспользоватьХарактеристики = ПолучитьФункциональнуюОпцию("ИспользоватьХарактеристики").
//
Процедура УстановитьПризнакИспользоватьХарактеристики(ИспользоватьХарактеристики) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.УстановитьПризнакИспользоватьХарактеристики(ИспользоватьХарактеристики) 
```
</details>

## ОтменитьЗаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Меняет статус заказа на "Отменен".
// Параметры:
//   ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                    подсистемы в прикладное решение.
//   ДокументСсылка - Ссылка - ссылка на документ Заказ, у которого нужно поменять статус.
Процедура ОтменитьЗаказ(ПрикладныеПараметры, ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ОтменитьЗаказ(ПрикладныеПараметры, ДокументСсылка) 
```
</details>

## ОпределитьСтатусОплатыЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет была ли оплата по заказу.
//
// Параметры:
//   ЗаказОплачен - Булево - признак того, что заказ был оплачен, влияет на статус оплаты заказа на сайте.
//   СтатусЗаказа - ПеречислениеСсылка - статус заказа в прикладном решении.
//   ДанныеДокументаКОплатеОстаток - Число - не оплаченный остаток денег по заказу.
//
Процедура ОпределитьСтатусОплатыЗаказа(ЗаказОплачен, СтатусЗаказа, Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ОпределитьСтатусОплатыЗаказа(ЗаказОплачен, СтатусЗаказа, );
```
</details>

## ОпределитьСтатусСостоянияЗаказаЗаказВРаботе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет текущее состояние заказа.
//
// Параметры:
//   ЗаказВРаботе - Булево - Признак того, что заказ был "обработан" в прикладном решении (т.е. поменял свой статус после загрузки с сайта).
//                           Данный признак влияет на статус заказа на сайте.
//   ДанныеДокументаСостояниеЗаказа - ПеречислениеСсылка, СправочникСсылка - статус заказа, который он может принимать в прикладном решении.
Процедура ОпределитьСтатусСостоянияЗаказаЗаказВРаботе(ЗаказВРаботе, ДанныеДокументаСостояниеЗаказа) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ОпределитьСтатусСостоянияЗаказаЗаказВРаботе(ЗаказВРаботе, ДанныеДокументаСостояниеЗаказа) 
```
</details>

## ОпределитьСтатусОтгрузкиЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет была ли отгрузка товара по заказу.
//
// Параметры:
//   ЗаказОтгружен - Булево - признак того, что товар по заказу был отгружен. Влияет на статус отгрузки заказа на сайте.
//   ДанныеДокументаСтатусЗаказа - ПеречислениеСсылка, СправочникСсылка - статус, который может иметь заказ в прикладном решении.
//   ДанныеДокументаКОтгрузкеОстаток - Число - неотгруженный остаток по заказу (заказано было 7, а отгрузили 5).
Процедура ОпределитьСтатусОтгрузкиЗаказа(ЗаказОтгружен, ДанныеДокументаСтатусЗаказа, Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ОпределитьСтатусОтгрузкиЗаказа(ЗаказОтгружен, ДанныеДокументаСтатусЗаказа, );
```
</details>

## ОпределитьНеобходимостьНДСВЗаказе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение нужно ли считать НДС.
//
// Параметры:
//  СчитатьНДС - Булево - признак о необходимости считать НДС по заказу.
//  ВыборкаДокументовНалогообложениеНДС - ПеречислениеСсылка, СправочникСсылка - ссылка на объект.
//
Процедура ОпределитьНеобходимостьНДСВЗаказе(СчитатьНДС, ВыборкаДокументовНалогообложениеНДС) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ОпределитьНеобходимостьНДСВЗаказе(СчитатьНДС, ВыборкаДокументовНалогообложениеНДС) 
```
</details>

## ПолучитьСоответствиеДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет соответствие справочников библиотеки и прикладного решения,
// в случае различий в наименовании справочников.
//
// Параметры:
//  СоответствиеДокументов - Соответствие - определяет соответствие служебных имен, используемых в библиотеке и
//                                          и реальных имен документов, используемых в прикладном решении.
//                                          Обязательно должно содержать ключ "ЗаказПокупателя".
//
Процедура ПолучитьСоответствиеДокументов(СоответствиеДокументов) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьСоответствиеДокументов(СоответствиеДокументов) 
```
</details>

## ПолучитьСоответствиеСправочников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет соответствие справочников библиотеки и прикладного решения,
// в случае различий в наименовании справочников.
//
// Параметры:
//  СоответствиеСправочников - Соответствие - определяет соответствие служебных имен, используемых в библиотеке и
//                                          и реальных имен справочников, используемых в прикладном решении.
//                                          Обязательно должно содержать ключи "Номенклатура", "ТочкиСамовывоза",
//                                          "ХарактеристикиНоменклатуры", "Организации",
//                                          "НоменклатураПрисоединенныеФайлы", "ВидыЦен", "Склады", "ВидыНоменклатуры".
//
Процедура ПолучитьСоответствиеСправочников(СоответствиеСправочников) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьСоответствиеСправочников(СоответствиеСправочников) 
```
</details>

## ПолучитьСоответствиеПВХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет соответствие справочников библиотеки и прикладного решения, в случае различий в наименовании справочников.
//
// Параметры:
//  СоответствиеПВХ - Соответствие - определяет соответствие служебных имен, используемых в библиотеке и
//                                   и реальных имен планов видов характеристик, используемых в прикладном решении.
//                                   Обязательно должно содержать ключ "ДополнительныеРеквизитыИСведения".
//
Процедура ПолучитьСоответствиеПВХ(СоответствиеПВХ) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьСоответствиеПВХ(СоответствиеПВХ) 
```
</details>

## ПолучитьСоответствиеФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие форм библиотеки и прикладного решения.
// Параметры:
//   СоответствиеФорм - Соответствие - используется для переопределения форм, вызываемых библиотекой.
//                                     Обязательно должно содержать ключ "ФормаВыбораТочекСамовывоза".
Процедура ПолучитьСоответствиеФорм(СоответствиеФорм) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьСоответствиеФорм(СоответствиеФорм) 
```
</details>

## ПолучитьНастройкиПроксиСервера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// формирует прокси по настройкам прокси (передаваемому параметру).
//
// Параметры:
//  НастройкаПроксиСервера - Соответствие - настройка прокси-сервера:
//    * ИспользоватьПрокси - Булево - использовать ли прокси-сервер.
//    * НеИспользоватьПроксиДляЛокальныхАдресов - Булево - использовать ли прокси-сервер для локальных адресов.
//    * ИспользоватьСистемныеНастройки - Булево - использовать ли системные настройки прокси-сервера.
//    * Сервер       - Строка - адрес прокси-сервера.
//    * Порт         - Число - порт прокси-сервера.
//    * Пользователь - Строка - имя пользователя для авторизации на прокси-сервере.
//    * Пароль       - Строка - пароль пользователя.
//
Процедура ПолучитьНастройкиПроксиСервера(НастройкаПроксиСервера) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПолучитьНастройкиПроксиСервера(НастройкаПроксиСервера) 
```
</details>

## РеквизитыЗаказаНаСайте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет номер и дату заказа на сайте.
//
// Параметры:
//	ДокСсылка - Ссылка - ссылка на документ Заказ.
//	УзелОбмена - Структура - параметры прикладного решения, размещенные в форме узла плана обмена.
//  ДанныеССайта - структура - заполняется в процедуре.
//     * НомерЗаказаНаСайте - Строка - номер заказа на сайте.
//     * ДатаЗаказаНаСайте - Дата - дата заказа на сайте.
//
Процедура РеквизитыЗаказаНаСайте(ДокСсылка, УзелОбмена, ДанныеССайта) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.РеквизитыЗаказаНаСайте(ДокСсылка, УзелОбмена, ДанныеССайта) 
```
</details>

## ЗаполнитьПрикладныеРеквизитыФормыУзлаОбменССайтом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив реквизитов формы, значение которых должно быть сохранено.
//
// Параметры:
//  МассивРеквизитов - Массив - реквизиты для заполнения.
//
Процедура ЗаполнитьПрикладныеРеквизитыФормыУзлаОбменССайтом(МассивРеквизитов) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ЗаполнитьПрикладныеРеквизитыФормыУзлаОбменССайтом(МассивРеквизитов) 
```
</details>

## ДополнитьПараметрыПрикладногоРешения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет произвольные поля в структуру ПрикладныеПараметры.
//
// Параметры:
//   ПрикладныеПараметры - Структура - параметры обмена которые были добавлены в форму узла при встраивании
//                                     подсистемы в прикладное решение.
//
Процедура ДополнитьПараметрыПрикладногоРешения(ПрикладныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ДополнитьПараметрыПрикладногоРешения(ПрикладныеПараметры) 
```
</details>

## ОбработчикОбновленияПереопределяемый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет логику прикладного решения при обновлении конфигурации.
//
// Параметры:
//  ИмяОбработчика - Строка - представление обработчика обновления, вызвавшего процедуру.
//
Процедура ОбработчикОбновленияПереопределяемый(ИмяОбработчика) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ОбработчикОбновленияПереопределяемый(ИмяОбработчика) 
```
</details>

## ДобавитьРеквизитыФормыУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В форму узла плана обмена добавляются реквизиты прикладного решения и элементы формы к ним.
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма узла плана обмена "Обмен с сайтом".
//  ТекущийОбъект - ПланОбменаОбъект - Объект плана обмена "Обмен с сайтом".
//
Процедура ДобавитьРеквизитыФормыУзла(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ДобавитьРеквизитыФормыУзла(Форма, ТекущийОбъект) 
```
</details>

## ПриСозданииНаСервереФормаПомощникПодключенияЮМИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы "Помощник подключения ЮМИ" обработки "Обмен с сайтами".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
//
Процедура ПриСозданииНаСервереФормаПомощникПодключенияЮМИ(Форма) Экспорт
```

Пример вызова
```bsl
ОбменССайтомПереопределяемый.ПриСозданииНаСервереФормаПомощникПодключенияЮМИ(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
