---
title: Обмен с сайтом события
slug: erp-uh/обмен-с-сайтом-события
---


## ЗаписатьОшибку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьОшибку(ТекстСообщения, УзелОбмена) Экспорт
```

Пример вызова
```bsl
ОбменССайтомСобытия.ЗаписатьОшибку(ТекстСообщения, УзелОбмена) 
```
</details>

## ОбменССайтомПередЗаписьюРегистраПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "ОбменССайтомПередЗаписьюРегистра".
// Выполняет регистрацию изменений для узлов плана обмена с сайтом.
//
Процедура ОбменССайтомПередЗаписьюРегистраПередЗаписью(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ОбменССайтомСобытия.ОбменССайтомПередЗаписьюРегистраПередЗаписью(Источник, Отказ, Замещение) 
```
</details>

## ОбменССайтомПриЗаписиОбъектаПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "ОбменССайтомПриЗаписиСправочника".
// Выполняет регистрацию изменений для узлов плана обмена с сайтом.
//
Процедура ОбменССайтомПриЗаписиОбъектаПриЗаписи(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбменССайтомСобытия.ОбменССайтомПриЗаписиОбъектаПриЗаписи(Источник, Отказ) 
```
</details>

## ЗаполнитьСтруктуруИзмененийДляУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в структуру ссылки на измененные объекты по узлу плана обмена.
//
// Параметры:
//  УзелПланаОбмена - планОбменаСсылка - узел плана обмена "Обмен с сайтом".
//  СтруктураВозврата - структура - зарегистрированные объекты для обмена.
//
Процедура ЗаполнитьСтруктуруИзмененийДляУзла(УзелПланаОбмена, СтруктураВозврата) Экспорт
```

Пример вызова
```bsl
ОбменССайтомСобытия.ЗаполнитьСтруктуруИзмененийДляУзла(УзелПланаОбмена, СтруктураВозврата) 
```
</details>

## ОтменитьРегистрацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет регистрацию у тех заказов, которые были загружены с сайта
//
Процедура ОтменитьРегистрацию(ЗаказСсылка) Экспорт
```

Пример вызова
```bsl
ОбменССайтомСобытия.ОтменитьРегистрацию(ЗаказСсылка) 
```
</details>

## ЗаданиеВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запуск обмена с сайтом из регламентного задания.
//
// Параметры:
//  КодУзлаОбмена		- строка с кодом узла плана обмена.
Процедура ЗаданиеВыполнитьОбмен(КодУзлаОбмена) Экспорт
```

Пример вызова
```bsl
ОбменССайтомСобытия.ЗаданиеВыполнитьОбмен(КодУзлаОбмена) 
```
</details>

## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает процедуру обмена с сайтом.
// Параметры
//  УзелОбмена - Ссылка на план обмена с сайтом.
//  РежимЗапускаОбмена - строка - поясняющая был ли обмен запущен интерактивно
//						или через регл. задание.
//  ВыгружатьТолькоИзменения - Булево - определяет будут выгружаться все данные
// 						или только зарегистрированные.
Процедура ВыполнитьОбмен(УзелОбмена, РежимЗапускаОбмена, ВыгружатьТолькоИзменения = Истина, ПараметрыОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменССайтомСобытия.ВыполнитьОбмен(УзелОбмена, РежимЗапускаОбмена, ВыгружатьТолькоИзменения, ПараметрыОбновления);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
