---
title: Обновление информационной базы БМ
slug: erp-uh/обновление-информационной-базы-бм
---


## ПриДобавленииПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////
// Получение сведений о конфигурации.

// См. процедуру ОбновлениеИнформационнойБазыБСП.ПриДобавленииПодсистемы.
Процедура ПриДобавленииПодсистемы(Описание) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПриДобавленииПодсистемы(Описание) 
```
</details>

## ПриДобавленииОбработчиковОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. процедуру ОбновлениеИнформационнойБазыБСП.ПриДобавленииОбработчиковОбновления.
Процедура ПриДобавленииОбработчиковОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПриДобавленииОбработчиковОбновления(Обработчики) 
```
</details>

## ПередОбновлениемИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. процедуру ОбновлениеИнформационнойБазыБСП.ПередОбновлениемИнформационнойБазы.
Процедура ПередОбновлениемИнформационнойБазы() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПередОбновлениемИнформационнойБазы() 
```
</details>

## ПослеОбновленияИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. процедуру ОбновлениеИнформационнойБазыБСП.ПослеОбновленияИнформационнойБазы.
Процедура ПослеОбновленияИнформационнойБазы(Знач ПредыдущаяВерсия, Знач ТекущаяВерсия, Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПослеОбновленияИнформационнойБазы(ПредыдущаяВерсия, ТекущаяВерсия, );
```
</details>

## ПриПодготовкеМакетаОписанияОбновлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. процедуру ОбновлениеИнформационнойБазыБСП.ПриПодготовкеМакетаОписанияОбновлений.
Процедура ПриПодготовкеМакетаОписанияОбновлений(Знач Макет) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПриПодготовкеМакетаОписанияОбновлений(Макет) 
```
</details>

## ПриОпределенииРежимаОбновленияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить режим обновления данных информационной базы.
// Для использования в редких (нештатных) случаях перехода, не предусмотренных в
// стандартной процедуре определения режима обновления.
//
// Параметры:
//   РежимОбновленияДанных - Строка - в обработчике можно присвоить одно из значений:
//              "НачальноеЗаполнение"     - если это первый запуск пустой базы (области данных);
//              "ОбновлениеВерсии"        - если выполняется первый запуск после обновление конфигурации базы данных;
//              "ПереходСДругойПрограммы" - если выполняется первый запуск после обновление конфигурации базы данных,
//                                          в которой изменилось имя основной конфигурации.
//
//   СтандартнаяОбработка  - Булево - если присвоить Ложь, то стандартная процедура
//                                    определения режима обновления не выполняется,
//                                    а используется значение РежимОбновленияДанных.
//
Процедура ПриОпределенииРежимаОбновленияДанных(РежимОбновленияДанных, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПриОпределенииРежимаОбновленияДанных(РежимОбновленияДанных, СтандартнаяОбработка) 
```
</details>

## ПриДобавленииОбработчиковПереходаСДругойПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в список процедуры-обработчики перехода с другой программы (с другим именем конфигурации).
// Например, для перехода между разными, но родственными конфигурациями: базовая -> проф -> корп.
// Вызывается перед началом обновления данных ИБ.
//
// Параметры:
//  Обработчики - ТаблицаЗначений - с колонками:
//    * ПредыдущееИмяКонфигурации - Строка - имя конфигурации, с которой выполняется переход;
//                                           или "*", если нужно выполнять при переходе с любой конфигурации.
//    * Процедура                 - Строка - полное имя процедуры-обработчика перехода с программы ПредыдущееИмяКонфигурации.
//                                  Например, "ОбновлениеИнформационнойБазыУПП.ЗаполнитьУчетнуюПолитику"
//                                  Обязательно должна быть экспортной.
//
// Пример:
//  Обработчик = Обработчики.Добавить();
//  Обработчик.ПредыдущееИмяКонфигурации  = "УправлениеТорговлей";
//  Обработчик.Процедура                  = "ОбновлениеИнформационнойБазыУПП.ЗаполнитьУчетнуюПолитику";
//
Процедура ПриДобавленииОбработчиковПереходаСДругойПрограммы(Обработчики) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПриДобавленииОбработчиковПереходаСДругойПрограммы(Обработчики) 
```
</details>

## ПриЗавершенииПереходаСДругойПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после выполнения всех процедур-обработчиков перехода с другой программы (с другим именем конфигурации),
// и до начала выполнения обновления данных ИБ.
//
// Параметры:
//  ПредыдущееИмяКонфигурации    - Строка - имя конфигурации до перехода.
//  ПредыдущаяВерсияКонфигурации - Строка - имя предыдущей конфигурации (до перехода).
//  Параметры                    - Структура -
//    * ВыполнитьОбновлениеСВерсии   - Булево - по умолчанию Истина. Если установить Ложь,
//        то будут выполнена только обязательные обработчики обновления (с версией "*").
//    * ВерсияКонфигурации           - Строка - номер версии после перехода.
//        По умолчанию, равен значению версии конфигурации в свойствах метаданных.
//        Для того чтобы выполнить, например, все обработчики обновления с версии ПредыдущаяВерсияКонфигурации,
//        следует установить значение параметра в ПредыдущаяВерсияКонфигурации.
//        Для того чтобы выполнить вообще все обработчики обновления, установить значение "0.0.0.1".
//    * ОчиститьСведенияОПредыдущейКонфигурации - Булево - по умолчанию Истина.
//        Для случаев когда предыдущая конфигурация совпадает по имени с подсистемой текущей конфигурации, следует указать Ложь.
//
Процедура ПриЗавершенииПереходаСДругойПрограммы(Знач ПредыдущееИмяКонфигурации, Знач ПредыдущаяВерсияКонфигурации, Параметры) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПриЗавершенииПереходаСДругойПрограммы(ПредыдущееИмяКонфигурации, ПредыдущаяВерсияКонфигурации, Параметры) 
```
</details>

## ЗагеристрироватьОбработчикиПервоначальногоЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ЗагеристрироватьОбработчикиПервоначальногоЗаполнения(Обработчики) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ЗагеристрироватьОбработчикиПервоначальногоЗаполнения(Обработчики) 
```
</details>

## ПервыйЗапуск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Вызовы процедур для первоначального заполнения базы
//
Процедура ПервыйЗапуск() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПервыйЗапуск() 
```
</details>

## ОбновитьИнформациюПоМетаданным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьИнформациюПоМетаданным(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьИнформациюПоМетаданным(Параметры);
```
</details>

## ОбновитьИсточникиДанныхДляТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьИсточникиДанныхДляТрансляции() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьИсточникиДанныхДляТрансляции() 
```
</details>

## ОбновитьПравилаИмпортаОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПравилаИмпортаОбъектов() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьПравилаИмпортаОбъектов() 
```
</details>

## ОбновитьСправочникВерсииРегламентовПодготовкиОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСправочникВерсииРегламентовПодготовкиОтчетности() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьСправочникВерсииРегламентовПодготовкиОтчетности() 
```
</details>

## УстановитьКонстантыАвтоматическогоПересчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьКонстантыАвтоматическогоПересчета() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.УстановитьКонстантыАвтоматическогоПересчета() 
```
</details>

## ОбновитьПравилаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПравилаРасчета() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьПравилаРасчета() 
```
</details>

## ЗаполнитьОпцииОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОпцииОтчетов() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ЗаполнитьОпцииОтчетов() 
```
</details>

## ОбновитьФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьФИ() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьФИ() 
```
</details>

## ПеренестиПериодическиеКурсыВРегистрСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПеренестиПериодическиеКурсыВРегистрСведений() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПеренестиПериодическиеКурсыВРегистрСведений() 
```
</details>

## ЗаполнитьКонстантуСценарияМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьКонстантуСценарияМСФО() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ЗаполнитьКонстантуСценарияМСФО() 
```
</details>

## ОбновитьСценарииБезСвязанныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСценарииБезСвязанныхДанных() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьСценарииБезСвязанныхДанных() 
```
</details>

## УстановитьОсновныеБланки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОсновныеБланки() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.УстановитьОсновныеБланки() 
```
</details>

## ОбновитьВалютыОтчетностиРегламентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьВалютыОтчетностиРегламентов() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьВалютыОтчетностиРегламентов() 
```
</details>

## УстановитьПризнакУправлениеХолдингом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПризнакУправлениеХолдингом() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.УстановитьПризнакУправлениеХолдингом() 
```
</details>

## УстановитьПризнакИспользованияИнтеграцииСВнешнимиСистемами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПризнакИспользованияИнтеграцииСВнешнимиСистемами() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.УстановитьПризнакИспользованияИнтеграцииСВнешнимиСистемами() 
```
</details>

## УстановитьПризнакИспользованияУчетаПоСценариям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПризнакИспользованияУчетаПоСценариям() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.УстановитьПризнакИспользованияУчетаПоСценариям() 
```
</details>

## ОбновитьТипыПВХКорпоративные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Усечение типов для справочников отсутствующих в БМ.
//Платформа перености такие элементы со всеми возможными типами
//
Процедура ОбновитьТипыПВХКорпоративные() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьТипыПВХКорпоративные() 
```
</details>

## ОбновитьСчетаУчетаФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСчетаУчетаФИ() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьСчетаУчетаФИ() 
```
</details>

## ОбновитьВалютыОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьВалютыОрганизации() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьВалютыОрганизации() 
```
</details>

## ОбновитьМодельУчетаМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьМодельУчетаМСФО() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьМодельУчетаМСФО() 
```
</details>

## ОбновитьОсновнойЯзык
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьОсновнойЯзык(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ОбновитьОсновнойЯзык(Параметры);
```
</details>

## ЗаписатьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает изменения в переданном объекте.
// Для использования в обработчиках обновления.
//
// Параметры:
//   Данные                            - Произвольный - объект, набор записей или менеджер константы, который
//                                                      необходимо записать.
//   РегистрироватьНаУзлахПлановОбмена - Булево       - включает регистрацию на узлах планов обмена при записи объекта.
//   ВключитьБизнесЛогику              - Булево       - включает бизнес-логику при записи объекта.
//
Процедура ЗаписатьДанные(Знач Данные, Знач РегистрироватьНаУзлахПлановОбмена = Ложь, Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ЗаписатьДанные(Данные, РегистрироватьНаУзлахПлановОбмена, );
```
</details>

## ЗаписатьОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает изменения в переданном объекте ссылочного типа.
// Для использования в обработчиках обновления.
//
// Параметры:
//   Объект                            - Произвольный - записываемый объект ссылочного типа. Например, СправочникОбъект.
//   РегистрироватьНаУзлахПлановОбмена - Булево       - включает регистрацию на узлах планов обмена при записи объекта.
//   ВключитьБизнесЛогику              - Булево       - включает бизнес-логику при записи объекта.
//
Процедура ЗаписатьОбъект(Знач Объект, Знач РегистрироватьНаУзлахПлановОбмена = Неопределено, Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ЗаписатьОбъект(Объект, РегистрироватьНаУзлахПлановОбмена, );
```
</details>

## ПровестиДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПровестиДокумент(Данные, ТекстНачалаОшибки = "", ЗаписатьЕслиНеУдалосьПровести = Истина, ОтказЕслиНеПроведен = Ложь, ОтказЕслиНеЗаписан = Ложь) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ПровестиДокумент(Данные, ТекстНачалаОшибки, ЗаписатьЕслиНеУдалосьПровести, ОтказЕслиНеПроведен, ОтказЕслиНеЗаписан);
```
</details>

## УстановитьКодЕис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в регистр НомераСпособовЗакупокВЕИС запись с указанными значениями полей.
Процедура УстановитьКодЕис(СпособВход, КодВход, НаименованиеВход) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.УстановитьКодЕис(СпособВход, КодВход, НаименованиеВход));
```
</details>

## ИсключитьСтадииИзШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из шаблона мероприятия ШаблонМероприятияИзм стадии, входящие в массив
// МассивСтадийВход
Процедура ИсключитьСтадииИзШаблона(МассивСтадийВход, ШаблонМероприятияИзм) Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБМ.ИсключитьСтадииИзШаблона(МассивСтадийВход, ШаблонМероприятияИзм));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
