---
title: Обновление информационной базы БП переопределяемый
slug: erp-uh/обновление-информационной-базы-бп-переопределяемый
---


## ЗаполнитьАналитикуНаСчетах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура ЗаполнитьАналитикуНаСчетах вызывается для заполнения аналитики на счетах,
// в соответствии со спецификой конфигурации - потребителя.
//
Процедура ЗаполнитьАналитикуНаСчетах() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБППереопределяемый.ЗаполнитьАналитикуНаСчетах() 
```
</details>

## ЗаполнитьСчетаУчетаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура ЗаполнитьРегистрыСчетовУчета заполняет настройки
// для подстановки счетов учета по умолчанию.
//
Процедура ЗаполнитьСчетаУчетаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБППереопределяемый.ЗаполнитьСчетаУчетаПоУмолчанию() 
```
</details>

## УстановитьУчетПоДокументамНаСчетахРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установка субконто "Документы расчетов с контрагентами" на счетах расчетов (60, 62, 76).
//
Процедура УстановитьУчетПоДокументамНаСчетахРасчетов() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБППереопределяемый.УстановитьУчетПоДокументамНаСчетахРасчетов() 
```
</details>

## УстановитьУчетПоРаботникам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает аналитику на счетах расчетов с персоналом по оплате труда.
//
Процедура УстановитьУчетПоРаботникам() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБППереопределяемый.УстановитьУчетПоРаботникам() 
```
</details>

## КонтактнаяИнформацияОбновлениеИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обновления ИБ для справочника видов контактной информации.
//
// Инструкция:
// Для каждого объекта, владельца КИ, для каждого соответствующего ему вида КИ добавить
// строчку вида: УправлениеКонтактнойИнформацией.ОбновитьВидКИ(.....). При этом,
// важен порядок в котором будут осуществляться эти вызовы, чем раньше вызов для вида КИ,
// тем выше этот вид КИ будет располагаться на форме объекта.
//
// Параметры функции УправлениеКонтактнойИнформацией.ОбновитьВидКИ:
// 1. Вид КИ - Ссылка на предопределенный вид КИ.
// 2. Тип КИ - Ссылка на перечисление
// 3. МожноИзменятьСпособРедактирования  - Определяет, можно ли в режиме Предприятие изменить способ редактирования,
//                                         например, для адресов, которые попадают в регл. отчетность, нужно
//                                         запретить возможность изменения.
// 4. РедактированиеТолькоВДиалоге       - Если установить Истина, то будет значение вида КИ можно будет
//                                         редактировать только в форме ввода (имеет смысл только для
//                                         адресов, телефонов и факсов).
// 5. АдресТолькоРоссийский              - Если установить Истина, то для адресов можно будет ввести
//                                         только российский адрес (имеет смысл только для адресов).
// 6. Порядок                            - Определяет порядок элемента, для сортировки относительно других.
//
//
Процедура КонтактнаяИнформацияОбновлениеИБ() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБППереопределяемый.КонтактнаяИнформацияОбновлениеИБ() 
```
</details>

## ИмяПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку с именем о библиотеке или основной конфигурации.
//
// Возвращаемое значение:
//	Строка - Имя подсистемы в рамках конфигурации.
//
Функция ИмяПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеИнформационнойБазыБППереопределяемый.ИмяПодсистемы() 
```
</details>

## ЗаполнитьВидыРегистровУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные предопределенных элементов справочника ВидыРегистровУчета.
//
Процедура ЗаполнитьВидыРегистровУчета() Экспорт
```

Пример вызова
```bsl
ОбновлениеИнформационнойБазыБППереопределяемый.ЗаполнитьВидыРегистровУчета() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
