---
title: Обновление через копию
slug: erp-uh/обновление-через-копию
---


## НужнаРегистрацияДанныхОбновленияЧерезКопию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НужнаРегистрацияДанныхОбновленияЧерезКопию() Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.НужнаРегистрацияДанныхОбновленияЧерезКопию());
```
</details>

## МеханизмРегистрацииОбъектовПередЗаписьюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" документов для механизма регистрации объектов на узлах.
//
// Параметры:
//  ИмяПланаОбмена - Строка - имя плана обмена, для которого выполняется механизм регистрации.
//  Источник       - ДокументОбъект - источник события.
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//  РежимЗаписи - РежимЗаписиДокумента - см. в синтакс-помощнике РежимЗаписиДокумента.
//  РежимПроведения - РежимПроведенияДокумента - см. в синтакс-помощнике РежимПроведенияДокумента.
//
Процедура МеханизмРегистрацииОбъектовПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.МеханизмРегистрацииОбъектовПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## МеханизмРегистрацииОбъектовПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" ссылочных типов данных (кроме документов) для механизма регистрации
// объектов на узлах.
//
// Параметры:
//  ИмяПланаОбмена - Строка - имя плана обмена, для которого выполняется механизм регистрации.
//  Источник       - СправочникОбъект, ПланВидовХарактеристикОбъект - источник события, кроме типа ДокументОбъект.
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура МеханизмРегистрацииОбъектовПередЗаписью(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.МеханизмРегистрацииОбъектовПередЗаписью(Источник, Отказ) 
```
</details>

## МеханизмРегистрацииОбъектовПередЗаписьюРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" регистров для механизма регистрации объектов на узлах.
//
// Параметры:
//  ИмяПланаОбмена - Строка - имя плана обмена, для которого выполняется механизм регистрации.
//  Источник       - РегистрСведенийНаборЗаписей,
//                   РегистрНакопленияНаборЗаписей,
//                   РегистрБухгалтерииНаборЗаписей,
//                   РегистрРасчетаНаборЗаписей - источник события.
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//  Замещение      - Булево - признак замещения существующего набора записей.
//
Процедура МеханизмРегистрацииОбъектовПередЗаписьюРегистра(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.МеханизмРегистрацииОбъектовПередЗаписьюРегистра(Источник, Отказ, Замещение) 
```
</details>

## МеханизмРегистрацииОбъектовПередЗаписьюКонстанты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередЗаписью" константы для механизма регистрации объектов на узлах.
//
// Параметры:
//  ИмяПланаОбмена - Строка - имя плана обмена, для которого выполняется механизм регистрации.
//  Источник       - КонстантаМенеджерЗначения - источник события.
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура МеханизмРегистрацииОбъектовПередЗаписьюКонстанты(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.МеханизмРегистрацииОбъектовПередЗаписьюКонстанты(Источник, Отказ) 
```
</details>

## МеханизмРегистрацииОбъектовПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик события "ПередУдалением" ссылочных типов данных для механизма регистрации объектов на узлах.
//
// Параметры:
//  ИмяПланаОбмена - Строка - имя плана обмена, для которого выполняется механизм регистрации.
//  Источник       - СправочникОбъект, ДокументОбъект, ПланВидовХарактеристикОбъект - источник события.
//  Отказ          - Булево - флаг отказа от выполнения обработчика.
//
Процедура МеханизмРегистрацииОбъектовПередУдалением(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.МеханизмРегистрацииОбъектовПередУдалением(Источник, Отказ) 
```
</details>

## ЗарегистрированныеОбъекты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗарегистрированныеОбъекты(УзелОчереди = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.ЗарегистрированныеОбъекты(УзелОчереди);
```
</details>

## ПредставлениеТипаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеТипаМетаданных(ТипМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.ПредставлениеТипаМетаданных(ТипМетаданных));
```
</details>

## ОбработчикиОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработчикиОбновления() Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.ОбработчикиОбновления());
```
</details>

## ДинамикаПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДинамикаПроцесса(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.ДинамикаПроцесса(Источник, Отказ) 
```
</details>

## ЗаписатьСтатистику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьСтатистику(Отправитель, ИмяФайлаСообщения) Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.ЗаписатьСтатистику(Отправитель, ИмяФайлаСообщения) 
```
</details>

## ИмяСобытияЖР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяСобытияЖР(Уточнение = "") Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.ИмяСобытияЖР(Уточнение);
```
</details>

## АктивныйУзелОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АктивныйУзелОбмена(ВерсияКорреспондента = "") Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.АктивныйУзелОбмена(ВерсияКорреспондента);
```
</details>

## ВыполняетсяОбновлениеИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполняетсяОбновлениеИнформационнойБазы() Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.ВыполняетсяОбновлениеИнформационнойБазы() 
```
</details>

## ОпределитьВозможноеДействиеПриОбмене
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьВозможноеДействиеПриОбмене(ЭтотУзел, УзелОбновления) Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.ОпределитьВозможноеДействиеПриОбмене(ЭтотУзел, УзелОбновления) 
```
</details>

## ЭтоНомерВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоНомерВерсии(НомерСтрокой) Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.ЭтоНомерВерсии(НомерСтрокой) 
```
</details>

## ИтерацииОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИтерацииОбновления() Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.ИтерацииОбновления());
```
</details>

## ТекстСообщенияБлокировкиСеансовПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстСообщенияБлокировкиСеансовПользователей() Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеЧерезКопию.ТекстСообщенияБлокировкиСеансовПользователей());
```
</details>

## ПередЗапускомРегистрацииДанныхОтложенногоОбновленияИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗапускомРегистрацииДанныхОтложенногоОбновленияИБ() Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.ПередЗапускомРегистрацииДанныхОтложенногоОбновленияИБ());
```
</details>

## ЭмулироватьМонопольноеОбновлениеИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЭмулироватьМонопольноеОбновлениеИБ(УзелПланаОбмен, ИтерацииОбновления) Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.ЭмулироватьМонопольноеОбновлениеИБ(УзелПланаОбмен, ИтерацииОбновления));
```
</details>

## ЭмулироватьОтложеннуюЧастьОбновленияИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЭмулироватьОтложеннуюЧастьОбновленияИБ(ИтерацииОбновления) Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.ЭмулироватьОтложеннуюЧастьОбновленияИБ(ИтерацииОбновления));
```
</details>

## ПослеВыполненияИтерацииОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеВыполненияИтерацииОбмена(УзелПланаОбмен) Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.ПослеВыполненияИтерацииОбмена(УзелПланаОбмен));
```
</details>

## ОтправитьПолучитьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправитьПолучитьДанные(ПараметрыФормирования = Неопределено, ФоновоеЗаданиеАдресХранилища = "") Экспорт
```

Пример вызова
```bsl
ОбновлениеЧерезКопию.ОтправитьПолучитьДанные(ПараметрыФормирования, ФоновоеЗаданиеАдресХранилища);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
