---
title: Оборудование несертифицированное клиент сервер
slug: erp-uh/оборудование-несертифицированное-клиент-сервер
---


## ПараметрыОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для вызова операции, структура может быть расширена пользовательскими параметрами
//
// Возвращаемое значение:
//  Структура:
//   * ПодготовитьДанные - Булево - выполнять подготовку данных на сервере перед обращением к драйверу
//   * ОбработатьДанные - Булево - выполнять обработку данных на сервере после обращениея к драйверу
//   * Команда - Строка - строковое представление команды
//
Функция ПараметрыОперации() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеНесертифицированноеКлиентСервер.ПараметрыОперации() 
```
</details>

## ДанныеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров передачи драйверу оборудования, структура может быть расширена пользовательскими параметрами
//
// Возвращаемое значение:
//  Структура:
//   * Результат - Булево - результат выпролнения операции драйвера
//   * ТекстОшибки - Строка - Текстовое представление ошибки
//
Функция ДанныеОперации() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеНесертифицированноеКлиентСервер.ДанныеОперации() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
