---
title: Оборудование несертифицированное переопределяемый
slug: erp-uh/оборудование-несертифицированное-переопределяемый
---


## ДоступноНесертифицированноеОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доступность несертифицированного оборудования
//
// Параметры:
//  Доступно - Булево - несертифицированное оборудование доступно.
//  СтандартнаяОбработка - Булево - Стандартная обработка.
//
Процедура ДоступноНесертифицированноеОборудование(Доступно, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОборудованиеНесертифицированноеПереопределяемый.ДоступноНесертифицированноеОборудование(Доступно, СтандартнаяОбработка) 
```
</details>

## ПодготовитьДанныеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовить данные операции перед выполнением команды.
//
// Параметры:
//  ПараметрыПодключения - Структура - Параметры подключения.
//  Команда - Строка - Выполняемая команда.
//  ПараметрыОперации - Структура - Параметры операции.
//
// Возвращаемое значение:
//  Структура.
Процедура ПодготовитьДанныеОперации(ПараметрыПодключения, Команда, ПараметрыОперации, ДанныеОперации) Экспорт
```

Пример вызова
```bsl
ОборудованиеНесертифицированноеПереопределяемый.ПодготовитьДанныеОперации(ПараметрыПодключения, Команда, ПараметрыОперации, ДанныеОперации) 
```
</details>

## ОбработатьДанныеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать данные операции после выполнения команды.
//
// Параметры:
//  ПараметрыПодключения - Структура - Параметры подключения.
//  Команда - Строка - Выполняемая команда.
//  РезультатВыполнения - Структура - результат выполнения операции.
//  ДанныеОперации - Структура - Параметры операции.
//
Процедура ОбработатьДанныеОперации(ПараметрыПодключения, Команда, РезультатВыполнения, ДанныеОперации) Экспорт
```

Пример вызова
```bsl
ОборудованиеНесертифицированноеПереопределяемый.ОбработатьДанныеОперации(ПараметрыПодключения, Команда, РезультатВыполнения, ДанныеОперации) 
```
</details>

## ЗарегистрироватьДрайверы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в список поставляемые драйверы в составе конфигурации.
//
// Параметры:
//  Драйверы - ТаблицаЗначений - см. ОборудованиеНесертифицированное.НоваяТаблицаНесертифицированныхДрайверов
//
Процедура ЗарегистрироватьДрайверы(Драйверы) Экспорт
```

Пример вызова
```bsl
ОборудованиеНесертифицированноеПереопределяемый.ЗарегистрироватьДрайверы(Драйверы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
