---
title: Оборудование платежные системы клиент сервер
slug: erp-uh/оборудование-платежные-системы-клиент-сервер
---


## ПараметрыКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров карты.
//
// Возвращаемое значение:
//  Структура.
Функция ПараметрыКарты() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеПлатежныеСистемыКлиентСервер.ПараметрыКарты() Экспорт;);
```
</details>

## ПараметрыПолучениеПараметровКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру получение параметров карты.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыПолучениеПараметровКарты() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеПлатежныеСистемыКлиентСервер.ПараметрыПолучениеПараметровКарты() Экспорт;);
```
</details>

## ПараметрыВыполненияЭквайринговойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров выполнения эквайринговой операции.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыВыполненияЭквайринговойОперации() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеПлатежныеСистемыКлиентСервер.ПараметрыВыполненияЭквайринговойОперации() Экспорт;);
```
</details>

## ПараметрыПроведеннойЭквайринговойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров проведенной эквайринговой операции.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыПроведеннойЭквайринговойОперации() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеПлатежныеСистемыКлиентСервер.ПараметрыПроведеннойЭквайринговойОперации() Экспорт;);
```
</details>

## ЭтоРеквизитыКартыQR
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что QR-код в формате Base64-строки является Consumer-Presented QR
//
// Параметры:
//  QRКод - Строка
//
// Возвращаемое значение:
//  Булево
Функция ЭтоРеквизитыКартыQR(Знач QRКод) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеПлатежныеСистемыКлиентСервер.ЭтоРеквизитыКартыQR(QRКод) 
```
</details>

## ТипыПлатежнойСистемыККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипыПлатежнойСистемыККТ() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеПлатежныеСистемыКлиентСервер.ТипыПлатежнойСистемыККТ() 
```
</details>

## ТекстСлипЧекаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст слип-чека по умолчанию
//
// Параметры:
//  ПараметрыСлипЧека - Структура - Параметры слип чека:
//    * КодАвторизации - Строка
//    * НомерКарты - Строка
//    * НомерЧекаЭТ - Строка
//    * СсылочныйНомер - Строка
//    * СуммаОперации - Число
//    * ТекстСлипЧека - Строка
//  КороткийСлипЧек - Булево - сформировать текст короткого слип-чека
//
// Возвращаемое значение:
//  Строка - Текст слип чека
//
Функция ТекстСлипЧекаПоУмолчанию(ПараметрыСлипЧека, КороткийСлипЧек = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеПлатежныеСистемыКлиентСервер.ТекстСлипЧекаПоУмолчанию(ПараметрыСлипЧека, КороткийСлипЧек);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
