---
title: Оборудование принтеры этикеток клиент
slug: erp-uh/оборудование-принтеры-этикеток-клиент
---


## ПараметрыОперацииПечатиЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру дополнительных параметров операции на Оборудовании.
//
// Параметры:
//  ОписаниеЭтикеткиВXML - Строка - XML описание макета этикетки
//  ДанныеДляПечати - Массив
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыОперацииПечатиЭтикеток(ОписаниеЭтикеткиВXML = Неопределено, ДанныеДляПечати = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеПринтерыЭтикетокКлиент.ПараметрыОперацииПечатиЭтикеток(ОписаниеЭтикеткиВXML, ДанныеДляПечати);
```
</details>

## НачатьПечатьЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать печать этикеток.
//
// Параметры:
//   ОповещениеПриЗавершении - ОписаниеОповещения - оповещение при завершении.
//   ИдентификаторКлиента    - ФормаКлиентскогоПриложения -идентификатор формы.
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование - идентификатор устройства, если неопределенно - будет предложен выбор.
//   ПараметрыОперации       - Структура - параметры выполнения операции.
//   ДополнительныеПараметры - Структура - дополнительные команды.
//
Процедура НачатьПечатьЭтикеток(ОповещениеПриЗавершении, ИдентификаторКлиента, ИдентификаторУстройства, ПараметрыОперации, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ОборудованиеПринтерыЭтикетокКлиент.НачатьПечатьЭтикеток(ОповещениеПриЗавершении, ИдентификаторКлиента, ИдентификаторУстройства, ПараметрыОперации, ДополнительныеПараметры);
```
</details>

## НачатьИнициализацияПринтераЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать инициализацию принтера этикеток.
//
// Параметры:
//   ОповещениеПриЗавершении - ОписаниеОповещения - оповещение при завершении.
//   ИдентификаторКлиента    - ФормаКлиентскогоПриложения -идентификатор формы.
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование - идентификатор устройства, если неопределенно - будет предложен выбор.
//   ПараметрыОперации       - Структура - параметры выполнения операции.
//   ДополнительныеПараметры - Структура - дополнительные команды.
//
Процедура НачатьИнициализацияПринтераЭтикеток(ОповещениеПриЗавершении, ИдентификаторКлиента, ИдентификаторУстройства, ПараметрыОперации = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ОборудованиеПринтерыЭтикетокКлиент.НачатьИнициализацияПринтераЭтикеток(ОповещениеПриЗавершении, ИдентификаторКлиента, ИдентификаторУстройства, ПараметрыОперации, ДополнительныеПараметры);
```
</details>

## НачатьРедактированиеМакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать редактирование макета.
//
// Параметры:
//  ОповещениеПриЗавершенииРедактирования - ОписаниеОповещения
//  ОписаниеЭтикеткиВXML - Строка - XML описание макета этикетки
//  АдресХранилищаСКД - Строка
//  АдресМакета - Строка
//
Процедура НачатьРедактированиеМакета(ОповещениеПриЗавершенииРедактирования, ОписаниеЭтикеткиВXML, АдресХранилищаСКД, АдресМакета = "") Экспорт
```

Пример вызова
```bsl
ОборудованиеПринтерыЭтикетокКлиент.НачатьРедактированиеМакета(ОповещениеПриЗавершенииРедактирования, ОписаниеЭтикеткиВXML, АдресХранилищаСКД, АдресМакета);
```
</details>

## НачатьРедактированиеМакета_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение редактирования макета
//
// Параметры:
//  Результат - Структура
//  ДополнительныеПараметры - Структура
//
Процедура НачатьРедактированиеМакета_Завершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОборудованиеПринтерыЭтикетокКлиент.НачатьРедактированиеМакета_Завершение(Результат, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
