---
title: Оборудование устройство распознавания клиент сервер
slug: erp-uh/оборудование-устройство-распознавания-клиент-сервер
---


## ПараметрыОперацииРаспознать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров операции для распознавания товара.
//
// Возвращаемое значение:
//  Структура:
//   * Обучение - Булево - проводить обучение товара, если установлено в Истина, тогда ожидается,
//                         что будет вызвана процедура НачатьПодтверждениеРаспознавания.
//   * Варианты - Число  - максимальное количество вариантов, которое ожидается от распознавателя,
//                         вариантов может быть меньше, чем указано в этом значении.
//
Функция ПараметрыОперацииРаспознать() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеУстройствоРаспознаванияКлиентСервер.ПараметрыОперацииРаспознать() 
```
</details>

## ПараметрыОперацииПодтвердить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров операции для распознавания товара.
//
// Возвращаемое значение:
//  Структура:
//   * Обучение - Булево - проводить обучение товара, если установлено в Истина, тогда ожидается,
//                         что будет вызвана процедура НачатьПодтверждениеРаспознавания.
//   * Варианты - Число  - максимальное количество вариантов, которое ожидается от распознавателя,
//                         вариантов может быть меньше, чем указано в этом значении.
//
Функция ПараметрыОперацииПодтвердить() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеУстройствоРаспознаванияКлиентСервер.ПараметрыОперацииПодтвердить() 
```
</details>

## ПараметрыОперацииВыгрузкиВУстройствоРаспознавания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров операции для выгрузки товаров в устройство распознавания.
//
// Возвращаемое значение:
//  Структура:
//    * ТаблицаТоваров - Массив из см. ПараметрыСтрокиВыгрузкиВУстройствоРаспознавания.
//    * ЧастичнаяВыгрузка - Булево - флаг выгрузки полной или частичной.
//
Функция ПараметрыОперацииВыгрузкиВУстройствоРаспознавания() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеУстройствоРаспознаванияКлиентСервер.ПараметрыОперацииВыгрузкиВУстройствоРаспознавания() 
```
</details>

## ПараметрыСтрокиВыгрузкиВУстройствоРаспознавания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру выгрузки товарной позиции в устройство распознавания.
//
// Возвращаемое значение:
//  Структура:
//   * Код - SKU код для выгрузки.
//   * Наименование - Строка - представление товара в устройстве распознавания.
//
Функция ПараметрыСтрокиВыгрузкиВУстройствоРаспознавания() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеУстройствоРаспознаванияКлиентСервер.ПараметрыСтрокиВыгрузкиВУстройствоРаспознавания() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
