---
title: Оборудование чекопечатающие автономные устройства клиент
slug: erp-uh/оборудование-чекопечатающие-автономные-устройства-клиент
---


## НачатьВыполнениеКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать выполнение команды
//
// Параметры:
//  ОповещениеПриЗавершении - ОписаниеОповещения - событие описания оповещения.
//  ИдентификаторКлиента - УникальныйИдентификатор - уникальный идентификатор клиента.
//  ПараметрыОперации - Структура
//  ПараметрыВыполнениеКоманды - см. ПараметрыВыполненияОперацииНаАвтономнойККТ
//  ДополнительныеПараметры - Структура
//
Процедура НачатьВыполнениеКоманды(ОповещениеПриЗавершении, ИдентификаторКлиента, ПараметрыОперации, ПараметрыВыполнениеКоманды, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеАвтономныеУстройстваКлиент.НачатьВыполнениеКоманды(ОповещениеПриЗавершении, ИдентификаторКлиента, ПараметрыОперации, ПараметрыВыполнениеКоманды, ДополнительныеПараметры);
```
</details>

## ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает выполнение команды
//
// Параметры:
//  Результат - КодВозвратаДиалога
//  ДополнительныеПараметры - Структура
Процедура ВыполнитьКомандуЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеАвтономныеУстройстваКлиент.ВыполнитьКомандуЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПараметрыВыполненияОперацииНаАвтономнойККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру для параметров операции
//
// Возвращаемое значение:
//  Структура:
//   * ПараметрыОперации - Структура
//   * Команда - Строка
//   * ОповещениеПриЗавершении - ОписаниеОповещения
//   * ИспользуетсяОчередьПробития - Булево
//
Функция ПараметрыВыполненияОперацииНаАвтономнойККТ() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеАвтономныеУстройстваКлиент.ПараметрыВыполненияОперацииНаАвтономнойККТ() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
