---
title: Оборудование чекопечатающие устройства
slug: erp-uh/оборудование-чекопечатающие-устройства
---


## ПараметрыФискализацииЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить структуру фискализации чека
//
// Возвращаемое значение:
//  Структура.
Функция ПараметрыФискализацииЧека() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ПараметрыФискализацииЧека() 
```
</details>

## ПараметрыФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры фискальной операции.
//
// Возвращаемое значение:
//   см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыФискальнойОперации.
Функция ПараметрыФискальнойОперации() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ПараметрыФискальнойОперации() 
```
</details>

## СохранитьПараметрыРегистрацииУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для сохранения параметров регистрации устройства
//
// Параметры:
//  Идентификатор - СправочникСсылка.ПодключаемоеОборудование - Идентификатор устройства -
//  ПараметрыРегистрации - Структура -
//
// Возвращаемое значение:
//  Булево.
Функция СохранитьПараметрыРегистрацииУстройства(Идентификатор, ПараметрыРегистрации) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.СохранитьПараметрыРегистрацииУстройства(Идентификатор, ПараметрыРегистрации) 
```
</details>

## ПараметрыРегистрацииУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает по идентификатору устройства параметры регистрации.
//
// Параметры:
//  Идентификатор - СправочникСсылка.ПодключаемоеОборудование
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыРегистрацииУстройства(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ПараметрыРегистрацииУстройства(Идентификатор) 
```
</details>

## ОбновитьПараметрыРегистрацииККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметры регистрации ККТ
//
// Параметры:
//   ПараметрыРегистрацииТаблица - ТаблицаЗначений -
//   ПараметрыРегистрации - ТаблицаЗначений -
Процедура ОбновитьПараметрыРегистрацииККТ(ПараметрыРегистрацииТаблица, ПараметрыРегистрации) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройства.ОбновитьПараметрыРегистрацииККТ(ПараметрыРегистрацииТаблица, ПараметрыРегистрации) 
```
</details>

## ФискальноеУстройствоПоддерживаетПроверкуКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает поддерживает ли фискальное устройство.
//
// Параметры:
//  ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование - Идентификатор устройства
//
// Возвращаемое значение:
//  Булево - Фискальное устройство поддерживает проверку кодов маркировки
Функция ФискальноеУстройствоПоддерживаетПроверкуКодовМаркировки(ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ФискальноеУстройствоПоддерживаетПроверкуКодовМаркировки(ИдентификаторУстройства) 
```
</details>

## ФискальноеУстройствоПоддерживаетВерсиюФФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает для фискального устройства версию ФФД.
//
// Параметры:
//  ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование - Идентификатор устройства.
//
// Возвращаемое значение:
//  Неопределено - Фискальное устройство поддерживает версию ФФД
Функция ФискальноеУстройствоПоддерживаетВерсиюФФД(ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ФискальноеУстройствоПоддерживаетВерсиюФФД(ИдентификаторУстройства) 
```
</details>

## ЗаписатьФискальнуюОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать операцию в журнал фискальных операций.
//
// Параметры:
//   ПараметрыФискализации - Структура -
Процедура ЗаписатьФискальнуюОперацию(ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройства.ЗаписатьФискальнуюОперацию(ПараметрыФискализации) 
```
</details>

## ДанныеФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// АПК: 142-выкл обратная совместимость

// Получить данные журнала фискальных операций.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ-основание.
//  ИдентификаторЗаписи - РегистрСведенийЗапись.ФискальныеОперации - запись фискальной операции.
//  ТипыДокументов - ПеречислениеСсылка.ТипыФискальныхДокументовККТ - типы документов.
//  ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - тип расчета.
//  ФискальныйПризнак - Строка - Фискальный признак документа
//
// Возвращаемое значение:
//  Структура - Структура по свойствами:
//   * НомерСменыККМ - Число - Номер чека ККМ.
//   * Сумма - Число - Сумма.
//   * ДокументОснование - ДокументСсылка - Документ-основание.
//   * ДанныеXML - ХранилищеЗначения - Данные чека, переданные в ККТ (XML).
//
Функция ДанныеФискальнойОперации(ДокументСсылка, ИдентификаторЗаписи = Неопределено, ТипыДокументов = Неопределено, ТипРасчета = Неопределено, ФискальныйПризнак = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ДанныеФискальнойОперации(ДокументСсылка, ИдентификаторЗаписи, ТипыДокументов, ТипРасчета, ФискальныйПризнак);
```
</details>

## ФискальнаяОперацииПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// АПК: 142-вкл

// Получить данные журнала фискальных операций.
//
// Параметры:
//  ИдентификаторЗаписи - РегистрСведенийЗапись.ФискальныеОперации - Идентификатор записи.
//
// Возвращаемое значение:
// РегистрСведенийЗапись.ФискальныеОперации.
Функция ФискальнаяОперацииПоИдентификатору(ИдентификаторЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ФискальнаяОперацииПоИдентификатору(ИдентификаторЗаписи) 
```
</details>

## СписокФискальныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить список журнала фискальных операций.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ-основание.
//  ТипыДокументов - ПеречислениеСсылка.ТипыФискальныхДокументовККТ - типы фискальных документов.
//  ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - типы расчета.
//
// Возвращаемое значение:
//  Массив Из Структура - Структура по свойствами:
//   * НомерСменыККМ - Число - Номер чека ККМ.
//   * Сумма - Число - Сумма.
//   * ДокументОснование - ОпределяемыйТип.ОснованиеФискальнойОперацииБПО - Документ-основание.
//   * ДанныеXML - ХранилищеЗначения - Данные чека, переданные в ККТ (XML).
//
Функция СписокФискальныхОпераций(ДокументСсылка, ТипыДокументов = Неопределено, ТипРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.СписокФискальныхОпераций(ДокументСсылка, ТипыДокументов, ТипРасчета);
```
</details>

## ТипыТоваровДляЗаполненияОтраслевогоРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает для каких типов товаров будет заполняться отраслевой реквизит.
//
// Возвращаемое значение:
//   Структура:
//  * ИзделияИзНатуральногоМеха - Булево - Заполнения для изделия из натурального меха.
//  * ОбъемноСортовойУчет - Булево - Заполнения для товаров объемно сортового учета.
//  * МолочнаяПродукцияСНечитаемымиКМ - Булево - Заполнения для молочной продукция с нечитаемыми КМ.
//
Функция ТипыТоваровДляЗаполненияОтраслевогоРеквизита() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ТипыТоваровДляЗаполненияОтраслевогоРеквизита() Экспорт;);
```
</details>

## ОтраслевойРеквизитЗаполняетсяДляТиповТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает для каких типов товаров будет заполняться отраслевой реквизит.
//
// Возвращаемое значение:
//   см. ТипыТоваровДляЗаполненияОтраслевогоРеквизита
//
Функция ОтраслевойРеквизитЗаполняетсяДляТиповТоваров() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ОтраслевойРеквизитЗаполняетсяДляТиповТоваров() 
```
</details>

## ВедетсяОбъемноСортовойУчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ведется объемно сортовой учет.
//
// Возвращаемое значение:
//  Булево.
//
Функция ВедетсяОбъемноСортовойУчет() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ВедетсяОбъемноСортовойУчет() 
```
</details>

## ОказываютсяУслугиОбщественноеПитания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает оказываются ли услуги общественного питания.
//
// Возвращаемое значение:
//  Булево.
//
Функция ОказываютсяУслугиОбщественноеПитания() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ОказываютсяУслугиОбщественноеПитания() 
```
</details>

## СформироватьТаблицуПараметровДляОперацииФН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать таблицу параметров в XML для операции с ФН.
//
// Параметры:
//  СтруктураПараметров - Структура
//  РевизияИнтерфейса - Число - Ревизия интерфейса
//
// Возвращаемое значение:
//  ЗаписьXML.
//
Функция СформироватьТаблицуПараметровДляОперацииФН(СтруктураПараметров, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.СформироватьТаблицуПараметровДляОперацииФН(СтруктураПараметров, РевизияИнтерфейса);
```
</details>

## ПараметрыИзXMLПакетаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить таблицу параметров из ККТ.
//
// Параметры:
//  Данные - Структура - Данные.
//  РевизияИнтерфейса - Число - Ревизия интерфейса
//
// Возвращаемое значение:
//  Структура - Параметры из XMLПакета ККТ:
//  * ПризнакФискализации - Строка.
//  * НомерДокументаФискализации - Число.
//  * ДатаВремяФискализации - Дата.
Функция ПараметрыИзXMLПакетаККТ(Данные, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ПараметрыИзXMLПакетаККТ(Данные, РевизияИнтерфейса);
```
</details>

## СформироватьXMLПакетДляФискализацияЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирует XML пакет для Фискализация чека.
//
// Параметры:
//  ОбщиеПараметры - Структура - параметры чека
//  ПараметрыФискализации - Структура - параметры фискализации чека.
//  ВключатьПерсональныеДанные - Булево - Включать персональные данные.
//  ПерсональныеДанные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПерсональныеДанныеПокупателя.
//  ТипПерсональныхДанных - ПеречислениеСсылка.ТипыПерсональныхДанныхККТ - Тип персональных данных.
Процедура СформироватьXMLПакетДляФискализацияЧека(ОбщиеПараметры, ПараметрыФискализации, ВключатьПерсональныеДанные = Ложь, Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройства.СформироватьXMLПакетДляФискализацияЧека(ОбщиеПараметры, ПараметрыФискализации, ВключатьПерсональныеДанные, );
```
</details>

## ПолучитьXMLПакетДляОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить XMLПакет для операции.
//
// Параметры:
//  ОбщиеПараметры - Структура, Булево - Общие параметры
//  РевизияИнтерфейса - Число - Ревизия интерфейса
//
// Возвращаемое значение:
//  Строка - Получить XMLПакет для операции
Функция ПолучитьXMLПакетДляОперации(ОбщиеПараметры, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ПолучитьXMLПакетДляОперации(ОбщиеПараметры, РевизияИнтерфейса);
```
</details>

## ПолучитьXMLПакетДляТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить XMLПакет для текста.
//
// Параметры:
//  СтрокаТекста - Строка, Структура - Строка текста
//  РевизияИнтерфейса - Число - Ревизия интерфейса
//
// Возвращаемое значение:
//  Массив из ЗаписьXML - Получить XMLПакет для текста.
Функция ПолучитьXMLПакетДляТекста(СтрокаТекста, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ПолучитьXMLПакетДляТекста(СтрокаТекста, РевизияИнтерфейса);
```
</details>

## ПолучитьПараметрыСостоянияИзXMLПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить параметры состояния из XML пакета.
//
// Параметры:
//  Данные - Произвольный.
//  НомерСмены - Неопределено - Номер смены
//
// Возвращаемое значение:
//  Структура - Получить параметры состояния из XMLПакета:
//  * ДатаСменыККТ - Число -
//  * НомерСменыККТ - Число -
//  * НомерЧекаККТ - Число -
//  * НомерЧекаЗаСмену - Число -
//  * СтатусСмены - Неопределено -
//  * СчетчикиОперацийПриход - Структура -:
//    ** КоличествоЧеков - Число.
//    ** СуммаЧеков - Число.
//    ** КоличествоЧековКоррекции - Число.
//    ** СуммаЧековКоррекции - Число.
//  * СчетчикиОперацийВозвратПрихода - Структура -:
//    ** КоличествоЧеков - Число.
//    ** СуммаЧеков - Число.
//    ** КоличествоЧековКоррекции - Число.
//    ** СуммаЧековКоррекции - Число.
//  * СчетчикиОперацийРасход - Структура -:
//    ** КоличествоЧеков - Число.
//    ** СуммаЧеков - Число.
//    ** КоличествоЧековКоррекции - Число.
//    ** СуммаЧековКоррекции - Число.
//  * СчетчикиОперацийВозвратРасхода - Структура -:
//    ** КоличествоЧеков - Число.
//    ** СуммаЧеков - Число.
//    ** КоличествоЧековКоррекции - Число.
//    ** СуммаЧековКоррекции - Число.
//  * КоличествоЧеков - Число.
//  * ОстатокНаличных - Число.
//  * ПревышеноВремяОжиданияОтветаОФД - Булево -
//  * КоличествоНепереданныхФД - Неопределено -
//  * НомерПервогоНепереданногоФД - Неопределено -
//  * ДатаПервогоНепереданногоФД - Неопределено -
//  * НеобходимаСрочнаяЗаменаФН - Булево -
//  * ПамятьФНПереполнена - Булево -
//  * РесурсФНИсчерпан - Булево -
Функция ПолучитьПараметрыСостоянияИзXMLПакета(Данные, НомерСмены = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ПолучитьПараметрыСостоянияИзXMLПакета(Данные, НомерСмены);
```
</details>

## ПолучитьПараметрыСменыИзXMLПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить таблицу параметров смены из ККТ.
//
// Параметры:
//  ДанныеXML - Строка - строка XML
//  РевизияИнтерфейса - Число - ревизия интерфейса
//  НомерСменыККТ - Число - номер смены
//  НомерЧекаККТ - Число - номер чека
//
// Возвращаемое значение:
//  Структура.
//
Функция ПолучитьПараметрыСменыИзXMLПакета(ДанныеXML, РевизияИнтерфейса = 0, НомерСменыККТ = 0, НомерЧекаККТ = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ПолучитьПараметрыСменыИзXMLПакета(ДанныеXML, РевизияИнтерфейса, НомерСменыККТ, НомерЧекаККТ);
```
</details>

## ЗаполнитьРезультатыФискализацияЧекаИзXMLПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить результаты фискализация чека из XML пакета.
//
// Параметры:
//  ПараметрыФискализации - Структура
Процедура ЗаполнитьРезультатыФискализацияЧекаИзXMLПакета(ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройства.ЗаполнитьРезультатыФискализацияЧекаИзXMLПакета(ПараметрыФискализации) 
```
</details>

## ЗаполнитьXMLПакетыДляТекстовогоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет XML пакет для печати текстового документа
//
// Параметры:
//  ТестовыеЧеки - Массив из Строка -
//  НефискальныеДокументы - Массив из см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//  ПараметрыПодключения - См. МенеджерОборудованияКлиентСервер.ПараметрыПодключения
//  ШиринаСтроки - Число - ширина строки печатающего устройства
//
Процедура ЗаполнитьXMLПакетыДляТекстовогоДокумента(ТестовыеЧеки, НефискальныеДокументы, ПараметрыПодключения, ШиринаСтроки = 32) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройства.ЗаполнитьXMLПакетыДляТекстовогоДокумента(ТестовыеЧеки, НефискальныеДокументы, ПараметрыПодключения, ШиринаСтроки);
```
</details>

## ЗагрузитьДанныеФискализацииИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить структуру чека из XML.
//
// Параметры:
//  ДанныеXML - Строка -Данные XML
//
// Возвращаемое значение:
//  Структура - Загрузить данные фискализации из XML:
//  * ДанныеКоррекции - Структура -:
//    ** НомерПредписания - Число -
//    ** ДатаКоррекции - Дата -
//    ** ОписаниеКоррекции - Строка -
//    ** ТипКоррекции - Число -
//  * НеприменениеККТ - Булево -
//  * КорректируемыйДокумент - Произвольный -
//  * ЕстьПерсональныеДанные - Булево -
//  * ИндивидуальныйРежимПодготовкиДанныхКПередачеВОФД - Булево -
//  * ДопустимоеРасхождениеФорматноЛогическогоКонтроля - Число -
//  * СпособФорматноЛогическогоКонтроля - Неопределено -
//  * СформироватьЧекКоррекции - Булево -
//  * ДополнительныйРеквизитПользователя - Структура -:
//    ** Значение - Произвольный -
//    ** Наименование - Строка -
//  * ДополнительныйРеквизит - Неопределено -
//  * НефискальныеДокументы - Массив из ОпределяемыйТип.ОснованиеФискальнойОперацииБПО -
//  * КассаККМ - Произвольный -
//  * ШаблонЧека - Произвольный -
//  * ТаблицаОплат - Массив из Структура-
//  * ПозицииЧека - Массив из Структура -
//  * КопийЧека - Число -
//  * ТекстПодвала - Строка -
//  * ТекстШапки - Строка -
//  * ДатаВремя - Дата -
//  * НомерСмены - Число -
//  * НомерЧека - Строка -
//  * НомерКассы - Строка -
//  * НаименованиеМагазина - Строка -
//  * АдресМагазина - Строка -
//  * ОрганизацияКПП - Строка -
//  * ОрганизацияИНН - Строка -
//  * ОрганизацияНазвание - Строка -
//  * СерийныйНомер - Строка -
//  * ПолучательИНН - Строка -
//  * Получатель - Строка -
//  * ДанныеПоставщика - Структура -:
//    ** ИНН - Строка -
//    ** Наименование - Строка -
//    ** Телефон - Строка -
//  * ДанныеАгента - Структура -:
//    ** ОператорПоПриемуПлатежей - Структура -:
//       *** Телефон - Неопределено -
//    ** ОператорПеревода - Структура -:
//       *** Телефон - Строка -
//       *** Наименование - Строка -
//       *** Адрес - Строка -
//       *** ИНН - Строка -
//    ** ПлатежныйАгент - Структура -:
//       *** Операция - Строка -
//       *** Телефон - Строка -
//  * ПризнакАгента - Неопределено -
//  * ПокупательНомер - Строка -
//  * ПокупательEmail - Строка -
//  * ОтправительEmail - Строка -
//  * МестоРасчетов - Строка -
//  * АдресРасчетов - Строка -
//  * СистемаНалогообложения - ПеречислениеСсылка.ТипыСистемНалогообложенияККТ -
//  * Отправляет1СEmail - Булево -
//  * Отправляет1СSMS - Булево -
//  * ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами -
//  * Электронно - Булево -
//  * ТорговыйОбъект - Неопределено -
//  * Организация - Неопределено -
//  * ИдентификаторФискальнойЗаписи - Неопределено -
//  * ДокументОснование - Неопределено -
//  * КассирИНН - Неопределено -
//  * Кассир - Строка -
Функция ЗагрузитьДанныеФискализацииИзXML(ДанныеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ЗагрузитьДанныеФискализацииИзXML(ДанныеXML) 
```
</details>

## ШаблонЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует шаблон чека.
//
// Параметры:
//  ОбщиеПараметры - См. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//  ТипОборудования - Строка - типы оборудования строкой.
//  ДополнительныйТекст - Строка - дополнительный текст шаблона чека.
//  ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//
// Возвращаемое значение:
//  Структура.
Функция ШаблонЧека(ОбщиеПараметры, ТипОборудования, ДополнительныйТекст = Неопределено, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.ШаблонЧека(ОбщиеПараметры, ТипОборудования, ДополнительныйТекст, ИдентификаторУстройства);
```
</details>

## СформироватьФискальныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует табличный документ по данным фискального чека.
//
// Параметры:
//  ТипДокумента - Число
//   ОбщиеПараметры - Структура - параметры фискального документа загруженная из данных XML
//                    см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//   РеквизитыЧека - Структура - параметры фискального документа из регистра сведений фискальные документы
//                    см. ДанныеФискальнойОперации()
//   ФорматФФД - Строка - формат фискальных данных, влияет на вывод таблицы оплаты при "1.0"
//                        используются только виды оплат "НАЛИЧНЫМИ", "ЭЛЕКТРОННО"
//
// Возвращаемое значение:
//  ТабличныйДокумент - табличный документ со сформированным фискальным документом, может быть сохранен в любой формат.
//
Функция СформироватьФискальныйДокумент(ТипДокумента, ОбщиеПараметры, РеквизитыЧека = Неопределено, ФорматФФД = "1.1", ШиринаЧека = 42) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.СформироватьФискальныйДокумент(ТипДокумента, ОбщиеПараметры, РеквизитыЧека, ФорматФФД, ШиринаЧека);
```
</details>

## СформироватьФискальныйДокументТекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует табличный документ по данным фискального чека.
//
// Параметры:
//  ТипДокумента - Число
//   ОбщиеПараметры - Структура - параметры фискального документа загруженная из данных XML
//                    см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//   РеквизитыЧека - Структура - параметры фискального документа из регистра сведений фискальные документы
//                    см. ДанныеФискальнойОперации()
//   ФорматФФД - Строка - формат фискальных данных, влияет на вывод таблицы оплаты при "1.0"
//                        используются только виды оплат "НАЛИЧНЫМИ", "ЭЛЕКТРОННО"
//
// Возвращаемое значение:
//  Текст - Строка.
//
Функция СформироватьФискальныйДокументТекст(ТипДокумента, ОбщиеПараметры, РеквизитыЧека = Неопределено, ФорматФФД = "1.1", ШиринаЧека = 42) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.СформироватьФискальныйДокументТекст(ТипДокумента, ОбщиеПараметры, РеквизитыЧека, ФорматФФД, ШиринаЧека);
```
</details>

## КассоваяСменаОткрыта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает флаг открыта ли кассовая смена
//
// Параметры:
//  СтатусКассовойСмены - ПеречислениеСсылка.СтатусыКассовойСмены
//
// Возвращаемое значение:
//  Булево
Функция КассоваяСменаОткрыта(СтатусКассовойСмены) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.КассоваяСменаОткрыта(СтатусКассовойСмены) 
```
</details>

## СтатусОткрытойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус что кассовая смена открыта
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыКассовойСмены
Функция СтатусОткрытойСмены() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.СтатусОткрытойСмены() 
```
</details>

## СтатусЗакрытойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус что кассовая смена закрыта
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СтатусыКассовойСмены
Функция СтатусЗакрытойСмены() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.СтатусЗакрытойСмены() 
```
</details>

## СтатусыЧекаВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает возможные варианты статусов чеков в очереди
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение
Функция СтатусыЧекаВОчереди() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.СтатусыЧекаВОчереди() 
```
</details>

## КодТовараИдентифицируетЭкземпляр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать МенеджерОборудованияМаркировка.КодТовараИдентифицируетЭкземпляр.
// Идентифицирует ли код товара (значение тега 1162) экземпляр товара.
//
// Параметры:
//   РеквизитКодаТовара - Строка - Значение реквизита кода товара в BASE64.
//   ШтриховойКодТовара - Строка - Штриховой код товара.
//
// Возвращаемое значение:
//  Булево - Истина - Если код товара идентифицирует экземпляр товара.
//
Функция КодТовараИдентифицируетЭкземпляр(Знач РеквизитКодаТовара = Неопределено, Знач ШтриховойКодТовара = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.КодТовараИдентифицируетЭкземпляр(РеквизитКодаТовара, ШтриховойКодТовара);
```
</details>

## СформироватьШаблонЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ШаблонЧека.
// Функция формирует шаблон чека.
//
// Параметры:
//  ОбщиеПараметры - Структура - см.ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека().
//  ТипОборудования - Строка - типы оборудования строкой.
//  ДополнительныйТекст - Строка - дополнительный текст шаблона чека.
//  ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//
// Возвращаемое значение:
//  - Структура.
Функция СформироватьШаблонЧека(ОбщиеПараметры, ТипОборудования, ДополнительныйТекст = Неопределено, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.СформироватьШаблонЧека(ОбщиеПараметры, ТипОборудования, ДополнительныйТекст, ИдентификаторУстройства);
```
</details>

## СведенияОбОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает название организации по ссылке типа ОпределяемыеТипы.Организация
//
// Параметры:
//  Организация - ОпределяемыйТип.ОрганизацияБПО
//
// Возвращаемое значение:
//  Структура:
//   * Наименование - Строка - Наименование организации
Функция СведенияОбОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройства.СведенияОбОрганизации(Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
