---
title: Оборудование чекопечатающие устройства клиент сервер
slug: erp-uh/оборудование-чекопечатающие-устройства-клиент-сервер
---


## ИННСоответствуетТребованиям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствие ИНН требованиям.
//
// Параметры:
//  ИНН                - Строка - проверяемый индивидуальный номер налогоплательщика.
//  ЭтоЮридическоеЛицо - Булево - признак, является ли владелец ИНН юридическим лицом.
//  ТекстСообщения     - Строка - текст сообщения о найденных ошибках.
//
// Возвращаемое значение:
//  Булево - Истина, если соответствует.
//
Функция ИННСоответствуетТребованиям(Знач ИНН, ЭтоЮридическоеЛицо, ТекстСообщения) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ИННСоответствуетТребованиям(ИНН, ЭтоЮридическоеЛицо, ТекстСообщения) 
```
</details>

## ПараметрыФискальногоНакопителяОбщие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру общих параметров фискального накопителя.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыФискальногоНакопителяОбщие() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыФискальногоНакопителяОбщие() 
```
</details>

## ПараметрыРегистрацииККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров регистрации ККТ.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыРегистрацииККТ() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыРегистрацииККТ() 
```
</details>

## ПараметрыОперацииФискализацииНакопителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров Фискализации ФН.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыОперацииФискализацииНакопителя() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииНакопителя() 
```
</details>

## ПараметрыВыполненияОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров выполнения операции.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыВыполненияОперации() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыВыполненияОперации() Экспорт;);
```
</details>

## ПараметрыДанныеАгента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру данных агента.
//
// Возвращаемое значение:
//  Структура:
//   * ОператорПоПриемуПлатежей - Структура:
//      ** Телефон - Неопределено -
//   * ОператорПеревода - Структура:
//      ** Телефон - Строка -
//      ** Наименование - Строка -
//      ** Адрес - Строка -
//      ** ИНН - Строка -
//   * ПлатежныйАгент - Структура:
//      ** Операция - Строка -
//      ** Телефон - Строка -
//
Функция ПараметрыДанныеАгента() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыДанныеАгента() 
```
</details>

## ПараметрыДанныеПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру данных поставщика.
//
// Возвращаемое значение:
// 	Структура - Описание:
//   * ИНН - Строка
//   * Наименование - Строка
//   * Телефон - Строка
//
Функция ПараметрыДанныеПоставщика() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыДанныеПоставщика() 
```
</details>

## ПараметрыДанныеКодаТоварнойНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру данных кода товарной номенклатуры.
//
// Возвращаемое значение:
// 	Структура - Описание:
//   * ЗначениеКодаТовара - Строка
//   * ТипКодаТовара - Строка
//   * РеквизитКодаТовара - Строка
//   * СерийныйНомер - Строка
//   * ГлобальныйИдентификаторТорговойЕдиницы - Строка
//   * КонтрольныйИдентификационныйЗнак - СТрока
//   * ТипМаркировки - ПеречислениеСсылка.ТипыМаркировкиККТ -
//
Функция ПараметрыДанныеКодаТоварнойНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыДанныеКодаТоварнойНоменклатуры() 
```
</details>

## ПараметрыДробноеКоличество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру данных дробное количество для товарной номенклатуры.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыДробноеКоличество() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыДробноеКоличество() 
```
</details>

## ПараметрыДополнительногоРеквизитаПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру дополнительного реквизита пользователя.
//
// Возвращаемое значение:
//  Структура:
//    * Наименование - Строка
//    * Значение - Строка
//
Функция ПараметрыДополнительногоРеквизитаПользователя() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыДополнительногоРеквизитаПользователя() 
```
</details>

## ПараметрыQRКода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров QR кода.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыQRКода() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыQRКода() 
```
</details>

## ПараметрыОперационныйРеквизит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру операционного реквизит чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыОперационныйРеквизит() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперационныйРеквизит() 
```
</details>

## ПараметрыОтраслевойРеквизит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру отраслевого реквизит чека.
// 1260 - отраслевой реквизит предмета расчета.
// 1261 - отраслевой реквизит чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыОтраслевойРеквизит() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОтраслевойРеквизит() 
```
</details>

## ПараметрыСведенияОПокупателе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру сведений о покупателей.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыСведенияОПокупателе() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыСведенияОПокупателе() 
```
</details>

## ПараметрыПерсональныеДанныеПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру персональные данные покупателя.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыПерсональныеДанныеПокупателя() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПерсональныеДанныеПокупателя() 
```
</details>

## ПараметрыОперацииФискализацииЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров операции фискализации чека.
//
// Возвращаемое значение:
// 	Структура - Описание:
//   * ДанныеКоррекции - Структура -:
//      ** НомерПредписания - Число
//      ** ДатаКоррекции - Дата
//      ** ОписаниеКоррекции - Строка
//      ** ТипКоррекции - Число -
//   * НеприменениеККТ - Булево -
//   * КорректируемыйДокумент - Произвольный
//   * ЕстьПерсональныеДанные - Булево -
//   * ИндивидуальныйРежимПодготовкиДанныхКПередачеВОФД - Булево -
//   * ДопустимоеРасхождениеФорматноЛогическогоКонтроля - Число -
//   * СпособФорматноЛогическогоКонтроля - Неопределено -
//   * СформироватьЧекКоррекции - Булево -
//   * ДополнительныйРеквизитПользователя - Структура:
//      ** Значение - Произвольный
//      ** Наименование - Строка
//   * ДополнительныйРеквизит - Неопределено -
//   * НефискальныеДокументы - Массив Из Строка.
//   * КассаККМ - Произвольный -
//   * ШаблонЧека - Произвольный
//   * ТаблицаОплат - Массив из из см.ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыФискальнойСтрокиЧека.
//   * ПозицииЧека - Массив из см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыФискальнойСтрокиЧека.
//   * СведенияОБезналичнойОплате - Массив из см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыСведенияОБезналичнойОплате.
//   * КопийЧека - Число -
//   * ТекстПодвала - Строка -
//   * ТекстШапки - Строка -
//   * ДатаВремя - Дата -
//   * НомерСмены - Число
//   * НомерЧека - Строка
//   * НомерКассы - Строка
//   * НаименованиеМагазина - Строка
//   * АдресМагазина - Строка
//   * ОрганизацияКПП - Строка
//   * ОрганизацияИНН - Строка
//   * ОрганизацияНазвание - Строка
//   * СерийныйНомер - Строка
//   * ПолучательИНН - Строка
//   * Получатель - Строка
//   * ДанныеПоставщика - Структура:
//      ** ИНН - Строка
//      ** Наименование - Строка
//      ** Телефон - Строка
//   * ДанныеАгента - Структура:
//      ** ОператорПоПриемуПлатежей - Структура:
//          *** Телефон - Неопределено -
//      ** ОператорПеревода - Структура:
//          *** Телефон - Строка -
//          *** Наименование - Строка -
//          *** Адрес - Строка -
//          *** ИНН - Строка -
//      ** ПлатежныйАгент - Структура:
//          *** Операция - Строка -
//          *** Телефон - Строка -
//   * ПризнакАгента - Неопределено -
//   * ПокупательНомер - Строка
//   * ОтправительEmail - Строка
//   * ПокупательEmail - Строка
//   * МестоРасчетов - Строка
//   * АдресРасчетов - Строка
//   * СистемаНалогообложения - ПеречислениеСсылка.ТипыСистемНалогообложенияККТ -
//   * Отправляет1СEmail - Булево -
//   * Отправляет1СSMS - Булево -
//   * ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами -
//   * Электронно - Булево -
//   * ТорговыйОбъект - Неопределено -
//   * Организация - Неопределено -
//   * ИдентификаторФискальнойЗаписи - Неопределено -
//   * ДокументОснование - Неопределено -
//   * КассирИНН - Неопределено -
//   * Кассир - Строка -
//   * ТекстКороткогоСлипЧека - Строка - текст короткого слип-чека
//   * АвтономнаяККТ - Булево - признак не использования ККТ для пробития чека
//
Функция ПараметрыОперацииФискализацииЧека() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека() Экспорт;);
```
</details>

## ПараметрыФискальнойСтрокиЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров фискальной строки для фискализации чека.
//
// Возвращаемое значение:
//  Структура:
//   * Штрихкод - Строка
//   * НомерСекции - Число -
//   * ДополнительныйРеквизит - Произвольный
//   * СуммаАкциза - Число
//   * НомерТаможеннойДекларации - Строка
//   * КодСтраныПроисхожденияТовара - Строка
//   * ДанныеКодаТоварнойНоменклатуры - Структура:
//      ** СерийныйНомер - Строка
//      ** ГлобальныйИдентификаторТорговойЕдиницы - Строка
//      ** КонтрольныйИдентификационныйЗнак - Строка
//      ** ТипМаркировки - Строка
//   * ЕдиницаИзмерения - Произвольный
//   * ДанныеПоставщика - Структура:
//      ** ИНН - Строка
//      ** Наименование - Строка
//      ** Телефон - Строка
//   * ДанныеАгента - см. ПараметрыДанныеАгента
//   * ПризнакАгентаПоПредметуРасчета - Число
//   * ПризнакПредметаРасчета - Неопределено -
//   * ПризнакСпособаРасчета - Неопределено -
//   * СуммаНДС - Неопределено -
//   * СтавкаНДС - Неопределено -
//   * СуммаСкидок - Число
//   * Сумма - Число -
//   * ЦенаСоСкидками - Число -
//   * Цена - Число -
//   * Количество - Число -
//   * Наименование - Строка
//   * НомерСтрокиТовара - Число
//   * ФискальнаяСтрока - Строка.
//
Функция ПараметрыФискальнойСтрокиЧека() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыФискальнойСтрокиЧека() Экспорт;);
```
</details>

## ПараметрыТекстовойСтрокиЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров текстовой строки для фискализации чека.
//
// Параметры:
//  Текст - Строка - Текстовая строка
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыТекстовойСтрокиЧека(Текст = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыТекстовойСтрокиЧека(Текст);
```
</details>

## ПараметрыШтрихкодВСтрокеЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров штрихкода в строке для фискализации чека.
//
// Параметры:
//  ТипШтрихкодаЗнач - Строка - Тип штрихкода.
//  ШтрихКодЗнач - Строка - Значение штрихкода.
//  ШтрихКодBase64 - Строка - Значение штрихкода в Base64.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыШтрихкодВСтрокеЧека(ТипШтрихкодаЗнач = Неопределено, ШтрихКодЗнач = Неопределено, ШтрихКодBase64 = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыШтрихкодВСтрокеЧека(ТипШтрихкодаЗнач, ШтрихКодЗнач, ШтрихКодBase64);
```
</details>

## ПараметрыСтрокиОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров строки оплаты.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыСтрокиОплаты(Сумма = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыСтрокиОплаты(Сумма);
```
</details>

## ПараметрыДетализацииСтрокиОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров детализации строки оплаты.
//
// Параметры:
//  НаименованиеТипаОплаты - Строка
//  Сумма - Число
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыДетализацииСтрокиОплаты(НаименованиеТипаОплаты = Неопределено, Сумма = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыДетализацииСтрокиОплаты(НаименованиеТипаОплаты, Сумма);
```
</details>

## ПараметрыСведенияОБезналичнойОплате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров сведений о безналичной оплате.
//
// Параметры:
//  Сумма - Число - Cумма оплаты безналичными
//  ПризнакСпособаОплаты - Число - Признак способа оплаты безналичными
//  Идентификаторы - Строка - Идентификаторы безналичной оплаты
//  ДополнительныеCведения - Строка - Дополнительные сведения о безналичной оплате
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыСведенияОБезналичнойОплате() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыСведенияОБезналичнойОплате() 
```
</details>

## ПараметрыДанныеКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров строки оплаты.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыДанныеКоррекции() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыДанныеКоррекции()  
```
</details>

## ПараметрыОперацииЧекаКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров выполнения операции чека коррекции.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыОперацииЧекаКоррекции() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииЧекаКоррекции() Экспорт;);
```
</details>

## ПараметрыОткрытияЗакрытияСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров открытия и закрытия смены.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыОткрытияЗакрытияСмены() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОткрытияЗакрытияСмены() Экспорт;);
```
</details>

## ПараметрыИнкассации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров инкассацию на фискальном устройстве.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыИнкассации() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыИнкассации() Экспорт;);
```
</details>

## ПараметрыПечатьКопииЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров печати копии чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыПечатьКопииЧека() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПечатьКопииЧека() Экспорт;);
```
</details>

## ПараметрыОперацииАннулированияЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров аннулирования чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыОперацииАннулированияЧека() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииАннулированияЧека() Экспорт;);
```
</details>

## ПараметрыПечатиQRКодаНаФискальномУстройстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру печати QR кода на фискальном устройстве.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыПечатиQRКодаНаФискальномУстройстве() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПечатиQRКодаНаФискальномУстройстве() Экспорт;);
```
</details>

## ПараметрыСчетчиковОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры счетчиков операций.
//
// Возвращаемое значение:
//  Структура - Параметры нормализуемых фискальных данных:
//   * КоличествоЧеков - Число -
//   * СуммаЧеков - Число -
//   * КоличествоЧековКоррекции - Число -
//   * СуммаЧековКоррекции - Число -
//
Функция ПараметрыСчетчиковОпераций() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыСчетчиковОпераций() 
```
</details>

## ПараметрыНормализуемыхФискальныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров нормализуемых фискальных данных.
//
// Возвращаемое значение:
//  Структура - Параметры нормализуемых фискальных данных:
//   * ДатаСменыККТ - Число -
//   * НомерСменыККТ - Число -
//   * НомерЧекаККТ - Число -
//   * НомерЧекаЗаСмену - Число -
//   * СтатусСмены - Неопределено -
//   * СчетчикиОперацийПриход - Структура -:
//      ** КоличествоЧеков - Число.
//      ** СуммаЧеков - Число.
//      ** КоличествоЧековКоррекции - Число.
//      ** СуммаЧековКоррекции - Число.
//   * СчетчикиОперацийВозвратПрихода - Структура -:
//      ** КоличествоЧеков - Число.
//      ** СуммаЧеков - Число.
//      ** КоличествоЧековКоррекции - Число.
//      ** СуммаЧековКоррекции - Число.
//   * СчетчикиОперацийРасход - Структура -:
//      ** КоличествоЧеков - Число.
//      ** СуммаЧеков - Число.
//      ** КоличествоЧековКоррекции - Число.
//      ** СуммаЧековКоррекции - Число.
//   * СчетчикиОперацийВозвратРасхода - Структура -:
//      ** КоличествоЧеков - Число.
//      ** СуммаЧеков - Число.
//      ** КоличествоЧековКоррекции - Число.
//      ** СуммаЧековКоррекции - Число.
//   * КоличествоЧеков - Число.
//   * ОстатокНаличных - Число.
//   * ПревышеноВремяОжиданияОтветаОФД - Булево -
//   * КоличествоНепереданныхФД - Неопределено -
//   * НомерПервогоНепереданногоФД - Неопределено -
//   * ДатаПервогоНепереданногоФД - Неопределено -
//   * НеобходимаСрочнаяЗаменаФН - Булево -
//   * ПамятьФНПереполнена - Булево -
//   * РесурсФНИсчерпан - Булево -
//
Функция ПараметрыНормализуемыхФискальныхДанных() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыНормализуемыхФискальныхДанных() 
```
</details>

## ПараметрыПечатиТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров печати текста.
//
// Параметры:
//  СтрокиТекста - Строка
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыПечатиТекста(СтрокиТекста = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПечатиТекста(СтрокиТекста);
```
</details>

## ПараметрыЗапросКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров запрос КМ.
//
// Возвращаемое значение:
//  Структура - параметры запроса КМ:
//   * ИдентификаторЗапроса - Строка - Уникальный идентификатор запроса
//   * ВыполнятьВалидацию - Булево - выполнять проверку кода маркировки средствами БПО
//   * ИгнорироватьРезультатПроверкиКМ - Булево - игнорировать результат проверки КМ и автоматически подтверждать продажу товара.
//   * ЗапросПроверкиКМСредствамиККТ - Булево - выполнять запрос проверки КМ на удаленном сервере ОИСМ (ИСМП).
//                                     Обычно этот флаг сбрасывается в Ложь при использовании объемно-сортового учета.
//   * ОжидатьПолучениеОтветаОИСМ - Булево - Будет ли ожидаться получение ответа от ОИСМ. (ИСМП)
//   * ОтправлятьНаСерверОИСМ - Булево - (устарела) Запрос КМ формируется локально или отправляется на сервер ОИСМ.
//   * Количество - Число - Количество
//   * ДробноеКоличество - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыДробноеКоличество.
//   * КонтрольнаяМарка - Строка - Код контрольной марки. Кодируется текстом в кодировке Base64.
//   * КодЕдиницыИзмерения - Строка -  Код единицы измерения в соответствии с общероссийским классификатором единиц
//                                     измерения. Если значение реквизита заполнено, используется он, иначе МераКоличестваПредметаРасчета.
//   * МераКоличестваПредметаРасчета - ПеречислениеСсылка.МераКоличестваПредметаРасчетаККТ - Мера количества предмета расчета.
//                                     Тэг 2108. Значение из таблицы 114 (ФФД).
//   * ПланируемыйСтатусТовара - ПеречислениеСсылка.
//   * Наименование - Строка - строковое наименование предмета расчета, для отображения в журнате операций провенрки кода маркировки
//   * ДополнительныеПараметры - Неопределено, Структура - дополнительные параметры которые могут быть переданы в операцию,
//                               это значение вернется в оповещении при выполнении операции.
//   * ЗапросРазрешенияПродажиКМ - Булево - выполнялся запрос разрешения продажи
//   * АдресСервераЗапросаРазрешения - Строка - адрес сервера где выполнялся запрос разрешения
//   * ТекстЗапросаРазрешения - Строка - текст запроса для получения разрешения
//   * КодОтветаРазрешения - Неопределено, Строка - код ответа который получен от удаленного сервера, если код не задан, а значение флага
//                           ЗапросРазрешенияПродажиКМ установлено в Истина, тогда код будет содержать текст Таймаут.
//   * РезультатЗапросаРазрешения - Строка - JSON - строка, ответ от удаленного сервера ГИС МТ
//   * ИдентификаторЗапросаРазрешения - Строка - идентификатор запроса полученного разрешения
//   * ВремяЗапросаРазрешения - Неопределено, Строка, Дата - таймштамп полученный с удаленого сервера
//   * ПродажаРазрешена - Булево - продажа разрешена, на форме записи будет отображение, что продажа разрешена.
//   * ПричинаЗапрета - Строка - Причина запрета продажи, для отображения на форме записи
//   * ДополнительныеСведения - Массив из см. ДополнительноеСведениеЗапросаКМ
//
Функция ПараметрыЗапросКМ() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыЗапросКМ() 
```
</details>

## ДополнительноеСведениеЗапросаКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительное сведение запроса КМ для отображения на форме записи операции
//
// Возвращаемое значение:
//  Структура:
//   * Заголовок - Строка - заголовок элемента
//   * Значение - Произвольный
Функция ДополнительноеСведениеЗапросаКМ() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ДополнительноеСведениеЗапросаКМ() 
```
</details>

## ПараметрыПроверкиКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров запрос КМ.
//
// Возвращаемое значение:
//  Структура -Параметры проверки КМ:
//   * ОтображатьФорму - Булево - отображать форму с прогрессом выполнения средставми библиотеки
//   * ОжидатьПолученияОтветаПроверкиКМ - Булево - (не используется) ожидать завершения запроса от удаленного сервера ОИСМ (ИСМП).
//   * ЗапросыКМ - Массив из см. ПараметрыЗапросКМ - массив запросов КМ
//
Функция ПараметрыПроверкиКМ() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПроверкиКМ() 
```
</details>

## ПараметрыПодтверждениеКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров запрос КМ.
//
// Возвращаемое значение:
//   Структура:
//   * ИдентификаторЗапроса - Строка - Уникальный идентификатор запроса
//
Функция ПараметрыПодтверждениеКМ() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПодтверждениеКМ() 
```
</details>

## ПараметрыПакетнойОперацииВОчередиЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру пакетной операции для добавления ее в очередь чеков
//
// Возвращаемое значение:
//   Структура:
//   * ТипОперации - ПеречислениеСсылка.ТипыПакетнойОперацииВОчередиЧеков
//   * ИдентификаторЭТ - СправочникСсылка.ПодключаемоеОборудование - Эквайринговый терминал для обработки операции
//   * СлипЧекВТелеФискального - Булево, Неопределено - Выводить слип-чек в теле фискального, Истина - слип-чек будет выведен
//                          в теле фискального, Ложь - короткий слип-чек не будет выводиться, Неопределено - короткий слип-чек
//                          будет выводиться если поддерживает драйвер оборудования.
//   * ПараметрыЭквайринговойОперации - Структура:
//      ** ВидОплаты - Строка -
//      ** ПроцентКомиссии - Число -
//      ** РеквизитыКартыQR - Строка -
//   * ПараметрыПродажаСВыдачейНаличных - Структура:
//      ** СуммаВыдачи - Число - сумма выдачи наличных, в случае операции продажа с выдачей наличных
//      ** ДанныеАгента - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыДанныеАгента
//      ** ДанныеПоставщика - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыДанныеПоставщика
//      ** ДокументОснованиеВыдачи - ОпределяемыйТип.ОснованиеФискальнойОперацииБПО, Неопределено -
//      ** ДокументОснованиеВозврата - ОпределяемыйТип.ОснованиеФискальнойОперацииБПО, Неопределено -
//
Функция ПараметрыПакетнойОперацииВОчередиЧеков() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПакетнойОперацииВОчередиЧеков() 
```
</details>

## ПараметрыФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры фискальной операции.
//
// Возвращаемое значение:
//  Структура - Параметры фискальной операции:
//  * Кассир - ОпределяемыйТип.СубъектПерсональныхДанныхБПО
//  * ДокументОснование - ОпределяемыйТип.ОснованиеФискальнойОперацииБПО
//  * Организация - ОпределяемыйТип.ОрганизацияБПО
//  * ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектБПО
//  * НомерСменыККТ - Число -
//  * НомерЧекаККТ - Число -
//  * СтатусСмены - Число -
//  * ДатаВремя - Дата
//  * ПараметрыXML - Строка -
//  * РезультатXML - Строка -
//  * КассоваяСмена - ДокументСсылка.КассоваяСмена
//  * ТестовыеЧеки - Булево
//  * ТекстЧека - Строка
//  * ДополнительныеПараметры - Произвольный
//  * Результат - Булево -
//  * ТекстОшибки - Строка
//
Функция ПараметрыФискальнойОперации() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыФискальнойОперации() 
```
</details>

## ПараметрыЗапросПроверкиКода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру данных запроса проверки кода для разрешительной системы.
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыЗапросПроверкиКода() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыЗапросПроверкиКода() 
```
</details>

## ПараметрыQRКодаЧекаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру параметров QR кода чека ККТ.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыQRКодаЧекаККТ() Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыQRКодаЧекаККТ() 
```
</details>

## РасшифроватьQRКодЧекаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция расшифровывает QR код для чека ККТ. Структура описана в документе ФФД в разделе 61.
//
// Параметры:
//  ЗначениеQRКода - Строка
// Возвращаемое значение:
//  Структура.
//
Функция РасшифроватьQRКодЧекаККТ(ЗначениеQRКода) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.РасшифроватьQRКодЧекаККТ(ЗначениеQRКода) 
```
</details>

## СформироватьQRКодЧекаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует QR код для чека ККТ. Структура описана в документе ФФД в разделе 61.
//
// Параметры:
//  ПараметрыQRКода - Структура
// Возвращаемое значение:
//  Строка.
//
Функция СформироватьQRКодЧекаККТ(ПараметрыQRКода) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.СформироватьQRКодЧекаККТ(ПараметрыQRКода) 
```
</details>

## КодСистемыНалогообложенияККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Система налогообложения

// Получить код системы налогообложения ККТ.
//
// Параметры:
//  СистемаНалогообложенияККТ - ПеречислениеСсылка.ТипыСистемНалогообложенияККТ - Система налогообложения ККТ.
//
// Возвращаемое значение:
//  Произвольный, Число - Код системы налогообложения ККТ
Функция КодСистемыНалогообложенияККТ(СистемаНалогообложенияККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодСистемыНалогообложенияККТ(СистемаНалогообложенияККТ) 
```
</details>

## СистемаНалогообложенияККТПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить систему налогообложения ККТ по коду
//
// Параметры:
//  КодСистемыНалогообложенияККТ - Число - Код системы налогообложения ККТ.
//
// Возвращаемое значение:
//  Произвольный, ПеречислениеСсылка.ТипыСистемНалогообложенияККТ - Система налогообложения ККТПо коду
Функция СистемаНалогообложенияККТПоКоду(КодСистемыНалогообложенияККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.СистемаНалогообложенияККТПоКоду(КодСистемыНалогообложенияККТ) 
```
</details>

## НаименованиеСистемыНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить наименование системы налогообложения по коду.
//
// Параметры:
//  СистемаНалогообложения - Число, Произвольный - Система налогообложения
//  Кратко - Булево - Кратко
//
// Возвращаемое значение:
//  Строка, Произвольный - Наименование системы налогообложения
Функция НаименованиеСистемыНалогообложения(СистемаНалогообложения, Кратко = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.НаименованиеСистемыНалогообложения(СистемаНалогообложения, Кратко);
```
</details>

## КодВидДокументаУдостоверяющегоЛичность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды видов документов

// Возвращает код вида документа удостоверяющего личность ККТ.
//
// Параметры:
//  ВидДокументаУдостоверяющегоЛичность - ПеречислениеСсылка - Вид документа удостоверяющего личность
//
// Возвращаемое значение:
//  Произвольный, Число - Код вид документа удостоверяющего личность
Функция КодВидДокументаУдостоверяющегоЛичность(ВидДокументаУдостоверяющегоЛичность) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодВидДокументаУдостоверяющегоЛичность(ВидДокументаУдостоверяющегоЛичность) 
```
</details>

## ВидДокументаУдостоверяющегоЛичностьПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вида документа удостоверяющего личность ККТ по коду.
//
// Параметры:
//  КодВидаДокументаУдостоверяющегоЛичность - Число - Код вида документа удостоверяющего личность.
//
// Возвращаемое значение:
//  ПеречислениеСсылка, Произвольный - Вид документа удостоверяющего личность по коду
Функция ВидДокументаУдостоверяющегоЛичностьПоКоду(КодВидаДокументаУдостоверяющегоЛичность) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ВидДокументаУдостоверяющегоЛичностьПоКоду(КодВидаДокументаУдостоверяющегоЛичность) 
```
</details>

## КодРасчетаДенежнымиСредствами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды расчетов, признаков расчетов и предметов расчетов

// Получить код расчета денежными средствами.
//
// Параметры:
//  ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - Тип расчета.
//
// Возвращаемое значение:
//  Произвольный, Число - Код расчета денежными средствами
Функция КодРасчетаДенежнымиСредствами(ТипРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодРасчетаДенежнымиСредствами(ТипРасчета) 
```
</details>

## НаименованиеКодаРасчетаДенежнымиСредствами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить наименование кода расчета денежными средствами по коду.
//
// Параметры:
//  КодРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - Тип расчета.
//
// Возвращаемое значение:
//  Строка - Наименование кода расчета денежными средствами
Функция НаименованиеКодаРасчетаДенежнымиСредствами(КодРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.НаименованиеКодаРасчетаДенежнымиСредствами(КодРасчета) 
```
</details>

## РасчетДенежнымиСредствамиПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить типа расчета денежными средствами по коду.
//
// Параметры:
//  КодПризнакаРасчета - Число - Код признака расчета.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами, Произвольный - Расчет денежными средствами по коду
Функция РасчетДенежнымиСредствамиПоКоду(КодПризнакаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.РасчетДенежнымиСредствамиПоКоду(КодПризнакаРасчета) 
```
</details>

## КодПризнакаСпособаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код признака способа расчета.
//
// Параметры:
//  ПризнакСпособаРасчета - ПеречислениеСсылка.ПризнакиСпособаРасчета - Признак способа расчета.
//
// Возвращаемое значение:
//  Произвольный, Число - Код признака способа расчета
Функция КодПризнакаСпособаРасчета(ПризнакСпособаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодПризнакаСпособаРасчета(ПризнакСпособаРасчета) 
```
</details>

## ПризнакСпособаРасчетаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить признак способа расчета по коду.
//
// Параметры:
//  КодПризнакаСпособаРасчета - Число - Код признака способа расчета.
//
// Возвращаемое значение:
//  Произвольный, ПеречислениеСсылка.ПризнакиСпособаРасчета - Признак способа расчета по коду
Функция ПризнакСпособаРасчетаПоКоду(КодПризнакаСпособаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПризнакСпособаРасчетаПоКоду(КодПризнакаСпособаРасчета) 
```
</details>

## НаименованиеПризнакаСпособаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить наименование признака способа расчета по коду.
//
// Параметры:
//  КодПризнакаСпособаРасчета - Число, Произвольный - Код признака способа расчета
//
// Возвращаемое значение:
//  Строка, Произвольный - Наименование признака способа расчета
Функция НаименованиеПризнакаСпособаРасчета(КодПризнакаСпособаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.НаименованиеПризнакаСпособаРасчета(КодПризнакаСпособаРасчета) Экспорт;);
```
</details>

## КодПризнакаПредметаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код признака способа расчета.
//
// Параметры:
//  ПризнакПредметаРасчета - ПеречислениеСсылка.ПризнакиПредметаРасчета - Признак предмета расчета.
//
// Возвращаемое значение:
//  Произвольный, Число - Код признака предмета расчета
Функция КодПризнакаПредметаРасчета(ПризнакПредметаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодПризнакаПредметаРасчета(ПризнакПредметаРасчета) 
```
</details>

## ПризнакПредметаРасчетаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить признак способа расчета по коду.
//
// Параметры:
//  КодПризнакаПредметаРасчета - Число - Код признака предмета расчета.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ПризнакиПредметаРасчета, Произвольный - Признак предмета расчета по коду
Функция ПризнакПредметаРасчетаПоКоду(КодПризнакаПредметаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПризнакПредметаРасчетаПоКоду(КодПризнакаПредметаРасчета) 
```
</details>

## НаименованиеПризнакаПредметаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить наименование признака предмета расчета по коду.
//
// Параметры:
//  КодПризнакаПредметаРасчета -Число - Код признака предмета расчета.
//
// Возвращаемое значение:
//  Строка, Произвольный - Наименование признака предмета расчета
Функция НаименованиеПризнакаПредметаРасчета(КодПризнакаПредметаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.НаименованиеПризнакаПредметаРасчета(КодПризнакаПредметаРасчета) 
```
</details>

## НаименованиеТипаОплатыККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовое представление типа оплаты на ККТ по версии ФФД
//
// Параметры:
//  ТипОплатыККТ - ПеречислениеСсылка.ТипыОплатыККТ
//  ВерсияФФД - Строка - "1.0", "1.1", "1.2"
//
// Возвращаемое значение:
//  Строка.
Функция НаименованиеТипаОплатыККТ(ТипОплатыККТ, ВерсияФФД) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.НаименованиеТипаОплатыККТ(ТипОплатыККТ, ВерсияФФД) 
```
</details>

## ЯвляетсяОСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак того что система налогообложения ОСН
//
// Параметры:
//  ЭтоОСН - Булево
//  СистемаНалогообложения - ПеречислениеСсылка.ТипыСистемНалогообложенияККТ
//
Процедура ЯвляетсяОСН(ЭтоОСН, СистемаНалогообложения) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ЯвляетсяОСН(ЭтоОСН, СистемаНалогообложения) 
```
</details>

## КодПризнакаАгента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды признаков агентов

// Устарела: следует использовать ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.КодПризнакаАгента.
// Получить признак агента по коду.
//
// Параметры:
//  КодПризнакаАгента - ПеречислениеСсылка.ПризнакиАгента - Код признака агента
//
// Возвращаемое значение:
//  Произвольный, Число - Код признака агента
Функция КодПризнакаАгента(КодПризнакаАгента) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодПризнакаАгента(КодПризнакаАгента) 
```
</details>

## ПризнакАгентаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.ПризнакАгентаПоКоду.
// Получить код типа признака агента.
//
// Параметры:
//  ПризнакАгента - Число - Признак агента
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ПризнакиАгента, Произвольный - Признак агента по коду
Функция ПризнакАгентаПоКоду(ПризнакАгента) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПризнакАгентаПоКоду(ПризнакАгента) 
```
</details>

## КодПричиныИзмененияСведенийККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды изменений сведений ККТ

// Устарела: следует использовать ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.КодПричиныИзмененияСведенийККТ.
// Получить код причины изменения сведений о ККТ.
//
// Параметры:
//  ПричинаИзмененияСведенийККТ - ПеречислениеСсылка.ПричиныИзмененияСведенийККТ - Причина изменения сведений ККТ.
//
// Возвращаемое значение:
//  Произвольный, Число - Код причины изменения сведений ККТ
Функция КодПричиныИзмененияСведенийККТ(ПричинаИзмененияСведенийККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодПричиныИзмененияСведенийККТ(ПричинаИзмененияСведенийККТ) 
```
</details>

## КодПланируемыйСтатусМаркируемогоТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды маркировки

// Устарела: следует использовать МенеджерОборудованияМаркировка.КодПланируемыйСтатусМаркируемогоТовара.
// Получить код планируемого статус маркируемого товара
//
// Параметры:
//  ПланируемыйСтатусМаркируемогоТовара - ПеречислениеСсылка - Планируемый статус маркируемого товара.
//
// Возвращаемое значение:
//  Число - Код планируемого статус маркируемого товара по ОФД
//
Функция КодПланируемыйСтатусМаркируемогоТовара(ПланируемыйСтатусМаркируемогоТовара) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодПланируемыйСтатусМаркируемогоТовара(ПланируемыйСтатусМаркируемогоТовара) 
```
</details>

## КодОтветаОИСМОСтатусеТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать МенеджерОборудованияМаркировка.КодОтветаОИСМОСтатусеТовара.
// Получить код ответ ОИСМ о статусе товара
//
// Параметры:
//  ОтветОИСМОСтатусеТовара - ПеречислениеСсылка.ОтветОИСМОСтатусеТовара - Ответ от ИСМО.
//
// Возвращаемое значение:
//  Число - Ответ ОИСМ о статусе товара по ОФД
//
Функция КодОтветаОИСМОСтатусеТовара(ОтветОИСМОСтатусеТовара) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодОтветаОИСМОСтатусеТовара(ОтветОИСМОСтатусеТовара) 
```
</details>

## ОтветОИСМОСтатусеТовараПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать МенеджерОборудованияМаркировка.ОтветОИСМОСтатусеТовараПоКоду.
// Получить ответ ОИСМ о статусе товара по коду.
//
// Параметры:
//  ОтветОИСМОСтатусеТовара - Число - Ответ от ИСМО.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ОтветОИСМОСтатусеТовара - Ответ ОИСМ.
//
Функция ОтветОИСМОСтатусеТовараПоКоду(ОтветОИСМОСтатусеТовара) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ОтветОИСМОСтатусеТовараПоКоду(ОтветОИСМОСтатусеТовара) 
```
</details>

## КодТипаМаркировкиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать МенеджерОборудованияМаркировка.КодТипаМаркировкиККТ.
// Получить код типа маркировки ККТ по коду.
//
// Параметры:
//  ТипМаркировкиККТ - ПеречислениеСсылка.ТипыМаркировкиККТ - Тип маркировки ККТ.
//
// Возвращаемое значение:
//  Строка, Произвольный - Код типа маркировки ККТ
Функция КодТипаМаркировкиККТ(ТипМаркировкиККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодТипаМаркировкиККТ(ТипМаркировкиККТ) 
```
</details>

## ТипМаркировкиККТПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать МенеджерОборудованияМаркировка.ТипМаркировкиККТПоКоду.
// Получить код типа маркировки ККТ.
//
// Параметры:
//  КодТипМаркировкиККТ - Число - Код тип маркировки ККТ
//
// Возвращаемое значение:
//  Произвольный, ПеречислениеСсылка.ТипыМаркировкиККТ - Тип маркировки ККТПо коду
Функция ТипМаркировкиККТПоКоду(КодТипМаркировкиККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ТипМаркировкиККТПоКоду(КодТипМаркировкиККТ) 
```
</details>

## СтатусРезультатаЗапросаКМПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать МенеджерОборудованияМаркировка.СтатусРезультатаЗапросаКМПоКоду.
// Получить статус результата запроса КМ по коду.
//
// Параметры:
//  КодСтатуса - Число - Код статуса.
//
// Возвращаемое значение:
//  Произвольный, ПеречислениеСсылка.СтатусРезультатаЗапросаКМ - Статус результата запроса КМПо коду
Функция СтатусРезультатаЗапросаКМПоКоду(КодСтатуса) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.СтатусРезультатаЗапросаКМПоКоду(КодСтатуса) 
```
</details>

## КодМерыКоличестваПредметаРасчетаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды единицы измерения

// Устарела: следует использовать ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.КодМерыКоличестваПредметаРасчетаККТ.
// Код меры количества предмета расчета ККТ.
//
// Параметры:
//  МераКоличестваПредметаРасчетаККТ - ПеречислениеСсылка.МераКоличестваПредметаРасчетаККТ - Мера количества предмета расчета ККТ
//
// Возвращаемое значение:
//  Произвольный, Число - Код меры количества предмета расчета ККТ
Функция КодМерыКоличестваПредметаРасчетаККТ(МераКоличестваПредметаРасчетаККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.КодМерыКоличестваПредметаРасчетаККТ(МераКоличестваПредметаРасчетаККТ) 
```
</details>

## МераКоличестваПредметаРасчетаККТПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.МераКоличестваПредметаРасчетаККТПоКоду.
// Получить меру количества предмета расчета по коду.
//
// Параметры:
//  КодМерыКоличестваПредметаРасчетаККТ - ПеречислениеСсылка.МераКоличестваПредметаРасчетаККТ - Код меры количества предмета расчета ККТ
//
// Возвращаемое значение:
//  Произвольный, ПеречислениеСсылка.МераКоличестваПредметаРасчетаККТ - Мера количества предмета расчета ККТПо коду
Функция МераКоличестваПредметаРасчетаККТПоКоду(КодМерыКоличестваПредметаРасчетаККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.МераКоличестваПредметаРасчетаККТПоКоду(КодМерыКоличестваПредметаРасчетаККТ) 
```
</details>

## МераКоличестваПредметаРасчетаПоКодуЕдиницыИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.МераКоличестваПредметаРасчетаПоКодуЕдиницыИзмерения.
// Получить меру количества предмета расчета по коду единицы измерения.
//
// Параметры:
//  КодЕдиницыИзмерения - Число - Код единицы измерения.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.МераКоличестваПредметаРасчетаККТ, Произвольный - Мера количества предмета расчета по коду единицы измерения
Функция МераКоличестваПредметаРасчетаПоКодуЕдиницыИзмерения(КодЕдиницыИзмерения) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.МераКоличестваПредметаРасчетаПоКодуЕдиницыИзмерения(КодЕдиницыИзмерения) 
```
</details>

## СформироватьТекстНефискальногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// АПК: 142-выкл обратная совместимость

// Устарела: следует использовать механизм ШаблоныФискальныхДокументов.ШаблонКассовыйЧек.
// Функция формирует текст нефискального документа по шаблону.
//
// Параметры:
//  ТипДокумента - Число
//  ОбщиеПараметры - Структура - где:
//   * ПозицииЧека - Массив из Структура - где:
//      ** Наименование - Строка - .
//      ** ДанныеПоставщика - Структура - где:
//          *** Наименование - Строка - .
//      ** ДанныеАгента - Структура - где:
//          *** ОператорПеревода - Структура -
//          *** Наименование - Строка - .
//   * ДанныеПоставщика - Структура - где:
//      ** Наименование - Строка - .
//   * ДанныеАгента - Структура - где:
//      ** ОператорПеревода - Структура -
//      ** Наименование - Строка - .
//  ШиринаСтроки - Число
//  ДополнительныйТекст - Строка
//  ФорматФФД - Строка
//  ПолеПодписи - Булево - выводить поле подписи
//
// Возвращаемое значение:
//  Строка - .
//
Функция СформироватьТекстНефискальногоДокумента(ТипДокумента, ОбщиеПараметры, ШиринаСтроки = 32, ДополнительныйТекст = Неопределено, ФорматФФД = "1.1", ПолеПодписи = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.СформироватьТекстНефискальногоДокумента(ТипДокумента, ОбщиеПараметры, ШиринаСтроки, ДополнительныйТекст, ФорматФФД, ПолеПодписи);
```
</details>

## СформироватьТекстНефискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// АПК: 142-вкл

// Устарела: следует использовать механизм ШаблоныФискальныхДокументов.ШаблонКассовыйЧек.
// Функция формирует текст нефискального чека по шаблону.
//
// Параметры:
//  ОбщиеПараметры - Структура - см. СформироватьТекстНефискальногоДокумента()
//  ШиринаСтроки - Число
//  ФорматФФД - Строка
//  ПолеПодписи - Булево - выводить поле подписи
//
// Возвращаемое значение:
//  Структура.
//
Функция СформироватьТекстНефискальногоЧека(ОбщиеПараметры, ШиринаСтроки = 32, ФорматФФД = "1.1", ПолеПодписи = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваКлиентСервер.СформироватьТекстНефискальногоЧека(ОбщиеПараметры, ШиринаСтроки, ФорматФФД, ПолеПодписи);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
