---
title: Оборудование чекопечатающие устройства клиент сервер локализация
slug: erp-uh/оборудование-чекопечатающие-устройства-клиент-сервер-локализация
---


## РасшифроватьQRКодЧекаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расшифровывает QR код для чека ККТ. Структура описана в документе ФФД в разделе 61.
//
// Параметры:
//  ЗначениеQRКода - Строка
//  ДанныеШтрихкода - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыQRКодаЧекаККТ.
//
Процедура РасшифроватьQRКодЧекаККТ(ЗначениеQRКода, ДанныеШтрихкода) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.РасшифроватьQRКодЧекаККТ(ЗначениеQRКода, ДанныеШтрихкода) 
```
</details>

## СформироватьQRКодЧекаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует QR код для чека ККТ. Структура описана в документе ФФД в разделе 61.
//
// Параметры:
//  ПараметрыQRКода - Структура
//  ДанныеQRКода - Строка - сформированная строка.
//
Процедура СформироватьQRКодЧекаККТ(ПараметрыQRКода, ДанныеQRКода) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.СформироватьQRКодЧекаККТ(ПараметрыQRКода, ДанныеQRКода) 
```
</details>

## КодСистемыНалогообложенияККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Система налогообложения

// Возвращает код системы налогообложения ККТ.
//
// Параметры:
//  Код - Число
//  СистемаНалогообложенияККТ - ПеречислениеСсылка.ТипыСистемНалогообложенияККТ - Система налогообложения ККТ.
//
Процедура КодСистемыНалогообложенияККТ(Код, СистемаНалогообложенияККТ) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.КодСистемыНалогообложенияККТ(Код, СистемаНалогообложенияККТ) 
```
</details>

## СистемаНалогообложенияККТПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает систему налогообложения ККТ по коду
//
// Параметры:
//  Значение - ПеречислениеСсылка.ТипыСистемНалогообложенияККТ
//  КодСистемыНалогообложенияККТ - Число - Код системы налогообложения ККТ.
//
Процедура СистемаНалогообложенияККТПоКоду(Значение, КодСистемыНалогообложенияККТ) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.СистемаНалогообложенияККТПоКоду(Значение, КодСистемыНалогообложенияККТ) 
```
</details>

## НаименованиеСистемыНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование системы налогообложения по коду.
//
// Параметры:
//  Значение - Строка
//  СистемаНалогообложения - Число, Произвольный - Система налогообложения
//  Кратко - Булево - Кратко
//
Процедура НаименованиеСистемыНалогообложения(Значение, СистемаНалогообложения, Кратко = Ложь) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.НаименованиеСистемыНалогообложения(Значение, СистемаНалогообложения, Кратко);
```
</details>

## КодВидДокументаУдостоверяющегоЛичность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды видов документов

// Возвращает код вида документа удостоверяющего личность ККТ.
//
// Параметры:
//  Код - Число
//  ВидДокументаУдостоверяющегоЛичность - ПеречислениеСсылка - Вид документа удостоверяющего личность
//
Процедура КодВидДокументаУдостоверяющегоЛичность(Код, ВидДокументаУдостоверяющегоЛичность) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.КодВидДокументаУдостоверяющегоЛичность(Код, ВидДокументаУдостоверяющегоЛичность) 
```
</details>

## ВидДокументаУдостоверяющегоЛичностьПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вида документа удостоверяющего личность ККТ по коду.
//
// Параметры:
//  Значение - ПеречислениеСсылка
//  КодВидаДокументаУдостоверяющегоЛичность - Число - Код вида документа удостоверяющего личность.
//
Процедура ВидДокументаУдостоверяющегоЛичностьПоКоду(Значение, КодВидаДокументаУдостоверяющегоЛичность) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.ВидДокументаУдостоверяющегоЛичностьПоКоду(Значение, КодВидаДокументаУдостоверяющегоЛичность) 
```
</details>

## НаименованиеТипаОплатыККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды расчетов, признаков расчетов и предметов расчетов

// Возвращает текстовое представление типа оплаты на ККТ по версии ФФД
//
// Параметры:
//  Наименование - Строка
//  ТипОплатыККТ - ПеречислениеСсылка.ТипыОплатыККТ
//  ВерсияФФД - Строка - "1.0", "1.1", "1.2"
//
Процедура НаименованиеТипаОплатыККТ(Наименование, ТипОплатыККТ, ВерсияФФД) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.НаименованиеТипаОплатыККТ(Наименование, ТипОплатыККТ, ВерсияФФД) 
```
</details>

## КодПризнакаПредметаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код признака способа расчета.
//
// Параметры:
//  Код - Число
//  ПризнакПредметаРасчета - ПеречислениеСсылка.ПризнакиПредметаРасчета - Признак предмета расчета.
//
Процедура КодПризнакаПредметаРасчета(Код, ПризнакПредметаРасчета) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.КодПризнакаПредметаРасчета(Код, ПризнакПредметаРасчета) 
```
</details>

## ПризнакПредметаРасчетаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак способа расчета по коду.
//
// Параметры:
//  Значение - ПеречислениеСсылка.ПризнакиПредметаРасчета
//  КодПризнакаПредметаРасчета - Число - Код признака предмета расчета.
//
Процедура ПризнакПредметаРасчетаПоКоду(Значение, КодПризнакаПредметаРасчета) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.ПризнакПредметаРасчетаПоКоду(Значение, КодПризнакаПредметаРасчета) 
```
</details>

## НаименованиеПризнакаПредметаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование признака предмета расчета по коду.
//
// Параметры:
//  Наименование - Строка
//  КодПризнакаПредметаРасчета -Число - Код признака предмета расчета.
//
Процедура НаименованиеПризнакаПредметаРасчета(Наименование, КодПризнакаПредметаРасчета) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваКлиентСерверЛокализация.НаименованиеПризнакаПредметаРасчета(Наименование, КодПризнакаПредметаРасчета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
