---
title: Оборудование чекопечатающие устройства локализация
slug: erp-uh/оборудование-чекопечатающие-устройства-локализация
---


## СохранитьПараметрыРегистрацииУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет параметры регистрации устройства
//
// Параметры:
//  Результат - Булево
//  Идентификатор - СправочникСсылка.ПодключаемоеОборудование - Идентификатор устройства -
//  ПараметрыРегистрации - Структура -
//
Процедура СохранитьПараметрыРегистрацииУстройства(Результат, Идентификатор, ПараметрыРегистрации) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваЛокализация.СохранитьПараметрыРегистрацииУстройства(Результат, Идентификатор, ПараметрыРегистрации) 
```
</details>

## ПараметрыРегистрацииУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает по идентификатору устройства параметры регистрации.
//
// Параметры:
//  ПараметрыРегистрации - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыРегистрацииККТ
//  Идентификатор - СправочникСсылка.ПодключаемоеОборудование
//
Процедура ПараметрыРегистрацииУстройства(ПараметрыРегистрации, Идентификатор) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваЛокализация.ПараметрыРегистрацииУстройства(ПараметрыРегистрации, Идентификатор) 
```
</details>

## ОбновитьПараметрыРегистрацииККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметры регистрации ККТ
//
// Параметры:
//   ПараметрыРегистрацииТаблица - ТаблицаЗначений -
//   ПараметрыРегистрации - ТаблицаЗначений -
//
Процедура ОбновитьПараметрыРегистрацииККТ(ПараметрыРегистрацииТаблица, ПараметрыРегистрации) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваЛокализация.ОбновитьПараметрыРегистрацииККТ(ПараметрыРегистрацииТаблица, ПараметрыРегистрации) 
```
</details>

## ФискальноеУстройствоПоддерживаетПроверкуКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает поддерживает ли фискальное устройство проверку кодов маркировки.
//
// Параметры:
//  Результат - Булево - Фискальное устройство поддерживает проверку кодов маркировки
//  ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование - Идентификатор устройства
//
Процедура ФискальноеУстройствоПоддерживаетПроверкуКодовМаркировки(Результат, ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваЛокализация.ФискальноеУстройствоПоддерживаетПроверкуКодовМаркировки(Результат, ИдентификаторУстройства) 
```
</details>

## ФискальноеУстройствоПоддерживаетВерсиюФФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает для фискального устройства версию ФФД.
//
// Параметры:
//  Результат - Строка - Версию ФФД поддерживаемая устройством
//  ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование - Идентификатор устройства.
//
Процедура ФискальноеУстройствоПоддерживаетВерсиюФФД(Результат, ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваЛокализация.ФискальноеУстройствоПоддерживаетВерсиюФФД(Результат, ИдентификаторУстройства) 
```
</details>

## ВыполненаПроверкаОбязательностиИПравильностиЗаполненияТэгов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку обязательности заполняет тэгов.
//
// Параметры:
//  Результат - Булево
//  Параметры - Структура
//  ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//  ОписаниеОшибки - Строка
//
Процедура ВыполненаПроверкаОбязательностиИПравильностиЗаполненияТэгов(Результат, Параметры, ИдентификаторУстройства, ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваЛокализация.ВыполненаПроверкаОбязательностиИПравильностиЗаполненияТэгов(Результат, Параметры, ИдентификаторУстройства, ОписаниеОшибки) 
```
</details>

## ПривестиДанныеКТребуемомуФормату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Приводит к формату согласованному с ФНС.
//
// Параметры:
//  ОсновныеПараметры - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//  Отказ - Булево
//  ОписаниеОшибки - Строка
//  ИсправленыОсновныеПараметры - Булево
Процедура ПривестиДанныеКТребуемомуФормату(ОсновныеПараметры, ИсправленыОсновныеПараметры) Экспорт
```

Пример вызова
```bsl
ОборудованиеЧекопечатающиеУстройстваЛокализация.ПривестиДанныеКТребуемомуФормату(ОсновныеПараметры, ИсправленыОсновныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
