---
title: Оборудование чекопечатающие устройства РФ клиент сервер
slug: erp-uh/оборудование-чекопечатающие-устройства-рф-клиент-сервер
---


## КодПричиныИзмененияСведенийККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды изменений сведений ККТ

// Возвращает код причины изменения сведений о ККТ.
//
// Параметры:
//  ПричинаИзмененияСведенийККТ - ПеречислениеСсылка.ПричиныИзмененияСведенийККТ - Причина изменения сведений ККТ.
//
// Возвращаемое значение:
//  Произвольный, Число - Код причины изменения сведений ККТ
Функция КодПричиныИзмененияСведенийККТ(ПричинаИзмененияСведенийККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.КодПричиныИзмененияСведенийККТ(ПричинаИзмененияСведенийККТ) 
```
</details>

## КодПризнакаАгента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды признаков агентов

// Возвращает признак агента по коду.
//
// Параметры:
//  КодПризнакаАгента - ПеречислениеСсылка.ПризнакиАгента - Код признака агента
//
// Возвращаемое значение:
//  Произвольный, Число - Код признака агента
Функция КодПризнакаАгента(КодПризнакаАгента) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.КодПризнакаАгента(КодПризнакаАгента) 
```
</details>

## ПризнакАгентаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код типа признака агента.
//
// Параметры:
//  ПризнакАгента - Число - Признак агента
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ПризнакиАгента, Произвольный - Признак агента по коду
Функция ПризнакАгентаПоКоду(ПризнакАгента) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.ПризнакАгентаПоКоду(ПризнакАгента) 
```
</details>

## КодМерыКоличестваПредметаРасчетаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Коды единицы измерения

// Возвращает код меры количества предмета расчета ККТ.
//
// Параметры:
//  МераКоличестваПредметаРасчетаККТ - ПеречислениеСсылка.МераКоличестваПредметаРасчетаККТ - Мера количества предмета расчета ККТ
//
// Возвращаемое значение:
//  Произвольный, Число - Код меры количества предмета расчета ККТ
Функция КодМерыКоличестваПредметаРасчетаККТ(МераКоличестваПредметаРасчетаККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.КодМерыКоличестваПредметаРасчетаККТ(МераКоличестваПредметаРасчетаККТ) 
```
</details>

## МераКоличестваПредметаРасчетаККТПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает меру количества предмета расчета по коду.
//
// Параметры:
//  КодМерыКоличестваПредметаРасчетаККТ - ПеречислениеСсылка.МераКоличестваПредметаРасчетаККТ - Код меры количества предмета расчета ККТ
//
// Возвращаемое значение:
//  Произвольный, ПеречислениеСсылка.МераКоличестваПредметаРасчетаККТ - Мера количества предмета расчета ККТ по коду
//
Функция МераКоличестваПредметаРасчетаККТПоКоду(КодМерыКоличестваПредметаРасчетаККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.МераКоличестваПредметаРасчетаККТПоКоду(КодМерыКоличестваПредметаРасчетаККТ) 
```
</details>

## МераКоличестваПредметаРасчетаПоКодуЕдиницыИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает меру количества предмета расчета по коду единицы измерения.
//
// Параметры:
//  КодЕдиницыИзмерения - Число - Код единицы измерения.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.МераКоличестваПредметаРасчетаККТ, Произвольный - Мера количества предмета расчета по коду единицы измерения
Функция МераКоличестваПредметаРасчетаПоКодуЕдиницыИзмерения(КодЕдиницыИзмерения) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.МераКоличестваПредметаРасчетаПоКодуЕдиницыИзмерения(КодЕдиницыИзмерения) 
```
</details>

## КодЕдиницыИзмеренияПоККТКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код единицы измерения по ККТ коду.
//
// Параметры:
//  КодМерыКоличестваПредметаРасчетаККТ - Число - Код меры количества предмета расчета ККТ.
//
// Возвращаемое значение:
//  Строка
//
Функция КодЕдиницыИзмеренияПоККТКоду(КодМерыКоличестваПредметаРасчетаККТ) Экспорт
```

Пример вызова
```bsl
Результат = ОборудованиеЧекопечатающиеУстройстваРФКлиентСервер.КодЕдиницыИзмеренияПоККТКоду(КодМерыКоличестваПредметаРасчетаККТ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
