---
title: Обработка табличной части клиент
slug: erp-uh/обработка-табличной-части-клиент
---


## ОбработатьСтрокуТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка строки табличной части - вызывается из форм документов.
//
// Параметры:
//  ТекущаяСтрока		 - Структура - данные обрабатываемой строки.
//  СтруктураДействий	 - Структура - описывает действия, где Ключ - наименование действия, Значение - Структура - параметры действия.
// 		Возможно передавать следующие поля:
//		"ПроверитьХарактеристикуПоВладельцу", Характеристика.
//		"ПроверитьЗаполнитьУпаковкуПоВладельцу"      , Упаковка.
//		"ПересчитатьКоличествоЕдиниц",
//		"ПересчитатьКоличествоЕдиницСуффикс", Суффикс
//		"ПересчитатьКоличествоУпаковок", Имя
//		"ПересчитатьКоличествоУпаковокСуффикс", Суффикс
//		"ПересчитатьКоличествоУпаковокСуффиксИзОтклонения", Суффикс
//		"ПересчитатьВесОбъем",
//		"ПересчитатьКоличествоУпаковокПоВесу",
//		"ПересчитатьКоличествоУпаковокПоОбъему",
//		"ЗаполнитьЦенуПродажи"              , СтруктураПараметровДействия.
//		"ПересчитатьСумму". ИмяКоличества
//		"ПересчитатьСуммуСУчетомРучнойСкидки"     , СтруктураПараметровДействия.
//		"ПересчитатьСуммуСУчетомАвтоматическойСкидки"     , СтруктураПараметровДействия.
//		"ПересчитатьЦенуСкидкуПоСуммеВОприходовании"
//		"ПересчитатьЦенуЗаУпаковку"         , КоличествоЕдиницДоПересчета.
//		"ПересчитатьСуммуНДС".
//		"ЗаполнитьСтавкуНДС".
//		"ЗаполнитьСтавкуНДССуффикс",
//		"ОбработатьШтрихкоды".
//		"ЗаполнитьУсловияПродажВСтрокеТЧ"
//		"ЗаполнитьЦенуПродажиРозница" , СтруктураПараметровДействия.
//		"ПересчитатьСуммуРучнойСкидки".
//		"ПересчитатьПроцентРучнойСкидки".
//		"ОчиститьСтатьюАналитикуРасходов", СтруктураПараметровДействия.
//		"ИнициализироватьСтатьюИАналитикуПослеДобавленияСтроки", СтруктураПараметровДействия.
//		"ЗаполнитьНастройкуСчетовУчетаПоУмолчанию", СтруктураПараметровДействия.
//		"ЗаполнитьПредставлениеНастройкиСчетовУчета", СтруктураПараметровДействия.
//		"ЗаполнитьФлагИзлишекПорча"
//		"ЗаполнитьФлагРасхождение"
//		"ПересчитатьКоличествоУпаковокОтклонение"
//		"ОчиститьСуммуВзаиморасчетов"
//		"ПересчитатьКоличествоНеОтгружать".
//  КэшированныеЗначения - Структура - сохраненные значения параметров, используемых при обработке
//  ДополнительныеПараметрыЗаполнения - Структура, Неопределено - дополонительные параметры заполнения.
//
Процедура ОбработатьСтрокуТЧ(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения, ДополнительныеПараметрыЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбработкаТабличнойЧастиКлиент.ОбработатьСтрокуТЧ(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения, ДополнительныеПараметрыЗаполнения);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
