---
title: Обработка файлов microsoft excel клиент сервер УХ
slug: erp-uh/обработка-файлов-microsoft-excel-клиент-сервер-ух
---


## ПривестиФорматКТексту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет формат данных всех листов файла Microsoft Excel
// Конвертированные данные помещает по тому же адресу хранилища, по которому переданы исходные
// Возвращает Истину, если всё прошло успешно, Ложь - иначе
Функция ПривестиФорматКТексту(АдресХранилища, Excel2003, ВнешнийExcelApplication = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловMicrosoftExcelКлиентСерверУХ.ПривестиФорматКТексту(АдресХранилища, Excel2003, ВнешнийExcelApplication);
```
</details>

## ПривестиЗначенияКТексту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отбор - [{ ИмяЛиста, [ ИмяКолонки ] }] - соответсвие, описывающее листы-колонки, значения которых надо преобразовать в текст
// Листы, которые не указаны в отборе, не конвертируются
// Листы, указанные в отборе, выгружаются в CSV и импортируются обратно с применением типизации для указанных колонок
// Имена листов и колонок - в нотации ADO (но без [])
Функция ПривестиЗначенияКТексту(АдресХранилища, Excel2003, Отбор, Пароль, ВнешнийExcelApplication) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловMicrosoftExcelКлиентСерверУХ.ПривестиЗначенияКТексту(АдресХранилища, Excel2003, Отбор, Пароль, ВнешнийExcelApplication));
```
</details>

## ПривестиЗначенияКТекстуДляПравилаИмпортаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПривестиЗначенияКТекстуДляПравилаИмпортаДанных(АдресХранилищаФайла, Excel2003, ПравилоИмпортаДанных, Пароль, ВнешнийExcelApplication = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловMicrosoftExcelКлиентСерверУХ.ПривестиЗначенияКТекстуДляПравилаИмпортаДанных(АдресХранилищаФайла, Excel2003, ПравилоИмпортаДанных, Пароль, ВнешнийExcelApplication);
```
</details>

## ПривестиЗначенияКТекстуДляПравилаОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПривестиЗначенияКТекстуДляПравилаОбработки(АдресХранилищаФайла, Excel2003, ПравилоОбработки, Пароль, ВнешнийExcelApplication = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловMicrosoftExcelКлиентСерверУХ.ПривестиЗначенияКТекстуДляПравилаОбработки(АдресХранилищаФайла, Excel2003, ПравилоОбработки, Пароль, ВнешнийExcelApplication);
```
</details>

## ПолучитьТабличныйДокументИзЛистаТолькоДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТабличныйДокументИзЛистаТолькоДанные(АдресХранилищаФайла, Excel2003, ИмяЛиста = "", Пароль, ДанныеИменнованныхОбластей = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловMicrosoftExcelКлиентСерверУХ.ПолучитьТабличныйДокументИзЛистаТолькоДанные(АдресХранилищаФайла, Excel2003, ИмяЛиста, Пароль, ДанныеИменнованныхОбластей);
```
</details>

## ВернутьСписокЛистов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСписокЛистов(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловMicrosoftExcelКлиентСерверУХ.ВернутьСписокЛистов(ИмяФайла) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
