---
title: Общего назначения БП
slug: erp-uh/общего-назначения-бп
---


## ЭтоИнтерфейсИнтеграцииСБанком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоИнтерфейсИнтеграцииСБанком() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.ЭтоИнтерфейсИнтеграцииСБанком() 
```
</details>

## ЕстьНезаполненныйРеквизитДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет определить заполнен ли реквизит в документе.
//
// Параметры:
//  ИмяРеквизита - Строка - Строковое имя искомого реквизита.
//  ДокументОбъект - ДокументОбъект - Объект, в котором проверяется заполненность реквизита.
//  МетаданныеДокумента - Метаданные - Объект описания метаданных документа, среди реквизитов которого производится поиск.
//
// Возвращаемое значение:
//  Булево - Истина, если реквизит с указанным именем не заполнен в документе.
//
Функция ЕстьНезаполненныйРеквизитДокумента(ИмяРеквизита, ДокументОбъект, МетаданныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.ЕстьНезаполненныйРеквизитДокумента(ИмяРеквизита, ДокументОбъект, МетаданныеДокумента) 
```
</details>

## ВосстановитьОтборСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет отбор, установленный пользователем в сохраненной настройке списка, на отбор, установленный программно при создании формы списка.
// Вызывается при восстановлении пользовательских настроек динамического списка
// из обработчика списка ПередЗагрузкойПользовательскихНастроекНаСервере.
//
// Параметры:
//  Список      - ДинамическийСписок - Динамический список, для которого устанавливается отбор.
//  Настройки   - ПользовательскиеНастройкиКомпоновкиДанных - Восстанавливаемые настройки списка.
//  ИмяОтбора   - Строка - Имя элемента отбора.
//
Процедура ВосстановитьОтборСписка(Список, Настройки, ИмяОтбора) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБП.ВосстановитьОтборСписка(Список, Настройки, ИмяОтбора) 
```
</details>

## ЗаполнитьДополнительныеПараметрыПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает имя сохраняемого файла.
//
// Параметры:
//  МассивОбъектов - Массив - Массив объектов печати.
//  КоллекцияПечатныхФорм - Массив - Коллекция печатных форм.
//  ОбъектыПечати - Массив - Массив объектов печати.
//  ПараметрыВывода - Структура - Параметры вывода печатной формы.
//
Процедура ЗаполнитьДополнительныеПараметрыПечати(МассивОбъектов, КоллекцияПечатныхФорм, ОбъектыПечати, ПараметрыВывода = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБП.ЗаполнитьДополнительныеПараметрыПечати(МассивОбъектов, КоллекцияПечатныхФорм, ОбъектыПечати, ПараметрыВывода);
```
</details>

## СостояниеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет получить индекс картинки состояния документа из коллекции СостоянияДокумента
// по свойствам Проведен/ПометкаУдаления/РучнаяКорректировка.
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Основной реквизит формы документа.
//
// Возвращаемое значение:
//	Число - Индекс картинки.
//
Функция СостояниеДокумента(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.СостояниеДокумента(Объект) 
```
</details>

## ПустыеСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пустых ссылок указанных типов документов.
// Обрабатывает только ссылки на документы, другие виды объектов метаданных не учитывает.
//
// Параметры:
//	Типы - Массив - Массив значений типа Тип.
//
// Возвращаемое значение:
//	Массив - массив с пустыми ссылками указанных типов.
//
Функция ПустыеСсылки(Типы) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.ПустыеСсылки(Типы) 
```
</details>

## СписокДоступныхОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подтверждает, что переданная организация входит в список доступных для пользователя.
//
// Параметры:
//  Организация  - СправочникСсылка.Организации - проверяемая организация. Может быть пустым значением.
//  ВключатьОбособленныеПодразделения - Булево - признак добавления в список доступных обособленных подразделений.
//	ПравоНаИзменение - Булево - Истина, если список будет использоваться в алгоритмах изменения данных.
//
// Возвращаемое значение:
//   Массив      - список из всех доступных, если было передано пустое значение;
//               - список из Организация и её доступных обособленных подразделений;
//               - пустой список, если организация недоступна для пользователя.
//
Функция СписокДоступныхОрганизаций(Организация, ВключатьОбособленныеПодразделения = Ложь, ПравоНаИзменение = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.СписокДоступныхОрганизаций(Организация, ВключатьОбособленныеПодразделения, ПравоНаИзменение);
```
</details>

## ТекущаяДатаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую дату сеанса на сервере.
//
// Возвращаемое значение:
//	Дата - текущая дата сеанаса на сервере.
//
Функция ТекущаяДатаНаСервере() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.ТекущаяДатаНаСервере() 
```
</details>

## НайтиЗначениеПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение перечисления по его имени.
// Предназначена для использования в случаях, когда значение перечисления приходит из внешних систем
// и может отсутствовать в текущей конфигурации, из-за чего прямое обращение к нему по имени небезопасно.
//
// Параметры:
//	ИмяПеречисления - Строка - Имя перечисления в метаданных.
//	ИмяЗначения - Строка - Имя значения перечисления.
//
// Возвращаемое значение:
//	ПеречислениеСсылка или Неопределено, если значение не найдено.
//
Функция НайтиЗначениеПеречисления(ИмяПеречисления, Знач ИмяЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.НайтиЗначениеПеречисления(ИмяПеречисления, ИмяЗначения) 
```
</details>

## МассивПустыхЗначенийРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивПустыхЗначенийРеквизита(МетаданныеРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.МассивПустыхЗначенийРеквизита(МетаданныеРеквизита) 
```
</details>

## УничтожитьВременныеТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Уничтожает временные таблицы менеджера временных таблиц.
//
// Параметры:
//  МенеджерВременныхТаблиц	 - МенеджерВременныхТаблиц	 - менеджер временных таблиц, таблицы которого нужно уничтожить.
//  СписокТаблиц			 - Строка, Массив			 - имена временных таблиц для уничтожения, разделенные запятыми. Если параметр не установлен - все таблицы.
//  ИсключаяТаблицы			 - Строка, Массив			 - имена временных таблиц, которые нужно оставить, разделенные запятыми.
//
Процедура УничтожитьВременныеТаблицы(МенеджерВременныхТаблиц, СписокТаблиц = Неопределено, ИсключаяТаблицы = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБП.УничтожитьВременныеТаблицы(МенеджерВременныхТаблиц, СписокТаблиц, ИсключаяТаблицы);
```
</details>

## СписокВременныхТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список временных таблиц.
//
// Параметры:
//  МенеджерВременныхТаблиц	 - МенеджерВременныхТаблиц	 - менеджер временных таблиц, таблицы которого нужно получить.
//
// Возвращаемое значение:
//  Массив - Временные таблицы, находящиеся в менеджере.
//
Функция СписокВременныхТаблиц(МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.СписокВременныхТаблиц(МенеджерВременныхТаблиц) 
```
</details>

## ЕстьРеквизитДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбщегоНазначения.ЕстьРеквизитОбъекта
// Позволяет определить есть ли среди реквизитов шапки документа
// реквизит с переданным именем.
//
// Параметры:
//  ИмяРеквизита - строковое имя искомого реквизита,
//  МетаданныеДокумента - объект описания метаданных документа, среди реквизитов которого производится поиск.
//
// Возвращаемое значение:
//  Истина - нашли реквизит с таким именем, Ложь - не нашли.
//
Функция ЕстьРеквизитДокумента(ИмяРеквизита, МетаданныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.ЕстьРеквизитДокумента(ИмяРеквизита, МетаданныеДокумента) 
```
</details>

## ПолучитьРабочуюДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать функцию БСП ОбщегоНазначения.ТекущаяДатаПользователя().
//
// Возвращаемое значение:
//	Дата - рабочая дата пользователя.
//
Функция ПолучитьРабочуюДату() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.ПолучитьРабочуюДату() 
```
</details>

## ПропуститьБизнесЛогикуПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак пропуска бизнес-логики в ходе записи объекта для выполнения служебных действий:
// обновление данных в ходе обновления версии программы, загрузка данных, изменение активности движений.
//
// См. также ПропущенаБизнесЛогикаПриЗаписи
//
// Параметры:
//  Объект - ДокументОбъект, СправочникОбъект, ПланСчетовОбъект, ПланВидовХарактеристикОбъект,
//           РегистрБухгалтерииНаборЗаписей, РегистрСведенийНаборЗаписей, РегистрНакопленияНаборЗаписей,
//           КонстантаМенеджерЗначения - записываемый объект.
//
Процедура ПропуститьБизнесЛогикуПриЗаписи(Знач Объект) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБП.ПропуститьБизнесЛогикуПриЗаписи(Объект) 
```
</details>

## ПропущенаБизнесЛогикаПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, следует ли пропустить выполнение бизнес-логики при записи объекта.
// Пропуск бизнес-логики может потребоваться для выполнения служебных действий:
// обновление данных в ходе обновления версии программы, загрузка данных, изменение активности движений.
// Следует вызывать из обработчика ПередЗаписью.
//
// См. также ПропуститьБизнесЛогикуПриЗаписи
//
// Параметры:
//  Объект - ДокументОбъект, СправочникОбъект, ПланСчетовОбъект, ПланВидовХарактеристикОбъект,
//           РегистрБухгалтерииНаборЗаписей, РегистрСведенийНаборЗаписей, РегистрНакопленияНаборЗаписей,
//           КонстантаМенеджерЗначения - записываемый объект.
//
// Возвращаемое значение:
//  Булево - Истина, если бизнес-логику выполнять не следует.
//
Функция ПропущенаБизнесЛогикаПриЗаписи(Знач Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБП.ПропущенаБизнесЛогикаПриЗаписи(Объект) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
