---
title: Общего назначения БП вызов сервера
slug: erp-uh/общего-назначения-бп-вызов-сервера
---


## НачалоПоследнейЧастиОтчетногоПериодаПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет начало последней части отчетного периода по налогу на прибыль, в зависимости от периодичности,
// с которой должна отчитываться организация в данном налоговом периоде.
//
// Параметры:
//  Период		- Дата - дата, характеризующая налоговый период
//  Организация	- СправочникСсылка.Организации - налогоплательщик
//
// Возвращаемое значение:
//  ПеречислениеСсылка.Периодичность - периодичность (продолжительность первого отчетного периода)
//
Функция НачалоПоследнейЧастиОтчетногоПериодаПрибыль(Период, Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервера.НачалоПоследнейЧастиОтчетногоПериодаПрибыль(Период, Организация) 
```
</details>

## ПолучитьКлассификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКлассификатор(ИмяМакета) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервера.ПолучитьКлассификатор(ИмяМакета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
