---
title: Общего назначения БП вызов сервера повт исп
slug: erp-uh/общего-назначения-бп-вызов-сервера-повт-исп
---


## ГоловнаяОрганизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ПОЛУЧЕНИЯ СВЕДЕНИЙ ОБ ОРГАНИЗАЦИИ

//++ НЕ УТ

// Возвращает головную организацию для заданной организации.
// Если для организации реквизит ГоловнаяОрганизация не заполнен
// это значит, что сама организация является головной.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Проверяемая организация.
//
// Возвращаемое значение:
//   СправочникСсылка.Организации - Ссылка на головную организацию.
//
Функция ГоловнаяОрганизация(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.ГоловнаяОрганизация(Организация) 
```
</details>

## НачалоНалоговогоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет дату начала налогового периода по налогу на прибыль.
//
// Параметры:
//  Период	    - Дата - дата, характеризующая налоговый период
//  Организация	- СправочникСсылка.Организации - организация, дату регистрации которой следует учесть при получении периода
//
// Возвращаемое значение:
//  Дата         - дата начала налогового периода по налогу на прибыль
//  Неопределено - в запрошенный период организация не существовала
//
Функция НачалоНалоговогоПериода(Период, Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.НачалоНалоговогоПериода(Период, Организация) 
```
</details>

## ЭтоЮрЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

Функция ЭтоЮрЛицо(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.ЭтоЮрЛицо(Организация) 
```
</details>

## ЭтоОбособленноеПодразделение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

Функция ЭтоОбособленноеПодразделение(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.ЭтоОбособленноеПодразделение(Организация) 
```
</details>

## ПолучитьСписокОбособленныхПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Возвращает список организаций, которые являются обособленными подразделениями
// того же юр.лица, к которому относится переданная организация.
//
Функция ПолучитьСписокОбособленныхПодразделений(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.ПолучитьСписокОбособленныхПодразделений(Организация) 
```
</details>

## ПолучитьСписокОбособленныхПодразделенийОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Формирует список обособленных структурных подразделений организации
//
Функция ПолучитьСписокОбособленныхПодразделенийОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.ПолучитьСписокОбособленныхПодразделенийОрганизации(Организация) 
```
</details>

## ВсяОрганизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Возвращает перечень (фиксированный массив) всех структурных частей переданной головной организации, имеющих отдельный баланс.
// В перечень входит головная организация и все ее обособленные подразделения на выделенном балансе.
//
Функция ВсяОрганизация(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.ВсяОрганизация(Организация) 
```
</details>

## ВсеОрганизацииДанныеКоторыхДоступныПоRLS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает фиксированный массив организаций, к данным которых
// у текущего пользователя разрешено требуемое право доступа по RLS.
//
// Порядок использования функции можно использовать, если требуется выполнять запросы
// в привилегированном режиме, но чтобы при этом учитывались настройки доступа по RLS:
// 	1. с помощью текущей функции определяется список доступных организаций.
//	2. в текстах запросов к самим данных (регистрам, документам)
//		устанавливаются отборы по этим организациям
//	3. перед выполнением запроса к данным включается привилегированный режим.
//
// Параметры:
//	ПравоНаИзменение - Булево
//		- Истина - если после выполнения запроса данные бухгалтерии предполагается менять
//					и нужно проверить, что у пользователя есть право на изменение;
//		- Ложь - если данные бухгалтерии только отображаются пользователю на чтение,
//					и нужно проверить что у него есть соответствующее право.
//
Функция ВсеОрганизацииДанныеКоторыхДоступныПоRLS(ПравоНаИзменение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.ВсеОрганизацииДанныеКоторыхДоступныПоRLS(ПравоНаИзменение) 
```
</details>

## ПолучитьВалютуРегламентированногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ФУНКЦИИ ПОЛУЧЕНИЯ НАСТРОЕК

// Возвращает валюту регламентированного учета
// Если переданная в качестве параметра валюта уже заполнена - возвращает ее.
// Если валюта не передана в качестве параметра или передан пустой,
// валюту рег. учета. Если валюта рег. учета не заполнена - возвращает пустую ссылку на валюту.
//
// Параметры:
// Валюта - СправочникСсылка.Валюты - Валюта, которую нужно заполнить.
//
// Возвращаемое значение:
// СправочникСсылка.Валюты.
//
Функция ПолучитьВалютуРегламентированногоУчета() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.ПолучитьВалютуРегламентированногоУчета() 
```
</details>

## ПолучитьПодразделениеПриИзмененииСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

////////////////////////////////////////////////////////////////////////////////
// ЗНАЧЕНИЯ ДЛЯ ИНИЦИАЛИЗАЦИИ ДОКУМЕНТОВ

// Функция возвращает либо текущее переданное подразделение,
// если его владельцем является указанная организация, либо
// подразделение по умолчанию.
//
Функция ПолучитьПодразделениеПриИзмененииСчета(Подразделение, Организация, ПодразделениеПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.ПолучитьПодразделениеПриИзмененииСчета(Подразделение, Организация, ПодразделениеПоУмолчанию);
```
</details>

## ИспользоватьУправляемыеБлокировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользоватьУправляемыеБлокировки() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПВызовСервераПовтИсп.ИспользоватьУправляемыеБлокировки() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
