---
title: Общего назначения БП клиент сервер
slug: erp-uh/общего-назначения-бп-клиент-сервер
---


## ДатыПринадлежатРазнымИнтервалам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Функция проверяет, что две переданные даты находятся между разными элементами
// упорядоченного массива.
//
// Параметры:
//	Дата1 - Дата - Первая проверяемая дата.
//  Дата2 - Дата - Вторая проверяемая дата.
//	ИнтервалДат - Массив - Упорядоченный массив дат, каждый элемент которого определяет
//							новую границу интервала.
//
// Возвращаемое значение:
//	Булево - Истина, если даты принадлежат разным интервалам.
//
Функция ДатыПринадлежатРазнымИнтервалам(Знач Дата1, Знач Дата2, ИнтервалДат) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ДатыПринадлежатРазнымИнтервалам(Дата1, Дата2, ИнтервалДат) 
```
</details>

## ПолучитьОписаниеТиповСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбщегоНазначения.ОписаниеТипаСтрока
// Служебная функция, предназначенная для получения описания типов строки, заданной длины.
//
// Параметры:
//  ДлинаСтроки - число, длина строки.
//
// Возвращаемое значение:
//  ОписаниеТипов - для строки указанной длины.
//
Функция ПолучитьОписаниеТиповСтроки(ДлинаСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ПолучитьОписаниеТиповСтроки(ДлинаСтроки) 
```
</details>

## ПолучитьОписаниеТиповЧисла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбщегоНазначения.ОписаниеТипаЧисло.
// Служебная функция, предназначенная для получения описания типов числа, заданной разрядности.
//
// Параметры:
//  Разрядность 			- число, разряд числа.
//  РазрядностьДробнойЧасти - число, разряд дробной части.
//  ЗнакЧисла				- ДопустимыйЗнак, знак числа.
//
// Возвращаемое значение:
//  ОписаниеТипов - для числа указанной разрядности.
//
Функция ПолучитьОписаниеТиповЧисла(Разрядность, РазрядностьДробнойЧасти = 0, ЗнакЧисла = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ПолучитьОписаниеТиповЧисла(Разрядность, РазрядностьДробнойЧасти, ЗнакЧисла);
```
</details>

## ПолучитьОписаниеТиповДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбщегоНазначения.ОписаниеТипаДата.
// Служебная функция, предназначенная для получения описания типов даты.
//
// Параметры:
//  ЧастиДаты - системное перечисление ЧастиДаты.
//
// Возвращаемое значение:
//	ОписаниеТипов - Описание типов даты.
//
Функция ПолучитьОписаниеТиповДаты(ЧастиДаты) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ПолучитьОписаниеТиповДаты(ЧастиДаты) 
```
</details>

## ПолучитьТекстСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбщегоНазначенияКлиентСервер.ТекстОшибкиЗаполнения
// Формирует текст сообщения, подставляя значения
// параметров в шаблоны сообщений.
//
// Параметры
//  ВидПоля       - Строка - может принимать значения:
//                  Поле, Колонка, Список.
//  ВидСообщения  - Строка - может принимать значения:
//                  Заполнение, Корректность.
//  Параметр1     - Строка - имя поля.
//  Параметр2     - Строка - номер строки.
//  Параметр3     - Строка - имя списка.
//  Параметр4     - Строка - текст сообщения о некорректности заполнения.
//
// Возвращаемое значение:
//   Строка - Текст сообщения.
//
Функция ПолучитьТекстСообщения(ВидПоля = "Поле", ВидСообщения = "Заполнение", Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ПолучитьТекстСообщения(ВидПоля, ВидСообщения, );
```
</details>

## РаспределитьПропорционально
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Устарела. См. ОбщегоНазначенияКлиентСервер.РаспределитьСуммуПропорциональноКоэффициентам().
// Функция выполняет пропорциональное распределение суммы в соответствии
// с заданными коэффициентами распределения.
//
// Параметры:
//		ИсхСумма - Число - Распределяемая сумма.
//		МассивКоэф - Массив - Массив коэффициентов распределения.
//		Точность - Число - Точность округления при распределении. Необязателен.
//
//	Возвращаемое значение:
//		МассивСумм - Массив - Массив размерностью равный массиву коэффициентов, содержит
//			суммы в соответствии с весом коэффициента (из массива коэффициентов)
//          В случае если распределить не удалось (сумма = 0, кол-во коэф. = 0,
//          или суммарный вес коэф. = 0), тогда возвращается значение Неопределено.
//
Функция РаспределитьПропорционально(Знач ИсхСумма, МассивКоэф, Знач Точность = 2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.РаспределитьПропорционально(ИсхСумма, МассивКоэф, Точность);
```
</details>

## ДополнитьURLПараметрами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Дополняет URL параметрами (элемент query rfc 3986)
//
// Параметры:
//  URL          - Строка - URL без элементов query и fragment (без символов ? и #)
//  ПараметрыURL - Массив - имена и значения параметров в виде "key=value".
//                          Они будут включены в URL с разделителями &
//
// Возвращаемое значение:
//  Строка - дополненный URL
//
Функция ДополнитьURLПараметрами(URL, ПараметрыURL) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ДополнитьURLПараметрами(URL, ПараметрыURL) 
```
</details>

## ИТС_ПараметрыUTM
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры UTM (Urchin Tracking Module) для материалов на its.1c.ru
//
// Возвращаемое значение:
//  Массив из Строка - каждый элемент - имя и значение параметра, разделенные символом "="
//
Функция ИТС_ПараметрыUTM() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ИТС_ПараметрыUTM() 
```
</details>

## НаименованиеПоСокращенномуНаименованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование организации по сокращенному.
//
// Параметры:
//   СокращенноеНаименование - Строка - Сокращенное наименование организации.
//
// Возвращаемое значение:
//   Наименование - Строка - Наименование организации, полученное из сокращенного.
//
Функция НаименованиеПоСокращенномуНаименованию(СокращенноеНаименование) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.НаименованиеПоСокращенномуНаименованию(СокращенноеНаименование) 
```
</details>

## РазностьДат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает разницу между двумя датами.
// Аналогично функции языка запросов игнорирует младшие части дат,
// которые меньше, чем параметр Периодичность.
//
// Например:
//	РазностьДат('2019-12-31', '2020-01-01', Перечисления.Периодичность.Год) = 1
//	РазностьДат('2019-08-24', '2020-05-17', Перечисления.Периодичность.Месяц) = 9
//
// Параметры:
//   ДатаНачала - Дата - начальная дата периода
//   ДатаОкончания - Дата - конечная дата периода
//   Периодичность - ПеречислениеСсылка.Периодичность - вариант расчета разности дат.
//
// Возвращаемое значение:
//   Число - количество между двумя датами.
//
Функция РазностьДат(ДатаНачала, ДатаОкончания, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.РазностьДат(ДатаНачала, ДатаОкончания, Периодичность) 
```
</details>

## СинонимИзИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает синоним из имени реквизита объекта.
//
// Параметры:
//  ИмяРеквизита - Строка - имя реквизита объекта, строки-идентификаторы, разделенные точками
//                          (например: ОсновноеСредство.ГруппаОС, Номенклатура.Артикул).
//
// Возвращаемое значение:
//  Строка - синоним из имени реквизита объекта.
//
Функция СинонимИзИмени(ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.СинонимИзИмени(ИмяРеквизита) 
```
</details>

## СтрокаСПробеламиИзСтиляТРегБезПробелов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку из слов, разделенных пробелами из строки в стиле ТРег без пробелов
// (когда несколько слов пишутся слитно без пробелов, при этом каждое слово пишется с прописной буквы).
//
// Параметры:
//  СтрокаВСтилеТРегБезПробелов   - Строка - строка в стиле ТРег без пробелов.
//  МассивАббревиатур             - Массив - массив из строк - аббревиатур, которые не преобразовываются.
//  ДекапитализироватьПервоеСлово - Булево - преобразовать первую букву первого слова строки в нижний
//                                           регистр, по-умолчанию - Ложь.
//
// Возвращаемое значение:
//  Строка - строка из слов, разделенных пробелами.
//
Функция СтрокаСПробеламиИзСтиляТРегБезПробелов(СтрокаВСтилеТРегБезПробелов, МассивАббревиатур, ДекапитализироватьПервоеСлово = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.СтрокаСПробеламиИзСтиляТРегБезПробелов(СтрокаВСтилеТРегБезПробелов, МассивАббревиатур, ДекапитализироватьПервоеСлово);
```
</details>

## КоличествоЦелыхЛет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество полных (целых) лет между двумя датами.
//
// Например:
//	КоличествоЦелыхЛет('2019-12-31', '2020-01-01') = 0
//
// Параметры:
//   ДатаНачала - Дата - начальная дата периода
//   ДатаОкончания - Дата - конечная дата периода
//
// Возвращаемое значение:
//	Число - количество полных (целых) лет.
//
Функция КоличествоЦелыхЛет(ДатаНачала, ДатаОкончания) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.КоличествоЦелыхЛет(ДатаНачала, ДатаОкончания) 
```
</details>

## КоличествоЦелыхМесяцев
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество полных (целых) месяцев между двумя датами.
//
// Например:
//	КоличествоЦелыхМесяцев('2019-08-24', '2020-05-17') = 8
//
// Параметры:
//   ДатаНачала - Дата - начальная дата периода
//   ДатаОкончания - Дата - конечная дата периода
//
// Возвращаемое значение:
//	Число - количество полных (целых) месяцев.
//
Функция КоличествоЦелыхМесяцев(ДатаНачала, ДатаОкончания) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.КоличествоЦелыхМесяцев(ДатаНачала, ДатаОкончания) 
```
</details>

## НомерКвартала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер квартала, которому принадлежит переданная дата.
//
// Параметры:
//   Дата - Дата - дата, для которой необходимо вычислить номер квартала
//
// Возвращаемое значение:
//   Число - номер квартала
//
Функция НомерКвартала(Дата) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.НомерКвартала(Дата) 
```
</details>

## СформироватьТекстСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Функция убирает из текста сообщения служебную информацию.
//
// Параметры:
//  ТекстСообщения - Строка - Исходный текст сообщения.
//
// Возвращаемое значение:
//   Строка - Текст сообщения без служебной информации.
//
Функция СформироватьТекстСообщения(Знач ТекстСообщения) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.СформироватьТекстСообщения(ТекстСообщения) 
```
</details>

## ПустоеЗначениеТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// МАТЕМАТИКА

// Предназначена для получения пустого значения заданного типа:
//	примитивного, или ссылочного.
//
// Параметры:
//	ЗаданныйТип - Тип - Тип, пустое значение которого нужно получить.
//
// Возвращаемое значение:
//	Произвольный - Пустое значение указанного типа.
//
Функция ПустоеЗначениеТипа(ЗаданныйТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ПустоеЗначениеТипа(ЗаданныйТип) 
```
</details>

## УстановитьПараметрОрганизацияФункциональныхОпцийФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С ФУНКЦИОНАЛЬНЫМИ ОПЦИЯМИ

// Процедура устанавливает функциональные опции формы.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма, в которой требуется установить функциональные опции.
//	Организация - СправочникСсылка.Организации - Ссылка на организацию.
//	Период - Дата - Дата установки периодических опций.
//
Процедура УстановитьПараметрОрганизацияФункциональныхОпцийФормы(Форма, Организация, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБПКлиентСервер.УстановитьПараметрОрганизацияФункциональныхОпцийФормы(Форма, Организация, Период);
```
</details>

## УстановитьПараметрыФункциональныхОпцийФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает функциональные опции формы документа.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма, в которой требуется установить функциональные опции.
//
Процедура УстановитьПараметрыФункциональныхОпцийФормыДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБПКлиентСервер.УстановитьПараметрыФункциональныхОпцийФормыДокумента(Форма) 
```
</details>

## СтруктураПараметровУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает новую структуру параметров учета.
//
// Возвращаемое значение:
//	Структура - Новая структура параметров учета.
//
Функция СтруктураПараметровУчета() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.СтруктураПараметровУчета() 
```
</details>

## УстановитьЗначениеПолеОрганизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

////////////////////////////////////////////////////////////////////////////////
// ПРОГРАММНЫЙ ИНТЕРФЕЙС ПОЛЯ ВЫБОРА ОРГАНИЗАЦИИ С ОБОСОБЛЕННЫМИ ПОДРАЗДЕЛЕНИЯМИ
//

// Устанавливает значение поля организации.
//
// Параметры:
//	ПолеОрганизация - РеквизитФормы - Реквизит формы, в котором нужно установить значение.
//	Организация - СправочникСсылка.Организации - Организация, для которой нужно установить реквизит.
//	ВключатьОбособленныеПодразделения - Булево - Признак, что нужно включать обособленные подразделения.
//
Процедура УстановитьЗначениеПолеОрганизация(ПолеОрганизация, Организация, ВключатьОбособленныеПодразделения) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБПКлиентСервер.УстановитьЗначениеПолеОрганизация(ПолеОрганизация, Организация, ВключатьОбособленныеПодразделения) 
```
</details>

## ОбработкаОтменыВыбораОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значения выбранных реквизитов при отказе от выбора значения (выборе пустого значения).
//
// Параметры:
//	ПолеОрганизация - РеквизитФормы - Реквизит формы, в котором нужно установить значение.
//	Организация - СправочникСсылка.Организации - Организация, для которой нужно установить реквизит.
//	ВключатьОбособленныеПодразделения - Булево - Признак, что нужно включать обособленные подразделения.
//
Процедура ОбработкаОтменыВыбораОрганизации(ПолеОрганизация, Организация, ВключатьОбособленныеПодразделения) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБПКлиентСервер.ОбработкаОтменыВыбораОрганизации(ПолеОрганизация, Организация, ВключатьОбособленныеПодразделения) 
```
</details>

## КапитализироватьСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// СТРОКОВЫЕ ФУНКЦИИ

// Капитализирует строку - приводит к принятому в полных предложениях написанию:
// первый символ в верхнем регистре, остальные - без изменения.
// Например:
//  "это тест"      -> "Это тест"
//  "тест Тьюринга" -> "Тест Тьюринга"
//  "/test.txt"     -> "/test.txt"
//
// Параметры:
//  ИсходнаяСтрока - Строка - строка, текст полного предложения.
//
// Возвращаемое значение:
//  Строка - капитализированная строка.
//
Функция КапитализироватьСтроку(ИсходнаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.КапитализироватьСтроку(ИсходнаяСтрока) 
```
</details>

## ДекапитализироватьСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Декапитализирует строку - изменяет регистр первого символа с верхнего на нижний.
// первый символ в нижнем регистре, остальные - без изменения.
// Например:
//  "Это тест"      -> "это тест"
//  "тест Тьюринга" -> "тест Тьюринга"
//  "/test.txt"     -> "/test.txt"
//
// Параметры:
//  ИсходнаяСтрока - Строка - строка, текст полного предложения.
//
// Возвращаемое значение:
//  Строка - декапитализированная строка.
//
Функция ДекапитализироватьСтроку(ИсходнаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ДекапитализироватьСтроку(ИсходнаяСтрока) 
```
</details>

## ОставитьВСтрокеТолькоЦифры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает строку, которая содержит только цифры из исходной строки.
//
// Параметры:
//	ИсходнаяСтрока - Строка - Исходная строка.
//
// Возвращаемое значение:
//	Строка - Строка, содержащая только цифры.
//
Функция ОставитьВСтрокеТолькоЦифры(ИсходнаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ОставитьВСтрокеТолькоЦифры(ИсходнаяСтрока) 
```
</details>

## ТолькоНулиВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает истину, если в переданной строке содержатся одни нули.
//
// Параметры:
//	Строка - Строка - анализируемая строка.
//
// Возвращаемое значение:
//	Булево - Если, если в переданной строке есть только 0, в противном случае - ложь.
//
Функция ТолькоНулиВСтроке(Строка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБПКлиентСервер.ТолькоНулиВСтроке(Строка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
