---
title: Общего назначения ЕГАИС
slug: erp-uh/общего-назначения-егаис
---


## ЭтоРасширеннаяВерсияГосИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоРасширеннаяВерсияГосИС() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияЕГАИС.ЭтоРасширеннаяВерсияГосИС() 
```
</details>

## ИспользуетсяМаркируемаяПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуетсяМаркируемаяПродукция() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияЕГАИС.ИспользуетсяМаркируемаяПродукция() 
```
</details>

## ПриПериодическомПолученииДанныхКлиентаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОбщегоНазначенияПереопределяемый.ПриПериодическомПолученииДанныхКлиентаНаСервере
Процедура ПриПериодическомПолученииДанныхКлиентаНаСервере(Параметры, Результаты) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЕГАИС.ПриПериодическомПолученииДанныхКлиентаНаСервере(Параметры, Результаты) 
```
</details>

## ТекстЗапросаВТОбъемДАЛЕдиницыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает текст запроса для формирования временной таблицы коэффициентов пересчета базовых единиц измерения
//   номенклатуры в объем ЕГАИС (декалитры).
//Временная таблица используется для пересчета учетного количества номенклатуры в объем ЕГАИС.
//
// Параметры:
//  ИмяТаблицыТовары - Строка - Имя таблицы с колонками: Номенклатура, Характеристика.
//  ИмяВременнойТаблицы - Строка - Имя результирующей временной таблицы.
//  ДобавлятьРазделитель - Булево - Признак добавления разделителя запросов.
//
// Возвращаемое значение:
//  Строка - Текст запроса.
//
Функция ТекстЗапросаВТОбъемДАЛЕдиницыНоменклатуры(ИмяТаблицыТовары = "ВТТовары", ИмяВременнойТаблицы = "ВТОбъемДАЛ", ДобавлятьРазделитель = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияЕГАИС.ТекстЗапросаВТОбъемДАЛЕдиницыНоменклатуры(ИмяТаблицыТовары, ИмяВременнойТаблицы, ДобавлятьРазделитель);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
