---
title: Общего назначения ЕГАИС переопределяемый
slug: erp-uh/общего-назначения-егаис-переопределяемый
---


## ЗаполнитьРеквизитыАлкогольнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет в переданной таблице значений реквизиты: Крепость, ВидПродукции и Объем.
//
// Параметры:
//  ТаблицаНоменклатуры - ТаблицаЗначений - таблица номенклатуры с колонками: НомерСтроки, Номенклатура.
Процедура ЗаполнитьРеквизитыАлкогольнойПродукции(ТаблицаНоменклатуры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЕГАИСПереопределяемый.ЗаполнитьРеквизитыАлкогольнойПродукции(ТаблицаНоменклатуры) 
```
</details>

## ТекстЗапросаВТОбъемДАЛЕдиницыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Заполняет текст запроса для формирования временной таблицы коэффициентов пересчета базовых единиц измерения
//   номенклатуры в объем ЕГАИС (декалитры).
//
//Параметры:
//  ТекстЗапроса        - Строка - Заполняемый текст запроса.
//  ИмяТаблицыТовары    - Строка - Имя таблицы с колонками: Номенклатура, Характеристика.
//  ИмяВременнойТаблицы - Строка - Имя результирующей временной таблицы.
Процедура ТекстЗапросаВТОбъемДАЛЕдиницыНоменклатуры(ТекстЗапроса, ИмяТаблицыТовары, ИмяВременнойТаблицы) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЕГАИСПереопределяемый.ТекстЗапросаВТОбъемДАЛЕдиницыНоменклатуры(ТекстЗапроса, ИмяТаблицыТовары, ИмяВременнойТаблицы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
