---
title: Общего назначения ИС
slug: erp-uh/общего-назначения-ис
---


## ВерсияБиблиотеки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Версия библиотеки
//
// Возвращаемое значение:
//  Строка - Версия библиотеки
Функция ВерсияБиблиотеки() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ВерсияБиблиотеки() 
```
</details>

## ВерсияПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Версия подсистемы
//
// Параметры:
//  Редакция - Строка - Редакция
//
// Возвращаемое значение:
//  Строка - Версия подсистемы
Функция ВерсияПодсистемы(Редакция = "1") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ВерсияПодсистемы(Редакция);
```
</details>

## ПриДобавленииПараметровРаботыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОбщегоНазначенияПереопределяемый.ПриДобавленииПараметровРаботыКлиента
Процедура ПриДобавленииПараметровРаботыКлиента(Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИС.ПриДобавленииПараметровРаботыКлиента(Параметры) 
```
</details>

## СообщитьПользователюВФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и выводит сообщение, которое может быть связано с элементом
// управления формы.
//
// Параметры:
//  ИдентификаторНазначения    - УникальныйИдентификатор, Неопределено - уникальный идентификатор формы для показа сообщения.
//  ТекстСообщенияПользователю - Строка - текст сообщения.
//  КлючДанных                 - ЛюбаяСсылка - объект или ключ записи информационной базы, к которому это сообщение относится.
//  Поле                       - Строка - наименование реквизита формы.
//  ПутьКДанным                - Строка - путь к данным (путь к реквизиту формы).
//  Отказ                      - Булево - выходной параметр, всегда устанавливается в значение Истина.
//
// Примеры : см ОбщегоНазначения.СообщитьПользователю.
//
//@skip-check method-too-many-params
Процедура СообщитьПользователюВФорму( Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИС.СообщитьПользователюВФорму();
```
</details>

## ПолучитьТекстЗаголовкаИРасписанияРегламентнойНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет представление регламентного задания (реквизиты ЗаданиеАктивно, ТекстРасписания)
//
// Параметры:
//  Задание				 - РегламентноеЗадание, Неопределено - регламентное задание представление которого необходимо получить
//  ТекстРасписания		 - Строка - представление расписания (выходной)
//  РасписаниеАктивно	 - Булево - использование задания (выходной)
//
Процедура ПолучитьТекстЗаголовкаИРасписанияРегламентнойНастройки(Задание, ТекстРасписания, РасписаниеАктивно) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИС.ПолучитьТекстЗаголовкаИРасписанияРегламентнойНастройки(Задание, ТекстРасписания, РасписаниеАктивно) 
```
</details>

## МенеджерОбъектаПоПолномуИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает менеджер (модуль менеджера или общий модуль) по полному имени метаданных
//
// Параметры:
//   ПолноеИмя - Строка - полное имя объекта для получения модуля менеджера.
//
// Возвращаемое значение:
//   СправочникМенеджер, ДокументМенеджер, ОбщийМодуль - менеджер объекта для библиотеки
Функция МенеджерОбъектаПоПолномуИмени(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.МенеджерОбъектаПоПолномуИмени(ПолноеИмя) 
```
</details>

## МенеджерОбъектаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает менеджер (модуль менеджера или общий модуль) объекта по ссылке на объект.
// Ограничение: не обрабатываются точки маршрутов бизнес-процессов.
// См. также ОбщегоНазначения.МенеджерОбъектаПоПолномуИмени.
//
// Параметры:
//  Ссылка - ЛюбаяСсылка - объект, менеджер которого требуется получить.
//
// Возвращаемое значение:
//  СправочникМенеджер, ДокументМенеджер, ОбработкаМенеджер, РегистрСведенийМенеджер - менеджер объекта.
//
// Пример:
//  МенеджерСправочника = ОбщегоНазначения.МенеджерОбъектаПоСсылке(СсылкаНаОрганизацию);
//
Функция МенеджерОбъектаПоСсылке(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.МенеджерОбъектаПоСсылке(Ссылка) 
```
</details>

## ПравоОпределяемогоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Право определяемого типа.
//
// Параметры:
//  ОпределяемыйТип  - ОбъектМетаданныхОпределяемыйТип - Определяемый тип
//  Право - Строка - Право
//
// Возвращаемое значение:
//  Булево - Право определяемого типа
Функция ПравоОпределяемогоТипа(ОпределяемыйТип, Право) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ПравоОпределяемогоТипа(ОпределяемыйТип, Право) 
```
</details>

## ХэшСуммаСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ХэшСуммаСтроки(СтрокаДляРасчетаХеша) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ХэшСуммаСтроки(СтрокаДляРасчетаХеша) 
```
</details>

## ТекстИсключенияОбработкиСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст исключения обработки статуса
//
// Параметры:
//  Документ - ДокументСсылка - Документ.
//  Операция - ПеречислениеСсылка - Операция.
//
// Возвращаемое значение:
//  Строка - Текст исключения.
//
Функция ТекстИсключенияОбработкиСтатуса(Документ, Операция) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ТекстИсключенияОбработкиСтатуса(Документ, Операция) 
```
</details>

## ОбновитьТекстЗапросаСРегистромОписаниеНоменклатурыИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Работа с регистром "ОписаниеНоменклатурыИС", при незаполненном переопределении библиотечный сценарий
//
// Параметры:
//  ТекстЗапроса           - Строка - текст запроса с регистром "ОписаниеНоменклатурыИС" (исходящий),
//  ПутьКРегистру          - Строка - имя таблицы регистра "ОписаниеНоменклатурыИС" в запросе,
//  ПутьКПолюНоменклатура  - Строка - путь к номенклатуре в запросе
//  ПутьКИсточникуОписания - Строка - путь к источнику описания
Процедура ОбновитьТекстЗапросаСРегистромОписаниеНоменклатурыИС(ТекстЗапроса, ПутьКРегистру, ПутьКПолюНоменклатура, ПутьКИсточникуОписания = "") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИС.ОбновитьТекстЗапросаСРегистромОписаниеНоменклатурыИС(ТекстЗапроса, ПутьКРегистру, ПутьКПолюНоменклатура, ПутьКИсточникуОписания);
```
</details>

## ДополнитьИсточникиОписанияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Работа с регистром "ОписаниеНоменклатурыИС" при использовании источника описания номенклатуры отличного от ссылки
//   на номенклатуру:
//   * Дополняет входящий массив классами номенклатуры,
//   * Возвращает соответствие добавленных классов и исходной номенклатуры.
//
// Параметры:
//  Номенклатура - Массив Из ОпределяемыйТип.ИсточникОписанияноменклатурыИС - Источник описания номенклатуры.
// Возвращаемое значение:
//  Соответствие из КлючИЗначение - описание добавленных классов номенклатуры:
//   * Ключ - ОпределяемыйТип.ИсточникОписанияноменклатурыИС - Источник описания номенклатуры,
//   * Значение - Массив Из ОпределяемыйТип.номенклатура - номенклатура из входящего массива
Функция ДополнитьИсточникиОписанияНоменклатуры(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ДополнитьИсточникиОписанияНоменклатуры(Номенклатура) 
```
</details>

## ТекстJSONВОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить из текста JSON структуру.
//
// Параметры:
// 	ТекстJSON                    - Строка - Текст JSON.
// 	ПреобразовыватьВСоответствие - Булево - Признак преобразования в соответствие.
// Возвращаемое значение:
// 	Структура, Неопределено, Произвольный - Результат преобразования JSON.
Функция ТекстJSONВОбъект(ТекстJSON, ПреобразовыватьВСоответствие = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ТекстJSONВОбъект(ТекстJSON, ПреобразовыватьВСоответствие);
```
</details>

## ОбъектВТекстJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует из структуры текст JSON
//
// Параметры:
// 	Структура                    - Структура - Произвольная структура данных
//  УдалитьПробелыИПереносыСтрок - Булево    - признак использования отступов, по умолчанию Истина.
// Возвращаемое значение:
// 	Строка - Текст JSON
Функция ОбъектВТекстJSON(Структура, УдалитьПробелыИПереносыСтрок = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ОбъектВТекстJSON(Структура, УдалитьПробелыИПереносыСтрок);
```
</details>

## ТекстОшибкиПоРезультатуОтправкиЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать текст ошибки по результату отправки запроса.
//
// Параметры:
//  URLЗапроса - Строка - Заголовок ошибки, например: Параметры авторизации не получены из ИС МОТП.
//  РезультатОтправкиЗапроса - Структура - Результат отправки HTTP-запроса:
//  * ЗапросОтправлен             - Булево - признак того, что сообщение отправлено.
//  * ОтветПолучен                - Булево - признак того, что сообщение получено.
//  * КодСостояния                - Число  - Код состояния HTTP-запроса.
//  * ТекстОшибки                 - Строка - текст ошибки, если таковая возникла.
//  * ТекстВходящегоСообщенияJSON - Строка - текст ответа, на отправленное сообщение.
// Возвращаемое значение:
//  Строка - Текст ошибки.
Функция ТекстОшибкиПоРезультатуОтправкиЗапроса(URLЗапроса, РезультатОтправкиЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ТекстОшибкиПоРезультатуОтправкиЗапроса(URLЗапроса, РезультатОтправкиЗапроса) 
```
</details>

## ЭтоРасширеннаяВерсияГосИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоРасширеннаяВерсияГосИС(Подсистема = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ЭтоРасширеннаяВерсияГосИС(Подсистема);
```
</details>

## ОрганизацияПоИННКПП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск организации предприятия по ИНН и/или КПП.
//
// Параметры:
//   ИНН - Строка - ИНН искомой организации,
//   КПП - Строка - КПП искомой организации.
//
// Возвращаемое значение:
//   ОпределяемыйТип.ОрганизацияКонтрагентГосИС, Неопределено - найденная организация
//
Функция ОрганизацияПоИННКПП(ИНН, КПП) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ОрганизацияПоИННКПП(ИНН, КПП) 
```
</details>

## ДоступныеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список доступных для использования организаций.
//
//Возвращаемое значение:
//   СписокЗначений Из ОпределяемыйТип.Организация - ссылки на организации:
//    * Значение      - ОпределяемыйТип.Организация - ссылка на организацию.
//    * Представление - Строка - наименование организации.
Функция ДоступныеОрганизации() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ДоступныеОрганизации() 
```
</details>

## ПустоеЗначениеОпределяемогоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение по умолчанию переданного определяемого типа.
//
// Параметры:
//  ОпределяемыйТипИлиИмяТипа - Строка, ОбъектМетаданныхОпределяемыйТип - Определяемый тип или имя типа
//
// Возвращаемое значение:
//  Произвольный, Неопределено - Пустое значение определяемого типа
Функция ПустоеЗначениеОпределяемогоТипа(ОпределяемыйТипИлиИмяТипа) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ПустоеЗначениеОпределяемогоТипа(ОпределяемыйТипИлиИмяТипа) 
```
</details>

## ТребуетсяВыборСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость указания серии для маркируемой продукции.
//
// Параметры:
//  Товар - Структура - данные строки номенклатуры. Содержит обязательные поля:
//   * Номенклатура   - ОпределяемыйТип.Номенклатура               - номенклатура,
//   * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика.
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
// Возвращаемое значение:
//  Булево - Истина, если требуется указать серию.
Функция ТребуетсяВыборСерии(Товар, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ТребуетсяВыборСерии(Товар, ПараметрыСканирования) 
```
</details>

## ЕстьПродукцияТребующаяВзвешивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьПродукцияТребующаяВзвешивания() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ЕстьПродукцияТребующаяВзвешивания() 
```
</details>

## СписатьОстатокПоВскрытымПотребительскимУпаковкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Списывает из остатка вскрытых потребительских упаковок количество частично проданного товара.
//
// Параметры:
//  ИсточникДанных - ДанныеФормыСтруктура, ДокументОбъект, Структура - объект формы, объект документа или произвольная структура,
//                   в которой находятся данные штрихкодов упаковок. Источник должен иметь поля и коллекции с именами,
//                   указанными в параметрах сканирования: ИмяТабличнойЧастиШтрихкодыУпаковок,
//                   ИмяКолонкиШтрихкодУпаковки, ИмяКолонкиЧастичноеВыбытиеКоличество
//  ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования
Процедура СписатьОстатокПоВскрытымПотребительскимУпаковкам(ИсточникДанных, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИС.СписатьОстатокПоВскрытымПотребительскимУпаковкам(ИсточникДанных, ПараметрыСканирования) 
```
</details>

## ВедетсяУчетМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет включено ли ведение учета продукции, подлежащей маркированию.
//
// Параметры:
// 	РасширеннаяВерсияГосИС - Булево
// Возвращаемое значение:
//  Булево - Истина, если учет ведется.
Функция ВедетсяУчетМаркируемойПродукции(РасширеннаяВерсияГосИС) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ВедетсяУчетМаркируемойПродукции(РасширеннаяВерсияГосИС) 
```
</details>

## ДатаИзСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаИзСтроки(Значение, Делитель = 1000, ПриводитьКМестномуВремени = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ДатаИзСтроки(Значение, Делитель, ПриводитьКМестномуВремени);
```
</details>

## ДатаИзСтрокиISO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаИзСтрокиISO(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ДатаИзСтрокиISO(Значение) 
```
</details>

## ДатаВСтрокуUNIX
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаВСтрокуUNIX(Дата, Делитель = 1000) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ДатаВСтрокуUNIX(Дата, Делитель);
```
</details>

## ИнициализироватьДанныеОписанияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новые параметры описания номенклатуры.
//
// Возвращаемое значение:
//  Структура - Инициализировать данные описания:
// * Номенклатура                        - Неопределено, ОпределяемыйТип.Номенклатура                  - Номенклатура.
// * ЕмкостьПотребительскойУпаковки      - Число                                                       - Емкость потребительской упаковки для часчтиного выбытия.
// * КоличествоВПотребительскойУпаковке  - Число                                                       - Количество учетных единиц товара в потребительской упаковке.
// * ВариантЧастичногоВыбытия            - ПеречислениеСсылка.ВариантыУчетаЧастичногоВыбытияИС         - Вариант частичного выбытия.
// * ВариантИспользованияЕдиницыХранения - ПеречислениеСсылка.ВариантыИспользованияЕдиницыХраненияИС - Вариант использования единицы измерения.
// * ПотребительскаяУпаковка             - Неопределено, ОпределяемыйТип.Упаковка                      - потребительская упаковка
// * УпаковкаЧастичногоВыбытия           - Неопределено, ОпределяемыйТип.Упаковка                      - упаковка частичного выбытия
Функция ИнициализироватьДанныеОписанияНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ИнициализироватьДанныеОписанияНоменклатуры() 
```
</details>

## ОписаниеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание входящей номенклатуры. Разворачивает описание из подходящего класса номенклатуры при необходимости.
//
// Параметры:
//   Номенклатура - ОпределяемыйТип.ИсточникОписанияНоменклатурыИС, Массив Из ОпределяемыйТип.ИсточникОписанияНоменклатурыИС -
//     номенклатура (класс номенклатуры) для которой требуется получить описание ИС
//
// Возвращаемое значение:
//   Соответствие из КлючИЗначение - номенклатура с описанием:
//    * Ключ -ОпределяемыйТип.ИсточникОписанияНоменклатурыИС - номенклатура,
//    * Значение - см. ИнициализироватьДанныеОписанияНоменклатуры.
Функция ОписаниеНоменклатуры(Знач Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ОписаниеНоменклатуры(Номенклатура) 
```
</details>

## ВыполнитьПакетЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пакет запросов и возвращает результат каждого запроса
//
// Параметры:
//  Запрос				 - Запрос	 - запрос, параметры которого предварительно установлены.
//  ТекстыЗапроса		 - СписокЗначений	 - в списке перечислены тексты запросов и их имена.
//  ВыгрузитьРезультат	 - Булево			 - Истина, если результат запроса нужно выгрузить в таблицы значений.
//
// Возвращаемое значение:
//  Структура - структура в которую помещены полученные таблицы
//
Функция ВыполнитьПакетЗапросов(Запрос, ТекстыЗапроса, ВыгрузитьРезультат = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИС.ВыполнитьПакетЗапросов(Запрос, ТекстыЗапроса, ВыгрузитьРезультат);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
