---
title: Общего назначения ИС вызов сервера
slug: erp-uh/общего-назначения-ис-вызов-сервера
---


## ЭтоРасширеннаяВерсияГосИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоРасширеннаяВерсияГосИС(Подсистема = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСВызовСервера.ЭтоРасширеннаяВерсияГосИС(Подсистема);
```
</details>

## ИспользуетсяМаркируемаяПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак ведения учета маркируемой продукции.
//
// Возвращаемое значение:
// 	Булево - Истина, если учет маркируемой продукции используется.
//
Функция ИспользуетсяМаркируемаяПродукция() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСВызовСервера.ИспользуетсяМаркируемаяПродукция() 
```
</details>

## ЗаписатьОшибкуВЖурналРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись ошибки в журнал регистрации, добавляя имя события ГосИС если оно не задано.
//
// Параметры:
//  ТекстОшибки      - Строка           - текст ошибки.
//  ИмяСобытия       - Строка           - имя события.
//  ОбъектМетаданных - ОбъектМетаданных - объект метаданных с ошибкой.
//  Данные           - Произвольный     - объект данных с ошибкой.
//
Процедура ЗаписатьОшибкуВЖурналРегистрации(ТекстОшибки, ИмяСобытия = Неопределено, ОбъектМетаданных = Неопределено, Данные = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСВызовСервера.ЗаписатьОшибкуВЖурналРегистрации(ТекстОшибки, ИмяСобытия, ОбъектМетаданных, Данные);
```
</details>

## ПоддерживаетсяЧастичноеВыбытие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак возможности для вида продукции участвовать в частичном выбытии.
//
// Параметры:
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС                - вид маркируемой продукции.
//  ОперацияИС   - ПеречислениеСсылка.ВидыОперацийИСМП, ПеречислениеСсылка.ВидыДокументовЕГАИС, Неопределено - вид операции ИСМП.
// Возвращаемое значение:
//  Булево - Вид продукци может выбывать частично.
Функция ПоддерживаетсяЧастичноеВыбытие(ВидПродукции, ОперацияИС = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСВызовСервера.ПоддерживаетсяЧастичноеВыбытие(ВидПродукции, ОперацияИС);
```
</details>

## ЗначениеРеквизитаОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОбщегоНазначения.ЗначениеРеквизитаОбъектов
//
Функция ЗначениеРеквизитаОбъектов(МассивСсылок, ИмяРеквизита, ВыбратьРазрешенные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСВызовСервера.ЗначениеРеквизитаОбъектов(МассивСсылок, ИмяРеквизита, ВыбратьРазрешенные);
```
</details>

## ЭтоФоновоеЗаданиеНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Классифицирует текущий сеанс, как сеанс, запущенный в фоновом задании в клиент-серверном варианте, в остальных
// случаях, сеанс имеет ту же файловую систему на стороне сервера, что и основной сеанс.
//
// Возвращаемое значение:
// 	Булево - Описание
Функция ЭтоФоновоеЗаданиеНаСервере() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСВызовСервера.ЭтоФоновоеЗаданиеНаСервере() 
```
</details>

## СертификатыПользователяДляПодписиПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОбщегоНазначенияИС.СертификатыПользователяДляПодписиПоОрганизации
Функция СертификатыПользователяДляПодписиПоОрганизации(Организация, ВключатьСертификатыБезОрганизации = Ложь, ВключатьСертификатыФЛ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСВызовСервера.СертификатыПользователяДляПодписиПоОрганизации(Организация, ВключатьСертификатыБезОрганизации, ВключатьСертификатыФЛ);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
