---
title: Общего назначения ИС клиент
slug: erp-uh/общего-назначения-ис-клиент
---


## ПослеНачалаРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//см. ОбщегоНазначенияКлиентПереопределяемый.ПослеНачалаРаботыСистемы
Процедура ПослеНачалаРаботыСистемы() Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСКлиент.ПослеНачалаРаботыСистемы() 
```
</details>

## ОбработкаВнешнегоСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка внешнего события.
//
// Параметры:
//  Источник - Произвольный
//  Событие - Произвольный
//  Данные - Произвольный
Процедура ОбработкаВнешнегоСобытия(Источник, Событие, Данные) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСКлиент.ОбработкаВнешнегоСобытия(Источник, Событие, Данные) 
```
</details>

## РазвернутьДеревоРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разворачивает на форме дерево или его группу со всеми вложенными группами
//
// Параметры:
//  СтрокаДерева - ДеревоЗначений, СтрокаДереваЗначений - разворачиваемая корневая группа
//  ЭлементФормы - ТаблицаФормы - связанный с деревом элемент управляемой формы
//
Процедура РазвернутьДеревоРекурсивно(СтрокаДерева, ЭлементФормы) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСКлиент.РазвернутьДеревоРекурсивно(СтрокаДерева, ЭлементФормы) 
```
</details>

## СообщитьПользователюВФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и выводит сообщение, которое может быть связано с элементом
// управления формы.
//
// Параметры:
//  ИдентификаторНазначения    - УникальныйИдентификатор, Неопределено - уникальный идентификатор формы для показа сообщения.
//  ТекстСообщенияПользователю - Строка - текст сообщения.
//  КлючДанных                 - ЛюбаяСсылка - объект или ключ записи информационной базы, к которому это сообщение относится.
//  Поле                       - Строка - наименование реквизита формы.
//  ПутьКДанным                - Строка - путь к данным (путь к реквизиту формы).
//  Отказ                      - Булево - выходной параметр, всегда устанавливается в значение Истина.
//
// Пример:
// 	см ОбщегоНазначенияКлиентСервер.СообщитьПользователю.
//
Процедура СообщитьПользователюВФорму( Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСКлиент.СообщитьПользователюВФорму();
```
</details>

## ПоказатьСообщенияОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму сообщения обмена с государственной информационной системой
//
// Параметры:
//  Форма           - ФормаКлиентскогоПриложения - источник события
//  ИмяПодсистемы   - Строка - краткое имя библиотеки
//  ВыбраннаяСтрока - Произвольный - выбранная строка таблицы
//  ПоказатьГруппу  - Булево - показать документ-источник сообщения
//
Процедура ПоказатьСообщенияОперации(Форма, ИмяПодсистемы, ВыбраннаяСтрока, ПоказатьГруппу = Истина) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСКлиент.ПоказатьСообщенияОперации(Форма, ИмяПодсистемы, ВыбраннаяСтрока, ПоказатьГруппу);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
