---
title: Общего назначения ИСМП
slug: erp-uh/общего-назначения-исмп
---


## ЭтоРасширеннаяВерсияГосИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак полной версии БГосИС
//
// Возвращаемое значение:
//  Булево - Это расширенная версия Гос ИС
Функция ЭтоРасширеннаяВерсияГосИС() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ЭтоРасширеннаяВерсияГосИС() 
```
</details>

## ВидыПродукцииОбязательнойМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Виды продукции обязательной маркировки.
//
// Возвращаемое значение:
//  ФиксированныйМассив из ПеречислениеСсылка.ВидыПродукцииИС - Виды продукции обязательной маркировки
Функция ВидыПродукцииОбязательнойМаркировки() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ВидыПродукцииОбязательнойМаркировки() 
```
</details>

## ВестиУчетМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВестиУчетМаркируемойПродукции(ВидМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ВестиУчетМаркируемойПродукции(ВидМаркируемойПродукции) 
```
</details>

## ИспользуетсяМаркируемаяПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется маркируемая продукция.
//
// Возвращаемое значение:
//  Булево - Используется маркируемая продукция
Функция ИспользуетсяМаркируемаяПродукция() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ИспользуетсяМаркируемаяПродукция() 
```
</details>

## ТекстJSONВОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить из текста JSON структуру.
//
// Параметры:
// 	ТекстJSON                    - Строка - Текст JSON.
// 	ПреобразовыватьВСоответствие - Булево - Признак преобразования в соответствие.
// Возвращаемое значение:
// 	Структура, Неопределено, Произвольный - Результат преобразования JSON.
Функция ТекстJSONВОбъект(ТекстJSON, ПреобразовыватьВСоответствие = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ТекстJSONВОбъект(ТекстJSON, ПреобразовыватьВСоответствие);
```
</details>

## ОбъектВТекстJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует из структуры текст JSON
// Параметры:
//  ДанныеСтруктура - Структура из КлючИЗначение - Данные для конвертации в текст JSON
//  УдалитьПробелыИПереносыСтрок - Булево - признак, удалять ли пробелы и переносы из конечной строки JSON
//
// Возвращаемое значение:
// 	Строка - Текст JSON
Функция ОбъектВТекстJSON(ДанныеСтруктура, УдалитьПробелыИПереносыСтрок = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ОбъектВТекстJSON(ДанныеСтруктура, УдалитьПробелыИПереносыСтрок);
```
</details>

## ФорматироватьЛогЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ФорматироватьЛогЗапросов(ИсходныйТекст, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ФорматироватьЛогЗапросов(ИсходныйТекст, ДополнительныеПараметры) 
```
</details>

## ОбъектXDTOВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует объект XDTO в XML
//
// Параметры:
//  ОбъектXDTO          - ОбъектXDTO - Объект XDTO
//  ИмяТипа             - Строка     - Имя типа.
//  ИспользоватьОтступы - Булево     - Использование отступов.
// Возвращаемое значение:
//  Строка - Текст сообщения XML
//
Функция ОбъектXDTOВXML(ОбъектXDTO, ИмяТипа = "Файл", ИспользоватьОтступы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ОбъектXDTOВXML(ОбъектXDTO, ИмяТипа, ИспользоватьОтступы);
```
</details>

## ПолучитьДанныеИзСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеИзСервиса(АдресЗапроса, КлючСессии, ПараметрыОтправкиHTTPЗапросов, ЗаголовокHTTP = Неопределено, HTTPОтветЭмуляция = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ПолучитьДанныеИзСервиса(АдресЗапроса, КлючСессии, ПараметрыОтправкиHTTPЗапросов, ЗаголовокHTTP, HTTPОтветЭмуляция);
```
</details>

## ВремяОжиданияСледующегоЗапросаСУЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВремяОжиданияСледующегоЗапросаСУЗ(НастройкаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ВремяОжиданияСледующегоЗапросаСУЗ(НастройкаОбмена) 
```
</details>

## РезультатHTTPЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура результата HTTP запроса
//
// Возвращаемое значение:
// 	Структура - Результат HTTP-запроса:
// * КодСостояния - Число        - Код состояния HTTP
// * Заголовки    - Соответствие - Заголовки HTTP ответа
// * ТекстОтвета  - Строка       - Текст ответа
// * ТекстОшибки  - Строка       - Текст ошибки
Функция РезультатHTTPЗапроса() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.РезультатHTTPЗапроса() 
```
</details>

## HTTPОтветПолучен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует структуру результата обработки HTTP-запроса после получения ответа.
//
// Параметры:
// 	ТекстВходящегоСообщенияJSON - Строка - Текст входящего сообщения.
// 	КодСостояния                - Число  - Код состояния.
//
// Возвращаемое значение:
// Структура - Структура со свойствами:
//   ЗапросОтправлен             - Булево - признак того, что сообщение отправлено.
//   ОтветПолучен                - Булево - признак того, что сообщение обработано сервером.
//   КодСостояния                - Число  - Код состояния HTTP-запроса.
//   ТекстОшибки                 - Строка - текст ошибки, если таковая возникла.
//   ТекстВходящегоСообщенияJSON - Строка - текст ответа, на отправленное сообщение.
//
Функция HTTPОтветПолучен(ТекстВходящегоСообщенияJSON, КодСостояния = 200, КакФайл = Ложь, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.HTTPОтветПолучен(ТекстВходящегоСообщенияJSON, КодСостояния, КакФайл, ДополнительныеПараметры);
```
</details>

## HTTPОтветНеПолучен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует структуру результата обработки HTTP-запроса после отправки сообщения, но до получения ответа.
//
// Возвращаемое значение:
// Структура:
//   ЗапросОтправлен             - Булево - признак того, что сообщение отправлено.
//   ОтветПолучен                - Булево - признак того, что сообщение получено.
//   КодСостояния                - Число  - Код состояния HTTP-запроса.
//   ТекстОшибки                 - Строка - текст ошибки, если таковая возникла.
//   ТекстВходящегоСообщенияJSON - Строка - текст ответа, на отправленное сообщение.
//
Функция HTTPОтветНеПолучен(Ошибка, ЗапросОтправлен, КодСостояния = Неопределено, КакФайл = Ложь, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.HTTPОтветНеПолучен(Ошибка, ЗапросОтправлен, КодСостояния, КакФайл, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатОтправкиHTTPЗапросаКакJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат отправки HTTP-запроса к сервису ИС МОТП.
//
// Параметры:
//  РезультатЗапроса - (См. РезультатЗапроса) - Результат запроса.
// Возвращаемое значение:
// Структура - Результат отправки HTTP-запроса:
//  * ЗапросОтправлен             - Булево - признак того, что сообщение отправлено.
//  * ОтветПолучен                - Булево - признак того, что сообщение получено.
//  * КодСостояния                - Число  - Код состояния HTTP-запроса.
//  * ТекстОшибки                 - Строка - текст ошибки, если таковая возникла.
//  * ТекстВходящегоСообщенияJSON - Строка - текст ответа, на отправленное сообщение.
Функция ОбработатьРезультатОтправкиHTTPЗапросаКакJSON(РезультатЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакJSON(РезультатЗапроса) 
```
</details>

## ОтправитьДанныеВСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтправитьДанныеВСервис(АдресЗапроса, ТелоЗапроса, КлючСессии, HTTPМетод, ПараметрыОтправкиHTTPЗапросов, ЗаголовокHTTP = Неопределено, HTTPОтветЭмуляция = Неопределено, Соединение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ОтправитьДанныеВСервис(АдресЗапроса, ТелоЗапроса, КлючСессии, HTTPМетод, ПараметрыОтправкиHTTPЗапросов, ЗаголовокHTTP, HTTPОтветЭмуляция, Соединение);
```
</details>

## ВывестиHTTPЗапросВЛог
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вывести HTTP-Запрос в лог
//
// Параметры:
//  HTTPЗапрос - HTTPЗапрос - HTTP-запрос для вывода в файл.
//             - HTTPОтвет  - HTTP-ответ для вывода в файл.
//  ПараметрыОтправкиHTTPЗапросов - Структура из КлючИЗначение - дополнительные параметры отправки
//  HTTPМетод - Строка - PUT, GET, POST и проч.
//  ПутьКФайлу - Строка - Путь к файлу для записи лога.
//  ТекстОшибки - Строка - текст ошибки выполнения
//
// Возвращаемое значение:
//  Строка - Представление протокола
Функция ВывестиHTTPЗапросВЛог(HTTPЗапрос, ПараметрыОтправкиHTTPЗапросов, HTTPМетод, ПутьКФайлу = Неопределено, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ВывестиHTTPЗапросВЛог(HTTPЗапрос, ПараметрыОтправкиHTTPЗапросов, HTTPМетод, ПутьКФайлу, ТекстОшибки);
```
</details>

## ОбработатьРезультатОтправкиHTTPЗапросаКакФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать результат отправки HTTP-запроса к сервису ИС МОТП.
//
// Параметры:
//  РезультатЗапроса - (См. РезультатЗапроса) - Результат запроса.
// Возвращаемое значение:
// Структура - Результат отправки HTTP-запроса:
//  * ЗапросОтправлен - Булево - признак того, что сообщение отправлено.
//  * ОтветПолучен    - Булево - признак того, что сообщение получено.
//  * КодСостояния    - Число  - Код состояния HTTP-запроса.
//  * ТекстОшибки     - Строка - текст ошибки, если таковая возникла.
//  * ИмяФайла        - Строка - ИмяФайла.
Функция ОбработатьРезультатОтправкиHTTPЗапросаКакФайл(РезультатЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ОбработатьРезультатОтправкиHTTPЗапросаКакФайл(РезультатЗапроса) 
```
</details>

## ВключитьАварийныйРежимРазрешительнойСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает аварийный режим на определенное пользователем время;
// Аварийный режим подразумевает полное отключение запросов к ГИС МТ и розничную продажу
// отслеживаемых товарных групп без проверок разрешительного режима
//
// Параметры:
//  СрокДействияВЧасах - Число - Срок включения аварийного режима в часах
Процедура ВключитьАварийныйРежимРазрешительнойСистемы(СрокДействияВЧасах = 0) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСМП.ВключитьАварийныйРежимРазрешительнойСистемы(СрокДействияВЧасах);
```
</details>

## ОтключитьАварийныйРежимРазрешительнойСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает действие аварийного режима
// Действие разрешительного режима возобновляется в штатном режиме
//
Процедура ОтключитьАварийныйРежимРазрешительнойСистемы() Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСМП.ОтключитьАварийныйРежимРазрешительнойСистемы() 
```
</details>

## СортированнаяТаблицаCDNПлощадок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вовращает признак необходимости обновления площадок и их ранжированный список
//  от наиболее приоритетной по скорости отклика до наименее приоритетной
//
// Возвращаемое значение:
//  Структура - структура данных CDN-площадок:
// * ТребуетсяОбновлениеПлощадок - Булево - признак, что все площадки либо заблокированы, либо не загружены,
//    либо срок их актуальности подошел к концу
// * ТаблицаПлощадок - ТаблицаЗначений - сортированный список CDN-площадок:
// ** АдресПлощадки - Строка - адрес площадки
// ** Сервер - Строка - адрес сервера
// ** Порт - Число - порт
// ** ЗащищенноеСоединение - Булево - защищенное соединение
// ** СкоростьОтклика - Число - общая скорость отклика, сумма среднего времени обработки КМ на площадке
//     и времени обращения к ней
// ** ПлощадкаДоступна - Булево - признак доступности площадки
Функция СортированнаяТаблицаCDNПлощадок() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.СортированнаяТаблицаCDNПлощадок() 
```
</details>

## ЗаблокироватьСписокПлощадок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Блокирует список CDN-площадок на время, указанное пользователем,
//  или стандартный срок из настроек ИС МП
//
// Параметры:
//  МассивПлощадок - Массив из Строка - Массив площадок к блокировке
//  ВремяБлокировки - Число - Время блокировки, если 0, то берется стандартное время блокировки
Процедура ЗаблокироватьСписокПлощадок(МассивПлощадок, ВремяБлокировки = 0) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСМП.ЗаблокироватьСписокПлощадок(МассивПлощадок, ВремяБлокировки);
```
</details>

## ТребуетсяОбновлениеСпискаCDNПлощадок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак необходимости запуска процедуры обновления списка CDN-площадок.
//
// Возвращаемое значение:
//  Булево - Истина, если список площадок пуст (при первом запуске) или все площадки обновлены ранее
//   срока их актуальности
Функция ТребуетсяОбновлениеСпискаCDNПлощадок() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ТребуетсяОбновлениеСпискаCDNПлощадок() 
```
</details>

## ВыполнитьАктуализациюCDNПлощадокДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Длительная операция актуализации списка и времени отклика CDN-площадок
//
// Параметры:
//  ПараметрыФоновогоЗадания - Структура - Параметры запуска фонового задания
//  АдресРезультата - Строка - адрес возврата результата
Процедура ВыполнитьАктуализациюCDNПлощадокДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСМП.ВыполнитьАктуализациюCDNПлощадокДлительнаяОперация(ПараметрыФоновогоЗадания, АдресРезультата) 
```
</details>

## ЗаписатьДанныеСостоянияCDNПлощадокВРегистр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запись данных площадок в регистр СостоянияCDNПлощадокИСМП
//
// Параметры:
//  СписокПлощадок - Соответствие Из КлючИЗначение - полученные CDN-площадки:
//   * Ключ - Строка - Адрес площадки.
//   * Значение - (см. ИнтерфейсИСМП.ЗамерыСкоростиCDNПлощадок)
// Возвращаемое значение:
//   - Структура из КлючИЗначение:
//     * Отказ - Булево
//     * ТекстОшибки - Строка - заполнено, если Отказ = Истина
Функция ЗаписатьДанныеСостоянияCDNПлощадокВРегистр(СписокПлощадок) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ЗаписатьДанныеСостоянияCDNПлощадокВРегистр(СписокПлощадок) 
```
</details>

## ИнициализироватьТаблицуПротоколОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализация таблицы протокола обмена элемента очереди из ИС МП
// Параметры:
//  ВключитьКодСостояния - Булево - признак, добавлять ли в таблицу колонку КодСостояния
//
// Возвращаемое значение:
//  ТаблицаЗначений - Описание:
//  * ДатаУниверсальная - Дата - Дата.
//  * Операция - ПеречислениеСсылка.ВидыОперацийИСМП - вид операции.
//  * СтатусОбработки - ПеречислениеСсылка.СтатусыОбработкиСообщенийИСМП - статус обработки сообщения.
//  * Запрос - Строка - запрос.
//  * ЗапросЗаголовки - Строка - заголовки запроса.
//  * ЗапросТело - Строка - тело запроса.
//  * ОтветЗаголовки - Строка - заголовки ответа.
//  * ОтветТело - Строка - ответ.
//  * КодСостояния - Строка - код состояния запроса.
Функция ИнициализироватьТаблицуПротоколОбмена(ВключитьКодСостояния = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ИнициализироватьТаблицуПротоколОбмена(ВключитьКодСостояния);
```
</details>

## ЗаголовкиИзHTTPОтвета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаголовкиИзHTTPОтвета(HTTPОтвет) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.ЗаголовкиИзHTTPОтвета(HTTPОтвет) 
```
</details>

## URLЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция URLЗапроса(HTTPЗапрос, ПараметрыОтправкиHTTPЗапросов, HTTPМетод) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.URLЗапроса(HTTPЗапрос, ПараметрыОтправкиHTTPЗапросов, HTTPМетод) 
```
</details>

## МинимальнаяЦенаРозничнойПродажиТабачнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Минимальная цена розничной продажи табачной продукции.
//
// Возвращаемое значение:
//  Структура - Минимальная цена розничной продажи табачной продукции:
// * МинРЦ - Число - минимальная розничная цена табачной продукции
// * ЗагруженыАктуальныеЦены - Булево - Истина, если загружена минимальная цена
Функция МинимальнаяЦенаРозничнойПродажиТабачнойПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМП.МинимальнаяЦенаРозничнойПродажиТабачнойПродукции() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
