---
title: Общего назначения ИСМП вызов сервера
slug: erp-uh/общего-назначения-исмп-вызов-сервера
---


## ЭтоРасширеннаяВерсияГосИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоРасширеннаяВерсияГосИС() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМПВызовСервера.ЭтоРасширеннаяВерсияГосИС() 
```
</details>

## ЗапрашиватьДанныеСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает признак запроса данных из сервиса ИС МП.
//
//Возвращаемое значение:
//   Булево - Истина, в случае необходимости запроса данных сервиса.
//
Функция ЗапрашиватьДанныеСервиса() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМПВызовСервера.ЗапрашиватьДанныеСервиса() 
```
</details>

## РежимРаботыСТестовымКонтуромИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак включения режима работы с тестовым контуром ИС МП
//
// Возвращаемое значение:
//  Булево - Истина, если включен режим работы с тестовым контуром ИС МП.
//
Функция РежимРаботыСТестовымКонтуромИСМП() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМПВызовСервера.РежимРаботыСТестовымКонтуромИСМП() 
```
</details>

## ВестиУчетМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак ведения учета маркируемой продукци переданного вида.
//
// Параметры:
//  ВидМаркируемойПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид маркируемой продукции
// Возвращаемое значение:
// 	Булево - признак ведения учета маркируемой продукции переданного вида.
//
Функция ВестиУчетМаркируемойПродукции(ВидМаркируемойПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМПВызовСервера.ВестиУчетМаркируемойПродукции(ВидМаркируемойПродукции);
```
</details>

## НастройкиСканированияКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки сканирования кодов маркировки ИС МП.
//
// Возвращаемое значение:
//  Булево - Истина, в случае необходимости контроля статусов.
Функция НастройкиСканированияКодовМаркировки() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМПВызовСервера.НастройкиСканированияКодовМаркировки() 
```
</details>

## УчитываемыеВидыМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает учитываемые виды маркируемой продукции.
//  При вызове с параметрами -только находящиеся в тестовом/обязательном периоде эксплуатации.
//
//Параметры:
//   НаДату - Неопределено - все учитываемые
//          - Дата - требуется получение только видов продукции в тестовом/обязательном периоде на указанную дату
//   ТестовыйПериод - Булево - признак тестового периода
//
// Возвращаемое значение:
//   ФиксированныйМассив Из ПеречислениеСсылка.ВидыПродукцииИС - учитываемые виды маркируемой продукции.
//
Функция УчитываемыеВидыМаркируемойПродукции(НаДату = Неопределено, ТестовыйПериод = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияИСМПВызовСервера.УчитываемыеВидыМаркируемойПродукции(НаДату, ТестовыйПериод);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
