---
title: Общего назначения ИС переопределяемый
slug: erp-uh/общего-назначения-ис-переопределяемый
---


## ПриОпределенииМенеджераОбъектаПоПолномуИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииМенеджераОбъектаПоПолномуИмени(МенеджерОбъекта, ПолноеИмя) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ПриОпределенииМенеджераОбъектаПоПолномуИмени(МенеджерОбъекта, ПолноеИмя) 
```
</details>

## ПриОпределенииМенеджераОбъектаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииМенеджераОбъектаПоСсылке(МенеджерОбъекта, Ссылка) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ПриОпределенииМенеджераОбъектаПоСсылке(МенеджерОбъекта, Ссылка) 
```
</details>

## ПриОпределенииСпискаОрганизацийНедоступныхДляВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Требуется определить массив ссылок служебных организаций, исключаемых из списков выбора в библиотеке.
//
// Параметры:
//  СписокОрганизаций - Массив из ОпределяемыйТип.Организация - переопределяемый параметр, массив организаций, исключаемых из списков.
Процедура ПриОпределенииСпискаОрганизацийНедоступныхДляВыбора(СписокОрганизаций) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ПриОпределенииСпискаОрганизацийНедоступныхДляВыбора(СписокОрганизаций) 
```
</details>

## ИспользованиеПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование подразделений в информационной базе.
//
// Параметры:
//  Использовать - Булево - Подразделения используются (исходящий).
//
Процедура ИспользованиеПодразделений(Использовать) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ИспользованиеПодразделений(Использовать) 
```
</details>

## ИспользоватьОбособленныеПодразделенияВыделенныеНаБаланс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет использование в инофрмационной базе обособленных подразделений выделенных на отдельный баланс
//
// Параметры:
//  Использовать - Булево - Используются подразделения, выделенных на обособленный баланс
//
Процедура ИспользоватьОбособленныеПодразделенияВыделенныеНаБаланс(Использовать) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ИспользоватьОбособленныеПодразделенияВыделенныеНаБаланс(Использовать) 
```
</details>

## ЗаполнитьИННКПППоОрганизацииКонтрагенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре нужно реализовать заполнение структуры данными ИНН/КПП из информационной базы.
//
// Параметры:
//  Сведения    - Структура - структура с реквизитами организации/контрагента, которые требуется заполнить,
//  Организация - ОпределяемыйТип.ОрганизацияКонтрагентГосИС, ОпределяемыйТип.КонтрагентГосИС - ссылка на
//                                                                                              собственную организацию или контрагента
//  ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС - ссылка на торговый объект для определения КПП.
Процедура ЗаполнитьИННКПППоОрганизацииКонтрагенту(Сведения, Организация, ТорговыйОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ЗаполнитьИННКПППоОрганизацииКонтрагенту(Сведения, Организация, ТорговыйОбъект);
```
</details>

## ОбновитьТекстЗапросаСРегистромОписаниеНоменклатурыИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Работа с регистром "ОписаниеНоменклатурыИС" при использовании значений описания номенклатуры отличных от напрямую
//   записанных в регистре:
//   * Модифицирует соединение с регистром если в качестве источника описания может использоваться не номенклатура,
//   * Получает значение служебного реквизита "Произвольная единица учета" (для номенклатуры единица учета отличается от
//     маркированной потребительской упаковки),
//   * Получает значение служебного реквизита "Требует взвешивания" (маркированные потребительские упаковки имеют
//     индивидуальный вес).
//
// Параметры:
//  ТекстЗапроса           - Строка - текст запроса с регистром "ОписаниеНоменклатурыИС" (исходящий),
//  ПутьКРегистру          - Строка - имя таблицы регистра "ОписаниеНоменклатурыИС" в запросе,
//  ПутьКПолюНоменклатура  - Строка - путь к номенклатуре в запросе
//  ПутьКИсточникуОписания - Строка - путь к источнику описания
Процедура ОбновитьТекстЗапросаСРегистромОписаниеНоменклатурыИС(ТекстЗапроса, ПутьКРегистру, ПутьКПолюНоменклатура, ПутьКИсточникуОписания) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ОбновитьТекстЗапросаСРегистромОписаниеНоменклатурыИС(ТекстЗапроса, ПутьКРегистру, ПутьКПолюНоменклатура, ПутьКИсточникуОписания) 
```
</details>

## ДополнитьТекстЗапросаОписанияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Работа с регистром "ОписаниеНоменклатурыИС" при использовании значений описания номенклатуры отличных от напрямую
//   записанных в регистре, а также при использовании режима "ВариантыИспользованияЕдиницыХраненияИС.ЗаданУпаковками":
//   * Дополняет входящий текст запроса.
//
// Параметры:
//  ТекстЗапроса - Строка - Текст запроса получения описания номенклатуры ИС.
Процедура ДополнитьТекстЗапросаОписанияНоменклатуры(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ДополнитьТекстЗапросаОписанияНоменклатуры(ТекстЗапроса) 
```
</details>

## ДополнитьИсточникиОписанияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Работа с регистром "ОписаниеНоменклатурыИС" при использовании источника описания номенклатуры отличного от ссылки
//   на номенклатуру:
//   * Дополняет входящий массив классами номенклатуры,
//   * Возвращает соответствие добавленных классов и исходной номенклатуры.
//
// Параметры:
//  Номенклатура - Массив Из ОпределяемыйТип.ИсточникОписанияноменклатурыИС - Источник описания номенклатуры.
//  СоответстиеИсточникаНоменклатуре - Соответствие из КлючИЗначение - описание добавленных классов номенклатуры:
//   * Ключ - ОпределяемыйТип.ИсточникОписанияНоменклатурыИС - Источник описания номенклатуры,
//   * Значение - Массив Из ОпределяемыйТип.Номенклатура - номенклатура из входящего массива
Процедура ДополнитьИсточникиОписанияНоменклатуры(Номенклатура, СоответстиеИсточникаНоменклатуре) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ДополнитьИсточникиОписанияНоменклатуры(Номенклатура, СоответстиеИсточникаНоменклатуре) 
```
</details>

## ЗаполнитьОрганизациюПоИННКПП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре нужно реализовать поиск организации предприятия по ИНН и/или КПП.
//
// Параметры:
//  Организация - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - найденная организация (исходящий),
//              - Неопределено - организация не найдена (исходящий),
//  ИНН - Строка - ИНН искомой организации,
//  КПП - Строка - КПП искомой организации.
//
Процедура ЗаполнитьОрганизациюПоИННКПП(Организация, ИНН, КПП) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ЗаполнитьОрганизациюПоИННКПП(Организация, ИНН, КПП) 
```
</details>

## ПриОпределенииНеобходимостиВыбораСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре необходимо реализовать проверку возможности выбора серии для номенклатуры.
//
// Параметры:
//  ДанныеДляРасчетаСерии  - Структура - Данные для расчета серий.
//  ПараметрыУказанияСерий - Структура - Параметры указания серий.
//  ТребуетсяВыбор         - Булево - исходящий, признак необходимости выбора серии.
//  СерияДолжнаБытьУказана - Булево - исходящий, признак обязательного заполнения серии.
//  КэшированныеЗначения   - Произвольный - кэшированные значения
//
Процедура ПриОпределенииНеобходимостиВыбораСерии(ДанныеДляРасчетаСерии, ПараметрыУказанияСерий, ТребуетсяВыбор, СерияДолжнаБытьУказана, КэшированныеЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ПриОпределенииНеобходимостиВыбораСерии(ДанныеДляРасчетаСерии, ПараметрыУказанияСерий, ТребуетсяВыбор, СерияДолжнаБытьУказана, КэшированныеЗначения);
```
</details>

## ИспользованиеПродукцииТребующейВзвешивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре требуется определить наличие маркируемых товаров для которых нет стандартной фабричной упаковки
//   (настраиваемых не в регистре ОписаниеноменклатурыИС).
//
// Параметры:
//  Использование - Булево - Признак использования произвольных единиц учета (исходящий).
//
Процедура ИспользованиеПродукцииТребующейВзвешивания(Использование) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ИспользованиеПродукцииТребующейВзвешивания(Использование) 
```
</details>

## ПриОпределенииВскрытыхПотребительскихУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для БРМК. Определяет коды маркировки на оборудовании розлива по переданной таблице товаров.
// Необходимо заполнить выходной параметр КегиНаОборудованииРозлива
//
// Параметры:
//  КегиНаОборудованииРозлива - ТаблицаЗначений - Коды маркировки подключенные к оборудованию розлива:
//  * Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура кода маркировки кега
//  * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика кода маркировки кега
//  * Серия - ОпределяемыйТип.СерияНоменклатуры - серия кода маркировки кега
//  * ИндексИсходнойСтроки - Число - Служебный, в переопределении можно не заполнять
//  * УчитыватьСерии - Булево - учитвать серии исходной таблицы товаров
//  * ВариантЧастичногоВыбытия - ПеречислениеСсылка.ВариантыУчетаЧастичногоВыбытияИС - настройка частичного выбытия номенклатуры
//  * КодМаркировки - ОпределяемыйТип.ШтрихкодУпаковкиИС - код маркировки кега
//  * Комментарий - ОпределяемыйТип.ОборудованиеРозливаИСМП - описание оборудования, к которому подключен кег см. РегистрыСведений.ВскрытыеПотребительскиеУпаковкиИС
//  * КодМаркировкиСтрокой - Строка - представление кода маркировки см. РегистрыСведений.ВскрытыеПотребительскиеУпаковкиИС
//  * ПолныйКодМаркировки - Строка - полный код маркировки кега Base64 см. РегистрыСведений.ВскрытыеПотребительскиеУпаковкиИС
//  ТаблицаТовары - см. РегистрыСведений.ВскрытыеПотребительскиеУпаковкиИС.НоваяТаблицаПоискаВскрытыхПотребительскихУпаковок
//  ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования
//  ТолькоПолноеСоответствие - Булево - Искать без учета подменной номенклатуры
Процедура ПриОпределенииВскрытыхПотребительскихУпаковок(КегиНаОборудованииРозлива, ТаблицаТовары, ПараметрыСканирования, ТолькоПолноеСоответствие) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ПриОпределенииВскрытыхПотребительскихУпаковок(КегиНаОборудованииРозлива, ТаблицаТовары, ПараметрыСканирования, ТолькоПолноеСоответствие) 
```
</details>

## ЗаполнитьПредставлениеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет представление строки номенклатуры.
//
// Параметры:
//  Представление  - Строка                                     - представление для заполнения,
//  Номенклатура   - ОпределяемыйТип.Номенклатура               - ссылка на номенклатуру,
//  Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - ссылка на характеристику номенклатуры,
//  Упаковка       - ОпределяемыйТип.Упаковка                   - ссылка на упаковку.
//  Серия          - ОпределяемыйТип.СерияНоменклатуры          - ссылка на серию номенклатуры.
Процедура ЗаполнитьПредставлениеНоменклатуры(Представление, Номенклатура, Характеристика, Упаковка, Серия) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияИСПереопределяемый.ЗаполнитьПредставлениеНоменклатуры(Представление, Номенклатура, Характеристика, Упаковка, Серия) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
