---
title: Общего назначения клиент локализация
slug: erp-uh/общего-назначения-клиент-локализация
---


## ПередНачаломРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется перед интерактивным началом работы пользователя с областью данных или в локальном режиме.
// Соответствует обработчику ПередНачаломРаботыСистемы.
//
// см. ОбщегоНазначенияКлиентПереопределяемый.ПередНачаломРаботыСистемы
//
Процедура ПередНачаломРаботыСистемы(Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентЛокализация.ПередНачаломРаботыСистемы(Параметры) 
```
</details>

## ПриНачалеРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется при интерактивном начале работы пользователя с областью данных или в локальном режиме.
// Соответствует обработчику ПриНачалеРаботыСистемы.
//
// см. ОбщегоНазначенияКлиентПереопределяемый.ПриНачалеРаботыСистемы
//
Процедура ПриНачалеРаботыСистемы(Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентЛокализация.ПриНачалеРаботыСистемы(Параметры) 
```
</details>

## ПослеНачалаРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется при интерактивном начале работы пользователя с областью данных или в локальном режиме.
//
// см. ОбщегоНазначенияКлиентПереопределяемый.ПослеНачалаРаботыСистемы
//
Процедура ПослеНачалаРаботыСистемы() Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентЛокализация.ПослеНачалаРаботыСистемы() 
```
</details>

## ПередПериодическойОтправкойДанныхКлиентаНаСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОбщегоНазначенияКлиентПереопределяемый.ПередПериодическойОтправкойДанныхКлиентаНаСервер
Процедура ПередПериодическойОтправкойДанныхКлиентаНаСервер(Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентЛокализация.ПередПериодическойОтправкойДанныхКлиентаНаСервер(Параметры) 
```
</details>

## ПослеПериодическогоПолученияДанныхКлиентаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОбщегоНазначенияКлиентПереопределяемый.ПослеПериодическогоПолученияДанныхКлиентаНаСервере
Процедура ПослеПериодическогоПолученияДанныхКлиентаНаСервере(Результаты) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентЛокализация.ПослеПериодическогоПолученияДанныхКлиентаНаСервере(Результаты) 
```
</details>

## ДобавитьПоискНаИТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в результаты глобального поиска поиск на ИТС
//
// Параметры:
//  СтрокаПоиска - Строка - Строка поиска
//  РезультатПоиска - РезультатГлобальногоПоиска - Результаты глобального поиска
//
Процедура ДобавитьПоискНаИТС(СтрокаПоиска, РезультатПоиска) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентЛокализация.ДобавитьПоискНаИТС(СтрокаПоиска, РезультатПоиска) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
