---
title: Общего назначения клиент сервер УХ
slug: erp-uh/общего-назначения-клиент-сервер-ух
---


## ВернутьАлфавитноЦифровоеПредставление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С КОДАМИ ЭЛЕМЕНТОВ СПРАВОЧНИКОВ.

// Функция заменяет все не алфавитноцифровые символы на знак подчеркивания.
// Параметры
//  Код            - Строка, Значение кода, которое необходимо преобразовать.
// Возвращаемое значение
//  Строка, преобразованное значение кода.
//
Функция ВернутьАлфавитноЦифровоеПредставление(Код, РазрешитьЦифрыВНачале = Ложь, РазрешитьСлужебныеСимволы = Ложь, ЗаменятьНеправильные=Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ВернутьАлфавитноЦифровоеПредставление(Код, РазрешитьЦифрыВНачале, РазрешитьСлужебныеСимволы, ЗаменятьНеправильные);
```
</details>

## РусАнгАлфавитВспомогательныеСимволы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет что символ принадлежит множеству [A-Z|А-Я|_|0-9]
//
Функция РусАнгАлфавитВспомогательныеСимволы(Символ) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.РусАнгАлфавитВспомогательныеСимволы(Символ) 
```
</details>

## УстановитьНовоеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


/////////////////////////////////////////////////////////////////

// Процедура проверяет переданный параметр, если он не соответствует значению,
// то присваивает ему указанное значение.
//
// Параметры:
//  Параметр - параметр, значение которого проверяется и заполняется.
//  Значение - значение для заполнения пустого параметра.
//
Процедура УстановитьНовоеЗначение(Параметр, Значение, ЕстьИзменения = Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.УстановитьНовоеЗначение(Параметр, Значение, ЕстьИзменения);
```
</details>

## ЗаполнитьЗначенияОтличающихсяСвойств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗначенияОтличающихсяСвойств(Приемник, Источник, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ЗаполнитьЗначенияОтличающихсяСвойств(Приемник, Источник, );
```
</details>

## ИменаСвойствОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИменаСвойствОбъекта(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ИменаСвойствОбъекта(Объект) 
```
</details>

## ИменаСвойствСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИменаСвойствСтруктуры(Структура) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ИменаСвойствСтруктуры(Структура) 
```
</details>

## ИменаСвойствСтрокиТаблицыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИменаСвойствСтрокиТаблицыЗначений(СтрокаТаблицыЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ИменаСвойствСтрокиТаблицыЗначений(СтрокаТаблицыЗначений) 
```
</details>

## ДополнитьТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет таблицу значений-приемник данными из таблицы значений-источник
//
// Параметры:
//  ТаблицаИсточник - Таблица значений - таблица из которой будут браться строки для заполнения
//  ТаблицаПриемник - Таблица значений - таблица в которую будут добавлены строки из таблицы-источника
//
Процедура ДополнитьТаблицу(ТаблицаИсточник, ТаблицаПриемник) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ДополнитьТаблицу(ТаблицаИсточник, ТаблицаПриемник) 
```
</details>

## ДобавитьЗначениеВКоллекцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗначениеВКоллекцию(Значение,КоллекцияЗначений) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ДобавитьЗначениеВКоллекцию(Значение, КоллекцияЗначений) 
```
</details>

## ПолучитьИмяВременногоФайлаУниверсально
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяВременногоФайлаУниверсально(Расширение = ".tmp") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьИмяВременногоФайлаУниверсально(Расширение);
```
</details>

## РазностьДатВДнях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает разность в днях между "ДатаУменьшаемое" и "ДатаВычитаемое"
//
Функция РазностьДатВДнях(Знач ДатаУменьшаемое, Знач ДатаВычитаемое) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.РазностьДатВДнях(ДатаУменьшаемое, ДатаВычитаемое) 
```
</details>

## ПолучитьКореньОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает самую первую ошибку из информации об ошибке.
//
// Параметры:
//  ИнформацияОбОшибке	 - ИнформацияОбОшибке.
//
// Возвращаемое значение:
//   - ИнформацияОбОшибке
//
Функция ПолучитьКореньОшибки(Знач ИнформацияОбОшибке) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьКореньОшибки(ИнформацияОбОшибке) 
```
</details>

## МножественныйПоискПоДеревуЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура МножественныйПоискПоДеревуЗначений(МассивНайденныхСтрок, ДеревоЗначений, СтруктураПоиска, ТолькоТекущийУровень = Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.МножественныйПоискПоДеревуЗначений(МассивНайденныхСтрок, ДеревоЗначений, СтруктураПоиска, ТолькоТекущийУровень);
```
</details>

## СравнитьЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СравнитьЗначения(СравниваемоеЗначение, ЗначениеСравнения) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.СравнитьЗначения(СравниваемоеЗначение, ЗначениеСравнения));
```
</details>

## СообщитьПользователю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и выводит сообщение, которое может быть связано с элементом
// управления формы.
//
//	Параметры
//	ТекстСообщенияПользователю	- Строка - текст сообщения.
//	ОбъектИлиСсылка				- Ссылка на объект ИБ или объект
//	Поле						- Строка - наименование реквизита формы
//	ПутьКДанным					- Строка - путь к данным (путь к реквизиту формы)
//	Отказ						- Булево - Выходной параметр.
//                                Устанавливается в этой процедуре в значение Истина.
//
//	Примеры использования:
//	1. Для вывода сообщения у поля управляемой формы, связанного с реквизитом объекта:
//	ОбщегоНазначенияКлиентСервер.СообщитьПользователю(
//		НСтр("ru = 'Сообщение об ошибке.'"), ,
//		"ПолеВРеквизитеФормыОбъект",
//		"Объект");
//
//	Альтернативный вариант использования в форме объекта:
//	ОбщегоНазначенияКлиентСервер.СообщитьПользователю(
//		НСтр("ru = 'Сообщение об ошибке.'"), ,
//		"Объект.ПолеВРеквизитеФормыОбъект");
//
//	2. Для вывода сообщения рядом с полем управляемой формы, связанным с реквизитом формы:
//	ОбщегоНазначенияКлиентСервер.СообщитьПользователю(
//		НСтр("ru = 'Сообщение об ошибке.'"), ,
//		"ИмяРеквизитаФормы");
//
//	3. Для вывода сообщения из кода на сервере:
//	ОбщегоНазначенияКлиентСервер.СообщитьПользователю(
//		НСтр("ru = 'Сообщение об ошибке.'"),СсылкаНаОбъект,,,Отказ);
//
Процедура СообщитьПользователю(	Знач ТекстСообщенияПользователю, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.СообщитьПользователю(ТекстСообщенияПользователю, );
```
</details>

## ПоместитьТаблицуЗначенийВКоллекциюФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоместитьТаблицуЗначенийВКоллекциюФормы(ТаблицаЗначений,КоллекцияФормы) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ПоместитьТаблицуЗначенийВКоллекциюФормы(ТаблицаЗначений, КоллекцияФормы) 
```
</details>

## ПоместитьДеревоЗначенийВКоллекциюФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоместитьДеревоЗначенийВКоллекциюФормы(ДеревоЗначений,КоллекцияФормы) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ПоместитьДеревоЗначенийВКоллекциюФормы(ДеревоЗначений, КоллекцияФормы) 
```
</details>

## НаименованиеПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование объекта по его коду.
// Пример: "ОсновныеСредства" => "Основные средства".
//
Функция НаименованиеПоКоду(Знач Код) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.НаименованиеПоКоду(Код) 
```
</details>

## ПолучитьКлючПоНаименованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКлючПоНаименованию(Наименование) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьКлючПоНаименованию(Наименование) 
```
</details>

## НайтиСтрокуДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиСтрокуДерева(КоллекцияЭлементов,Значение,ИмяКолонки) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.НайтиСтрокуДерева(КоллекцияЭлементов, Значение, ИмяКолонки) 
```
</details>

## УстановитьЭлементОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для создания элемента отбора или, если таковой не найден,
// установления существующим элементам свойств
// Параметры
// ОбластьПоискаДобавления - контейнер с элементами и группами отбора, например
//					Список.Отбор
//					или группа в отборе
// ИмяПоля - строка - имя для поля компоновки данных (заполняется всегда)
// Устанавливаемые поля:
// ВидСравнения - ВидСравненияКомпоновкиДанных - вид сравнения
// ПравоеЗначение - произвольный
// Представление - представление элемента компоновки данных
// Использование - булево - использование элемента
//
Процедура УстановитьЭлементОтбора(ОбластьПоискаДобавления, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.УстановитьЭлементОтбора(ОбластьПоискаДобавления, );
```
</details>

## НайтиЭлементыИГруппыОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск элементов и групп отбора динамического списка
// Параметры:
// ОбластьПоиска - контейнер с элементами и группами отбора, например
//					Список.Отбор
//					или группа в отборе
// ИмяПоля - имя поля компоновки (не используется для групп)
// Представление - представление поля компоновки
// Примечание: поиск может осуществляться или по ЛевомуЗначению, или по Представлению
//
Функция НайтиЭлементыИГруппыОтбора(знач ОбластьПоиска, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.НайтиЭлементыИГруппыОтбора(знач ОбластьПоиска, );
```
</details>

## ДобавитьЭлементКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавление элемента компоновки в контейнер элементов компоновки
// Параметры:
// ОбластьДобавления - контейнер с элементами и группами отбора, например
//					Список.Отбор
//					или группа в отборе
// ИмяПоля - строка - имя для поля компоновки данных
// ВидСравнения - ВидСравненияКомпоновкиДанных - вид сравнения
// ПравоеЗначение - произвольный
// Представление - представление элемента компоновки данных
// Использование - булево - использование элемента
//
Функция ДобавитьЭлементКомпоновки(ОбластьДобавления, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ДобавитьЭлементКомпоновки(ОбластьДобавления, );
```
</details>

## ДобавитьПодчиненныеЭлементыКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПодчиненныеЭлементыКоллекции(СтрокаДерева,СтрокаКоллекции) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ДобавитьПодчиненныеЭлементыКоллекции(СтрокаДерева, СтрокаКоллекции));
```
</details>

## ИзменитьЭлементыОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменение элементов отбора
// Параметры
// ИмяПоля - строка - имя поля компоновки
// ВидСравнения - ВидСравненияКомпоновкиДанных - вид сравнения
// ПравоеЗначение - произвольный
// Представление - строка - представление элемента компоновки данных
//
Функция ИзменитьЭлементыОтбора(ОбластьПоиска, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ИзменитьЭлементыОтбора(ОбластьПоиска, );
```
</details>

## НайтиРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиРекурсивно(КоллекцияЭлементов, МассивЭлементов, СпособПоиска, ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.НайтиРекурсивно(КоллекцияЭлементов, МассивЭлементов, СпособПоиска, ЗначениеПоиска));
```
</details>

## ВыполнитьПоискИсключенийВхожденияСимволов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьПоискИсключенийВхожденияСимволов(ОбследуемаяСтрока, ДопустимыеСимволы) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ВыполнитьПоискИсключенийВхожденияСимволов(ОбследуемаяСтрока, ДопустимыеСимволы));
```
</details>

## ПолучитьНовыйКлючКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНовыйКлючКоллекции(Коллекция, ИмяКолонки = "КлючСтроки", СтатусУстановки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьНовыйКлючКоллекции(Коллекция, ИмяКолонки, СтатусУстановки);
```
</details>

## УстановитьИзЗаполненногоЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьИзЗаполненногоЗначение(Параметр, Значение) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.УстановитьИзЗаполненногоЗначение(Параметр, Значение) 
```
</details>

## ПолучитьОписаниеПримитивногоТипаИзСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С ТИПАМИ

Функция ПолучитьОписаниеПримитивногоТипаИзСтроки(МассивТиповВИБ) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьОписаниеПримитивногоТипаИзСтроки(МассивТиповВИБ) 
```
</details>

## ПримитивныйТипСтрока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, определяющая примитивность переданного типа
//
Функция ПримитивныйТипСтрока(СтрокаТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПримитивныйТипСтрока(СтрокаТип) 
```
</details>

## ПустоеЗначениеТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для получения пустого значения заданного типа:
//	примитивного, или ссылочного. Используется
//
// Параметры:
//	ЗаданныйТип   - тип, пустое значение которого нужно получить
//
Функция ПустоеЗначениеТипа(ЗаданныйТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПустоеЗначениеТипа(ЗаданныйТип) 
```
</details>

## ПолучитьРеквизитФормыПоПути
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение реквизита формы.
// Параметры:
//		Форма
//		ПутьРеквизита - строка, путь к данным, например: "Объект.МесяцНачисления".
Функция ПолучитьРеквизитФормыПоПути(Форма, ПутьРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьРеквизитФормыПоПути(Форма, ПутьРеквизита) 
```
</details>

## НовыйУникальныйИдентификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новый УникальныйИдентификатор. Предназначена для вызова из СКД.
Функция НовыйУникальныйИдентификатор() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.НовыйУникальныйИдентификатор() 
```
</details>

## ПустойУникальныйИдентификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустой уникальный идентфикатор.
//
// Возвращаемое значение:
//  УникальныйИдентификатор - уникальный идентификатор.
//
Функция ПустойУникальныйИдентификатор() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПустойУникальныйИдентификатор() 
```
</details>

## СвойствоСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение свойства структуры.
//
// Параметры:
//   Структура - Структура, ФиксированнаяСтруктура - Объект, из которого необходимо прочитать значение ключа.
//   Ключ - Строка - Имя свойства структуры, для которого необходимо прочитать значение.
//   ЗначениеПоУмолчанию - Произвольный - Необязательный. Возвращается когда в структуре нет значения по указанному
//                                        ключу.
//       Для скорости рекомендуется передавать только быстро вычисляемые значения (например примитивные типы),
//       а инициализацию более тяжелых значений выполнять после проверки полученного значения (только если это
//       требуется).
//
// Возвращаемое значение:
//   Произвольный - Значение свойства структуры. ЗначениеПоУмолчанию если в структуре нет указанного свойства.
//
Функция СвойствоСтруктуры(Структура, Ключ, ЗначениеПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.СвойствоСтруктуры(Структура, Ключ, ЗначениеПоУмолчанию);
```
</details>

## ЗначениеВМассиве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает массив и помещает в него переданное значение.
Функция ЗначениеВМассиве(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ЗначениеВМассиве(Значение) 
```
</details>

## МассивВСоответствие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает соответствие и помещает в него в качестве ключей значения
// из массива. Значения элементров соотвествия устанавливаются
// из аргумента ЗначениеСоответствие.
//
Функция МассивВСоответствие(МассивИсточник, ЗначениеСоответствия=Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.МассивВСоответствие(МассивИсточник, ЗначениеСоответствия);
```
</details>

## КлючиСоответствияВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает массив из ключей соответствия.
//
// Параметры:
//  Соответствие - Соответствие - источник данных.
//
// Возвращаемое значение:
//   - Массив.
//
Функция КлючиСоответствияВМассив(Соответствие) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.КлючиСоответствияВМассив(Соответствие) 
```
</details>

## ВыгрузитьКолонкуКоллекцииВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает из коллекции указанную по имени колонку.
//  Необходима, т.к. на клиенте отсутствует стандартная функция.
//
// Параметры:
//  Коллекция	 - ДанныеФормыКоллекция - коллекция.
//  ИмяКолонки	 - Строка - имя колонки.
//
// Возвращаемое значение:
//   - Массив - значения колонки указанной коллекции.
//
Функция ВыгрузитьКолонкуКоллекцииВМассив(Коллекция, ИмяКолонки) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ВыгрузитьКолонкуКоллекцииВМассив(Коллекция, ИмяКолонки) 
```
</details>

## ЗаменитьУдалитьПараметрВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаменитьУдалитьПараметрВыбора(Элемент, Имя, НовыйПараметрВыбора = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ЗаменитьУдалитьПараметрВыбора(Элемент, Имя, НовыйПараметрВыбора);
```
</details>

## Округлить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Округляет число до заданной точности по указанному правилу (перенесено из ЗарплатаКадрыКлиентСервер).
//
// Параметры:
//  Число                   - число, число которое необходимо округлить.
//  Точность        		- число, "базис" до которого нужно округлить заданное число.
//  Правило 				- булево, Истина - в большую сторону, Ложь - в меньшую, Неопределено/В остальных случаях - по правилу арифметики
//
// Возвращаемое значение:
// Число - округленное до заданной точности значение.
//
Функция Округлить(Число, Точность = 0, Правило = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.Округлить(Число, Точность, Правило);
```
</details>

## МаксимальныйИнтервалПроверкиНапоминаний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает максимальный интервал (в секундах) проверки напоминаний.
Функция МаксимальныйИнтервалПроверкиНапоминаний() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.МаксимальныйИнтервалПроверкиНапоминаний() 
```
</details>

## СвернутьСписокЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию списка значений СписокВход, где удалены все
//неуникальные значения. ВАЖНО! Будут потеряны представления элементов.
Функция СвернутьСписокЗначений(СписокВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.СвернутьСписокЗначений(СписокВход) 
```
</details>

## ОтфильтроватьСвойстваСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить строку имен свойств структуры отфильтрованный по присутствии в свойствах структуры.
// Параметры:
//	ОбъектСтруктура - Структура.
//	ИменаСвойств - Строка. Имена свойств разделенные запятыми. Пробелы не учитываются.
// Возвращает:
//	Строка - имена свойств присутствующие в ИменаСвойств и принадлежащие структуре ОбъектСтруктура.
//
Функция ОтфильтроватьСвойстваСтруктуры(ОбъектСтруктура, Знач ИменаСвойств) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ОтфильтроватьСвойстваСтруктуры(ОбъектСтруктура, ИменаСвойств) 
```
</details>

## ЗаполнитьЗначенияСвойствИзСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка для функции ЗаполнитьЗначенияСвойств.
// При исключении свойств, не выдает ошибку, если свойство отсутствует в СтруктураИсточник.
Процедура ЗаполнитьЗначенияСвойствИзСтруктуры(Приемник, СтруктураИсточник, Знач СписокСвойств, Знач ИсключаяСвойства) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ЗаполнитьЗначенияСвойствИзСтруктуры(Приемник, СтруктураИсточник, СписокСвойств, ИсключаяСвойства)  
```
</details>

## ЗаполнитьНеЗаполненныеСвойства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет свойства переданного объекта из структуры, если они не заполнены
//
// Параметры:
//  Объект				 - Произвольный	 - любой объект, свойства которого требуется заполнить
//  ЗначенияРеквизитов	 - Структура 	 - структура: Ключ - имя реквизита объекта, Значение - значение реквизита объекта
//
Процедура ЗаполнитьНеЗаполненныеСвойства(Объект, ЗначенияРеквизитов) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ЗаполнитьНеЗаполненныеСвойства(Объект, ЗначенияРеквизитов) 
```
</details>

## ОчиститьСвойстваОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Устанавливает свойства объекта значениями по умолчанию для их типа
//
// Параметры:
//  Объект		 - ДокументОбъект, Структура и т.п. - объект свойства которого очищаются
//  ИменаСвойств - Строка - имена свойств объекта через запятую
//
Процедура ОчиститьСвойстваОбъекта(Объект, ИменаСвойств) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ОчиститьСвойстваОбъекта(Объект, ИменаСвойств) 
```
</details>

## ПустоеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает пустое значение переданного типа
//
// Параметры:
//  ТипЗначения	 - Тип - тип значения
//
// Возвращаемое значение:
//   - пустое значение
//
Функция ПустоеЗначение(ТипЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПустоеЗначение(ТипЗначения) 
```
</details>

## УдалитьПустыеЭлементыМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию массива МассивВход, из которого удалены
// незаполненные элементы.
Функция УдалитьПустыеЭлементыМассива(МассивВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.УдалитьПустыеЭлементыМассива(МассивВход) 
```
</details>

## СортироватьМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию массива МассивВход, отсортированному по возрастанию/убыванию
// в зависимости от параметра ПоВозрастаниюВход.
Функция СортироватьМассив(МассивВход, ПоВозрастаниюВход = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.СортироватьМассив(МассивВход, ПоВозрастаниюВход);
```
</details>

## ПолучитьОбратныйМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новый массив заполненный элементами идущими
// в обратном направлении по отношению к исходному.
// Параметры:
//	М - Массив, ФиксированныйМассив - для получения обратного.
// Возвращает:
//	Массив - массив в котором все элементы идут в порядке, противоположному
//		порядку из исходного массива М.
//
Функция ПолучитьОбратныйМассив(М) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьОбратныйМассив(М) 
```
</details>

## ПолучитьИндексыПутиКЭлементуВДеревеЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив заполненный индексами в ДеревоЗначений всех родителей
// и самого элемента ДанныеФормыДерево.
//
// Параметры:
//	ДеревоФормы - ДанныеФормыДерево - дерево формы для получения индекса
//		верхнего элемента. Если передать Неопределено, то после
//		нахождения сАмого родительского элемента, не будет
//		искать его индекс в корневых элементах дерева.
//	ЭлементДереваФормы - ДанныеФормыЭлементДерева - элемент для которого
//		необходимо получить путь.
// Возвращает:
//	Массив(Число) - индексы элементов в ДеревоЗначений от родителей к детям.
//
Функция ПолучитьИндексыПутиКЭлементуВДеревеЗначений(ДеревоФормы, ЭлементДереваФормы) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьИндексыПутиКЭлементуВДеревеЗначений(ДеревоФормы, ЭлементДереваФормы) 
```
</details>

## ПолучитьЭлементДереваФормыПоИндексам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ДанныеФормыЭлементДерева в указанном ДанныеФормыДерево.
//  Поиск осуществляется по индексам из массива. От самого верхнего
//  родителя к самому элементу.
//
// Параметры:
//  ДеревоФормы - ДанныеФормыДерево - реквизит формы дерево для поиска в нем.
//  мИндексы - Массив(Число) - массив индексов.
//
// Возвращаемое значение:
//	ДанныеФормыЭлементДерева - если найден элемент.
//	Неопределено - элемент дерева не найден.
//
Функция ПолучитьЭлементДереваФормыПоИндексам(ДеревоФормы, мИндексы) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьЭлементДереваФормыПоИндексам(ДеревоФормы, мИндексы) 
```
</details>

## УстановитьЗначениеПоляКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить значение в указанных строке и колонке ДанныеФормыКоллекция.
//
// Параметры:
//  ОбъектКоллекции - ДанныеФормыКоллекция - объект у которого нужно установить значение.
//  ИмяКолонки - Строка - имя колонки в коллекции.
//  ТекущаяСтрока - Число - идентификатор строки коллекции.
//  Значение - Произвольный - значение, которое будет записано в ячейку.
//
Процедура УстановитьЗначениеПоляКоллекции(ОбъектКоллекции, ИмяКолонки, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.УстановитьЗначениеПоляКоллекции(ОбъектКоллекции, ИмяКолонки, );
```
</details>

## ПолучитьЗначениеПоляКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить значение в указанной строке и колонке ДанныеФормыКоллекция.
//
// Параметры:
//  ОбъектКоллекции - ДанныеФормыКоллекция - коллекция из которой читаем значение.
//  ИмяКолонки - Строка - имя колонки в коллекции.
//  ТекущаяСтрока - Число - идентификатор строки коллекции.
//
Функция ПолучитьЗначениеПоляКоллекции(ОбъектКоллекции, ИмяКолонки, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьЗначениеПоляКоллекции(ОбъектКоллекции, ИмяКолонки, );
```
</details>

## ДополнитьСтрокиДереваФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить структуру, описывающую строку аналитики источника данных.
//
// Параметры:
//  СтрокаДереваФормы - ДанныеФормыДерево, ДанныеФормыЭлементДерева - дерево
//		или строка в которую нужно добавить строки.
//  СтрокиКДобавлению - Массив(Структура) - массив структур описывающих
//		строки, которые нужно добавить. Реквизиты структуры должны
//		соответствовать колонкам дерева. Если необходимо добавлять
//		подчиненные строки, то у структуры должен быть реквизит
//		СтрокиКДобавлению.
//
Процедура ДополнитьСтрокиДереваФормы(СтрокаДереваФормы, СтрокиКДобавлению) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ДополнитьСтрокиДереваФормы(СтрокаДереваФормы, СтрокиКДобавлению) 
```
</details>

## ДобавитьВСписокИзСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет все значение из списка значений Источник
//  в список значений Приемник.
//
// Параметры:
//  Приемник - СписокЗначений - список в который обаляем значения.
//  Источник - СписокЗначений - список из которого берутся значения.
//
// Возвращаемое значение:
//   - СписокЗначение - ссылка на Приемник.
//
Функция ДобавитьВСписокИзСписка(Приемник, Источник) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ДобавитьВСписокИзСписка(Приемник, Источник) 
```
</details>

## МинимумВМассиве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает минимальное значение в массиве. Когда массив пустой, либо возникла
// ошибка - будет возвращено ЗначениеПоУмолчаниюВход.
Функция МинимумВМассиве(МассивВход, ЗначениеПоУмолчаниюВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.МинимумВМассиве(МассивВход, ЗначениеПоУмолчаниюВход);
```
</details>

## МаксимумВМассиве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает максимальное значение в массиве. Когда массив пустой, либо возникла
// ошибка - будет возвращено ЗначениеПоУмолчаниюВход.
Функция МаксимумВМассиве(МассивВход, ЗначениеПоУмолчаниюВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.МаксимумВМассиве(МассивВход, ЗначениеПоУмолчаниюВход);
```
</details>

## ПроизведениеВМассиве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает произведение значение в массиве. Когда массив пустой, либо возникла
// ошибка - будет возвращено ЗначениеПоУмолчаниюВход.
Функция ПроизведениеВМассиве(МассивВход, ЗначениеПоУмолчаниюВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПроизведениеВМассиве(МассивВход, ЗначениеПоУмолчаниюВход);
```
</details>

## СуммаЭлементовКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СуммаЭлементовКоллекции(Коллекция, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.СуммаЭлементовКоллекции(Коллекция, ИмяРеквизита) 
```
</details>

## НайтиЭлементКоллекцииПоЗначениюРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиЭлементКоллекцииПоЗначениюРеквизита(Коллекция, ИмяРеквизита, ЗначениеРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.НайтиЭлементКоллекцииПоЗначениюРеквизита(Коллекция, ИмяРеквизита, ЗначениеРеквизита) 
```
</details>

## СреднееАрифметическоеВМассиве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает произведение значение в массиве. Когда массив пустой, либо возникла
// ошибка - будет возвращено ЗначениеПоУмолчаниюВход.
Функция СреднееАрифметическоеВМассиве(МассивВход, ЗначениеПоУмолчаниюВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.СреднееАрифметическоеВМассиве(МассивВход, ЗначениеПоУмолчаниюВход);
```
</details>

## УстановитьАвтоОтметкуЗаполненияЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура корректно снимает АвтоОтметкуНезаполненного для элемента формы
Процедура УстановитьАвтоОтметкуЗаполненияЭлемента(Элемент, ОбязательноеЗаполнение) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.УстановитьАвтоОтметкуЗаполненияЭлемента(Элемент, ОбязательноеЗаполнение) 
```
</details>

## СтруктурыРавны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет равенство реквизитов двух структур.
//  Проверка идентичности наборов реквизитов не производится.
//
// Параметры:
//  СтруктураИсходная - Структура - первая структура для сравнения.
//									Из нее берутся имена полей.
//  СтруктураИзмененная - Структура - вторая структура для сравнения.
//
// Возвращаемое значение:
//   - Булево - Истина - если все реквизиты СтруктураИсходная равны
//						 реквизитам СтруктураИзмененная.
//				Ложь - если реквизиты различны.
//
Функция СтруктурыРавны(СтруктураИсходная, СтруктураИзмененная) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.СтруктурыРавны(СтруктураИсходная, СтруктураИзмененная) 
```
</details>

## ПолучитьФормуПоЭлементу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для переданного элемента формы возвращает саму форму.
// В случае ошибки, возвращает Неопределено.
//
Функция ПолучитьФормуПоЭлементу(ЭлементФормы) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьФормуПоЭлементу(ЭлементФормы) 
```
</details>

## ПреобразоватьКодВУникальный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует код КодВход в уникальный среди кодов МассивКодовВход
// с максимлаьной длиной ДлинаКодаСтрокиВход.
Функция ПреобразоватьКодВУникальный(КодВход, МассивКодовВход, ДлинаКодаСтрокиВход, БезУчетаРегистра = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПреобразоватьКодВУникальный(КодВход, МассивКодовВход, ДлинаКодаСтрокиВход, БезУчетаРегистра);
```
</details>

## УдалитьЭлементСписокаЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию списка значений СписокВход, в которой удален элемент со значением
// ЗначениеЭлементаВход.
Функция УдалитьЭлементСписокаЗначений(СписокВход, ЗначениеЭлементаВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.УдалитьЭлементСписокаЗначений(СписокВход, ЗначениеЭлементаВход) 
```
</details>

## РасчетныеПоказателиЯчеек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка над служебным интерфейсом БСП.
// Рассчитывает показатели числовых ячеек в табличном документе.
//
// Параметры:
//   ПараметрыРасчета - структура - см. также ОбщегоНазначенияСлужебныйКлиент.ПараметрыРасчетаПоказателейЯчеек.
//
// Возвращаемое значение:
//   Структура - результаты расчета выделенных ячеек.
//       * Количество         - Число - Количество выделенных ячеек.
//       * КоличествоЧисловых - Число - Количество числовых ячеек.
//       * Сумма      - Число - Сумма выделенных ячеек с числами.
//       * Среднее    - Число - Сумма выделенных ячеек с числами.
//       * Минимум    - Число - Сумма выделенных ячеек с числами.
//       * Максимум   - Число - Максимум выделенных ячеек с числами.
//
Функция РасчетныеПоказателиЯчеек(ТабличныйДокумент, ВыделенныеОбласти) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.РасчетныеПоказателиЯчеек(ТабличныйДокумент, ВыделенныеОбласти) 
```
</details>

## ЗаполнитьМассивИзТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьМассивИзТаблицы(Массив, Таблица, ИмяПоля) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ЗаполнитьМассивИзТаблицы(Массив, Таблица, ИмяПоля) 
```
</details>

## ЗаполнитьТаблицуИзМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТаблицуИзМассива(Таблица, Массив, ИмяПоля) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияКлиентСерверУХ.ЗаполнитьТаблицуИзМассива(Таблица, Массив, ИмяПоля) 
```
</details>

## ЭтоЧисло
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоЧисло(Знач ПроверяемоеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ЭтоЧисло(ПроверяемоеЗначение) 
```
</details>

## ПолучитьОписаниеТиповДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция описание типа договора.
//
// Параметры:
//	ЗначениеКонтрагента - СправочникСсылка.Контрагенты, СправочникСсылка.Организации, Неопределено -
//		Ссылка для определения типа контрагента, договоры которого необходимо получить.
//
// Возвращаемое значение:
//	ОписаниеТипов - Описание типов справочник, содержащих договоры.
//
Функция ПолучитьОписаниеТиповДоговора() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияКлиентСерверУХ.ПолучитьОписаниеТиповДоговора() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
