---
title: Общего назначения локализация
slug: erp-uh/общего-назначения-локализация
---


## ПриДобавленииИсключенийПоискаСсылок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты метаданных и отдельные реквизиты, которые исключаются из результатов поиска ссылок,
// не учитываются при монопольном удалении помеченных, замене ссылок и в отчете по местам использования.
//
// См. ОбщегоНазначенияПереопределяемый.ПриДобавленииИсключенийПоискаСсылок
//
Процедура ПриДобавленииИсключенийПоискаСсылок(ИсключенияПоискаСсылок) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПриДобавленииИсключенийПоискаСсылок(ИсключенияПоискаСсылок) 
```
</details>

## ПриДобавленииОбработчиковУстановкиПараметровСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет соответствие имен параметров сеанса и обработчиков для их установки.
//
// В указанных модулях должна быть размещена процедура обработчика, в которую передаются параметры
//  ИмяПараметра           - Строка - имя параметра сеанса, который требуется установить.
//  УстановленныеПараметры - Массив - имена параметров, которые уже установлены.
//
// Далее пример процедуры обработчика для копирования в указанные модули.
//
// См. ОбщегоНазначенияПереопределяемый.ПриДобавленииОбработчиковУстановкиПараметровСеанса.
//
Процедура ПриДобавленииОбработчиковУстановкиПараметровСеанса(Обработчики) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПриДобавленииОбработчиковУстановкиПараметровСеанса(Обработчики) 
```
</details>

## ПриДобавленииПараметровРаботыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет задать значения параметров, необходимых для работы клиентского кода
// конфигурации без дополнительных серверных вызовов.
//
// см. ОбщегоНазначенияПереопределяемый.ПриДобавленииПараметровРаботыКлиента
//
Процедура ПриДобавленииПараметровРаботыКлиента(Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПриДобавленииПараметровРаботыКлиента(Параметры) 
```
</details>

## ПередЗапускомПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОбщегоНазначенияПереопределяемый.ПередЗапускомПрограммы
Процедура ПередЗапускомПрограммы() Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПередЗапускомПрограммы() 
```
</details>

## ПриДобавленииПараметровРаботыКлиентаПриЗапуске
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет задать значения параметров, необходимых для работы клиентского кода
// при запуске конфигурации (в обработчиках событий ПередНачаломРаботыСистемы и ПриНачалеРаботыСистемы)
// без дополнительных серверных вызовов.
//
// см. ОбщегоНазначенияПереопределяемый.ПриДобавленииПараметровРаботыКлиентаПриЗапуске
//
Процедура ПриДобавленииПараметровРаботыКлиентаПриЗапуске(Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПриДобавленииПараметровРаботыКлиентаПриЗапуске(Параметры) 
```
</details>

## ПриДобавленииПереименованийОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при обновлении информационной базы для учета переименований подсистем и ролей в конфигурации.
//
// см. ОбщегоНазначенияПереопределяемый.ПриДобавленииПереименованийОбъектовМетаданных
//
Процедура ПриДобавленииПереименованийОбъектовМетаданных(Итог) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПриДобавленииПереименованийОбъектовМетаданных(Итог) 
```
</details>

## ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список версий программных интерфейсов, доступных через web-сервис InterfaceVersion.
//
// См. ОбщегоНазначенияПереопределяемый.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов
//
Процедура ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(ПоддерживаемыеВерсии) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(ПоддерживаемыеВерсии) 
```
</details>

## ПриДобавленииСерверныхОповещений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияПереопределяемый.ПриДобавленииСерверныхОповещений
Процедура ПриДобавленииСерверныхОповещений(Оповещения) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПриДобавленииСерверныхОповещений(Оповещения) 
```
</details>

## ПриПериодическомПолученииДанныхКлиентаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//см. ОбщегоНазначенияПереопределяемый.ПриПериодическомПолученииДанныхКлиентаНаСервере
Процедура ПриПериодическомПолученииДанныхКлиентаНаСервере(Параметры, Результаты) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПриПериодическомПолученииДанныхКлиентаНаСервере(Параметры, Результаты) 
```
</details>

## ПараметрыРаботыКлиентаПриЗапуске
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОбщегоНазначенияПереопределяемый.ПриДобавленииПараметровРаботыКлиентаПриЗапуске
//
Процедура ПараметрыРаботыКлиентаПриЗапуске(Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПараметрыРаботыКлиентаПриЗапуске(Параметры) 
```
</details>

## ПараметрыРаботыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ОбщегоНазначенияПереопределяемый.ПриДобавленииПараметровРаботыКлиента
//
Процедура ПараметрыРаботыКлиента(Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЛокализация.ПараметрыРаботыКлиента(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
