---
title: Общего назначения повт исп
slug: erp-uh/общего-назначения-повт-исп
---


## ЭтоРазделеннаяКонфигурация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать РаботаВМоделиСервиса.ЭтоРазделеннаяКонфигурация.
// Возвращает признак наличия в конфигурации общих реквизитов-разделителей.
//
// Возвращаемое значение:
//   Булево - Истина, если это разделенная конфигурация.
//
Функция ЭтоРазделеннаяКонфигурация() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.ЭтоРазделеннаяКонфигурация() 
```
</details>

## РазделителиКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать РаботаВМоделиСервиса.РазделителиКонфигурации.
// Возвращает массив существующих в конфигурации разделителей.
//
// Возвращаемое значение:
//   ФиксированныйМассив - массив имен общих реквизитов, которые
//     являются разделителями.
//
Функция РазделителиКонфигурации() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.РазделителиКонфигурации() 
```
</details>

## СоставОбщегоРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать РаботаВМоделиСервиса.СоставОбщегоРеквизита.
// Возвращает состав общего реквизита с заданным именем.
//
// Параметры:
//   Имя - Строка - Имя общего реквизита.
//
// Возвращаемое значение:
//   СоставОбщегоРеквизита - список объектов метаданных, в которые входит общий реквизит.
//
Функция СоставОбщегоРеквизита(Знач Имя) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.СоставОбщегоРеквизита(Имя) 
```
</details>

## ЭтоРазделенныйОбъектМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать РаботаВМоделиСервиса.ЭтоРазделенныйОбъектМетаданных.
// Возвращает признак того, что объект метаданных используется в общих реквизитах-разделителях.
//
// Параметры:
//   ИмяОбъектаМетаданных - Строка - имя объекта,
//   Разделитель - Строка - имя общего реквизита-разделителя, на разделение которыми проверяется объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если это разделенный объект.
//
Функция ЭтоРазделенныйОбъектМетаданных(Знач ИмяОбъектаМетаданных, Знач Разделитель) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.ЭтоРазделенныйОбъектМетаданных(ИмяОбъектаМетаданных, Разделитель) 
```
</details>

## РазделительОсновныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать РаботаВМоделиСервиса.РазделительОсновныхДанных.
// Возвращает имя общего реквизита, который является разделителем основных данных.
//
// Возвращаемое значение:
//   Строка - имя общего реквизита.
//
Функция РазделительОсновныхДанных() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.РазделительОсновныхДанных() 
```
</details>

## РазделительВспомогательныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать РаботаВМоделиСервиса.РазделительВспомогательныхДанных.
// Возвращает имя общего реквизита, который является разделителем вспомогательных данных.
//
// Возвращаемое значение:
//   Строка - имя общего реквизита.
//
Функция РазделительВспомогательныхДанных() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.РазделительВспомогательныхДанных() 
```
</details>

## РазделениеВключено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать ОбщегоНазначения.РазделениеВключено.
// Возвращает признак работы в режиме разделения данных по областям
// (технически это признак условного разделения).
//
// Возвращает Ложь, если конфигурация не может работать в режиме разделения данных
// (не содержит общих реквизитов, предназначенных для разделения данных).
//
// Возвращаемое значение:
//  Булево - Истина, если разделение включено.
//         - Ложь,   если разделение выключено или не поддерживается.
//
Функция РазделениеВключено() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.РазделениеВключено() 
```
</details>

## ДоступноИспользованиеРазделенныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать ОбщегоНазначения.ДоступноИспользованиеРазделенныхДанных.
// Возвращает признак возможности обращения к разделенным данным (которые входят в состав разделителей).
// Признак относится к сеансу, но может меняться во время работы сеанса, если разделение было включено
// в самом сеансе, поэтому проверку следует делать непосредственно перед обращением к разделенным данным.
//
// Возвращает Истина, если конфигурация не может работать в режиме разделения данных
// (не содержит общих реквизитов, предназначенных для разделения данных).
//
// Возвращаемое значение:
//   Булево - Истина, если разделение не поддерживается, либо разделение выключено,
//                    либо разделение включено и разделители    установлены.
//          - Ложь,   если разделение включено и разделители не установлены.
//
Функция ДоступноИспользованиеРазделенныхДанных() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.ДоступноИспользованиеРазделенныхДанных() 
```
</details>

## ПолучитьПреобразованиеXSLИзОбщегоМакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Возвращает объект ПреобразованиеXSL созданный из общего макета с переданным
// именем.
//
// Параметры:
//   ИмяОбщегоМакета - Строка - имя общего макета типа ДвоичныеДанные содержащего
//     файл преобразования XSL.
//
// Возвращаемое значение:
//   ПреобразованиеXSL - объект ПреобразованиеXSL.
//
Функция ПолучитьПреобразованиеXSLИзОбщегоМакета(Знач ИмяОбщегоМакета) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.ПолучитьПреобразованиеXSLИзОбщегоМакета(ИмяОбщегоМакета) 
```
</details>

## СеансЗапущенБезРазделителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Необходимо использовать РаботаВМоделиСервиса.СеансЗапущенБезРазделителей.
// Определяет, сеанс запущен с разделителями или без.
//
// Возвращаемое значение:
//   Булево - Истина, если сеанс запущен без разделителей.
//
Функция СеансЗапущенБезРазделителей() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.СеансЗапущенБезРазделителей() 
```
</details>

## РежимРаботыПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Для получения нужных свойств следует использовать следующие функции:
//  свойство ЭтоАдминистраторСистемы   - Пользователи.ЭтоПолноправныйПользователь(, Истина);
//  свойство ЭтоАдминистраторПрограммы - Пользователи.ЭтоПолноправныйПользователь();
//  свойство МодельСервиса             - ОбщегоНазначение.РазделениеВключено();
//  свойство Автономный                - ОбщегоНазначение.ЭтоАвтономноеРабочееМесто();
//  свойство Локальный                 - Не Автономный И Не МодельСервиса;
//  свойство Файловый                  - ОбщегоНазначения.ИнформационнаяБазаФайловая();
//  свойство КлиентСерверный           - Не ОбщегоНазначения.ИнформационнаяБазаФайловая();
//  свойство ЛокальныйФайловый         - Локальный И Файловый (см. выше);
//  свойство ЛокальныйКлиентСерверный  - Локальный И КлиентСерверный (см. выше);
//  свойство ЭтоWindowsКлиент          - ОбщегоНазначенияКлиентСервер.ЭтоWindowsКлиент();
//  свойство ЭтоLinuxКлиент            - ОбщегоНазначенияКлиентСервер.ЭтоLinuxКлиент();
//  свойство ЭтоOSXКлиент              - ОбщегоНазначенияКлиентСервер.ЭтоOSXКлиент();
//  свойство ЭтоВебКлиент              - ОбщегоНазначенияКлиентСервер.ЭтоВебКлиент().
//
// Определяет текущий режим работы программы.
// Используется в панелях настроек программы для скрытия элементов, не предназначенных сразу для всех режимов работы.
//
//   В панелях настроек программы включены 5 интерфейсов:
//     - Для администратора сервиса в области данных абонента (АС).
//     - Для администратора абонента (АА).
//     - Для администратора локального решения в клиент-серверном режиме (ЛКС).
//     - Для администратора локального решения в файловом режиме (ЛФ).
//     - Для администратора автономного рабочего места (АРМ).
//
//   Интерфейсы АС и АА разрезаются при помощи скрытия групп и элементов формы
//     для всех ролей, кроме роли "АдминистраторСистемы".
//
//   Администратор сервиса, выполнивший вход в область данных,
//     должен видеть те же настройки что и администратор абонента
//     вместе с настройками сервиса (неразделенными).
//
// Возвращаемое значение:
//   Структура - Настройки, описывающие права текущего пользователя и текущий режим работы программы.
//     По правам:
//       * ЭтоАдминистраторСистемы   - Булево - Истина, если есть право администрирования информационной базы.
//       * ЭтоАдминистраторПрограммы - Булево - Истина, если есть доступ ко всем "прикладным" данным информационной
//                                              базы.
//     По режимам работы базы:
//       * МодельСервиса   - Булево - Истина, если в конфигурации есть разделители и они условно включены.
//       * Локальный       - Булево - Истина, если конфигурации работает в обычном режиме (не в модели сервиса и не в
//                                    автономном рабочем месте).
//       * Автономный      - Булево - Истина, если конфигурации работает в режиме АРМ (автономное рабочее место).
//       * Файловый        - Булево - Истина, если конфигурации работает в файловом режиме.
//       * КлиентСерверный - Булево - Истина, если конфигурации работает в клиент-серверном режиме.
//       * ЛокальныйФайловый        - Булево - Истина, если работа в обычном файловом режиме.
//       * ЛокальныйКлиентСерверный - Булево - Истина, если работа в обычном клиент-серверном режиме.
//     По функциональности клиентской части:
//       * ЭтоLinuxКлиент - Булево - Истина, если клиентское приложение запущено под управлением ОС Linux.
//       * ЭтоВебКлиент   - Булево - Истина, если клиентское приложение является Веб-клиентом.
//
Функция РежимРаботыПрограммы() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияПовтИсп.РежимРаботыПрограммы() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
