---
title: Общего назначения сервер УХ
slug: erp-uh/общего-назначения-сервер-ух
---


## ВычестьТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Работа с массивами и таблицами значений

// Функция возвращает результат вычитания элементов множества таблицы
// ТаблицаВычитаемая из ТаблицаОсновная.
//
Функция ВычестьТаблицу(знач ТаблицаОсновная, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ВычестьТаблицу(знач ТаблицаОсновная, );
```
</details>

## СоздатьТаблицуСравнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает таблицу созданную на основе ТаблицаИнициализации.
// Если ТаблицаИнициализации не указана, то создается пустая таблица.
//
Функция СоздатьТаблицуСравнения(ТаблицаИнициализации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.СоздатьТаблицуСравнения(ТаблицаИнициализации, );
```
</details>

## НайтиВДанныхФормыДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Найти в представлении дерева строку по структуре отбора.
//
Функция НайтиВДанныхФормыДерево(СтруктураОтбора, ДанныеФормыДерево) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.НайтиВДанныхФормыДерево(СтруктураОтбора, ДанныеФормыДерево) 
```
</details>

## ЗаполнитьПериодическиеКурсыВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// РАСЧЕТ ПЕРИОДИЧЕСКИХ КУРСОВ.
//

// Процедура выполняет заполнение периодических курсов
//
Функция ЗаполнитьПериодическиеКурсыВалют(Период, Сценарий = Неопределено, ПериодОкончание = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ЗаполнитьПериодическиеКурсыВалют(Период, Сценарий, ПериодОкончание);
```
</details>

## МассивПодпериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С ПЕРИОДАМИ.
//

Функция МассивПодпериодов(ОсновнойПериод, Периодичность, Упорядочить=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.МассивПодпериодов(ОсновнойПериод, Периодичность, Упорядочить);
```
</details>

## ВернутьТаблицуДоступныхПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТаблицуДоступныхПериодов() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ВернутьТаблицуДоступныхПериодов() 
```
</details>

## ПоддержкаМультиязычностиУправлениеФормой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ОБРАБОТКА МУЛЬТИЯЗЫЧНОСТИ
//
// Процедура обеспечивает управление видимостью и наименованием полей формы, отражающих иноязычные данные.
//
// Параметры:
//  Элементы - 	ЭлементыФормы - Коллекция элементов формы, содержащая реквизиты поддержки многоязычности.
Процедура ПоддержкаМультиязычностиУправлениеФормой(Элементы) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияСерверУХ.ПоддержкаМультиязычностиУправлениеФормой(Элементы) 
```
</details>

## ПериодГод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПериодГод(Период) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ПериодГод(Период) 
```
</details>

## ЗаменитьУдалитьПараметрВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С ФОРМАМИ.
//

Процедура ЗаменитьУдалитьПараметрВыбора(Элемент, Имя, НовыйПараметрВыбора = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияСерверУХ.ЗаменитьУдалитьПараметрВыбора(Элемент, Имя, НовыйПараметрВыбора);
```
</details>

## ОбновитьСписокРесурсовРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСписокРесурсовРегистра(РегистрБухгалтерии,РеквизитРесурс,ЭлементРесурс) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияСерверУХ.ОбновитьСписокРесурсовРегистра(РегистрБухгалтерии, РеквизитРесурс, ЭлементРесурс) 
```
</details>

## ЗаполнитьПользовательскиеНастройкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С ОТЧЕТАМИ.
//

Функция ЗаполнитьПользовательскиеНастройкиОтчета(ИмяОтчета, ПараметрыПользователя, ИмяВарианта="") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ЗаполнитьПользовательскиеНастройкиОтчета(ИмяОтчета, ПараметрыПользователя, ИмяВарианта);
```
</details>

## ВернутьТипПоСсылкеБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип по ссылкам на справочники, описывающие метаданные (Справочник БД, Документы БД и др.).
Функция ВернутьТипПоСсылкеБД(ИсходнаяСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ВернутьТипПоСсылкеБД(ИсходнаяСсылка) 
```
</details>

## ВернутьСсылкуБДПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ссылку на описание объекта метаданных по его типу
//
// Параметры:
//  ТипВход	 - 	Тип - Тип объекта, для которого требуется получить описание
//
// Возвращаемое значение:
//  СправочникСсылка.СправочникиБД, СправочникСсылка.ДокументыБД, СправочникСсылка.ПеречисленияБД,
//	СправочникСсылка.ПланыВидовХарактеристикБД, СправочникСсылка.ПланыСчетовБД - ссылка на описание объекта метаданных..
//
Функция ВернутьСсылкуБДПоТипу(ТипВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ВернутьСсылкуБДПоТипу(ТипВход) 
```
</details>

## ВернутьСсылкуБДПоОбъектуМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСсылкуБДПоОбъектуМетаданных(ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ВернутьСсылкуБДПоОбъектуМетаданных(ОбъектМетаданных) 
```
</details>

## ВернутьСсылкуБДПоПолномуИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСсылкуБДПоПолномуИмени(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ВернутьСсылкуБДПоПолномуИмени(ПолноеИмя) 
```
</details>

## СформироватьПустуюТаблицуПоДереву
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По дереву значений ДеревоВход формирует пустую таблицу значений,
// с колонками, совпадающими с колонками дерева.
Функция СформироватьПустуюТаблицуПоДереву(ДеревоВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.СформироватьПустуюТаблицуПоДереву(ДеревоВход) 
```
</details>

## ДобавитьСтрокиДереваВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно добавлет в таблицу значений НоваяТаблица строки из дерева ДеревоВход.
// Параметр ГлубинаРекурсииВход защищает от бесконечной рекурсии.
Процедура ДобавитьСтрокиДереваВТаблицу(ДеревоВход, НоваяТаблица, ГлубинаРекурсииВход = 0) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияСерверУХ.ДобавитьСтрокиДереваВТаблицу(ДеревоВход, НоваяТаблица, ГлубинаРекурсииВход);
```
</details>

## ПреобразоватьДеревоЗначенийВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает плоскую таблицу значений, полученную из дерева значений ДеревоВход.
Функция ПреобразоватьДеревоЗначенийВТаблицу(ДеревоВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ПреобразоватьДеревоЗначенийВТаблицу(ДеревоВход) 
```
</details>

## ПреобразоватьТаблицуЗначенийВСоответствие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует соответствие из таблицы значений ТаблицаВход по колонке-ключу ИмяКолонкиКлючаВход
// и колонке-значению ИмяКолонкиЗначенияВход.
Функция ПреобразоватьТаблицуЗначенийВСоответствие(ТаблицаВход, ИмяКолонкиКлючаВход, ИмяКолонкиЗначенияВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ПреобразоватьТаблицуЗначенийВСоответствие(ТаблицаВход, ИмяКолонкиКлючаВход, ИмяКолонкиЗначенияВход) 
```
</details>

## ДобавитьВМассивКолонкиТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию массива ИсходныйМассивВход, в которую добавлены
// имена колонок из табличной части ТаблицаВход.
Функция ДобавитьВМассивКолонкиТаблицы(ИсходныйМассивВход, ТаблицаВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ДобавитьВМассивКолонкиТаблицы(ИсходныйМассивВход, ТаблицаВход) 
```
</details>

## ПолучитьБланкДляОткрытияСводнойТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наиболее подходящий бланк для открытия сводной таблицы
// по виду отчета ВидОтчетаВход.
Функция ПолучитьБланкДляОткрытияСводнойТаблицы(ВидОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ПолучитьБланкДляОткрытияСводнойТаблицы(ВидОтчетаВход) 
```
</details>

## ПолучитьОтметкуПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает уникальную отметку времени по ссылке СсылкаВход.
// Сдвигает дату в случае повтора.
Функция ПолучитьОтметкуПоОбъекту(СсылкаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ПолучитьОтметкуПоОбъекту(СсылкаВход);
```
</details>

## СравнитьПериодичность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает ПериодичностьВход1 и ПериодичностьВход2. Возвращает
// Истину, если ПериодичностьВход1 больше. Когда параметр ВключаяРавенствоВход
// Истинный, также вернёт Истину при равенстве периодичностей.
Функция СравнитьПериодичность(ПериодичностьВход1, ПериодичностьВход2, ВключаяРавенствоВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.СравнитьПериодичность(ПериодичностьВход1, ПериодичностьВход2, ВключаяРавенствоВход);
```
</details>

## ПолучитьОрганизациюОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает организацию объекта базы данных СсылкаВход,
// из реквизита, указанном в справочнике ДокументыБД/СправочникиБД.
Функция ПолучитьОрганизациюОбъекта(СсылкаВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ПолучитьОрганизациюОбъекта(СсылкаВход) 
```
</details>

## ЗаполнитьОтборНаРавенство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьОтборНаРавенство(Отбор, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ЗаполнитьОтборНаРавенство(Отбор, Параметры) 
```
</details>

## ЗаписатьЗаписьРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписатьЗаписьРегистра(Менеджер, СтарыеПараметрыЗаписи, НовыеПараметрыЗаписи = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ЗаписатьЗаписьРегистра(Менеджер, СтарыеПараметрыЗаписи, НовыеПараметрыЗаписи);
```
</details>

## ПолучитьВалютуУправленческогоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает валюту управленческого учета
// Если переданная в качестве параметра валюта уже заполнена - возвращает ее.
// Если валюта не передана в качестве параметра или передан пустой,
// валюту упр. учета. Если валюта упр. учета не заполнена - возвращает пустую ссылку на валюту
//
// Параметры:
// Валюта - СправочникСсылка.Валюты - Валюта, которую нужно заполнить
//
// Возвращаемое значение:
// СправочникСсылка.Валюты
//
Функция ПолучитьВалютуУправленческогоУчета(Знач Валюта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ПолучитьВалютуУправленческогоУчета(Валюта);
```
</details>

## ПолучитьВалютуРегламентированногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает валюту регламентированного учета
// Если переданная в качестве параметра валюта уже заполнена - возвращает ее.
// Если валюта не передана в качестве параметра или передан пустой,
// валюту регл. учета. Если валюта регл. учета не заполнена - возвращает пустую ссылку на валюту
//
// Параметры:
// Валюта - СправочникСсылка.Валюты - Валюта, которую нужно заполнить
//
// Возвращаемое значение:
// СправочникСсылка.Валюты
//
Функция ПолучитьВалютуРегламентированногоУчета(Знач Валюта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияСерверУХ.ПолучитьВалютуРегламентированногоУчета(Валюта);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
