---
title: Общего назначения события форм ИС клиент переопределяемый
slug: erp-uh/общего-назначения-события-форм-ис-клиент-переопределяемый
---


## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается во всех созданных формах при вызове метода Оповестить.
//
// Параметры:
//  Форма      - ФормаКлиентскогоПриложения - оповещаемая форма,
//  ИмяСобытия - Строка           - имя события,
//  Параметр   - Произвольный     - параметр сообщения. Могут быть переданы любые необходимые данные,
//  Источник   - Произвольный     - источник события.
Процедура ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияСобытияФормИСКлиентПереопределяемый.ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает на клиенте перед выполнением записи объекта из формы.
//
// Параметры:
//  Форма           - ФормаКлиентскогоПриложения - форма записываемого объекта,
//  Отказ           - Булево           - признак отказа от записи,
//  ПараметрыЗаписи - Структура        - структура, содержащая параметры записи.
Процедура ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияСобытияФормИСКлиентПереопределяемый.ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) 
```
</details>

## ПриПереходеПоКомментарийОЗапретеИзмененияНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливается имя открываемой формы.
//
// Параметры:
//  ИмяФормыНастройкиИСМП - Строка - Имя формы, которые необходимо открыть
Процедура ПриПереходеПоКомментарийОЗапретеИзмененияНастройки(ИмяФормыНастройкиИСМП) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияСобытияФормИСКлиентПереопределяемый.ПриПереходеПоКомментарийОЗапретеИзмененияНастройки(ИмяФормыНастройкиИСМП) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
