---
title: Общего назначения УТ
slug: erp-uh/общего-назначения-ут
---


## ПолучитьОписаниеТиповЧисла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать функцию ОбщегоНазначения.ОписаниеТипаЧисло(Разрядность, РазрядностьДробнойЧасти = 0, ЗнакЧисла = Неопределено)
// Служебная функция, предназначенная для получения описания типов числа, заданной разрядности.
//
// Параметры:
//  Разрядность - Число - разрядность числа
//  РазрядностьДробнойЧасти - Число - Разрядность дробной части.
//  Неотрицательный - Булево - если Истина, то числа только положительные, если Ложь, то любые.
//
// Возвращаемое значение:
//  ОписаниеТипов - для числа указанной разрядности.
//
Функция ПолучитьОписаниеТиповЧисла(Разрядность, РазрядностьДробнойЧасти, Неотрицательный = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПолучитьОписаниеТиповЧисла(Разрядность, РазрядностьДробнойЧасти, Неотрицательный);
```
</details>

## ПолучитьОписаниеТиповДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов даты
//
// Параметры:
//  ЧастиДаты - ЧастиДаты - Системное перечисление ЧастиДаты.
//
//  Возвращаемое значение:
//    ОписаниеТипов -
Функция ПолучитьОписаниеТиповДаты(ЧастиДаты) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПолучитьОписаниеТиповДаты(ЧастиДаты) 
```
</details>

## ДобавитьСтрокиВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет одну таблицу значений строками другой таблицы значений
//
// Параметры:
//	Приемник - ТаблицаЗначений - произвольная коллекция, в которую добавляются строки
//	Источник - ТаблицаЗначений - произвольная коллекция, из которой берутся добавляемые строки
//	СоответствиеПолей - Соответствие - используется чтобы заполнить поля с разными названиями,
//										ключ содержит имя поля приемника, значение содержит имя поля источника.
//	ЗначенияПоУмолчанию - Структура - значения, которые будут помещены во все добавленные строки,
//										ключ содержит имя поля приемника.
//
Процедура ДобавитьСтрокиВТаблицу(Приемник, Источник, СоответствиеПолей = Неопределено, ЗначенияПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ДобавитьСтрокиВТаблицу(Приемник, Источник, СоответствиеПолей, ЗначенияПоУмолчанию);
```
</details>

## ПронумероватьТаблицуЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет колонку таблицы значений последовательными номерами
//
// Параметры:
//	Таблица - ТаблицаЗначений - Таблица значений, строки которой нужно пронумеровать
//	ИмяКолонкиНомераСтроки - Строка - Имя колонки таблицы значений, в которой будут указаны номера строк
//
Процедура ПронумероватьТаблицуЗначений(Таблица, ИмяКолонкиНомераСтроки) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПронумероватьТаблицуЗначений(Таблица, ИмяКолонкиНомераСтроки) 
```
</details>

## ВыгрузитьТаблицуЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает таблицу значений из ДанныеФормыКоллекция и ТабличнаяЧасть
//
// Параметры:
// 		ТаблицаИсточник - ДанныеФормыКоллекция, ТабличнаяЧасть - Таблица источник выгрузки
// 		Строки - Массив -
//             - Структура - Массив строк для выгрузки или структура отбора
// 		Колонки - Строка - Перечисленные через запятую имена колонок для выгрузки
// 		КолонкиПоЗначению - Структура Из КлючИЗначение - Структура колонок для добавление в результирующую таблицу:
// 										* Ключ - Строка - Имя новой колонки
// 										* Значение - Строка - Значение для подстановки во все строки новой колонки.
// 		НовыеИменаКолонок - Структура Из КлючИЗначение - Структура с данными о переименовании колонок в результирующей таблице:
// 										* Ключ - Строка - Текущее имя колонки
// 										* Значение - Строка - Новое имя колонки.
//
// Возвращаемое значение:
// 		ТаблицаЗначений - Таблица результат выгрузки из таблицы источника с добавленными и переименованными колонками.
//
Функция ВыгрузитьТаблицуЗначений(ТаблицаИсточник, Строки = Неопределено, Колонки = "НомерСтроки", Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ВыгрузитьТаблицуЗначений(ТаблицаИсточник, Строки, Колонки, );
```
</details>

## ДобавитьИдентификаторСтрокВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет идентификатор строк в таблице значений
//
// Параметры:
//  Таблица - ТаблицаЗначений - Таблица значений, строки которой нужно пронумеровать
//  ИмяКолонки - Строка	- Колонка таблицы значений, в которой будут заполнены идентификаторы.
//  ТипИдентификатора - Строка - Тип идентификатора ("Число", "УникальныйИдентификатор")
//
Процедура ДобавитьИдентификаторСтрокВТаблицу(Таблица, ИмяКолонки = "Идентификатор", ТипИдентификатора = "Число") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ДобавитьИдентификаторСтрокВТаблицу(Таблица, ИмяКолонки, ТипИдентификатора);
```
</details>

## ЗаписатьВЖурналСообщитьПользователю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура делает запись в журнал регистрации и сообщает пользователю, если это сообщение об ошибке
// Параметры:
//   ПараметрыЖурнала - Структура - параметры записи в журнал регистрации:
//       		* ГруппаСобытий - Строка - префикс для имени события журнала регистрации
//       		* Метаданные - ОбъектМетаданных - метаданные для записи в журнал регистрации
//       		* Данные - Произвольный - данные для записи в журнал регистрации
//   УровеньЖурнала - УровеньЖурналаРегистрации - Уровень журнала регистрации
//   ИмяСобытия - Строка  - имя события (в журнал событие записывается в формате ГруппаСобытий.ИмяСобытия)
//   Комментарий - Строка - комментарий о событии
//   ИнформацияОбОшибке - ИнформацияОбОшибке -
//	                    - Строка - Информация об ошибке, которую так же необходимо задокументировать в комментарии журнала регистрации.
//
Процедура ЗаписатьВЖурналСообщитьПользователю(ПараметрыЖурнала, УровеньЖурнала, ИмяСобытия, Знач Комментарий = "", ИнформацияОбОшибке = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ЗаписатьВЖурналСообщитьПользователю(ПараметрыЖурнала, УровеньЖурнала, ИмяСобытия, Комментарий, ИнформацияОбОшибке);
```
</details>

## КлючДанныхДляСообщенияПользователю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ключ данных для подстановки в сообщение пользователю
// Ключ данных нужен при групповой обработке объектов - если он установлен, то при нажатии пользователем на сообщение
// будет открываться форма объекта.
//
//	Параметры:
//		Объект - ДокументОбъект -
//             - СправочникОбъект -
//             - ПланВидовХарактеристикОбъект - Объект, для которого нужно получить ключ данных.
//
//	Возвращаемое значение:
//		СправочникСсылка, ДокументСсылка, ПланВидовХарактеристикСсылка -
//
Функция КлючДанныхДляСообщенияПользователю(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.КлючДанныхДляСообщенияПользователю(Объект) 
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из подписки ЗаполнитьРеквизитыОбъекта
// Проверяет заполненность реквизитов формы, связанных с функциональными опциями
// ИспользоватьНесколькоОрганизаций, ИспользоватьНесколькоСкладов, ИспользоватьНесколькоВалют.
//
//	Параметры:
//		Объект - ДокументОбъект -
//			   - СправочникОбъект - Заполняемый объект
//		ДанныеЗаполнения - Произвольный - Данные заполнения
//		СтандартнаяОбработка - Булево - Признак стандартной обработки события
//
//	Возвращаемое значение
//		Ссылка - ссылка на объект информационной базы.
//
Процедура ОбработкаЗаполнения(Объект, ДанныеЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ОбработкаЗаполнения(Объект, ДанныеЗаполнения, СтандартнаяОбработка) 
```
</details>

## ПолучитьУникальныйИдентификаторПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет уникальный идентификатор платежа
//
// Параметры:
// 	Объект - ДокументОбъект - Документ для заполнения уникального идентификатора платежа
//
// Возвращаемое значение:
// 	Строка -
Функция ПолучитьУникальныйИдентификаторПлатежа(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПолучитьУникальныйИдентификаторПлатежа(Объект) 
```
</details>

## ИзмененияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает изменения документа, относительно записанного в базе
//
// Параметры:
// 	Объект - ДокументОбъект - Документ, изменение которого необходимо проанализировать
// 	РеквизитыИсключения - Структура - Структура имен реквизитов, изменение которых проверять не требуется
// 	ТабличныеЧастиИсключения - Структура - Структура имен табличных частей, изменение которых проверять не требуется.
//
// Возвращаемое значение:
// 	Структура - Содержит изменения объекта:
// 				* Реквизиты - ТаблицаЗначений - Таблица измененных реквизитов:
//	                                              * Имя - Строка -
//	                                              * НовоеЗначение - Произвольный -
//											      * СтароеЗначение - Произвольный -
// 				* ТабличныеЧасти - Структура - Изменные табличные части
Функция ИзмененияДокумента(Объект, РеквизитыИсключения = Неопределено, ТабличныеЧастиИсключения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ИзмененияДокумента(Объект, РеквизитыИсключения, ТабличныеЧастиИсключения);
```
</details>

## ОчиститьИдентификаторыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает реквизит "ИдентификаторДокумента" и колонки "ИдентификаторФинЗаписи", "ИдентификаторСтроки" в табличных частях документа.
//
// Параметры:
// 	Документ - ДокументОбъект - Документ с очищаемым идентификатором
// 	ИменаТЧ - Строка - Имена ТЧ, в которых нужно очистить идентификаторы, разделенные запятыми
// 	НайтиТЧПоМетаданным - Булево - Необходимость поиска состава обрабатываемых ТЧ по метаданным, если их список не передан в параметре ИменаТЧ
//
Процедура ОчиститьИдентификаторыДокумента(Документ, ИменаТЧ = "", НайтиТЧПоМетаданным = Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ОчиститьИдентификаторыДокумента(Документ, ИменаТЧ, НайтиТЧПоМетаданным);
```
</details>

## ЗаполнитьИдентификаторыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит "ИдентификаторДокумента" и колонки "ИдентификаторФинЗаписи", "ИдентификаторСтроки" в табличных частях документа значениями уникальных идентификаторов.
//
// Параметры:
// 	Документ - ДокументОбъект - Записываемый новый документ с идентификатором
// 	ИменаТЧ - Строка - Имена ТЧ, в которых нужно заполнить идентификаторы, разделенные запятыми
// 	НайтиТЧПоМетаданным - Булево - Необходимость поиска состава обрабатываемых ТЧ по метаданным, если их список не передан в параметре ИменаТЧ
//
Процедура ЗаполнитьИдентификаторыДокумента(Документ, ИменаТЧ = "", НайтиТЧПоМетаданным = Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ЗаполнитьИдентификаторыДокумента(Документ, ИменаТЧ, НайтиТЧПоМетаданным);
```
</details>

## ДобавитьИдентификаторыВТаблицуЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет в переданной таблице значений колонку с переданным именем уникальными идентификаторами.
// Если колонки с таким именем не существует, то добавляет ее в таблицу значений.
//
// Параметры:
// 	ТаблЗначений - ТаблицаЗначений - обрабатываемая таблица значений
// 	ИмяКолонки - Строка - имя заполняемой колонки
//
Процедура ДобавитьИдентификаторыВТаблицуЗначений(ТаблЗначений, ИмяКолонки = "ИдентификаторФинЗаписи") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ДобавитьИдентификаторыВТаблицуЗначений(ТаблЗначений, ИмяКолонки);
```
</details>

## ДобавитьИдентификаторыВоВременнуюТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в указанную временную таблицу колонку с переданным именем с уникальными идентификаторами
//
// Параметры:
// 	ИмяТаблицы - Строка - Имя временной таблицы
// 	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - содержит изменяемую временную таблицу
// 	ИмяКолонки - Строка - Имя колонки с идентификатором, которую необходимо добавить
//
Процедура ДобавитьИдентификаторыВоВременнуюТаблицу(ИмяТаблицы, МенеджерВременныхТаблиц, ИмяКолонки = "ИдентификаторСтроки") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ДобавитьИдентификаторыВоВременнуюТаблицу(ИмяТаблицы, МенеджерВременныхТаблиц, ИмяКолонки);
```
</details>

## РазмерВременнойТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество записей во временной таблице
//
// Параметры:
// 	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
// 	ИмяВременнойТаблицы - Строка -
//
// Возвращаемое значение:
// 	Число - Количество записей
//
Функция РазмерВременнойТаблицы(МенеджерВременныхТаблиц, ИмяВременнойТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.РазмерВременнойТаблицы(МенеджерВременныхТаблиц, ИмяВременнойТаблицы) 
```
</details>

## ПолучитьПредставлениеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление документа для отображения в сообщениях.
//
// Параметры:
//	Ссылка - ДокументСсылка - Ссылка на документ
//	Номер - Строка - Номер документа
//	Дата - Дата - Дата документа
//
// Возвращаемое значение:
//	Строка - представление документа
Функция ПолучитьПредставлениеДокумента(Ссылка, Номер, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПолучитьПредставлениеДокумента(Ссылка, Номер, Дата) 
```
</details>

## ПредставлениеРезультатаПоискаПоСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление результата поиска по строке.
//
// Параметры:
//  Наименование - Строка - Наименование.
//  СтрокаПоиска - Строка - Строка поиска.
//
// Возвращаемое значение:
//  ФорматированнаяСтрока - Представление результата поиска по строке.
//
Функция ПредставлениеРезультатаПоискаПоСтроке(Наименование, СтрокаПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПредставлениеРезультатаПоискаПоСтроке(Наименование, СтрокаПоиска) 
```
</details>

## МетаданныеОбъектаПоПолномуИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает метаданные объекта по полному имени объекта метаданных. Не обрабатываются точки маршрутов бизнес-процессов.
//
// Параметры:
//  ПолноеИмя - Строка - Полное имя объекта метаданных, например, "Справочник.Организации".
//
// Возвращаемое значение:
//  ОбъектМетаданных -
//
Функция МетаданныеОбъектаПоПолномуИмени(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.МетаданныеОбъектаПоПолномуИмени(ПолноеИмя) 
```
</details>

## ПроверитьЗаполнениеРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет проверку заполненности проверяемых реквизитов.
//
// Параметры:
// 		Объект - ДокументОбъект, СправочникОбъект - Проверяемый объект.
// 		МассивПроверяемыхРеквизитов - Массив Из Строка - Массив проверяемых реквизитов.
//
// Возвращаемое значение:
// 		Булево - Истина, если значение хотя бы одного реквизита не заполнено, иначе Ложь.
//
Функция ПроверитьЗаполнениеРеквизитовОбъекта(Объект, МассивПроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПроверитьЗаполнениеРеквизитовОбъекта(Объект, МассивПроверяемыхРеквизитов) 
```
</details>

## ПроверитьПравильностьУказанияХозяйственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет проверку соответствия организации документа и хозяйственной операции.
//
// Параметры:
// 	ДокументОбъект - ДокументОбъект - Проверяемый объект
//	Отказ - Булево - Флаг отказа записи
//
Процедура ПроверитьПравильностьУказанияХозяйственнойОперации(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПроверитьПравильностьУказанияХозяйственнойОперации(ДокументОбъект, Отказ) 
```
</details>

## ПроверитьВозможностьВводаНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Осуществляет проверку заполненности проверяемых реквизитов. Использовать ОбщегоНазначенияУТ.ПроверитьВозможностьВводаНаОснованииСПараметрами.
//
// Параметры:
// 	Документ - ДокументСсылка - Документ, на основании которого осуществляется ввод
// 	Статус - ПеречислениеСсылка - Статус документ, на основании которого осуществляется ввод
// 	ЕстьОшибкиПроведен - Булево - Если Истина - документ, на основании которого осуществляется ввод, не проведен
// 	ЕстьОшибкиСтатус   - Булево - Если Истина - документ, на основании которого осуществляется ввод, имеет некорректный статус
// 	МассивДопустимыхСтатусов - Массив - Массив допустимых статусов
// 	СоглашениеДоступноВнешнемуПользователю - Булево - Если Истина, документ на основании которого осуществляется ввод имеет соглашение доступное внешнему пользователю.
// 	ПрерыватьВыполнение - Булево - Если Истина, то при наличии ошибки будет вызвано исключение, если Ложь, то просто выводится сообщение.
//
Процедура ПроверитьВозможностьВводаНаОсновании(Документ, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПроверитьВозможностьВводаНаОсновании(Документ, );
```
</details>

## ПроверитьВозможностьВводаНаОснованииСПараметрами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет проверку заполненности проверяемых реквизитов.
//
// Параметры:
//  Документ - ДокументСсылка - Документ, на основании которого осуществляется ввод
//  ПараметрыПроверки - см. ПараметрыПроверкиВозможностиВводаНаОсновании
Процедура ПроверитьВозможностьВводаНаОснованииСПараметрами(Документ, ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПроверитьВозможностьВводаНаОснованииСПараметрами(Документ, ПараметрыПроверки) 
```
</details>

## ПараметрыПроверкиВозможностиВводаНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры проверки возможности ввода на основании.
//
// Возвращаемое значение:
//  Структура:
//  * Статус - ПеречислениеСсылка - Статус документ, на основании которого осуществляется ввод
//  * ЕстьОшибкиПроведен - Булево - Если Истина - документ, на основании которого осуществляется ввод, не проведен
//  * ЕстьОшибкиСтатус   - Булево - Если Истина - документ, на основании которого осуществляется ввод, имеет некорректный статус
//  * МассивДопустимыхСтатусов - Массив - Массив допустимых статусов
//  * СоглашениеДоступноВнешнемуПользователю - Булево - Если Истина, документ на основании которого осуществляется ввод имеет соглашение доступное внешнему пользователю.
//  * ПрерыватьВыполнение - Булево - Если Истина, то при наличии ошибки будет вызвано исключение, если Ложь, то просто выводится сообщение.
//
Функция ПараметрыПроверкиВозможностиВводаНаОсновании() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПараметрыПроверкиВозможностиВводаНаОсновании() 
```
</details>

## ПроверитьВозможностьВводаНаОснованииПоОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет проверку возможности ввода документа на основании распоряжения по хозяйственной операции.
//
// Параметры:
//	ДокументОснование	- ДокументСсылка - документ, на основании которого осуществляется ввод.
//	ИмяДокумента		- Строка - имя документа, для которого определяются допустимые операции.
//	ХозяйственнаяОперация- ПеречислениеСсылка.ХозяйственныеОперации	- хозяйственная операция документа,
//											на основании которого осуществляется ввод.
//	ПредставлениеДокумента - Строка -
//	                       - Неопределено - Представление документа в информационной базе.
//
Процедура ПроверитьВозможностьВводаНаОснованииПоОперации(ДокументОснование, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПроверитьВозможностьВводаНаОснованииПоОперации(ДокументОснование, );
```
</details>

## ПроверитьВозможностьВводаНаОснованииВыкупаТары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет проверку заполненности проверяемых реквизитов.
//
// Параметры:
// Документ                            - ДокументСсылка - Документ, на основании которого осуществляется ввод
// ЕстьОшибкиПроведен                  - Булево - Если Истина - документ, на основании которого осуществляется ввод, не проведен
// ЕстьОшибкиВернутьМногооборотнуюТару - Булево - Если Истина - по документу, на основании которого осуществляется ввод,
//                                                тара не возвратная.
//
Процедура ПроверитьВозможностьВводаНаОснованииВыкупаТары(Документ, ЕстьОшибкиПроведен, ЕстьОшибкиВернутьМногооборотнуюТару) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПроверитьВозможностьВводаНаОснованииВыкупаТары(Документ, ЕстьОшибкиПроведен, ЕстьОшибкиВернутьМногооборотнуюТару) 
```
</details>

## ПроверитьВозможностьВводаНаОснованииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет проверку заполненности проверяемых реквизитов.
//
// Параметры:
// ЕстьОшибкиТиповое  - Булево - Если Истина - соглашение, на основании которого осуществляется ввод - типовое
// ЭтоАгентскиеУслуги  - Булево - Если Истина - соглашение, на основании которого осуществляется ввод - соглашение по
//                                оказанию агентских услуг.
//
Процедура ПроверитьВозможностьВводаНаОснованииСоглашения(ЕстьОшибкиТиповое = Ложь, ЭтоАгентскиеУслуги = Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПроверитьВозможностьВводаНаОснованииСоглашения(ЕстьОшибкиТиповое, ЭтоАгентскиеУслуги);
```
</details>

## ПроверитьВозможностьВводаНаОснованииСделкиПоПродаже
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет проверку заполненности проверяемых реквизитов.
//
// Параметры:
// 	Партнер - СправочникСсылка.Партнеры - Партнер из сделки по продаже.
//
Процедура ПроверитьВозможностьВводаНаОснованииСделкиПоПродаже(Партнер) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПроверитьВозможностьВводаНаОснованииСделкиПоПродаже(Партнер) 
```
</details>

## ИзменитьПризнакСогласованностиСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает или сбрасывает флаг Согласован у справочника.
// Вызывается из процедуры ПередЗаписью документа.
//
// Параметры:
// 	СправочникОбъект - СправочникОбъект - Справочник, в котором необходимо изменить флаг Согласован
// 	СтатусНеСогласован - ПеречислениеСсылка - Статус документа, в котором флаг Согласован должен быть сброшен.
//
Процедура ИзменитьПризнакСогласованностиСправочника(СправочникОбъект, Знач СтатусНеСогласован = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ИзменитьПризнакСогласованностиСправочника(СправочникОбъект, СтатусНеСогласован);
```
</details>

## ИзменитьПризнакСогласованностиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает или сбрасывает флаг Согласован у документа.
// Вызывается из процедуры ПередЗаписью документа.
//
// Параметры:
// 	ДокументОбъект - ДокументОбъект - Документ, в котором необходимо изменить флаг Согласован
// 	РежимЗаписи - РежимЗаписиДокумента - Режим записи документа
// 	СтатусНеСогласован - ПеречислениеСсылка -  Статус документа, в котором флаг Согласован должен быть сброшен.
//
Процедура ИзменитьПризнакСогласованностиДокумента(ДокументОбъект, Знач РежимЗаписи, Знач СтатусНеСогласован = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ИзменитьПризнакСогласованностиДокумента(ДокументОбъект, РежимЗаписи, СтатусНеСогласован);
```
</details>

## НастроитьПодключаемоеОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает подключаемое оборудование в форме, устанавливает флаг ИспользоватьПодключаемоеОборудование в форме.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - Форма, в которой необходимо настроить подключаемое оборудование.
//   ПрефиксыЭлементовФормы - Строка -
//	                        - Массив Из Строка - ПрефиксыЭлементовФормы
//
Процедура НастроитьПодключаемоеОборудование(Форма, ПрефиксыЭлементовФормы = "Товары") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.НастроитьПодключаемоеОборудование(Форма, ПрефиксыЭлементовФормы);
```
</details>

## ИспользоватьПодключаемоеОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что включена ф.о "Использовать подключаемое оборудование", настроено ли оборудование и авторизовался пользователь.
//
// Параметры:
// 	ТипыПодключенногоОборудования - ПеречислениеСсылка.ТипыПодключаемогоОборудования -
//
// Возвращаемое значение:
// 	Булево -
Функция ИспользоватьПодключаемоеОборудование(ТипыПодключенногоОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ИспользоватьПодключаемоеОборудование(ТипыПодключенногоОборудования);
```
</details>

## ПользователиСДоступнымиРолями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список пользователей, имеющих роли, указанные в качестве параметра
//
// Параметры:
// 		МассивРолей - Массив из Строка - массив с именами ролей
// 		ПредставлениеТекущегоПользователя - Строка - представление текущего пользователя.
//
//	Возвращаемое значение:
//		СписокЗначений Из СправочникСсылка.Пользователи -
//
Функция ПользователиСДоступнымиРолями(МассивРолей, ПредставлениеТекущегоПользователя = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПользователиСДоступнымиРолями(МассивРолей, ПредставлениеТекущегоПользователя);
```
</details>

## ПолучитьСписокПользователейСПравомДобавления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список пользователей, имеющих право на изменение объекта метаданных
//
// Параметры:
// 		ОбъектМетаданных - ОбъектМетаданных - Объект метаданных, на которые проверяются права доступа
// 		ПредставлениеТекущегоПользователя - Строка - представление текущего пользователя.
//
//	Возвращаемое значение:
//		СписокЗначений Из СправочникСсылка.Пользователи.
//
Функция ПолучитьСписокПользователейСПравомДобавления(ОбъектМетаданных, ПредставлениеТекущегоПользователя = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПолучитьСписокПользователейСПравомДобавления(ОбъектМетаданных, ПредставлениеТекущегоПользователя);
```
</details>

## УникальныеЗначенияИзКолонкиТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с уникальными значениями из колонки таблицы
//
// Параметры:
//  Таблица			 - ТаблицаЗначений -
//					 - ДанныеФормыСтруктура -
//  ИмяКолонки		 - Строка -
//  ПараметрыОтбора	 - Структура -
//
// Возвращаемое значение:
// 	Массив -
//
Функция УникальныеЗначенияИзКолонкиТаблицы(Таблица, ИмяКолонки, ПараметрыОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.УникальныеЗначенияИзКолонкиТаблицы(Таблица, ИмяКолонки, ПараметрыОтбора);
```
</details>

## УдалитьСтрокиТаблицыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет указанные строки из таблицы значений.
//
// Параметры:
//	Таблица - ТаблицаЗначений - обрабатываемая таблица
//	Строки  - Массив Из СтрокаТаблицыЗначений - Массив удаляемых строк
//
Процедура УдалитьСтрокиТаблицыЗначений(Таблица, Строки) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.УдалитьСтрокиТаблицыЗначений(Таблица, Строки) 
```
</details>

## НайтиИУдалитьСтрокиТаблицыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет строки из таблицы значений с учетом переданного отбора.
//
// Параметры:
//	Таблица 			  - ТаблицаЗначений - обрабатываемая таблица
//	СтруктураПоиска 	  - Структура - структура поиска строк, см. описание метода НайтиСтроки таблицы значений
//	УдалятьПопавшиеВОтбор - Булево - если указать Ложь, то будут удалены все строки, не входящие в отбор.
//
Процедура НайтиИУдалитьСтрокиТаблицыЗначений(Таблица, СтруктураПоиска, УдалятьПопавшиеВОтбор = Истина) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.НайтиИУдалитьСтрокиТаблицыЗначений(Таблица, СтруктураПоиска, УдалятьПопавшиеВОтбор);
```
</details>

## ПроверитьСогласующегоБизнесПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет наличие согласующего по указанной роли в регистре сведений "Исполнители задач".
//
// Параметры:
//	ПроверяемаяРоль - СправочникСсылка.РолиИсполнителей - Элемент справочника РолиИсполнителей.
//
// Возвращаемое значение:
// 	Булево -
Функция ПроверитьСогласующегоБизнесПроцесс(ПроверяемаяРоль) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПроверитьСогласующегоБизнесПроцесс(ПроверяемаяРоль) 
```
</details>

## СоответствиеМассивовПоТипамОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция раскладывает переданный массив ссылок в соответствие по типам этих ссылок.
//
//	Параметры:
//		МассивСсылок - Массив Из ЛюбаяСсылка - массив ссылок на объекты информационной базы
//  Возвращаемое значение:
//		Соответствие - Соотвествие типов ссылкам.
//			Ключ - полное имя типа ссылки.
//	        Значение - Массив Из ЛюбаяСсылка - ссылок этого типа.
//
Функция СоответствиеМассивовПоТипамОбъектов(МассивСсылок) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.СоответствиеМассивовПоТипамОбъектов(МассивСсылок) 
```
</details>

## РазностьДат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает разницу между двумя датами (в днях)
//
// Параметры:
//  ДатаНачала 		- Дата - начальная дата периода
//  ДатаОкончания	- Дата - конечная дата периода.
//  Периодичность	- ПеречислениеСсылка.Периодичность - Периодичность.
//
// Возвращаемое значение:
//   Число	 - количество дней между двумя датами.
//
Функция РазностьДат(ДатаНачала, ДатаОкончания, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.РазностьДат(ДатаНачала, ДатаОкончания, Периодичность) 
```
</details>

## МассивДатИзПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив дней, входящих в период.
//
// Параметры:
//   ДатаНачала - Дата
//   ДатаОкончания - Дата
//
// Возвращаемое значение:
//   Массив из Дата - Дни периода.
//
Функция МассивДатИзПериода(ДатаНачала, ДатаОкончания) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.МассивДатИзПериода(ДатаНачала, ДатаОкончания) 
```
</details>

## ПроверитьИспользованиеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование объекта
//
// Параметры:
//  Параметры		- Структура - содержит объект использование которого нужно проверить
//  АдресХранилища	- Строка - адрес хранилища в которое будут помещен результат проверки.
//
Процедура ПроверитьИспользованиеОбъекта(Параметры, АдресХранилища) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПроверитьИспользованиеОбъекта(Параметры, АдресХранилища) 
```
</details>

## КлючКоллекцииПоЗначению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ключ коллекции, имеющий указанное значение.
//
// Параметры:
// 	Коллекция - Структура -
// 	          - Соответствие -
//	          - ФиксированнаяСтруктура -
//	          - ФиксированноеСоответствие -
//  Значение - Произвольный - Указанное значение
//
// Возвращаемое значение:
//  Строка -
Функция КлючКоллекцииПоЗначению(Коллекция, Значение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.КлючКоллекцииПоЗначению(Коллекция, Значение) 
```
</details>

## ПоменятьКлючИЗначениеКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает коллекцию, в которой ключи и значения поменяны местами.
//
// Параметры:
// 	Коллекция - Структура, Соответствие, ФиксированнаяСтруктура, ФиксированноеСоответствие -
//
// Возвращаемое значение:
//  Структура, Соответствие, ФиксированнаяСтруктура, ФиксированноеСоответствие -
Функция ПоменятьКлючИЗначениеКоллекции(Коллекция) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПоменятьКлючИЗначениеКоллекции(Коллекция) 
```
</details>

## ЧислоДокументовПрописью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество документов прописью.
//
// Параметры:
//  КоличествоДокументов - Число - Количество документов.
//
// Возвращаемое значение:
//  Строка - Количество документов прописью.
//
Функция ЧислоДокументовПрописью(КоличествоДокументов) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ЧислоДокументовПрописью(КоличествоДокументов) 
```
</details>

## ОписаниеТиповПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типов по переданному типу
//
// Параметры:
//	Тип - Тип - Тип значения
//
// Возвращаемое значение:
//	ОписаниеТипов - созданное на основании переданного типа описание типов.
//
Функция ОписаниеТиповПоТипу(Тип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ОписаниеТиповПоТипу(Тип) 
```
</details>

## МассивВТаблицуЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений на основании массива структур
//
// Параметры:
//	МассивСтруктур - Массив Из Структура - Массив структур, которые будут преобразованы в таблиц значений.
//										   Свойства структуры первого элемента массива определяют состав колонок результирующей таблицы.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица значений, созданная из массива структур.
//
Функция МассивВТаблицуЗначений(МассивСтруктур) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.МассивВТаблицуЗначений(МассивСтруктур) 
```
</details>

## СоответствиеВТаблицуЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений на основании соответствия структур.
// Свойства структуры первого элемента соответствия определяют состав колонок результирующей таблицы.
//
// Параметры:
// 	 Соответствие - Соответствие - Соответствие структур, которое будут преобразовано в таблицу значений, где:
// 			* Ключ - Произвольный - является одной из колонок таблицы значений
// 			* Значение - Структура - Структура, которую требуется преобразовать к таблице значений
//
// Возвращаемое значение:
// 	 ТаблицаЗначений
//
Функция СоответствиеВТаблицуЗначений(Соответствие) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.СоответствиеВТаблицуЗначений(Соответствие) 
```
</details>

## МетаданныеПоИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает метаданные объекта по полному имени объекта метаданных
//
// Параметры:
//  МетаданныеСтрокой - Строка - Полный путь к метаданным реквизита как в дереве метаданных.
//                       Пример: "Документы.ПоступлениеБезналичныхДенежныхСредств.ТабличныеЧасти.РасшифровкаПлатежа.Реквизиты.Заказ"
//                               "РегистрыНакопления.ДвиженияКонтрагентДоходыРасходы.Измерения.ОбъектРасчетов".
//
// Возвращаемое значение:
//  ОбъектМетаданных -
//
Функция МетаданныеПоИмени(МетаданныеСтрокой) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.МетаданныеПоИмени(МетаданныеСтрокой) 
```
</details>

## РежимОтладки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если включен режим отладки.
//
// Возвращаемое значение:
// 	 Булево -
Функция РежимОтладки() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.РежимОтладки() 
```
</details>

## УстановитьПометкуУдаленияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает пометку удаления и формирует список сообщений об ошибках установки пометки удаления документов.
//
// Параметры:
//  Ссылки - Массив Из ДокументСсылка - Список документов.
//
// Возвращаемое значение:
//   Структура - см. ОбщегоНазначенияКлиентСервер.ДобавитьОшибкуПользователю
//
Функция УстановитьПометкуУдаленияДокументов(Ссылки) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.УстановитьПометкуУдаленияДокументов(Ссылки) 
```
</details>

## УдалитьДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перед попыткой непосредственного удаления документа устанавливает
// пометку на удаление, что позволяет отработать предусмотренным
// механизмам в документе.
// Формирует список сообщений об успешном удалении документов, либо
// об ошибках не позволяющих удалить документы.
//
// Параметры:
//  СсылкиНаУдаление - Массив Из ДокументСсылка - Список созданных документов.
//  МассивИсключаемыхОбъектов - Неопределено, Массив из ОбъектМетаданных - Список объектов метаданных, в случае наличия ссылок
//  на которые в удаляемых объектах, удаление отменяется.
//
// Возвращаемое значение:
//   Неопределено, Структура - Содержит список сообщений. Состав ключей определяется в функции ОбщегоНазначенияКлиентСервер.ДобавитьОшибкуПользователю.
//
Функция УдалитьДокументы(СсылкиНаУдаление, МассивИсключаемыхОбъектов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.УдалитьДокументы(СсылкиНаУдаление, МассивИсключаемыхОбъектов);
```
</details>

## ПерваяСтрокаРезультатаЗапросаВСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные первой записи результата запроса в виде структуры.
//
// Параметры:
//  РезультатЗапроса - РезультатЗапроса - результат запроса, содержащий данные для обработки.
//
// Возвращаемое значение:
//  Структура - структура с результатом.
//
Функция ПерваяСтрокаРезультатаЗапросаВСтруктуру(Знач РезультатЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПерваяСтрокаРезультатаЗапросаВСтруктуру(РезультатЗапроса) 
```
</details>

## ПреобразоватьСтрокуТаблицыВСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с ключами, соответствующими колонкам таблицы значений.
// Значения в структуре заполняются значениями полей из переданной строки таблицы.
//
// Параметры:
//	ТекущаяСтрока - СтрокаТаблицыЗначений -
//
// Возвращаемое значение:
//	Структура -
//
Функция ПреобразоватьСтрокуТаблицыВСтруктуру(ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПреобразоватьСтрокуТаблицыВСтруктуру(ТекущаяСтрока) 
```
</details>

## УстановитьПараметрыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметры запроса из переданной структуры.
//
// Параметры:
//	Запрос - Запрос - запрос, параметры которого надо установить
//	ПараметрыЗапроса - Структура - структура с устанавливаемыми параметрами запроса.
//
Процедура УстановитьПараметрыЗапроса(Запрос, ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.УстановитьПараметрыЗапроса(Запрос, ПараметрыЗапроса) 
```
</details>

## МакетПоИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает макет в метаданных и возвращает его
//
// Параметры:
//  ИмяМакетаИлиАдрес - Строка - полное имя макета. Например, Документ.РеализацияТоваровУслуг.ДанныеШаблонаСообщений
//
// Возвращаемое значение:
//  ТабличныйДокумент, ТекстовыйДокумент, СхемаКомпоновкиДанных -
//
Функция МакетПоИмени(ИмяМакетаИлиАдрес) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.МакетПоИмени(ИмяМакетаИлиАдрес) 
```
</details>

## СвернутьТабличнуюЧасть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Свернуть табличную часть объекта
// По умолчанию все числовые колонки попадают в колонки суммирования. Те числовые колонки,
// которые должны попасть в колонки группировки, нужно перечислить в параметре КолонкиГруппировок.
// Нечисловые колонки перечислять в КолонкиГруппировки не нужно.
//
// Параметры:
//  Объект - ДокументОбъект -
//	       - СправочникОбъект -
//		   - ПланВидовХарактеристикОбъект -
//         - ПланОбменаОбъект - Объект, содержащий табличную часть
//  ИмяТЧ			   - Строка - имя табличной части, которую нужно свернуть
//  КолонкиГруппировок - Массив Из Строка -
//                     - Строка - Массив строк с именами числовых колонок или строка с именами через запятую,
//  						      которые нужно включить в колонки группировки, а не суммирования.
//
Процедура СвернутьТабличнуюЧасть(Объект, ИмяТЧ, Знач КолонкиГруппировок = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.СвернутьТабличнуюЧасть(Объект, ИмяТЧ, КолонкиГруппировок);
```
</details>

## СсылкаСоответствуетОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствие функции переданному отбору
//
// Параметры:
//  Ссылка	 - ЛюбаяСсылка -
//  Отбор	 - Структура Из КлючИЗначение - Где:
//  			* Ключ - Строка - имя реквизита
//  			* Значение - Произвольный - значение реквизита, или массив значений реквизита
//
// Возвращаемое значение:
//  Булево
//
Функция СсылкаСоответствуетОтбору(Ссылка, Отбор) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.СсылкаСоответствуетОтбору(Ссылка, Отбор) 
```
</details>

## ПроверитьОперациюРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку на соответствие операций создаваемого документа операции распоряжения.
//
// Параметры:
//	РаспоряжениеСсылка    - ДокументСсылка - ссылка распоряжения, на основании которого осуществляется создание документа.
//	ИмяДокумента          - Строка      - имя документа, для которого определяются допустимые операции.
//	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция, для которой выполняется проверка
//
// Возвращаемое значение:
//	Булево - Истина, возможно создание документа на основании распоряжения.
//
Функция ПроверитьОперациюРаспоряжения(РаспоряжениеСсылка, ИмяДокумента, ХозяйственнаяОперация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПроверитьОперациюРаспоряжения(РаспоряжениеСсылка, ИмяДокумента, ХозяйственнаяОперация);
```
</details>

## ДопустимыеХозяйственныеОперацииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с хозяйственными операциями, допустимые для документа по функциональным опциям.
//
// Параметры:
//	ИмяДокумента - Строка - имя документа, для которого определяются допустимые операции
//
// Возвращаемое значение:
//	Массив Из ПеречислениеСсылка.ХозяйственныеОперации -
//
Функция ДопустимыеХозяйственныеОперацииДокумента(ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ДопустимыеХозяйственныеОперацииДокумента(ИмяДокумента) 
```
</details>

## ОписаниеТипаДенежногоПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типа денежного поля.
//
// Параметры:
//  ЗнакПоля - ДопустимыйЗнак - допустимый знак денежного поля (по умолчанию Любой)
//
// Возвращаемое значение:
//  ОписаниеТипов - Описание типа денежного поля
//
Функция ОписаниеТипаДенежногоПоля(ЗнакПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ОписаниеТипаДенежногоПоля(ЗнакПоля);
```
</details>

## РазрядностьДенежногоПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает разрядность описания типа денежного поля.
//
// Параметры:
//  ЗнакПоля - ДопустимыйЗнак	 - допустимый знак денежного поля (по умолчанию Любой)
//
// Возвращаемое значение:
//  Структура - Ключи:
// 		* Разрядность - Число -
//		* РазрядностьДробнойЧасти - Число -
//
Функция РазрядностьДенежногоПоля(ЗнакПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.РазрядностьДенежногоПоля(ЗнакПоля);
```
</details>

## ПолучитьМодульЛокализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает общий модуль локализации объекта по полному имени объекта метаданных.
//
// Параметры:
//  ПолноеИмя - Строка - полное имя объекта метаданных. Пример: "Справочник.Организации".
//
// Возвращаемое значение:
//  ОбщийМодуль - общий модуль локализации объекта.
//
Функция ПолучитьМодульЛокализации(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПолучитьМодульЛокализации(ПолноеИмя) 
```
</details>

## ВыгрузитьЗначенияКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив уникальных значений из колонки таблицы
//
// Параметры:
//  Таблица    - ТаблицаЗначений -
//	           - ДанныеФормыКоллекция - таблица, из которой необходимо выбрать данные
//  ИмяКолонки - Строка - имя колонки таблицы значений, из которой необходимо выбрать значения.
//
// Возвращаемое значение:
//  Массив Из Произвольный - Набор уникальных значений.
//
Функция ВыгрузитьЗначенияКолонки(Таблица, ИмяКолонки) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ВыгрузитьЗначенияКолонки(Таблица, ИмяКолонки) 
```
</details>

## ДанныеРабочегоМеста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры рабочего места в зависимости от установленных отборов по операциям и типам документов.
//
// Параметры:
//  ТаблицаХозОперацииИТипыДокументов - ТаблицаЗначений - таблица с описанием метаданных, используемых в рабочем месте
//  КлючНазначенияФормыПоУмолчанию	 - Строка - параметр, определяющий раздел рабочего места, например, "ВнутреннееТовародвижение"
//  ЗаголовокФормыПоУмолчанию		 - Строка - заголовок рабочего места по умолчанию, например, "Внутреннее товародвижение".
//
// Возвращаемое значение:
//  Структура - Содержит ключи:
//		* КлючНазначенияИспользования - Строка -
//		* ЗаголовокРабочегоМеста - Строка -
//
Функция ДанныеРабочегоМеста(ТаблицаХозОперацииИТипыДокументов, КлючНазначенияФормыПоУмолчанию, ЗаголовокФормыПоУмолчанию) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ДанныеРабочегоМеста(ТаблицаХозОперацииИТипыДокументов, КлючНазначенияФормыПоУмолчанию, ЗаголовокФормыПоУмолчанию) 
```
</details>

## ДобавитьКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет колонки в таблицу значений
//
// Параметры:
// 	Объект - ТаблицаЗначений, ДеревоЗначений - объект, в который нужно добавить колонки
// 	Колонки - Строка - названия колонок, разделенные запятыми.
Процедура ДобавитьКолонки(Объект, Колонки) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ДобавитьКолонки(Объект, Колонки) 
```
</details>

## ДобавитьЗапись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запись в таблицу значений
//
// Параметры:
// 	Таблица - ТаблицаЗначений - таблица значений, в которую будет добавлена запись
// 	Значение1 - Произвольный - значение, подставляемое в соответствующую колонку в порядке следования.
// 	Значение2 - Произвольный - значение, подставляемое в соответствующую колонку в порядке следования.
// 	Значение3 - Произвольный - значение, подставляемое в соответствующую колонку в порядке следования.
// 	Значение4 - Произвольный - значение, подставляемое в соответствующую колонку в порядке следования.
// 	Значение5 - Произвольный - значение, подставляемое в соответствующую колонку в порядке следования.
// 	Значение6 - Произвольный - значение, подставляемое в соответствующую колонку в порядке следования.
// 	Значение7 - Произвольный - значение, подставляемое в соответствующую колонку в порядке следования.
// 	Значение8 - Произвольный - значение, подставляемое в соответствующую колонку в порядке следования.
// 	Значение9 - Произвольный - значение, подставляемое в соответствующую колонку в порядке следования.
Процедура ДобавитьЗапись(Таблица, Значение1, Значение2=Неопределено, Значение3=Неопределено, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ДобавитьЗапись(Таблица, Значение1, Значение2, Значение3, );
```
</details>

## ВерсияПлатформыНеНижеУказанной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что используемая версия платформы не ниже указанной.
//
// Параметры:
//	Версия - Строка - номер версии платформы.
//
// Возвращаемое значение:
//	Булево - Истина, если используемая версия не младше указанной в параметре Версия.
//
Функция ВерсияПлатформыНеНижеУказанной(Версия) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ВерсияПлатформыНеНижеУказанной(Версия) 
```
</details>

## КлючевыеРеквизитыСправочникаКлючейПоРегиструСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Составляет список ключевых реквизитов справочника ключей.
// Если справочнику сопоставлен регистр сведений, используемый для поиска ключа,
// то ключевые реквизиты соответствуют изменениям этого регистра сведений.
//
// Параметры:
//  МетаданныеРегистра	- ОбъектМетаданныхРегистрСведений -
//
// Возвращаемое значение:
//  Соответствие -
//
Функция КлючевыеРеквизитыСправочникаКлючейПоРегиструСведений(МетаданныеРегистра) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.КлючевыеРеквизитыСправочникаКлючейПоРегиструСведений(МетаданныеРегистра) 
```
</details>

## ПодготовитьДанныеДляСинхронизацииКлючей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает свойство ДополнительныеСвойства объекта для использования процедуры
// ОбщегоНазначенияУТ.СинхронизироватьКлючи. Должна быть вызвана в событии ПередЗаписью объекта.
//
// Параметры:
//  Объект - ДокументОбъект -
//	       - СправочникОбъект - объект, который должен быть синхронизирован с ключами
//  Параметры - Соответствие Из КлючИЗначение - Где:
//		* Ключ - Строка - Полное имя объекта ключа, с которым нужно синхронизировать объект.
//				Например, Справочник.КлючиРеестраДокументов
//				В модуле менеджера ключа обязательно должна быть объявлена экспортная функция КлючевыеРеквизиты,
//				возвращающая соответствие с именами реквизитов, по которым определяется уникальность ключа.
//		* Значение - Структура Из КлючИЗначение - Где:
//						** Ключ - Строка - имя реквизита объекта
//						** Значение - Строка - имя реквизита ключа. Если пусто, то используется Ключ.
//					- Строка -  список реквизитов через запятую. Имена реквизитов объекта должны совпадать с именами реквизитов ключа
Процедура ПодготовитьДанныеДляСинхронизацииКлючей(Объект, Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПодготовитьДанныеДляСинхронизацииКлючей(Объект, Параметры) 
```
</details>

## ЗначениеРеквизитаДоЗаписиИзДополнительныхСвойств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение реквизита "до записи", сохраненного в дополнительных свойствах с помощью метода см. ПодготовитьДанныеДляСинхронизацииКлючей.
//
// Параметры:
// 	ИмяРеквизита - Строка - Имя реквизита объекта
// 	ДополнительныеСвойства - Структура - Дополнительные свойства объекта
//
// Возвращаемое значение:
// 	Произвольный - значение реквизита до записи
Функция ЗначениеРеквизитаДоЗаписиИзДополнительныхСвойств(ИмяРеквизита, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ЗначениеРеквизитаДоЗаписиИзДополнительныхСвойств(ИмяРеквизита, ДополнительныеСвойства) 
```
</details>

## ОписаниеКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
// 	Структура - Описание:
// * МенеджерОбъекта - СправочникМенеджер -
// * КлючевойРеквизитДляСоздания - Неопределено -
// * КлючевыеРеквизиты - Структура -
// * ИзменившиесяРеквизиты - Структура -
// * ПолноеИмя - Строка -
Функция ОписаниеКлюча() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ОписаниеКлюча());
```
</details>

## КлючиДляОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
// Соответствие Из КлючИЗначение - Где:
// 			* Ключ - Строка -
// 			* Значение - см. ОписаниеКлюча
Функция КлючиДляОбновления() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.КлючиДляОбновления());
```
</details>

## СинхронизироватьКлючи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Синхронизирует значения реквизитов объекта с ключами.
// Должна быть вызвана в событии ПриЗаписи объекта. При этом в событии ПередЗаписью этого объекта
// обязятельно должна быть вызвана процедура ОбщегоНазначенияУТ.ПодготовитьДанныеДляСинхронизацииКлючей.
//
// Если в ключе один ключевой реквизит, то проверяется существование ключа и если его нет, то он создается.
//
// Параметры:
//  Объект - ДокументОбъект -
//	       - СправочникОбъект - объект, который должен быть синхронизирован с ключами
//
Процедура СинхронизироватьКлючи(Объект) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.СинхронизироватьКлючи(Объект) 
```
</details>

## ДобавитьВТаблицуПорядковыйНомерСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет нумерацию строк таблицы значений. Для нумерации используется колонка ПорядковыйНомер.
// Если колонка с таким именем отсутствует в переданной таблице, то она будет добавлена.
//
// Параметры:
//  Таблица	- ТаблицаЗначений - таблица, строки которой будут пронумерованы.
//
Процедура ДобавитьВТаблицуПорядковыйНомерСтрок(Таблица) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ДобавитьВТаблицуПорядковыйНомерСтрок(Таблица) 
```
</details>

## ЗаполнитьПорядковыйНомерВНовойСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет значение колонки ПорядковыйНомер в новой строке таблицы значений,
// строки которой пронумерованы (см. ДобавитьВТаблицуПорядковыйНомерСтрок).
//
// Параметры:
//  Таблица		 - ТаблицаЗначений - таблица с пронумерованными строками.
//  НоваяСтрока	 - СтрокаТаблицыЗначений - строка в которой необходимо заполнить порядковый номер.
//
Процедура ЗаполнитьПорядковыйНомерВНовойСтроке(Таблица, НоваяСтрока) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ЗаполнитьПорядковыйНомерВНовойСтроке(Таблица, НоваяСтрока) 
```
</details>

## НайтиСтрокиССохранениемПорядка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет поиск строк в таблице значений с сохранением их порядка.
//
// Параметры:
//  Таблица				 - ТаблицаЗначений - таблица в которой необходимо выполнить поиск.
//  УсловиеПоиска		 - Структура - условие поиска строк.
//  СтрокиПронумерованы	 - Булево - Истина, если строки таблицы были предварительно пронумерованы
//		(см. ДобавитьВТаблицуПорядковыйНомерСтрок).
//
// Возвращаемое значение:
//  Массив - найденные строки.
//
Функция НайтиСтрокиССохранениемПорядка(Таблица, УсловиеПоиска, СтрокиПронумерованы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.НайтиСтрокиССохранениемПорядка(Таблица, УсловиеПоиска, СтрокиПронумерованы);
```
</details>

## ЗначенияРеквизитовОбъектаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения реквизитов переданной ссылки, если ссылка пустая - возвращается значение по умолчанию
// для каждого типа реквизита.
//
// Параметры:
//	Ссылка - ДокументСсылка - ссылка на объект информационной базы.
//	Реквизиты	 - Строка -
//	             - Массив Из Строка - имена реквизитов через запятую или массив имен реквизитов.
//
// Возвращаемое значение:
//	Структура - структура, свойствами которой являются реквизиты ссылки объекта информационной базы,
//							а значениями - значения реквизитов ссылки.
//
Функция ЗначенияРеквизитовОбъектаПоУмолчанию(Ссылка, Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ЗначенияРеквизитовОбъектаПоУмолчанию(Ссылка, Реквизиты) 
```
</details>

## ЗначениеРеквизитаОбъектаТипаБулево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	Ссылка - см. ОбщегоНазначения.ЗначениеРеквизитаОбъекта.Ссылка
// 	ИмяРеквизита - см. ОбщегоНазначения.ЗначениеРеквизитаОбъекта.ИмяРеквизита
// Возвращаемое значение:
//  Булево - значение реквизита, прочитанного из информационной базы по ссылке на объект
//  		см. ОбщегоНазначения.ЗначениеРеквизитаОбъекта. Если полученное значение не имеет тип булево,
//  		возвращается значение Ложь.
//
Функция ЗначениеРеквизитаОбъектаТипаБулево(Ссылка, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ЗначениеРеквизитаОбъектаТипаБулево(Ссылка, ИмяРеквизита) 
```
</details>

## СтруктураСоСвойствамиОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обходит реквизиты и стандартные реквизиты объекта метаданных и создает структуру с такими же полями.
//
// Параметры:
//	ОбъектМетаданных - ОбъектМетаданных - объект метаданных, используемый в качестве источника копирования свойств.
//
// Возвращаемое значение:
//	Структура - структура, свойствами которой являются реквизиты источника копирования.
//
Функция СтруктураСоСвойствамиОбъектаМетаданных(ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.СтруктураСоСвойствамиОбъектаМетаданных(ОбъектМетаданных) 
```
</details>

## ПолучитьМаксимальнуюДатуДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить максимальную дату однотипных документов.
//
// Параметры:
//  МассивДокументов - Массив из ДокументСсылка - Массив однотипных документов
//
// Возвращаемое значение:
//  Дата - максимальная дата документов, если был передлан не пустой массив и ТекущаяДатаСеанса если пустой
Функция ПолучитьМаксимальнуюДатуДокументов(МассивДокументов) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПолучитьМаксимальнуюДатуДокументов(МассивДокументов) 
```
</details>

## Пауза
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Останавливает выполнение кода на заданное время.
// Использовать можно только в фоновом задании.
//
// Параметры:
//  Секунд - Число - время ожидания в секундах.
//
Процедура Пауза(Секунд) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.Пауза(Секунд) 
```
</details>

## НастроитьФормуПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметры контекстных функциональных опций формы.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения -
// 	ПараметрыНастройки - Структура -
//
Процедура НастроитьФормуПоПараметрам(Форма, ПараметрыНастройки) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.НастроитьФормуПоПараметрам(Форма, ПараметрыНастройки) 
```
</details>

## ИнициализироватьРеквизитыФормыДляПолнотекстовогоПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	Форма - ФормаКлиентскогоПриложения -
// 	ИмяФОИспользованияППД - Строка -
//
Процедура ИнициализироватьРеквизитыФормыДляПолнотекстовогоПоиска(Форма, ИмяФОИспользованияППД) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ИнициализироватьРеквизитыФормыДляПолнотекстовогоПоиска(Форма, ИмяФОИспользованияППД) 
```
</details>

## СохранитьДанныеМеханизмаВКэшФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет в реквизит КэшДанныхМеханизмов формы данные, необходимые для работы механизма.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма
// 	ИмяМеханизма - Строка - Имя механизма, который сохраняет данные
// 	ДанныеДляКэширования - Произвольный - Кэшируемые данные
//
Процедура СохранитьДанныеМеханизмаВКэшФормы(Форма, ИмяМеханизма, ДанныеДляКэширования) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.СохранитьДанныеМеханизмаВКэшФормы(Форма, ИмяМеханизма, ДанныеДляКэширования) 
```
</details>

## УдалитьПовторяющиесяЭлементыМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет повторяющиеся элементы массива.
//
// Параметры:
// 	Массив - Массив -
//	НеИспользоватьНеопределено - Булево -
//
// Возвращаемое значение:
// 	Массив - Исходный массив, но уже без повторяющихся элементов
//
Функция УдалитьПовторяющиесяЭлементыМассива(Массив, НеИспользоватьНеопределено = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.УдалитьПовторяющиесяЭлементыМассива(Массив, НеИспользоватьНеопределено);
```
</details>

## ПредставлениеКлавиши
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает представление клавиши
// Параметры:
//	ЗначениеКлавиша						- Клавиша
//
// Возвращаемое значение:
//	Строка - Представление клавиши.
//
Функция ПредставлениеКлавиши(ЗначениеКлавиша) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПредставлениеКлавиши(ЗначениеКлавиша) 
```
</details>

## ПредставлениеСочетанияКлавиш
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает представление клавиши
// Параметры:
//	СочетаниеКлавиш	 - СочетаниеКлавиш - Сочетание клавиш для которого нужно сформировать представление
//	БезСкобок - Булево - Флаг, указывающий, что представление должно быть сформировано без скобок.
//
// Возвращаемое значение:
//	Строка - Представление сочетания клавиш.
//
Функция ПредставлениеСочетанияКлавиш(СочетаниеКлавиш, БезСкобок = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПредставлениеСочетанияКлавиш(СочетаниеКлавиш, БезСкобок);
```
</details>

## УдалитьЗакладкиЕслиСтраницаОдна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает свойство ОтображениеСтраницФормы в Нет, если фактически отображается только одна закладка
// Параметры:
//  ЭлементСтраница  - ГруппаФормы - страница, для которой определяется необходимость отображения закладок.
//
Процедура УдалитьЗакладкиЕслиСтраницаОдна(ЭлементСтраница) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.УдалитьЗакладкиЕслиСтраницаОдна(ЭлементСтраница) 
```
</details>

## ОчиститьНастройкиИлиРеквизитыФормыОтНесуществующихСсылок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В настройках пользователя могут быть битые ссылки. Процедура проверяет, что ссылки не битые, и если это так -
// заменяет эти ссылки на пустые. Если процедура вызывается в событии ПередЗагрузкойДанныхИзНастроекНаСервере - можно
// очистить ссылки собственно в загружаемых настройка. Если в ПриЗагрузкеДанныхИзНастроекНаСервере - настройки уже применены
// к реквизитам формы и чистить нужно их.
//
// Параметры:
//  Настройки	 - Структура, Соответствие -
//  Форма		 - ФормаКлиентскогоПриложения, Неопределено - если передана форма - очищаются реквизиты, если Неопределено - настройки
//
Процедура ОчиститьНастройкиИлиРеквизитыФормыОтНесуществующихСсылок(Настройки, Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ОчиститьНастройкиИлиРеквизитыФормыОтНесуществующихСсылок(Настройки, Форма);
```
</details>

## ИзмененныеПараметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру измененных параметров
//
// Параметры:
// 	СтруктураПараметровНовая - Структура - Структура параметров механизма до изменения ключевых реквизитов.
// 	СтруктураПараметровСтарая - Структура - Структура параметров механизма после изменения ключевых реквизитов.
// Возвращаемое значение:
// 	Структура -
Функция ИзмененныеПараметры(СтруктураПараметровНовая, СтруктураПараметровСтарая) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ИзмененныеПараметры(СтруктураПараметровНовая, СтруктураПараметровСтарая) 
```
</details>

## ПроверитьНаличиеДублейСтрокТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет дубли строк в табличной части
//
// Параметры:
//  Объект				 - ДокументОбъект, ФормаКлиентскогоПриложения - проверяемый ДокументОбъект или форма
//  ИмяТЧ				 - Строка			 - имя проверяемой табличной части
//  КлючевыеРеквизитыТЧ	 - Массив -
//	                     - Строка - массив имен реквизитов, по которым определяется уникальность строки
//	                     - Структура - Ключ это наименование реквизита, значение - представление реквизита
//  Отказ				 - Булево			 - отказ продолжения операции.
//  ПредставлениеТЧ		 - Строка			 - если не указано, то представление будет получено из метаданных.
//  УказыватьНомераСтрок - Булево			 - определяет необходимость вывода номера строки в сообщении об ошибке.
//
Процедура ПроверитьНаличиеДублейСтрокТЧ(Объект, ИмяТЧ, КлючевыеРеквизитыТЧ, Отказ, ПредставлениеТЧ = "", УказыватьНомераСтрок = Истина) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПроверитьНаличиеДублейСтрокТЧ(Объект, ИмяТЧ, КлючевыеРеквизитыТЧ, Отказ, ПредставлениеТЧ, УказыватьНомераСтрок);
```
</details>

## ЗаполнитьДубликатыЗависимыхРеквизитовВКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет значения реквизитов табличной части по структуре
//
// Параметры:
// 		КоллекцияДанных - ДанныеФормыКоллекция - Табличная часть
// 		СтруктураРеквизитов - Структура - Ключ - имя реквизита флага активности. Значение - строка перечисления зависимых реквизитов.
//
Процедура ЗаполнитьДубликатыЗависимыхРеквизитовВКоллекции(КоллекцияДанных, СтруктураРеквизитов) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ЗаполнитьДубликатыЗависимыхРеквизитовВКоллекции(КоллекцияДанных, СтруктураРеквизитов) 
```
</details>

## ВсеСтрокиОтменены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет отмену строк в табличной части документа
// Параметры:
//	Объект - ДокументОбъект - Проверяемый документ
//	ИмяТЧ - Строка - имя проверяемой табличной части
//	ИмяРеквизитаОтменыСтрок - Строка - имя проверяемого булевого реквизита ТЧ.
//
// Возвращаемое значение:
// 	Булево - Результат проверки
//
Функция ВсеСтрокиОтменены(Объект, ИмяТЧ, ИмяРеквизитаОтменыСтрок) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ВсеСтрокиОтменены(Объект, ИмяТЧ, ИмяРеквизитаОтменыСтрок) 
```
</details>

## УстановитьПодпискуНаСобытияИзмененияЭлементовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет установку подписки на события изменения элементов формы.
//
// Параметры:
// 		Форма - ФормаКлиентскогоПриложения - Форма документа:
// 							* Объект - ДокументОбъект - Свойства:
// 								* Ссылка - ДокументСсылка -
// 		ИменаЭлементов - Массив Из Строка - массив имен элементов формы.
// 		Установить - Булево - необходимость установки или снятия предупреждения.
//
Процедура УстановитьПодпискуНаСобытияИзмененияЭлементовФормы(Форма, ИменаЭлементов, Установить) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.УстановитьПодпискуНаСобытияИзмененияЭлементовФормы(Форма, ИменаЭлементов, Установить) 
```
</details>

## УстановитьУсловноеОформлениеПриоритета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливаем условное оформление для поля формы "Приоритет"
//    в зависимости от его значения.
//
// Параметры:
// 		Форма - ФормаКлиентскогоПриложения - Содержит данную форму с реквизитами:
// 			* Элементы - ВсеЭлементыФормы - Коллекция элементов формы:
// 				** Приоритет - ПолеФормы -
//
Процедура УстановитьУсловноеОформлениеПриоритета(Форма) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.УстановитьУсловноеОформлениеПриоритета(Форма) 
```
</details>

## ЗаполнитьРекурсивноПоляУсловногоОформления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет всеми подчиненными полями (с учетом вложенности в группы) оформляемые поля условного оформления
// Пример вызова: ЗаполнитьРекурсивноПоляУсловногоОформления(ЭлементУО.Поля, Элементы.Товары.ПодчиненныеЭлементы).
//
// Параметры:
//	ОформляемыеПоляКомпоновкиДанных	- ОформляемыеПоляКомпоновкиДанных -
//	КоллекцияЭлементов - ЭлементыФормы -
//	ИсключаяПоля - Массив -
//	             - Строка -
//	             - Неопределено - значение по умолчанию Неопределено, массив имен элементов, которые не нужно добавлять в оформляемые поля.
//
Процедура ЗаполнитьРекурсивноПоляУсловногоОформления(ОформляемыеПоляКомпоновкиДанных, КоллекцияЭлементов, Знач ИсключаяПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ЗаполнитьРекурсивноПоляУсловногоОформления(ОформляемыеПоляКомпоновкиДанных, КоллекцияЭлементов, ИсключаяПоля);
```
</details>

## УстановитьСнятьОтметкуНезаполненного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму условное оформление элемента (отметку незаполненного), исходя из значения служебного реквизита
// по следующему правилу: если реквизит не заполнен а служебный реквизит заполнен то пометка устанавливается, иначе снимается.
//
//  Параметры:
//   УсловноеОформление - УсловноеОформлениеКомпоновкиДанных - условное оформление формы.
//   ИмяЭлемента - Строка - имя элемента для условного оформления.
//   ПутьКРеквизиту - Строка - путь к оформляемому реквизиту, например "Объект.Товары".
//   ПутьКПризнаку - Строка - путь к служебному реквизиту, определяющему необходимость отметки незаполненного значения.
//
Процедура УстановитьСнятьОтметкуНезаполненного(УсловноеОформление, ИмяЭлемента, ПутьКРеквизиту, ПутьКПризнаку) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.УстановитьСнятьОтметкуНезаполненного(УсловноеОформление, ИмяЭлемента, ПутьКРеквизиту, ПутьКПризнаку) 
```
</details>

## УстановитьРежимКомандногоИнтерфейса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установка набора видимых подсистем командного интерфейса
//  и настроек всем пользователям вида интерфейса (Такси / в закладках).
//
// Параметры:
//  Режим	 - Строка	 - ИнтерфейсТакси / ИнтерфейсВерсии82 - соответствует константе, которая будет установлена в Истину.
//
Процедура УстановитьРежимКомандногоИнтерфейса(Режим) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.УстановитьРежимКомандногоИнтерфейса(Режим) 
```
</details>

## ПереключениеИнтерфейсаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Переключение интерфейса при создании на сервере
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Форма панели администрирования.
//
Процедура ПереключениеИнтерфейсаПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ПереключениеИнтерфейсаПриСозданииНаСервере(Форма) 
```
</details>

## ВосстановитьНастройкиДинамическогоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Восстанавливает настройки динамического списка, используется после изменения текста запроса
//
// Параметры:
//  Список - ДинамическийСписок - динамический список, для которого нужно восстановить настройки
//
Процедура ВосстановитьНастройкиДинамическогоСписка(Список) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ВосстановитьНастройкиДинамическогоСписка(Список) 
```
</details>

## ОбработкаПолученияДанныхВыбораХозяйственныеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПолученияДанныхВыбораХозяйственныеОперации(ДанныеВыбора, Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ОбработкаПолученияДанныхВыбораХозяйственныеОперации(ДанныеВыбора, Параметры, СтандартнаяОбработка) 
```
</details>

## ОбработкаПолученияДанныхВыбораГруппыФинансовогоУчетаРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПолученияДанныхВыбораГруппыФинансовогоУчетаРасчетов(ДанныеВыбора, Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ОбработкаПолученияДанныхВыбораГруппыФинансовогоУчетаРасчетов(ДанныеВыбора, Параметры, СтандартнаяОбработка) 
```
</details>

## ДоступныеХозяйственныеОперацииИДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу с хозяйственными операциями и типами документов доступными по функциональным опциям
// и по правам.
//
// Параметры:
//	ТаблицаЗначений - ТаблицаЗначений -
//	ОтборХозяйственныеОперации - Структура  -
//	ОтборТипыДокументов - Структура -
//	КлючНазначенияИспользования - Строка
//
// Возвращаемое значение:
//	ТаблицаЗначений - Колонки:
//		* ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации -
//		* ИдентификаторОбъектаМетаданных - СправочникСсылка.ИдентификаторыОбъектовМетаданных -
//		* Отбор - Булево -
//		* ДокументПредставление - Строка -
//
Функция ДоступныеХозяйственныеОперацииИДокументы(ТаблицаЗначений, ОтборХозяйственныеОперации, ОтборТипыДокументов, КлючНазначенияИспользования) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ДоступныеХозяйственныеОперацииИДокументы(ТаблицаЗначений, ОтборХозяйственныеОперации, ОтборТипыДокументов, КлючНазначенияИспользования) 
```
</details>

## УстановитьУсловноеОформлениеПоляСКлючемРеестраДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление поля Контрагент в журнале.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения -
//  ИмяПоля - Строка -
//  ПутьКДаннымПоля - Строка -
//
Процедура УстановитьУсловноеОформлениеПоляСКлючемРеестраДокументов(Форма, ИмяПоля, ПутьКДаннымПоля) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.УстановитьУсловноеОформлениеПоляСКлючемРеестраДокументов(Форма, ИмяПоля, ПутьКДаннымПоля) 
```
</details>

## ДанныеПоШтрихКодуПечатнойФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Данные по штрих коду печатной формы
//
// Параметры:
//	Штрихкод - Строка - Штрихкод
//  ХозяйственныеОперацииИДокументы	 - 	ТаблицаЗначений -  таблица с колонкой "ПолноеИмяДокумента".
//
// Возвращаемое значение:
//  Неопределено, Структура -
//
Функция ДанныеПоШтрихКодуПечатнойФормы(Штрихкод, ХозяйственныеОперацииИДокументы) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ДанныеПоШтрихКодуПечатнойФормы(Штрихкод, ХозяйственныеОперацииИДокументы) 
```
</details>

## ЗаполнитьОтборыПоТаблицеХозОперацийИТиповДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет отборы по таблице хоз операций и типов документов.
//
// Параметры:
//  ТаблицаЗначенийДоступно - ТаблицаЗначений -
//  ОтборХозяйственныеОперации - СписокЗначений -
//  ОтборТипыДокументов - СписокЗначений -
Процедура ЗаполнитьОтборыПоТаблицеХозОперацийИТиповДокументов(ТаблицаЗначенийДоступно, ОтборХозяйственныеОперации, ОтборТипыДокументов) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ЗаполнитьОтборыПоТаблицеХозОперацийИТиповДокументов(ТаблицаЗначенийДоступно, ОтборХозяйственныеОперации, ОтборТипыДокументов) 
```
</details>

## НастроитьКнопкиУправленияДокументами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Корректирует состав команд управления документами
//
// Параметры:
//  СтруктураПараметров	 - см. ОбщегоНазначенияУТ.СтруктураПараметровНастройкиКнопокУправленияДокументами
//
Процедура НастроитьКнопкиУправленияДокументами(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.НастроитьКнопкиУправленияДокументами(СтруктураПараметров) 
```
</details>

## СтруктураПараметровНастройкиКнопокУправленияДокументами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров настройки кнопок управления документами.
//
// Возвращаемое значение:
//  Структура - Свойства:
//		* Форма - ФормаКлиентскогоПриложения - сюда должна быть помещена управляемая форма, в которой происходит настройка кнопок
//		* ИмяТаблицыХозяйственныхОперацийИДокументов - Строка - имя реквизита формы, который является табличной частью и хранит хоз. операции и документы рабочего места
//		* ИмяКнопкиСкопировать - Строка - имя элемента формы (кнопки Скопировать)
//		* ИмяКнопкиИзменить - Строка - имя элемента формы (кнопки Изменить)
//		* ИмяКнопкиПровести - Строка - имя элемента формы (кнопки Провести)
//		* ИмяКнопкиОтменаПроведения - Строка - имя элемента формы (кнопки ОтменитьПроведение)
//		* ИмяКнопкиУстановитьПометкуУдаления - Строка - имя элемента формы (кнопки УстановитьПометкуУдаления)
//		* ИмяГруппыСоздать - Строка - имя элемента формы (группы Создать)
//		* МаксимальноеКоличествоКомандВПодменю - Число - максимальное количество команд в подменю
//		* ЗаголовокПодменюСоздать - Строка - позволяет определить заголовок подменю "Создать"
//
Функция СтруктураПараметровНастройкиКнопокУправленияДокументами() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.СтруктураПараметровНастройкиКнопокУправленияДокументами() 
```
</details>

## СформироватьНадписьОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует надпись отбора.
//
// Параметры:
//  ИнформационнаяНадписьОтбор - ФорматированнаяСтрока -
//  ХозяйственныеОперацииИДокументы - ДанныеФормыКоллекция -
//  ОтборТипыДокументов - СписокЗначений -
//  ОтборХозяйственныеОперации - СписокЗначений -
Процедура СформироватьНадписьОтбор(ИнформационнаяНадписьОтбор, ХозяйственныеОперацииИДокументы, ОтборТипыДокументов, ОтборХозяйственныеОперации) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.СформироватьНадписьОтбор(ИнформационнаяНадписьОтбор, ХозяйственныеОперацииИДокументы, ОтборТипыДокументов, ОтборХозяйственныеОперации) 
```
</details>

## ОбработатьМультиязычнуюКолонкуСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает мультиязычную строку колонки списка РеестраДокументов
//
// Параметры:
//  СтрокиСписка - СтрокиДинамическогоСписка - строки списка формы
//
Процедура ОбработатьМультиязычнуюКолонкуСписка(СтрокиСписка) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ОбработатьМультиязычнуюКолонкуСписка(СтрокиСписка) 
```
</details>

## ОбработатьМультиязычнуюКолонкуТаблицыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает мультиязычную строку таблицы значений колонки дополнительно из РеестраДокументов
//
// Параметры:
//  ИмяКолонки - Строка - Имя колонки
//  Таблица - ТаблицаЗначений
//
Процедура ОбработатьМультиязычнуюКолонкуТаблицыЗначений(Таблица, ИмяКолонки = "Дополнительно") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ОбработатьМультиязычнуюКолонкуТаблицыЗначений(Таблица, ИмяКолонки);
```
</details>

## ВыполнитьПакетЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос, формируя текст запроса из списка текста запросов.
//
// Параметры:
// 	Запрос - Запрос - Запрос.
// 	ТекстыЗапроса - СписокЗначений - Значение содержит текст запроса, представление содержит имя запроса.
// 	ДобавитьРазделитель - Булево - Добавить разделитель пакета запросов.
// 	УничтожитьСозданныеВременныеТаблицы - Булево - Уничтожить созданные временные таблицы
//
// Возвращаемое значение:
// 	Неопределено, Массив - Результат запроса.
Функция ВыполнитьПакетЗапросов(Запрос, ТекстыЗапроса, ДобавитьРазделитель = Истина, УничтожитьСозданныеВременныеТаблицы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ВыполнитьПакетЗапросов(Запрос, ТекстыЗапроса, ДобавитьРазделитель, УничтожитьСозданныеВременныеТаблицы);
```
</details>

## ВыгрузитьРезультатыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пакет запросов и возвращает результат каждого запроса в виде таблицы значений.
//
// Параметры:
//	Запрос			- Запрос - запрос, параметры которого предварительно установлены.
//	ТекстыЗапроса	- СписокЗначений - в списке перечислены тексты запросов и их имена.
//	ОбходРезультата - ОбходРезультатаЗапроса - вариант обхода результата запроса.
//	ДобавитьРазделитель - Булево - добавлять разделитель между запросами из ТекстыЗапроса
//	УничтожитьСозданныеВременныеТаблицы - Булево - добавить уничтожение временных таблиц, создаваемых в ТекстыЗапроса
//										Для уничтожения таблице должно быть присвоено имя в ТекстыЗапроса.
//
// Возвращаемое значение:
//   Структура   - структура в которую помещены полученные таблицы.
//
Функция ВыгрузитьРезультатыЗапроса(Запрос, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ВыгрузитьРезультатыЗапроса(Запрос, );
```
</details>

## ПолучитьРезультатыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пакет запросов и возвращает результат каждого запроса в виде результата запроса.
//
// Параметры:
//	Запрос			- Запрос - запрос, параметры которого предварительно установлены.
//	ТекстыЗапроса	- СписокЗначений - в списке перечислены тексты запросов и их имена.
//	ДобавитьРазделитель - Булево - добавлять разделитель между запросами из ТекстыЗапроса
//	УничтожитьСозданныеВременныеТаблицы - Булево - добавить уничтожение временных таблиц, создаваемых в ТекстыЗапроса
//										Для уничтожения таблице должно быть присвоено имя в ТекстыЗапроса.
//
// Возвращаемое значение:
// 	Структура из КлючИЗначение - содержит:
// 		* Ключ - Строка - Имя запроса
//		* Значение - РезультатЗапроса - Результат запроса
//
Функция ПолучитьРезультатыЗапроса(Запрос, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПолучитьРезультатыЗапроса(Запрос, );
```
</details>

## ГраницыОборотовРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру границ оборотов по регистру
//
// Параметры:
//  ИмяРегистра - Строка - Имя регистра накопления.
//  Отборы      - Строка - Отборы виртуальной таблицы оборотов, для которой необходимо получить границы.
//  Параметры   - Структура - Параметры запроса для отборов виртуальной таблицы.
//
// Возвращаемое значение:
//  Структура - Структура границ со свойствами:
//  	* МинимальнаяДата - Дата - Начальная граница оборотов.
//  	* МаксимальнаяДата - Дата - Конечная граница оборотов.
//
Функция ГраницыОборотовРегистра(ИмяРегистра, Отборы, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ГраницыОборотовРегистра(ИмяРегистра, Отборы, Параметры) 
```
</details>

## РазделительЗапросовВПакете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбщегоНазначения.РазделительПакетаЗапросов.
// Возвращает текст разделителя для вставки между текстами пакета запросов.
//
// Возвращаемое значение:
//  Строка - текст разделителя.
//
Функция РазделительЗапросовВПакете() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.РазделительЗапросовВПакете() 
```
</details>

## РазделительЗапросовВОбъединении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст разделителя для вставки между текстами объединяемых запросов.
//
// Параметры:
//  ТолькоУникальные - Булево - признак того, что необходимо выбирать только уникальные записи при объединении.
//
// Возвращаемое значение:
//  Строка - текст разделителя.
//
Функция РазделительЗапросовВОбъединении(ТолькоУникальные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.РазделительЗапросовВОбъединении(ТолькоУникальные);
```
</details>

## ДобавитьЭлементОтбораВКоллекцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Добавляет настройку отбора для запросов в коллекцию
//
// Параметры:
//  Отбор               - Соответствие - коллекция настроек отборов
//  ЛевоеЗначение       - Строка       - левое значение отбора в запросах
//  ПравоеЗначение      - Строка       - правое значение отбора в запросах
//  ВидСравненияЗапроса - Строка       - вид сравнения запроса, по умолчанию: "В"
//
Процедура ДобавитьЭлементОтбораВКоллекцию(Отбор, ЛевоеЗначение, ПравоеЗначение, ВидСравненияЗапроса = "") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ДобавитьЭлементОтбораВКоллекцию(Отбор, ЛевоеЗначение, ПравоеЗначение, ВидСравненияЗапроса);
```
</details>

## ДобавитьОтборПоКлючевымРеквизитамРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет ключевые реквизиты распоряжения в коллекцию отбора
//
// Параметры:
// 	КлючевыеРеквизиты - Массив
// 	Отбор - Соответствие
//
Процедура ДобавитьОтборПоКлючевымРеквизитамРаспоряжения(КлючевыеРеквизиты, Отбор) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ДобавитьОтборПоКлючевымРеквизитамРаспоряжения(КлючевыеРеквизиты, Отбор) 
```
</details>

## ТекстОтбораПоКоллекцииОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст условий запроса по коллекции отборов
//
// Параметры:
// 	Отбор - Соответствие
// Возвращаемое значение:
// 	Строка
//
Функция ТекстОтбораПоКоллекцииОтборов(Отбор) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ТекстОтбораПоКоллекцииОтборов(Отбор) 
```
</details>

## ТекстЗапросаДанныеТЧОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса получения данных табличной части документа
//
// Параметры:
// 	Ссылка - ЛюбаяСсылка
// 	ИмяТЧ - Строка
// 	ДанныеИзИБ - Булево - флаг определяющий откуда будут получены данные табличной части - из ИБ, либо из параметра запроса
// 	ПоляИндекса - Строка, Массив - перечень полей, по которым будет построен индекс временной таблицы
// 	ИмяПоляОтменено - Строка
// Возвращаемое значение:
// 	Строка - текст запроса получения данных табличной части документа
//
Функция ТекстЗапросаДанныеТЧОбъекта(Ссылка, ИмяТЧ, ДанныеИзИБ, ПоляИндекса = "", ИмяПоляОтменено = "Отменено") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ТекстЗапросаДанныеТЧОбъекта(Ссылка, ИмяТЧ, ДанныеИзИБ, ПоляИндекса, ИмяПоляОтменено);
```
</details>

## ПараметрыТекстаЗапросаРаспоряженийНакладных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура параметров формирования текста запроса распоряжений накладных
//
// Возвращаемое значение:
//  Структура - Описание:
//		* ИменаРеквизитовНакладной - Структура -
//		* Отбор - Соответствие -
//		* ИмяВТ - Строка -
//		* СформироватьВТ - Булево -
//
Функция ПараметрыТекстаЗапросаРаспоряженийНакладных() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПараметрыТекстаЗапросаРаспоряженийНакладных() 
```
</details>

## СписокВременныхТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список временных таблиц.
//
// Параметры:
//  МенеджерВременныхТаблиц	 - МенеджерВременныхТаблиц	 - менеджер временных таблиц, таблицы которого нужно получить.
//
// Возвращаемое значение:
//  Массив - Временные таблицы, находящиеся в менеджере.
//
Функция СписокВременныхТаблиц(МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.СписокВременныхТаблиц(МенеджерВременныхТаблиц) 
```
</details>

## УничтожитьВременныеТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Уничтожает временные таблицы менеджера временных таблиц.
//
// Параметры:
//  МенеджерВременныхТаблиц	 - МенеджерВременныхТаблиц	 - менеджер временных таблиц, таблицы которого нужно уничтожить.
//  СписокТаблиц - Строка, Массив из Строка - имена временных таблиц для уничтожения, разделенные запятыми. Если параметр не установлен - все таблицы.
//  ИсключаяТаблицы	- Строка, Массив из Строка - имена временных таблиц, которые нужно оставить, разделенные запятыми.
//
Процедура УничтожитьВременныеТаблицы(МенеджерВременныхТаблиц, СписокТаблиц = Неопределено, ИсключаяТаблицы = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.УничтожитьВременныеТаблицы(МенеджерВременныхТаблиц, СписокТаблиц, ИсключаяТаблицы);
```
</details>

## ЗаменитьОтсутствующиеПоляВтВТекстеЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразователь текста запроса с временными таблицами - если поле есть, то оно выбирается, если нет - текст
// заменяется на значение по умолчанию. В тексте запроса поле должно быть в виде &ТекстПоляИмяТаблицыИмяПоля_
// (начитается с "&ТекстПоля", затем имя таблицы источника данных запроса, потом собственно имя поля и "_").
//
// Параметры:
//	МенеджерВременныхТаблиц	 - МенеджерВременныхТаблиц -менеджер временных таблиц запроса.
//	ТекстЗапроса			 - Строка - текст запроса, в котором выполняется преобразование.
//	ТекстЗамены				 - Строка - заменяемый текст запроса.
//	ИмяТаблицы				 - Строка - имя временной таблицы, для которой выполняется преобразование текста.
//	ИмяПоля					 - Строка - имя поля, наличие которого проверяет во временной таблице.
//	ТекстВыражениеВыборки	 - Строка - выражение выборки поля в тексте запроса. Значение по умолчанию- пустая строка.
//										Если значение не указано - выбирается ИмяТаблицы.ИмяПоля.
//	ТекстЗначенияПоУмолчанию - Строка - значение поля по умолчанию. Если не указано, тогда значение по умолчанию - "НЕОПРЕДЕЛЕНО".
//
Процедура ЗаменитьОтсутствующиеПоляВтВТекстеЗапроса(МенеджерВременныхТаблиц, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ЗаменитьОтсутствующиеПоляВтВТекстеЗапроса(МенеджерВременныхТаблиц, );
```
</details>

## ЗаменитьОтсутствующиеПоляТаблицыЗначенийВТекстеЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразователь текста запроса, источником данных которого является таблица значений.
// Если поле есть, то оно выбирается, если нет - текст  заменяется на значение по умолчанию.
// В тексте запроса поле должно быть в виде &ТекстПоляИмяТаблицыИмяПоля_ (начитается с "&ТекстПоля", затем имя таблицы
// источника данных запроса, потом собственно имя поля и "_").
//
// Параметры:
//	Таблица					 - ТаблицаЗначений, ТабличнаяЧасть - таблица источник данных для текста запроса.
//	ТекстЗапроса			 - Строка - текст запроса, в котором выполняется преобразование.
//	ТекстЗамены				 - Строка - заменяемый текст запроса.
//	ИмяТаблицы				 - Строка - имя таблицы источника данных в запросе, для которой выполняется преобразование текста.
//	ИмяПоля					 - Строка - имя поля, наличие которого проверяет в таблице значений.
//	ТекстВыражениеВыборки	 - Строка - выражение выборки поля в тексте запроса. Значение по умолчанию- пустая строка.
//										Если значение не указано - выбирается ИмяТаблицы.ИмяПоля.
//	ТекстЗначенияПоУмолчанию - Строка - значение поля по умолчанию. Если не указано, тогда значение по умолчанию - "НЕОПРЕДЕЛЕНО".
//
Процедура ЗаменитьОтсутствующиеПоляТаблицыЗначенийВТекстеЗапроса(Знач Таблица, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ЗаменитьОтсутствующиеПоляТаблицыЗначенийВТекстеЗапроса(Таблица, );
```
</details>

## ТекстРаспределенияСуммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст распределения суммы в запросе.
//
// Параметры:
//  ИмяПоляСумма - Строка - Имя поля, содержащего сумму, которую нужно распределить
//  ИмяПоляБаза - Строка - Имя поля, содержащего коэффициент распределения
//  ИмяПоляБазаНакопленная - Строка - Имя поля, содержащего сумму коэффициентов предыдущих строк
//  ИмяПоляСуммаБазы - Строка - Имя поля, содержащего сумму всех коэффициентов
//
// Возвращаемое значение:
//  Строка - Текст распределения суммы
Функция ТекстРаспределенияСуммы(ИмяПоляСумма, ИмяПоляБаза = Неопределено, ИмяПоляБазаНакопленная = Неопределено, ИмяПоляСуммаБазы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ТекстРаспределенияСуммы(ИмяПоляСумма, ИмяПоляБаза, ИмяПоляБазаНакопленная, ИмяПоляСуммаБазы);
```
</details>

## НайтиДокументВРеестре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит документы в реестре документов и дополняет результат глобального поиска.
//
// Параметры:
//  СтрокаПоиска - Строка - строка, которую ввел пользователь
//  РезультатПоиска - РезультатГлобальногоПоиска - дополняемый результат поиска
Процедура НайтиДокументВРеестре(СтрокаПоиска, РезультатПоиска) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.НайтиДокументВРеестре(СтрокаПоиска, РезультатПоиска) 
```
</details>

## ПредставлениеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление переданного объекта.
//
// Параметры:
//	ПараметрОбъект - Строка -
//	               - ОбъектМетаданных - объект для получения представления
//
// Возвращаемое значение:
//	Строка - представление объекта
//
Функция ПредставлениеОбъекта(ПараметрОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.ПредставлениеОбъекта(ПараметрОбъект) 
```
</details>

## СкопироватьЭлементыФормыРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет программное рекурсивное копирование элементов формы.
// Новые элементы будут привязаны к тем же данным, что и исходные.
// Для новых элементов будут подключены те же обработчики событий, что и к исходным.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма, элементы на которой требуется скопировать.
// 	Источник - ГруппаФормы - Группа, подчиненные элементы которой необходимо скопировать.
// 	Приемник - ГруппаФормы - Группа, в которую необходимо добавить новые элементы.
// 	Постфикс - Строка - Постфикс, который будет добавлен к именам новых элементов.
//
Процедура СкопироватьЭлементыФормыРекурсивно(Форма, Источник, Приемник, Постфикс) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.СкопироватьЭлементыФормыРекурсивно(Форма, Источник, Приемник, Постфикс) 
```
</details>

## ОтключитьПроверкуЗаполненияРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает проверку заполнения реквизитов.
//
// Параметры:
// 	ПараметрыРеквизитовОбъекта - Массив из см. ОбщегоНазначенияУТКлиентСервер.НовыйПараметрРеквизитаОбъекта - Параметры реквизитов.
// 	МассивНепроверяемыхРеквизитов - Массив из Строка -
Процедура ОтключитьПроверкуЗаполненияРеквизитовОбъекта(ПараметрыРеквизитовОбъекта, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.ОтключитьПроверкуЗаполненияРеквизитовОбъекта(ПараметрыРеквизитовОбъекта, МассивНепроверяемыхРеквизитов) 
```
</details>

## УстановитьУправляемуюБлокировку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает управляемую блокировку таблицы.
//
// Параметры:
//  СтруктураПараметров 		- Структура - Структура параметров блокировки. Обязательный параметр.
//								Обязательно должна содержать свойства:
//								"ИмяТаблицы" - Строка - имя таблицы, на которую накладывается блокировка.
//									Например: "АвансовыйОтчет"
//								Необязательные свойства:
//								"ТипТаблицы" - Строка - тип таблицы, на которую накладывается блокировка.
//									Пространство блокировки состоит из типа таблицы и имени таблицы.
//									Например: "Документ"
//									Значение по умолчанию: "РегистрНакопления"
//								"РежимБлокировки" - РежимБлокировкиДанных - режим накладываемой блокировки.
//									Значение по умолчанию: РежимБлокировкиДанных.Исключительный
//								"ИсточникДанных" - источник данных для блокировки.
//									Может передаваться значение любого типа, поддерживаемого свойством ИсточникДанных элемента блокировки,
//									а также типа "Менеджер временных таблиц".
//									Если в структуре нет этого свойства - блокировки через ИспользоватьИзИсточникаДанных() не накладываются.
//								"ИмяВременнойТаблицы" - Строка - имя временной таблицы менеджера временных таблиц, которая служит источником данных для блокировки.
//									Обязательно должно указываться, если в качестве источника данных процедуре передан менеджер временных таблиц.
//  КоллекцияЗначенийБлокировки	- Структура, Соответствие - описывает значения блокировки, накладываемые с помощью УстановитьЗначение().
//									Ключ - поле блокировки - <Строка или (только для соответствия) ПланыВидовХарактеристикСсылка>,
//										ПланыВидовХарактеристикСсылка используется для блокировки регистра бухгалтерии по виду субконто.
//									Значение - блокируемое значение - <Произвольный тип>.
//									Если передано Неопределено или если коллекция не содержит ни одного элемента -
//									блокировки методом УстановитьЗначение() не накладываются.
//  КоллекцияОписанияИсточника	- Структура, Соответствие - описывает значения блокировки, накладываемые с помощью ИспользоватьИзИсточникаДанных().
//									Ключ - поле блокировки - <Строка или (только для соответствия) ПланыВидовХарактеристикСсылка>,
//										ПланыВидовХарактеристикСсылка используется для блокировки регистра бухгалтерии по виду субконто.
//									Значение - поле таблицы источника данных - <Строка>.
//									Если передано Неопределено или если коллекция не содержит ни одного элемента -
//									блокировки методом ИспользоватьИзИсточникаДанных() не накладываются.
//
Процедура УстановитьУправляемуюБлокировку(СтруктураПараметров, КоллекцияЗначенийБлокировки = Неопределено, КоллекцияОписанияИсточника = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТ.УстановитьУправляемуюБлокировку(СтруктураПараметров, КоллекцияЗначенийБлокировки, КоллекцияОписанияИсточника);
```
</details>

## СравнитьТаблицыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает построчно указанные таблицы.
//
// Параметры:
//	Таблица1 			   - ТаблицаЗначений - таблица №1
//	Таблица2 			   - ТаблицаЗначений - таблица №2
//	КолонкиДолжныСовпадать - Булево - если Истина, то колонки должны быть идентичны.
//
// Возвращаемое значение:
//	Строка 			- если КолонкиДолжныСовпадать = Истина и колонки таблиц отличаются; возвращается описание отличий в колонках
//	ТаблицаЗначений - во всех остальных случаях; содержит только отличающиеся строки таблиц №1 и №2
//		состав колонок таблицы - общие колонки таблиц №1 и №2
//		служебная колонка "СчетчикСтрокСравниваемыхТаблиц" содержит число отличное от 0:
//			если счетчик > 0, то строка встречается в таблице №1 на указанное количество раз больше
//			если счетчик < 0, то строка встречается в таблице №2 на указанное количество раз больше.
//
Функция СравнитьТаблицыЗначений(Таблица1, Таблица2, КолонкиДолжныСовпадать = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТ.СравнитьТаблицыЗначений(Таблица1, Таблица2, КолонкиДолжныСовпадать);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
