---
title: Общего назначения УТ клиент
slug: erp-uh/общего-назначения-ут-клиент
---


## РедактироватьПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура позволяет установить период через стандартный диалог выбора периода
//
// Параметры:
//  Объект                - Произвольный - Объект в котором устанавливается значения периода
//  ПараметрыПериода      - Структура - структура со свойствами "ДатаНачала", "ДатаОкончания" и в значениях имена полей
//                              объекта, для свойства "Вариант" - значение варианта стандартного периода.
//  ОповещениеПослеВыбора - ОписаниеОповещения - Описание оповещение которое выполняется после установки периода.
//                              Может быть установлена пост-обработка в месте вызова после выбора периода.
//
Процедура РедактироватьПериод(Объект, ПараметрыПериода = Неопределено, ОповещениеПослеВыбора = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.РедактироватьПериод(Объект, ПараметрыПериода, ОповещениеПослеВыбора);
```
</details>

## ВыбратьПериодИзСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет выбрать период из выпадающего списка
//
// Параметры:
//  Форма				- Форма - форма, в которой выполняется выбор периода
//  Элемент				- ПолеФормы - элемент, рядом с которым нужно открыть выпадающий список
//	ВидПериода			- ПеречислениеСсылка.ДоступныеПериодыОтчета - вид выбираемого периода
//	НачалоПериода 		- Дата - Начало периода
//	ОбработчикВыбора	- ОписаниеОповещения - обработчик, расположенный в форме, который будет вызван после выбора.
//
Процедура ВыбратьПериодИзСписка(Форма, Элемент, ВидПериода, НачалоПериода, ОбработчикВыбора) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ВыбратьПериодИзСписка(Форма, Элемент, ВидПериода, НачалоПериода, ОбработчикВыбора) 
```
</details>

## УстановитьПометкуУдаления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды "Установить пометку удаления"
//
//	Параметры:
//		Список - ТаблицаФормы -
//		ТипСписка - Строка - тип документов списка.
//		ОповещениеОЗавершении - ОписаниеОповещения - оповещение, которое должно быть вызвано после завершения попытки пометки на удаление.
//
Процедура УстановитьПометкуУдаления(Список, ТипСписка, ОповещениеОЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.УстановитьПометкуУдаления(Список, ТипСписка, ОповещениеОЗавершении);
```
</details>

## ПровестиДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды "Провести"
//
//	Параметры:
//		Список - ТаблицаФормы -
//		ТипСписка - Строка - тип документов списка.
//
Процедура ПровестиДокументы(Список, ТипСписка) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ПровестиДокументы(Список, ТипСписка) 
```
</details>

## ОтменаПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды "Отмена проведения"
//
//	Параметры:
//		Список - ТаблицаФормы,
//		ТипСписка - Строка - тип документов списка.
//
Процедура ОтменаПроведения(Список, ТипСписка) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ОтменаПроведения(Список, ТипСписка) 
```
</details>

## ПриВыбореОтбораПоАктуальности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выборе даты актуальности или даты события.
// Изменяет значение даты актуальности или даты события в зависимости от выбранного значения.
//
// Параметры:
//	ВыбранноеЗначение - Строка - выбранное значение отбора.
//	СтандартнаяОбработка - Булево - флаг стандартной обработки события.
//	Форма - ФормаКлиентскогоПриложения - форма списка документов.
//	Список - ДинамическийСписок - список документов.
//	ИмяРеквизитаАктуальность - Строка - имя реквизита строки отбора по актуальности.
//	ИмяРеквизитаДатаСобытия - Строка - имя реквизита даты, на которую документ будет просрочен.
//
Процедура ПриВыбореОтбораПоАктуальности(ВыбранноеЗначение, СтандартнаяОбработка, Форма, Список, ИмяРеквизитаАктуальность, ИмяЭлементаАктуальность, ИмяРеквизитаДатаСобытия) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ПриВыбореОтбораПоАктуальности(ВыбранноеЗначение, СтандартнаяОбработка, Форма, Список, ИмяРеквизитаАктуальность, ИмяЭлементаАктуальность, ИмяРеквизитаДатаСобытия) 
```
</details>

## ВвестиДатуСКонтролемПустогоЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает диалог ввода даты. В случае ввода пустой даты - предлагает повторный диалог ввода даты.
//
// Параметры:
//	Дата - Дата - начальное значение даты диалога. В эту дату будет помещен результат диалога.
//	Подсказка - Строка - текст заголовка диалога ввода даты.
//	ЧастьДаты - ЧастиДаты - вариант использования значения типа 'Дата'.
//	ОповещениеОВыборе - ОписаниеОповещения - описание оповещения после выбора даты.
//
Процедура ВвестиДатуСКонтролемПустогоЗначения(Дата, Подсказка, ЧастьДаты, ОповещениеОВыборе) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ВвестиДатуСКонтролемПустогоЗначения(Дата, Подсказка, ЧастьДаты, ОповещениеОВыборе) 
```
</details>

## ПоказатьВыборДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму ввода даты.
// Дата должна быть не пустая и в пределах указанного периода.
//
// Параметры:
//	Дата - Дата - начальное значение даты диалога.
//	Подсказка - Строка - заголовок диалога ввода даты.
//	ЧастьДаты - ЧастиДаты - вариант использования значения типа 'Дата'.
//	ОповещениеОВыборе - ОписаниеОповещения - описание оповещения после выбора даты.
//	НачалоПериода - Дата - начало периода, в котором должна быть дата.
//	КонецПериода - Дата - конец периода, в котором должна быть дата.
//
Процедура ПоказатьВыборДаты(Дата, Подсказка, ЧастьДаты, ОповещениеОВыборе, НачалоПериода = '000101010000', КонецПериода = '000101010000') Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ПоказатьВыборДаты(Дата, Подсказка, ЧастьДаты, ОповещениеОВыборе, НачалоПериода, КонецПериода);
```
</details>

## ИзменитьЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды "Изменить"
//
// Параметры:
//  Список - ТаблицаФормы - Таблица формы:
//  	* ТекущиеДанные - ДанныеФормыСтруктура - С полями:
//  		** Ссылка - ДокументСсылка -
Процедура ИзменитьЭлемент(Список) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ИзменитьЭлемент(Список) 
```
</details>

## СкопироватьЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды "Скопировать"
//
// Параметры:
//  Список - ТаблицаФормы - Таблица формы:
//  	* ТекущиеДанные - ДанныеФормыСтруктура - С полями:
//  		** Ссылка - ДокументСсылка -
Процедура СкопироватьЭлемент(Список) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.СкопироватьЭлемент(Список) 
```
</details>

## СоздатьДокументЧерезФормуВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициирует открытие формы выбора хоз операции и типа документа для дальнейшего создания нового.
//
// Параметры:
//  АдресДоступныхХозяйственныхОперацийИДокументов	 - Строка - адрес во временном хранилище с таблицей доступных хоз. операций и документов
//  КлючФормы										 - Строка - ключ формы
//  КлючНазначенияИспользования						 - Строка - ключ настроек
//  СтруктураОтбора									 - Структура - структура с отборами для заполнения в документе.
//
Процедура СоздатьДокументЧерезФормуВыбора(АдресДоступныхХозяйственныхОперацийИДокументов, КлючФормы, КлючНазначенияИспользования, СтруктураОтбора) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.СоздатьДокументЧерезФормуВыбора(АдресДоступныхХозяйственныхОперацийИДокументов, КлючФормы, КлючНазначенияИспользования, СтруктураОтбора) 
```
</details>

## СоздатьПослеВыбораДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения, вызванный после работы процедуры СоздатьДокумент(...)
Процедура СоздатьПослеВыбораДокумента(ВыбранноеЗначение, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.СоздатьПослеВыбораДокумента(ВыбранноеЗначение, ДополнительныеПараметры) 
```
</details>

## СоздатьДокументЧерезКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает документ по специально именованной команде
//
// Параметры:
//  ИмяКоманды	 - Строка - имя команды, до этого программно сформированное, вида ПриемНаКомиссию_ПриобретениеТоваровУслуг,
//  СтруктураОтбора	- Структура - структура с отборами для заполнения в документе.
//
Процедура СоздатьДокументЧерезКоманду(Знач ИмяКоманды, СтруктураОтбора) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.СоздатьДокументЧерезКоманду(ИмяКоманды, СтруктураОтбора) 
```
</details>

## УстановитьСтатус
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает статус для выделенных документов
//
// Параметры:
//  ИмяКоманды					 - Строка	 - Имя команды формы
//  СоответствиеКомандСтатусам	 - Соответствие	 - соответствие, которое хранится в реквизитах текущей формы
//  Список						 - ПолеФормы	 - список формы, в котором будет происходить изменение статусов.
//
Процедура УстановитьСтатус(ИмяКоманды, СоответствиеКомандСтатусам, Список) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.УстановитьСтатус(ИмяКоманды, СоответствиеКомандСтатусам, Список)
```
</details>

## УстановитьСтатусЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения, вызванного после завершения работы процедуры УстановитьСтатус(...).
Процедура УстановитьСтатусЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.УстановитьСтатусЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## УстановитьСтатусЗавершениеФрагмент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьСтатусЗавершениеФрагмент(Знач ВыделенныеСтроки, СтатусИмяЗначения, Знач СтатусПредставление, Знач Список, ДопПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.УстановитьСтатусЗавершениеФрагмент(ВыделенныеСтроки, СтатусИмяЗначения, СтатусПредставление, Список, ДопПараметры);
```
</details>

## УстановитьСтатусРеализованоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения, вызванного после завершения работы процедуры УстановитьСтатус(...).
Процедура УстановитьСтатусРеализованоЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.УстановитьСтатусРеализованоЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ОбработатьШтрихкоды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает отсканированный штрихкод
//
// Параметры:
//  Штрихкод			 - 	Строка -
//  ДанныеПоШтрихКоду	 - 	Структура - структура с ключом "КлючЗаписи" регистра сведений РеестрДокументов
//  Форма				 - 	ФормаКлиентскогоПриложения - форма со списком
//  ИмяСписка			 - 	Строка - имя списка, в котором должно произойти позиционирование.
//
Процедура ОбработатьШтрихкоды(Штрихкод, ДанныеПоШтрихКоду, Форма, ИмяСписка) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ОбработатьШтрихкоды(Штрихкод, ДанныеПоШтрихКоду, Форма, ИмяСписка) 
```
</details>

## УстановитьПометкуУдаленияДокументаВопрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды "Установить пометку удаления", вызываемой из формы документа. Имитирует стандартную команду.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения	- форма документа
//
Процедура УстановитьПометкуУдаленияДокументаВопрос(Форма) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.УстановитьПометкуУдаленияДокументаВопрос(Форма));
```
</details>

## УстановитьПометкуУдаленияДокументаВопросЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения ответа на вопрос об установке/снятии пометки удаления документа
//
//	Параметры:
//		РезультатВопроса 		- КодВозвратаДиалога 	- результат ответа на вопрос,
//		ДополнительныеПараметры - Структура 			- дополнительные параметры.
//
Процедура УстановитьПометкуУдаленияДокументаВопросЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.УстановитьПометкуУдаленияДокументаВопросЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ПровестиДокументыВФономЗадании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проведение документов с помощью фонового задания.
//
// Параметры:
//  Список - ДинамическийСписок - Список документов.
//  ИмяФормы - Строка - Форма в которой реализовано фоновое проведение документов.
//
Процедура ПровестиДокументыВФономЗадании(Список, ИмяФормы) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ПровестиДокументыВФономЗадании(Список, ИмяФормы) 
```
</details>

## СообщитьОРезультатеПроведенияВФономЗадании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о результате проведения в фоном задании.
//
// Параметры:
//  РезультатПроведения - Структура - содержит:
//		* ЕстьОшибки - Булево -
//		* ИнформацияОбОшибке - ИнформацияОбОшибке, Неопределено -
//	ДействиеПриОшибке - Строка, ОписаниеОповещения -
Процедура СообщитьОРезультатеПроведенияВФономЗадании(РезультатПроведения, ДействиеПриОшибке = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.СообщитьОРезультатеПроведенияВФономЗадании(РезультатПроведения, ДействиеПриОшибке);
```
</details>

## ПриДействииСЭлементомЗависящимОтСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в формах документов и справочников при действиях с элементами, зависящими от статуса
// в механизме контроля несогласованных изменений.
//
// Параметры:
// 		Форма - ФормаКлиентскогоПриложения - форма элемента или документа.
// Возвращаемое значение:
// 		Булево - признак отказа выполнения дальнейших действий.
Функция ПриДействииСЭлементомЗависящимОтСтатуса(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиент.ПриДействииСЭлементомЗависящимОтСтатуса(Форма) 
```
</details>

## КонтрольНеСогласованныхИзмененийВызватьИсключение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная процедура.
//
Процедура КонтрольНеСогласованныхИзмененийВызватьИсключение(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.КонтрольНеСогласованныхИзмененийВызватьИсключение(Форма, Элемент) 
```
</details>

## ВернутьПредыдущееЗначениеРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в формах документов и справочников для отказа от изменения значения реквизита.
// Вызывается при действиях с элементами, зависящими от статуса.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма элемента или документа
// 	Элемент - ПолеФормы - Элемент формы
// 	ОбработанныеЭлементы - Массив - Служебное, содержит массив уже обработанных элементов
//
Процедура ВернутьПредыдущееЗначениеРеквизита(Форма, Элемент, ОбработанныеЭлементы = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ВернутьПредыдущееЗначениеРеквизита(Форма, Элемент, ОбработанныеЭлементы);
```
</details>

## СохранитьЗначениеРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в формах документов и справочников для сохранения предыдущего значения элемента.
// Вызывается при действиях с элементами, зависящими от статуса.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма элемента или документа
// 	Элемент - ПолеФормы - Элемент формы.
//
Процедура СохранитьЗначениеРеквизита(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.СохранитьЗначениеРеквизита(Форма, Элемент) 
```
</details>

## ПослеИзмененияРеквизитаЗависящегоОтСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в формах документов и справочников при действиях с элементами, зависящими от статуса
// в механизме контроля несогласованных изменений.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма элемента или документа.
//
Процедура ПослеИзмененияРеквизитаЗависящегоОтСтатуса(Форма) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ПослеИзмененияРеквизитаЗависящегоОтСтатуса(Форма) 
```
</details>

## ОповеститьПользователяОбУстановкеСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура показывает оповещение после обработки статусов выделенных в списке документов.
//
// Параметры:
//	СписокДокументов  - ТаблицаФормы - элемент формы
//	КоличествоОбработанных - Число - количество успешно обработанных документов
//	КоличествоВсего - Число - количество выделенных в списке документов
//	Статус - Строка - устанавливаемый статус.
//
Процедура ОповеститьПользователяОбУстановкеСтатуса(СписокДокументов, КоличествоОбработанных, КоличествоВсего, Статус) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ОповеститьПользователяОбУстановкеСтатуса(СписокДокументов, КоличествоОбработанных, КоличествоВсего, Статус) 
```
</details>

## ОповеститьПользователяОбИзмененииОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура оповещение и записывает в историю пользователя изменение объекта, как делает платформа.
//
// Параметры:
//	СсылкаНаОбъект       - ЛюбаяСсылка - измененный объект.
//	ТекстЗаголовка - Строка - Текст заголовка
Процедура ОповеститьПользователяОбИзмененииОбъекта(СсылкаНаОбъект, ТекстЗаголовка = "") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ОповеститьПользователяОбИзмененииОбъекта(СсылкаНаОбъект, ТекстЗаголовка);
```
</details>

## УстановитьПометкуУдаленияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет оповещение пользователя об осуществленной установке пометки на удаление
// или снятия пометки с удаления документа, а также записывает в историю информацию об изменениях объекта.
//
//	Параметры:
//		РезультатВопроса - КодВозвратаДиалога - результат ответа на вопрос,
//		ДополнительныеПараметры - Структура - дополнительные параметры:
//			* Список - ТаблицаФормы -
//			* ТипСписка - Строка -
//			* ВыделенныеСтроки - Массив из ДокументСсылка -
//			* УстановкаПометкиУдаления - Булево -
Процедура УстановитьПометкуУдаленияЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.УстановитьПометкуУдаленияЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ПроверитьПроведенностьДокументовЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет оповещение пользователя об осуществленном проведении документов
// а также обновляет информацию об измененных данных динамического списка.
//
//	Параметры:
//		РезультатВопроса - Кнопка - результат ответа на вопрос,
//		ДополнительныеПараметры - Структура - дополнительные параметры:
//			* Список - ТаблицаФормы -
//			* ТипСписка - Строка -
//
Процедура ПроверитьПроведенностьДокументовЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ПроверитьПроведенностьДокументовЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ВвестиДатуСКонтролемПустогоЗначенияПослеВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура завершения для ВвестиДатуСКонтролемПустогоЗначения().
// Выполняет оповещение пользователя об осуществленном корректном вводе даты, в противном случае выводится
// сообщение о том, что значение даты не было заполнено и предлагается выполнить повторный ввод.
//
// Параметры:
//	ВыбраннаяДата - Дата - введенное пользователем значение даты в результате диалога.
//	ДополнительныеПараметры - Структура - дополнительные параметры.
//
Процедура ВвестиДатуСКонтролемПустогоЗначенияПослеВыбора(ВыбраннаяДата, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ВвестиДатуСКонтролемПустогоЗначенияПослеВыбора(ВыбраннаяДата, ДополнительныеПараметры) 
```
</details>

## ВвестиДатуСКонтролемПустогоЗначенияПослеПредупреждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура завершения для ВвестиДатуСКонтролемПустогоЗначенияПослеВыбора().
// Выполняет оповещение пользователя о том, что значение даты не было заполнено и предлагается выполнить повторный ввод.
//
// Параметры:
//	ДополнительныеПараметры - Структура - дополнительные параметры.
//
Процедура ВвестиДатуСКонтролемПустогоЗначенияПослеПредупреждения(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ВвестиДатуСКонтролемПустогоЗначенияПослеПредупреждения(ДополнительныеПараметры) 
```
</details>

## РазрешитьРедактированиеРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в формах объектов для разблокировки заблокированных реквизитов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма объекта:
//     	* Объект - ДокументОбъект -
//	Параметры - см. ПараметрыРазрешенияРедактированияРеквизитовОбъекта
//
Процедура РазрешитьРедактированиеРеквизитовОбъекта(Форма, Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.РазрешитьРедактированиеРеквизитовОбъекта(Форма, Параметры);
```
</details>

## ПараметрыРазрешенияРедактированияРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры разрешения редактирования реквизитов объекта.
//
// Возвращаемое значение:
//  Структура - Параметры разрешения редактирования реквизитов объекта:
// 		* ИмяФормыРазблокировки - Строка - Имя формы разблокировки.
// 		* ОповещениеОРазблокировке - ОписаниеОповещения, Неопределено -
// 		* Объект - Неопределено - взять объект из реквизита формы "Объект",
//               - ДанныеФормыСтруктура - по типу объекта.
// 		* ТолькоВидимые - Булево - Чтобы получить и разблокировать все реквизиты объекта, нужно указать Ложь.
Функция ПараметрыРазрешенияРедактированияРеквизитовОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиент.ПараметрыРазрешенияРедактированияРеквизитовОбъекта() 
```
</details>

## РазрешитьРедактированиеРеквизитовОбъектаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная процедура.
//
Процедура РазрешитьРедактированиеРеквизитовОбъектаЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.РазрешитьРедактированиеРеквизитовОбъектаЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПриНачалеРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется при интерактивном начале работы пользователя с областью данных или в локальном режиме.
// Соответствует обработчику ПриНачалеРаботыСистемы.
//
// см. ОбщегоНазначенияКлиентПереопределяемый.ПриНачалеРаботыСистемы
//
Процедура ПриНачалеРаботыСистемы(Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ПриНачалеРаботыСистемы(Параметры) 
```
</details>

## ЗавершениеВопросаОПереходе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку ответа на вопрос о переходе на новые взаиморасчеты
//
// Параметры:
// 	Результат - КодВозвратаДиалога
// 	ДополнительныеПараметры - Структура
//
Процедура ЗавершениеВопросаОПереходе(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ЗавершениеВопросаОПереходе(Результат, ДополнительныеПараметры) 
```
</details>

## ПроверитьНаличиеВыделенныхВСпискеСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие выделенных в списке строк.
//
// Параметры:
//	Список - ДинамическийСписок - список, в котором осуществляется проверка на наличие выделенных строк.
//
// Возвращаемое значение:
//	Булево - Ложь - в списке нет выделенных строк.
//
Функция ПроверитьНаличиеВыделенныхВСпискеСтрок(Список) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиент.ПроверитьНаличиеВыделенныхВСпискеСтрок(Список) 
```
</details>

## ПроверитьПолучитьВыделенныеВСпискеСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие выделенных в списке строк и возвращает массив их ссылок.
//
// Параметры:
//	Список - ДинамическийСписок - список, в котором осуществляется проверка на наличие выделенных строк.
//
// Возвращаемое значение:
//	Массив - массив ссылок выделенных в списке строк.
//
Функция ПроверитьПолучитьВыделенныеВСпискеСсылки(Список) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиент.ПроверитьПолучитьВыделенныеВСпискеСсылки(Список) 
```
</details>

## ПроверитьНаличиеСтрокВСписке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие записей в списке.
//
// Параметры:
//	Список - ДинамическийСписок - список, в котором осуществляется проверка на наличие выделенных строк.
//	ПредставлениеСписка - ДинамическийСписок - список, в котором осуществляется проверка на наличие выделенных строк.
//
// Возвращаемое значение:
//	Булево - Истина - список содержит записи.
//
Функция ПроверитьНаличиеСтрокВСписке(Список, ПредставлениеСписка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиент.ПроверитьНаличиеСтрокВСписке(Список, ПредставлениеСписка) 
```
</details>

## ВыбраныДокументыКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, выбрано ли распоряжение для оформления накладной
//
// Параметры:
//  ТекущиеСтроки		 - 	ДанныеФормыСтруктура, Массив - массив идентификаторов выделенных строк, либо текущие данные выделенной строки.
//  ПараметрыЖурнала	 - 	Структура - структура с параметрами журнала (рабочего места).
//
// Возвращаемое значение:
//  Булево - Истина
//
Функция ВыбраныДокументыКОформлению(ТекущиеСтроки, ПараметрыЖурнала) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиент.ВыбраныДокументыКОформлению(ТекущиеСтроки, ПараметрыЖурнала) 
```
</details>

## ОткрытьЖурнал
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму обработки (журнала)
//
// Параметры:
//  Параметры	 - Структура	 - структура, один из ключей которой  "ИмяРабочегоМеста".
//
Процедура ОткрытьЖурнал(Параметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ОткрытьЖурнал(Параметры) 
```
</details>

## СохранитьДанныеМеханизмаВКэшФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет в реквизит КэшДанныхМеханизмов формы данные, необходимые для работы механизма.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма
// 	ИмяМеханизма - Строка - Имя механизма, который сохраняет данные
// 	ДанныеДляКэширования - Произвольный - Кэшируемые данные
//
Процедура СохранитьДанныеМеханизмаВКэшФормы(Форма, ИмяМеханизма, ДанныеДляКэширования) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.СохранитьДанныеМеханизмаВКэшФормы(Форма, ИмяМеханизма, ДанныеДляКэширования) 
```
</details>

## ПараметрыФормыВопросДаНетОтмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для передачи в общую форму ВопросДаНетОтмена
//
// Возвращаемое значение:
//  Структура - структура с полями:
//   * ТекстВопроса - Строка - текст вопроса
//   * СписокКнопок - СписокЗначений Из Строка - список кнопок.
//   * ЗаголовокВопроса - Строка - заголовок.
//   * ОтображатьКнопкуЗакрытия - Булево - есть закрытие окна.
//
Функция ПараметрыФормыВопросДаНетОтмена() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиент.ПараметрыФормыВопросДаНетОтмена() 
```
</details>

## Записать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать объект и замерить длительность его записи.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой выполняется вызов этой функции.
//  ЕстьВопросыПередЗаписью - Булево - Истина, если при записи могут отображаться вопросы пользователю.
//  ДействиеПослеЗаписи - ОписаниеОповещения - обработчик, выполняемый после записи объекта.
//
Процедура Записать(Форма, ЕстьВопросыПередЗаписью = Ложь, ДействиеПослеЗаписи = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.Записать(Форма, ЕстьВопросыПередЗаписью, ДействиеПослеЗаписи);
```
</details>

## ЗаписатьИЗакрыть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать объект, замерить длительность его записи и закрыть форму объекта.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой выполняется вызов этой функции.
//  ЕстьВопросыПередЗаписью - Булево - Истина, если при записи могут отображаться вопросы пользователю.
//  ДействиеПослеЗаписи - ОписаниеОповещения - обработчик, выполняемый после записи объекта.
//
Процедура ЗаписатьИЗакрыть(Форма, ЕстьВопросыПередЗаписью = Ложь, ДействиеПослеЗаписи = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ЗаписатьИЗакрыть(Форма, ЕстьВопросыПередЗаписью, ДействиеПослеЗаписи);
```
</details>

## Провести
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Провести документ и замерить длительность его проведения.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой выполняется вызов этой функции.
//  ЕстьВопросыПередЗаписью - Булево - Истина, если при записи могут отображаться вопросы пользователю.
//  ДействиеПослеЗаписи - ОписаниеОповещения - обработчик, выполняемый после записи объекта.
//
Процедура Провести(Форма, ЕстьВопросыПередЗаписью = Ложь, ДействиеПослеЗаписи = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.Провести(Форма, ЕстьВопросыПередЗаписью, ДействиеПослеЗаписи);
```
</details>

## ПровестиИЗакрыть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Провести документ, замерить длительность его проведения и закрыть форму документа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма в которой выполняется вызов этой функции.
//  ЕстьВопросыПередЗаписью - Булево - Истина, если при проведении могут отображаться вопросы пользователю.
//  ДействиеПослеЗаписи - ОписаниеОповещения - обработчик, выполняемый после записи объекта.
//
Процедура ПровестиИЗакрыть(Форма, ЕстьВопросыПередЗаписью = Ложь, ДействиеПослеЗаписи = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ПровестиИЗакрыть(Форма, ЕстьВопросыПередЗаписью, ДействиеПослеЗаписи);
```
</details>

## УстановитьПометкуУдаленияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить пометку удаления документа, имитирует стандартную команду пометки удаления документа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма документа в которой выполняется вызов этой функции:
//  	* Объект - ДокументОбъект -
//
Процедура УстановитьПометкуУдаленияДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.УстановитьПометкуУдаленияДокумента(Форма) 
```
</details>

## ЗаписатьОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Выполняет запись документа в форме
//
// Параметры:
//  Форма - РасширениеУправляемойФормыДляОбъектов - Форма документа в которой выполняется вызов этой функции:
//  	* Объект - ДокументОбъект -
//	ПараметрыЗаписи - Структура -
//
Функция ЗаписатьОбъект(Форма, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиент.ЗаписатьОбъект(Форма, ПараметрыЗаписи));
```
</details>

## ЗаписатьОбъектИЗакрыть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись документа в форме
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма документа в которой выполняется вызов этой функции:
//  	* Объект - ДокументОбъект -
//	ПараметрыЗаписи - Структура -
//
Процедура ЗаписатьОбъектИЗакрыть(Форма, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ЗаписатьОбъектИЗакрыть(Форма, ПараметрыЗаписи));
```
</details>

## СтруктураПараметровЗаписиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураПараметровЗаписиОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиент.СтруктураПараметровЗаписиОбъекта());
```
</details>

## НачатьЗамерВремениЗаписиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьЗамерВремениЗаписиОбъекта(Форма, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.НачатьЗамерВремениЗаписиОбъекта(Форма, ПараметрыЗаписи));
```
</details>

## ОткрытьФормуПослеПроверкиПроведенностиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму после того, как проверит, что данные в форме-владельце не модифицированы
//  Если данные модифицированы - задается вопрос и данные записываются в форме-владельце.
//  Потом открывается форма.
//
// Параметры:
//  ИмяФормы - Строка -
//  ПараметрыФормы  - Структура -
//  ФормаВладелец - ФормаКлиентскогоПриложения -
//  РежимОткрытияФормы - Строка - значение по умолчанию "Независимый"
//  ИмяПараметраСсылка - Строка - если параметр передан, то в ПараметрыФормы после проведения документа объекта из ФормаВладелец
//                                     помещается ссылка на записанный документ.
//
Процедура ОткрытьФормуПослеПроверкиПроведенностиДокумента(ИмяФормы, ПараметрыФормы, ФормаВладелец, РежимОткрытияФормы = "Независимый", ИмяПараметраСсылка = "") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ОткрытьФормуПослеПроверкиПроведенностиДокумента(ИмяФормы, ПараметрыФормы, ФормаВладелец, РежимОткрытияФормы, ИмяПараметраСсылка);
```
</details>

## ДополнительныеПараметрыОбработкиОткрытияФормыПослеПроверкиПроведенностиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
// 	Структура - Описание:
// * ИмяПараметраСсылка -Строка -
// * ФормаВладелец - ФормаКлиентскогоПриложения - Свойства:
// 		** Объект - ДокументОбъект -
// * ПараметрыФормы - Структура -
// * ИмяФормы - Строка -
Функция ДополнительныеПараметрыОбработкиОткрытияФормыПослеПроверкиПроведенностиДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиент.ДополнительныеПараметрыОбработкиОткрытияФормыПослеПроверкиПроведенностиДокумента());
```
</details>

## ВыполнитьОбработкуОповещенияПослеПроверкиПроведенностиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Проверяет модифицированность и проведенность документе. Если не проведен или модифицирован
// задает пользователю вопрос и проводит документ в форме. Затем выполняется оповещение.
// В результат выполняемого оповещения помещается ссылка на проведенный документ.
//
// Параметры:
//  Форма		 - ФормаКлиентскогоПриложения
//  Оповещение	 - ОписаниеОповещения
//
Процедура ВыполнитьОбработкуОповещенияПослеПроверкиПроведенностиДокумента(Форма, Оповещение) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ВыполнитьОбработкуОповещенияПослеПроверкиПроведенностиДокумента(Форма, Оповещение) 
```
</details>

## ПродолжитьИзменениеРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальный обработчик изменения реквизитов
//
// Параметры:
//  Форма					 - ФормаКлиентскогоПриложения - форма, где выполняется обработчик
//  ИмяРеквизита			 - Строка, Массив Из Строка	 - имя обрабатываемого реквизита
//  ТребуетсяВызовСервера	 - Булево			 - признак необходимости вызова сервера
//  ПараметрыОбработки		 - Структура		 - дополнительные параметры обработки
//
Процедура ПродолжитьИзменениеРеквизита(Форма, ИмяРеквизита = "", ТребуетсяВызовСервера = Ложь, Знач ПараметрыОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ПродолжитьИзменениеРеквизита(Форма, ИмяРеквизита, ТребуетсяВызовСервера, ПараметрыОбработки);
```
</details>

## ПродолжитьВыполнениеКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальный обработчик команд формы
//
// Параметры:
//  Форма					 - ФормаКлиентскогоПриложения	 - форма, где выполняется обработчик
//  ИмяКоманды				 - Строка, Массив	 - имя выполняемой команды
//  ТребуетсяВызовСервера	 - Булево			 - признак необходимости вызова сервера
//  ПараметрыОбработки		 - Структура		 - дополнительные параметры обработки
//
Процедура ПродолжитьВыполнениеКоманды(Форма, ИмяКоманды = "", ТребуетсяВызовСервера = Ложь, Знач ПараметрыОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиент.ПродолжитьВыполнениеКоманды(Форма, ИмяКоманды, ТребуетсяВызовСервера, ПараметрыОбработки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
