---
title: Общего назначения УТ клиент сервер
slug: erp-uh/общего-назначения-ут-клиент-сервер
---


## РассчитатьДатуОкончанияПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает дату окончания периода
//
// Параметры:
// ДатаНачала - Дата - дата начала, от которой будет рассчитана дата окончания периода
// Периодичность - Дата - значение перечисления "Периодичность"
// КоличествоПериодов - Число - количество повторов периода.
//
// Возвращаемое значение:
// 	Дата -
//
Функция РассчитатьДатуОкончанияПериода(ДатаНачала, Периодичность, КоличествоПериодов) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.РассчитатьДатуОкончанияПериода(ДатаНачала, Периодичность, КоличествоПериодов) 
```
</details>

## РассчитатьДатуНачалаБлижайшегоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает ближайшую к указанной дату начала периода
//
// Параметры:
//	ДатаНачала - Дата - дата, к которой будет рассчитана ближайшая дата начала периода
// 	Периодичность - ПеречислениеСсылка.Периодичность - значение перечисления "Периодичность".
//
// Возвращаемое значение:
// 	Дата - Дата начала ближайшего периода.
//
Функция РассчитатьДатуНачалаБлижайшегоПериода(ДатаНачала, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.РассчитатьДатуНачалаБлижайшегоПериода(ДатаНачала, Периодичность) 
```
</details>

## СтруктурыРавны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает значения переданных структур по указанным свойствам
// Параметры:
// 	Структура1 - Структура -
// 	Структура2 - Структура -
//	Свойства - Массив, Структура, Строка - имена свойств, по которым нужно проводить сравнение
// Возвращаемое значение:
// 	Булево - Истина, если структуры равны по значениям переданных свойств.
//
Функция СтруктурыРавны(Структура1, Структура2, Свойства = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.СтруктурыРавны(Структура1, Структура2, Свойства);
```
</details>

## МассивыРавны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает значения переданных массивов
//
// Параметры:
//	Массив1 - Массив -
//	Массив2 - Массив -
//	ПорядокИмеетЗначения - Булево - если Истина, то одинаковые значения должны иметь одинаковые индексы в массиве.
//
// Возвращаемое значение:
//	Булево - Истина, если массивы равны
//
Функция МассивыРавны(Массив1, Массив2, ПорядокИмеетЗначения = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.МассивыРавны(Массив1, Массив2, ПорядокИмеетЗначения);
```
</details>

## ПолучитьОбщиеКлючиСтруктур
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую ключи, имеющиеся в обеих исходных структурах.
//
// Параметры:
// 	Структура1 - Структура -
// 	Структура2 - Структура -
//
// Возвращаемое значение:
// 	Структура -
//@skip-warning
Функция ПолучитьОбщиеКлючиСтруктур(Структура1, Структура2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПолучитьОбщиеКлючиСтруктур(Структура1, Структура2) 
```
</details>

## СтруктураСодержитКлючи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет структуру на наличие одного ключа или всех сразу из переданного набора
//
// Параметры:
// 	Структура - Структура - Проверяемая структура
// 	Ключи - Строка - Перечисленные через запятую ключи
// 	ПроверятьВсе - Булево - Признак необходимости проверки наличия всех ключей из набора.
//
// Возвращаемое значение:
// 	Булево - Признак наличия одного или всех ключей набора в данной структуре.
//
Функция СтруктураСодержитКлючи(Структура, Ключи, ПроверятьВсе=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.СтруктураСодержитКлючи(Структура, Ключи, ПроверятьВсе);
```
</details>

## ПредставлениеСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Строковое представление структуры
//
// Параметры:
//  Структура - Структура -
//
// Возвращаемое значение:
//  Строка - представление переданной структуры в виде "<Ключ1>: <Значение1>; <Ключ2>: <Значение2>".
//
Функция ПредставлениеСтруктуры(Структура) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПредставлениеСтруктуры(Структура) 
```
</details>

## ДополнитьСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет структуру приемник полями структуры источника
//
// Параметры:
// 		СтруктураПриемник - Структура - Структура, в которую необходимо скопировать поля
// 		СтруктураИсточник - Структура - Структура, из которой необходимо скопировать поля
// 		КопироватьЗначения - Булево - Истина, если надо копировать значения.
//
Процедура ДополнитьСтруктуру(СтруктураПриемник, СтруктураИсточник, КопироватьЗначения=Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ДополнитьСтруктуру(СтруктураПриемник, СтруктураИсточник, КопироватьЗначения);
```
</details>

## РасширенныйПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает период, увеличенный на количество периодов
//
// Параметры:
//	БазоваяДата - Дата - дата, относительно которой рассчитывается период
//	Периодичность - ПеречислениеСсылка.Периодичность - размер периода
//	КоличествоПериодов - Число - количество периодов, на которое нужно расширить базовый.
//                     если = 0, то возвращается период, в котором находится базовая дата,
//                     если < 0, то возвращаются период, соответствующий предыдущим периодам,
//                     если > 0, то возвращаются период, соответствующий следующим периодам.
// Возвращаемое значение:
// 	СтандартныйПериод -
Функция РасширенныйПериод(БазоваяДата, Периодичность, КоличествоПериодов = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.РасширенныйПериод(БазоваяДата, Периодичность, КоличествоПериодов);
```
</details>

## ПроверитьЗаполнениеПочтовогоАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет строку с адресом электронной почты на корректность введенных данных
//
// Параметры:
//  ПроверяемыйАдрес - Строка - содержит строку с адресом электронной почты, которую необходимо проверить.
//
// Возвращаемое значение:
//   Булево - Ложь, если проверка закончилась успешно, Истина в обратном случае.
//
Функция ПроверитьЗаполнениеПочтовогоАдреса(ПроверяемыйАдрес) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПроверитьЗаполнениеПочтовогоАдреса(ПроверяемыйАдрес) 
```
</details>

## ПолучитьИдентификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет значение идентификатора из строки соответствии с правилами именования идентификаторов.
//
// Параметры:
// 	СтрНаименование - Строка -
//
// Возвращаемое значение:
// 	Строка - Идентификатор, соответствующий правилам именования идентификаторов.
//
Функция ПолучитьИдентификатор(СтрНаименование) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПолучитьИдентификатор(СтрНаименование) 
```
</details>

## ЗаполнитьЗначенияСвойствКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет все строки указанных колонок коллекции указанным значением
//
// Параметры:
// 		Коллекция - ДанныеФормыКоллекция - Коллекция для заполнения строк
// 		Значение - Произвольный - Значение для подстановки
// 		Колонки - Строка - Строка перечисленных через запятую имен колонок коллекции.
//
Процедура ЗаполнитьЗначенияСвойствКоллекции(Коллекция, Значение, Колонки) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ЗаполнитьЗначенияСвойствКоллекции(Коллекция, Значение, Колонки) 
```
</details>

## УдалитьИзСтрокиПодстроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для преобразования страниц
//
// Параметры:
//  СтрокаКПреобразованию - Строка - Строка, из которой необходимо удалить блок
//  СтрокаОграничивающая - Строка - ограничитель блока, который подлежит удалению.
//
Процедура УдалитьИзСтрокиПодстроку(СтрокаКПреобразованию, СтрокаОграничивающая) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.УдалитьИзСтрокиПодстроку(СтрокаКПреобразованию, СтрокаОграничивающая) 
```
</details>

## РаспределитьПропорционально
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет пропорциональное распределение суммы в соответствии
// с заданными коэффициентами распределения.
//
// Параметры:
//		ИсхСумма - Число -распределяемая сумма
//		МассивКоэф - Массив Из Число - коэффициенты распределения
//		Точность - Число - точность округления при распределении. Необязателен.
//
//	Возвращаемое значение:
//		Массив из Число - массив размерностью равный массиву коэффициентов, содержит
//			суммы в соответствии с весом коэффициента (из массива коэффициентов)
//          В случае если распределить не удалось (сумма = 0, кол-во коэф. = 0,
//          или суммарный вес коэф. = 0), тогда возвращается значение Неопределено.
//
Функция РаспределитьПропорционально(Знач ИсхСумма, МассивКоэф, Знач Точность = 2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.РаспределитьПропорционально(ИсхСумма, МассивКоэф, Точность);
```
</details>

## АвторизованВнешнийПользователь
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что авторизован внешний пользователь
//
// Возвращаемое значение:
//   Булево   - Истина, если авторизован внешний пользователь. Ложь, в обратном случае.
//
Функция АвторизованВнешнийПользователь() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.АвторизованВнешнийПользователь() 
```
</details>

## СписокВремени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует список значений, содержащий значения времени, рассчитанные
// с указанным интервалом.
//
// Параметры:
//	ТекущееЗначение - Дата - исходное значение времени
//	Интервал - Число - интервал, с которым необходимо заполнить список, по умолчанию час.
//
// Возвращаемое значение:
// 	СписокЗначений -
Функция СписокВремени(Знач ТекущееЗначение = '00010101000000', Интервал = 3600) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.СписокВремени(ТекущееЗначение, Интервал);
```
</details>

## ФормаМножественногоЧисла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция преобразует строку к множественному числу
//
// Параметры:
//  Слово1 - Строка - форма слова в ед числе      ("шкаф")
//  Слово2 - Строка - форма слова для числит 2-4  ("шкафа")
//  Слово3 - Строка - форма слова для числит 5-10 ("шкафов")
//  ЦелоеЧисло - Число - целое число.
//
// Возвращаемое значение:
//  Строка - одна из строк в зависимости от параметра ЦелоеЧисло.
//
// Описание:
//  Предназначена для формирования "правильной" подписи к числительным.
//
Функция ФормаМножественногоЧисла(Слово1, Слово2, Слово3, Знач ЦелоеЧисло) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ФормаМножественногоЧисла(Слово1, Слово2, Слово3, ЦелоеЧисло) 
```
</details>

## ЭтоЮрЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли контрагент юридическим лицом
//
// Параметры:
//	ЮридическоеФизическоеЛицо - ПеречислениеСсылка.ЮридическоеФизическоеЛицо - вид контрагента.
//
// Возвращаемое значение:
//  Булево - Истина, если это юридическое лицо, Ложь в обратном случае.
//
Функция ЭтоЮрЛицо(ЮридическоеФизическоеЛицо) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ЭтоЮрЛицо(ЮридическоеФизическоеЛицо) 
```
</details>

## СклонениеСлова
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает слово в разных склонениях (в соответствии с числом)
// Основное назначение - использование для склонения надписей единиц измерения в формах
// для различных числовых полей.
//
// Параметры:
//	Число - Число - число, определяет склонение
//	ЕдЧислоИменительный - Строка - единственное число именительный падеж. Например, "день" или "неделя".
//	ЕдЧислоРодительный - Строка - единственное число родительный падеж. Например, "дня" или "недели".
//	МнЧислоРодительный - Строка - множественное число родительный падеж. Например, "дней" или "недель".
//	Пол - Строка - м - мужской род (ж - женский род, с - средний род);
//
// Возвращаемое значение:
//  Строка - слово в правильном склонении.
//
Функция СклонениеСлова(ЧислоДляСклонения, ЕдЧислоИменительный, ЕдЧислоРодительный, МнЧислоРодительный, Пол) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.СклонениеСлова(ЧислоДляСклонения, ЕдЧислоИменительный, ЕдЧислоРодительный, МнЧислоРодительный, Пол) 
```
</details>

## ПолучитьПредставлениеПериодаРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление периода.
//
// Параметры:
//  ПериодРегистрации - Дата   - Дата внутри месяца или квартала, представление которых нужно получить
//  КалендарныйПериод - Строка - "Месяц" или "Квартал".
//
// Возвращаемое значение:
//  Строка - Представление месяца или квартала, внутри которых находится значение ПериодРегистрации.
//
Функция ПолучитьПредставлениеПериодаРегистрации(ПериодРегистрации, КалендарныйПериод = "Месяц") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПолучитьПредставлениеПериодаРегистрации(ПериодРегистрации, КалендарныйПериод);
```
</details>

## ДополнитьТаблицуИзМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет таблицу значений Таблица значениями из массива Массив.
//
// Параметры:
//  ТаблицаПриемник     - ТаблицаЗначений - таблица, которую необходимо заполнить значениями из массива;
//  Массив              - Массив - массив значений для заполнения таблицы;
//  ИмяПоля             - Строка - имя поля таблицы значений, в которое необходимо загрузить значения из массива.
//  ЗначенияПоУмолчанию - Структура - имена полей и их значения, которыми будет заполнена каждая добавляемая строка.
//
Процедура ДополнитьТаблицуИзМассива(ТаблицаПриемник, Массив, ИмяПоля, ЗначенияПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ДополнитьТаблицуИзМассива(ТаблицаПриемник, Массив, ИмяПоля, ЗначенияПоУмолчанию);
```
</details>

## ДополнитьТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет таблицу значений-приемник данными из таблицы значений-источник.
//
// Параметры:
//  ТаблицаИсточник	 - ТаблицаЗначений	 - таблица, из которой будут браться строки для заполнения;
//  ТаблицаПриемник	 - ТаблицаЗначений	 - таблица, в которую будут добавлены строки из таблицы-источника.
//  ЗначенияПоУмолчанию - Структура      - ключ - название колонки таблицы-приемника, значение - значение по умолчанию
//  ПриоритетЗначенийПоУмолчанию - Булево - признак того, что переданные умолчания будут приоритетнее данных из таблицы-источника.
//
// Возвращаемое значение:
//  Массив Из СтрокаТаблицыЗначений - содержит добавленные строки.
//
//@skip-warning
Функция ДополнитьТаблицу(Знач ТаблицаИсточник, ТаблицаПриемник, ЗначенияПоУмолчанию = Неопределено, ПриоритетЗначенийПоУмолчанию = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ДополнитьТаблицу(ТаблицаИсточник, ТаблицаПриемник, ЗначенияПоУмолчанию, ПриоритетЗначенийПоУмолчанию);
```
</details>

## СкопироватьЗначенияИзКолонкиВКолонку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет таблицу значений-приемник данными из таблицы значений-источник.
//
// Параметры:
//  ТаблицаЗначений	 - ТаблицаЗначений	 - таблица, в которой буду изменять данные
//  КолонкаИсточник	 - Строка	 - колонка, из которой будут извлекаться значения
//  КолонкаПриемник	 - Строка	 - колонка, в которую будут устанавливаться значения.
//
Процедура СкопироватьЗначенияИзКолонкиВКолонку(ТаблицаЗначений, КолонкаИсточник, КолонкаПриемник) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.СкопироватьЗначенияИзКолонкиВКолонку(ТаблицаЗначений, КолонкаИсточник, КолонкаПриемник) 
```
</details>

## ЗаполнитьЗначенияПустыхСвойств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет значения свойств приемника по значениям свойств источника, если эти свойства в приемнике не заполнены.
//
// Параметры:
//  Приемник - Структура, Соответствие, ФиксированнаяСтруктура, ФиксированноеСоответствие, Произвольный  - коллекция структуры данных, значения свойств, которых необходимо заполнить.
//  Источник		 - Структура, Соответствие, ФиксированнаяСтруктура, ФиксированноеСоответствие - коллекция структуры данных,
// 												являющаяся источником значений свойств, которые необходимо заполнить в приемнике.
//  СписокСвойств	 - Строка,Массив,Неопределено - имена свойств через запятую или массив имен свойств, которые нужно заполнить.
//													Если передано Неопределено - заполняются все совпадающие в приемнике и источнике свойства.
//  ИсключаяСвойства - Строка,Массив,Неопределено - имена свойств через запятую или массив имен свойств, которые нужно исключить из заполнения.
//													Если передано Неопределено - заполняются все свойства.
//
Процедура ЗаполнитьЗначенияПустыхСвойств(Приемник, Источник, СписокСвойств = Неопределено, ИсключаяСвойства = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ЗаполнитьЗначенияПустыхСвойств(Приемник, Источник, СписокСвойств, ИсключаяСвойства);
```
</details>

## ОчиститьЗначенияСвойств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает перечисленные свойства объекта.
//
// Параметры:
//	Объект	 - Произвольный		 - объект информационный базы, для которого необходимо очистить значения свойств.
//	Свойства - Строка, Массив	 - имена свойств, перечисленные через запятую или массив с именами.
//
Процедура ОчиститьЗначенияСвойств(Объект,Свойства) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ОчиститьЗначенияСвойств(Объект, Свойства) 
```
</details>

## ВремяВСекундах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит время из заданных единиц времени в секунды
//
// Параметры:
//  Время - Число - время.
//  ЕдиницаИзмеренияВремени	- ПеречислениеСсылка.ЕдиницыИзмеренияВремени - единица измерения времени.
//
// Возвращаемое значение:
//   - Число - время в секундах
//
Функция ВремяВСекундах(Время, ЕдиницаИзмеренияВремени) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ВремяВСекундах(Время, ЕдиницаИзмеренияВремени) 
```
</details>

## ДобавитьКДатеВремя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет к дате время.
//
// Параметры:
// 	Начало - Дата - дата, к которой нужно добавить время
// 	Время - Число - время.
// 	ЕдиницаИзмеренияВремени - ПеречислениеСсылка.ЕдиницыИзмеренияВремени - единица измерения времени.
//
// Возвращаемое значение:
// 	Дата -
Функция ДобавитьКДатеВремя(Начало, Время, ЕдиницаИзмеренияВремени) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ДобавитьКДатеВремя(Начало, Время, ЕдиницаИзмеренияВремени) 
```
</details>

## ОписаниеТипаСтрока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает объект ОписаниеТипов, содержащий тип Строка.
//
// Параметры:
//  ДлинаСтроки - Число - длина строки.
//
// Возвращаемое значение:
//  ОписаниеТипов - описание типа Строка.
//
Функция ОписаниеТипаСтрока(ДлинаСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ОписаниеТипаСтрока(ДлинаСтроки) 
```
</details>

## ОписаниеТипаЧисло
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает объект ОписаниеТипов, содержащий тип Число.
//
// Параметры:
//  Разрядность - Число - общее количество разрядов числа (количество разрядов
//                        целой части плюс количество разрядов дробной части).
//  РазрядностьДробнойЧасти - Число - число разрядов дробной части.
//  ЗнакЧисла - ДопустимыйЗнак - допустимый знак числа.
//
// Возвращаемое значение:
//  ОписаниеТипов - описание типа Число.
//
Функция ОписаниеТипаЧисло(Разрядность, РазрядностьДробнойЧасти = 0, Знач ЗнакЧисла = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ОписаниеТипаЧисло(Разрядность, РазрядностьДробнойЧасти, ЗнакЧисла);
```
</details>

## ОкрВверх
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Округляет число до ближайшего большего значения.
//
// Параметры:
//  Число       - Число - Любое вещественное число, которое требуется округлить вверх.
//  Разрядность - Число - Количество цифр, до которого округляется число. Значение по умолчанию 0.
//
// Возвращаемое значение:
// 	Число
//
Функция ОкрВверх(Число, Разрядность = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ОкрВверх(Число, Разрядность);
```
</details>

## ОкрВниз
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Округляет число до ближайшего меньшего значения.
//
// Параметры:
//  Число       - Число - Любое вещественное число, которое требуется округлить вниз.
//  Разрядность - Число - Количество цифр, до которого округляется число. Значение по умолчанию 0.
//
// Возвращаемое значение:
// 	Число
//
Функция ОкрВниз(Число, Разрядность = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ОкрВниз(Число, Разрядность);
```
</details>

## ЕстьРеквизитОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие у произвольного объекта реквизита с указанным именем.
//
// Возвращаемое значение:
// 	Булево -
Функция ЕстьРеквизитОбъекта(Объект, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ЕстьРеквизитОбъекта(Объект, ИмяРеквизита) 
```
</details>

## ТаблицаФормыЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу формы, которой подчинен элемент.
// Если элемент не подчинен таблице формы, то возвращает Неопределено.
//
// Параметры:
//	Элемент - ПолеФормы - Элемент формы
//
// Возвращаемое значение:
// 	ТаблицаФормы, Неопределено - Таблица формы
//
Функция ТаблицаФормыЭлемента(Элемент) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ТаблицаФормыЭлемента(Элемент) 
```
</details>

## ДанныеПоПути
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение реквизита формы или объекта по пути, заданному в виде строки.
//
// Параметры:
//	Объект - ДокументОбъект, СправочникОбъект, ФормаКлиентскогоПриложения - Объект или форма, из которой необходимо получить данные
//	ПутьКДанным - Строка - Путь к данным, например "Объект.Контрагент"
//	ИдентификаторСтроки - Строка - Уникальный идентификатор строки для случая получения данных из таблицы таблицы.
//	ЗначениеОтсутствия - Произвольный - Если путь к данным пустой или содержит обращение к реквизиту пустого значения, то возвращается данное значение
//
// Возвращаемое значение:
// 	Произвольный - Значение реквизита
//
Функция ДанныеПоПути(Объект, Знач ПутьКДанным, Знач ИдентификаторСтроки = Неопределено, ЗначениеОтсутствия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ДанныеПоПути(Объект, ПутьКДанным, ИдентификаторСтроки, ЗначениеОтсутствия);
```
</details>

## ДанныеДляПрисвоения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект и имя свойства для присвоения данных по пути, заданному в виде строки.
//
// Параметры:
//	Объект - ДокументОбъект, СправочникОбъект, ФормаКлиентскогоПриложения - Объект или форма, из которой необходимо получить данные
//	ПутьКДанным - Строка - Путь к данным, например "Объект.Контрагент"
//	ИдентификаторСтроки - Строка - Уникальный идентификатор строки для случая получения данных из таблицы таблицы.
//
// Возвращаемое значение:
// 	Структура - Структура с ключами:
//      * Данные - Произвольный - Объект для присвоения данных
//      * Имя - Строка - Имя свойства для присвоения
//
Функция ДанныеДляПрисвоения(Объект, ПутьКДанным, ИдентификаторСтроки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ДанныеДляПрисвоения(Объект, ПутьКДанным, ИдентификаторСтроки);
```
</details>

## УстановитьСвойствоЭлементаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение свойства элемента формы, если находит элемент на форме
//
// Параметры:
//  ЭлементыФормы - ВсеЭлементыФормы - элементы формы, среди которых содержится искомый элемент.
//  ИмяЭлемента   - Строка - имя искомого элемента.
//  ИмяСвойства   - Строка - имя свойства, для которого будет устанавливаться значение.
//  Значение      - Произвольный - значение, которое будет установлено
//  УстанавливатьДляПодчиненных - Булево - установить аналогичное свойство для подчиненных элементов искомого элемента.
//
Процедура УстановитьСвойствоЭлементаФормы(ЭлементыФормы, ИмяЭлемента, ИмяСвойства, Значение, УстанавливатьДляПодчиненных = Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.УстановитьСвойствоЭлементаФормы(ЭлементыФормы, ИмяЭлемента, ИмяСвойства, Значение, УстанавливатьДляПодчиненных);
```
</details>

## УстановитьСвойствоЭлементовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение свойства элементов формы, если находит элемент на форме
//
// Параметры:
//  ЭлементыФормы  - ВсеЭлементыФормы - элементы формы, среди которых содержится искомый элемент.
//  ИменаЭлементов - Массив, Строка, Структура - имена искомых элементов.
//  ИмяСвойства    - Строка - имя свойства, для которого будет устанавливаться значение.
//  Значение       - Произвольный - значение, которое будет установлено
//  УстанавливатьДляПодчиненных - Булево - установить аналогичное свойство для подчиненных элементов искомых элементов.
//
Процедура УстановитьСвойствоЭлементовФормы(ЭлементыФормы, ИменаЭлементов, ИмяСвойства, Значение, УстанавливатьДляПодчиненных = Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.УстановитьСвойствоЭлементовФормы(ЭлементыФормы, ИменаЭлементов, ИмяСвойства, Значение, УстанавливатьДляПодчиненных);
```
</details>

## ЗаполнитьМассивНепроверяемыхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет массив непроверяемых реквизитов значениями, не используемыми при выбранной хозяйственной операции
// документа.
//
// Параметры:
//	МассивВсехРеквизитов - Массив - Массив всех реквизитов документа
//	МассивРеквизитовОперации - Массив - Массив реквизитов документа, которые относятся к хозяйственной операции документа
//	МассивНепроверяемыхРеквизитов - Массив - Массив реквизитов объекта, не требующих проверки.
//
Процедура ЗаполнитьМассивНепроверяемыхРеквизитов(МассивВсехРеквизитов, МассивРеквизитовОперации, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ЗаполнитьМассивНепроверяемыхРеквизитов(МассивВсехРеквизитов, МассивРеквизитовОперации, МассивНепроверяемыхРеквизитов) 
```
</details>

## ПредставлениеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление документа с учетом заданных в ИБ параметров префиксации
//
// Параметры:
// 		Наименование - Строка - Строковое представление наименования типа документа
// 		Номер - Строка - Номер документа
// 		Дата - Дата - Дата документа.
//
// Возвращаемое значение:
// 		Строка - Представление документа с переопределенным наименованием, исключенными нулями из номера и локализованной датой.
//
Функция ПредставлениеДокумента(Наименование, Номер, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПредставлениеДокумента(Наименование, Номер, Дата) 
```
</details>

## ОтображениеПредупрежденияПриРедактировании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливается свойство ОтображениеПредупрежденияПриРедактировании элемента формы.
//
Процедура ОтображениеПредупрежденияПриРедактировании(Элемент, Отображать) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ОтображениеПредупрежденияПриРедактировании(Элемент, Отображать) 
```
</details>

## ПолучитьДанныеМеханизмаИзКэшаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры механизма, сохраненные в реквизите формы КэшДанныхМеханизмов.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма
// 	ИмяМеханизма - Строка - Имя механизма, кэширующего данные
//
// Возвращаемое значение:
// 	Произвольный -
Функция ПолучитьДанныеМеханизмаИзКэшаФормы(Форма, ИмяМеханизма) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПолучитьДанныеМеханизмаИзКэшаФормы(Форма, ИмяМеханизма) 
```
</details>

## ОбновитьТекстДокументыНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет форматированную строку работы с документами на основании в форме документа
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - в форме должены быть реквизиты:
// 		* ТекстДокументыНаОсновании - ФорматированнаяСтрока - реквизит должен быть размещен в элеменете с именем ТекстДокументыНаОсновании
// 		* ТекстыПоляДокументыНаОсновании - СписокЗначений Из ФорматированнаяСтрока - сформированные механизмами конфигурации форматированные строки документов, вводимых на основании
//
Процедура ОбновитьТекстДокументыНаОсновании(Форма) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ОбновитьТекстДокументыНаОсновании(Форма) 
```
</details>

## УстановитьВидимостьЭлементовПоМассиву
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает видимость элементов формы по массиву имен.
//
// Параметры:
//	Элементы - ВсеЭлементыФормы - Коллекция элементов формы
//	МассивВсехРеквизитов - Массив - Массив имен реквизитов, для которых устанавливается видимость
//	МассивВидимыхРеквизитов - Массив - Массив имен реквизитов, которые должны быть видны на форме.
//
Процедура УстановитьВидимостьЭлементовПоМассиву(Элементы, Знач МассивВсехРеквизитов, Знач МассивВидимыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.УстановитьВидимостьЭлементовПоМассиву(Элементы, МассивВсехРеквизитов, МассивВидимыхРеквизитов) 
```
</details>

## ПараметрыПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует параметры для подбора элементов на основании параметров указанных для элемента формы.
// Используется для подбора в формах выбора с такими же параметрами выбора, как и при выборе.
//
// Параметры:
//  ЭлементФормы - ПолеФормы - Элемент формы в котором указаны параметры подбора.
//  Форма - ФормаКлиентскогоПриложения - Форма на которой расположен элемент. Используется для получения параметров.
//
// Возвращаемое значение:
//  Структура - параметры подбора:
//  	* ЗакрыватьПриВыборе - Булево -
//  	* МножественныйВыбор - Булево -
//
Функция ПараметрыПодбора(ЭлементФормы, Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПараметрыПодбора(ЭлементФормы, Форма) 
```
</details>

## ПараметрыВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует параметры для выбора элемента на основании параметров указанных для элемента формы.
//
// Параметры:
//  ЭлементФормы - ПолеФормы - Элемент формы в котором указаны параметры подбора.
//  Форма - ФормаКлиентскогоПриложения - Форма на которой расположен элемент. Используется для получения параметров.
//
// Возвращаемое значение:
//  Структура - параметры подбора:
//  	* ЗакрыватьПриВыборе - Булево -
//  	* МножественныйВыбор - Булево -
//
Функция ПараметрыВыбора(ЭлементФормы, Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПараметрыВыбора(ЭлементФормы, Форма) 
```
</details>

## ДополнитьПараметрыПодбораПараметрамиВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры подбора.
//
// Параметры:
//  ПараметрыВыбора - ФиксированныйМассив из ПараметрВыбора - Параметры выбора.
//  ПараметрыПодбора - Структура - Параметры подбора, которые нужно дополнить.
Процедура ДополнитьПараметрыПодбораПараметрамиВыбора(ПараметрыВыбора, ПараметрыПодбора) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ДополнитьПараметрыПодбораПараметрамиВыбора(ПараметрыВыбора, ПараметрыПодбора) 
```
</details>

## ДополнитьПараметрыПодбораСвязьюПараметровВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры подбора.
//
// Параметры:
//  СвязиПараметровВыбора - ФиксированныйМассив из СвязьПараметраВыбора - Связи параметров выбора.
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ПараметрыПодбора - Структура - Параметры подбора, которые нужно дополнить.
//
Процедура ДополнитьПараметрыПодбораСвязьюПараметровВыбора(СвязиПараметровВыбора, Форма, ПараметрыПодбора) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ДополнитьПараметрыПодбораСвязьюПараметровВыбора(СвязиПараметровВыбора, Форма, ПараметрыПодбора) 
```
</details>

## ЗначениеПараметраСвязи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет значение параметра связи.
//
// Параметры:
//  СвязьПараметраВыбора - СвязьПараметраВыбора - Связь параметра выбора.
//  Форма - ФормаКлиентскогоПриложения - Форма.
//
// Возвращаемое значение:
//  Произвольный -
Функция ЗначениеПараметраСвязи(СвязьПараметраВыбора, Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ЗначениеПараметраСвязи(СвязьПараметраВыбора, Форма) 
```
</details>

## СформироватьЗаголовокДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок документа в том виде, в котором его формирует платформа для представления ссылки на документ.
//
// Параметры:
//  Шапка - Структура -  Ключи структуры:
//          * Номер - Строка, Число - номер документа
//          * Дата  - дата - дата документа
//          * НомерИсправляемогоДокумента - Строка, Число - номер исправляемого документа
//          * ДатаИсправляемогоДокумента - Дата - дата исправляемого документа
//  НазваниеДокумента - Строка - название документа (например, синоним объекта метаданных).
//  УдалитьТолькоЛидирующиеНулиИзНомераОбъекта - Булево - Флаг удаления лидирующих нулей
//
// Возвращаемое значение:
//  Строка - заголовок документа
//
Функция СформироватьЗаголовокДокумента(Шапка, знач НазваниеДокумента = "", УдалитьТолькоЛидирующиеНулиИзНомераОбъекта = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.СформироватьЗаголовокДокумента(Шапка, знач НазваниеДокумента, УдалитьТолькоЛидирующиеНулиИзНомераОбъекта);
```
</details>

## ПредставлениеОбъектаИзПредставленияСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Пример: представление объекта "Заказ клиента 00001 от 22.01.2014 0:00:00", функция вернет "Заказ клиента".
//
// Параметры:
//  ДанныеДокумента - Структура
//		* Представление - Строка - представление ссылки
//		* Номер - Строка - номер документа
// Возвращаемое значение:
//   Строка - представление объекта.
//
Функция ПредставлениеОбъектаИзПредставленияСсылки(Знач ДанныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПредставлениеОбъектаИзПредставленияСсылки(ДанныеДокумента) 
```
</details>

## ДобавитьПараметрВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет новый параметр в параметры выбора переданного элемента формы с сохранением ранее добавленных.
//
// Параметры:
//  Элемент - ПолеФормы - элемент формы, имеющий свойство "ПараметрыВыбора"
//  ИмяПараметра - Строка - имя параметра, как оно задается в свойстве "ПараВыбора - Имя" без указания слова "Отбор."
//  ЗначениеПараметра - Произвольный - значения параметра выбора. Для единичного отбора передается само значения, для
//                                     множественного - массив значений.
//
Процедура ДобавитьПараметрВыбора(Элемент, ИмяПараметра, ЗначениеПараметра) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ДобавитьПараметрВыбора(Элемент, ИмяПараметра, ЗначениеПараметра) 
```
</details>

## ОбработкаПолученияПредставленияВходящегоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие возникает при получении представления входящего документа.
//
// Параметры:
//  Данные - Структура - содержит реквизиты документа, которые используются для формирования представления:
//  	* Номер - Строка - номер документа в информационной базе
//  	* Дата - Дата - дата документа в информационной базе
//  	* НаименованиеВходящегоДокумента - Строка - наименование документа контрагента
//  	* НомерВходящегоДокумента - Строка - номер документа контрагента
//  	* ДатаВходящегоДокумента - Дата - дата документа контрагента
//  Представление - Строка - новое представление документа, если СтандартнаяОбработка = Ложь
//  СтандартнаяОбработка - Булево - если вернулась Ложь, то изменено представление документа.
//  ИмяИлиИдентификаторДокумента - Строка -
//  			- СправочникСсылка.ИдентификаторыОбъектовМетаданных -
//  			- СправочникСсылка.ИдентификаторыОбъектовРасширений - Имя или идентификатор документа в метаданных.
//
Процедура ОбработкаПолученияПредставленияВходящегоДокумента(Данные, Представление, СтандартнаяОбработка, ИмяИлиИдентификаторДокумента) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ОбработкаПолученияПредставленияВходящегоДокумента(Данные, Представление, СтандартнаяОбработка, ИмяИлиИдентификаторДокумента) 
```
</details>

## СтандартноеПредставлениеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует стандартное представление документа на текущем языке пользователя.
//
// Параметры:
//  ИмяИлиИдентификаторДокумента - Строка
//                               - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//                               - СправочникСсылка.ИдентификаторыОбъектовРасширений
//  Номер - Строка - Номер документа.
//  Дата - Дата - Дата документа
//  Представление - Строка - (необязательный) Сформированное представление ранее, если не заполнено, то формируется представление
// Возвращаемое значение:
//   Строка - представление документа на текущем языке пользователя.
//
Функция СтандартноеПредставлениеДокумента(ИмяИлиИдентификаторДокумента, Номер, Дата, Представление = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.СтандартноеПредставлениеДокумента(ИмяИлиИдентификаторДокумента, Номер, Дата, Представление);
```
</details>

## НачалоПериодаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает начало периода по его виду.
// Параметры:
// 	ВидПериода - ПеречислениеСсылка.ДоступныеПериодыОтчета -
// 	ДатаПериода - Дата -
// Возвращаемое значение:
// 	Дата -
Функция НачалоПериодаОтчета(ВидПериода, ДатаПериода) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.НачалоПериодаОтчета(ВидПериода, ДатаПериода) 
```
</details>

## КонецПериодаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает конец периода по его виду.
//
// Параметры:
// 	ВидПериода - ПеречислениеСсылка.ДоступныеПериодыОтчета -
// 	ДатаПериода - Дата -
// Возвращаемое значение:
// 	Дата -
Функция КонецПериодаОтчета(ВидПериода, ДатаПериода) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.КонецПериодаОтчета(ВидПериода, ДатаПериода) 
```
</details>

## ДоступныеЗначенияПериодаПоВидуПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список доступных значений периода по его виду.
//
// Параметры:
// 	НачалоПериода - Дата -
// 	ВидПериода - ПеречислениеСсылка.ДоступныеПериодыОтчета
// Возвращаемое значение:
// 	СписокЗначений - СписокЗначений -
Функция ДоступныеЗначенияПериодаПоВидуПериода(Знач НачалоПериода, Знач ВидПериода) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ДоступныеЗначенияПериодаПоВидуПериода(НачалоПериода, ВидПериода) 
```
</details>

## ПолучитьОтборДинамическогоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет отбор динамического списка в зависимости от наличия режима совместимости.
//
// Параметры:
//  Список - ДинамическийСписок - список, для которого надо определить отбор.
//
// Возвращаемое значение:
//   Отбор - требуемый отбор
//
Функция ПолучитьОтборДинамическогоСписка(Список) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПолучитьОтборДинамическогоСписка(Список) 
```
</details>

## ПолучитьПоляГруппировкиДинамическогоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет поля группировки динамического списка в зависимости от наличия режима совместимости.
//
// Параметры:
//  Список - ДинамическийСписок - список, для которого надо определить группировку.
//
// Возвращаемое значение:
//   ПоляГруппировкиКомпоновкиДанных - требуемые поля группировки.
//
Функция ПолучитьПоляГруппировкиДинамическогоСписка(Список) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПолучитьПоляГруппировкиДинамическогоСписка(Список) 
```
</details>

## ПолучитьУсловноеОформлениеДинамическогоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет условное оформление динамического списка в зависимости от наличия режима совместимости.
//
// Параметры:
//  Список - ДинамическийСписок - список, для которого надо определить условное оформление.
//
// Возвращаемое значение:
//   УсловноеОформление - требуемое условное оформление.
//
Функция ПолучитьУсловноеОформлениеДинамическогоСписка(Список) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПолучитьУсловноеОформлениеДинамическогоСписка(Список) 
```
</details>

## УстановитьВидимостьЭлементовРабочегоМеста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость элементов формы, выводимых для рабочего места.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения	 - форма с таблицей ХозяйственныеОперацииИДокументы
//	ИменаЭлементовСУправляемойВидимостью - Строка - имена элементов формы, перечисленные через запятую
//	КлючРабочегоМеста - Строка - идентифицирует рабочее место.
//
Процедура УстановитьВидимостьЭлементовРабочегоМеста(Форма, ИменаЭлементовСУправляемойВидимостью, КлючРабочегоМеста) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.УстановитьВидимостьЭлементовРабочегоМеста(Форма, ИменаЭлементовСУправляемойВидимостью, КлючРабочегоМеста) 
```
</details>

## Массив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает переданные данные в массив.
//
// Параметры:
//	Элемент - Произвольный
//	ИгнорироватьПустоеЗначение - Булево - если Истина, то пустой Элемент не будет добавлен в результат.
//
// Возвращаемое значение:
//	Массив Из Произвольный -
//
Функция Массив(Элемент, ИгнорироватьПустоеЗначение = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.Массив(Элемент, ИгнорироватьПустоеЗначение);
```
</details>

## ПреобразоватьСоответствиеИлиСтруктуруВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает переданную коллекцию в массив.
//
// Параметры:
//	ИсходныеДанные - Структура, Соответствие - Исходная коллекция
//	ПреобразовыватьКлюч - Булево - определяет что именно надо преобразовывать, ключ или значение.
//
// Возвращаемое значение:
//	Массив - ключи или значения переданной коллекции.
//
//@skip-warning
Функция ПреобразоватьСоответствиеИлиСтруктуруВМассив(ИсходныеДанные, ПреобразовыватьКлюч = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПреобразоватьСоответствиеИлиСтруктуруВМассив(ИсходныеДанные, ПреобразовыватьКлюч);
```
</details>

## ПреобразоватьМассивВСтруктуруИлиСоответствие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает переданный массив в структуру или соответствие, ключами которой будут являться элементы массива.
//
// Параметры:
//	ИсходныеДанные - Массив -
//	ПреобразовыватьВСтруктуру - Булево - определяет во что именно надо преобразовывать.
//
// Возвращаемое значение:
//	Структура, Соответствие -
//
//@skip-warning
Функция ПреобразоватьМассивВСтруктуруИлиСоответствие(ИсходныеДанные, ПреобразовыватьВСтруктуру) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПреобразоватьМассивВСтруктуруИлиСоответствие(ИсходныеДанные, ПреобразовыватьВСтруктуру) 
```
</details>

## ПредставлениеСтрокиСДлинойНеБолее
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку длиной не более определенного количества символов.
// Если строка больше - она обрезается и в конец добавляется многоточие.
//
// Параметры:
//  ИсходнаяСтрока		 - Строка
//  МаксимальнаяДлина	 - Число
//
// Возвращаемое значение:
//  Строка
//
Функция ПредставлениеСтрокиСДлинойНеБолее(ИсходнаяСтрока, МаксимальнаяДлина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПредставлениеСтрокиСДлинойНеБолее(ИсходнаяСтрока, МаксимальнаяДлина) 
```
</details>

## ЭтаСтрокаЯвляетсяЦелымНеотрицательнымЧислом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли строка целым неотрицательным числом
// Параметры:
//  ПроверяемаяСтрока - Строка - проверяемый строка.
//
// Возвращаемое значение:
//  Булево - Истина, если строка содержит только цифры.
//
Функция ЭтаСтрокаЯвляетсяЦелымНеотрицательнымЧислом(ПроверяемаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ЭтаСтрокаЯвляетсяЦелымНеотрицательнымЧислом(ПроверяемаяСтрока) 
```
</details>

## ДобавитьНовоеЗначениеВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в массив значение в том случае, если этого значения еще нет в массиве.
//
// Параметры:
//	Массив - Массив
//	Значение - Произвольный
//
// Возвращаемое значение:
//	Булево - было ли произведено добавление элемента.
//
Функция ДобавитьНовоеЗначениеВМассив(Массив, Значение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ДобавитьНовоеЗначениеВМассив(Массив, Значение) 
```
</details>

## ПреобразоватьСтрокуКлючейВСоответствие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает соответствие, ключами которого является части переданной строки.
//
// Параметры:
//	СтрокаКлючей - Строка - произвольная строка
//	Разделитель  - Строка - разделитель частей строки.
//
// Возвращаемое значение:
//	Соответствие - части переданной строки, Значения - Истина.
//
//@skip-warning
Функция ПреобразоватьСтрокуКлючейВСоответствие(СтрокаКлючей, Разделитель = ",") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПреобразоватьСтрокуКлючейВСоответствие(СтрокаКлючей, Разделитель, ") 
```
</details>

## ПреобразоватьСоответствиеВСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает структуру, ключами которого являются ключи соответствия.
//
// Параметры:
//	Соответствие - Соответствие
//
// Возвращаемое значение:
//	Структура -
//
//@skip-warning
Функция ПреобразоватьСоответствиеВСтруктуру(Соответствие) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПреобразоватьСоответствиеВСтруктуру(Соответствие) 
```
</details>

## ПреобразоватьСтруктуруВСоответствие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает соответствие, ключами которого являются ключи структуры.
//
// Параметры:
//	Структура - Структура
//
// Возвращаемое значение:
//	Соответствие -
//
//@skip-warning
Функция ПреобразоватьСтруктуруВСоответствие(Структура) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПреобразоватьСтруктуруВСоответствие(Структура) 
```
</details>

## РазличияМассивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает массив, значениями которого являются элементы, присутствующие только в одном из массивов.
//
// Параметры:
//	Массив1 - Массив
//	Массив2 - Массив
//
// Возвращаемое значение:
//	Массив - (элементы Массив1, отсутствующие в Массив2) + (элементы Массив2, отсутствующие в Массив1).
//
//@skip-warning
Функция РазличияМассивов(Массив1, Массив2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.РазличияМассивов(Массив1, Массив2) 
```
</details>

## ПересечениеМассивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает массив, значениями которого являются элементы, присутствующие в каждом из массивов.
//
// Параметры:
//	Массив1 - Массив
//	Массив2 - Массив
//
// Возвращаемое значение:
//	Массив - (элементы Массив1, присутствующие в Массив2).
//
//@skip-warning
Функция ПересечениеМассивов(Массив1, Массив2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ПересечениеМассивов(Массив1, Массив2) 
```
</details>

## ЗначенияСтруктурыНеЗаполнены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что в переданной структуре нет элементов с заполненными значениями.
//
// Параметры:
//	Данные - Структура
//
// Возвращаемое значение:
//	Булево - Истина, если в структуре нет ни одного заполненного значения.
//
Функция ЗначенияСтруктурыНеЗаполнены(Данные) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.ЗначенияСтруктурыНеЗаполнены(Данные) 
```
</details>

## СортироватьМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сортирует элементы массива.
//
// Параметры:
//	Массив - Массив - массив для сортировки.
//
Процедура СортироватьМассив(Массив) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.СортироватьМассив(Массив) 
```
</details>

## ПроверитьНаличиеДублейЗначенийМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет дубли значений в массиве
//
// Параметры:
//  Массив				  - Массив			 - проверяемый массив
//  Отказ				  - Булево			 - отказ продолжения операции.
//  ПредставлениеМассива  - Строка			 - представление вида данных для пользователей.
//  ПредставлениеЗначений - Строка			 - определяет необходимость вывода номера строки в сообщении об ошибке.
//  ИсключатьПустые       - Булево			 - определяет необходимость исключения пустых значений из массива перед проверкой дублей.
//
Процедура ПроверитьНаличиеДублейЗначенийМассива(Массив, Отказ, ПредставлениеМассива = "", ПредставлениеЗначений = "", ИсключатьПустые = Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ПроверитьНаличиеДублейЗначенийМассива(Массив, Отказ, ПредставлениеМассива, ПредставлениеЗначений, ИсключатьПустые);
```
</details>

## УдалитьЗначенияИзМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из первого массива значения, содержащиеся во втором массиве.
//
// Параметры:
// 	ИсходныйМассив - Массив -
// 	ВычитаемыйМассив - Массив -
//
// Возвращаемое значение:
// 	Массив -
//@skip-warning
Функция УдалитьЗначенияИзМассива(ИсходныйМассив, ВычитаемыйМассив) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.УдалитьЗначенияИзМассива(ИсходныйМассив, ВычитаемыйМассив) 
```
</details>

## АдаптацияЭлементовФормыДляМобильногоЭкрана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перемещает все заголовки полей формы наверх и устанавливает им жирный шрифт, а поля формы выравнивает по левому краю
//
// Параметры:
// 	Элементы - ЭлементыФормы -
// 	Исключения - Неопределено, Массив из ЭлементыФормы -
Процедура АдаптацияЭлементовФормыДляМобильногоЭкрана(Элементы, Исключения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.АдаптацияЭлементовФормыДляМобильногоЭкрана(Элементы, Исключения);
```
</details>

## НастроитьЗависимыеЭлементыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служит универсальной процедурой для изменения свойств элементов формы на основании полученных параметров.
// Параметры вычисляются при изменении реквизитов объекта.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения- Форма, в которой нужно настроить зависимые элементы.
//  ПараметрыРеквизитовОбъекта - Массив из см. ДобавитьПараметрыРеквизитаОбъекта - Содержит список свойств и их значения.
//
Процедура НастроитьЗависимыеЭлементыФормы(Форма, ПараметрыРеквизитовОбъекта) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.НастроитьЗависимыеЭлементыФормы(Форма, ПараметрыРеквизитовОбъекта) 
```
</details>

## ДобавитьПараметрыРеквизитаОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для заполнения параметров свойств элементов формы.
// Далее эти параметры используются в процедурах:
//     - НастроитьЭлементыФормыНаСервере(),
//     - ОбщегоНазначенияУТ.ОтключитьПроверкуЗаполненияРеквизитовОбъекта().
//
// Параметры:
//  ИмяРеквизита				 - Строка - Имя реквизита для которого устанавливается свойство (может быть пустым).
//  ИмяЭлемента					 - Строка - Имя элемента формы с которым связан реквизит.
//  Свойство					 - Строка - Свойство элемента формы. Разрешено любое свойство предусмотренное платформой для элементов формы.
//                                          Дополнительно можно использовать служебные свойства:
//                                              "ТолькоПросмотрБезОтметкиНезаполненного" - позволяет установить только просмотр у элемента и отключить проверку заполнения.
//                                              "ТолькоПросмотрБезОчистки" - позволяет сделать поле недоступным, не очищая его.
//                                              "ВидимостьЭлемента" - позволяет управлять только видимостью элемента, а проверка заполнения не отключается.
//  Значение					 - Произвольный - Любое значение свойства.
//  ПараметрыРеквизитовОбъекта	 - Массив из см.НовыйПараметрРеквизитаОбъекта - Параметры в которые нужно добавить.
//
//  Пример:
//  	ОбщегоНазначенияУТКлиентСервер.ДобавитьПараметрыРеквизитаОбъекта(
//  		"ОС.СуммаСписанияУУ", "ОССуммаСписанияУУ", "Видимость", СуммаВидима, ПараметрыРеквизитовОбъекта).
//
Процедура ДобавитьПараметрыРеквизитаОбъекта(ИмяРеквизита, ИмяЭлемента, Свойство, Значение, ПараметрыРеквизитовОбъекта) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ДобавитьПараметрыРеквизитаОбъекта(ИмяРеквизита, ИмяЭлемента, Свойство, Значение, ПараметрыРеквизитовОбъекта) 
```
</details>

## ОчиститьНеиспользуемыеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает неиспользуемые реквизиты.
//
// Параметры:
//  Объект - Произвольный - Объект, реквизиты которого нужно очистить.
//  ПараметрыРеквизитовОбъекта - Массив из см. НовыйПараметрРеквизитаОбъекта - Параметры реквизитов объекта.
//  ИменаТабличныхЧастей - Строка - Имена табличных частей.
Процедура ОчиститьНеиспользуемыеРеквизиты(Объект, ПараметрыРеквизитовОбъекта, ИменаТабличныхЧастей = "") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУТКлиентСервер.ОчиститьНеиспользуемыеРеквизиты(Объект, ПараметрыРеквизитовОбъекта, ИменаТабличныхЧастей);
```
</details>

## НовыйПараметрРеквизитаОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новое описание параметров реквизита объекта.
//
// Возвращаемое значение:
// 	Структура - со свойствами:
//      * Значение - Число, Булево -
//      * Свойство - Строка -
//      * ИмяЭлемента - Строка -
//      * ИмяРеквизита - Строка -
Функция НовыйПараметрРеквизитаОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУТКлиентСервер.НовыйПараметрРеквизитаОбъекта() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
