---
title: Объекты эксплуатации
slug: erp-uh/объекты-эксплуатации
---


## ИнициализироватьКэшированныеЗначенияПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет инициализацию структуры кэшированных значений проверки заполнения
//
// Параметры:
// 		КэшированныеЗначения - Структура - Структура кэшированных значений проверки заполнения.
//
Процедура ИнициализироватьКэшированныеЗначенияПроверкиЗаполнения(КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ОбъектыЭксплуатации.ИнициализироватьКэшированныеЗначенияПроверкиЗаполнения(КэшированныеЗначения) 
```
</details>

## ИнициализироватьПотокОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет инициализацию структуры потока ошибок проверки заполнения
//
// Параметры:
// 		ПотокОшибок - Структура - Структура потока ошибок проверки заполнения.
//
Процедура ИнициализироватьПотокОшибок(ПотокОшибок) Экспорт
```

Пример вызова
```bsl
ОбъектыЭксплуатации.ИнициализироватьПотокОшибок(ПотокОшибок) 
```
</details>

## ДобавитьОшибкуПользователю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в список ошибок новую ошибку пользователя для дальнейшей отправки
// с помощью процедуры СообщитьОшибкиПользователю().
//  Используется в процедурах ОбработкаПроверкиЗаполнения.
//
// Параметры:
// 		Ошибки - Структура - Содержит поток ошибок:
// 		              * СписокОшибок - Массив -
// 		              * СчетчикОшибок - Соответствие -
//
// 		ОбъектОшибки - СправочникСсылка.ОбъектыЭксплуатации, СправочникСсылка.УзлыОбъектовЭксплуатации - объект, владелец ошибки.
//
// 		ПолеОшибки - Строка - значение, которое задается в свойстве Поле объекта СообщениеПользователю.
//                    Для автоподстановки номера строки должна содержать "%1".
//                    Например, "Объект.ИНН" или "Объект.Пользователи[%1].Пользователь".
//
// 		ТекстДляОднойОшибки - Строка - текст ошибки для случая, когда ГруппаОшибок в коллекции только одна,
//                    например, НСтр("ru = 'Пользователь не выбран.'").
//
// 		ГруппаОшибок - Произвольный - используется для выбора либо текста для одной ошибки,
//                    либо текста для нескольких ошибок, например, имя "Объект.Пользователи".
//                    Если значение не заполнено, тогда используется текст для одной ошибки.
//
// 		НомерСтроки - Число - значение от 0 ... , определяющее номер строки, который нужно подставить
//                    в строку ПолеОшибки и в ТекстДляНесколькихОшибок (подставляется НомерСтроки + 1).
//
// 		ТекстДляНесколькихОшибок - Строка - текст ошибки для случая, когда добавлено несколько ошибок с одинаковым
//                    свойством ГруппаОшибок, например, НСтр("ru = 'Пользователь в строке %1 не выбран.'").
//
Процедура ДобавитьОшибкуПользователю(Ошибки, Знач ОбъектОшибки, Знач ПолеОшибки, Знач ТекстДляОднойОшибки, Знач ГруппаОшибок = "", Знач НомерСтроки = 0, Знач ТекстДляНесколькихОшибок = "") Экспорт
```

Пример вызова
```bsl
ОбъектыЭксплуатации.ДобавитьОшибкуПользователю(Ошибки, ОбъектОшибки, ПолеОшибки, ТекстДляОднойОшибки, ГруппаОшибок, НомерСтроки, ТекстДляНесколькихОшибок);
```
</details>

## СообщитьОшибкиПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура сообщает ошибки проверки заполнения
//
// Параметры:
// 		Ошибки  - Неопределено - возврат, значение, установленное при использовании процедуры ОбщегоНазначенияКлиентСервер.ДобавитьОшибкуПользователю().
// 		Отказ - Булево - устанавливается Истина, если ошибки сообщались.
//
Процедура СообщитьОшибкиПроверкиЗаполнения(Ошибки, Отказ=Ложь) Экспорт
```

Пример вызова
```bsl
ОбъектыЭксплуатации.СообщитьОшибкиПроверкиЗаполнения(Ошибки, Отказ);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
