---
title: Онлайн оплаты клиент переопределяемый
slug: erp-uh/онлайн-оплаты-клиент-переопределяемый
---


## ЭлементФормыНастроекПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриИзменении добавленного элемента формы настроек онлайн оплаты.
// См. ОнлайнОплатыПереопределяемый.ПриСозданииФормыОнлайнОплаты.
//
// Параметры:
//  Контекст - Структура - контекст выполнения метода:
//    * Форма - ФормаКлиентскогоПриложения - форма настроек онлайн оплаты.
//    * Префикс - Строка - префикс имен добавленных реквизитов, команд и элементов формы.
//    * НоваяНастройка - Булево - признак редактирования новой настройки.
//    * Организация - ОпределяемыТип.Организация - организация, для которой производится настройка.
//    * СДоговором - Булево - признак варианта использования сервиса "С договором". Если Ложь, то "Без договора".
//  Элемент - ЭлементФормы - см. описание параметра события элемента формы.
//
//@skip-warning
Процедура ЭлементФормыНастроекПриИзменении(Контекст, Элемент) Экспорт
```

Пример вызова
```bsl
ОнлайнОплатыКлиентПереопределяемый.ЭлементФормыНастроекПриИзменении(Контекст, Элемент) 
```
</details>

## ЭлементФормыНастроекСоздание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события Создание добавленного элемента формы настроек онлайн оплаты.
// См. ОнлайнОплатыПереопределяемый.ПриСозданииФормыОнлайнОплаты.
//
// Параметры:
//  Контекст - Структура - контекст выполнения метода:
//    * Форма - ФормаКлиентскогоПриложения - форма настроек Онлайн оплаты.
//    * Префикс - Строка - префикс имен добавленных реквизитов, команд и элементов формы.
//    * НоваяНастройка - Булево - признак редактирования новой настройки.
//    * Организация - ОпределяемыТип.Организация - организация, для которой производится настройка.
//    * СДоговором - Булево - признак варианта использования сервиса "С договором". Если Ложь, то "Без договора".
//  Элемент - ЭлементФормы - см. описание параметра события элемента формы.
//  СтандартнаяОбработка - Булево - см. описание параметра события элемента формы.
//
//@skip-warning
Процедура ЭлементФормыНастроекСоздание(Контекст, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОнлайнОплатыКлиентПереопределяемый.ЭлементФормыНастроекСоздание(Контекст, Элемент, СтандартнаяОбработка) 
```
</details>

## ЭлементФормыНастроекНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события НачалоВыбора добавленного элемента формы настроек онлайн оплаты.
// См. ОнлайнОплатыПереопределяемый.ПриСозданииФормыОнлайнОплаты.
//
// Параметры:
//  Контекст - Структура - контекст выполнения метода. Аналогично методу ЭлементФормыНастроекПриИзменении.
//  Элемент - ЭлементФормы - см. описание параметра события элемента формы.
//  ДанныеВыбора - СписокЗначений - см. описание параметра события элемента формы.
//  СтандартнаяОбработка - Булево - см. описание параметра события элемента формы.
//
//@skip-warning
Процедура ЭлементФормыНастроекНачалоВыбора(Контекст, Элемент, ДанныеВыбора, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОнлайнОплатыКлиентПереопределяемый.ЭлементФормыНастроекНачалоВыбора(Контекст, Элемент, ДанныеВыбора, СтандартнаяОбработка) 
```
</details>

## ЭлементФормыНастроекОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ОбработкаВыбора добавленного элемента формы настроек онлайн оплаты.
// См. ОнлайнОплатыПереопределяемый.ПриСозданииФормыОнлайнОплаты.
//
// Параметры:
//  Контекст - Структура - контекст выполнения метода. Аналогично методу ЭлементФормыНастроекПриИзменении.
//  Элемент - ЭлементФормы - см. описание параметра события элемента формы.
//  ВыбранноеЗначение - Произвольный - см. описание параметра события элемента формы.
//  СтандартнаяОбработка - Булево - см. описание параметра события элемента формы.
//
//@skip-warning
Процедура ЭлементФормыНастроекОбработкаВыбора(Контекст, Элемент, ВыбранноеЗначение, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОнлайнОплатыКлиентПереопределяемый.ЭлементФормыНастроекОбработкаВыбора(Контекст, Элемент, ВыбранноеЗначение, СтандартнаяОбработка) 
```
</details>

## ЭлементФормыНастроекНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события Нажатие добавленного элемента формы настроек онлайн оплаты.
// См. ОнлайнОплатыПереопределяемый.ПриСозданииФормыОнлайнОплаты.
//
// Параметры:
//  Контекст - Структура - контекст выполнения метода. Аналогично методу ЭлементФормыНастроекПриИзменении.
//  Элемент - ЭлементФормы - см. описание параметра события элемента формы.
//
//@skip-warning
Процедура ЭлементФормыНастроекНажатие(Контекст, Элемент) Экспорт
```

Пример вызова
```bsl
ОнлайнОплатыКлиентПереопределяемый.ЭлементФормыНастроекНажатие(Контекст, Элемент) 
```
</details>

## КомандаФормыНастроекДействие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действие подключаемой команды формы настроек онлайн оплаты.
// См. ОнлайнОплатыПереопределяемый.ПриСозданииФормыОнлайнОплаты.
//
// Параметры:
//  Контекст - Структура - контекст выполнения метода. Аналогично методу ЭлементФормыНастроекПриИзменении.
//  Команда - КомандаФормы - см. описание параметра действия команды формы.
//
//@skip-warning
Процедура КомандаФормыНастроекДействие(Контекст, Команда) Экспорт
```

Пример вызова
```bsl
ОнлайнОплатыКлиентПереопределяемый.КомандаФормыНастроекДействие(Контекст, Команда) 
```
</details>

## ЗаполнитьПараметрыСообщенияБезШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры сообщения электронной почты, отправляемого без шаблона.
// Применяется в случае, если шаблоны сообщений не используются.
//
// Параметры:
//  ПараметрыСообщения - Структура - Параметры сообщения электронной почты:
//    * Получатель - СписокЗначений - Список адресов электронной почты.
//    * Предмет - Произвольный - Ссылка на основание платежа.
//    * ПлатежнаяСсылка - Строка - Платежная ссылка, отправляемая в сообщении.
//    * Тема - Строка - Тема сообщения.
//    * Текст - Строка - Текст сообщения.
//
//@skip-warning
Процедура ЗаполнитьПараметрыСообщенияБезШаблона(ПараметрыСообщения) Экспорт
```

Пример вызова
```bsl
ОнлайнОплатыКлиентПереопределяемый.ЗаполнитьПараметрыСообщенияБезШаблона(ПараметрыСообщения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
