---
title: Оперативное планирование формы УХ
slug: erp-uh/оперативное-планирование-формы-ух
---


## ПолучитьЗначенияЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначенияЗаполнения(Форма, ИмяВидаОперации) Экспорт
```

Пример вызова
```bsl
Результат = ОперативноеПланированиеФормыУХ.ПолучитьЗначенияЗаполнения(Форма, ИмяВидаОперации) 
```
</details>

## ТипыРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует кэш, содержащий типы реквизитов переданного объекта метаданных
//
// Параметры:
//  ОбъектМетаданных - 	ОбъектМетаданных - объект метаданных, реквизиты которого необходимо поместить в кэш
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура
//
Функция ТипыРеквизитовОбъекта(ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОперативноеПланированиеФормыУХ.ТипыРеквизитовОбъекта(ОбъектМетаданных) 
```
</details>

## УстановитьСвязиПараметровВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает связи параметров выбора аналитик статьи бюджета с их владельцами.
Процедура УстановитьСвязиПараметровВыбора(Форма, ИдентификаторСтроки, ВидБюджета, Знач ШаблонИмениРеквизита = Неопределено, Знач ШаблонИмениЭлемента = Неопределено, Знач КолонкаСтатья = Неопределено) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.УстановитьСвязиПараметровВыбора(Форма, ИдентификаторСтроки, ВидБюджета, ШаблонИмениРеквизита, ШаблонИмениЭлемента, КолонкаСтатья);
```
</details>

## УстановитьУсловноеОформлениеДополнительныхАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьУсловноеОформлениеДополнительныхАналитик(Форма, ТаблицаФормы, ВидБюджета, КодБюджетаВИменахЭлементов = Истина, Знач ОснованиеИмениЭлемента = Неопределено) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.УстановитьУсловноеОформлениеДополнительныхАналитик(Форма, ТаблицаФормы, ВидБюджета, КодБюджетаВИменахЭлементов, ОснованиеИмениЭлемента);
```
</details>

## УстановитьУсловноеОформлениеТаблицыКонтроля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьУсловноеОформлениеТаблицыКонтроля(Форма, ТаблицаФормы) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.УстановитьУсловноеОформлениеТаблицыКонтроля(Форма, ТаблицаФормы) 
```
</details>

## УстановитьАналитикиСтатьи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполянет реквизиты строки ДанныеСтроки из сведениях об аналитиках статьи бюджета и приводит значения аналитик1..3 к новым типам
Процедура УстановитьАналитикиСтатьи(ДанныеСтроки, ВидБюджета, ШаблонИмениРеквизита, Знач КолонкаСтатья = Неопределено, ТолькоЛимитируемыеАналитики = Ложь, ПараметрыЛимитирования = неопределено) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.УстановитьАналитикиСтатьи(ДанныеСтроки, ВидБюджета, ШаблонИмениРеквизита, КолонкаСтатья, ТолькоЛимитируемыеАналитики, ПараметрыЛимитирования);
```
</details>

## ОпределитьПриоритетОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет минимально требуемый приоритет заявки исходя из ее реквизитов (Организация, ЦФО, Договор и статьей бюджета) и заполняет список возможных значений приоритета
//
// Параметры:
//  Форма				- УправляемаяФорма - Форма документа заявки
//  ИмяЭлементПриоритет - Строка - Имя элемента Приоритет (необязательный)
//  РеквизитыДокумента  - неопределено - коллекция реквизитов документа
//
Процедура ОпределитьПриоритетОперации(Форма, ИмяЭлементПриоритет = неопределено, РеквизитыДокумента = неопределено) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.ОпределитьПриоритетОперации(Форма, ИмяЭлементПриоритет, РеквизитыДокумента);
```
</details>

## ОпределитьНаличиеПредопределенныхРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьНаличиеПредопределенныхРолей(Форма) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.ОпределитьНаличиеПредопределенныхРолей(Форма) 
```
</details>

## УстановитьПроектБюджетодержатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПроектБюджетодержатель(Форма) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.УстановитьПроектБюджетодержатель(Форма) 
```
</details>

## ИнициализироватьТаблицуКонтролей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьТаблицуКонтролей(Форма) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.ИнициализироватьТаблицуКонтролей(Форма) 
```
</details>

## УстановитьПараметрыВыбораДоговоров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПараметрыВыбораДоговоров(Форма) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.УстановитьПараметрыВыбораДоговоров(Форма) 
```
</details>

## ПроверитьДоговорКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьДоговорКонтрагента(Форма) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.ПроверитьДоговорКонтрагента(Форма) 
```
</details>

## ОграничитьТипДокументаПланированияВДокументахПоступления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОграничитьТипДокументаПланированияВДокументахПоступления(Форма, ЭлементыДокументПланирования) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.ОграничитьТипДокументаПланированияВДокументахПоступления(Форма, ЭлементыДокументПланирования) 
```
</details>

## КартинкаСтраницыКонтроль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КартинкаСтраницыКонтроль(ЕстьПревышениеЛимитов, ЕстьПредупреждения = Ложь, ЕстьИнформация = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОперативноеПланированиеФормыУХ.КартинкаСтраницыКонтроль(ЕстьПревышениеЛимитов, ЕстьПредупреждения, ЕстьИнформация);
```
</details>

## УстановитьКартинкуСтраницыКонтроль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьКартинкуСтраницыКонтроль(Форма) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.УстановитьКартинкуСтраницыКонтроль(Форма) 
```
</details>

## КартинкаПоВидуПредупреждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КартинкаПоВидуПредупреждения(ВидПредупреждения) Экспорт
```

Пример вызова
```bsl
Результат = ОперативноеПланированиеФормыУХ.КартинкаПоВидуПредупреждения(ВидПредупреждения) 
```
</details>

## ПриСозданииНаСервереДокументДДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервереДокументДДС(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.ПриСозданииНаСервереДокументДДС(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПриЧтенииНаСервереДокументДДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЧтенииНаСервереДокументДДС(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.ПриЧтенииНаСервереДокументДДС(Форма, ТекущийОбъект) 
```
</details>

## ПослеЗаписиНаСервереДокументДДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНаСервереДокументДДС(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.ПослеЗаписиНаСервереДокументДДС(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПриИзмененииВидаОперацииНаСервереДокументДДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииВидаОперацииНаСервереДокументДДС(Форма) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.ПриИзмененииВидаОперацииНаСервереДокументДДС(Форма) 
```
</details>

## ДобавитьЦфоПроектИзДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЦфоПроектИзДоговора(СтруктураЗаполнения, Договор) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХ.ДобавитьЦфоПроектИзДоговора(СтруктураЗаполнения, Договор) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
