---
title: Оперативное планирование формы УХ клиент сервер
slug: erp-uh/оперативное-планирование-формы-ух-клиент-сервер
---


## УстановитьОграничениеТипаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОграничениеТипаКонтрагента(Форма) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.УстановитьОграничениеТипаКонтрагента(Форма) 
```
</details>

## УстановитьСвязиПараметровВыбораСчетаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьСвязиПараметровВыбораСчетаКонтрагента(Форма, ЭлементСчета) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.УстановитьСвязиПараметровВыбораСчетаКонтрагента(Форма, ЭлементСчета));
```
</details>

## УправлениеФормойДокументаДДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УправлениеФормойДокументаДДС(Форма) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.УправлениеФормойДокументаДДС(Форма) 
```
</details>

## УстановитьОтборПоФункциональнымНаправлениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОтборПоФункциональнымНаправлениям(Знач ЦФО, ЭлементыФормы) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.УстановитьОтборПоФункциональнымНаправлениям(ЦФО, ЭлементыФормы) 
```
</details>

## ПересчитатьСуммуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПересчитатьСуммуНДС(СтрокаРасшифровки) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.ПересчитатьСуммуНДС(СтрокаРасшифровки) 
```
</details>

## ЗаполнитьСведенияОВидахАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСведенияОВидахАналитик(СтатьяБюджета, Приемник, ТолькоЛимитируемыеАналитики = Ложь, ПараметрыЛимитирования = неопределено) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.ЗаполнитьСведенияОВидахАналитик(СтатьяБюджета, Приемник, ТолькоЛимитируемыеАналитики, ПараметрыЛимитирования);
```
</details>

## ИзменитьПараметрыВыбораАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьПараметрыВыбораАналитик(ИсточникДанных, ИсточникТиповЗначений, МассивЭлементовАналитик) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.ИзменитьПараметрыВыбораАналитик(ИсточникДанных, ИсточникТиповЗначений, МассивЭлементовАналитик) 
```
</details>

## ПривестиЗначениеТиповАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПривестиЗначениеТиповАналитик(ИсточникДанных, ИсточникТиповЗначений) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.ПривестиЗначениеТиповАналитик(ИсточникДанных, ИсточникТиповЗначений) 
```
</details>

## УправлениеЭлементамиДополнительныхАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура установки типа и видимости аналитик в зависимости от выбранной статьи.
//
// Параметры:
//	Статья			 - <План счетов> - Счет, для которого необходимо настроить тип и видимость субконто
//	Форма			 - <Управляемая форма> - Форма, которая содержит ПоляФормы
//	ПоляФормы		 - <Структура> - Ключи, которой Аналитика1, Аналитика2, Аналитика3,
//									 а значения имена соответствующих полей на форме (поля аналитик)
//	ЭтоТаблица		 - <Булево>		 - Признак того, где выполняется настройка аналитик.
//
Процедура УправлениеЭлементамиДополнительныхАналитик(ИсточникТиповЗначений, ПоляФормы) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.УправлениеЭлементамиДополнительныхАналитик(ИсточникТиповЗначений, ПоляФормы) 
```
</details>

## УстановитьПараметрВыбораСтатьиПриходРасход
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает элементу, связанному со статьей бюджета, параметр выбора
// Отбор.ПриходРасход фиксированным массивом, состоящим из переданного значения ЗначениеПриходРасход
// и значения Перечисления.ВидыДвиженийПриходРасход.ПустаяСсылка.
//
// Параметры:
//  Элемент				 - ПолеФормы - Элемент формы, которому необходимо установить параметр выбора.
//  ЗначениеПриходРасход - 	ПеречислениеСсылка.ВидыДвиженийПриходРасход - устанавливаемое значение.
//
Процедура УстановитьПараметрВыбораСтатьиПриходРасход(Элемент, ЗначениеПриходРасход) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.УстановитьПараметрВыбораСтатьиПриходРасход(Элемент, ЗначениеПриходРасход) 
```
</details>

## УстановитьЗначенияОтбораСтатей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьЗначенияОтбораСтатей(Список, ЗначениеПриходРасход) Экспорт
```

Пример вызова
```bsl
ОперативноеПланированиеФормыУХКлиентСервер.УстановитьЗначенияОтбораСтатей(Список, ЗначениеПриходРасход) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
