---
title: Оперативный учет производства вызов сервера
slug: erp-uh/оперативный-учет-производства-вызов-сервера
---


## ПодготовитьДанныеДляПечатиМаршрутнойКартыНаПродукцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Устарело_Производство21

// Подготавливает данные для печати маршрутной карты на продукцию
//
// Параметры:
//  ДанныеОПродукции	- Массив - содержит массив структур в которых данные КодСтроки,Заказ.
//
// Возвращаемое значение:
//   Структура   - содержит параметры печати.
//
Функция ПодготовитьДанныеДляПечатиМаршрутнойКартыНаПродукцию(ДанныеОПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваВызовСервера.ПодготовитьДанныеДляПечатиМаршрутнойКартыНаПродукцию(ДанныеОПродукции) 
```
</details>

## СформироватьМаршрутныеЛисты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует маршрутные листы
//
// Параметры:
//  ДанныеМаршрутныхЛистов	- Массив - данные для формирования маршрутных листов.
//
// Возвращаемое значение:
//   Число   - Количество сформированных документов.
//
Функция СформироватьМаршрутныеЛисты(ДанныеМаршрутныхЛистов) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваВызовСервера.СформироватьМаршрутныеЛисты(ДанныеМаршрутныхЛистов) 
```
</details>

## ДанныеОперацииИзОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные операции из очереди
//
// Параметры:
//  КлючОперации - РегистрСведенийКлючЗаписи.ОчередьПроизводственныхОпераций - ключ записи.
//
// Возвращаемое значение:
//   - Структура - данные операции из очереди.
//
Функция ДанныеОперацииИзОчереди(КлючОперации) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваВызовСервера.ДанныеОперацииИзОчереди(КлючОперации) 
```
</details>

## ДанныеОперацийИзОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные операций из очереди
//
// Параметры:
//  КлючиОпераций	 - Массив, РегистрСведенийКлючЗаписи.ОчередьПроизводственныхОпераций - ключ записи.
//
// Возвращаемое значение:
//  Массив - список данных операций из очереди.
//
Функция ДанныеОперацийИзОчереди(КлючиОпераций) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваВызовСервера.ДанныеОперацийИзОчереди(КлючиОпераций) 
```
</details>

## ДанныеЗаполненияНовыхПроизводственныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные заполнения производственных операций
//
// Параметры:
//  КлючиОпераций			 - Массив, РегистрСведенийКлючЗаписи.ОчередьПроизводственныхОпераций - ключ записи
//  ПараметрыНазначения		 - Структура														 - параметры назначения
//    * Участок
//    * ВидРабочегоЦентра
//    * РабочийЦентр
//    * Исполнитель
//    * Количество
//  УстанавливаемыйСтатус	 - ПеречислениеСсылка.СтатусыПроизводственныхОпераций						 - статус нового документа
//  ПроверятьПараметры		 - Булево															 - Истина, если нужно проверить соответствие параметров назначения
//
// Возвращаемое значение:
//  Массив - данные заполнения производственных операций.
//
Функция ДанныеЗаполненияНовыхПроизводственныхОпераций(КлючиОпераций, ПараметрыНазначения, УстанавливаемыйСтатус = Неопределено, ПроверятьПараметры = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваВызовСервера.ДанныеЗаполненияНовыхПроизводственныхОпераций(КлючиОпераций, ПараметрыНазначения, УстанавливаемыйСтатус, ПроверятьПараметры);
```
</details>

## СформироватьПроизводственныеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует производственные операции
//
// Параметры:
//  КлючиОпераций			 - Массив, РегистрСведенийКлючЗаписи.ОчередьПроизводственныхОпераций - ключ записи
//  ПараметрыНазначения		 - Структура														 - параметры назначения
//    * Участок
//    * ВидРабочегоЦентра
//    * РабочийЦентр
//    * Исполнитель
//    * Количество
//  УстанавливаемыйСтатус	 - ПеречислениеСсылка.СтатусыПроизводственныхОпераций						 - статус нового документа
//
// Возвращаемое значение:
//  Число - Количество сформированных документов.
//
Функция СформироватьПроизводственныеОперации(КлючиОпераций, ПараметрыНазначения, УстанавливаемыйСтатус = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваВызовСервера.СформироватьПроизводственныеОперации(КлючиОпераций, ПараметрыНазначения, УстанавливаемыйСтатус);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
