---
title: Оперативный учет производства клиент
slug: erp-uh/оперативный-учет-производства-клиент
---


## ОповеститьОЗаписиМаршрутныхЛистов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Устарело_Производство21

//++ НЕ УТКА

// Формирует системные оповещения о записи маршрутных листов
//
// Параметры:
//  Источник						- УникальныйИдентификатор - идентификатор формы в которой выполнена запись
//									- Строка - идентификатор функции в которой выполнена запись
//  ВызватьОповеститьОбИзменении	- Булево - Истина, если нужно вызвать ОповеститьОбИзменении
//  ИзмененныеДокументы				- Массив, ДокументСсылка.МаршрутныйЛистПроизводства  - список измененных маршрутных листов.
//
Процедура ОповеститьОЗаписиМаршрутныхЛистов(Источник = Неопределено, ВызватьОповеститьОбИзменении = Истина, ИзмененныеДокументы = Неопределено) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОповеститьОЗаписиМаршрутныхЛистов(Источник, ВызватьОповеститьОбИзменении, ИзмененныеДокументы);
```
</details>

## ОповеститьОбИзмененииРасписанияВидаРабочегоЦентра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует системное оповещение об изменении расписания рабочих центров
//
// Параметры:
//  ВидРабочегоЦентра	- СправочникСсылка.ВидыРабочихЦентров - вид рабочего центра для которого изменилось расписание
//  Подразделение		- СправочникСсылка.СтруктураПредприятия - подразделение для которого изменилось расписание
//  ДатаИнтервала		- Дата - дата интервала планирования в котором изменилось расписание
//  Форма				- Форма - форма в которой было изменено расписание.
//
Процедура ОповеститьОбИзмененииРасписанияВидаРабочегоЦентра(ВидРабочегоЦентра, Подразделение, ДатаИнтервала, Форма) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОповеститьОбИзмененииРасписанияВидаРабочегоЦентра(ВидРабочегоЦентра, Подразделение, ДатаИнтервала, Форма) 
```
</details>

## ОповеститьОбИзмененииКлючевогоВидаРабочегоЦентра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует системное оповещение об изменении ключевого вида рабочего центра
//
Процедура ОповеститьОбИзмененииКлючевогоВидаРабочегоЦентра() Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОповеститьОбИзмененииКлючевогоВидаРабочегоЦентра() 
```
</details>

## СобытиеРасписаниеВидаРабочегоЦентраИзменилось
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, что указанное событие - это событие об изменении расписания
//
// Параметры:
//  ИмяСобытия	- Строка - имя события.
//
// Возвращаемое значение:
//  Булево   - Истина, если расписание изменилось.
//
Функция СобытиеРасписаниеВидаРабочегоЦентраИзменилось(ИмяСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваКлиент.СобытиеРасписаниеВидаРабочегоЦентраИзменилось(ИмяСобытия) 
```
</details>

## СобытиеРасписаниеОперацийИзменилось
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, что указанное событие - это событие об изменении расписания операций
//
// Параметры:
//  ИмяСобытия	- Строка - имя события.
//
// Возвращаемое значение:
//  Булево   - Истина, если расписание изменилось.
//
Функция СобытиеРасписаниеОперацийИзменилось(ИмяСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваКлиент.СобытиеРасписаниеОперацийИзменилось(ИмяСобытия) 
```
</details>

## СобытиеКлючевойВидРабочегоЦентраИзменился
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, что указанное событие - это событие об изменении ключевого вида рабочего центра.
//
// Параметры:
//  ИмяСобытия	- Строка - имя события.
//
// Возвращаемое значение:
//  Булево   - Истина, если ключевой вид рабочего центра изменился.
//
Функция СобытиеКлючевойВидРабочегоЦентраИзменился(ИмяСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваКлиент.СобытиеКлючевойВидРабочегоЦентраИзменился(ИмяСобытия) 
```
</details>

## РегулированиеКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Увеличивает или уменьшает количество согласно кратности
//
// Параметры:
//  Количество				- Число - количество которое нужно изменить
//  Кратность				- Число - какому значению должно быть кратно количество
//  Направление 			- Число - "1" если нужно увеличить, "-1" если нужно уменьшить
//  МинимальноеЗначение		- Число - Минимальное значение
//  МаксимальноеЗначение	- Число - Максимальное значение.
//
// Возвращаемое значение:
//   Число   - полученное количество.
//
Функция РегулированиеКоличества(Количество, Кратность, Направление, МинимальноеЗначение = Неопределено, МаксимальноеЗначение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваКлиент.РегулированиеКоличества(Количество, Кратность, Направление, МинимальноеЗначение, МаксимальноеЗначение);
```
</details>

## СформироватьМаршрутныеЛистыПоЗаказам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует маршрутные листы по заказам на производство
//
// Параметры:
//  СписокРаспоряжений	- Массив - заказы на производство для которого требуется сформировать МЛ
//  Источник			- УникальныйИдентификатор - идентификатор формы в которой выполняется формирование МЛ
//						- Строка - идентификатор функции в которой выполняется формирование МЛ.
//
Процедура СформироватьМаршрутныеЛистыПоЗаказам(СписокРаспоряжений, Источник = Неопределено) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.СформироватьМаршрутныеЛистыПоЗаказам(СписокРаспоряжений, Источник);
```
</details>

## СформироватьМаршрутныеЛистыПоРасписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует маршрутные листы необходимые для формирования расписания на указанном виде РЦ.
//
// Параметры:
//  Подразделение		- СправочникСсылка.СтруктураПредприятия - подразделение для которого требуется сформировать МЛ
//  ВидРабочегоЦентра	- СправочникСсылка.ВидыРабочихЦентров - вид рабочего центра для которого формируется расписание
//	ДатаИнтервала		- Дата - начало интервала планирования
//  Источник			- УникальныйИдентификатор - идентификатор формы в которой выполняется формирование МЛ
//						- Строка - идентификатор функции в которой выполняется формирование МЛ.
//
Процедура СформироватьМаршрутныеЛистыПоРасписанию(Подразделение, ВидРабочегоЦентра, ДатаИнтервала, Источник = Неопределено) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.СформироватьМаршрутныеЛистыПоРасписанию(Подразделение, ВидРабочегоЦентра, ДатаИнтервала, Источник);
```
</details>

## ОформитьВыработкуСотрудниковПоРаспоряжениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТКА

//-- Устарело_Производство21

// Оформляет документ выработки сотрудников на основании распоряжений
//
// Параметры:
//  СписокРаспоряжений	- Массив - список распоряжений.
//
Процедура ОформитьВыработкуСотрудниковПоРаспоряжениям(СписокРаспоряжений) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОформитьВыработкуСотрудниковПоРаспоряжениям(СписокРаспоряжений) 
```
</details>

## ОформитьВыработкуСотрудниковПоСменномуЗаданию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Оформляет документ выработки сотрудников на основании сменных заданий
//
// Параметры:
//  СписокСменныхЗаданий	- Массив - список сменных заданий.
//
Процедура ОформитьВыработкуСотрудниковПоСменномуЗаданию(СписокСменныхЗаданий) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОформитьВыработкуСотрудниковПоСменномуЗаданию(СписокСменныхЗаданий) 
```
</details>

## ОповеститьОЗаписиПроизводственныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует системные оповещения о записи производственных операций
//
// Параметры:
//  Подразделение				 - СправочникСсылка.СтруктураПредприятия	 - Производственное подразделение
//  ВызватьОповеститьОбИзменении - Булево									 - Истина, если нужно вызвать ОповеститьОбИзменении
//  ИзмененныеДокументы			 - Массив, ДокументСсылка.ПроизводственнаяОперация2_2	 - список измененных производственных операций.
//
Процедура ОповеститьОЗаписиПроизводственныхОпераций(Подразделение, ВызватьОповеститьОбИзменении = Истина, ИзмененныеДокументы = Неопределено) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОповеститьОЗаписиПроизводственныхОпераций(Подразделение, ВызватьОповеститьОбИзменении, ИзмененныеДокументы);
```
</details>

## ОповеститьПользователяОФормированииПроизводственныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещает пользователя о завершении процесса формирования производственных операций
//
// Параметры:
//  КоличествоОбработанных	 - Число - количество созданных документов.
//  КоличествоВсего			 - Число - количество документов, которые могут быть созданы.
//  Источник				 - УникальныйИдентификатор - идентификатор формы, инициировавшей создание документов.
//
Процедура ОповеститьПользователяОФормированииПроизводственныхОпераций(КоличествоОбработанных, КоличествоВсего, Источник = Неопределено) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОповеститьПользователяОФормированииПроизводственныхОпераций(КоличествоОбработанных, КоличествоВсего, Источник);
```
</details>

## СформироватьПроизводственныеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует производственные операции
//
// Параметры:
//  Подразделение			 - СправочникСсылка.СтруктураПредприятия							 - производственное подразделение
//  КлючиОпераций			 - Массив, РегистрСведенийКлючЗаписи.ОчередьПроизводственныхОпераций - ключ записи
//  ПараметрыНазначения		 - Структура														 - параметры назначения
//    * Участок
//    * ВидРабочегоЦентра
//    * РабочийЦентр
//    * Исполнитель
//    * Количество
//  УстанавливаемыйСтатус	- ПеречислениеСсылка.СтатусыПроизводственныхОпераций				 - статус нового документа
//
Процедура СформироватьПроизводственныеОперации(Подразделение, КлючиОпераций, ПараметрыНазначения, УстанавливаемыйСтатус = Неопределено) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.СформироватьПроизводственныеОперации(Подразделение, КлючиОпераций, ПараметрыНазначения, УстанавливаемыйСтатус);
```
</details>

## УстановитьСтатусПроизводственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает статус для списка операций
//
// Параметры:
//  Ссылки			 - Массив								 - список документов.
//  Статус			 - Строка								 - новый статус.
//  Подразделение	 - СправочникСсылка.СтруктураПредприятия - производственное подразделение.
//
Процедура УстановитьСтатусПроизводственнойОперации(Ссылки, Статус, Подразделение) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.УстановитьСтатусПроизводственнойОперации(Ссылки, Статус, Подразделение) 
```
</details>

## ОтменитьНазначениеПроизводственнойОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает пометку удаления для списка операций
//
// Параметры:
//  Ссылки			 - Массив								 - список документов.
//  Подразделение	 - СправочникСсылка.СтруктураПредприятия - производственное подразделение.
//
Процедура ОтменитьНазначениеПроизводственнойОпераций(Ссылки, Подразделение) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОтменитьНазначениеПроизводственнойОпераций(Ссылки, Подразделение) 
```
</details>

## ИмяСобытияИзменениеСтатусаОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя события, которое используется для оповещения об изменении статуса выполнения операций расписания.
//
// Возвращаемое значение:
//  Строка - имя события.
//
Функция ИмяСобытияИзменениеСтатусаОпераций() Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваКлиент.ИмяСобытияИзменениеСтатусаОпераций() 
```
</details>

## ОткрытьФормуДляПечатиСменноСуточныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для формирования сменно-суточных заданий.
//
// Параметры:
//  Владелец		 - ФормаКлиентскогоПриложения	 - владелец открываемой формы.
//  ПараметрыФормы	 - Структура		 - параметры открытия формы.
//
Процедура ОткрытьФормуДляПечатиСменноСуточныхЗаданий(Знач Владелец, Знач ПараметрыФормы) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОткрытьФормуДляПечатиСменноСуточныхЗаданий(Владелец, ПараметрыФормы) 
```
</details>

## ОбработкаРасшифровкиИнтервалаСПараллельнойЗагрузкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку расшифровки интервала диаграммы Ганта, содержащего данные о параллельной
//  загрузке рабочего центра.
//
// Параметры:
//  Владелец			 - ФормаКлиентскогоПриложения	 - форма, в которой выполнена расшифровка.
//  ПараметрыФормы		 - Структура		 - параметры выбранного интервала.
//  СтандартнаяОбработка - Булево			 - флаг стандартной обработки расшифровки.
//
Процедура ОбработкаРасшифровкиИнтервалаСПараллельнойЗагрузкой(Знач Владелец, Знач ПараметрыФормы, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОбработкаРасшифровкиИнтервалаСПараллельнойЗагрузкой(Владелец, ПараметрыФормы, СтандартнаяОбработка) 
```
</details>

## ОткрытьФормуДиспетчированиеПооперационное
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для диспетчирования маршрутных листов, принадлежащих подразделениям с
//	методиками управления "Пооперационное планирование" и "Регистрация операций".
//
// Параметры:
//  МетодикаУправления - ПеречислениеСсылка.УправлениеМаршрутнымиЛистами - методика, в соответствии с которой
//		должна быть настроена форма диспетчирования.
//  Подразделение - СправочникСсылка.СтруктураПредприятия - подразделение, по которому необходимо установить отбор.
//	СписокЭтапов - Массив - содержит данные этапов производства для установки отбора.
//		Элементами являются структуры со свойствами:
//		* Распоряжение - ДокументСсылка.ЗаказНаПроизводство;
//		* КодСтрокиЭтапыГрафик - Число.
//
Процедура ОткрытьФормуДиспетчированиеПооперационное(МетодикаУправления, Подразделение = Неопределено, СписокЭтапов = Неопределено) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиент.ОткрытьФормуДиспетчированиеПооперационное(МетодикаУправления, Подразделение, СписокЭтапов);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
