---
title: Оперативный учет производства клиент сервер
slug: erp-uh/оперативный-учет-производства-клиент-сервер
---


## ОбъемРабот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает объем работ
//
// Параметры:
//  ВремяРаботы						- Число - время работы
//  Количество						- Число - Количество работы
//  ОдновременноПроизводимаяПартия	- Число - Одновременно производимое количество работы.
//
// Возвращаемое значение:
//   Число   - объем работ
//
Функция ОбъемРабот(ВремяРаботы, Количество, ОдновременноПроизводимаяПартия) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваКлиентСервер.ОбъемРабот(ВремяРаботы, Количество, ОдновременноПроизводимаяПартия) 
```
</details>

## Загрузка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает загрузку
//
// Параметры:
//  ЗагрузкаИсходная				- Число - Загрузка
//  Количество						- Число - Количество работы
//  ОдновременноПроизводимаяПартия	- Число - Одновременно производимое количество работы.
//
// Возвращаемое значение:
//   Число   - Загрузка
//
Функция Загрузка(ЗагрузкаИсходная, Количество, ОдновременноПроизводимаяПартия) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваКлиентСервер.Загрузка(ЗагрузкаИсходная, Количество, ОдновременноПроизводимаяПартия) 
```
</details>

## ДлительностьПериодаСУчетомГрафикаРаботы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает длительность периода с учетом графика работы
//
// Параметры:
//  Начало						- Дата - Начало периода
//  Окончание					- Дата - Окончание периода
//  ГрафикРаботы				- ТаблицаЗначений, ДанныеФормыКоллекция - график работы
//  НачалоПериода				- Дата - Начало периода в котором нужно определить длительность
//  ОкончаниеПериода			- Дата - Окончание периода в котором нужно определить длительность
//  ВремяРаботыВРабочееВремя	- Число - Время работы в нерабочее время
//  ПериодыВыполнения			- Массив - занятые периоды.
//
// Возвращаемое значение:
//   Число   - длительность периода в секундах.
//
Функция ДлительностьПериодаСУчетомГрафикаРаботы(Начало, Окончание, ГрафикРаботы, НачалоПериода = Неопределено, ОкончаниеПериода = Неопределено, ВремяРаботыВРабочееВремя = 0, ПериодыВыполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваКлиентСервер.ДлительностьПериодаСУчетомГрафикаРаботы(Начало, Окончание, ГрафикРаботы, НачалоПериода, ОкончаниеПериода, ВремяРаботыВРабочееВремя, ПериодыВыполнения);
```
</details>

## ЗаполнитьДанныеРаспоряженияМаршрутногоЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет табличные части маршрутного листа "РаспоряжениеСпецификация" и "РаспоряжениеТрудозатраты".
//
// Параметры:
//  Объект - ДокументОбъект.МаршрутныйЛистПроизводства - заполняемый документ.
//
Процедура ЗаполнитьДанныеРаспоряженияМаршрутногоЛиста(Объект) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиентСервер.ЗаполнитьДанныеРаспоряженияМаршрутногоЛиста(Объект) 
```
</details>

## ЗаполнитьДанныеРаспоряженияЗаказаПереработчику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет табличные части "РаспоряжениеСпецификация" и "РаспоряжениеТрудозатраты" в заказе переработчику.
//
// Параметры:
//  Объект - ДокументОбъект.ЗаказПереработчику - заполняемый документ.
//  ТипСтрокиПоступление - ПеречислениеСсылка.ТипыДвиженияЗапасов - тип движения (поступление).
//  ТипСтрокиОтгрузка - ПеречислениеСсылка.ТипыДвиженияЗапасов - тип движения (отгрузка).
//
Процедура ЗаполнитьДанныеРаспоряженияЗаказаПереработчику(Объект, ТипСтрокиПоступление, ТипСтрокиОтгрузка) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваКлиентСервер.ЗаполнитьДанныеРаспоряженияЗаказаПереработчику(Объект, ТипСтрокиПоступление, ТипСтрокиОтгрузка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
