---
title: Оперативный учет производства при планировании клиент
slug: erp-uh/оперативный-учет-производства-при-планировании-клиент
---


## ОбработкаРасшифровкиИнтервалаСПараллельнойЗагрузкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку расшифровки интервала диаграммы Ганта, содержащего данные о параллельной
//  загрузке рабочего центра.
//
// Параметры:
//  Владелец			 - ФормаКлиентскогоПриложения	 - форма, в которой выполнена расшифровка.
//  ПараметрыФормы		 - Структура		 - параметры выбранного интервала.
//  СтандартнаяОбработка - Булево			 - флаг стандартной обработки расшифровки.
//
Процедура ОбработкаРасшифровкиИнтервалаСПараллельнойЗагрузкой(Знач Владелец, Знач ПараметрыФормы, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваПриПланированииКлиент.ОбработкаРасшифровкиИнтервалаСПараллельнойЗагрузкой(Владелец, ПараметрыФормы, СтандартнаяОбработка) 
```
</details>

## ИмяСобытияИзменениеПооперационногоРасписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя события, которое используется для оповещения об изменении пооперационного расписания.
//
// Возвращаемое значение:
//  Строка - имя события.
//
Функция ИмяСобытияИзменениеПооперационногоРасписания() Экспорт
```

Пример вызова
```bsl
Результат = ОперативныйУчетПроизводстваПриПланированииКлиент.ИмяСобытияИзменениеПооперационногоРасписания() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
