---
title: Оперативный учет производства при планировании сервер
slug: erp-uh/оперативный-учет-производства-при-планировании-сервер
---


## ДобавитьРолиЛокальногоДиспетчера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура добавляет в описание профиля локального диспетчера
// роли для работы пооперационного планирования.
//
// Параметры:
//	ОписаниеПрофиля - см. УправлениеДоступом.НовоеОписаниеПрофиляГруппДоступа
//
Процедура ДобавитьРолиЛокальногоДиспетчера(ОписаниеПрофиля) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваПриПланированииСервер.ДобавитьРолиЛокальногоДиспетчера(ОписаниеПрофиля) 
```
</details>

## РассчитатьРасписаниеМоделейВФоновомРежиме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализация фонового задания расчета пооперационного расписания в соответствии с параметрами моделей планирования.
//
// Параметры:
//  ПараметрыПланирования - Структура -
//	РезультатыРасчета - Массив - содержит уникальные идентификаторы - адреса временных хранилищ,
//		в которые будет помещен результат работы метода.
//
Процедура РассчитатьРасписаниеМоделейВФоновомРежиме(ПараметрыПланирования, РезультатыРасчета) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваПриПланированииСервер.РассчитатьРасписаниеМоделейВФоновомРежиме(ПараметрыПланирования, РезультатыРасчета) 
```
</details>

## РассчитатьРасписаниеМоделиВФоновомРежиме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализация фонового задания расчета пооперационного расписания в соответствии с параметрами конкретной модели планирования.
//
// Параметры:
//  ПараметрыПланирования - Структура -
//  АдресХранилища - УникальныйИдентификатор - адрес временного хранилища, в которое будет помещен результат работы метода.
//
Процедура РассчитатьРасписаниеМоделиВФоновомРежиме(ПараметрыПланирования, АдресХранилища) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваПриПланированииСервер.РассчитатьРасписаниеМоделиВФоновомРежиме(ПараметрыПланирования, АдресХранилища) 
```
</details>

## ЗаполнитьСтруктуруТаблицыПоМетаданнымРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение структуры таблицы по метаданным регистра.
//
// Параметры:
//	ТипРегистра - Строка
//	ИмяРегистра - Строка
//	Таблица - ТаблицаЗначений - таблица, структуру которой нужно заполнить по метаданным регистра.
//
Процедура ЗаполнитьСтруктуруТаблицыПоМетаданнымРегистра(Знач ТипРегистра, Знач ИмяРегистра, Таблица) Экспорт
```

Пример вызова
```bsl
ОперативныйУчетПроизводстваПриПланированииСервер.ЗаполнитьСтруктуруТаблицыПоМетаданнымРегистра(ТипРегистра, ИмяРегистра, Таблица) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
