---
title: Отборы списков клиент сервер
slug: erp-uh/отборы-списков-клиент-сервер
---


## ИзменитьЭлементОтбораГруппыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет элемент отбора группы списка.
//
// Параметры:
//   Группа         - ГруппаЭлементовОтбораКомпоновкиДанных - Группа, для которой меняется элемент отбора.
//   ИмяПоля        - Строка - Имя поля.
//   ПравоеЗначение - Произвольный - значение отбора, по умолчанию Неопределено.
//   Установить     - Булево - Признак установки отбора, по умолчанию Ложь.
//   ВидСравнения   - ВидСравненияКомпоновкиДанных - по умолчанию Неопределено.
//
Процедура ИзменитьЭлементОтбораГруппыСписка(Группа, ИмяПоля, ПравоеЗначение = Неопределено, Установить = Ложь, ВидСравнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ИзменитьЭлементОтбораГруппыСписка(Группа, ИмяПоля, ПравоеЗначение, Установить, ВидСравнения);
```
</details>

## НайтиЭлементОтбораПоПредставлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск элемента отбора по представлению.
//
// Параметры:
//   КоллекцияЭлементов - КоллекцияЭлементовОтбораКомпоновкиДанных - Коллекция, в которой производится поиск.
//   Представление      - Строка - Значение поиска.
//   ВидПоиска          - Число - 0 точное совпадение,
//                                1 начинается с переданного значения,
//                                2 вхождение переданного значения в представление.
//
// Возвращаемое значение:
//   - ЭлементОтбораКомпоновкиДанных - найденный элемент отбора.
//   - Неопределено - если элемент не найден.
//
Функция НайтиЭлементОтбораПоПредставлению(КоллекцияЭлементов, Представление, ВидПоиска = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОтборыСписковКлиентСервер.НайтиЭлементОтбораПоПредставлению(КоллекцияЭлементов, Представление, ВидПоиска);
```
</details>

## СоздатьГруппуЭлементовОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает группу элементов отбора.
//
// Параметры:
//   КоллекцияЭлементов - КоллекцияЭлементовОтбораКомпоновкиДанных - Коллекция, в которой будет создана группа.
//   Представление - Строка - Представление группы.
//   ТипГруппы - ТипГруппыЭлементовОтбораКомпоновкиДанных - Тип группы.
//
// Возвращаемое значение:
//   - ГруппаЭлементовОтбораКомпоновкиДанных
//
Функция СоздатьГруппуЭлементовОтбора(КоллекцияЭлементов, Представление, ТипГруппы) Экспорт
```

Пример вызова
```bsl
Результат = ОтборыСписковКлиентСервер.СоздатьГруппуЭлементовОтбора(КоллекцияЭлементов, Представление, ТипГруппы) 
```
</details>

## УстановитьЭлементОтбораСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает элемент отбор динамического списка
//
// Параметры:
//   Список         - ДинамическийСписок - обрабатываемый динамический список.
//   ИмяПоля        - Строка - имя поля компоновки, отбор по которому нужно установить.
//   ПравоеЗначение - Произвольный - значение отбора.
//   ВидСравнения   - ВидСравненияКомпоновкиДанных - вид сравнения отбора, по умолчанию - Равно.
//   Представление  - Строка - представление поля компоновки, отбор по которому нужно установить.
//
Процедура УстановитьЭлементОтбораСписка(Список, ИмяПоля, ПравоеЗначение, ВидСравнения = Неопределено, Представление = "") Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.УстановитьЭлементОтбораСписка(Список, ИмяПоля, ПравоеЗначение, ВидСравнения, Представление);
```
</details>

## ИзменитьЭлементОтбораСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет элемент отбора динамического списка
//
// Параметры:
// Список         - ДинамическийСписок - обрабатываемый динамический список.
// ИмяПоля        - Строка - имя поля компоновки, отбор по которому нужно установить.
// ПравоеЗначение - Произвольный - значение отбора, по умолчанию - Неопределено.
// Использование  - Булево - признак использования отбора, по умолчанию - Ложь.
// ВидСравнения   - ВидСравненияКомпоновкиДанных - вид сравнения отбора, по умолчанию - Равно.
//
Процедура ИзменитьЭлементОтбораСписка(Список, ИмяПоля, ПравоеЗначение = Неопределено, Использование = Ложь, ВидСравнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ИзменитьЭлементОтбораСписка(Список, ИмяПоля, ПравоеЗначение, Использование, ВидСравнения);
```
</details>

## ЭлементОтбораСпискаПоИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает элемент пользовательского отбора динамического списка,
// соответствующий отбору, заданному в конфигураторе с указанным именем.
// Соответствие определяется по совпадению идентификаторов настройки.
//
// Параметры:
//  Список - ДинамическийСписок - динамический список, для которого ищется элемент отбора.
//  ИмяОтбора - Строка - имя отбора, заданное в конфигураторе для элемента настроек динамического списка.
//
// Возвращаемое значение:
//  - ЭлементОтбораКомпоновкиДанных - найденный элемент пользовательского отбора.
//  - Неопределено - если элемент пользовательского отбора не найден.
//
Функция ЭлементОтбораСпискаПоИмени(Список, ИмяОтбора) Экспорт
```

Пример вызова
```bsl
Результат = ОтборыСписковКлиентСервер.ЭлементОтбораСпискаПоИмени(Список, ИмяОтбора) 
```
</details>

## УстановитьБыстрыйОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает или изменяет "быстрый" отбор динамического списка (по значениям отбора, указанным в реквизитах формы).
//
// Параметры:
// Форма - ФормаКлиентскогоПриложения - форма, у которой есть реквизит динамический список с именем Список.
// ИмяПоля - Строка - имя отбора, у формы должны быть реквизиты с именами Отбор<ИмяПоля> и Отбор<ИмяПоля>Использование.
// ВидСравнения - ВидСравненияКомпоновкиДанных - вид сравнения отбора.
//
Процедура УстановитьБыстрыйОтбор(Форма, ИмяПоля, ВидСравнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.УстановитьБыстрыйОтбор(Форма, ИмяПоля, ВидСравнения);
```
</details>

## ОтборПоАктуальностиПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает переданный в форму списка документов отбор по актуальности
//
// Параметры:
// Список - ДинамическийСписок - список, в котором необходимо установить отбор
// Актуальность - Строка - строка отбора по актуальности
// СписокВыбора - СписокЗначений - Список значений выбора элемента формы отбора по актуальности
// ДатаСобытия - Дата - дата, на которую необходимо считать документы неактуальными
// СтруктураБыстрогоОтбора - Структура - переданный в форму списка документов отбор.
//
Процедура ОтборПоАктуальностиПриСозданииНаСервере(Список, Актуальность, СписокВыбора, ДатаСобытия, Знач СтруктураБыстрогоОтбора) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ОтборПоАктуальностиПриСозданииНаСервере(Список, Актуальность, СписокВыбора, ДатаСобытия, СтруктураБыстрогоОтбора) 
```
</details>

## ОтборПоАктуальностиПриЗагрузкеИзНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по актуальности, сохраненный в настройках
// Отбор из настроек устанавливается только если отбор не передан в форму извне.
//
// Параметры:
// Список - ДинамическийСписок - список, в котором необходимо установить отбор
// Актуальность - Строка - строка отбора по актуальности
// ДатаСобытия - Дата - дата, на которую необходимо считать документы неактуальными
// СписокВыбора - СписокЗначений - Список значений выбора элемента формы отбора по актуальности
// СтруктураБыстрогоОтбора - Структура - переданный в форму списка документов отбор
// Настройки - Соответствие - настройки формы.
//
Процедура ОтборПоАктуальностиПриЗагрузкеИзНастроек(Список, Актуальность, СписокВыбора, ДатаСобытия, Знач СтруктураБыстрогоОтбора, Настройки) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ОтборПоАктуальностиПриЗагрузкеИзНастроек(Список, Актуальность, СписокВыбора, ДатаСобытия, СтруктураБыстрогоОтбора, Настройки) 
```
</details>

## УстановитьОтборВСпискеПоАктуальности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по актуальности
//
// Параметры:
// Список - ДинамическийСписок - список, в котором необходимо установить отбор
// Актуальность - Строка - строка отбора по актуальности.
//
Процедура УстановитьОтборВСпискеПоАктуальности(Список, Актуальность) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.УстановитьОтборВСпискеПоАктуальности(Список, Актуальность) 
```
</details>

## УстановитьОтборВСпискеПоДатеСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по дате события
//
// Параметры:
// Список - ДинамическийСписок - список, в котором необходимо установить отбор
// ДатаСобытия - Дата - дата, на которую документ будет просрочен.
//
Процедура УстановитьОтборВСпискеПоДатеСобытия(Список, ДатаСобытия) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.УстановитьОтборВСпискеПоДатеСобытия(Список, ДатаСобытия) 
```
</details>

## ПриИзмененииОтбораПоАктуальности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по актуальности и дате актуальности
// Изменяет значение даты актуальности в зависимости от строки актуальности.
//
// Параметры:
// Список - ДинамическийСписок - список, в котором необходимо установить отбор
// Актуальность - Строка - строка отбора по актуальности
// ДатаСобытия - Дата - дата, на которую документы считаются неактуальными.
// СписокВыбора - СписокЗначений - Список значений выбора элемента формы отбора по актуальности
//
Процедура ПриИзмененииОтбораПоАктуальности(Список, Актуальность, ДатаСобытия, СписокВыбора=Неопределено) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ПриИзмененииОтбораПоАктуальности(Список, Актуальность, ДатаСобытия, СписокВыбора);
```
</details>

## ПриОчисткеОтбораПоАктуальности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по актуальности и дате актуальности
// Изменяет значение даты актуальности в зависимости от строки актуальности.
//
// Параметры:
// 	Список - ДинамическийСписок - список, в котором необходимо установить отбор
// 	Актуальность - Строка - строка отбора по актуальности
// 	ДатаСобытия - Дата - дата, на которую документ будет просрочен
// 	СтандартнаяОбработка - Булево - флаг выполнения стандартной обработки при очистке значения поля.
//
Процедура ПриОчисткеОтбораПоАктуальности(Список, Актуальность, ДатаСобытия, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ПриОчисткеОтбораПоАктуальности(Список, Актуальность, ДатаСобытия, СтандартнаяОбработка) 
```
</details>

## ЗаполнитьСписокВыбораОтбораПоАктуальности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список выбора для отбора по актуальности
//
// Параметры:
// 	СписокВыбораАктуальности - СписокЗначений - список выбора, который необходимо заполнить.
//
Процедура ЗаполнитьСписокВыбораОтбораПоАктуальности(СписокВыбораАктуальности) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ЗаполнитьСписокВыбораОтбораПоАктуальности(СписокВыбораАктуальности) 
```
</details>

## НеобходимОтборПоСостояниюПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// ФУНКЦИИ ОТБОРА ПО СОСТОЯНИЮ

// Проверяет передан ли в форму списка документов отбор по состоянию
//
// Параметры:
// Состояние - Строка - строка отбора по состоянию
// СтруктураБыстрогоОтбора - Структура - переданный в форму списка документов отбор.
//
// Возвращаемое значение:
// Булево
// Истина, если необходимо установить отбор по состоянию, иначе Ложь.
//
Функция НеобходимОтборПоСостояниюПриСозданииНаСервере(Состояние, Знач СтруктураБыстрогоОтбора) Экспорт
```

Пример вызова
```bsl
Результат = ОтборыСписковКлиентСервер.НеобходимОтборПоСостояниюПриСозданииНаСервере(Состояние, СтруктураБыстрогоОтбора) 
```
</details>

## НеобходимОтборПоСостояниюПриЗагрузкеИзНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, нужно ли устанавливать отбор по состоянию, загруженный из настроек или переданный в форму извне.
// Отбор из настроек устанавливается, только если отбор не передан в форму извне.
//
// Параметры:
// 	Состояние - ПеречислениеСсылка - Отбор состояние
// 	СтруктураБыстрогоОтбора - Структура - Структура быстрого отбора
// 	Настройки - Соответствие - Настройки формы.
//
// Возвращаемое значение:
// 	Булево -
Функция НеобходимОтборПоСостояниюПриЗагрузкеИзНастроек(Состояние, Знач СтруктураБыстрогоОтбора, Настройки) Экспорт
```

Пример вызова
```bsl
Результат = ОтборыСписковКлиентСервер.НеобходимОтборПоСостояниюПриЗагрузкеИзНастроек(Состояние, СтруктураБыстрогоОтбора, Настройки) 
```
</details>

## ОтборПоРегулярностиПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// ПРОЦЕДУРЫ ОТБОРА ПО РЕГУЛЯРНОСТИ

// Устанавливает переданный в форму списка документов отбор по регулярности
//
// Параметры:
// Список - ДинамическийСписок - список, в котором необходимо установить отбор
// Регулярность - Строка - строка отбора по регулярности
// СтруктураБыстрогоОтбора - Структура - переданный в форму списка документов отбор.
//
Процедура ОтборПоРегулярностиПриСозданииНаСервере(Список, Регулярность, Знач СтруктураБыстрогоОтбора) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ОтборПоРегулярностиПриСозданииНаСервере(Список, Регулярность, СтруктураБыстрогоОтбора) 
```
</details>

## ОтборПоРегулярностиПриЗагрузкеИзНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по регулярности, сохраненный в настройках
// Отбор из настроек устанавливается только если отбор не передан в форму извне.
//
// Параметры:
// Список - ДинамическийСписок - список, в котором необходимо установить отбор
// Регулярность - Строка - строка отбора по регулярности
// СтруктураБыстрогоОтбора - Структура - переданный в форму списка документов отбор
// Настройки - Соответствие - настройки формы.
//
Процедура ОтборПоРегулярностиПриЗагрузкеИзНастроек(Список, Регулярность, Знач СтруктураБыстрогоОтбора, Настройки) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ОтборПоРегулярностиПриЗагрузкеИзНастроек(Список, Регулярность, СтруктураБыстрогоОтбора, Настройки) 
```
</details>

## УстановитьОтборВСпискеПоРегулярности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в форме списка документов отбор по регулярности
//
// Параметры:
// Список - ДинамическийСписок - список, в котором необходимо установить отбор
// Регулярность - Строка - строка отбора по регулярности.
//
Процедура УстановитьОтборВСпискеПоРегулярности(Список, Регулярность) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.УстановитьОтборВСпискеПоРегулярности(Список, Регулярность) 
```
</details>

## ОтборПоЗначениюСпискаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// ПРОЦЕДУРЫ ОТБОРА ПО ЗНАЧЕНИЮ СПИСКОВ

// Устанавливает отбор в списке по указанному значению для нужной колонки
// с учетом переданной структуры быстрого отбора.
//
// Параметры:
//  Список - ДинамическийСписок -  динамический список, для которого требуется установить отбор
//  ИмяКолонки - Строка - Имя колонки, по которой устанавливается отбор
//  Значение - Произвольный -  устанавливаемое значение отбора
//  СтруктураБыстрогоОтбора - Неопределено, Структура - Структура, содержащая ключи и значения отбора
//  Использование - Неопределено, Булево - Признак использования элемента отбора
//  ВидСравнения - Неопределено, ВидСравненияКомпоновкиДанных - вид сравнения, устанавливаемый для элемента отбора
//  ПриводитьЗначениеКЧислу - Булево - Признак приведения значения к числу.
//
Процедура ОтборПоЗначениюСпискаПриСозданииНаСервере(Список, ИмяКолонки, Значение, Знач СтруктураБыстрогоОтбора, Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ОтборПоЗначениюСпискаПриСозданииНаСервере(Список, ИмяКолонки, Значение, СтруктураБыстрогоОтбора, );
```
</details>

## ОтборПоЗначениюСпискаПриЗагрузкеИзНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор в списке по указанному значению для нужной колонки
// с учетом переданной структуры быстрого отбора и переданных настроек.
//
// Параметры:
//  Список - ДинамическийСписок - динамический список, для которого требуется установить отбор
//  ИмяКолонки - Строка - Имя колонки, по которой устанавливается отбор
//  Значение - Произвольный - устанавливаемое значение отбора
//  СтруктураБыстрогоОтбора - Неопределено, Структура - Структура, содержащая ключи и значения отбора
//  Настройки - Соответствие - настройки формы, из которых могут получаться значения отбора
//  Использование - Неопределено, Булево - Признак использования элемента отбора
//  ВидСравнения - Неопределено, ВидСравненияКомпоновкиДанных - вид сравнения, устанавливаемый для элемента отбора
//  ПриводитьЗначениеКЧислу - Булево - Признак приведения значения к числу.
//
Процедура ОтборПоЗначениюСпискаПриЗагрузкеИзНастроек(Список, ИмяКолонки, Значение, Знач СтруктураБыстрогоОтбора, Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.ОтборПоЗначениюСпискаПриЗагрузкеИзНастроек(Список, ИмяКолонки, Значение, СтруктураБыстрогоОтбора, );
```
</details>

## УстановитьОтборыПоЗначениюСпискаПриЗагрузкеИзНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отборы в списке по указанному значению для нужной колонки
// с учетом переданной структуры быстрого отбора и переданных настроек.
//
// Параметры:
//	ПараметрыОтбора - Структура - Структура параметров отбора, включающая следующие поля:
//  	*ФормаСписка - ФормаКлиентскогоПриложения - Форма, на которой находятся динамические списки
//  	*МассивСписков - Массив - массив названий динамических списков, для которого требуется установить отбор
//  	*ИмяКолонки - Строка - Имя колонки, по которой устанавливается отбор
//  	*Значение - Произвольный - устанавливаемое значение отбора
//  	*Настройки - Соответствие - настройки формы, из которых могут получаться значения отбора
//  СтруктураБыстрогоОтбора - Неопределено, Структура - Структура, содержащая ключи и значения отбора
//  Использование - Неопределено, Булево - Признак использования элемента отбора
//  ВидСравнения - Неопределено, ВидСравненияКомпоновкиДанных - вид сравнения, устанавливаемый для элемента отбора.
//
Процедура УстановитьОтборыПоЗначениюСпискаПриЗагрузкеИзНастроек(ПараметрыОтбора, Знач СтруктураБыстрогоОтбора, Использование = Неопределено, ВидСравнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.УстановитьОтборыПоЗначениюСпискаПриЗагрузкеИзНастроек(ПараметрыОтбора, СтруктураБыстрогоОтбора, Использование, ВидСравнения);
```
</details>

## СкопироватьСписокВыбораОтбораПоМенеджеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// ПРОЦЕДУРЫ И ФУНКЦИИ ОТБОРА ПО МЕНЕДЖЕРУ

// Процедура копирует в список выбора поля отбора значения из списка источника
//
Процедура СкопироватьСписокВыбораОтбораПоМенеджеру(СписокВыбора, СписокИсточник) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.СкопироватьСписокВыбораОтбораПоМенеджеру(СписокВыбора, СписокИсточник) 
```
</details>

## УдалитьЭлементОтбораСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет элемент отбора динамического списка
//
// Параметры:
// Список  - ДинамическийСписок - обрабатываемый динамический список,
// ИмяПоля - Строка - имя поля компоновки, отбор по которому нужно удалить.
//
Процедура УдалитьЭлементОтбораСписка(Список, ИмяПоля) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСервер.УдалитьЭлементОтбораСписка(Список, ИмяПоля) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
