---
title: Отборы списков клиент сервер УХ
slug: erp-uh/отборы-списков-клиент-сервер-ух
---


## УстановитьЭлементОтбораКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//
Процедура УстановитьЭлементОтбораКоллекции(КоллекцияЭлементов, ИмяПоля, ПравоеЗначение, ВидСравнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСерверУХ.УстановитьЭлементОтбораКоллекции(КоллекцияЭлементов, ИмяПоля, ПравоеЗначение, ВидСравнения);
```
</details>

## УдалитьЭлементОтбораКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
//
Процедура УдалитьЭлементОтбораКоллекции(КоллекцияЭлементов, ИмяПоля) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСерверУХ.УдалитьЭлементОтбораКоллекции(КоллекцияЭлементов, ИмяПоля));
```
</details>

## ИзменитьЭлементОтбораГруппыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
//
Процедура ИзменитьЭлементОтбораГруппыСписка(Группа, ИмяПоля, ПравоеЗначение = Неопределено, Установить = Ложь, ВидСравнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСерверУХ.ИзменитьЭлементОтбораГруппыСписка(Группа, ИмяПоля, ПравоеЗначение, Установить, ВидСравнения);
```
</details>

## НайтиЭлементОтбораПоПредставлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиЭлементОтбораПоПредставлению(КоллекцияЭлементов, Представление, ВидПоиска = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОтборыСписковКлиентСерверУХ.НайтиЭлементОтбораПоПредставлению(КоллекцияЭлементов, Представление, ВидПоиска);
```
</details>

## СоздатьГруппуЭлементовОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьГруппуЭлементовОтбора(КоллекцияЭлементов, Представление, ТипГруппы) Экспорт
```

Пример вызова
```bsl
Результат = ОтборыСписковКлиентСерверУХ.СоздатьГруппуЭлементовОтбора(КоллекцияЭлементов, Представление, ТипГруппы) 
```
</details>

## УдалитьЭлементОтбораСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Удаляет элемент отбора динамического списка
//
//Параметры:
//Список  - обрабатываемый динамический список,
//ИмяПоля - имя поля компоновки, отбор по которому нужно удалить
//
Процедура УдалитьЭлементОтбораСписка(Список, ИмяПоля) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСерверУХ.УдалитьЭлементОтбораСписка(Список, ИмяПоля) 
```
</details>

## УдалитьЭлементОтбораСпискаСВидомСравнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удалить элемент отбора списка по имени и виду сравнения.
//
// Параметры:
//  Список		 - ДинамическийСписок - список из отбора которого будет удален элемент.
//  ИмяПоля		 - Строка - имя элемента отбора.
//  ВидСравнения - ВидСравненияКомпоновкиДанных - вид сравнения для отбора элемента.
//
Процедура УдалитьЭлементОтбораСпискаСВидомСравнения(Список, Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСерверУХ.УдалитьЭлементОтбораСпискаСВидомСравнения(Список, );
```
</details>

## УстановитьЭлементОтбораСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Устанавливает элемент отбор динамического списка
//
//Параметры:
//Список			- обрабатываемый динамический список,
//ИмяПоля			- имя поля компоновки, отбор по которому нужно установить,
//ВидСравнения		- вид сравнения отбора, по умолчанию - Равно,
//ПравоеЗначение 	- значение отбора
//
Процедура УстановитьЭлементОтбораСписка(Список, ИмяПоля, ПравоеЗначение, ВидСравнения = Неопределено, Представление = "") Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСерверУХ.УстановитьЭлементОтбораСписка(Список, ИмяПоля, ПравоеЗначение, ВидСравнения, Представление);
```
</details>

## ИзменитьЭлементОтбораСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Изменяет элемент отбора динамического списка
//
//Параметры:
//Список         - обрабатываемый динамический список,
//ИмяПоля        - имя поля компоновки, отбор по которому нужно установить,
//ВидСравнения   - вид сравнения отбора, по умолчанию - Равно,
//ПравоеЗначение - значение отбора,
//Установить     - признак необходимости установить отбор
//
Процедура ИзменитьЭлементОтбораСписка(Список, ИмяПоля, ПравоеЗначение = Неопределено, Установить = Ложь, ВидСравнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСерверУХ.ИзменитьЭлементОтбораСписка(Список, ИмяПоля, ПравоеЗначение, Установить, ВидСравнения);
```
</details>

## УстановитьОтборСпискаМежду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить отбор по полю динамического списка между двух значений.
//
// Параметры:
//  Список		 - ДинамическийСписок - список из отбора которого будет удален элемент.
//  ИмяПоля		 - Строка - имя элемента отбора.
//  ЗначениеС	 - Число | Дата - нижняя граница отбора (включая).
//  ЗначениеПо	 - Число | Дата - верхняя граница отбора (включая).
//
Процедура УстановитьОтборСпискаМежду(Список, Экспорт
```

Пример вызова
```bsl
ОтборыСписковКлиентСерверУХ.УстановитьОтборСпискаМежду(Список, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
