---
title: Ответственные лица БП переопределяемый
slug: erp-uh/ответственные-лица-бп-переопределяемый
---


## ОтветственныеЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру с реквизитами ответственных лиц.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация, для которой нужно определить руководящих лиц.
//	ДатаСреза - Дата - Дата со временем, на которые необходимо определить сведения.
//	Подразделение - СправочникСсылка.СтруктураПредприятия - Подразделение, для которого необходимо определить ответственных лиц.
//
// Возвращаемое значение:
//	Структура - См. ОтветственныеЛицаБП.ПустаяСтруктураОтветственныхЛиц().
//
Функция ОтветственныеЛица(Организация, ДатаСреза, Подразделение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОтветственныеЛицаБППереопределяемый.ОтветственныеЛица(Организация, ДатаСреза, Подразделение);
```
</details>

## ДатыИзмененияОтветственныхЛицОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает массив с датами изменения в ответственных лицах.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - Проверяемая организация.
//
// Возвращаемое значение:
//	Массив - Массив дат.
//
Функция ДатыИзмененияОтветственныхЛицОрганизаций(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОтветственныеЛицаБППереопределяемый.ДатыИзмененияОтветственныхЛицОрганизаций(Организация) 
```
</details>

## ОтветственноеЛицоНаСкладе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ответственное лицо на складе на указанную дату.
//
// Параметры:
//	Склад - СправочникСсылка.Склады - Склад, для которого необходимо определить ответственное лицо.
//	Дата - Дата - Дата, по состоянию на которую необходимо получить данные.
//
// Возвращаемое значение:
//	СправочникСсылка.ФизическиеЛица - МОЛ на складе.
//
Функция ОтветственноеЛицоНаСкладе(Склад, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ОтветственныеЛицаБППереопределяемый.ОтветственноеЛицоНаСкладе(Склад, Дата) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
