---
title: Ответственные лица вызов сервера
slug: erp-uh/ответственные-лица-вызов-сервера
---


## ПолучитьТаблицуОтветственныхЛицПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу ответственных лиц, сформированную в соответствии с произвольным отбором.
//
// Параметры:
//  Отбор - Структура из КлючИЗначение - структура, содержащая параметры отбора данных справочника ОтветственныеЛицаОрганизаций:
//		* Ключ - Строка - имя реквизита справочника
//		* Значение - Произвольный - значение для отбора по ключу
//	ДопустимыПомеченныеНаУдаление - Булево - выводить в результирующую таблицу помеченные на удаление элементы.
//	СтрокаПоиска - Строка - Строка поиска. Необязательный.
//
// Возвращаемое значение:
//	ТаблицаЗначений - Содержит колонки:
//		* Ссылка - СправочникСсылка.ОтветственныеЛицаОрганизаций -
//		* Владелец - СправочникСсылка.Организации -
//		* ОтветственноеЛицо - ПеречислениеСсылка.ОтветственныеЛицаОрганизаций -
//		* ФизическоеЛицо - СправочникСсылка.ФизическиеЛица -
//		* Должность - Строка -
//		* ПравоПодписиПоДоверенности - Булево -
//		* ОснованиеПраваПодписи - Строка -
//		* ДатаНачала - Дата -
//		* ДатаОкончания - Дата -
//		* ДокументПраваПодписи - Строка -
//		* НомерДокументаПраваПодписи - Строка -
//		* ДатаДокументаПраваПодписи - Дата -
//
Функция ПолучитьТаблицуОтветственныхЛицПоОтбору(Знач Отбор, ДопустимыПомеченныеНаУдаление = Ложь, СтрокаПоиска = "") Экспорт
```

Пример вызова
```bsl
Результат = ОтветственныеЛицаВызовСервера.ПолучитьТаблицуОтветственныхЛицПоОтбору(Отбор, ДопустимыПомеченныеНаУдаление, СтрокаПоиска);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
