---
title: Ответственные лица повт исп
slug: erp-uh/ответственные-лица-повт-исп
---


## РеквизитыОтветственныхЛицДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру реквизитов документа, предназначенных для хранения информации об ответственных лицах.
// Реквизит ответственного лица документа должен
//	- иметь тип СправочникСсылка.ОтветственныеЛицаОрганизаций
// 	- содержать параметр выбора с типом ПеречислениеСсылка.ОтветственныеЛицаОрганизаций ("вид" ответственного).
//
// Параметры:
//  ИмяДокумента - Строка - имя документа в метаданных конфигурации.
//
// Возвращаемое значение:
// 	Структура - структура ответственных лиц документа
// 		Ключ 	 - имя реквизита документа
// 		Значение - "вид" ответственного лица документа.
//
Функция РеквизитыОтветственныхЛицДокумента(ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОтветственныеЛицаПовтИсп.РеквизитыОтветственныхЛицДокумента(ИмяДокумента) 
```
</details>

## ЕстьРеквизитыОтветственныхЛицДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие реквизитов, предназначенных для хранения информации об ответственных лицах, в метаданных документа.
//
// Параметры:
//  ИмяДокумента - Строка - имя документа в метаданных конфигурации.
//
// Возвращаемое значение:
// 	Булево - признак наличия реквизитов в метаданных документа.
//
Функция ЕстьРеквизитыОтветственныхЛицДокумента(ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОтветственныеЛицаПовтИсп.ЕстьРеквизитыОтветственныхЛицДокумента(ИмяДокумента) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
