---
title: Открытие форм при начале работы системы клиент сервер переопределяемый
slug: erp-uh/открытие-форм-при-начале-работы-системы-клиент-сервер-переопределяемый
---


## НастройкиФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает настройки форм, которые могут открываться при начале работы системы.
//
//	Параметры:
//		Форма - ПеречислениеСсылка.ФормыОткрываемыеПриНачалеРаботыСистемы - форма, для которой нужно получить настройки
//	Возвращаемое значение:
//		Структура - структура со следующими ключами:
//			*ИмяЗапускаемойФормы - Строка - полное имя открываемой формы (для передачи в функцию ОткрытьФорму)
//			*Роль - Строка - имя роли, которая дает пользователю право на запуск формы
//			*НеобходимыНастройки - Булево - для открываемой формы должны быть заданы настройки
//          *ИмяФормыНастроек - Строка - если НеобходимыНастройки = ИСТИНА, то в этом параметре указывается полное имя формы
//										редактирования настроек (для передачи в функцию ОткрытьФорму)
//          *ПараметрЗапуска - Строка - параметр запуска, наличие которого будет проверяться при начале работы системы,
//										форма будет открыта, если передан параметр запуска или настроено, что эту форму
//										нужно открывать по умолчанию (т.е. без проверки параметра запуска).
//
Функция НастройкиФормы(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ОткрытиеФормПриНачалеРаботыСистемыКлиентСерверПереопределяемый.НастройкиФормы(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
