---
title: Отложенное обновление ИБ
slug: erp-uh/отложенное-обновление-иб
---


## ПараметрыОбработчиковОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры обработчиков отложенного обновления
//
// Параметры:
//  ИдентификаторПараметров	 - Строка - уникальный идентификатор параметров
//  ЗначениеПоУмолчанию		 - Произвольный - значение, которое будет присвоено параметрам, если они отсутствуют.
//
// Возвращаемое значение:
//  Соответствие - Содержит параметры обработчиков отложенного обновления.
//
Функция ПараметрыОбработчиковОбновления(ИдентификаторПараметров, ЗначениеПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОтложенноеОбновлениеИБ.ПараметрыОбработчиковОбновления(ИдентификаторПараметров, ЗначениеПоУмолчанию);
```
</details>

## ЗаписатьИнформациюОбОтложенномОбновлении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в константу ПараметрыОбработчиковОбновления информацию об отложенном обновлении.
//
// Параметры:
//  ПараметрыОбработчиковОбновления	 - Структура - Содержит сохраняемые параметры в константе "ПараметрыОбработчиковОбновления"
//  необходимые для последующей обработки отложенным обработчиком обновления
//  МоментВремени					 - МоментВремени - Момент времени документа, на котором закончилась выполнение отложенного обработчика обновления
//  ИмяКлюча						 - Строка		 - Имя ключа сохраняемого значения в структуре "ПараметрыОбработчиковОбновления".
//
Процедура ЗаписатьИнформациюОбОтложенномОбновлении(ПараметрыОбработчиковОбновления, МоментВремени, ИмяКлюча) Экспорт
```

Пример вызова
```bsl
ОтложенноеОбновлениеИБ.ЗаписатьИнформациюОбОтложенномОбновлении(ПараметрыОбработчиковОбновления, МоментВремени, ИмяКлюча) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
