---
title: Отложенное формирование движений ВНА
slug: erp-uh/отложенное-формирование-движений-вна
---


## ДобавитьЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
ОтложенноеФормированиеДвиженийВНА.ДобавитьЭтап(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## ОпределитьСтатусОперацииЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опредяет статус операции закрытия месяца "ФормированиеДвиженийПоВнеоборотнымАктивам".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура ОпределитьСтатусОперацииЗакрытияМесяца(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ОтложенноеФормированиеДвиженийВНА.ОпределитьСтатусОперацииЗакрытияМесяца(ПараметрыОбработчика) 
```
</details>

## ВыполнитьОперациюЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию закрытия месяца "ФормированиеДвиженийПоВнеоборотнымАктивам".
//
// Параметры:
//  ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
Процедура ВыполнитьОперациюЗакрытияМесяца(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
ОтложенноеФормированиеДвиженийВНА.ВыполнитьОперациюЗакрытияМесяца(ПараметрыОбработчика) 
```
</details>

## ОписаниеПараметровОперацииЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует описание технологических параметров.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Описание параметров операции закрытия месяца
Функция ОписаниеПараметровОперацииЗакрытияМесяца() Экспорт
```

Пример вызова
```bsl
Результат = ОтложенноеФормированиеДвиженийВНА.ОписаниеПараметровОперацииЗакрытияМесяца() 
```
</details>

## ВыполнитьОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует отложенные движения в несколько потоков.
//
// Параметры:
//  НачалоПериода - Дата - Период с которого требуется выполнить операцию
//  КонецПериода - Дата - Период по который требуется выполнить операцию
//  СписокОрганизаций - Массив из СправочникСсылка.Организации - Список организаций
//  НомерДоРасчета - Число - Номер заданий
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Содержит список объектов
//  ИдентификаторРасчета - УникальныйИдентификатор - идентификатор расчета
//  ИмяОперации - Строка - Имя операции
//
// Возвращаемое значение:
//  Структура - результат формирования движений:
// 		* ЕстьОшибки - Булево - Истина, если были зарегистрированы ошибки во время выполнения
// 		* ТекстОшибки - Строка - Текст ошибки
// 		* КоличествоДанных - Число - Количество объектов, по которым сформированы движения
//
Функция ВыполнитьОперацию(НачалоПериода, КонецПериода, СписокОрганизаций, НомерДоРасчета, МенеджерВременныхТаблиц, ИдентификаторРасчета, ИмяОперации = "") Экспорт
```

Пример вызова
```bsl
Результат = ОтложенноеФормированиеДвиженийВНА.ВыполнитьОперацию(НачалоПериода, КонецПериода, СписокОрганизаций, НомерДоРасчета, МенеджерВременныхТаблиц, ИдентификаторРасчета, ИмяОперации);
```
</details>

## ВыполнитьОперациюПоОбъектам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по документам, в которых есть указанные объекты.
//
// Параметры:
//  ПараметрыВыполнения - см. ПараметрыВыполнения
//
// Возвращаемое значение:
//  Число - Количество объектов, по которым сформированы движения
Функция ВыполнитьОперациюПоОбъектам(ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
Результат = ОтложенноеФормированиеДвиженийВНА.ВыполнитьОперациюПоОбъектам(ПараметрыВыполнения) 
```
</details>

## ВыполнитьОперациюПоДокументам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по документам.
//
// Параметры:
//  СписокДокументов - Массив из ДокументСсылка - Список документов, по которым требуется сформировать движения.
//
Процедура ВыполнитьОперациюПоДокументам(СписокДокументов) Экспорт
```

Пример вызова
```bsl
ОтложенноеФормированиеДвиженийВНА.ВыполнитьОперациюПоДокументам(СписокДокументов) 
```
</details>

## ПараметрыВыполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры выполнения операции.
//
// Возвращаемое значение:
//  Структура - Параметры выполнения:
// 		* КонецПериода - Дата - Конец периода выполнения операции
// 		* СписокОрганизаций - Массив из СправочникСсылка.Организации - Организации, для которых выполняется операция
// 		* СписокОбъектов - ТаблицаЗначений - Объекты, для которых выполняется операция
// 		* ВернутьДокументыКОтражению - Булево - Истина, если нужно вернуть документы к отражению в регл. учете
// 		* СформироватьЗадания - Булево - Истина, если нужно сформировать задания
// 		* УдалитьЗадания - Булево - Истина, если нужно удалить задания
// 		* ИмяОперации - Строка - Имя операции
// 		* ВыполнитьПроверку - Булево - Истина, если нужно выполнить проверку и зарегистрировать ошибки закрытия месяца
// 		* МенеджерВременныхТаблиц - Неопределено - Менеджер временных таблиц
//		* КоличествоДанных -Число - Количество обработанных данных
Функция ПараметрыВыполнения() Экспорт
```

Пример вызова
```bsl
Результат = ОтложенноеФормированиеДвиженийВНА.ПараметрыВыполнения() 
```
</details>

## ИмяПризнакаВыполненияОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя признака выполнения операции.
//
// Возвращаемое значение:
//  Строка -  Имя признака выполнения операции
Функция ИмяПризнакаВыполненияОперации() Экспорт
```

Пример вызова
```bsl
Результат = ОтложенноеФормированиеДвиженийВНА.ИмяПризнакаВыполненияОперации() 
```
</details>

## ДвиженияЗаписываютсяПриВыполненииОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет записываются ли при отложенном формировании движений.
//
// Параметры:
//  Документ - ДокументОбъект -
//
// Возвращаемое значение:
//  Булево
Функция ДвиженияЗаписываютсяПриВыполненииОперации(Документ) Экспорт
```

Пример вызова
```bsl
Результат = ОтложенноеФормированиеДвиженийВНА.ДвиженияЗаписываютсяПриВыполненииОперации(Документ) 
```
</details>

## ОбъектыДляКоторыхДвиженияНеАктуальны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объекты, для которых движения не актуальны.
//
// Параметры:
//  СписокДокументов - Массив из ДокументСсылка - Список документов
//
// Возвращаемое значение:
//  Массив - Объекты, для которых движения не актуальны
Функция ОбъектыДляКоторыхДвиженияНеАктуальны(СписокДокументов) Экспорт
```

Пример вызова
```bsl
Результат = ОтложенноеФормированиеДвиженийВНА.ОбъектыДляКоторыхДвиженияНеАктуальны(СписокДокументов) 
```
</details>

## СформироватьЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует задания к отложенному формированию движений по ОС, если изменились исходные данные.
//
// Параметры:
// 	Документ - ДокументОбъект, Неопределено - Документ, который изменяется.
// 	ДанныеТаблиц - см. ПроведениеДокументов.ДанныеТаблицСтаройСтруктуры
Процедура СформироватьЗадания(Документ, ДанныеТаблиц) Экспорт
```

Пример вызова
```bsl
ОтложенноеФормированиеДвиженийВНА.СформироватьЗадания(Документ, ДанныеТаблиц) 
```
</details>

## ТекстЗапросаПустыеТаблицыОтложенныхДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса пустых таблиц отложенного формирования движений.
//
// Параметры:
//  Запрос - Запрос -
// 	ТекстыЗапроса - СписокЗначений из Строка -
Процедура ТекстЗапросаПустыеТаблицыОтложенныхДвижений(Запрос, ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
ОтложенноеФормированиеДвиженийВНА.ТекстЗапросаПустыеТаблицыОтложенныхДвижений(Запрос, ТекстыЗапроса) 
```
</details>

## ВыполненоОтложенноеФормированиеДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет выполнено ли формирование движений на указанную дату.
//
// Параметры:
//  Период - Дата - Период
//  СписокОрганизаций - СправочникСсылка.Организации, Массив из СправочникСсылка.Организации - Список организаций
//
// Возвращаемое значение:
//  Булево - Истина, если выполнено формирование движений.
Функция ВыполненоОтложенноеФормированиеДвижений(Период, СписокОрганизаций) Экспорт
```

Пример вызова
```bsl
Результат = ОтложенноеФормированиеДвиженийВНА.ВыполненоОтложенноеФормированиеДвижений(Период, СписокОрганизаций) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
