---
title: Отражение зарплаты в финансовом учете
slug: erp-uh/отражение-зарплаты-в-финансовом-учете
---


## РезультатыОтраженияЗарплатыДляФинансовогоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует структуру с данными отражения зарплаты для бухучета.
//
// Параметры:
//  ПериодРегистрации	 - 	 - дата, первое число месяца, данные отражения зарплаты за который будут получены.
//  Отказ				 - 	 - Булево
//  Организация			 - 	 - необязательный.
//
// Возвращаемое значение:
//  Структура - данные для отражения, где
//				Ключ - имя таблицы, соответствует разделам данных для отражения зарплаты,
//				Значение - таблица значений, данные соответствующего раздела.
//
Функция РезультатыОтраженияЗарплатыДляФинансовогоУчета(ПериодРегистрации, Отказ = Ложь, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОтражениеЗарплатыВФинансовомУчете.РезультатыОтраженияЗарплатыДляФинансовогоУчета(ПериодРегистрации, Отказ, Организация);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
