---
title: Отражение зарплаты в финансовом учете переопределяемый
slug: erp-uh/отражение-зарплаты-в-финансовом-учете-переопределяемый
---


## ЗарегистрироватьЗарплатуВФинансовомУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для формирования движений по финансовому учету.
//
// Параметры:
//  Движения			 - КоллекцияДвижений - коллекция движений документа,
//  Отказ				 - Булево			 - признак отказа от проведения документа,
//  ПериодРегистрации	 - Дата				 - месяц, зарплата которого отражается в учете,
//  ДанныеДляОтражения	 - Структура		 - Таблицы значений с данными, которые
//  		могут использоваться для формирования движений по финансовому учету.
//  		При вызове процедуры ДанныеДляОтражения может содержать
//  		одно или несколько полей с приведенными ниже именами, т.е.
//  		Необходимо проверять наличие того или иного элемента структуры.
//  		Организация
//  Организация			 - 					 - СправочникСсылка.Организации.
//
Процедура ЗарегистрироватьЗарплатуВФинансовомУчете(Движения, Отказ, ПериодРегистрации, ДанныеДляОтражения, Организация) Экспорт
```

Пример вызова
```bsl
ОтражениеЗарплатыВФинансовомУчетеПереопределяемый.ЗарегистрироватьЗарплатуВФинансовомУчете(Движения, Отказ, ПериодРегистрации, ДанныеДляОтражения, Организация) 
```
</details>

## ЗаполнитьДоступностьОтраженияЗарплатыВФинансовомУчетеОднимДокументомПоВсемОрганизациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет возможность выполнения операции отражения зарплаты в финансовом учете,
//  осуществляемой документом «Отражение зарплаты в финансовом учете»,
//  одним экземпляром документа по всем организациям.
//
// Параметры:
//  Доступность	 - Булево	 - Истина, если операция одним документом по всем организациям доступна, Ложь - в противном случае.
//
Процедура ЗаполнитьДоступностьОтраженияЗарплатыВФинансовомУчетеОднимДокументомПоВсемОрганизациям(Доступность) Экспорт
```

Пример вызова
```bsl
ОтражениеЗарплатыВФинансовомУчетеПереопределяемый.ЗаполнитьДоступностьОтраженияЗарплатыВФинансовомУчетеОднимДокументомПоВсемОрганизациям(Доступность) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
