---
title: Отражение зарплаты в финансовом учете УП
slug: erp-uh/отражение-зарплаты-в-финансовом-учете-уп
---


## РаспределитьНачисленияПоЭтапамПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РаспределитьНачисленияПоЭтапамПроизводства(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ОтражениеЗарплатыВФинансовомУчетеУП.РаспределитьНачисленияПоЭтапамПроизводства(Параметры) 
```
</details>

## НачислениеООПриЗакрытииМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует документ начисления оценочных обязательств по отпускам за период по указанной организации. Вызывается
// при автоматическом выполнении операций закрытия месяца.
//
// Параметры:
//   Организации - СправочникСсылка.Организации - Организация, по которой формируется документ
//   Период - Дата - Период, за который формируется документ.
//
Процедура НачислениеООПриЗакрытииМесяца(Организации, Период) Экспорт
```

Пример вызова
```bsl
ОтражениеЗарплатыВФинансовомУчетеУП.НачислениеООПриЗакрытииМесяца(Организации, Период) 
```
</details>

## ПроверитьЗаполнениеДокументаВыдачиЗайма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет проверку заполнения расшифровки платежа в документах выдачи займа сотруднику.
//
// Параметры:
//   ДокументОбъект - ДокументОбъект.РасходныйКассовыйОрдер,
//                    ДокументОбъект.ЗаявкаНаРасходованиеДенежныхСредств,
//                    ДокументОбъект.СписаниеБезналичныхДенежныхСредств - проверяемый документ
//   Отказ - Булево - признак отказа от проведения документа.
//
Процедура ПроверитьЗаполнениеДокументаВыдачиЗайма(ДокументОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
ОтражениеЗарплатыВФинансовомУчетеУП.ПроверитьЗаполнениеДокументаВыдачиЗайма(ДокументОбъект, Отказ) 
```
</details>

## УсловноеОформлениеОперацийПоЗарплате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление операций по зарплате.
//
// Параметры:
//    УсловноеОформление - ЭлементУсловногоОформления - Коллекция элементов условного оформления формы;
//    ПутьКДанным        - Строка - Полное название объекта требующего условного оформления;
//    ЭлементФормы       - ЭлементФормы - элемент формы, в котором отображаются данные.
//
Процедура УсловноеОформлениеОперацийПоЗарплате(УсловноеОформление, ПутьКДанным, ЭлементФормы) Экспорт
```

Пример вызова
```bsl
ОтражениеЗарплатыВФинансовомУчетеУП.УсловноеОформлениеОперацийПоЗарплате(УсловноеОформление, ПутьКДанным, ЭлементФормы) 
```
</details>

## ЗаполнитьПодразделениеПредприятиеПоМестамСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в таблицу резервов отпусков колонку "Подразделение" и заполняет ее по
// кадровым данным сотрудников.
//
// Параметры:
//   ТаблицаРезервов   - ТаблицаЗначений - Таблица значений резервов отпусков;
//   ПериодРегистрации - Дата - Дата, на которую необходимо получить подразделение сотрудника.
//
Процедура ЗаполнитьПодразделениеПредприятиеПоМестамСотрудников(ТаблицаРезервов, ПериодРегистрации) Экспорт
```

Пример вызова
```bsl
ОтражениеЗарплатыВФинансовомУчетеУП.ЗаполнитьПодразделениеПредприятиеПоМестамСотрудников(ТаблицаРезервов, ПериодРегистрации) 
```
</details>

## НастроитьУчетПоСтатьямФинансирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает учет по статьям финансирования, если используется.
// В ERP учет по статьям финансирования не предусмотрен.
Процедура НастроитьУчетПоСтатьямФинансирования() Экспорт
```

Пример вызова
```bsl
ОтражениеЗарплатыВФинансовомУчетеУП.НастроитьУчетПоСтатьямФинансирования() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
