---
title: Отчеты ЕГАИС переопределяемый
slug: erp-uh/отчеты-егаис-переопределяемый
---


## ЗаполнитьРеквизитыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре нужно заполнить реквизиты переданных контрагентов для отображения в отчете "Информация об организации ЕГАИС".
//
// Параметры:
//  СоответствиеРеквизитовКонтрагентам - Соответствие - соответствие для заполнения.
//   * Ключ - ссылка на контрагента,
//   * Значение - заполненная структура значений.
//  СписокКонтрагентов - Массив - массив контрагентов, выводимых в отчет,
//  Реквизиты - Структура - ключ - имя реквизита, значение - значение, которое нужно заполнить:
//   * ТипОрганизации - ПеречислениеСсылка.ТипыОрганизацийЕГАИС
//   * Наименование - Строка
//   * НаименованиеПолное - Строка
//   * ИНН - Строка
//   * КПП - Строка
//   * КодСтраны - Число
//   * КодРегиона - Число
//   * ПочтовыйИндекс - Число
//   * Адрес - Строка.
Процедура ЗаполнитьРеквизитыКонтрагентов(СоответствиеРеквизитовКонтрагентам, СписокКонтрагентов, Реквизиты) Экспорт
```

Пример вызова
```bsl
ОтчетыЕГАИСПереопределяемый.ЗаполнитьРеквизитыКонтрагентов(СоответствиеРеквизитовКонтрагентам, СписокКонтрагентов, Реквизиты) 
```
</details>

## ЗаполнитьКоличествоЧековПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре нужно заполнить таблицу продаж по переданным параметрам для отчета "Обработанные чеки ЕГАИС".
//
// Параметры:
//  ТаблицаПродаж - ТаблицаЗначений - таблица, которую требуется заполнить. Колонки:
//   * Период - Дата
//   * ОрганизацияЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС
//   * АлкогольнаяПродукция - СправочникСсылка.КлассификаторАлкогольнойПродукцииЕГАИС
//   * ЧековПродаж - Число
//   * ЧековНаВозврат - Число
Процедура ЗаполнитьКоличествоЧековПродаж(ТаблицаПродаж) Экспорт
```

Пример вызова
```bsl
ОтчетыЕГАИСПереопределяемый.ЗаполнитьКоличествоЧековПродаж(ТаблицаПродаж) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
