---
title: Отчеты ИС
slug: erp-uh/отчеты-ис
---


## ИнициализироватьСхемуКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Инициализирует СКД переопределяемым текстом запроса
//
//Параметры:
//   Источник - ОтчетОбъект - инициализируемый отчет.
//   Форма - ФормаКлиентскогоПриложения, Неопределено - форма отчета.
Процедура ИнициализироватьСхемуКомпоновки(Источник, Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтчетыИС.ИнициализироватьСхемуКомпоновки(Источник, Форма);
```
</details>

## ШаблонПолученияДанныхПрикладныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Переопределяемая область данных прикладных документов отчетов о расхождениях при оформлении
//
//Параметры:
//   ПоВидуДвижения - Булево - признак, разбивать ли количество на Приход и Расход
//Возвращаемое значение:
//   Строка - типовая часть запроса, которую требуется переопределять
//
Функция ШаблонПолученияДанныхПрикладныхДокументов(ПоВидуДвижения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыИС.ШаблонПолученияДанныхПрикладныхДокументов(ПоВидуДвижения);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
