---
title: Отчеты ИСМП
slug: erp-uh/отчеты-исмп
---


## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Задает настройки размещения вариантов отчетов в панели отчетов.
//
// Параметры:
//  Настройки - См. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
ОтчетыИСМП.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ПриКомпоновкеРезультата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выполнении отчета с помощью метода СкомпоноватьРезультат.
//
// Параметры:
//  НастройкиОтчета - НастройкиКомпоновкиДанных - настройки отчета
//  ВнешниеНаборыДанных - Неопределено - входящий параметр для заполнения
Процедура ПриКомпоновкеРезультата(НастройкиОтчета, ВнешниеНаборыДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтчетыИСМП.ПриКомпоновкеРезультата(НастройкиОтчета, ВнешниеНаборыДанных);
```
</details>

## ЗначениеПараметраКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение параметра компоновки данных.
//
// Параметры:
//  НастройкиОтчета - НастройкиКомпоновкиДанных - формируемые настройки отчета,
//  ИмяПараметра - Строка - имя параметра, значение которого требуется получить.
//
// Возвращаемое значение:
//  Произвольный
Функция ЗначениеПараметраКомпоновкиДанных(НастройкиОтчета, ИмяПараметра) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыИСМП.ЗначениеПараметраКомпоновкиДанных(НастройкиОтчета, ИмяПараметра) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
