---
title: Отчеты клиент локализация
slug: erp-uh/отчеты-клиент-локализация
---


## ОбработкаВыбораТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик двойного щелчка мыши, нажатия клавиши Enter или гиперссылки в табличном документе формы отчета.
//
//Параметры:
// См. ОтчетыКлиентПереопределяемый.ОбработкаВыбораТабличногоДокумента
//
Процедура ОбработкаВыбораТабличногоДокумента(ФормаОтчета, Элемент, Область, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОтчетыКлиентЛокализация.ОбработкаВыбораТабличногоДокумента(ФормаОтчета, Элемент, Область, СтандартнаяОбработка) 
```
</details>

## ОбработкаРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик расшифровки табличного документа формы отчета.
//
//Параметры:
// 	См. ОтчетыКлиентПереопределяемый.ОбработкаВыбораТабличногоДокумента
//
Процедура ОбработкаРасшифровки(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОтчетыКлиентЛокализация.ОбработкаРасшифровки(ФормаОтчета, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ОбработкаДополнительнойРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик дополнительной расшифровки (меню табличного документа формы отчета).
//  см. ОтчетыКлиентПереопределяемый.ОбработкаДополнительнойРасшифровки
//
Процедура ОбработкаДополнительнойРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОтчетыКлиентЛокализация.ОбработкаДополнительнойРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ОбработчикКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд, добавленных динамически и подключенных к обработчику "Подключаемый_Команда".
// Пример добавления команды см. ОтчетыПереопределяемый.ПриСозданииНаСервере.
//
// Параметры:
//   ФормаОтчета - ФормаКлиентскогоПриложения - Форма отчета.
//   Команда     - КомандаФормы     - Команда, которая была вызвана.
//   Результат   - Булево           - Истина, если вызов команды обработан.
//
Процедура ОбработчикКоманды(ФормаОтчета, Команда, Результат) Экспорт
```

Пример вызова
```bsl
ОтчетыКлиентЛокализация.ОбработчикКоманды(ФормаОтчета, Команда, Результат) 
```
</details>

## СверкаРасчетовСПартнерами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СверкаРасчетовСПартнерами(СсылкаНаОбъект, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыКлиентЛокализация.СверкаРасчетовСПартнерами(СсылкаНаОбъект, ПараметрыВыполнения) 
```
</details>

## СверкаРасчетовСПартнерамиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СверкаРасчетовСПартнерамиЗавершение(МассивДокументов, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОтчетыКлиентЛокализация.СверкаРасчетовСПартнерамиЗавершение(МассивДокументов, ДополнительныеПараметры) 
```
</details>

## ОбработатьРасшифровкуКартыПродажПоРегионам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается для отчета "Карта продаж по регионам"
//
Процедура ОбработатьРасшифровкуКартыПродажПоРегионам(ЭтаФорма, Расшифровка) Экспорт
```

Пример вызова
```bsl
ОтчетыКлиентЛокализация.ОбработатьРасшифровкуКартыПродажПоРегионам(ЭтаФорма, Расшифровка));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
