---
title: Отчеты УП вызов сервера переопределяемый
slug: erp-uh/отчеты-уп-вызов-сервера-переопределяемый
---


## ИспользуетсяПроизводство22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Вызывается из модуля ОтчетыУПКлиентПереопределяемый для отчета "ЗагрузкаВидовРабочихЦентров".
//
// Возвращаемое значение:
//	Булево - флаг использования подсистемы управления производством версии 2.2
//
Функция ИспользуетсяПроизводство22() Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУПВызовСервераПереопределяемый.ИспользуетсяПроизводство22() 
```
</details>

## ПараметрыРасшифровкиКонфликтыВОчередиЗаказовНаПроизводство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из модуля ОтчетыУПКлиентПереопределяемый для отчета "КонфликтыВОчередиЗаказовНаПроизводство".
//
// Параметры:
//	Расшифровка - ИдентификаторРасшифровкиКомпоновкиДанных - Расшифровка отчета
//	АдресДанныхРасшифровки - Строка - Адрес временного хранилища данных расшифровки
//
// Возвращаемое значение:
//	Структура
//
Функция ПараметрыРасшифровкиКонфликтыВОчередиЗаказовНаПроизводство(Расшифровка, АдресДанныхРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУПВызовСервераПереопределяемый.ПараметрыРасшифровкиКонфликтыВОчередиЗаказовНаПроизводство(Расшифровка, АдресДанныхРасшифровки) 
```
</details>

## ПараметрыРасшифровкиРасшифровкаПозицииНоменклатурногоПланаДляАналогов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует параметры расшифровки аналогов
//
// Параметры:
//  ПараметрыДействия    - см. ОтчетыУПКлиентПереопределяемый.ВыполнитьДействиеРасшифровки.ПараметрыДействия
//  ПараметрыРасшифровки - см. ОтчетыУПКлиентПереопределяемый.ВыполнитьДействиеРасшифровки.ПараметрыРасшифровки
//
// Возвращаемое значение:
//  см. АналогиМатериалов.ПараметрыВыбораАналогов
//
Функция ПараметрыРасшифровкиРасшифровкаПозицииНоменклатурногоПланаДляАналогов( Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУПВызовСервераПереопределяемый.ПараметрыРасшифровкиРасшифровкаПозицииНоменклатурногоПланаДляАналогов();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
