---
title: Отчеты УТ вызов сервера переопределяемый
slug: erp-uh/отчеты-ут-вызов-сервера-переопределяемый
---


## КомпоновщикНастроекВариантаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из модуля ОтчетыУТКлиентПереопределяемый"
//
// Параметры:
// 	СвойстваВариантаОтчета - Структура -:
// 	 *КлючОбъекта - Строка -
// 	 *КлючВарианта - Строка -
// Возвращаемое значение:
// 	КомпоновщикНастроекКомпоновкиДанных, Неопределено - Описание
Функция КомпоновщикНастроекВариантаОтчета(СвойстваВариантаОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТВызовСервераПереопределяемый.КомпоновщикНастроекВариантаОтчета(СвойстваВариантаОтчета) 
```
</details>

## СформироватьДанныеРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует параметры расшифровки для отчета 'ТоварыСИстекающимиСертификатами'.
//
// Параметры:
//	Расшифровка - Произвольный - значение расшифровки точки, серии или значения диаграммы.
//	АдресРасшифровки - Строка - Адрес расшифровки
//
// Возвращаемое значение:
//	Структура - Сформировать данные расшифровки:
//		* ВидНоменклатуры - СправочникСсылка.ВидыНоменклатуры - значение вида номенклатуры.
//		* Номенклатура - СправочникСсылка.Номенклатура - значение поля номенклатуры.
//		* Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - значение поля характеристики номенклатуры.
//		* Серия - СправочникСсылка.СерииНоменклатуры - значение поля серии номенклатуры.
//		* ТипСертификата - Строка - значение типа сертификата.
//
Функция СформироватьДанныеРасшифровки(Расшифровка, АдресРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТВызовСервераПереопределяемый.СформироватьДанныеРасшифровки(Расшифровка, АдресРасшифровки) 
```
</details>

## НастройкиРасшифровкиСтатьиАктиваПассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается для отчета "УправленческийБаланс" возвращеает параметры для открытия контекстного меню
// со списком расшифровочных отчетов
//
// Параметры:
//  КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных
//  Расшифровка - ДанныеРасшифровкиКомпоновкиДанных
//  АдресРасшифровки - Строка
//
// Возвращаемое значение:
//  Структура - Настройки расшифровки статьи актива пассива:
// * Показатель - ПланВидовХарактеристикСсылка.СтатьиАктивовПассивов
// * ОборотноСальдоваяВедомостьАктивовПассивов - Структура -:
// ** ПараметрыСКД - Структура -:
// *** ПериодОтчета - Дата
// *** ВалютаОтчета  - СправочникСсылка.Валюты
// ** Отбор - Структура -
// * МенюОтчетов - СписокЗначений - списко настроек для открытия контекстных отчетов
//
Функция НастройкиРасшифровкиСтатьиАктиваПассива(КомпоновщикНастроек, Расшифровка, АдресРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТВызовСервераПереопределяемый.НастройкиРасшифровкиСтатьиАктиваПассива(КомпоновщикНастроек, Расшифровка, АдресРасшифровки) 
```
</details>

## НастроитьОтчетРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция переносит настройки вызывающего отчета в настройки отчета расшифровки
//
// Параметры:
//  Параметры - Структура - содержащая ключи:
//   *ИмяОтчета - Строка - Имя метаданных отчета расшифровки
//   *КлючВарианта - Строка - Имя варианта отчета расшифровки
//   *КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных - настроенный компоновщик вызывающего отчета
//   *ПараметрыСКД - Структура - Ключ - ИмяПараметра; Значение - значение параметра
//   *Отбор - Структура - Ключ - ИмяПоля; Значение - ЭлементОтбораКомпоновкиДанных или структура с такими же полями
//   *ПоляРасшифровки - Структура - Ключ - ИмяПоля; Значение - Текущее значение выбранного поля расшифровки.
//
// Возвращаемое значение:
//   КомпоновщикНастроекКомпоновкиДанных - настроенный компоновщик отчета расшифровки.
//
Функция НастроитьОтчетРасшифровки(Знач Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТВызовСервераПереопределяемый.НастроитьОтчетРасшифровки(Параметры) 
```
</details>

## ПолучитьЗначенияПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значения всех вышестоящих группировок
//
// Параметры:
//		СписокПолей - Структура - Ключ имя поля, значение - значение группировочного поля отчета - параметр в который будет помещен список найденных значений
//		КоллекцияЭлементов - ЭлементыРасшифровкиКомпоновкиДанных - коллекция элементов расшифровки отчета (ДанныеРасшифровки.Элементы)
//		Идентификатор - ИдентификаторРасшифровкиКомпоновкиДанных - идентификатор расшифровываемого поля.
//
Процедура ПолучитьЗначенияПолей(СписокПолей, КоллекцияЭлементов, Идентификатор) Экспорт
```

Пример вызова
```bsl
ОтчетыУТВызовСервераПереопределяемый.ПолучитьЗначенияПолей(СписокПолей, КоллекцияЭлементов, Идентификатор) 
```
</details>

## ПолучитьЗначениеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значения полей текущего элемента расшифровки
//
// Параметры:
//		СписокПолей - Структура - Ключ имя поля, значение - значение группировочного поля отчета - параметр в который будет помещен список найденных значений
//		ВыбранноеПоле - ЭлементРасшифровкиКомпоновкиДанныхПоля - элемент расшифровки поля которого необходимо получить.
//
Процедура ПолучитьЗначениеПоля(СписокПолей, ВыбранноеПоле) Экспорт
```

Пример вызова
```bsl
ОтчетыУТВызовСервераПереопределяемый.ПолучитьЗначениеПоля(СписокПолей, ВыбранноеПоле) 
```
</details>

## ПроверитьФоновоеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет статус указанного фонового задания.
//
// Параметры:
//  КлючЗадания - Строка - Ключ задания
//
// Возвращаемое значение:
//  Структура - Проверить фоновое задание:
// * ОтмененоИлиНеНайдено - Булево - Флаг, указывающий на то, что фоновое задание было отменено или не найдено по ключу.
// * УспешноВыполнено - Булево - Фоновое задание успешно выполнено.
// * ЕщеВыполняется - Булево - Задание ещё выполняется.
// * ВыполненоСОшибками - Булево - Задание выполнено с ошиками.
// * ТекстОшибки - Строка - Подробно описание ошибки выполнения фонового задания.
Функция ПроверитьФоновоеЗадание(Знач КлючЗадания) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТВызовСервераПереопределяемый.ПроверитьФоновоеЗадание(КлючЗадания) 
```
</details>

## ПартииДляОтчетовАктуализированы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак завершения расчета партий, начатого при формировании отчета.
//
// Параметры:
//	ПараметрыФормы - Структура - параметры запуска расчета партий;
//		ключи структуры см. в АктуализироватьПартииДляОтчетов и в ОтчетыУТКлиентПереопределяемый.ВосстановитьОффлайновыеРасчеты.
// Возвращаемое значение:
//	Булево - признак окончания расчета.
Функция ПартииДляОтчетовАктуализированы(Знач ПараметрыФормы) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТВызовСервераПереопределяемый.ПартииДляОтчетовАктуализированы(ПараметрыФормы) 
```
</details>

## НачалоРаспределенияВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает границу, на которую актуализированы взаиморасчеты.

// Начало распределения взаиморасчетов.
//
// Параметры:
//  КонецРасчета - Дата
//  МассивКлючейПартнеров - Массив - Массив ключей партнеров
//  ИмяРасчета - Строка - Имя расчета
//  НомерЗадания - Число - Номер задания
//
// Возвращаемое значение:
//  см. РаспределениеВзаиморасчетовВызовСервера.НачалоРасчетов
Функция НачалоРаспределенияВзаиморасчетов(КонецРасчета, МассивКлючейПартнеров, ИмяРасчета, НомерЗадания) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТВызовСервераПереопределяемый.НачалоРаспределенияВзаиморасчетов(КонецРасчета, МассивКлючейПартнеров, ИмяРасчета, НомерЗадания) 
```
</details>

## ХозяйственныеОперацииАналитическихРегистров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив хозяйственных операций, которые используются в аналитических регистрах.
//
// Параметры:
//  ИмяРегистра  - Строка - имя регистра как оно задано в метаданных.
//
// Возвращаемое значение:
//   Массив   - массив соответствующих хозяйственных операций.
//
Функция ХозяйственныеОперацииАналитическихРегистров(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТВызовСервераПереопределяемый.ХозяйственныеОперацииАналитическихРегистров(ИмяРегистра) 
```
</details>

## ИдентификаторДвижениеПродукцииИМатериалов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается для отчета "КонтрольОформленияДокументовТовародвижения"
//
// Возвращаемое значение:
//  Неопределено, СправочникСсылка.ИдентификаторыОбъектовМетаданных, Произвольный, Null, СправочникСсылка.ИдентификаторыОбъектовРасширений - Идентификатор движение продукции и материалов
Функция ИдентификаторДвижениеПродукцииИМатериалов() Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТВызовСервераПереопределяемый.ИдентификаторДвижениеПродукцииИМатериалов() 
```
</details>

## ЗаполнитьОтборыКонтрольОформленияДокументовТовародвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается для отчета "КонтрольОформленияДокументовТовародвижения"
//
Процедура ЗаполнитьОтборыКонтрольОформленияДокументовТовародвижения( Экспорт
```

Пример вызова
```bsl
ОтчетыУТВызовСервераПереопределяемый.ЗаполнитьОтборыКонтрольОформленияДокументовТовародвижения();
```
</details>

## ПараметрыОбработкиРасшифровкиКонтрольОформленияДокументовТовародвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается для отчета "КонтрольОформленияДокументовТовародвижения"
//
// Параметры:
//     Расшифровка - Строка
//
// Возвращаемое значение:
//     ОписаниеОбработкиРасшифровкиКомпоновкиДанных
//
Функция ПараметрыОбработкиРасшифровкиКонтрольОформленияДокументовТовародвижения(Расшифровка) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТВызовСервераПереопределяемый.ПараметрыОбработкиРасшифровкиКонтрольОформленияДокументовТовародвижения(Расшифровка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
