---
title: Отчеты УТ клиент переопределяемый
slug: erp-uh/отчеты-ут-клиент-переопределяемый
---


## ОбработкаРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик расшифровки табличного документа формы отчета.
//
// Параметры:
//   ЭтаФорма - ФормаКлиентскогоПриложения - форма отчета.
//   Элемент     - ПолеФормы        - табличный документ.
//   Расшифровка - Произвольный     - значение расшифровки точки, серии или значения диаграммы.
//   СтандартнаяОбработка - Булево  - признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ОбработкаРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ОбработкаДополнительнойРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик дополнительной расшифровки (меню табличного документа формы отчета).
//
// Параметры:
//   ЭтаФорма - ФормаКлиентскогоПриложения - форма отчета.
//   Элемент     - ПолеФормы        - табличный документ.
//   Расшифровка - Произвольный     - значение расшифровки точки, серии или значения диаграммы.
//   СтандартнаяОбработка - Булево  - признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаДополнительнойРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ОбработкаДополнительнойРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ОбработчикКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команд, добавленных динамически.
//
// Параметры:
//   ЭтаФорма - ФормаКлиентскогоПриложения - форма отчета.
//   Команда     - КомандаФормы     - команда, которая была вызвана.
//   Результат   - Булево           - Истина, если вызов команды обработан.
//
Процедура ОбработчикКоманды(ЭтаФорма, Команда, Результат) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ОбработчикКоманды(ЭтаФорма, Команда, Результат) 
```
</details>

## ОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик результата выбора подчиненной формы.
//
// Параметры:
//   ЭтаФорма       - ФормаКлиентскогоПриложения - форма отчета.
//   ВыбранноеЗначение - Произвольный     - результат выбора в подчиненной форме.
//   ИсточникВыбора    - ФормаКлиентскогоПриложения - форма, где осуществлен выбор.
//   Результат         - Булево           - Истина, если результат выбора обработан.
//
Процедура ОбработкаВыбора(ЭтаФорма,ВыбранноеЗначение, ИсточникВыбора, Результат) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ОбработкаВыбора(ЭтаФорма, ВыбранноеЗначение, ИсточникВыбора, Результат) 
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения формы отчета.
//
// Параметры:
//   ЭтаФорма - ФормаКлиентскогоПриложения - форма отчета.
//   ИмяСобытия  - Строка           - идентификатор события для принимающих форм.
//   Параметр    - Произвольный     - расширенная информация о событии.
//   Источник    - ФормаКлиентскогоПриложения
//               - Произвольный - источник события.
//   ОповещениеОбработано - Булево - признак того, что событие обработано.
//
Процедура ОбработкаОповещения(ЭтаФорма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ОбработкаОповещения(ЭтаФорма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПослеФормированияНаКлиенте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод вызывается из формы отчета после его формирования.
//
//	Параметры:
//		ФормаОтчета - ФормаКлиентскогоПриложения - форма отчета.
//
Процедура ПослеФормированияНаКлиенте(ФормаОтчета) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ПослеФормированияНаКлиенте(ФормаОтчета) 
```
</details>

## ФормаОтчетаПослеПодтвержденияПереформирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод вызывается из формы отчета после его формирования.
//
//	Параметры:
//		Ответ - КодВозвратаДиалога - При варианте "Да" будут выполнено переформирование форм
//		ПараметрыВыполнения - Структура - Содержит в себе перечень форм, которые необходимо переформировать.
//
Процедура ФормаОтчетаПослеПодтвержденияПереформирования(Ответ, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ФормаОтчетаПослеПодтвержденияПереформирования(Ответ, ПараметрыВыполнения) 
```
</details>

## ПараметрыПроверкиФоновыхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод возвращает обработчик ожидания "ПараметрыПроверкиФоновыхЗаданий".
//
// Возвращаемое значение:
//   ОписаниеОповещения - ПараметрыПроверкиФоновыхЗаданий
//
Функция ПараметрыПроверкиФоновыхЗаданий() Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТКлиентПереопределяемый.ПараметрыПроверкиФоновыхЗаданий() 
```
</details>

## ОткрытьОтчетКарточкаРасчетовСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает указанный вариант отчета КарточкаРасчетовСКлиентами контекстно из документов.
//
// Параметры:
//   КлючВарианта - Строка - Имя открываемой настройки отчета
//   Документ - ДокументСсылка - Ссылка на документ, для установки контекста.
//
Процедура ОткрытьОтчетКарточкаРасчетовСКлиентами(КлючВарианта, Документ) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ОткрытьОтчетКарточкаРасчетовСКлиентами(КлючВарианта, Документ) 
```
</details>

## ОткрытьОтчетКарточкаРасчетовСПоставщиками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает указанный вариант отчета КарточкаРасчетовСПоставщиками контекстно из документов.
//
// Параметры:
//   КлючВарианта - Строка - Имя открываемой настройки отчета
//   Документ - ДокументСсылка - Ссылка на документ, для установки контекста.
//
Процедура ОткрытьОтчетКарточкаРасчетовСПоставщиками(КлючВарианта, Документ) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ОткрытьОтчетКарточкаРасчетовСПоставщиками(КлючВарианта, Документ) 
```
</details>

## ПослеФормирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает после окончания формирования отчета.
//
// Параметры:
//   ФормаОтчета - ФормаКлиентскогоПриложения - Форма отчета.
//   ОтчетСформирован - Булево - Истина если отчет был успешно сформирован.
//
Процедура ПослеФормирования(ФормаОтчета, ОтчетСформирован) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ПослеФормирования(ФормаОтчета, ОтчетСформирован) 
```
</details>

## ОбработатьРасшифровкуКонтрольОформленияДокументовТовародвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается для отчета "КонтрольОформленияДокументовТовародвижения".
//
// Параметры:
//  ЭтаФорма							 - ФормаКлиентскогоПриложения	 - форма, на которой происходит обработка расшифровки.
//  Расшифровка							 - см. Отчеты.КонтрольОформленияДокументовТовародвижений.СтруктураОтборовРаспоряженийСтрокаXML.
//  ИмяПроцедурыОписанияОповещения		 - Строка			 - имя процедуры обработчика описания оповещения закрытия формы, которая будет открыта во время обработки расшифровки.
//  ДатаОформления						 - Дата				 - дата окончания оформления складских актов, если потребуется оформлять складские акты.
//  ОтборыДляФормированияОтчетаКонтроля	 - ТабличнаяЧасть	 - см. табличную часть Обработки.ПомощникИсправленияОстатковТоваровОрганизаций.ОтборыДляФормированияОтчетаКонтроля.
//
Процедура ОбработатьРасшифровкуКонтрольОформленияДокументовТовародвижения( Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ОбработатьРасшифровкуКонтрольОформленияДокументовТовародвижения();
```
</details>

## ОбработкаВыбораТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик двойного щелчка мыши, нажатия клавиши Enter или гиперссылки в табличном документе формы отчета.
// См. "Расширение поля формы для поля табличного документа.Выбор" в синтакс-помощнике.
//
// Параметры:
//   ФормаОтчета - ФормаКлиентскогоПриложения - форма отчета.
//   Элемент     - ПолеФормы        - табличный документ.
//   Область     - ОбластьЯчеекТабличногоДокумента - выбранное значение.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//
Процедура ОбработкаВыбораТабличногоДокумента(ФормаОтчета, Элемент, Область, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОтчетыУТКлиентПереопределяемый.ОбработкаВыбораТабличногоДокумента(ФормаОтчета, Элемент, Область, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
