---
title: Отчеты УТ сервер
slug: erp-uh/отчеты-ут-сервер
---


## ПериодОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет период отчета в значения отбора.
//
// Параметры:
//  НастройкиКомпоновкиДанных - НастройкиКомпоновкиДанных - Настройки СКД.
//  ЗначенияОтбораДанных - Структура - Значения отбора.
//
Процедура ПериодОтчета(НастройкиКомпоновкиДанных, ЗначенияОтбораДанных) Экспорт
```

Пример вызова
```bsl
ОтчетыУТСервер.ПериодОтчета(НастройкиКомпоновкиДанных, ЗначенияОтбораДанных) 
```
</details>

## ЗначениеПараметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение параметра СКД.
//
// Параметры:
//  НастройкиКомпоновкиДанных - НастройкиКомпоновкиДанных - Настройки СКД.
//  Параметр - Строка, ПараметрКомпоновкиДанных	 - поле или имя поля, для которого нужно вернуть параметр.
//  ПустоеЗначение - Произвольный - Значение, которое нужно вернуть, если параметр не используется.
//
// Возвращаемое значение:
//  Произвольный - Значение параметра СКД.
//
Функция ЗначениеПараметра(НастройкиКомпоновкиДанных, Параметр, ПустоеЗначение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТСервер.ЗначениеПараметра(НастройкиКомпоновкиДанных, Параметр, ПустоеЗначение);
```
</details>

## ЗначениеОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение отбора установленного в отчете
//
// Параметры:
//  ИмяПоля	- Строка - Имя отбора.
//  ЭлементыОтбора- КоллекцияЭлементовОтбораКомпоновкиДанных - Отбор компоновки данных.
//
// Возвращаемое значение:
//  Массив из Произвольный - Установленный отбор.
//
Функция ЗначениеОтбора(ИмяПоля, ЭлементыОтбора) Экспорт
```

Пример вызова
```bsl
Результат = ОтчетыУТСервер.ЗначениеОтбора(ИмяПоля, ЭлементыОтбора) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
