---
title: Офлайн оборудование1 сккмed вызов сервера
slug: erp-uh/офлайн-оборудование1-сккмed-вызов-сервера
---


## КомпонентыОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку структуры КомпонентыОбмена.
// Параметры:
//   НаправлениеОбмена - Строка - отправка или Получение.
//   ВерсияФорматаОбменаПриЗагрузке - Строка - версия формата, которая должна применяться при загрузке данных.
//
// Возвращаемое значение:
//   Структура - компоненты обмена.
//
Функция КомпонентыОбмена(НаправлениеОбмена, ВерсияФормата, РасширениеФормата, ВерсияФорматаОбменаПриЗагрузке = "", РасширениеФорматаПриЗагрузке = "") Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМEDВызовСервера.КомпонентыОбмена(НаправлениеОбмена, ВерсияФормата, РасширениеФормата, ВерсияФорматаОбменаПриЗагрузке, РасширениеФорматаПриЗагрузке);
```
</details>

## РезультатВыгрузкиВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет выгрузку данных.
// Параметры:
//  СтруктураПараметров - Структура - параметры выполнения процедуры:
//  АдресРезультата - Строка - .
//
Процедура РезультатВыгрузкиВXML(СтруктураПараметров, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.РезультатВыгрузкиВXML(СтруктураПараметров, АдресРезультата) 
```
</details>

## ВыгрузитьДанныеВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает объекты и возвращает результат выгрузки.
//
// Параметры:
//   СтруктураПараметров - Структура:
//     * ДанныеВыгрузки - Структура:
//        ** Параметры - Структура:
//            *** Идентификатор - Строка
//
// Возвращаемое значение:
//   Структура - структура с результатом выгрузки:
//     * ТекстВыгрузки - Строка - текст сообщения обмена.
//     * ЕстьВыгруженныеОбъекты - Булево - Истина, если выгружен хотя бы один объект.
//     * ЕстьОшибки - Булево - Истина, если при выгрузке произошли ошибки.
//     * ТекстОшибки - Строка - текст ошибки при выгрузке.
//     * ВыгруженныеОбъекты - Массив - массив выгруженных объектов по настройкам обработки.
//     * ВыгруженныеПоСсылкеОбъекты - Массив - массив выгруженных объектов по ссылкам.
//
Функция ВыгрузитьДанныеВXML(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМEDВызовСервера.ВыгрузитьДанныеВXML(СтруктураПараметров));
```
</details>

## ЗаписатьВФайлПризнакОбработан
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьВФайлПризнакОбработан(КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.ЗаписатьВФайлПризнакОбработан(КомпонентыОбмена));
```
</details>

## ЗагрузкаСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет загрузку сообщения.
// Параметры:
//   СтруктураПараметров - Структура:
//    * ТекстXML - Строка - сообщение которое следует загрузить (в случае загрузки из текста).
//    * АдресНаСервере - Строка - имя временного файла с данными для загрузки (при загрузке из файла)
//   АдресРезультата - Строка - адрес для размещения результата, при запуске из фонового задания.
//
Процедура ЗагрузкаСообщения(СтруктураПараметров, АдресРезультата) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.ЗагрузкаСообщения(СтруктураПараметров, АдресРезультата) 
```
</details>

## ЗагрузитьДанныеИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает данные из сообщения обмена.
//
// Параметры:
//  ЧтениеXML	 - ЧтениеXML - инициализированный сообщением обмена объект ЧтениеXML.
//
// Возвращаемое значение:
//   Структура:
//    * ЕстьОшибки - Булево - признак, что во время загрузки сообщения обмена возникли ошибки.
//    * ТекстОшибки - Строка - текст сообщения об ошибке.
//    * ЗагруженныеОбъекты - Массив - массив загруженных объектов.
//
Функция ЗагрузитьДанныеИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМEDВызовСервера.ЗагрузитьДанныеИзXML(ЧтениеXML));
```
</details>

## ОтключитьОбновлениеКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтключитьОбновлениеКлючейДоступа(Отключить, ПланироватьОбновление = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.ОтключитьОбновлениеКлючейДоступа(Отключить, ПланироватьОбновление);
```
</details>

## ЗаполнитьСписокОбъектовКВыгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Готовит список объектов, подлежащих выгрузке.
Процедура ЗаполнитьСписокОбъектовКВыгрузке(КомпонентыОбмена, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.ЗаполнитьСписокОбъектовКВыгрузке(КомпонентыОбмена, СтруктураПараметров));
```
</details>

## ДобавитьОбъектКВыгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОбъектКВыгрузке(ОбъектыКВыгрузке, ВыгружаемыйОбъект) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.ДобавитьОбъектКВыгрузке(ОбъектыКВыгрузке, ВыгружаемыйОбъект));
```
</details>

## ВыгрузитьШтрихкоды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыгрузитьШтрихкоды(ПараметрыШтрихкода, ОбъектыКВыгрузке) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.ВыгрузитьШтрихкоды(ПараметрыШтрихкода, ОбъектыКВыгрузке));
```
</details>

## ЗаписиШтрихКода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписиШтрихКода(ПараметрыШтрихкода) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМEDВызовСервера.ЗаписиШтрихКода(ПараметрыШтрихкода));
```
</details>

## ВыгрузитьДанныеНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгрузить данные на сервере.
//
// Параметры:
//  ДанныеВыгрузки - Структура - Данные выгрузки
//
// Возвращаемое значение:
//  Неопределено.
Функция ВыгрузитьДанныеНаСервере(ДанныеВыгрузки) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМEDВызовСервера.ВыгрузитьДанныеНаСервере(ДанныеВыгрузки) 
```
</details>

## ЗагрузитьДанныеНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загрузить данные на сервере.
//
// Параметры:
//  АдресФайлаЗагрузки - ХранилищеЗначения - Адрес файла загрузки.
//
// Возвращаемое значение:
//  Неопределено.
Функция ЗагрузитьДанныеНаСервере(АдресФайлаЗагрузки) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМEDВызовСервера.ЗагрузитьДанныеНаСервере(АдресФайлаЗагрузки) 
```
</details>

## ПакетыОбработаны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПакетыОбработаны(Отказ, ПакетыОбработаны, Выгрузка, Пакеты, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.ПакетыОбработаны(Отказ, ПакетыОбработаны, Выгрузка, Пакеты, ВыходныеПараметры) 
```
</details>

## ПолучитьТекстXMLДанныеЗагружены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить текст XMLДанные загружены.
//
// Возвращаемое значение:
//  ЗаписьXML - Получить текст XMLДанные загружены
Функция ПолучитьТекстXMLДанныеЗагружены() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМEDВызовСервера.ПолучитьТекстXMLДанныеЗагружены() 
```
</details>

## ПолучитьПрайсЛист
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует прайс лист
//
// Параметры:
//  КомпонентыОбмена - Структура
//  ОбъектыКВыгрузке - Массив
//  ИсходныеДанные - Структура:
//   * Параметры - Структура:
//      ** Идентификатор - Строка
//   * ПрайсЛист - Массив из Структура
//
Процедура ПолучитьПрайсЛист(КомпонентыОбмена, ОбъектыКВыгрузке, ИсходныеДанные, ПрайсЛист) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.ПолучитьПрайсЛист(КомпонентыОбмена, ОбъектыКВыгрузке, ИсходныеДанные, ПрайсЛист));
```
</details>

## ПолучитьПозициюПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПозициюПрайсЛиста(КомпонентыОбмена, ОбъектыКВыгрузке, ИсходныеДанные, ПозицииПрайсЛиста) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.ПолучитьПозициюПрайсЛиста(КомпонентыОбмена, ОбъектыКВыгрузке, ИсходныеДанные, ПозицииПрайсЛиста));
```
</details>

## РазложитьФорматОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазложитьФорматОбмена(Знач ФорматОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМEDВызовСервера.РазложитьФорматОбмена(ФорматОбмена));
```
</details>

## НайтиПравилаОбработкиДанныхПоПКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиПравилаОбработкиДанныхПоПКО(КомпонентыОбмена, ИмяПКО) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМEDВызовСервера.НайтиПравилаОбработкиДанныхПоПКО(КомпонентыОбмена, ИмяПКО));
```
</details>

## ВключитьПространствоИмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВключитьПространствоИмен(КомпонентыОбмена, Знач ПространствоИмен, Знач Псевдоним = "") Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМEDВызовСервера.ВключитьПространствоИмен(КомпонентыОбмена, ПространствоИмен, Псевдоним);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
