---
title: Офлайн оборудование1 сккм вызов сервера
slug: erp-uh/офлайн-оборудование1-сккм-вызов-сервера
---


## ТекстовыйДокументНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текстовый документ настроек.
//
// Параметры:
//  НастройкиККМ - Структура - Настройки ККМ
//  ВерсияФорматаОбмена - Строка - Версия формата обмена
//
// Возвращаемое значение:
//  ТекстовыйДокумент - Текстовый документ настроек
Функция ТекстовыйДокументНастроек(НастройкиККМ, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.ТекстовыйДокументНастроек(НастройкиККМ, ВерсияФорматаОбмена) 
```
</details>

## ТекстXMLНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст XML Настроек.
//
// Параметры:
//  НастройкиККМ - Структура - Настройки ККМ
//  ВерсияФорматаОбмена - Строка - Версия формата обмена
//
// Возвращаемое значение:
//  Строка - Текст XMLНастроек
Функция ТекстXMLНастроек(НастройкиККМ, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.ТекстXMLНастроек(НастройкиККМ, ВерсияФорматаОбмена) 
```
</details>

## ТекстовыйДокументПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текстовый документ прайс листа.
//
// Параметры:
//  ПрайсЛист - Массив - Прайс лист.
//  ВерсияФорматаОбмена - Строка - Версия формата обмена
//
// Возвращаемое значение:
//  ТекстовыйДокумент - Текстовый документ прайс листа
Функция ТекстовыйДокументПрайсЛиста(ПрайсЛист, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.ТекстовыйДокументПрайсЛиста(ПрайсЛист, ВерсияФорматаОбмена) 
```
</details>

## ТекстXMLПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст XMLПрайс листа.
//
// Параметры:
//  ПрайсЛист - Массив - Прайс лист
//  ВерсияФорматаОбмена - Строка - Версия формата обмена
//
// Возвращаемое значение:
//  Строка - Текст XMLПрайс листа
Функция ТекстXMLПрайсЛиста(ПрайсЛист, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.ТекстXMLПрайсЛиста(ПрайсЛист, ВерсияФорматаОбмена) 
```
</details>

## ТекстXMLЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст XMLЗаказов.
//
// Параметры:
//  Заказы - Массив из см. МенеджерОфлайнОборудования.ЗаписьЗаказа - Заказы
//  ВерсияФорматаОбмена - Строка - Версия формата обмена.
//
// Возвращаемое значение:
//  Строка, Булево - Текст XMLЗаказов
Функция ТекстXMLЗаказов(Заказы, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.ТекстXMLЗаказов(Заказы, ВерсияФорматаОбмена) 
```
</details>

## ТекстовыйДокументДанныеЗагружены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текстовый документ данные загружены.
//
// Параметры:
//  ВерсияФорматаОбмена - Строка - Версия формата обмена.
//
// Возвращаемое значение:
//  ТекстовыйДокумент - Текстовый документ данные загружены
Функция ТекстовыйДокументДанныеЗагружены(ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.ТекстовыйДокументДанныеЗагружены(ВерсияФорматаОбмена) 
```
</details>

## ФабрикаXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Фабрика XDTO.
//
// Параметры:
//  ВерсияФорматаОбмена - Строка - Версия формата обмена
//
// Возвращаемое значение:
//  ФабрикаXDTO - Фабрика XDTO
Функция ФабрикаXDTO(ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.ФабрикаXDTO(ВерсияФорматаОбмена) 
```
</details>

## URIПространстваИмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// URIПространства имен.
//
// Параметры:
//  ВерсияФорматаОбмена - Неопределено, Строка - Версия формата обмена
//
// Возвращаемое значение:
//  Строка - URIПространства имен
Функция URIПространстваИмен(ВерсияФорматаОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.URIПространстваИмен(ВерсияФорматаОбмена);
```
</details>

## ЗагружаемыеДанныеИзККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружаемые данные из ККМ.
//
// Параметры:
//  Отказ - Булево - Отказ
//  XMLТекст - Строка - XMLТекст
//  ВыходныеПараметры - Структура - Выходные параметры
//  ВерсияФорматаОбмена - Строка - Версия формата обмена
//
// Возвращаемое значение:
//  Структура - Загружаемые данные из ККМ:
// * ОтчетыОПродажах - Массив из Структура -
// * ВскрытияАлкогольнойТары - Массив из Структура -
Функция ЗагружаемыеДанныеИзККМ(Отказ, XMLТекст, ВыходныеПараметры, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.ЗагружаемыеДанныеИзККМ(Отказ, XMLТекст, ВыходныеПараметры, ВерсияФорматаОбмена) 
```
</details>

## ЗаполнитьОтчетыОПродажах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОтчетыОПродажах(ОтчетыОПродажахXDTO, ОтчетыОПродажах, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМВызовСервера.ЗаполнитьОтчетыОПродажах(ОтчетыОПродажахXDTO, ОтчетыОПродажах, ВерсияФорматаОбмена) 
```
</details>

## ЗаполнитьОтчетыВскрытияТары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОтчетыВскрытияТары(ВскрытияТарыXDTO, ВскрытияТары, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМВызовСервера.ЗаполнитьОтчетыВскрытияТары(ВскрытияТарыXDTO, ВскрытияТары, ВерсияФорматаОбмена) 
```
</details>

## ЗаполнитьОтчетыОПродажах1000
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует отчеты о продажах
//
// Параметры:
//  ОтчетыОПродажахККМ - ЗначениеXDTO
//  ОтчетыОПродажах - Массив из см. МенеджерОфлайнОборудованияКлиентСервер.ОтчетОПродажахККМ
//  ВерсияФорматаОбмена - Строка
Процедура ЗаполнитьОтчетыОПродажах1000(ОтчетыОПродажахККМ, ОтчетыОПродажах, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМВызовСервера.ЗаполнитьОтчетыОПродажах1000(ОтчетыОПродажахККМ, ОтчетыОПродажах, ВерсияФорматаОбмена) 
```
</details>

## ЗаполнитьОтчетОПроверкахЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОтчетОПроверкахЦен(ПроверкиЦенниковXDTO, ОтчетыОЦенниках, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМВызовСервера.ЗаполнитьОтчетОПроверкахЦен(ПроверкиЦенниковXDTO, ОтчетыОЦенниках, ВерсияФорматаОбмена) 
```
</details>

## УникальностьИдентификатораWebСервисОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Уникальность идентификатора web сервис оборудования.
//
// Параметры:
//  ИдентификаторУстройства -СправочникСсылка.ОфлайнОборудование - Идентификатор устройства.
//  ИдентификаторWebСервисОборудования - Строка -  Идентификатор web сервис оборудования
//
// Возвращаемое значение:
//  Булево - Уникальность идентификатора web сервис оборудования
Функция УникальностьИдентификатораWebСервисОборудования(ИдентификаторУстройства, ИдентификаторWebСервисОборудования) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.УникальностьИдентификатораWebСервисОборудования(ИдентификаторУстройства, ИдентификаторWebСервисОборудования) 
```
</details>

## ПакетыОбработаны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПакетыОбработаны(Отказ, ПакетыОбработаны, Выгрузка, Пакеты, ВыходныеПараметры, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СККМВызовСервера.ПакетыОбработаны(Отказ, ПакетыОбработаны, Выгрузка, Пакеты, ВыходныеПараметры, ВерсияФорматаОбмена) 
```
</details>

## ПрайсЛистПоПакетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает массив из пакетов данных.
//
// Параметры:
//  СтруктураПрайсЛиста - Структура - Структура прайс листа
//  КоличествоЭлементовВПакете - Число - Количество элементов в пакете
//
// Возвращаемое значение:
//  Массив из см. МенеджерОфлайнОборудованияКлиентСервер.ПрайсЛистККМ- Прайс лист по пакетам
Функция ПрайсЛистПоПакетам(СтруктураПрайсЛиста, КоличествоЭлементовВПакете) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.ПрайсЛистПоПакетам(СтруктураПрайсЛиста, КоличествоЭлементовВПакете) 
```
</details>

## ТекстовыйДокументДанныхВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текстовый документ данных выгрузки.
//
// Параметры:
//  ДанныеДляВыгрузки - Массив - Данные для выгрузки
//  ВерсияФорматаОбмена - Строка -Версия формата обмена
//
// Возвращаемое значение:
//  ТекстовыйДокумент - Текстовый документ данных выгрузки
Функция ТекстовыйДокументДанныхВыгрузки(ДанныеДляВыгрузки, ВерсияФорматаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СККМВызовСервера.ТекстовыйДокументДанныхВыгрузки(ДанныеДляВыгрузки, ВерсияФорматаОбмена) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
