---
title: Офлайн оборудование1 с эвотор вызов сервера
slug: erp-uh/офлайн-оборудование1-с-эвотор-вызов-сервера
---


## ВыполнитьЗагрузкуМагазинов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с информацией о всех магазинах пользователя.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//    Токен - Строка - токен интеграции Эвотор из личного кабинета.
//  СписокМагазинов - Массив - возвращаемый массив магазинов пользователя Эвотор.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьЗагрузкуМагазинов(Настройки, СписокМагазинов, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторВызовСервера.ВыполнитьЗагрузкуМагазинов(Настройки, СписокМагазинов, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьЗагрузкуТерминалов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с информацией о всех терминалах пользователя.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//    Токен - Строка - токен интеграции Эвотор из личного кабинета.
//  СписокТерминалов - Массив - возвращаемый массив магазинов пользователя Эвотор.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации.
//
Процедура ВыполнитьЗагрузкуТерминалов(Настройки, СписокТерминалов, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторВызовСервера.ВыполнитьЗагрузкуТерминалов(Настройки, СписокТерминалов, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьЗагрузкуСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с информацией о всех сотрудниках пользователя. Под сотрудниками понимаются пользователи смарт-терминалов, например, кассиры.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//    Токен - Строка - токен интеграции Эвотор из личного кабинета.
//  СписокСотрудников - Массив - возвращаемый массив магазинов пользователя Эвотор.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации.
//
Процедура ВыполнитьЗагрузкуСотрудников(Настройки, СписокСотрудников, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторВызовСервера.ВыполнитьЗагрузкуСотрудников(Настройки, СписокСотрудников, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьВыгрузкуТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает информацию об одном или нескольких товарах в определенный магазин ({storeUuid}) пользователя платформы.
// При обновлении товара необходимо передавать полный набор полей описания товара. Облако удаляет старые и записывает новые поля.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//    Токен - Строка - токен интеграции Эвотор из личного кабинета,
//    МагазинЗначение - Строка - УИД магазина из облака Эвотор для передачи товаров.
//  Товары - Массив - список товаров для отправки в магазин Эвотор;
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьВыгрузкуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторВызовСервера.ВыполнитьВыгрузкуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьЗагрузкуТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию обо всех товарах в определенном магазине ({storeUuid}) пользователя платформы.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//    Токен - Строка - токен интеграции Эвотор из личного кабинета,
//    МагазинЗначение - Строка - УИД магазина из облака Эвотор для передачи товаров.
//  Товары - Массив - возвращаемый массив товаров из указанного магазина пользователя Эвотор.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьЗагрузкуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторВызовСервера.ВыполнитьЗагрузкуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьЗагрузкуСпискаДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений документов.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//    Токен - Строка - токен интеграции Эвотор из личного кабинета,
//    МагазинЗначение - Строка - УИД магазина из облака Эвотор для загрузки документов,
//    ТерминалЗначение - Строка - УИД терминала из облака Эвотор для загрузки документов (необязательно),
//    ПериодНачалоВыгрузки - ДатаВремя - Желаемая дата начала загрузки документов из Облака Эвотор (необязательно),
//    ПериодОкончаниеВыгрузки - ДатаВремя - Желаемая дата окончания загрузки документов из Облака Эвотор (необязательно),
//    ТипыДокументов - Строка - Типы выгружаемых документов в формате облака Эвотор (необязательно).
//  КассовыеДокументы - ТаблицаЗначений - возвращаемая таблица кассовых документов.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьЗагрузкуСпискаДокументов(Настройки, КассовыеДокументы, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторВызовСервера.ВыполнитьЗагрузкуСпискаДокументов(Настройки, КассовыеДокументы, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьОчисткуТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// HTTP-запрос с пустым массивом удалит все товары в магазине. Чтобы удалить определенный товар, в теле HTTP-запроса требуется указать его UUID.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//    Токен - Строка - токен интеграции Эвотор из личного кабинета,
//    МагазинЗначение - Строка - УИД магазина из облака Эвотор для удаления товаров.
//  Товары - Массив - список товаров для удаления в магазине Эвотор;
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьОчисткуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторВызовСервера.ВыполнитьОчисткуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьТестУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет технический тест устройства.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//    Токен - Строка - токен интеграции Эвотор из личного кабинета.
//  Результат - Булево - результат тестирования устройства.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации.
//
Процедура ВыполнитьТестУстройства(Настройки, Результат, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторВызовСервера.ВыполнитьТестУстройства(Настройки, Результат, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ПолучитьДатуПоследнейЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру Параметры датой последней загрузки
//
// Параметры:
//  Параметры - Структура - Параметры устройства.
//
Процедура ПолучитьДатуПоследнейЗагрузки(Параметры) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторВызовСервера.ПолучитьДатуПоследнейЗагрузки(Параметры) 
```
</details>

## ЗаполнитьДатуПоследнейПопыткиЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить дату последней попытки загрузки.
//
// Параметры:
//  Параметры - Структура - Параметры
//  ДатаОкончанияВыгрузки - Дата - Дата окончания выгрузки
//
// Возвращаемое значение:
//  Булево - Заполнить дату последней попытки загрузки
Функция ЗаполнитьДатуПоследнейПопыткиЗагрузки(Параметры, ДатаОкончанияВыгрузки) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторВызовСервера.ЗаполнитьДатуПоследнейПопыткиЗагрузки(Параметры, ДатаОкончанияВыгрузки) 
```
</details>

## ЗаполнитьДатуПоследнейЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить дату последней загрузки.
//
// Параметры:
//  Параметры - Структура - Параметры
//  ВыходныеПараметры - Структура -Выходные параметры
//
// Возвращаемое значение:
//  Булево - Заполнить дату последней загрузки
Функция ЗаполнитьДатуПоследнейЗагрузки(Параметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторВызовСервера.ЗаполнитьДатуПоследнейЗагрузки(Параметры, ВыходныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
