---
title: Офлайн оборудование1 с эвотор сервер
slug: erp-uh/офлайн-оборудование1-с-эвотор-сервер
---


## ВыполнитьЗагрузкуТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию обо всех товарах в определенном магазине ({storeUuid}) пользователя платформы.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//   * Токен - Строка - токен интеграции Эвотор из личного кабинета,
//   * МагазинЗначение - Строка - УИД магазина из облака Эвотор для передачи товаров.
//  Товары - Массив - возвращаемый массив товаров из указанного магазина пользователя Эвотор.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьЗагрузкуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьЗагрузкуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьВыгрузкуТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает информацию об одном или нескольких товарах в определенный магазин ({storeUuid}) пользователя платформы.
// При обновлении товара необходимо передавать полный набор полей описания товара. Облако удаляет старые и записывает новые поля.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//   * Токен - Строка - токен интеграции Эвотор из личного кабинета,
//   * МагазинЗначение - Строка - УИД магазина из облака Эвотор для передачи товаров.
//  Товары - Массив - список товаров для отправки в магазин Эвотор;
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьВыгрузкуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьВыгрузкуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьОчисткуТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// HTTP-запрос с пустым массивом удалит все товары в магазине. Чтобы удалить определенный товар, в теле HTTP-запроса требуется указать его UUID.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//   * Токен - Строка - токен интеграции Эвотор из личного кабинета,
//   * МагазинЗначение - Строка - УИД магазина из облака Эвотор для удаления товаров.
//  Товары - Массив - список товаров для удаления в магазине Эвотор;
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьОчисткуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьОчисткуТоваров(Настройки, Товары, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьЗагрузкуСпискаДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений документов.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//   * Токен - Строка - токен интеграции Эвотор из личного кабинета,
//   * МагазинЗначение - Строка - УИД магазина из облака Эвотор для загрузки документов,
//   * ТерминалЗначение - Строка - УИД терминала из облака Эвотор для загрузки документов (необязательно),
//   * ПериодНачалоВыгрузки - ДатаВремя - Желаемая дата начала загрузки документов из Облака Эвотор (необязательно),
//   * ПериодОкончаниеВыгрузки - ДатаВремя - Желаемая дата окончания загрузки документов из Облака Эвотор (необязательно),
//   * ТипыДокументов - Строка - Типы выгружаемых документов в формате облака Эвотор (необязательно).
//  КассовыеДокументы - ТаблицаЗначений - возвращаемая таблица кассовых документов.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьЗагрузкуСпискаДокументов(Настройки, КассовыеДокументы, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьЗагрузкуСпискаДокументов(Настройки, КассовыеДокументы, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьЗагрузкуМагазинов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с информацией о всех магазинах пользователя.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//   * Токен - Строка - токен интеграции Эвотор из личного кабинета.
//  СписокМагазинов - Массив - возвращаемый массив магазинов пользователя Эвотор.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьЗагрузкуМагазинов(Настройки, СписокМагазинов, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьЗагрузкуМагазинов(Настройки, СписокМагазинов, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьЗагрузкуСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с информацией о всех сотрудниках пользователя. Под сотрудниками понимаются пользователи смарт-терминалов, например, кассиры.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//   * Токен - Строка - токен интеграции Эвотор из личного кабинета.
//  СписокСотрудников - Массив - возвращаемый массив магазинов пользователя Эвотор.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации.
//
Процедура ВыполнитьЗагрузкуСотрудников(Настройки, СписокСотрудников, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьЗагрузкуСотрудников(Настройки, СписокСотрудников, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьЗагрузкуТерминалов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с информацией о всех терминалах пользователя.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//   * Токен - Строка - токен интеграции Эвотор из личного кабинета.
//  СписокТерминалов - Массив - возвращаемый массив магазинов пользователя Эвотор.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации.
//
Процедура ВыполнитьЗагрузкуТерминалов(Настройки, СписокТерминалов, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьЗагрузкуТерминалов(Настройки, СписокТерминалов, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьЗагрузкуСхемыТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает схемы товаров для определенного магазина ({storeUuid}) пользователя платформы.
// Эвотор возвращает схемы в соответствии с приложением, создавшим схемы.
// Эвотор определяет приложение по токену, который сторонний сервис передает в заголовке X-Authorization.
//
// Параметры:
//  Параметры - Структура - Параметры
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьЗагрузкуСхемыТоваров(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьЗагрузкуСхемыТоваров(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьУдалениеСхемыТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет указанные схемы. В теле запроса укажите один или несколько идентификаторов схем, которые требуется удалить.
//
// Параметры:
//  Параметры - Структура - Параметры
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьУдалениеСхемыТоваров(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьУдалениеСхемыТоваров(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьСозданиеСхемыТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает/изменяет схемы товаров для определенного магазина ({storeUuid}) пользователя платформы.
// Эвотор возвращает схемы в соответствии с приложением, создавшим схемы.
// Эвотор определяет приложение по токену, который сторонний сервис передает в заголовке X-Authorization.
//
// Параметры:
//  Параметры - Структура - Параметры
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьСозданиеСхемыТоваров(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьСозданиеСхемыТоваров(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьЗагрузкуДополнительныхПолейТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию обо всех товарах в определенном магазине ({storeUuid}) пользователя платформы.
//
// Параметры:
//  Параметры - Структура - Параметры
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьЗагрузкуДополнительныхПолейТовара(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьЗагрузкуДополнительныхПолейТовара(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьСозданиеДополнительныхПолейТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает информацию об одном или нескольких товарах в определенный магазин ({storeUuid}) пользователя платформы.
//
// Параметры:
//  Параметры - Структура - Параметры
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьСозданиеДополнительныхПолейТовара(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьСозданиеДополнительныхПолейТовара(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьУдалениеДополнительныхПолейТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет указанные дополнительные поля. В теле запроса укажите один или несколько идентификаторов дополнительных полей, которые требуется удалить.
//
// Параметры:
//  Параметры - Структура - Параметры
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьУдалениеДополнительныхПолейТовара(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьУдалениеДополнительныхПолейТовара(Параметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьАвторизациюПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Авторизация существующего пользователя в стороннем сервисе с помощью данных учетной записи Личного кабинета Эвотор.
//
// Параметры:
//  ПроизвольныйПараметр - Произвольный
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьАвторизациюПользователя(ПроизвольныйПараметр, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьАвторизациюПользователя(ПроизвольныйПараметр, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьРегистрациюУчетнойЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует новую учетную запись в стороннем сервисе. ВАЖНО: Под пользователем понимается мастер-аккаунт владельца бизнеса в системе партнера.
//
// Параметры:
//  ПроизвольныйПараметр - Произвольный
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьРегистрациюУчетнойЗаписи(ПроизвольныйПараметр, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьРегистрациюУчетнойЗаписи(ПроизвольныйПараметр, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьПоискПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект с информацией о товаре, найденном в базе стороннего сервиса с помощью штрихкода и/или кода алкогольной продукции.
//
// Параметры:
//  Штрихкод - Строка
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьПоискПоШтрихкоду(Штрихкод, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьПоискПоШтрихкоду(Штрихкод, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьПередачуТокенаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Передает токен приложения, после того, как пользователь установил приложение в Личном кабинете.
// Сторонний сервис использует токен приложения для авторизации запросов к облаку Эвотор.
//
// Параметры:
//  Токен - Строка - токен интеграции Эвотор из личного кабинета,
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьПередачуТокенаПриложения(Токен, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьПередачуТокенаПриложения(Токен, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьСозданиеТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает в сторонний сервис массив новых товаров, созданных на терминале.
//
// Параметры:
//  ТоварыИКассы - Массив - массив товаров из указанного магазина пользователя Эвотор.
//  Магазин - Строка - УИД магазина из облака Эвотор для передачи товаров.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьСозданиеТоваров(ТоварыИКассы, Магазин, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьСозданиеТоваров(ТоварыИКассы, Магазин, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьПередачуДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Передает в сторонний сервис массив документов с транзакциями.
//
// Параметры:
//  Документы - Массив
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьПередачуДокументов(Документы, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьПередачуДокументов(Документы, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьСозданиеСмартТерминала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать/отредактировать один или несколько смарт-терминалов в стороннем сервисе.
// Облако эвотор передает в сторонний сервис все изменения, сделанные в Личном кабинете.
// Эвотор является мастер-системой по данной сущности.
//
// Параметры:
//  Касса - Строка
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьСозданиеСмартТерминала(Касса, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьСозданиеСмартТерминала(Касса, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьСозданиеСотрудника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать/отредактировать одного или нескольких сотрудников в стороннем сервисе.
// Облако эвотор передает в сторонний сервис все изменения, сделанные в Личном кабинете.
// Эвотор является мастер-системой по данной сущности.
//
// Параметры:
//  Сотрудник - Строка
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьСозданиеСотрудника(Сотрудник, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьСозданиеСотрудника(Сотрудник, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьСозданиеМагазина
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать/отредактировать один или несколько магазинов в стороннем сервисе.
// Облако эвотор передает в сторонний сервис все изменения, сделанные в Личном кабинете.
// Эвотор является мастер-системой по данной сущности.
//
// Параметры:
//  Магазин - Строка
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьСозданиеМагазина(Магазин, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьСозданиеМагазина(Магазин, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьОтправкуЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После оплаты отправляет чек в сторонний сервис. Тело запроса содержит один или несколько чеков.
//
// Параметры:
//  Чек - Строка
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьОтправкуЧека(Чек, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьОтправкуЧека(Чек, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьПередачуСобытийПодписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Связанные с биллингом события, которые облако Эвотор передает в сторонний сервис.
// Облако выполняет попытки передать события в течение трех суток, до тех пор пока не будет получен ответ об успешной доставке сообщения (200 ОК).
// Интервал повторной отправки события около одной минуты.
//
// Параметры:
//  ПроизвольныеПараметры - Структура
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьПередачуСобытийПодписки(ПроизвольныеПараметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьПередачуСобытийПодписки(ПроизвольныеПараметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьПередачуСобытийУстановкиУдаления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Связанные с установкой и удалением приложения события, которые облако Эвотор передает в сторонний сервис.
// Облако выполняет попытки передать события в течение трех суток, до тех пор пока не будет получен ответ об успешной доставке сообщения (200 ОК).
// Интервал повторной отправки события около одной минуты.
//
// Параметры:
//  ПроизвольныеПараметры - Структура
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации;
//
Процедура ВыполнитьПередачуСобытийУстановкиУдаления(ПроизвольныеПараметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьПередачуСобытийУстановкиУдаления(ПроизвольныеПараметры, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ВыполнитьТестУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет технический тест устройства.
//
// Параметры:
//  Настройки - Структура - техническая информация об устройстве, поля:
//   * Токен - Строка - токен интеграции Эвотор из личного кабинета.
//  Результат - Булево - результат тестирования устройства.
//  ЕстьОшибки - Булево - флаг ошибки при обработке;
//  СообщениеОбОшибке - Строка - строка сообщения об ошибке;
//  ВестиЛог - Булево - флаг ведения записей в журнале регистрации.
//
Процедура ВыполнитьТестУстройства(Настройки, Результат, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог = Истина) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ВыполнитьТестУстройства(Настройки, Результат, ЕстьОшибки, СообщениеОбОшибке, ВестиЛог);
```
</details>

## ПолучитьДатуПоследнейЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру Параметры датой последней загрузки
//
// Параметры:
//  Параметры - Структура - Параметры устройства.
//
Процедура ПолучитьДатуПоследнейЗагрузки(Параметры) Экспорт
```

Пример вызова
```bsl
ОфлайнОборудование1СЭвоторСервер.ПолучитьДатуПоследнейЗагрузки(Параметры) 
```
</details>

## ЗаполнитьДатуПоследнейПопыткиЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить дату последней попытки загрузки.
//
// Параметры:
//  Параметры - Структура - Параметры
//  ДатаОкончанияВыгрузки - Дата - Дата окончания выгрузки
//
// Возвращаемое значение:
//  Булево - Заполнить дату последней попытки загрузки
Функция ЗаполнитьДатуПоследнейПопыткиЗагрузки(Параметры, ДатаОкончанияВыгрузки) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.ЗаполнитьДатуПоследнейПопыткиЗагрузки(Параметры, ДатаОкончанияВыгрузки) 
```
</details>

## ЗаполнитьДатуПоследнейЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить дату последней загрузки.
//
// Параметры:
//  Параметры - Структура - Параметры
//  ВыходныеПараметры - Структура - Выходные параметры
//
// Возвращаемое значение:
//  Булево - Заполнить дату последней загрузки
Функция ЗаполнитьДатуПоследнейЗагрузки(Параметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.ЗаполнитьДатуПоследнейЗагрузки(Параметры, ВыходныеПараметры) 
```
</details>

## РеквизитыГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Возвращает шаблон группы.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыГруппы() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыГруппы() 
```
</details>

## РеквизитыТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон товара.
//
// Возвращаемое значение:
//  Структура:
//   * tax - Строка - Ставка НДС для товара, возможные значения:
//            "NO_VAT", "VAT_10", "VAT_18", "VAT_0", "VAT_18_118", "VAT_10_110".
//   * type - Строка - Тип товара, возможные значение:
//            "NORMAL", "ALCOHOL_MARKED", "ALCOHOL_NOT_MARKED", "SERVICE".
Функция РеквизитыТовара() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыТовара() 
```
</details>

## РеквизитыУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон услуги.
//
// Возвращаемое значение:
//  Структура:
//   * tax - Строка - Ставка НДС для товара, возможные значения:
//            "NO_VAT", "VAT_10", "VAT_18", "VAT_0", "VAT_18_118", "VAT_10_110".
//   * type - Строка - Тип товара, возможные значение:
//            "NORMAL", "ALCOHOL_MARKED", "ALCOHOL_NOT_MARKED", "SERVICE".
//
Функция РеквизитыУслуги() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыУслуги() 
```
</details>

## РеквизитыТовараКУдалению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон товара к удалению.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыТовараКУдалению() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыТовараКУдалению() 
```
</details>

## РеквизитыИнформацииОМагазинах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон сообщения о магазинах.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыИнформацииОМагазинах() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыИнформацииОМагазинах() 
```
</details>

## РеквизитыИнформацииОТерминалах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон сообщения о терминалах.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыИнформацииОТерминалах() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыИнформацииОТерминалах() 
```
</details>

## РеквизитыДокументаФормат10
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыДокументаФормат10() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыДокументаФормат10() 
```
</details>

## РеквизитыТоваровДокументаФормат10
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон строки товара чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыТоваровДокументаФормат10() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыТоваровДокументаФормат10() 
```
</details>

## РеквизитыОплатДокументаФормат10
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон строки оплат кассового чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыОплатДокументаФормат10() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыОплатДокументаФормат10() 
```
</details>

## РеквизитыНалоговДокументаФормат10
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон строки налогов по товару.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыНалоговДокументаФормат10() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыНалоговДокументаФормат10() 
```
</details>

## РеквизитыДвиженияДСДокументаФормат10
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон строки движения денежных средств.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыДвиженияДСДокументаФормат10() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыДвиженияДСДокументаФормат10() 
```
</details>

## РеквизитыИнвентаризацииДокументаФормат10
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон строки инвентаризации товарной позиции.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыИнвентаризацииДокументаФормат10() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыИнвентаризацииДокументаФормат10() 
```
</details>

## РеквизитыПереоценкиДокументаФормат10
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон строки переоценки товарной позиции.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыПереоценкиДокументаФормат10() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыПереоценкиДокументаФормат10() 
```
</details>

## РеквизитыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Возвращает шаблон документа Эвотор.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыДокумента() 
```
</details>

## РеквизитыТелаФискальногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон тела документа чек Эвотор.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыТелаФискальногоДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыТелаФискальногоДокумента() 
```
</details>

## РеквизитыТелаДокументаИнвентаризация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон тела документа инвентаризация Эвотор.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыТелаДокументаИнвентаризация() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыТелаДокументаИнвентаризация() 
```
</details>

## РеквизитыТелаДокументаПриемкаВозвратСписание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон тела документов приемка, возврат, списание Эвотор.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыТелаДокументаПриемкаВозвратСписание() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыТелаДокументаПриемкаВозвратСписание() 
```
</details>

## РеквизитыТелаДокументаПереоценка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон тела документа переоценка Эвотор.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыТелаДокументаПереоценка() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыТелаДокументаПереоценка() 
```
</details>

## РеквизитыТелаДокументаЗакрытиеКассовойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон тела документа закрытие кассовой смены Эвотор.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыТелаДокументаЗакрытиеКассовойСмены() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыТелаДокументаЗакрытиеКассовойСмены() 
```
</details>

## РеквизитыТелаДокументаВскрытиеТары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон тела документа закрытие кассовой смены Эвотор.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыТелаДокументаВскрытиеТары() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыТелаДокументаВскрытиеТары() 
```
</details>

## РеквизитыТоваровДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон строки товара чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыТоваровДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыТоваровДокумента() 
```
</details>

## РеквизитыОплатДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон строки оплат кассового чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыОплатДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыОплатДокумента() 
```
</details>

## РеквизитыЧастиОплатДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон строки оплат кассового чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыЧастиОплатДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыЧастиОплатДокумента() 
```
</details>

## РеквизитыНалоговТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон строки оплат кассового чека.
//
// Возвращаемое значение:
//  Структура.
//
Функция РеквизитыНалоговТовара() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудование1СЭвоторСервер.РеквизитыНалоговТовара() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
