---
title: Офлайн оборудование атол ККМ вызов сервера
slug: erp-uh/офлайн-оборудование-атол-ккм-вызов-сервера
---


## ЗагружаемыеДанныеИзККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружаемые данные из ККМ.
//
// Параметры:
//  ТекстовыйДокумент - Строка - Текстовый документ
//  ФорматОбмена - Строка -Формат обмена
//  ВыходныеПараметры - Структура - Выходные параметры
//
// Возвращаемое значение:
//  Булево - Загружаемые данные из ККМ
Функция ЗагружаемыеДанныеИзККМ(ТекстовыйДокумент, ФорматОбмена, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудованиеАтолККМВызовСервера.ЗагружаемыеДанныеИзККМ(ТекстовыйДокумент, ФорматОбмена, ВыходныеПараметры) 
```
</details>

## ФайлОчисткиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Файл очистки данных.
//
// Возвращаемое значение:
//  ТекстовыйДокумент - Файл очистки данных
Функция ФайлОчисткиДанных() Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудованиеАтолККМВызовСервера.ФайлОчисткиДанных() 
```
</details>

## ВыгружаемыеДанныеВККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружаемые данные ВККМ.
//
// Параметры:
//  РасширеннаяВыгрузка - Булево - Расширенная выгрузка
//  ЧастичнаяВыгрузка - Булево - Частичная выгрузка
//  ФорматОбмена - Строка - Формат обмена
//  Товары - Массив - Товары
//  Налоги - Массив - Налоги
//  ВыходныеПараметры - Структура - Выходные параметры.
//
// Возвращаемое значение:
//  ТекстовыйДокумент - Выгружаемые данные ВККМ
Функция ВыгружаемыеДанныеВККМ(РасширеннаяВыгрузка, ЧастичнаяВыгрузка, ФорматОбмена, Товары, Налоги, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ОфлайнОборудованиеАтолККМВызовСервера.ВыгружаемыеДанныеВККМ(РасширеннаяВыгрузка, ЧастичнаяВыгрузка, ФорматОбмена, Товары, Налоги, ВыходныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
