---
title: Партионный учет
slug: erp-uh/партионный-учет
---


## РассчитатьВсе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет полный расчет партий.
//
// Параметры:
//	ОкончаниеПериодаРасчета - Дата - конец периода (месяца), до которого надо выполнить расчет
//	Организация - СправочникСсылка.Организации - организация, по которым надо выполнить расчет.
//	ВыполняетсяЗакрытиеМесяца - Булево - признак выполнения регламентных операций по закрытию месяца
//
Процедура РассчитатьВсе(Знач ОкончаниеПериодаРасчета, Организация = Неопределено, ВыполняетсяЗакрытиеМесяца = Ложь, АвтоматическоеТестирование = Ложь) Экспорт
```

Пример вызова
```bsl
ПартионныйУчет.РассчитатьВсе(ОкончаниеПериодаРасчета, Организация, ВыполняетсяЗакрытиеМесяца, АвтоматическоеТестирование);
```
</details>

## Текст_Данные_ПоНормативамРасшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для построения расшифровки базы распределения по нормативам.
//
// Возвращаемое значение:
//	Строка - текст запроса
//
Функция Текст_Данные_ПоНормативамРасшифровка() Экспорт
```

Пример вызова
```bsl
Результат = ПартионныйУчет.Текст_Данные_ПоНормативамРасшифровка() 
```
</details>

## Текст_Данные_ПоУказаннымТрудозатратамРасшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для построения расшифровки базы распределения по трудозатратам.
//
// Возвращаемое значение:
//	Строка - текст запроса
//
Функция Текст_Данные_ПоУказаннымТрудозатратамРасшифровка() Экспорт
```

Пример вызова
```bsl
Результат = ПартионныйУчет.Текст_Данные_ПоУказаннымТрудозатратамРасшифровка() 
```
</details>

## Текст_Данные_ПоУказаннымМатериаламРасшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для построения расшифровки базы распределения по материалам.
//
// Возвращаемое значение:
//	Строка - текст запроса
//
Функция Текст_Данные_ПоУказаннымМатериаламРасшифровка() Экспорт
```

Пример вызова
```bsl
Результат = ПартионныйУчет.Текст_Данные_ПоУказаннымМатериаламРасшифровка() 
```
</details>

## Текст_Данные_ПоПродукцииРасшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для построения расшифровки базы распределения по продукции.
//
// Возвращаемое значение:
//	Строка - текст запроса
//
Функция Текст_Данные_ПоПродукцииРасшифровка() Экспорт
```

Пример вызова
```bsl
Результат = ПартионныйУчет.Текст_Данные_ПоПродукцииРасшифровка() 
```
</details>

## Текст_Данные_ПоПлановойСтоимостиРасшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для построения расшифровки базы распределения по плановой стоимости.
//
// Возвращаемое значение:
//	Строка - текст запроса
//
Функция Текст_Данные_ПоПлановойСтоимостиРасшифровка() Экспорт
```

Пример вызова
```bsl
Результат = ПартионныйУчет.Текст_Данные_ПоПлановойСтоимостиРасшифровка() 
```
</details>

## Текст_Данные_ПоСтоимостиМатЗатратРасшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для построения расшифровки базы распределения по стоимости материальных затрат.
//
// Возвращаемое значение:
//	Строка - текст запроса
//
Функция Текст_Данные_ПоСтоимостиМатЗатратРасшифровка() Экспорт
```

Пример вызова
```bsl
Результат = ПартионныйУчет.Текст_Данные_ПоСтоимостиМатЗатратРасшифровка() 
```
</details>

## Текст_Данные_ПоСтоимостиЗатратНаОплатуТрудаРасшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для построения расшифровки базы распределения по стоимости затрат на оплату труда.
//
// Возвращаемое значение:
//	Строка - текст запроса
//
Функция Текст_Данные_ПоСтоимостиЗатратНаОплатуТрудаРасшифровка() Экспорт
```

Пример вызова
```bsl
Результат = ПартионныйУчет.Текст_Данные_ПоСтоимостиЗатратНаОплатуТрудаРасшифровка() 
```
</details>

## Текст_Данные_ПоНормативнойСтоимостиЗатратНаОплатуТрудаРасшифровка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для построения расшифровки базы распределения по нормативной стоимости затрат на оплату труда.
//
// Возвращаемое значение:
//	Строка - текст запроса
//
Функция Текст_Данные_ПоНормативнойСтоимостиЗатратНаОплатуТрудаРасшифровка() Экспорт
```

Пример вызова
```bsl
Результат = ПартионныйУчет.Текст_Данные_ПоНормативнойСтоимостиЗатратНаОплатуТрудаРасшифровка() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
