---
title: Партнеры и контрагенты
slug: erp-uh/партнеры-и-контрагенты
---


## ПолучитьКонтрагентаПартнераПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает контрагента по умолчанию
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры - партнер для которого необходимо получить контрагента.
//
// Возвращаемое значение:
//   СправочникСсылка.Контрагенты   - контрагент партнера по умолчанию.
//
Функция ПолучитьКонтрагентаПартнераПоУмолчанию(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ПолучитьКонтрагентаПартнераПоУмолчанию(Партнер) 
```
</details>

## ЗаполнитьКонтрагентаПартнераПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет контрагента по партнеру.
//
// Параметры:
//   Партнер                  - СправочникСсылка.Партнеры - Партнер, контрагента которого нужно заполнить.
//   Контрагент               - СправочникСсылка.Контрагенты -Контрагент которого нужно заполнить.
//   ПерезаполнятьКонтрагента - Булево -Признак необходимости перезаполнять контрагента.
//
Процедура ЗаполнитьКонтрагентаПартнераПоУмолчанию(Знач Партнер, Контрагент, ПерезаполнятьКонтрагента = Ложь) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаполнитьКонтрагентаПартнераПоУмолчанию(Партнер, Контрагент, ПерезаполнятьКонтрагента);
```
</details>

## КонтрагентДоступенДляВыбораДляПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, доступен ли контрагент для выбора в документы партнера.
//
// Параметры:
//   Партнер                  - СправочникСсылка.Партнеры - Партнер, контрагента которого нужно проверить.
//   Контрагент               - СправочникСсылка.Контрагенты -проверяемый контрагент.
//
// Возвращаемое значение:
//   Булево - Истина, если доступен, Ложь в обратном случае.
//
Функция КонтрагентДоступенДляВыбораДляПартнера(Партнер, Контрагент) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.КонтрагентДоступенДляВыбораДляПартнера(Партнер, Контрагент) 
```
</details>

## ЕстьПодчиненныеПартнеры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли партнер, родителем для других партнеров.
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры - партнер, для которого выполняется проверка.
//
// Возвращаемое значение:
//   Булево - Истина, если является, Ложь в обратном случае.
//
Функция ЕстьПодчиненныеПартнеры(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ЕстьПодчиненныеПартнеры(Партнер) 
```
</details>

## ОбновитьИндексПолнотекстовогоПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет индекс полнотекстового поиска
Процедура ОбновитьИндексПолнотекстовогоПоиска() Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ОбновитьИндексПолнотекстовогоПоиска() 
```
</details>

## ПолучитьВсехКонтрагентовПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает массив доступных для выбора партнером контрагентов.
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры - партнер для которого необходимо получить контрагентов.
//
// Возвращаемое значение:
//  Массив -  массив содержащий всех доступных для партнера контрагентов.
//
Функция ПолучитьВсехКонтрагентовПартнера(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ПолучитьВсехКонтрагентовПартнера(Партнер) 
```
</details>

## ПолучитьНижестоящихПартнеров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает массив нижестоящих партнеров.
//
// Параметры:
//  Партнер  -  СправочникСсылка.Партнеры - партнер, для которого необходимо получить контрагентов.
//
// Возвращаемое значение:
//  Массив -  содержит всех нижестоящих партнеров и самого партнера.
//
Функция ПолучитьНижестоящихПартнеров(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ПолучитьНижестоящихПартнеров(Партнер) 
```
</details>

## ЗаполнитьСписокПартнераСРодителями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список родителей партнера снизу вверх по иерархии.
//
// Параметры:
//  Партнер  - СправочникСсылка.Партнеры - партнер, для которого формируется список.
//  СписокПартнераСРодителями  - СписокЗначений - заполняемый список родителей партнера.
//
Процедура ЗаполнитьСписокПартнераСРодителями(Партнер,СписокПартнераСРодителями) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаполнитьСписокПартнераСРодителями(Партнер, СписокПартнераСРодителями) 
```
</details>

## ЗаполнитьСписокПартнераСоВсехИерархией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список всех родительских и дочерних элементов партнера в иерархии.
//
// Параметры:
//  Партнер                   - СправочникСсылка.Партнеры - партнер, для которого формируется список.
//  СписокПартнераСРодителями - СписокЗначений - список значений, который включает самого партнера и все родителей и дочерние элементы в иерархии
//
Процедура ЗаполнитьСписокПартнераСоВсехИерархией(Партнер, СписокПартнераСРодителями) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаполнитьСписокПартнераСоВсехИерархией(Партнер, СписокПартнераСРодителями) 
```
</details>

## ЭтоЮрЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По переданному значению перечисления ЮрФизЛицо определяет, является ли оно признаком ЮрЛица.
//
// Параметры:
//  ЮрФизЛицо  - ПеречислениеСсылка.ЮрФизЛицо - переданное значение.
//
// Возвращаемое значение:
//  Булево, Неопределено - Истина, если юридическое лицо, Ложь если нет, Неопределено, если значение ЮрФизЛицо не задано.
//
Функция ЭтоЮрЛицо(ЮрФизЛицо) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ЭтоЮрЛицо(ЮрФизЛицо) 
```
</details>

## УпрощенныйВводДоступен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет доступен ли для пользователя упрощенный ввод партнеров и контрагентов.
//
// Возвращаемое значение:
//   Булево   - Истина, если используется, и ложь в обратном случае.
//
Функция УпрощенныйВводДоступен() Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.УпрощенныйВводДоступен() 
```
</details>

## СтранаРегистрационныйНомерУжеИспользуетсяВИнформационнойБазе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, есть ли в базе контрагент с таким же набором РегистрационныйНомер/СтранаРегистрации.
//
// Параметры:
//  РегистрационныйНомер   - Строка - Регистрационный номер контрагента для поиска в базе.
//  СтранаРегистрации      - СправочникСсылка.СтраныМира - страна регистрации контрагента для поиска в базе.
//  ИсключаяСсылку         - СправочникСсылка.Контрагенты - контрагент, который исключается при поиске.
//
// Возвращаемое значение:
//   Булево   - Истина, если контрагент с таким регистрационным номером и страной регистрации уже существует в базе.
//
Функция СтранаРегистрационныйНомерУжеИспользуетсяВИнформационнойБазе(РегистрационныйНомер, СтранаРегистрации, ИсключаяСсылку = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.СтранаРегистрационныйНомерУжеИспользуетсяВИнформационнойБазе(РегистрационныйНомер, СтранаРегистрации, ИсключаяСсылку);
```
</details>

## УдалитьЭлементИзНастроекОтборовОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из настроек и пользовательских настроек элемент отбора.
//
// Параметры:
//  КомпоновщикНастроек   - КомпоновщикНастроекКомпоновкиДанных -
//  ПредставлениеЭлемента - Строка - представление элемента, который будет удален.
//
Процедура УдалитьЭлементИзНастроекОтборовОтчета(КомпоновщикНастроек, ПредставлениеЭлемента) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.УдалитьЭлементИзНастроекОтборовОтчета(КомпоновщикНастроек, ПредставлениеЭлемента) 
```
</details>

## ЗаполнитьКонтактноеЛицоПартнераПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет контактное лицо по партнеру
//
// Параметры:
// Партнер - СправочникСсылка.Партнеры - Партнер, контактное лицо которого нужно заполнить
// КонтактноеЛицо - СправочникСсылка.КонтактныеЛицаПартнеров -КонтактноеЛицо которое нужно заполнить.
//
Процедура ЗаполнитьКонтактноеЛицоПартнераПоУмолчанию(Знач Партнер, КонтактноеЛицо) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаполнитьКонтактноеЛицоПартнераПоУмолчанию(Партнер, КонтактноеЛицо) 
```
</details>

## ПолучитьКонтактноеЛицоПартнераКонтрагентаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает контактное лицо партнера контрагента по умолчанию.
//
// Параметры:
//  Контрагент  - СправочникСсылка.Контрагенты - контрагент, для партнера которого необходимо получить контактное лицо.
//
// Возвращаемое значение:
//   СправочникСсылка.КонтактныеЛицаПартнеров  - контактное лицо партнера контрагента по умолчанию.
//
Функция ПолучитьКонтактноеЛицоПартнераКонтрагентаПоУмолчанию(Контрагент) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ПолучитьКонтактноеЛицоПартнераКонтрагентаПоУмолчанию(Контрагент) 
```
</details>

## ПолучитьКонтактноеЛицоПартнераПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает контактное лицо партнера по умолчанию.
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры - партнер для которого необходимо получить контактное лицо.
//
// Возвращаемое значение:
//   СправочникСсылка.КонтактныеЛицаПартнеров - контактное лицо партнера по умолчанию.
//
Функция ПолучитьКонтактноеЛицоПартнераПоУмолчанию(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ПолучитьКонтактноеЛицоПартнераПоУмолчанию(Партнер) 
```
</details>

## УстановитьПодсказкуРасширенныйПоиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПодсказкуРасширенныйПоиск(ПояснениеРасширенныйПоиск) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.УстановитьПодсказкуРасширенныйПоиск(ПояснениеРасширенныйПоиск) 
```
</details>

## ОбособленныеПодразделенияКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для выбранного контрагента получает его обособленные подразделения.
//
// Параметры:
//  ГоловнойКонтрагент - СправочникСсылка.Контрагенты - контрагент, для которого нужно получить обособленные подразделения.
//
// Возвращаемое значение:
//   Массив - массив подчиненных контрагентов.
//
Функция ОбособленныеПодразделенияКонтрагента(ГоловнойКонтрагент) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ОбособленныеПодразделенияКонтрагента(ГоловнойКонтрагент) 
```
</details>

## УстановитьОформлениеГоловногоКонтрагентаВСписке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление поля ГоловнойКонтрагент для таблицы формы.
// Если контрагент является обособленным подразделением и головной не заполнен, то элемент выделяется.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма для которой устанавливается условное оформление, содержит:
//  * Элементы - ВсеЭлементыФормы - содержит:
//    ** ГоловнойКонтрагент - ПолеФормы -
//
Процедура УстановитьОформлениеГоловногоКонтрагентаВСписке(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.УстановитьОформлениеГоловногоКонтрагентаВСписке(Форма) 
```
</details>

## ЗначенияПолейКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует представление контактной информации во внутренний формат JSON.
//
// Для адресов, введенных в свободной форме, корректное преобразование не гарантируется.
//
//  Параметры:
//      Представление - Строка  - Строковое представление контактной информации, выводимое пользователю.
//      ЗначенияПолей - Строка - Контактная информация в виде JSON.
//      ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации, ПеречислениеСсылка.ТипыКонтактнойИнформации, Структура - Вид или тип контактной информации.
//
Процедура ЗначенияПолейКонтактнойИнформации(Знач Представление, ЗначенияПолей, Знач ВидКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗначенияПолейКонтактнойИнформации(Представление, ЗначенияПолей, ВидКонтактнойИнформации) 
```
</details>

## ВыполнитьЗаписьИерархияПартнеров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись в РС "Иерархия партнеров" для массива переданных партнеров или для всего справочника,
// если массив не передан в процедуру.
//
// Параметры:
//   МассивПартнеров - Массив из СправочникСсылка.Партнеры - содержит партнеров, для которых необходимо выполнить запись в РС "Иерархия партнеров".
//
Процедура ВыполнитьЗаписьИерархияПартнеров(МассивПартнеров = Неопределено) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ВыполнитьЗаписьИерархияПартнеров(МассивПартнеров);
```
</details>

## ОчиститьРегистрСведенийИерархияПартнеров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает РС "Иерархия партнеров"
Процедура ОчиститьРегистрСведенийИерархияПартнеров() Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ОчиститьРегистрСведенийИерархияПартнеров() 
```
</details>

## ЗаписатьИерархиюПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запись в РС "Иерархия партнеров" для переданного в процедуру партнера.
//
// Параметры:
//  Ссылка - СправочникСсылка.Партнеры - ссылка на партнера для которого необходимо выполнить запись в РС "Иерархия партнеров".
//
Процедура ЗаписатьИерархиюПартнера(Ссылка) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаписатьИерархиюПартнера(Ссылка) 
```
</details>

## ДоступностьПолнотекстовыйПоискСписокПартнеры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет доступность полнотекстового поиска в формах списка и выбора справочника партнеры.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, для которой определяется доступность, содержит:
//  * Элементы - ВсеЭлементыФормы - содержит:
//   ** Найти - ПолеФормы -
//
Процедура ДоступностьПолнотекстовыйПоискСписокПартнеры(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ДоступностьПолнотекстовыйПоискСписокПартнеры(Форма) 
```
</details>

## УстановитьОтборыДинамическийСписокПартнеры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет запрос динамического списка партнеров и устанавливает отбор по типу отношений.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, для которой устанавливаются отборы, содержит:
//   * Параметры - Структура - параметры переданные в форму при создании, содержат:
//     ** Отбор - Структура -
//     ** Б - Структура -
//
Процедура УстановитьОтборыДинамическийСписокПартнеры(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.УстановитьОтборыДинамическийСписокПартнеры(Форма) 
```
</details>

## ПредставлениеОтбораПоТипуПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеОтбораПоТипуПартнера(ЗначениеОтбора) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ПредставлениеОтбораПоТипуПартнера(ЗначениеОтбора));
```
</details>

## НайтиПартнеровПолнотекстовыйПоиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет полнотекстовый поиск партнеров в форме
//
// Параметры:
//  Форма   - ФормаКлиентскогоПриложения - форма, в которой выполняется поиск.
//
// Возвращаемое значение:
//   Строка   - Текст сообщения о ошибки, Неопределено, если поиск выполнен успешно.
//
Функция НайтиПартнеровПолнотекстовыйПоиск(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.НайтиПартнеровПолнотекстовыйПоиск(Форма) 
```
</details>

## ЗаголовокЭлементаПартнерВЗависимостиОтХозяйственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает заголовок элемента формы "Партнер" в зависимости от хозяйственной операции.
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - Форма, в которой находится элемент, для которого устанавливается заголовок.
//  ИмяЭлементаФормыПартнер             - Строка - Имя элемента формы, для которого устанавливается заголовок.
//  ХозяйственнаяОперация               - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция, в зависимости от которой
//                 устанавливается заголовок.
//
Процедура ЗаголовокЭлементаПартнерВЗависимостиОтХозяйственнойОперации(Форма, ИмяЭлементаФормыПартнер, ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаголовокЭлементаПартнерВЗависимостиОтХозяйственнойОперации(Форма, ИмяЭлементаФормыПартнер, ХозяйственнаяОперация) 
```
</details>

## ЗаголовокРеквизитаПартнерВЗависимостиОтХозяйственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает заголовок реквизита формы партнер в зависимости от хозяйственной операции.
//
// Параметры:
//  ХозяйственнаяОперация  - ПеречислениеСсылка.ХозяйственныеОперации - операция, которая влияет на текст заголовка.
//
// Возвращаемое значение:
//   Строка   - сформированный заголовок.
//
Функция ЗаголовокРеквизитаПартнерВЗависимостиОтХозяйственнойОперации( ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ЗаголовокРеквизитаПартнерВЗависимостиОтХозяйственнойОперации(ХозяйственнаяОперация) 
```
</details>

## ЗаголовокЭлементаПартнерВЗависимостиОтХарактераДоговораКредитаИДепозита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает заголовок элемента формы "Партнер" в зависимости от характера договора кредита или депозита.
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - Форма, в которой находится элемент, для которого устанавливается заголовок.
//  ИмяЭлементаФормыПартнер  - Строка - Имя элемента формы, для которого устанавливается заголовок.
//  ХарактерДоговора  - ПеречислениеСсылка.ХарактерыДоговоровФинансовыхИнструментов - характер договора, в зависимости от которого
//                 устанавливается заголовок.
//
Процедура ЗаголовокЭлементаПартнерВЗависимостиОтХарактераДоговораКредитаИДепозита(Форма, ИмяЭлементаФормыПартнер, ХарактерДоговора) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаголовокЭлементаПартнерВЗависимостиОтХарактераДоговораКредитаИДепозита(Форма, ИмяЭлементаФормыПартнер, ХарактерДоговора) 
```
</details>

## ЗаголовокЭлементаСчетКонтрагентаВЗависимостиОтХозяйственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает заголовок элемента формы "Счет контрагента" в зависимости от хозяйственной операции.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, в которой находится элемент, для которого устанавливается заголовок
//  ИмяЭлементаФормы - Строка - Имя элемента формы, для которого устанавливается заголовок
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция, в зависимости от которой
//                 устанавливается заголовок.
//
Процедура ЗаголовокЭлементаСчетКонтрагентаВЗависимостиОтХозяйственнойОперации(Форма, ИмяЭлементаФормы, ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаголовокЭлементаСчетКонтрагентаВЗависимостиОтХозяйственнойОперации(Форма, ИмяЭлементаФормы, ХозяйственнаяОперация) 
```
</details>

## ЗаголовокРеквизитаВЗависимостиОтФОИспользоватьПартнеровКакКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает заголовок реквизита в зависимости от значения ФО "Использовать партнеров как контрагентов".
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - Форма, в которой находится элемент, для которого устанавливается заголовок.
//  ИмяЭлемента  - Строка - Имя элемента формы, для которого устанавливается заголовок.
//  НовыйЗаголовок  - Строка - заголовок, который будет установлен, если значение ФО "Использовать партнеров как
//                             контрагентов" - ИСТИНА.
//  ИспользоватьПартнеровКакКонтрагентов  - Булево - значение ФО "Использовать партнеров как контрагентов".
//  НоваяРасширеннаяПодсказка  - Строка - подсказка.
//
Процедура ЗаголовокРеквизитаВЗависимостиОтФОИспользоватьПартнеровКакКонтрагентов(Форма, ИмяЭлемента, НовыйЗаголовок, ИспользоватьПартнеровКакКонтрагентов = Неопределено, НоваяРасширеннаяПодсказка = "") Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаголовокРеквизитаВЗависимостиОтФОИспользоватьПартнеровКакКонтрагентов(Форма, ИмяЭлемента, НовыйЗаголовок, ИспользоватьПартнеровКакКонтрагентов, НоваяРасширеннаяПодсказка);
```
</details>

## ЗаголовокПоляСКДВЗависимостиОтФОИспользоватьПартнеровКакКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает заголовок поля СКД в зависимости от значения ФО "Использовать партнеров как контрагентов".
//
// Параметры:
//  НаборДанных  - НаборДанныхЗапросМакетаКомпоновкиДанных - Набор, в котором находится элемент, для которого
//                                                           устанавливается заголовок.
//  ИмяЭлемента  - Строка - Имя элемента, для которого устанавливается заголовок.
//  НовыйЗаголовок  - Строка - заголовок, который будет установлен, если значение ФО "Использовать партнеров как
//                             контрагентов" - ИСТИНА.
//
Процедура ЗаголовокПоляСКДВЗависимостиОтФОИспользоватьПартнеровКакКонтрагентов(НаборДанных, ИмяЭлемента, НовыйЗаголовок) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаголовокПоляСКДВЗависимостиОтФОИспользоватьПартнеровКакКонтрагентов(НаборДанных, ИмяЭлемента, НовыйЗаголовок) 
```
</details>

## ЮрФизЛицоПоДаннымФормыПомощникаНового
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает признак ЮрФизлицо по данным формы помощника нового.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ЮрФизЛицо, Неопределено -
//
Функция ЮрФизЛицоПоДаннымФормыПомощникаНового(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ЮрФизЛицоПоДаннымФормыПомощникаНового(Форма) 
```
</details>

## ПартнерФормаЭлементаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриСозданииНаСервере форм элемента справочника Партнеры.
//
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, для которой выполняется обработчик, содержит:
//    * Объект - СправочникОбъект.Партнеры -
//  Отказ                - Булево - признак отказа от создания формы.
//  СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события.
//
Процедура ПартнерФормаЭлементаПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ПартнерФормаЭлементаПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ЗаполнитьДанныеКонтрагентаПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДанныеКонтрагентаПартнера(Приемник, Партнер, СИсторическимиДанными = Истина) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаполнитьДанныеКонтрагентаПартнера(Приемник, Партнер, СИсторическимиДанными);
```
</details>

## ЗаполнитьКонтактнуюИнформациюКонтрагентаПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет контактную информацию контрагента по контактной информации партнера.
//
// Параметры:
// 	КонтрагентОбъект             - СправочникОбъект.Контрагенты -
// 	Форма                        - ФормаКлиентскогоПриложения -
// 	КонтактнаяИнформацияПартнера - ТаблицаЗначений -
//
Процедура ЗаполнитьКонтактнуюИнформациюКонтрагентаПартнера(КонтрагентОбъект, Форма, КонтактнаяИнформацияПартнера) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаполнитьКонтактнуюИнформациюКонтрагентаПартнера(КонтрагентОбъект, Форма, КонтактнаяИнформацияПартнера) 
```
</details>

## ПартнерФормаЭлементаПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриЧтенииНаСервере форм элемента справочника "Партнеры"
//
// Параметры:
//  Форма          - ФормаКлиентскогоПриложения - форма, для которой выполняется обработчик.
//  ТекущийОбъект  - СправочникОбъект.Партнеры - Объект, который будет прочитан.
//
Процедура ПартнерФормаЭлементаПриЧтенииНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ПартнерФормаЭлементаПриЧтенииНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ПартнерФормаЭлементаУправлениеДоступностью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет доступностью элементов формы элемента справочника "Партнеры".
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, настраивается доступность элементов, содержит:
//    * Элементы - ВсеЭлементыФормы - содержит:
//      ** ДатаРождения                    - ПолеФормы -
//      ** Пол                             - ПолеФормы -
//      ** ВариантОтправкиЭлектронногоЧека - ПолеФормы - .
//
Процедура ПартнерФормаЭлементаУправлениеДоступностью(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ПартнерФормаЭлементаУправлениеДоступностью(Форма) 
```
</details>

## ПартнерФормаЭлементаПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПослеЗаписиНаСервере форм элемента справочника Партнеры
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения - форма, для которой выполняется обработчик.
//  ТекущийОбъект    - СправочникОбъект.Партнеры - Записанный объект.
//  ПараметрыЗаписи  - Структура - содержит параметры записи.
//
Процедура ПартнерФормаЭлементаПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ПартнерФормаЭлементаПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПартнерыФормаВыбораСпискаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПартнерыФормаВыбораСпискаПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ПартнерыФормаВыбораСпискаПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПартнерыФормаВыбораСпискаУсловноеОформление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление в форме списка партнеров.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма для которой устанавливается условное оформление, содержит:
//   * Элементы - ВсеЭлементыФормы - содержит:
//    ** СтрокаПоиска  - ПолеФормы -
//    ** БизнесРегионы           - ТаблицаФормы -
//    ** ГруппыДоступаПартнеров  - ТаблицаФормы -
//    ** Свойства                - ТаблицаФормы -
//    ** Менеджеры               - ТаблицаФормы -
//    ** Категории               - ТаблицаФормы -
//
Процедура ПартнерыФормаВыбораСпискаУсловноеОформление(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ПартнерыФормаВыбораСпискаУсловноеОформление(Форма) 
```
</details>

## СоздатьРеквизитыДляОтображенияКИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает в форме списка или выбора справочника "Партнеры" реквизиты для отображения КИ партнера в панели информации.
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма, для которой создаются реквизиты.
//
Процедура СоздатьРеквизитыДляОтображенияКИ(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.СоздатьРеквизитыДляОтображенияКИ(Форма) 
```
</details>

## ЗаполнитьДанныеКИПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет в форме списка или выбора справочника "Партнеры" реквизиты для отображения КИ партнера в панели информации.
//
// Параметры:
//  ДанныеПартнера - Структура                  - данные, по которым заполняется форма.
//  Форма          - ФормаКлиентскогоПриложения - форма, для которой заполняются реквизиты.
//
Процедура ЗаполнитьДанныеКИПартнера(ДанныеПартнера, Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаполнитьДанныеКИПартнера(ДанныеПартнера, Форма) 
```
</details>

## ИзменитьОтборСписок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет отбор в форме списка или выбора справочника "Партнеры" при изменении типа панели навигации или
// перепозиционировании в панели навигации.
//
// Параметры:
//  Форма                              - ФормаКлиентскогоПриложения - форма, для которой выполняется действие, содержит:
//   * ТипФильтра - Структура - содержит:
//     ** Наименование - Строка -
//   * Элементы  - ВсеЭлементыФормы - содержит:
//     ** ТолькоЗначимые - ПолеФормы -
//  ПереформированиеПанелиНавигации    - Булево           - признак того, что надо обновить панель навигации.
//  ТребуетсяЗаполнениеСтраницыСвойств - Булево           - признак того, что надо перезаполнить страницу свойств.
//
Процедура ИзменитьОтборСписок(Форма, ПереформированиеПанелиНавигации, ТребуетсяЗаполнениеСтраницыСвойств) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ИзменитьОтборСписок(Форма, ПереформированиеПанелиНавигации, ТребуетсяЗаполнениеСтраницыСвойств) 
```
</details>

## СоздатьГруппуОтбораЗначимые
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает группу отбора для отображения только значимых элементов в динамическом списке,
//  который выступает панелью навигации для списка партнеров.
// Параметры:
//  ОтборДляИзменения  - ОтборКомпоновкиДанных - отбор, для которого добавляется группа.
//
// Возвращаемое значение:
//   ЭлементОтбора   - созданная группа отбора.
//
Функция СоздатьГруппуОтбораЗначимые(ОтборДляИзменения) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.СоздатьГруппуОтбораЗначимые(ОтборДляИзменения) 
```
</details>

## СоздатьГруппуОтбораПоФильтру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает группу отбора в динамическом списке партнеров, в которой будет размещены элементы отбора
// согласно позиционированию в панели навигации.
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма, в которой находится динамический список партнеров.
//
// Возвращаемое значение:
//   ЭлементОтбора   - созданная группа отбора.
//
Функция СоздатьГруппуОтбораПоФильтру(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.СоздатьГруппуОтбораПоФильтру(Форма) 
```
</details>

## ПозиционированиеКорректно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, корректно ли выполнено позиционирование в динамическом списке.
//
// Параметры:
//  ИмяСписка - Строка - наименование элемента формы, для которого выполняется проверка.
//  Форма     - ФормаКлиентскогоПриложения - форма, в которой находится динамический список партнеров.
//
// Возвращаемое значение:
//   ЭлементОтбора   - созданная группа отбора.
//
Функция ПозиционированиеКорректно(ИмяСписка,Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ПозиционированиеКорректно(ИмяСписка, Форма) 
```
</details>

## ЗаполнитьПанельИнформацииПоДаннымПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет панель информации в форме списка по данным партнера.
//
// Параметры:
//  Форма     - ФормаКлиентскогоПриложения - форма, в которой находится динамический список партнеров.
//  Партнер   - СправочникСсылка.Партнеры - партнер, данными которого заполняется панель информации.
//
Процедура ЗаполнитьПанельИнформацииПоДаннымПартнера(Форма, Партнер) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ЗаполнитьПанельИнформацииПоДаннымПартнера(Форма, Партнер) 
```
</details>

## ПередЗагрузкойДанныхИзНастроекНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "Перед записью".
//
// Параметры:
//  Форма     - ФормаКлиентскогоПриложения - форма, в которой находится динамический список партнеров, содержит:
//   * Элементы - ВсеЭлементыФормы - содержит:
//     ** Свойства               - ТаблицаФормы -
//     ** БизнесРегионы          - ТаблицаФормы -
//     ** Категории              - ТаблицаФормы -
//     ** Менеджеры              - ТаблицаФормы -
//     ** ГруппыДоступаПартнеров - ТаблицаФормы -
//  Настройки - Соответствие - содержит:
//    * ТипФильтра             - Строка - тип устанавливаемого фильтра формы
//    * ТекущееЗначениеФильтра - Произвольный - текущее значение фильтра
//    * ИспользоватьФильтр     - Булево - признак того, что фильтр используется
//    * ИсторияВыбораСегментов - СписокЗначений из СправочникСсылка.СегментыПартнеров - история ранее выбираемых сегментов
//    * ТолькоЗначимые         - Булево - признак того, что пользователю будут предложены только те значения фильтра, которые гарантируют наличие элементов в динамическом списке
//    * Сегмент                - СправочникСсылка.СегментыПартнеров - сегмент, по которому установлен отбор
//    * ИспользоватьФильтр     - Булево - признак того, что фильтр используется
//    * ТолькоЗначимые         - Булево - признак установленного отбора по партнерам, у которых текущий пользователь является основным менеджером
//
Процедура ПередЗагрузкойДанныхИзНастроекНаСервере(Форма, Настройки) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ПередЗагрузкойДанныхИзНастроекНаСервере(Форма, Настройки) 
```
</details>

## ЕстьТекстПлатформенногоПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие в настройках компоновки динамического списка поиска строке .
//
// Параметры:
//  Список - ДинамическийСписок - список, в котором выполняется проверка.
//
// Возвращаемое значение:
//   Булево - .
//
Функция ЕстьТекстПлатформенногоПоиска(Список) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.ЕстьТекстПлатформенногоПоиска(Список) 
```
</details>

## ПриИзмененииРежимаИспользованияПолнотекстовогоПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет настройку элементов формы при изменении режима полнотекстового поиска .
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой выполняется переключение режима.
//  СохранятьНастройки - Булево - определяет, требуется ли сохранение текущих настроек при выполнении процедуры.
//
Процедура ПриИзмененииРежимаИспользованияПолнотекстовогоПоиска(Форма, СохранятьНастройки = Ложь) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ПриИзмененииРежимаИспользованияПолнотекстовогоПоиска(Форма, СохранятьНастройки);
```
</details>

## НайтиСтрокуВДанныхФормыДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит первую строку в заданной колонке, с заданным значением в коллекции ДанныеФормыДерево.
//
// Параметры:
//  ГдеИскать            - ДанныеФормыДерево - дерево, в котором выполняется поиск.
//  Значение             - Произвольный      - значение, которое ищем.
//  Колонка              - Строка            - имя колонки, в которой ищем.
//  ИскатьВПодчиненных   - Булево            - признак необходимости поиска в подчиненных строках.
//
// Возвращаемое значение:
//   Число - идентификатор найденной строки.
//
Функция НайтиСтрокуВДанныхФормыДерево(ГдеИскать, Значение, Колонка, ИскатьВПодчиненных) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.НайтиСтрокуВДанныхФормыДерево(ГдеИскать, Значение, Колонка, ИскатьВПодчиненных) 
```
</details>

## ПроверитьКорректностьЗаполненияКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения контрагента. Вызывается из процедуры "ОбработкаПроверкиЗаполнения".
//
// Параметры:
//  Объект     - СправочникОбъект.Контрагенты, ФормаКлиентскогоПриложения - объект, содержащий данные контрагента.
//  Контрагент - СправочникСсылка.Контрагенты - ссылка на проверяемого контрагент.
//  Отказ      - Булево - флаг отказа в процедуре проверки заполнения.
//
Процедура ПроверитьКорректностьЗаполненияКонтрагента(Объект, Контрагент, Отказ) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ПроверитьКорректностьЗаполненияКонтрагента(Объект, Контрагент, Отказ) 
```
</details>

## ВключитьХранениеИсторииИзменений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается для включения ведения истории для вида контактной информации.
// Параметры:
//  ИмяВидаКонтактнойИнформации - Строка - имя вида контактной информации.
//
Процедура ВключитьХранениеИсторииИзменений(ИмяВидаКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагенты.ВключитьХранениеИсторииИзменений(ИмяВидаКонтактнойИнформации) 
```
</details>

## РеквизитыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает значения реквизитов выбранного контрагента.
//
// Параметры:
//  Контрагент - СправочникСсылка.Контрагенты - Ссылка на контрагента.
//  ДатаСведений - Дата - дата получения сведений.
//
// Возвращаемое значение:
//  Структура - реквизиты выбранного контрагента:
//  	* Представление - Строка -
//  	* Наименование - Строка -
//  	* НаименованиеМеждународное - Строка -
//  	* ЮрФизЛицо - ПеречислениеСсылка.ЮрФизЛицо -
Функция РеквизитыКонтрагента(Контрагент, ДатаСведений = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагенты.РеквизитыКонтрагента(Контрагент, ДатаСведений);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
