---
title: Партнеры и контрагенты вызов сервера
slug: erp-uh/партнеры-и-контрагенты-вызов-сервера
---


## ОбновитьЗначениеРеквизитаУПеретаскиваемыхПартнеров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При перетаскивании в форме списка обновляет значение реквизита, на которое было выполнено перетаскивание для массива
// перетаскиваемых партнеров.
//
// Параметры:
//  Значение              - Произвольный - значение, на которое было выполнено перетаскивание.
//  МассивПартнеров       - Массив Из СправочникСсылка.Партнеры - массив перетаскиваемых партнеров.
//  КоличествоЗаписанных  - Число - количество записанных партнеров.
//
Процедура ОбновитьЗначениеРеквизитаУПеретаскиваемыхПартнеров(Значение, МассивПартнеров, КоличествоЗаписанных) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыВызовСервера.ОбновитьЗначениеРеквизитаУПеретаскиваемыхПартнеров(Значение, МассивПартнеров, КоличествоЗаписанных) 
```
</details>

## ОсновнойМенеджерБизнесРегиона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает основного менеджера бизнес-региона.
//
// Параметры:
//  БизнесРегион  - СправочникСсылка.БизнесРегионы - бизнес-регион, для которого получается основной менеджер.
//
// Возвращаемое значение:
//   СправочникСсылка.Пользователи   - основной менеджер бизнес-региона.
//
Функция ОсновнойМенеджерБизнесРегиона(БизнесРегион) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыВызовСервера.ОсновнойМенеджерБизнесРегиона(БизнесРегион) 
```
</details>

## ПолучитьАвторизовавшегосяПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает партнера - объекта авторизации внешнего пользователя
//
// Возвращаемое значение:
//  СправочникСсылка.Партнеры - партнер,если объект авторизации партнер, неопределено в обратном случае.
//
Функция ПолучитьАвторизовавшегосяПартнера() Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыВызовСервера.ПолучитьАвторизовавшегосяПартнера() 
```
</details>

## ПредставлениеСправочникаПартнеры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление справочника Партнеры в зависимости от настроек раздельного или совместного использования
// партнеров и контрагентов.
//
// Возвращаемое значение:
//   Строка   - сформированное представление справочника Партнеры.
//
Функция ПредставлениеСправочникаПартнеры() Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыВызовСервера.ПредставлениеСправочникаПартнеры() 
```
</details>

## ДанныеАвторизовавшегосяВнешнегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает структуру данных о авторизовавшемся внешнем пользователе
//
// Возвращаемое значение:
//  Структура - содержит:
//  * АвторизованПартнер - Булево - Истина, если авторизован Партнер, Ложь, если контактное лицо.
//  * Партнер            - СправочникСсылка.Партнеры - информация об авторизовавшемся партнере.
//  * КонтактноеЛицо     - СправочникСсылка.КонтактныеЛицаПартнеров - информация об авторизовавшемся контактном лице.
//
Функция ДанныеАвторизовавшегосяВнешнегоПользователя() Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыВызовСервера.ДанныеАвторизовавшегосяВнешнегоПользователя() 
```
</details>

## ДанныеКонтрагентаДляОткрытияФормыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для открытия формы
//
// Параметры:
// 	Параметры - Структура - структура параметров открытия формы
//
Процедура ДанныеКонтрагентаДляОткрытияФормыПартнера(Параметры) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыВызовСервера.ДанныеКонтрагентаДляОткрытияФормыПартнера(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
