---
title: Партнеры и контрагенты клиент
slug: erp-uh/партнеры-и-контрагенты-клиент
---


## ОбработатьВыборПартнераЧерезПомощникВводаНового
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет все доступные пользователю в списке партнеров и позиционируется на элементе справочника.
//
// Параметры:
//  Форма          -  ФормаКлиентскогоПриложения - форма, для которой выполняются действия, содержит:
//    * Элементы - ВсеЭлементыФормы - содержит:
//      ** Список - ТаблицаФормы - .
//  ПараметрВыбора - Структура - содержит данные выбора.
//  ПустыеСсылки   - Структура - содержит кэшированные значения, получаемые на сервере и необходимые на клиенте.
//
Процедура ОбработатьВыборПартнераЧерезПомощникВводаНового(Форма,ПараметрВыбора) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ОбработатьВыборПартнераЧерезПомощникВводаНового(Форма, ПараметрВыбора) 
```
</details>

## СокрЮрНаименованиеПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирует наименование партнера/контрагента на основе полного (юридического).
//
// Параметры:
//  Наименование  - Строка - рабочее наименование партнера/контрагента.
//  НаименованиеПолное  - Строка - полное (юридическое) наименование.
//
Процедура СокрЮрНаименованиеПриИзменении(Наименование, НаименованиеПолное) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.СокрЮрНаименованиеПриИзменении(Наименование, НаименованиеПолное) 
```
</details>

## ЗаполнитьГоловногоКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает диалог выбора головного контрагента для обособленного подразделения.
// Сначала будет произведена попытка найти по ИНН и предложен диалог выбора из найденных.
// Если пользователь откажется от выбора, то будет вызван диалог создания головного контрагента.
//
// Параметры:
//  Форма  -  ФормаКлиентскогоПриложения - форма, из которой вызывается заполнения.
//  ПараметрыЗаполнения  -Структура - структура содержащая реквизиты подчиненного контрагента.
//  СохранитьИзменения  - Булево - необходимость установки подобранного головного контрагента в подчиненного.
//  ОповещениеЗавершения  - ОписаниеОповещения - дополнительная обработка в форме вызова.
//
Процедура ЗаполнитьГоловногоКонтрагента(Форма, ПараметрыЗаполнения, СохранитьИзменения, ОповещениеЗавершения = Неопределено) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ЗаполнитьГоловногоКонтрагента(Форма, ПараметрыЗаполнения, СохранитьИзменения, ОповещениеЗавершения);
```
</details>

## ВыборГоловногоКонтрагентаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение модального выбора головного контрагента
// если контрагент не выбран, то запускается его создание, в противном случае - переходим в процедуру завершения выбора.
//
// Параметры:
//  ВыбранноеЗначение  - СправочникСсылка.Контрагенты - значение выбранного головного контрагента
//  ДополнительныеПараметры  -Структура - структура со свойствами:
//   * ПараметрыЗаполнения    - Структура - данные заполнения для создания головного контрагента
//   * Форма                  - ФормаКлиентскогоПриложения - форма из которой запущена процедура
//   * СохранитьИзменения     - Булево - записать выбранного головного контрагента в обособленное подразделение
//   * ОповещениеЗавершения   - ОписаниеОповещения - будет вызвана при завершении процедуры.
//
Процедура ВыборГоловногоКонтрагентаЗавершение(ВыбранноеЗначение, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ВыборГоловногоКонтрагентаЗавершение(ВыбранноеЗначение, ДополнительныеПараметры) 
```
</details>

## СозданиеГоловногоКонтрагентаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение модального создания головного контрагента
// Если головной контрагент создан, то он устанавливается в реквизит подчиненного, если это указано в параметрах.
//
// Параметры:
//  ВыбранноеЗначение        - СправочникСсылка.Контрагенты - значение выбранного головного контрагента
//  ДополнительныеПараметры  - Структура - структура со свойствами:
//   * ПараметрыЗаполнения    - Структура - данные заполнения для создания головного контрагента
//   * Форма                  - ФормаКлиентскогоПриложения - форма из которой запущена процедура
//   * СохранитьИзменения     - Булево - записать созданного головного контрагента в обособленное подразделение
//   * ОповещениеЗавершения   - ОписаниеОповещения - будет вызвана при завершении процедуры.
//
Процедура СозданиеГоловногоКонтрагентаЗавершение(ВыбранноеЗначение, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.СозданиеГоловногоКонтрагентаЗавершение(ВыбранноеЗначение, ДополнительныеПараметры) 
```
</details>

## ВывестиСообщениеПользователю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВывестиСообщениеПользователю(ТекстСообщения, ИспользуютсяТолькоПартнеры, Поле="", ОчищатьСообщения = Ложь) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ВывестиСообщениеПользователю(ТекстСообщения, ИспользуютсяТолькоПартнеры, Поле, ОчищатьСообщения);
```
</details>

## ФильтрыПанельНавигацииПеретаскивание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "Перетаскивание" панели навигации различных форм списка партнера.
// Параметры:
//  КоличествоЗаписанных     - Число                   - количество изменяемых элементов справочника "Партнеры".
//  Элемент                  - ПолеФормы               - элемент, в котором происходит событие.
//  ПараметрыПеретаскивания  - ПараметрыПеретаскивания - содержит параметры перетаскивания.
//  СтандартнаяОбработка     - Булево                  - признак выполнения стандартной обработки события.
//  Строка                   - СтрокаТаблицыЗначений   - строка , над которой находится курсор.
//  Поле                     - ПолеФормы               - элемент управляемой формы, с которым связана данная колонка таблицы.
//
Процедура ФильтрыПанельНавигацииПеретаскивание(КоличествоЗаписанных, Элемент, ПараметрыПеретаскивания, СтандартнаяОбработка, Строка, Поле) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ФильтрыПанельНавигацииПеретаскивание(КоличествоЗаписанных, Элемент, ПараметрыПеретаскивания, СтандартнаяОбработка, Строка, Поле) 
```
</details>

## ФильтрыПанельНавигацииПроверкаПеретаскивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "Проверка перетаскивания" панели навигации различных форм списка партнера.
// Параметры:
//  Форма                    - ФормаКлиентскогоПриложения - форма, в которой происходит событие.
//  Элемент                  - ПолеФормы                  - элемент, в котором происходит событие.
//  ПараметрыПеретаскивания  - ПараметрыПеретаскивания    - содержит параметры перетаскивания.
//  СтандартнаяОбработка     - Булево                     - признак выполнения стандартной обработки события.
//  Строка                   - СтрокаТаблицыЗначений      - строка , над которой находится курсор.
//  Поле                     - ПолеФормы                  - элемент управляемой формы, с которым связана данная колонка таблицы.
//
Процедура ФильтрыПанельНавигацииПроверкаПеретаскивания(Форма, Элемент, ПараметрыПеретаскивания, СтандартнаяОбработка, Строка, Поле) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ФильтрыПанельНавигацииПроверкаПеретаскивания(Форма, Элемент, ПараметрыПеретаскивания, СтандартнаяОбработка, Строка, Поле) 
```
</details>

## ФильтрыПанельНавигацииТипФильтраПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "При изменении" панели навигации различных форм списка партнера.
// Параметры:
//  Форма                                - ФормаКлиентскогоПриложения - форма, в которой происходит событие.
//  Элемент                              - ПолеФормы                  - элемент, в котором происходит событие.
//  ТребуетсяЗаполнениеСтраницыСвойств   - Булево                     - признак того, что требуется перезаполнение страницы свойств.
//
Процедура ФильтрыПанельНавигацииТипФильтраПриИзменении(Форма, Элемент, ТребуетсяЗаполнениеСтраницыСвойств) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ФильтрыПанельНавигацииТипФильтраПриИзменении(Форма, Элемент, ТребуетсяЗаполнениеСтраницыСвойств) 
```
</details>

## ФормаСпискаВыбораПриЗакрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "При закрытии" различных форм списка партнера.
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения          - форма, в которой происходит событие.
//
Процедура ФормаСпискаВыбораПриЗакрытии(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ФормаСпискаВыбораПриЗакрытии(Форма) 
```
</details>

## ПанельНавигацииУправлениеДоступностью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет доступностью форм списка справочника "Партнеры".
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой выполняется команда, содержит:
//   * Элементы - ВсеЭлементыФормы - содержит:
//     ** ТипФильтра             - ПолеФормы -
//     ** БизнесРегионы          - ТаблицаФормы -
//     ** ГруппыДоступаПартнеров - ТаблицаФормы -
//     ** ТолькоЗначимые         - ПолеФормы -
//     ** Менеджеры              - ТаблицаФормы -
//     ** ТолькоМои              - ПолеФормы -
//
Процедура ПанельНавигацииУправлениеДоступностью(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПанельНавигацииУправлениеДоступностью(Форма) 
```
</details>

## ЗаполнитьЭлементКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет элемент формы значением контактной информации в информационной панели формы списка справочника "Партнеры".
// Параметры:
//  Форма                    - ФормаКлиентскогоПриложения - форма, в которой выполняется заполнение.
//  ВидКонтактнойИнформации  - СправочникСсылка.ВидыКонтактнойИнформации - вид КИ, значение которого устанавливается.
//  СтруктураДанных          - Структура - структура, содержащая данный КИ.
//
Процедура ЗаполнитьЭлементКонтактнойИнформации(Форма, ВидКонтактнойИнформации, СтруктураДанных) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ЗаполнитьЭлементКонтактнойИнформации(Форма, ВидКонтактнойИнформации, СтруктураДанных) 
```
</details>

## ДанныеСтрокиКонтактнойИнформацииПоВиду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные контактной информации партнера, хранящиеся в таблице формы.
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма, в которой находится таблица с данными.
//  ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации - вид контактной информации, для которого
//                                                                        получаются данные.
//
// Возвращаемое значение:
//   ДанныеФормыЭлементКоллекции   - строка с данными контактной информации.
//
Функция ДанныеСтрокиКонтактнойИнформацииПоВиду(Форма, ВидКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыКлиент.ДанныеСтрокиКонтактнойИнформацииПоВиду(Форма, ВидКонтактнойИнформации) 
```
</details>

## ЗаполнитьСтрокуОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтрокуОснования(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ЗаполнитьСтрокуОснования(Форма) 
```
</details>

## ПозиционированиеКорректно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, корректно ли выполнено позиционирование в динамическом списке.
//
// Параметры:
//  ИмяСписка - Строка - наименование элемента формы, для которого выполняется проверка.
//  Форма     - ФормаКлиентскогоПриложения - форма, в которой находится динамический список партнеров.
//
// Возвращаемое значение:
//   ЭлементОтбора   - созданная группа отбора.
//
Функция ПозиционированиеКорректно(ИмяСписка, Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыКлиент.ПозиционированиеКорректно(ИмяСписка, Форма) 
```
</details>

## КонтрагентыПартнераНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из различных форм списка справочника "Партнеры" при нажатии на гиперссылку "Контрагенты" в информационной панели.
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой выполняется команда, содержит:
//    * Элементы - ВсеЭлементыФормы - содержит:
//      ** Список - ТаблицаФормы - .
//
Процедура КонтрагентыПартнераНажатие(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.КонтрагентыПартнераНажатие(Форма) 
```
</details>

## КонтактныеЛицаПартнераНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из различных форм списка справочника "Партнеры" при нажатии на гиперссылку "Контактные лица" в
// информационной панели.
//  Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой выполняется команда.
//
Процедура КонтактныеЛицаПартнераНажатие(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.КонтактныеЛицаПартнераНажатие(Форма) 
```
</details>

## ВосстановитьОтображениеСпискаПослеПолнотекстовогоПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - содержит:
//   * Элементы - ВсеЭлементыФормы - содержит:
//     ** Список - ТаблицаФормы - .
//
Процедура ВосстановитьОтображениеСпискаПослеПолнотекстовогоПоиска(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ВосстановитьОтображениеСпискаПослеПолнотекстовогоПоиска(Форма) 
```
</details>

## ПартнерыФормаСпискаВыбораОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "Обработка оповещения" различных форм списка партнера.
// Параметры:
//  Форма                               - ФормаКлиентскогоПриложения  - форма, в которой происходит событие.
//  ИмяСобытия                          - Строка            - имя обрабатываемого события.
//  Параметр                            - Произвольный      - параметр оповещения.
//  Источник                            - Произвольный      - источник оповещения.
//  ТребуетсяОбновлениеПанелиИнформации - Булево            - определяет, нужно ли обновлять панель информации по
//                                                            текущему партнеру.
//
Процедура ПартнерыФормаСпискаВыбораОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник, ТребуетсяОбновлениеПанелиИнформации) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерыФормаСпискаВыбораОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник, ТребуетсяОбновлениеПанелиИнформации) 
```
</details>

## ПартнерыФормаСпискаВыбораОснованиеВыбораНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из различных форм списка справочника "Партнеры" при нажатии на гиперссылку основания.
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой выполняется команда.
//  Элемент              - ЭлементыФормы    - элемент, в котором выполняется действие.
//  СтандартнаяОбработка - Булево           - признак выполнения стандартной обработки события.
//
Процедура ПартнерыФормаСпискаВыбораОснованиеВыбораНажатие(Форма, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерыФормаСпискаВыбораОснованиеВыбораНажатие(Форма, Элемент, СтандартнаяОбработка) 
```
</details>

## ПартнерыФормаСпискаВыбораСегментПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из различных форм списка справочника "Партнеры" при изменении отбора по сегменту партнеров.
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой выполняется команда.
//  Элемент              - КомандаФормы     - выполненная команда формы.
//
Процедура ПартнерыФормаСпискаВыбораСегментПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерыФормаСпискаВыбораСегментПриИзменении(Форма, Элемент) 
```
</details>

## ПартнерыФормаСпискаВыбораСписокПередНачаломДобавления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "Перед началом добавления" различных форм списка партнера.
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой происходит событие.
//  Элемент              - ПолеФормы                  - элементы формы, в котором происходит событие.
//  Отказ                - Булево                     - признак отказа от выполнения копирования.
//  Копирование          - Булево                     - признак копирования элемента.
//  Родитель             - СправочникСсылка.Партнеры  - справочник - родитель партнера.
//  Группа               - Булево                     - признак того, что является группой.
//  Основание            - Произвольный               - основание создаваемого элемента.
//
Процедура ПартнерыФормаСпискаВыбораСписокПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа, Основание = Неопределено) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерыФормаСпискаВыбораСписокПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа, Основание);
```
</details>

## ПартнерыФормаСпискаВыбораСоздатьНового
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из различных форм списка справочника "Партнеры" при выполнении команды по созданию нового партнера.
// Параметры:
//  Форма   - ФормаКлиентскогоПриложения - форма, в которой выполняется команда.
//  Команда - КомандаФормы     - выполненная команда формы.
//
Процедура ПартнерыФормаСпискаВыбораСоздатьНового(Форма, Команда) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерыФормаСпискаВыбораСоздатьНового(Форма, Команда) 
```
</details>

## ПартнерФормаЭлементаКаналПервичногоИнтересаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "При изменении" элемента различных форм партнера "Канал первичного интереса".
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой происходит событие.
//  Элемент              - ПолеФормы                  - элементы формы, в котором происходит событие.
//
Процедура ПартнерФормаЭлементаКаналПервичногоИнтересаПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерФормаЭлементаКаналПервичногоИнтересаПриИзменении(Форма, Элемент) 
```
</details>

## ПартнерФормаЭлементаНаименованиеПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "При изменении" элемента различных форм партнера "Наименование".
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой происходит событие, содержит:
//   * Объект - СправочникОбъект.Партнеры - .
//  Элемент              - ПолеФормы     - элементы формы, в котором происходит событие.
//
Процедура ПартнерФормаЭлементаНаименованиеПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерФормаЭлементаНаименованиеПриИзменении(Форма, Элемент) 
```
</details>

## ПартнерФормаЭлементаФлагПризнакПартнераПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "При изменении" элементов различных форм партнера "Тип отношений".
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой происходит событие, содержит:
//    * Элементы - ВсеЭлементыФормы - содержит:
//      ** ОбслуживаетсяТорговымиПредставителями - ПолеФормы - .
//      ** Перевозчик                            - ПолеФормы - .
//  Элемент              - ПолеФормы - элементы формы, в котором происходит событие.
//
Процедура ПартнерФормаЭлементаФлагПризнакПартнераПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерФормаЭлементаФлагПризнакПартнераПриИзменении(Форма, Элемент) 
```
</details>

## ПартнерФормаЭлементаКомментарииНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "Начало выбора" элемента различных форм партнера "Комментарий".
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой происходит событие.
//  Элемент              - ПолеФормы     - элемент формы, в котором происходит событие.
//  ДанныеВыбора         - СписокЗначений   - может содержать подготовленные данные для выбора.
//  СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//
Процедура ПартнерФормаЭлементаКомментарииНачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерФормаЭлементаКомментарииНачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка) 
```
</details>

## ПартнерФормаЭлементаБизнесРегионПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "При изменении" элемента различных форм партнера "Бизнес-регион".
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой происходит событие.
//  Элемент              - ПолеФормы                  - элементы формы, в котором происходит событие.
//
Процедура ПартнерФормаЭлементаБизнесРегионПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерФормаЭлементаБизнесРегионПриИзменении(Форма, Элемент) 
```
</details>

## ПартнерФормаЭлементаБизнесРегионПриИзмененииЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения выбора бизнес-региона. Также устанавливает основного менеджера бизнес-региона.
// Параметры:
//  РезультатВопроса        - КодВозвратаДиалога - ответ пользователя на вопрос о необходимости установки основного менеджера.
//  ДополнительныеПараметры - Структура          -
//                             * ОсновнойМенеджерБизнесРегиона - СправочникСсылка.Пользователи - менеджер бизнес-региона.
//                             * Форма                         - форма, из которой вызывалась форма выбора.
//
Процедура ПартнерФормаЭлементаБизнесРегионПриИзмененииЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ПартнерФормаЭлементаБизнесРегионПриИзмененииЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ЗаполнитьИсториюАдресов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из различных форм элемента справочника Контрагенты при редактировании ИНН.
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой выполняется команда, содержит:
//    * Объект - СправочникОбъект.Контрагенты -
//    * КонтактнаяИнформацияОписаниеДополнительныхРеквизитов - ТаблицаЗначений - содержит:
//    ** Вид - СправочникСсылка.ВидыКонтактнойИнформации -
//  РеквизитыКомпании    - Структура        - реквизиты контрагента.
//
Процедура ЗаполнитьИсториюАдресов(Форма, РеквизитыКомпании) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ЗаполнитьИсториюАдресов(Форма, РеквизитыКомпании) 
```
</details>

## ЗаполнитьИсториюАдресовВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из различных форм элемента справочника Контрагенты при редактировании ИНН.
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой выполняется команда, содержит:
//   * ИсторияКонтактнойИнформации - ТаблицаЗначений - содержит:
//    ** Вид - СправочникСсылка.ВидыКонтактнойИнформации -
//  РеквизитыКомпании    - Структура        - реквизиты контрагента.
//
Процедура ЗаполнитьИсториюАдресовВФорме(Форма, РеквизитыКомпании) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ЗаполнитьИсториюАдресовВФорме(Форма, РеквизитыКомпании) 
```
</details>

## ЗаполнитьИсториюНаименований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из различных форм элемента справочника Контрагенты при редактировании ИНН.
// Параметры:
//  Объект               - ДанныеФормыСтруктура - реквизиты формы.
//  РеквизитыКомпании    - Структура            - реквизиты контрагента.
//
Процедура ЗаполнитьИсториюНаименований(Объект, РеквизитыКомпании) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыКлиент.ЗаполнитьИсториюНаименований(Объект, РеквизитыКомпании) 
```
</details>

## ПолучитьИсториюРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИсториюРеквизита(РеквизитыКомпании, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыКлиент.ПолучитьИсториюРеквизита(РеквизитыКомпании, ИмяРеквизита) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
