---
title: Партнеры и контрагенты локализация
slug: erp-uh/партнеры-и-контрагенты-локализация
---


## ДобавитьКомандыОтчетов_Контрагенты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список команд отчетов.
//
// Параметры:
//   КомандыОтчетов - См. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.КомандыОтчетов
//   Параметры - См. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.Параметры
//
Процедура ДобавитьКомандыОтчетов_Контрагенты(КомандыОтчетов, Параметры) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализация.ДобавитьКомандыОтчетов_Контрагенты(КомандыОтчетов, Параметры) 
```
</details>

## ДобавитьКомандыОтчетов_Партнеры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список команд отчетов.
//
// Параметры:
//   КомандыОтчетов - См. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.КомандыОтчетов
//   Параметры - См. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.Параметры
//
Процедура ДобавитьКомандыОтчетов_Партнеры(КомандыОтчетов, Параметры) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализация.ДобавитьКомандыОтчетов_Партнеры(КомандыОтчетов, Параметры) 
```
</details>

## ВыборГоловногоКонтрагентаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриСозданииНаСервере форм элемента справочника Партнеры.
//
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, для которой выполняется обработчик.
//  Отказ                - Булево - признак отказа от создания формы.
//  СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события.
//
Процедура ВыборГоловногоКонтрагентаПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализация.ВыборГоловногоКонтрагентаПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ВозможныеГоловныеКонтрагенты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//++ Локализация

// Определяет возможных головных контрагентов по ИНН.
//
// Параметры:
//  ИНН  - Строка - ИНН, по которому необходимо получить список контрагентов.
//  Контрагент - СправочникСсылка.Контрагенты - ссылка на контрагента, исключаемого из поиска.
//
// Возвращаемое значение:
//  ТаблицаЗначений   - таблица контрагентов, с колонками:
//   * Ссылка         - СправочникСсылка.Контрагенты - возможный головной контрагент.
//   * Представление  - Строка - представление возможного головного контрагента.
//   * КПП            - Строка - КПП возможного головного контрагента.
//
Функция ВозможныеГоловныеКонтрагенты(ИНН, Контрагент = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыЛокализация.ВозможныеГоловныеКонтрагенты(ИНН, Контрагент);
```
</details>

## ИзменитьИННПодчиненныхКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет ИНН в подчиненных головному контрагентах, если они не совпадают
//
// Параметры:
//  ГоловнойКонтрагент - СправочникСсылка.Контрагенты - контрагент, обособленные подразделения которого проверяются.
//  ИНН - Строка - ИНН головного контрагента.
//
Процедура ИзменитьИННПодчиненныхКонтрагентов(ГоловнойКонтрагент, ИНН) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализация.ИзменитьИННПодчиненныхКонтрагентов(ГоловнойКонтрагент, ИНН) 
```
</details>

## СписокВозможныхГоловныхКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список значений возможных головных контрагентов
//
// Параметры:
// 	ИНН - Строка - строка с ИНН
// Возвращаемое значение:
// 	СписокЗначений - список головных контрагентов
//
Функция СписокВозможныхГоловныхКонтрагентов(ИНН) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыЛокализация.СписокВозможныхГоловныхКонтрагентов(ИНН) 
```
</details>

## ВыполнитьПоискНепривязанныхОбособленныхПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//-- Локализация

// Выполняет поиск непривязанных обособленных подразделений
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма обработчика
//
Процедура ВыполнитьПоискНепривязанныхОбособленныхПодразделений(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализация.ВыполнитьПоискНепривязанныхОбособленныхПодразделений(Форма) 
```
</details>

## ПроверитьКорректностьЗаполненияКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения контрагента. Вызывается из процедуры "ОбработкаПроверкиЗаполнения".
//
// Параметры:
//  Объект     - СправочникОбъект.Контрагенты, ФормаКлиентскогоПриложения - объект, содержащий данные контрагента.
//  Контрагент - СправочникСсылка.Контрагенты - ссылка на проверяемого контрагент.
//  Отказ      - Булево - флаг отказа в процедуре проверки заполнения.
//
Процедура ПроверитьКорректностьЗаполненияКонтрагента(Объект, Контрагент, Отказ) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализация.ПроверитьКорректностьЗаполненияКонтрагента(Объект, Контрагент, Отказ) 
```
</details>

## ДополнитьРеквизитыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет значения реквизитов выбранного контрагента.
//
// Параметры:
//  Контрагент - СправочникСсылка.Контрагенты - Ссылка на контрагента.
//  РеквизитыКонтрагента - Структура - реквизиты выбранного контрагента.
//  ДатаСведений - Дата - дата получения сведений.
//
Процедура ДополнитьРеквизитыКонтрагента(Контрагент, РеквизитыКонтрагента, ДатаСведений = Неопределено) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализация.ДополнитьРеквизитыКонтрагента(Контрагент, РеквизитыКонтрагента, ДатаСведений);
```
</details>

## КППНаДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Возвращает КПП на дату.
//
// Параметры:
//  Контрагент   - СправочникСсылка.Контрагенты - Ссылка на контрагента.
//  ДатаСведений - Дата - дата получения сведений.
//
// Возвращаемое значение:
//  Строка - КПП контрагента на дату
//
Функция КППНаДату(Контрагент, ДатаСведений) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыЛокализация.КППНаДату(Контрагент, ДатаСведений) 
```
</details>

## ИННКППУжеИспользуетсяВИнформационнойБазе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, есть ли в базе контрагент с таким же набором ИНН/КПП.
//
// Параметры:
//  ИНН             - Строка - ИНН контрагента.
//  КПП             - Строка - КПП контрагента.
//  ИсключаяСсылку  - СправочникСсылка.Контрагенты - контрагент, который исключается при поиске.
//  ЮрФизЛицо       - ПеречислениеСсылка.ЮрФизЛицо - значение ЮрФизЛицо текущего контрагента
//
// Возвращаемое значение:
//   Булево   - Истина, если упрощенный ввод доступен, и ложь в обратном случае.
//
Функция ИННКППУжеИспользуетсяВИнформационнойБазе(ИНН, КПП, ИсключаяСсылку = Неопределено, ЮрФизЛицо = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыЛокализация.ИННКППУжеИспользуетсяВИнформационнойБазе(ИНН, КПП, ИсключаяСсылку, ЮрФизЛицо);
```
</details>

## ПараметрыПоискаИспользованияИННКПП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры поиска использования ИННКПП.
//
// Возвращаемое значение:
//  Структура -  Параметры поиска использования ИННКПП:
// * ИНН - Строка -
// * КПП - Строка -
// * ТекущийКонтрагент - СправочникСсылка.Контрагенты -
// * ЮрФизЛицо - ПеречислениеСсылка.ЮрФизЛицо -
//
Функция ПараметрыПоискаИспользованияИННКПП() Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыЛокализация.ПараметрыПоискаИспользованияИННКПП() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
