---
title: Партнеры и контрагенты локализация вызов сервера
slug: erp-uh/партнеры-и-контрагенты-локализация-вызов-сервера
---


## ИзменитьГоловногоКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает подчиненному контрагенту его головного контрагенту
//
// Параметры:
//  Контрагент          - СправочникСсылка.Контрагенты - контрагент, которому задается головной
//  ГоловнойКонтрагент  - СправочникСсылка.Контрагенты - устанавливаемое значение головного контрагента
//  ОписаниеОшибки      - Строка - параметр, в который записываются возникшие ошибки.
//
Процедура ИзменитьГоловногоКонтрагента(Контрагент, ГоловнойКонтрагент, ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализацияВызовСервера.ИзменитьГоловногоКонтрагента(Контрагент, ГоловнойКонтрагент, ОписаниеОшибки) 
```
</details>

## КоличествоВозможныхГоловныхКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет возможных головных контрагентов по ИНН.
//
// Параметры:
//  ИНН        - Строка - ИНН, по которому необходимо получить список контрагентов.
//  Контрагент - СправочникСсылка.Контрагенты - ссылка на контрагента, исключаемого из поиска.
//
// Возвращаемое значение:
//  Число - количество контрагентов
//
Функция КоличествоВозможныхГоловныхКонтрагентов(ИНН, Контрагент = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыЛокализацияВызовСервера.КоличествоВозможныхГоловныхКонтрагентов(ИНН, Контрагент);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
