---
title: Партнеры и контрагенты локализация клиент
slug: erp-uh/партнеры-и-контрагенты-локализация-клиент
---


## НеобходимостьВопросаПередЗакрытием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость задания вопроса перед закрытием формы
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - проверяемая форма
// Возвращаемое значение:
// 	Булево - Признак необходимости вопроса
//
Функция НеобходимостьВопросаПередЗакрытием(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыЛокализацияКлиент.НеобходимостьВопросаПередЗакрытием(Форма) 
```
</details>

## СведенияГоловногоКонтрагентаЗаполненыНеправильно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет сведения головного контрагента
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма контрагента
// 	Отказ - Булево - признак отказа
Процедура СведенияГоловногоКонтрагентаЗаполненыНеправильно(Форма, Отказ) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализацияКлиент.СведенияГоловногоКонтрагентаЗаполненыНеправильно(Форма, Отказ) 
```
</details>

## ПервичнаяИнформацияЗаполненаНеправильно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет первичную информацию на корректное заполнение
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма обработчика
// 	Отказ - Булево - признак отказа обработки
//
Процедура ПервичнаяИнформацияЗаполненаНеправильно(Форма, Отказ) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализацияКлиент.ПервичнаяИнформацияЗаполненаНеправильно(Форма, Отказ) 
```
</details>

## НеобходимПоискНепривязанныхОбособленныхПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет необходимость
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения -
// Возвращаемое значение:
// 	Булево - необходим поиск
//
Функция НеобходимПоискНепривязанныхОбособленныхПодразделений(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыЛокализацияКлиент.НеобходимПоискНепривязанныхОбособленныхПодразделений(Форма) 
```
</details>

## ИнициироватьСтруктураДанныхДляСравнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Инициирует структуру данных контрагента для сравнения с данными полученных с сервиса.
//
// Возвращаемое значение:
//   Булево   - инициированная значениями по умолчанию структура.
//
Функция ИнициироватьСтруктураДанныхДляСравнения() Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыЛокализацияКлиент.ИнициироватьСтруктураДанныхДляСравнения() 
```
</details>

## РезультатСравненияПолученныхДанныхКонтрагентаСИмеющимися
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает имеющиеся значения реквизитов контрагента с данными, полученными с сервиса.
//
// Параметры:
//  РеквизитыКонтрагента  - Структура - содержит данные, полученные с сервиса.
//  ДанныеОбъекта         - Структура - содержит данные контрагента.
//  ЗаполнятьИНН          - Булево    - содержит признак необходимости заполнения ИНН контрагента.
//
// Возвращаемое значение:
//   Булево   - Истина, если есть различия, Ложь в обратном случае.
//
Функция РезультатСравненияПолученныхДанныхКонтрагентаСИмеющимися(РеквизитыКонтрагента, ДанныеОбъекта, ЗаполнятьИНН) Экспорт
```

Пример вызова
```bsl
Результат = ПартнерыИКонтрагентыЛокализацияКлиент.РезультатСравненияПолученныхДанныхКонтрагентаСИмеющимися(РеквизитыКонтрагента, ДанныеОбъекта, ЗаполнятьИНН) 
```
</details>

## ПоказатьПользователюОшибкуПолученияРеквизитовКонтрагентаПоИНН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст ошибки и показывает пользователю предупреждение на основании данных
// предоставленных подсистемой "Проверка контрагентов" БСП.
// Параметры:
//  ОписаниеОшибки  - Строка - описание ошибки, предоставленное подсистемой "Проверка контрагентов" БСП.
//
Процедура ПоказатьПользователюОшибкуПолученияРеквизитовКонтрагентаПоИНН(ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализацияКлиент.ПоказатьПользователюОшибкуПолученияРеквизитовКонтрагентаПоИНН(ОписаниеОшибки) 
```
</details>

## ДополнитьПараметрыСозданияПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

// Дополнить параметры формы создания нового партнера
//
// Параметры:
//  ПараметрыСоздания	 - Структура - структура параметров
//  Форма				 - ФормаКлиентскогоПриложения - форма справочника-основания
//
Процедура ДополнитьПараметрыСозданияПартнера(ПараметрыСоздания, Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализацияКлиент.ДополнитьПараметрыСозданияПартнера(ПараметрыСоздания, Форма) 
```
</details>

## ПроверитьИНН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствие ИНН требованиям.
//
// Параметры:
//  Форма          - ФормаКлиентскогоПриложения - форма проверяемого объекта.
//  ТолькоПроверка - Булево - признак того, что будет только проверен ИНН, при этом не будут вызваны процедуры заполнения.
//
Процедура ПроверитьИНН(Форма, ТолькоПроверка = Ложь) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализацияКлиент.ПроверитьИНН(Форма, ТолькоПроверка);
```
</details>

## ПроверитьОГРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствие ОГРН требованиям.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма проверяемого объекта.
//
Процедура ПроверитьОГРН(Форма) Экспорт
```

Пример вызова
```bsl
ПартнерыИКонтрагентыЛокализацияКлиент.ПроверитьОГРН(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
