---
title: Переводы СБП (c2b) клиент
slug: erp-uh/переводы-сбп-c2b-клиент
---


## ПодключитьКассовуюСсылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму подключения кассовой ссылки.
//
// Параметры:
//  НастройкаПодключения - СправочникСсылка.НастройкиПодключенияКСистемеБыстрыхПлатежей - настройка выполнения оплаты.
//  ОписаниеОповещение - ОписаниеОповещение, Неопределенно - оповещение, которое будет вызвано после завершения операции.
//   Если подключение не удалось завершить будет возвращено Неопределенно. В случае успешного подключения
//   результат выполнения будет содержать структуру:
//    * КассоваяСсылка - Строка - ссылка, по которой будет выполнятся оплата;
//    * ИдентификаторОплаты - Строка - идентификатор зарегистрированной ссылки;
//  Владелец - ФормаКлиентскогоПриложения - форма которая будет установлена в качестве владельца.
//
Процедура ПодключитьКассовуюСсылку( Экспорт
```

Пример вызова
```bsl
ПереводыСБПc2bКлиент.ПодключитьКассовуюСсылку();
```
</details>

## РеестрОперацийСБПc2b
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму реестра операций.
//
// Параметры:
//  Владелец - ФормаКлиентскогоПриложения - форма которая будет установлена в качестве владельца.
//
Процедура РеестрОперацийСБПc2b(Владелец) Экспорт
```

Пример вызова
```bsl
ПереводыСБПc2bКлиент.РеестрОперацийСБПc2b(Владелец) 
```
</details>

## ОткрытьИнструкциюПоПрограммированиюNFCМетки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает инструкцию по программированию NFC меток.
//
Процедура ОткрытьИнструкциюПоПрограммированиюNFCМетки() Экспорт
```

Пример вызова
```bsl
ПереводыСБПc2bКлиент.ОткрытьИнструкциюПоПрограммированиюNFCМетки() 
```
</details>

## ОткрытьОписаниеКассовыхСсылок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает описание функциональности кассовых ссылок.
//
Процедура ОткрытьОписаниеКассовыхСсылок() Экспорт
```

Пример вызова
```bsl
ПереводыСБПc2bКлиент.ОткрытьОписаниеКассовыхСсылок() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
