---
title: Переводы СБП (c2b) клиент сервер
slug: erp-uh/переводы-сбп-c2b-клиент-сервер
---


## ФункциональнаяСсылкаNFC
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует URL функциональной ссылки СБП для записи на NFC.
//
// Параметры:
//  ФункциональнаяСсылка - Строка - URL кассовой ссылки или платежной ссылки СБП.
//
// Возвращаемое значение:
//  Строка - функциональная ссылка СБП для записи на NFC.
//
Функция ФункциональнаяСсылкаNFC(ФункциональнаяСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ПереводыСБПc2bКлиентСервер.ФункциональнаяСсылкаNFC(ФункциональнаяСсылка) 
```
</details>

## ПроверкаURLКассовойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбщегоНазначенияКлиентСервер.СтруктураURI.
// Определяет валидность URL переданной кассовой ссылки.
//
// Параметры:
//  КассоваяСсылка - Строка - URL кассовой ссылки.
//  ПроверкаПутиНаСервере - Булево - признак проверки заполненности пути на серверер в переданном URL.
//
// Возвращаемое значение:
//  Структура - Содержит результат проверки:
//    *URLВалиден - Булево - если Истина, URL валиден.
//    *СтруктураURI - Структура - составные части URL в виде структуры.
//
Функция ПроверкаURLКассовойСсылки(Знач Ссылка, Знач ПроверкаПутиНаСервере) Экспорт
```

Пример вызова
```bsl
Результат = ПереводыСБПc2bКлиентСервер.ПроверкаURLКассовойСсылки(Ссылка, ПроверкаПутиНаСервере) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
