---
title: Передача переработчику
slug: erp-uh/передача-переработчику
---


## ТекстЗапросаЗаполненияНаОснованияЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса заполнения документа на основание заказа переработчику.
//
// Возвращаемое значение:
//  Строка -
//
Функция ТекстЗапросаЗаполненияНаОснованияЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ТекстЗапросаЗаполненияНаОснованияЗаказа() 
```
</details>

## КлючевыеПоляШапкиРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список реквизитов, по которым можно сгруппировать распоряжения в пределах одной накладной.
//
// Возвращаемое значение:
//  Строка - имена реквизитов, разделенные запятыми.
//
Функция КлючевыеПоляШапкиРаспоряжения() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.КлючевыеПоляШапкиРаспоряжения() 
```
</details>

## ПараметрыЗаполненияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру необходимую для дальнейшего использования при заполнении документа.
//
// Возвращаемое значение:
//   Структура - структура параметров заполнения документа.
//
Функция ПараметрыЗаполненияДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ПараметрыЗаполненияДокумента() 
```
</details>

## ИнициализироватьПараметрыЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит инициализацию структуры параметров заполнения по реквизитам шапки и по заказам.
//
// Параметры:
//  ПараметрыЗаполнения	 - см. ПередачаПереработчику.ПараметрыЗаполненияДокумента
//  РеквизитыШапки		 - Структура - Содержит ключи на основании которых будет происходить заполнение
//  МассивЗаказов		 - Массив - Ссылки на заказы по которым будет происходить заполнение.
//
Процедура ИнициализироватьПараметрыЗаполнения(ПараметрыЗаполнения, РеквизитыШапки, МассивЗаказов) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.ИнициализироватьПараметрыЗаполнения(ПараметрыЗаполнения, РеквизитыШапки, МассивЗаказов) 
```
</details>

## ДанныеЗаполненияНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру для создания документа по заказам
//  Если в переданных заказах отличаются реквизиты шапки, выдается сообщение об ошибке.
//
// Параметры:
//  МассивСсылок - Массив - заказы на внутреннее потребление, по которым необходимо ввести накладную.
//  СвойстваЗаказов - Структура, Неопределено -
//
// Возвращаемое значение:
//  Структура - структура, в которую будут помещены реквизиты шапки из массива заказов.
//
Функция ДанныеЗаполненияНакладной(МассивСсылок, СвойстваЗаказов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ДанныеЗаполненияНакладной(МассивСсылок, СвойстваЗаказов);
```
</details>

## ЗаполнитьПризнакЦеховаяКладоваяВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет признаки ЦеховаяКладовая и НужноОкруглять в строках таблицы
//
// Параметры:
//  Объект - ДанныеФормыСтруктура -
//  ПересчитатьКоличествоЕдиниц - Булево -
//  Строки - Массив, Неопределено - массив обрабатываемых строк
//
Процедура ЗаполнитьПризнакЦеховаяКладоваяВТаблице(Объект, ПересчитатьКоличествоЕдиниц, Строки = Неопределено) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.ЗаполнитьПризнакЦеховаяКладоваяВТаблице(Объект, ПересчитатьКоличествоЕдиниц, Строки);
```
</details>

## ПересчитатьКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает количество единиц
//
// Параметры:
//  Объект - ДанныеФормыСтруктура -
//
Процедура ПересчитатьКоличествоЕдиниц(Объект) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.ПересчитатьКоличествоЕдиниц(Объект) 
```
</details>

## ДобавитьДействиеЗаполнитьПризнакЦеховаяКладовая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет действия "ЗаполнитьПризнакЦеховаяКладовая" и "ПересчитатьКоличествоЕдиниц"
//
// Параметры:
//  СтруктураДействий - Структура -
//
Процедура ДобавитьДействиеЗаполнитьПризнакЦеховаяКладовая(СтруктураДействий) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.ДобавитьДействиеЗаполнитьПризнакЦеховаяКладовая(СтруктураДействий) 
```
</details>

## ДобавитьДействиеПересчитатьКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет действие "ПересчитатьКоличествоЕдиниц"
//
// Параметры:
//  СтруктураДействий - Структура -
//
Процедура ДобавитьДействиеПересчитатьКоличествоЕдиниц(СтруктураДействий) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.ДобавитьДействиеПересчитатьКоличествоЕдиниц(СтруктураДействий) 
```
</details>

## ПараметрыПересчетаКоличестваЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры перерасчета клиента единиц
//
// Возвращаемое значение:
//  Структура - см. ПроизводствоКлиентСервер.ПараметрыПересчетаКоличестваЕдиниц
//
Функция ПараметрыПересчетаКоличестваЕдиниц() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ПараметрыПересчетаКоличестваЕдиниц() 
```
</details>

## НеобходимПересчетКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак необходимости пересчета количество единиц
//
// Возвращаемое значение:
//  Булево -
//
Функция НеобходимПересчетКоличествоЕдиниц() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.НеобходимПересчетКоличествоЕдиниц() 
```
</details>

## ПараметрыТЧДляОкругления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для округления
//
// Возвращаемое значение:
//  Структура - элементы содержат структуру параметров округления:
//   *Товары - см. НоменклатураСервер.ПараметрыОкругленияКоличестваШтучныхТоваров
//
Функция ПараметрыТЧДляОкругления() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ПараметрыТЧДляОкругления() 
```
</details>

## ТекстЗапросаРаспоряженияНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса распоряжений доступных в накладной.
//
// Параметры:
//  ПараметрыТекстаЗапроса - см. ОбщегоНазначенияУТ.ПараметрыТекстаЗапросаРаспоряженийНакладных
//
// Возвращаемое значение:
//  Строка - текст запрос
//
Функция ТекстЗапросаРаспоряженияНакладной(ПараметрыТекстаЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ТекстЗапросаРаспоряженияНакладной(ПараметрыТекстаЗапроса) 
```
</details>

## РедактироватьТекстЗапросаПересчетаВВалютуДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Редактирует текст запроса пересчета в валюту документа
//
// Параметры:
//  ТекстЗапроса - Строка - редактируемый текст запроса.
//
Процедура РедактироватьТекстЗапросаПересчетаВВалютуДокумента(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.РедактироватьТекстЗапросаПересчетаВВалютуДокумента(ТекстЗапроса) 
```
</details>

## РедактироватьТекстЗапросаПоОстаткамЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Редактирует текст запроса по остаткам заказов
//
// Параметры:
//  ТекстЗапроса - Строка - редактируемый текст запроса.
//
Процедура РедактироватьТекстЗапросаПоОстаткамЗаказов(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.РедактироватьТекстЗапросаПоОстаткамЗаказов(ТекстЗапроса) 
```
</details>

## ЗаменитьИсточникТаблицыЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет источник заказов с "Документ.ЗаказКлиента" на "Документ.ЗаказПереработчику2_5".
//
// Параметры:
//  ТекстЗапроса - Строка -
//
Процедура ЗаменитьИсточникТаблицыЗаказов(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.ЗаменитьИсточникТаблицыЗаказов(ТекстЗапроса));
```
</details>

## ЗаменитьИсточникТаблицыТоваровЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет источник товаров заказов с "Документ.ЗаказКлиента.Товары" на "Документ.ЗаказПереработчику2_5.ОбеспечениеМатериаламиИРаботами".
//
// Параметры:
//  ТекстЗапроса - Строка -
//
Процедура ЗаменитьИсточникТаблицыТоваровЗаказов(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.ЗаменитьИсточникТаблицыТоваровЗаказов(ТекстЗапроса));
```
</details>

## ПравоДоступаЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает право доступа заказа переработчику.
//
// Параметры:
//  ИмяПраво - Строка - имя проверяемого права.
//
// Возвращаемое значение:
//  Булево -
//
Функция ПравоДоступаЗаказа(ИмяПраво) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ПравоДоступаЗаказа(ИмяПраво) 
```
</details>

## МенеджерЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает менеджер документа заказ переработчику (2.5)
//
// Возвращаемое значение:
//  ДокументМенеджер.ЗаказКлиента -
//
Функция МенеджерЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.МенеджерЗаказа() 
```
</details>

## ОписаниеТипаЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типа для заказа переработчику
//
// Возвращаемое значение:
//  ОписаниеТипов -
//
Функция ОписаниеТипаЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ОписаниеТипаЗаказа() 
```
</details>

## ТипЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает типа для заказа переработчику
//
// Возвращаемое значение:
//  Тип -
//
Функция ТипЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ТипЗаказа() 
```
</details>

## СинонимЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает синоним заказа.
//
// Возвращаемое значение:
//  Строка - синоним заказа.
//
Функция СинонимЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.СинонимЗаказа() 
```
</details>

## ТипОснованияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип основания акта о расхождении
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыОснованияАктаОРасхождении
//
Функция ТипОснованияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ТипОснованияАкта() 
```
</details>

## ОформитьВозвратАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак оформления документа возврата через документ акта о расхождении
//
// Возвращаемое значение:
//  Булево -
//
Функция ОформитьВозвратАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ОформитьВозвратАкта() 
```
</details>

## ПостфиксИмениАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает постфикс имени акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ПостфиксИмениАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ПостфиксИмениАкта() 
```
</details>

## ЗаголовокФормыСозданияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок формы акта о расхождении при создании
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокФормыСозданияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ЗаголовокФормыСозданияАкта() 
```
</details>

## ЗаголовокФормыАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок формы акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокФормыАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ЗаголовокФормыАкта() 
```
</details>

## ЗаголовокПартнераАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок партнера акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокПартнераАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ЗаголовокПартнераАкта() 
```
</details>

## ЗаголовокДокументаОснованияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок документа основания акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокДокументаОснованияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ЗаголовокДокументаОснованияАкта() 
```
</details>

## ПодсказкаДоговораАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подсказку договора акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ПодсказкаДоговораАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ПодсказкаДоговораАкта() 
```
</details>

## ХозяйственнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственную операцию документа.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ХозяйственныеОперации -
//
Функция ХозяйственнаяОперация() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ХозяйственнаяОперация() 
```
</details>

## ХозяйственнаяОперацияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственную операцию договора.
//
// Параметры:
//  ЭтоПроизводствоВЕАЭС - Булево - признак производства у переработчика в странах ЕАЭС.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ХозяйственныеОперации -
//
Функция ХозяйственнаяОперацияДоговора(ЭтоПроизводствоВЕАЭС = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ХозяйственнаяОперацияДоговора(ЭтоПроизводствоВЕАЭС);
```
</details>

## ХозяйственныеОперацииРаспоряжений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив хозяйственных операции распоряжений.
//
// Параметры:
//  ЭтоПроизводствоВЕАЭС - Булево - признак производства у переработчика в странах ЕАЭС.
//
// Возвращаемое значение:
//  Массив из ПеречислениеСсылка.ХозяйственныеОперации -
//
Функция ХозяйственныеОперацииРаспоряжений(ЭтоПроизводствоВЕАЭС = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ХозяйственныеОперацииРаспоряжений(ЭтоПроизводствоВЕАЭС);
```
</details>

## СоглашенияСКлиентамиПрименимы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак применяемости соглашений с клиентами
//
// Возвращаемое значение:
//  Булево -
//
Функция СоглашенияСКлиентамиПрименимы() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.СоглашенияСКлиентамиПрименимы() 
```
</details>

## ИспользоватьСоглашенияСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование соглашений с клиентами
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьСоглашенияСКлиентами() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ИспользоватьСоглашенияСКлиентами() 
```
</details>

## ИспользоватьРасширенныеВозможностиЗаказаКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование расширенных возможностей заказа клиента
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьРасширенныеВозможностиЗаказаКлиента() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ИспользоватьРасширенныеВозможностиЗаказаКлиента() 
```
</details>

## ИспользоватьЗаказыКлиентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование заказов клиентов
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьЗаказыКлиентов() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ИспользоватьЗаказыКлиентов() 
```
</details>

## ИспользоватьРеализациюПоНесколькимЗаказам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование реализации по нескольким заказов.
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьРеализациюПоНесколькимЗаказам() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ИспользоватьРеализациюПоНесколькимЗаказам() 
```
</details>

## РеализацияСверхЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак реализации сверх заказа.
//
// Возвращаемое значение:
// 	Булево
//
Функция РеализацияСверхЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.РеализацияСверхЗаказа() 
```
</details>

## ОтклонениеОтУсловийПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак отклонения от условий продаж.
//
// Возвращаемое значение:
// 	Булево
//
Функция ОтклонениеОтУсловийПродаж() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ОтклонениеОтУсловийПродаж() 
```
</details>

## СтруктураОснованияДляПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру основания по данными документа
//
// Параметры:
// 	Объект - ДанныеФормыСтруктура, ДокументОбъект.ПередачаСырьяПереработчику - Объект документа, по которому необходимо
// 																			   получить текст основания.
//
// Возвращаемое значение:
//  Структура - Описание:
//   * Основание - Строка - представление
//   * ОснованиеДата - Дата - дата
//   * ОснованиеНомер - Строка - номер
//
Функция СтруктураОснованияДляПечати(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.СтруктураОснованияДляПечати(Объект) 
```
</details>

## ТаблицаОснованийДляПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений по умолчанию для реквизита "Основание"
//
// Параметры:
// 	Объект - ДанныеФормыСтруктура, ДокументОбъект.ВозвратТоваровПоставщику - Объект документа, по которому необходимо
// 																			 получить список выбора.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Описание:
//  * Основание - Строка - представление
//  * ОснованиеДата - Дата - дата
//  * ОснованиеНомер - Строка - номер
//
Функция ТаблицаОснованийДляПечати(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ТаблицаОснованийДляПечати(Объект) 
```
</details>

## ПолучитьДоговорПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Получает договор по умолчанию.
//
// Параметры:
//  Объект - ДанныеФормыСтруктура, ДокументОбъект -
//  ОтборПоВалюте - Булево -
//  ОтборПоНаправлениюДеятельности - Булево -
//
// Возвращаемое значение:
//  СправочникСсылка.ДоговорыКонтрагентов -
//
Функция ПолучитьДоговорПоУмолчанию(Объект, ОтборПоВалюте = Истина, ОтборПоНаправлениюДеятельности = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ПолучитьДоговорПоУмолчанию(Объект, ОтборПоВалюте, ОтборПоНаправлениюДеятельности);
```
</details>

## УстановитьДоступностьДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доступность элемента договор.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  Объект - ДанныеФормыСтруктура -
//  Договор - СправочникСсылка.ДоговорыКонтрагентов, Неопределено -
//
Процедура УстановитьДоступностьДоговора(Форма, Объект, Договор = Неопределено) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.УстановитьДоступностьДоговора(Форма, Объект, Договор);
```
</details>

## НастроитьФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает форму.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - содержит:
//           * Элементы - ВсеЭлементыФормы - содержит:
//              ** Партнер - ПолеВвода - содержит:
//                  *** Заголовок - Строка -
//              ** ТоварыЗаказКлиента - ПолеВвода - содержит:
//                  *** Заголовок - Строка -
//              ** ЗакрытьЗаказ - КнопкаКоманднойПанели - содержит:
//                  *** Доступность - Булево -
//              ** ЗакрытьЗаказы - КнопкаКоманднойПанели - содержит:
//                  *** Доступность - Булево -
//  Номер - Число -
//  Дата  - Дата -
//
Процедура НастроитьФорму(Форма, Номер, Дата) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.НастроитьФорму(Форма, Номер, Дата) 
```
</details>

## НастроитьПараметрыВыбораЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает параметры выбора и связи параметров выбора реквизитов формы.
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения -
//  Объект - ДанныеФормыСтруктура -
//
Процедура НастроитьПараметрыВыбораЭлементов(Форма, Объект) Экспорт
```

Пример вызова
```bsl
ПередачаПереработчику.НастроитьПараметрыВыбораЭлементов(Форма, Объект) 
```
</details>

## ЗаголовокФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок формы документа передача товаров хранителю.
//
// Параметры:
//  НовыйДокумент - Булево -
//  Номер - Число -
//  Дата - Дата -
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокФормыДокумента(НовыйДокумент, Номер, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ЗаголовокФормыДокумента(НовыйДокумент, Номер, Дата) 
```
</details>

## ПредставлениеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление документа передача товаров хранителю.
//
// Возвращаемое значение:
//  Строка -
//
Функция ПредставлениеОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ПредставлениеОбъекта() 
```
</details>

## ЭтоГруппаСкладовИСкладыИспользуютсяВТЧДокументовПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак, что склад является группой и группы можно использовать в документах передачи.
//
// Параметры:
//  Склад - СправочникСсылка.Склады
//
// Возвращаемое значение:
//  Булево - Это группа складов
//
Функция ЭтоГруппаСкладовИСкладыИспользуютсяВТЧДокументовПродажи(Склад) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.ЭтоГруппаСкладовИСкладыИспользуютсяВТЧДокументовПродажи(Склад) 
```
</details>

## СформироватьГиперссылкуКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст гиперссылки перехода из журнала документов в рабочее место оформления.
//
// Параметры:
// 	Параметры - Структура - параметры формирования текста гиперссылки.
// Возвращаемое значение:
// 	ФорматированнаяСтрока, Неопределено - текст гиперссылки перехода в рабочее место оформления передач.
//
Функция СформироватьГиперссылкуКОформлению(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаПереработчику.СформироватьГиперссылкуКОформлению(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
