---
title: Переработка на стороне клиент сервер
slug: erp-uh/переработка-на-стороне-клиент-сервер
---


## ХозяйственнаяОперацияПоИмениДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственную операцию по имени документа
//
// Параметры:
//  ИмяДокумента - Строка -
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ХозяйственныеОперации -
//
Функция ХозяйственнаяОперацияПоИмениДокумента(ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ПереработкаНаСторонеКлиентСервер.ХозяйственнаяОперацияПоИмениДокумента(ИмяДокумента) 
```
</details>

## ПереченьПолейГруппыЗатратЗаказаПереработчику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень полей, идентифицирующих группу затрат.
//	Параметры:
//		ГруппировкаЗатрат - ПеречислениеСсылка.ГруппировкиЗатратВЗаказеПереработчику - тип группировки затрат.
//	Возвращаемое значение:
//		СписокЗначений - перечень полей, идентифицирующих группу затрат.
//
Функция ПереченьПолейГруппыЗатратЗаказаПереработчику(ГруппировкаЗатрат) Экспорт
```

Пример вызова
```bsl
Результат = ПереработкаНаСторонеКлиентСервер.ПереченьПолейГруппыЗатратЗаказаПереработчику(ГруппировкаЗатрат) 
```
</details>

## ПереченьПолейГруппыЗатратОтчетаПереработчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень полей, идентифицирующих группу затрат.
//	Параметры:
//		ГруппировкаЗатрат - ПеречислениеСсылка.ГруппировкиЗатратВЗаказеПереработчику - тип группировки затрат.
//	Возвращаемое значение:
//		СписокЗначений - перечень полей, идентифицирующих группу затрат.
//
Функция ПереченьПолейГруппыЗатратОтчетаПереработчика(ГруппировкаЗатрат) Экспорт
```

Пример вызова
```bsl
Результат = ПереработкаНаСторонеКлиентСервер.ПереченьПолейГруппыЗатратОтчетаПереработчика(ГруппировкаЗатрат) 
```
</details>

## ПредставлениеГруппыЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление группы затрат
//
// Параметры:
// 	Группа - Структура - описание группы затрат
// 	ПоляГруппыЗатрат - СписокЗначений - список полей группы затрат
// Возвращаемое значение:
// 	Строка
Функция ПредставлениеГруппыЗатрат(Группа, ПоляГруппыЗатрат) Экспорт
```

Пример вызова
```bsl
Результат = ПереработкаНаСторонеКлиентСервер.ПредставлениеГруппыЗатрат(Группа, ПоляГруппыЗатрат) 
```
</details>

## ТекстЗапросаПоПолямГруппыЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку, содержащую перечень путей получения идентифицирующих группу затрат полей.
//	Параметры:
//		ИмяТаблицы - Строка - имя источника получения идентифицирующих группу затрат полей.
//		СписокПолей - СписокЗначений - перечень полей, идентифицирующих группу затрат.
//	Возвращаемое значение:
//		Строка - строка, содержащая перечень путей получения идентифицирующих группу затрат полей.
//
Функция ТекстЗапросаПоПолямГруппыЗатрат(ИмяТаблицы, СписокПолей) Экспорт
```

Пример вызова
```bsl
Результат = ПереработкаНаСторонеКлиентСервер.ТекстЗапросаПоПолямГруппыЗатрат(ИмяТаблицы, СписокПолей) 
```
</details>

## СтруктураОтбораГруппыЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую перечень идентифицирующих группу затрат полей.
//	Параметры:
//		СписокПолей - СписокЗначений - перечень полей, идентифицирующих группу затрат.
//	Возвращаемое значение:
//		Структура - структура, содержащая перечень идентифицирующих группу затрат полей.
//
Функция СтруктураОтбораГруппыЗатрат(СписокПолей) Экспорт
```

Пример вызова
```bsl
Результат = ПереработкаНаСторонеКлиентСервер.СтруктураОтбораГруппыЗатрат(СписокПолей) 
```
</details>

## ЗаголовокПоляГруппыЗатрат2_5
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Получает заголовок поля группы затрат
//
// Параметры:
// 	ПоляГруппыЗатрат - СписокЗначений
// Возвращаемое значение:
// 	Строка
Функция ЗаголовокПоляГруппыЗатрат2_5(ПоляГруппыЗатрат) Экспорт
```

Пример вызова
```bsl
Результат = ПереработкаНаСторонеКлиентСервер.ЗаголовокПоляГруппыЗатрат2_5(ПоляГруппыЗатрат) 
```
</details>

## ШаблонПодсказкиПоляГруппыЗатрат2_5
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
// 	ГруппировкаЗатрат - ПеречислениеСсылка.ГруппировкиЗатратВЗаказеПереработчику
// Возвращаемое значение:
// 	Строка
Функция ШаблонПодсказкиПоляГруппыЗатрат2_5(ГруппировкаЗатрат) Экспорт
```

Пример вызова
```bsl
Результат = ПереработкаНаСторонеКлиентСервер.ШаблонПодсказкиПоляГруппыЗатрат2_5(ГруппировкаЗатрат) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
