---
title: Пересортица товаров у переработчика
slug: erp-uh/пересортица-товаров-у-переработчика
---


## ХозяйственнаяОперацияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственную операцию договора.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ХозяйственныеОперации -
//
Функция ХозяйственнаяОперацияДоговора() Экспорт
```

Пример вызова
```bsl
Результат = ПересортицаТоваровУПереработчика.ХозяйственнаяОперацияДоговора() 
```
</details>

## СоглашенияСКлиентамиПрименимы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак применяемости соглашений с клиентами
//
// Возвращаемое значение:
//  Булево -
//
Функция СоглашенияСКлиентамиПрименимы() Экспорт
```

Пример вызова
```bsl
Результат = ПересортицаТоваровУПереработчика.СоглашенияСКлиентамиПрименимы() 
```
</details>

## ИспользоватьСоглашенияСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование соглашений с клиентами
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьСоглашенияСКлиентами() Экспорт
```

Пример вызова
```bsl
Результат = ПересортицаТоваровУПереработчика.ИспользоватьСоглашенияСКлиентами() 
```
</details>

## ПолучитьДоговорПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Получает договор по умолчанию.
//
// Параметры:
//  Объект - ДанныеФормыСтруктура -
//
// Возвращаемое значение:
//  СправочникСсылка.ДоговорыКонтрагентов -
//
Функция ПолучитьДоговорПоУмолчанию(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПересортицаТоваровУПереработчика.ПолучитьДоговорПоУмолчанию(Объект) 
```
</details>

## УстановитьДоступностьДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доступность элемента договор.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  Объект - ДанныеФормыСтруктура -
//  Договор - СправочникСсылка.ДоговорыКонтрагентов, Неопределено -
//
Процедура УстановитьДоступностьДоговора(Форма, Объект, Договор = Неопределено) Экспорт
```

Пример вызова
```bsl
ПересортицаТоваровУПереработчика.УстановитьДоступностьДоговора(Форма, Объект, Договор);
```
</details>

## НастроитьФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает форму.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  Номер - Число -
//  Дата  - Дата -
//
Процедура НастроитьФорму(Форма, Номер, Дата) Экспорт
```

Пример вызова
```bsl
ПересортицаТоваровУПереработчика.НастроитьФорму(Форма, Номер, Дата) 
```
</details>

## НастроитьПараметрыВыбораЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает параметры выбора и связи параметров выбора реквизитов формы.
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения -
//  Объект - ДанныеФормыСтруктура -
//
Процедура НастроитьПараметрыВыбораЭлементов(Форма, Объект) Экспорт
```

Пример вызова
```bsl
ПересортицаТоваровУПереработчика.НастроитьПараметрыВыбораЭлементов(Форма, Объект) 
```
</details>

## ЗаголовокФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок формы документа передача товаров хранителю.
//
// Параметры:
//  НовыйДокумент - Булево -
//  Номер - Число -
//  Дата - Дата -
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокФормыДокумента(НовыйДокумент, Номер, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ПересортицаТоваровУПереработчика.ЗаголовокФормыДокумента(НовыйДокумент, Номер, Дата) 
```
</details>

## ПредставлениеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление документа передача товаров хранителю.
//
// Возвращаемое значение:
//  Строка -
//
Функция ПредставлениеОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = ПересортицаТоваровУПереработчика.ПредставлениеОбъекта() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
