---
title: Периоды УХ
slug: erp-uh/периоды-ух
---


## ПолучитьПодчиненныеПериоды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Выполняет запрос к справочнику Периоды для пролучения подчиненных периодов с указанными отборами
//
// Параметры:
//  ПериодНачало  - Дата,Справочник.Периоды - Начало отбора периодов
//  ПериодОкончания  - Дата,Справочник.Периоды - Верхняя граница отбора периодов
//  Периодичность  - Перечисление.Периодичность - Отбор периодов по периодичности
//
// Возвращаемое значение:
//   Массив   - подчиненные периоды
//
Функция ПолучитьПодчиненныеПериоды(ПериодНачало, ПериодОкончания, Периодичность = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПериодыУХ.ПолучитьПодчиненныеПериоды(ПериодНачало, ПериодОкончания, Периодичность);
```
</details>

## ПолучитьПодчиненныеПериодыТаблица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПодчиненныеПериодыТаблица(ПериодСценария,ПериодСценарияОкончание) Экспорт
```

Пример вызова
```bsl
Результат = ПериодыУХ.ПолучитьПодчиненныеПериодыТаблица(ПериодСценария, ПериодСценарияОкончание) 
```
</details>

## ПолучитьПериодПоСдвигу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПериодПоСдвигу(ДатаНачала, ЗначениеСдвига, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ПериодыУХ.ПолучитьПериодПоСдвигу(ДатаНачала, ЗначениеСдвига, Периодичность) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
