---
title: Печать этикеток ИСМП
slug: erp-uh/печать-этикеток-исмп
---


## СтруктураНастроекЭтикеткаИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает структуру дополнительных параметров для печати этикеток.
//
// Возвращаемое значение:
// 	Структура - Описание:
// * КаждаяЭтикеткаНаНовомЛисте - Булево - Признак вывода разделителя страниц после каждой этикетки.
// * ПечатьЭтикетокВТаблицу     - Булево - Признак вывода этикеток в таблицу.
// * НастройкиПечатиЭтикетокВТаблицу - НастройкиКомпоновкиДанных - Настройки компоновки данных с полями, которые необходимо вывести.
//
Функция СтруктураНастроекЭтикеткаИСМП() Экспорт
```

Пример вызова
```bsl
Результат = ПечатьЭтикетокИСМП.СтруктураНастроекЭтикеткаИСМП() 
```
</details>

## МассивСвязанныхДокументовОснований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет массив документов-оснований для выбора кодов маркировки из пула.
// Использутеся для определения связанных документов оснований, например:
// 	Формируем заказ поставщику, на основании Заказа на эмиссию, заказываем коды.
// 	На основании заказа поставщику вводим документ Приобритение товара.
// 	На основании Приобритения товара вводим документ Маркировка товаров и печатем новый код маркировки.
// 	Так как основания у документов Заказ на эмиссию и Маркировка товаров разные, - то определение связи между документами
// 	Заказ поставщику и Приобритение товаров происходит в переданном параметре.
// 	Запрос содержит установленный параметр Документ.
// 	Результат должен содержать одно поле, значение которого присутсвует в определяемом типе ОснованиеЗаказНаЭмиссиюКодовМаркировкиИСМП
//
// Параметры:
// 	Документ - ДокументСсылка.МаркировкаТоваровИСМП, ДокументСсылка.ПеремаркировкаТоваровИСМП - Исходный документ для выбора кодов.
//Возвращаемое значение:
//  Массив из ДокументСсылка - Документы-основания.
Функция МассивСвязанныхДокументовОснований(Документ) Экспорт
```

Пример вызова
```bsl
Результат = ПечатьЭтикетокИСМП.МассивСвязанныхДокументовОснований(Документ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
