---
title: Печать этикеток ИСМП клиент
slug: erp-uh/печать-этикеток-исмп-клиент
---


## НапечататьЭтикеткиИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет печать этикеток обуви по переданным данным печати.
//
// Параметры:
// 	ДанныеПечати - Структура - данные для печати
// 	Форма - ФормаКлиентскогоПриложения - Форма источник вызова печати
Процедура НапечататьЭтикеткиИСМП(ДанныеПечати, Форма) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМПКлиент.НапечататьЭтикеткиИСМП(ДанныеПечати, Форма) 
```
</details>

## ВывестиНаПечатьТабличныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит переданный по адресу во временном харнищие табличный документ
//
// Параметры:
// 	ТабличныйДокумент - ТабличныйДокумент - Сформированный табличный документ с кодами маркировки
// 	Форма - ФормаКлиентскогоПриложения - владелец открываемой формы для печати
// 	СразуНаПринтер - Булево - отправлять непостредственно на принтер
//
Процедура ВывестиНаПечатьТабличныйДокумент(ТабличныйДокумент, Форма, СразуНаПринтер=Ложь) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМПКлиент.ВывестиНаПечатьТабличныйДокумент(ТабличныйДокумент, Форма, СразуНаПринтер);
```
</details>

## РаспечататьНовыйКодМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Резервирует и выполняет печать нового кода маркировки. Последовательно запрашивает данные, которых недостаточно
// - Задает вопрос о необходимости записать объект для резервирования.
// - Запрашивает шаблон этикетки у пользователя.
//
// Параметры:
// 	Результат - Произвольный - результаты переданных данных из других форм и обработчиков оповещений
// 	ДополнительныеПараметры - См. ПечатьЭтикетокИСМПКлиент.СтруктураПараметровПечатиНовогоКодаМаркировки
Процедура РаспечататьНовыйКодМаркировки(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМПКлиент.РаспечататьНовыйКодМаркировки(Результат, ДополнительныеПараметры) 
```
</details>

## РаспечататьНовыйКодУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Резервирует и выполняет печать нового кода маркировки. Последовательно запрашивает данные, которых недостаточно
// - Задает вопрос о необходимости записать объект для резервирования.
// - Запрашивает шаблон этикетки у пользователя.
//
// Параметры:
// 	ШтрихкодУпаковки - Структура - данные для печати штрихкода упаковки
// 	Форма - ФормаКлиентскогоПриложения - источник вызова
// 	ШаблонЭтикеткиУпаковки - Произвольный - шаблон этикетки упаковки
Процедура РаспечататьНовыйКодУпаковки(ШтрихкодУпаковки, Форма, ШаблонЭтикеткиУпаковки) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМПКлиент.РаспечататьНовыйКодУпаковки(ШтрихкодУпаковки, Форма, ШаблонЭтикеткиУпаковки) 
```
</details>

## РаспечататьСуществующийКодМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет печать переданного кода маркировки. Код маркировки должен присутствовать в регистре "ПулКодовМаркировкиСУЗ".
//
// Параметры:
// 	ДанныеШтрихкода - Структура - Данные штрихкода, который нужно вывести на печать.
// 	ДополнитьПолныйКодМаркировки - Строка - Содержит идентификатор применения, который требуется дополнить у полного кода маркировки.
//                                          Например, если полный код маркировки требуется дополнить весом, то содержит "3103".
Процедура РаспечататьСуществующийКодМаркировки(ДанныеШтрихкода, ДополнитьПолныйКодМаркировки) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМПКлиент.РаспечататьСуществующийКодМаркировки(ДанныеШтрихкода, ДополнитьПолныйКодМаркировки) 
```
</details>

## ПечатьШтрихкодыУпаковокИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Получает данные для печати этикеток ИС МП из справочника штрихкодов упаковок
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
// Возвращаемое значение:
// 	Неопределено - Описание
Функция ПечатьШтрихкодыУпаковокИСМП(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ПечатьЭтикетокИСМПКлиент.ПечатьШтрихкодыУпаковокИСМП(ОписаниеКоманды) 
```
</details>

## СтруктураПараметровПечатиНовогоКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новую структуру параметров для использования в процедуре РаспечататьНовыйКодМаркировки.
//
// Параметры:
// 	СтруктураПечати - см. ПечатьЭтикетокИСМПКлиентСервер.СтруктураПечатиЭтикетки
// 	Форма - ФормаКлиентскогоПриложения - форма, из которой осуществляется вызов
// 	Оповещение - ОписаниеОповещения - Оповещение, которое вызывается на клиенте, передается результат резервирования
// 	нового кода маркировки.
// Возвращаемое значение:
// 	Структура - Описание:
// * СтруктураПечати - См. ПечатьЭтикетокИСМПКлиентСервер.СтруктураПечатиЭтикетки.
// * Форма - ФормаКлиентскогоПриложения - форма, из которой осуществляется вызов.
// * Оповещение - ОписаниеОповещения - Оповещение, которое вызывается на клиенте, передается результат резервирования.
//
Функция СтруктураПараметровПечатиНовогоКодаМаркировки(СтруктураПечати, Форма, Оповещение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПечатьЭтикетокИСМПКлиент.СтруктураПараметровПечатиНовогоКодаМаркировки(СтруктураПечати, Форма, Оповещение);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
