---
title: Печать этикеток ИСМП клиент переопределяемый
slug: erp-uh/печать-этикеток-исмп-клиент-переопределяемый
---


## ОткрытьФормуВыбораШаблонаЭтикеткиИСМППоДаннымПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыват форму для выбора шаблона этикетки для печати.
//
// Параметры:
// 	ДанныеДляПечати - Структура - Структура данных для печати.
// 	Форма - ФормаКлиентскогоПриложения - Источник (фарма) команды печати.
// 	СтандартнаяОбработка - Булево - Признак необходимости выполнять печать БГосИС.
// 	ДополнительныеПараметры - Структура - Дополнительные параметры для открытия формы.
Процедура ОткрытьФормуВыбораШаблонаЭтикеткиИСМППоДаннымПечати( Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМПКлиентПереопределяемый.ОткрытьФормуВыбораШаблонаЭтикеткиИСМППоДаннымПечати();
```
</details>

## ПечатьЭтикеткиИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для печати и открывает форму обработки печати этикеток и ценников.
//
// Параметры:
//  ОбъектыПечати        - Структура        - структура с описанием данных печати:
//   * ОбъектыПечати - Массив из ПечатьЭтикетокИСМПКлиентСервер.СтруктураПечатиЭтикетки - строки описания товаров
//     и кодов для печати
//   * Документ - ДокументСсылка.ЗаказНаЭмиссиюКодовМаркировкиСУЗ,
//     ОпределеямыйТип.ОснованиеЗаказНаЭмиссиюКодовМаркировкиИСМП - Документ, в рамках которого выполняется печать.
//   * КаждаяЭтикеткаНаНовомЛисте - Булево - Выводить разрыв страницы после каждой этикетки (для термопечати этикетки).
//  Форма                - ФормаКлиентскогоПриложения - форма-владелец из которой выполняется печать.
//  СтандартнаяОбработка - Булево           - Отключает печать встроенными средставами библиотеки.
Процедура ПечатьЭтикеткиИСМП(ДанныеПечати, Форма, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМПКлиентПереопределяемый.ПечатьЭтикеткиИСМП(ДанныеПечати, Форма, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
