---
title: Печать этикеток ИСМП переопределяемый
slug: erp-uh/печать-этикеток-исмп-переопределяемый
---


## СтруктураНастроекЭтикеткаИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает структуру дополнительных параметров для печати этикеток.
//
// Параметры:
// 	СтруктураНастроекИтог - Структура - дополнительные параметры.
//
Процедура СтруктураНастроекЭтикеткаИСМП(СтруктураНастроекИтог) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМППереопределяемый.СтруктураНастроекЭтикеткаИСМП(СтруктураНастроекИтог) 
```
</details>

## ПечатьЭтикетокИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В данной процедуре определяется метод печати этикеток ИС МП
//
// Параметры:
// 	ТаблицаДляПечати - ТаблицаЗначений - Описание:
// 	 * Номенклатура - ОпределяемыйТип.Номенклатура - Номенклатура.
// 	 * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - Характеристика.
// 	 * GTIN - ОпределяемыйТип.GTIN - GTIN, если возможно определить.
// 	 * ПредставлениеНоменклатуры - Строка - Строковое представление номенклатуры.
// 	 * Штрихкод - Строка - Значение штрихкода. Формат зависит от значения реквизита ШтрихКодВBase64.
// 	 * КодМаркировки - Строка - Значение кода маркировки.
// 	 * КодУпаковки - Строка - Значение кода упаковки, если код находится в какой-либо упаковке.
// 	 * ПолныйКодМаркировки - Строка - Значение полного кода маркировки в формате base64, если имеется в системе.
// 	 * ПолныйКодУпаковки - Строка - Значение полного кода упаковки в формате base64, если код находится в упаковке и имеется в системе.
// 	 * ШтрихКодВBase64 - Булево - Признак того, что в реквизите Штрихкод хранится значение кода в формате base64.
// 	 * НомерВГруппе - Строка - Номер кода в рамках одной группы (номер короба). Используется для объединения печати агрегированных данных.
// 	 * ШаблонЭтикетки - ОпределяемыйТип.ШаблонЭтикеткиИС - Шаблон этикетки для печати.
// 	 * СрокГодности - Дата - Срок годности, указанный в коде маркировки, при его наличии.
// 	 * Количество - Число - Количество экземпляров для печати.
// 	 * СодержимоеКоличество - Число - Количество элементов (кодов, упаковок), содержащихся в упаковке (логистической, групповой, наборе).
// 	ТабличныйДокумент - ТабличныйДокумент - результат печати
// 	СтруктураНастроек - Структура - Дополнительне параметры для печати
// 	СтандартнаяОбработка - Булево - Признак использования библиотечной печати
Процедура ПечатьЭтикетокИСМП(ТаблицаДляПечати, ТабличныйДокумент, СтруктураНастроек, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМППереопределяемый.ПечатьЭтикетокИСМП(ТаблицаДляПечати, ТабличныйДокумент, СтруктураНастроек, СтандартнаяОбработка) 
```
</details>

## ДополнитьТекстЗапросаСвязанныхДокументовОснований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет текст запроса для выбора связанных оснований
// Использутеся для определения связанных документов оснований, например:
// 	Формируем заказ поставщику, на основании Заказа на эмиссию, заказываем коды.
// 	На основании заказа поставщику вводим документ Приобритение товара.
// 	На основании Приобритения товара вводим документ Маркировка товаров и печатем новый код маркировки.
// 	Так как основания у документов Заказ на эмиссию и Маркировка товаров разные, - то определение связи между документами
// 	Заказ поставщику и Приобритение.
//
// 	Запрос содержит:
// - Установленный параметр Документ - исходный документ
// - Временную таблицу ДокументыОснования - исходный документ основания
// - Временную таблицу ОснованияДляПоискаСвязи - Выбранные документы оснований из исходного документа.
// 	Результат должен содержать одно поле создаваемой временной таблицы СвязанныеОснования,
//	значение которого присутсвует в определяемом типе ОснованиеЗаказНаЭмиссиюКодовМаркировкиИСМП.
//
// Параметры:
// 	ТекстЗапроса - Строка - Текст запроса.
// 	СтандартнаяОбработка - Булево - Призна включения переопределения.
Процедура ДополнитьТекстЗапросаСвязанныхДокументовОснований(ТекстЗапроса, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМППереопределяемый.ДополнитьТекстЗапросаСвязанныхДокументовОснований(ТекстЗапроса, СтандартнаяОбработка) 
```
</details>

## ПриОпределенииСхемыКомпоновкиДанныхДляПечатиТаблицыКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события получения схемы компоновки данных для вывода на печать кодов маркировки в линейную таблицу.
// Если обработчик пустой, то будет использоваться библиотечная схема и стандартный набор полей.
//
// Параметры:
// 	СхемаКомпоновкиДанных - Неопределено, СхемаКомпоновкиДанных - Схема компоновки данных для вывода на печать кодов маркировки.
Процедура ПриОпределенииСхемыКомпоновкиДанныхДляПечатиТаблицыКодовМаркировки(СхемаКомпоновкиДанных) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИСМППереопределяемый.ПриОпределенииСхемыКомпоновкиДанныхДляПечатиТаблицыКодовМаркировки(СхемаКомпоновкиДанных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
