---
title: Печать этикеток и ценников БПО
slug: erp-uh/печать-этикеток-и-ценников-бпо
---


## ЗаполнитьПредопределенныеЭлементы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет предопределенные элементы в справочнике Шаблоны этикеток и ценников.
//
Процедура ЗаполнитьПредопределенныеЭлементы() Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПО.ЗаполнитьПредопределенныеЭлементы() 
```
</details>

## ОбновитьМакетыЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить макеты этикеток на новый формат.
//
// Параметры:
//  Параметры - Структура
//
Процедура ОбновитьМакетыЭтикеток(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПО.ОбновитьМакетыЭтикеток(Параметры);
```
</details>

## ТаблицаЗначенийТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений товаров для печати этикеток
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//   * Выбран - Булево
//   * НоменклатураБПО - ОпределяемыйТип.НоменклатураБПО
//   * ХарактеристикаБПО - ОпределяемыйТип.ХарактеристикаБПО
//   * УпаковкаБПО - ОпределяемыйТип.УпаковкаБПО
//   * ОрганизацияБПО - ОпределяемыйТип.ОрганизацияБПО
//   * Цена - ОпределяемыйТип.ДенежнаяСуммаНеотрицательная
//   * Штрихкод - Строка
//   * ШаблонЦенникаЭтикетки - СправочникСсылка.ШаблоныЭтикетокИЦенниковБПО
//   * Количество - Число
//   * НомерСтроки - Число
//   * ИсходныйНомерСтроки - Число
//
Функция ТаблицаЗначенийТоваров() Экспорт
```

Пример вызова
```bsl
Результат = ПечатьЭтикетокИЦенниковБПО.ТаблицаЗначенийТоваров() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
