---
title: Печать этикеток и ценников БПО клиент переопределяемый
slug: erp-uh/печать-этикеток-и-ценников-бпо-клиент-переопределяемый
---


## ОткрытьФормуПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет открытие формы подбора товаров в обработке ПечатьЭтикетокИЦенников.
//
// Параметры:
//  ПараметрыОткрытия - Структура:
//   * ФормаВладелец - ФормаКлиентскогоПриложения - Форма владелец.
//   * ОбработчикЗакрытия - ОписаниеОповещения - оповещение о закрытии формы.
//   * РежимБлокировки - РежимОткрытияОкнаФормы - режим блокировки окна формы владельца.
//   * ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектБПО - торговый объект для определения свойств товаров.
//
Процедура ОткрытьФормуПодбора(ПараметрыОткрытия) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ОткрытьФормуПодбора(ПараметрыОткрытия) 
```
</details>

## ПодобратьТоварыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет оповещение закрытие формы подбора и обработку результаты. Для работы обработки необходимо заполнить параметр МассивТоваровДляПечати.
//
// Параметры:
//  Результат - Структура - структура результата выполнения процедуры подбора товаров.
//  ПараметрыОперации - Структура - параметры выполнения процедуры подбора товаров.
//  МассивТоваровДляПечати - Массив Из см.ПечатьЭтикетокИЦенниковБПОКлиентСервер.ТоварДляПечати - массив товаров для заполнения.
//
Процедура ПодобратьТоварыЗавершение(Результат, ПараметрыОперации, МассивТоваровДляПечати) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ПодобратьТоварыЗавершение(Результат, ПараметрыОперации, МассивТоваровДляПечати) 
```
</details>

## ЗаполнитьПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет оповещение закрытие формы подбора и обработку результаты. Для работы обработки необходимо заполнить параметр МассивТоваровДляПечати.
//
// Параметры:
//  ПараметрыОперации - Структура - параметры выполнения процедуры подбора товаров.
//  МассивТоваровДляПечати - Массив Из см.ПечатьЭтикетокИЦенниковБПОКлиентСервер.ТоварДляПечати - массив товаров для заполнения.
//
Процедура ЗаполнитьПоОтбору(ПараметрыОперации, МассивТоваровДляПечати) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ЗаполнитьПоОтбору(ПараметрыОперации, МассивТоваровДляПечати) 
```
</details>

## ОповещениеПоискаПоШтрихкодуЭтикетокИЦенниковБПО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет оповещение закрытие формы поиска по штрихкоду и обработку результаты. Для работы обработки необходимо заполнить параметр МассивТоваровДляПечати.
//
// Параметры:
//  Результат - Структура - структура результата выполнения процедуры подбора товаров.
//  ПараметрыОперации - Структура - параметры выполнения процедуры подбора товаров.
//  МассивТоваровДляПечати - Массив Из см.ПечатьЭтикетокИЦенниковБПОКлиентСервер.ТоварДляПечати - массив товаров для заполнения.
//
Процедура ОповещениеПоискаПоШтрихкодуЭтикетокИЦенниковБПО(Результат, ПараметрыОперации, МассивТоваровДляПечати) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ОповещениеПоискаПоШтрихкодуЭтикетокИЦенниковБПО(Результат, ПараметрыОперации, МассивТоваровДляПечати) 
```
</details>

## ПараметрыКомандыОткрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры команды открытия.
//
// Параметры:
//  ПараметрыФормы - Структура - Параметры формы
//
Процедура ПараметрыКомандыОткрытия(ПараметрыФормы) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ПараметрыКомандыОткрытия(ПараметрыФормы) 
```
</details>

## ВыгрузитьВТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет выгрузку данных на ТСД
//
// Параметры:
//  Объект - ФормаКлиентскогоПриложения - форма владелец.
//  ПараметрыФормы - Структура - Параметры формы.
//
Процедура ВыгрузитьВТСД(Объект, ПараметрыФормы) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ВыгрузитьВТСД(Объект, ПараметрыФормы) 
```
</details>

## ЗагрузитьИзТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет загрузку данных на ТСД
//
// Параметры:
//  Объект - ФормаКлиентскогоПриложения - форма владелец.
//  ПараметрыФормы - Структура - Параметры формы.
//  ОписаниеОповещения - ОписаниеОповещения - оповещение для окончания загрузки данных.
//
Процедура ЗагрузитьИзТСД(Объект, ПараметрыФормы, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ЗагрузитьИзТСД(Объект, ПараметрыФормы, ОписаниеОповещения) 
```
</details>

## ОповещениеЗагрузкиИзТСДЭтикетокИЦенниковБПО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет оповещение загрузки данных из ТСД. Для работы обработки необходимо заполнить параметр МассивТоваровДляПечати.
//
// Параметры:
//  Объект - Структура - структура результата выполнения процедуры подбора товаров.
//  ПараметрыФормы - Структура - параметры выполнения процедуры подбора товаров.
//  МассивТоваровДляПечати - Массив Из см.ПечатьЭтикетокИЦенниковБПОКлиентСервер.ТоварДляПечати - массив товаров для заполнения.
//
Процедура ОповещениеЗагрузкиИзТСДЭтикетокИЦенниковБПО(Объект, ПараметрыФормы, МассивТоваровДляПечати) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ОповещениеЗагрузкиИзТСДЭтикетокИЦенниковБПО(Объект, ПараметрыФормы, МассивТоваровДляПечати) 
```
</details>

## ПараметрыВыгрузкиИЗагрузкиВТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры выгрузки и загрузки в ТСД.
//
// Параметры:
//  ДополнительныеПараметры - Неопределено - будет передано в процедуру ВыгрузитьВТСД
Процедура ПараметрыВыгрузкиИЗагрузкиВТСД(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ПараметрыВыгрузкиИЗагрузкиВТСД(ДополнительныеПараметры) 
```
</details>

## ПриИзмененииВидаЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при создании формы элемента ШаблоныЭтикетокИЦенниковБПО.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма обработки
//
Процедура ПриИзмененииВидаЦены(Форма) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ПриИзмененииВидаЦены(Форма) 
```
</details>

## РедактироватьСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет открытие формы редактирования скд.
//
// Параметры:
//  ПараметрыОткрытия - Структура
//
Процедура РедактироватьСКД(ПараметрыОткрытия) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.РедактироватьСКД(ПараметрыОткрытия) 
```
</details>

## ОбработкаОткрытияНастройкиСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет оповещение редактирования СКД.
//
// Параметры:
//  Результат - Структура - структура результата выполнения процедуры подбора товаров.
//  ПараметрыОперации - Структура - параметры выполнения процедуры подбора товаров.
//
Процедура ОбработкаОткрытияНастройкиСКД(Результат, ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.ОбработкаОткрытияНастройкиСКД(Результат, ПараметрыОперации) 
```
</details>

## УстановитьШтрихкодыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет оповещение редактирования СКД.
//
// Параметры:
//  ВыделенныеТовары - Массив
//  Товары - ТаблицаЗначений - товары для установки штрихкодов.
//  Штрихкоды - Соответствие
//
Процедура УстановитьШтрихкодыНоменклатуры(ВыделенныеТовары, Товары, Штрихкоды) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.УстановитьШтрихкодыНоменклатуры(ВыделенныеТовары, Товары, Штрихкоды) 
```
</details>

## РедакторЭтикетокФормаРедактированияМакетаПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РедакторЭтикетокФормаРедактированияМакетаПриОткрытии(ЭтаФорма, Отказ) Экспорт
```

Пример вызова
```bsl
ПечатьЭтикетокИЦенниковБПОКлиентПереопределяемый.РедакторЭтикетокФормаРедактированияМакетаПриОткрытии(ЭтаФорма, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
