---
title: Планирование клиент
slug: erp-uh/планирование-клиент
---


## ИзменитьФлагОтменыСтрокПлана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура изменения флага отмены строк плана
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения	 - Форма документа плана
//  Таблица				 - ТаблицаЗначений				 - Таблица в которой устанавливается флаг отмены строки
//  ИмяЭлементаТаблицы	 - Строка						 - Имя элемента формы таблицы
//  ОповещениеОЗакрытии	 - ОписаниеОповещения			 - Оповещение, выполняемое после закрытия.
//
Процедура ИзменитьФлагОтменыСтрокПлана(Форма, Таблица, ИмяЭлементаТаблицы, ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиент.ИзменитьФлагОтменыСтрокПлана(Форма, Таблица, ИмяЭлементаТаблицы, ОповещениеОЗакрытии);
```
</details>

## ПоказатьВопросПриИзмененииСценария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Показать вопрос при изменении сценария
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения				 - Форма документа плана
//  ОповещениеОЗакрытии	 - ОписаниеОповещения			 - Оповещение, выполняемое после закрытия.
Процедура ПоказатьВопросПриИзмененииСценария(Форма, ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиент.ПоказатьВопросПриИзмененииСценария(Форма, ОповещениеОЗакрытии);
```
</details>

## ПоказатьВопросПриИзмененииВидПлана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Показать вопрос при изменении вид плана
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения				 - Форма документа плана
//  ОповещениеОЗакрытии	 - ОписаниеОповещения			 - Оповещение, выполняемое после закрытия.
Процедура ПоказатьВопросПриИзмененииВидПлана(Форма, ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиент.ПоказатьВопросПриИзмененииВидПлана(Форма, ОповещениеОЗакрытии);
```
</details>

## ИзменитьФормулуНаПроцент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Изменить формулу на процент
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения	 - Форма документа плана
//  Таблица				 - ТаблицаЗначений				 - Таблица в которой устанавливается формула
//  ИмяЭлементаТаблицы	 - Строка						 - Имя элемента формы таблицы
//  ОповещениеОЗакрытии	 - ОписаниеОповещения			 - Оповещение, выполняемое после закрытия.
//
Процедура ИзменитьФормулуНаПроцент(Форма, Таблица, ИмяЭлементаТаблицы, ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиент.ИзменитьФормулуНаПроцент(Форма, Таблица, ИмяЭлементаТаблицы, ОповещениеОЗакрытии);
```
</details>

## ОкруглитьФормулу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Округлить формулу
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения - Форма документа плана
//  Таблица				 - ДанныеФормыКоллекция		  - Таблица в которой устанавливается формула
//  ИмяЭлементаТаблицы	 - Строка					  - Имя элемента формы таблицы
//  ОповещениеОЗакрытии	 - ОписаниеОповещения		  - Оповещение, выполняемое после закрытия.
//
Процедура ОкруглитьФормулу(Форма, Таблица, ИмяЭлементаТаблицы, ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиент.ОкруглитьФормулу(Форма, Таблица, ИмяЭлементаТаблицы, ОповещениеОЗакрытии);
```
</details>

## ПриИзмененииПериодаПлана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - При изменении периода плана
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения	 - Форма документа плана:
//    * Объект - ДокументОбъект.ПланЗакупок -
// 	          - ДокументОбъект.ПланОстатков -
// 	          - ДокументОбъект.ПланПродаж -
// 	          - ДокументОбъект.ПланПродажПоКатегориям -
// 	          - ДокументОбъект.ПланПроизводства -
// 	          - ДокументОбъект.ПланСборкиРазборки -
//  ИмяКроссТаблицы		 - Строка						 - Имя элемента формы таблицы
//  ОповещениеОбновленияИнтерфейса	 - ОписаниеОповещения			 - Оповещение, выполняемое после закрытия.
Процедура ПриИзмененииПериодаПлана(Форма, Знач ИмяКроссТаблицы, ОповещениеОбновленияИнтерфейса) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиент.ПриИзмененииПериодаПлана(Форма, ИмяКроссТаблицы, ОповещениеОбновленияИнтерфейса) 
```
</details>

## ВычислитьПоФормуле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисление по формуле
//
// Параметры:
//  ИсходнаяФормула	 - Строка					 - Значение исходной формулы
//  ТекущиеДанные	 - ДанныеФормыЭлементКоллекции	 - Значение текущих данных табличной части
//  Периоды			 - ДанныеФормыКоллекция			 - Значения периодов
//  Период			 - ДанныеФормыЭлементКоллекции	 - Значение текущего периода из таблицы периодов
//  Представление	 - Строка						 - Значение пользовательского представления формулы.
//  СерверныйВызов - Булево
//
// Возвращаемое значение:
//  Структура - Возвращает структуру с новыми параметрами представления формулы.
//
Функция ВычислитьПоФормуле(Знач ИсходнаяФормула, Знач ТекущиеДанные, Знач Периоды, Знач Период, Знач Представление = Неопределено, СерверныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиент.ВычислитьПоФормуле(ИсходнаяФормула, ТекущиеДанные, Периоды, Период, Представление, СерверныйВызов);
```
</details>

## СформироватьРасшифровку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать расшифровку.
//
// Параметры:
//  СтрокаТЧ - ДанныеФормыЭлементКоллекции -
//  ПутьКРасшифровке - Строка
//
// Возвращаемое значение:
//  Строка, ФорматированнаяСтрока - Сформировать расшифровку
Функция СформироватьРасшифровку(СтрокаТЧ, ПутьКРасшифровке = "Расшифровка") Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиент.СформироватьРасшифровку(СтрокаТЧ, ПутьКРасшифровке);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
