---
title: Планирование клиент сервер
slug: erp-uh/планирование-клиент-сервер
---


## ОперандыТекстовойФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Извлекает операнды из текстовой формулы
//
// Параметры:
//  Формула - Строка - текст формулы.
//
// Возвращаемое значение:
//  Массив из Строка - Операнды из текстовой формулы (без внешних скобок, например, "Номенклатура.{ДР.Экспедитор}").
//
Функция ОперандыТекстовойФормулы(Формула) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ОперандыТекстовойФормулы(Формула) 
```
</details>

## ЗаполнитьКроссТаблицуИзТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразование Таблицы в Кросс-таблицу с переносом значений реквизитов периода в колонки кросс-таблицы.
//
// Параметры:
//  КроссТаблица - ДанныеФормыКоллекция - Кросс-таблица в форме
//  Таблица      - ДанныеФормыКоллекция - Табличная часть объекта
//  Параметры    - Структура - Дополнительные настройки, передаваемые в процедуру:
//                            ТаблицаПериоды, Периодичность, СтруктураРеквизитовПериода, СтруктураРеквизитов,
//                            ПоляГруппировки
//  ПолуфабрикатыПоДатам - ТаблицаЗначений
//
Процедура ЗаполнитьКроссТаблицуИзТаблицы(КроссТаблица, Таблица, Параметры, ПолуфабрикатыПоДатам = Неопределено) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиентСервер.ЗаполнитьКроссТаблицуИзТаблицы(КроссТаблица, Таблица, Параметры, ПолуфабрикатыПоДатам);
```
</details>

## РассчитатьНомерСтрокиКроссТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рассчитывает добавленное поле "Номер строки" для кросс-таблицы
//
// Параметры:
//  Форма                    - ФормаКлиентскогоПриложения - Форма в которой есть кросс-таблица
//  ИмяРеквизитаКроссТаблицы - Строка - Имя кросс-таблицы в форме.
//
Процедура РассчитатьНомерСтрокиКроссТаблицы(Форма, Знач ИмяРеквизитаКроссТаблицы) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиентСервер.РассчитатьНомерСтрокиКроссТаблицы(Форма, ИмяРеквизитаКроссТаблицы) 
```
</details>

## СлужебнаяКроссТаблица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает служебную таблицу значений
//
// Возвращаемое значение:
//  ТаблицаЗначений - Содержит:
//  * НомерСтроки - Число -
//
Функция СлужебнаяКроссТаблица() Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.СлужебнаяКроссТаблица() 
```
</details>

## УстановитьНачалоОкончаниеПериодаПлана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчет дат начала и окончания периода планирования с заданной периодичностью
//
// Параметры:
//  Периодичность  	- ПеречислениеСсылка.Периодичность - Периодичность с которой нужно рассчитать даты
//  НачалоПериода  	- Дата - Дата начала периода
//  ОкончаниеПериода  	- Дата - Дата окончания периода.
//  ТекущаяДатаСеанса   - Дата - Текущая дата.
//  КоличествоПериодов - Число
//  ТребуетсяПересчетОкончанияПериода - Булево
//
Процедура УстановитьНачалоОкончаниеПериодаПлана(Знач Периодичность, НачалоПериода, ОкончаниеПериода, ТекущаяДатаСеанса, КоличествоПериодов = 1, ТребуетсяПересчетОкончанияПериода = Ложь) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиентСервер.УстановитьНачалоОкончаниеПериодаПлана(Периодичность, НачалоПериода, ОкончаниеПериода, ТекущаяДатаСеанса, КоличествоПериодов, ТребуетсяПересчетОкончанияПериода);
```
</details>

## СформироватьЗаголовокПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует заголовок для интервала дат с заданной периодичностью (День, неделя, декада, месяц и т.д.).
//
// Параметры:
//  Периодичность 	- ПеречислениеСсылка.Периодичность - Периодичность для которой нужно сформировать заголовок
//  ДатаНачала 		- Дата - Дата начала периода
//  ДатаОкончания 	- Дата - Дата окончания периода
//  ОтображатьНомерПериода  - Булево - Флаг отображения заголовка по номеру периода в пределах года.
//  Замещен - Булево
//
// Возвращаемое значение:
//  Строка - Текстовое представление заголовка периода.
//
Функция СформироватьЗаголовокПериода(Знач Периодичность, Знач ДатаНачала, Знач ДатаОкончания, Знач ОтображатьНомерПериода = Ложь, Замещен = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.СформироватьЗаголовокПериода(Периодичность, ДатаНачала, ДатаОкончания, ОтображатьНомерПериода, Замещен);
```
</details>

## РассчитатьДатуНачалаПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает дату начала периода по указанной дате и периодичности
//
// Параметры:
//  Дата			 - Дата							 - дата, к которой будет рассчитана дата начала периода
//  Периодичность	 - ПеречислениеСсылка.Периодичность	 - значение перечисления "Периодичность".
//
// Возвращаемое значение:
//  Дата - Дата начала периода
//
Функция РассчитатьДатуНачалаПериода(Знач Дата, Знач Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.РассчитатьДатуНачалаПериода(Дата, Периодичность) 
```
</details>

## РассчитатьДатуОкончанияПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает дату окончания периода по указанной дате и периодичности
//
// Параметры:
//  Дата			 - Дата							 - дата, к которой будет рассчитана дата окончания периода
//  Периодичность	 - ПеречислениеСсылка.Периодичность	 - значение перечисления "Периодичность".
//
// Возвращаемое значение:
//  Дата - Дата окончания периода.
//
Функция РассчитатьДатуОкончанияПериода(Знач Дата, Знач Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.РассчитатьДатуОкончанияПериода(Дата, Периодичность) 
```
</details>

## ПроверитьДатуПериодаТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет даты периода в табличной части соответствуют границам периода планирования.
//
// Параметры:
//  Объект    - ДокументСсылка.ПланЗакупок - документ плана, в котором проверяют даты периода
// 	          - ДокументСсылка.ПланОстатков -
// 	          - ДокументСсылка.ПланПродаж -
// 	          - ДокументСсылка.ПланПродажПоКатегориям -
// 	          - ДокументСсылка.ПланПроизводства -
// 	          - ДокументСсылка.ПланСборкиРазборки -
// 	          - ДанныеФормыСтруктура - со свойством:
// 	             * Ссылка - ДокументСсылка
//  Отказ     - Булево - Присваивается Истина, если операция выполнена не успешно
//  Параметры - Структура - Дополнительные параметры (ДатаНачала, ДатаОкончания и т.д.).
//
Процедура ПроверитьДатуПериодаТЧ(Объект, Отказ, Параметры) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиентСервер.ПроверитьДатуПериодаТЧ(Объект, Отказ, Параметры) 
```
</details>

## НеобходимоОбновитьИнтерфейс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает измененные реквизиты, которые влияют на обновление интерфейса
//
// Параметры:
//  Объект               - ДокументОбъект - или реквизит формы "Объект" в котором проверяются измененные реквизиты
//  Форма                - ФормаКлиентскогоПриложения - Форма документа
//  ИмяРеквизитаПроверки - Строка - Имя реквизита создаваемого на форме для сохранения значений реквизитов объекта.
//
// Возвращаемое значение:
//  Булево - Истина, если интерфейс должен быть обновлен.
//
Функция НеобходимоОбновитьИнтерфейс(Объект, Форма, Знач ИмяРеквизитаПроверки) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.НеобходимоОбновитьИнтерфейс(Объект, Форма, ИмяРеквизитаПроверки) 
```
</details>

## СохранитьЗначенияПроверяемыхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет значения реквизитов объекта в структуру на форме для последующей проверки изменений.
//
// Параметры:
// Объект               - ДокументОбъект - или реквизит формы "Объект" в котором проверяются измененные реквизиты
// Форма                - ФормаКлиентскогоПриложения
// ИмяРеквизитаПроверки - Строка - Имя реквизита созданного на форме для сохранения значений реквизитов объекта.
//
Процедура СохранитьЗначенияПроверяемыхРеквизитов(Объект, Форма, Знач ИмяРеквизитаПроверки) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиентСервер.СохранитьЗначенияПроверяемыхРеквизитов(Объект, Форма, ИмяРеквизитаПроверки) 
```
</details>

## ВосстановитьЗначенияИзПроверяемыхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет значения реквизитов объекта в структуру на форме для последующей проверки изменений.
//
// Параметры:
// Объект                 - ДокументОбъект - или реквизит формы "Объект" в котором проверяются измененные реквизиты
// Форма                  - ФормаКлиентскогоПриложения
// ИмяРеквизитаПроверки   - Строка - Имя реквизита созданного на форме для сохранения значений реквизитов объекта
// ИменаРеквизитовОбъекта - Строка - Имена реквизитов объекта, в которые восстанавливаются значения.
//
Процедура ВосстановитьЗначенияИзПроверяемыхРеквизитов(Объект, Форма, Знач ИмяРеквизитаПроверки, Знач ИменаРеквизитовОбъекта) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиентСервер.ВосстановитьЗначенияИзПроверяемыхРеквизитов(Объект, Форма, ИмяРеквизитаПроверки, ИменаРеквизитовОбъекта) 
```
</details>

## ПолучитьТипПланаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает значение типа плана по ссылки документа
//
// Параметры:
//  Ссылка  - ЛюбаяСсылка - Ссылка на документ плана для которого требуется определить тип.
//
// Возвращаемое значение:
//   ПеречислениеСсылка.ТипыПланов   - Тип плана: план продаж, план закупок, план сборки (разборки) и т.д.
//
Функция ПолучитьТипПланаПоСсылке(Знач Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ПолучитьТипПланаПоСсылке(Ссылка) 
```
</details>

## ПолучитьТекстВыбираемыхПолейКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить текст выбираемых полей компоновки с учетом пользовательских настроек.
//
// Параметры:
//  КомпоновщикНастроек			 - КомпоновщикНастроекКомпоновкиДанных 	 - компоновщик настроек, по которому получаются поля
//  УдалятьНеиспользуемыеПоля	 - Булево	 - Если Истина, то из пользовательских полей удаляются все не используемые поля
//  ИспользуемыеПоля			 - Массив	 - используемые для выборки поля.
//
// Возвращаемое значение:
//  Строка - строковое перечисление выбираемых полей.
//
Функция ПолучитьТекстВыбираемыхПолейКомпоновки(КомпоновщикНастроек, УдалятьНеиспользуемыеПоля = Ложь, ИспользуемыеПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ПолучитьТекстВыбираемыхПолейКомпоновки(КомпоновщикНастроек, УдалятьНеиспользуемыеПоля, ИспользуемыеПоля);
```
</details>

## ПолучитьПоляГруппировок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает поля группировки компоновщика настроек
//
// Параметры:
//  КомпоновщикНастроек  - КомпоновщикНастроекКомпоновкиДанных - компоновщик в котором необходимо получить поля группировки.
//
// Возвращаемое значение:
//  КоллекцияПолейГруппировкиКомпоновкиДанных - Коллекция элементов полей группировки.
//
Функция ПолучитьПоляГруппировок(КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ПолучитьПоляГруппировок(КомпоновщикНастроек) 
```
</details>

## ПолучитьПоляВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает поля выбора компоновщика настроек
//
// Параметры:
//  КомпоновщикНастроек  - КомпоновщикНастроекКомпоновкиДанных - компоновщик в котором необходимо получить поля выбора.
//
// Возвращаемое значение:
//  КоллекцияВыбранныхПолейКомпоновкиДанных - Коллекция элементов полей выбора.
//
Функция ПолучитьПоляВыбора(КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ПолучитьПоляВыбора(КомпоновщикНастроек) 
```
</details>

## НомерДняНедели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисление дня недели
//
// Параметры:
//	ДеньНедели	 - ПеречислениеСсылка.ДниНедели - день недели.
// Возвращаемое значение:
//	Число - номер дня недели.
Функция НомерДняНедели(Знач ДеньНедели) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.НомерДняНедели(ДеньНедели) 
```
</details>

## ИмяПодсистемыПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя подсистемы "Планирование" в УТ /"БюджетированиеИПланирование" в КА и УП.
//
// Возвращаемое значение:
//  Строка - Имя подсистемы планирования
Функция ИмяПодсистемыПланирования() Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ИмяПодсистемыПланирования() 
```
</details>

## ОтборДляЗаполненияПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает отбор для выборки показателей
//
// Параметры:
//  ТипПлана			 - ПеречислениеСсылка.ТипыПланов	 - Значение перечисления типы плана
//  Параметры			 - Структура						 - Значение для отбора
//  ПараметрыВидаПлана	 - Структура						 - Значение реквизитов вида плана.
//
// Возвращаемое значение:
//  Структура - Структура отбора
//
Функция ОтборДляЗаполненияПоказателей(ТипПлана, Параметры, ПараметрыВидаПлана) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ОтборДляЗаполненияПоказателей(ТипПлана, Параметры, ПараметрыВидаПлана) 
```
</details>

## ОтборДляВыборки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает отбор для выборки по умолчанию
//
// Параметры:
//  Параметры			 - Структура						 - Значение для отбора
//  ПараметрыВидаПлана	 - Структура						 - Значение реквизитов вида плана.
//
// Возвращаемое значение:
//  Соответствие - Структура отбора
//
Функция ОтборДляВыборки(Параметры, ПараметрыВидаПлана) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ОтборДляВыборки(Параметры, ПараметрыВидаПлана) 
```
</details>

## УстановитьПредставлениеФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает представление формулы
//
// Параметры:
// Форма             - ФормаКлиентскогоПриложения - Форма документа
// ТекущаяСтрока     - ДанныеФормыЭлементКоллекции - Текущие данные табличной части.
//
Процедура УстановитьПредставлениеФормулы(Форма, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиентСервер.УстановитьПредставлениеФормулы(Форма, ТекущаяСтрока) 
```
</details>

## ОчиститьЗначениеФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает значение реквизита "ФормулаВычисление"
//
// Параметры:
// Форма             - ФормаКлиентскогоПриложения - Форма документа.
//
Процедура ОчиститьЗначениеФормулы(Форма) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиентСервер.ОчиститьЗначениеФормулы(Форма) 
```
</details>

## ОтобразитьЗначениеДополнительныхПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет значения дополнительных параметров
//
// Параметры:
// Форма           - ФормаКлиентскогоПриложения - Форма документа
// ДопРеквизиты    - Массив из см. Планирование.СтруктураДопПоля - Массив дополнительных реквизитов
// ИмяТЧ           - Строка - Имя табличной части.
//
Процедура ОтобразитьЗначениеДополнительныхПараметров(Форма, ДопРеквизиты, ИмяТЧ) Экспорт
```

Пример вызова
```bsl
ПланированиеКлиентСервер.ОтобразитьЗначениеДополнительныхПараметров(Форма, ДопРеквизиты, ИмяТЧ) 
```
</details>

## ТекстУстановкиНовойФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - возвращает текст установки новой формулы
//
// Возвращаемое значение:
//  Строка - представление пустой формулы.
//
Функция ТекстУстановкиНовойФормулы() Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ТекстУстановкиНовойФормулы() 
```
</details>

## ТекстВыборкаКолонкиКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст колонки количества
//
// Возвращаемое значение:
//	Строка - текст колонки количества.
Функция ТекстВыборкаКолонкиКоличества() Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ТекстВыборкаКолонкиКоличества() 
```
</details>

## ТекстУстановкиФормулыПолуфабриката
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст для строки полуфабриката
//
// Возвращаемое значение:
//	Строка - текст строки полуфабриката.
Функция ТекстУстановкиФормулыПолуфабриката() Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ТекстУстановкиФормулыПолуфабриката() 
```
</details>

## НомерТекущейКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисление номера текущей колонки
//
// Параметры:
//	СлужебныеПараметры	 - Структура - служебные параметры.
//	ПользовательскийПараметр - Структура - пользовательские параметры.
// Возвращаемое значение:
//	Число - номер текущий колонки.
Функция НомерТекущейКолонки(СлужебныеПараметры = Неопределено, ПользовательскийПараметр = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.НомерТекущейКолонки(СлужебныеПараметры, ПользовательскийПараметр);
```
</details>

## ЗначениеКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисление значения колонки
//
// Параметры:
//	СлужебныеПараметры	 - Структура - служебные параметры.
//	ПользовательскийПараметр - Структура - пользовательские параметры.
// Возвращаемое значение:
//	Число - значение в колонке.
Функция ЗначениеКолонки(СлужебныеПараметры = Неопределено, ПользовательскийПараметр = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеКлиентСервер.ЗначениеКолонки(СлужебныеПараметры, ПользовательскийПараметр);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
