---
title: Планирование производства вызов сервера
slug: erp-uh/планирование-производства-вызов-сервера
---


## ОчередьПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает очередь заказов для планирования по указанный заказ
//
// Параметры:
//  Заказ				 - ДокументСсылка.ЗаказНаПроизводство	 - ссылка на заказ, по который нужно планировать
//  ПоВсемДиспетчерам	 - Булево								 - признак, планировать по всем диспетчерам.
//
// Возвращаемое значение:
//   - Массив - очередь планирования.
//
Функция ОчередьПланирования(Заказ, ПоВсемДиспетчерам = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваВызовСервера.ОчередьПланирования(Заказ, ПоВсемДиспетчерам);
```
</details>

## РассчитатьГрафикВыпуска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает график производства по заказу
//
// Параметры:
//  Заказ	 - ДокументСсылка.ЗаказНаПроизводство	 - заказ для расчета графика производства.
//
// Возвращаемое значение:
//   - Структура - результат расчета графика.
//
Функция РассчитатьГрафикВыпуска(Заказ) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваВызовСервера.РассчитатьГрафикВыпуска(Заказ) 
```
</details>

## ПараметрыРасшифровкиОтклонениеЗаказаФактаОтКалькуляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает фиксированные настройки для отчета ОтклонениеЗаказаФактаОтКалькуляции
//
// Параметры:
//   Параметры - Структура - структура устанавливаемых параметров.
//
// Возвращаемое значение:
//	НастройкиКомпоновкиДанных - фиксированные настройки.
//
Функция ПараметрыРасшифровкиОтклонениеЗаказаФактаОтКалькуляции(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваВызовСервера.ПараметрыРасшифровкиОтклонениеЗаказаФактаОтКалькуляции(Параметры) 
```
</details>

## СтруктураДанныхПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает пустую структуру данных по продукции
//
// Параметры:
//  ДанныеЗаполнения - Структура - структура данных строки продукции заказа на производство:
//  * КлючСвязи - УникальныйИдентификатор - Идентификатор строки продукции в заказе на производство
//  * Номенклатура - СправочникСсылка.Номенклатура - номенклатура продукции
//  * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика продукции
//  * Подразделение - СправочникСсылка.СтруктураПредприятия - подразделение-получатель для работ
//  * Склад - СправочникСсылка.Склады - склад для продукции
//  * Назначение - СправочникСсылка.Назначения - назначение продукции заказа на производство
//  * НазначениеЗаказа - СправочникСсылка.Назначения - назначение заказа на производство.
//
// Возвращаемое значение:
//   - Структура - данные по продукции.
//
Функция СтруктураДанныхПродукции(Знач ДанныеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваВызовСервера.СтруктураДанныхПродукции(ДанныеЗаполнения);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
