---
title: Планирование производства клиент
slug: erp-uh/планирование-производства-клиент
---


## ПланироватьОчередьЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Устарело_Производство21

// Выполняет планирование заказов на производство
//
// Параметры:
//  Заказ - ДокументСсылка.ЗаказНаПроизводство - Заказ по который нужно запланировать
//  ПоВсемДиспетчерам - Булево - Истина, если очередь нужно планировать по всем диспетчерам.
//
Процедура ПланироватьОчередьЗаказов(Заказ, ПоВсемДиспетчерам = Истина) Экспорт
```

Пример вызова
```bsl
ПланированиеПроизводстваКлиент.ПланироватьОчередьЗаказов(Заказ, ПоВсемДиспетчерам);
```
</details>

## ИзменитьДоступностьВидаРЦ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Устарело_Производство21

// Открывает рабочее место для изменения доступности вида РЦ
//
// Параметры:
//  ВидРабочегоЦентра	- СправочникСсылка.ВидыРабочихЦентров - Вид рабочего центра для которого нужно изменить доступности
//  ДатаИнтервала		- Дата - Дата в которой нужно изменить доступность.
//
Процедура ИзменитьДоступностьВидаРЦ(ВидРабочегоЦентра, ДатаИнтервала) Экспорт
```

Пример вызова
```bsl
ПланированиеПроизводстваКлиент.ИзменитьДоступностьВидаРЦ(ВидРабочегоЦентра, ДатаИнтервала) 
```
</details>

## ПечатьГрафикаПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Устарело_Производство21

// Выводит на печать диаграмму графика производства
//
// Параметры:
//  Заказ			- ДокументСсылка.ЗаказНаПроизводство - Заказ по которому сформирован график
//  ПараметрыПечати	- Структура - Содержит параметры печати: Этапы, Ошибки, КлючСвязиПродукция, ПериодыНедоступности
//  Форма			- ФормаКлиентскогоПриложения - Форма из которой выполняется печать.
//
Процедура ПечатьГрафикаПроизводства(Заказ, ПараметрыПечати, Форма) Экспорт
```

Пример вызова
```bsl
ПланированиеПроизводстваКлиент.ПечатьГрафикаПроизводства(Заказ, ПараметрыПечати, Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
