---
title: Планирование производства клиент сервер
slug: erp-uh/планирование-производства-клиент-сервер
---


## ПолучитьВремяВСекундах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит время из заданных единиц времени в секунды
//
// Параметры:
//  Время					 - Число								 - время
//  ЕдиницаИзмеренияВремени	 - ПеречислениеСсылка.ЕдиницыИзмеренияВремени	 - единица измерения времени.
//
// Возвращаемое значение:
//   - Число - время в секундах
//
Функция ПолучитьВремяВСекундах(Время, ЕдиницаИзмеренияВремени) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.ПолучитьВремяВСекундах(Время, ЕдиницаИзмеренияВремени) 
```
</details>

## ПолучитьВремяВЕдиницеИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит время в секундах во время в заданных единицах времени
//
// Параметры:
//  ВремяВСекундах			 - Число								 - время в секундах
//  ЕдиницаИзмеренияВремени	 - ПеречислениеСсылка.ЕдиницыИзмеренияВремени	 - единица измерения времени.
//
// Возвращаемое значение:
//   - Число - время в единице измерения.
//
Функция ПолучитьВремяВЕдиницеИзмерения(ВремяВСекундах, ЕдиницаИзмеренияВремени) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.ПолучитьВремяВЕдиницеИзмерения(ВремяВСекундах, ЕдиницаИзмеренияВремени) 
```
</details>

## ПолучитьВремяСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление времени в виде строки
//
// Параметры:
//  Время                   - Число - время
//	ЕдиницаИзмеренияВремени - ПеречислениеСсылка.ЕдиницыИзмеренияВремени - есть параметр задан,
//								то время выводится в формате ед. измерения, иначе используется формат "чч:мм:сс".
//
// Возвращаемое значение:
//   Строка   - Время строкой
//
Функция ПолучитьВремяСтрокой(Знач Время, ЕдиницаИзмеренияВремени = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.ПолучитьВремяСтрокой(Время, ЕдиницаИзмеренияВремени);
```
</details>

## НачалоИнтервалаПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Функция возвращает дату, выровненную по началу интервала планирования
//
// Параметры:
//  Период				 - Дата - исходная дата
//  ИнтервалПланирования - ПеречислениеСсылка.ТочностьГрафикаПроизводства - интервал планирования
//  НачалоИнтервала		 - Дата - начало интервала планирования
// Возвращаемое значение:
//  Дата - дата, выровненная по границе интервала планирования.
Функция НачалоИнтервалаПланирования(Период, ИнтервалПланирования, НачалоИнтервала = '00010101') Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.НачалоИнтервалаПланирования(Период, ИнтервалПланирования, НачалоИнтервала);
```
</details>

## ОкончаниеИнтервалаПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает дату выровненную по окончанию интервала планирования
//
// Параметры:
//  Период				 - Дата - исходная дата
//  ИнтервалПланирования - ПеречислениеСсылка.ТочностьГрафикаПроизводства - интервал планирования
//  ОкончаниеИнтервала	 - Дата - окончание интервала планирования
// Возвращаемое значение:
//  Дата - дата, выровненная по границе интервала планирования.
Функция ОкончаниеИнтервалаПланирования(Период, ИнтервалПланирования, ОкончаниеИнтервала = '00010101') Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.ОкончаниеИнтервалаПланирования(Период, ИнтервалПланирования, ОкончаниеИнтервала);
```
</details>

## СледующийИнтервалПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает следующий интервал планирования, полученный от переданного периода.
//
// Параметры:
//  Период						 - Дата - исходная дата
//  ИнтервалПланирования		 - ПеречислениеСсылка.ТочностьГрафикаПроизводства - интервал планирования
//  НачалоИнтервалаПланирования	 - Дата - начало интервала планирования
//  ВыровнятьПоГранице			 - Булево - определяет необходимость выравнивания периода по границе интервала планирования
//                                           используется при размещении и определении текущего интервала,
//                                           при расчете границ этапов ББВ в текущий момент не используется
// Возвращаемое значение:
//  Дата - дата начала следующего интервала планирования.
Функция СледующийИнтервалПланирования(Период, ИнтервалПланирования, Знач НачалоИнтервалаПланирования = '00010101', Знач ВыровнятьПоГранице = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.СледующийИнтервалПланирования(Период, ИнтервалПланирования, НачалоИнтервалаПланирования, ВыровнятьПоГранице);
```
</details>

## ПредыдущийИнтервалПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает предыдущий интервал планирования, полученный от переданного периода.
//
// Параметры:
//  Период							 - Дата - исходная дата
//  ИнтервалПланирования			 - ПеречислениеСсылка.ТочностьГрафикаПроизводства - интервал планирования
//  ОкончаниеИнтервалаПланирования	 - Дата - окончание интервала планирования
//  ВыровнятьПоГранице			     - Булево - определяет необходимость выравнивания периода по границе интервала планирования
//                                               используется при размещении и определении текущего интервала,
//                                               при расчете границ этапов ББВ в текущий момент не используется
// Возвращаемое значение:
//  Дата - дата окончания предыдущего интервала планирования.
Функция ПредыдущийИнтервалПланирования(Период, ИнтервалПланирования, Знач ОкончаниеИнтервалаПланирования = '00010101', Знач ВыровнятьПоГранице = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.ПредыдущийИнтервалПланирования(Период, ИнтервалПланирования, ОкончаниеИнтервалаПланирования, ВыровнятьПоГранице);
```
</details>

## ПолучитьНормативнуюДлительностьИнтервала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает нормативную длительность интервала в единице измерения
//
// Параметры:
//  Интервал - ПеречислениеСсылка.ТочностьГрафикаПроизводства - Интервал планирования
//  ЕдиницаИзмерения - ПеречислениеСсылка.ЕдиницыИзмеренияВремени - Единица измерения, к которой нужно привести
//                                                                  нормативную длительность интервала
//                                                                  Значение по умолчанию "День".
//
// Возвращаемое значение:
//   - Число - Нормативная длительность интервала (в единице измерения).
//
Функция ПолучитьНормативнуюДлительностьИнтервала(Знач Интервал, Знач ЕдиницаИзмерения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.ПолучитьНормативнуюДлительностьИнтервала(Интервал, ЕдиницаИзмерения);
```
</details>

## СтруктураДанныхПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает пустую структуру данных по продукции
//
// Параметры:
//  ДанныеЗаполнения - Структура - структура данных строки продукции заказа на производство:
//  * КлючСвязи - УникальныйИдентификатор - Идентификатор строки продукции в заказе на производство
//  * Номенклатура - СправочникСсылка.Номенклатура - номенклатура продукции
//  * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика продукции
//  * Подразделение - СправочникСсылка.СтруктураПредприятия - подразделение-получатель для работ
//  * Склад - СправочникСсылка.Склады - склад для продукции
//  * Назначение - СправочникСсылка.Назначения - назначение продукции заказа на производство
//  * НазначениеЗаказа - СправочникСсылка.Назначения - назначение заказа на производство.
//
// Возвращаемое значение:
//   - Структура - данные по продукции.
//
Функция СтруктураДанныхПродукции(Знач ДанныеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.СтруктураДанныхПродукции(ДанныеЗаполнения);
```
</details>

## НеобходимоОбновитьНазначениеВТЧВыходныеИзделия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет необходимость обновления назначения в ТЧ Выходные изделия и Возвратные отходы,
//  при изменении значимых реквизитов.
//
// Параметры:
//  ТекущиеДанные		 - ДанныеФормыКоллекция	 - строка ТЧ выходные изделия
//  СохраненныеЗначения	 - Структура			 - переменная модуля формы, в которой хранятся кешируемые значения
//  РежимОбновления		 - Строка				 - в переменную помещается режим обновления назначений для выходных изделий.
//
// Возвращаемое значение:
//   - Истина - нужно обновить назначение, Ложь - в противном случае.
//
Функция НеобходимоОбновитьНазначениеВТЧВыходныеИзделия(Знач ТекущиеДанные, Знач СохраненныеЗначения, РежимОбновления) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.НеобходимоОбновитьНазначениеВТЧВыходныеИзделия(ТекущиеДанные, СохраненныеЗначения, РежимОбновления) 
```
</details>

## ЗаполнитьНазначениеВТЧВыходныеИзделия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит Назначение в таблице выходных изделий по данным продукции
//
// Параметры:
//  Объект - ДокументОбъект.ЗаказНаПроизводство, ОбработкаОбъект.РедактированиеСпецификацииСтрокиЗаказа - заказ на производство
//  ДанныеПродукции - Структура - данные строки продукции заказа на производство:
//    * КлючСвязи - УникальныйИдентификатор - ключ связи, идентифицирующий строку продукции заказа на производство
//    * Номенклатура - СправочникСсылка.Номенклатура - номенклатура продукции
//    * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика продукции
//    * ЭтоРабота - Булево - признак, что выполняем работу
//    * Подразделение - СправочникСсылка.СтруктураПредприятия - подразделение-получатель для работ
//    * Склад - СправочникСсылка.Склады - склад для продукции
//    * ЕстьНазначение - Булево - признак, что назначение в строке продукции заполнено
//    * ПоЗаказуДавальца - Булево - признак, что производим по заказу давальца
//    * Назначение - СправочникСсылка.Назначения - назначение продукции заказа на производство
//    * НазначениеЗаказа - СправочникСсылка.Назначения - назначение заказа на производство
//  РежимОбновления - Строка - режим обновления назначений для выходных изделий ("ПоВсем", "ПоПродукции").
//
Процедура ЗаполнитьНазначениеВТЧВыходныеИзделия(Объект, Знач ДанныеПродукции, Знач РежимОбновления = "ПоВсем") Экспорт
```

Пример вызова
```bsl
ПланированиеПроизводстваКлиентСервер.ЗаполнитьНазначениеВТЧВыходныеИзделия(Объект, ДанныеПродукции, РежимОбновления);
```
</details>

## НеобходимоОбновитьНазначениеВСтрокеТЧВыходныеИзделия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет необходимость обновления назначения при окончании редактирования строки выходных изделий.
//
// Параметры:
//  ТекущиеДанные		 - ДанныеФормыКоллекция						 - строка ТЧ выходные изделия
//  СохраненныеЗначения	 - Структура								 - переменная модуля формы, в которой хранятся кешируемые значения
//  ТипСтоимости		 - ПеречислениеСсылка.ТипыСтоимостиВыходныхИзделий	 - тип стоимости выходного изделия
//  НоваяСтрока			 - Булево											 - признак указывает, что это новая строка.
//
// Возвращаемое значение:
//   - Истина - нужно обновить назначение, Ложь - в противном случае.
//
Функция НеобходимоОбновитьНазначениеВСтрокеТЧВыходныеИзделия(Знач ТекущиеДанные, Знач СохраненныеЗначения, Знач ТипСтоимости, Знач НоваяСтрока = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.НеобходимоОбновитьНазначениеВСтрокеТЧВыходныеИзделия(ТекущиеДанные, СохраненныеЗначения, ТипСтоимости, НоваяСтрока);
```
</details>

## ЗаполнитьНазначениеВСтрокеТЧВыходныеИзделия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит Назначение в строке выходных изделий по данным продукции
//
// Параметры:
//  ТекущиеДанные   - ДанныеФормыЭлементКоллекции - строка ТЧ выходные изделия
//  ДанныеПродукции - Структура - данные строки продукции заказа на производство:
//    * Номенклатура - СправочникСсылка.Номенклатура - номенклатура продукции
//    * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика продукции
//    * ЭтоРабота - Булево - признак, что выполняем работу
//    * Подразделение - СправочникСсылка.СтруктураПредприятия - подразделение-получатель для работ
//    * Склад - СправочникСсылка.Склады - склад для продукции
//    * Назначение - СправочникСсылка.Назначения - назначение продукции заказа на производство
//    * НазначениеЗаказа - СправочникСсылка.Назначения - назначение заказа на производство
//    * ЕстьНазначение - Булево - признак, что назначение в строке продукции заполнено
//    * ПоЗаказуДавальца - Булево - признак, что производим по заказу давальца
//  ТипСтоимости    - ПеречислениеСсылка.ТипыСтоимостиВыходныхИзделий - тип стоимости выходного изделия.
//
Процедура ЗаполнитьНазначениеВСтрокеТЧВыходныеИзделия(ТекущиеДанные, Знач ДанныеПродукции, Знач ТипСтоимости) Экспорт
```

Пример вызова
```bsl
ПланированиеПроизводстваКлиентСервер.ЗаполнитьНазначениеВСтрокеТЧВыходныеИзделия(ТекущиеДанные, ДанныеПродукции, ТипСтоимости) 
```
</details>

## НеобходимоОбновитьНазначениеВТЧМатериалыИУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет необходимость обновления назначения в ТЧ Материалы и услуги,
//  при изменении значимых реквизитов.
//
// Параметры:
//  ТекущиеДанные		 - ДанныеФормыКоллекция	 - строка ТЧ Материалы и услуги
//  СохраненныеЗначения	 - Структура			 - переменная модуля формы, в которой хранятся кешируемые значения.
//
// Возвращаемое значение:
//   - Истина - нужно обновить назначение, Ложь - в противном случае.
//
Функция НеобходимоОбновитьНазначениеВТЧМатериалыИУслуги(Знач ТекущиеДанные, Знач СохраненныеЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.НеобходимоОбновитьНазначениеВТЧМатериалыИУслуги(ТекущиеДанные, СохраненныеЗначения) 
```
</details>

## ЗаполнитьНазначениеВТЧМатериалыИУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит Назначение в таблице материалов по данным продукции
//
// Параметры:
//  Объект			 - ДокументОбъект.ЗаказНаПроизводство, ОбработкаОбъект.РедактированиеСпецификацииСтрокиЗаказа	 - заказ на производство
//  ДанныеПродукции	 - Структура																					 - данные строки продукции заказа на производство.
//
Процедура ЗаполнитьНазначениеВТЧМатериалыИУслуги(Объект, Знач ДанныеПродукции) Экспорт
```

Пример вызова
```bsl
ПланированиеПроизводстваКлиентСервер.ЗаполнитьНазначениеВТЧМатериалыИУслуги(Объект, ДанныеПродукции) 
```
</details>

## ЕстьОшибкиЗаполненияНазначенияВСтрокеТЧМатериалыИУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет корректность заполнения назначения в строке ТЧ Материалы и услуги.
//
// Параметры:
//  ТекущиеДанные	 - ДанныеФормыКоллекция	 - строка ТЧ Материалы и услуги.
//
// Возвращаемое значение:
//   - Истина - есть ошибки, Ложь - в противном случае.
//
Функция ЕстьОшибкиЗаполненияНазначенияВСтрокеТЧМатериалыИУслуги(Знач ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.ЕстьОшибкиЗаполненияНазначенияВСтрокеТЧМатериалыИУслуги(ТекущиеДанные) 
```
</details>

## НеобходимоОбновитьНазначениеВСтрокеТЧМатериалыИУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет необходимость обновления назначения при окончании редактирования строки материалы и услуги.
//
// Параметры:
//  ТекущиеДанные		 - ДанныеФормыКоллекция	 - строка ТЧ материалы и услуги
//  СохраненныеЗначения	 - Структура			 - переменная модуля формы, в которой хранятся кешируемые значения
//  НоваяСтрока			 - Булево				 - признак указывает, что это новая строка.
//
// Возвращаемое значение:
//   - Истина - нужно обновить назначение, Ложь - в противном случае.
//
Функция НеобходимоОбновитьНазначениеВСтрокеТЧМатериалыИУслуги(Знач ТекущиеДанные, Знач СохраненныеЗначения, Знач НоваяСтрока = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.НеобходимоОбновитьНазначениеВСтрокеТЧМатериалыИУслуги(ТекущиеДанные, СохраненныеЗначения, НоваяСтрока);
```
</details>

## ЗаполнитьНазначениеВСтрокеТЧМатериалыИУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит Назначение в строке материалов по данным продукции
//
// Параметры:
//  ТекущиеДанные   - ДанныеФормыЭлементКоллекции - строка ТЧ Материалы и услуги
//  ДанныеПродукции - Структура - данные строки продукции заказа на производство:
//    * Номенклатура - СправочникСсылка.Номенклатура - номенклатура продукции
//    * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика продукции
//    * ЭтоРабота - Булево - признак, что выполняем работу
//    * Подразделение - СправочникСсылка.СтруктураПредприятия - подразделение-получатель для работ
//    * Склад - СправочникСсылка.Склады - склад для продукции
//    * Назначение - СправочникСсылка.Назначения - назначение продукции заказа на производство
//    * НазначениеЗаказа - СправочникСсылка.Назначения - назначение заказа на производство
//    * ЕстьНазначение - Булево - признак, что назначение в строке продукции заполнено
//    * ПоЗаказуДавальца - Булево - признак, что производим по заказу давальца.
//
Процедура ЗаполнитьНазначениеВСтрокеТЧМатериалыИУслуги(ТекущиеДанные, Знач ДанныеПродукции) Экспорт
```

Пример вызова
```bsl
ПланированиеПроизводстваКлиентСервер.ЗаполнитьНазначениеВСтрокеТЧМатериалыИУслуги(ТекущиеДанные, ДанныеПродукции) 
```
</details>

## ЕстьОшибкиЗаполненияВариантаОбеспеченияИФлагаОбособленно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет корректность заполнения варианта обеспечения и флага обособленно в строке ТЧ Материалы и услуги.
//
// Параметры:
//  ПараметрыНоменклатурыТекущейСтроки - Структура - структура с полями:
//   * ЭтоРабота - Булево - признак что в текущей строке номенклатура с типом "Работа".
//  ТекущиеДанные - ДанныеФормыКоллекция - строка ТЧ Материалы и услуги.
//
// Возвращаемое значение:
//  Булево - Истина, если есть ошибки, Ложь - в противном случае.
//
Функция ЕстьОшибкиЗаполненияВариантаОбеспеченияИФлагаОбособленно(Знач ПараметрыНоменклатурыТекущейСтроки, Знач ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.ЕстьОшибкиЗаполненияВариантаОбеспеченияИФлагаОбособленно(ПараметрыНоменклатурыТекущейСтроки, ТекущиеДанные) 
```
</details>

## ВариантОбеспеченияИФлагОбособленноПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает значение полей "Вариант обеспечения" и "Обособленно", исходя других реквизитов строки заказа.
//
// Параметры:
//  ПроизводитсяВПроцессе - Булево - значение одноименного реквизита строки заказа.
//  ИзЗапасовПодразделения - значение одноименного реквизита строки заказа.
//
// Возвращаемое значение:
//  см. ОбеспечениеВДокументахКлиентСервер.ВариантОбеспеченияИФлагОбособленноПоУмолчанию
//
Функция ВариантОбеспеченияИФлагОбособленноПоУмолчанию(ПроизводитсяВПроцессе, ИзЗапасовПодразделения) Экспорт
```

Пример вызова
```bsl
Результат = ПланированиеПроизводстваКлиентСервер.ВариантОбеспеченияИФлагОбособленноПоУмолчанию(ПроизводитсяВПроцессе, ИзЗапасовПодразделения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
