---
title: Платежи в бюджет
slug: erp-uh/платежи-в-бюджет
---


## ПроверитьДублиУИН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие дублей УИН в документах
//
// Параметры:
//	ИдентификаторПлатежа - Строка - Проверяемый идентификатор платежа
//	Ссылка - ДокументСсылка - Проверяемый документ.
//
// Возвращаемое значение:
//	Массив - массив ошибок
//
Функция ПроверитьДублиУИН(ИдентификаторПлатежа, Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежиВБюджет.ПроверитьДублиУИН(ИдентификаторПлатежа, Ссылка) 
```
</details>

## УстановитьНадписьРеквизитовПлатежаВБюджет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает надпись реквизитов платежа в бюджет
//
// Параметры:
//    Форма - ФормаКлиентскогоПриложения - форма, из которой вызвана функция.
//
Процедура УстановитьНадписьРеквизитовПлатежаВБюджет(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежиВБюджет.УстановитьНадписьРеквизитовПлатежаВБюджет(Форма) 
```
</details>

## ИспользуетсяЕдиныйНалоговыйПлатеж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования Единого налогового платежа
//
// Параметры:
//	Организация - СправочникСсылка.Организации - проверяемая организация
//	Период - Дата - дата проверки
//
// Возвращаемое значение:
//	Булево - признак использования ЕНП.
//
Функция ИспользуетсяЕдиныйНалоговыйПлатеж(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежиВБюджет.ИспользуетсяЕдиныйНалоговыйПлатеж(Организация, Период) 
```
</details>

## ПроверитьКорректностьЗаполненияПлатежаВБюджет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность указания типа налога и выводит предупреждение
//
// Параметры:
//    Форма - ФормаКлиентскогоПриложения - форма, из которой вызвана функция
//    ДатаПлатежа - Дата - дата платежа.
//
Процедура ПроверитьКорректностьЗаполненияПлатежаВБюджет(Форма, Знач ДатаПлатежа) Экспорт
```

Пример вызова
```bsl
ПлатежиВБюджет.ПроверитьКорректностьЗаполненияПлатежаВБюджет(Форма, ДатаПлатежа) 
```
</details>

## ТипыНалоговУплачиваемыеОтдельно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ЕдиныйНалоговыйСчет.ВидыНалоговУплачиваемыеОтдельно
// Проверяет использование регламентированного учета в рассчитываемом периоде.
//
// Возвращаемое значение:
//	Массив - массив налогов, уплачиваемых отдельно
//
Функция ТипыНалоговУплачиваемыеОтдельно() Экспорт
```

Пример вызова
```bsl
Результат = ПлатежиВБюджет.ТипыНалоговУплачиваемыеОтдельно() 
```
</details>

## РеквизитыПлатежаВБюджетПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает реквизиты платежа в бюджет по умолчанию.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект.СписаниеБезналичныхДенежныхСредств, ДокументОбъект.ЗаявкаНаРасходованиеДенежныхСредств -
//                   объект, в котором заполняются реквизиты платежа в бюджет.
//
Процедура РеквизитыПлатежаВБюджетПоУмолчанию(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ПлатежиВБюджет.РеквизитыПлатежаВБюджетПоУмолчанию(ДокументОбъект) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
