---
title: Платежные позиции
slug: erp-uh/платежные-позиции
---


## СоздатьПлатежнуюПозицию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ТаблицуЗначений со структурой платежной позиции
// Замена процедуры УправлениеДенежнымиСредствамиУХ.СтруктураТаблицыПлатежнойПозиции
// Замена процедуры Обработки.РаботаСЗаявкамиНаОперации.СтруктураТаблицыПлатежнойПозиции()
Функция СоздатьПлатежнуюПозицию() Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.СоздатьПлатежнуюПозицию() 
```
</details>

## ДобавитьРеквизитыФормыПлатежнаяПозиция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Добавляет в массив новые реквизиты формы, необходимые для работы с платежной позицией.
//Вызывается из форм всех документов-заявок(ПриСозданииНаСервере).
//Замена процедуры Обработки.РаботаСЗаявкамиНаОперации.ДобавитьРеквизиты_ПлатежнаяПозиция(Реквизиты);
Процедура ДобавитьРеквизитыФормыПлатежнаяПозиция(Реквизиты, Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ДобавитьРеквизитыФормыПлатежнаяПозиция(Реквизиты, Форма) 
```
</details>

## ДобавитьКолонкиПлатежнойПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьКолонкиПлатежнойПозиции(ТаблицаДеревоЗначений) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ДобавитьКолонкиПлатежнойПозиции(ТаблицаДеревоЗначений) 
```
</details>

## ДобавитьКолонкиВРеквизитФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьКолонкиВРеквизитФормы(Реквизиты, ИмяРеквизитаКоллекции, СуществующиеРеквизитыПлатежнойПозиции = неопределено) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ДобавитьКолонкиВРеквизитФормы(Реквизиты, ИмяРеквизитаКоллекции, СуществующиеРеквизитыПлатежнойПозиции);
```
</details>

## СоздатьЭлементПредставлениеПлатежнойПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура создает элемент формы ПредставлениеПлатежнойПозиции
Процедура СоздатьЭлементПредставлениеПлатежнойПозиции(Форма, Размещение) экспорт Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.СоздатьЭлементПредставлениеПлатежнойПозиции(Форма, Размещение) экспорт);
```
</details>

## ПлатежнаяПозицияЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура считывает платежную позицию документа-заявка для дальнейшей загрузке в реквизит формы
// Замена функции: УправлениеЗаявкамиНаОперацииУХ.ПлатежнаяПозицияЗаявки(Объект.Ссылка)
// Возвращает: ТаблицаЗначений с данными платежной позиции документа-заявки
Функция ПлатежнаяПозицияЗаявки(ЗаявкаСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.ПлатежнаяПозицияЗаявки(ЗаявкаСсылка) 
```
</details>

## ЗагрузитьПлатежнуюПозициюПослеРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура загружает платежную позицию в реквизит формы и при необходимости ее записывает и изменяет статусы
Процедура ЗагрузитьПлатежнуюПозициюПослеРедактирования(Форма, Адрес) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ЗагрузитьПлатежнуюПозициюПослеРедактирования(Форма, Адрес) 
```
</details>

## ИнициализироватьПлатежнуюПозициюЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура инициализирует платежную позицию в форме документа-заявки
Процедура ИнициализироватьПлатежнуюПозициюЗаявки(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ИнициализироватьПлатежнуюПозициюЗаявки(Форма) 
```
</details>

## СкопироватьПлатежнуюПозициюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СкопироватьПлатежнуюПозициюДокумента(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.СкопироватьПлатежнуюПозициюДокумента(ДокументСсылка));
```
</details>

## ЗаписатьПлатежнуюПозициюПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура записывает платежную позицию при записи документа-заявки
Процедура ЗаписатьПлатежнуюПозициюПриЗаписи(Объект) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ЗаписатьПлатежнуюПозициюПриЗаписи(Объект) 
```
</details>

## ЗаписатьПлатежнуюПозициюЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура записывает платежную позицию в регистры сведений: РазмещениеЗаявок и БюджетированиеПоПозициям
// Замена процедуры УправлениеЗаявкамиНаОперацииУХ.ЗаписатьПлатежнуюПозициюЗаявки
Функция ЗаписатьПлатежнуюПозициюЗаявки(ЗаявкаСсылка, ТабПлатежнаяПозиция, Знач ДопРеквизитыПлатежнойПозиции = неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.ЗаписатьПлатежнуюПозициюЗаявки(ЗаявкаСсылка, ТабПлатежнаяПозиция, ДопРеквизитыПлатежнойПозиции);
```
</details>

## ПроверитьПравилаЗапретаОперацийПлатежныеПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет Состояния исполнения для Документа планирования:
//		"Ожидает исполнения" - для нового документа;
//		"Отложено" - если документ попадает под директиву запрета
//
// Параметры:
//	"ЗаявкаСсылка" - Ссылка на документ планирования;
//	"ПлатежныеПозицииТаблица" - Таблица платежных позиций документа;
//	"НовыеИдентификаторы" - Массив новых уникальных идентификаторов платежной позиции.
//
Процедура ПроверитьПравилаЗапретаОперацийПлатежныеПозиции(ЗаявкаСсылка, ПлатежныеПозицииТаблица, НовыеИдентификаторы) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ПроверитьПравилаЗапретаОперацийПлатежныеПозиции(ЗаявкаСсылка, ПлатежныеПозицииТаблица, НовыеИдентификаторы) 
```
</details>

## НоваяПлатежнаяПозицияПоДаннымДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает платежную позицию с данными документа
Функция НоваяПлатежнаяПозицияПоДаннымДокумента(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.НоваяПлатежнаяПозицияПоДаннымДокумента(Объект) 
```
</details>

## НоваяПлатежнаяПозицияПоДаннымДокументаЗаявкаНаКомандировку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяПлатежнаяПозицияПоДаннымДокументаЗаявкаНаКомандировку(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.НоваяПлатежнаяПозицияПоДаннымДокументаЗаявкаНаКомандировку(Объект) 
```
</details>

## ДанныеБлижайшегоПлановогоКурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеБлижайшегоПлановогоКурса(ПлановыеКурсы, Дата, Валюта) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.ДанныеБлижайшегоПлановогоКурса(ПлановыеКурсы, Дата, Валюта) 
```
</details>

## ЗаполнитьПараметрыКурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПараметрыКурса(ПараметрыКурса, Объект) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ЗаполнитьПараметрыКурса(ПараметрыКурса, Объект) 
```
</details>

## НоваяПлатежнаяПозицияПеречислениеЗаработнойПлатыПоВедомостям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяПлатежнаяПозицияПеречислениеЗаработнойПлатыПоВедомостям(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.НоваяПлатежнаяПозицияПеречислениеЗаработнойПлатыПоВедомостям(Объект));
```
</details>

## НоваяПлатежнаяПозицияПеречислениеПодотчетнымЛицам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяПлатежнаяПозицияПеречислениеПодотчетнымЛицам(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.НоваяПлатежнаяПозицияПеречислениеПодотчетнымЛицам(Объект));
```
</details>

## НоваяПлатежнаяПозицияПоТаблицеЛицевыхСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяПлатежнаяПозицияПоТаблицеЛицевыхСчетов(Объект, ТабЛицевыеСчета) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.НоваяПлатежнаяПозицияПоТаблицеЛицевыхСчетов(Объект, ТабЛицевыеСчета));
```
</details>

## ТаблицаЛицевыхСчетовВедомостей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТаблицаЛицевыхСчетовВедомостей(МассивВедомостей) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.ТаблицаЛицевыхСчетовВедомостей(МассивВедомостей) 
```
</details>

## ЗаполнитьСуммуИКурсОсновнойПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСуммуИКурсОсновнойПозиции(ОсновнаяПозиция, ПараметрыВстречнойОперации) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ЗаполнитьСуммуИКурсОсновнойПозиции(ОсновнаяПозиция, ПараметрыВстречнойОперации) 
```
</details>

## ЗаполнитьВстречнуюПозициюПоОсновной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьВстречнуюПозициюПоОсновной(ВстречнаяПозиция, ОсновнаяПозиция, ПараметрыВстречнойОперации, Объект, РеквизитыДокумента) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ЗаполнитьВстречнуюПозициюПоОсновной(ВстречнаяПозиция, ОсновнаяПозиция, ПараметрыВстречнойОперации, Объект, РеквизитыДокумента) 
```
</details>

## ПараметрыВстречнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру с параметрами встречной операции
//
// Параметры:
//  Объект	 - см. ПлатежныеПозиции.ПараметрыПолученияВстречнойОперации
//
// Возвращаемое значение:
//   - Структура
//      * Есть - Булево - должна быть встречная операция
//      * ВидОперацииУХ - СправочникСсылка.ВидыОперацийУХ
//      * ПриходРасход - ПеречислениеСсылка.ВидыДвиженийПриходРасход
//		* ФормаОплаты - ПеречислениеСсылка.ФормыОплаты
//		* ЭтоВГО - Булево - это внутригрупповая операция
//		* ЭтоПереводСобственныхСредств - это операция перевода собственных средств
//		* ЭтоКонвертацияВалюты - это операция ковертации валюты
Функция ПараметрыВстречнойОперации(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.ПараметрыВстречнойОперации(Объект) 
```
</details>

## ПараметрыПолученияВстречнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыПолученияВстречнойОперации() Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.ПараметрыПолученияВстречнойОперации() 
```
</details>

## УстановитьОграничениеТипаБанковскийСчетКасса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОграничениеТипаБанковскийСчетКасса(Элемент, ФормаОплаты) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьОграничениеТипаБанковскийСчетКасса(Элемент, ФормаОплаты) 
```
</details>

## УстановитьФормуОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия при изменении формы оплаты в документах ЗаявкаНарасходованиеДС и ОжидаемоеПоступлениеДС
Процедура УстановитьФормуОплаты(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьФормуОплаты(Форма) 
```
</details>

## УстановитьОрганизацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия при изменении организации документа-заявки.
//   1 - Замена организации в 1-й позиции
//   2 - Очистка реквизита БанковскийСчетКасса
Процедура УстановитьОрганизацию(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьОрганизацию(Форма) 
```
</details>

## УстановитьВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия при изменении организации документа-заявки.
//   1 - Замена организации в 1-й позиции
//   2 - Очистка реквизита БанковскийСчетКасса
Процедура УстановитьВалюты(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьВалюты(Форма) 
```
</details>

## УстановитьБанковскийСчетКассу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией, при изменении банковского счета/кассы в нулевой строке платежной позиции
Процедура УстановитьБанковскийСчетКассу(Форма, БанковскийСчетКасса = неопределено, Фиксированный = неопределено) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьБанковскийСчетКассу(Форма, БанковскийСчетКасса, Фиксированный);
```
</details>

## УстановитьБанковскийСчетКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией, при изменении банковского счета контрагента
// Используется только в ERP.УХ
Процедура УстановитьБанковскийСчетКонтрагента(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьБанковскийСчетКонтрагента(Форма) 
```
</details>

## УстановитьОрганизациюПолучатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией при изменении организации получателя
Процедура УстановитьОрганизациюПолучатель(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьОрганизациюПолучатель(Форма) 
```
</details>

## УстановитьБанковскийСчетКассуПолучатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией при изменении банковского счета/кассы получателя
Процедура УстановитьБанковскийСчетКассуПолучатель(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьБанковскийСчетКассуПолучатель(Форма) 
```
</details>

## УстановитьДатуПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией, при изменении даты платежа основной операции
Процедура УстановитьДатуПлатежа(Форма, ПолучитьИзРеквизита = Ложь) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьДатуПлатежа(Форма, ПолучитьИзРеквизита);
```
</details>

## УстановитьКрайнююДатуПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией, при изменении крайней даты платежа
Процедура УстановитьКрайнююДатуПлатежа(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьКрайнююДатуПлатежа(Форма) 
```
</details>

## УстановитьКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией, при изменении контрагента
// Для работы необходимы коррекнто заполненные реквизиты документа заявки на оплату: ЭтоВнутригрупповоеПеремещение и ОрганизацияПолучатель
Процедура УстановитьКонтрагента(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьКонтрагента(Форма) 
```
</details>

## УстановитьДоговор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией, при изменении договора
Процедура УстановитьДоговор(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьДоговор(Форма) 
```
</details>

## УстановитьДоговорКредитаДепозита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией, при изменении договора кредита и депозита
Процедура УстановитьДоговорКредитаДепозита(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьДоговорКредитаДепозита(Форма) 
```
</details>

## УстановитьДоговорАренды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией, при изменении договора аренды
Процедура УстановитьДоговорАренды(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьДоговорАренды(Форма) 
```
</details>

## УстановитьСуммуДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией, при изменении суммы взаиморасчетов документа-заявки
Процедура УстановитьСуммуДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьСуммуДокумента(Форма) 
```
</details>

## УстановитьБезакцептноеСписание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет действия с платежной позицией, при изменении флага безакцептное списание
Процедура УстановитьБезакцептноеСписание(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьБезакцептноеСписание(Форма) 
```
</details>

## УстановитьПриоритетПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПриоритетПлатежа(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.УстановитьПриоритетПлатежа(Форма) 
```
</details>

## ПриПересчетеПараметровКонвертации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриПересчетеПараметровКонвертации(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ПриПересчетеПараметровКонвертации(Форма) 
```
</details>

## ПереоценитьПлатежнуюПозициюНаФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПереоценитьПлатежнуюПозициюНаФорме(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ПереоценитьПлатежнуюПозициюНаФорме(Форма) 
```
</details>

## ПереоценитьПлатежнуюПозицию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция переоценивает платежную позицию
// Замена процедуры Обработки.РаботаСЗаявкамиНаОперации.ПереоценитьПлатежнуюПозицию
Процедура ПереоценитьПлатежнуюПозицию(ПлатежнаяПозиция, ПараметрыПлатежнойПозиции) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ПереоценитьПлатежнуюПозицию(ПлатежнаяПозиция, ПараметрыПлатежнойПозиции) 
```
</details>

## ОбновитьПредставлениеПлатежнойПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПредставлениеПлатежнойПозиции(Форма) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ОбновитьПредставлениеПлатежнойПозиции(Форма) 
```
</details>

## ВыполнитьПереоценкуЗаявок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка регламентного задания ПереоценкаЗаявок
Процедура ВыполнитьПереоценкуЗаявок(Знач ДатаПереоценки = Неопределено) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ВыполнитьПереоценкуЗаявок(ДатаПереоценки);
```
</details>

## ЗаполнитьПоОстаткамПлатежныхПозиций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу остатками денежных средств к выплате по заявкам
//
// Параметры:
//    ДанныеОтбора - Структура - содержит значения отбора заявок
//    ТабличнаяЧасть - ДанныеФормыКоллекция - заполняемая таблица.
//
Процедура ЗаполнитьПоОстаткамПлатежныхПозиций(ДанныеОтбора, ТабличнаяЧасть) Экспорт
```

Пример вызова
```bsl
ПлатежныеПозиции.ЗаполнитьПоОстаткамПлатежныхПозиций(ДанныеОтбора, ТабличнаяЧасть) 
```
</details>

## ПереместитьПозицию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПереместитьПозицию(Знач ИдентификаторПозиции, Экспорт
```

Пример вызова
```bsl
Результат = ПлатежныеПозиции.ПереместитьПозицию(ИдентификаторПозиции, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
