---
title: Подарочные сертификаты клиент
slug: erp-uh/подарочные-сертификаты-клиент
---


## ОбработатьВыборПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обработки выбора подарочного сертификата.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ТекущиеДанные - Структура - Данные выбранного подарочного сертификата, содержит:
//  	* Ссылка - СправочникСсылка.ПодарочныеСертификаты
//  ТипКода - ПеречислениеСсылка.ТипыКодовКарт - Тип кода карты.
//  РегистрироватьНовые - Булево - Оповещать форму владельца вместо формы.
//  УпрощеннаяРегистрация - Булево -
//
Процедура ОбработатьВыборПодарочногоСертификата(Форма, ТекущиеДанные, ТипКода, РегистрироватьНовые = Истина, УпрощеннаяРегистрация = Истина) Экспорт
```

Пример вызова
```bsl
ПодарочныеСертификатыКлиент.ОбработатьВыборПодарочногоСертификата(Форма, ТекущиеДанные, ТипКода, РегистрироватьНовые, УпрощеннаяРегистрация);
```
</details>

## ОбработатьПолученныйКодНаКлиенте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет обработку полученного кода подарочного сертификата.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  КодКарты - Строка - Полученный код подарочного сертификата.
//  ТипКода - ПеречислениеСсылка.ТипыКодовКарт - Тип кода полученного подарочного сертификата.
//	ДополнительныеПараметры - Структура - Дополнительные параметры для обработки полученного кода; см. ПодарочныеСертификатыВызовСервера.ПараметрыОбработкиПолученногоКода.
//
Процедура ОбработатьПолученныйКодНаКлиенте(Форма, КодКарты, ТипКода, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодарочныеСертификатыКлиент.ОбработатьПолученныйКодНаКлиенте(Форма, КодКарты, ТипКода, ДополнительныеПараметры) 
```
</details>

## СообщитьПользователюЧтоПодарочныйСертификатНеНайден
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывает форму для подбора подарочных сертификатов.
//
// Параметры:
//  КодКарты - Строка, Массив Из Строка - Полученный код подарочного сертификата.
//  ТипКода - ПеречислениеСсылка.ТипыКодовКарт - Тип кода полученного подарочного сертификата.
//  Отборы - Структура - Данные об использованных отборах.
//
Процедура СообщитьПользователюЧтоПодарочныйСертификатНеНайден(КодКарты, ТипКода, Знач Отборы) Экспорт
```

Пример вызова
```bsl
ПодарочныеСертификатыКлиент.СообщитьПользователюЧтоПодарочныйСертификатНеНайден(КодКарты, ТипКода, Отборы) 
```
</details>

## ОткрытьФормуПодбораПодарочныхСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывает форму для подбора подарочных сертификатов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ПараметрыФормыПодбора - Структура - Данные для открытия формы подбора.
//
Процедура ОткрытьФормуПодбораПодарочныхСертификатов(Форма, ПараметрыФормыПодбора) Экспорт
```

Пример вызова
```bsl
ПодарочныеСертификатыКлиент.ОткрытьФормуПодбораПодарочныхСертификатов(Форма, ПараметрыФормыПодбора) 
```
</details>

## ПроверитьВозможностьДобавленияПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку возможности добавления подарочного сертификата.
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  ПроверятьСтатусПроведения - Булево -
//
// Возвращаемое значение:
//  Булево -
Функция ПроверитьВозможностьДобавленияПодарочногоСертификата(Форма, ПроверятьСтатусПроведения = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыКлиент.ПроверитьВозможностьДобавленияПодарочногоСертификата(Форма, ПроверятьСтатусПроведения);
```
</details>

## ВыбратьКонтрагентаДляВводаДокументаОплатыНаОснованииПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подключенной команды.
//
// Параметры:
//   МассивСсылок - Массив Из ЛюбаяСсылка - ссылки выбранных объектов, для которых выполняется команда.
//   ПараметрыВыполнения - см. ПодключаемыеКомандыКлиент.ПараметрыВыполненияКоманды
//
Процедура ВыбратьКонтрагентаДляВводаДокументаОплатыНаОснованииПодарочногоСертификата(МассивСсылок, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
ПодарочныеСертификатыКлиент.ВыбратьКонтрагентаДляВводаДокументаОплатыНаОснованииПодарочногоСертификата(МассивСсылок, ПараметрыВыполнения) 
```
</details>

## ВыбратьКонтрагентаДляВводаДокументаОплатыНаОснованииПодарочногоСертификатаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыбратьКонтрагентаДляВводаДокументаОплатыНаОснованииПодарочногоСертификатаЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодарочныеСертификатыКлиент.ВыбратьКонтрагентаДляВводаДокументаОплатыНаОснованииПодарочногоСертификатаЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
