---
title: Подарочные сертификаты клиент сервер
slug: erp-uh/подарочные-сертификаты-клиент-сервер
---


## ТипОперацииПоПодарочнымСертификатам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет тип операции по подарочным сертификатам в зависимости от вида документа.
//
// Параметры:
//  Объект - ДокументОбъект, ДанныеФормыСтруктура, Структура - Текущий документ, имеющий свойство ссылка..
// Возвращаемое значение:
//  Число - 1 - Продажа
// 			2 - Возврат
// 			3 - Оплата
// 			4 - Аннулирование.
//
Функция ТипОперацииПоПодарочнымСертификатам(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыКлиентСервер.ТипОперацииПоПодарочнымСертификатам(Объект) 
```
</details>

## ДопустимыеСтатусыПодарочныхСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет массив допустимых статусов по подарочным сертификатам в зависимости от вида документа.
//
// Параметры:
//  Объект - ДокументОбъект, ДанныеФормыСтруктура, Структура - Текущий документ, имеющий свойство ссылка..
// Возвращаемое значение:
//  Массив из ПеречислениеСсылка.СтатусыПодарочныхСертификатов
//
Функция ДопустимыеСтатусыПодарочныхСертификатов(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыКлиентСервер.ДопустимыеСтатусыПодарочныхСертификатов(Объект) 
```
</details>

## ДанныеДляВычисленияСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные необходимые для вычисления статуса сертификата нового образца.
//
// Возвращаемое значение:
//	 Структура:
//  	* Остаток - Число -
//  	* Номинал - Число -
//  	* ЧастичнаяОплата - Булево -
//  	* СтатусАктивации - Булево -
//  	* ОформленВозврат - Булево -
//  	* Аннулирован - Булево -
//
Функция ДанныеДляВычисленияСтатуса() Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыКлиентСервер.ДанныеДляВычисленияСтатуса() 
```
</details>

## ВычислитьСтатусПодарочногоСертификата2_5
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По переданным данным вычисляет значение статуса подарочного сертификата
// в виде которого установлен признак УчетПодарочныхСертификатов2_5.
//
// Параметры:
//  Данные - см. ДанныеДляВычисленияСтатуса
//
// Возвращаемое значение:
//	ПеречислениеСсылка.СтатусыПодарочныхСертификатов
Функция ВычислитьСтатусПодарочногоСертификата2_5(Данные) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыКлиентСервер.ВычислитьСтатусПодарочногоСертификата2_5(Данные) 
```
</details>

## НеобходимаПредобработкаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет необходимость специальной обработки входных данных (в случае использования считывателя магнитных карт).
//
// Параметры:
//  КодКарты - Строка, Массив Из Строка - Полученный код подарочного сертификата.
//  ТипКода - ПеречислениеСсылка.ТипыКодовКарт - Тип кода полученного подарочного сертификата.
//
// Возвращаемое значение:
//  Булево -
//
Функция НеобходимаПредобработкаДанных(КодКарты, ТипКода) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыКлиентСервер.НеобходимаПредобработкаДанных(КодКарты, ТипКода) 
```
</details>

## ПодарочныйСертификатМожноВернуть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По переданным данным о подарочном сертификате определяет возможность оформления возврата этого поларочного сертификата.
//
// Параметры:
//  ДанныеПодарочногоСертификата - см. ПодарочныеСертификатыВызовСервера.ИнициализироватьОписаниеПодарочногоСертификата
//  ТекущаяДатаСеанса - Дата - Дата, на которую проверяется дата окончания действия подарочного сертификата.
// Возвращаемое значение:
//  Булево -
//
Функция ПодарочныйСертификатМожноВернуть(ДанныеПодарочногоСертификата, ТекущаяДатаСеанса) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыКлиентСервер.ПодарочныйСертификатМожноВернуть(ДанныеПодарочногоСертификата, ТекущаяДатаСеанса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
