---
title: Подарочные сертификаты локализация
slug: erp-uh/подарочные-сертификаты-локализация
---


## ПозицииНоменклатурыПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Возвращает таблицу товаров для заполнения позиций строк в параметрах чека на оплату
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ для получения товарных позиций
// Возвращаемое значение:
// 	ТаблицаЗначений - Таблица с товарными позициями с количественными и суммовыми показателями
Функция ПозицииНоменклатурыПоДокументу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыЛокализация.ПозицииНоменклатурыПоДокументу(ДокументСсылка) 
```
</details>

## ДополнитьРазрешенныеТипыДляЗачетаОплатыПодарочнымиСертификатами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Дополняет переданный массив разрешенных типов для зачета оплат подарочными сертификатами.
//
// Параметры:
//  РазрешенныеТипы - Массив Из ДокументСсылка, СправочникСсылка - Типы разрешенных ссылок для проверки.
//
Процедура ДополнитьРазрешенныеТипыДляЗачетаОплатыПодарочнымиСертификатами(РазрешенныеТипы) Экспорт
```

Пример вызова
```bsl
ПодарочныеСертификатыЛокализация.ДополнитьРазрешенныеТипыДляЗачетаОплатыПодарочнымиСертификатами(РазрешенныеТипы) 
```
</details>

## ТипОтноситсяКДокументамДавальческойСхемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Проверяет, что переданный тип относится к типам документов давальческой схемы.
//
// Параметры:
//  ТипДокумента - Тип - Проверяемый тип.
//
// Возвращаемое значение:
//  Булево -
Функция ТипОтноситсяКДокументамДавальческойСхемы(ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыЛокализация.ТипОтноситсяКДокументамДавальческойСхемы(ТипДокумента) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
