---
title: Подарочные сертификаты сервер
slug: erp-uh/подарочные-сертификаты-сервер
---


## ЗарегистрироватьПодарочныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура записывает в базу данных подарочный сертификат на основании
// переданной структуры с данными подарочного сертификата.
//
// Параметры:
//  СтруктураДанныхПодарочногоСертификата - см. ПодарочныеСертификатыВызовСервера.ИнициализироватьОписаниеПодарочногоСертификата
//
// Возвращаемое значение:
//  СправочникСсылка.ПодарочныеСертификаты - Зарегистрированный подарочный сертификат.
//
Функция ЗарегистрироватьПодарочныйСертификат(СтруктураДанныхПодарочногоСертификата) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыСервер.ЗарегистрироватьПодарочныйСертификат(СтруктураДанныхПодарочногоСертификата) 
```
</details>

## ПолучитьОсновнойТипКодаПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает тип кода подарочного сертификата, если только он
// используется в видах подарочных сертификатов.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыКодовКарт, Неопределено - Основной тип кода подарочного сертификата.
//
Функция ПолучитьОсновнойТипКодаПодарочногоСертификата() Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыСервер.ПолучитьОсновнойТипКодаПодарочногоСертификата() 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура для проверки заполнения подарочных сертификатов/объектов расчетов в табличных частях документов.
//
// Параметры:
//  Объект - ДокументОбъект - Текущий документ.
//  Отказ - Булево - Признак отказа от проведения документа.
//
Процедура ОбработкаПроверкиЗаполнения(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ПодарочныеСертификатыСервер.ОбработкаПроверкиЗаполнения(Объект, Отказ) 
```
</details>

## ЗаполнитьСуммуВВалютеСертификатаВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет заполнение реквизита "СуммаВВалютеСертификата" в табличной части ПодарочныеСертификаты.
//
// Параметры:
//	ТабличнаяЧасть - ТабличнаяЧасть - подарочные сертификаты.
//	Организация - СправочникСсылка.Организации - Организация документа.
//	Дата - Дата - Дата документа.
//	Валюта - СправочникСсылка.Валюты - Валюта документа.
//
Процедура ЗаполнитьСуммуВВалютеСертификатаВТабличнойЧасти(ТабличнаяЧасть, Организация, Дата, Валюта) Экспорт
```

Пример вызова
```bsl
ПодарочныеСертификатыСервер.ЗаполнитьСуммуВВалютеСертификатаВТабличнойЧасти(ТабличнаяЧасть, Организация, Дата, Валюта) 
```
</details>

## ДобавитьПодарочныйСертификатВТабличуюЧастьРасшифровкаПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать подарочный сертификат при подборе в табличую часть Расшифровка платежа.
// Параметры:
//  ПодарочныйСертификат - СправочникСсылка.ПодарочныеСертификаты -
//  Форма - ФормаКлиентскогоПриложения -
//
// Возвращаемое значение:
//	СтрокаТабличнойЧасти, Неопределено -
//
Функция ДобавитьПодарочныйСертификатВТабличуюЧастьРасшифровкаПлатежа(ПодарочныйСертификат, Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыСервер.ДобавитьПодарочныйСертификатВТабличуюЧастьРасшифровкаПлатежа(ПодарочныйСертификат, Форма) 
```
</details>

## ПолучитьВозможныеВидыПодарочныхСертификатовПоКодуПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск видов подарочных сертификатов, которые могут иметь заданный код и тип кода.
//
// Параметры:
//  КодКарты - Строка - Код карты.
//  ТипКода - ПеречислениеСсылка.ТипыКодовКарт - Тип кода карты.
//
// Возвращаемое значение:
//  Массив из СправочникСсылка.ВидыПодарочныхСертификатов - Ссылки на найденные виды подарочных сертификатов.
//
Функция ПолучитьВозможныеВидыПодарочныхСертификатовПоКодуПодарочногоСертификата(КодКарты, ТипКода) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыСервер.ПолучитьВозможныеВидыПодарочныхСертификатовПоКодуПодарочногоСертификата(КодКарты, ТипКода) 
```
</details>

## НайтиПодарочныеСертификаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск подарочных сертификатов.
//
// Параметры:
//  КодКарты - Строка - Код карты подарочного сертификата.
//  ТипКода - ПеречислениеСсылка.ТипыКодовКарт - Тип кода карты подарочного сертификата.
//  Отборы - Структура - Дополнительные отборы для поиска.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * ЗарегистрированныеПодарочныеСертификаты - Массив из см. ПодарочныеСертификатыВызовСервера.ИнициализироватьОписаниеПодарочногоСертификата -
//   * НеЗарегистрированныеПодарочныеСертификаты - Массив из см. ПодарочныеСертификатыВызовСервера.ИнициализироватьОписаниеПодарочногоСертификата -
//
Функция НайтиПодарочныеСертификаты(КодКарты, ТипКода, Отборы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыСервер.НайтиПодарочныеСертификаты(КодКарты, ТипКода, Отборы);
```
</details>

## ПодготовитьТаблицуДвиженияДенежныеСредстваКонтрагент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирования движений по регистру "ДвиженияДенежныеСредстваКонтрагент"
// для документов "РеализацияПодарочныхСертификатов" и "ВозвратПодарочныхСертификатов".
// Определяет какие сертификаты оплачены картой
// (распределяет сумму оплаты по карте по стоимостям сертификатов в порядке следования серификатов).
//
// Параметры:
//  ОплатаПодарочныеСертификаты - ТаблицаЗначений
//  ОплатаПлатежныеКарты - ТаблицаЗначений
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица, содержащая таблицы движений.
//
Функция ПодготовитьТаблицуДвиженияДенежныеСредстваКонтрагент(ОплатаПодарочныеСертификаты, ОплатаПлатежныеКарты) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыСервер.ПодготовитьТаблицуДвиженияДенежныеСредстваКонтрагент(ОплатаПодарочныеСертификаты, ОплатаПлатежныеКарты) 
```
</details>

## ТипРазрешенДляЗачетаОплатыПодарочнымиСертификатами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Проверяет, что переданный тип ссылки входит в состав разрешенных типов для зачета оплат подарочными сертификатами.
//
// Параметры:
//  ТипСсылки - Тип - Тип ссылки для проверки.
//
// Возвращаемое значение:
//  Булево -
//
Функция ТипРазрешенДляЗачетаОплатыПодарочнымиСертификатами(ТипСсылки) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыСервер.ТипРазрешенДляЗачетаОплатыПодарочнымиСертификатами(ТипСсылки) 
```
</details>

## ТоварыДляАнализаВозможностиОплатыПодарочнымиСертификатами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает таблицу значений с данными документа для анализа возможности оплаты подарочными сертификатами.
//
// Параметры:
//  Ссылка - ДокументСсылка, СправочникСсылка -
//
// Возвращаемое значение:
//  ТаблицаЗначений -Таблица значений с данными документа для анализа:
//   * Номенклатура - СправочникСсылка.Номенклатура -
//   * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры -
//   * Сумма - Число -
//  ,Неопределено
Функция ТоварыДляАнализаВозможностиОплатыПодарочнымиСертификатами(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ПодарочныеСертификатыСервер.ТоварыДляАнализаВозможностиОплатыПодарочнымиСертификатами(Ссылка) 
```
</details>

## АннулированиеПодарочныхСертификатовРегламентноеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает автоматическое начисление и списание баллов и контролирует результат.
Процедура АннулированиеПодарочныхСертификатовРегламентноеЗадание() Экспорт
```

Пример вызова
```bsl
ПодарочныеСертификатыСервер.АннулированиеПодарочныхСертификатовРегламентноеЗадание() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
