---
title: Подбор товаров вызов сервера
slug: erp-uh/подбор-товаров-вызов-сервера
---


## ОбновитьИндексПолнотекстовогоПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет обновление индекса полнотекстового поиска в привилегированном режиме.
//
Процедура ОбновитьИндексПолнотекстовогоПоиска() Экспорт
```

Пример вызова
```bsl
ПодборТоваровВызовСервера.ОбновитьИндексПолнотекстовогоПоиска() 
```
</details>

## ПолучитьУпаковкуХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает упаковку хранения номенклатуры, т.е. упаковку с коэффициентом 1 и
//  единицей хранения соответствующей единице хранения номенклатуры.
//
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура - номенклатура.
//
// Возвращаемое значение:
//  СправочникСсылка.УпаковкиЕдиницыИзмерения - упаковка хранения или единица измерения номенклатуры.
//
Функция ПолучитьУпаковкуХранения(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровВызовСервера.ПолучитьУпаковкуХранения(Номенклатура) 
```
</details>

## ЦенаПродажиИОстаткиТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру - информацию о цене продажи и остатках товара.
//
// Параметры:
//  Номенклатура	 - СправочникСсылка.Номенклатура			 - номенклатура,
//  Характеристика	 - СправочникСсылка.ХарактеристикиНоменклатуры	 - характеристика номенклатуры,
//  Соглашение		 - СправочникСсылка.СоглашенияСКлиентами		 - соглашение, на основании которого осуществляется продажа,
//  Валюта			 - СправочникСсылка.Валюты						 - валюта взаиморасчетов,
//  Склады			 - СправочникСсылка.Склады						 - склад, с которого осуществляется отпуск номенклатуры,
//  ВидыЦен			 - СправочникСсылка.ВидыЦен						 - вид цены.
//
// Возвращаемое значение:
//  Структура - Структура с информацией о цене продажи и остатках товара:
//  * ТекущиеОстатки - Массив из Структура:
//    ** Склад - СправочникСсылка.Склады
//    ** ВНаличии - Число
//    ** Свободно - Число
//  * ПланируемыеОстатки - Массив из Структура:
//    ** Склад - СправочникСсылка.Склады
//    ** Период - Дата
//    ** Доступно - Число
//  * Цена - Структура:
//    ** ВидЦены - СправочникСсылка.ВидыЦен
//    ** Цена - Число
//    ** Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения
//    ** ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения
//    ** Описание - Строка
//    ** СрокПоставки - Дата
//
Функция ЦенаПродажиИОстаткиТовара(Номенклатура, Характеристика, Соглашение, Валюта, Склады, ВидыЦен) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровВызовСервера.ЦенаПродажиИОстаткиТовара(Номенклатура, Характеристика, Соглашение, Валюта, Склады, ВидыЦен) 
```
</details>

## ЦенаЗакупкиИОстаткиТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру - информацию о цене закупки и остатках товара.
//
// Параметры:
//  Номенклатура	 - СправочникСсылка.Номенклатура				 - номенклатура,
//  Характеристика	 - СправочникСсылка.ХарактеристикиНоменклатуры	 - характеристика номенклатуры,
//  Соглашение		 - СправочникСсылка.СоглашенияСПоставщиками		 - соглашение, на основании которого осуществляется закупка,
//  Валюта			 - СправочникСсылка.Валюты						 - валюта взаиморасчетов,
//  Склады			 - СправочникСсылка.Склады						 - склад, на который осуществляется поставка номенклатуры.
//
// Возвращаемое значение:
//  Структура - с информацией о цене закупки и остатках товара:
//   * ТекущиеОстатки - Массив из Структура:
//     ** Склад - СправочникСсылка.Склады
//     ** ВНаличии - Число
//     ** Свободно - Число
//   * ПланируемыеОстатки - Массив из Структура:
//    ** Склад - СправочникСсылка.Склады
//    ** Период - Дата
//    ** Доступно - Число
//   * Цена - Структура:
//     ** Цена - Число
//     ** Упаковка -СправочникСсылка.УпаковкиЕдиницыИзмерения
//     ** ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения
//
Функция ЦенаЗакупкиИОстаткиТовара(Номенклатура, Характеристика, Соглашение, Валюта, Склады) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровВызовСервера.ЦенаЗакупкиИОстаткиТовара(Номенклатура, Характеристика, Соглашение, Валюта, Склады) 
```
</details>

## СписокЗначенийРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает список строковых значений реквизита номенклатуры или
//  доп.реквизитов номенклатуры. Используется при навигации по виду номенклатуры
//  и дереву свойств вида номенклатуры.
//
// Параметры:
//  ВидНоменклатуры		 - СправочникСсылка.ВидыНоменклатуры - вид номенклатуры,
//  ИмяРеквизита		 - Строка							 - имя реквизита,
//  ЭтоДопРеквизит		 - Булево		 					 - Истина - признак доп.реквизита,
//  ОтборПоНоменклатуре	 - Булево 							 - Истина - признак отбора по номенклатуре.
//
// Возвращаемое значение:
//  СписокЗначений - Список строковых значений реквизита или доп.реквизита.
//
Функция СписокЗначенийРеквизита(ВидНоменклатуры, ИмяРеквизита, ЭтоДопРеквизит, ОтборПоНоменклатуре) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровВызовСервера.СписокЗначенийРеквизита(ВидНоменклатуры, ИмяРеквизита, ЭтоДопРеквизит, ОтборПоНоменклатуре) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
