---
title: Подбор товаров клиент
slug: erp-uh/подбор-товаров-клиент
---


## УстановитьТекущийЭлементНавигация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает текущим элементом нужную панель отборов в зависимости
// от установленного варианта навигации.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьТекущийЭлементНавигация(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.УстановитьТекущийЭлементНавигация(Форма) 
```
</details>

## УстановитьТекущийЭлементСписокТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает текущим элементом - список номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьТекущийЭлементСписокТоваров(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.УстановитьТекущийЭлементСписокТоваров(Форма) 
```
</details>

## УстановитьТекущийЭлементКорзина
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает текущим элементом - список подобранных товаров - корзину.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьТекущийЭлементКорзина(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.УстановитьТекущийЭлементКорзина(Форма) 
```
</details>

## УстановитьТекущийЭлементНоменклатураПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает текущим элементом - список номенклатуры поставщика.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьТекущийЭлементНоменклатураПартнера(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.УстановитьТекущийЭлементНоменклатураПартнера(Форма) 
```
</details>

## ИмяТекущегоЭлементаСтрокиПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя текущего элемента - строки поиска на форме подбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
// Возвращаемое значение:
//	Строка - имя текущего элемента строки поиска формы подбора.
//
Функция ИмяТекущегоЭлементаСтрокиПоиска(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиент.ИмяТекущегоЭлементаСтрокиПоиска(Форма) 
```
</details>

## УстановитьТекущийЭлементСтрокаПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает текущим элементом строку поиска на форме.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьТекущийЭлементСтрокаПоиска(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.УстановитьТекущийЭлементСтрокаПоиска(Форма) 
```
</details>

## ПередЗакрытиемФормыПодбораТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед закрытием формы подбора товаров. Если не установлен
// признак переноса товаров в корзину, а в корзине есть подобранные товары,
// то выдается вопрос.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора товаров,
//	Объект - ОбработкаОбъектИмяОбработки - обработка подбора товаров,
//	Отказ - Булево - переменная в которую записывается флаг отказа.
//
Процедура ПередЗакрытиемФормыПодбораТоваров(Форма, Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПередЗакрытиемФормыПодбораТоваров(Форма, Объект, Отказ) 
```
</details>

## ПередЗакрытиемФормыПодбораТоваровЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная процедура.
//
// Параметры:
//  РезультатВопроса		 - КодВозвратаДиалога	 - код выбранного ответа на вопрос
//  ДополнительныеПараметры	 - Структура			 - дополнительные параметры описания оповещения.
//
Процедура ПередЗакрытиемФормыПодбораТоваровЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПередЗакрытиемФормыПодбораТоваровЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ПриАктивизацииСтрокиИерархииНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при активизации строки списка иерархии номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма подборов.
//
Процедура ПриАктивизацииСтрокиИерархииНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриАктивизацииСтрокиИерархииНоменклатуры(Форма) 
```
</details>

## ОбработчикАктивизацииСтрокиИерархииНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при активизации строки списка иерархии номенклатуры.
//
// Параметры:
//	Форма - см. ПодборТоваровСервер.ПриСозданииФормыПодбораНаСервере.Форма
//
Процедура ОбработчикАктивизацииСтрокиИерархииНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ОбработчикАктивизацииСтрокиИерархииНоменклатуры(Форма) 
```
</details>

## ПриАктивизацииСтрокиСпискаВидыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при активизации строки списка видов номенклатуры.
//
// Параметры:
//	Форма - см. ПодборТоваровСервер.ПриСозданииФормыПодбораНаСервере.Форма
//
Процедура ПриАктивизацииСтрокиСпискаВидыНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриАктивизацииСтрокиСпискаВидыНоменклатуры(Форма) 
```
</details>

## ПриАктивизацииСтрокиИерархииНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при активизации строки списка иерархии номенклатуры поставщика.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма подборов.
//
Процедура ПриАктивизацииСтрокиИерархииНоменклатурыПартнера(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриАктивизацииСтрокиИерархииНоменклатурыПартнера(Форма) 
```
</details>

## ПриАктивизацииСтрокиСпискаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при активизации строки списка номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка.
//
Процедура ПриАктивизацииСтрокиСпискаНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриАктивизацииСтрокиСпискаНоменклатуры(Форма) 
```
</details>

## ПриАктивизацииСтрокиТаблицыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при активизации строки таблицы номенклатуры на формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора товаров,
//	Элемент - ТаблицаФормы - список номенклатуры.
//
Процедура ПриАктивизацииСтрокиТаблицыНоменклатуры(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриАктивизацииСтрокиТаблицыНоменклатуры(Форма, Элемент) 
```
</details>

## ПриАктивизацииСтрокиТаблицыХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при активизации строки таблицы характеристик на формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора товаров,
//	Элемент - ТаблицаФормы - список характеристик.
//
Процедура ПриАктивизацииСтрокиТаблицыХарактеристик(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриАктивизацииСтрокиТаблицыХарактеристик(Форма, Элемент) 
```
</details>

## ПриАктивизацииСтрокиНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при активизации строки таблицы номенклатуры поставщика на формах подборов.
//
// Параметры:
//	Форма   - ФормаКлиентскогоПриложения - форма подбора товаров,
//	Элемент - ТаблицаФормы - список номенклатуры поставщика, содержит в том числе:
//				* ТекущиеДанные - ДанныеФормыСтруктура - содержит в том числе:
//					** Ссылка - СправочникСсылка
//
Процедура ПриАктивизацииСтрокиНоменклатурыПартнера(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриАктивизацииСтрокиНоменклатурыПартнера(Форма, Элемент) 
```
</details>

## ПриИзмененииОтображенияОстатковПоСкладамДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при изменении флажка "Отображать остатки" на формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура ПриИзмененииОтображенияОстатковПоСкладамДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриИзмененииОтображенияОстатковПоСкладамДокумента(Форма) 
```
</details>

## ПриВыбореСтрокиТаблицыХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при выборе строки таблицы характеристик в формах
// подборов. В процедуре выполняется проверка на допустимость выбора строки.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора,
//	Элемент - ТаблицаФормы - текущий список характеристик,
//	ОповещениеУспешногоВыбора - ОписаниеОповещения - Описание оповещения успешного выбора.
//
Процедура ПриВыбореСтрокиТаблицыХарактеристик(Форма, Элемент, ОповещениеУспешногоВыбора) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриВыбореСтрокиТаблицыХарактеристик(Форма, Элемент, ОповещениеУспешногоВыбора) 
```
</details>

## ПриВыбореСтрокиТаблицыХарактеристикЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная процедура.
//
// Параметры:
//  РезультатВопроса		 - КодВозвратаДиалога - код выбранного ответа на вопрос
//  ДополнительныеПараметры	 - Структура - дополнительные параметры описания оповещения.
//
Процедура ПриВыбореСтрокиТаблицыХарактеристикЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриВыбореСтрокиТаблицыХарактеристикЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ПриВыбореСтрокиТаблицыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при выборе строки таблицы номенклатуры в формах
// подборов. В процедуре выполняется проверка на допустимость выбора строки.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора,
//	ОповещениеУспешногоВыбора - ОписаниеОповещения - Описание оповещения успешного выбора.
//
Процедура ПриВыбореСтрокиТаблицыНоменклатуры(Форма, ОповещениеУспешногоВыбора) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриВыбореСтрокиТаблицыНоменклатуры(Форма, ОповещениеУспешногоВыбора) 
```
</details>

## ПриВыбореСтрокиТаблицыНоменклатурыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная процедура.
//
// Параметры:
//  РезультатВопроса		 - КодВозвратаДиалога - код выбранного ответа на вопрос
//  ДополнительныеПараметры	 - Структура - дополнительные параметры описания оповещения.
//
Процедура ПриВыбореСтрокиТаблицыНоменклатурыЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриВыбореСтрокиТаблицыНоменклатурыЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## СтраницыПриСменеСтраницыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при переключении страницы номенклатуры в форме подбора товаров
// в документы закупки. Возникает при переключении на страницу с номенклатурой поставщика и обратно.
//
// Параметры:
//	Форма - см. ПодборТоваровСервер.ПриСозданииФормыПодбораНаСервере.Форма
//
Процедура СтраницыПриСменеСтраницыНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.СтраницыПриСменеСтраницыНоменклатуры(Форма) 
```
</details>

## ПриИзмененииИспользованияФильтровНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из форм подборов при изменении флажка использования фильтров для номенклатуры поставщика.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура ПриИзмененииИспользованияФильтровНоменклатурыПартнера(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриИзмененииИспользованияФильтровНоменклатурыПартнера(Форма) 
```
</details>

## ОбработчикАктивизацииСтрокиИерархииНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при активизации строки табличного поля иерархии номенклатуры.
//
// Параметры:
//	Форма - см. ПодборТоваровСервер.ПриСозданииФормыПодбораНаСервере.Форма
//
Процедура ОбработчикАктивизацииСтрокиИерархииНоменклатурыПартнера(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ОбработчикАктивизацииСтрокиИерархииНоменклатурыПартнера(Форма) 
```
</details>

## ДеревоОтборовВыбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при выборе "фиксированного" значения в дереве отборов.
//
// Параметры:
//  Форма					 - ФормаКлиентскогоПриложения	 - форма списка номенклатуры или форма подбора.
//  ОповещениеПослеОбработки - ОписаниеОповещения - описание оповещения после обработки.
//
Процедура ДеревоОтборовВыбор(Форма, ОповещениеПослеОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ДеревоОтборовВыбор(Форма, ОповещениеПослеОбработки);
```
</details>

## ДеревоОтборовПередНачаломИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед началом изменения значения свойства в дереве отбора по свойствам вида номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры, форма выбора, форма подбора,
//	Отказ - Булево - Истина - признак отказа выполнения изменений.
//
Процедура ДеревоОтборовПередНачаломИзменения(Форма, Отказ) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ДеревоОтборовПередНачаломИзменения(Форма, Отказ) 
```
</details>

## ДеревоОтборовОтборПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при изменении значения в дереве отборов по свойствам вида
//  номенклатуры на формах списков и формах подборов.
//
// Параметры:
//  Форма					 - ФормаКлиентскогоПриложения	 - форма списка номенклатуры или форма подбора.
//  ОповещениеПослеОбработки - ОписаниеОповещения - описание оповещения после обработки.
//
Процедура ДеревоОтборовОтборПриИзменении(Форма, ОповещениеПослеОбработки = Неопределено) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ДеревоОтборовОтборПриИзменении(Форма, ОповещениеПослеОбработки);
```
</details>

## ДеревоОтборовПриИзмененииЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается после изменении значения в дереве отборов по свойствам вида
//  номенклатуры на формах списков и формах подборов.
//
// Параметры:
//  Форма					 - ФормаКлиентскогоПриложения	 - форма списка номенклатуры или форма подбора.
//
Процедура ДеревоОтборовПриИзмененииЗавершение(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ДеревоОтборовПриИзмененииЗавершение(Форма) 
```
</details>

## ВыполнениеРасширенногоПоискаВозможно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если используется полнотекстовый поиск, то функция проверяет актуальность индекса.
// Если индекс не актуален, то отображается диалог с предложением обновить индекс
// полнотекстового поиска. Если пользователь отказывается от обновления индекса,
// то все равно разрешается выполнить расширенный поиск, т.к. допускается что сведения
// касающие товаров часто не меняются.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма из которой выполняется вызов функции поиска,
//	ОповещениеПослеПроверки - ОписаниеОповещения - описание оповещения после выполнения проверки возможности
//		использования расширенного поиска.
//
Процедура ВыполнениеРасширенногоПоискаВозможно(Форма, ОповещениеПослеПроверки) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ВыполнениеРасширенногоПоискаВозможно(Форма, ОповещениеПослеПроверки) 
```
</details>

## ВыполнениеРасширенногоПоискаВозможноЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная процедура.
Процедура ВыполнениеРасширенногоПоискаВозможноЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ВыполнениеРасширенногоПоискаВозможноЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ПослеВыполненияПоискаХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает флаг возврата функции выполнения поиска характеристик.
// Если поиск не был выполнен, то выводится предупреждение.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма из которой вызывалась функция поиска товаров по строке,
//	ОтображатьПредупреждение - Булево - флаг отображения предупреждения, при неудачном поиске.
//
Процедура ПослеВыполненияПоискаХарактеристик(Форма, ОтображатьПредупреждение = Истина) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПослеВыполненияПоискаХарактеристик(Форма, ОтображатьПредупреждение);
```
</details>

## ПослеВыполненияПоискаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает флаг возврата функции выполнения поиска номенклатуры.
// Если поиск не был выполнен, то выводится предупреждение.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма из которой вызывалась функция поиска товаров по строке,
//	ОтображатьПредупреждение - Булево - флаг отображения предупреждения, при неудачном поиске.
//
Процедура ПослеВыполненияПоискаНоменклатуры(Форма, ОтображатьПредупреждение = Истина) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПослеВыполненияПоискаНоменклатуры(Форма, ОтображатьПредупреждение);
```
</details>

## ПослеВыполненияПоискаНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает флаг возврата функции выполнения поиска номенклатуры.
// Если поиск не был выполнен, то выводится предупреждение.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма из которой вызывалась функция поиска товаров по строке,
//	ОтображатьПредупреждение - Булево - флаг отображения предупреждения, при неудачном поиске.
//
Процедура ПослеВыполненияПоискаНоменклатурыПартнера(Форма, ОтображатьПредупреждение = Истина) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПослеВыполненияПоискаНоменклатурыПартнера(Форма, ОтображатьПредупреждение);
```
</details>

## ОбновитьИндексПолнотекстовогоПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает функцию обновления индекса полнотекстового поиска на сервере.
//
Процедура ОбновитьИндексПолнотекстовогоПоиска() Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ОбновитьИндексПолнотекстовогоПоиска() 
```
</details>

## УстановитьТекущуюСтрокуИерархииНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает текущую строку иерархии номенклатуры в формах списков номенклатуры и подборов.
//
// Параметры:
//	Форма - см. ПодборТоваровСервер.ПриСозданииФормыПодбораНаСервере.Форма
//
Процедура УстановитьТекущуюСтрокуИерархииНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.УстановитьТекущуюСтрокуИерархииНоменклатуры(Форма) 
```
</details>

## ПерейтиКСпискуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает текущей страницу со списком номенклатуры.
// Используется в формах подборов (в документ продажи, закупки).
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура ПерейтиКСпискуНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПерейтиКСпискуНоменклатуры(Форма) 
```
</details>

## ПослеПереходаКСпискуХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается после перехода к списку характеристик.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма подборов.
//
Процедура ПослеПереходаКСпискуХарактеристик(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПослеПереходаКСпискуХарактеристик(Форма) 
```
</details>

## ИзменитьВариантНавигации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при изменении варианта навигации для формирования и отображения меню.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма подборов.
//
Процедура ИзменитьВариантНавигации(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ИзменитьВариантНавигации(Форма) 
```
</details>

## ЦеныНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывает форму просмотра цен товара. Используется в формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура ЦеныНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ЦеныНоменклатуры(Форма) 
```
</details>

## ОткрытьКарточкуТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывает форму карточки номенклатуры. Используется в формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура ОткрытьКарточкуТовара(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ОткрытьКарточкуТовара(Форма) 
```
</details>

## ПриНажатииНаИнформационнуюНадпись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при нажатии на информационную надпись - строку с информацией
// о количестве и сумме подобранных товаров на формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора,
//	Объект - ДанныеФормыСтруктура - объект подбора.
//
Процедура ПриНажатииНаИнформационнуюНадпись(Форма, Объект) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПриНажатииНаИнформационнуюНадпись(Форма, Объект) 
```
</details>

## ПолучитьИнформациюОТовареПриПродаже
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает информацию товаре - цене продажи и остатках товара.
// Используется в формах подборов.
//
// Параметры:
//	Форма - см. Обработка.ПодборТоваровВДокументПродажи.Форма.Форма
//
Процедура ПолучитьИнформациюОТовареПриПродаже(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПолучитьИнформациюОТовареПриПродаже(Форма) 
```
</details>

## ПолучитьИнформациюОТовареПриЗакупке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает информацию о товаре - цене закупки и остатках товара.
//
// Параметры:
//	Форма - см. ПодборТоваровСервер.ПриСозданииФормыПодбораНаСервере.Форма
//
Процедура ПолучитьИнформациюОТовареПриЗакупке(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПолучитьИнформациюОТовареПриЗакупке(Форма) 
```
</details>

## НастроитьПоиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки поиска - расширенный или платформенный.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма подбора.
//
Процедура НастроитьПоиск(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.НастроитьПоиск(Форма) 
```
</details>

## НастроитьПоискЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная процедура
Процедура НастроитьПоискЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.НастроитьПоискЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ТребуетсяСохранениеНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость сохранения изменённых настроек отборов в хранилище настроек
//
// Параметры:
//	Форма - см. ПодборТоваровСервер.ПриСозданииФормыПодбораНаСервере.Форма
//
// Возвращаемое значение:
//	Булево - Признак необходимости сохранения настроек.
//
Функция ТребуетсяСохранениеНастроек(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиент.ТребуетсяСохранениеНастроек(Форма) 
```
</details>

## ПолучитьДанныеПеретаскивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует параметры перетаскивания из списков номенклатуры, номенклатуры поставщика и характеристики номенклатуры.
//
// Параметры:
//  Форма					 - ФормаКлиентскогоПриложения	 - форма подбора,
//  Элемент					 - ЭлементыФормы				 - элемент формы, с которым осуществляется действие,
//  ПараметрыПеретаскивания	 - ПараметрыПеретаскивания		 - параметры перетаскивания элемента формы.
//
Процедура ПолучитьДанныеПеретаскивания(Форма, Элемент, ПараметрыПеретаскивания) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПолучитьДанныеПеретаскивания(Форма, Элемент, ПараметрыПеретаскивания) 
```
</details>

## ПолучитьДанныеПеретаскиванияОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует параметры перетаскивания из табличной части остатков
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора,
//	Элемент - ЭлементыФормы - элемент формы, с которым осуществляется действие,
//	ПараметрыПеретаскивания - ПараметрыПеретаскивания - параметры перетаскивания элемента формы.
//
Процедура ПолучитьДанныеПеретаскиванияОстатков(Форма, Элемент, ПараметрыПеретаскивания) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиент.ПолучитьДанныеПеретаскиванияОстатков(Форма, Элемент, ПараметрыПеретаскивания) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
