---
title: Подбор товаров клиент сервер
slug: erp-uh/подбор-товаров-клиент-сервер
---


## ЭтоФормаПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли форма формой подбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора, форма списка.
//
// Возвращаемое значение:
//	Булево - истина, если это любая из форм подбора.
//
Функция ЭтоФормаПодбора(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЭтоФормаПодбора(Форма) 
```
</details>

## ЭтоФормаПодбораВДокументыЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли формой подбора в документы закупки.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора, форма списка.
//
// Возвращаемое значение:
//	Булево - Истина, если это форма подбора в документы закупки.
//
Функция ЭтоФормаПодбораВДокументыЗакупки(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЭтоФормаПодбораВДокументыЗакупки(Форма) 
```
</details>

## ЭтоФормаПодбораВДокументыПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли формой подбора в документы продажи.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора, форма списка.
//
// Возвращаемое значение:
//	Булево - истина, если это форма подбора в документы продажи.
//
Функция ЭтоФормаПодбораВДокументыПродажи(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЭтоФормаПодбораВДокументыПродажи(Форма) 
```
</details>

## ЭтоФормаВыбораХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли формой выбора справочника "Характеристики номенклатуры".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма.
//
// Возвращаемое значение:
//	Булево - истина, если это форма выбора характеристики.
//
Функция ЭтоФормаВыбораХарактеристик(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЭтоФормаВыбораХарактеристик(Форма) 
```
</details>

## ЭтоФормаВыбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли формой выбора справочника "Номенклатура".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма.
//
// Возвращаемое значение:
//	Булево - истина, если это форма выбора номенклатуры.
//
Функция ЭтоФормаВыбораНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЭтоФормаВыбораНоменклатуры(Форма) 
```
</details>

## ЭтоФормаСпискаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли формой списка справочника "Номенклатура".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма.
//
// Возвращаемое значение:
//	Булево - Истина, если это форма списка номенклатуры.
//
Функция ЭтоФормаСпискаНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЭтоФормаСпискаНоменклатуры(Форма) 
```
</details>

## ЭтоФормаПодобныеТоварыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли формой подобных товаров.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма.
//
// Возвращаемое значение:
//	Булево - истина, если это форма подобных товаров номенклатуры.
//
Функция ЭтоФормаПодобныеТоварыНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЭтоФормаПодобныеТоварыНоменклатуры(Форма) 
```
</details>

## ЭтоФормаПодбораТоваровПоКатегориям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли формой подбора по товарным категориям.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора товаров по товарным категориям.
//
// Возвращаемое значение:
//	Булево - Истина, если это форма подбора товаров по категориям.
//
Функция ЭтоФормаПодбораТоваровПоКатегориям(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЭтоФормаПодбораТоваровПоКатегориям(Форма) 
```
</details>

## ЭтоФормаПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли формой прайс-листа.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма обработки.
//
// Возвращаемое значение:
//	Булево - Истина, если это форма прайс-листа.
//
Функция ЭтоФормаПрайсЛиста(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЭтоФормаПрайсЛиста(Форма) 
```
</details>

## ЭтоФормаПрайсЛистаПоставщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли формой прайс-листа.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма обработки.
//
// Возвращаемое значение:
//	Булево - Истина, если это форма прайс-листа.
//
Функция ЭтоФормаПрайсЛистаПоставщиков(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЭтоФормаПрайсЛистаПоставщиков(Форма) 
```
</details>

## ИмяСпискаХарактеристикПоВариантуПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя списка характеристик по варианту поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма выбора, форма подбора.
//
// Возвращаемое значение:
//	Строка - имя списка характеристик.
//
Функция ИмяСпискаХарактеристикПоВариантуПоиска(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ИмяСпискаХарактеристикПоВариантуПоиска(Форма) 
```
</details>

## ИмяСпискаНоменклатурыПоВариантуПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя списка номенклатуры по варианту поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма выбора, форма подбора.
//
// Возвращаемое значение:
//	Строка - имя списка номенклатуры.
//
Функция ИмяСпискаНоменклатурыПоВариантуПоиска(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ИмяСпискаНоменклатурыПоВариантуПоиска(Форма) 
```
</details>

## ИмяСпискаНоменклатурыПартнераПоВариантуПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя списка номенклатуры поставщика по варианту поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора товаров в документы закупки.
//
// Возвращаемое значение:
//	Строка - имя списка номенклатуры поставщика по варианту поиска.
//
Функция ИмяСпискаНоменклатурыПартнераПоВариантуПоиска(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ИмяСпискаНоменклатурыПартнераПоВариантуПоиска(Форма) 
```
</details>

## ИмяСтраницыНоменклатурыПоВариантуПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя текущей страницы номенклатуры по варианту поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма выбора, списка, подбора.
//
// Возвращаемое значение:
//	Строка - имя страницы номенклатуры.
//
Функция ИмяСтраницыНоменклатурыПоВариантуПоиска(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ИмяСтраницыНоменклатурыПоВариантуПоиска(Форма) 
```
</details>

## ИмяТекущейСтраницыПоВариантуПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя страницы списка страниц на форме подбора, которую надо сделать текущей
// в зависимости от включенного типа поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма подбора.
//
// Возвращаемое значение:
//	Строка - имя страницы.
//
Функция ИмяТекущейСтраницыПоВариантуПоиска(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ИмяТекущейСтраницыПоВариантуПоиска(Форма) 
```
</details>

## ИмяТекущейСтраницыНоменклатурыПартнераПоВариантуПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя страницы списка страниц номенклатуры поставщика на форме подбора, которую надо сделать текущей
// в зависимости от включенного типа поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма подбора.
//
// Возвращаемое значение:
//	Строка - имя страницы.
//
Функция ИмяТекущейСтраницыНоменклатурыПартнераПоВариантуПоиска(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ИмяТекущейСтраницыНоменклатурыПартнераПоВариантуПоиска(Форма) 
```
</details>

## ДействующийВариантПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор действующего варианта поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма выбора, форма подбора.
//
// Возвращаемое значение:
//	Строка - идентификатор варианта поиска.
//
Функция ДействующийВариантПоиска(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ДействующийВариантПоиска(Форма) 
```
</details>

## УстановитьОтборСпискаПоСтрокеПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор по строке поиска у динамического списка.
//
// Параметры:
//	ЭлементыОтбора - КоллекцияЭлементовОтбораКомпоновкиДанных - коллекция элементов отбора,
//	ЗначениеОтбора - Массив - массив значений отбора,
//	ИспользованиеОтбора - Булево - флаг использования отбора.
//
Процедура УстановитьОтборСпискаПоСтрокеПоиска(ЭлементыОтбора, ЗначениеОтбора = Неопределено, ИспользованиеОтбора = Истина) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьОтборСпискаПоСтрокеПоиска(ЭлементыОтбора, ЗначениеОтбора, ИспользованиеОтбора);
```
</details>

## СнятьОтборПоСтрокеПоискаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбрасывает установленный отбор по строке поиска у списка номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора, форма списка.
//
Процедура СнятьОтборПоСтрокеПоискаНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.СнятьОтборПоСтрокеПоискаНоменклатуры(Форма) 
```
</details>

## СнятьОтборПоСтрокеПоискаХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбрасывает установленный отбор по строке поиска у списка характеристик.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура СнятьОтборПоСтрокеПоискаХарактеристик(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.СнятьОтборПоСтрокеПоискаХарактеристик(Форма) 
```
</details>

## СнятьОтборПоСтрокеПоискаНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбрасывает установленный отбор по строке поиска у списка номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора, форма списка.
//
Процедура СнятьОтборПоСтрокеПоискаНоменклатурыПартнера(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.СнятьОтборПоСтрокеПоискаНоменклатурыПартнера(Форма) 
```
</details>

## УстановитьОтборПоДиапазонуЦенПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор по диапазону цен на список номенклатуры поставщика в формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора товаров.
//
Процедура УстановитьОтборПоДиапазонуЦенПоставщика(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьОтборПоДиапазонуЦенПоставщика(Форма) 
```
</details>

## УстановитьОтборПоВидЦеныПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор по условию цены поставщика на форме подбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура УстановитьОтборПоВидЦеныПоставщика(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьОтборПоВидЦеныПоставщика(Форма) 
```
</details>

## УстановитьОтборПоДиапазонуЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор по диапазону цен на список номенклатуры и
// список характеристик в формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора товаров.
//
Процедура УстановитьОтборПоДиапазонуЦен(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьОтборПоДиапазонуЦен(Форма) 
```
</details>

## УстановитьДоступностьЭлементовФильтраНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значения доступности элементов фильтра номенклатуры поставщика в зависимости от значения
// флажка использования фильтра номенклатуры поставщика.
//
// Параметры:
//	Форма - см. ПодборТоваровСервер.ПриСозданииФормыПодбораНаСервере.Форма
//
Процедура УстановитьДоступностьЭлементовФильтраНоменклатурыПартнера(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьДоступностьЭлементовФильтраНоменклатурыПартнера(Форма) 
```
</details>

## УстановитьОтборПоИерархииНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор по группе номенклатуры в списке номенклатуры.
// Если на форме используется вариант навигации отличный от навигации по иерархии,
// то отбор не устанавливается.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура УстановитьОтборПоИерархииНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьОтборПоИерархииНоменклатуры(Форма) 
```
</details>

## УдалитьОтборПоИерархииНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает установленный отбор по группе номенклатуры у списка номенклатуры
// на форме подбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура УдалитьОтборПоИерархииНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УдалитьОтборПоИерархииНоменклатуры(Форма) 
```
</details>

## УстановитьОтборПоИерархииНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор по группе номенклатуры в списке номенклатуры поставщика.
// Если на форме используется вариант навигации отличный от навигации по иерархии,
// то отбор не устанавливается.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура УстановитьОтборПоИерархииНоменклатурыПартнера(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьОтборПоИерархииНоменклатурыПартнера(Форма) 
```
</details>

## УдалитьОтборПоИерархииНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Отключает установленный отбор по группе номенклатуры поставщика у списка номенклатуры поставщика
// на форме подбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура УдалитьОтборПоИерархииНоменклатурыПартнера(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УдалитьОтборПоИерархииНоменклатурыПартнера(Форма) 
```
</details>

## НазначитьКнопкуВыбораПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает кнопку выбора по умолчанию в форме выбора номенклатуры в зависимости от варианта поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры, форма выбора, форма подбора.
//
Процедура НазначитьКнопкуВыбораПоУмолчанию(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.НазначитьКнопкуВыбораПоУмолчанию(Форма) 
```
</details>

## УстановитьТекущиеСтраницыПоВариантуПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значения текущих страниц на формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры, форма выбора, форма подбора.
//
Процедура УстановитьТекущиеСтраницыПоВариантуПоиска(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьТекущиеСтраницыПоВариантуПоиска(Форма) 
```
</details>

## СтруктураСтрокиНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру строки номенклатуры. Структура используется
//  для кэширования текущих данных из строки динамического списка номенклатуры.
//
// Возвращаемое значение:
//  Структура - Структура для хранения сведений об активизированной строке номенклатуры:
//  *Ссылка - СправочникСсылка.Номенклатура
//  *Родитель - СправочникСсылка.Номенклатура
//  *ВидНоменклатуры - СправочникСсылка.ВидыНоменклатуры
//  *ТипНоменклатуры - ПеречислениеСсылка.ТипыНоменклатуры
//  *Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения
//  *ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения
//  *Артикул - Строка
//  *Номенклатура - СправочникСсылка.Номенклатура
//  *ЦеноваяГруппа - СправочникСсылка.ЦеновыеГруппы
//  *ЭтоТовар - Булево
//  *ЭтоУслуга - Булево
//  *ПометкаУдаления - Булево
//  *ХарактеристикиИспользуются - Булево
//  *ЭтоГруппа - Булево
//  *ИспользованиеХарактеристик - Булево
//  *Цена - Число
//  *ВНаличииОстаток - Число
//  *ВладелецХарактеристик - СправочникСсылка
//  *ВидЦены- СправочникСсылка.ВидыЦен
//
Функция СтруктураСтрокиНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.СтруктураСтрокиНоменклатуры() 
```
</details>

## СтруктураСтрокиХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру строки характеристик. Структура используется
//  для кэширования текущих данных из строки динамического списка характеристик.
//
// Возвращаемое значение:
//  Структура - структура с ключами:
//  * Ссылка - СправочникСсылка.ХарактеристикиНоменклатуры
//  * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры
//  * Номенклатура - СправочникСсылка.Номенклатура
//  * ВидНоменклатуры - СправочникСсылка.ВидыНоменклатуры
//  * ТипНоменклатуры - ПеречислениеСсылка.ТипыНоменклатуры
//  * ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения
//  * Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения
//  * ЦеноваяГруппа - СправочникСсылка.ЦеновыеГруппы -
//  * ПометкаУдаления - Булево
//  * ХарактеристикиИспользуются - Булево
//  * Цена - Число
//  * ВНаличииОстаток - Число
//  * ВладелецХарактеристик - СправочникСсылка
//  * ВидЦены - СправочникСсылка.ВидыЦен
//
Функция СтруктураСтрокиХарактеристик() Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.СтруктураСтрокиХарактеристик() 
```
</details>

## ПараметрыТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру необходимую для передачи данных о товаре в
// процедуры добавления товара в корзину.
//
// Параметры:
//	Номенклатура - СправочникСсылка.Номенклатура - номенклатура.
//
// Возвращаемое значение:
//	Структура - структура параметров товара.
//
Функция ПараметрыТовара(Номенклатура = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ПараметрыТовара(Номенклатура);
```
</details>

## УстановитьТекстИнформационнойНадписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает текст информационной надписи о количестве и сумме
// товаров подобранных в корзину на форме подбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьТекстИнформационнойНадписи(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьТекстИнформационнойНадписи(Форма) 
```
</details>

## УстановитьТекстНадписиОтображатьОстатки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает текст надписи о скрытии или отображении остатков.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьТекстНадписиОтображатьОстатки(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьТекстНадписиОтображатьОстатки(Форма) 
```
</details>

## УстановитьТекстНадписиОтображатьОстаткиНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает текст надписи скрытия/отображения остатков номенклатуры поставщика.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьТекстНадписиОтображатьОстаткиНоменклатурыПартнера(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьТекстНадписиОтображатьОстаткиНоменклатурыПартнера(Форма) 
```
</details>

## СформироватьИнформационнуюНадписьПодобранныхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст информационной надписи о количестве и сумме подобранных товаров.
//
// Параметры:
//	ИнформационнаяНадпись - Строка- реквизит, в который будет помещена информационная надпись,
//	КоличествоТоваров - Число - количество товаров,
//	СуммаТоваров - Число - сумма товаров,
//	Валюта - СправочникСсылка.Валюты - валюта, в которой осуществляется подбор товаров.
//
Процедура СформироватьИнформационнуюНадписьПодобранныхТоваров(ИнформационнаяНадпись, КоличествоТоваров, СуммаТоваров, Валюта) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.СформироватьИнформационнуюНадписьПодобранныхТоваров(ИнформационнаяНадпись, КоличествоТоваров, СуммаТоваров, Валюта) 
```
</details>

## ОчиститьТаблицуОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура удаляет строки из таблицы остатков на формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура ОчиститьТаблицуОстатков(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.ОчиститьТаблицуОстатков(Форма) 
```
</details>

## ЕстьТоварыПродаваемыеСовместно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, есть ли в корзине товары продаваемые совместно.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения				 - форма подбора,
//  Объект	 - ДанныеФормыСтруктура	 - обработка подбора товаров, документ.
//
// Возвращаемое значение:
//  Булево - истина, если товары есть.
//
Функция ЕстьТоварыПродаваемыеСовместно(Форма, Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.ЕстьТоварыПродаваемыеСовместно(Форма, Объект) 
```
</details>

## УстановитьВидимостьКомандыПодбораНоменклатурыПродаваемойСовместно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость команды перехода к списку совместно продаваемых товаров.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора,
//	Объект - ДанныеФормыСтруктура - обработка подбора или документ.
//
Процедура УстановитьВидимостьКомандыПодбораНоменклатурыПродаваемойСовместно(Форма, Объект) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьВидимостьКомандыПодбораНоменклатурыПродаваемойСовместно(Форма, Объект) 
```
</details>

## УстановитьЗаголовокФормыПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует заголовок формы подбора, состоящий из заголовка формы и представления документа.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора товаров.
//
Процедура УстановитьЗаголовокФормыПодбора(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьЗаголовокФормыПодбора(Форма) 
```
</details>

## СформироватьЗаголовокФормыПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует заголовок формы подбора, состоящий из заголовка формы и представления документа.
//
// Параметры:
//  Заголовок	 - Строка		 - заголовок формы,
//  Документ	 - ДокументСсылка	 - ссылка на документ, из которого открывается подбор.
//
// Возвращаемое значение:
//  Строка - заголовок формы подбора.
//
Функция СформироватьЗаголовокФормыПодбора(Заголовок, Документ) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровКлиентСервер.СформироватьЗаголовокФормыПодбора(Заголовок, Документ) 
```
</details>

## УстановитьПараметрДинамическогоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение параметра динамического списка, или отключает его использование в зависимости от признака.
//
// Параметры:
//	Список - ДинамическийСписок - список,
//	ИмяПараметра - Строка - имя параметра,
//	Значение - Произвольный - значение параметра,
//	Использование - Булево - признак использования параметра.
//
Процедура УстановитьПараметрДинамическогоСписка(Список, ИмяПараметра, Значение, Использование = Истина) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьПараметрДинамическогоСписка(Список, ИмяПараметра, Значение, Использование);
```
</details>

## УстановитьДоступностьЭлементовФильтров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значения доступности элементов фильтров в зависимости от значения
// флажка использования фильтров.
//
// Параметры:
//	Форма - см. ПодборТоваровСервер.ПриСозданииФормыПодбораНаСервере.Форма
//
Процедура УстановитьДоступностьЭлементовФильтров(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровКлиентСервер.УстановитьДоступностьЭлементовФильтров(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
