---
title: Подбор товаров сервер
slug: erp-uh/подбор-товаров-сервер
---


## ПриИзмененииКорзины
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении данных в корзине подобранных товаров в формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура ПриИзмененииКорзины(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриИзмененииКорзины(Форма) 
```
</details>

## ОстаткиНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, данные об остатках товара.
//
// Параметры:
//	Номенклатура - СправочникСсылка.Номенклатура - номенклатура товара;
//	Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика товара;
//	Склады - Массив, Неопределено - массив складов.
//
// Возвращаемое значение:
//	Структура:
//		* ТекущиеОстатки - Число - текущее количество остатков номенклатуры;
//		* ПланируемыеОстатки - Число - планируемое количество остатков номенклатуры;
//
Функция ОстаткиНоменклатуры(Номенклатура, Характеристика, Склады = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.ОстаткиНоменклатуры(Номенклатура, Характеристика, Склады);
```
</details>

## АдресТаблицыПараметровДереваОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переносит данные установленных значений отборов из дерева отборов по
//  свойствам вида номенклатуры в таблицу значений и помещает ее во временное
//  хранилище.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения	 - форма подбора.
//
// Возвращаемое значение:
//  Строка - Адрес таблицы значений во временном хранилище.
//
Функция АдресТаблицыПараметровДереваОтборов(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.АдресТаблицыПараметровДереваОтборов(Форма) 
```
</details>

## АдресТаблицыСопоставленияДереваОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переносит данные установленных значений отборов из дерева отборов по
//  свойствам вида номенклатуры в таблицу значений и помещает ее во временное хранилище.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения	 - форма подбора.
//
// Возвращаемое значение:
//  Строка - Адрес таблицы значений во временном хранилище.
//
Функция АдресТаблицыСопоставленияДереваОтборов(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.АдресТаблицыСопоставленияДереваОтборов(Форма) 
```
</details>

## ПерейтиКСпискуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает текущей страницу со списком номенклатуры.
// Используется в формах подборов (в документ продажи, закупки).
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура ПерейтиКСпискуНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПерейтиКСпискуНоменклатуры(Форма) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "ПриСозданииНаСервере" форм списков.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, формы выбора.
//
Процедура ПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриСозданииНаСервере(Форма) 
```
</details>

## ПриСозданииФормыПодбораНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события "ПриСозданииНаСервере" форм подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора, где:
//		* Элементы - ВсеЭлементыФормы - где:
//			** КорзинаЦена - ТаблицаФормы
//			** ТолькоВНаличии - ПолеФормы
//			** СегментНоменклатуры - ПолеФормы
//			** ВидНоменклатуры - ПолеФормы
//			** ВидыНоменклатуры - ТаблицаФормы - где:
//				*** ТекущиеДанные - ДинамическийСписок - где:
//					**** Ссылка - СправочникСсылка.ВидыНоменклатуры
//			** ИспользоватьФильтры - ПолеФормы
//			** СтандартныйПоискКоманднаяПанельУстановитьФильтр - ГруппаФормы
//			** РасширенныйПоискКоманднаяПанельУстановитьФильтр - ГруппаФормы
//			** СписокРасширенныйПоискНоменклатураКонтекстноеМенюНоменклатураСАналогичнымиСвойствами - КнопкаФормы
//			** СписокРасширенныйПоискНоменклатураКонтекстноеМенюТоварыДругогоКачества - КнопкаФормы
//			** СписокСтандартныйПоискНоменклатураКонтекстноеМенюНоменклатураСАналогичнымиСвойствами - КнопкаФормы
//			** СписокСтандартныйПоискНоменклатураКонтекстноеМенюТоварыДругогоКачества - КнопкаФормы
//			** СписокСтандартныйПоискНоменклатураВНаличииОстаток - ПолеФормы
//			** СписокРасширенныйПоискНоменклатураВНаличииОстаток - ПолеФормы
//			** СписокРасширенныйПоискНоменклатураДоступно - ПолеФормы
//			** СписокСтандартныйПоискНоменклатураДоступно - ПолеФормы
//			** СписокРасширенныйПоискНоменклатураЦена - ПолеФормы
//			** СписокСтандартныйПоискНоменклатураЦена - ПолеФормы
//			** СписокРасширенныйПоискХарактеристикиЦена - ПолеФормы
//			** СписокСтандартныйПоискХарактеристикиЦена - ПолеФормы
//			** СписокРасширенныйПоискХарактеристикиВНаличииОстаток - ПолеФормы
//			** СписокСтандартныйПоискХарактеристикиВНаличииОстаток - ПолеФормы
//			** СписокРасширенныйПоискХарактеристикиДоступно - ПолеФормы
//			** СписокСтандартныйПоискХарактеристикиДоступно - ПолеФормы
//			** СписокРасширенныйПоискНоменклатураПартнера - ПолеФормы
//			** СписокСтандартныйПоискНоменклатураПартнера - ПолеФормы
//			** СписокРасширенныйПоискНоменклатураПартнераНоменклатура - ПолеФормы
//			** СписокСтандартныйПоискНоменклатураПартнераНоменклатура - ПолеФормы
//			** ИерархияНоменклатуры - ТаблицаФормы
//			** ИерархияНоменклатурыПартнера - ТаблицаФормы
//			** СтрокаПоискаНоменклатура - ПолеФормы
//			** СтрокаПоискаХарактеристики - ПолеФормы
//			** ОстаткиТоваровПериодОписание - ПолеФормы
//			** ОстаткиТоваров - ПолеФормы
//			** ОстаткиТоваровПоставщика - ПолеФормы
//			** ДеревоОтборов - ТаблицаФормы
//			** ДеревоОтборовОтбор - ПолеФормы
//			** ДеревоОтборовПредставление - ПолеФормы
//			** ДеревоОтборовПредставлениеОтбора - ПолеФормы
//			** СписокКачества - ТаблицаФормы
//			** ОтборЦенаОт - ПолеФормы
//			** ОтборЦенаДо - ПолеФормы
//			** КоманднаяПанельВариантНавигации - КнопкаФормы
//			** НадписьВариантНавигации - ПолеФормы
//			** НоменклатураИсходногоКачества - ПолеФормы
//			** ИерархияНоменклатуры - ТаблицаФормы
//			** КоманднаяПанельСоздатьНоменклатуру - ГруппаФормы
//			** КоманднаяПанельСоздатьХарактеристику - ГруппаФормы
//		* Команды - КомандыФормы - где:
//			** ПеренестиВДокумент - КомандаФормы
//		* ТаблицаПараметровОтбора - ДанныеФормыКоллекция
//		* СписокНоменклатура - ДинамическийСписок - где:
//			** Параметры - ЗначенияПараметровДанныхКомпоновкиДанных
//		* СписокХарактеристики - ДинамическийСписок - где:
//			** Параметры - ЗначенияПараметровДанныхКомпоновкиДанных
//		* СписокНоменклатураПартнера - ДинамическийСписок - где:
//			** Параметры - ЗначенияПараметровДанныхКомпоновкиДанных
//		* НоваяХарактеристика - см. ПодборТоваровКлиентСервер.СтруктураСтрокиХарактеристик
//		* ОстаткиТоваров - ДанныеФормыЭлементДерева
//		* ОстаткиТоваровПоставщика - ДанныеФормыЭлементДерева
//
//
Процедура ПриСозданииФормыПодбораНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриСозданииФормыПодбораНаСервере(Форма) 
```
</details>

## УстановитьВидимостьДоступныхОстатковПодбораВДокументПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость колонок связанных с отображением доступных остатков.
// Используется в форме подбора в документ продажи.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьВидимостьДоступныхОстатковПодбораВДокументПродажи(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.УстановитьВидимостьДоступныхОстатковПодбораВДокументПродажи(Форма) 
```
</details>

## ДеревоОтборовОтборПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении значения в дереве отбора по свойствам вида номенклатуры.
// Т.е. клиентские функции обрабатывают обработку значений на элементе формы (устанавливают
// значения флажков на строках, подчиненных строках, открывают форму установки интервала значений
// и т.п.), затем управление передается на сервер и сначала отключаются все установленные отборы
// по дереву свойств, затем включается отбор только по значениям строк с установленными флажками отбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура ДеревоОтборовОтборПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ДеревоОтборовОтборПриИзменении(Форма) 
```
</details>

## СписокКачестваПометкаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении значения в дереве отбора по свойствам вида номенклатуры.
// Т.е. клиентские функции обрабатывают обработку значений на элементе формы (устанавливают
// значения флажков на строках, подчиненных строках, открывают форму установки интервала значений
// и т.п.), затем управление передается на сервер и сначала отключаются все установленные отборы
// по дереву свойств, затем включается отбор только по значениям строк с установленными флажками отбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура СписокКачестваПометкаПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.СписокКачестваПометкаПриИзменении(Форма) 
```
</details>

## НоменклатураИсходногоКачестваПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении значения в дереве отбора по свойствам вида номенклатуры.
// Т.е. клиентские функции обрабатывают обработку значений на элементе формы (устанавливают
// значения флажков на строках, подчиненных строках, открывают форму установки интервала значений
// и т.п.), затем управление передается на сервер и сначала отключаются все установленные отборы
// по дереву свойств, затем включается отбор только по значениям строк с установленными флажками отбора.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура НоменклатураИсходногоКачестваПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.НоменклатураИсходногоКачестваПриИзменении(Форма) 
```
</details>

## ЗаполнитьДеревоОтборовХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет дерево отборов характеристик по свойствам вида номенклатуры выбранного на форме.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура ЗаполнитьДеревоОтборовХарактеристик(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ЗаполнитьДеревоОтборовХарактеристик(Форма) 
```
</details>

## ПерейтиКСпискуХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает текущей страницу со списком характеристик.
// Используется при стандартном сценарии - когда выполняется выбор строки
// списка номенклатуры, и если по номенклатуре ведется учет характеристик,
// то выполняется переход к списку характеристик.
//
// Используется в формах подборов (в документах продажи, закупки).
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура ПерейтиКСпискуХарактеристик(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПерейтиКСпискуХарактеристик(Форма) 
```
</details>

## УстановитьОтборПоВладельцуХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор по владельцу характеристик. Используется в форме подбора справочника "Характеристики номенклатуры".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьОтборПоВладельцуХарактеристик(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.УстановитьОтборПоВладельцуХарактеристик(Форма) 
```
</details>

## ПриУстановкеОтбораПоНоменклатуреПродаваемойСовместно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки команды СПодобраннойНоменклатуройСовместноПродается из форм
// подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора, форма помощника продаж.
//
Процедура ПриУстановкеОтбораПоНоменклатуреПродаваемойСовместно(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриУстановкеОтбораПоНоменклатуреПродаваемойСовместно(Форма) 
```
</details>

## УстановитьОтборПоНоменклатуреПродаваемойСовместно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор на список номенклатуры по товарам продаваемым совместно
// с заданной номенклатурой.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьОтборПоНоменклатуреПродаваемойСовместно(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.УстановитьОтборПоНоменклатуреПродаваемойСовместно(Форма) 
```
</details>

## УстановитьОтборПоНоменклатуреИсходногоКачества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор по владельцу характеристик. Используется
// в форме подбора справочника "Характеристики номенклатуры".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьОтборПоНоменклатуреИсходногоКачества(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.УстановитьОтборПоНоменклатуреИсходногоКачества(Форма) 
```
</details>

## УстановитьОтборПоКачествуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор по владельцу характеристик. Используется
// в форме подбора справочника "Характеристики номенклатуры".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьОтборПоКачествуНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.УстановитьОтборПоКачествуНоменклатуры(Форма) 
```
</details>

## ДобавитьЭлементОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет отбор в указанную коллекцию области отбора.
//
// Параметры:
//	ОбластьОтбора - ОтборКомпоновкиДанных - отбор динамического списка,
//	ЛевоеЗначение - Строка - путь к данным поля отбора,
//	ПравоеЗначение - Произвольный - значение отбора,
//	ВидОтбора - ВидСравненияКомпоновкиДанных - вид сравнения,
//	Представление - Строка - представление элемента отбора.
//
Процедура ДобавитьЭлементОтбора(ОбластьОтбора, ЛевоеЗначение, ПравоеЗначение, ВидОтбора, Представление = "") Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ДобавитьЭлементОтбора(ОбластьОтбора, ЛевоеЗначение, ПравоеЗначение, ВидОтбора, Представление);
```
</details>

## ПриИзмененииИспользованияФильтров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из форм подборов при изменении флажка использования фильтров.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура ПриИзмененииИспользованияФильтров(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриИзмененииИспользованияФильтров(Форма) 
```
</details>

## ПриИзмененииВариантаНавигации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из форм подборов при изменении варианта навигации.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура ПриИзмененииВариантаНавигации(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриИзмененииВариантаНавигации(Форма) 
```
</details>

## ПриИзмененииВидаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из форм подбора при изменении вида номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора, форма списка, форма выбора.
//
Процедура ПриИзмененииВидаНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриИзмененииВидаНоменклатуры(Форма) 
```
</details>

## УстановитьПараметрыДереваОтбораКачествоНовый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет строку в таблицу параметров отбора, используется при работе варианта навигации
// по товарам "альтернативного" качества.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора, форма списка, форма выбора
//
Процедура УстановитьПараметрыДереваОтбораКачествоНовый(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.УстановитьПараметрыДереваОтбораКачествоНовый(Форма) 
```
</details>

## ПриИзмененииВидаЦеныПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из форм подборов при изменении значения сегмента номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура ПриИзмененииВидаЦеныПоставщика(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриИзмененииВидаЦеныПоставщика(Форма) 
```
</details>

## СброситьОтборыПоСвойствам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для сброса флажков для свойств номенклатуры в контекстном меню списка номенклатуры в формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура СброситьОтборыПоСвойствам(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.СброситьОтборыПоСвойствам(Форма) 
```
</details>

## УстановитьОтборПоНоменклатуреДругогоКачества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выполнении команды отображения товаров другого качества
// в контекстном меню списка номенклатуры в формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора
//
Процедура УстановитьОтборПоНоменклатуреДругогоКачества(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.УстановитьОтборПоНоменклатуреДругогоКачества(Форма) 
```
</details>

## ПриИзмененииСегментаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из форм подборов при изменении значения сегмента номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора.
//
Процедура ПриИзмененииСегментаНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриИзмененииСегментаНоменклатуры(Форма) 
```
</details>

## ПриИзмененииОтображенияНоменклатураСАналогичнымиСвойствами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выполнении команды отображения товаров с аналогичными свойствами
// в контекстном меню списка номенклатуры в формах подборов.
//
// Параметры:
//	Форма - см. ПриСозданииФормыПодбораНаСервере.Форма
//
Процедура ПриИзмененииОтображенияНоменклатураСАналогичнымиСвойствами(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриИзмененииОтображенияНоменклатураСАналогичнымиСвойствами(Форма) 
```
</details>

## УстановитьОтборТолькоВНаличии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор "Только в наличии" на список номенклатуры
// и характеристик в формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьОтборТолькоВНаличии(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.УстановитьОтборТолькоВНаличии(Форма) 
```
</details>

## СвойстваДляПодбораТоваровСАналогичнымиСвойствами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив свойств по которым устанавливается отбор при отображении
//  списка товаров с аналогичными свойствами в формах подборов.
//
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура - номенклатура для которой формируется массив свойств.
//
// Возвращаемое значение:
//  Массив - Массив свойств и значений свойств элемента номенклатуры по которым нужно
//  будет отобрать товары.
//
Функция СвойстваДляПодбораТоваровСАналогичнымиСвойствами(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.СвойстваДляПодбораТоваровСАналогичнымиСвойствами(Номенклатура) 
```
</details>

## ОтфильтроватьПоАналогичнымСвойствам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор на список номенклатуры по аналогичным свойствам вида номенклатуры переданного товара.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка номенклатуры или форма подбора,
//	Номенклатура - СправочникСсылка.Номенклатура - товар по значениям свойств которого необходимо установить отбор списка номенклатуры.
//
Процедура ОтфильтроватьПоАналогичнымСвойствам(Форма, Номенклатура) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ОтфильтроватьПоАналогичнымСвойствам(Форма, Номенклатура) 
```
</details>

## ВыполнитьПоискНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск номенклатуры по строке поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма выбора, форма подбора.
//
// Возвращаемое значение:
//	Булево - Истина - удалось выполнить поиск, элементы найдены, Ложь - не удалось выполнить поиск.
//
Функция ВыполнитьПоискНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.ВыполнитьПоискНоменклатуры(Форма) 
```
</details>

## ВыполнитьПоискХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск характеристик по строке поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
// Возвращаемое значение:
//	Булево - Истина - удалось выполнить поиск, элементы найдены, Ложь - не удалось выполнить поиск.
//
Функция ВыполнитьПоискХарактеристик(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.ВыполнитьПоискХарактеристик(Форма) 
```
</details>

## ВыполнитьПоискНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск номенклатуры партнера по строке поиска.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма выбора, форма подбора.
//
// Возвращаемое значение:
//	Булево - Истина - удалось выполнить поиск, элементы найдены, Ложь - не удалось выполнить поиск.
//
Функция ВыполнитьПоискНоменклатурыПартнера(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.ВыполнитьПоискНоменклатурыПартнера(Форма) 
```
</details>

## ВыполнитьПоиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьПоиск(Форма, ИмяСпискаПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.ВыполнитьПоиск(Форма, ИмяСпискаПоиска));
```
</details>

## СохранитьНастройкиФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет значения реквизитов на форме в хранилище общих настроек.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма списка, форма выбора.
//
Процедура СохранитьНастройкиФормы(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.СохранитьНастройкиФормы(Форма) 
```
</details>

## СохранитьНастройкиФормыПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет значения реквизитов на форме подбора в хранилище общих настроек.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура СохранитьНастройкиФормыПодбора(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.СохранитьНастройкиФормыПодбора(Форма) 
```
</details>

## ПриЗаписиНовойНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// и новой характеристики.

// Вызывается при обработке оповещения создания новой номенклатуры из помощника
// добавления новой номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора,
//	Номенклатура - СправочникСсылка.Номенклатура - источник события.
//
Процедура ПриЗаписиНовойНоменклатуры(Форма, Номенклатура) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриЗаписиНовойНоменклатуры(Форма, Номенклатура) 
```
</details>

## ПриЗаписиНовойХарактеристики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при обработке оповещения создания новой характеристики из помощника
// добавления новой характеристики.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора,
//	Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - источник события.
//
Процедура ПриЗаписиНовойХарактеристики(Форма, Характеристика) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.ПриЗаписиНовойХарактеристики(Форма, Характеристика) 
```
</details>

## ПервоеОткрытиеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет попытку загрузить настройки из общего хранилища настроек
// по имени ключа объекта. Если настройки в общем хранилище есть, значит форма
// уже открывалась, если нет, значит это первое открытие формы.
//
// Параметры:
//	КлючОбъекта - Строка - ключ объекта настроек формы.
//
// Возвращаемое значение:
//	Булево - Истина - признак первого открытия формы.
//
Функция ПервоеОткрытиеФормы(КлючОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.ПервоеОткрытиеФормы(КлючОбъекта) 
```
</details>

## ПараметрыСозданияНовойНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для создания новой номенклатуры из форм подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
// Возвращаемое значение:
//	Структура - параметры создания новой номенклатуры из форм подборов:
//		* Родитель					- СправочникСсылка.Номенклатура		- родитель новой номенклатуры;
//		* ВидНоменклатуры			- СправочникСсылка.ВидыНоменклатуры	- вид номенклатуры новой номенклатуры;
//		* АдресТаблицыПараметров	- Строка							- адрес таблицы параметров во временном хранилище;
//		* АдресТаблицыСопоставления	- Строка							- адрес таблицы сопоставления во временном хранилище.
//
Функция ПараметрыСозданияНовойНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.ПараметрыСозданияНовойНоменклатуры(Форма) 
```
</details>

## ПараметрыСозданияНовойХарактеристики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для создания новой характеристики из форм подборов.
//
// Параметры:
//	Форма - см. ПриСозданииФормыПодбораНаСервере.Форма
//
// Возвращаемое значение:
//	Структура - параметры создания новой номенклатуры из форм подборов:
//		* Владелец - СправочникСсылка.Номенклатура, СправочникСсылка.ВидыНоменклатуры - родитель новой характеристики;
//		* ВидНоменклатуры - СправочникСсылка.ВидыНоменклатуры	- вид номенклатуры новой характеристики;
//		* АдресТаблицы - Строка - адрес таблицы во временном хранилище.
//
Функция ПараметрыСозданияНовойХарактеристики(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.ПараметрыСозданияНовойХарактеристики(Форма) 
```
</details>

## ТекстЗапросаЦенаПродажиТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для получения информации о цене продажи товара.
//
// Параметры:
//	СоставРазделовЗапроса - Массив, Неопределено - переменная в которую записывается массив строк, состав разделов текста запроса.
//
// Возвращаемое значение:
//	Строка - текст запроса для получения информации о цене продажи товара.
//
Функция ТекстЗапросаЦенаПродажиТовара(СоставРазделовЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.ТекстЗапросаЦенаПродажиТовара(СоставРазделовЗапроса) 
```
</details>

## ТекстЗапросаЦенаЗакупкиТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для получения информации о цене закупки товара.
//
// Параметры:
//	СоставРазделовЗапроса - Массив, Неопределено - переменная в которую записывается массив строк, состав разделов текста запроса.
//
// Возвращаемое значение:
//	Строка - текст запроса для получения информации о цене закупки товара.
//
Функция ТекстЗапросаЦенаЗакупкиТовара(СоставРазделовЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.ТекстЗапросаЦенаЗакупкиТовара(СоставРазделовЗапроса) 
```
</details>

## РазделительПакетаЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку - разделитель текстов запросов пакетного запроса.
//
// Возвращаемое значение:
//  Строка - разделитель.
//
Функция РазделительПакетаЗапросов() Экспорт
```

Пример вызова
```bsl
Результат = ПодборТоваровСервер.РазделительПакетаЗапросов() 
```
</details>

## УстановитьТекстыЗапросовСписковФормыПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значения текстов запросов динамических списков на формах подборов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма подбора.
//
Процедура УстановитьТекстыЗапросовСписковФормыПодбора(Форма) Экспорт
```

Пример вызова
```bsl
ПодборТоваровСервер.УстановитьТекстыЗапросовСписковФормыПодбора(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
