---
title: Подключаемое оборудование OFFLINE клиент
slug: erp-uh/подключаемое-оборудование-offline-клиент
---


## ВыгрузитьТоварыВВесы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает измененные данные в весы с печатью этикеток.
//
// Параметры:
//  ОписаниеОповещенияЗавершение - ОписаниеОповещения - Описание оповещения о завершении,
//                                                    вызывается после окончания выгрузки товаров в весы.
//  МассивУстройств - Массив - ссылки СправочникСсылка.ПодключаемоеОборудование на устройства в которые
//                             требуется выгрузить данные.
//  ПоказыватьПредупреждение - Булево  - Флаг, определяющий возможность показа предупреждения об окончании действия.
//
Процедура ВыгрузитьТоварыВВесы(ОписаниеОповещенияЗавершение, МассивУстройств, ПоказыватьПредупреждение = Истина) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеOfflineКлиент.ВыгрузитьТоварыВВесы(ОписаниеОповещенияЗавершение, МассивУстройств, ПоказыватьПредупреждение);
```
</details>

## ВыгрузитьТоварыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения при завершении операции выгрузки товаров.
//
// Параметры:
//  РезультатВыполнения - Булево - результат выполнения операции.
//  Параметры - Структура - Параметры обработчика оповещения
//
Процедура ВыгрузитьТоварыЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеOfflineКлиент.ВыгрузитьТоварыЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## ВыгрузитьПолныйСписокТоваровВВесы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выгружает полный список товаров в весы с печатью этикеток.
//
// Параметры:
//  ОписаниеОповещенияЗавершение - ОписаниеОповещения - Описание оповещения о завершении,
//                                                      вызывается после окончания выгрузки товаров в весы.
//  МассивУстройств - Массив - ссылки СправочникСсылка.ПодключаемоеОборудование на устройства в которые
//                             требуется выгрузить изменения.
//  ПоказыватьПредупреждение - Булево - Флаг, определяющий возможность показа предупреждения об окончании действия.
//
Процедура ВыгрузитьПолныйСписокТоваровВВесы(ОписаниеОповещенияЗавершение, МассивУстройств, ПоказыватьПредупреждение = Истина) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеOfflineКлиент.ВыгрузитьПолныйСписокТоваровВВесы(ОписаниеОповещенияЗавершение, МассивУстройств, ПоказыватьПредупреждение);
```
</details>

## ОчиститьТоварыВВесах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура очищает список товаров в весах с печатью этикеток.
//
// Параметры:
//  ОписаниеОповещенияЗавершение - ОписаниеОповещения - Описание оповещения о завершении,
//                                                      вызывается после окончания очистки товаров в весах.
//  МассивУстройств - Массив Из СправочникСсылка.ПодключаемоеОборудование - Устройства в которых
//                             необходимо очистить список товаров.
//  ПоказыватьПредупреждение - Булево - Флаг, определяющий возможность показа предупреждения об окончании действия.
//
Процедура ОчиститьТоварыВВесах(ОписаниеОповещенияЗавершение, МассивУстройств, ПоказыватьПредупреждение = Истина) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеOfflineКлиент.ОчиститьТоварыВВесах(ОписаниеОповещенияЗавершение, МассивУстройств, ПоказыватьПредупреждение);
```
</details>

## ОчиститьТоварыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения при завершении операции очистки товаров.
//
// Параметры:
//  РезультатВыполнения - Булево - результат выполнения операции.
//  Параметры - Структура - Параметры обработчика оповещения.
//
Процедура ОчиститьТоварыЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеOfflineКлиент.ОчиститьТоварыЗавершение(РезультатВыполнения, Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
