---
title: Подключаемое оборудование УТ вызов сервера
slug: erp-uh/подключаемое-оборудование-ут-вызов-сервера
---


## ОборудованиеПодключенноеКТерминалу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить оборудование подключенное к терминалу.
//
// Параметры:
//  ЭквайринговыйТерминал - СправочникСсылка.ЭквайринговыеТерминалы - Эквайринговый терминал.
//
// Возвращаемое значение:
//  Структура - Структура по свойствами:
//   * Терминал - Неопределено, СправочникСсылка.ПодключаемоеОборудование - Терминал.
//   * ККТ - Неопределено, СправочникСсылка.ПодключаемоеОборудование - ККТ.
//
Функция ОборудованиеПодключенноеКТерминалу(ЭквайринговыйТерминал) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.ОборудованиеПодключенноеКТерминалу(ЭквайринговыйТерминал) 
```
</details>

## ОборудованиеПодключенноеККассе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить оборудование подключенное к кассе.
//
// Параметры:
//  Касса - СправочникСсылка.Кассы - Касса.
//
// Возвращаемое значение:
//  Структура - Структура по свойствами:
//   * Терминал - Неопределено, СправочникСсылка.ПодключаемоеОборудование - Данные подключенному термиралу
//   * ККТ - Неопределено, СправочникСсылка.ПодключаемоеОборудование - ККТ.
//
Функция ОборудованиеПодключенноеККассе(Касса) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.ОборудованиеПодключенноеККассе(Касса) 
```
</details>

## КассаСвязаннаяСОборудованием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить кассу, связанную с оборудованием.
//
// Параметры:
//  ОборудованиеККТ - СправочникСсылка.ПодключаемоеОборудование -
//
// Возвращаемое значение:
//  СправочникСсылка.Кассы, Неопределено -
//
Функция КассаСвязаннаяСОборудованием(ОборудованиеККТ) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.КассаСвязаннаяСОборудованием(ОборудованиеККТ) 
```
</details>

## ОборудованиеПодключенноеККассеККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить оборудование подключенное к кассе ККМ.
//
// Параметры:
//  КассаККМ - СправочникСсылка.КассыККМ - Касса ККМ.
//
// Возвращаемое значение:
//  Структура - Структура по свойствами:
//   * Терминал - Неопределено, СправочникСсылка.ПодключаемоеОборудование - Данные подключенному термиралу
//   * ККТ - Массив Из СправочникСсылка.ПодключаемоеОборудование - ККТ
//
Функция ОборудованиеПодключенноеККассеККМ(КассаККМ) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.ОборудованиеПодключенноеККассеККМ(КассаККМ) 
```
</details>

## ОборудованиеПодключенноеПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить оборудование подключенное по организации.
//
// Параметры:
//  Организация - ОпределяемыйТип.ОрганизацияБПО - Организация.
//
// Возвращаемое значение:
//  Структура - Структура по свойствами:
//   * Терминал - Неопределено, СправочникСсылка.ПодключаемоеОборудование - Данные подключенному термиралу
//   * ККТ - Массив Из СправочникСсылка.ПодключаемоеОборудование, СправочникСсылка.ОфлайнОборудование - ККТ
//
Функция ОборудованиеПодключенноеПоОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.ОборудованиеПодключенноеПоОрганизации(Организация) 
```
</details>

## ОборудованиеПодключенноеККассеПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить оборудование подключенное к кассам организации для текущего рабочего места.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация.
//
// Возвращаемое значение:
//  Структура - Структура по свойствами:
//   * Терминал - Неопределено.
//   * ККТ - Неопределено, СправочникСсылка.ПодключаемоеОборудование - ККТ.
//
Функция ОборудованиеПодключенноеККассеПоОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.ОборудованиеПодключенноеККассеПоОрганизации(Организация) 
```
</details>

## ОборудованиеПодключенноеПоОрганизацииВзаимодействующееОнлайнС1С
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить оборудование подключенное по организации и взаимодействующее в онлайн с 1С.
//
// Параметры:
//  Организация - ОпределяемыйТип.ОрганизацияБПО - Организация.
//
// Возвращаемое значение:
//  Структура - Структура по свойствами:
//   * Терминал - Неопределено, СправочникСсылка.ПодключаемоеОборудование - Данные подключенному термиралу
//   * ККТ - Массив Из СправочникСсылка.ПодключаемоеОборудование - ККТ
//
Функция ОборудованиеПодключенноеПоОрганизацииВзаимодействующееОнлайнС1С(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.ОборудованиеПодключенноеПоОрганизацииВзаимодействующееОнлайнС1С(Организация) 
```
</details>

## ОборудованиеПодключенноеПоТорговомуОбъектуВзаимодействующееОнлайнС1С
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить оборудование подключенное по торговому объету и взаимодействующее в онлайн с 1С.
//
// Параметры:
//  ТорговыйОбъект - СправочникСсылка.КассыККМ, СправочникСсылка.Кассы - Торговый объект для определения
//  	конкретного подключенного оборудования.
//
// Возвращаемое значение:
//  Структура - Структура по свойствами:
//   * Терминал - Неопределено, СправочникСсылка.ПодключаемоеОборудование - Данные подключенному термиралу
//   * ККТ - Массив Из СправочникСсылка.ПодключаемоеОборудование - ККТ
//
Функция ОборудованиеПодключенноеПоТорговомуОбъектуВзаимодействующееОнлайнС1С(ТорговыйОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.ОборудованиеПодключенноеПоТорговомуОбъектуВзаимодействующееОнлайнС1С(ТорговыйОбъект) 
```
</details>

## ДанныеФискальнойОперацииСУчетомКорректировкиРеализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеФискальнойОперацииСУчетомКорректировкиРеализации(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.ДанныеФискальнойОперацииСУчетомКорректировкиРеализации(ДокументОснование) 
```
</details>

## ЗаписатьВЖурналФискальныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать операцию в регистр сведений Фискальные операции. Оставлен для совместимости с ОперацияПоЯндексКассе.ОтразитьДокументВЖурналеФискальныхОпераций()
// вызывается ТОЛЬКО оттуда
// раньше запись делалась в регистр сведений ЖурналФискальныхОпераций
// теперь в рамках этого метода НЕ создаются :
//		РозничныеПродажи.СоздатьДокументВнесениеДенежныхСредствВКассуККМ(ВнесениеДенежныхСредствВКассуККМ);
//      РозничныеПродажи.СоздатьДокументВыемкаДенежныхСредствИзКассыККМ(ВыемкаДенежныхСредствИзКассыККМ).
//
// Параметры:
//  ТребуетсяПовторнаяПопыткаЗаписи - Булево - Требуется повторная попытка записи.
//  РеквизитыФискальнойОперацииКассовогоУзла - Структура - Реквизиты фискальной операции кассового узла:
//    	* Дата - Дата - Дата формирования чека
//    	* ДокументОснование - ДокументСсылка -
//    	* Организация - СправочникСсылка - Организация который принадлежит касса
//    	* ТорговыйОбъект - СправочникСсылка -
//    	* Устройство - СправочникСсылка - Касса ККМ или фискальное устройство
//    	* ТипОперации - ПеречислениеСсылка - Тип операции кассового узла
//    	* ТипРасчета - ПеречислениеСсылка - Тип расчета денежными средствами
//    	* НомерЧекаККМ - Строка - Фискальный номер документа
//    	* НомерСмены - Строка - Номер кассовой смены
//    	* ВариантОтправкиЭлектронногоЧека - ПеречислениеСсылка - Варианты отправки электронного чека покупателю
//    	* КонтактныеДанныеЭлектронногоЧека - Строка - Контактные данные электронного чека
//    	* Сумма - Число - Сумма чека
//    	* СуммаОплатыНаличные - Число - Сумма чека
//    	* СуммаОплатыПлатежнаяКарта - Число - Сумма чека
//    	* СуммаКредит - Число - Сумма чека
//    	* СуммаПредоплаты - Число - Сумма чека
//    	* СуммаВзаимозачет - Число - Сумма чека
//    	* Данные - Структура -
//    			- Массив - Данные фискальной операции
//    	* ДополнительныеПараметры - Структура - Описывает дополнительные параметры.
//
// Возвращаемое значение:
//  Булево - Результат записи фискальной опрерации.
Функция ЗаписатьВЖурналФискальныхОпераций(ТребуетсяПовторнаяПопыткаЗаписи, Знач РеквизитыФискальнойОперацииКассовогоУзла) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.ЗаписатьВЖурналФискальныхОпераций(ТребуетсяПовторнаяПопыткаЗаписи, РеквизитыФискальнойОперацииКассовогоУзла) 
```
</details>

## ЗаписатьФискальнуюОперациюВТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать операцию в регистр сведений Фискальные операции в транзакции.
// Метод добавлен для вызова из клиентского контекста (в частности ПодключаемоеОборудованиеУТКлиент) с возможностью попытки повторной записи
// В дальнейшем предполагается перенести этот метод в ОМ МенеджерОбрудованияВызовСервера БПО.
//
// Параметры:
//  ТребуетсяПовторнаяПопыткаЗаписи - Булево - Требуется повторная попытка записи.
//  ПараметрыФискализации - Структура - Описание параметров фискализация чека, см. функцию МенеджерОборудованияКлиентСервер.ПараметрыФискализацииЧека().
//
// Возвращаемое значение:
// 	Булево - Результат записи фискальной операции.
Функция ЗаписатьФискальнуюОперациюВТранзакции(ТребуетсяПовторнаяПопыткаЗаписи, Знач ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТВызовСервера.ЗаписатьФискальнуюОперациюВТранзакции(ТребуетсяПовторнаяПопыткаЗаписи, ПараметрыФискализации) 
```
</details>

## СформироватьОчередьЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список операций к фискализации по документу и помещает их в очередь
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - ссылка на документ для которого необходимо сформировать очередь чеков
//
Процедура СформироватьОчередьЧеков(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУТВызовСервера.СформироватьОчередьЧеков(ДокументСсылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
