---
title: Подключаемое оборудование УТ клиент
slug: erp-uh/подключаемое-оборудование-ут-клиент
---


## УстановитьСтатусПодключенияОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключает или отключает оборудования в зависимости от переданного статуса подключения
//
// Параметры:
// 	СтатусПодключения - Булево - Статус подключения оборудования: Истина - подключить, Ложь - отключить
// 	Форма - ФормаКлиентскогоПриложения - Форма документа
// 	ИспользуемоеОборудование - Массив Из СправочникСсылка.ПодключаемоеОборудование - Доступное текущему пользователю
// 	 оборудование, в том числе эквайринговые терминалы.
// 	ТаблицаОборудования - ТаблицаЗначений - Список доступного оборудования печати чеков
// 	ОповещениеЗавершения - ОписаниеОповещения - Оповедение о завершении выполнения действия
Процедура УстановитьСтатусПодключенияОборудования(СтатусПодключения, Форма, ИспользуемоеОборудование, ТаблицаОборудования, ОповещениеЗавершения = Неопределено) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУТКлиент.УстановитьСтатусПодключенияОборудования(СтатусПодключения, Форма, ИспользуемоеОборудование, ТаблицаОборудования, ОповещениеЗавершения);
```
</details>

## ПробитьЧек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму предварительного просмотра чека ККМ.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ПараметрыОперации - Структура - Структура со свойствами:
//   * ДокументСсылка - ДокументСсылка -;
//   * Организация - СправочникСсылка.Организации -;
//   * ТорговыйОбъект - СправочникСсылка -;
//   * ПодключенноеОборудование - СправочникСсылка.ПодключаемоеОборудование - ;
//   * Сумма - Число -;
//   * ВыемкаДенежныхСредствИзКассыККМ - ДокументСсылка.ВыемкаДенежныхСредствИзКассыККМ - ;
//   * ВнесениеДенежныхСредствВКассуККМ - ДокументСсылка.ВнесениеДенежныхСредствВКассуККМ - ;
//  РежимЗаписи - РежимЗаписиДокумента - Режим записи.
//  ОповещениеПриЗавершении - ОписаниеОповещения - Описание оповещения.
//
Процедура ПробитьЧек(Форма, ПараметрыОперации, РежимЗаписи, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУТКлиент.ПробитьЧек(Форма, ПараметрыОперации, РежимЗаписи, ОповещениеПриЗавершении);
```
</details>

## ПробитьЧекВыемкаДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пробить чек выемки денежных средств.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ПараметрыОперации - Структура - Структура со свойствами:
//   * ДокументСсылка - ДокументСсылка -;
//   * Организация - СправочникСсылка.Организации -;
//   * ТорговыйОбъект - СправочникСсылка -;
//   * ПодключенноеОборудование - СправочникСсылка.ПодключаемоеОборудование - ;
//   * Сумма - Число -;
//   * ВыемкаДенежныхСредствИзКассыККМ - ДокументСсылка.ВыемкаДенежныхСредствИзКассыККМ - ;
//   * ВнесениеДенежныхСредствВКассуККМ - ДокументСсылка.ВнесениеДенежныхСредствВКассуККМ - ;
//  РежимЗаписи - РежимЗаписиДокумента - Режим записи.
//  ОповещениеПриЗавершении - ОписаниеОповещения - Описание оповещения.
//
Процедура ПробитьЧекВыемкаДенежныхСредств(Форма, ПараметрыОперации, РежимЗаписи, ОповещениеПриЗавершении) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУТКлиент.ПробитьЧекВыемкаДенежныхСредств(Форма, ПараметрыОперации, РежимЗаписи, ОповещениеПриЗавершении) 
```
</details>

## ПробитьЧекВнесениеДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пробить чек внесения денежных средств.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ПараметрыОперации - Структура - Структура со свойствами:
//   * ДокументСсылка - ДокументСсылка -;
//   * Организация - СправочникСсылка.Организации -;
//   * ТорговыйОбъект - СправочникСсылка -;
//   * ПодключенноеОборудование - СправочникСсылка.ПодключаемоеОборудование - ;
//   * Сумма - Число -;
//   * ВыемкаДенежныхСредствИзКассыККМ - ДокументСсылка.ВыемкаДенежныхСредствИзКассыККМ - ;
//   * ВнесениеДенежныхСредствВКассуККМ - ДокументСсылка.ВнесениеДенежныхСредствВКассуККМ - ;
//  РежимЗаписи - РежимЗаписиДокумента - Режим записи.
//  ОповещениеПриЗавершении - ОписаниеОповещения - Описание оповещения.
//
Процедура ПробитьЧекВнесениеДенежныхСредств(Форма, ПараметрыОперации, РежимЗаписи, ОповещениеПриЗавершении) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУТКлиент.ПробитьЧекВнесениеДенежныхСредств(Форма, ПараметрыОперации, РежимЗаписи, ОповещениеПриЗавершении) 
```
</details>

## СформироватьОчередьЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирует очередь чеков для последующей фискализации
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ПараметрыОперации - Структура - Структура со свойствами:
//   * ДокументСсылка - ДокументСсылка -;
//   * Организация - СправочникСсылка.Организации -;
//   * ТорговыйОбъект - СправочникСсылка -;
//   * ПодключенноеОборудование - СправочникСсылка.ПодключаемоеОборудование - ;
//   * Сумма - Число -;
//   * ВыемкаДенежныхСредствИзКассыККМ - ДокументСсылка.ВыемкаДенежныхСредствИзКассыККМ - ;
//   * ВнесениеДенежныхСредствВКассуККМ - ДокументСсылка.ВнесениеДенежныхСредствВКассуККМ - ;
//  РежимЗаписи - РежимЗаписиДокумента - Режим записи.
//  ОповещениеПриЗавершении - ОписаниеОповещения - Описание оповещения.
//
Процедура СформироватьОчередьЧеков(Форма, ПараметрыОперации, РежимЗаписи, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУТКлиент.СформироватьОчередьЧеков(Форма, ПараметрыОперации, РежимЗаписи, ОповещениеПриЗавершении);
```
</details>

## ОткрытьЗаписьФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму записи фискальной операции. Объединение с БПО
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ДокументОснование - ДокументСсылка - Ссылка на документ-основание
//  ИдентификаторЗаписи - Строка, Неопределено - Идентификатор записи;
//  ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - Тип расчета
//
Процедура ОткрытьЗаписьФискальнойОперации(Форма, Знач ДокументОснование, ИдентификаторЗаписи = Неопределено, ТипРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУТКлиент.ОткрытьЗаписьФискальнойОперации(Форма, ДокументОснование, ИдентификаторЗаписи, ТипРасчета);
```
</details>

## СтруктураРеквизитыОперацииИнкассацииКассовогоУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить структуру реквизитов операции инкассации кассового узла.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * Дата - Дата - Дата операции.
//   * ДокументОснование - ДокументСсылка - Ссылка на документ-основание.
//   * Организация - ОпределяемыйТип.ОрганизацияБПО - Организация.
//   * ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектБПО - Торговый объект.
//   * Устройство - СправочникСсылка.ПодключаемоеОборудование - Устройство.
//   * ТипОперации - ПеречислениеСсылка.ТипыОперацииКассовогоУзла - Тип операции.
//   * Сумма - Число - Сумма.
//   * ДополнительныеПараметры - Структура - Дополнительные параметры.
//
Функция СтруктураРеквизитыОперацииИнкассацииКассовогоУзла() Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУТКлиент.СтруктураРеквизитыОперацииИнкассацииКассовогоУзла() 
```
</details>

## ЗаписатьОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать объект.
//
// Параметры:
//  Форма - РасширениеУправляемойФормыДляСправочника - Форма.
//  РежимЗаписиДокумента - РежимЗаписиДокумента - Режим записи.
//  ОписаниеОповещения - ОписаниеОповещения - Описание оповещения.
//
Процедура ЗаписатьОбъект(Форма, РежимЗаписиДокумента, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУТКлиент.ЗаписатьОбъект(Форма, РежимЗаписиДокумента, ОписаниеОповещения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
