---
title: Подключаемые команды ИС
slug: erp-uh/подключаемые-команды-ис
---


## ПриОпределенииКомандПодключенныхКОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Интеграция с подсистемой "Подключаемые команды" БСП.
//
// Параметры:
//  НастройкиФормы - См. ПодключаемыеКомандыПереопределяемый.ПриОпределенииКомандПодключенныхКОбъекту.НастройкиФормы
//  Источники - См. ПодключаемыеКомандыПереопределяемый.ПриОпределенииКомандПодключенныхКОбъекту.Источники
//  ПодключенныеОтчетыИОбработки - См. ПодключаемыеКомандыПереопределяемый.ПриОпределенииКомандПодключенныхКОбъекту.ПодключенныеОтчетыИОбработки
//  Команды - См. ПодключаемыеКомандыПереопределяемый.ПриОпределенииКомандПодключенныхКОбъекту.Команды
Процедура ПриОпределенииКомандПодключенныхКОбъекту(НастройкиФормы, Источники, ПодключенныеОтчетыИОбработки, Команды) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыИС.ПриОпределенииКомандПодключенныхКОбъекту(НастройкиФормы, Источники, ПодключенныеОтчетыИОбработки, Команды) 
```
</details>

## ПриОпределенииВидовПодключаемыхКоманд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Интеграция с подсистемой "Подключаемые команды" БСП.
//
// Параметры:
//  ВидыПодключаемыхКоманд См. ПодключаемыеКомандыПереопределяемый.ПриОпределенииВидовПодключаемыхКоманд.ВидыПодключаемыхКоманд
Процедура ПриОпределенииВидовПодключаемыхКоманд(ВидыПодключаемыхКоманд) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыИС.ПриОпределенииВидовПодключаемыхКоманд(ВидыПодключаемыхКоманд) 
```
</details>

## НастройкиВыполненияКоманд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройки выполнения команд ввода/выбора основания.
//
// Возвращаемое значение:
//  Структура - Настройки выполнения команд:
// * ДоступноПерезаполнение  - Булево - предлагать перезаполнение документа после выбора основания
// * ПередСозданиемОснования - Строка - имя процедуры, которую надо выполнить перед вводом документа-основания
//    (имя обработчика оповещения в форме)
// * ОтборВыбораОснования    - Структура - отбор открываемой формы выбора
//
Функция НастройкиВыполненияКоманд() Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемыеКомандыИС.НастройкиВыполненияКоманд() 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерация команд ввода/выбора основания при создании формы на сервере.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  Настройки - Неопределено - значения по-умолчанию,
//            - См. НастройкиВыполненияКоманд
Процедура ПриСозданииНаСервере(Форма, Знач Настройки = Неопределено) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыИС.ПриСозданииНаСервере(Форма, Настройки);
```
</details>

## ПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройка команд ввода/выбора основания при чтении объекта на сервере.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
Процедура ПриЧтенииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыИС.ПриЧтенииНаСервере(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
