---
title: Подключаемые команды ИС клиент сервер
slug: erp-uh/подключаемые-команды-ис-клиент-сервер
---


## УправлениеВидимостьюКомандПодключенныхКОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вставить вызов в точках изменения видимости команд (групп команд) по документу-основанию
//
// Параметры:
//   Форма  - ФормаКлиентскогоПриложения     - форма-источник вызова.
//
Процедура УправлениеВидимостьюКомандПодключенныхКОбъекту(Форма) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыИСКлиентСервер.УправлениеВидимостьюКомандПодключенныхКОбъекту(Форма) 
```
</details>

## ДобавитьКомандуОформить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить команду в подменю "Оформить".
//
// Параметры:
//  СтруктураКоманд - Структура - Структура команд:
//   * ОформитьИС - Массив Из См. ОписаниеКоманды - команды оформления основания
//   * ВыбратьИС  - Массив Из См. ОписаниеКоманды - команды выбора основания
//  ИмяМетаданныхДокумента - Строка - Имя метаданных документа
//  ПредставлениеМетаданныхДокумента - Строка - Представление метаданных документа
//  СтрокаФункциональныхОпций - Строка - Строка функциональных опций
Процедура ДобавитьКомандуОформить(СтруктураКоманд, ИмяМетаданныхДокумента, ПредставлениеМетаданныхДокумента, СтрокаФункциональныхОпций = "") Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыИСКлиентСервер.ДобавитьКомандуОформить(СтруктураКоманд, ИмяМетаданныхДокумента, ПредставлениеМетаданныхДокумента, СтрокаФункциональныхОпций);
```
</details>

## ДобавитьКомандуВыбрать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить команду в подменю "Выбрать".
//
// Параметры:
//  СтруктураКоманд - Структура - Структура команд:
//   * ОформитьИС - Массив Из См. ОписаниеКоманды - команды оформления основания
//   * ВыбратьИС  - Массив Из См. ОписаниеКоманды - команды выбора основания
//  ИмяМетаданныхДокумента - Строка - Имя метаданных документа
//  ПредставлениеМетаданныхДокумента - Строка - Представление метаданных документа
//  СтрокаФункциональныхОпций - Строка - Строка функциональных опций
Процедура ДобавитьКомандуВыбрать(СтруктураКоманд, ИмяМетаданныхДокумента, ПредставлениеМетаданныхДокумента, СтрокаФункциональныхОпций = "") Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыИСКлиентСервер.ДобавитьКомандуВыбрать(СтруктураКоманд, ИмяМетаданныхДокумента, ПредставлениеМетаданныхДокумента, СтрокаФункциональныхОпций);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
