---
title: Подключаемые команды ИС клиент сервер переопределяемый
slug: erp-uh/подключаемые-команды-ис-клиент-сервер-переопределяемый
---


## ПриОпределенииКоманд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении команд.
//
// Параметры:
//  ИмяФормы - Строка - Имя формы объекта ГосИС, на которую добавляются команды ввода/выбора основания
//  Команды - Массив Из См. ПодключаемыеКомандыИСКлиенСервер.ОписаниеКоманды - Добавляемые на форму команды
Процедура ПриОпределенииКоманд(ИмяФормы, Команды) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыИСКлиентСерверПереопределяемый.ПриОпределенииКоманд(ИмяФормы, Команды) 
```
</details>

## ПриНастройкеВидимостиКоманд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройка видимости команд ввода/выбора основания в зависимости от реквизитов объекта.
//   Если зависимости нет, переопределения не требуется.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма объекта ГосИС с командами ввода/выбора основания
//  КомандыОбъекта - Массив Из См. ПодключаемыеКомандыИСКлиентСервер.ОписаниеКоманды - Команды объекта
Процедура ПриНастройкеВидимостиКоманд(Форма, КомандыОбъекта) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыИСКлиентСерверПереопределяемый.ПриНастройкеВидимостиКоманд(Форма, КомандыОбъекта) 
```
</details>

## ЗаполнитьСоответствиеПолейДокументовОснований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить соответствие полей документов оснований (фильтр выбора основания).
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - источник вызова
//  ТипОбъекта - Тип - Тип объекта
//  СоответствиеПолей - Соответствие Из Произвольный - Соответствие полей объекта и основания
Процедура ЗаполнитьСоответствиеПолейДокументовОснований(Форма, ТипОбъекта, СоответствиеПолей) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыИСКлиентСерверПереопределяемый.ЗаполнитьСоответствиеПолейДокументовОснований(Форма, ТипОбъекта, СоответствиеПолей) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
