---
title: Подключаемые команды ЭДО
slug: erp-uh/подключаемые-команды-эдо
---


## ПараметрыРазместитьНаФормеКомандыЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров размещения команд ЭДО на форме.
//
// Возвращаемое значение:
// 	Структура:
// * Форма - ФормаКлиентскогоПриложения
// * МестоРазмещенияКоманд - РасширениеГруппыФормыДляПодменю
// * Направление - ПеречислениеСсылка.НаправленияЭДО - направление, по которому из объекта могут формироваться документы.
// * ИсточникКомандЭДО - ДинамическийСписок - список, в котором будет храниться кеш видимости команд ЭДО
//
Функция ПараметрыРазместитьНаФормеКомандыЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемыеКомандыЭДО.ПараметрыРазместитьНаФормеКомандыЭДО() 
```
</details>

## РазместитьНаФормеКомандыЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует подключаемые команды ЭДО.
//
// Параметры:
//  ПараметрыПриСозданииНаСервере - см. ПараметрыРазместитьНаФормеКомандыЭДО
//
Процедура РазместитьНаФормеКомандыЭДО(ПараметрыПриСозданииНаСервере) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыЭДО.РазместитьНаФормеКомандыЭДО(ПараметрыПриСозданииНаСервере) 
```
</details>

## ПриПолученииДанныхНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении данных на сервере.
//
// Параметры:
//  ИмяЭлемента - Строка
//  Настройки - НастройкиКомпоновкиДанных
//  Строки - Соответствие Из КлючИЗначение:
//	* Ключ - Произвольный
//	* Значение - СтрокаДинамическогоСписка
//
Процедура ПриПолученииДанныхНаСервере(ИмяЭлемента, Настройки, Строки) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыЭДО.ПриПолученииДанныхНаСервере(ИмяЭлемента, Настройки, Строки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
