---
title: Подключаемые команды ЭДО служебный
slug: erp-uh/подключаемые-команды-эдо-служебный
---


## РазместитьНаФормеКомандыЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Размещает команды ЭДО на форме.
//
// Параметры:
//   ПараметрыРазмещенияКоманд - см. ПодключаемыеКомандыЭДО.ПараметрыРазместитьНаФормеКомандыЭДО
//
Процедура РазместитьНаФормеКомандыЭДО(ПараметрыРазмещенияКоманд) Экспорт
```

Пример вызова
```bsl
ПодключаемыеКомандыЭДОСлужебный.РазместитьНаФормеКомандыЭДО(ПараметрыРазмещенияКоманд) 
```
</details>

## КомандыЭДОФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список команд ЭДО для указанной формы.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения, Строка - форма или полное имя формы
//  НаправлениеЭД - ПеречислениеСсылка.НаправленияЭДО - направление документа, для которого выполняется команда;
//  ТолькоВМенюЕще - Булево
//
// Возвращаемое значение:
//  ТаблицаЗначений - см. СоздатьКоллекциюКомандЭДО
//
Функция КомандыЭДОФормы(Форма, НаправлениеЭД, ТолькоВМенюЕще) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемыеКомандыЭДОСлужебный.КомандыЭДОФормы(Форма, НаправлениеЭД, ТолькоВМенюЕще) 
```
</details>

## ВыгрузкаДанныхВФайлДоступнаДляОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, доступна ли команда выгрузки данных в файл для переданных объектов.
//
// Параметры:
//  МассивОбъектов - Массив - объекты, для которых вызвана команда.
//
// Возвращаемое значение:
//  Булево - Истина, если команда выгрузки доступна.
//
Функция ВыгрузкаДанныхВФайлДоступнаДляОбъектов(МассивОбъектов) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемыеКомандыЭДОСлужебный.ВыгрузкаДанныхВФайлДоступнаДляОбъектов(МассивОбъектов) 
```
</details>

## ПараметрыУправленияВидимостьюЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры управления видимостью команд ЭДО.
//
// Возвращаемое значение:
//  Структура:
// * ЕстьУсловияВидимости - Булево
// * КомандыСУсловиямиВидимости - Массив Из см. УсловиеВидимости
// * УсловияВидимостиВТаблицеФормы - Булево
//
Функция ПараметрыУправленияВидимостьюЭДО() Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемыеКомандыЭДОСлужебный.ПараметрыУправленияВидимостьюЭДО() 
```
</details>

## ВычислитьЗначениеАлгоритма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычислить значение алгоритма.
//
// Параметры:
//  Алгоритм - Строка
//  ПараметрАлгоритма - Массив из ЛюбаяСсылка
//
// Возвращаемое значение:
//  Произвольный
//
Функция ВычислитьЗначениеАлгоритма(Знач Алгоритм, Знач ПараметрАлгоритма) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемыеКомандыЭДОСлужебный.ВычислитьЗначениеАлгоритма(Алгоритм, ПараметрАлгоритма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
