---
title: Полные права УХ
slug: erp-uh/полные-права-ух
---


## УтвердитьБланкиПоМассиву
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УтвердитьБланкиПоМассиву(МассивБланков) Экспорт
```

Пример вызова
```bsl
ПолныеПраваУХ.УтвердитьБланкиПоМассиву(МассивБланков) 
```
</details>

## УтвердитьПравилаПоМассиву
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УтвердитьПравилаПоМассиву(МассивПравил) Экспорт
```

Пример вызова
```bsl
ПолныеПраваУХ.УтвердитьПравилаПоМассиву(МассивПравил) 
```
</details>

## ОтносительныйПериодПоДате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтносительныйПериодПоДате(ДатаНачала, Периодичность, Смещение, ТихийРежим = Ложь, Реструктурировать = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ОтносительныйПериодПоДате(ДатаНачала, Периодичность, Смещение, ТихийРежим, Реструктурировать);
```
</details>

## ПроверитьНаличиеПолныхПравУПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////

// ПРОЦЕДУРЫ И ФУНКЦИИ МЕХАНИЗМОВ RLS


Функция ПроверитьНаличиеПолныхПравУПользователя(Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьНаличиеПолныхПравУПользователя(Пользователь) 
```
</details>

## ПроверитьВозможностьЗаписиДокументовПоПериодуСценария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функции перенесены из модуля УправлениеРабочимПроцессом.

// Функция определяет возможность записи документов по периоду сценария
//
// Сценарий       - сценарий процесса
// ПериодСценария - период процесса
// Отказ          - Отказ
// ШапкаОшибки    - параметр, в который возвращается документ "Управление периодом сценария"
//
// Возвращает Истина - если документ УправлениеПериодомСценария не помечен на удаление и в нем не установлен флаг "Период закрыт"
//            Ложь   - иначе
//
Функция ПроверитьВозможностьЗаписиДокументовПоПериодуСценария(Сценарий, ПериодСценария,Организация, Отказ = Неопределено, ШапкаОшибки = "", Сообщать = Истина,ПериодОкончания = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьВозможностьЗаписиДокументовПоПериодуСценария(Сценарий, ПериодСценария, Организация, Отказ, ШапкаОшибки, Сообщать, ПериодОкончания);
```
</details>

## ПроверятьПраваПоБланкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверятьПраваПоБланкам(Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверятьПраваПоБланкам(Пользователь) 
```
</details>

## ПроверитьВозможностьЗаписиПоБланкуОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьЗаписиПоБланкуОтчета(БланкОтчета,Организация,Пользователь, Отказ=Неопределено, ШапкаОшибки="",ТихийРежим = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьВозможностьЗаписиПоБланкуОтчета(БланкОтчета, Организация, Пользователь, Отказ, ШапкаОшибки, ТихийРежим);
```
</details>

## ПроверитьВозможностьОтображенияПоБланкуОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьОтображенияПоБланкуОтчета(БланкОтчета,Организация,Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьВозможностьОтображенияПоБланкуОтчета(БланкОтчета, Организация, Пользователь) 
```
</details>

## ПроверитьВозможностьЗаписДанныхПоСтатусам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПроверитьВозможностьЗаписДанныхПоСтатусам(Организация,ПериодОтчета,Сценарий,ВидОтчета=Неопределено,Показатель=Неопределено,ОбластьДанных=Неопределено,Проект=Неопределено,Аналитика1=Неопределено,Аналитика2=Неопределено,Аналитика3=Неопределено,Аналитика4=Неопределено,Аналитика5=Неопределено,Аналитика6=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьВозможностьЗаписДанныхПоСтатусам(Организация, ПериодОтчета, Сценарий, ВидОтчета, Показатель, ОбластьДанных, Проект, Аналитика1, Аналитика2, Аналитика3, Аналитика4, Аналитика5, Аналитика6);
```
</details>

## ПолучитьСостояниеЭтапаНастраиваемогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



// Функция возвращает состояние этапа процесса для переданного настраиваемого отчета

// если для отчета не определен этап, возвращается неопределено

//

// НастраиваемыйОтчет - настраиваемый отчет, состояние этапа которого необходимо вернуть

// ЭтапПроцесса       - параметр, в который возвращается сам этап

//

// Возвращаемое значение: ПеречислениеСсылка.СостоянияЭтаповПроцессов или Неопределено

//

Функция ПолучитьСостояниеЭтапаНастраиваемогоОтчета(НастраиваемыйОтчет, ЭтапПроцесса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПолучитьСостояниеЭтапаНастраиваемогоОтчета(НастраиваемыйОтчет, ЭтапПроцесса);
```
</details>

## ПроверитьНаличиеЭкземпляровОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьНаличиеЭкземпляровОтчетов(Сценарий, Период) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьНаличиеЭкземпляровОтчетов(Сценарий, Период) 
```
</details>

## ПроверитьНаличиеДополнительныхВалютВНеЗапланированныхОтчетах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьНаличиеДополнительныхВалютВНеЗапланированныхОтчетах(Сценарий, Период) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьНаличиеДополнительныхВалютВНеЗапланированныхОтчетах(Сценарий, Период) 
```
</details>

## ПроверитьНаличиеНеУтвержденныхОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПроверитьНаличиеНеУтвержденныхОтчетов(ВидыОтчета, Сценарий, Период, Организация) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьНаличиеНеУтвержденныхОтчетов(ВидыОтчета, Сценарий, Период, Организация) 
```
</details>

## ПроверитьНаличиеДокументовСРеквизитамиТекущего
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьНаличиеДокументовСРеквизитамиТекущего(Отчет) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьНаличиеДокументовСРеквизитамиТекущего(Отчет) 
```
</details>

## ПроверитьСостояниеАналитикНастраиваемогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Анализирует возможность записи сводного отчета, сравнивая состояние этого отчета

// с состояниями связанных "элементарных" отчетов.

//

Процедура ПроверитьСостояниеАналитикНастраиваемогоОтчета(НастраиваемыйОтчет, Отказ, ШапкаОшибки) Экспорт
```

Пример вызова
```bsl
ПолныеПраваУХ.ПроверитьСостояниеАналитикНастраиваемогоОтчета(НастраиваемыйОтчет, Отказ, ШапкаОшибки) 
```
</details>

## ПроверитьСостояниеНастраиваемогоОтчетаПоАналитике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



// Проверяет возможность записи "элементарного" отчета, сравнивая состояние этого

// отчета с состоянием связанного сводного отчета.

//

Процедура ПроверитьСостояниеНастраиваемогоОтчетаПоАналитике(НастраиваемыйОтчет, Отказ, ШапкаОшибки) Экспорт
```

Пример вызова
```bsl
ПолныеПраваУХ.ПроверитьСостояниеНастраиваемогоОтчетаПоАналитике(НастраиваемыйОтчет, Отказ, ШапкаОшибки) 
```
</details>

## ПроверитьВозможностьУтвержденияОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет возможность утверждения документа текущим пользователем на основании настройки RLS.
Функция ПроверитьВозможностьУтвержденияОтчета(Пользователь, ВидОтчета, Организация) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьВозможностьУтвержденияОтчета(Пользователь, ВидОтчета, Организация) 
```
</details>

## УтверждениеОтчетаНеДоступно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УтверждениеОтчетаНеДоступно(Знач ВидОтчета, Знач Организация, Знач Проверяющий, Знач ТекущийПользовательОтчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.УтверждениеОтчетаНеДоступно(ВидОтчета, Организация, Проверяющий, ТекущийПользовательОтчета);
```
</details>

## ПроверитьВозможностьЗаписиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет возможность записи документа текущим пользователем на основании настройки RLS.
Функция ПроверитьВозможностьЗаписиОтчета(Пользователь, ВидОтчета, Организация) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПроверитьВозможностьЗаписиОтчета(Пользователь, ВидОтчета, Организация) 
```
</details>

## ВернутьВерсиюОрганизационнойСтруктурыПоПериодСценарию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С ВЕРСИЯМИ РЕГЛАМЕНТОВ ПОДГОТОВКИ ОТЧЕТНОСТИ.
//

// Функция возвращает Версию организационной структуры по заданным периоду отчета и сценарию.
Функция ВернутьВерсиюОрганизационнойСтруктурыПоПериодСценарию(ПериодОтчета, Сценарий) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ВернутьВерсиюОрганизационнойСтруктурыПоПериодСценарию(ПериодОтчета, Сценарий) 
```
</details>

## ОпределитьНаличиеДвиженийПоРегистратору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет наличение движения по регистрам для документа
//
Функция ОпределитьНаличиеДвиженийПоРегистратору(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ОпределитьНаличиеДвиженийПоРегистратору(ДокументСсылка) 
```
</details>

## ПолучитьВыборкуПоКритериюОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВыборкуПоКритериюОтбора(ИмяКритерияОтбора, ЗначениеКритерия) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПолучитьВыборкуПоКритериюОтбора(ИмяКритерияОтбора, ЗначениеКритерия) 
```
</details>

## ПолучитьПредставлениеРегламентногоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//////////////////////////////////////////////////////////////////////////////////////////
// РАБОТА С РЕГЛАМЕНТНЫМИ ЗАДАНИЯМИ.
//

Функция ПолучитьПредставлениеРегламентногоЗадания(Знач ИдентификаторРегламентногоЗадания, Использование) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПолучитьПредставлениеРегламентногоЗадания(ИдентификаторРегламентногоЗадания, Использование) 
```
</details>

## ПолучитьСпособТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСпособТрансляции(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ПолныеПраваУХ.ПолучитьСпособТрансляции(Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
