---
title: Получение регламентированных отчетов переопределяемый
slug: erp-uh/получение-регламентированных-отчетов-переопределяемый
---


## ПриДобавленииВидовРегламентированныхОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяется список и настройки видов регламентированных отчетов, обновления которых необходимо
// загружать из сервиса регламентированных отчетов.
// Параметры:
//  ВидыОтчетов - Массив из Структура - содержит настройки загрузки видов регламентированных отчетов.
//  Состав настроек см. ПолучениеРегламентированныхОтчетов.ОписаниеВидаРегламентированногоОтчета().
//  ДополнительныеПараметры - Структура - содержит дополнительные параметры обработки.
//
//@skip-warning
Процедура ПриДобавленииВидовРегламентированныхОтчетов(ВидыОтчетов, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПолучениеРегламентированныхОтчетовПереопределяемый.ПриДобавленииВидовРегламентированныхОтчетов(ВидыОтчетов, ДополнительныеПараметры) 
```
</details>

## ПриЗагрузкеРегламентированногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяются алгоритмы обработки файла загруженного
// из сервиса регламентированного отчета.
//
// Параметры:
//  ОписаниеФайла - Структура - описание файла регламентированного отчета:
//    * ДанныеФайла - ДвоичныеДанные - данные файла отчета;
//    * Идентификатор - Строка - идентификатор регламентированного отчета в сервисе;
//    * ИдентификаторВидаОтчета - Строка - идентификатор вида регламентированного отчета в сервисе;
//    * Наименование - Строка - наименование регламентированного отчета в сервисе;
//    * Версия - Число - номер актуальной версии;
//    * КонтрольнаяСумма - Число - контрольная сумма файла;
//    * Размер - Строка - размер файла;
//    * ОписаниеВерсии - Строка - описание версии регламентированного отчета.
//  Обработан - Булево - если Ложь, при обработке файла обновления были ошибки
//  и его необходимо загрузить повторно;
//  ДополнительныеПараметры - Структура - содержит дополнительные параметры обработки.
//
//@skip-warning
Процедура ПриЗагрузкеРегламентированногоОтчета(ОписаниеФайла, Обработан, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПолучениеРегламентированныхОтчетовПереопределяемый.ПриЗагрузкеРегламентированногоОтчета(ОписаниеФайла, Обработан, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
