---
title: Пользователи УХ
slug: erp-uh/пользователи-ух
---


## АвторизованныйПользователь
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Функция АвторизованныйПользователь возвращает
// текущего пользователя сеанса.
//
// Возвращаемое значение:
//  СправочникСсылка.Пользователи, СправочникСсылка.ВнешниеПользователи.
//
Функция АвторизованныйПользователь() Экспорт
```

Пример вызова
```bsl
Результат = ПользователиУХ.АвторизованныйПользователь() 
```
</details>

## ПолучитьСвободноеИмяПользователяИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить свободное имя пользователя ИБ, которое не использовано
// в именах пользователей ИБ связанных, либо со справочником Пользователи,
// либо со справочником ВнешниеПользователи.
//
// Параметры:
//  ПрефиксИмени - Строка - начало имени пользователя. К нему может
//		добавляться числовой индекс. Если найти свободное имя пользователя
//		в формате ПрефиксИмени[1-999] не удалось, то будет сгененрировано
//		строковое представление уникального идентификатора.
//
// Возвращаемое значение:
//   Строка - имя пользователя ИБ, которое можно привязать к справочнику
//		Пользователи, или ВнешниеПользователи.
//
Функция ПолучитьСвободноеИмяПользователяИБ(ПрефиксИмени) Экспорт
```

Пример вызова
```bsl
Результат = ПользователиУХ.ПолучитьСвободноеИмяПользователяИБ(ПрефиксИмени) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
