---
title: Помеченные на удаление сервер
slug: erp-uh/помеченные-на-удаление-сервер
---


## СкрытьПомеченныеНаУдаление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор ПометкаУдаления=Ложь на список.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма, в которой размещается список.
//	ИмяСписка - Строка - Имя элемента списка на форме. Необязательный.
//
Процедура СкрытьПомеченныеНаУдаление(Форма, ИмяСписка = "Список") Экспорт
```

Пример вызова
```bsl
ПомеченныеНаУдалениеСервер.СкрытьПомеченныеНаУдаление(Форма, ИмяСписка);
```
</details>

## УдалитьОтборПометкаУдаления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет пользовательский отбор по полю ПометкаУдаления.
//
// Параметры:
//	Настройки - ПользовательскиеНастройкиКомпоновкиДанных - Пользовательские настройки компоновки данных.
//
Процедура УдалитьОтборПометкаУдаления(Настройки) Экспорт
```

Пример вызова
```bsl
ПомеченныеНаУдалениеСервер.УдалитьОтборПометкаУдаления(Настройки) 
```
</details>

## ПередЗаписьюОбъектаДляПометкиУдаления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПередЗаписью" документов и справочников.
//
// Параметры:
//	Источник - ДокументОбъект или СправочникОбъект - Источник события.
//	Отказ - Булево - Признак ошибки.
//
Процедура ПередЗаписьюОбъектаДляПометкиУдаления(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ПомеченныеНаУдалениеСервер.ПередЗаписьюОбъектаДляПометкиУдаления(Источник, Отказ) 
```
</details>

## ПриЗаписиОбъектаДляПометкиУдаления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПриЗаписи" документов и справочников.
//
// Параметры:
//	Источник - ДокументОбъект или СправочникОбъект - Источник события.
//	Отказ - Булево - Признак ошибки.
//
Процедура ПриЗаписиОбъектаДляПометкиУдаления(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ПомеченныеНаУдалениеСервер.ПриЗаписиОбъектаДляПометкиУдаления(Источник, Отказ) 
```
</details>

## СкрыватьПомеченныеНаУдаление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак скрытия помеченных на удаление объектов в списках.
//
// Возвращаемое значение:
//	Булево - Истина, если помеченные на удаление объекты должны скрываться в списках.
//
Функция СкрыватьПомеченныеНаУдаление() Экспорт
```

Пример вызова
```bsl
Результат = ПомеченныеНаУдалениеСервер.СкрыватьПомеченныеНаУдаление() 
```
</details>

## ОтслеживатьПометкуУдаления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак отслеживания интерактивной установки текущим пользователем пометки удаления в списках.
//
// Возвращаемое значение:
//	Булево - Истина, если интерактивная пометка удаления в списках должна отслеживаться.
//
Функция ОтслеживатьПометкуУдаления() Экспорт
```

Пример вызова
```bsl
Результат = ПомеченныеНаУдалениеСервер.ОтслеживатьПометкуУдаления() 
```
</details>

## УстановитьОтображениеПомеченныхНаУдаление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает функциональные опции для отображения ссылок в разделе "Настройки" простого интерфейса.
//
Процедура УстановитьОтображениеПомеченныхНаУдаление() Экспорт
```

Пример вызова
```bsl
ПомеченныеНаУдалениеСервер.УстановитьОтображениеПомеченныхНаУдаление() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
