---
title: Поступление от переработчика
slug: erp-uh/поступление-от-переработчика
---


## ПолучитьУсловияПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает условию продаж
//
// Параметры:
//  Соглашение - СправочникСсылка.СоглашенияСКлиентами, Неопределено -
//
// Возвращаемое значение:
//  Неопределено -
//
Функция ПолучитьУсловияПродаж(Соглашение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ПолучитьУсловияПродаж(Соглашение);
```
</details>

## КлючевыеПоляШапкиРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список реквизитов, по которым можно сгруппировать распоряжения в пределах одной накладной.
//
// Возвращаемое значение:
//  Строка - имена реквизитов, разделенные запятыми.
//
Функция КлючевыеПоляШапкиРаспоряжения() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.КлючевыеПоляШапкиРаспоряжения() 
```
</details>

## КлючевыеПоляТаблицыТоваровРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список реквизитов, по которым происходит сопоставление таблиц при заполнении по заказам/ордерам
//
// Возвращаемое значение:
// 	Строка
//
Функция КлючевыеПоляТаблицыТоваровРаспоряжения() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.КлючевыеПоляТаблицыТоваровРаспоряжения() 
```
</details>

## ПараметрыЗаполненияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры заполнения документа по заявкам на возврат и ордерам поступления.
//
// Возвращаемое значение:
//	Структура - параметры заполнения документа.
//
Функция ПараметрыЗаполненияДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ПараметрыЗаполненияДокумента() 
```
</details>

## ИнициализироватьПараметрыЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет инициализацию параметров заполнения документа по данным документа.
//
// Параметры:
//	ПараметрыЗаполнения	 - Структура	 - параметры заполнения документа по умолчанию.
//	РеквизитыШапки		 - Структура	 - данные документа, на основании которых будет выполняться заполнение параметров.
//	МассивЗаказов		 - Массив		 - ссылки на заявки, по которым будет выполняться заполнение.
//
Процедура ИнициализироватьПараметрыЗаполнения(ПараметрыЗаполнения, РеквизитыШапки, МассивЗаказов) Экспорт
```

Пример вызова
```bsl
ПоступлениеОтПереработчика.ИнициализироватьПараметрыЗаполнения(ПараметрыЗаполнения, РеквизитыШапки, МассивЗаказов) 
```
</details>

## ДанныеЗаполненияНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру для создания поступления товаров от хранителя.
//
// Параметры:
//  МассивСсылок - Массив - содержит ссылку на заявку на возврат товаров от клиента
//  СвойстваЗаказов - Структура - служебная структура для общих механизмов
//
// Возвращаемое значение:
//  Структура - Реквизиты шапки для заполнения поступления товаров от хранителя.
//
Функция ДанныеЗаполненияНакладной(МассивСсылок, Знач СвойстваЗаказов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ДанныеЗаполненияНакладной(МассивСсылок, СвойстваЗаказов);
```
</details>

## ЗаполнитьПризнакЦеховаяКладоваяВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет признаки ЦеховаяКладовая и НужноОкруглять в строках таблицы
//
// Параметры:
//  Объект - ДанныеФормыСтруктура -
//  ПересчитатьКоличествоЕдиниц - Булево -
//
Процедура ЗаполнитьПризнакЦеховаяКладоваяВТаблице(Объект, ПересчитатьКоличествоЕдиниц) Экспорт
```

Пример вызова
```bsl
ПоступлениеОтПереработчика.ЗаполнитьПризнакЦеховаяКладоваяВТаблице(Объект, ПересчитатьКоличествоЕдиниц) 
```
</details>

## ПересчитатьКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает количество единиц
//
// Параметры:
//  Объект - ДанныеФормыСтруктура -
//
Процедура ПересчитатьКоличествоЕдиниц(Объект) Экспорт
```

Пример вызова
```bsl
ПоступлениеОтПереработчика.ПересчитатьКоличествоЕдиниц(Объект) 
```
</details>

## ДобавитьДействиеЗаполнитьПризнакЦеховаяКладовая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет действия "ЗаполнитьПризнакЦеховаяКладовая"
//
// Параметры:
//  СтруктураДействий - Структура -
//  Склад - СправочникСсылка.Склады -
//
Процедура ДобавитьДействиеЗаполнитьПризнакЦеховаяКладовая(СтруктураДействий, Склад) Экспорт
```

Пример вызова
```bsl
ПоступлениеОтПереработчика.ДобавитьДействиеЗаполнитьПризнакЦеховаяКладовая(СтруктураДействий, Склад) 
```
</details>

## ДобавитьДействиеПересчитатьКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет действие "ПересчитатьКоличествоЕдиниц"
//
// Параметры:
//  СтруктураДействий - Структура -
//
Процедура ДобавитьДействиеПересчитатьКоличествоЕдиниц(СтруктураДействий) Экспорт
```

Пример вызова
```bsl
ПоступлениеОтПереработчика.ДобавитьДействиеПересчитатьКоличествоЕдиниц(СтруктураДействий) 
```
</details>

## ПараметрыПересчетаКоличестваЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры перерасчета клиента единиц
//
// Возвращаемое значение:
//  Структура - см. ПроизводствоКлиентСервер.ПараметрыПересчетаКоличестваЕдиниц
//
Функция ПараметрыПересчетаКоличестваЕдиниц() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ПараметрыПересчетаКоличестваЕдиниц() 
```
</details>

## НеобходимПересчетКоличествоЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признак необходимости пересчета количество единиц
//
// Возвращаемое значение:
//  Булево -
//
Функция НеобходимПересчетКоличествоЕдиниц() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.НеобходимПересчетКоличествоЕдиниц() 
```
</details>

## ПараметрыТЧДляОкругления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для округления
//
// Параметры:
//  Склад - СправочникСсылка.Склады -
//
// Возвращаемое значение:
// 	Структура - элементы содержат структуру параметров округления:
//   *Товары - см. НоменклатураСервер.ПараметрыОкругленияКоличестваШтучныхТоваров.
//
Функция ПараметрыТЧДляОкругления(Склад) Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ПараметрыТЧДляОкругления(Склад) 
```
</details>

## ТекстЗапросаРаспоряженияНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса распоряжений доступных в накладной.
//
// Параметры:
//  ПараметрыТекстаЗапроса - см. ОбщегоНазначенияУТ.ПараметрыТекстаЗапросаРаспоряженийНакладных
//
// Возвращаемое значение:
//  Строка - текст запрос
//
Функция ТекстЗапросаРаспоряженияНакладной(ПараметрыТекстаЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ТекстЗапросаРаспоряженияНакладной(ПараметрыТекстаЗапроса) 
```
</details>

## ТекстЗапросаРаспоряженияКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса распоряжений к оформлению
//
// Возвращаемое значение:
//  Строка - текст запрос
//
Функция ТекстЗапросаРаспоряженияКОформлению() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ТекстЗапросаРаспоряженияКОформлению() 
```
</details>

## ТекстЗапросаОстаткиТоваровКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса товаров распоряжений к оформлению
//
// Параметры:
//  ИмяВременнойТаблицы - Строка -
//  ОтборПоИзмерениям   - Соответствие -
//
// Возвращаемое значение:
//  Строка - текст запрос
//
Функция ТекстЗапросаОстаткиТоваровКОформлению(ИмяВременнойТаблицы, ОтборПоИзмерениям = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ТекстЗапросаОстаткиТоваровКОформлению(ИмяВременнойТаблицы, ОтборПоИзмерениям);
```
</details>

## ТекстЗапросаДанныеДляПроверкиВводаНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает текст запроса данные для проверки ввода на основании
//
// Возвращаемое значение:
//  Строка -
//
Функция ТекстЗапросаДанныеДляПроверкиВводаНаОсновании() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ТекстЗапросаДанныеДляПроверкиВводаНаОсновании() 
```
</details>

## ТекстЗапросаДанныеЗаполненияНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает текст запроса данные заполнения накладной
//
// Возвращаемое значение:
//  Строка -
//
Функция ТекстЗапросаДанныеЗаполненияНакладной() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ТекстЗапросаДанныеЗаполненияНакладной() 
```
</details>

## ТекстЗапросаТоварыДокументаЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает текст запроса товаров документа заказ
//
// Параметры:
//  Отбор - Соответствие -
//  ДополнятьПоТаблицеСерий - Булево -
//
// Возвращаемое значение:
//  Строка - текст запроса
//
Функция ТекстЗапросаТоварыДокументаЗаказа(Отбор, ДополнятьПоТаблицеСерий = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ТекстЗапросаТоварыДокументаЗаказа(Отбор, ДополнятьПоТаблицеСерий);
```
</details>

## ТекстЗапросаТоварыПереданные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает текст запроса переданных товаров
//
// Возвращаемое значение:
//  Строка -
//
Функция ТекстЗапросаТоварыПереданные() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ТекстЗапросаТоварыПереданные() 
```
</details>

## ТипыРаспоряжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив типов распоряжение
//
// Возвращаемое значение:
//  Массив из Тип -
//
Функция ТипыРаспоряжение() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ТипыРаспоряжение() 
```
</details>

## ИмяРегистраЗаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя регистра заказ
//
// Возвращаемое значение:
//  Строка -
//
Функция ИмяРегистраЗаказ() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ИмяРегистраЗаказ() 
```
</details>

## ИмяИзмерениеЗаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя измерение регистра остатков, который используется в качестве распоряжение
//
// Возвращаемое значение:
//  Строка -
//
Функция ИмяИзмерениеЗаказ() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ИмяИзмерениеЗаказ() 
```
</details>

## ИспользоватьКодСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование кода строки
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьКодСтроки() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ИспользоватьКодСтроки() 
```
</details>

## СинонимЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает синоним заказа.
//
// Возвращаемое значение:
//  Строка - синоним заказа.
//
Функция СинонимЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.СинонимЗаказа() 
```
</details>

## ТипОснованияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип основания акта о расхождении
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ТипыОснованияАктаОРасхождении
//
Функция ТипОснованияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ТипОснованияАкта() 
```
</details>

## ПостфиксИмениАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает постфикс имени акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ПостфиксИмениАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ПостфиксИмениАкта() 
```
</details>

## ЗаголовокФормыСозданияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок формы акта о расхождении при создании
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокФормыСозданияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ЗаголовокФормыСозданияАкта() 
```
</details>

## ЗаголовокФормыАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок формы акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокФормыАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ЗаголовокФормыАкта() 
```
</details>

## ПодсказкаДоговораАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подсказку договора акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ПодсказкаДоговораАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ПодсказкаДоговораАкта() 
```
</details>

## ПодсказкаСоглашенияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подсказку соглашения акта о расхождении
//
// Возвращаемое значение:
//  Строка -
//
Функция ПодсказкаСоглашенияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ПодсказкаСоглашенияАкта() 
```
</details>

## ЗаголовокДокументаОснованияАкта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок документа основание
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокДокументаОснованияАкта() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ЗаголовокДокументаОснованияАкта() 
```
</details>

## ЗаголовокПоОснованиям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок по основаниям
//
// Параметры:
//  ДополнитьПартнером - Булево -
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокПоОснованиям(ДополнитьПартнером = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ЗаголовокПоОснованиям(ДополнитьПартнером);
```
</details>

## КомментарийПоставщикаПодвал
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает описание поля с комментариями
//
// Возвращаемое значение:
//  Строка -
//
Функция КомментарийПоставщикаПодвал() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.КомментарийПоставщикаПодвал() 
```
</details>

## КомментарийКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает наименование колонки, кто даёт комментарий
//
// Возвращаемое значение:
//  Строка -
//
Функция КомментарийКлиента() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.КомментарийКлиента() 
```
</details>

## ХозяйственнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственную операцию документа.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ХозяйственныеОперации -
//
Функция ХозяйственнаяОперация() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ХозяйственнаяОперация() 
```
</details>

## ХозяйственнаяОперацияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает хозяйственную операцию договора см. ПереработкаНаСтороне.ХозяйственнаяОперацияДоговора.
//
// Возвращаемое значение:
//  см. ПереработкаНаСтороне.ХозяйственнаяОперацияДоговора
//
Функция ХозяйственнаяОперацияДоговора() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ХозяйственнаяОперацияДоговора() 
```
</details>

## СоглашенияСПоставщикамиПрименимы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак применяемости соглашений с поставщиками
//
// Возвращаемое значение:
//  Булево -
//
Функция СоглашенияСПоставщикамиПрименимы() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.СоглашенияСПоставщикамиПрименимы() 
```
</details>

## СоглашенияСКлиентамиПрименимы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак применяемости соглашений с клиентами
//
// Возвращаемое значение:
//  Булево -
//
Функция СоглашенияСКлиентамиПрименимы() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.СоглашенияСКлиентамиПрименимы() 
```
</details>

## ИспользоватьСоглашенияСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование соглашений с клиентами
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьСоглашенияСКлиентами() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ИспользоватьСоглашенияСКлиентами() 
```
</details>

## ИспользоватьРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование заявки на возврат товаров от клиентов
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьРаспоряжения() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ИспользоватьРаспоряжения() 
```
</details>

## ИспользоватьПоступлениеПоНесколькимЗаказам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование поступления по нескольким заказов.
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьПоступлениеПоНесколькимЗаказам() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ИспользоватьПоступлениеПоНесколькимЗаказам() 
```
</details>

## ИспользоватьРасширенныеВозможностиЗаказаКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использование расширенных возможностей заказа клиента
//
// Возвращаемое значение:
//  Булево -
//
Функция ИспользоватьРасширенныеВозможностиЗаказаКлиента() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ИспользоватьРасширенныеВозможностиЗаказаКлиента() 
```
</details>

## ПолучитьДоговорПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Получает договор по умолчанию.
//
// Параметры:
//  Объект - ДанныеФормыСтруктура, ДокументОбъект -
//  ОтборПоВалюте - Булево -
//  ОтборПоНаправлениюДеятельности - Булево -
//
// Возвращаемое значение:
//  СправочникСсылка.ДоговорыКонтрагентов -
//
Функция ПолучитьДоговорПоУмолчанию(Объект, ОтборПоВалюте = Истина, ОтборПоНаправлениюДеятельности = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ПолучитьДоговорПоУмолчанию(Объект, ОтборПоВалюте, ОтборПоНаправлениюДеятельности);
```
</details>

## УстановитьДоступностьДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доступность элемента договор.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  Объект - ДанныеФормыСтруктура -
//  Договор - СправочникСсылка.ДоговорыКонтрагентов, Неопределено -
//
Процедура УстановитьДоступностьДоговора(Форма, Объект, Договор = Неопределено) Экспорт
```

Пример вызова
```bsl
ПоступлениеОтПереработчика.УстановитьДоступностьДоговора(Форма, Объект, Договор);
```
</details>

## НастроитьФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает форму.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - содержит:
//           * Элементы - ВсеЭлементыФормы - содержит:
//              ** Партнер - ПолеВвода - содержит:
//                  *** Заголовок - Строка -
//              ** ТоварыПодобратьПереданныеТовары - КомандаФормы - содержит:
//                  *** Заголовок - Строка -
//              ** ЗакрытьЗаявку - КомандаФормы - содержит:
//                  *** Заголовок - Строка -
//  Номер - Число -
//  Дата  - Дата -
//
Процедура НастроитьФорму(Форма, Номер, Дата) Экспорт
```

Пример вызова
```bsl
ПоступлениеОтПереработчика.НастроитьФорму(Форма, Номер, Дата) 
```
</details>

## НастроитьПараметрыВыбораЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает параметры выбора и связи параметров выбора реквизитов формы.
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения -
//  Объект - ДанныеФормыСтруктура -
//
Процедура НастроитьПараметрыВыбораЭлементов(Форма, Объект) Экспорт
```

Пример вызова
```bsl
ПоступлениеОтПереработчика.НастроитьПараметрыВыбораЭлементов(Форма, Объект) 
```
</details>

## ЗаголовокФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок формы документа передача товаров хранителю.
//
// Параметры:
//  НовыйДокумент - Булево -
//  Номер - Число -
//  Дата - Дата -
//
// Возвращаемое значение:
//  Строка -
//
Функция ЗаголовокФормыДокумента(НовыйДокумент, Номер, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ЗаголовокФормыДокумента(НовыйДокумент, Номер, Дата) 
```
</details>

## ПредставлениеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление документа поступление товаров от хранителя.
//
// Возвращаемое значение:
//  Строка -
//
Функция ПредставлениеОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.ПредставлениеОбъекта() 
```
</details>

## СформироватьГиперссылкуКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст гиперссылки перехода из журнала документов в рабочее место оформления.
//
// Параметры:
//  Параметры - Структура - параметры формирования текста гиперссылки.
//
// Возвращаемое значение:
//  ФорматированнаяСтрока - текст гиперссылки перехода в рабочее место оформления передач.
//
Функция СформироватьГиперссылкуКОформлению(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ПоступлениеОтПереработчика.СформироватьГиперссылкуКОформлению(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
