---
title: Правила распределения вызов сервера
slug: erp-uh/правила-распределения-вызов-сервера
---


## ДополнительныеПараметрыНастройкиОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные параметры открытия формы настройки отборов.
// Параметры:
//	Параметры - см. ПравилаРаспределенияКлиент.ПараметрыОткрытияФормыНастройкиОтбора
// Возвращаемое значение:
//	Структура - дополнительные параметры.
Функция ДополнительныеПараметрыНастройкиОтборов(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ПравилаРаспределенияВызовСервера.ДополнительныеПараметрыНастройкиОтборов(Параметры) 
```
</details>

## ИмяСхемыБазыРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает функцию модуля менеджера базы распределения, которая возвращает имя схемы компоновки данных
// по переданной базе распределения.
// Параметры:
//	БазаРаспределения - ПеречислениеСсылка.ТипыБазыРаспределенияРасходов,
//						ПеречислениеСсылка.НаправлениеРаспределенияПоПодразделениям - база распределения.
//	МенеджерОбъекта - ПеречислениеМенеджер, Неопределено - менеджер объекта базы распределения.
// Возвращаемое значение:
//	Строка - имя схемы базы распределения.
Функция ИмяСхемыБазыРаспределения(БазаРаспределения, МенеджерОбъекта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПравилаРаспределенияВызовСервера.ИмяСхемыБазыРаспределения(БазаРаспределения, МенеджерОбъекта);
```
</details>

## СхемаБазыРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает схему компоновки базы распределения.
// Параметры:
//	БазаРаспределения - ПеречислениеСсылка.ТипыБазыРаспределенияРасходов,
//						ПеречислениеСсылка.НаправлениеРаспределенияПоПодразделениям - база распределения.
//	МенеджерОбъекта - ПеречислениеМенеджер, Неопределено - менеджер объекта базы распределения.
// Возвращаемое значение:
//	СхемаКомпоновкиДанных - схема компоновки базы распределения.
Функция СхемаБазыРаспределения(БазаРаспределения, МенеджерОбъекта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПравилаРаспределенияВызовСервера.СхемаБазыРаспределения(БазаРаспределения, МенеджерОбъекта);
```
</details>

## ОтборУстановлен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет есть ли установленный отбор в компоновщике настроек.
// Параметры:
//	НовыеНастройки - КомпоновщикНастроекКомпоновкиДанных -
// Возвращаемое значение:
//	Булево -
Функция ОтборУстановлен(НовыеНастройки) Экспорт
```

Пример вызова
```bsl
Результат = ПравилаРаспределенияВызовСервера.ОтборУстановлен(НовыеНастройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
