---
title: Правила распределения повт исп
slug: erp-uh/правила-распределения-повт-исп
---


## ИмяСхемыБазыРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает функцию модуля менеджера базы распределения, которая возвращает имя схемы компоновки данных
// по переданной базе распределения.
// Параметры:
//	БазаРаспределения - ПеречислениеСсылка.ТипыБазыРаспределенияРасходов,
//						ПеречислениеСсылка.НаправлениеРаспределенияПоПодразделениям - база распределения.
// Возвращаемое значение:
// 	Строка - имя соотв. схемы ПравилаРаспределенияВызовСервера.ИмяСхемыБазыРаспределения()
Функция ИмяСхемыБазыРаспределения(БазаРаспределения) Экспорт
```

Пример вызова
```bsl
Результат = ПравилаРаспределенияПовтИсп.ИмяСхемыБазыРаспределения(БазаРаспределения) 
```
</details>

## СхемаБазыРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает схему компоновки базы распределения.
// Параметры:
//	ИмяСхемы - Строка - имя схемы компоновки данных базы распределения.
//	БазаРаспределения - ПеречислениеСсылка.ТипыБазыРаспределенияРасходов,
//						ПеречислениеСсылка.НаправлениеРаспределенияПоПодразделениям - база распределения.
// Возвращаемое значение:
//	СхемаКомпоновкиДанных - схема компоновки базы распределения.
Функция СхемаБазыРаспределения(ИмяСхемы, БазаРаспределения) Экспорт
```

Пример вызова
```bsl
Результат = ПравилаРаспределенияПовтИсп.СхемаБазыРаспределения(ИмяСхемы, БазаРаспределения) 
```
</details>

## МакетКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает макет компоновки данных по переданным настройкам компоновки данных.
// Параметры:
//	ИмяСхемы - Строка - имя схемы компоновки данных базы распределения.
//	БазаРаспределения - ПеречислениеСсылка.ТипыБазыРаспределенияРасходов,
//						ПеречислениеСсылка.НаправлениеРаспределенияПоПодразделениям - база распределения.
//	НастройкиКомпоновкиДанныхXML - Строка - настройки компоновки данных в формате XML.
//
// Возвращаемое значение:
//	МакетКомпоновкиДанных - макет компоновки данных по настройкам компоновки.
Функция МакетКомпоновкиДанных(ИмяСхемы, БазаРаспределения, НастройкиКомпоновкиДанныхXML) Экспорт
```

Пример вызова
```bsl
Результат = ПравилаРаспределенияПовтИсп.МакетКомпоновкиДанных(ИмяСхемы, БазаРаспределения, НастройкиКомпоновкиДанныхXML) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
