---
title: Приглашения ЭДО клиент сервер
slug: erp-uh/приглашения-эдо-клиент-сервер
---


## ВидОшибкиНеНастроенаСвязьСКонтрагентом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидОшибкиНеНастроенаСвязьСКонтрагентом(СтатусПриглашения, ВидОперации) Экспорт
```

Пример вызова
```bsl
Результат = ПриглашенияЭДОКлиентСервер.ВидОшибкиНеНастроенаСвязьСКонтрагентом(СтатусПриглашения, ВидОперации) 
```
</details>

## НовоеПриглашение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Вид - см. ПриглашенияЭДОСлужебныйКлиентСервер.ВидПриглашенияВходящее
//
// Возвращаемое значение:
//  Структура:
// * Вид - см. ПриглашенияЭДОСлужебныйКлиентСервер.ВидПриглашенияВходящее
// * ИдентификаторОрганизации - Строка
// * ИдентификаторКонтрагента - Строка
// * Организация - Неопределено,ОпределяемыйТип.Организация
// * Контрагент - Неопределено,ОпределяемыйТип.УчастникЭДО
Функция НовоеПриглашение(Вид) Экспорт
```

Пример вызова
```bsl
Результат = ПриглашенияЭДОКлиентСервер.НовоеПриглашение(Вид) 
```
</details>

## НовоеВходящееПриглашение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  КлючПриглашения - Строка
//
// Возвращаемое значение:
// 	Структура:
// * Вид - см. ПриглашенияЭДОСлужебныйКлиентСервер.ВидПриглашенияВходящее
// * ИдентификаторОрганизации - Строка
// * ИдентификаторКонтрагента - Строка
// * Организация - Неопределено,ОпределяемыйТип.Организация
// * Контрагент - Неопределено,ОпределяемыйТип.УчастникЭДО
// * КлючПриглашения - Строка
// * СпособОбмена - ПеречислениеСсылка.СпособыОбменаЭД
// * ПричинаОтказа - Строка
// * Статус - ПеречислениеСсылка.СтатусыПриглашений
// * НовыйКонтрагент - Число
// * ГотовоКПринятию - Булево
// * ЭтоОблачныйЭДО - Булево
Функция НовоеВходящееПриглашение(КлючПриглашения = "") Экспорт
```

Пример вызова
```bsl
Результат = ПриглашенияЭДОКлиентСервер.НовоеВходящееПриглашение(КлючПриглашения);
```
</details>

## НовоеИсходящееПриглашение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает набор параметров нового приглашения.
//
// Параметры:
//  ТипПриглашения - ПеречислениеСсылка.ТипыПриглашений - влияет на набор возвращаемых параметров.
//  КлючПриглашения - Строка - если не указан, присваивается новый.
//
// Возвращаемое значение:
//  Структура:
//  * КлючПриглашения - Строка
//  * Вид - Строка
//  * Тип - ПеречислениеСсылка.ТипыПриглашений
//  * ИдентификаторОрганизации - Строка
//  * ИдентификаторКонтрагента - Строка
//  * Организация - ОпределяемыйТип.Организация
//  * Контрагент - ОпределяемыйТип.КонтрагентБЭД
//  * EmailОрганизации - Строка
//  * EmailКонтрагента - Строка
//  * ПолучательКПП - Строка
//  * ПолучательИНН - Строка
//  * ОператорЭДО - Строка
//  * СоздаватьНастройкиЭДО - Булево
//  * ТребуетсяСоглашение - Булево
//  * ТекстПриглашения - Строка
//  * ЭтоОблачныйЭДО - Булево
//  * АдресПисьмаОВыбореОператора - Строка
Функция НовоеИсходящееПриглашение(ТипПриглашения) Экспорт
```

Пример вызова
```bsl
Результат = ПриглашенияЭДОКлиентСервер.НовоеИсходящееПриглашение(ТипПриглашения) 
```
</details>

## НовыйКлючПриглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйКлючПриглашения() Экспорт
```

Пример вызова
```bsl
Результат = ПриглашенияЭДОКлиентСервер.НовыйКлючПриглашения() 
```
</details>

## КлючПриглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КлючПриглашения() Экспорт
```

Пример вызова
```bsl
Результат = ПриглашенияЭДОКлиентСервер.КлючПриглашения() 
```
</details>

## КлючПриглашенияНаИдентификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КлючПриглашенияНаИдентификатор() Экспорт
```

Пример вызова
```bsl
Результат = ПриглашенияЭДОКлиентСервер.КлючПриглашенияНаИдентификатор() 
```
</details>

## КлючШироковещательногоПриглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КлючШироковещательногоПриглашения() Экспорт
```

Пример вызова
```bsl
Результат = ПриглашенияЭДОКлиентСервер.КлючШироковещательногоПриглашения() 
```
</details>

## КлючЗаявкиНаРоуминг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КлючЗаявкиНаРоуминг() Экспорт
```

Пример вызова
```bsl
Результат = ПриглашенияЭДОКлиентСервер.КлючЗаявкиНаРоуминг() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
