---
title: Приходный ордер на товары локализация
slug: erp-uh/приходный-ордер-на-товары-локализация
---


## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проверки заполнения.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  Отказ - Булево
//  ПроверяемыеРеквизиты - Массив из Строка - Проверяемые реквизиты
Процедура ОбработкаПроверкиЗаполнения(Форма, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ПриходныйОрдерНаТоварыЛокализация.ОбработкаПроверкиЗаполнения(Форма, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка заполнения.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект.ПриходныйОрдерНаТовары -
//  ДанныеЗаполнения - Структура -
//  СтандартнаяОбработка - Булево -
Процедура ОбработкаЗаполнения(ДокументОбъект, ДанныеЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПриходныйОрдерНаТоварыЛокализация.ОбработкаЗаполнения(ДокументОбъект, ДанныеЗаполнения, СтандартнаяОбработка)
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При создании на сервере.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  Отказ - Булево
//  СтандартнаяОбработка - Булево
Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПриходныйОрдерНаТоварыЛокализация.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ИспользуетсяМаркируемаяПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет ведение учета маркируемой продукции.
//
// Возвращаемое значение:
//  Булево - Используется маркируемая продукция
Функция ИспользуетсяМаркируемаяПродукция() Экспорт
```

Пример вызова
```bsl
Результат = ПриходныйОрдерНаТоварыЛокализация.ИспользуетсяМаркируемаяПродукция() 
```
</details>

## УстановитьПризнакИспользованияМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить признак использования маркируемой продукции.
//
// Параметры:
//  Форма - см. СкладыЛокализация.УстановитьПризнакИспользованияМаркируемойПродукции.Форма
Процедура УстановитьПризнакИспользованияМаркируемойПродукции(Форма) Экспорт
```

Пример вызова
```bsl
ПриходныйОрдерНаТоварыЛокализация.УстановитьПризнакИспользованияМаркируемойПродукции(Форма) 
```
</details>

## ОпределениеПризнакаМаркируемаяПродукцияТекстаЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение признака маркируемая продукция текста запроса.
//
// Параметры:
//  ПутьКПолюНоменклатура -Строка -Путь к полю номенклатура
//
// Возвращаемое значение:
//  Строка - Определение признака маркируемая продукция текста запроса
Функция ОпределениеПризнакаМаркируемаяПродукцияТекстаЗапроса(ПутьКПолюНоменклатура) Экспорт
```

Пример вызова
```bsl
Результат = ПриходныйОрдерНаТоварыЛокализация.ОпределениеПризнакаМаркируемаяПродукцияТекстаЗапроса(ПутьКПолюНоменклатура) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
