---
title: Проведение документов переопределяемый
slug: erp-uh/проведение-документов-переопределяемый
---


## ПередЗаписьюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует в обработчике документа ПередЗаписью() свойства, необходимые для проведения документа.
//
// Параметры:
//  Документ - ДокументОбъект - записываемый документ
//  РежимЗаписи - РежимЗаписиДокумента - текущий режим проведения документа
//  РежимПроведения - РежимПроведенияДокумента - текущий режим проведения документа.
//
Процедура ПередЗаписьюДокумента(Документ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ПроведениеДокументовПереопределяемый.ПередЗаписьюДокумента(Документ, РежимЗаписи, РежимПроведения) 
```
</details>

## ПриЗаписиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует в обработчике документа ПриЗаписи() движения по независимым регистрам, определенных в учетных документах.
//
// Параметры:
//  Документ - ДокументОбъект - Записываемый документ
//  Отказ - Булево - Признак отказа от записи.
//
Процедура ПриЗаписиДокумента(Документ, Отказ) Экспорт
```

Пример вызова
```bsl
ПроведениеДокументовПереопределяемый.ПриЗаписиДокумента(Документ, Отказ) 
```
</details>

## ОбработкаУдаленияПроведенияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает в обработчике документа ОбработкаУдаленияПроведения() движения по подчиненным регистрам.
//
// Параметры:
//  Документ - ДокументОбъект - записываемый документ
//  Отказ - Булево -  признак отказа от записи.
//
Процедура ОбработкаУдаленияПроведенияДокумента(Документ, Отказ) Экспорт
```

Пример вызова
```bsl
ПроведениеДокументовПереопределяемый.ОбработкаУдаленияПроведенияДокумента(Документ, Отказ) 
```
</details>

## ОбработкаПроведенияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует в обработчике документа ОбработкаПроведения() движения по регистрам, определенных в учетных документах.
//
// Параметры:
//	Документ - ДокументОбъект - Записываемый документ.
//	Движения - ссылка на движения документа.
//	Отказ - Булево - Признак отказа от записи.
//
Процедура ОбработкаПроведенияДокумента(Документ, Движения, Отказ) Экспорт
```

Пример вызова
```bsl
ПроведениеДокументовПереопределяемый.ОбработкаПроведенияДокумента(Документ, Движения, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
