---
title: Проверка документов вызов сервера
slug: erp-uh/проверка-документов-вызов-сервера
---


## ВыполнитьКомандуИзмененияСтатусаПроверкиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет команду "Проверки" документа. В случае если прав на изменение статуса проверки нет - ничего не делает,
// в противном случае изменяет значение статуса проверки документа.
// см. РегистрыСведений.СтатусыПроверкиДокументов.УстановитьСтатусПроверкиДокументов.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ, для которого требуется изменить статус проверки
//	(см. измерение "Документ" регистра сведений "СтатусыПроверкиДокументов");
//	ДанныеОбОшибке - Соответствие - соответствие данных (если не задано - данные об ошибках не фиксируются)
//
//	ВозвращаемоеЗначение:
//		Булево - Истина, если есть право на изменение документа, Ложь в противном случае.
//
Процедура ВыполнитьКомандуИзмененияСтатусаПроверкиДокумента(ДокументСсылка, ДанныеОбОшибке = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроверкаДокументовВызовСервера.ВыполнитьКомандуИзмененияСтатусаПроверкиДокумента(ДокументСсылка, ДанныеОбОшибке);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
