---
title: Проверка документов клиент
slug: erp-uh/проверка-документов-клиент
---


## ВыполнитьКомандуИзмененияСтатусаПроверкиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет команду изменения статуса проверки документа,
// см. ПроверкаДокументовВызовСервера.ВыполнитьКомандуИзмененияСтатусаПроверкиДокумента.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма в которой расположена команда;
//  Команда - КомандаФормы - Команда, которую нужно выполнить.
//
Процедура ВыполнитьКомандуИзмененияСтатусаПроверкиДокумента(Форма, Команда) Экспорт
```

Пример вызова
```bsl
ПроверкаДокументовКлиент.ВыполнитьКомандуИзмененияСтатусаПроверкиДокумента(Форма, Команда) 
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы. Проверяет, если оповещение вызвано новым статусом
// проверки - обновляет команду изменения статуса проверки формы и блокирует форму в случае необходимости (когда статус
//            проверки документа "Проверен").
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, из обработчика события которой происходит вызов процедуры:
//  	* Объект - ДокументОбъект -
//  ИмяСобытия - Строка - идентификатор сообщения принимающей формой (см. метод Оповестить);
//	Параметр - Структура - параметр сообщения (см. метод Оповестить);
//	Источник - Произвольный - источник события (см. метод Оповестить).
//
Процедура ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ПроверкаДокументовКлиент.ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы.
// Необходимо при записи проверенного документа выводить предупреждение о том, что документ был проверен и при записи
// снимется с проверки. У пользователя будет возможность отменить запись. Данная проверка будет вызываться вне
// зависимости от опции жесткой/мягкой проверки, так как при жесткой проверке запись измененного документа не возможна.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры:
//  	* Объект - ДокументОбъект -
//  Отказ - Булево - признак отказа от записи документа;
//	ПараметрыЗаписи - Структура - параметры записи (см. событие ПередЗаписью).
//
Процедура ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ПроверкаДокументовКлиент.ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
