---
title: Проверка документов локализация
slug: erp-uh/проверка-документов-локализация
---


## ДополнитьИсключаемыеДокументыДляПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет документы, которые не должны учитываться, как проверяемые. См. ПроверкаДокументовСервер.ИсключаемыеТипыДляПроверки
//
// Параметры:
// 	ИсключаемыТипы - Массив Из Тип - Типы значения, которые не должны проверяться.
//
Процедура ДополнитьИсключаемыеДокументыДляПроверки(ИсключаемыТипы) Экспорт
```

Пример вызова
```bsl
ПроверкаДокументовЛокализация.ДополнитьИсключаемыеДокументыДляПроверки(ИсключаемыТипы) 
```
</details>

## ДополнитьМассивОрганизацийДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает из переданного объекта (ссылки) массив реквизитов с типом "Организация" и дополняет переданный параметр "МассивОрганизаций".
//
//	Параметры:
//		МассивОрганизаций - Массив Из СправочникСсылка.Организации - массив Организаций для заполнения
//		ДокументИсточник - ДокументСсылка, ДокументОбъект - объект, реквизиты которого надо проанализировать на соответствие типу "Организация".
// 															Если передан объект - значение реквизиты считывается непосредственно из него, если передана ссылка -
//															- происходит обращение к данным базы запросом (см. ОбщегоНазначения.ЗначенияРеквизитовОбъекта)
//		УчитыватьУправленческуюОрганизацию - Булево - признак, определяющий, должна ли среди возвращаемого массива быть управленческая организация.
// 														Значение по умолчанию - истина;
//
Процедура ДополнитьМассивОрганизацийДокумента(МассивОрганизаций, ДокументИсточник, УчитыватьУправленческуюОрганизацию) Экспорт
```

Пример вызова
```bsl
ПроверкаДокументовЛокализация.ДополнитьМассивОрганизацийДокумента(МассивОрганизаций, ДокументИсточник, УчитыватьУправленческуюОрганизацию) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
