---
title: Проверка и подбор продукции ЕГАИС
slug: erp-uh/проверка-и-подбор-продукции-егаис
---


## МодификацияРеквизитовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура МодификацияРеквизитовФормы(Форма, ПараметрыИнтеграции, ДобавляемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИС.МодификацияРеквизитовФормы(Форма, ПараметрыИнтеграции, ДобавляемыеРеквизиты) 
```
</details>

## МодификацияЭлементовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура МодификацияЭлементовФормы(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИС.МодификацияЭлементовФормы(Форма) 
```
</details>

## ПараметрыИнтеграцииФормыПроверкиИПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, заполненную значениями по умолчанию, используемую для интеграции формы проверки и подбора
//   в прикладные документы конфигураци - потребителя библиотеки ГосИС. Если передана форма - сразу заполняет ее
//   специфику в переопределяемом модуле.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения, Неопределено - форма для которой возвращаются параметры интеграции
//
// Возвращаемое значение:
//  Структура - (См. ПроверкаИПодборПродукцииИС.ПараметрыИнтеграцииФормПроверкиИПодбора).
//
Функция ПараметрыИнтеграцииФормыПроверкиИПодбора(Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииЕГАИС.ПараметрыИнтеграцииФормыПроверкиИПодбора(Форма);
```
</details>

## УправлениеЭлементамиОткрытияФормыПроверкиИПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при закрытии формы проверки и подбора маркируемой продукции из форм прикладных документов
//   в конфигурации - потребителе библиотеки ГосИС и при инициализации формы.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма прикладного документа, в который встраивается функциональность библиотеки ГосИС
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - настраиваемый вид продукции
//  ВидимостьЭлементов - Булево - флаг видимости соответствующего блока по виду продукции
//
Процедура УправлениеЭлементамиОткрытияФормыПроверкиИПодбора(Форма, ВидимостьЭлементов) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИС.УправлениеЭлементамиОткрытияФормыПроверкиИПодбора(Форма, ВидимостьЭлементов) 
```
</details>

## УправлениеВидимостьюЭлементовПроверкиИПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УправлениеВидимостьюЭлементовПроверкиИПодбора(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИС.УправлениеВидимостьюЭлементовПроверкиИПодбора(Форма) 
```
</details>

## ЗаполнитьКешШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить кеш штрихкодов упаковок.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
Процедура ЗаполнитьКешШтрихкодовУпаковок(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИС.ЗаполнитьКешШтрихкодовУпаковок(Форма) 
```
</details>

## ПрименитьКешШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПрименитьКешШтрихкодовУпаковок(Форма, ОбновлениеТаблицыТоваров = Ложь) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИС.ПрименитьКешШтрихкодовУпаковок(Форма, ОбновлениеТаблицыТоваров);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
