---
title: Проверка и подбор продукции ЕГАИС переопределяемый
slug: erp-uh/проверка-и-подбор-продукции-егаис-переопределяемый
---


## ПриЗагрузкеДанныхДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные по алкогольной продукции из прикладного документа при открытии формы проверки
//
// Параметры:
//  Параметры - См. Обработки.ПроверкаИПодборАлкогольнойПродукцииЕГАИС.ЗагрузитьДанныеДокументаДлительнаяОперация.Параметры
//  ДанныеДокумента - См. Обработки.ПроверкаИПодборАлкогольнойПродукцииЕГАИС.ЗагрузитьДанныеДокументаДлительнаяОперация
//
Процедура ПриЗагрузкеДанныхДокумента(Параметры, ДанныеДокумента) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИСПереопределяемый.ПриЗагрузкеДанныхДокумента(Параметры, ДанныеДокумента) 
```
</details>

## ОтразитьРезультатыСканированияВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные по алкогольной продукции в прикладной документ при завершении проверки
//
// Параметры:
//  РезультатПроверки - См. Обработки.ПроверкаИПодборАлкогольнойПродукцииЕГАИС.ЗафиксироватьРезультатПроверкиИПодбора.Параметры
//
Процедура ОтразитьРезультатыСканированияВДокументе(РезультатПроверки) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИСПереопределяемый.ОтразитьРезультатыСканированияВДокументе(РезультатПроверки) 
```
</details>

## ПриОпределенииПараметровИнтеграцииФормыПроверкиИПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииПараметровИнтеграцииФормыПроверкиИПодбора(Форма, ПараметрыИнтеграции) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИСПереопределяемый.ПриОпределенииПараметровИнтеграцииФормыПроверкиИПодбора(Форма, ПараметрыИнтеграции) 
```
</details>

## ПриПримененииПараметровИнтеграцииФормыПроверкиИПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет специфику применения интеграции формы проверки и подбора в конкретную форму.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма для которой применяются параметры интеграции.
//
Процедура ПриПримененииПараметровИнтеграцииФормыПроверкиИПодбора(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИСПереопределяемый.ПриПримененииПараметровИнтеграцииФормыПроверкиИПодбора(Форма) 
```
</details>

## ЕстьМаркируемаяПродукцияВКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает через третий параметр признак наличия маркируемой продукции.
//
// Параметры:
//  Коллекция                - ДанныеФормыКоллекция - ТЧ с товарами.
//  ЕстьМаркируемаяПродукция - Булево - Исходящий, признак наличия маркируемой продукции.
//
Процедура ЕстьМаркируемаяПродукцияВКоллекции(Коллекция, ЕстьМаркируемаяПродукция) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииЕГАИСПереопределяемый.ЕстьМаркируемаяПродукцияВКоллекции(Коллекция, ЕстьМаркируемаяПродукция) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
