---
title: Проверка и подбор продукции ИС
slug: erp-uh/проверка-и-подбор-продукции-ис
---


## ПодключитьОбработкуКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодключитьОбработкуКодовМаркировки(Форма, ЕстьТабличнаяЧастьШтрихкодыУпаковок=Истина, ДополнительныеКлючиШтрихкодовУпаковок = "") Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИС.ПодключитьОбработкуКодовМаркировки(Форма, ЕстьТабличнаяЧастьШтрихкодыУпаковок, ДополнительныеКлючиШтрихкодовУпаковок);
```
</details>

## ДобавитьТаблицуШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТаблицуШтрихкодовУпаковок(Форма, ПараметрыИнтеграции, ДобавляемыеРеквизиты, ДополнительныеКлючи = "") Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИС.ДобавитьТаблицуШтрихкодовУпаковок(Форма, ПараметрыИнтеграции, ДобавляемыеРеквизиты, ДополнительныеКлючи);
```
</details>

## ДополнитьТаблицуТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьТаблицуТоваров(Форма, ПараметрыИнтеграции, ПутьКРеквизиту, ДобавляемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИС.ДополнитьТаблицуТоваров(Форма, ПараметрыИнтеграции, ПутьКРеквизиту, ДобавляемыеРеквизиты) 
```
</details>

## ЗаполнитьКешШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьКешШтрихкодовУпаковок(Форма, Настройки = Неопределено, Инициализация = Ложь) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИС.ЗаполнитьКешШтрихкодовУпаковок(Форма, Настройки, Инициализация);
```
</details>

## НастройкиИсточникаКешаШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки, используемые для встраивания интерфейса кеша штрихкодов упаковок в конкретную форму.
//
// Параметры:
//  ЭтоДокументГосИС - Булево - преднастройка для библиотечных документов (все товары маркируемые)
//
// Возвращаемое значение:
//  Структура -- настройки встраивания:
// * Объект - Строка - имя реквизита формы Объект (сама форма если пусто).
// * ВсеМаркируемые - Булево - истина - не проверять товары на признак "Маркируемые".
// * ИспользоватьОСУ - Булево - истина - проверять товары на признак "АвтоматическийОСУИС".
// * Сценарий - Число - индекс используемой настройки.
// * Штрихкоды - Строка - имя табличной части "Штрихкоды упаковок".
// * ШтрихкодУпаковки - Строка - имя колонки табличной части "Штрихкоды упаковок" содержащей ссылку на штрихкод.
// * Товары - Строка - имя табличной части "Товары".
// * Серии - Строка - имя табличной части "Серии".
// * Количество - Строка - имя колонки "Количество" в табличных частях.
// * ЧастичноеВыбытие - Булево - в документе осуществляется частичное выбытие по кодам маркировки
// * ВключаяКомплектующие - Булево - для маркировки наборов в документе "Маркировка товаров ИС МП"
Функция НастройкиИсточникаКешаШтрихкодовУпаковок(ЭтоДокументГосИС = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИС.НастройкиИсточникаКешаШтрихкодовУпаковок(ЭтоДокументГосИС);
```
</details>

## ПрименитьКешШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет статусы проверки и подбора в строках таблицы товаров формы (документа)
//
// Параметры:
//   Форма               - ФормаКлиентскогоПриложения - форма для обновления статусов строк.
//   Настройки           - Неопределено, Структура    - (См. НастройкиИсточникаКешаШтрихкодовУпаковок).
//   ОбновитьТовары      - Булево                     - необходимость обновить таблицу товаров по таблице штрихкодов.
//   ДополнительныеКлючи - Строка                     - ключи связи строк табличных частей.
//
Процедура ПрименитьКешШтрихкодовУпаковок(Форма, Настройки = Неопределено, ОбновитьТовары = Ложь, ДополнительныеКлючи = "") Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИС.ПрименитьКешШтрихкодовУпаковок(Форма, Настройки, ОбновитьТовары, ДополнительныеКлючи);
```
</details>

## ДанныеШтрихкодаДляДобавленияВКеш
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Для связи механизма штрихкодирования и кеша строк: является входящим параметром
//   при обработке данных кода маркировки (добавлении кода маркировки или упаковки в таблицу штрихкодов упаковок),
//   для обновления кеша штрихкодов упаковок добавлением вместо пересчета.
//
//Параметры:
//   ДанныеШтрихкода - Структура, СтрокаДереваЗначений - разобранные данные штрихкода.
//   Специфика       - Строка - ключ описания специфики данных штрихкода.
//
//Возвращаемое значение:
//   Структура - поля кеша и служебная информация:
//
// * Специфика - Строка - специфика штрихкода и кеша
//
// * ШтрихкодУпаковки - СправочникСсылка.ШтрихкодыУпаковокТоваров  - добавляемый штрихкод.
// * Номенклатура     - ОпределяемыйТип.Номенклатура               - номенклатура из упаковки или кода маркировки.
// * Характеристика   - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика из упаковки или кода маркировки.
// * Серия            - ОпределяемыйТип.СерияНоменклатуры          - серия из упаковки или кода маркировки.
// * Количество       - Число                                      - количество добавленных единиц.
//
// * GTIN - ОпределяемыйТип.GTIN - GTIN номенклатуры (если доступны коды маркировки остатков);
//
// * ИдентификаторПроисхожденияВЕТИС - ОпределяемыйТип.ИдентификаторПроисхожденияВЕТИС - для маркировки молочной продукции;
// * СрокГодности                    - Дата                                            - для маркировки молочной продукции;
// * СкоропортящаясяПродукция   - Булево                                          - для маркировки молочной продукции;
// * ШтрихкодОднороднойУпаковки      - СправочникСсылка.ШтрихкодыУпаковокТоваров       - для маркировки молочной продукции;
//
// * ЧастичноеВыбытиеОтдельнойНоменклатуры - Булево - при добавлении отдельной номенклатуры частичного выбытия
//
Функция ДанныеШтрихкодаДляДобавленияВКеш(ДанныеШтрихкода, Специфика = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИС.ДанныеШтрихкодаДляДобавленияВКеш(ДанныеШтрихкода, Специфика);
```
</details>

## ДополнитьКеш
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для связи механизма штрихкодирования и кеша строк: обновление кеша по добавленному коду маркировки.
//   Прикладные документы (без специфики без заполнения табличной части).
//
// Параметры:
//   Форма             - ФормаКлиентскогоПриложения           - источник вызова.
//   ОбновляемаяСтрока - См. ДанныеШтрихкодаДляДобавленияВКеш.
//   Сценарий          - Число                                - ключ кеша
//
Процедура ДополнитьКеш(Форма, ОбновляемаяСтрока, Сценарий = 0) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИС.ДополнитьКеш(Форма, ОбновляемаяСтрока, Сценарий);
```
</details>

## ДополнитьКешИТаблицуШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для связи механизма штрихкодирования и кеша строк: обновление кеша по добавленному коду маркировки.
// Только для ТЧ ШтрихкодыУпаковок (библиотечное использование)
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - источник вызова.
//  ОбновляемаяСтрока - См. ДанныеШтрихкодаДляДобавленияВКеш.
//  ДобавленныеШтрихкодыУпаковок - Неопределено, Массив Из СправочникСсылка.ШтрихкодыУпаковокТоваров - уже добавленные штрихкоды упаковок (специфика документа маркировки)
//  Сценарий - Число - Ключ сценария использования
//  ИмяТЧ - Строка - Имя табличной части штрихкодов сценария использования
Процедура ДополнитьКешИТаблицуШтрихкодовУпаковок(Форма, ОбновляемаяСтрока, Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИС.ДополнитьКешИТаблицуШтрихкодовУпаковок(Форма, ОбновляемаяСтрока, );
```
</details>

## КоличествоПоДаннымКеша
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Для связи механизма штрихкодирования и кеша строк: получение текущих данных кеша по добавляемому коду маркировки
//
//Параметры:
//   Форма - ФормаКлиентскогоПриложения - источник вызова.
//   ОбновляемаяСтрока - (См. ДанныеШтрихкодаДляДобавленияВКеш)
//   ИмяПоляКоличество - Строка - требуемая колонка количества.
//   Сценарий - Число - индекс сценария использования.
//
//Возвращаемое значение:
//   Число - количество единиц по кодам маркировки по полям поиска текущей маркируемой продукции
//
Функция КоличествоПоДаннымКеша(Форма, ОбновляемаяСтрока, ИмяПоляКоличество = "Количество", Сценарий = 0) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИС.КоличествоПоДаннымКеша(Форма, ОбновляемаяСтрока, ИмяПоляКоличество, Сценарий);
```
</details>

## РаспределитьНаНезаполненныеСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При сканировании кода маркировки, требующего уточнения, забирает количество с не полностью заполненных строк
//   с той же номенклатурой и характеристикой.
// Требования: в форме используется механика статусов проверки и подбора строк.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма в которой происходит сканирование
//   ОбновляемаяСтрока - См. ДанныеШтрихкодаДляДобавленияВКеш.
//   Настройки - см. НастройкиРаспределенияНезаполненныхСтрок
//
// Возвращаемое значение:
//   Массив - измененные строки табличной части
Функция РаспределитьНаНезаполненныеСтроки(Форма, Знач ОбновляемаяСтрока, Настройки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИС.РаспределитьНаНезаполненныеСтроки(Форма, ОбновляемаяСтрока, Настройки);
```
</details>

## НастройкиРаспределенияНезаполненныхСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройки распределения незаполненных строк.
//
// Параметры:
//  ЕстьСерии - Булево - возможность распределения с недозаполненных строк с пустой/той же серией.
//
// Возвращаемое значение:
//  Структура - описание имен полей, которые будут использоваться для поиска недозаполненных строк
Функция НастройкиРаспределенияНезаполненныхСтрок(ЕстьСерии = "Серия") Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИС.НастройкиРаспределенияНезаполненныхСтрок(ЕстьСерии);
```
</details>

## ДобавитьТаблицуСтатусовПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТаблицуСтатусовПроверки(Форма, ПараметрыИнтеграции, ДобавляемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИС.ДобавитьТаблицуСтатусовПроверки(Форма, ПараметрыИнтеграции, ДобавляемыеРеквизиты) 
```
</details>

## УстановитьВидимостьЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьВидимостьЭлементов(Форма, ВидПродукции, ВидимостьЭлементов, Сценарий = 0) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИС.УстановитьВидимостьЭлементов(Форма, ВидПродукции, ВидимостьЭлементов, Сценарий);
```
</details>

## УстановитьСтатусПоВидуПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьСтатусПоВидуПродукции(Форма, ВидПродукции, Статус, Сценарий) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИС.УстановитьСтатусПоВидуПродукции(Форма, ВидПродукции, Статус, Сценарий) 
```
</details>

## СтатусПроверкиИПодбораДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусПроверкиИПодбораДокумента(Документ, ВидМаркируемойПродукции, Сценарий = 0) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИС.СтатусПроверкиИПодбораДокумента(Документ, ВидМаркируемойПродукции, Сценарий);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
