---
title: Проверка и подбор продукции ИС клиент
slug: erp-uh/проверка-и-подбор-продукции-ис-клиент
---


## ПрименитьКешПоСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет статус проверки маркируемой продукции при изменении количества/состава строк по кешированным данным
//   состава табличной части "Штрихкоды упаковок".
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - редактируемая форма.
//   ТабличнаяЧастьТовары - ДанныеФормыКоллекция - редактируемая таблица.
//   ДанныеСтроки - ДанныеФормыЭлементКоллекции - редактируемая строка.
//   ДанныеКешаСтроки - Структура - данные строки перед редактированием.
//   ВсеТоварыМаркируемые - Булево - Обработка всех маркируемых товаров.
//   ДополнительныеКлючи - Строка - дополнительные ключи связи строк товаров и кеша штрихкодов упаковок.
//   ИмяКолонкиКоличество - Строка - имя колонки "Количество" в табличной части документа.
//   Сценарий - Число - сценарий обработки (таблица штрихкодов упаковок и редактируемая таблица).
// Возвращаемое значение:
//   Булево - требуется пересчет кеша для всей табличной части.
Функция ПрименитьКешПоСтроке(Форма, ТабличнаяЧастьТовары, ДанныеСтроки, ДанныеКешаСтроки, ВсеТоварыМаркируемые = Ложь, ДополнительныеКлючи = "", ИмяКолонкиКоличество = "Количество", Сценарий = 0) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСКлиент.ПрименитьКешПоСтроке(Форма, ТабличнаяЧастьТовары, ДанныеСтроки, ДанныеКешаСтроки, ВсеТоварыМаркируемые, ДополнительныеКлючи, ИмяКолонкиКоличество, Сценарий);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
