---
title: Проверка и подбор продукции ИСМП
slug: erp-uh/проверка-и-подбор-продукции-исмп
---


## МодификацияРеквизитовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура МодификацияРеквизитовФормы(Форма, ПараметрыИнтеграции, ДобавляемыеРеквизиты, ВидПродукции) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.МодификацияРеквизитовФормы(Форма, ПараметрыИнтеграции, ДобавляемыеРеквизиты, ВидПродукции) 
```
</details>

## МодификацияЭлементовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура МодификацияЭлементовФормы(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.МодификацияЭлементовФормы(Форма) 
```
</details>

## ЗаполнитьПризнакАвтоматическийОСУИСВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПризнакАвтоматическийОСУИСВСтроке(СтрокаТовары) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ЗаполнитьПризнакАвтоматическийОСУИСВСтроке(СтрокаТовары) 
```
</details>

## ЗаполнитьПризнакАвтоматическийОСУИСВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПризнакАвтоматическийОСУИСВТаблице(ТаблицаТовары, ЗаполнитьКолонкуGTIN = Ложь) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ЗаполнитьПризнакАвтоматическийОСУИСВТаблице(ТаблицаТовары, ЗаполнитьКолонкуGTIN);
```
</details>

## ПараметрыИнтеграцииФормыПроверкиИПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, заполненную значениями по умолчанию, используемую для интеграции формы проверки и подбора
//   в прикладные документы конфигураци - потребителя библиотеки ГосИС. Если передана форма - сразу заполняет ее
//   специфику в переопределяемом модуле.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения, Неопределено - форма для которой возвращаются параметры интеграции
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС, Неопределено - вид продукции для определения параметров интеграции
//
// Возвращаемое значение:
//  Структура - (См. ПроверкаИПодборПродукцииИС.ПараметрыИнтеграцииФормПроверкиИПодбора).
//
Функция ПараметрыИнтеграцииФормыПроверкиИПодбора(Форма = Неопределено, ВидПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ПараметрыИнтеграцииФормыПроверкиИПодбора(Форма, ВидПродукции);
```
</details>

## УправлениеЭлементамиОткрытияФормыПроверкиИПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при закрытии формы проверки и подбора маркируемой продукции из форм прикладных документов
//   в конфигурации - потребителе библиотеки ГосИС и при инициализации формы.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма прикладного документа, в который встраивается функциональность библиотеки ГосИС
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - настраиваемый вид продукции
//  ВидимостьЭлементов - Булево - флаг видимости соответствующего блока по виду продукции
//  ПараметрыИнтеграции - См. ПараметрыИнтеграцииФормыПроверкиИПодбора
//
Процедура УправлениеЭлементамиОткрытияФормыПроверкиИПодбора(Форма, ВидПродукции, ВидимостьЭлементов, ПараметрыИнтеграции) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.УправлениеЭлементамиОткрытияФормыПроверкиИПодбора(Форма, ВидПродукции, ВидимостьЭлементов, ПараметрыИнтеграции) 
```
</details>

## УдалитьПустыеУпаковкиДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет пустые упаковки из дерева маркируемой продукции.
//
// Параметры:
//  ДеревоМаркированнойПродукции - ДеревоЗначений - дерево упаковок маркируемой продукции из формы проверки и подбора.
//  ВидПродукцииИС - ПеречислениеСсылка.ВидыПродукцииИС - вид маркируемой продукции.
//
Процедура УдалитьПустыеУпаковкиДерева(ДеревоМаркированнойПродукции) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.УдалитьПустыеУпаковкиДерева(ДеревоМаркированнойПродукции) 
```
</details>

## ПустаяТаблицаПодобраннойПровереннойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую таблицу информации о проверенных и под, сформированную в форме проверки и подбора.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - содержит следующие колонки:
//  * Номенклатура        - ОпределяемыйТип.Номенклатура - Номекнлатура.
//  * Характеристика      - ОпределяемыйТип.ХарактеристикаНоменклатуры - Характеристика.
//  * Серия               - ОпределяемыйТип.СерияНоменклатуры - Серия.
//  * Количество          - Число - количество по документу.
//  * КоличествоПодобрано - Число - фактическое (учетное) количество по результатам проверки и подбора.
//  * КоличествоПотребительскихУпаковок - Число - фактическое количество (потребительских кодов маркировки) по
//      результатам проверки и подбора. Заполняется если товар не штучный.
//  * GTIN                - ОпределяемыйТип.GTIN - GTIN.
Функция ПустаяТаблицаПодобраннойПровереннойПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ПустаяТаблицаПодобраннойПровереннойПродукции() 
```
</details>

## ПустаяТаблицаОписанияGTIN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую таблицу информации о GTIN, сопоставлении с номенклатурой, коэффициентах групповых упаковок.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Описание:
// 	* GTIN                - ОпределяемыйТип.GTIN                       - GTIN.
//  * Номенклатура        - ОпределяемыйТип.Номенклатура               - Номекнлатура.
//  * Характеристика      - ОпределяемыйТип.ХарактеристикаНоменклатуры - Характеристика.
//  * Серия               - ОпределяемыйТип.СерияНоменклатуры          - Серия.
//  * Упаковка            - ОпределяемыйТип.Упаковка                   - Упаковка.
//  * ВидУпаковки         - ПеречислениеСсылка.ВидыУпаковокИС          - Вид упаковки.
//  * Коэффициент         - Число                                      - Коэффициент групповой упаковки.
Функция ПустаяТаблицаОписанияGTIN() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ПустаяТаблицаОписанияGTIN() 
```
</details>

## ЗаполнитьТаблицуОписанияGTINПоДеревуУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу описания GTIN уникальными значениями из дерева упаковок.
//
// Параметры:
// 	ТаблицаОписанияGTIN - см. ПустаяТаблицаОписанияGTIN.
// 	ДеревоМаркированнойПродукции - ДеревоЗначений - содержит результаты проверки и подбора с иерархией упаковок.
Процедура ЗаполнитьТаблицуОписанияGTINПоДеревуУпаковок(ТаблицаОписанияGTIN, ДеревоМаркированнойПродукции) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ЗаполнитьТаблицуОписанияGTINПоДеревуУпаковок(ТаблицаОписанияGTIN, ДеревоМаркированнойПродукции) 
```
</details>

## ЗаполнитьКешШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить кеш штрихкодов упаковок.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  Сценарий - Неопределено - кеш на все сценарии,
//           - Число - кеш на определенный сценарий документа.
//
Процедура ЗаполнитьКешШтрихкодовУпаковок(Форма, Сценарий = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ЗаполнитьКешШтрихкодовУпаковок(Форма, Сценарий);
```
</details>

## ПрименитьКешШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПрименитьКешШтрихкодовУпаковок(Форма, ОбновлениеТаблицыТоваров = Ложь, Сценарий = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ПрименитьКешШтрихкодовУпаковок(Форма, ОбновлениеТаблицыТоваров, Сценарий);
```
</details>

## ПустаяТаблицаШтрихкодовВерхнегоУровня
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую таблицу о штриховых кодах верхнего уровня, для дальнейшего наполнения информацией из формы проверки и подбора.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Описание:
// * ШтрихкодУпаковки - СправочникСсылка.ШтрихкодыУпаковокТоваров
// * Штрихкод - Строка
//
Функция ПустаяТаблицаШтрихкодовВерхнегоУровня() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ПустаяТаблицаШтрихкодовВерхнегоУровня() 
```
</details>

## ЗафиксироватьРезультатПроверкиИПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Фиксирует результаты сканирования в форме проверки и подбора в документе, из которого она была вызвана.
//
// Параметры:
//   РезультатПроверки - см. ПараметрыОкончанияПроверки.
//
Процедура ЗафиксироватьРезультатПроверкиИПодбора(РезультатПроверки) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ЗафиксироватьРезультатПроверкиИПодбора(РезультатПроверки) 
```
</details>

## ПараметрыОкончанияПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует структуру параметров завершения проверки и подбора маркируемой продукции (ИС МП)
//
// Возвращаемое значение:
//   Структура - содержит следующие поля:
//     * ВидПродукцииИС - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции для которого требуется зафиксировать результат проверки и подбора
//     * СоздаватьАктОРасхождениях       - Булево - признак, того что требуется создания документа "Акт о расхождениях".
//     * СозданныйАктОРасхождениях       - ДокументСсылка - в данный параметр требуется поместить созданный документ "Акт о расхождениях".
//     * ПроверяемыйДокумент             - ДокументСсылка - документ, для которого выполнялась проверка и подбор.
//     * ТаблицаШтрихкодовВерхнегоУровня - ТаблицаЗначений - содержит следующие колонки:
//        ** ШтрихкодУпаковки - СправочникСсылка.ШтрихкодыУпаковокТоваров - Штрихкод упаковки
//        ** Штрихкод - Строка - Значение штрихкода
//     * ТаблицаПодобраннойПровереннойПродукции - см. ПустаяТаблицаПодобраннойПровереннойПродукции.
//     * ТаблицаРасхожденийШтриховыхКодов - ТаблицаЗначений - содержит расхождения при проверке маркируемой продукции
//     * ТаблицаОписанияGTIN - см. ПустаяТаблицаОписанияGTIN.
//     * Сценарий - Число - ключ сценария проверки маркируемой продукции в документе.
//
Функция ПараметрыОкончанияПроверки() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ПараметрыОкончанияПроверки() 
```
</details>

## СформированныйАктОРасхождениях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает сформированный ранее Акт о расхождениях для переданного документа.
//
//Параметры:
//   Документ - ДокументСсылка - ссылка на документ, для которого необходимо получить Акт о расхождениях:
//Возвращаемое значение:
//   Неопределено, ДокументСсылка - ссылка на Акт о расхождениях
Функция СформированныйАктОРасхождениях(Документ) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.СформированныйАктОРасхождениях(Документ) 
```
</details>

## ТаблицаМаркируемойПродукцииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает для переданного документа таблицу его товаров, являющихся маркируемой продукцией требуемого вида.
//
//Параметры:
//  Контекст - ФормаКлиентскогоПриложения, ДокументСсылка - документ, маркируемую продукцию которого необходимо получить.
//  ВидМаркируемойПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид получаемой маркируемой продукции.
//  Сценарий - Число - номер сценария проверки.
//  ПараметрыСканирования - Неопределено, Структура - параметры сканирования.
// Возвращаемое значение:
//  ТаблицаЗначений - таблица с подобранной продукцией переданного документа:
//   * GTIN           - ОпределяемыйТип.GTIN                       - штрихкод
//   * Номенклатура   - ОпределяемыйТип.Номенклатура               - номенклатура
//   * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика
//   * Серия          - ОпределяемыйТип.СерияНоменклатуры          - серия
//   * Количество     - Число                                      - количество.
//
Функция ТаблицаМаркируемойПродукцииДокумента(Контекст, ВидМаркируемойПродукции, Сценарий = 0, ПараметрыСканирования = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ТаблицаМаркируемойПродукцииДокумента(Контекст, ВидМаркируемойПродукции, Сценарий, ПараметрыСканирования);
```
</details>

## ДанныеРезультатовПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеРезультатовПроверки(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ДанныеРезультатовПроверки(Форма) 
```
</details>

## ШтрихкодТекущейПроверяемойУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШтрихкодТекущейПроверяемойУпаковки(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ШтрихкодТекущейПроверяемойУпаковки(Форма));
```
</details>

## РезультатыПроверкиУспешноСохранены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатыПроверкиУспешноСохранены(Форма, ВидПродукцииИС, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.РезультатыПроверкиУспешноСохранены(Форма, ВидПродукцииИС, ТекстОшибки) 
```
</details>

## ЗаполнитьРекурсивноКоличествоПоДаннымИБПоКолонкеКоличество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРекурсивноКоличествоПоДаннымИБПоКолонкеКоличество(СтрокиДерева, СтрокиДереваНаборов) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ЗаполнитьРекурсивноКоличествоПоДаннымИБПоКолонкеКоличество(СтрокиДерева, СтрокиДереваНаборов) 
```
</details>

## ЕстьПравоДобавлениеСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьПравоДобавлениеСерий() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ЕстьПравоДобавлениеСерий() 
```
</details>

## ДополнитьТаблицуШтрихкодовКолонкамиЧастичногоВыбытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьТаблицуШтрихкодовКолонкамиЧастичногоВыбытия(Таблица) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ДополнитьТаблицуШтрихкодовКолонкамиЧастичногоВыбытия(Таблица) 
```
</details>

## ЕстьМаркируемаяПродукцияВКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьМаркируемаяПродукцияВКоллекции(ТабличнаяЧастьТовары, ВидМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ЕстьМаркируемаяПродукцияВКоллекции(ТабличнаяЧастьТовары, ВидМаркируемойПродукции) 
```
</details>

## КонтрагентНеРезидент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КонтрагентНеРезидент(Контрагент) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.КонтрагентНеРезидент(Контрагент) 
```
</details>

## ДополнитьGTINПодобраннойПродукцииПоМаркируемымТоварам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьGTINПодобраннойПродукцииПоМаркируемымТоварам(ДанныеДокумента, МаркированныеТовары) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ДополнитьGTINПодобраннойПродукцииПоМаркируемымТоварам(ДанныеДокумента, МаркированныеТовары) 
```
</details>

## ПриОчисткеСопоставленияМаркированнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОчисткеСопоставленияМаркированнойПродукции(Форма, ИдентификаторыДереваМаркированнойПродукции, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ПриОчисткеСопоставленияМаркированнойПродукции(Форма, ИдентификаторыДереваМаркированнойПродукции, КэшированныеЗначения) 
```
</details>

## ВидПродукцииРодительный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидПродукцииРодительный(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ВидПродукцииРодительный(ВидПродукции) 
```
</details>

## ВидПродукцииВинительный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидПродукцииВинительный(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ВидПродукцииВинительный(ВидПродукции) 
```
</details>

## ОбработатьИзменениеНоменклатурыВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьИзменениеНоменклатурыВСтроке(Форма, СтрокаАгрегатор, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ОбработатьИзменениеНоменклатурыВСтроке(Форма, СтрокаАгрегатор, КэшированныеЗначения) 
```
</details>

## ОбработатьИзменениеКоличестваВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьИзменениеКоличестваВСтроке(Форма, СтрокаАгрегатор, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ОбработатьИзменениеКоличестваВСтроке(Форма, СтрокаАгрегатор, КэшированныеЗначения) 
```
</details>

## ДанныеНоменклатурыПоДаннымУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеНоменклатурыПоДаннымУПД(Документ, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ДанныеНоменклатурыПоДаннымУПД(Документ, ВидПродукции) 
```
</details>

## ПроверитьДанныеУПДНаНаличиеОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьДанныеУПДНаНаличиеОшибок(ДанныеДокумента, ДанныеНоменклатурыПоДаннымУПД) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ПроверитьДанныеУПДНаНаличиеОшибок(ДанныеДокумента, ДанныеНоменклатурыПоДаннымУПД) 
```
</details>

## ВывестиИнформациюОПроблемахУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВывестиИнформациюОПроблемахУПД(ОшибкиПоУПД, ВидПродукции, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ВывестиИнформациюОПроблемахУПД(ОшибкиПоУПД, ВидПродукции, УникальныйИдентификаторФормы) 
```
</details>

## СохраненнаяДетализацияСтруктурыХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сохраненную в хранилище настроек данных форм детализацию отображения структуры упаковок в формах проверки и подбора ИСМП.
//
// Параметры:
// 	РежимПодбораСуществующихУпаковок - Булево - признак работы со штрихкодами упаковок, имеющимися в информационной базе.
// Возвращаемое значение:
// 	ПеречислениеСсылка.ДетализацияСтруктурыХраненияИС - сохраненная детализация отображения структуры упаковок
Функция СохраненнаяДетализацияСтруктурыХранения(РежимПодбораСуществующихУпаковок) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.СохраненнаяДетализацияСтруктурыХранения(РежимПодбораСуществующихУпаковок) 
```
</details>

## СохранитьДетализациюСтруктурыХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет в хранилище настроек данных форм детализацию отображения структуры упаковок в формах проверки и подбора ИСМП.
//
// Параметры:
// 	СохраняемыеНастройки - Структура - сохраняемые настройки структуры хранения.
Процедура СохранитьДетализациюСтруктурыХранения(СохраняемыеНастройки) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.СохранитьДетализациюСтруктурыХранения(СохраняемыеНастройки) 
```
</details>

## ДетализацияСтруктурыХраненияИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет конвертацию детализации структуры хранения
//
// Параметры:
// 	ДетализацияСтруктурыХранения - ПеречислениеСсылка.ДетализацияСтруктурыХраненияТабачнойПродукцииМОТП,
// 	                               ПеречислениеСсылка.ДетализацияСтруктурыХраненияПродукцииИСМП,
// 	                               ПеречислениеСсылка.ДетализацияСтруктурыХраненияИС - Старая детализация
// Возвращаемое значение:
// 	ПеречислениеСсылка.ДетализацияСтруктурыХраненияИС - Новая детализация
Функция ДетализацияСтруктурыХраненияИС(ДетализацияСтруктурыХранения) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ДетализацияСтруктурыХраненияИС(ДетализацияСтруктурыХранения) 
```
</details>

## ПрерватьОбработкуЗагрузкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПрерватьОбработкуЗагрузкиДанных(ДанныеДокумента, ПараметрыСканирования, ДанныеНоменклатурыПоДаннымУПД, РезультатПолученияДанных, ВосстановлениеДетализацииТребуетОбращенияКСервису) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМП.ПрерватьОбработкуЗагрузкиДанных(ДанныеДокумента, ПараметрыСканирования, ДанныеНоменклатурыПоДаннымУПД, РезультатПолученияДанных, ВосстановлениеДетализацииТребуетОбращенияКСервису) 
```
</details>

## ПроверитьКоэффициентыУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьКоэффициентыУпаковок(СтрокаДерева, УточнениеКоэффициентовУпаковок, ДанныеGTIN, ДанныеДокумента) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ПроверитьКоэффициентыУпаковок(СтрокаДерева, УточнениеКоэффициентовУпаковок, ДанныеGTIN, ДанныеДокумента));
```
</details>

## ОбработкаСтрокиЧастичногоВыбытияПриВосстановленииДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаСтрокиЧастичногоВыбытияПриВосстановленииДанных(СтрокаПриемника, СтрокаИсточника, ПараметрыСканирования, ВидПродукции) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМП.ОбработкаСтрокиЧастичногоВыбытияПриВосстановленииДанных(СтрокаПриемника, СтрокаИсточника, ПараметрыСканирования, ВидПродукции) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
