---
title: Проверка и подбор продукции ИСМП вызов сервера
slug: erp-uh/проверка-и-подбор-продукции-исмп-вызов-сервера
---


## ВозобновитьПроверкуПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВозобновитьПроверкуПоДокументу(ДокументСсылка, ВидМаркируемойПродукции, Сценарий) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПВызовСервера.ВозобновитьПроверкуПоДокументу(ДокументСсылка, ВидМаркируемойПродукции, Сценарий) 
```
</details>

## ПересчитатьХешСуммыВсехУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные по хеш суммам для переданных упаковок. Возвращает таблицу с идентификаторами строк, требующих перемаркировки
//
// Параметры:
//	СтрокиДерева - Массив - содержит структуры с данными упаковок, для которых требуется получить хеш сумму:
//		* ИдентификаторСтроки - Число - идентификатор строки дерева маркируемой продукции
//		* ТипУпаковки - ПеречислениеСсылка.ТипыУпаковок - тип упаковки строки дерева маркируемой продукции
//		* СтатусПроверки - ПеречислениеСсылка.СтатусыПроверкиИПодбораИС - статус проверки строки дерева маркируемой продукции
//		* Штрихкод - Строка - значение штрихкода строки дерева маркируемой продукции
//		* ХешСумма - Строка - рассчитываемая хешсумма строки дерева маркируемой продукции
//		* ПодчиненныеСтроки - Массив - дочерние строки строки дерева маркируемой продукции
//	ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования
//
// Возвращаемое значение:
//	Массив Из Структура - содержит структуры с данными строк, для которых требуется перемаркировка
//		* ИдентификаторВДереве - Число - идентификатор строки дерева маркируемой продукции
//		* ТребуетсяПеремаркировка - Булево - признак необходимости перемаркировки
//
Функция ПересчитатьХешСуммыВсехУпаковок(СтрокиДерева, ПараметрыСканирования = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПВызовСервера.ПересчитатьХешСуммыВсехУпаковок(СтрокиДерева, ПараметрыСканирования);
```
</details>

## СохранитьПолныйКодМаркировкиВПулПриСканированииСуществующего
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьПолныйКодМаркировкиВПулПриСканированииСуществующего(ДанныеШтрихкода, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМПВызовСервера.СохранитьПолныйКодМаркировкиВПулПриСканированииСуществующего(ДанныеШтрихкода, ПараметрыСканирования) 
```
</details>

## КомплектующиеНаборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КомплектующиеНаборов(НоменклатураНабора, ХарактеристикаНабора, GTIN) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПВызовСервера.КомплектующиеНаборов(НоменклатураНабора, ХарактеристикаНабора, GTIN) 
```
</details>

## ВесПоGTIN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВесПоGTIN(СписокGTIN, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПВызовСервера.ВесПоGTIN(СписокGTIN, ПараметрыСканирования) 
```
</details>

## ДанныеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеНоменклатуры(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПВызовСервера.ДанныеНоменклатуры(Номенклатура) 
```
</details>

## КоличествоПотребительскихУпаковокПоGTIN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоПотребительскихУпаковокПоGTIN(ДанныеДляРасчетаПоGTIN, ВидМаркируемойПродукции, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПВызовСервера.КоличествоПотребительскихУпаковокПоGTIN(ДанныеДляРасчетаПоGTIN, ВидМаркируемойПродукции, ПараметрыСканирования) 
```
</details>

## СписокGTINПоДаннымВиртуальногоБаланса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СписокGTINПоДаннымВиртуальногоБаланса(Организация, ВидПродукции, МассивGTIN) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПВызовСервера.СписокGTINПоДаннымВиртуальногоБаланса(Организация, ВидПродукции, МассивGTIN) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
