---
title: Проверка и подбор продукции ИСМП клиент
slug: erp-uh/проверка-и-подбор-продукции-исмп-клиент
---


## ВозобновитьПроверку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выполнении команды "ВозобновитьПроверку" из форм прикладных документов
//   в конфигурации - потребителе библиотеки ГосИС.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма прикладного документа, в который встраивается функциональность библиотеки ГосИС.
//  ВидМаркируемойПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид маркируемой продукции для возобновления проверки.
//  ПараметрыУказанияСерий - Произвольный - параметры указания серий источника для корректного отображения серий.
//  Сценарий - Число - сценарий точки вызова
//
Процедура ВозобновитьПроверку(Форма, ВидМаркируемойПродукции, ПараметрыУказанияСерий, Сценарий = 0) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМПКлиент.ВозобновитьПроверку(Форма, ВидМаркируемойПродукции, ПараметрыУказанияСерий, Сценарий);
```
</details>

## ОткрытьФормуПроверкиИПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму проверки и подбора маркируемой продукции
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Источник события
//  ВидМаркируемойПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции.
//  ПараметрыУказанияСерий - Произвольный - параметры указания серий источника для корректного отображения серий.
//  Сценарий - Число - сценарий точки вызова
//
Процедура ОткрытьФормуПроверкиИПодбора(Форма, ВидМаркируемойПродукции, ПараметрыУказанияСерий, Сценарий = 0) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМПКлиент.ОткрытьФормуПроверкиИПодбора(Форма, ВидМаркируемойПродукции, ПараметрыУказанияСерий, Сценарий);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
