---
title: Проверка и подбор продукции ИСМП УТ
slug: erp-uh/проверка-и-подбор-продукции-исмп-ут
---


## ЕстьМаркируемаяПродукцияВКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для определения факта наличия в данных документа номенклатуры, являющейся маркируемой продукцией.
//
// Параметры:
//  Коллекция                - ДанныеФормыКоллекция - состав номенклатуры документа
//  ВидМаркируемойПродукции  - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции, наличие которой необходимо определить.
//  ЕстьМаркируемаяПродукция - Булево - признак наличия маркируемой продукции.
//
Процедура ЕстьМаркируемаяПродукцияВКоллекции(Коллекция, ВидМаркируемойПродукции, ЕстьМаркируемаяПродукция) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМПУТ.ЕстьМаркируемаяПродукцияВКоллекции(Коллекция, ВидМаркируемойПродукции, ЕстьМаркируемаяПродукция) 
```
</details>

## ЗаполнитьМаркируемуюПродукциюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет переданную таблицу товарами переданного документа, являющимися маркируемой продукцией требуемого вида.
//   Если таблица заполнена - дополняет ее значениями GTIN.
//
// Параметры:
//  Контекст - ДанныеФормыСтруктура, ФормаКлиентскогоПриложения, ДокументСсылка - документ, маркируемую продукцию которого необходимо получить.
//  ВидМаркируемойПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид маркируемой продукции, которую необходимо получить.
//  ТаблицаМаркируемойПродукции - ТаблицаЗначений - таблица маркируемой продукции документа. (См. ПроверкаИПодборПродукцииИСМП.ТаблицаМаркируемойПродукцииДокумента())
//
Процедура ЗаполнитьМаркируемуюПродукциюДокумента(Контекст, ВидМаркируемойПродукции, ТаблицаМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМПУТ.ЗаполнитьМаркируемуюПродукциюДокумента(Контекст, ВидМаркируемойПродукции, ТаблицаМаркируемойПродукции) 
```
</details>

## ЗаполнитьСлужебныеРеквизитыВКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет в табличной части служебные реквизиты, например: признак использования характеристик номенклатуры.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//  ТабличнаяЧасть - ДанныеФормыКоллекция, ТаблицаЗначений - таблица для заполнения.
//
Процедура ЗаполнитьСлужебныеРеквизитыВКоллекции(Форма, ТабличнаяЧасть) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМПУТ.ЗаполнитьСлужебныеРеквизитыВКоллекции(Форма, ТабличнаяЧасть) 
```
</details>

## АдресДанныхПроверкиМаркируемойПродукцииЧекККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АдресДанныхПроверкиМаркируемойПродукцииЧекККМ(ПараметрыСканирования, Объект, УникальныйИдентификатор, ВидМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПУТ.АдресДанныхПроверкиМаркируемойПродукцииЧекККМ(ПараметрыСканирования, Объект, УникальныйИдентификатор, ВидМаркируемойПродукции) 
```
</details>

## ПриЗакрытииФормыПроверкиИПодбораВФормеРМК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗакрытииФормыПроверкиИПодбораВФормеРМК(Форма, Результат, ВидПродукцииИС) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМПУТ.ПриЗакрытииФормыПроверкиИПодбораВФормеРМК(Форма, Результат, ВидПродукцииИС) 
```
</details>

## КонтрагентНеРезидент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Контрагент не резидент.
//
// Параметры:
//  Контрагент - СправочникСсылка.Контрагенты - Контрагент
//
// Возвращаемое значение:
//  Булево - Контрагент не резидент
Функция КонтрагентНеРезидент(Контрагент) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПУТ.КонтрагентНеРезидент(Контрагент) 
```
</details>

## НастройкиИсточникаКешаЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НастройкиИсточникаКешаЧека() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПУТ.НастройкиИсточникаКешаЧека() 
```
</details>

## НастройкиИсточникаКешаРасходногоОрдера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НастройкиИсточникаКешаРасходногоОрдера() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПУТ.НастройкиИсточникаКешаРасходногоОрдера() 
```
</details>

## ЗаполнитьСтатусыУказанияСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для расчета статусов указания серий во всех строках таблицы товаров
// см. НоменклатураСервер.ЗаполнитьСтатусыУказанияСерий
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - форма с таблицей товаров
//  ПараметрыУказанияСерий - Структура - параметры указания серий
//
Процедура ЗаполнитьСтатусыУказанияСерий(Форма, ПараметрыУказанияСерий) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМПУТ.ЗаполнитьСтатусыУказанияСерий(Форма, ПараметрыУказанияСерий) 
```
</details>

## ОпределитьПравоДобавлениеСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает через параметр наличие права на добавление элементов справочника СерииНоменклатуры
//
// Параметры:
// 	ПравоДобавлениеСерий - Булево - исходящий, наличие права на добавление.
//
Процедура ОпределитьПравоДобавлениеСерий(ПравоДобавлениеСерий) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииИСМПУТ.ОпределитьПравоДобавлениеСерий(ПравоДобавлениеСерий) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
