---
title: Проверка и подбор продукции ИСМП УТ вызов сервера
slug: erp-uh/проверка-и-подбор-продукции-исмп-ут-вызов-сервера
---


## АдресДанныхПроверкиМаркируемойПродукцииЧекККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АдресДанныхПроверкиМаркируемойПродукцииЧекККМ(ПараметрыСканирования, Знач Объект, УникальныйИдентификатор, ВидМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПУТВызовСервера.АдресДанныхПроверкиМаркируемойПродукцииЧекККМ(ПараметрыСканирования, Объект, УникальныйИдентификатор, ВидМаркируемойПродукции) 
```
</details>

## ИспользоватьОрдернуюСхемуПриПоступлении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Использовать ордерную схему при поступлении.
//
// Параметры:
//  Склад - СправочникСсылка.Склады -
//  Дата - Неопределено, Дата -
//  МожетБытьГруппа - Булево - Может быть группа
//
// Возвращаемое значение:
//  Булево, Произвольный - Использовать ордерную схему при поступлении
Функция ИспользоватьОрдернуюСхемуПриПоступлении(Склад, Дата = Неопределено, МожетБытьГруппа = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПУТВызовСервера.ИспользоватьОрдернуюСхемуПриПоступлении(Склад, Дата, МожетБытьГруппа);
```
</details>

## ИспользоватьОрдернуюСхемуПриОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Использовать ордерную схему при отгрузке.
//
// Параметры:
//  Склад - СправочникСсылка.Склады -
//  Дата - Неопределено, Дата -
//
// Возвращаемое значение:
//  Булево, Произвольный - Использовать ордерную схему при отгрузке
Функция ИспользоватьОрдернуюСхемуПриОтгрузке(Склад, Дата = Неопределено, МожетБытьГруппа = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПУТВызовСервера.ИспользоватьОрдернуюСхемуПриОтгрузке(Склад, Дата, МожетБытьГруппа);
```
</details>

## КодыМаркировкиПоОрдерам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить данные по фактически обработанным маркам
//
// Параметры:
// ПроверяемыйДокумент - ДокументСсылка - распоряжение ордеров.
// Возвращаемое значение:
// Структура:
//	*Успешно - Булево
//	*Штрихкоды - см. ЗаполнитьТаблицуШтрихКодовДляЗагрузки.Штрихкоды
//	*ТекстОшибки - Строка
Функция КодыМаркировкиПоОрдерам(ПроверяемыйДокумент) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПУТВызовСервера.КодыМаркировкиПоОрдерам(ПроверяемыйДокумент) 
```
</details>

## СкладГруппыСОбщейПолитикойУчетаСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Склад группы с общей политикой учета серий.
//
// Параметры:
//  ГруппаСкладов - СправочникСсылка.Склады - Группа складов
//  ВидМаркируемойПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид маркируемой продукции
//
// Возвращаемое значение:
//  СправочникСсылка.Склады - склад из указанной группы складов, если по складам группы
//   по маркируемой продукции указанного вида нет особенностей настроек серий
Функция СкладГруппыСОбщейПолитикойУчетаСерий(ГруппаСкладов, ВидМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииИСМПУТВызовСервера.СкладГруппыСОбщейПолитикойУчетаСерий(ГруппаСкладов, ВидМаркируемойПродукции) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
