---
title: Проверка и подбор продукции МОТП клиент сервер
slug: erp-uh/проверка-и-подбор-продукции-мотп-клиент-сервер
---


## ПересчитатьИтогиПоПроверкеСодержимогоУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает итоги по проверке содержимого для всех упаковок дерева.
//
// Параметры:
// 	ДеревоМаркированнойПродукции - ДанныеФормыДерево - дерево формы, с данными проверяемой маркируемой продукции.
//
Процедура ПересчитатьИтогиПоПроверкеСодержимогоУпаковок(ДеревоМаркированнойПродукции) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ПересчитатьИтогиПоПроверкеСодержимогоУпаковок(ДеревоМаркированнойПродукции) 
```
</details>

## ПересчитатьИтогиПоПроверкеСодержимогоУпаковкиПриИзмененииСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает итоги по проверке содержимого упаковки для всех родительских строк
// переданной строки дерева маркируемой продукции.
//
// Параметры:
//  СтрокаДерева - ДанныеФормыЭлементДерева - строка дерева, содержащая данные упаковки.
//  ЗагрузкаДанныхТСД - Произвольный - Загрузка данных ТСД
Процедура ПересчитатьИтогиПоПроверкеСодержимогоУпаковкиПриИзмененииСтроки(СтрокаДерева, ЗагрузкаДанныхТСД = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ПересчитатьИтогиПоПроверкеСодержимогоУпаковкиПриИзмененииСтроки(СтрокаДерева, ЗагрузкаДанныхТСД);
```
</details>

## ПересчитатьИтогиПоПроверкеСодержимогоУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает итоги по проверке содержимого упаковки для строки дерева маркируемой продукции.
//
// Параметры:
//  СтрокаДерева             - ДанныеФормыЭлементДерева - строка дерева, содержащая данные упаковки.
//  ПересчитыватьПодчиненные - Булево - признак необходимости пересчета подчиненных упаковок.
//  ЗагрузкаДанныхТСД - Произвольный - Загрузка данных ТСД
Процедура ПересчитатьИтогиПоПроверкеСодержимогоУпаковки(СтрокаДерева, ПересчитыватьПодчиненные, ЗагрузкаДанныхТСД = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ПересчитатьИтогиПоПроверкеСодержимогоУпаковки(СтрокаДерева, ПересчитыватьПодчиненные, ЗагрузкаДанныхТСД);
```
</details>

## УстановитьИндексКартинкиТипаУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет индекс картинки типа упаковки для строки дерева маркируемой продукции.
//
// Параметры:
// 	ТекущаяСтрока - ДанныеФормыЭлементДерева - строка дерева, содержащая данные упаковки или маркируемой продукции.
//
Процедура УстановитьИндексКартинкиТипаУпаковки(ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.УстановитьИндексКартинкиТипаУпаковки(ТекущаяСтрока) 
```
</details>

## СформироватьПредставлениеПроверкиПодчиненных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление итогов по проверки содержимого для строки дерева, содержащего данные упаковки.
//
// Параметры:
// 	ТекущаяСтрока - ДанныеФормыЭлементДерева - - строка дерева, содержащая данные упаковки.
//
Процедура СформироватьПредставлениеПроверкиПодчиненных(ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.СформироватьПредставлениеПроверкиПодчиненных(ТекущаяСтрока) 
```
</details>

## СформироватьПредставлениеСодержимогоУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление содержимого для строки дерева, содержащего данные упаковки.
//
// Параметры:
// 	ТекущаяСтрока - ДанныеФормыЭлементДерева - - строка дерева, содержащая данные упаковки.
//
Процедура СформироватьПредставлениеСодержимогоУпаковки(ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.СформироватьПредставлениеСодержимогоУпаковки(ТекущаяСтрока) 
```
</details>

## ПроверитьДопустимостьКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует признак допустимости и представление проверки данных МОТП для строки дерева, содержащего данные упаковки.
//
// Параметры:
//  ТекущаяСтрока - ДанныеФормыЭлементДерева, СтрокаДереваЗначений - строка дерева, содержащая данные упаковки.
//  ПараметрыПроверкиКодовМаркировки - Структура - со свойствами:
//  * ЗапрашиватьДанныеСервиса - Булево - Признак включенной опции запроса данных сервиса
//  * КонтролироватьСтатусыКодовМаркировки - Булево - Признак необходимости временного отключения контроля статусов кодов маркировки
//  * ПроверятьПотребительскиеУпаковкиНаВхождениеВСеруюЗонуМОТП - Булево - Признак необходимости проверки вхождения кодов в серую зону МОТП
//  * ДопустимыеСтатусыКодовМаркировки - Массив Из ПеречислениеСсылка.СтатусыКодовМаркировкиМОТП - допустимые статусы кода маркировки для текущей хоз.операции
//  * ДатаПроизводстваНачалаКонтроляСтатусовКодовМаркировкиМОТП - Дата - Дата производства, начиная с которой выполняется контроль статусов кода маркировки
//  * ИННВладельца - Строка - ИНН владельца кода маркировки по данным ИС МОТП
//  * КонтролироватьВложенностьУпаковок - Булево - Признак необходимости проверить допустимые типы вложений согласно ограничения СУЗ API.
//  * ДопустимыеВложенияАгрегатов - Соответствие Из ПеречислениеСсылка - найстройки для котроля вложенности упаковок.
//  РежимПодбораСуществующихУпаковок - Булево - режим подбора существующих упаковок
//  ЕстьПодчиненныеСтроки - Булево, Неопределено - явное указание наличия подчиненных строк
Процедура ПроверитьДопустимостьКодаМаркировки(ТекущаяСтрока, ПараметрыПроверкиКодовМаркировки, РежимПодбораСуществующихУпаковок = Истина, ЕстьПодчиненныеСтроки = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ПроверитьДопустимостьКодаМаркировки(ТекущаяСтрока, ПараметрыПроверкиКодовМаркировки, РежимПодбораСуществующихУпаковок, ЕстьПодчиненныеСтроки);
```
</details>

## ДопустимыеВложенияАгрегатовПоВидамПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДопустимыеВложенияАгрегатовПоВидамПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииМОТПКлиентСервер.ДопустимыеВложенияАгрегатовПоВидамПродукции() 
```
</details>

## ПроверитьДопустимуюВложенностьУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьДопустимуюВложенностьУпаковок(ТекущаяСтрока, ПараметрыПроверкиКодовМаркировки) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ПроверитьДопустимуюВложенностьУпаковок(ТекущаяСтрока, ПараметрыПроверкиКодовМаркировки) 
```
</details>

## ПроверитьСоставАгрегата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСоставАгрегата(ТекущаяСтрока, ПараметрыПроверкиКодовМаркировки) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ПроверитьСоставАгрегата(ТекущаяСтрока, ПараметрыПроверкиКодовМаркировки) 
```
</details>

## ПроверитьДопустимостьВложенияАгрегата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьДопустимостьВложенияАгрегата(ТекущаяСтрока, ПараметрыПроверкиКодовМаркировки) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ПроверитьДопустимостьВложенияАгрегата(ТекущаяСтрока, ПараметрыПроверкиКодовМаркировки) 
```
</details>

## ОтобразитьИнформациюОНеобходимостиПеремаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и отображает на форме информационную надпись о необходимости перемаркировки.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма проверки и подбора, для которой формируется надпись.
//
Процедура ОтобразитьИнформациюОНеобходимостиПеремаркировки(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ОтобразитьИнформациюОНеобходимостиПеремаркировки(Форма) 
```
</details>

## ПроверитьНеобходимостьПеремаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьНеобходимостьПеремаркировки(Форма, ТаблицаПеремаркировки, ЭтоВыборочнаяПроверка) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ПроверитьНеобходимостьПеремаркировки(Форма, ТаблицаПеремаркировки, ЭтоВыборочнаяПроверка) 
```
</details>

## УстановитьОтборТребуетсяПеремаркировкаВСтрокеДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОтборТребуетсяПеремаркировкаВСтрокеДерева(СтрокаДерева, СоответствуетОтбору) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.УстановитьОтборТребуетсяПеремаркировкаВСтрокеДерева(СтрокаДерева, СоответствуетОтбору) 
```
</details>

## ЗаголовокТребуетсяПеремаркировка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаголовокТребуетсяПеремаркировка(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииМОТПКлиентСервер.ЗаголовокТребуетсяПеремаркировка(Форма) 
```
</details>

## ЗаполнитьСтрокуПачкиБезБлока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтрокуПачкиБезБлока(ТекущаяСтрока, ВидПродукции) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ЗаполнитьСтрокуПачкиБезБлока(ТекущаяСтрока, ВидПродукции) 
```
</details>

## ЗаполнитьСтрокуБлокиБезКоробки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтрокуБлокиБезКоробки(ТекущаяСтрока, ВидПродукции) Экспорт
```

Пример вызова
```bsl
ПроверкаИПодборПродукцииМОТПКлиентСервер.ЗаполнитьСтрокуБлокиБезКоробки(ТекущаяСтрока, ВидПродукции) 
```
</details>

## ЭтоУпаковкаБлока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоУпаковкаБлока(ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииМОТПКлиентСервер.ЭтоУпаковкаБлока(ТекущаяСтрока) 
```
</details>

## ЭтоУпаковкаНабор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоУпаковкаНабор(ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаИПодборПродукцииМОТПКлиентСервер.ЭтоУпаковкаНабор(ТекущаяСтрока) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
