---
title: Проверка контрагентов БРО переопределяемый
slug: erp-uh/проверка-контрагентов-бро-переопределяемый
---


## ПриСозданииНаСервереДекларацияПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Действия при создании на сервере декларация по НДС:
//		- Инициализируются реквизиты проверки контрагентов.
//		- Управляется видимостью и свойствами элементов формы, относящихся к проверке.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Форма декларации по НДС с 2015 г.
//  СтандартнаяОбработка - Булево - Если истина, то выполняется стандартная процедура.
//		Значение по умолчанию - Истина.
Процедура ПриСозданииНаСервереДекларацияПоНДС(Форма, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовБРОПереопределяемый.ПриСозданииНаСервереДекларацияПоНДС(Форма, СтандартнаяОбработка) 
```
</details>

## ЕстьПравоНаИспользованиеПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет наличие права на использование проверки контрагентов.
//
// Параметры:
//  Результат - Булево - наличие права на использование проверки контрагентов.
//  СтандартнаяОбработка - Булево - Если истина, то выполняется стандартная процедура.
Процедура ЕстьПравоНаИспользованиеПроверки(Результат, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовБРОПереопределяемый.ЕстьПравоНаИспользованиеПроверки(Результат, СтандартнаяОбработка) 
```
</details>

## ЕстьПравоНаРедактированиеНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет наличие права на включение проверки контрагентов.
//
// Параметры:
//  Результат - Булево - наличие права на включение проверки контрагентов.
//  СтандартнаяОбработка - Булево - Если истина, то выполняется стандартная процедура.
Процедура ЕстьПравоНаРедактированиеНастроек(Результат, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовБРОПереопределяемый.ЕстьПравоНаРедактированиеНастроек(Результат, СтандартнаяОбработка) 
```
</details>

## ЕстьДоступКВебСервисуФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие доступа к веб-сервису ФНС.
//
// Параметры:
//  Результат - Булево - наличие доступа к веб-сервису ФНС.
//  СтандартнаяОбработка - Булево - Если истина, то выполняется стандартная процедура.
Процедура ЕстьДоступКВебСервисуФНС(Результат, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовБРОПереопределяемый.ЕстьДоступКВебСервисуФНС(Результат, СтандартнаяОбработка) 
```
</details>

## ПроверкаКонтрагентовВключена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает, включена ли проверка контрагентов.
//
// Параметры:
//  Результат - Булево - Значение константы ИспользоватьПроверкуКонтрагентов - включена ли проверка контрагентов в базе.
//  СтандартнаяОбработка - Булево - Если истина, то выполняется стандартная процедура.
Процедура ПроверкаКонтрагентовВключена(Результат, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовБРОПереопределяемый.ПроверкаКонтрагентовВключена(Результат, СтандартнаяОбработка) 
```
</details>

## СостоянияНедействующегоКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перечень состояний недействующего контрагента.
//
// Параметры:
//  ДополнятьСостояниемСОшибкой	 - Булево - Если Истина, то контрагент с ошибкой считается действующим.
//  ДополнятьПустымСостоянием	 - Булево - Если Истина, то контрагент с пустым состоянием считается действующим.
//  Результат - Массив - Состояния контрагента, при которых он является действующим.
//  СтандартнаяОбработка - Булево - Если истина, то выполняется стандартная процедура.
Процедура СостоянияНедействующегоКонтрагента(ДополнятьСостояниемСОшибкой = Ложь, ДополнятьПустымСостоянием = Ложь, Результат, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовБРОПереопределяемый.СостоянияНедействующегоКонтрагента(ДополнятьСостояниемСОшибкой, ДополнятьПустымСостоянием, Результат, СтандартнаяОбработка) 
```
</details>

## СсылкаНаИнструкцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ссылка на инструкцию по проверке контрагентов.
//
// Параметры:
//  Результат - ФорматированнаяСтрока - Ссылка на инструкцию.
//  СтандартнаяОбработка - Булево - Если истина, то выполняется стандартная процедура.
Процедура СсылкаНаИнструкцию(Результат, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовБРОПереопределяемый.СсылкаНаИнструкцию(Результат, СтандартнаяОбработка) 
```
</details>

## ВключитьВыключитьПроверкуКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Включение или отключение использования сервиса путем установки значения константе
//             ИспользоватьПроверкуКонтрагентов.
//
// Параметры:
//  ИспользоватьСервис	 - Булево - Истина, чтобы включить использование сервиса. Ложь - чтобы отключить.
//  СтандартнаяОбработка - Булево - Если истина, то выполняется стандартная процедура.
Процедура ВключитьВыключитьПроверкуКонтрагентов(ВключитьПроверку, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовБРОПереопределяемый.ВключитьВыключитьПроверкуКонтрагентов(ВключитьПроверку, СтандартнаяОбработка) 
```
</details>

## ПроверитьКонтрагентовПослеВключенияПроверкиФоновоеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Запуск фонового задания по проверке контрагентов после
//			   включения проверки в предложении на подключение или из настроек.
Процедура ПроверитьКонтрагентовПослеВключенияПроверкиФоновоеЗадание(СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовБРОПереопределяемый.ПроверитьКонтрагентовПослеВключенияПроверкиФоновоеЗадание(СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
