---
title: Проверка контрагентов вызов сервера
slug: erp-uh/проверка-контрагентов-вызов-сервера
---


## ПроверитьКонтрагентаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запуск фонового задания по проверке контрагента в карточке контрагента.
//	Запускается при редактировании реквизитов внутри карточки контрагента.
//
// Параметры:
//  ПараметрыЗапуска - Структура - Параметры запуска фонового задания. Ключи:
//		"Контрагент"
//		"ИНН"
//		"КПП"
//		"СохранятьРезультатСразуПослеПроверки"
//		"АдресХранилища"
Процедура ПроверитьКонтрагентаПриИзменении(Знач ПараметрыЗапуска) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовВызовСервера.ПроверитьКонтрагентаПриИзменении(ПараметрыЗапуска) 
```
</details>

## ЗаданиеВыполнено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, завершилось ли фоновое задание.
//
// Параметры:
//  ИдентификаторЗадания - УникальныйИдентификатор - Идентификатор фонового задания по проверке контрагента.
// Возвращаемое значение:
//  Булево - Истина, если фоновое задание завершилось.
//
Функция ЗаданиеВыполнено(Знач ИдентификаторЗадания) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовВызовСервера.ЗаданиеВыполнено(ИдентификаторЗадания) 
```
</details>

## ЦветаРезультатовПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение цветов выделения результатов проверки контрагентов.
//
// Возвращаемое значение:
//  Структура - Имена ключей - это названия цветов, которые необходимо определить.
// 		Список ключей см ПроверкаКонтрагентов.ЦветаРезультатовПроверки().
Функция ЦветаРезультатовПроверки() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовВызовСервера.ЦветаРезультатовПроверки() 
```
</details>

## ИспользованиеПроверкиВозможно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что проверка включена и есть необходимые права.
// Возвращаемое значение:
//  Булево - Истина, если есть нужные права на проверку и проверка включена.
//
Функция ИспользованиеПроверкиВозможно() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовВызовСервера.ИспользованиеПроверкиВозможно() 
```
</details>

## КонтрагентСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// На основе результата предыдущей проверки (записи в регистр) определяет,
// существует ли контрагент.
//
// Параметры:
//  КонтрагентСсылка - ОпределяемыйТип.КонтрагентБИП - Проверяемый контрагент.
//  ИНН - Строка - ИНН контрагента.
//  КПП - Строка - КПП контрагента.
// Возвращаемое значение:
//  Булево  - Истина, если контрагент существует.
//
Функция КонтрагентСуществует( Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовВызовСервера.КонтрагентСуществует();
```
</details>

## ТекущееСохраненноеСостояниеКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает состояние контрагента из регистра сведений.
//
// Параметры:
//  КонтрагентСсылка - ОпределяемыйТип.КонтрагентБИП - Проверяемый контрагент.
//  ИНН - Строка - ИНН контрагента.
//  КПП - Строка - КПП контрагента.
// Возвращаемое значение:
//  ПеречислениеСсылка.СостоянияСуществованияКонтрагента - Состояние контрагента.
//
Функция ТекущееСохраненноеСостояниеКонтрагента( Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовВызовСервера.ТекущееСохраненноеСостояниеКонтрагента();
```
</details>

## ПроверкаКонтрагентовЗавершилась
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, завершилось ли фоновое задание по проверке контрагента в карточке контрагента.
//
// Параметры:
//  ИдентификаторЗадания - УникальныйИдентификатор - Идентификатор фонового задания по проверке контрагента.
// Возвращаемое значение:
//  Булево - Истина, если фоновое задание завершилось.
//
Функция ПроверкаКонтрагентовЗавершилась(Знач ИдентификаторЗадания) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовВызовСервера.ПроверкаКонтрагентовЗавершилась(ИдентификаторЗадания) 
```
</details>

## ЗапомнитьЧтоБольшеНеНужноПоказыватьПредложениеИспользоватьСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запоминает, что больше не нужно показывать предложение использовать сервис.
//
Процедура ЗапомнитьЧтоБольшеНеНужноПоказыватьПредложениеИспользоватьСервис() Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовВызовСервера.ЗапомнитьЧтоБольшеНеНужноПоказыватьПредложениеИспользоватьСервис() 
```
</details>

## ПриВключенииВыключенииПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при включении и отключении проверки.
//
// Параметры:
//  ВключитьПроверку - Булево - Истина, если проверку необходимо включить.
//
Процедура ПриВключенииВыключенииПроверки(Знач ВключитьПроверку) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовВызовСервера.ПриВключенииВыключенииПроверки(ВключитьПроверку) 
```
</details>

## РезультатПроверкиПараметровДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Результат проверки параметров доступа к веб-сервису ФНС.
//
// Возвращаемое значение:
//  Булево - Доступ к веб-сервису ФНС по проверке контрагентов есть.
//
Функция РезультатПроверкиПараметровДоступа() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовВызовСервера.РезультатПроверкиПараметровДоступа() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
