---
title: Проверка контрагентов вызов сервера переопределяемый УТ
slug: erp-uh/проверка-контрагентов-вызов-сервера-переопределяемый-ут
---


## ПолучитьКонтрагентовСчетФактурДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает таблицу счет-фактур, созданных на основании документа
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма документ, чьи счета-фактуры будут получены.
//
// Возвращаемое значение:
//   ТаблицаЗначений, Неопределено   - таблица, содержащая данные о счет-фактурах, выписанных на основании документа.
//
Функция ПолучитьКонтрагентовСчетФактурДокумента(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовВызовСервераПереопределяемыйУТ.ПолучитьКонтрагентовСчетФактурДокумента(Форма) 
```
</details>

## ФормаДокументаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные действия, выполняемые при создании на сервере документа, в котором используется "Проверка контрагентов".
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма, для которой дополняются действия при создании на сервере.
//
Процедура ФормаДокументаПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовВызовСервераПереопределяемыйУТ.ФормаДокументаПриСозданииНаСервере(Форма) 
```
</details>

## СтруктураПараметровОформляемогоЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру описания параметров оформляемого документа
//
// Возвращаемое значение:
//   Структура   - пустая структура описания оформляемого документа.
//
Функция СтруктураПараметровОформляемогоЭлемента() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовВызовСервераПереопределяемыйУТ.СтруктураПараметровОформляемогоЭлемента() 
```
</details>

## ПриСозданииНаСервереУправлениеВидимостью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управление видимостью элементов, относящихся к проверке контрагентов в формах справочника "Контрагенты" при создании
// на сервере. Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма, для которой выполняются действия.
//
Процедура ПриСозданииНаСервереУправлениеВидимостью(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовВызовСервераПереопределяемыйУТ.ПриСозданииНаСервереУправлениеВидимостью(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
