---
title: Проверка контрагентов клиент
slug: erp-uh/проверка-контрагентов-клиент
---


## ПредложитьВключитьПроверкуКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отображение формы с предложением включить проверку контрагентов.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Форма объекта, в котором выполняется проверка контрагентов.
Процедура ПредложитьВключитьПроверкуКонтрагентов(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ПредложитьВключитьПроверкуКонтрагентов(Форма) 
```
</details>

## ПроверитьДоступКСервису
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка доступа к сервису.
Процедура ПроверитьДоступКСервису() Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ПроверитьДоступКСервису() 
```
</details>

## НастроитьПараметрыПроксиСервера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройка параметров прокси сервера.
Процедура НастроитьПараметрыПроксиСервера() Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.НастроитьПараметрыПроксиСервера() 
```
</details>

## ТекущееСостояниеКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вспомогательный API. Получает состояние контрагента из регистра сведений или из временного хранилища, если
//           передан адрес.
//
// Параметры:
//  КонтрагентСсылка - ОпределяемыйТип.КонтрагентБИП - Проверяемый контрагент.
//  ИНН				 - Строка - ИНН контрагента.
//  КПП				 - Строка - КПП контрагента.
//  АдресХранилища	 - Строка - Адрес временного хранилища, в котором может содержаться
//		результат проверки контрагента.
// Возвращаемое значение:
//  ПеречислениеСсылка.СостоянияСуществованияКонтрагента - Состояние контрагента.
//
Функция ТекущееСостояниеКонтрагента(КонтрагентСсылка, ИНН, КПП, АдресХранилища = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиент.ТекущееСостояниеКонтрагента(КонтрагентСсылка, ИНН, КПП, АдресХранилища);
```
</details>

## ОткрытьНастройкиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть настройки сервиса.
Процедура ОткрытьНастройкиСервиса() Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ОткрытьНастройкиСервиса() 
```
</details>

## ПриОткрытииДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключение обработчиков результата проверки контрагентов из формы документа.
//
// Параметры:
//  Форма						 - ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
Процедура ПриОткрытииДокумент(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ПриОткрытииДокумент(Форма) 
```
</details>

## ТаблицаФормыВыбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отображение предупреждения о причине выделения контрагента в строке таблице как некорректного.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
//  Элемент	 - ТаблицаФормы - Таблица, в которой выполнили двойное нажатие на значке с информацией о наличии
//                            некорректного контрагента.
//  Поле	 - ПолеФормы - Колонка, в которой выполнили двойное нажатие на значке с информацией о наличии некорректного
//                      контрагента.
Процедура ТаблицаФормыВыбор(Форма, Элемент, Поле) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ТаблицаФормыВыбор(Форма, Элемент, Поле) 
```
</details>

## СобытиеТребуетПроверкиКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, требует ли событие, вызванное оповещением, запуска проверки контрагентов.
//
// Параметры:
//  Форма						 - ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
//  ИмяСобытия					 - Строка - Имя события обработки оповещения.
//  Параметр					 - Произвольный - Параметр обработки оповещения.
//  Источник					 - Произвольный - Источник обработки оповещения.
// Возвращаемое значение:
//  Булево - требует ли событие, вызванное оповещением, запуска проверки контрагентов.
Функция СобытиеТребуетПроверкиКонтрагента(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиент.СобытиеТребуетПроверкиКонтрагента(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ЗапуститьПроверкуКонтрагентовВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запуск проверки контрагентов в документе после возникновения определенного события.
//
// Параметры:
//  Форма						 - ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
//  ДополнительныеПараметры		 - Дата - Дата документа, в случае если произошло изменение даты.
//								 - ТаблицаФормы - Если изменения произошли в табличной части.
//								 - ПолеФормы - Если изменился контрагент в определенном поле произошли в табличной части.
Процедура ЗапуститьПроверкуКонтрагентовВДокументе(Форма, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ЗапуститьПроверкуКонтрагентовВДокументе(Форма, ДополнительныеПараметры);
```
</details>

## ОбработатьРезультатПроверкиКонтрагентовВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка результата работы фонового задания по проверке контрагентов.
//
// Параметры:
//  Форма						 - ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
Процедура ОбработатьРезультатПроверкиКонтрагентовВДокументе(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ОбработатьРезультатПроверкиКонтрагентовВДокументе(Форма) 
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает проверку контрагента из документа, если было определено, что возникло событие,
//	требующее обновления результата проверки контрагентов.
//
// Параметры:
//  Форма						 - ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
//  ИмяСобытия					 - Строка - Имя события обработки оповещения.
//  Параметр					 - Произвольный - Параметр обработки оповещения.
//  Источник					 - Произвольный - Источник обработки оповещения.
Процедура ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПриНачалеРедактированияТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Взводит флаг, что редактируется табличная часть.
//		Если взведен флаг, то результат проверки контрагента не будет отображен до тех пор,
//		пока не завершится редактирование табличной части.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
//
Процедура ПриНачалеРедактированияТабличнойЧасти(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ПриНачалеРедактированияТабличнойЧасти(Форма) 
```
</details>

## ПриОкончанииРедактированияТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбрасывает флаг, что редактируется табличная часть.
//		Если взведен флаг, то результат проверки контрагента не будет отображен до тех пор,
//		пока не завершится редактирование табличной части.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
//
Процедура ПриОкончанииРедактированияТабличнойЧасти(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ПриОкончанииРедактированияТабличнойЧасти(Форма) 
```
</details>

## ПроверитьКонтрагентовВДокументеПоКнопке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка контрагентов по кнопке в открытом документе.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
//
Процедура ПроверитьКонтрагентовВДокументеПоКнопке(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ПроверитьКонтрагентовВДокументеПоКнопке(Форма) 
```
</details>

## ОтчетПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключение обработчика ожидания для отображения предложения на использование проверки.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Форма отчета, в котором выполняется проверка контрагентов.
Процедура ОтчетПриОткрытии(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ОтчетПриОткрытии(Форма) 
```
</details>

## ЗапуститьПроверкуКонтрагентовВОтчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запуск проверки контрагентов в отчете после первичного формирования отчета.
//
// Параметры:
//  Форма						 - ФормаКлиентскогоПриложения - Форма отчета, в котором выполняется проверка контрагентов.
Процедура ЗапуститьПроверкуКонтрагентовВОтчете(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ЗапуститьПроверкуКонтрагентовВОтчете(Форма) 
```
</details>

## ПриОткрытииКонтрагент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключение обработчиков результата проверки контрагента из карточки контрагента.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Карточка контрагента.
Процедура ПриОткрытииКонтрагент(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ПриОткрытииКонтрагент(Форма) 
```
</details>

## ЗапуститьПроверкуКонтрагентаВСправочнике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запуск проверки из карточки контрагента.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Карточка контрагента.
//
Процедура ЗапуститьПроверкуКонтрагентаВСправочнике(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ЗапуститьПроверкуКонтрагентаВСправочнике(Форма) 
```
</details>

## ОбработатьРезультатПроверкиКонтрагентовВСправочнике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка результата фонового задания по проверке контрагента из карточки контрагента.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Карточка контрагента.
Процедура ОбработатьРезультатПроверкиКонтрагентовВСправочнике(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ОбработатьРезультатПроверкиКонтрагентовВСправочнике(Форма) 
```
</details>

## ПроверитьКонтрагентаПоКнопке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка контрагента по кнопке в карточке контрагента.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Карточка контрагента.
//
Процедура ПроверитьКонтрагентаПоКнопке(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиент.ПроверитьКонтрагентаПоКнопке(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
