---
title: Проверка контрагентов клиент сервер
slug: erp-uh/проверка-контрагентов-клиент-сервер
---


## УстановитьТекстПодсказкиВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить текст подсказки в документе.
//
// Параметры:
//  ПараметрыПрорисовки	 - Структура - Описание см ПроверкаКонтрагентов.ДополнитьОписание.
//  СостояниеПроверки	 - Перечисления.СостоянияПроверкиКонтрагентов - Указывает, в каком состояние проверка:
//		завершилась, не завершилась, выполняется или отсутствует доступ к веб-сервису.
//
Процедура УстановитьТекстПодсказкиВДокументе(ПараметрыПрорисовки, СостояниеПроверки) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиентСервер.УстановитьТекстПодсказкиВДокументе(ПараметрыПрорисовки, СостояниеПроверки) 
```
</details>

## УстановитьВидПанелиПроверкиКонтрагентовВОтчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вывод панели проверки в отчете.
//
// Параметры:
//  Форма	 				- ФормаКлиентскогоПриложения - Форма отчета, для которого выводится результат проверки контрагента.
//  ВидПанелиПроверки		- Строка - Текущее состояние проверки, соответствующее виду панели,
//		может принимать одно из следующих значений:
// 			"ВсеКонтрагентыКорректные"			- Устанавливает вид панели проверки, для случая,
//				когда все контрагенты корректны.
// 			"НайденыНекорректныеКонтрагенты"	- Устанавливает вид панели проверки, для случая,
//				когда найдены некорректные контрагенты.
// 			"ПроверкаВПроцессеВыполнения"		- Устанавливает вид панели проверки, для случая,
//				когда проверка контрагента еще выполняется.
// 			"НетДоступаКСервису"				- Устанавливает вид панели проверки, для случая,
//				когда доступ к сервису проверки отсутствует.
// 			Пустая строка						- Панель проверки контрагентов не видна.
Процедура УстановитьВидПанелиПроверкиКонтрагентовВОтчете(Форма, ВидПанелиПроверки = "") Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиентСервер.УстановитьВидПанелиПроверкиКонтрагентовВОтчете(Форма, ВидПанелиПроверки);
```
</details>

## ЭтоДокументСКонтрагентомВШапке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, есть ли у формы документа контрагент в шапке.
//
// Параметры:
//  Форма	- ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
// Возвращаемое значение:
//  Булево - Истина, если это документ с контрагентом в шапке.
//
Функция ЭтоДокументСКонтрагентомВШапке(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ЭтоДокументСКонтрагентомВШапке(Форма) 
```
</details>

## ЭтоСчетФактура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли форма документа формой счета-фактуры.
//
// Параметры:
//  Источник	- Произвольный - Источник обработки оповещения.
// Возвращаемое значение:
//  Булево - Истина, если источник является счетом-фактурой.
//
Функция ЭтоСчетФактура(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ЭтоСчетФактура(Источник) 
```
</details>

## ЭтоДокументСоСчетомФактуройВПодвале
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, есть ли в форме документа счет-фактура в подвале.
//
// Параметры:
//  Форма	- ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
// Возвращаемое значение:
//  Булево - Истина, есть ли в форме документа счет-фактура в подвале есть.
//
Функция ЭтоДокументСоСчетомФактуройВПодвале(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ЭтоДокументСоСчетомФактуройВПодвале(Форма) 
```
</details>

## ЭтоДокументСКонтрагентомВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, есть ли в форме документа табличные части с контрагентами.
//
// Параметры:
//  Форма	- ФормаКлиентскогоПриложения - Форма документа, в котором выполняется проверка контрагентов.
// Возвращаемое значение:
//  Булево - Истина, есть ли в форме документа есть табличные части с контрагентами.
//
Функция ЭтоДокументСКонтрагентомВТабличнойЧасти(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ЭтоДокументСКонтрагентомВТабличнойЧасти(Форма) 
```
</details>

## ЭтоКонтрагент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли источник контрагентом.
//
// Параметры:
//  Источник - Произвольный - Источник обработки оповещения.
// Возвращаемое значение:
//  Булево - является ли источник контрагентом.
//
Функция ЭтоКонтрагент(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ЭтоКонтрагент(Источник) 
```
</details>

## ИмяПоляКартинки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя колонки с признаком, корректный ли это контрагент.
//
// Параметры:
//  ТаблицаФормы - ТаблицаФормы - Таблица формы, в которой располагается колонка с контрагентом.
// Возвращаемое значение:
//  Строка - Имя колонки с признаком, корректный ли это контрагент.
//
Функция ИмяПоляКартинки(ТаблицаФормы) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ИмяПоляКартинки(ТаблицаФормы) 
```
</details>

## ПодсказкаВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подсказка в документе.
//
// Параметры:
//  ПараметрыПрорисовки	 - Структура - Параметры прорисовки результата проверки контрагента в документе.
// 		Ключи: "КонтрагентЗаполнен", "СостояниеКонтрагента", "КонтрагентовНесколько".
//  СостояниеПроверки	 - Перечисления.СостоянияПроверкиКонтрагентов - Указывает, в каком состояние проверка:
//		завершилась, не завершилась, выполняется или отсутствует доступ к веб-сервису.
// Возвращаемое значение:
//  Структура - Данные, подготовленные для отображения в форме документа.
//		Определяет цвет и текст надписи о результате проверки.
//		Ключи: "Текст", "ЦветФона".
//
Функция ПодсказкаВДокументе(ПараметрыПрорисовки, СостояниеПроверки) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ПодсказкаВДокументе(ПараметрыПрорисовки, СостояниеПроверки) 
```
</details>

## СчетФактура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение счета-фактуры, находящегося в подвале документа-основания, чья форма передана в качестве
//           параметра.
//
// Параметры:
//  Форма		 - ФормаКлиентскогоПриложения - Форма документа-основания, для которой необходимо получить счет-фактуру.
// Возвращаемое значение:
//  ДокументСсылка - Счет-фактура, полученная для данного документа-основания.
//
Функция СчетФактура(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.СчетФактура(Форма) 
```
</details>

## ВывестиНужнуюПанельПроверкиКонтрагентовВОтчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вывод нужной панели проверки контрагентов в отчете.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Форма отчета, в котором выполняется проверка контрагентов.
//	ПроверкаИспользуетсяВРазделеОтчета - Булево - Признак того, что в текущем разделе используется
//										 		  проверка контрагентов. Если отчет не содержит разделов,
//												  то значение игнорируется.
//
Процедура ВывестиНужнуюПанельПроверкиКонтрагентовВОтчете(Форма, ПроверкаИспользуетсяВРазделеОтчета = Истина) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиентСервер.ВывестиНужнуюПанельПроверкиКонтрагентовВОтчете(Форма, ПроверкаИспользуетсяВРазделеОтчета);
```
</details>

## ПараметрыФоновогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры фонового задания.
//
// Параметры:
//  Параметр		 - Структура - Если изменения произошли в табличной части.
//		В записи с ключем ИмяТаблицы указывается ИмяТаблицы, в записи с ключем Идентификатор указывается Идентификатор
//		строки,  в которой произошло изменение контрагента или даты.
//					- Строка - Имя элемента управления формы, в случае если произошло изменение в контрагенте, находящегося в шапке.
//					- Дата - Дата документа, в случае если произошло изменение даты.
//					- ТаблицаФормы - Если изменения произошли в табличной части.
//					- ПолеФормы - Если изменился контрагент в определенном поле произошли в табличной части.
//					- ОпределяемыйТип.КонтрагентБИП - Если произошла запись контрагента и сработало оповещение.
//					- ДокументСсылка - Если произошла запись счета-фактуры и сработало оповещение.
//					- Булево - определяет, нужно ли сохранять результат проверки
//		сразу в фоновом задании или после выхода из него.
//  Результат	 - Структура - параметры фонового задания с одним или несколькими значениями, указанным ниже:
//    * ИзменившаясяТаблица - Структура - Описание таблицы:
//      ** ИмяТаблицы - Строка - Имя редактируемой таблицы.
//      ** Идентификатор - Число - Идентификатор редактируемой строки.
//    * ИзменившеесяПоле - Строка - Имя поля формы.
//    * ИзменившийсяКонтрагент - ОпределяемыйТип.КонтрагентБИП - Изменившийся контрагент.
//    * ИзменившаясяДата - Дата - Изменившаяся дата.
//    * СохранятьРезультатСразуПослеПроверки - Булево - Определяет, сохранить ли результат сразу.
//    * ИзменившийсяСчетФактура - ДокументСсылка - Изменившийся счет-фактура.
// Возвращаемое значение:
//  Структура - параметры фонового задания с одним или несколькими значениями, указанным ниже:
//    * ИзменившаясяТаблица - Структура - Описание таблицы:
//      ** ИмяТаблицы - Строка - Имя редактируемой таблицы.
//      ** Идентификатор - Число - Идентификатор редактируемой строки.
//    * ИзменившеесяПоле - Строка - Имя поля формы.
//    * ИзменившийсяКонтрагент - ОпределяемыйТип.КонтрагентБИП - Изменившийся контрагент.
//    * ИзменившаясяДата - Дата - Изменившаяся дата.
//    * СохранятьРезультатСразуПослеПроверки - Булево - Определяет, сохранить ли результат сразу.
//    * ИзменившийсяСчетФактура - ДокументСсылка - Изменившийся счет-фактура.
//
Функция ПараметрыФоновогоЗадания(Параметр, Знач Результат = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ПараметрыФоновогоЗадания(Параметр, Результат);
```
</details>

## ОбъектИСсылкаПоФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение объекта (ДанныеФормыСтруктура) и ссылки(ДокументСсылка, СправочникСсылка) документа или
//           справочника,  в котором выполняется проверка контрагента, по форме.
// 		Обязательна к заполнению.
// Параметры:
//  Форма		 - ФормаКлиентскогоПриложения - Форма документа или справочника, в котором выполняется проверка контрагента.
// Возвращаемое значение:
//  Структура - Объект и Ссылка, полученные по форме документа.
//		Ключи: "Объект" (Тип ДанныеФормыСтруктура) и "Ссылка" (Тип ДокументСсылка, СправочникСсылка).
Функция ОбъектИСсылкаПоФорме(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ОбъектИСсылкаПоФорме(Форма) 
```
</details>

## ОтобразитьРезультатПроверкиКонтрагентаВСправочнике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отображение результата проверки контрагента в справочнике.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложенияФормаКлиентскогоПриложения - Карточка проверяемого контрагента.
Процедура ОтобразитьРезультатПроверкиКонтрагентаВСправочнике(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиентСервер.ОтобразитьРезультатПроверкиКонтрагентаВСправочнике(Форма) 
```
</details>

## СброситьАктуальностьОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сброс актуальности, сброс вида панели проверки контрагентов при изменении отборов отчета.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - Форма отчета, в котором выполняется проверка контрагентов.
Процедура СброситьАктуальностьОтчета(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаКонтрагентовКлиентСервер.СброситьАктуальностьОтчета(Форма) 
```
</details>

## СсылкаНаИнструкцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ссылка на инструкцию по проверке контрагентов.
// Возвращаемое значение:
//  ФорматированнаяСтрока - Ссылка на инструкцию.
//
Функция СсылкаНаИнструкцию() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.СсылкаНаИнструкцию() 
```
</details>

## ПутьКИнструкции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Путь к инструкции по проверке контрагентов.
// Возвращаемое значение:
//  Строка - Путь к инструкции по проверке контрагентов.
//
Функция ПутьКИнструкции() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ПутьКИнструкции() 
```
</details>

## ЭтоСостояниеДействующегоКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение по состоянию, является ли контрагент действующим.
//
// Параметры:
//  Состояние					 - Перечисления.СостоянияСуществованияКонтрагента - Состояние контрагента.
//  ДополнятьСостояниемСОшибкой	 - Булево - Если Истина, то контрагент с ошибкой считается действующим.
//  ДополнятьПустымСостоянием	 - Булево - Если Истина, то контрагент с пустым состоянием считается действующим.
// Возвращаемое значение:
//  Булево - Является ли контрагент действующим.
//
Функция ЭтоСостояниеДействующегоКонтрагента(Состояние, ДополнятьСостояниемСОшибкой = Истина, ДополнятьПустымСостоянием = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ЭтоСостояниеДействующегоКонтрагента(Состояние, ДополнятьСостояниемСОшибкой, ДополнятьПустымСостоянием);
```
</details>

## СостоянияДействующегоКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перечень состояний действующего контрагента.
//
// Параметры:
//  ДополнятьСостояниемСОшибкой - Булево - Если Истина, то контрагент с ошибкой считается действующим;
//  ДополнятьПустымСостоянием - Булево - Если Истина, то контрагент с пустым состоянием считается действующим.
//
// Возвращаемое значение:
//  Массив из ПеречислениеСсылка.СостоянияСуществованияКонтрагента - Состояния контрагента, при которых он является действующим.
//
Функция СостоянияДействующегоКонтрагента(ДополнятьСостояниемСОшибкой = Истина, ДополнятьПустымСостоянием = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.СостоянияДействующегоКонтрагента(ДополнятьСостояниемСОшибкой, ДополнятьПустымСостоянием);
```
</details>

## ЭтоСостояниеНедействующегоКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение по состоянию, является ли контрагент недействующим.
//
// Параметры:
//  Состояние					 - Перечисления.СостоянияСуществованияКонтрагента - Состояние контрагента.
//  ДополнятьСостояниемСОшибкой	 - Булево - Если Истина, то контрагент с ошибкой считается недействующим.
//  ДополнятьПустымСостоянием	 - Булево - Если Истина, то контрагент с пустым состоянием считается недействующим.
// Возвращаемое значение:
//  Булево - Является ли контрагент недействующим.
//
Функция ЭтоСостояниеНедействующегоКонтрагента(Состояние, ДополнятьСостояниемСОшибкой = Ложь, ДополнятьПустымСостоянием = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ЭтоСостояниеНедействующегоКонтрагента(Состояние, ДополнятьСостояниемСОшибкой, ДополнятьПустымСостоянием);
```
</details>

## СостоянияНедействующегоКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перечень состояний недействующего контрагента.
//
// Параметры:
//  ДополнятьСостояниемСОшибкой - Булево - Если Истина, то контрагент с ошибкой считается действующим.
//  ДополнятьПустымСостоянием - Булево - Если Истина, то контрагент с пустым состоянием считается действующим.
//
// Возвращаемое значение:
//  Массив из ПеречислениеСсылка.СостоянияСуществованияКонтрагента - Состояния контрагента, при которых он является действующим.
//
Функция СостоянияНедействующегоКонтрагента(ДополнятьСостояниемСОшибкой = Ложь, ДополнятьПустымСостоянием = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.СостоянияНедействующегоКонтрагента(ДополнятьСостояниемСОшибкой, ДополнятьПустымСостоянием);
```
</details>

## ЭтоСостояниеКонтрагентаСОшибкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение по состоянию, имеет ли контрагент ошибки в данных.
//
// Параметры:
//  Состояние	 - Перечисления.СостоянияСуществованияКонтрагента - Состояние контрагента.
//
// Возвращаемое значение:
//  Булево - Имеет ли контрагент ошибки.
//
Функция ЭтоСостояниеКонтрагентаСОшибкой(Состояние) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ЭтоСостояниеКонтрагентаСОшибкой(Состояние) 
```
</details>

## СостоянияКонтрагентаСОшибкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перечень состояний контрагента с ошибками в данных.
//
// Возвращаемое значение:
//  Массив из ПеречислениеСсылка.СостоянияСуществованияКонтрагента - Состояния контрагента, при
//                                                                   которых он имеет ошибки в данных.
//
Функция СостоянияКонтрагентаСОшибкой() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.СостоянияКонтрагентаСОшибкой() 
```
</details>

## НекорректныеСостоянияКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перечень недействующих состояний и состояний с ошибками.
//
// Возвращаемое значение:
//  Массив из ПеречислениеСсылка.СостоянияСуществованияКонтрагента - Состояния контрагента,
//                                                                   при которых он имеет ошибки в данных.
//
Функция НекорректныеСостоянияКонтрагента() Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.НекорректныеСостоянияКонтрагента() 
```
</details>

## ЭтоНекорректноеСостояниеКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Является ли состояние некорректным (недействующее состояние или с ошибкой).
//
// Параметры:
//  Состояние	 - Перечисления.СостоянияСуществованияКонтрагента - Состояние контрагента.
//
// Возвращаемое значение:
//  Булево - Имеет ли контрагент ошибки.
//
Функция ЭтоНекорректноеСостояниеКонтрагента(Состояние) Экспорт
```

Пример вызова
```bsl
Результат = ПроверкаКонтрагентовКлиентСервер.ЭтоНекорректноеСостояниеКонтрагента(Состояние) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
