---
title: Проверка РНПТ клиент
slug: erp-uh/проверка-рнпт-клиент
---


## ЗапуститьПроверкуРНПТВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает фоновое задание проверки РНПТ.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
//
Процедура ЗапуститьПроверкуРНПТВДокументе(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ЗапуститьПроверкуРНПТВДокументе(Форма) 
```
</details>

## ОбработатьРезультатПроверкиРНПТВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет результат выполнения проверки РНПТ и вызывает прорисовку результата на форме в случае если проверка завершена.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
//
Процедура ОбработатьРезультатПроверкиРНПТВДокументе(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ОбработатьРезультатПроверкиРНПТВДокументе(Форма) 
```
</details>

## СохранитьРезультатПроверкиРНПТПослеЗаписиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает процедуру сохранения результатов проверки РНПТ документа в регистр.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
//
Процедура СохранитьРезультатПроверкиРНПТПослеЗаписиДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.СохранитьРезультатПроверкиРНПТПослеЗаписиДокумента(Форма) 
```
</details>

## ПриНачалеРедактированияТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак того, что прорисовку документа в части проверки РНПТ нужно отложить,
// что позволяет избежать ошибки сброса редактируемого значения при выводе результатов проверки.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
//
Процедура ПриНачалеРедактированияТабличнойЧасти(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ПриНачалеРедактированияТабличнойЧасти(Форма) 
```
</details>

## ПриОкончанииРедактированияТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает обработку результата проверки РНПТ при изменении табличной части документа.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
//
Процедура ПриОкончанииРедактированияТабличнойЧасти(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ПриОкончанииРедактированияТабличнойЧасти(Форма) 
```
</details>

## ПриОткрытииДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает отложено проверку РНПТ при открытии формы.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
//
Процедура ПриОткрытииДокумент(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ПриОткрытииДокумент(Форма) 
```
</details>

## ЗапуститьПоискДокументовСОшибкамиРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает фоновое задание по поиску документов с ошибками для формы списка.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма списка документов.
//
Процедура ЗапуститьПоискДокументовСОшибкамиРНПТ(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ЗапуститьПоискДокументовСОшибкамиРНПТ(Форма) 
```
</details>

## ОбработатьРезультатПолученияДокументовСОшибками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В случае успешного завершения получения документов с ошибками запускает вывод информации об ошибках на форму.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма списка документов.
//
Процедура ОбработатьРезультатПолученияДокументовСОшибками(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ОбработатьРезультатПолученияДокументовСОшибками(Форма) 
```
</details>

## ПриОткрытииСписокДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При открытии формы списка документов запускает поиск документов с ошибками.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма списка документов.
//
Процедура ПриОткрытииСписокДокументов(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ПриОткрытииСписокДокументов(Форма) 
```
</details>

## ПриОткрытииПодбораРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает проверку РНПТ в форме при открытии.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма подбора РНПТ.
//
Процедура ПриОткрытииПодбораРНПТ(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ПриОткрытииПодбораРНПТ(Форма) 
```
</details>

## ОбработатьРезультатПроверкиРНПТВФормеПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат проверки РНПТ в форме.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма подбора РНПТ.
//  Обработано - Булево - признак того, что была обработка результата.
//
Процедура ОбработатьРезультатПроверкиРНПТВФормеПодбора(Форма, Обработано = Ложь) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ОбработатьРезультатПроверкиРНПТВФормеПодбора(Форма, Обработано);
```
</details>

## ЗапуститьПроверкуРНПТВФормеПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает фоновое задание проверки РНПТ в форме.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма подбора РНПТ.
//
Процедура ЗапуститьПроверкуРНПТВФормеПодбора(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ЗапуститьПроверкуРНПТВФормеПодбора(Форма) 
```
</details>

## ПриОкончанииРедактированияТабличнойЧастиПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает обработку результата проверки РНПТ при изменении табличной части формы подбора РНПТ.
//
// Парамеры:
//  Форма - ФормаКлиентскогоПриложения - форма подбора РНПТ.
//
Процедура ПриОкончанииРедактированияТабличнойЧастиПодбора(Форма) Экспорт
```

Пример вызова
```bsl
ПроверкаРНПТКлиент.ПриОкончанииРедактированияТабличнойЧастиПодбора(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
