---
title: Продажи клиент
slug: erp-uh/продажи-клиент
---


## МаксимальнаяДатаАванса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наибольшую из дат аванса в строке тч ЭтапыОплаты
//
// Параметры:
//   ЭтапыГрафикаОплаты - ДанныеФормыКоллекция - этапы оплаты, в которых необходимо рассчитать дату аванса.
//
// Возвращаемое значение:
//   Дата - максимальная дата аванса, если дат аванса нет, то пустая дата.
//
Функция МаксимальнаяДатаАванса(ЭтапыГрафикаОплаты) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиКлиент.МаксимальнаяДатаАванса(ЭтапыГрафикаОплаты) 
```
</details>

## СтрокаНоменклатурыПриНачалеРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обработки события "ПриНачалеРедактирования" табличной части документа продажи.
//
// Параметры:
//	Форма         - ФормаКлиентскогоПриложения - форма документа, в котором возникло событие
//	ИмяТаблицы    - Строка - имя таблицы, из которой произошло событие
//	СтрокаТаблицы - ДанныеФормыЭлементКоллекции - обрабатываемая строка табличной части документа
//	НоваяСтрока   - Булево - флаг редактирования новой строки
//	Копирование   - Булево - флаг редактирования путем копирования строки.
//
Процедура СтрокаНоменклатурыПриНачалеРедактирования(Форма, ИмяТаблицы, СтрокаТаблицы, НоваяСтрока, Копирование) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.СтрокаНоменклатурыПриНачалеРедактирования(Форма, ИмяТаблицы, СтрокаТаблицы, НоваяСтрока, Копирование) 
```
</details>

## ОповеститьОПерезаполненииЖелаемойДатыОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя о перезаполнении желаемой даты отгрузки.
//
Процедура ОповеститьОПерезаполненииЖелаемойДатыОтгрузки() Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОповеститьОПерезаполненииЖелаемойДатыОтгрузки() 
```
</details>

## ПараметрыНачалаВыбораСоглашенияСКлиентом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция-конструктор параметров начала выбора соглашения с клиентом на форме.
//
// Возвращаемое значение:
// 	Структура - Структура параметров:
//     * Элемент                      - ПолеФормы - Поле выбора соглашения.
//     * Партнер                      - СправочникСсылка.Партнеры - ссылка на партнера, для которого выберите соглашение
//     * Организация                  - СправочникСсылка.Организации - ссылка на организацию, для которой выбирается соглашение
//     * Документ                     - СправочникСсылка.СоглашенияСКлиентами - ссылка на ранее выбранное соглашение для
//                                                                              начального позиционирования в списке.
//     * ДатаДокумента                - Дата - Дата для определения действующего соглашения.
//     * ТолькоТиповые                - Булево - флаг, позволяющий включать в список выбора только типовые соглашения
//     * ТолькоИспользуемыеВРаботеТП  - Булево - флаг, позволяющий включать в список выбора только соглашения,
//                                              используемые в работе торговых представителей.
//     * ХозяйственнаяОперация        - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция объекта.
//     * ДанныеФормыСтруктура         - ДанныеФормыСтруктура - Данные формы инициатора.
//
Функция ПараметрыНачалаВыбораСоглашенияСКлиентом() Экспорт
```

Пример вызова
```bsl
Результат = ПродажиКлиент.ПараметрыНачалаВыбораСоглашенияСКлиентом() 
```
</details>

## НачалоВыбораСоглашенияСКлиентом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - обработчик события "НачалоВыбора" элемента формы "Соглашение"
//
// Параметры:
//	СтруктураПараметров  - см. ПродажиКлиент.ПараметрыНачалаВыбораСоглашенияСКлиентом
//	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
//
Процедура НачалоВыбораСоглашенияСКлиентом(СтруктураПараметров, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.НачалоВыбораСоглашенияСКлиентом(СтруктураПараметров, СтандартнаяОбработка) 
```
</details>

## НачалоВыбораСоглашенияСКлиентомЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает транспортную накладную в случае утвердительного ответа пользователя.
//
// Параметры:
//  Результат               - СправочникСсылка.Партнеры - партнер, для которого выбираются соглашения.
//  ДополнительныеПараметры - Структура - дополнительные параметры, необходимые для отбора соглашений.
//
Процедура НачалоВыбораСоглашенияСКлиентомЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.НачалоВыбораСоглашенияСКлиентомЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## НачалоВыбораАналитикиРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - обработчик события "НачалоВыбора" элемента формы "Аналитика расходов".
//
// Параметры:
//	Элемент  - ПолеФормы - Поле выбора аналитики расходов
//	СтандартнаяОбработка - Булево - Признак стандартной обработки события.
//
Процедура НачалоВыбораАналитикиРасходов(Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.НачалоВыбораАналитикиРасходов(Элемент, СтандартнаяОбработка) 
```
</details>

## НеобходимоЗаполнениеПричиныОтменыВыделенныхСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для отмены строк в таблице
//
// Параметры:
//   ТабличнаяЧасть              - ДанныеФормыКоллекция - табличная часть, в которой необходимо осуществить проверку.
//   ПредставлениеТабличнойЧасти - Строка - представление табличной части для информирования пользователя.
//   ВыделенныеСтроки - Массив
//
// Возвращаемое значение:
//   Булево - Ложь, если необходимые данные не заполнены.
//
Функция НеобходимоЗаполнениеПричиныОтменыВыделенныхСтрок(ТабличнаяЧасть, ПредставлениеТабличнойЧасти, ВыделенныеСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиКлиент.НеобходимоЗаполнениеПричиныОтменыВыделенныхСтрок(ТабличнаяЧасть, ПредставлениеТабличнойЧасти, ВыделенныеСтроки) 
```
</details>

## НеобходимоЗаполнениеПричиныОтменыНепоставленныхСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для отмены непоставленных строк
//
// Параметры:
//   ТабличнаяЧасть              - ДанныеФормыКоллекция - табличная часть, в которой необходимо осуществить проверку.
//   ПредставлениеТабличнойЧасти - Строка - представление табличной части для информирования пользователя.
//
// Возвращаемое значение:
//   Булево - Ложь, если необходимые данные не заполнены.
//
Функция НеобходимоЗаполнениеПричиныОтменыНепоставленныхСтрок(ТабличнаяЧасть, ПредставлениеТабличнойЧасти) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиКлиент.НеобходимоЗаполнениеПричиныОтменыНепоставленныхСтрок(ТабличнаяЧасть, ПредставлениеТабличнойЧасти) 
```
</details>

## НеобходимоЗаполнениеТоваровПоОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для заполнения товаров по отгрузке.
//
// Параметры:
//   ДокументПроведен - Булево - признак проведенности документа.
//
// Возвращаемое значение:
//   Булево - Ложь, если необходимые данные не заполнены.
//
Функция НеобходимоЗаполнениеТоваровПоОтгрузке(ДокументПроведен) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиКлиент.НеобходимоЗаполнениеТоваровПоОтгрузке(ДокументПроведен) 
```
</details>

## ИзменилисьДокументыОплатыКлиентам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет является ли оповещение в форме событием изменения документов оплаты.
//
// Параметры:
//   ИмяСобытия - Строка - имя события из процедуры формы "ОбработкаОповещения".
//
// Возвращаемое значение:
//   Булево - Истина, если оповещение является оплатой.
//
Функция ИзменилисьДокументыОплатыКлиентам(ИмяСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиКлиент.ИзменилисьДокументыОплатыКлиентам(ИмяСобытия) 
```
</details>

## ОповеститьОбОкончанииЗаполненияУсловийПродажПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения условий продаж по умолчанию.
//
Процедура ОповеститьОбОкончанииЗаполненияУсловийПродажПоУмолчанию() Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОповеститьОбОкончанииЗаполненияУсловийПродажПоУмолчанию() 
```
</details>

## ОповеститьОбОкончанииЗаполненияУсловийПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения условий продаж
//
Процедура ОповеститьОбОкончанииЗаполненияУсловийПродаж() Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОповеститьОбОкончанииЗаполненияУсловийПродаж() 
```
</details>

## ОповеститьОбОкончанииЗаполненияЦенПоСоглашению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения цен по соглашению с клиентом.
//
// Параметры:
//	ЦеныРассчитаны - Булево - Признак успешного расчета цен хотя бы в одной строке.
//	ТекстОшибки - Строка - Описание ошибки при расчете цен.
//
Процедура ОповеститьОбОкончанииЗаполненияЦенПоСоглашению(ЦеныРассчитаны = Истина, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОповеститьОбОкончанииЗаполненияЦенПоСоглашению(ЦеныРассчитаны, ТекстОшибки);
```
</details>

## ОповеститьОбОкончанииЗаполненияЦенПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения цен по договору с клиентом.
//
// Параметры:
//	ЦеныРассчитаны - Булево - Признак успешного расчета цен хотя бы в одной строке.
//	ТекстОшибки - Строка - Описание ошибки при расчете цен.
//
Процедура ОповеститьОбОкончанииЗаполненияЦенПоДоговору(ЦеныРассчитаны = Истина, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОповеститьОбОкончанииЗаполненияЦенПоДоговору(ЦеныРассчитаны, ТекстОшибки);
```
</details>

## ОповеститьОбОкончанииЗаполненияЦенПоВидуЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения цен по виду цен.
//
// Параметры:
//  ЦеныРассчитаны - Булево - Признак успешного расчета цен хотя бы в одной строке.
//  ВидЦен - СправочникСсылка.ВидыЦен - Вид цен, по которому осуществлялось заполнение цен.
//
Процедура ОповеститьОбОкончанииЗаполненияЦенПоВидуЦен(ЦеныРассчитаны, ВидЦен) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОповеститьОбОкончанииЗаполненияЦенПоВидуЦен(ЦеныРассчитаны, ВидЦен) 
```
</details>

## ОповеститьОбОтменеВыделенныхСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об отмене выделенных строк
//
// Параметры:
//	ПричинаОтмены - СправочникСсылка.ПричиныОтменыЗаказовКлиентов - Причина отмены выделенных строк.
//
Процедура ОповеститьОбОтменеВыделенныхСтрок(ПричинаОтмены) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОповеститьОбОтменеВыделенныхСтрок(ПричинаОтмены) 
```
</details>

## ОповеститьОбОтменеНепоставленныхСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об отмене выделенных строк
//
// Параметры:
//	ПричинаОтмены - СправочникСсылка.ПричиныОтменыЗаказовКлиентов - Причина отмены выделенных строк.
//	КоличествоОтмененныхСтрок - Число
//	ПроверятьОстатки - Булево
//
Процедура ОповеститьОбОтменеНепоставленныхСтрок(ПричинаОтмены, КоличествоОтмененныхСтрок, ПроверятьОстатки) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОповеститьОбОтменеНепоставленныхСтрок(ПричинаОтмены, КоличествоОтмененныхСтрок, ПроверятьОстатки) 
```
</details>

## ОповеститьОбОкончанииЗаполненияДатОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения дат отгрузки всех строк тч.
//
// Параметры:
//	ДатаОтгрузки - Дата - дата отгрузки, по которой заполнялась дата в табличной части
//	ЗаполнениеВыделенныхСтрок - Булево
//
Процедура ОповеститьОбОкончанииЗаполненияДатОтгрузки(ДатаОтгрузки, ЗаполнениеВыделенныхСтрок) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОповеститьОбОкончанииЗаполненияДатОтгрузки(ДатаОтгрузки, ЗаполнениеВыделенныхСтрок) 
```
</details>

## ОповеститьОбОкончанииПерезаполненияТоваровПоОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании перезаполнения товаров по фактической отгрузке.
//
// Параметры:
//	ЕстьИзменения           - Булево - Если Истина - есть изменения в табличной части
//	КоличествоПерезаполнено - Булево - Если Истина - количество было перезаполнено по фактической отгрузке.
//	ЕстьНесобранные - Булево
//
Процедура ОповеститьОбОкончанииПерезаполненияТоваровПоОтгрузке(ЕстьИзменения, КоличествоПерезаполнено, ЕстьНесобранные = Ложь) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОповеститьОбОкончанииПерезаполненияТоваровПоОтгрузке(ЕстьИзменения, КоличествоПерезаполнено, ЕстьНесобранные);
```
</details>

## ВопросОПерезаполненииОтгруженнымиТоварами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для заполнения товаров по отгрузке.
//
// Параметры:
//   ОписаниеОповещения    - ОписаниеОповещения - обработка пользовательского выбора.
//   ЕстьОтгруженныеТовары - Булево             - признак наличия отгруженных товаров.
//
Процедура ВопросОПерезаполненииОтгруженнымиТоварами(ОписаниеОповещения, ЕстьОтгруженныеТовары) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ВопросОПерезаполненииОтгруженнымиТоварами(ОписаниеОповещения, ЕстьОтгруженныеТовары) 
```
</details>

## ВопросОПерезаполненииОтгруженнымиТоварамиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик вопроса о перезаполнении отгруженными товарами.
//
// Параметры:
//  ОтветНаВопрос           - Строка - вариант ответа на вопрос, выбранный пользователем.
//  ДополнительныеПараметры - Структура - дополнительные параметры, необходимые для заполнения.
//
Процедура ВопросОПерезаполненииОтгруженнымиТоварамиЗавершение(ОтветНаВопрос, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ВопросОПерезаполненииОтгруженнымиТоварамиЗавершение(ОтветНаВопрос, ДополнительныеПараметры) 
```
</details>

## ВыбратьВидЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура для выбора вида цен из формы выбора.
//
// Параметры:
//	ОписаниеОповещения - ОписаниеОповещения - Описание оповещения.
//	ПараметрыОтбора    - Структура - структура параметров отбора
//
Процедура ВыбратьВидЦен(ОписаниеОповещения, ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ВыбратьВидЦен(ОписаниеОповещения, ПараметрыОтбора) 
```
</details>

## УстановитьСтатусСоглашенийСКлиентамиНеСогласовано
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает у выделенных в списке соглашений статус "НеСогласовано".
//
// Параметры:
//	Список - ДинамическийСписок - Список соглашений.
//
Процедура УстановитьСтатусСоглашенийСКлиентамиНеСогласовано(Список) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.УстановитьСтатусСоглашенийСКлиентамиНеСогласовано(Список) 
```
</details>

## УстановитьСтатусСоглашенийСКлиентамиНеСогласованоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает статус соглашений с клиентами
//
// Параметры:
//  РезультатВопроса		 - КодВозвратаДиалога -  набор вариантов ответа пользователя
//  ДополнительныеПараметры	 - Структура - структура параметров.
//
Процедура УстановитьСтатусСоглашенийСКлиентамиНеСогласованоЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.УстановитьСтатусСоглашенийСКлиентамиНеСогласованоЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## УстановитьСтатусСоглашенийСКлиентамиДействует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает у выделенных в списке соглашений статус "Действует".
//
// Параметры:
//	Список - ДинамическийСписок - Список соглашений.
//
Процедура УстановитьСтатусСоглашенийСКлиентамиДействует(Список) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.УстановитьСтатусСоглашенийСКлиентамиДействует(Список) 
```
</details>

## УстановитьСтатусСоглашенийСКлиентамиДействуетЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает статус соглашений с клиентами
//
// Параметры:
//  РезультатВопроса		 - КодВозвратаДиалога -  набор вариантов ответа пользователя
//  ДополнительныеПараметры	 - Структура - структура параметров.
//
Процедура УстановитьСтатусСоглашенийСКлиентамиДействуетЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.УстановитьСтатусСоглашенийСКлиентамиДействуетЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## УстановитьСтатусСоглашенийСКлиентамиЗакрыто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает у выделенных в списке соглашений статус "Закрыто".
//
// Параметры:
//	Список - ДинамическийСписок - Список соглашений.
//
Процедура УстановитьСтатусСоглашенийСКлиентамиЗакрыто(Список) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.УстановитьСтатусСоглашенийСКлиентамиЗакрыто(Список) 
```
</details>

## УстановитьСтатусСоглашенийСКлиентамиЗакрытоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает статус соглашений с клиентами
//
// Параметры:
//  РезультатВопроса		 - КодВозвратаДиалога -  набор вариантов ответа пользователя
//  ДополнительныеПараметры	 - Структура - структура параметров.
//
Процедура УстановитьСтатусСоглашенийСКлиентамиЗакрытоЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.УстановитьСтатусСоглашенийСКлиентамиЗакрытоЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ОтменитьВыделенныеСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает у выделенных в таблице строк признак Отменено и заполняет причину отмены.
//
// Параметры:
//	ТабличнаяЧасть - ДанныеФормыКоллекция - табличная часть, в которой необходимо осуществить проверку
//	ВыделенныеСтроки - Массив - массив выделенных пользователем строк табличной части
//	ПричинаОтмены - СправочникСсылка.ПричиныОтменыЗаказовКлиентов - причина, по которой отменяются строки
//	СтруктураДействийСИзмененнымиСтроками - Структура - Структура действий с измененными строками.
//
Процедура ОтменитьВыделенныеСтроки(ТабличнаяЧасть, ВыделенныеСтроки, ПричинаОтмены, СтруктураДействийСИзмененнымиСтроками=Неопределено) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОтменитьВыделенныеСтроки(ТабличнаяЧасть, ВыделенныеСтроки, ПричинаОтмены, СтруктураДействийСИзмененнымиСтроками);
```
</details>

## СостояниеВФормеДокументаНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает нажатие информационной гиперссылки о состоянии документа и выводит отчет "Состояние выполнения".
//
// Параметры:
//  СтандартнаяОбработка  - Булево - признак стандартной обработки события.
//  Форма                 - ФормаКлиентскогоПриложения - Форма, в которой было выполнено нажатие. Содержит в том числе:
//    * Объект - ДокументОбъект -
//
Процедура СостояниеВФормеДокументаНажатие(СтандартнаяОбработка, Форма) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.СостояниеВФормеДокументаНажатие(СтандартнаяОбработка, Форма) 
```
</details>

## ОткрытьОтчетРасшифровкиЗапретаОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Открывает отчет по задолженности при нажатии на гиперссылку запрета отгрузки в формах документов.
Процедура ОткрытьОтчетРасшифровкиЗапретаОтгрузки(Договор, ДанныеПоСуммеПродажи, КлючНазначенияИспользования, НоваяАрхитектураВзаиморасчетов) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОткрытьОтчетРасшифровкиЗапретаОтгрузки(Договор, ДанныеПоСуммеПродажи, КлючНазначенияИспользования, НоваяАрхитектураВзаиморасчетов) 
```
</details>

## ОбработкаНавигационнойСсылкиПодчиненныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик нажатия на гиперссылку со списком подчиненных документов в "Заказе клиента"
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - где:
// 		* Объект - ДокументОбъект.ЗаказКлиента
// 	НавигационнаяСсылкаФорматированнойСтроки - Строка
// 	СтандартнаяОбработка - Булево
//
Процедура ОбработкаНавигационнойСсылкиПодчиненныхДокументов(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОбработкаНавигационнойСсылкиПодчиненныхДокументов(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ОткрытьФормуСозданияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму создания нового договора с данными по партнеру.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма документа.
//	Элемент - ЭлементыФормы - поле формы, содержащее информацию о договоре.
//	ПутьКДоговору - Строка - путь к реквизиту с данными по договору.
//	Партнер - СправочникСсылка.Партнеры - данные по партнеру для создания договора.
//	СтандартнаяОбработка - Булево - в данный параметр передается признак выполнения подбора данных объекта.
//	ИмяСобытияОповещения - Строка - имя события оповещения для формы документа при изменении договора.
//
Процедура ОткрытьФормуСозданияДоговора(Форма, Элемент, ПутьКДоговору, Партнер, СтандартнаяОбработка, ИмяСобытияОповещения = "ПриИзмененииДоговора") Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ОткрытьФормуСозданияДоговора(Форма, Элемент, ПутьКДоговору, Партнер, СтандартнаяОбработка, ИмяСобытияОповещения);
```
</details>

## ПослеСозданияДоговораЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка оповещения после создания договора из формы документа.
//
//Параметры:
// Результат - Структура:
//  *Договор - СправочникСсылка.ДоговорыКонтрагентов - созданный договор.
// ДополнительныеПараметры - Структура:
//  *Объект - ФормаКлиентскогоПриложения - форма документа.
//  *Партнер - СправочникСсылка.Партнеры - партнер из документа.
//  *ПутьКДоговору - Строка - путь к реквизиту с данными по договору.
//  *ИмяСобытияОповещения - Строка - имя события формы при изменении договора.
//  *Договор - СправочникСсылка.ДоговорыКонтрагентов - выбранный договор.
//
Процедура ПослеСозданияДоговораЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПродажиКлиент.ПослеСозданияДоговораЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
