---
title: Продажи сервер
slug: erp-uh/продажи-сервер
---


## ПолучитьХозяйственнуюОперациюВозвратаПоРеализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет хозяйственную операцию возврата по хозяйственной операции реализации
//
// Параметры:
//   ХозяйственнаяОперацияРеализация - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция реализации.
//
// Возвращаемое значение:
//   ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция возврата.
//
Функция ПолучитьХозяйственнуюОперациюВозвратаПоРеализации(Знач ХозяйственнаяОперацияРеализация) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьХозяйственнуюОперациюВозвратаПоРеализации(ХозяйственнаяОперацияРеализация) 
```
</details>

## ПолучитьХозяйственнуюОперациюСоглашенияПоВозврату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет хозяйственную операцию соглашения по хозяйственной операции возврата.
//
// Параметры:
//   ХозяйственнаяОперацияВозврат - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция возврата.
//
// Возвращаемое значение:
//   ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция соглашения.
//
Функция ПолучитьХозяйственнуюОперациюСоглашенияПоВозврату(Знач ХозяйственнаяОперацияВозврат) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьХозяйственнуюОперациюСоглашенияПоВозврату(ХозяйственнаяОперацияВозврат) 
```
</details>

## СкорректироватьСтрокиЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Корректирует строки, по которым не была оформлена накладная или отгрузка или имеются расхождения по мерным товарам.
//
// Параметры:
// 		СтруктураПараметров - см. ЗаказыСервер.СтруктураКорректировкиСтрокЗаказа
//
// Возвращаемое значение:
// 		Структура - со свойствами:
// 		*	КоличествоСтрок - Число - Количество отмененных/скорректированных строк
// 		*	СуммаОтклонения - Число - Сумма увеличения заказа из-за превышения отгрузки мерных товаров.
//
Функция СкорректироватьСтрокиЗаказа(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.СкорректироватьСтрокиЗаказа(СтруктураПараметров) 
```
</details>

## ПолучитьИмяТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя табличной части по документу.
//
// Параметры:
//   ИмяТаблицы - Строка - имя документа.
//
// Возвращаемое значение:
//   Строка - Имя табличной части документа.
//
Функция ПолучитьИмяТабличнойЧасти(ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьИмяТабличнойЧасти(ИмяТаблицы) 
```
</details>

## ПолучитьПредставлениеТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет представление табличной части по документу.
//
// Параметры:
//  ИмяТаблицы - Строка - имя документа.
//
// Возвращаемое значение:
//   Строка - Представление табличной части документа.
//
Функция ПолучитьПредставлениеТабличнойЧасти(ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьПредставлениеТабличнойЧасти(ИмяТаблицы) 
```
</details>

## СообщитьОбОшибкахФормированияДанныхЗаполненияРеализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит сообщения об ошибках при вводе реализации по заказам.
//
// Параметры:
//  ВыборкаРеквизитыШапки - ВыборкаИзРезультатаЗапроса - данные шапки документа.
//
// Возвращаемое значение:
//   Булево - Истина, если отказ от ввода на основании.
//
Функция СообщитьОбОшибкахФормированияДанныхЗаполненияРеализации(ВыборкаРеквизитыШапки) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.СообщитьОбОшибкахФормированияДанныхЗаполненияРеализации(ВыборкаРеквизитыШапки) 
```
</details>

## СообщитьОбОшибкахОтменаПроведенияЕстьКорректировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит сообщения о том, что есть корректировки на основании документа.
//
// Параметры:
// 	ДокументПродажи - ДокументОбъект - Объект, для которого необходимо вывести сообщения об ошибках
// 	Отказ           - Булево - Флаг отказа от проведения документа.
//
Процедура СообщитьОбОшибкахОтменаПроведенияЕстьКорректировки(Знач ДокументПродажи, Отказ) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.СообщитьОбОшибкахОтменаПроведенияЕстьКорректировки(ДокументПродажи, Отказ) 
```
</details>

## СообщитьОбОшибкахПроведенияПоНепроведенномуОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит сообщения о том, что основание документа не проведено.
//
// Параметры:
// 	ДокументПродажи - ДокументСсылка - Документ-основание корректировки.
// 	Отказ           - Булево - Флаг отказа от проведения документа.
//
Процедура СообщитьОбОшибкахПроведенияПоНепроведенномуОснованию(Знач ДокументПродажи, Отказ) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.СообщитьОбОшибкахПроведенияПоНепроведенномуОснованию(ДокументПродажи, Отказ) 
```
</details>

## МаксимальнаяДатаАванса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наибольшую из дат аванса в строке тч ЭтапыОплаты
//
// Параметры:
//	ЭтапыГрафикаОплаты - ДанныеФормыКоллекция - этапы оплаты, в которых необходимо рассчитать дату аванса.
//
// Возвращаемое значение:
//	Дата - Максимальная дата аванса, если дат аванса нет - пустая дата.
//
Функция МаксимальнаяДатаАванса(ЭтапыГрафикаОплаты) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.МаксимальнаяДатаАванса(ЭтапыГрафикаОплаты) 
```
</details>

## ЗаполнитьСписокВыбораАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирование для элемента формы списка выбора адресов на основании контактной информации адресата.
//
// Параметры:
//  ЭлементАдреса - ПолеФормы - поле, в списке выбора которого необходимо заполнить список адресов.
//  АдресатСсылка - СправочникСсылка.Организации, СправочникСсылка.Партнеры - ссылка на объект ИБ для получения адресов.
//  ОчищатьСписок - Булево - указывает на необходимость очистки списка перед заполнением.
//  Дата - Дата
//
Процедура ЗаполнитьСписокВыбораАдреса(ЭлементАдреса, АдресатСсылка, ОчищатьСписок = Истина, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ЗаполнитьСписокВыбораАдреса(ЭлементАдреса, АдресатСсылка, ОчищатьСписок, Дата);
```
</details>

## ПерезаполнитьНакладнуюПоОрдерам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перезаполняет накладную по ордерам
//
// Параметры:
// 		Объект - ДанныеФормыСтруктура - перезаполняемая накладная.
//
// Возвращаемое значение:
// 		Булево - "Истина", если накладная перезаполнена.
//
Функция ПерезаполнитьНакладнуюПоОрдерам(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПерезаполнитьНакладнуюПоОрдерам(Объект) 
```
</details>

## ПолучитьСостояниеФактическойОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает состояние фактической отгрузки по документу
//
// Параметры:
// 		ДокументыОтгрузки - Массив - Ссылки на документы-распоряжения на отгрузку.
//
// Возвращаемое значение:
// 		Структура:
// 			* ЕстьОтгруженныеТовары - Булево
// 			* ЕстьНесобранныеТовары - Булево
//
Функция ПолучитьСостояниеФактическойОтгрузки(ДокументыОтгрузки) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьСостояниеФактическойОтгрузки(ДокументыОтгрузки) 
```
</details>

## СтруктураДокументаДляЗаполненияПоФактическойОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает типовую структуру для заполнения документа по фактической отгрузке.
//
// Возвращаемое значение:
//   Структура - содержит данные документа для заполнения по фактической отгрузке:
// 		* ОрдернаяСхемаПриОтгрузке - Булево -
// 		* ИмяЗаказаВТЧ - Строка -
// 		* СтруктураДействийСДобавленнымиСтроками - Структура -
// 		* СтруктураДействийСИзмененнымиСтроками - Структура -
// 		* ПараметрыУказанияСерий - Структура -
// 		* ЗаполнятьНеСобраннымиТоварами - Булево -
// 		* ЕстьНесобранныеТовары - Булево -
// 		* ЕстьОтгруженныеТовары - Булево -
// 		* РеализацияСверхЗаказа - Булево -
// 		* ДополнятьСтроки - Булево -
// 		* ЗаказЯвляетсяРаспоряжением - Булево -
// 		* СкладВТабличнойЧасти - Булево -
// 		* Склад - СправочникСсылка.Склады -
// 		* Товары - ТабличнаяЧасть -
// 		* Дата - Дата -
// 		* МассивРаспоряженийНаОтгрузку - Неопределено -
// 		* Ссылка - Неопределено -
//
Функция СтруктураДокументаДляЗаполненияПоФактическойОтгрузке() Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.СтруктураДокументаДляЗаполненияПоФактическойОтгрузке() 
```
</details>

## ЗаполнитьПоФактическойОтгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет табличные части документа по фактической отгрузке.
//
// Параметры:
// 		ОбъектДокумента - ДанныеФормыСтруктура - Объект документа для заполнения
// 		СтруктураДокументаОтгрузки - см. СтруктураДокументаДляЗаполненияПоФактическойОтгрузке
//
// Возвращаемое значение:
// 		Булево - Истина, если табличные части перезаполнены.
//
Функция ЗаполнитьПоФактическойОтгрузке(ОбъектДокумента, СтруктураДокументаОтгрузки) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ЗаполнитьПоФактическойОтгрузке(ОбъектДокумента, СтруктураДокументаОтгрузки) 
```
</details>

## ПроверитьКорректностьЗаполненияДокументаПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения документа продажи в соответствии с массивом проверок
// путем выполнения пакета запросов. Вызывается из процедуры документа "ОбработкаПроверкиЗаполнения".
//
// Параметры:
//  ДокументПродажи  - ДокументОбъект, ОбработкаОбъект.ПомощникПродаж, СправочникОбъект.СоглашенияСКлиентами -
// 										Объект, для которого необходимо осуществить проверки.
//  Отказ - Булево - Флаг отказа от проведения документа.
//
Процедура ПроверитьКорректностьЗаполненияДокументаПродажи(Знач ДокументПродажи, Отказ) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ПроверитьКорректностьЗаполненияДокументаПродажи(ДокументПродажи, Отказ) 
```
</details>

## ПроверитьНеобходимостьСогласованияУсловийПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения документа продажи в соответствии с массивом проверок
// путем выполнения пакета запросов. Вызывается из процедуры документа "ОбработкаПроверкиЗаполнения".
//
// Параметры:
// 	ДокументПродажи                      - ДокументСсылка - Документ, для которого необходимо осуществить проверки
// 	ЕстьОтклоненияОтЦеновыхУсловий       - Булево - Признак отклонения от ценовых условий
// 	ЕстьОтклоненияОтФинансовыхУсловий    - Булево - Признак отклонения отфинансовых условий
// 	ЕстьОтклоненияОтЛогистическихУсловий - Булево - Признак отклонения от логистических условий
//
Процедура ПроверитьНеобходимостьСогласованияУсловийПродажи(Знач ДокументПродажи, Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ПроверитьНеобходимостьСогласованияУсловийПродажи(ДокументПродажи, );
```
</details>

## ПроверитьКорректностьВозвращаемыхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения товаров документа возврата в соответствии
// с реализованными товарами с учетом корректировок.
// Вызывается из процедуры документа "ОбработкаПроверкиЗаполнения".
//
// Параметры:
// 	ДокументПродажи          - ДокументОбъект - Объект, для которого необходимо осуществить проверки
// 	ИмяТаблицы               - Строка - Имя таблицы Товары
// 	Отказ                    - Булево - Флаг отказа от проведения документа
// 	ТаблицаПроверяемыеТовары - ТаблицаЗначений
//
Процедура ПроверитьКорректностьВозвращаемыхТоваров(Знач ДокументПродажи, ИмяТаблицы, Отказ, ТаблицаПроверяемыеТовары = Неопределено) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ПроверитьКорректностьВозвращаемыхТоваров(ДокументПродажи, ИмяТаблицы, Отказ, ТаблицаПроверяемыеТовары);
```
</details>

## СформироватьОтчетОтклоненияОтУсловийПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует отчет "Отклонения от условий продаж" путем выполнения пакета запросов.
//
// Параметры:
// ДокументПродажи - ДокументОбъект -Документ, для которого необходимо осуществить проверки
// ТаблицаОтчета - ТабличныйДокумент - Табличный документ отчета.
//
Процедура СформироватьОтчетОтклоненияОтУсловийПродаж(Знач ДокументПродажи, ТаблицаОтчета) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.СформироватьОтчетОтклоненияОтУсловийПродаж(ДокументПродажи, ТаблицаОтчета) 
```
</details>

## ПроверитьВозможностьВводаНаОснованииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку возможности ввода документа на основании соглашения в зависимости от хозяйственной операции.
//
// Параметры:
//	ИмяДокумента       - Строка - имя документа, для которого определяются допустимые операции.
//	ОперацияСоглашения - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция соглашения.
//
Процедура ПроверитьВозможностьВводаНаОснованииСоглашения(ИмяДокумента, ОперацияСоглашения) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ПроверитьВозможностьВводаНаОснованииСоглашения(ИмяДокумента, ОперацияСоглашения) 
```
</details>

## ТекстОшибкиНетТоваровДоступныхДляОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст ошибки контроля остатков.
//
// Параметры:
// 	ВариантОформления - ПеречислениеСсылка.ВариантыОформленияПродажи
//
// Возвращаемое значение:
//  Строка - текст ошибки контроля остатков
//
Функция ТекстОшибкиНетТоваровДоступныхДляОтгрузки(ВариантОформления) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ТекстОшибкиНетТоваровДоступныхДляОтгрузки(ВариантОформления) 
```
</details>

## ЗаполнитьЦеныПоСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит "Цена" в товарной табличной части
//
// Параметры:
// 		ТабличнаяЧасть - ДанныеФормыКоллекция, ТабличнаяЧасть - Товарная табличная часть документа
// 		ВыделенныеСтроки - Массив - Массив выделенных строк
// 		ПараметрыЗаполнения - Структура - Структура параметров заполнения:
// 			* Дата 					- Дата - Дата документа (Обязательное)
// 			* Валюта 				- СправочникСсылка.Валюты - Валюта документа (Обязательное)
// 			* Соглашение 			- СправочникСсылка.СоглашенияСКлиентами - если параметр отсутствует,
// 									значит должен быть заполнен параметр "ВидЦены" (Обязательное).
// 			* ВидЦены 				- СправочникСсылка.ВидыЦен - если параметр отсутствует,
// 									значит должен быть заполнен параметр "Соглашение" (Обязательное).
// 			* ПоляЗаполнения		- Строка - Строка с перечислением заполняемых полей в таблице (Необязательное)
// 									Значение по умолчанию: "Цена"
// 									Дополнительные поля: "ВидЦены, СрокПоставки, СтавкаНДС".
// 			* КолонкиПоЗначению		- Структура - Структура для передачи в качестве параметра "КолонкиПоЗначению"
// 									в функцию "ОбщегоНазначенияУТ.ВыгрузитьТаблицуЗначений" (Необязательное).
// 			* ДругиеИменаКолонок	- Структура - Структура для передачи в качестве параметра "НовыеИменаКолонок"
// 									в функцию "ОбщегоНазначенияУТ.ВыгрузитьТаблицуЗначений" (Необязательное).
// 		СтруктураДействий - Структура - Стандартная структура действий со строками
// 									для вызова "ОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧ".
// 		КэшированныеЗначения - Структура - Структура кэшированных значений.
//
// Возвращаемое значение:
//   Булево - Истина, если цены успешно заполнены.
//
Функция ЗаполнитьЦеныПоСебестоимости(ТабличнаяЧасть, ВыделенныеСтроки, ПараметрыЗаполнения, СтруктураДействий = Неопределено, КэшированныеЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ЗаполнитьЦеныПоСебестоимости(ТабличнаяЧасть, ВыделенныеСтроки, ПараметрыЗаполнения, СтруктураДействий, КэшированныеЗначения);
```
</details>

## ПолучитьУсловияПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру условий продаж по торговому соглашению.
//
// Параметры:
// 	Соглашение - СправочникСсылка.СоглашенияСКлиентами - ссылка на соглашение с клиентом
// 	УчитыватьГруппыСкладов - Булево
// 	ИсключитьГруппыСкладовДоступныеВЗаказах - Булево
//
// Возвращаемое значение:
// 	Структура - Структура, включающая условия продаж.
//
Функция ПолучитьУсловияПродаж(Знач Соглашение, Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьУсловияПродаж(Соглашение, );
```
</details>

## ПолучитьУсловияПродажПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру условий продаж по партнеру.
//
// Параметры:
//   Партнер           - СправочникСсылка.Партнеры - на партнера, для которого необходимо получить условия продаж.
//   ПараметрыОтбора   - Структура - содержит параметры отбора соглашения.
//   СоглашенияСКлиентамиПрименимы - Булево - признак применяемости соглашений.
//
// Возвращаемое значение:
//   Структура - содержит условия продаж по умолчанию.
//
Функция ПолучитьУсловияПродажПоУмолчанию( Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьУсловияПродажПоУмолчанию();
```
</details>

## ПолучитьПоследнююДатуПоГрафику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату последнего этапа по графику.
//
// Параметры:
//   ДатаДокумента       - Дата - дата, от которой необходимо получить последнюю дату по графику.
//   ГрафикОплаты        - СправочникСсылка.ГрафикиОплаты - ссылка на график оплаты.
//   СоглашениеСКлиентом - СправочникСсылка.СоглашенияСКлиентами - ссылка на соглашение с клиентом.
//
// Возвращаемое значение:
//   Число - Последняя дата по графику с учетом календаря.
//
Функция ПолучитьПоследнююДатуПоГрафику(Знач ДатаДокумента, Знач ГрафикОплаты,  Знач СоглашениеСКлиентом) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьПоследнююДатуПоГрафику(ДатаДокумента, ГрафикОплаты, СоглашениеСКлиентом) 
```
</details>

## ПолучитьОтветственногоПоСкладу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру по ответственному лицу указанного склада
// В случае если склад является группой, возвращает значения,
// 		использовавшиеся в последнем документе указанного менеджера с указанным складом.
//
// Параметры:
// 		Склад - СправочникСсылка.Склады - Склад/Группа складов
//
// Возвращаемое значение:
// 		Структура - Структура с полями:
// 		* Ответственный - СправочникСсылка.ФизическиеЛица - Ответственное лицо
// 		* ОтветственныйДолжность - Строка - Должность ответственного лица
//
Функция ПолучитьОтветственногоПоСкладу(Склад) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьОтветственногоПоСкладу(Склад) 
```
</details>

## ПолучитьДоговорПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск действующего договора с контрагентом по заданным реквизитам.
// Если найден один действующий договор, возвращает ссылку на него, в противном случае - пустую ссылку.
//
// Параметры:
//   Объект                  - ДокументОбъект - Объект, из которого будут взяты основные параметры для поиска.
//   ХозяйственныеОперации   - ПеречислениеСсылка.ХозяйственныеОперации, Массив - Одна или несколько хозяйственных
//                             операций (тип договора).
//   ВалютаВзаиморасчетов    - СправочникСсылка.Валюты - Валюта взаиморасчетов с партнером по договору.
//   НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - Направление деятельности искомого договора.
//                             Если не задано, то ведется поиск по всем направлениям.
//   КомиссионныеПродажи25   - Булево - Признак отнесения договора к комиссионным продажам версии 2.5.
//                             Если не задано, то признак игнорируется.
//
// Возвращаемое значение:
//   СправочникСсылка.ДоговорыКонтрагентов  - договор контрагента по умолчанию.
//
Функция ПолучитьДоговорПоУмолчанию( Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьДоговорПоУмолчанию();
```
</details>

## ПолучитьДоговорМеждуОрганизациямиПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск действующего договора между организациями по заданным реквизитам.
// Если найден один действующий договор, возвращает ссылку на него, в противном случае - пустую ссылку.
//
// Параметры:
//	Объект					- ДокументОбъект - объект документа, из которого будут взяты основные параметры для поиска.
//	ХозяйственныеОперации	- ПеречислениеСсылка.ТипыДоговоровМеждуОрганизациями,
//								Массив - значение или несколько значений типов договоров.
//	ТипДоговора				- ПеречислениеСсылка.ТипыДоговоровМеждуОрганизациями -
//	ВалютаВзаиморасчетов	- СправочникСсылка.Валюты - валюта взаиморасчетов между организациями.
//	НаправлениеДеятельности	- СправочникСсылка.НаправленияДеятельности - Направление деятельности искомого договора.
//																			Если не задано, то ведется поиск
//																			по всем направлениям.
//
// Возвращаемое значение:
//	СправочникСсылка.ДоговорыМеждуОрганизациями - договор по умолчанию.
//
Функция ПолучитьДоговорМеждуОрганизациямиПоУмолчанию(Объект, Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьДоговорМеждуОрганизациямиПоУмолчанию(Объект, );
```
</details>

## УстановитьДоступностьДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает свойства доступности и видимости реквизита договора в зависимости от данных соглашения.
//
// Параметры:
//	Объект				- ДанныеФормыСтруктура					- Объект документа, для которого выполняется настройка свойств договора.
//	ДоступностьЭлемента	- Булево								- Признак использования свойства доступности элемента Договор на форме документа.
//	ВидимостьЭлемента	- Булево								- Признак использования свойства видимости элемента Договор на форме документа.
//	Договор				- СправочникСсылка.ДоговорыКонтрагентов	- Договор документа.
//
Процедура УстановитьДоступностьДоговора(Объект, ДоступностьЭлемента, ВидимостьЭлемента, Договор = Неопределено) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.УстановитьДоступностьДоговора(Объект, ДоступностьЭлемента, ВидимостьЭлемента, Договор);
```
</details>

## УстановитьОтметкуНезаполненногоДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает отметку незаполненности в зависимости от настроек системы.
//
//	Параметры:
//		ЭлементыФормы        - ВсеЭлементыФормы - элементы формы документа
//		ИмяЭлемента          - Строка           - имя элемента формы договора.
//		ИспользуютсяДоговора - Булево           - признак обязательности использования договора в объекте.
//
Процедура УстановитьОтметкуНезаполненногоДоговора(ЭлементыФормы, ИмяЭлемента, ИспользуютсяДоговора = Ложь) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.УстановитьОтметкуНезаполненногоДоговора(ЭлементыФормы, ИмяЭлемента, ИспользуютсяДоговора);
```
</details>

## ЗаполнитьБанковскиеСчетаПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет банковский счета документа по договору.
//
// Параметры:
//		Договор - СправочникСсылка.ДоговорыКонтрагентов - Договор;
//		БанковскийСчетОрганизации - СправочникСсылка.БанковскиеСчетаОрганизаций - Банковский счет организации;
//		БанковскийСчетКонтрагента - СправочникСсылка.БанковскиеСчетаКонтрагентов - Банковский счет контрагента.
//
Процедура ЗаполнитьБанковскиеСчетаПоДоговору(Договор, БанковскийСчетОрганизации = Неопределено, БанковскийСчетКонтрагента = Неопределено) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ЗаполнитьБанковскиеСчетаПоДоговору(Договор, БанковскийСчетОрганизации, БанковскийСчетКонтрагента);
```
</details>

## ПересчитатьСуммуДокументаВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура пересчитывает сумму документа в новую валюту.
//
// Параметры:
// Объект           - ДанныеФормыСтруктура - Текущий документ
// СтараяВалюта     - СправочникСсылка.Валюты - Исходная валюта
// НоваяВалюта      - СправочникСсылка.Валюты - Новая валюта
// ЕстьСуммаПродажи - Булево - признак наличия колонки СуммаПродаж в табличной части
// ЕстьСуммаПродажиНДС - Булево - признак наличия колонки СуммаПродажНДС в табличной части.
//
Процедура ПересчитатьСуммуДокументаВВалюту(Объект, Знач СтараяВалюта, Знач НоваяВалюта, Знач ЕстьСуммаПродажи = Истина, Знач ЕстьСуммаПродажиНДС = Ложь) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ПересчитатьСуммуДокументаВВалюту(Объект, СтараяВалюта, НоваяВалюта, ЕстьСуммаПродажи, ЕстьСуммаПродажиНДС);
```
</details>

## ЗаполнитьСуммыАвансаПредоплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура пересчитывает сумму документа в новую валюту.
//
// Параметры:
// ДокументОбъект - ДанныеФормыСтруктура - документ, в котором необходимо заполнить суммы аванса и предоплаты.
//
Процедура ЗаполнитьСуммыАвансаПредоплаты(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ЗаполнитьСуммыАвансаПредоплаты(ДокументОбъект) 
```
</details>

## СформироватьПредставлениеКомандФормированияСчетаФактурыНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для использования с методами программного интерфейса УчетНДСУП
// Формирует представление команд формирования только счета фактуры на основании переданной структуры по счету фактуры,
// возвращаемой функциями УчетНДСУП.СчетаФактурыВыданныеНаОсновании() или УчетНДСУП.СчетаФактурыПолученныеНаОсновании().
//
// Параметры:
//	Основание - ДокументСсылка - Документ, на основании которого вводится счет-фактура/чек
//	СчетаФактурыНаОсновании - см. УчетНДСУП.СчетаФактурыВыданныеНаОсновании
//
// Возвращаемое значение:
//	Строка, ФорматированнаяСтрока - Представление в параметре ПараметрыДляФормированияПредставления дополненное
//                                  форматированным текстом представления счета фактуры в документе.
Функция СформироватьПредставлениеКомандФормированияСчетаФактурыНаОсновании(Основание, СчетаФактурыНаОсновании = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.СформироватьПредставлениеКомандФормированияСчетаФактурыНаОсновании(Основание, СчетаФактурыНаОсновании);
```
</details>

## УстановитьРежимВыбораГруппЭлементовСклада
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает режим выбора групп и элементов у склада на форме
//
// Параметры:
//  Склад - ПолеФормы - поле формы, в котором необходимо установить режим.
//
Процедура УстановитьРежимВыбораГруппЭлементовСклада(Склад) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.УстановитьРежимВыбораГруппЭлементовСклада(Склад) 
```
</details>

## ПолучитьДоступныеДоговоры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает все доступные договоры для переданных параметров
//
// Параметры:
// 		ТекущийДоговор - СправочникСсылка.ДоговорыКонтрагентов - Ссылка на текущий договор
// 		Партнер - СправочникСсылка.Партнеры - Деловой партнер предприятия, которому осуществляются продажи;
//		Контрагент - СправочникСсылка.Контрагенты - Контрагент, с которым заключен договор;
//		Организация - СправочникСсылка.Организации - Организация предприятия, от имени которой заключен договор;
//		ХозяйственныеОперации - ПеречислениеСсылка.ХозяйственныеОперации, Массив - Одна или несколько хозяйственных операций (тип договора);
//		ВалютаВзаиморасчетов - СправочникСсылка.Валюты - Валюта взаиморасчетов с партнером по договору;
//		Соглашение - СправочникСсылка.СоглашенияСКлиентами - Если не задан порядок, он будет получен из соглашения с клиентом.
//
// Возвращаемое значение:
// 		Массив - массив доступных договоров.
//
Функция ПолучитьДоступныеДоговоры( Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьДоступныеДоговоры();
```
</details>

## ПроверитьНаличиеКорректировок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие корректировок и счетов-фактур, введенных на основании изменяемого документа.
//
// Параметры:
// Ссылка - ДокументСсылка - Изменяемый документ
// Основание - ДокументСсылка - Основание для корректировок
// ЕстьКорректировки - Булево - ВозвращаемыйПараметр. Признак наличия корректировок изменяемого документа.
//
Процедура ПроверитьНаличиеКорректировок(Ссылка, Основание, ЕстьКорректировки) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ПроверитьНаличиеКорректировок(Ссылка, Основание, ЕстьКорректировки) 
```
</details>

## ЗаполнитьРеализацииИЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет документы реализаций и цены в табличной части документов возврата
//
// Параметры:
//		ДокументВозврата - ДокументОбъект.ЗаявкаНаВозвратТоваровОтКлиента, ДокументОбъект.ВозвратТоваровОтКлиента -
//		ИмяТаблицы - Строка - Имя таблицы Товары
Процедура ЗаполнитьРеализацииИЦены(ДокументВозврата, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ЗаполнитьРеализацииИЦены(ДокументВозврата, ИмяТаблицы) 
```
</details>

## ОбновитьИнформациюПоРеализациямВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет информацию о количестве документов реализаций в табличной части документа возврата.
//
// Параметры:
//		СписокРеализаций - СписокЗначений - Список значений, содержащий список документов реализаций
//		РеализацияВШапке - Неопределено - Ссылка на документ реализации в шапке документа
//		НадписьЗаголовок - Строка - Надпись, содержащая информацию о количестве документов реализаций
//		ЭлементыФормы - ЭлементыФормы - Элементы формы документа возврата
//		КолонкаВТабличнойЧасти - Неопределено - Колонка табличной части, содержащая документы реализации
//		ТабличнаяЧасть - ТабличнаяЧасть - Табличная часть документа возврата
//		ИмяРеализацииВТабличнойЧасти - Строка - Название колонки с документами реализаций в табличной части.
//
Процедура ОбновитьИнформациюПоРеализациямВФорме(СписокРеализаций, Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ОбновитьИнформациюПоРеализациямВФорме(СписокРеализаций, );
```
</details>

## ЗаполнитьВозвращаемыеТоварыПоЧеку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет документ возврата товарами по чеку ККМ
//
// Параметры:
//		ДокументВозврата - ДокументОбъект.ЗаявкаНаВозвратТоваровОтКлиента, ДокументОбъект.ВозвратТоваровОтКлиента -
//		ИмяТаблицы - Строка - Имя таблицы Товары.
Процедура ЗаполнитьВозвращаемыеТоварыПоЧеку(ДокументВозврата, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ЗаполнитьВозвращаемыеТоварыПоЧеку(ДокументВозврата, ИмяТаблицы) 
```
</details>

## ОбновитьОграничениеЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет отображение ограничения задолженности в форме документа
//
// Параметры:
//	Договор           - СправочникСсылка.ДоговорыКонтрагентов - Договор, указанный в документе
//	Дата              - Дата - Дата, на которую рассчитывается сумма просроченной задолженности
//	Текст             - Строка - Реквизит, которому присваивается текстовая строка об остатке допустимого кредита
//	ВидимостьТекста   - Булево - Реквизит, которому присваивается значение видимости строки об остатке допустимого кредита
//	ЦветТекста        - ЦветаСтиля - Реквизит, которому присваивается значение цвета строки об остатке допустимого кредита
//	ВидимостьКартинки - Булево - Реквизит, которому присваивается значение видимости картинки о запрете отгрузки.
//
Процедура ОбновитьОграничениеЗадолженности(Договор, Дата, Текст, ВидимостьТекста, ЦветТекста, ВидимостьКартинки) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ОбновитьОграничениеЗадолженности(Договор, Дата, Текст, ВидимостьТекста, ЦветТекста, ВидимостьКартинки) 
```
</details>

## ПоместитьВременнуюТаблицуКоэффициентыУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует временную таблицу, содержащую коэффициенты упаковок по таблице товаров.
//
// Параметры:
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Менеджер временных таблиц, содержащий таблицу ТаблицаТоваров с полями:
// Ссылка,
// НомерСтроки,
// Номенклатура,
// Упаковка,
// КоличествоУпаковок,
// Количество.
//  ИмяТаблицыТоваров - Строка - Имя таблицы товаров
Процедура ПоместитьВременнуюТаблицуКоэффициентыУпаковок(МенеджерВременныхТаблиц, ИмяТаблицыТоваров = "ТаблицаТоваров") Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ПоместитьВременнуюТаблицуКоэффициентыУпаковок(МенеджерВременныхТаблиц, ИмяТаблицыТоваров);
```
</details>

## ТекстВременнойТаблицыКоэффициентовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст временной таблицы коэффициентов упаковок.
//
// Параметры:
//  ИмяТаблицыТоваров - Строка - Имя таблицы товаров
//
// Возвращаемое значение:
//  Строка - Текст временной таблицы коэффициентов упаковок
Функция ТекстВременнойТаблицыКоэффициентовУпаковок(ИмяТаблицыТоваров = "ТаблицаТоваров") Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ТекстВременнойТаблицыКоэффициентовУпаковок(ИмяТаблицыТоваров);
```
</details>

## ПартнерПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет связанные с партнером реквизиты при изменении партнера
//
// Параметры:
//	Объект           - ДокументОбъект - Документ продажи.
//
Процедура ПартнерПриИзменении(Объект) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ПартнерПриИзменении(Объект) 
```
</details>

## ПараметрыЗаполненияВременнойТаблицыТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования временной таблицы товаров
// для функции менеджеров документов ПоместитьВременнуюТаблицуТоваров().
//
// Возвращаемое значение:
// Структура - состав:
//	* ПересчитыватьВВалютуРегл - Булево - Признак необходимости пересчета сумм табличной части в валюту регламентированного учета.
//	* ВключаяНомераГТД - Булево - Выводить номера ГТД.
//	* ВключаяДоКорректировки - Булево - Формировать дополнительные показатели изменений для документов корректировки.
//	* АктуализироватьРасчеты - Булево - Актуализировать последовательность расчетов по документам с клиентами при необходимости.
//
Функция ПараметрыЗаполненияВременнойТаблицыТоваров() Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПараметрыЗаполненияВременнойТаблицыТоваров() 
```
</details>

## ИспользоватьЗаказКлиентаКакСчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование расширенных возможностей документа 'Заказ клиента'.
//
// Параметры:
//	Документ - ДокументСсылка - ссылка на проверяемый документ.
//
// Возвращаемое значение:
//	Булево - Истина, признак использования документом 'Заказ клиента', расширенных возможностей.
//
Функция ИспользоватьЗаказКлиентаКакСчет(Документ) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ИспользоватьЗаказКлиентаКакСчет(Документ) 
```
</details>

## ПолучениеТекстовПолейДокументовНаОснованииВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив текстов полей сформированных на основании документов в фоне.
//
// Параметры:
//  ФормаДокумента - ФормаКлиентскогоПриложения - в форме должены быть реквизиты:
//    * ТекстДокументыНаОсновании - ФорматированнаяСтрока - реквизит должен быть размещен в элеменете с именем ТекстДокументыНаОсновании.
//    * КомиссионныеПродажи25 - Булево - режим комиссионных продаж.
//    * ДокументыНаОсновании - СписокЗначений - Список, в который будут помещены найденные документы.
//  ДокументОбъект - ДокументОбъект - документ, по которому необходимо сформировать параметры.
//
// Возвращаемое значение:
//  Структура:                  - см. ДлительныеОперации.ВыполнитьВФоне
//
Функция ПолучениеТекстовПолейДокументовНаОснованииВФоне(ФормаДокумента, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучениеТекстовПолейДокументовНаОснованииВФоне(ФормаДокумента, ДокументОбъект) 
```
</details>

## ТекстыПолейДокументовНаОснованииВХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещаяет данные по документам созданным на основании во временное хранилище.
//
// Параметры:
//  Параметры - Структура - Параметры вызова процедуры.
//  АдресХранилища - Строка - адрес временного хранилища.
Процедура ТекстыПолейДокументовНаОснованииВХранилище(Параметры, АдресХранилища) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ТекстыПолейДокументовНаОснованииВХранилище(Параметры, АдресХранилища) 
```
</details>

## СписокТиповДокументовНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СписокТиповДокументовНавигационнойСсылки(Объект, КомиссионныеПродажи25) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.СписокТиповДокументовНавигационнойСсылки(Объект, КомиссионныеПродажи25));
```
</details>

## ПолучитьДокументыНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьДокументыНаОсновании(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьДокументыНаОсновании(ДокументСсылка) 
```
</details>

## СформироватьТекстыПолейДокументовНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив текстов сформированных на основании документов
//
// Параметры:
// 	АдресРезультата - Строка
// 	ТекстыПоляДокументыНаОсновании - Массив из ФорматированнаяСтрока
// 	ДокументыНаОсновании - СписокЗначений - Список, в который будут помещены найденные документы
// 	СписокТиповДокументовДляОформления - СписокЗначений - Список типов документов, которые можно оформлять
//  ДанныеРезультата - Неопределено, Структура - Данные результата:
// * ВыгрузкаДокументовПоТипу - ТаблицаЗначений, ДеревоЗначений -
// * ВыгрузкаДокументов - ТаблицаЗначений -
//
Процедура СформироватьТекстыПолейДокументовНаОсновании(АдресРезультата, ТекстыПоляДокументыНаОсновании, Экспорт
```

Пример вызова
```bsl
ПродажиСервер.СформироватьТекстыПолейДокументовНаОсновании(АдресРезультата, ТекстыПоляДокументыНаОсновании, );
```
</details>

## ПараметрыМассыПрописью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует параметры для выводы массы прописью.
// Например, в виде "Двадцать три т. триста сорок три кг.".
//
// Параметры:
//  Масса - Число
//  КоэффициентПересчетаВТонны - Число
//
// Возвращаемое значение:
//  Структура:
//  * Формат - строка
//  * Коэффициент - Число
//
Функция ПараметрыМассыПрописью(Масса, КоэффициентПересчетаВТонны) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПараметрыМассыПрописью(Масса, КоэффициентПересчетаВТонны) 
```
</details>

## ПроцентПрироста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает процент прироста с учетом наличия отрицательных значений.
//
// Параметры:
//	ПредыдущееЗначение - Число
//	ТекущееЗначение - Число
//
// Возвращаемое значение:
//	Число
//
Функция ПроцентПрироста(ПредыдущееЗначение, ТекущееЗначение) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПроцентПрироста(ПредыдущееЗначение, ТекущееЗначение) 
```
</details>

## ЭтоДоговорПоНовойКомиссии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это договор по новой комиссии.
//
// Параметры:
//  Договор - СправочникСсылка.ДоговорыКонтрагентов
//
// Возвращаемое значение:
//  Булево - Это договор по новой комиссии
Функция ЭтоДоговорПоНовойКомиссии(Договор) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ЭтоДоговорПоНовойКомиссии(Договор) 
```
</details>

## ЭтоСоглашениеПоНовойКомиссии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это соглашение по новой комиссии.
//
// Параметры:
//  Соглашение - СправочникСсылка.СоглашенияСКлиентами
//
// Возвращаемое значение:
//  Булево - Это соглашение по новой комиссии
Функция ЭтоСоглашениеПоНовойКомиссии(Соглашение) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ЭтоСоглашениеПоНовойКомиссии(Соглашение) 
```
</details>

## ЗаполнитьДанныеВыбораАналитикиРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные выбора во время автоподбора аналитики по введенному тексту.
//
// Параметры:
//  ДанныеВыбора - СписокЗначений - Список значений для заполнения.
//  Текст - Строка - Текст, введенный в поле.
//
Процедура ЗаполнитьДанныеВыбораАналитикиРасходов(ДанныеВыбора, Текст) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ЗаполнитьДанныеВыбораАналитикиРасходов(ДанныеВыбора, Текст) 
```
</details>

## ТипыСсылокДокументыРеализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает массив идентификаторов объектов метаданных,
// соответствующих документам реализации.
// Используется в "ОбщиеФормы.ВыборАналитикиРасходов".
//
// Параметры:
//	ДляВыбораАналитикиРасходов - Булево - вызов функции из формы выбора аналитики расходов
//
// Возвращаемое значение:
//   Массив - массив идентификаторов объектов метаданных.
//
Функция ТипыСсылокДокументыРеализации(ДляВыбораАналитикиРасходов = ЛОЖЬ) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ТипыСсылокДокументыРеализации(ДляВыбораАналитикиРасходов);
```
</details>

## ОперацииПередачиТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения хозяйственных операций передачи товаров.
//
// Возвращаемое значение:
//	Массив - значения хозяйственных операций передачи товаров.
//
Функция ОперацииПередачиТоваров() Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ОперацииПередачиТоваров() 
```
</details>

## ОперацииВозвратаПереданныхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения хозяйственных операций возврата переданных товаров.
//
// Возвращаемое значение:
//	Массив - значения хозяйственных операций возврата переданных товаров.
//
Функция ОперацииВозвратаПереданныхТоваров() Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ОперацииВозвратаПереданныхТоваров() 
```
</details>

## ПолучитьХозяйственнуюОперациюРеализацииПоВозврату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет хозяйственную операцию реализации по хозяйственной операции возврата
//
// Параметры:
//   ХозяйственнаяОперацияВозврат - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция возврата.
//
// Возвращаемое значение:
//   ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция реализации.
//
Функция ПолучитьХозяйственнуюОперациюРеализацииПоВозврату(Знач ХозяйственнаяОперацияВозврат) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ПолучитьХозяйственнуюОперациюРеализацииПоВозврату(ХозяйственнаяОперацияВозврат) 
```
</details>

## ТипыНоменклатурыСАналитикойПодразделение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список предопределенных типов номенклатуры, для которых в необходимо указывать
// аналитику по подразделениям. Используется в документах продаж.
//
// Возвращаемое значение:
// 	СписокЗначений
//
Функция ТипыНоменклатурыСАналитикойПодразделение() Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ТипыНоменклатурыСАналитикойПодразделение() 
```
</details>

## ХозяйственнаяОперацияСоСтавкойБезНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возврат признака, что по данной хозяйственной операции необходимо указать ставку БезНДС.
//
// Параметры:
//  ХозяйственнаяОперация - проверяемая хозяйственная операция.
//
// Возвращаемое значение:
//  Булево - признак, что необходимо установить ставку БезНДС.
//
Функция ХозяйственнаяОперацияСоСтавкойБезНДС(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = ПродажиСервер.ХозяйственнаяОперацияСоСтавкойБезНДС(ХозяйственнаяОперация) 
```
</details>

## УстановитьПорядокРасчетовМеждуОрганизациями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает порядок расчетов между организациями в зависимости от выбранных договоров с посредником.
//
// Параметры:
//  ДокументОбъект - ДокументОбъект.ПередачаТоваровМеждуОрганизациями,
//  	ДокументОбъект.ВозвратТоваровМеждуОрганизация,
//  	ДокументОбъект.ОтчетПоКомиссииМеждуОрганизациями,
//  	ДокументОбъект.ОтчетПоКомиссииМеждуОрганизациямиОСписании - объект документа.
//
Процедура УстановитьПорядокРасчетовМеждуОрганизациями(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.УстановитьПорядокРасчетовМеждуОрганизациями(ДокументОбъект) 
```
</details>

## ДополнитьТекстЗапросаЗаполнитьУсловияПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения условий продаж.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - Структура
//
Процедура ДополнитьТекстЗапросаЗаполнитьУсловияПродаж(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ПродажиСервер.ДополнитьТекстЗапросаЗаполнитьУсловияПродаж(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
