---
title: Продукция ВЕТИС вызов сервера
slug: erp-uh/продукция-ветис-вызов-сервера
---


## СпособХраненияПриТранспортировке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит значение перечисления в строку и обратно, для обмена с ВетИС
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.СпособыХраненияПриТранспортировкеВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.СпособыХраненияПриТранспортировкеВЕТИС - значение после перекодировки
//
Функция СпособХраненияПриТранспортировке(ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.СпособХраненияПриТранспортировке(ЗначениеПоиска) 
```
</details>

## ЗаписьЖурналаСодержитПродукциюЧетвертогоУровня
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Определяет, содержит ли запись складского учета продукцию четвертого уровня.
//
// Параметры:
// 	ЗаписьСкладскогоЖурнала - СправочникСсылка.ЗаписиСкладскогоЖурналаВЕТИС - проверяемая запись
// Возвращаемое значение:
// 	Булево - Возвращает истину, если запись складского журнала содержит продукцию четвертого уровня
//
Функция ЗаписьЖурналаСодержитПродукциюЧетвертогоУровня(ЗаписьСкладскогоЖурнала) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ЗаписьЖурналаСодержитПродукциюЧетвертогоУровня(ЗаписьСкладскогоЖурнала) 
```
</details>

## СтрокиТоваровСПродукциейТретьегоУровня
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив номеров строк из ТЧ Товары, содержащих продукцию третьего уровня.
//
// Параметры:
//  Товары - ТаблицаЗначений - таблица для проверки
//   * НомерСтроки             - Число                                         - Номер строки в ТЧ
//   * ЗаписьСкладскогоЖурнала - СправочникСсылка.ЗаписиСкладскогоЖурналаВЕТИС - Запись складского журнала из ТЧ
//   * Продукция               - СправочникСсылка.ПродукцияВЕТИС               - Продукция из ТЧ
// Возвращаемое значение:
// 	Массив - список номеров строк, содержащих продукцию третьего уровня.
//
Функция СтрокиТоваровСПродукциейТретьегоУровня(Товары) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.СтрокиТоваровСПродукциейТретьегоУровня(Товары) 
```
</details>

## ТипыПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие типов продукции ВетИС.
//
// Возвращаемое значение:
//  Соответствие - Соответствие типов продукции.
//
Функция ТипыПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ТипыПродукции() 
```
</details>

## ТипПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит значение перечисления в число и обратно, для обмена с ВетИС
//
// Параметры:
//  ЗначениеПоиска - Число, СправочникСсылка.ПродукцияВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Число, СправочникСсылка.ПродукцияВЕТИС - значение после перекодировки
//
Функция ТипПродукции(ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ТипПродукции(ЗначениеПоиска) 
```
</details>

## ТипТранспорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит значение перечисления в число и обратно, для обмена с ВетИС
//
// Параметры:
//  ЗначениеПоиска - Число, ПеречислениеСсылка.ТипыТранспортаВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Число, СправочникСсылка.ПродукцияВЕТИС - значение после перекодировки
//
Функция ТипТранспорта(ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ТипТранспорта(ЗначениеПоиска) 
```
</details>

## ТипМаркировкиУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит значение перечисления в строку и обратно, для обмена с ВетИС
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ТипыМаркировкиУпаковокВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ТипыМаркировкиУпаковокВЕТИС - значение после перекодировки
//
Функция ТипМаркировкиУпаковки(ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ТипМаркировкиУпаковки(ЗначениеПоиска) 
```
</details>

## ТипПроисхожденияНепищевойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит значение перечисления в строку и обратно, для обмена с ВетИС
//
// Параметры:
//  ЗначениеПоиска - Строка, ПеречислениеСсылка.ТипыПроисхожденияНепищевойПродукцииВЕТИС - значение для перекодировки
//
// Возвращаемое значение:
//  Строка, ПеречислениеСсылка.ТипыПроисхожденияНепищевойПродукцииВЕТИС - значение после перекодировки
//
Функция ТипПроисхожденияНепищевойПродукции(ЗначениеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ТипПроисхожденияНепищевойПродукции(ЗначениеПоиска) 
```
</details>

## ТребуетсяУказаниеТипаПроисхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТребуетсяУказаниеТипаПроисхождения(Продукция) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ТребуетсяУказаниеТипаПроисхождения(Продукция) 
```
</details>

## ТребованиеТипаПроисхожденияПоТипуПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТребованиеТипаПроисхожденияПоТипуПродукции(ТипПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ТребованиеТипаПроисхожденияПоТипуПродукции(ТипПродукции) 
```
</details>

## ПродукцияПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает продукцию по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция ПродукцияПоGUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ПродукцияПоGUID(Идентификатор, ПараметрыОбмена);
```
</details>

## ПродукцияПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает продукцию по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция ПродукцияПоUUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ПродукцияПоUUID(Идентификатор, ПараметрыОбмена);
```
</details>

## СписокПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список продукции.
//
// Параметры:
//  КодТипаПродукции - Число - Код типа продукции.
//  НомерСтраницы - Число - Номер страницы.
//  ПоискСсылок - Булево - Поиск существующих ссылок в ИБ.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокПродукции(КодТипаПродукции, НомерСтраницы = 1, ПоискСсылок = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.СписокПродукции(КодТипаПродукции, НомерСтраницы, ПоискСсылок);
```
</details>

## ИсторияИзмененийПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период элементов продукции.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийПродукции(Интервал, НомерСтраницы = 1, Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ИсторияИзмененийПродукции(Интервал, НомерСтраницы, );
```
</details>

## ВидПродукцииПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид продукции по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция ВидПродукцииПоGUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ВидПродукцииПоGUID(Идентификатор, ПараметрыОбмена);
```
</details>

## ВидПродукцииПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид продукции по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция ВидПродукцииПоUUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ВидПродукцииПоUUID(Идентификатор, ПараметрыОбмена);
```
</details>

## СписокВидовПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список видов продукции.
//
// Параметры:
//  НомерСтраницы - Число - Номер страницы.
//  ПоискСсылок - Булево - Поиск существующих ссылок в ИБ.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокВидовПродукции(GUIDПродукции, НомерСтраницы = 1, ПоискСсылок = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.СписокВидовПродукции(GUIDПродукции, НомерСтраницы, ПоискСсылок);
```
</details>

## ИсторияИзмененийВидовПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период видов продукции.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийВидовПродукции(Интервал, НомерСтраницы = 1, Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ИсторияИзмененийВидовПродукции(Интервал, НомерСтраницы, );
```
</details>

## НаименованиеПродукцииПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование продукции по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция НаименованиеПродукцииПоGUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.НаименованиеПродукцииПоGUID(Идентификатор, ПараметрыОбмена);
```
</details>

## НаименованиеПродукцииПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование продукции по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция НаименованиеПродукцииПоUUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.НаименованиеПродукцииПоUUID(Идентификатор, ПараметрыОбмена);
```
</details>

## СписокНаименованийПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список наименований продукции.
//
// Параметры:
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокНаименованийПродукции(ПараметрыОтбора, НомерСтраницы = 1) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.СписокНаименованийПродукции(ПараметрыОтбора, НомерСтраницы);
```
</details>

## ИсторияИзмененийНаименованийПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период наименований продукции.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийНаименованийПродукции(Интервал, НомерСтраницы = 1, Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ИсторияИзмененийНаименованийПродукции(Интервал, НомерСтраницы, );
```
</details>

## ИдентификаторыТипаВидаПродукцииПоНаименованиюПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИдентификаторыТипаВидаПродукцииПоНаименованиюПродукции(ПродукцияСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ИдентификаторыТипаВидаПродукцииПоНаименованиюПродукции(ПродукцияСсылка) 
```
</details>

## ИнформацияОВидеТипеПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИнформацияОВидеТипеПродукции(Знач ТипПродукции, Знач Продукция, Знач ВидПродукции, ДобавитьВЗаголовокПолныйПуть = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПродукцияВЕТИСВызовСервера.ИнформацияОВидеТипеПродукции(ТипПродукции, Продукция, ВидПродукции, ДобавитьВЗаголовокПолныйПуть);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
