---
title: Производство без заказа локализация
slug: erp-uh/производство-без-заказа-локализация
---


## ОбработкаПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый документ.
//  Отказ - Булево - Признак проведения документа.
//                   Если в теле процедуры-обработчика установить данному параметру значение Истина,
//                   то проведение документа выполнено не будет.
//  РежимПроведения - РежимПроведенияДокумента - В данный параметр передается текущий режим проведения.
//
Процедура ОбработкаПроведения(Объект, Отказ, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ПроизводствоБезЗаказаЛокализация.ОбработкаПроведения(Объект, Отказ, РежимПроведения) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект
//  Отказ - Булево - Если в теле процедуры-обработчика установить данному параметру значение Истина,
//                   то будет выполнен отказ от продолжения работы после выполнения проверки заполнения.
//  ПроверяемыеРеквизиты - Массив - Массив путей к реквизитам, для которых будет выполнена проверка заполнения.
//
Процедура ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ПроизводствоБезЗаказаЛокализация.ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект.
//  ДанныеЗаполнения - Произвольный - Значение, которое используется как основание для заполнения.
//  ТекстЗаполнения - Строка - В данный параметр передается признак выполнения стандартной (системной) обработки события.
//  СтандартнаяОбработка - Булево - В данный параметр передается признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаЗаполнения(Объект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроизводствоБезЗаказаЛокализация.ОбработкаЗаполнения(Объект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ОбработкаУдаленияПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект
//  Отказ - Булево - Признак отказа от записи.
//                   Если в теле процедуры-обработчика установить данному параметру значение Истина,
//                   то запись выполнена не будет и будет вызвано исключение.
//
Процедура ОбработкаУдаленияПроведения(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ПроизводствоБезЗаказаЛокализация.ОбработкаУдаленияПроведения(Объект, Отказ) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект
//  Отказ - Булево - Признак отказа от записи.
//                   Если в теле процедуры-обработчика установить данному параметру значение Истина,
//                   то запись выполнена не будет и будет вызвано исключение.
//  РежимЗаписи - РежимЗаписиДокумента - В параметр передается текущий режим записи документа. Позволяет определить в теле процедуры режим записи.
//  РежимПроведения - РежимПроведенияДокумента - В данный параметр передается текущий режим проведения.
//
Процедура ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ПроизводствоБезЗаказаЛокализация.ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект
//  Отказ - Булево - Признак отказа от записи.
//                   Если в теле процедуры-обработчика установить данному параметру значение Истина, то запись выполнена не будет и будет вызвано исключение.
//
Процедура ПриЗаписи(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ПроизводствоБезЗаказаЛокализация.ПриЗаписи(Объект, Отказ) 
```
</details>

## ПриКопировании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика документа
//
// Параметры:
//  Объект - ДокументОбъект - Обрабатываемый объект
//  ОбъектКопирования - ДокументОбъект - Исходный документ, который является источником копирования.
//
Процедура ПриКопировании(Объект, ОбъектКопирования) Экспорт
```

Пример вызова
```bsl
ПроизводствоБезЗаказаЛокализация.ПриКопировании(Объект, ОбъектКопирования) 
```
</details>

## ДобавитьКомандуСоздатьНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команду создания документа "Авансовый отчет".
//
// Параметры:
//  КомандыСозданияНаОсновании - см. СозданиеНаОснованииПереопределяемый.ПередДобавлениемКомандСозданияНаОсновании.КомандыСозданияНаОсновании
//
Процедура ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании) Экспорт
```

Пример вызова
```bsl
ПроизводствоБезЗаказаЛокализация.ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании) 
```
</details>

## ДобавитьКомандыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список команд отчетов.
//
// Параметры:
//   КомандыОтчетов - См. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.КомандыОтчетов
//   Параметры - См. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.Параметры
//
Процедура ДобавитьКомандыОтчетов(КомандыОтчетов, Параметры) Экспорт
```

Пример вызова
```bsl
ПроизводствоБезЗаказаЛокализация.ДобавитьКомандыОтчетов(КомандыОтчетов, Параметры) 
```
</details>

## ПолучитьДанныеДляПечатнойФормыМХ18
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает данные для формирования печатной формы МХ - 18
//
// Параметры:
// 	ПараметрыПечати - Структура
// 	МассивОбъектов - Массив
// Возвращаемое значение:
// 	Структура
Функция ПолучитьДанныеДляПечатнойФормыМХ18(ПараметрыПечати, МассивОбъектов) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ПолучитьДанныеДляПечатнойФормыМХ18(ПараметрыПечати, МассивОбъектов) 
```
</details>

## ТекстОтраженияВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст запроса для отражения документа в регламентированном учете.
//
// Возвращаемое значение:
//	Строка - Текст запроса
//
Функция ТекстОтраженияВРеглУчете() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстОтраженияВРеглУчете() 
```
</details>

## ТекстЗапросаВТОтраженияВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст запроса дополнительных временных таблиц,
// необходимых для отражения в регламентированном учете
//
// Возвращаемое значение:
//   Строка - сформированный текст запроса.
//
Функция ТекстЗапросаВТОтраженияВРеглУчете() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстЗапросаВТОтраженияВРеглУчете() 
```
</details>

## ТекстВыпускДавальческойПродукцииБаланс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Функция возвращает текст фрагмента отражения для выпуска давальческой продукции по балансу
//
// Возвращаемое значение:
//   Строка - сформированный текст запроса.
//
Функция ТекстВыпускДавальческойПродукцииБаланс() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстВыпускДавальческойПродукцииБаланс() 
```
</details>

## ТекстОприходованиеТоваровПоСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает фрагмент текста запроса для отражения документа в регламентированном учете.
//
// Возвращаемое значение:
//	Строка - Текст запроса
//
Функция ТекстОприходованиеТоваровПоСебестоимости() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстОприходованиеТоваровПоСебестоимости() 
```
</details>

## ТекстОприходованиеТоваровПоСебестоимостиНалоговыйУчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает фрагмент текста запроса для отражения документа в регламентированном учете.
//
// Возвращаемое значение:
//	Строка - Текст запроса
//
Функция ТекстОприходованиеТоваровПоСебестоимостиНалоговыйУчет() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстОприходованиеТоваровПоСебестоимостиНалоговыйУчет() 
```
</details>

## ТекстОприходованиеТоваровОтклонениеВСтоимостиРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает фрагмент текста запроса для отражения документа в регламентированном учете.
//
// Возвращаемое значение:
//	Строка - Текст запроса
//
Функция ТекстОприходованиеТоваровОтклонениеВСтоимостиРасходы() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстОприходованиеТоваровОтклонениеВСтоимостиРасходы() 
```
</details>

## ТекстОприходованиеТоваровОтклонениеВСтоимостиДоходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает фрагмент текста запроса для отражения документа в регламентированном учете.
//
// Возвращаемое значение:
//	Строка - Текст запроса
//
Функция ТекстОприходованиеТоваровОтклонениеВСтоимостиДоходы() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстОприходованиеТоваровОтклонениеВСтоимостиДоходы() 
```
</details>

## ТекстСписаниеТоваровНаРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст фрагмента отражения списания на расходы
//
// Возвращаемое значение:
//	Строка - сформированный текст запроса.
//
Функция ТекстСписаниеТоваровНаРасходы(Производство = Ложь, СодержаниеПоУмолчанию = Истина, ПереопределениеОтбора = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстСписаниеТоваровНаРасходы(Производство, СодержаниеПоУмолчанию, ПереопределениеОтбора);
```
</details>

## ТекстПриходТоваровЗаБалансом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст фрагмента отражения передачи товаров за балансом
//
// Параметры:
// 	Производство - булево, признак вызова метода из производственного документа, для них не анализируем кор часть,
// 		поэтому данный параметр показывает, что приходное движение не имеет аналогичного расходного с кор частью,
// 		Для непроизводственных документов, анализируем наличие расходных с такой же кор частью и если есть - не формируем,
// 		так как будет проводка передачи, значение по умолчанию - Ложь;
// 	СодержаниеПоУмолчанию - булево, признак того, что при возвращении текста сразу переназначать содержание проводки,
// 		значение по умолчанию - Истина;
// 	ПереопределениеОтбора - булево, признак того, что при возвращении текста необходимо добавить условия отбора,
// 		значение по умолчанию - Ложь;
//
// Возвращаемое значение:
//	Строка - сформированный текст запроса.
//
Функция ТекстПриходТоваровЗаБалансом(Производство = Ложь, СодержаниеПоУмолчанию = Истина, ПереопределениеОтбора = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстПриходТоваровЗаБалансом(Производство, СодержаниеПоУмолчанию, ПереопределениеОтбора);
```
</details>

## ТекстПередачаТоваровЗаБалансом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст фрагмента отражения передачи товаров за балансом
//
// Параметры:
// 	Производство - булево, признак вызова метода из производственного документа, для них не анализируем кор часть,
// 		поэтому данный параметр показывает, что расходное движение не имеет аналогичного приходного по кор части,
// 		Для непроизводственных документов, анализируем наличие приходных с такой же кор частью и если есть - формируем,
// 		значение по умолчанию - Ложь;
// 	СодержаниеПоУмолчанию - булево, признак того, что при возвращении текста сразу переназначать содержание проводки,
// 		значение по умолчанию - Истина;
// 	ПереопределениеОтбора - булево, признак того, что при возвращении текста необходимо добавить условия отбора,
// 		значение по умолчанию - Ложь;
//
// Возвращаемое значение:
//	Строка - сформированный текст запроса.
//
Функция ТекстПередачаТоваровЗаБалансом(Производство = Ложь, СодержаниеПоУмолчанию = Истина, ПереопределениеОтбора = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстПередачаТоваровЗаБалансом(Производство, СодержаниеПоУмолчанию, ПереопределениеОтбора);
```
</details>

## ТекстСписаниеТоваровЗаБалансом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст фрагмента отражения для списания давальческой продукции
//
// Параметры:
// 	Производство - булево, признак вызова метода из производственного документа, для них не анализируем кор часть,
// 		поэтому данный параметр показывает, что расходное движение не имеет кор части,
// 		Для непроизводственных документов, анализируем наличие кор раздела учета и если есть - не формируем,
// 		так как будет проводка передачи, значение по умолчанию - Ложь;
// 	СодержаниеПоУмолчанию - булево, признак того, что при возвращении текста сразу переназначать содержание проводки,
// 		значение по умолчанию - Истина;
// 	ПереопределениеОтбора - булево, признак того, что при возвращении текста необходимо добавить условия отбора,
// 		значение по умолчанию - Ложь;
// Возвращаемое значение:
//	Строка - сформированный текст запроса.
//
Функция ТекстСписаниеТоваровЗаБалансом(Производство = Ложь, СодержаниеПоУмолчанию = Истина, ПереопределениеОтбора = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстСписаниеТоваровЗаБалансом(Производство, СодержаниеПоУмолчанию, ПереопределениеОтбора);
```
</details>

## ТекстСписаниеТоваровНаСтатьиАктивовПассивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст фрагмента отражения списания на прочие активы/пассивы
//
// Возвращаемое значение:
//	Строка - сформированный текст запроса.
//
Функция ТекстСписаниеТоваровНаСтатьиАктивовПассивов(СодержаниеПоУмолчанию = Истина, ПереопределениеОтбора = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстСписаниеТоваровНаСтатьиАктивовПассивов(СодержаниеПоУмолчанию, ПереопределениеОтбора);
```
</details>

## ТекстВыпускПродукцииНематериальныеЗатратыПереопределяемый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст фрагмента отражения выпуска продукции с приходом нематериальных затрат
//
// Параметры:
// 	СодержаниеПоУмолчанию - булево, признак того, что при возвращении текста сразу переназначать содержание проводки,
// 		значение по умолчанию - Истина;
// 	ПереопределениеОтбора - булево, признак того, что при возвращении текста необходимо добавить условия отбора,
// 		значение по умолчанию - Ложь;
// Возвращаемое значение:
//	Строка - сформированный текст запроса.
//
Функция ТекстВыпускПродукцииНематериальныеЗатратыПереопределяемый(СодержаниеПоУмолчанию = Истина, ПереопределениеОтбора = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстВыпускПродукцииНематериальныеЗатратыПереопределяемый(СодержаниеПоУмолчанию, ПереопределениеОтбора);
```
</details>

## ТекстВыпускПродукцииТрудозатратыПереопределяемый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст фрагмента отражения выпуска продукции с приходом трудозатрат
//
// Параметры:
// 	СодержаниеПоУмолчанию - булево, признак того, что при возвращении текста сразу переназначать содержание проводки,
// 		значение по умолчанию - Истина;
// 	ПереопределениеОтбора - булево, признак того, что при возвращении текста необходимо добавить условия отбора,
// 		значение по умолчанию - Ложь;
// Возвращаемое значение:
//	Строка - сформированный текст запроса.
//
Функция ТекстВыпускПродукцииТрудозатратыПереопределяемый(СодержаниеПоУмолчанию = Истина, ПереопределениеОтбора = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоБезЗаказаЛокализация.ТекстВыпускПродукцииТрудозатратыПереопределяемый(СодержаниеПоУмолчанию, ПереопределениеОтбора);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
