---
title: Производство вызов сервера
slug: erp-uh/производство-вызов-сервера
---


## СтруктураПредприятияОбработкаПолученияДанныхВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемый обработчик получения данных выбора справочника СтруктураПредприятия.
//
// Параметры:
//  ДанныеВыбора - СписокЗначений - значения выбора.
//  Параметры - Структура - параметры выбора.
//  СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события.
//
Процедура СтруктураПредприятияОбработкаПолученияДанныхВыбора(ДанныеВыбора, Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПроизводствоВызовСервера.СтруктураПредприятияОбработкаПолученияДанныхВыбора(ДанныеВыбора, Параметры, СтандартнаяОбработка) 
```
</details>

## ПараметрыПроизводственногоПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры производственного подразделения
//
// Параметры:
//  Подразделение	- СправочникСсылка.СтруктураПредприятия - Подразделение для которого требуется получить параметры.
//
// Возвращаемое значение:
//   Структура   - содержит параметры производственного подразделения.
//
Функция ПараметрыПроизводственногоПодразделения(Подразделение) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоВызовСервера.ПараметрыПроизводственногоПодразделения(Подразделение) 
```
</details>

## ИспользуетсяПроизводство21
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли производство версии 2.1
//
// Возвращаемое значение:
//   Булево - Истина, если используется производство версии 2.1
//
Функция ИспользуетсяПроизводство21() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоВызовСервера.ИспользуетсяПроизводство21() 
```
</details>

## ИспользуетсяПроизводство22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли производство версии 2.2
//
// Возвращаемое значение:
//   Булево - Истина, если используется производство версии 2.2
//
Функция ИспользуетсяПроизводство22() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоВызовСервера.ИспользуетсяПроизводство22() 
```
</details>

## ОформитьПроизводствоБезЗаказаНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оформить производство без заказа на основании.
//
// Параметры:
//  МассивСсылок - Массив
//  ПараметрыДокументов - см. ПроизводствоКлиентСервер.ПараметрыФормированияДокументовПроизводстваБезЗаказов
//
// Возвращаемое значение:
//  Структура - Оформить производство без заказа на основании:
//  * ОбъектФормы - ДокументОбъект
//  * ТипДокумента - Строка
//  * ЕстьОшибки - Булево -
//  * СписокДокументов - СписокЗначений -
//  * МассивОшибок - ФиксированныйМассив -
//
Функция ОформитьПроизводствоБезЗаказаНаОсновании(МассивСсылок, ПараметрыДокументов) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоВызовСервера.ОформитьПроизводствоБезЗаказаНаОсновании(МассивСсылок, ПараметрыДокументов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
