---
title: Производство сервер
slug: erp-uh/производство-сервер
---


## НастройкиПодсистемыПроизводство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает настройки подсистемы "Производство"
//
// Возвращаемое значение:
//   - Структура - настройки подсистемы "Производство"
//
Функция НастройкиПодсистемыПроизводство() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.НастройкиПодсистемыПроизводство() 
```
</details>

## ПараметрыПроизводственногоПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры производственного подразделения
//
// Параметры:
//  Подразделение	- СправочникСсылка.СтруктураПредприятия - Подразделение для которого требуется получить параметры
//
// Возвращаемое значение:
//   Структура   - содержит параметры производственного подразделения
//
Функция ПараметрыПроизводственногоПодразделения(Подразделение) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ПараметрыПроизводственногоПодразделения(Подразделение) 
```
</details>

## ПараметрыПроизводственныхПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры производственного подразделения
//
// Параметры:
//  СписокПодразделений - Массив - список подразделений для которых требуется получить параметры
//
// Возвращаемое значение:
//  Соответствие - где:
//  *Ключ - СправочникСсылка.СтруктураПредприятия
//  *Значение - см. СтруктураРеквизитовПроизводственногоПодразделения.
//
Функция ПараметрыПроизводственныхПодразделений(СписокПодразделений) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ПараметрыПроизводственныхПодразделений(СписокПодразделений) 
```
</details>

## ИспользуетсяПроизводство21
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли производство версии 2.1
//
// Возвращаемое значение:
//   Булево - Истина, если используется производство версии 2.1
//
Функция ИспользуетсяПроизводство21() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ИспользуетсяПроизводство21() 
```
</details>

## ИспользуетсяПроизводство22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли производство версии 2.2
//
// Возвращаемое значение:
//   Булево - Истина, если используется производство версии 2.2
//
Функция ИспользуетсяПроизводство22() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ИспользуетсяПроизводство22() 
```
</details>

## ИспользованиеСерийВПроизводстве22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, используются ли серии в производстве версии 2.2.
//
// Возвращаемое значение:
//  Структура - структура со следующими ключами:
//  *ИспользоватьСерииНоменклатуры - Булево
//  *УчитыватьСебестоимостьПоСериям - Булево
//
Функция ИспользованиеСерийВПроизводстве22() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ИспользованиеСерийВПроизводстве22() 
```
</details>

## УстановитьИспользованиеПараметризацииРесурсныхСпецификаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает использование параметризации в зависимости от использования производства
//
Процедура УстановитьИспользованиеПараметризацииРесурсныхСпецификаций() Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.УстановитьИспользованиеПараметризацииРесурсныхСпецификаций() 
```
</details>

## УстановитьОпцииДляРаботыСПроизводственнымиОперациями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает опции для работы с производственными операциями в зависимости от использования производства
//
Процедура УстановитьОпцииДляРаботыСПроизводственнымиОперациями(Производство21 = Неопределено, Производство22 = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.УстановитьОпцииДляРаботыСПроизводственнымиОперациями(Производство21, Производство22);
```
</details>

## ДобавитьЗаданиеВОчередь
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет задание или список заданий в очередь
//
// Параметры:
//  Очередь 	- Строка			 - имя очереди (имя регистра сведений очереди).
//  Задание 	- Структура, Массив, ТаблицаЗначений	 - структура со значениями измерений, реквизитов и ресурсов
//											или массив заданий, для регистрации нескольких заданий за раз.
//
// Возвращаемое значение:
//  Массив - идентификаторы новых заданий.
//
Функция ДобавитьЗаданиеВОчередь(Очередь, Задание) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ДобавитьЗаданиеВОчередь(Очередь, Задание) 
```
</details>

## ЗапуститьЗаданиеОбработкиОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает фоновое задание обработчик очереди
//
// Параметры:
//  Очередь			 - Строка							 - имя очереди (имя регистра сведений очереди).
//  Отбор			 - Структура						 - задания по этому отбору будут обрабатываться первыми.
//  Идентификатор	 - УникальныйИдентификатор, Массив	 - идентификатор или список идентификаторов заданий
//	  Если фоновое задание запускается в той же транзакции, что и добавление новых заданий в очередь возможна ситуация,
//	     когда фоновое задание запущено, транзакция не завершена и задания для обработки не видны сеансу фонового задания.
//	  Для решения этой проблемой перед обработкой первой порции заданий из очереди открывается транзакция
//       и устанавливается блокировка на задания в очереди по идентификатору.
//  ОжидатьЗавершенияВыполнения - Булево				 - определяет поведение, в случае если в момент запуска задания
//    уже выполняется обработка очереди, запущенная ранее.
//    Если передано значение Истина, то будет выполнено ожидание завершения обработки очереди, после чего запущена
//    еще одна итерация.
//    Если передано значение Ложь, то ожидание и повторный запуск не выполняются.
//
Процедура ЗапуститьЗаданиеОбработкиОчереди(Очередь, Отбор = Неопределено, Идентификатор = Неопределено, ОжидатьЗавершенияВыполнения = Ложь) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.ЗапуститьЗаданиеОбработкиОчереди(Очередь, Отбор, Идентификатор, ОжидатьЗавершенияВыполнения);
```
</details>

## ВыполняетсяОбработкаОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет активность фонового задания по обработке очереди
//
// Параметры:
//  Очередь - Строка - имя очереди (имя регистра сведений очереди).
//
// Возвращаемое значение:
//  Булево - Истина, если обработка очереди заданий выполняется
//
Функция ВыполняетсяОбработкаОчереди(Очередь) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ВыполняетсяОбработкаОчереди(Очередь) 
```
</details>

## РассчитатьДолюСтоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает долю стоимости выходных изделий по табличной части документа
//
// Параметры:
//  Объект						 - ДанныеФормыСтруктура	 - основной реквизит формы справочника, документа
//  ПараметрыРаспределенияЗатрат - Структура			 - структура параметров расчета, см. ПроизводствоКлиентСервер.ПараметрыРаспределенияЗатратНаВыходныеИзделия
//
Процедура РассчитатьДолюСтоимости(Объект, ПараметрыРаспределенияЗатрат) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.РассчитатьДолюСтоимости(Объект, ПараметрыРаспределенияЗатрат) 
```
</details>

## РассчитатьДолюСтоимостиНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает долю стоимости строки табличной части
//
// Параметры:
//  ДанныеСтроки				 - Структура - строка табличной части
//  ПараметрыРаспределенияЗатрат - см. ПроизводствоКлиентСервер.ПараметрыРаспределенияЗатратНаВыходныеИзделия
//
// Возвращаемое значение:
//  Структура - см. ПроизводствоКлиентСервер.СтруктураПолейДоляСтоимости :
// * ДоляСтоимости - Число -
// * ДоляСтоимостиНаЕдиницу - Число -
Функция РассчитатьДолюСтоимостиНоменклатуры(ДанныеСтроки, ПараметрыРаспределенияЗатрат) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.РассчитатьДолюСтоимостиНоменклатуры(ДанныеСтроки, ПараметрыРаспределенияЗатрат) 
```
</details>

## РассчитатьПроцентРаспределенияЗатратНаВыходныеИзделия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает процент распределения затрат на выходные изделия по табличной части
//
// Параметры:
//  Объект						 - ДанныеФормыСтруктура	 - основной реквизит формы справочника, документа
//  ПараметрыРаспределенияЗатрат - Структура			 - структура параметров расчета, см. ПроизводствоКлиентСервер.ПараметрыРаспределенияЗатратНаВыходныеИзделия
//  Группировки			         - Массив, Неопределено	 -
//
Процедура РассчитатьПроцентРаспределенияЗатратНаВыходныеИзделия(Объект, ПараметрыРаспределенияЗатрат, Группировки = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.РассчитатьПроцентРаспределенияЗатратНаВыходныеИзделия(Объект, ПараметрыРаспределенияЗатрат, Группировки);
```
</details>

## ПараметрыФормыВводаДолейСтоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция подготавливает параметры для открытия формы ввода долей стоимости и возвращает их.
//
// Параметры:
//  Объект						 - ДанныеФормыСтруктура	 - основной реквизит формы справочника, документа
//  ПараметрыРаспределенияЗатрат - Структура			 - структура параметров расчета, см. ПроизводствоКлиентСервер.ПараметрыРаспределенияЗатратНаВыходныеИзделия
//	ТекущиеДанныеИдентификатор	 - Число				 - идентификатор текущей строки в форме документа;
//
// Возвращаемое значение:
//	Структура - параметры формы ввода долей стоимости
//
Функция ПараметрыФормыВводаДолейСтоимости(Объект, ПараметрыРаспределенияЗатрат, ТекущиеДанныеИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ПараметрыФормыВводаДолейСтоимости(Объект, ПараметрыРаспределенияЗатрат, ТекущиеДанныеИдентификатор) 
```
</details>

## УстановитьУсловноеОформлениеПоляДоляСтоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление для поля "Доля стоимости"
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения - форма.
//  ИмяОбъекта       - Строка - имя объекта.
//  ИмяТЧ            - Строка - имя табличной части.
//  ПутьКЭлементам   - Строка - пути к элементам формы.
//  ПутиКДанным      - Структура, Неопределено - пути к данным.
//
Процедура УстановитьУсловноеОформлениеПоляДоляСтоимости(Форма, ИмяОбъекта, ИмяТЧ, ПутьКЭлементам = "", ПутиКДанным = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.УстановитьУсловноеОформлениеПоляДоляСтоимости(Форма, ИмяОбъекта, ИмяТЧ, ПутьКЭлементам, ПутиКДанным);
```
</details>

## УстановитьУсловноеОформлениеПоляДоляСтоимостиПроцент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает расширенное условное оформление для полей группы "Доля стоимости %"
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения - форма.
//  ИмяОбъекта       - Строка - имя объекта.
//  ИмяТЧ            - Строка - имя табличной части.
//  ПутьКЭлементам   - Строка - пути к элементам формы.
//  ПутиКДанным      - Структура, Неопределено - пути к данным.
//
Процедура УстановитьУсловноеОформлениеПоляДоляСтоимостиПроцент(Форма, ИмяОбъекта, ИмяТЧ, ПутьКЭлементам = "", ПутиКДанным = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.УстановитьУсловноеОформлениеПоляДоляСтоимостиПроцент(Форма, ИмяОбъекта, ИмяТЧ, ПутьКЭлементам, ПутиКДанным);
```
</details>

## УстановитьУсловноеОформлениеПоляДоляСтоимостиОтмененныхСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление поля "Доля стоимости" для отмененных строк
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения - форма.
//  ИмяОбъекта       - Строка - имя объекта.
//  ИмяТЧ            - Строка - имя табличной части.
//  ИмяЭлементаФормы - Строка - имя элемента формы доли стоимости.
//
Процедура УстановитьУсловноеОформлениеПоляДоляСтоимостиОтмененныхСтрок(Форма, ИмяОбъекта, ИмяТЧ, ИмяЭлементаФормы) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.УстановитьУсловноеОформлениеПоляДоляСтоимостиОтмененныхСтрок(Форма, ИмяОбъекта, ИмяТЧ, ИмяЭлементаФормы) 
```
</details>

## ТребуетсяЗаполнитьДолюСтоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура подготавливает параметры для открытия формы ввода долей стоимости и возвращает их.
//
// Параметры:
//  Объект	 - ДокументОбъект, СправочникОбъект	 - объект, строку которого необходимо проверить
//  Строка	 - Структура	 - строка, в которой выполняется проверка доли стоимости
//
// Возвращаемое значение:
//	Булево - признак необходимости заполнения доли стоимости в строке
//
Функция ТребуетсяЗаполнитьДолюСтоимости(Объект, Строка) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ТребуетсяЗаполнитьДолюСтоимости(Объект, Строка) 
```
</details>

## ДополнитьТекстЗапросаЗаполнитьДолюСтоимостиПакетно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос для получения данных, необходимых для заполнения долей стоимости.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения.
//
Процедура ДополнитьТекстЗапросаЗаполнитьДолюСтоимостиПакетно(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.ДополнитьТекстЗапросаЗаполнитьДолюСтоимостиПакетно(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## СоздатьВТГрафикиРаботыПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает временную таблицу с графиками работы подразделений.
// Колонки таблицы: Ссылка, ГрафикРаботы.
//
// Параметры:
//  Ссылки					 - Массив, СправочникСсылка.СтруктураПредприятия - ссылки на подразделения.
//  МенеджерВременныхТаблиц  - МенеджерВременныхТаблиц - менеджер, в котором будет создана временная таблица.
//  ИмяВТ					 - Строка - имя создаваемой временной таблицы.
//
Процедура СоздатьВТГрафикиРаботыПодразделений(Ссылки, МенеджерВременныхТаблиц, ИмяВТ = "ВТГрафикиРаботы") Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.СоздатьВТГрафикиРаботыПодразделений(Ссылки, МенеджерВременныхТаблиц, ИмяВТ);
```
</details>

## ГрафикиРаботыПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает графики работы подразделений.
//
// Параметры:
//  Ссылки - Массив, СправочникСсылка.СтруктураПредприятия - ссылки на подразделения.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица с колонками:
//		* Ссылка - СправочникСсылка.СтруктураПредприятия - подразделение.
//		* ГрафикРаботы - СправочникСсылка.Календари - график работы.
//
Функция ГрафикиРаботыПодразделений(Ссылки) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ГрафикиРаботыПодразделений(Ссылки) 
```
</details>

## ТекстЗапросаДатПоКалендарю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для отсчета заданного количества дней по календарным графикам.
//
// Параметры:
//  ИскатьВперед - Булево - если истина, то поиск вперед, иначе поиск назад.
//
// Возвращаемое значение:
//	Строка - текст запроса дат по календарю работы предприятия.
//
Функция ТекстЗапросаДатПоКалендарю(ИскатьВперед = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ТекстЗапросаДатПоКалендарю(ИскатьВперед);
```
</details>

## СоздатьВТГрафикиРаботыВидовРЦ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Создает временную таблицу с графиками работы видов РЦ.
// Колонки таблицы: Ссылка, ГрафикРаботы.
//
// Параметры:
//  Ссылки					 - Массив, СправочникСсылка.ВидыРабочихЦентров - ссылки на виды РЦ.
//  МенеджерВременныхТаблиц  - МенеджерВременныхТаблиц - менеджер, в котором будет создана временная таблица.
//  ИмяВТ					 - Строка - имя создаваемой временной таблицы.
//
Процедура СоздатьВТГрафикиРаботыВидовРЦ(Ссылки, МенеджерВременныхТаблиц, ИмяВТ = "ВТГрафикиРаботы") Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.СоздатьВТГрафикиРаботыВидовРЦ(Ссылки, МенеджерВременныхТаблиц, ИмяВТ);
```
</details>

## ГрафикиРаботыВидовРЦ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает графики работы видов РЦ.
//
// Параметры:
//  Ссылки - Массив, СправочникСсылка.ВидыРабочихЦентров - ссылки на виды РЦ.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица с колонками:
//		* Ссылка - СправочникСсылка.ВидыРабочихЦентров - вид РЦ.
//		* ГрафикРаботы - СправочникСсылка.Календари - график работы.
//
Функция ГрафикиРаботыВидовРЦ(Ссылки) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ГрафикиРаботыВидовРЦ(Ссылки) 
```
</details>

## СоздатьВТГрафикиРаботыРЦ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает временную таблицу с графиками работы рабочих центров.
// Колонки таблицы: Ссылка, ГрафикРаботы.
//
// Параметры:
//  Ссылки - Массив, СправочникСсылка.РабочиеЦентры, СправочникСсылка.ВидыРабочихЦентров - ссылки на рабочие центры
//		либо виды РЦ (см. параметр ОтборПоРЦ). В последнем случае будут получены все РЦ, принадлежащие данным видам РЦ.
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер, в котором будет создана временная таблица.
//	ОтборПоРЦ - Булево - Истина: первый параметр содержит ссылки на рабочие центры;
//		Ложь: первый параметр содержит ссылки на виды рабочих центров.
//  ИмяВТ  - Строка - имя создаваемой временной таблицы.
//
Процедура СоздатьВТГрафикиРаботыРЦ(Ссылки, МенеджерВременныхТаблиц, ОтборПоРЦ = Истина, ИмяВТ = "ВТГрафикиРаботы") Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.СоздатьВТГрафикиРаботыРЦ(Ссылки, МенеджерВременныхТаблиц, ОтборПоРЦ, ИмяВТ);
```
</details>

## ГрафикиРаботыРЦ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает графики работы рабочих центров.
//
// Параметры:
//  Ссылки - Массив, СправочникСсылка.РабочиеЦентры, СправочникСсылка.ВидыРабочихЦентров - ссылки на рабочие центры
//		либо виды РЦ (см. параметр ОтборПоРЦ). В последнем случае будут получены все РЦ, принадлежащие данным видам РЦ.
//	ОтборПоРЦ - Булево - Истина: первый параметр содержит ссылки на рабочие центры;
//		Ложь: первый параметр содержит ссылки на виды рабочих центров.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица с колонками:
//		* Ссылка - СправочникСсылка.РабочиеЦентры - рабочий центр.
//		* ГрафикРаботы - СправочникСсылка.Календари - график работы.
//
Функция ГрафикиРаботыРЦ(Ссылки, ОтборПоРЦ = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ГрафикиРаботыРЦ(Ссылки, ОтборПоРЦ);
```
</details>

## ЗаполнитьСписокТиповПроизводственногоПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ограничить список типов производственного процесса
//
// Параметры:
//  Элемент			- ПолеФормы	- элемент формы, в котором необходимо установить ограничение.
//  ИсключаемыеТипы	- Массив	- массив типов производственного процесса, которые не должны отображаться.
//
Процедура ЗаполнитьСписокТиповПроизводственногоПроцесса(Элемент, ИсключаемыеТипы = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.ЗаполнитьСписокТиповПроизводственногоПроцесса(Элемент, ИсключаемыеТипы);
```
</details>

## УсловиеОтбораСтрокДляОкругления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает условие отбора строк округления
//
//	Параметры:
//		ИмяТЧ		 - Строка - имя табличной части
//		ИмяПоляСклад - Строка - имя реквизита склад, по умолчанию "Склад"
//
//	Возвращаемое значение:
//		Строка - условие отбора строк
//
Функция УсловиеОтбораСтрокДляОкругления(ИмяТЧ, ИмяПоляСклад = "Склад") Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.УсловиеОтбораСтрокДляОкругления(ИмяТЧ, ИмяПоляСклад);
```
</details>

## ЗаполнитьПризнакЦеховаяКладовая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет служебные реквизиты в строке на основании выбранного склада
//
// Параметры:
//  ТекущаяСтрока		 - Структура - данные обрабатываемой строки.
//  Параметры			 - Структура - вспомогательные параметры для заполнения.
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения.
//
Процедура ЗаполнитьПризнакЦеховаяКладовая(ТекущаяСтрока, Параметры, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.ЗаполнитьПризнакЦеховаяКладовая(ТекущаяСтрока, Параметры, КэшированныеЗначения) 
```
</details>

## ЗаполнитьПризнакЦеховаяКладоваяВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет признаки ЦеховаяКладовая и НужноОкруглять в строках таблицы
//
// Параметры:
//  ТаблицаФормы   - ДанныеФормыКоллекция                  - обрабатываемая таблица
//  ИмяПоля        - Строка                                - имя реквизита склад, по умолчанию "Склад"
//  ЗначениеСклада - СправочникСсылка.Склады, Неопределено -
//  Строки         - Массив, Неопределено                  - массив обрабатываемых строк
//
Процедура ЗаполнитьПризнакЦеховаяКладоваяВТаблице( Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.ЗаполнитьПризнакЦеховаяКладоваяВТаблице();
```
</details>

## ДополнитьТекстЗапросаРеквизитыПоНазначению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения данных по назначению.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧВЦикле.Действия
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения.
//
Процедура ДополнитьТекстЗапросаРеквизитыПоНазначению(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.ДополнитьТекстЗапросаРеквизитыПоНазначению(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## ДополнитьТекстЗапросаПолучательПоНаправлениюВыпуска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения данных по назначению.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧВЦикле.Действия
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения.
//
Процедура ДополнитьТекстЗапросаПолучательПоНаправлениюВыпуска(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.ДополнитьТекстЗапросаПолучательПоНаправлениюВыпуска(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## ДополнитьТекстЗапросаПризнакЦеховаяКладовая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения данных по назначению.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧВЦикле.Действия
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения.
//
Процедура ДополнитьТекстЗапросаПризнакЦеховаяКладовая(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.ДополнитьТекстЗапросаПризнакЦеховаяКладовая(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## ТекстЗапросаНастройкиШтучногоТовараВМернойЕдинице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса полей "Упаковка" и "КоличествоУпаковки" для замены на единицу хранения
// в случаи штучного товара, которая учитывается в мерной единице
//
// Параметры:
//	ИмяТаблицы - Строка - имя таблицы для которого нужно произвести замену полей "Упаковка" и "КоличествоУпаковок"
//
// Возвращаемое значение:
//  Структура - содержит тексты запросов:
//  	* Упаковка                             - Строка - текст для получения поля "Упаковка".
//  	* КоличествоУпаковок                   - Строка - текст для получения поля "КоличествоУпаковок".
//  	* СоединениеШтучныйТоварВМернойЕдинице - Строка - текст соединений.
//  	* ШтучныйТоварВМерныхЕдиницах          - Строка - признак штучного товара в мерных единицах
//
Функция ТекстЗапросаНастройкиШтучногоТовараВМернойЕдинице(ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ТекстЗапросаНастройкиШтучногоТовараВМернойЕдинице(ИмяТаблицы) 
```
</details>

## ПараметрыПримененияШтучногоТовараВМернойЕдинице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры применения штучного товара в мерной единице
//
// Возвращаемое значение:
//  Структура - содержит параметры применения:
//		*Упаковка                             - Булево - признак настройки для поля "<имя таблицы>.Упаковка"
//		*КоличествоУпаковок                   - Булево - признак настройки для поля "<имя таблицы>.КоличествоУпаковок"
//		*ШтучныйТоварВМерныхЕдиницах          - Булево - признак настройки для параметра "&ШтучныйТоварВМерныхЕдиницах"
//		*СоединениеШтучныйТоварВМернойЕдинице - Булево - признак настройки для конструкции "//&СоединениеШтучныйТоварВМернойЕдинице"
//
Функция ПараметрыПримененияШтучногоТовараВМернойЕдинице() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ПараметрыПримененияШтучногоТовараВМернойЕдинице() 
```
</details>

## ПрименитьНастройкиШтучногоТовараВМернойЕдинице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Применяет к тексту запроса настройки штучного товара, которая учитывается в мерной единице
// см. ПроизводствоСервер.ТекстЗапросаНастройкиШтучногоТовараВМернойЕдинице
//
// Параметры:
//	ТекстЗапроса - Строка - текст запроса, к которому применяются настройки
//	ИмяТаблицы - Строка - см. ПроизводствоСервер.ТекстЗапросаНастройкиШтучногоТовараВМернойЕдинице
//	Параметры  - см. ПроизводствоСервер.ПараметрыПримененияШтучногоТовараВМернойЕдинице
//
Процедура ПрименитьНастройкиШтучногоТовараВМернойЕдинице(ТекстЗапроса, ИмяТаблицы, Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.ПрименитьНастройкиШтучногоТовараВМернойЕдинице(ТекстЗапроса, ИмяТаблицы, Параметры);
```
</details>

## УстановитьИспользованиеСвойствСправочников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает/отключает использование свойств для нормативно-справочной информации.
//
Процедура УстановитьИспользованиеСвойствСправочников() Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.УстановитьИспользованиеСвойствСправочников() 
```
</details>

## ЗаполнитьДанныеВыбораПриВводеИсполнителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные выбора при вводе текста в поле "Исполнитель" в этапах производства и производстве без заказа.
//
// Параметры:
//  ДанныеВыбора - СписокЗначений - список значений для заполнения
//  Текст - Строка - текст, введенный в поле
//  Параметры - Структура - структура отбора с ключами:
//    * Подразделение - СправочникСсылка.СтруктураПредприятия - подразделение, в котором выполняются работы
//    * Организация - СправочникСсылка.Организации - организация бригады
//    * Дата - Дата - исползуется для подбора сотрудников на определенную дату
//
Процедура ЗаполнитьДанныеВыбораПриВводеИсполнителя(ДанныеВыбора, Текст, Параметры) Экспорт
```

Пример вызова
```bsl
ПроизводствоСервер.ЗаполнитьДанныеВыбораПриВводеИсполнителя(ДанныеВыбора, Текст, Параметры) 
```
</details>

## ИспользуетсяУчетТрудозатратВРазрезеСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет что выступает в качестве исполнителя: физическое лицо или сотрудник.
//
// Параметры:
//  Дата - Дата - Дата, которая используется для сравнения
//
// Возвращаемое значение:
//  Булево - Используется учет трудозатрат в разрезе сотрудников
Функция ИспользуетсяУчетТрудозатратВРазрезеСотрудников(Дата) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.ИспользуетсяУчетТрудозатратВРазрезеСотрудников(Дата) 
```
</details>

## УволенныеСотрудники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список уволенных сотрудников.
//
// Параметры:
//  Сотрудники - Массив из СправочникСсылка.Сотрудники - Исполнители
//
// Возвращаемое значение:
//  ТаблицаЗначений - Поля:
//  *Сотрудник - СправочникСсылка.Сотрудники
//  *ДатаУвольнения - Дата
Функция УволенныеСотрудники(Сотрудники) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСервер.УволенныеСотрудники(Сотрудники) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
