---
title: Производство сервер повт исп
slug: erp-uh/производство-сервер-повт-исп
---


## НастройкиПодсистемыПроизводство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает настройки подсистемы "Производство"
//
// Возвращаемое значение:
//   - Структура - настройки подсистемы "Производство".
//
Функция НастройкиПодсистемыПроизводство() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСерверПовтИсп.НастройкиПодсистемыПроизводство() 
```
</details>

## ПараметрыПроизводственногоПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры производственного подразделения
//
// Параметры:
//  Подразделение	- СправочникСсылка.СтруктураПредприятия - Подразделение для которого требуется получить параметры.
//
// Возвращаемое значение:
//   Структура   - содержит параметры производственного подразделения.
//
Функция ПараметрыПроизводственногоПодразделения(Подразделение) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСерверПовтИсп.ПараметрыПроизводственногоПодразделения(Подразделение) 
```
</details>

## ВидЦеныПлановойСтоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет вид цены выпуска продукции по умолчанию
//
// Возвращаемое значение:
//  СправочникСсылка.ВидыЦен - вид цены плановой стоимости.
//
Функция ВидЦеныПлановойСтоимости() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСерверПовтИсп.ВидЦеныПлановойСтоимости() 
```
</details>

## ПолучитьПроизводственныеВариантыРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает список вариантов распределения, участвующих в формировании себестоимости производства
//
// Возвращаемое значение:
// 	Массив - список производственных вариантов распределения
Функция ПолучитьПроизводственныеВариантыРаспределения() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСерверПовтИсп.ПолучитьПроизводственныеВариантыРаспределения() 
```
</details>

## ВалютаПлановойСебестоимостиПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает валюту плановой себестоимости продукции.
//
// Возвращаемое значение:
//   СправочникСсылка.Валюты -
//
Функция ВалютаПлановойСебестоимостиПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоСерверПовтИсп.ВалютаПлановойСебестоимостиПродукции() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
