---
title: Производство управление формами
slug: erp-uh/производство-управление-формами
---


## УстановитьУсловноеОформлениеОбеспеченияМатериаламиИРаботами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму условное оформление обеспечения производства.
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения - форма.
//  ИмяОбъекта       - Строка - имя объекта.
//  ИмяТЧ            - Строка - имя табличной части.
//  ИменаЭлементов   - см. ПроизводствоУправлениеФормами.ИменаЭлементовОбеспеченияМатериаламиИРаботами
//  ПутиКДанным      - Структура, Неопределено - пути к данным.
//
Процедура УстановитьУсловноеОформлениеОбеспеченияМатериаламиИРаботами(Форма, ИмяОбъекта, ИмяТЧ, ИменаЭлементов, ПутиКДанным = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроизводствоУправлениеФормами.УстановитьУсловноеОформлениеОбеспеченияМатериаламиИРаботами(Форма, ИмяОбъекта, ИмяТЧ, ИменаЭлементов, ПутиКДанным);
```
</details>

## УстановитьУсловноеОформлениеПолейОбеспечения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму условное оформление для поля ВариантОбеспечения.
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения - форма.
//  ИмяОбъекта       - Строка - имя объекта.
//  ИмяТЧ            - Строка - имя табличной части.
//  ПутиКДанным      - Структура, Неопределено - пути к данным.
//
Процедура УстановитьУсловноеОформлениеПолейОбеспечения(Форма, ИмяОбъекта, ИмяТЧ, ПутиКДанным = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроизводствоУправлениеФормами.УстановитьУсловноеОформлениеПолейОбеспечения(Форма, ИмяОбъекта, ИмяТЧ, ПутиКДанным);
```
</details>

## УстановитьУсловноеОформлениеДатыОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму условное оформление для поля ДатаОтгрузки.
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения - форма.
//  ИмяОбъекта       - Строка - имя объекта.
//  ИмяТЧ            - Строка - имя табличной части.
//  ПутиКДанным      - Структура, Неопределено - пути к данным.
//
Процедура УстановитьУсловноеОформлениеДатыОтгрузки(Форма, ИмяОбъекта, ИмяТЧ, ПутиКДанным = Неопределено) Экспорт
```

Пример вызова
```bsl
ПроизводствоУправлениеФормами.УстановитьУсловноеОформлениеДатыОтгрузки(Форма, ИмяОбъекта, ИмяТЧ, ПутиКДанным);
```
</details>

## УстановитьУсловноеОформлениеСтатьиКалькуляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму условное оформление для поля СтатьяКалькуляции.
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения - форма.
//  ИмяОбъекта       - Строка - имя объекта.
//  ИмяТЧ            - Строка - имя табличной части.
//  ИмяЭлемента      - Строка - имя оформляемого элемента формы.
//  ПутиКДанным      - Структура, Неопределено - пути к данным.
//  ЕстьОтменаСтрок  - Булево - признак отмены строк.
//
Процедура УстановитьУсловноеОформлениеСтатьиКалькуляции(Форма, ИмяОбъекта, ИмяТЧ, ИмяЭлемента, ПутиКДанным = Неопределено, ЕстьОтменаСтрок = Ложь) Экспорт
```

Пример вызова
```bsl
ПроизводствоУправлениеФормами.УстановитьУсловноеОформлениеСтатьиКалькуляции(Форма, ИмяОбъекта, ИмяТЧ, ИмяЭлемента, ПутиКДанным, ЕстьОтменаСтрок);
```
</details>

## ИменаЭлементовОбеспеченияМатериаламиИРаботами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру имен оформляемых элементов формы.
//
// Возвращаемое значение:
//  Структура - Имена элементов обеспечения этапа производства:
// * ДатаОтгрузки - Строка - имя элемента на форме
// * ИмяТЧ - Строка - имя элемента табличной части формы
// * ТЧНоменклатураЕдиницаИзмерения - Строка - имя колонки в табличной части
// * ТЧХарактеристика - Строка - имя колонки в табличной части
// * ТЧСерия - Строка - имя колонки в табличной части
// * ТЧСпецификация - Строка - имя колонки в табличной части
// * ТЧСклад - Строка - имя колонки в табличной части
// * ТЧДатаОтгрузки - Строка - имя колонки в табличной части
// * ТЧКоличествоУпаковок - Строка - имя колонки в табличной части
// * ТЧЦена - Строка - имя колонки в табличной части
// * ТЧСумма - Строка - имя колонки в табличной части
// * ТЧОтменено - Строка - имя колонки в табличной части
// * ТЧПричинаОтмены - Строка - имя колонки в табличной части
// * ТЧОбособленно - Строка - имя колонки в табличной части
// * ТЧСтатьяКалькуляции - Строка - имя колонки в табличной части
Функция ИменаЭлементовОбеспеченияМатериаламиИРаботами() Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоУправлениеФормами.ИменаЭлементовОбеспеченияМатериаламиИРаботами() 
```
</details>

## ПолеКомпоновкиДанныхПоПути
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поле компоновки данных по пути.
//
// Параметры:
//  ИмяОбъекта - Строка - Имя объекта
//  ПутиКДанным - Структура - Пути к данным
//  ИмяПоля - Строка - Имя поля
//
// Возвращаемое значение:
//  ПолеКомпоновкиДанных - Поле компоновки данных по пути
//
Функция ПолеКомпоновкиДанныхПоПути(ИмяОбъекта, ПутиКДанным, ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = ПроизводствоУправлениеФормами.ПолеКомпоновкиДанныхПоПути(ИмяОбъекта, ПутиКДанным, ИмяПоля) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
