---
title: Прослеживаемость вызов сервера переопределяемый
slug: erp-uh/прослеживаемость-вызов-сервера-переопределяемый
---


## ВесТовараПоСертификату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает вес товара по сертификату, для расчета в единице прослеживаемости кг
//
// Параметры:
//  Номенклатура - СправочникСсылка.Номенкатура - номенклатура
//
// Возвращемое значение:
//  Число - вес по сертификату
//
Функция ВесТовараПоСертификату(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьВызовСервераПереопределяемый.ВесТовараПоСертификату(Номенклатура) 
```
</details>

## РаспоряжениеКОформлениюУведомленияОВвозеПрослеживаемыхТоваровПоОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция вовзращает первое найденное распоряжение к оформлению уведомления о ввозе прослеживаемых товаров для заданного первичного документа.
//
// Параметры:
//	ПервичныйДокумент - ДокументСсылка - Документ, для которого необходимо найти уведомления о ввозе прослеживаемых товаров.
//	Проведен - Булево - Признак того, что необходимо получить проведенные документы.
//
// Возвращаемое значение:
//	Неопределено, Структура - Данные найденного распоряжения. Если не найдено, тогда Неопрелено
//
Функция РаспоряжениеКОформлениюУведомленияОВвозеПрослеживаемыхТоваровПоОснованию(ПервичныйДокумент) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьВызовСервераПереопределяемый.РаспоряжениеКОформлениюУведомленияОВвозеПрослеживаемыхТоваровПоОснованию(ПервичныйДокумент) 
```
</details>

## УведомлениеОВвозеПрослеживаемыхТоваровПоОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция вовзращает первое найденное уведомление о ввозе прослеживаемых товаров заданного первичного документа.
//
// Параметры:
//	ПервичныйДокумент - ДокументСсылка - Документ, для которого необходимо найти уведомления о ввозе прослеживаемых товаров.
//	Проведен - Булево - Признак того, что необходимо получить проведенные документы.
//
// Возвращаемое значение:
//	Неопределено, ДокументСсылка - Ссылка на документ уведомление о ввозе прослеживаемых товаров. Если не найден, тогда Неопрелено
//
Функция УведомлениеОВвозеПрослеживаемыхТоваровПоОснованию(ПервичныйДокумент, Проведен = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьВызовСервераПереопределяемый.УведомлениеОВвозеПрослеживаемыхТоваровПоОснованию(ПервичныйДокумент, Проведен);
```
</details>

## РаспоряжениеКОформлениюУведомленияОПеремещенииПрослеживаемыхТоваровПоОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает первое найденное распоряжение к оформлению уведомления о перемещении прослеживаемых товаров для заданного сопроводительного документа.
//
// Параметры:
//	СопроводительныйДокумент - ДокументСсылка - Документ, для которого необходимо найти уведомления о перемещении прослеживаемых товаров.
//	Проведен - Булево - Признак того, что необходимо получить проведенные документы.
//
// Возвращаемое значение:
//	Неопределено, Структура - Данные найденного распоряжения. Если не найдено, тогда Неопределено
//
Функция РаспоряжениеКОформлениюУведомленияОПеремещенииПрослеживаемыхТоваровПоОснованию(СопроводительныйДокумент) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьВызовСервераПереопределяемый.РаспоряжениеКОформлениюУведомленияОПеремещенииПрослеживаемыхТоваровПоОснованию(СопроводительныйДокумент) 
```
</details>

## УведомлениеОПеремещенииПрослеживаемыхТоваровПоОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает первое найденное уведомление о перемещении прослеживаемых товаров для заданного сопроводительного документа.
//
// Параметры:
//	СопроводительныйДокумент - ДокументСсылка - Документ, для которого необходимо найти уведомления о перемещении прослеживаемых товаров.
//	Проведен - Булево - Признак того, что необходимо получить проведенные документы.
//
// Возвращаемое значение:
//	Неопределено, ДокументСсылка - Ссылка на документ уведомление о перемещении прослеживаемых товаров. Если не найден, тогда Неопределено
//
Функция УведомлениеОПеремещенииПрослеживаемыхТоваровПоОснованию(СопроводительныйДокумент, Проведен = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьВызовСервераПереопределяемый.УведомлениеОПеремещенииПрослеживаемыхТоваровПоОснованию(СопроводительныйДокумент, Проведен);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
