---
title: Прослеживаемость клиент переопределяемый
slug: erp-uh/прослеживаемость-клиент-переопределяемый
---


## ДанныеСтрокиТаблицыТоварыУведомленияОбОстатках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при выборе номенклатуры в документе
// Уведомление об остатках прослеживаемых товаров
//
// Параметры:
//
// ДанныеСтрокиТаблицы - Структура - данные которые заполняются с текущей строки таблицы товаров
//          * Номенклатура - СправочникСсылка.Номенклатура - Номеклатура
//          * ЕдиницаИзмерения - ОпределяемыйТип.ЕдиницаИзмерения -  Единица измерения
//          * Количество - Число - Количество
//          * КодОКПД2 - СправочникСсылка.КлассификаторОКПД2 - ОКПД2
//          * ЕдиницаИзмеренияПрослеживаемости - ОпределяемыйТип.ЕдиницаИзмерения - Единица измерения прослеживаемости
//          * КоличествоПрослеживаемости - Число -Количество по прослеживаемости
//          * Сумма - Число - Сумма
//
Процедура ДанныеСтрокиТаблицыТоварыУведомленияОбОстатках(ДанныеСтрокиТаблицы) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьКлиентПереопределяемый.ДанныеСтрокиТаблицыТоварыУведомленияОбОстатках(ДанныеСтрокиТаблицы) 
```
</details>

## ДанныеОбъектаУведомленияОбОСтатках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при выборе номенклатуры в документе
// Уведомление об остатках прослеживаемых товаров
//
// Параметры:
//
// ДанныеОбъекта - Структура - данные, которые заполняются с шапки объекта
//         * КодТНВЭД - СправочникСсылка.КлассификаторТНВЭД - Код ТНВЭД
//
Процедура ДанныеОбъектаУведомленияОбОСтатках(ДанныеОбъекта) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьКлиентПереопределяемый.ДанныеОбъектаУведомленияОбОСтатках(ДанныеОбъекта) 
```
</details>

## ОткрытьФормуПодбораСопроводительногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при выборе сопроводительного документа в табличной части Товары
// Уведомление о перемещении прослеживаемых товаров
//
// Параметры:
//
// Форма - ФормаКлиентскогоПриложения - Форма объекта
// ТекущиеДанные - ДанныеФормыЭлементКоллекции - Текущие данные таблицы Контрагенты
//
Процедура ОткрытьФормуПодбораСопроводительногоДокумента(Форма, ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьКлиентПереопределяемый.ОткрытьФормуПодбораСопроводительногоДокумента(Форма, ТекущиеДанные) 
```
</details>

## ОткрытьФормуПодбораСопроводительногоДокументаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуПодбораСопроводительногоДокументаЗавершение(ТипДокумента, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьКлиентПереопределяемый.ОткрытьФормуПодбораСопроводительногоДокументаЗавершение(ТипДокумента, ДополнительныеПараметры) 
```
</details>

## ПечатьРегламентированногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет печать документов: УведомлениеОбОстаткахПрослеживаемыхТоваров,
// УведомлениеОВвозеПрослеживаемыхТоваров, УведомлениеОПеремещенииПрослеживаемыхТоваров
// из формы 1С-отчетность вкладка отчеты
//
// Параметры:
// Ссылка - ДокументСсылка - Ссылка на документ уведомления
// СтандартнаяОбработка - Булево - признак стандартной обработки
//
Процедура ПечатьРегламентированногоОтчета(Ссылка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьКлиентПереопределяемый.ПечатьРегламентированногоОтчета(Ссылка, СтандартнаяОбработка) 
```
</details>

## ПервичныйДокументНачалоВыбораУведомлениеОбОстатках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывает форму выбора первичного документа
//
// Параметры:
//
// Форма - ФормаКлиентскогоПриложения - Форма объекта
//
Процедура ПервичныйДокументНачалоВыбораУведомлениеОбОстатках(ВидОперации, Форма) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьКлиентПереопределяемый.ПервичныйДокументНачалоВыбораУведомлениеОбОстатках(ВидОперации, Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
