---
title: Прослеживаемость переопределяемый
slug: erp-uh/прослеживаемость-переопределяемый
---


## ОтображениеСтраницФормыПомощникаРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при установке отображения страниц в Помощнике получения РНПТ
//
// Параметры:
//
// ОтображениеСтраниц - ОтображениеСтраницФормы - ссылка на отображение страниц
//
Процедура ОтображениеСтраницФормыПомощникаРНПТ(ОтображениеСтраниц) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьПереопределяемый.ОтображениеСтраницФормыПомощникаРНПТ(ОтображениеСтраниц) 
```
</details>

## ИзменитьУсловноеОформление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при открытии Помощника получения РНПТ и при открытии журнала по уведомлениям
//
// Параметры:
//
// Форма - ФормаКлиентскогоПриложения - форма объекта
//
Процедура ИзменитьУсловноеОформление(Форма) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьПереопределяемый.ИзменитьУсловноеОформление(Форма) 
```
</details>

## СписокВидовУведомленийОбОстатках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет список видов уведомлений, что будут отражаться при добавлении нового документа Уведомления об остатках
//
// Возвращаемое значение:
// СписокЗначений - список видов уведомлений
//
Функция СписокВидовУведомленийОбОстатках() Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьПереопределяемый.СписокВидовУведомленийОбОстатках() 
```
</details>

## ОтключитьФункциональностьПоОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция, которая отключает функциональность по прослеживаемым ОС
// в Помощнике получения РНПТ и в журнале уведомлений
//
// Возвращаемое значение:
//  Булево - Истина - функциональность отключить по прослеживаемы ОС, ложь - не отключать
//
Функция ОтключитьФункциональностьПоОС() Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьПереопределяемый.ОтключитьФункциональностьПоОС() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
