---
title: Прослеживаемость события форм клиент переопределяемый
slug: erp-uh/прослеживаемость-события-форм-клиент-переопределяемый
---


## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает на клиенте перед выполнением записи объекта из формы.
//
// Параметры:
//  Форма           - УправляемаяФорма - форма записываемого объекта,
//  Отказ           - Булево           - признак отказа от записи,
//  ПараметрыЗаписи - Структура        - структура, содержащая параметры записи.
//
Процедура ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьСобытияФормКлиентПереопределяемый.ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) 
```
</details>

## ПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает на клиенте после записи объекта из формы.
//
// Параметры:
//  Форма           - УправляемаяФорма - форма записываемого объекта,
//  ПараметрыЗаписи - Структура        - структура, содержащая параметры записи.
//
Процедура ПослеЗаписи(Форма, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьСобытияФормКлиентПереопределяемый.ПослеЗаписи(Форма, ПараметрыЗаписи) 
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается во всех созданных формах при вызове метода Оповестить.
//
// Параметры:
//  Форма      - УправляемаяФорма - оповещаемая форма,
//  СсылкаНаДокумент - ДокументСсылка    - ссылка на документ,
//  ИмяСобытия - Строка                  - имя события,
//  Параметр   - Произвольный            - параметр сообщения. Могут быть переданы любые необходимые данные,
//  Источник   - Произвольный            - источник события.
//
Процедура ОбработкаОповещения(Форма, СсылкаНаДокумент, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьСобытияФормКлиентПереопределяемый.ОбработкаОповещения(Форма, СсылкаНаДокумент, ИмяСобытия, Параметр, Источник) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
