---
title: Прослеживаемость УП
slug: erp-uh/прослеживаемость-уп
---


## ОперацияПрослеживаемости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Метод возвращает ссылку на элемент справочника КодыОперацийПрослеживаемости по коду
//
// Параметры:
//  КодОперации - Строка - Код операции
//
// Возвращаемое значение:
//  СправочникСсылка.КодыОперацийПрослеживаемости - Операция прослеживаемости
//
Функция ОперацияПрослеживаемости(КодОперации = "") Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьУП.ОперацияПрослеживаемости(КодОперации);
```
</details>

## ПрименяетсяОсвобождениеОтУплатыНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Применяется освобождение от уплаты НДС.
//
// Параметры:
//  Организация - СправочникСсылка.Организации
//  Дата - Дата
//
// Возвращаемое значение:
//  Булево - Применяется освобождение от уплаты НДС
Функция ПрименяетсяОсвобождениеОтУплатыНДС(Организация, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьУП.ПрименяетсяОсвобождениеОтУплатыНДС(Организация, Дата)  
```
</details>

## ОтразитьОперацииСПрослеживаемымиТоварами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод подписки на событие, отслеживающий изменение регистров товары организаций и товары переданных на комиссию.
//
// Параметры:
//  Источник - РегистрНакопленияНаборЗаписей.ТоварыОрганизаций, РегистрНакопленияНаборЗаписей.ТоварыПереданныеНаКомиссию - набор записей регистра накоплений
//  Отказ - Булево - Отказ
//  Замещение - Булево - Замещение
//
Процедура ОтразитьОперацииСПрослеживаемымиТоварами(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьУП.ОтразитьОперацииСПрослеживаемымиТоварами(Источник, Отказ, Замещение) 
```
</details>

## ОтменитьРучныеКорректировкиОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отмену ручных корректировок в регистре операций с прослеживаемыми товарами.
//
// Параметры:
//  СписокДокументов - Массив - Список документов
//
Процедура ОтменитьРучныеКорректировкиОпераций(СписокДокументов) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьУП.ОтменитьРучныеКорректировкиОпераций(СписокДокументов) 
```
</details>

## ПроверитьНеобходимостьРасширенныхДвиженийПрослеживаемыхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, есть ли необходимость в расширенных движениях прослеживаемых товаров. Записываем в расширенный регистр данные,
// если есть строки с различным отражением в отчетности, или если заполнены идентификаторы строк - в этом случае пишем все данные в расширенный регистр
//
// Параметры:
//  ТаблицаДвижений - ТаблицаЗначений - Движения в Регистр Накопления Операции с ПТ расширенный
//	Движения - КоллекцияДвижений - коллекция наборов записей движений документа
//
// Возвращаемое значение:
//  Булево
//
Функция ПроверитьНеобходимостьРасширенныхДвиженийПрослеживаемыхТоваров(ТаблицаДвижений, Движения) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьУП.ПроверитьНеобходимостьРасширенныхДвиженийПрослеживаемыхТоваров(ТаблицаДвижений, Движения) 
```
</details>

## СвойствоЗаписыватьВРасширенныйРегистр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя свойства записи расширенных движений прослеживаемых товаров
//
// Возвращаемое значение:
//  Строка
//
Функция СвойствоЗаписыватьВРасширенныйРегистр() Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьУП.СвойствоЗаписыватьВРасширенныйРегистр() 
```
</details>

## ДобавитьСвойствоЗаписыватьВРасширенныйРегистр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет свойство записи расширенных движений прослеживаемых товаров
//
// Параметры:
//  ДокументОбъект - ДокументОбъект - Записываемый документ
//  ЗначениеСвойства - Булево - Признак необходимости записи движений в расширенный регистр
//
Процедура ДобавитьСвойствоЗаписыватьВРасширенныйРегистр(ДокументОбъект, Знач ЗначениеСвойства = Истина) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьУП.ДобавитьСвойствоЗаписыватьВРасширенныйРегистр(ДокументОбъект, ЗначениеСвойства);
```
</details>

## ЗаполнитьОтчетОбОперацияхФормаОтчета2021Кв3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку и заполнение данных для регламентированного отчета.
//
// Параметры:
//  ПараметрыОтчета - Структура - Параметры отчета
//  Контейнер - Структура - Контейнер
//
Процедура ЗаполнитьОтчетОбОперацияхФормаОтчета2021Кв3(ПараметрыОтчета, Контейнер) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьУП.ЗаполнитьОтчетОбОперацияхФормаОтчета2021Кв3(ПараметрыОтчета, Контейнер) 
```
</details>

## ЗаполнитьОтчетОбОперацияхФормаОтчета2023Кв4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку и заполнение данных для регламентированного отчета.
//
// Параметры:
//  ПараметрыОтчета - Структура - Параметры отчета
//  Контейнер - Структура - Контейнер
//
Процедура ЗаполнитьОтчетОбОперацияхФормаОтчета2023Кв4(ПараметрыОтчета, Контейнер) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьУП.ЗаполнитьОтчетОбОперацияхФормаОтчета2023Кв4(ПараметрыОтчета, Контейнер) 
```
</details>

## ПолучитьДанныеРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет сбор данные по РНПТ.
//
// Параметры:
//  СтруктураПараметров - Структура
//
Процедура ПолучитьДанныеРНПТ(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьУП.ПолучитьДанныеРНПТ(СтруктураПараметров) 
```
</details>

## УстановитьПараметрыЗапросаТипыСобственныхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет установку параметра ТипыСобственныхТоваров
//
// Параметры:
//  Запрос - Запрос
//
Процедура УстановитьПараметрыЗапросаТипыСобственныхТоваров(Запрос) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьУП.УстановитьПараметрыЗапросаТипыСобственныхТоваров(Запрос) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
