---
title: Прослеживаемость формы вызов сервера переопределяемый
slug: erp-uh/прослеживаемость-формы-вызов-сервера-переопределяемый
---


## СписокНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует список номенклатуры, по которым было движение в регистре:
// РегистрацияПрослеживаемыхТоваровСрезПоследних по первичному документу
//
// Параметры:
//  ПервичныйДокумент - ДокументСсылка - ссылка на первичный документ
//  КодТНВЭД -  - Код ТНВЭД для отбора
//  Период - Дата - дата, на которую необходимо получить список актуальных ТНВЭД
//
// Возвращаемое значение:
//  Массив - массив Номенклатуры
//
Функция СписокНоменклатуры(ПервичныйДокумент, КодТНВЭД, Период) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьФормыВызовСервераПереопределяемый.СписокНоменклатуры(ПервичныйДокумент, КодТНВЭД, Период) 
```
</details>

## ПараметрыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру реквизитов документов
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура - номенклатура
//
// Возвращемое значение:
//  Структура - КодТНВЭД - СправочникСсылка.КлассификаторТНВЭД
//            - ЕдиницаИзмерения - СправочникСсылка.КлассификаторЕдиницИзмерения
//
Функция ПараметрыНоменклатуры(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьФормыВызовСервераПереопределяемый.ПараметрыНоменклатуры(Номенклатура) 
```
</details>

## СписокТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует список ТНВЭД, по которым было движение в регистре:
// РегистрацияПрослеживаемыхТоваровСрезПоследних по первичному документу
//
// Параметры:
//  ПервичныйДокумент - ДокументСсылка - ссылка на первичный документ
//  Ссылка - ДокументСсылка - Ссылка на документ в котором необходимо отобрать список ТНВЭД
//  Период - Дата - дата, на которую необходимо получить список актуальных ТНВЭД
//
// Возвращаемое значение:
//  Массив - массив ТНВЭД
//
Функция СписокТНВЭД(ПервичныйДокумент, Ссылка, Период) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьФормыВызовСервераПереопределяемый.СписокТНВЭД(ПервичныйДокумент, Ссылка, Период) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
