---
title: Прослеживаемость формы клиент
slug: erp-uh/прослеживаемость-формы-клиент
---


## ОбработкаВыбораУведомления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при выборе ТНВЭД и номенклатуры в документе
// Уведомление об остатках прослеживаемых товаров
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма из которой вызвана формы выбора
//  Выбранное значение - выбранное значение в форме выбора
//  ИсточникВыбора - ФормаКлиенскогоПриложения - форма в которой выбрали значение
//
Процедура ОбработкаВыбораУведомления(Форма, ВыбранноеЗначение, ИсточникВыбора) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьФормыКлиент.ОбработкаВыбораУведомления(Форма, ВыбранноеЗначение, ИсточникВыбора) 
```
</details>

## ТоварыНоменклатураНачалоВыбораУведомления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при начале выбора номенклатуры
//
// Параметры:
// ФормаВладелец - ФормаКлиентскогоПриложения - Форма, в которой выбрали номенклатуру
Процедура ТоварыНоменклатураНачалоВыбораУведомления(ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьФормыКлиент.ТоварыНоменклатураНачалоВыбораУведомления(ФормаВладелец) 
```
</details>

## ТоварыКоличествоПриИзмененииУведомления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при изменении количества в документе
// Уведомление об остатках прослеживаемых товаров
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма владелец
//  ТекущиеДанные - ДанныеФормыЭлементКоллекции - текущая строка в таблице товары
//
Процедура ТоварыКоличествоПриИзмененииУведомления(Форма, ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьФормыКлиент.ТоварыКоличествоПриИзмененииУведомления(Форма, ТекущиеДанные) 
```
</details>

## КодТНВЭДНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при начале выбора кода ТНВЭД в документе
// Уведомление об остатках прослеживаемых товаров
//
// Параметры:
// ФормаВладелец - ФормаКлиентскогоПриложения - форма владелец
//
Процедура КодТНВЭДНачалоВыбора(ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьФормыКлиент.КодТНВЭДНачалоВыбора(ФормаВладелец) 
```
</details>

## ВыполнитьКомандуПечатиУведомленияОбОСтаткахПрослеживаемыхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет команду печати документа Уведомление об остатках прослеживаемых товаров
//
// Параметры:
//  ОписаниеКоманды - структура, содержащая ключ, соответствующие таблице значений
//						создаваемой функций БСП УправлениеПечатью.СоздатьКоллекциюКомандПечати(),
//						и ключ Форма - управляемая форма, из которой вызвана команда печати.
//
Функция ВыполнитьКомандуПечатиУведомленияОбОСтаткахПрослеживаемыхТоваров(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьФормыКлиент.ВыполнитьКомандуПечатиУведомленияОбОСтаткахПрослеживаемыхТоваров(ОписаниеКоманды) 
```
</details>

## ВыполнитьКомандуПечатиУведомленияОВвозеПрослеживаемыхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет команду печати документа "Уведомление о ввозе прослеживаемых товаров"
//
// Параметры:
//  ОписаниеКоманды - структура,содержащая ключ, соответствующие таблице значений
//						создаваемой функций БСП УправлениеПечатью.СоздатьКоллекциюКомандПечати(),
//						и ключ Форма - управляемая форма, из которой вызвана команда печати.
//
Функция ВыполнитьКомандуПечатиУведомленияОВвозеПрослеживаемыхТоваров(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьФормыКлиент.ВыполнитьКомандуПечатиУведомленияОВвозеПрослеживаемыхТоваров(ОписаниеКоманды) 
```
</details>

## ПроверитьСоответствиеРеквизитовВШапкеИТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствие реквизитов шапки с реквизитами табличной части
//
// Параметры:
// ФормаВладелец - ФормаКлиентскогоПриложения - форма владелец
// Отказ - булево - признак отказа
// ПараметрыЗаписи - РежимЗаписиДокумента - режимы записи документа
//
Процедура ПроверитьСоответствиеРеквизитовВШапкеИТабличнойЧасти(Форма, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ПрослеживаемостьФормыКлиент.ПроверитьСоответствиеРеквизитовВШапкеИТабличнойЧасти(Форма, Отказ, ПараметрыЗаписи) 
```
</details>

## ВыполнитьКомандуПечатиУведомленияОПеремещенииПрослеживаемыхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет команду печати документа Уведомление о перемещении прослеживаемых товаров
//
// Параметры:
//  ОписаниеКоманды - структура, содержащая ключ, соответствующие таблице значений
//						создаваемой функций БСП УправлениеПечатью.СоздатьКоллекциюКомандПечати(),
//						и ключ Форма - управляемая форма, из которой вызвана команда печати.
//
Функция ВыполнитьКомандуПечатиУведомленияОПеремещенииПрослеживаемыхТоваров(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ПрослеживаемостьФормыКлиент.ВыполнитьКомандуПечатиУведомленияОПеремещенииПрослеживаемыхТоваров(ОписаниеКоманды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
