---
title: Протоколируемые события УХ
slug: erp-uh/протоколируемые-события-ух
---


## ПолучитьСтруктуруКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруКонтекста(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ПротоколируемыеСобытияУХ.ПолучитьСтруктуруКонтекста(ОбъектРасчета) 
```
</details>

## ЕстьПротоколПотока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьПротоколПотока() Экспорт
```

Пример вызова
```bsl
Результат = ПротоколируемыеСобытияУХ.ЕстьПротоколПотока());
```
</details>

## ДобавитьЗаписьВЖурнал
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьВЖурнал(КонтекстЗаписи,Событие, ТипЗаписи, ОбъектМетаданных, ОбъектДанных, Сообщение, ТехническаяИнформацияСтрокаВнутр,КонтекстСобытия=Неопределено,ОчищатьПредыдущие=Истина) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьВЖурнал(КонтекстЗаписи, Событие, ТипЗаписи, ОбъектМетаданных, ОбъектДанных, Сообщение, ТехническаяИнформацияСтрокаВнутр, КонтекстСобытия, ОчищатьПредыдущие);
```
</details>

## ДобавитьЗаписьВПротокол
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьВПротокол(Событие, ТипЗаписи, ОбъектМетаданных, ОбъектДанных, Сообщение, ТехническаяИнформацияСтрокаВнутр,КонтекстСобытия=Неопределено) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьВПротокол(Событие, ТипЗаписи, ОбъектМетаданных, ОбъектДанных, Сообщение, ТехническаяИнформацияСтрокаВнутр, КонтекстСобытия);
```
</details>

## ДобавитьЗаписьТаблица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьТаблица(ОбъектРасчета,Событие, УровеньЖурналаРегистрации, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация,КонтекстСобытия=Неопределено, ИспользоватьФоновоеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьТаблица(ОбъектРасчета, Событие, УровеньЖурналаРегистрации, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация, КонтекстСобытия, ИспользоватьФоновоеЗадание);
```
</details>

## ДобавитьЗапись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗапись(Событие, УровеньЖурналаРегистрации, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация,КонтекстСобытия=Неопределено, ИспользоватьФоновоеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗапись(Событие, УровеньЖурналаРегистрации, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация, КонтекстСобытия, ИспользоватьФоновоеЗадание);
```
</details>

## ЗаписатьПротоколируемоеСобытие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПротоколируемоеСобытие(ИмяСобытия, Уровень = Неопределено, ОбъектМетаданных = Неопределено, Данные = Неопределено, Комментарий = Неопределено) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ЗаписатьПротоколируемоеСобытие(ИмяСобытия, Уровень, ОбъектМетаданных, Данные, Комментарий);
```
</details>

## ПараметрыВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыВМассив(Событие, УровеньЖурналаРегистрации, ОбъектМетаданных, Данные, Комментарий) Экспорт
```

Пример вызова
```bsl
Результат = ПротоколируемыеСобытияУХ.ПараметрыВМассив(Событие, УровеньЖурналаРегистрации, ОбъектМетаданных, Данные, Комментарий));
```
</details>

## ПолучитьТипЗаписиПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТипЗаписиПротокола(Уровень) Экспорт
```

Пример вызова
```bsl
Результат = ПротоколируемыеСобытияУХ.ПолучитьТипЗаписиПротокола(Уровень));
```
</details>

## Завершить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Завершить(Наименование, Описание = "", Экспорт
```

Пример вызова
```bsl
Результат = ПротоколируемыеСобытияУХ.Завершить(Наименование, Описание, );
```
</details>

## ДобавитьЗаписиПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписиПротокола(НаборЗаписей,Записи,ТаблицаПротокола,КонтекстПротокола) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписиПротокола(НаборЗаписей, Записи, ТаблицаПротокола, КонтекстПротокола));
```
</details>

## Отменить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Отменить() Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.Отменить() 
```
</details>

## ДобавитьЗаписьИнформация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьИнформация(Событие, ОбъектМетаданных = Неопределено, Данные = Неопределено, Комментарий = "", ТехническаяИнформация = Неопределено,КонтекстСобытия=Неопределено, ФоновоеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьИнформация(Событие, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация, КонтекстСобытия, ФоновоеЗадание);
```
</details>

## ДобавитьЗаписьИнформацияТаблица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьИнформацияТаблица(ОбъектРасчета,Событие, ОбъектМетаданных = Неопределено, Данные = Неопределено, Комментарий = "", ТехническаяИнформация = Неопределено,КонтекстСобытия=Неопределено, ФоновоеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьИнформацияТаблица(ОбъектРасчета, Событие, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация, КонтекстСобытия, ФоновоеЗадание);
```
</details>

## ДобавитьЗаписьОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьОшибка(Событие, ОбъектМетаданных = Неопределено, Данные = Неопределено, Комментарий = "", ТехническаяИнформация = Неопределено,КонтекстСобытия=Неопределено, ФоновоеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьОшибка(Событие, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация, КонтекстСобытия, ФоновоеЗадание);
```
</details>

## ДобавитьЗаписьОшибкаТаблица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьОшибкаТаблица(ОбъектРасчета,Событие, ОбъектМетаданных = Неопределено, Данные = Неопределено, Комментарий = "", ТехническаяИнформация = Неопределено,КонтекстСобытия=Неопределено, ФоновоеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьОшибкаТаблица(ОбъектРасчета, Событие, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация, КонтекстСобытия, ФоновоеЗадание);
```
</details>

## ДобавитьЗаписьПредупреждение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьПредупреждение(Событие, ОбъектМетаданных = Неопределено, Данные = Неопределено, Комментарий = "", ТехническаяИнформация = Неопределено,КонтекстСобытия=Неопределено, ФоновоеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьПредупреждение(Событие, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация, КонтекстСобытия, ФоновоеЗадание);
```
</details>

## ДобавитьЗаписьПредупреждениеТаблица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьПредупреждениеТаблица(ОбъектРасчета,Событие, ОбъектМетаданных = Неопределено, Данные = Неопределено, Комментарий = "", ТехническаяИнформация = Неопределено,КонтекстСобытия=Неопределено, ФоновоеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьПредупреждениеТаблица(ОбъектРасчета, Событие, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация, КонтекстСобытия, ФоновоеЗадание);
```
</details>

## ДобавитьЗаписьПримечание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьПримечание(Событие, ОбъектМетаданных = Неопределено, Данные = Неопределено, Комментарий = "", ТехническаяИнформация = Неопределено,КонтекстСобытия=Неопределено, ФоновоеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьПримечание(Событие, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация, КонтекстСобытия, ФоновоеЗадание);
```
</details>

## ДобавитьЗаписьПримечаниеТаблица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьПримечаниеТаблица(ОбъектРасчета,Событие, ОбъектМетаданных = Неопределено, Данные = Неопределено, Комментарий = "", ТехническаяИнформация = Неопределено,КонтекстСобытия=Неопределено, ФоновоеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьПримечаниеТаблица(ОбъектРасчета, Событие, ОбъектМетаданных, Данные, Комментарий, ТехническаяИнформация, КонтекстСобытия, ФоновоеЗадание);
```
</details>

## ЗаписатьПротоколВРегистр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ЗаписатьПротоколВРегистр(Объект=Неопределено, Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ЗаписатьПротоколВРегистр(Объект, );
```
</details>

## ЕстьПротоколыПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьПротоколыПоОбъекту(Объект, Экспорт
```

Пример вызова
```bsl
Результат = ПротоколируемыеСобытияУХ.ЕстьПротоколыПоОбъекту(Объект, );
```
</details>

## ЕстьОшибкиПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьОшибкиПоОбъекту(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ПротоколируемыеСобытияУХ.ЕстьОшибкиПоОбъекту(ОбъектРасчета) 
```
</details>

## ПолучитьТаблицуПротоколовПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////
// ДанныеОбъекта: Структура
//  Объект=Неопределено,
//	ВерсияХранимогоФайла=Неопределено,
//	Организация=Неопределено,
//	ПериодОтчета=Неопределено,
//	Сценарий=Неопределено,
//	ВидОтчета=Неопределено
//
//
Функция ПолучитьТаблицуПротоколовПоОбъекту(ДанныеОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ПротоколируемыеСобытияУХ.ПолучитьТаблицуПротоколовПоОбъекту(ДанныеОбъекта) 
```
</details>

## ПолучитьМассивПротоколируемыхОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивПротоколируемыхОбъектов(МассивОбъектов,КлючевыеРеквизиты=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПротоколируемыеСобытияУХ.ПолучитьМассивПротоколируемыхОбъектов(МассивОбъектов, КлючевыеРеквизиты);
```
</details>

## ПолучитьДанныеДляПечатиПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеДляПечатиПротокола(Протокол) Экспорт
```

Пример вызова
```bsl
Результат = ПротоколируемыеСобытияУХ.ПолучитьДанныеДляПечатиПротокола(Протокол) 
```
</details>

## ДобавитьЗаписьВМассивСобытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьВМассивСобытий(МассивСобытий,ТаблицаПротоколов,ТипСобытия=Неопределено) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.ДобавитьЗаписьВМассивСобытий(МассивСобытий, ТаблицаПротоколов, ТипСобытия);
```
</details>

## УстановкаПараметровСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры сеанса протоколируемых событий.
//
// Параметры:
//  ИмяПараметра           - Неопределено;
//  УстановленныеПараметры - Неопределено.
//
Процедура УстановкаПараметровСеанса(ИмяПараметра = Неопределено, УстановленныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ПротоколируемыеСобытияУХ.УстановкаПараметровСеанса(ИмяПараметра, УстановленныеПараметры);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
