---
title: Прочие классификаторы ВЕТИС вызов сервера
slug: erp-uh/прочие-классификаторы-ветис-вызов-сервера
---


## ЕдиницаИзмеренияПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает единицу измерения по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//  ПараметрыОбмена - см. ИнтеграцияВЕТИС.ПараметрыОбмена
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементаКлассификатора
//
Функция ЕдиницаИзмеренияПоGUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ЕдиницаИзмеренияПоGUID(Идентификатор, ПараметрыОбмена);
```
</details>

## ЕдиницаИзмеренияПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает единицу измерения по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//  ПараметрыОбмена - см. ИнтеграцияВЕТИС.ПараметрыОбмена
// Возвращаемое значение:
// см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементаКлассификатора
//
Функция ЕдиницаИзмеренияПоUUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ЕдиницаИзмеренияПоUUID(Идентификатор, ПараметрыОбмена);
```
</details>

## СписокЕдиницИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список единиц измерения.
//
// Параметры:
//  НомерСтраницы - Число - Номер страницы.
//  ХозяйствующийСубъект - СправочникСсылка.ХозяйствующиеСубъектыВЕТИС
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементовКлассификатора
//
Функция СписокЕдиницИзмерения(НомерСтраницы = 1, ХозяйствующийСубъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.СписокЕдиницИзмерения(НомерСтраницы, ХозяйствующийСубъект);
```
</details>

## ИсторияИзмененийЕдиницИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период элементов единиц измерения.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
// * НачалоПериода - Дата - Дата начала периода.
// * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//  КоличествоЭлементовНаСтранице - Неопределено - Количество элементов на странице
//  ПараметрыОбмена - Неопределено - Параметры обмена
//
// Возвращаемое значение:
// см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементовКлассификатора
//
Функция ИсторияИзмененийЕдиницИзмерения(Интервал, НомерСтраницы = 1, Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ИсторияИзмененийЕдиницИзмерения(Интервал, НомерСтраницы, );
```
</details>

## ЕдиницыИзмеренияПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу доступных единиц измерения для различных видов продукции.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Единицы измерения продукции:
// * ТипПродукцииGUID - ОпределяемыйТип.УникальныйИдентификаторИС
// * ТипПродукции - ОпределяемыйТип.СтрокаВЕТИС
// * ПродукцияGUID - ОпределяемыйТип.УникальныйИдентификаторИС
// * Продукция - ОпределяемыйТип.СтрокаВЕТИС
// * ВидПродукцииGUID - ОпределяемыйТип.УникальныйИдентификаторИС
// * ВидПродукции - ОпределяемыйТип.СтрокаВЕТИС
// * ГруппаЕдиницИзмерения - ОпределяемыйТип.СтрокаВЕТИС
// * ЕдиницаИзмеренияGUID - ОпределяемыйТип.УникальныйИдентификаторИС
// * ЕдиницаИзмерения - ОпределяемыйТип.СтрокаВЕТИС
// * ЕдиницаИзмеренияСсылка - СправочникСсылка.ЕдиницыИзмеренияВЕТИС -
Функция ЕдиницыИзмеренияПродукции() Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ЕдиницыИзмеренияПродукции() 
```
</details>

## ЦельПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает назначение груза по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//  ПараметрыОбмена - см. ИнтеграцияВЕТИС.ПараметрыОбмена
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементаКлассификатора
//
Функция ЦельПоGUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ЦельПоGUID(Идентификатор, ПараметрыОбмена);
```
</details>

## ЦельПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает цель по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//  ПараметрыОбмена - см. ИнтеграцияВЕТИС.ПараметрыОбмена
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементаКлассификатора
//
Функция ЦельПоUUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ЦельПоUUID(Идентификатор, ПараметрыОбмена);
```
</details>

## СписокЦелей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список целей.
//
// Параметры:
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
// см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементовКлассификатора
//
Функция СписокЦелей(НомерСтраницы = 1) Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.СписокЦелей(НомерСтраницы);
```
</details>

## ИсторияИзмененийЦелей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период целей.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
// * НачалоПериода - Дата - Дата начала периода.
// * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//  КоличествоЭлементовНаСтранице - Неопределено - Количество элементов на странице
//  ПараметрыОбмена - см. ИнтеграцияВЕТИС.ПараметрыОбмена
//
// Возвращаемое значение:
// см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементовКлассификатора
//
Функция ИсторияИзмененийЦелей(Интервал, НомерСтраницы = 1, Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ИсторияИзмененийЦелей(Интервал, НомерСтраницы, );
```
</details>

## ОрганизационноПравовыеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Организационно правовые формы.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Организационно правовые формы:
// * Код - ОпределяемыйТип.СтрокаВЕТИС
// * GUID - ОпределяемыйТип.УникальныйИдентификаторИС
// * Наименование - ОпределяемыйТип.СтрокаВЕТИС
Функция ОрганизационноПравовыеФормы() Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ОрганизационноПравовыеФормы() 
```
</details>

## ВидыДеятельностиПредприятий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Виды деятельности предприятий.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Виды деятельности предприятий:
// * GUID - ОпределяемыйТип.УникальныйИдентификаторИС
// * Наименование - ОпределяемыйТип.СтрокаВЕТИС
Функция ВидыДеятельностиПредприятий() Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ВидыДеятельностиПредприятий() 
```
</details>

## СтраныМира
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Страны мира.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Страны мира:
// * КодАльфа2  - ОпределяемыйТип.СтрокаВЕТИС
// * КодАльфа3 - ОпределяемыйТип.СтрокаВЕТИС
// * GUID - ОпределяемыйТип.УникальныйИдентификаторИС
// * Наименование - ОпределяемыйТип.СтрокаВЕТИС
Функция СтраныМира() Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.СтраныМира() 
```
</details>

## ДанныеСтраныМира
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные страны мира.
//
// Параметры:
//  Страна - СправочникСсылка.СтраныМира
//  СтраныМира - СправочникСсылка.СтраныМира - Страны мира
//
// Возвращаемое значение:
//  Структура - Данные страны мира:
// * Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС -
// * Наименование - ОпределяемыйТип.СтрокаВЕТИС -
Функция ДанныеСтраныМира(Страна, СтраныМира = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ДанныеСтраныМира(Страна, СтраныМира);
```
</details>

## ЗаболеваниеПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает назначение груза по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//  ПараметрыОбмена - см. ИнтеграцияВЕТИС.ПараметрыОбмена
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементаКлассификатора
//
Функция ЗаболеваниеПоGUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ЗаболеваниеПоGUID(Идентификатор, ПараметрыОбмена);
```
</details>

## ЗаболеваниеПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает цель по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//  ПараметрыОбмена - см. ИнтеграцияВЕТИС.ПараметрыОбмена
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементаКлассификатора
//
Функция ЗаболеваниеПоUUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.ЗаболеваниеПоUUID(Идентификатор, ПараметрыОбмена);
```
</details>

## СписокЗаболеваний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список заболеваний.
//
// Параметры:
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  см. ИнтеграцияВЕТИС.ВыполнитьЗапросЭлементаКлассификатора
//
Функция СписокЗаболеваний(НомерСтраницы = 1) Экспорт
```

Пример вызова
```bsl
Результат = ПрочиеКлассификаторыВЕТИСВызовСервера.СписокЗаболеваний(НомерСтраницы);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
