---
title: Работа с XML ЕГАИС
slug: erp-uh/работа-с-xml-егаис
---


## ОбъектXDTOВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует объект XDTO в XML
//
// Параметры:
//  ОбъектXDTO - ОбъектXDTO - Объект XDTO
//  ИдентификаторФСРАР - Строка - идентификатор отправителя в системе ФС РАР
//  ПространствоИмен - Строка - используемое пространство имен
//  ИмяТипа - Строка - Имя типа
//
// Возвращаемое значение:
//  Строка - Текст сообщения XML
//
Функция ОбъектXDTOВXML(ОбъектXDTO, ИдентификаторФСРАР, ПространствоИмен, ИмяТипа) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLЕГАИС.ОбъектXDTOВXML(ОбъектXDTO, ИдентификаторФСРАР, ПространствоИмен, ИмяТипа) 
```
</details>

## ЧекXDTOВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует объект XDTO чека в XML.
//
// Параметры:
//  ОбъектXDTO - ОбъектXDTO - Объект XDTO
//  ПространствоИмен - Строка - Имя пространства имен.
//  ИмяТипа - Строка - Имя типа
//
// Возвращаемое значение:
//  Строка - Текст сообщения XML.
//
Функция ЧекXDTOВXML(ОбъектXDTO, ПространствоИмен, ИмяТипа) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLЕГАИС.ЧекXDTOВXML(ОбъектXDTO, ПространствоИмен, ИмяТипа) 
```
</details>

## ЗаполнитьСвойствоXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение свойства объекта XDTO.
//
// Параметры:
//  ОбъектXDTO - ОбъектXDTO - Объект XDTO
//  ИмяСвойства - Строка - Имя свойства
//  ЗначениеСвойства - Неопределено, Строка - Значение свойства
//  КешОшибок - Неопределено - Кеш ошибок
//  Глубина - Неопределено - Глубина
//  ТребуетсяЗаполнить - Неопределено, Булево - Требуется заполнить
//
// Возвращаемое значение:
//  Булево - свойство XDTO заполнено
Функция ЗаполнитьСвойствоXDTO( Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLЕГАИС.ЗаполнитьСвойствоXDTO();
```
</details>

## ОбъектXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новый объект XDTO.
//
// Параметры:
//  ПространствоИмен - Строка - Пространство имен.
//  ИмяТипа - Строка - Имя типа в пространстве имен.
//
// Возвращаемое значение:
//  ОбъектXDTO - Созданный объект XDTO/
//
Функция ОбъектXDTO(ПространствоИмен, ИмяТипа) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLЕГАИС.ОбъектXDTO(ПространствоИмен, ИмяТипа) 
```
</details>

## ОбъектXDTOПоТекстуСообщенияXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Объект XDTO, получаемый из текста сообщения XML
//
// Параметры:
//  ТекстСообщенияXML - Строка - Текст сообщения XML
//  Тип - Строка, Неопределено, ТипОбъектаXDTO - Тип объекта
//
// Возвращаемое значение:
//  ОбъектXDTO - Объект XDTO
//
Функция ОбъектXDTOПоТекстуСообщенияXML(ТекстСообщенияXML, Тип) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLЕГАИС.ОбъектXDTOПоТекстуСообщенияXML(ТекстСообщенияXML, Тип) 
```
</details>

## ПреобразоватьПроизвольныйОбъектXDTOВОбъектXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует содержимое произвольного объекта XDTO источника (без типов) в содержимое объекта XDTO приемника (с типами).
// Параметры:
//  ОбъектXDTOИсточник - ОбъектXDTO - Объект источник
//  ОбъектXDTOПриемник - ОбъектXDTO - Объект приемник
//
// Возвращаемое значение:
//  ОбъектXDTO - Преобразовать произвольный объект XDTOВОбъект XDTO
Функция ПреобразоватьПроизвольныйОбъектXDTOВОбъектXDTO(ОбъектXDTOИсточник, ОбъектXDTOПриемник) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLЕГАИС.ПреобразоватьПроизвольныйОбъектXDTOВОбъектXDTO(ОбъектXDTOИсточник, ОбъектXDTOПриемник) 
```
</details>

## ПредставлениеОшибкиXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление ошибки XDTO.
//
// Параметры:
//  ПредставлениеОшибки - см. РаботаСXMLИС.ДанныеДляРасшифровкиОшибок
//  ЧтениеXML - ЧтениеXML
//  Глубина - Число
//
// Возвращаемое значение:
//  см. РаботаСXMLИС.ПредставлениеОшибкиXDTO
Функция ПредставлениеОшибкиXDTO(ПредставлениеОшибки, ЧтениеXML, Глубина) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLЕГАИС.ПредставлениеОшибкиXDTO(ПредставлениеОшибки, ЧтениеXML, Глубина) 
```
</details>

## КорневоеПространствоИмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает корневое пространство имен для документов ЕГАИС.
//
// Возвращаемое значение:
//  Строка - Корневое пространство имен
Функция КорневоеПространствоИмен() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLЕГАИС.КорневоеПространствоИмен() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
