---
title: Работа с XML ИС
slug: erp-uh/работа-с-xml-ис
---


## ЗависимыеПространстваИмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает все пространства зависимые пространства имен из коллекции пакетов.
//
Процедура ЗависимыеПространстваИмен(ЗависимыеПакеты, ПространстваИмен) Экспорт
```

Пример вызова
```bsl
РаботаСXMLИС.ЗависимыеПространстваИмен(ЗависимыеПакеты, ПространстваИмен) 
```
</details>

## ОбъектXDTOПоИмениТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает ОбъектXDTO из пространства имен по имени свойства.
//
// Возвращаемое значение:
//   ОбъектXDTO
Функция ОбъектXDTOПоИмениТипа(ОбъектXDTOРодитель, ИмяТипа) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ОбъектXDTOПоИмениТипа(ОбъектXDTOРодитель, ИмяТипа) 
```
</details>

## ОбъектXDTOПоИмениСвойства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает ОбъектXDTO из пространства имен по имени свойства.
//
// Возвращаемое значение:
//   ОбъектXDTO
Функция ОбъектXDTOПоИмениСвойства(ПространствоИмен, ИмяСвойства, ОбъектXDTOРодитель = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ОбъектXDTOПоИмениСвойства(ПространствоИмен, ИмяСвойства, ОбъектXDTOРодитель);
```
</details>

## ОбъектXDTOВСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует объект XDTO в структуру
//
// Параметры:
//  ОбъектXDTO - ОбъектXDTO - Объект XDTO
//  ПараметрыПреобразования - Неопределено, Структура - дополнительные переметры преобразования объекта
//
// Возвращаемое значение:
//  Структура - Структура объекта.
//
Функция ОбъектXDTOВСтруктуру(ОбъектXDTO, ПараметрыПреобразования = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ОбъектXDTOВСтруктуру(ОбъектXDTO, ПараметрыПреобразования);
```
</details>

## ОбъектXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новый объект XDTO.
//
// Параметры:
//  ПространствоИмен - Строка - Пространство имен.
//  ИмяТипа - Строка - Имя типа в пространстве имен.
//
// Возвращаемое значение:
//  ОбъектXDTO - Созданный объект XDTO/
//
Функция ОбъектXDTO(ПространствоИмен, ИмяТипа) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ОбъектXDTO(ПространствоИмен, ИмяТипа) 
```
</details>

## ЗаполнитьСвойствоXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение свойства объекта XDTO,
// с проверкой на наличие свойства и необходимость заполнения.
//
// Параметры:
//  ОбъектXDTO       - ОбъектXDTO   - объект в котором заполняется свойство
//  ИмяСвойства      - Строка       - имя свойства
//  ЗначениеСвойства - Произвольный - значение свойства
//  КешОшибок        - Структура    - см. ОбщегоНазначенияИСКлиентСервер.ДобавитьТекстОшибки()
//  Расшифровки      - Структура    - см. ДанныеДляРасшифровкиОшибок()
//  ТребуетсяЗаполнить - Булево     - Признак необходимости заполнения свойства.
//
// Возвращаемое значение:
//  Булево - Истина, если значение было заполнено
//
Функция ЗаполнитьСвойствоXDTO(ОбъектXDTO, ИмяСвойства, ЗначениеСвойства, КешОшибок, Расшифровки, ТребуетсяЗаполнить = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ЗаполнитьСвойствоXDTO(ОбъектXDTO, ИмяСвойства, ЗначениеСвойства, КешОшибок, Расшифровки, ТребуетсяЗаполнить);
```
</details>

## УстановитьСвойствоXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение свойства объекта XDTO (для списка - добавляет элемент в список), без проверок
//
// Параметры:
//  ОбъектXDTO       - ОбъектXDTO   - объект в котором заполняется свойство
//  ИмяСвойства      - Строка       - имя свойства
//  ЗначениеСвойства - Произвольный - значение свойства
//  КешОшибок        - Структура    - см ОбщегоНазначенияИСКлиентСервер.ДобавитьТекстОшибки()
//  Расшифровки      - Структура    - см ДанныеДляРасшифровкиОшибок()
//
Процедура УстановитьСвойствоXDTO(ОбъектXDTO, ИмяСвойства, ЗначениеСвойства, КешОшибок, Расшифровки) Экспорт
```

Пример вызова
```bsl
РаботаСXMLИС.УстановитьСвойствоXDTO(ОбъектXDTO, ИмяСвойства, ЗначениеСвойства, КешОшибок, Расшифровки) 
```
</details>

## ПредставлениеОшибкиXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пользовательское представление ошибки
//
// Параметры:
//  ПредставлениеОшибки	 - Строка               - представление ошибки до обработки
//  ЧтениеXML            - ЧтениеXML, Структура - ошибочный узел данных
//  Расшифровки          - Структура            - см. ДанныеДляРасшифровкиОшибок()
//
// Возвращаемое значение:
//  Строка - представление ошибки после обработки
//
Функция ПредставлениеОшибкиXDTO(ПредставлениеОшибки, ЧтениеXML, Расшифровки) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ПредставлениеОшибкиXDTO(ПредставлениеОшибки, ЧтениеXML, Расшифровки) 
```
</details>

## ПроизвольныйОбъектXDTOПоТекстуСообщенияXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Объект XDTO, получаемый из текста сообщения XML
//
// Параметры:
//  ТекстСообщенияXML - Строка - Текст сообщения XML
//
// Возвращаемое значение:
//  ОбъектXDTO - Объект XDTO
//
Функция ПроизвольныйОбъектXDTOПоТекстуСообщенияXML(ТекстСообщенияXML) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ПроизвольныйОбъектXDTOПоТекстуСообщенияXML(ТекстСообщенияXML) 
```
</details>

## ЗначениеСвойстваОбъектаXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращается значение свойства объекта XDTO при его наличии.
//
// Параметры:
//  ОбъектXDTO - ОбъектXDTO - Объект для получения свойства.
//  ПутьКСвойству - Строка - Путь к свойству объекта, возможно разделенный точками (.).
//
// Возвращаемое значение:
//  Неопределено, ОбъектXDTO, СписокXDTO, СвойствоXDTO, Строка, Число - Значение свойства объекта XDTO.
Функция ЗначениеСвойстваОбъектаXDTO(ОбъектXDTO, ПутьКСвойству) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ЗначениеСвойстваОбъектаXDTO(ОбъектXDTO, ПутьКСвойству) 
```
</details>

## ДанныеДляРасшифровкиОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Функция - Данные для расшифровки ошибок
//
// Параметры:
//  ИмяМакета - Строка - макет в котором искать описание ошибки
//  Глубина   - Число  - уровень вложенности ошибки в макете
//
// Возвращаемое значение:
//  Структура - из переданных параметров
//
Функция ДанныеДляРасшифровкиОшибок(ИмяМакета = Неопределено, Глубина = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ДанныеДляРасшифровкиОшибок(ИмяМакета, Глубина);
```
</details>

## ПустаяТаблицаПредставленийПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает пустую таблицу значений пользовательских представлений полей
//
// Возвращаемое значение:
//  ТаблицаЗначений - пустая таблица (отсутствия пользовательской расшифровки полей)
//
Функция ПустаяТаблицаПредставленийПолей() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ПустаяТаблицаПредставленийПолей() 
```
</details>

## ПредставленияПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает таблицу значений пользовательских представлений полей из макета
//    Структура макета: Табличный документ с XML:
//     * Элементы (список): Items,
//       * Вложенный элемент списка: Item, с атрибутами соответствующими колонкам результата.
//
// Параметры:
//  ИмяМакета - Строка - имя общего макета из которого берутся представления
// Возвращаемое значение:
//  ТаблицаЗначений - см. ПустаяТаблицаПредставленийПолей()
//
Функция ПредставленияПолей(ИмяМакета) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ПредставленияПолей(ИмяМакета));
```
</details>

## ПараметрыФорматированияXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует объект ПараметрыЗаписиXML.
//
// Параметры:
//  ИспользоватьОтступы - Булево - признак использования отступов, по умолчанию Истина.
//  СимволОтступа       - Строка - символ, которым отображается отступ, по умолчанию два пробела.
//  Кодировка           - Строка - Кодировка текста.
//
// Возвращаемое значение:
//  ПараметрыЗаписиXML - набор параметров, который используется при записи XML.
//
Функция ПараметрыФорматированияXML(ИспользоватьОтступы = Истина, СимволОтступа = "  ", Кодировка = "UTF-8") Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ПараметрыФорматированияXML(ИспользоватьОтступы, СимволОтступа, Кодировка);
```
</details>

## ФорматироватьXMLСПараметрами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Форматирует текст сообщения в формате XML
//
// Параметры:
//  ТекстСообщенияXML       - Строка - текст сообщения, который.
//  ПараметрыФорматирования - ПараметрыЗаписиXML - параметры записи XML.
//
// Возвращаемое значение:
//  Строка - отформатированная строка XML.
//
Функция ФорматироватьXMLСПараметрами(ТекстСообщенияXML, ПараметрыФорматирования) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ФорматироватьXMLСПараметрами(ТекстСообщенияXML, ПараметрыФорматирования) 
```
</details>

## ФорматироватьXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Форматирует текст сообщения в формате XML
//
// Параметры:
//  ТекстСообщенияXML   - Строка - текст сообщения, который.
//  ИспользоватьОтступы - Булево - признак использования отступов, по умолчанию Истина.
//  СимволОтступа       - Строка - символ, которым отображается отступ, по умолчанию два пробела.
//
// Возвращаемое значение:
//  Строка - отформатированная строка XML.
//
Функция ФорматироватьXML(ТекстСообщенияXML, ИспользоватьОтступы = Истина, СимволОтступа = " ") Экспорт
```

Пример вызова
```bsl
Результат = РаботаСXMLИС.ФорматироватьXML(ТекстСообщенияXML, ИспользоватьОтступы, СимволОтступа);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
