---
title: Работа с версиями EDI клиент
slug: erp-uh/работа-с-версиями-edi-клиент
---


## ОткрытьФормуСравненияИПросмотраВерсий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму сравнения или просмотра версии
//
// Параметры:
// 	ПараметрыСравненияИПросмотра - Структура - см. НовыйПараметрыОткрытияФормы
Процедура ОткрытьФормуСравненияИПросмотраВерсий(ПараметрыСравненияИПросмотра) Экспорт
```

Пример вызова
```bsl
РаботаСВерсиямиEDIКлиент.ОткрытьФормуСравненияИПросмотраВерсий(ПараметрыСравненияИПросмотра) 
```
</details>

## ОткрытьФормуВыбораВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора версии документа сервиса
//
// Параметры:
// 	ПараметрыВыбораВерсииДокумента - Структура - см. РаботаСВерсиямиEDIКлиент.НовыйПараметрыВыбораВерсииДокумента()
Процедура ОткрытьФормуВыбораВерсии(ПараметрыВыбораВерсииДокумента) Экспорт
```

Пример вызова
```bsl
РаботаСВерсиямиEDIКлиент.ОткрытьФормуВыбораВерсии(ПараметрыВыбораВерсииДокумента) 
```
</details>

## ВыполнитьКомандуОтчетаПросмотраСравнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработчик команды формы сравнения версий
//
// Параметры:
// 	Параметры - Структура - см. РаботаСВерсиямиEDIКлиент.НовыйПараметрыКомандыДоступногоДействия
Процедура ВыполнитьКомандуОтчетаПросмотраСравнения(Параметры) Экспорт
```

Пример вызова
```bsl
РаботаСВерсиямиEDIКлиент.ВыполнитьКомандуОтчетаПросмотраСравнения(Параметры) 
```
</details>

## НовыйПараметрыПросмотра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров для открытия формы просмотра версии
//
// Параметры:
// 	ФормаВладелец - ФормаКлиентскогоПриложения - форма документа, просмотр версии которого требуется запустить
// Возвращаемое значение:
// 	Структура - см. НовыйПараметрыОткрытияФормы
//
Функция НовыйПараметрыПросмотра(ФормаВладелец = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСВерсиямиEDIКлиент.НовыйПараметрыПросмотра(ФормаВладелец);
```
</details>

## НовыйПараметрыСравнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров для открытия формы сравнения версий
//
// Параметры:
// 	ФормаВладелец - ФормаКлиентскогоПриложения - форма документа, сравнение версий которого требуется запустить
// Возвращаемое значение:
// 	Структура - см. НовыйПараметрыОткрытияФормы
//
Функция НовыйПараметрыСравнения(ФормаВладелец = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСВерсиямиEDIКлиент.НовыйПараметрыСравнения(ФормаВладелец);
```
</details>

## НовыйПараметрыВыбораВерсииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров для открытия формы выбора версии документа
//
// Параметры:
// 	ФормаВладелец - ФормаКлиентскогоПриложения - форма документа, для которого открывается выбор версии
// Возвращаемое значение:
// 	Структура - Описание:
// * Организация                      - ОпределяемыйТип.ОрганизацияEDI - организация документа
// * СостояниеРедактированияДокумента - Строка                         - идентификатор состояния редактирования документа:
//     см. РаботаСВерсиямиEDIКлиентСервер.СостояниеДокументаНеРедактируется()
//     см. РаботаСВерсиямиEDIКлиентСервер.СостояниеДокументаРедактируется()
//     см. РаботаСВерсиямиEDIКлиентСервер.СостояниеДокументаРассмотрениеПрисланнойВерсии()
// * Версия                           - Строка - идентификатор версии сервиса
// * ВерсияДляСравнения               - Строка - идентификатор версии сервиса для сравнения
// * ПрисланнаяНаСогласованиеВерсия   - Строка - идентификатор, присланной на согласование, версии сервиса
// * АктуальнаяВерсия                 - Строка - идентификатор актуальной версии сервиса
// * ДокументСсылка                   - ОпределяемыйТип.ПрикладнойДокументОбъектEDI - документ информационной базы
// * Документ                         - Строка - идентификатор документа сервиса
// * ТипДокумента                     - ПеречислениеСсылка.ТипыДокументовEDI - тип документа сервиса
// * Заголовок                        - Строка - текст заголовка формы сравнения
// * ОписаниеОповещения               - ОписаниеОповещения, Неопределено - обработчик оповещения при закрытии формы
Функция НовыйПараметрыВыбораВерсииДокумента(ФормаВладелец) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСВерсиямиEDIКлиент.НовыйПараметрыВыбораВерсииДокумента(ФормаВладелец) 
```
</details>

## НовыйПараметрыКомандыДоступногоДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров для выполнения действия сравнения версий
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ФормаОтчета                    - ФормаКлиентскогоПриложения - форма сравнения версий.
// * ПрисланнаяНаСогласованиеВерсия - Строка - идентификатор, присланной на согласование, версии сервиса
// * АктуальнаяВерсия               - Строка - идентификатор актуальной версии сервиса.
// * Версия                         - Строка - идентификатор версии сервиса.
// * ВерсияДляСравнения             - Строка - идентификатор версии сервиса для сравнения.
// * ТипДокумента                   - ПеречислениеСсылка.ТипыДокументовEDI - тип документа сервиса.
// * Документ                       - Строка - идентификатор документа сервиса.
// * ВыполняемаяКоманда             - ПеречислениеСсылка.ДоступныеКомандыОтчетаСравненияВерсийEDI - ссылка на команду
//                                                                                                  сервиса.
//
Функция НовыйПараметрыКомандыДоступногоДействия() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСВерсиямиEDIКлиент.НовыйПараметрыКомандыДоступногоДействия() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
