---
title: Работа с данными EDI служебный
slug: erp-uh/работа-с-данными-edi-служебный
---


## ТипДокументаEDI
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипДокументаEDI(Знач ПрикладнойОбъект) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.ТипДокументаEDI(ПрикладнойОбъект) 
```
</details>

## ТипПрикладногоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипПрикладногоОбъекта(Знач ТипДокументаEDI) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.ТипПрикладногоОбъекта(ТипДокументаEDI) 
```
</details>

## ПолучитьСведенияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСведенияДокумента(Знач ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.ПолучитьСведенияДокумента(ПараметрыВыполнения) 
```
</details>

## ПолучитьСведенияКонфликтующихВерсий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает сведения для визуализации ситуации конфликта версий
//
// Параметры:
//  ДанныеДокумента - Структура - см. ДокументыEDIИнтеграция.НовыйДанныеДокумента()
//
// Возвращаемое значение:
//  Структура - см. РаботаСДаннымиEDIСлужебный.СведенияКонфликтующихВерсий()
//
Функция ПолучитьСведенияКонфликтующихВерсий(ДанныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.ПолучитьСведенияКонфликтующихВерсий(ДанныеДокумента) 
```
</details>

## ВыполнитьСинхронизациюРегламентно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьСинхронизациюРегламентно() Экспорт
```

Пример вызова
```bsl
РаботаСДаннымиEDIСлужебный.ВыполнитьСинхронизациюРегламентно() 
```
</details>

## ЗапланироватьОтправкуВСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помечает прикладной объект к отправке в сервис.
//
// Параметры:
// 	ДанныеПрикладныхОбъектов - Массив - данные прикладных объектов, которые требуется отправить в сервис
//    см. РаботаСДаннымиEDIКлиентСерверСлужебный.НовыйДанныеДокумента().
// 	Отказ - Булево - флаг ошибки при выполнении метода.
// 	Ошибки - Соответствие - текст ошибки для каждого прикладного объект.
//
Процедура ЗапланироватьОтправкуВСервис(Знач ДанныеПрикладныхОбъектов, Отказ = Ложь, Ошибки = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСДаннымиEDIСлужебный.ЗапланироватьОтправкуВСервис(ДанныеПрикладныхОбъектов, Отказ, Ошибки);
```
</details>

## ЗапланироватьПолучениеИзСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапланироватьПолучениеИзСервиса(Знач ДанныеПрикладныхОбъектов, Отказ = Ложь, Ошибки = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСДаннымиEDIСлужебный.ЗапланироватьПолучениеИзСервиса(ДанныеПрикладныхОбъектов, Отказ, Ошибки);
```
</details>

## РезультатСинхронизацииССервисом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатСинхронизацииССервисом(Знач ПрикладныеОбъекты) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.РезультатСинхронизацииССервисом(ПрикладныеОбъекты) 
```
</details>

## ВыполнитьКомандуПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет построение плана синхронизации с сервисом
//
// Параметры:
// 	ДанныеДокумента - Структура - данные прикладного объекта, который требуется синхронизировать с сервисом
//    см. РаботаСДаннымиEDIКлиентСерверСлужебный.НовыйДанныеДокумента()
// 	КомандаПроцесса - ПеречислениеСсылка.КомандыПроцессаЗаказаEDI - описывает маршрут перехода в рамках
// 	   статусной модели 1С:EDI.
// 	СценарийВыполнения - ПеречислениеСсылка.СценарииВыполненияКомандEDI - характеризует порядок выполнения этапов
// 	   синхронизации с сервисом.
// 	Отказ - Булево - флаг ошибки.
//
Процедура ВыполнитьКомандуПерехода(Знач ДанныеДокумента, Знач КомандаПроцесса, Знач СценарийВыполнения, Экспорт
```

Пример вызова
```bsl
РаботаСДаннымиEDIСлужебный.ВыполнитьКомандуПерехода(ДанныеДокумента, КомандаПроцесса, СценарийВыполнения, );
```
</details>

## ПродолжитьВыполнениеКомандыПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стартует выполнение последнего принятого к исполнению сценария синхронизации
//
// Параметры:
// 	ПрикладнойОбъект - ОпределяемыйТип.ПрикладнойОбъектEDI - объект синхронизации с сервисом.
// 	ДополнительныеПараметры - Структура - параметры выполнения, которые необходимо передать в обработчики синхронизации,
// 	   например, таблицу сопоставления номенклатуры.
// 	Отказ - Булево - флаг ошибки
//
Процедура ПродолжитьВыполнениеКомандыПерехода(Знач ПрикладнойОбъект, Знач ДополнительныеПараметры = Неопределено, Экспорт
```

Пример вызова
```bsl
РаботаСДаннымиEDIСлужебный.ПродолжитьВыполнениеКомандыПерехода(ПрикладнойОбъект, ДополнительныеПараметры, );
```
</details>

## РезультатВыполненияКомандыПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные по объекту синхронизации.
//
// Параметры:
// 	ПрикладнойОбъект - ОпределяемыйТип.ПрикладнойОбъектEDI - объект синхронизации с сервисом.
// Возвращаемое значение:
// 	Структура - Описание:
// * СостояниеСинхронизации - Структура - текущее состояния синхронизации с сервисом.
// * ДанныеСтатусаДокумента - Структура - локальный кэш записи реестра документов EDI для данного прикладного объекта.
//
Функция РезультатВыполненияКомандыПерехода(Знач ПрикладнойОбъект) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.РезультатВыполненияКомандыПерехода(ПрикладнойОбъект) 
```
</details>

## ЗапуститьСинхронизациюССервисом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапуститьСинхронизациюССервисом(Знач ИдентификаторФоновогоЗадания) Экспорт
```

Пример вызова
```bsl
РаботаСДаннымиEDIСлужебный.ЗапуститьСинхронизациюССервисом(ИдентификаторФоновогоЗадания) 
```
</details>

## НовыйПараметрыПолученияДанныхДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйПараметрыПолученияДанныхДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.НовыйПараметрыПолученияДанныхДокумента() 
```
</details>

## НовыйПараметрыИзмененияСтатусаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйПараметрыИзмененияСтатусаДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.НовыйПараметрыИзмененияСтатусаДокумента() 
```
</details>

## НовыйПараметрыОбновленияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйПараметрыОбновленияДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.НовыйПараметрыОбновленияДокумента() 
```
</details>

## НовыйПараметрыСозданияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйПараметрыСозданияДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.НовыйПараметрыСозданияДокумента() 
```
</details>

## НовыйПараметрыПолученияАктуальногоСостоянияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйПараметрыПолученияАктуальногоСостоянияДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.НовыйПараметрыПолученияАктуальногоСостоянияДокумента() 
```
</details>

## НовыйПараметрыПолученияВерсииДокументаСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйПараметрыПолученияВерсииДокументаСервиса() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.НовыйПараметрыПолученияВерсииДокументаСервиса() 
```
</details>

## ДанныеДокументаСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеДокументаСервиса(Знач ПараметрыКоманды) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.ДанныеДокументаСервиса(ПараметрыКоманды) 
```
</details>

## РезультатИзмененияСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатИзмененияСтатуса(Знач ПараметрыКоманды) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.РезультатИзмененияСтатуса(ПараметрыКоманды) 
```
</details>

## РезультатОбновленияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатОбновленияДокумента(Знач ПараметрыКоманды) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.РезультатОбновленияДокумента(ПараметрыКоманды) 
```
</details>

## РезультатСозданияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатСозданияДокумента(Знач ПараметрыКоманды) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.РезультатСозданияДокумента(ПараметрыКоманды) 
```
</details>

## ПолучитьВерсииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВерсииДокумента(Знач Документ) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.ПолучитьВерсииДокумента(Документ) 
```
</details>

## ВерсииДокументаСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерсииДокументаСервиса(Знач ПараметрыКоманды) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.ВерсииДокументаСервиса(ПараметрыКоманды) 
```
</details>

## АктуальноеСостояниеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АктуальноеСостояниеДокумента(Знач ПараметрыКоманды) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.АктуальноеСостояниеДокумента(ПараметрыКоманды) 
```
</details>

## СкладЗаказаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СкладЗаказаПоУмолчанию(Знач ТипДокументаEDI, Знач КритерииПоискаСклада) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.СкладЗаказаПоУмолчанию(ТипДокументаEDI, КритерииПоискаСклада) 
```
</details>

## РезультатСозданияПользователяПоДаннымEDI
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатСозданияПользователяПоДаннымEDI(Знач МодельСотрудникаEDI) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДаннымиEDIСлужебный.РезультатСозданияПользователяПоДаннымEDI(МодельСотрудникаEDI) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
