---
title: Работа с договорами контрагентов ЕХ клиент сервер
slug: erp-uh/работа-с-договорами-контрагентов-ех-клиент-сервер
---


## ЭтоДоговорПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция является адаптированным методом Перечисления.ТипыДоговоров.ЭтоДоговорПродажи
Функция ЭтоДоговорПродажи(ВидДоговораУХ) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовЕХКлиентСервер.ЭтоДоговорПродажи(ВидДоговораУХ) 
```
</details>

## ЭтоДоговорЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный тип договора договором закупки.
//
// Параметры:
//  ТипДоговора - ПеречислениеСсылка.ТипыДоговоров - тип договора, который необходимо проверить.
//
// Возвращаемое значение:
//  Булево - Истина, если тип договора относится к договорам закупки.
//
Функция ЭтоДоговорЗакупки(ВидДоговораУХ) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовЕХКлиентСервер.ЭтоДоговорЗакупки(ВидДоговораУХ) 
```
</details>

## ПараметрыЗаполненияНалогообложенияНДСПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для заполнения налогообложения НДС продажи.
//
// Параметры:
//  Объект - СправочникОбъект.ДоговорыКонтрагентов - договор, по которому необходимо сформировать параметры.
//
// Возвращаемое значение:
//  Структура - Параметры заполнения, описание параметров см. УчетНДСУПКлиентСервер.ПараметрыЗаполненияНалогообложенияНДСПродажи();
//
Функция ПараметрыЗаполненияНалогообложенияНДСПродажи(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовЕХКлиентСервер.ПараметрыЗаполненияНалогообложенияНДСПродажи(Объект) 
```
</details>

## ПараметрыЗаполненияНалогообложенияНДСЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для заполнения налогообложения НДС закупки.
//
// Параметры:
//  Объект - СправочникОбъект.ДоговорыКонтрагентов - договор, по которому необходимо сформировать параметры.
//
// Возвращаемое значение:
//  Структура - Параметры заполнения, описание параметров см. УчетНДСУПКлиентСервер.ПараметрыЗаполненияНалогообложенияНДСЗакупки();
//
Функция ПараметрыЗаполненияНалогообложенияНДСЗакупки(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовЕХКлиентСервер.ПараметрыЗаполненияНалогообложенияНДСЗакупки(Объект) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
