---
title: Работа с договорами контрагентов УХ
slug: erp-uh/работа-с-договорами-контрагентов-ух
---


## ДействующаяВерсияСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ссылку на версию соглашения, на основании которой заполнен договор.
//
// Параметры:
//  ДоговорСсылка	 - СправочникСсылка.ДоговорыКонтрагентов - договор.
//
// Возвращаемое значение:
//  ДокументСсылка - Версия соглашения, послужившая основанием для заполнения договора.
//
Функция ДействующаяВерсияСоглашения(ДоговорСсылка) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ДействующаяВерсияСоглашения(ДоговорСсылка) 
```
</details>

## ПоследниеВерсииГрафиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает последние версии графиков:
// действующую версию и последнюю согласованную контрагентом
//
// Параметры:
//  Договор	 - 	СправочникСсылка.ДоговорыКонтрагентов - Договор, для которого требуется получить версии графиков.
//
// Возвращаемое значение:
//  Массив - Массив, содержащий ссылки на последние версии.
//
Функция ПоследниеВерсииГрафиков(Договор) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ПоследниеВерсииГрафиков(Договор) 
```
</details>

## ДействующийГрафик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДействующийГрафик(ОбъектРасчетов, Дата = Неопределено, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ДействующийГрафик(ОбъектРасчетов, Дата, Организация);
```
</details>

## ОпорныйГрафик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпорныйГрафик(ОбъектРасчетов, Дата = Неопределено, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ОпорныйГрафик(ОбъектРасчетов, Дата, Организация);
```
</details>

## ИсходныйГрафик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИсходныйГрафик(Договор) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ИсходныйГрафик(Договор) 
```
</details>

## ГрафикРасчетовВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГрафикРасчетовВерсииСоглашения(ВерсияСоглашения) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ГрафикРасчетовВерсииСоглашения(ВерсияСоглашения) 
```
</details>

## ПоследняяВерсияДокументаСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоследняяВерсияДокументаСоглашения(Объект, ИсключаемаяВерсия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ПоследняяВерсияДокументаСоглашения(Объект, ИсключаемаяВерсия);
```
</details>

## СохраненныйЧерновик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает непроведенный черновик версии соглашения.
// Рассматриваются только черновики от актуальной версии соглашения.
//
// Параметры:
//  Договор		 - 	СправочникСсылка.ДоговорыКонтрагентов -
//  ИмяДокумента - 	 Строка - имя документа версии соглашения. Если параметр не передан,
//  определяется по договору (медленнее)
//
// Возвращаемое значение:
//  ДокументСсылка, Неопределено - Ссылка на документ-черновик. Если черновик не найден, возвращает Неопределено.
//
Функция СохраненныйЧерновик(Договор, Знач ИмяДокумента = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.СохраненныйЧерновик(Договор, ИмяДокумента);
```
</details>

## ЗаполнитьДоговорПоВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет реквизиты договора по версии соглашения.
// Все одноименные реквизиты заполняются безусловно.
// Специфическая логика заполнения расположена в модуле менеджера версии соглашения
// в методе ВычисляемыеРеквизитыДоговора()
//
// Параметры:
//  ДоговорОбъект	 - 	СправочникОбъект.ДоговорыКонтрагентов - заполняемый договор.
//  ВерсияСоглашения - 	ДокументОбъект, ДанныеФормыКоллекция, ДокументСсылка - версия соглашения.
//
Процедура ЗаполнитьДоговорПоВерсииСоглашения(ДоговорОбъект, ВерсияСоглашения) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьДоговорПоВерсииСоглашения(ДоговорОбъект, ВерсияСоглашения) 
```
</details>

## ПередЗаписьюВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюВерсииСоглашения(ВерсияСоглашенияОбъект, Отказ, РежимЗаписи) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ПередЗаписьюВерсииСоглашения(ВерсияСоглашенияОбъект, Отказ, РежимЗаписи) 
```
</details>

## ПриЗаписиВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиВерсииСоглашения(ВерсияСоглашенияОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ПриЗаписиВерсииСоглашения(ВерсияСоглашенияОбъект, Отказ) 
```
</details>

## ОбработкаЗаполненияВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполненияВерсииСоглашения(ВерсияСоглашенияОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ОбработкаЗаполненияВерсииСоглашения(ВерсияСоглашенияОбъект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка) 
```
</details>

## ПриКопированииВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриКопированииВерсииСоглашения(ВерсияСоглашенияОбъект, ОбъектКопирования) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ПриКопированииВерсииСоглашения(ВерсияСоглашенияОбъект, ОбъектКопирования) 
```
</details>

## ОбработкаПроверкиЗаполненияВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроверкиЗаполненияВерсииСоглашения(ВерсияСоглашенияОбъект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ОбработкаПроверкиЗаполненияВерсииСоглашения(ВерсияСоглашенияОбъект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ПометитьНаУдалениеВерсииСоглашенияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПометитьНаУдалениеВерсииСоглашенияДоговора(ДоговорКонтрагента, Знач ВидДоговораУХ = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ПометитьНаУдалениеВерсииСоглашенияДоговора(ДоговорКонтрагента, ВидДоговораУХ);
```
</details>

## ЗаписатьСвязанныеДоговоры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьСвязанныеДоговоры(БазовыйДоговор, ПодчиненныйДоговор, ВидСвязи, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаписатьСвязанныеДоговоры(БазовыйДоговор, ПодчиненныйДоговор, ВидСвязи, Отказ);
```
</details>

## ЗаполнитьВерсиюСоглашенияПоБазовомуДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьВерсиюСоглашенияПоБазовомуДоговору(ВерсияСоглашенияОбъект) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьВерсиюСоглашенияПоБазовомуДоговору(ВерсияСоглашенияОбъект) 
```
</details>

## НовыйОписаниеТабличныхЧастейДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйОписаниеТабличныхЧастейДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.НовыйОписаниеТабличныхЧастейДокумента() 
```
</details>

## ДобавитьОписаниеТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОписаниеТабличнойЧасти(ОписаниеТабличныхЧастей, Имя, ЗаполнятьИзРамочногоСоглашения) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьОписаниеТабличнойЧасти(ОписаниеТабличныхЧастей, Имя, ЗаполнятьИзРамочногоСоглашения) 
```
</details>

## ПолучитьПроизводственныеКалендари
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПроизводственныеКалендари(ДоговорИлиВерсияСоглашения) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ПолучитьПроизводственныеКалендари(ДоговорИлиВерсияСоглашения) 
```
</details>

## ЗаполнитьВычисляемыеРеквизитыДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура содержит общую логику формирования структуры
// вычисляемых реквизитов договора при заполнении из версии договора.
//
// Параметры:
//  ВычисляемыеРеквизиты	 - 	Структура - Структура вычисляемых реквизитов.
//  ВерсияСоглашенияОбъект	 - 	ДокументОбъект.ВерсияСоглашения* - Исходный документ версии договора.
//
Процедура ЗаполнитьВычисляемыеРеквизитыДоговора(ВычисляемыеРеквизиты, ВерсияСоглашения) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьВычисляемыеРеквизитыДоговора(ВычисляемыеРеквизиты, ВерсияСоглашения) 
```
</details>

## СинхронизироватьВнутригрупповыеВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СинхронизироватьВнутригрупповыеВерсииСоглашения(ВерсияСоглашенияСсылка, ДополнительныеСвойства = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.СинхронизироватьВнутригрупповыеВерсииСоглашения(ВерсияСоглашенияСсылка, ДополнительныеСвойства);
```
</details>

## ПолучитьВерсиюПриемник
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВерсиюПриемник(ВерсияСоглашенияИсточник) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ПолучитьВерсиюПриемник(ВерсияСоглашенияИсточник) 
```
</details>

## ЗаписатьСвязьВнутригрупповыхВерсий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьСвязьВнутригрупповыхВерсий(ВерсияИсточник, ВерсияПриемник) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаписатьСвязьВнутригрупповыхВерсий(ВерсияИсточник, ВерсияПриемник) 
```
</details>

## СоздатьВерсиюСоглашенияПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура создает версию соглашения по данным договора, устанавливает его ссылку в сам объект договора.
//
// Параметры:
//  ДоговорОбъект	 - 	СправочникОбъект.ДоговорыКонтрагентов - исходный объект
//
Процедура СоздатьВерсиюСоглашенияПоДоговору(ДоговорОбъект) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.СоздатьВерсиюСоглашенияПоДоговору(ДоговорОбъект) 
```
</details>

## ПроизводственныеКалендариВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроизводственныеКалендариВерсииСоглашения(ВерсияСоглашения) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ПроизводственныеКалендариВерсииСоглашения(ВерсияСоглашения) 
```
</details>

## РежимАктуализацииГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РежимАктуализацииГрафика(ВерсияСоглашения) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.РежимАктуализацииГрафика(ВерсияСоглашения) 
```
</details>

## ПроверитьПравилаЗапретаОперацийДоговоры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет Состояния исполнения для Документа планирования:
//		"Ожидает исполнения" - для новой заявки;
//		"Отложено" - если заявка попадает под директиву запрета
//
// Параметры:
//	ДокументПланирования - Ссылка на документ планирования;
//	НовыеИдентификаторы - Массив новых уникальных идентификаторов платежной позиции.
//
Процедура ПроверитьПравилаЗапретаОперацийДоговоры(ДокументПланирования, НовыеИдентификаторы) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ПроверитьПравилаЗапретаОперацийДоговоры(ДокументПланирования, НовыеИдентификаторы) 
```
</details>

## УстановитьЛимитЗадолженностиПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьЛимитЗадолженностиПоДоговору(ВерсияСоглашенияОбъект) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.УстановитьЛимитЗадолженностиПоДоговору(ВерсияСоглашенияОбъект) 
```
</details>

## РольКонтрагентаПоВидуДоговораУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РольКонтрагентаПоВидуДоговораУХ(ВидДоговораУХ) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.РольКонтрагентаПоВидуДоговораУХ(ВидДоговораУХ) 
```
</details>

## НовыйОписаниеОперацииГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйОписаниеОперацииГрафика() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.НовыйОписаниеОперацииГрафика() 
```
</details>

## ОперацииГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет перечень доступных операций графика и их аналитики по умолчанию.
// Определение аналитик, специфичное для каждого вида версии соглашения, осуществляется
// в методе модуля менеджера ДополнитьПереченьОперацийГрафиков.
Функция ОперацииГрафика(ОписаниеГрафика, Объект, Знач ВидДоговораУХ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ОперацииГрафика(ОписаниеГрафика, Объект, ВидДоговораУХ);
```
</details>

## ОписаниеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеОперации(Операция, ОперацииГрафика) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ОписаниеОперации(Операция, ОперацииГрафика) 
```
</details>

## ДобавитьПозициюВГрафик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПозициюВГрафик(График, Сумма, Дата, ИдентификаторПозицииГрафика = Неопределено, ОписаниеОперации = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ДобавитьПозициюВГрафик(График, Сумма, Дата, ИдентификаторПозицииГрафика, ОписаниеОперации);
```
</details>

## ЗаполнитьАналитикиГрафикаЗначениямиПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьАналитикиГрафикаЗначениямиПоУмолчанию(ГрафикРасчетов, ОперацииГрафика) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьАналитикиГрафикаЗначениямиПоУмолчанию(ГрафикРасчетов, ОперацииГрафика) 
```
</details>

## НовыйПараметрыСозданияПозицийЗаявокПоГрафику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйПараметрыСозданияПозицийЗаявокПоГрафику() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.НовыйПараметрыСозданияПозицийЗаявокПоГрафику() 
```
</details>

## ОбновитьПозицииЗаявокПоГрафику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПозицииЗаявокПоГрафику(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ОбновитьПозицииЗаявокПоГрафику(ДокументОбъект) 
```
</details>

## ОчиститьПозицииЗаявокПоГрафику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьПозицииЗаявокПоГрафику(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ОчиститьПозицииЗаявокПоГрафику(ДокументСсылка) 
```
</details>

## СоздатьПозицииЗаявокПоГрафику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура - Создать позиции заявок по графику
//
// Параметры:
//  Объект				 - ДокументОбъект.ГрафикРасчетовСПокупателемПоставщиком, ДокументОбъект.ВерсияСоглашенияКоммерческийДоговор	и ост.
//								- документ для которого записываются платженые позиции
//  ПараметрыСоздания	 - НовыйПараметрыСозданияПозицийЗаявокПоГрафику() - параметры создания позиций
//
Процедура СоздатьПозицииЗаявокПоГрафику(Объект, ПараметрыСоздания = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.СоздатьПозицииЗаявокПоГрафику(Объект, ПараметрыСоздания);
```
</details>

## ИмяКолонкиГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяКолонкиГрафика(ОперацияГрафика, ОписаниеГрафика) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ИмяКолонкиГрафика(ОперацияГрафика, ОписаниеГрафика) 
```
</details>

## ЗаполнитьОперацииВОписанииГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// вариант заполнения по умолчанию, может переопределятся в модуле менеджера версии соглашения
Процедура ЗаполнитьОперацииВОписанииГрафика(ОписаниеГрафика, ВидДоговораУХ) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьОперацииВОписанииГрафика(ОписаниеГрафика, ВидДоговораУХ) 
```
</details>

## НайтиСекциюГрафикаПоСтруктуреЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиСекциюГрафикаПоСтруктуреЗадолженности(ОписаниеГрафика, ЭлементСтруктурыЗадолженности) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.НайтиСекциюГрафикаПоСтруктуреЗадолженности(ОписаниеГрафика, ЭлементСтруктурыЗадолженности));
```
</details>

## ОперацияИзОписанияГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОперацияИзОписанияГрафика(ОписаниеГрафика, ЭлементСтруктурыЗадолженности, КолонкаСекции) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ОперацияИзОписанияГрафика(ОписаниеГрафика, ЭлементСтруктурыЗадолженности, КолонкаСекции) 
```
</details>

## ДополнитьПереченьОперацийГрафиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьПереченьОперацийГрафиков(ОперацииГрафика, ОписаниеГрафика, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДополнитьПереченьОперацийГрафиков(ОперацииГрафика, ОписаниеГрафика, ДокументОбъект) 
```
</details>

## ДополнитьПереченьОперацийГрафикаИзВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьПереченьОперацийГрафикаИзВерсииСоглашения(ОперацииГрафика, ПараметрыОперацийВерсии) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДополнитьПереченьОперацийГрафикаИзВерсииСоглашения(ОперацииГрафика, ПараметрыОперацийВерсии));
```
</details>

## ТаблицаОписанияГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТаблицаОписанияГрафика(ОписаниеГрафика, ОперацииГрафика) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ТаблицаОписанияГрафика(ОписаниеГрафика, ОперацииГрафика));
```
</details>

## ДоговорКонтрагентаОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоговорКонтрагентаОбъекта(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ДоговорКонтрагентаОбъекта(Объект) 
```
</details>

## ФактическиеДанныеПоСекциямГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ФактическиеДанныеПоСекциямГрафика(ОбъектРасчетов, ОписаниеГрафика, ОперацииГрафика) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ФактическиеДанныеПоСекциямГрафика(ОбъектРасчетов, ОписаниеГрафика, ОперацииГрафика) 
```
</details>

## ФактическиеДанныеПоГрафику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ФактическиеДанныеПоГрафику(ДоговорКонтрагента, ОбъектРасчетов, знач ДатаОкончания = Неопределено, знач ИсключаемыеЭСЗ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ФактическиеДанныеПоГрафику(ДоговорКонтрагента, ОбъектРасчетов, знач ДатаОкончания, знач ИсключаемыеЭСЗ);
```
</details>

## ПеренестиФактВГрафик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПеренестиФактВГрафик(ТаблицаГрафик, ДатаПереноса, ДоговорКонтрагента, ОбъектРасчетов, ОписаниеГрафика, ОперацииГрафика, Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ПеренестиФактВГрафик(ТаблицаГрафик, ДатаПереноса, ДоговорКонтрагента, ОбъектРасчетов, ОписаниеГрафика, ОперацииГрафика, );
```
</details>

## АктуализироватьГрафикРасчетовПоНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АктуализироватьГрафикРасчетовПоНакладной(ДатаНакладной, СуммаНакладной, ДокументНакладной, ДоговорЗаказ) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.АктуализироватьГрафикРасчетовПоНакладной(ДатаНакладной, СуммаНакладной, ДокументНакладной, ДоговорЗаказ) 
```
</details>

## ПредметГрафикаРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредметГрафикаРасчетов(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ПредметГрафикаРасчетов(Объект) 
```
</details>

## ВидДоговораУХОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидДоговораУХОбъекта(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ВидДоговораУХОбъекта(Объект) 
```
</details>

## ВедетсяГрафикРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВедетсяГрафикРасчетов(ВидДоговораУХ) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ВедетсяГрафикРасчетов(ВидДоговораУХ) 
```
</details>

## СуммаОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СуммаОбъекта(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.СуммаОбъекта(Объект) 
```
</details>

## ВерсияСоглашенияОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерсияСоглашенияОбъекта(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ВерсияСоглашенияОбъекта(Объект) 
```
</details>

## ДокументГрафикаНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДокументГрафикаНакладной(ДоговорЗаказ, ДокументНакладной) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ДокументГрафикаНакладной(ДоговорЗаказ, ДокументНакладной) 
```
</details>

## ПроизводственныйКалендарьОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроизводственныйКалендарьОбъекта(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ПроизводственныйКалендарьОбъекта(Объект) 
```
</details>

## ПодготовитьТаблицуЛимитовПоБюджетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет формирование таблицы для движений по регистру накопления ЛимитыПоБюджетам
Процедура ПодготовитьТаблицуЛимитовПоБюджетам(Запрос, ТаблицыДляДвижений) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ПодготовитьТаблицуЛимитовПоБюджетам(Запрос, ТаблицыДляДвижений) 
```
</details>

## ДобавитьТекстЗапросаРасчетыСКонтрагентамиГрафики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьТекстЗапросаРасчетыСКонтрагентамиГрафики(ТекстыЗапроса, ИмяТаблицыДокумента) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ДобавитьТекстЗапросаРасчетыСКонтрагентамиГрафики(ТекстыЗапроса, ИмяТаблицыДокумента) 
```
</details>

## ТекстЗапросаРасчетыСКонтрагентамиГрафики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаРасчетыСКонтрагентамиГрафики(ИмяТаблицыДокумента) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ТекстЗапросаРасчетыСКонтрагентамиГрафики(ИмяТаблицыДокумента) 
```
</details>

## ДобавитьТекстЗапросаОперативныйПланПоБюджетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаОперативныйПланПоБюджетам(ТекстыЗапроса, ИмяТаблицаДокумента) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьТекстЗапросаОперативныйПланПоБюджетам(ТекстыЗапроса, ИмяТаблицаДокумента) 
```
</details>

## ДобавитьТекстЗапросаВТ_ТаблицаСторноОперативныйПланПоБюджетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаВТ_ТаблицаСторноОперативныйПланПоБюджетам(ТекстыЗапроса, ИмяТаблицаДокумента) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьТекстЗапросаВТ_ТаблицаСторноОперативныйПланПоБюджетам(ТекстыЗапроса, ИмяТаблицаДокумента));
```
</details>

## ДобавитьТекстЗапросаВТ_ТаблицаСторноЛимитыПоБюджетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаВТ_ТаблицаСторноЛимитыПоБюджетам(ТекстыЗапроса, ИмяТаблицаДокумента) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьТекстЗапросаВТ_ТаблицаСторноЛимитыПоБюджетам(ТекстыЗапроса, ИмяТаблицаДокумента));
```
</details>

## ДобавитьТекстЗапросаВТ_ТаблицаДвиженияОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаВТ_ТаблицаДвиженияОперации(ТекстыЗапроса, ИмяТаблицаДокумента) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьТекстЗапросаВТ_ТаблицаДвиженияОперации(ТекстыЗапроса, ИмяТаблицаДокумента));
```
</details>

## ТекстЗапросаДатыОперацийДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаДатыОперацийДокумента(ИмяТаблицыДокумента) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ТекстЗапросаДатыОперацийДокумента(ИмяТаблицыДокумента) 
```
</details>

## ДобавитьТекстЗапросаВТ_ТаблицаПлановССуммамиЛимитирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаВТ_ТаблицаПлановССуммамиЛимитирования(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьТекстЗапросаВТ_ТаблицаПлановССуммамиЛимитирования(ТекстыЗапроса) 
```
</details>

## ДобавитьТекстЗапросаВТ_ТаблицаПлановССуммамиЛимитированияВерсияКоммерческийДоговор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаВТ_ТаблицаПлановССуммамиЛимитированияВерсияКоммерческийДоговор(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьТекстЗапросаВТ_ТаблицаПлановССуммамиЛимитированияВерсияКоммерческийДоговор(ТекстыЗапроса) 
```
</details>

## ДобавитьТекстЗапросаВерсииРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаВерсииРасчетов(ТекстыЗапроса, ИмяТаблицыДокумента) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьТекстЗапросаВерсииРасчетов(ТекстыЗапроса, ИмяТаблицыДокумента) 
```
</details>

## ЗаполнитьПараметрыИнициализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПараметрыИнициализации(Запрос, ДокументСсылка) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьПараметрыИнициализации(Запрос, ДокументСсылка) 
```
</details>

## ОтразитьВерсииРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтразитьВерсииРасчетов(ДополнительныеСвойства, Движения, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ОтразитьВерсииРасчетов(ДополнительныеСвойства, Движения, Отказ) 
```
</details>

## ОтразитьРасчетыСКонтрагентамиГрафики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтразитьРасчетыСКонтрагентамиГрафики(ДополнительныеСвойства, Движения, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ОтразитьРасчетыСКонтрагентамиГрафики(ДополнительныеСвойства, Движения, Отказ) 
```
</details>

## ОтразитьСостояниеИсполненияКовенантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтразитьСостояниеИсполненияКовенантов(ДополнительныеСвойства, Движения, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ОтразитьСостояниеИсполненияКовенантов(ДополнительныеСвойства, Движения, Отказ) 
```
</details>

## ОтразитьНарушенияУсловийДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтразитьНарушенияУсловийДоговора(ДокументСсылка, ДополнительныеСвойства, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ОтразитьНарушенияУсловийДоговора(ДокументСсылка, ДополнительныеСвойства, Отказ) 
```
</details>

## УдалитьНарушенияУсловийДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьНарушенияУсловийДоговора(ДокументСсылка, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.УдалитьНарушенияУсловийДоговора(ДокументСсылка, Отказ) 
```
</details>

## ВыполнятьБюджетирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнятьБюджетирование(РежимИспользованияГрафика) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ВыполнятьБюджетирование(РежимИспользованияГрафика) 
```
</details>

## ДатыПроверкиИсполненияКовенанта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатыПроверкиИсполненияКовенанта(ПараметрыКовенанта) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ДатыПроверкиИсполненияКовенанта(ПараметрыКовенанта));
```
</details>

## ДобавитьНапоминаниеОбИсполненииКовенанта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьНапоминаниеОбИсполненииКовенанта(ПараметрыКовенанта, НастройкиНапоминаний, ДатаПроверки) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьНапоминаниеОбИсполненииКовенанта(ПараметрыКовенанта, НастройкиНапоминаний, ДатаПроверки));
```
</details>

## ДобавитьСтатусПроверкиКовенанта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьСтатусПроверкиКовенанта(ПараметрыКовенанта, ПлановаяДата, ПервоначальнаяУстановка = Ложь) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьСтатусПроверкиКовенанта(ПараметрыКовенанта, ПлановаяДата, ПервоначальнаяУстановка);
```
</details>

## УдалитьПроверкиКовенантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьПроверкиКовенантов(ВерсияСоглашения, ДоговорКонтрагента, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.УдалитьПроверкиКовенантов(ВерсияСоглашения, ДоговорКонтрагента, Отказ);
```
</details>

## ТаблицаКовенантовВерсииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТаблицаКовенантовВерсииСоглашения(ВерсияСоглашения) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ТаблицаКовенантовВерсииСоглашения(ВерсияСоглашения));
```
</details>

## ДобавитьНапоминанияОПроверкеСтатусовКовенантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьНапоминанияОПроверкеСтатусовКовенантов(ВерсияСоглашения) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ДобавитьНапоминанияОПроверкеСтатусовКовенантов(ВерсияСоглашения) 
```
</details>

## УдалитьНапоминанияОПроверкиСтатусовКовенантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьНапоминанияОПроверкиСтатусовКовенантов(ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.УдалитьНапоминанияОПроверкиСтатусовКовенантов(ДоговорКонтрагента));
```
</details>

## ОтразитьСтатусыПроверкиКовенантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтразитьСтатусыПроверкиКовенантов(ДокументСсылка, ДополнительныеСвойства, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ОтразитьСтатусыПроверкиКовенантов(ДокументСсылка, ДополнительныеСвойства, Отказ) 
```
</details>

## УдалитьСтатусыПроверкиКовенантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьСтатусыПроверкиКовенантов(ДокументСсылка, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.УдалитьСтатусыПроверкиКовенантов(ДокументСсылка, Отказ) 
```
</details>

## ВыключитьНапоминанияОПросрочкеКовенантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыключитьНапоминанияОПросрочкеКовенантов(ДополнительныеСвойства, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ВыключитьНапоминанияОПросрочкеКовенантов(ДополнительныеСвойства, Отказ) 
```
</details>

## ПроверитьВводИсполненияКовенантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - проверяет ввод исполнения ковенантов на плановые даты и создает напоминание пользователю при их отстутствии
//
Процедура ПроверитьВводИсполненияКовенантов() Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ПроверитьВводИсполненияКовенантов() 
```
</details>

## ПлановыеДатыКовенантовПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПлановыеДатыКовенантовПоДоговору(ДоговорКонтрагента, Дата) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ПлановыеДатыКовенантовПоДоговору(ДоговорКонтрагента, Дата) 
```
</details>

## НарушенныеКовенанты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НарушенныеКовенанты(Ковенанты, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.НарушенныеКовенанты(Ковенанты, Дата);
```
</details>

## НарушенияИсполненияОбязательствПоДоговорамЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НарушенияИсполненияОбязательствПоДоговорамЗаПериод(НачалоПериода, ОкончаниеПериода) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.НарушенияИсполненияОбязательствПоДоговорамЗаПериод(НачалоПериода, ОкончаниеПериода));
```
</details>

## ДобавитьНапоминанияОНарушенииИсполненияОбязательствПоДоговорам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьНапоминанияОНарушенииИсполненияОбязательствПоДоговорам(ТаблицаНарушений) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСДоговорамиКонтрагентовУХ.ДобавитьНапоминанияОНарушенииИсполненияОбязательствПоДоговорам(ТаблицаНарушений));
```
</details>

## ЗаполнитьУполномоченныйБанкПоГОЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Процедура заполняет реквизит "Уполномоченный банк" справочника "Договоры контрагентов".
Процедура ЗаполнитьУполномоченныйБанкПоГОЗ() Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьУполномоченныйБанкПоГОЗ() 
```
</details>

## ЗаполнитьВерсииСоглашенияИОбновитьДоговорыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьВерсииСоглашенияИОбновитьДоговорыКонтрагентов() Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьВерсииСоглашенияИОбновитьДоговорыКонтрагентов() 
```
</details>

## ЗаполнитьДанныеСогласованияВерсийСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДанныеСогласованияВерсийСоглашения() Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьДанныеСогласованияВерсийСоглашения() 
```
</details>

## ЗаполнитьВерсиюСоглашенияПоДоговоруКонтрагентаПервоначальноеЗаполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет версию соглашения по данным справочника ДоговорыКонтрагентов.
Процедура ЗаполнитьВерсиюСоглашенияПоДоговоруКонтрагентаПервоначальноеЗаполнение(ВерсияСоглашенияОбъект, ДоговорКонтрагентаОбъект) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьВерсиюСоглашенияПоДоговоруКонтрагентаПервоначальноеЗаполнение(ВерсияСоглашенияОбъект, ДоговорКонтрагентаОбъект));
```
</details>

## ЗаполнитьРеквизитыКредитаПоДаннымДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРеквизитыКредитаПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьРеквизитыКредитаПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор));
```
</details>

## ЗаполнитьРеквизитыДепозитаПоДаннымДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРеквизитыДепозитаПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьРеквизитыДепозитаПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор));
```
</details>

## ЗаполнитьРеквизитыАккредитиваПоДаннымДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРеквизитыАккредитиваПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьРеквизитыАккредитиваПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор));
```
</details>

## ЗаполнитьРеквизитыБанковскойГарантииПоДаннымДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРеквизитыБанковскойГарантииПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьРеквизитыБанковскойГарантииПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор));
```
</details>

## ЗаполнитьРеквизитыВалютногоСвопаПоДаннымДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРеквизитыВалютногоСвопаПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьРеквизитыВалютногоСвопаПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор));
```
</details>

## ЗаполнитьРеквизитыКоммерческогоДоговораПоДаннымДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРеквизитыКоммерческогоДоговораПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор) Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьРеквизитыКоммерческогоДоговораПоДаннымДоговора(ВерсияСоглашенияОбъект, Договор));
```
</details>

## ЗаполнитьПроизводственныеКалендари
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПроизводственныеКалендари() Экспорт
```

Пример вызова
```bsl
РаботаСДоговорамиКонтрагентовУХ.ЗаполнитьПроизводственныеКалендари() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
