---
title: Работа с контрагентами ЕГАИС переопределяемый
slug: erp-uh/работа-с-контрагентами-егаис-переопределяемый
---


## ИспользоватьТорговыеОбъектыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет признак использования торговых объектов для контрагентов.
//
// Параметры:
//  Использовать - Булево - признак использования торговых объектов.
Процедура ИспользоватьТорговыеОбъектыКонтрагентов(Использовать) Экспорт
```

Пример вызова
```bsl
РаботаСКонтрагентамиЕГАИСПереопределяемый.ИспользоватьТорговыеОбъектыКонтрагентов(Использовать) 
```
</details>

## ТорговыйОбъектКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет торговый объект из контрагента.
//
// Параметры:
//  ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС        - Торговый объект.
//  Контрагент     - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - Контрагент, для которого необходимо получить торговый объект.
Процедура ТорговыйОбъектКонтрагента(ТорговыйОбъект, Контрагент) Экспорт
```

Пример вызова
```bsl
РаботаСКонтрагентамиЕГАИСПереопределяемый.ТорговыйОбъектКонтрагента(ТорговыйОбъект, Контрагент) 
```
</details>

## КонтрагентТорговогоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет контрагента из торгового объекта.
//
// Параметры:
//  Контрагент     - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - контрагент торгового объекта.
//  ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС - Торговый объект, для которого необходимо получить контрагента.
Процедура КонтрагентТорговогоОбъекта(Контрагент, ТорговыйОбъект) Экспорт
```

Пример вызова
```bsl
РаботаСКонтрагентамиЕГАИСПереопределяемый.КонтрагентТорговогоОбъекта(Контрагент, ТорговыйОбъект) 
```
</details>

## КонтрагентТорговыйОбъектПоИННКПП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск контрагента и торгового объекта контрагента (партнера) по ИНН и/или КПП.
//
// Параметры:
//  ВозвращаемоеЗначение - Неопределено - результат поиска (не найден),
//                       - Структура    - результат поиска:
//   * Контрагент     - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - найденный контрагент,
//   * ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС        - найденный торговый объект контрагента (партнер).
//  ИНН                  - Строка       - ИНН искомого контрагента,
//  КПП                  - Строка       - КПП искомого контрагента.
Процедура КонтрагентТорговыйОбъектПоИННКПП(ВозвращаемоеЗначение, ИНН, КПП) Экспорт
```

Пример вызова
```bsl
РаботаСКонтрагентамиЕГАИСПереопределяемый.КонтрагентТорговыйОбъектПоИННКПП(ВозвращаемоеЗначение, ИНН, КПП) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
