---
title: Работа с курсами валют клиент сервер УХ
slug: erp-uh/работа-с-курсами-валют-клиент-сервер-ух
---


## ПересчитатьПоКурсу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Подсистема "Валюты"
//
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// ПРОГРАММНЫЙ ИНТЕРФЕЙС

// Устарела. Следует использовать РаботаСКурсамиВалютКлиентСервер.ПересчитатьПоКурсу.
//Пересчитывает Сумму из Текущей валюты в Новую валюту по параметрам их курсов.
//   Параметры курсов валют можно получить воспользовавшись функцией
//   РаботаСКурсамиВалют.ПолучитьКурсВалюты(Валюта, ДатаКурса).
//
// Параметры:
//   Сумма                  (Число)     Сумма, которую следует пересчитать
//   ПараметрыТекущегоКурса (Структура) Параметры курса валюты, из которой надо пересчитать
//       |- Валюта    (СправочникСсылка.Валюты)
//       |- Курс      (Число)
//       |- Кратность (Число)
//   ПараметрыНовогоКурса   (Структура) Параметры курса валюты, в  которую надо пересчитать
//       |- Валюта    (СправочникСсылка.Валюты)
//       |- Курс      (Число)
//       |- Кратность (Число)
//
// Возвращаемое значение:
//   (Число) Сумма, пересчитанная в другую валюту
//
Функция ПересчитатьПоКурсу(Сумма, ПараметрыТекущегоКурса, ПараметрыНовогоКурса) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКурсамиВалютКлиентСерверУХ.ПересчитатьПоКурсу(Сумма, ПараметрыТекущегоКурса, ПараметрыНовогоКурса) 
```
</details>

## ПересчитатьИзВалютыВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать функцию ПересчитатьПоКурсу.
//
// Пересчитывает сумму из валюты ВалютаНач по курсу ПоКурсуНач
// в валюту ВалютаКон по курсу ПоКурсуКон.
//
// Параметры:
//   Сумма          - Число - Сумма, которую следует пересчитать.
//   ВалютаНач      - СправочникСсылка.Валюты - Валюта, из которой надо пересчитать.
//   ВалютаКон      - СправочникСсылка.Валюты - Валюта, в  которую надо пересчитать.
//   ПоКурсуНач     - Число - Курс, из которого надо пересчитать.
//   ПоКурсуКон     - Число - Курс, в  который  надо пересчитать.
//   ПоКратностьНач - Число - Кратность, из которой надо пересчитать (по умолчанию = 1).
//   ПоКратностьКон - Число - Кратность, в  которую надо пересчитать (по умолчанию = 1).
//
// Возвращаемое значение:
//   Число - Сумма, пересчитанная в другую валюту.
//
Функция ПересчитатьИзВалютыВВалюту(Сумма, ВалютаНач, ВалютаКон, ПоКурсуНач, ПоКурсуКон, Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКурсамиВалютКлиентСерверУХ.ПересчитатьИзВалютыВВалюту(Сумма, ВалютаНач, ВалютаКон, ПоКурсуНач, ПоКурсуКон, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
