---
title: Работа с курсами валют УХ
slug: erp-uh/работа-с-курсами-валют-ух
---


## ПолучитьКоэффициентПересчетаИзВалютыВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает коэффициент пересчета из текущей валюты в новую валюту.
//
// Параметры:
//	ТекущаяВалюта - СправочникСсылка.Валюты - Текущая валюта документа
//	НоваяВалюта - СправочникСсылка.Валюты - Новая валюта документа
//	Дата - Дата - Дата документа
//
// Возвращаемое значение:
//	Число - Коэффициент пересчета в новую валюту
//
Функция ПолучитьКоэффициентПересчетаИзВалютыВВалюту(ТекущаяВалюта, НоваяВалюта, Дата) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКурсамиВалютУХ.ПолучитьКоэффициентПересчетаИзВалютыВВалюту(ТекущаяВалюта, НоваяВалюта, Дата) 
```
</details>

## ПолучитьКоэффициентыПересчетаВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает коэффициенты пересчета сумм из валюты документа в валюту взаиморасчетов,
// в валюты управленческого и регламентированного учета.
//
// Параметры:
//	ВалютаДокумента - СправочникСсылка.Валюты - Валюта документа
//	ВалютаВзаиморасчетов - СправочникСсылка.Валюты - Валюта взаиморасчетов документа
//	Период - Дата - Дата документа
//	КурсДокумента - Число - Необязательный, курс валюты документа
//	КратностьДокумента - Число - Необязательный, кратность валюты документа
//
// Возвращаемое значение:
//   Структура - Параметры курса валюты.
//	   * КоэффициентПересчетаВВалютуВзаиморасчетов 	- Число - Коэффициент пересчета в валюту взаиморасчетов.
//	   * КоэффициентПересчетаВВалютуУПР 			- Число - Коэффициент пересчета в валюту управленческого учета.
//	   * КоэффициентПересчетаВВалютуРегл 			- Число - Коэффициент пересчета в валюту регламентированного учета.
//
Функция ПолучитьКоэффициентыПересчетаВалюты(ВалютаДокумента, ВалютаВзаиморасчетов, Период, КурсДокумента = Неопределено, КратностьДокумента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКурсамиВалютУХ.ПолучитьКоэффициентыПересчетаВалюты(ВалютаДокумента, ВалютаВзаиморасчетов, Период, КурсДокумента, КратностьДокумента);
```
</details>

## ПересчитатьСуммуДокументаВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция пересчитывает сумму документа из текущей валюты в новую валюту.
//
// Параметры:
//	СуммаДокумента - Число - Текущая сумма документа
//	ТекущаяВалюта - СправочникСсылка.Валюты - Текущая валюта документа
//	НоваяВалюта - СправочникСсылка.Валюты - Новая валюта документа
//	Дата - Дата - Дата документа
//
// Возвращаемое значение:
//	Число - Новая сумма документа
//
Функция ПересчитатьСуммуДокументаВВалюту(СуммаДокумента, ТекущаяВалюта, НоваяВалюта, Дата) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКурсамиВалютУХ.ПересчитатьСуммуДокументаВВалюту(СуммаДокумента, ТекущаяВалюта, НоваяВалюта, Дата) 
```
</details>

## ЗаполнитьКурсКратностьПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура заполняет курс и кратность документа по умолчанию
//
// Параметры:
//	Курс - Число - Курс для расчета
//	Кратность - Число - Кратность для расчета
//	ВалютаДокумента - СправочникСсылка.Валюты - Валюта документа
//	ВалютаВзаиморасчетов - СправочникСсылка.Валюты - Валюта взаиморасчетов документа
//	Дата - Дата - Необязательный, дата документа
//
Процедура ЗаполнитьКурсКратностьПоУмолчанию(Курс, Кратность, ВалютаДокумента, ВалютаВзаиморасчетов, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютУХ.ЗаполнитьКурсКратностьПоУмолчанию(Курс, Кратность, ВалютаДокумента, ВалютаВзаиморасчетов, Дата);
```
</details>

## ПолучитьКроссКурсВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Функция возвращает кросс-курс двух валют
//
// Параметры:
//	Валюта1 - Структура - Параметры курса валюты, относительно которой рассчитывается курс
//       * Курс      - Число - Курс валюты относительно валюты регламентированного учета.
//       * Кратность - Число - Кратность валюты относительно валюты регламентированного учета.
//	Валюта2 - Структура - Параметры курса валюты, курс которой рассчитывается
//       * Курс      - Число - Курс валюты относительно валюты регламентированного учета.
//       * Кратность - Число - Кратность относительно валюты регламентированного учета.
//
// Возвращаемое значение:
//   Структура - Параметры кросс-курса.
//       * Курс      - Число - Кросс-курс валюты.
//       * Кратность - Число - Приведенная кратность.
//
Функция ПолучитьКроссКурсВалют(Валюта1, Валюта2) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКурсамиВалютУХ.ПолучитьКроссКурсВалют(Валюта1, Валюта2) 
```
</details>

## СтруктураКурсаВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Функция возвращает структуру параметров курса валюты
//
// Параметры:
//	Курс - Число - Необязательный, курс валюты.
//	Кратность - Число - Необязательный, кратность валюты.
//
// Возвращаемое значение:
//   Структура - Параметры курса валюты.
//	   * Курс 		- Число - курс валюты.
//	   * Кратность 	- Число - кратность курса.
//
Функция СтруктураКурсаВалюты(Курс = 0, Кратность = 0) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКурсамиВалютУХ.СтруктураКурсаВалюты(Курс, Кратность);
```
</details>

## ЗаполнитьДанныеКурсаДляВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РаботаСКурсамиВалют.ПолучитьКурсВалюты.
//Функция возвращает информацию о курсе валюты на основе ссылки на валюту.
// Данные возвращаются в виде структуры.
//
// Параметры:
// ВыбраннаяВалюта - Справочник.Валюты / Ссылка - ссылка на валюту, информацию
//                  о курсе которой необходимо получить
//
// Возвращаемое значение:
// ДанныеКурса   - стуктура, содержащая информацию о последней доступной
//                 записи курса
//
Функция ЗаполнитьДанныеКурсаДляВалюты(ВыбраннаяВалюта, Знач ДатаКурса=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКурсамиВалютУХ.ЗаполнитьДанныеКурсаДляВалюты(ВыбраннаяВалюта, ДатаКурса);
```
</details>

## ПересчитатьВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РаботаСКурсамиВалют.ПересчитатьВВалюту.
Функция ПересчитатьВВалюту(Знач Сумма, Знач ИсходнаяВалюта, Знач НоваяВалюта, Знач Дата) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКурсамиВалютУХ.ПересчитатьВВалюту(Сумма, ИсходнаяВалюта, НоваяВалюта, Дата) 
```
</details>

## ПолучитьКурсВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РаботаСКурсамиВалют.ПолучитьКурсВалюты.
// Возвращает курс валюты на дату.
//
// Параметры:
//   Валюта    - СправочникСсылка.Валюты - Валюта, для которой получается курс.
//   ДатаКурса - Дата - Дата, на которую получается курс.
//
// Возвращаемое значение:
//   Структура - Параметры курса.
//       * Курс      - Число - Курс валюты на указанную дату.
//       * Кратность - Число - Кратность валюты на указанную дату.
//       * Валюта    - СправочникСсылка.Валюты - Ссылка валюты.
//       * ДатаКурса - Дата - Дата получения курса.
//
Функция ПолучитьКурсВалюты(Валюта, ДатаКурса) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКурсамиВалютУХ.ПолучитьКурсВалюты(Валюта, ДатаКурса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
