---
title: Работа с номенклатурой
slug: erp-uh/работа-с-номенклатурой
---


## ПриСозданииНаСервереФормаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из обработчика события формы ПриСозданииНаСервере.
//  Создает поле с представлением номенклатуры сервиса 1С:Номенклатура, вспомогательные кнопки.
//
// Параметры:
//  Форма					 - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  СсылкаНаОбъект			 - Ссылка			 - ссылка на объект формы.
//  ГруппаРодитель			 - ГруппаФормы		 - группа формы для размещения элементов.
//  ДополнительныеПараметры	 - Структура:
//   * РежимПредставленияОбъектаСервиса - Строка - представление объекта сервиса на форме.
//                                                 Значения: "Гиперссылка", "ПолеВвода".
//   * ОтображатьХарактеристики - Булево - признак отображения гиперссылки с информацией
//                                         о количестве сопоставленных характеристиках.
//   * ВыбиратьРежимОбновления - Булево - признак добавления элементов формы для выбора режима обновления.
//
Процедура ПриСозданииНаСервереФормаНоменклатуры(Форма, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриСозданииНаСервереФормаНоменклатуры(Форма, );
```
</details>

## ПриСозданииНаСервереФормаСпискаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из обработчика события формы ПриСозданииНаСервере.
//  Создает кнопку подбора номенклатуры из сервиса 1С:Номенклатура.
//
// Параметры:
//  Форма						 - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  ГруппаРодитель				 - ГруппаФормы       - группа формы для размещения элементов.
//  ЭлементДинамическийСписок	 - ТаблицаФормы      - элемент формы - динамический список.
//  ДобавитьКолонкуСГиперссылкой - Булево            - признак добавления колонки с гиперссылкой, для выполнения команд сопоставления.
//  ДополнительныеПараметры	 - Структура:
//   * ДобавитьКомандыСопоставления - Булево - признак добавления команд сопоставления.
//
Процедура ПриСозданииНаСервереФормаСпискаНоменклатуры( Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриСозданииНаСервереФормаСпискаНоменклатуры();
```
</details>

## ПриЗаписиНаСервереФормаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из обработчика события формы ПриЗаписиНаСервере.
//  Записывает соответствие объекта базы и объекта сервиса 1С:Номенклатура.
//
// Параметры:
//  Форма			 - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  ТекущийОбъект	 - 	Объект           - записываемый объект.
//  Отказ			 - Булево			 - признак отказа.
//
Процедура ПриЗаписиНаСервереФормаНоменклатуры(Форма, ТекущийОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриЗаписиНаСервереФормаНоменклатуры(Форма, ТекущийОбъект, Отказ) 
```
</details>

## ПриСозданииНаСервереФормаВидаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из обработчика события формы ПриСозданииНаСервере.
//  Создает поле с представлением категории сервиса 1С:Номенклатура, вспомогательные кнопки.
//
// Параметры:
//  Форма							 - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  СсылкаНаОбъект					 - Ссылка			 - ссылка на объект формы.
//  ГруппаРодитель					 - ГруппаФормы		 - группа формы для размещения элементов.
//  ДополнительныеПараметры	         - Структура         - дополнительные параметры формы.
//    Ключи:
//    * РежимПредставленияОбъектаСервиса - Строка - представление объекта сервиса на форме. Значения: "Гиперссылка", "ПолеВвода".
//
Процедура ПриСозданииНаСервереФормаВидаНоменклатуры(Форма, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриСозданииНаСервереФормаВидаНоменклатуры(Форма, );
```
</details>

## ПриСозданииНаСервереФормаСпискаВидаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из обработчика события формы ПриСозданииНаСервере.
// Создает кнопку подбора категорий из сервиса 1С:Номенклатура.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  ГруппаРодитель - ГруппаФормы - группа формы для размещения элементов.
//
Процедура ПриСозданииНаСервереФормаСпискаВидаНоменклатуры(Форма, ГруппаРодитель) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриСозданииНаСервереФормаСпискаВидаНоменклатуры(Форма, ГруппаРодитель) 
```
</details>

## ПриЗаписиНаСервереФормаВидаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из обработчика события формы ПриЗаписиНаСервере.
//  Записывает соответствие объекта базы и объекта сервиса 1С:Номенклатура.
//
// Параметры:
//  Форма			 - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  ТекущийОбъект	 - 	Объект           - записываемый объект.
//  Отказ			 - Булево			 - признак отказа.
//
Процедура ПриЗаписиНаСервереФормаВидаНоменклатуры(Форма, ТекущийОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриЗаписиНаСервереФормаВидаНоменклатуры(Форма, ТекущийОбъект, Отказ) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверки заполнения, для подготовки объекта к предварительной записи.
//
// Параметры:
//  Форма			 - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  Отказ			 - Булево			 - признак отказа.
//  ПроверяемыеРеквизиты - Массив - коллекция путей к реквизитам, для которых будет выполнена проверка заполнения,
//                                  стандартный параметр события объекта ОбработкаПроверкиЗаполнения.
//
Процедура ОбработкаПроверкиЗаполнения(Форма, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ОбработкаПроверкиЗаполнения(Форма, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## РеквизитПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на реквизит информационной базы по идентификатору сервиса.
//
// Параметры:
//  Идентификатор	 - Строка - идентификатор реквизита сервиса.
//
// Возвращаемое значение:
//  Ссылка - ссылка на реквизит.
//
Функция РеквизитПоИдентификатору(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.РеквизитПоИдентификатору(Идентификатор) 
```
</details>

## ЗначениеПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на значение реквизита информационной базы по ссылке на реквизит и идентификатору значения.
//
// Параметры:
//  ДополнительныйРеквизит	 - Ссылка - ссылка на дополнительный реквизит.
//  Идентификатор	        - Строка - идентификатор значения реквизита.
//
// Возвращаемое значение:
//  Ссылка - ссылка на значение реквизита.
//
Функция ЗначениеПоИдентификатору(ДополнительныйРеквизит, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ЗначениеПоИдентификатору(ДополнительныйРеквизит, Идентификатор) 
```
</details>

## НоменклатураПоИдентификаторам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение идентификаторов номенклатуры сервиса с номенклатурой информационной базы.
//
// Параметры:
//  ИдентификаторыНоменклатуры - Массив (Строка) - идентификаторы номенклатуры.
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//   * ИдентификаторНоменклатурыСервиса - Строка - идентификатор номенклатуры сервиса.
//   * Номенклатура - ОпределяемыйТип.НоменклатураРаботаСНоменклатурой - ссылка на номенклатуру.
//
Функция НоменклатураПоИдентификаторам(Знач ИдентификаторыНоменклатуры) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.НоменклатураПоИдентификаторам(ИдентификаторыНоменклатуры) 
```
</details>

## ТаблицаОтличийРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Таблица, заполняемая в момент сравнения значений реквизитов объектов информационной базы
// и объектов сервиса. После заполнения, таблица используется в формах заполнения объектов
// и в методах обновления объектов информационной базы.
//
// Возвращаемое значение:
//  ТаблицаЗначений - колонки:
//    * ПредставлениеРеквизита - Строка - представление реквизита объекта информационной базы для отображение в формах.
//    * ПредставлениеЗначенияСервиса - Строка - представление значения сервиса для отображения в формах.
//    * Пометка - Булево - флаг выбора реквизита для обновления для отображения в формах.
//    * РеквизитОбъекта - Строка, Ссылка - имя реквизита объекта или ссылка на дополнительный реквизит.
//    * НовоеЗначение - Произвольный - значение объекта сервиса.
//    * ТекущееЗначение - Произвольный - значение реквизита объекта информационной базы.
//
Функция ТаблицаОтличийРеквизитов() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ТаблицаОтличийРеквизитов() 
```
</details>

## ДобавитьСтрокуВТаблицуОтличий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавление строки в таблицу отличий, для отображения изменений на формах, а также для процедур обновления.
//
// Параметры:
//  ТаблицаОтличийРеквизитов	 - ТаблицаЗначений - таблица отличий.
//  РеквизитОбъекта				 - Строка, Ссылка - имя реквизита объекта или ссылка на дополнительный реквизит.
//  ЗначениеСервиса				 - Произвольный	 - значение объекта сервиса.
//  ТекущееЗначение				 - Произвольный - значение реквизита объекта информационной базы.
//  ПредставлениеРеквизита		 - Строка - представление реквизита объекта информационной базы.
//  ПредставлениеЗначенияСервиса - Строка - представление значения сервиса.
//  Пометка						 - Булево - признак того, что изменение отмечено (для форм).
//
Процедура ДобавитьСтрокуВТаблицуОтличий(ТаблицаОтличийРеквизитов, РеквизитОбъекта, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ДобавитьСтрокуВТаблицуОтличий(ТаблицаОтличийРеквизитов, РеквизитОбъекта, );
```
</details>

## ЗначениеДополнительногоРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает значение строки дополнительного реквизита.
//
// Параметры:
//  СтрокаДанных - СтрокаТаблицыЗначений - строка таблицы дополнительных реквизитов.
//
// Возвращаемое значение:
//  Произвольный - значение дополнительного реквизита.
//
Функция ЗначениеДополнительногоРеквизита(СтрокаДанных) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ЗначениеДополнительногоРеквизита(СтрокаДанных) 
```
</details>

## ОписаниеТипаНаОснованииТипаСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает описание типа, на основании типа реквизита сервиса.
//
// Параметры:
//  ТипРеквизита - Строка - возможные значения: "Строка", "Число", "Дата", "Булево", "Список".
//
// Возвращаемое значение:
//  ОписаниеТипа - описание типа.
//
Функция ОписаниеТипаНаОснованииТипаСервиса(ТипРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ОписаниеТипаНаОснованииТипаСервиса(ТипРеквизита) 
```
</details>

## ПодготовитьДанныеДляИнтерактивногоЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение данных из формы для интерактивного заполнения объект.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма объекта.
//
// Возвращаемое значение:
//  Строка - адрес временного хранилища структуру с ключами: ВидНоменклатуры, ОсновныеРеквизиты, ДополнительныеРеквизиты.
//
Функция ПодготовитьДанныеДляИнтерактивногоЗаполнения(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ПодготовитьДанныеДляИнтерактивногоЗаполнения(Форма) 
```
</details>

## ЗаполнитьРеквизитыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение реквизитов формы объекта, после закрытия окна заполнения объекта.
//
// Параметры:
//  Форма	                 - ФормаКлиентскогоПриложения - форма заполняемого объекта.
//  ПараметрыЗакрытияФормы	 - Структура - результат закрытия окна заполнения объекта.
//
Процедура ЗаполнитьРеквизитыФормы(Форма, ПараметрыЗакрытияФормы) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ЗаполнитьРеквизитыФормы(Форма, ПараметрыЗакрытияФормы) 
```
</details>

## ВидыНоменклатурыПоИдентификаторуКатегории
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылки на виды номенклатуры по идентификатору категории.
//
// Параметры:
//  ИдентификаторКатегории - Строка - идентификатор категории.
//
// Возвращаемое значение:
//  Массив - массив ссылок на виды номенклатуры.
//
Функция ВидыНоменклатурыПоИдентификаторуКатегории(ИдентификаторКатегории) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ВидыНоменклатурыПоИдентификаторуКатегории(ИдентификаторКатегории) 
```
</details>

## ОбъединитьДанныеДополнительныхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Объединение дополнительных реквизитов и значений с одинаковыми идентификаторами.
// Используется при объединении категорий в одну.
//
// Параметры:
//  ДанныеЗаполнения - ТаблицаКатегорий - см. РаботаСНоменклатурой.ДанныеКатегорийСервиса.
//
// Возвращаемое значение:
//  Структура - структура с ключами ДополнительныеРеквизиты, Характеристики.
//
Функция ОбъединитьДанныеДополнительныхРеквизитов(ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ОбъединитьДанныеДополнительныхРеквизитов(ДанныеЗаполнения) 
```
</details>

## ПерезаполнитьВстроенныеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перезаполняет встроенные реквизиты формы. Может использоваться в ситуациях, когда требуется
// обновить данные открытой формы, например при вызове команды Перечитать.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма, с встроенными элементами подсистемы.
//
Процедура ПерезаполнитьВстроенныеРеквизиты(Форма) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПерезаполнитьВстроенныеРеквизиты(Форма) 
```
</details>

## СопоставленныеРеквизитыПоВидамНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сопоставленные реквизиты и их идентификаторы по видам номенклатуры.
//
// Параметры:
//  ВидыНоменклатуры - Массив из ОпределяемыйТип.ВидНоменклатурыРаботаСНоменклатурой - виды номенклатуры.
//
// Возвращаемое значение:
//  ТаблицаЗначений - данные по сопоставленным реквизитам. Колонки:
//      * ВидНоменклатуры - Ссылка - ссылка на вид номенклатуры.
//      * Реквизит - Ссылка - ссылка на дополнительный реквизит.
//      * ИдентификаторРеквизита - Строка - идентификатор реквизита.
//
Функция СопоставленныеРеквизитыПоВидамНоменклатуры(ВидыНоменклатуры) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.СопоставленныеРеквизитыПоВидамНоменклатуры(ВидыНоменклатуры) 
```
</details>

## ТоварнаяГруппаПоКатегорииСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает товарную группу категории 1С:Номенклатуры.
//
// Параметры:
//  ИдентификаторКатегории - Строка - идентификатор категории 1С:Номенклатуры.
//
// Возвращаемое значение:
//  Строка - товарная группа 1С:Номенклатуры. Например "ЛегкаяПромышленность", "МолочнаяПродукция".
//  Если вычислить товарную группу категории не удалось, возвращается пустая строка.
//
Функция ТоварнаяГруппаПоКатегорииСервиса(ИдентификаторКатегории) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ТоварнаяГруппаПоКатегорииСервиса(ИдентификаторКатегории) 
```
</details>

## ТоварыПринятыВНациональныйКаталог
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает товары, принятые в Национальный каталог.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - организация, для которой требуется получить настройку.
//  Товары - ТаблицаЗначений:
//   * Номенклатура - ОпределяемыйТип.НоменклатураРаботаСНоменклатурой - обязательна
//   * Характеристика - ОпределяемыйТип.ХарактеристикаРаботаСНоменклатурой - может отсутствовать, если учет по характеристикам не ведется
//
// Возвращаемое значение:
//  Товары - ТаблицаЗначений:
//   * Номенклатура - ОпределяемыйТип.НоменклатураРаботаСНоменклатурой - обязательна
//   * Характеристика - ОпределяемыйТип.ХарактеристикаРаботаСНоменклатурой - может отсутствовать, если учет по характеристикам не ведется
//
Функция ТоварыПринятыВНациональныйКаталог(Организация, Товары) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ТоварыПринятыВНациональныйКаталог(Организация, Товары) 
```
</details>

## ДоступнаФункциональностьПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет доступность подсистемы.
//
// Возвращаемое значение:
//  Булево - признак доступности подсистемы.
//
Функция ДоступнаФункциональностьПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ДоступнаФункциональностьПодсистемы() 
```
</details>

## НастройкиПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройки подсистемы
//
// Возвращаемое значение:
//  Структура - настройки подсистемы, см. РаботаСНоменклатуройПереопределяемый.ПриОпределенииНастроек
//
Функция НастройкиПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.НастройкиПодсистемы() 
```
</details>

## ИмяТаблицыПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает полное имя объекта метаданных по переданному значению типа.
// Основное назначение - определить имя объекта метаданных по определяемому типу.
//
// Параметры:
//  ПроверяемыйТип - ОписаниеТипов - определяемый тип. Например Метаданные.ОпределяемыеТипы.Организация.Тип
//
// Возвращаемое значение:
//  Строка - полное имя объекта метаданных для указанного типа. Например: "Справочник.Организации".
//
Функция ИмяТаблицыПоТипу(ПроверяемыйТип) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ИмяТаблицыПоТипу(ПроверяемыйТип) 
```
</details>

## ПриПолученииСпискаШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ПриПолученииСпискаШаблонов.
Процедура ПриПолученииСпискаШаблонов(ШаблоныЗаданий) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриПолученииСпискаШаблонов(ШаблоныЗаданий) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ПриОпределенииПсевдонимовОбработчиков.
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ПриОпределенииНастроекРегламентныхЗаданий.
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ПриЗаполненииСписковСОграничениемДоступа
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
Процедура ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатурой.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) 
```
</details>

## ТоварныеГруппыСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень товарных групп 1С:Номенклатуры.
//
// Параметры:
//  ДанныеСервиса - Строка - см. РаботаСНоменклатуройСлужебныйПовтИсп.ТоварныеГруппыСервиса()
//
// Возвращаемое значение:
//  Структура,
//   Ключи - имена товарных групп. Например "ЛегкаяПромышленность", "МолочнаяПродукция".
//   Значения - Структура - содержит:
//    * Наименование - Строка - краткое представление товарной группы для пользователя. Например "Молоко и молочная продукция".
//    * Описание     - Строка - расширенное описание для пользователя. Например "Осуществляется обмен с ИС МП информацией по обороту молока и молочной продукции.".
//
Функция ТоварныеГруппыСервиса(ДанныеСервиса = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ТоварныеГруппыСервиса(ДанныеСервиса);
```
</details>

## ПараметрыПоискаНоменклатурыСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция-конструктор параметров поиска номенклатуры сервиса.
//
// Возвращаемое значение:
//  Структура
//   * СтрокаПоиска - Строка - поисковая строка
//   * Штрихкоды - Массив из Строка - штрихкоды
//   * КоличествоЗаписей - Число - количество записей, например для постраничной загрузки
//   * НомерСтраницы - Число - номер страницы для постраничной загрузки.
//   * НайтиСопоставленные - Булево - после получения идентификаторов сервиса выполнить поиск ссылок сопоставленной
//                                    номенклатуры, по умолчанию Истина
//
Функция ПараметрыПоискаНоменклатурыСервиса() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ПараметрыПоискаНоменклатурыСервиса() 
```
</details>

## РезультатПоискаНоменклатурыСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск данных в сервисе по строке или штрихкодам.
//
// Параметры:
//  ПараметрыПоиска - см. ПараметрыПоискаНоменклатурыСервиса
//
// Возвращаемое значение:
//  Массив из Структура:
//   * Идентификатор - Строка - идентификатор номенклатуры в сервисе.
//   * Наименование - Строка - наименование номенклатуры.
//   * Номенклатура - ОпределяемыйТип.НоменклатураРаботаСНоменклатурой - ссылка на номенклатуру.
//                    Ключ добавляется в результат только если ПараметрыПоиска.НайтиСопоставленные = Истина.
//
Функция РезультатПоискаНоменклатурыСервиса(Знач ПараметрыПоиска) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.РезультатПоискаНоменклатурыСервиса(ПараметрыПоиска) 
```
</details>

## ПараметрыЗаполненияФормыНоменклатурыПодготовлены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует параметры заполнения формы элемента номенклатуры по данным сервиса.
//
// Параметры:
//  ИдентификаторНоменклатуры - Строка - идентификатор запрашиваемой номенклатуры сервиса.
//  ДанныеФормы - Неопределено, Структура:
//   * ВидНоменклатуры - ОпределяемыйТип.ВидНоменклатурыРаботаСНоменклатурой - вид номенклатуры.
//   * ОсновныеРеквизиты - Структура, СтрокаТаблицыЗначений - основные реквизиты номенклатуры.
//   * ДополнительныеРеквизиты - ТаблицаЗначений:
//    ** Свойство - ОпределяемыйТип.ДополнительныеРеквизитыРаботаСНоменклатурой - дополнительный реквизит.
//    ** Значение - Произвольный - значение дополнительного реквизита.
//  АдресРезультата - Строка - адрес во временном хранилище, по которому размещается результат метода
//  АдресДополнительногоРезультата - Строка - адрес во временном хранилище, по которому размещается описание ошибки
//   покупки карточки номенклатуры
//
// Возвращаемое значение:
//  Булево - признак успешного выполнения метода, значение Истина означает, что параметры формы подготовлены.
//
Функция ПараметрыЗаполненияФормыНоменклатурыПодготовлены(Знач ИдентификаторНоменклатуры, Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ПараметрыЗаполненияФормыНоменклатурыПодготовлены(ИдентификаторНоменклатуры, );
```
</details>

## СервисАккредитацииДоступен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку доступности сервиса предоставления данных документов аккредитации - сертификатов соответствия
//  и деклараций соответствия.
// Методы ДанныеСертификатаСоответствия и ДанныеДекларацииСоответствия по умолчанию выполняют проверку доступности
//  (ПроверятьДоступность = Истина)
// В случае отправления нескольких последовательных запросов из контекста сервера следует один раз проверить доступность
//  сервиса и затем выполнять запросы со сброшенным в Ложь флагом ПроверятьДоступность.
//
// Возвращаемое значение:
//  Булево
//
Функция СервисАккредитацииДоступен() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.СервисАккредитацииДоступен() 
```
</details>

## ДанныеСертификатаСоответствия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные сертификата соответствия
//
// Параметры:
//  Номер - Строка - номер сертификата, длина строки до 50 символов
//  ДатаРегистрации - Дата - дата регистрации сертификата.
//  ДатаОкончанияДействия - Неопределено, Дата - дата окончания действия сертификата.
//   Если сертификат бессрочный, параметр не заполняется.
//  ПроверятьДоступность - Булево - признак необходимости проверки доступности сервиса перед выполнением основного
//   запроса.
//
// Возвращаемое значение:
//  Структура:
//   * Данные - см. НовыеДынныеСертификатаСоответствия
//   * Статус - Строка - "Выполнено" - данные получены успешно;
//                       "ПринятоВОбработку" - запрос успешно обработан сервисом, но результат не получен, нужно
//                        повторить попытку получения данных позже;
//                       "НеНайдено" - по указанным параметрам документ в сервисе не найден;
//                       "Ошибка" - некорректный запрос.
//                       "СервисНеДоступен" - сервис не доступен.
//
Функция ДанныеСертификатаСоответствия(Номер, ДатаРегистрации, ДатаОкончанияДействия = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ДанныеСертификатаСоответствия(Номер, ДатаРегистрации, ДатаОкончанияДействия, );
```
</details>

## ДанныеДекларацииСоответствия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные декларации соответствия
//
// Параметры:
//  Номер - Строка - номер декларации, длина строки до 50 символов
//  ДатаРегистрации - Дата - дата регистрации декларации.
//  ДатаОкончанияДействия - Неопределено, Дата - дата окончания действия декларации.
//   Если декларация бессрочная, параметр не заполняется.
//  ПроверятьДоступность - Булево - признак необходимости проверки доступности сервиса перед выполнением основного
//   запроса.
//
// Возвращаемое значение:
//  Структура:
//   * Данные - см. НовыеДынныеДекларацииСоответствия
//   * Статус - Строка - "Выполнено" - данные получены успешно;
//                       "ПринятоВОбработку" - запрос успешно обработан сервисом, но результат не получен, нужно
//                        повторить попытку получения данных позже;
//                       "НеНайдено" - по указанным параметрам документ в сервисе не найден;
//                       "Ошибка" - некорректный запрос.
//                       "СервисНеДоступен" - сервис не доступен.
//
Функция ДанныеДекларацииСоответствия(Номер, ДатаРегистрации, ДатаОкончанияДействия = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатурой.ДанныеДекларацииСоответствия(Номер, ДатаРегистрации, ДатаОкончанияДействия, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
