---
title: Работа с номенклатурой клиент
slug: erp-uh/работа-с-номенклатурой-клиент
---


## ПередЗакрытиемФормыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая перед закрытием формы номенклатуры, для установки значений технических реквизитов.
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения - форма номенклатуры.
//  Отказ				 - Булево - признак отказа.
//  ЗавершениеРаботы	 - Булево - признак завершения работы.
//  ТекстПредупреждения	 - Строка - текст предупреждения.
//  СтандартнаяОбработка - Булево - признак стандартной обработки закрытия.
//
Процедура ПередЗакрытиемФормыНоменклатуры(Форма, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ПередЗакрытиемФормыНоменклатуры(Форма, );
```
</details>

## ПослеЗаписиФормаНоменклатурыПродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается после записи номенклатуры. Запускает длительную операцию для загрузки характеристик номенклатуры.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма номенклатуры.
//
Процедура ПослеЗаписиФормаНоменклатурыПродолжение(Форма) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ПослеЗаписиФормаНоменклатурыПродолжение(Форма) 
```
</details>

## ОткрытьФормуПодбораНоменклатурыПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы подбора по штрихкодам.
//
// Параметры:
//  ПараметрыФормы		 - Структура -          параметры формы. см. ПараметрыФормыПодбораНоменклатурыПоШтрихкодам.
//  Владелец			 - ФормаКлиентскогоПриложения -   владелец формы.
//  ОповещениеОЗакрытии	 - ОписаниеОповещения - описание оповещения о закрытии.
//
Процедура ОткрытьФормуПодбораНоменклатурыПоШтрихкодам(ПараметрыФормы, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ОткрытьФормуПодбораНоменклатурыПоШтрихкодам(ПараметрыФормы, );
```
</details>

## ПараметрыФормыПодбораНоменклатурыПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Параметры формы подбора номенклатуры по штрихкодам
//
// Возвращаемое значение:
//  Структура -
//   Ключи:
//    * НеизвестныеШтрихкоды                - Массив - массив структур с ключами: Штрихкод (Строка), Количество (Число).
//    * ДействияСНеизвестнымиШтрихкодами    - Строка - описание действие, которое необходимо выполнить с неизвестными штрихкодами.
//                                                     Возможные значения: "ЗарегистрироватьПеренестиВДокумент", "ТолькоЗарегистрировать".
//
Функция ПараметрыФормыПодбораНоменклатурыПоШтрихкодам() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатуройКлиент.ПараметрыФормыПодбораНоменклатурыПоШтрихкодам() 
```
</details>

## ПослеЗаписиФормаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После записи формы номенклатуры.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма номенклатуры.
//
Процедура ПослеЗаписиФормаНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ПослеЗаписиФормаНоменклатуры(Форма) 
```
</details>

## ОписаниеОповещенийПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание оповещений подсистемы при различных действиях.
//
// Возвращаемое значение:
//  Структура - структура с именами оповещений.
//
Функция ОписаниеОповещенийПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатуройКлиент.ОписаниеОповещенийПодсистемы() 
```
</details>

## НайтиНоменклатуруПоШтрихкодуВСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск номенклатуры в сервисе 1С:Номенклатура по штрихкоду.
//  В случае успеха открывается карточка номенклатуры, из которой можно загрузить номенклатуру
//  в информационную базу.
//
// Параметры:
//  ШтрихКод			 - Строка	 - строка штрихкода.
//  Форма				 - ФормаКлиентскогоПриложения - форма владелец.
//  ОповещениеОЗакрытии	 - ОписаниеОповещения - оповещение о закрытии окна.
//                         При закрытии формы карточки номенклатуры возвращается структура с ключом:
//                         СозданнаяНоменклатура - массив ссылок на созданную номенклатуру.
//
Процедура НайтиНоменклатуруПоШтрихкодуВСервисе(ШтрихКод, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.НайтиНоменклатуруПоШтрихкодуВСервисе(ШтрихКод, );
```
</details>

## НажатиеОчиститьКатегорию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистка данных объекта сервиса 1С:Номенклатура на форме.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма владелец.
//
Процедура НажатиеОчиститьКатегорию(Форма) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.НажатиеОчиститьКатегорию(Форма) 
```
</details>

## НажатиеОчиститьНоменклатуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистка данных объекта сервиса 1С:Номенклатура на форме.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма владелец.
//
Процедура НажатиеОчиститьНоменклатуру(Форма) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.НажатиеОчиститьНоменклатуру(Форма) 
```
</details>

## ВыбратьОбъектСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие окна выбора объекта сервиса.
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения - форма владелец.
//  Элемент				 - ПолеФормы		 - элемент с представлением объекта сервиса.
//  СтандартнаяОбработка - Булево			 - флаг стандартной обработки.
//  ЗаполнятьПриВыборе	 - Булево			 - Истина, если при выборе объекта сервиса будет заполняться объект базы.
//  ОповещениеОЗакрытии	 - ОписаниеОповещения - оповещение о закрытии окна.
//
Процедура ВыбратьОбъектСервиса(Форма, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ВыбратьОбъектСервиса(Форма, );
```
</details>

## НажатиеРежимОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка нажатия кнопки выбора режима обновления объекта базы.
//
// Параметры:
//  Форма							 - ФормаКлиентскогоПриложения - форма владелец.
//  ДанныеИнтерактивногоЗаполнения	 - Строка			 - см. РаботаСНоменклатурой.ПодготовитьДанныеДляИнтерактивногоЗаполнения.
//  ОповещениеОЗакрытии				 - ОписаниеОповещения	 - оповещение о закрытии окна.
//
Процедура НажатиеРежимОбновления(Форма, ДанныеИнтерактивногоЗаполнения, ОповещениеОЗакрытии) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.НажатиеРежимОбновления(Форма, ДанныеИнтерактивногоЗаполнения, ОповещениеОЗакрытии) 
```
</details>

## НажатиеГиперссылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка нажатия встраиваемых гиперссылок.
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения - форма объекта.
//  Элемент				 - Элемент			 - элемент формы.
//  СтандартнаяОбработка - Булево			 - флаг стандартной обработки.
//  ОповещениеОЗакрытии	 - ОписаниеОповещения - оповещение о закрытии окна.
//
Процедура НажатиеГиперссылки(Форма, Элемент, СтандартнаяОбработка, ОповещениеОЗакрытии) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.НажатиеГиперссылки(Форма, Элемент, СтандартнаяОбработка, ОповещениеОЗакрытии) 
```
</details>

## ПодобратьНоменклатуруИзСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы подбора номенклатуры из сервиса.
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения - владелец формы.
//  Параметры			 - Структура - параметры формы.
//  ОповещениеОЗакрытии	 - ОписаниеОповещения - оповещение о закрытии формы.
//
Процедура ПодобратьНоменклатуруИзСервиса(Форма = Неопределено, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ПодобратьНоменклатуруИзСервиса(Форма, );
```
</details>

## ПодобратьКатегорииИзСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы подбора категорий из сервиса.
//
// Параметры:
//  Владелец - ФормаКлиентскогоПриложения - владелец формы.
//
Процедура ПодобратьКатегорииИзСервиса(Владелец = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ПодобратьКатегорииИзСервиса(Владелец);
```
</details>

## ПриИзмененииСобратьСтрокуПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка события ПриИзменении элемента формы, для формирования строки поиска номенклатуры в сервисе.
// Поиск осуществляется для формирования контекстной подсказки в момент заполнения объекта.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма события.
//  Элемент	 - ПолеФормы - изменяемый элемент формы.
//
Процедура ПриИзмененииСобратьСтрокуПоиска(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ПриИзмененииСобратьСтрокуПоиска(Форма, Элемент) 
```
</details>

## ИзменениеТекстаСобратьСтрокуПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка события ИзменениеТекстаРедактирования элемента формы, для формирования строки поиска номенклатуры в сервисе.
// Поиск осуществляется для формирования контекстной подсказки в момент заполнения объекта.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма события.
//  Текст	 - Строка - редактируемый текст.
//  Элемент	 - ПолеФормы - изменяемый элемент формы.
//  СтандартнаяОбработка - Булево - флаг стандартной обработки.
//
Процедура ИзменениеТекстаСобратьСтрокуПоиска(Форма, Текст, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ИзменениеТекстаСобратьСтрокуПоиска(Форма, Текст, Элемент, СтандартнаяОбработка) 
```
</details>

## ОткрытьКарточкуОбъектаСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы представления объекта сервиса.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма владелец.
//  Элемент - ПолеФормы - элемент с представлением объекта сервиса.
//  СтандартнаяОбработка - Булево - флаг стандартной обработки.
//
Процедура ОткрытьКарточкуОбъектаСервиса(Форма, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ОткрытьКарточкуОбъектаСервиса(Форма, Элемент, СтандартнаяОбработка) 
```
</details>

## ДоступнаФункциональностьПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет доступность подсистемы.
//
// Возвращаемое значение:
//  Булево - признак доступности подсистемы.
//
Функция ДоступнаФункциональностьПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатуройКлиент.ДоступнаФункциональностьПодсистемы() 
```
</details>

## ОбработкаОповещенияЗакрытиеФормыВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается после выбора 1С:Номенклатуры из прикладных форм, собирает данные с формы объекта информационной базы
//  и передает в форму заполнения.
//
// Параметры:
//  ДанныеВыбора					 - Структура - идентификатор и наименование объекта сервиса.
//  ДополнительныеПараметры			 - Структура - ссылка на заполняемую номенклатуру и его форму.
//  ДанныеИнтерактивногоЗаполнения	 - Строка	 - см. РаботаСНоменклатурой.ПодготовитьДанныеДляИнтерактивногоЗаполнения.
//  ОповещениеОЗакрытии				 - ОписаниеОповещения - описание оповещения о закрытии формы заполнения.
//
Процедура ОбработкаОповещенияЗакрытиеФормыВыбора(ДанныеВыбора, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ОбработкаОповещенияЗакрытиеФормыВыбора(ДанныеВыбора, );
```
</details>

## ОткрытьФормуСопоставленияХарактеристикСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы сопоставление характеристик информационной базы с характеристиками сервиса.
//
// Параметры:
//  НоменклатураСсылка   - Ссылка - ссылка на номенклатуру.
//  Владелец			 - ФормаКлиентскогоПриложения - форма владелец формы сопоставления.
//  ОповещениеОЗакрытии	 - ОписаниеОповещения - оповещение о закрытии формы.
//
Процедура ОткрытьФормуСопоставленияХарактеристикСервиса(НоменклатураСсылка, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ОткрытьФормуСопоставленияХарактеристикСервиса(НоменклатураСсылка, );
```
</details>

## ПредставлениеСопоставленныхХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление сопоставленных характеристик.
//
// Параметры:
//  НоменклатураСсылка	 - Ссылка - ссылка на номенклатуру.
//  ШаблонПредставления	 - Строка - шаблон представления гиперссылки. Шаблон должен включать два маркера подстановки: %1, %2.
//                                  На место маркера %1 будет проставлено количество сопоставленных характеристик,
//                                  на место маркера %2 будет проставлено общее количество характеристик номенклатуры.
//                                  Если шаблон указан не будет, представление имеет вид: Сопоставлено характеристик: %1 из %2.
//
// Возвращаемое значение:
//  Строка - представление гиперссылки.
//
Функция ПредставлениеСопоставленныхХарактеристик(НоменклатураСсылка, ШаблонПредставления = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатуройКлиент.ПредставлениеСопоставленныхХарактеристик(НоменклатураСсылка, ШаблонПредставления);
```
</details>

## ВыполнитьПодключаемуюКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка встраиваемых команд.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма, из которой происходит выполнение команды.
//  Команда	 - Команда - выполняемая команда.
//
Процедура ВыполнитьПодключаемуюКоманду(Форма, Команда) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ВыполнитьПодключаемуюКоманду(Форма, Команда) 
```
</details>

## ВыборВТаблицеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка выбора строки таблицы.
//
// Параметры:
//  Форма				 - ФормаКлиентскогоПриложения - форма, из которой происходит выполнение команды.
//  Элемент				 - ТаблицаФормы - таблица формы.
//  ВыбраннаяСтрока		 - Произвольный - значение выбранной строки. Тип значения зависит от типа данных, отображаемых в таблице.
//  Поле				 - ПолеФормы - активное поле (колонка).
//  СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//
Процедура ВыборВТаблицеФормы(Форма, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ВыборВТаблицеФормы(Форма, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка) 
```
</details>

## ПараметрыФормыПомощникВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры формы помощника выгрузки номенклатуры
//
// Возвращаемое значение:
//  Структура - параметры формы.
//   Ключи:
//    * Организация - ОпределяемыйТип.Организация - организация, для которой требуется получить настройку.
//    * АдресТоваровВХранилище - Строка - адрес во временном хранилище, по адресу размещается ТаблицаЗначений:
//     * Номенклатура - ОпределяемыйТип.НоменклатураРаботаСНоменклатурой - обязательна
//     * Характеристика - ОпределяемыйТип.ХарактеристикаРаботаСНоменклатурой - может отсутствовать, если учет по характеристикам не ведется
//    * ВыгружатьНоменклатуру - Булево - флаг выгрузки в сервис 1С:Номенклатура, по умолчанию Истина.
//    * ВыгружатьВНациональныйКаталог - Булево - флаг выгрузки в Национальный каталог, по умолчанию Истина.
//
Функция ПараметрыФормыПомощникВыгрузки() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатуройКлиент.ПараметрыФормыПомощникВыгрузки() 
```
</details>

## ОткрытьФормуПомощникВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы помощника выгрузки номенклатуры.
//
// Параметры:
//  ПараметрыФормы              - Структура                  - см. ПараметрыФормыПомощникВыгрузки.
//  Владелец                    - ФормаКлиентскогоПриложения - владелец формы.
//  ОписаниеОповещенияОЗакрытии - ОписаниеОповещения         - оповещение о закрытии формы.
//  РежимОткрытияОкна           - РежимОткрытияОкнаФормы - содержит варианте открытия формы клиентского приложения.
//
Процедура ОткрытьФормуПомощникВыгрузки(ПараметрыФормы, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ОткрытьФормуПомощникВыгрузки(ПараметрыФормы, );
```
</details>

## ПодготовитьПараметрыЗаполненияФормыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовка параметров заполнения формы элемента номенклатуры по данным сервиса.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из которой происходит выполнение команды.
//  ДанныеОбъекта - Структура:
//   * Идентификатор - Строка - идентификатор номенклатуры в сервисе.
//   * Наименование - Строка - наименование номенклатуры.
//  ОповещениеФормы - ОписаниеОповещения - оповещение, вызываемое после подготовки параметров.
//  ДополнительныеПараметры - Структура:
//   * ВыводитьОкноОжидания - Булево - см. ДлительныеОперацииКлиент.ПараметрыОжидания().ВыводитьОкноОжидания.
//
Процедура ПодготовитьПараметрыЗаполненияФормыНоменклатуры(Форма, ДанныеОбъекта, ОповещениеФормы, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ПодготовитьПараметрыЗаполненияФормыНоменклатуры(Форма, ДанныеОбъекта, ОповещениеФормы, );
```
</details>

## ПолучитьДанныеСертификатаСоответствияИзСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные сертификата соответствия
//
// Параметры:
//  Номер - Строка - номер сертификата, длина строки до 50 символов
//  ДатаРегистрации - Дата - дата регистрации сертификата.
//  ДатаОкончанияДействия - Неопределено, Дата - дата окончания действия сертификата.
//   Если сертификат бессрочный, передавать значение Неопределено.
//  ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой выполняется вызов метода
//  ОповещениеФормы - ОписаниеОповещения - в качестве результата в оповещение передается
//   см. РаботаСНоменклатурой.ДанныеСертификатаСоответствия
//  ВыводитьОкноОжидания - Булево - одноименный параметр из см. ДлительныеОперацииКлиент.ПараметрыОжидания
//
Процедура ПолучитьДанныеСертификатаСоответствияИзСервиса(Номер, ДатаРегистрации, ДатаОкончанияДействия, ФормаВладелец, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ПолучитьДанныеСертификатаСоответствияИзСервиса(Номер, ДатаРегистрации, ДатаОкончанияДействия, ФормаВладелец, );
```
</details>

## ПолучитьДанныеДекларацииСоответствияИзСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные декларации соответствия
//
// Параметры:
//  Номер - Строка - номер декларации, длина строки до 50 символов
//  ДатаРегистрации - Дата - дата регистрации декларации.
//  ДатаОкончанияДействия - Неопределено, Дата - дата окончания действия декларации.
//   Если декларация бессрочная, передавать значение Неопределено.
//  ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой выполняется вызов метода
//  ОповещениеФормы - ОписаниеОповещения - в качестве результата в оповещение передается
//   см. РаботаСНоменклатурой.ДанныеДекларацииСоответствия
//  ВыводитьОкноОжидания - Булево - одноименный параметр из см. ДлительныеОперацииКлиент.ПараметрыОжидания
//
Процедура ПолучитьДанныеДекларацииСоответствияИзСервиса(Номер, ДатаРегистрации, ДатаОкончанияДействия, ФормаВладелец, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиент.ПолучитьДанныеДекларацииСоответствияИзСервиса(Номер, ДатаРегистрации, ДатаОкончанияДействия, ФормаВладелец, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
