---
title: Работа с номенклатурой клиент переопределяемый
slug: erp-uh/работа-с-номенклатурой-клиент-переопределяемый
---


## ПоискНоменклатурыПоШтрихкодуПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из обработчика события формы ПриОткрытии формы ПоискНоменклатурыПоШтрихкоду.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из обработчика события которой происходит вызов процедуры.
//
Процедура ПоискНоменклатурыПоШтрихкодуПриОткрытии(Форма) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоискНоменклатурыПоШтрихкодуПриОткрытии(Форма) 
```
</details>

## ПоискНоменклатурыПоШтрихкодуПриЗакрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из обработчика события формы ПриЗакрытии формы ПоискНоменклатурыПоШтрихкоду.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из обработчика события которой происходит вызов процедуры.
//  ЗавершениеРаботы - Булево - признак завершения работы.
//
Процедура ПоискНоменклатурыПоШтрихкодуПриЗакрытии(Форма, ЗавершениеРаботы) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоискНоменклатурыПоШтрихкодуПриЗакрытии(Форма, ЗавершениеРаботы) 
```
</details>

## ПоискНоменклатурыПоШтрихкодуОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из обработчика оповещения формы ПоискНоменклатурыПоШтрихкоду.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из обработчика события которой происходит вызов процедуры.
//  ИмяСобытия	 - Строка - имя события.
//  Параметр	 - Произвольный - параметры оповещения.
//  Источник	 - Строка - источник оповещения.
//  ШтрихКоды	 - Массив - массив строк штрихкодов. Заполняется при отработке оповещений от оборудования (Строка).
//
Процедура ПоискНоменклатурыПоШтрихкодуОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник, ШтрихКоды) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоискНоменклатурыПоШтрихкодуОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник, ШтрихКоды) 
```
</details>

## ПоискНоменклатурыПоШтрихкодуОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая при обработке выбора формы ПоискНоменклатурыПоШтрихкоду.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из обработчика события которой происходит вызов процедуры.
//  ВыбранноеЗначение - Произвольный - выбранное значение.
//  ИсточникВыбора - Произвольный - источник выбора.
//
Процедура ПоискНоменклатурыПоШтрихкодуОбработкаВыбора(Форма, ВыбранноеЗначение, ИсточникВыбора) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоискНоменклатурыПоШтрихкодуОбработкаВыбора(Форма, ВыбранноеЗначение, ИсточникВыбора) 
```
</details>

## ПоискНоменклатурыПоШтрихкодуНоменклатураПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая при изменении поля Номенклатура формы ПоискНоменклатурыПоШтрихкоду.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма поиска номенклатуры по штрихкоду.
//  Элемент	 - ПолеФормы - изменяемое поле формы.
//
Процедура ПоискНоменклатурыПоШтрихкодуНоменклатураПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоискНоменклатурыПоШтрихкодуНоменклатураПриИзменении(Форма, Элемент) 
```
</details>

## ПоискНоменклатурыПоШтрихкодуНоменклатураСоздание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая при создании в поле Номенклатура формы ПоискНоменклатурыПоШтрихкоду.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из обработчика события которой происходит вызов процедуры.
//  Элемент				 - ПолеФормы - элемент формы.
//  СтандартнаяОбработка - Булево - признак стандартной обработки.
//
Процедура ПоискНоменклатурыПоШтрихкодуНоменклатураСоздание(Форма, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоискНоменклатурыПоШтрихкодуНоменклатураСоздание(Форма, Элемент, СтандартнаяОбработка) 
```
</details>

## ПоискНоменклатурыПоШтрихкодуНоменклатураНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая при начале выбора в поле Номенклатура формы ПоискНоменклатурыПоШтрихкоду.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из обработчика события которой происходит вызов процедуры.
//  Элемент				 - ПолеФормы - элемент формы.
//  ДанныеВыбора		 - СписокЗначений - данные выбора..
//  СтандартнаяОбработка - Булево -  признак стандартной обработки.
//
Процедура ПоискНоменклатурыПоШтрихкодуНоменклатураНачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоискНоменклатурыПоШтрихкодуНоменклатураНачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка) 
```
</details>

## ПоискНоменклатурыПоШтрихкодуХарактеристикаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая при изменении поля Характеристика формы ПоискНоменклатурыПоШтрихкоду.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма поиска номенклатуры по штрихкоду.
//  Элемент	 - ПолеФормы - изменяемое поле формы.
//
Процедура ПоискНоменклатурыПоШтрихкодуХарактеристикаПриИзменении(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоискНоменклатурыПоШтрихкодуХарактеристикаПриИзменении(Форма, Элемент) 
```
</details>

## ПоискНоменклатурыПоШтрихкодуХарактеристикаСоздание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая при создании в поле Характеристика формы ПоискНоменклатурыПоШтрихкоду.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из обработчика события которой происходит вызов процедуры.
//  Элемент				 - ПолеФормы - элемент формы.
//  СтандартнаяОбработка - Булево - признак стандартной обработки.
//
Процедура ПоискНоменклатурыПоШтрихкодуХарактеристикаСоздание(Форма, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоискНоменклатурыПоШтрихкодуХарактеристикаСоздание(Форма, Элемент, СтандартнаяОбработка) 
```
</details>

## ПоискНоменклатурыПоШтрихкодуХарактеристикаНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая при начале выбора в поле Характеристика формы ПоискНоменклатурыПоШтрихкоду.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из обработчика события которой происходит вызов процедуры.
//  Элемент				 - ПолеФормы - элемент формы.
//  ДанныеВыбора		 - СписокЗначений - данные выбора..
//  СтандартнаяОбработка - Булево -  признак стандартной обработки.
//
Процедура ПоискНоменклатурыПоШтрихкодуХарактеристикаНачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоискНоменклатурыПоШтрихкодуХарактеристикаНачалоВыбора(Форма, Элемент, ДанныеВыбора, СтандартнаяОбработка) 
```
</details>

## СоздатьНоменклатуруИнтерактивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывает форму элемента номенклатуры в случает интерактивного заполнения.
//
// Параметры:
//  ПараметрыФормы				 - Структура		 - параметры, которые необходимо передать в форму элемента.
//  ОписаниеОповещенияОЗакрытии	 - ОписаниеОповещения	 - оповещение о закрытии формы. В обработчик должен передаваться
//                                                         параметр НоменклатураСсылка с ссылкой на элемент.
//
Процедура СоздатьНоменклатуруИнтерактивно(ПараметрыФормы, ОписаниеОповещенияОЗакрытии) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.СоздатьНоменклатуруИнтерактивно(ПараметрыФормы, ОписаниеОповещенияОЗакрытии) 
```
</details>

## СоздатьВидНоменклатурыИнтерактивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывает форму элемента вида номенклатуры в случает интерактивного заполнения.
//  Режим открытия окна должен установлен в значение Независимый.
//
// Параметры:
//  ПараметрыФормы				 - Структура		 - параметры, которые необходимо передать в форму элемента.
//  ОписаниеОповещенияОЗакрытии	 - ОписаниеОповещения	 - оповещение о закрытии.
//
Процедура СоздатьВидНоменклатурыИнтерактивно(ПараметрыФормы, ОписаниеОповещенияОЗакрытии) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.СоздатьВидНоменклатурыИнтерактивно(ПараметрыФормы, ОписаниеОповещенияОЗакрытии) 
```
</details>

## ОткрытьФормуДополнительногоЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы значения дополнительного реквизита.
//
// Параметры:
//  ПараметрыФормы - Структура - Ключи:
//                   * РеквизитСсылка - ОпределяемыйТип.ДополнительныеРеквизитыРаботаСНоменклатурой - Ссылка на дополнительный реквизит.
//                   * Наименование   - Строка - Наименование значения дополнительного реквизита по умолчанию.
//  Форма          - ФормаКлиентскогоПриложения - Форма-владелец.
//
Процедура ОткрытьФормуДополнительногоЗначения(ПараметрыФормы, Форма) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ОткрытьФормуДополнительногоЗначения(ПараметрыФормы, Форма) 
```
</details>

## ОткрытьФормуДополнительногоРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы дополнительного реквизита.
//
// Параметры:
//  ПараметрыФормы	 - Структура - параметры формы.
//  Владелец			 - ФормаКлиентскогоПриложения - форма владелец.
//
Процедура ОткрытьФормуДополнительногоРеквизита(ПараметрыФормы, Владелец) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ОткрытьФормуДополнительногоРеквизита(ПараметрыФормы, Владелец) 
```
</details>

## ОткрытьФормуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы номенклатуры.
//
// Параметры:
//  НоменклатураСсылка	 - ОпределяемыйТип.НоменклатураРаботаСНоменклатурой - ссылка на номенклатуру.
//  Владелец			 - ФормаКлиентскогоПриложения - форма владелец.
//
Процедура ОткрытьФормуНоменклатуры(НоменклатураСсылка, Владелец) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ОткрытьФормуНоменклатуры(НоменклатураСсылка, Владелец) 
```
</details>

## ОткрытьФормуВидаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы вида номенклатуры.
//
// Параметры:
//  ВидНоменклатурыСсылка - ОпределяемыйТип.ВидНоменклатурыРаботаСНоменклатурой - ссылка на вид номенклатуры.
//  Владелец			 - ФормаКлиентскогоПриложения - форма владелец.
//
Процедура ОткрытьФормуВидаНоменклатуры(ВидНоменклатурыСсылка, Владелец) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ОткрытьФормуВидаНоменклатуры(ВидНоменклатурыСсылка, Владелец) 
```
</details>

## ОткрытьФормуСпискаВидаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы списка вида номенклатуры.
//
// Параметры:
//  ВидНоменклатурыСсылка		 - ОпределяемыйТип.ВидНоменклатурыРаботаСНоменклатурой - ссылка на вид номенклатуры.
//  Владелец					 - ФормаКлиентскогоПриложения - форма владелец.
//  ОписаниеОповещенияОЗакрытии	 - ОписаниеОповещения, Неопределено	 - оповещение о закрытии.
//
Процедура ОткрытьФормуСпискаВидаНоменклатуры(ВидНоменклатурыСсылка, Владелец, ОписаниеОповещенияОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ОткрытьФормуСпискаВидаНоменклатуры(ВидНоменклатурыСсылка, Владелец, ОписаниеОповещенияОЗакрытии);
```
</details>

## ОткрытьФормуВыбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы выбора номенклатуры.
// Ожидаемый результат закрытия формы - массив ссылок типа ОпределяемыйТип.НоменклатураРаботаСНоменклатурой.
//
// Параметры:
//  ПараметрыФормы              - Структура                  - параметры формы.
//  Владелец                    - ФормаКлиентскогоПриложения - владелец формы.
//  ОписаниеОповещенияОЗакрытии - ОписаниеОповещения         - оповещение о закрытии формы.
//  РежимОткрытияОкнаФормы      - РежимОткрытияОкнаФормы     - варианты открытия формы клиентского приложения.
//
Процедура ОткрытьФормуВыбораНоменклатуры(ПараметрыФормы, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ОткрытьФормуВыбораНоменклатуры(ПараметрыФормы, );
```
</details>

## ОткрытьФормуПодбораНоменклатурыСХарактеристиками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы подбора номенклатуры с характеристиками.
// Ожидаемый результат закрытия формы - строка - адрес во временном хранилище,
//   либо структура с ключем АдресТоваровВХранилище - строка - адрес во временном хранилище,
//  По адресу во временном хранилище должна располагаться таблица с колонками Номенклатура, Характеристика.
//  Таблица может содержать и другие колонки, они будут проигнорированы при обработке.
//
// Параметры:
//  Владелец                    - ФормаКлиентскогоПриложения - владелец формы.
//  ОписаниеОповещенияОЗакрытии - ОписаниеОповещения         - оповещение о закрытии формы.
//  РежимОткрытияОкнаФормы      - РежимОткрытияОкнаФормы     - варианты открытия формы клиентского приложения.
//
Процедура ОткрытьФормуПодбораНоменклатурыСХарактеристиками(Владелец = Неопределено, Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ОткрытьФормуПодбораНоменклатурыСХарактеристиками(Владелец, );
```
</details>

## ПоказатьНезаполненныеДанныеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Открытие формы элемента Номенклатуры с визуализацией проблем заполнения.
// В качестве идентификатора реквизита может использоваться строка:
//  * ключ структуры РаботаСНоменклатурой.КлючевыеРеквизитыНоменклатурыДляВыгрузки(),
//  * имя перечисления Перечисления.РеквизитыНоменклатурыДляВыгрузки
//  * псевдоним доп.реквизита 1С:Номенклатуры, см. РаботаСНоменклатуройПереопределяемый.ИнициализацияЗапросаВыборкиДанныхДляВыгрузки
//  или ссылка - ОпределяемыеТипы.ДополнительныеРеквизитыРаботаСНоменклатурой - доп.реквизит номенклатуры.
//
// Параметры:
//  НоменклатураСсылка  - ОпределяемыйТип.НоменклатураРаботаСНоменклатурой - ссылка на номенклатуру.
//  НезаполненныеДанные - Массив из Строка - содержит имена ключевых реквизитов, как они заданы в методе КлючевыеРеквизитыНоменклатурыДляВыгрузки()
//                      - Массив из Соответствие - возможные ключи описаны выше, значения - сообщения об ошибке.
//                                                 Такой тип параметра используется для визуализации ошибок при отправке в Национальный каталог.
//  Форма               - ФормаКлиентскогоПриложения - форма из которой происходит вызов процедуры.
//  ОписаниеОповещения  - ОписаниеОповещения - оповещение о закрытии формы.
//
Процедура ПоказатьНезаполненныеДанныеНоменклатуры(НоменклатураСсылка, НезаполненныеДанные, Форма, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ПоказатьНезаполненныеДанныеНоменклатуры(НоменклатураСсылка, НезаполненныеДанные, Форма, ОписаниеОповещения) 
```
</details>

## ОткрытьФормуСпискаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Отсутствует необходимость в использовании.
// Открытие формы списка номенклатуры.
//
// Параметры:
//  НоменклатураСсылка	 - ОпределяемыйТип.НоменклатураРаботаСНоменклатурой - ссылка на номенклатуру.
//  Владелец			 - ФормаКлиентскогоПриложения - форма владелец.
//
Процедура ОткрытьФормуСпискаНоменклатуры(НоменклатураСсылка, Владелец) Экспорт
```

Пример вызова
```bsl
РаботаСНоменклатуройКлиентПереопределяемый.ОткрытьФормуСпискаНоменклатуры(НоменклатураСсылка, Владелец) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
