---
title: Работа с номенклатурой служебный повт исп
slug: erp-uh/работа-с-номенклатурой-служебный-повт-исп
---


## ТекстЗапросаДанныеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаДанныеНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатуройСлужебныйПовтИсп.ТекстЗапросаДанныеНоменклатуры() 
```
</details>

## КэшПутейКатегорий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует кэш путей категорий до корня.
// Используется для уменьшения запросов CategoryPathToRootRequest к сервису 1СН.
// Кэш представляет собой Соответствие, наполняется по мере выполнения запросов к сервису.
// Ключи - Строка - идентификаторы категорий 1СН.
// Значения - Структура:
//  * ТекущийПуть - Массив из Строка - идентификаторы вышестоящих по иерархии категорий, начиная с корня и не включая текущий узел.
//  * ДанныеУзла - Структура:
//   ** Наименование - Строка.
//   ** КоличествоПодчиненных - Число.
//   ** ЛистоваяКатегория - Булево - Истина для листовых категорий, в противном случае ключ отсутствует.
//   ** Ранг - Число - ключ присутствует только в том случае, если ответ от сервиса содержит ключ rank.
//  * ДочерниеПолучены - Булево - Истина для групповых категорий, если все дочерние получены из сервиса, в противном случае ключ отсутствует.
//
// Возвращаемое значение:
//  Структура:
//   * ПутиККорню - Соответствие - структура описана выше.
//   * КорневыеПолучены - Булево - Истина, если кэш уже содержит корневые категории.
//
Функция КэшПутейКатегорий() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатуройСлужебныйПовтИсп.КэшПутейКатегорий() 
```
</details>

## ТоварныеГруппыСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень товарных групп сервиса в виде строки JSON
//
// Возвращаемое значение:
//  Строка
//
Функция ТоварныеГруппыСервиса() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатуройСлужебныйПовтИсп.ТоварныеГруппыСервиса() 
```
</details>

## КатегорииТоварныхГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру категорий 1С:Номенклатуры по товарным группам в виде строки JSON
//
// Возвращаемое значение:
//  Строка
//
Функция КатегорииТоварныхГрупп() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатуройСлужебныйПовтИсп.КатегорииТоварныхГрупп() 
```
</details>

## ДополнительныеРеквизитыТоварныхГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру доп.реквизитов 1С:Номенклатуры по товарным группам в виде строки JSON
//
// Возвращаемое значение:
//  Строка
//
Функция ДополнительныеРеквизитыТоварныхГрупп() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСНоменклатуройСлужебныйПовтИсп.ДополнительныеРеквизитыТоварныхГрупп() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
