---
title: Работа с табличными частями клиент сервер
slug: erp-uh/работа-с-табличными-частями-клиент-сервер
---


## ЭлементыКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив элементов коллекции по массиву идентификаторов таблицы формы.
//
// Параметры:
//  ДанныеФормы - ДанныеФормыКоллекция - коллекция, строки которой необходимо получить
//  Строки - Массив - идентификаторы строк (свойство ВыделенныеСтроки таблицы формы).
//
// Возвращаемое значение:
//  Массив - строки коллекции.
//
Функция ЭлементыКоллекции(ДанныеФормы, Строки) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСТабличнымиЧастямиКлиентСервер.ЭлементыКоллекции(ДанныеФормы, Строки) 
```
</details>

## КэшСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку сохраненную в кэше на форме для указанной таблицы.
// Перед использованием необходим разовый вызов РаботаСТабличнымиЧастями.ИнициализироватьКэшСтрок().
//
// Параметры:
//  ТаблицаФормы - ТаблицаФормы - элемент формы, содержащий табличную часть.
//  Форма - ФормаКлиентскогоПриложения - исходная форма.
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура - закэшированная строка таблицы.
//
Функция КэшСтроки(ТаблицаФормы, Форма) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСТабличнымиЧастямиКлиентСервер.КэшСтроки(ТаблицаФормы, Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
