---
title: Работа с файлами БП клиент
slug: erp-uh/работа-с-файлами-бп-клиент
---


## ЗагрузитьФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает файл из локальной файловой системы во временное хранилище. Работает в веб- и тонком клиенте.
// Не требуется обязательной установки расширения работы с файлами в веб-клиенте.
//
// Параметры:
//  ОповещениеОЗавершенииЗагрузки - ОписаниеОповещения - По окончанию загрузки файла будет выполнена обработка переданного оповещения.
//    В процедуру обработки результата первым параметром передается структура, описание ключей структуры см. в ОписаниеЗагруженногоФайла().
//    Вторым параметром передается структура ДопПараметры, описание ключей структуры см. в ЗагрузитьФайл().
//  УникальныйИдентификатор - УникальныйИдентификатор - Уникальный идентификатор формы.
//  РасширенияФайла - Строка - Маска, для ограничений загружаемых файлов по расширению, начинается с ".", например "*.xml; *.zip".
//  ЗаголовокФормыВыбора - Строка - Заголовок диалога выбора файла.
//  ПутьКФайлу - Строка - Путь к загружаемому файлу. Если передан этот параметр диалог выбора файла не будет показан.
//
Процедура ЗагрузитьФайл(ОповещениеОЗавершенииЗагрузки, УникальныйИдентификатор, РасширенияФайла = "", ЗаголовокФормыВыбора = "",  ПутьКФайлу = "") Экспорт
```

Пример вызова
```bsl
РаботаСФайламиБПКлиент.ЗагрузитьФайл(ОповещениеОЗавершенииЗагрузки, УникальныйИдентификатор, РасширенияФайла, ЗаголовокФормыВыбора, ПутьКФайлу);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
