---
title: Рабочее место работника склада XDTO
slug: erp-uh/рабочее-место-работника-склада-xdto
---


## КоличествоСкладскихЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает число - количество документов-заданий доступных для выполнения работником склада
// при обращении к функции GetJobsCount web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма мобильного рабочего места работника склада,
//	Прокси - WSПрокси - прокси для вызова web-сервиса,
//	ТипЗадания - Строка - тип складского задания.
//
// Возвращаемое значение:
//	Число - количество доступных для выполнения заданий заданного вида.
//
Функция КоличествоСкладскихЗаданий(Форма, Прокси, ТипЗадания) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.КоличествоСкладскихЗаданий(Форма, Прокси, ТипЗадания) 
```
</details>

## КоличествоСкладскихЗаданийWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает - количество документов-заданий доступных для выполнения работником склада.
//
// Параметры:
//	ИдСклада - Строка - идентификатор склада;
//	ИдПомещения - Строка - идентификатор помещения;
//	ТипЗадания - ЗначениеXDTO - ТипыЗаданий XDTO-пакета WMSMobileClientExchange - тип складского задания;
//	ИдИсполнителя - Строка - идентификатор пользователя;
//	ВсеИсполнители - Булево - Истина, получение количества всех доступных складских заданий.
//
// Возвращаемое значение:
//	Число - количество доступных для выполнения заданий заданного вида.
//
Функция КоличествоСкладскихЗаданийWS(ИдСклада, ИдПомещения, ТипЗадания, ИдИсполнителя, ВсеИсполнители) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.КоличествоСкладскихЗаданийWS(ИдСклада, ИдПомещения, ТипЗадания, ИдИсполнителя, ВсеИсполнители) 
```
</details>

## ТаблицаЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу заданий, выбранного типа операции при обращении к функции
// GetJobsTable web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма мобильного рабочего места работника склада,
//	ТипЗадания - Строка - тип складского задания.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица заданий.
//
Функция ТаблицаЗаданий(Форма, ТипЗадания) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ТаблицаЗаданий(Форма, ТипЗадания) 
```
</details>

## ТаблицаЗаданийWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу заданий типа 'ТаблицаЗаданий' XDTO-пакета WMSMobileClientExchange*,
// выбранного типа операции.
//
// Параметры:
//	ИдСклада - Строка - идентификатор склада;
//	ИдПомещения - Строка - идентификатор помещения;
//	ТипЗадания - ЗначениеXDTO - ТипыЗаданий XDTO-пакета WMSMobileClientExchange* - тип складского задания;
//	ИдИсполнителя - Строка - идентификатор пользователя;
//	ВсеИсполнители - Булево - получение всех доступных складских заданий.
//	ВерсияСервиса - Строка - версия сервиса в формате "A.B.C"? фактически указывает на ws и пакет WMSMobileClientExchange_A_B_C
//
// Возвращаемое значение:
//	ЗначениеXDTO - ТаблицаЗаданий XDTO пакета WMSMobileClientExchange, таблица заданий.
//
Функция ТаблицаЗаданийWS(ИдСклада, ИдПомещения, ТипЗадания, ИдИсполнителя, ВсеИсполнители, ВерсияСервиса = "") Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ТаблицаЗаданийWS(ИдСклада, ИдПомещения, ТипЗадания, ИдИсполнителя, ВсеИсполнители, ВерсияСервиса);
```
</details>

## ПараметрыЗаданияПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру со служебной информацией о задании при сканировании штрихкода складского
// задания, а также при обращении к функции GetJobIDAndTypeByBarcode web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма мобильного рабочего места работника склада,
//	Штрихкод - Строка - штрихкод складского задания,
//	ТипЗадания - Строка - тип складского задания.
//	ГлубинаДетализацииМаркировки - Число - глубина детализации
//
// Возвращаемое значение:
//	см. РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания
//
Функция ПараметрыЗаданияПоШтрихкоду(Форма, Штрихкод, ТипЗадания, ГлубинаДетализацииМаркировки = 0) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ПараметрыЗаданияПоШтрихкоду(Форма, Штрихкод, ТипЗадания, ГлубинаДетализацииМаркировки);
```
</details>

## ПараметрыЗаданияПоШтрихкодуWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сведения со служебной информацией складского задания типа 'ПараметрыЗадания'
// XDTO-пакета WMSMobileClientExchange. Функция вызывается при сканировании штрихкода документа
// складского задания.
//
// Параметры:
//	Штрихкод - Строка - штрихкод складского задания;
//	ИдСклада - Строка - идентификатор склада;
//	ИдПомещения - Строка - идентификатор помещения;
//	ИдИсполнителя - Строка - идентификатор исполнителя складского задания;
//	ТипЗадания - ЗначениеXDTO - ТипыЗаданий XDTO-пакета WMSMobileClientExchange - тип складского задания;
//	ГлубинаДетализацииМаркировки - Число - глубина детализация информации по маркированным упаковкам:
//				0 - без детализации
//				999 - без ограничения вложенности.
//	ВерсияСервиса - Строка - постфикс версии сервиса.
//
// Возвращаемое значение:
//	ЗначениеXDTO - ПараметрыЗадания XDTO-пакета WMSMobileClientExchange.
//
Функция ПараметрыЗаданияПоШтрихкодуWS(Штрихкод, ИдСклада, ИдПомещения, ИдИсполнителя, ТипЗадания, Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ПараметрыЗаданияПоШтрихкодуWS(Штрихкод, ИдСклада, ИдПомещения, ИдИсполнителя, ТипЗадания, );
```
</details>

## ПараметрыЗаданияПриПринятииВРаботу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру со служебной информацией о задании. Функция вызывается при выборе задания
// из табличной части 'Задания' формы обработки 'РабочееМестоРаботникаСклада', а также при
// обращении к функции GetAndTakeAllotmentPickJob web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма мобильного рабочего места работника склада,
//	Задание - ДокументСсылка - ссылка документа складского задания.
//
// Возвращаемое значение:
// см. РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания
//
Функция ПараметрыЗаданияПриПринятииВРаботу(Форма, Задание) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ПараметрыЗаданияПриПринятииВРаботу(Форма, Задание) 
```
</details>

## ПараметрыЗаданияПриПринятииВРаботуWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сведения со служебной информацией складского задания типа 'ПараметрыЗадания'
// XDTO-пакета WMSMobileClientExchange, при выборе задания из табличной части 'Задания' формы обработки
// 'РабочееМестоРаботникаСклада'.
//
// Параметры:
//	ИдЗадания - Строка - идентификатор документа задания;
//	ИдИсполнителя - Строка - идентификатор исполнителя складского задания;
//	ТипЗадания - ЗначениеXDTO - ТипыЗаданий XDTO-пакета WMSMobileClientExchange - тип складского задания.
//	ГлубинаДетализацииМаркировки - Число -
//	ВерсияСервиса - Строка -
//
// Возвращаемое значение:
//	ЗначениеXDTO - ПараметрыЗадания XDTO-пакета WMSMobileClientExchange.
//
Функция ПараметрыЗаданияПриПринятииВРаботуWS(ИдЗадания, ИдИсполнителя, ТипЗадания, Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ПараметрыЗаданияПриПринятииВРаботуWS(ИдЗадания, ИдИсполнителя, ТипЗадания, );
```
</details>

## ЗоныПриемкиОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу ячеек зон приемки и отгрузки по указанному складу при обращении
// к функции GetAcceptanceAreas web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма мобильного рабочего места работника склада.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица с описанием складских зон приемки и отгрузки:
//		* Ячейка - СправочникСсылка.СкладскиеЯчейки - адрес складской ячейки;
//		* ТипЯчейки - ПеречислениеСсылка.ТипыСкладскихЯчеек - тип складской ячейки;
//		* Склад - СправочникСсылка.Склады - склад, в котором расположена ячейка приемки (отгрузки);
//		* НаименованиеСклада - Строка - наименование склада;
//		* КодЯчейки - Строка - строковое представление складской ячейки.
//
Функция ЗоныПриемкиОтгрузки(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ЗоныПриемкиОтгрузки(Форма) 
```
</details>

## ЗоныПриемкиОтгрузкиWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу ячеек зон приемки и отгрузки по указанному складу.
//
// Параметры:
//	ИдСклада - Строка - идентификатор склада,
//	ИдПомещения - Строка - идентификатор помещения.
//	ВерсияСервиса - Строка -
//
// Возвращаемое значение:
//	ЗначениеXDTO - ПараметрыСпискаЯчеек XDTO-пакета WMSMobileClientExchange*.
//
Функция ЗоныПриемкиОтгрузкиWS(ИдСклада, ИдПомещения, ВерсияСервиса = "") Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ЗоныПриемкиОтгрузкиWS(ИдСклада, ИдПомещения, ВерсияСервиса);
```
</details>

## ТоварыЯчейки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу товаров, хранящихся в ячейке по ссылке ячейки при обращении к функции
// GetGoodsOfCellStored web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма мобильного рабочего места работника склада,
//	Ячейка - СправочникСсылка.СкладскиеЯчейки - складская ячейка.
//
// Возвращаемое значение:
//	см. ТаблицаТоварыЯчейки
//
Функция ТоварыЯчейки(Форма, Ячейка) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ТоварыЯчейки(Форма, Ячейка) 
```
</details>

## ТоварыЯчейкиWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу товаров, хранящихся в ячейке.
//
// Параметры:
//	ИдЯчейки - Строка - идентификатор складской ячейки.
//	ВерсияСервиса - Строка
//
// Возвращаемое значение:
//	ЗначениеXDTO - ПараметрыТоваровЯчейки XDTO-пакета WMSMobileClientExchange.
//
Функция ТоварыЯчейкиWS(ИдЯчейки, ВерсияСервиса = "") Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ТоварыЯчейкиWS(ИдЯчейки, ВерсияСервиса);
```
</details>

## ТоварыЯчейкиПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу товаров, хранящихся в ячейке по штрихкоду ячейки при обращении к функции
// GetGoodsOfCellStoredByBarcode web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма мобильного рабочего места работника склада,
//	Штрихкод - Строка - штрихкод ячейки.
//
// Возвращаемое значение:
//	Структура:
//	*КодВозврата - Число
//	*Ячейка - см. СсылкаСправочника
//
Функция ТоварыЯчейкиПоШтрихкоду(Форма, Штрихкод) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ТоварыЯчейкиПоШтрихкоду(Форма, Штрихкод) 
```
</details>

## ТоварыЯчейкиПоШтрихкодуWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу товаров, хранящихся в ячейке.
//
// Параметры:
//	Штрихкод - Строка - штрихкод складской ячейки,
//	ИдСклада - Строка - идентификатор склада,
//	ИдПомещения - Строка - идентификатор помещения.
//	ВерсияСервиса - Строка
//
// Возвращаемое значение:
//	ЗначениеXDTO - ПараметрыТоваровЯчейки XDTO-пакета WMSMobileClientExchange.
//
Функция ТоварыЯчейкиПоШтрихкодуWS(Штрихкод, ИдСклада, ИдПомещения, ВерсияСервиса = "") Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ТоварыЯчейкиПоШтрихкодуWS(Штрихкод, ИдСклада, ИдПомещения, ВерсияСервиса);
```
</details>

## ОбработатьОтсканированныеТоварыОтбораПеремещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при завершении отбора товаров складской операции "Перемещение", а также при обращении
// к функции SetPickedGoodsInAllotmentPickJob web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма мобильного рабочего места работника склада.
//
// Возвращаемое значение:
//	см. РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания
//
Функция ОбработатьОтсканированныеТоварыОтбораПеремещения(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ОбработатьОтсканированныеТоварыОтбораПеремещения(Форма) 
```
</details>

## ОбработатьОтсканированныеТоварыОтбораПеремещенияWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при завершении отбора товаров при выполнении задания перемещения.
//
// Параметры:
//	ИдЗадания - Строка - идентификатор документа складского задания;
//	ОтсканированныеТоварыWS - ЗначениеXDTO - таблица XDTO-пакета WMSMobileClientExchange - таблица отсканированных
//		товаров.
//	ВерсияСервиса - Строка
//
// Возвращаемое значение:
//	ЗначениеXDTO - ПараметрыОбработкиОтсканированныхТоваров XDTO-пакета WMSMobileClientExchange.
//
Функция ОбработатьОтсканированныеТоварыОтбораПеремещенияWS(ИдЗадания, ОтсканированныеТоварыWS, ВерсияСервиса = "") Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ОбработатьОтсканированныеТоварыОтбораПеремещенияWS(ИдЗадания, ОтсканированныеТоварыWS, ВерсияСервиса);
```
</details>

## ОтменитьВыполнениеЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет выполнение текущего складского задания, переводит в первоначальный статус,
// при обращении к функции CancelJob web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма мобильного рабочего места работника склада,
//	Задание - ДокументСсылка - ссылка документа складского задания.
//
// Возвращаемое значение:
//	см. РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания
//
Функция ОтменитьВыполнениеЗадания(Форма, Задание) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ОтменитьВыполнениеЗадания(Форма, Задание) 
```
</details>

## ОтменитьВыполнениеЗаданияWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет выполнение текущего складского задания, переводит в первоначальный статус.
//
// Параметры:
//	ИдЗадания - Строка - идентификатор складского задания;
//	ИдИсполнителя - Строка - идентификатор пользователя;
//	ТипЗадания - ЗначениеXDTO - ТипыЗаданий XDTO-пакета WMSMobileClientExchange - тип складского задания.
//	ВерсияСервиса - Строка
//
// Возвращаемое значение:
//	ЗначениеXDTO - ПараметрыОтменыВыполненияЗадания - XDTO-пакета WMSMobileClientExchange.
//
Функция ОтменитьВыполнениеЗаданияWS(ИдЗадания, ИдИсполнителя, ТипЗадания, ВерсияСервиса = "") Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ОтменитьВыполнениеЗаданияWS(ИдЗадания, ИдИсполнителя, ТипЗадания, ВерсияСервиса);
```
</details>

## ЗавершитьВыполнениеСкладскогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает выполнение складского задания. При сканировании товаров - отсканированные товары
//  переносятся в табличные части документов, при наборе - создаются новые складские задания.
//  Устанавливаются нужные статусы у документов, выполняется проведение документов.
//  Вызывается при обращении к функции CompleteJob web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения	 - форма мобильного рабочего места работника склада,
//  Задание	 - ДокументСсылка	 - ссылка документа складского задание.
//
// Возвращаемое значение:
//  см. РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания
//
Функция ЗавершитьВыполнениеСкладскогоЗадания(Форма, Задание) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ЗавершитьВыполнениеСкладскогоЗадания(Форма, Задание) 
```
</details>

## ЗавершитьВыполнениеСкладскогоЗаданияWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает выполнение складского задания. При сканировании товаров - отсканированные товары
// переносятся в табличные части документов, при наборе - создаются новые складские задания.
// Устанавливаются нужные статусы у документов, выполняется проведение документов.
//
// Параметры:
//	ИдЗадания - Строка - идентификатор задания;
//	ИдИсполнителя - Строка - идентификатор исполнителя складского задания;
//	ОтсканированныеТоварыWS - ЗначениеXDTO - таблица XDTO-пакета WMSMobileClientExchange - данные отсканированных товаров;
//	ТипЗадания - ЗначениеXDTO - ТипыЗаданий XDTO-пакета WMSMobileClientExchange - тип складского задания;
//	ДополнительныеПараметры - ЗначениеXDTO - ПараметрыЗавершенияПеремещения XDTO-пакета WMSMobileClientExchange -
//		дополнительные параметры складской операции "Перемещение".
//	МаркировкаВерхнегоУровня - СписокXDTO,Неопределено - список маркировки упаковок
//	ВерсияСервиса - Строка
//
// Возвращаемое значение:
//	ЗначениеXDTO - ПараметрыЗавершенияСкладскогоЗадания XDTO-пакета WMSMobileClientExchange.
//
Функция ЗавершитьВыполнениеСкладскогоЗаданияWS( Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ЗавершитьВыполнениеСкладскогоЗаданияWS();
```
</details>

## ЗавершитьВыполнениеЗаданияНовоеРазмещение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при завершении выполнения набора товаров для создания нового задания на размещение,
// а также при обращении к функции CompleteJobNewLocation web-сервиса "WMSMobileClientExchange".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма мобильного рабочего места работника склада.
//
// Возвращаемое значение:
//	см. РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания
//
Функция ЗавершитьВыполнениеЗаданияНовоеРазмещение(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ЗавершитьВыполнениеЗаданияНовоеРазмещение(Форма) 
```
</details>

## ЗавершитьВыполнениеЗаданияНовоеРазмещениеWS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при завершении выполнения набора товаров для создания нового задания на размещение.
//
//	Параметры:
//	ИдСклада - Строка - идентификатор склада;
//	ИдПомещения - Строка - идентификатор помещения;
//	ИдЗоныПриемки - Строка - идентификатор ячейки;
//	ИдИсполнителя - Строка - идентификатор исполнителя складского задания;
//	ОтсканированныеТоварыWS - ЗначениеXDTO - таблица XDTO-пакета WMSMobileClientExchange - данные отсканированных
//		товаров.
//	ВерсияСервиса - Строка
//
// Возвращаемое значение:
//	ЗначениеXDTO - ПараметрыЗавершенияСкладскогоЗадания XDTO-пакета WMSMobileClientExchange.
//
Функция ЗавершитьВыполнениеЗаданияНовоеРазмещениеWS( Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ЗавершитьВыполнениеЗаданияНовоеРазмещениеWS();
```
</details>

## ОсновнаяВерсияСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает версию сервиса для штатной обработки рабочего места работника склада
// Возвращаемое значение:
//	Строка -
//
Функция ОсновнаяВерсияСервиса() Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ОсновнаяВерсияСервиса() 
```
</details>

## ВерсияСервисаИзФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Версия сервиса из формы.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//
// Возвращаемое значение:
//  Строка - версия сервиса
Функция ВерсияСервисаИзФормы(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаXDTO.ВерсияСервисаИзФормы(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
