---
title: Рабочее место работника склада клиент
slug: erp-uh/рабочее-место-работника-склада-клиент
---


## ПередЗакрытием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПередЗакрытием.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
// 	Отказ - Булево - Истина, если не требуется выполнить закрытие формы рабочего места.
// 	ТекстПредупреждения - Строка - предупреждение, выводимое пользователю перед закрытием формы.
// 	СтандартнаяОбработка - Булево - Истина, если выполняется стандартная, системная обработка закрытия формы.
//
Процедура ПередЗакрытием(Форма, Отказ, ТекстПредупреждения, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.ПередЗакрытием(Форма, Отказ, ТекстПредупреждения, СтандартнаяОбработка) 
```
</details>

## ПриЗакрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриЗакрытии.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПриЗакрытии(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.ПриЗакрытии(Форма) 
```
</details>

## ВводКоличестваКоличествоПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при вводе количества на странице, предназначенной для ручного указания количества отсканированных товаров.
// Осуществляет пересчет значений в полях, предназначенных для ручного указания веса и объема отсканированных товаров.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВводКоличестваКоличествоПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.ВводКоличестваКоличествоПриИзменении(Форма) 
```
</details>

## ВводКоличестваВесПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при вводе количества на странице, предназначенной для ручного указания веса отсканированных товаров.
// Осуществляет пересчет значений в полях, предназначенных для ручного указания количества и объема отсканированных
// товаров.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВводКоличестваВесПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.ВводКоличестваВесПриИзменении(Форма) 
```
</details>

## ВводКоличестваОбъемПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при вводе количества на странице, предназначенной для ручного указания объема отсканированных товаров.
// Осуществляет пересчет значений в полях, предназначенных для ручного указания количества и веса отсканированных
// товаров.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВводКоличестваОбъемПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.ВводКоличестваОбъемПриИзменении(Форма) 
```
</details>

## ВводКоличестваОК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выборе команды "ОК" на странице, предназначенной для ручного указания количества отсканированного
// товара.
// Выполняет подключение процедур, используемых в качестве обработчиков ожидания, после выбора команды "Ок".
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВводКоличестваОК(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.ВводКоличестваОК(Форма) 
```
</details>

## СканированиеЯчейка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выборе команды "Ячейка" на странице, предназначенной для выполнения сканирования товаров
// складского задания.
// Очищает поле формы "ТекстСообщенияПользователю".
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура СканированиеЯчейка(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.СканированиеЯчейка(Форма) 
```
</details>

## ЗакрытьФормуМобильногоРабочегоМеста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет закрытие формы мобильного рабочего места кладовщика.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ЗакрытьФормуМобильногоРабочегоМеста(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.ЗакрытьФормуМобильногоРабочегоМеста(Форма) 
```
</details>

## ВыборЗначенияОК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выборе команды "ОК" на страницах, предназначенных для ручного указания адреса ячейки, штрихкода
// товара или номера серии.
// Очищает поле формы "ТекстСообщенияПользователю".
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВыборЗначенияОК(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.ВыборЗначенияОК(Форма) 
```
</details>

## ШтрихкодПараметраСканированияПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении значения штрихкода на странице, предназначенной для ручного указания адреса ячейки,
// штрихкода товара или номера серии.
// Выполняет подключение процедур, используемых в качестве обработчиков ожидания.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ШтрихкодПараметраСканированияПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.ШтрихкодПараметраСканированияПриИзменении(Форма) 
```
</details>

## АдресЯчейкиПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении значения адреса ячейки на странице, предназначенной для ручного указания адреса проблемной
// ячейки.
// Выполняет подключение процедур, используемых в качестве обработчиков ожидания.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура АдресЯчейкиПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.АдресЯчейкиПриИзменении(Форма) 
```
</details>

## СрокГодностиСерииПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении значения срока годности серии на странице, предназначенной для ручного указания срока годности
// серии товара.
// Выполняет подключение процедур, используемых в качестве обработчиков ожидания.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура СрокГодностиСерииПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.СрокГодностиСерииПриИзменении(Форма) 
```
</details>

## ЗаданияОбновить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обновление списка складских заданий на странице, предназначенной для выбора задания.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** Задания - ТаблицаФормы - таблица, содержащая информацию о складских заданиях.
//
Процедура ЗаданияОбновить(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаКлиент.ЗаданияОбновить(Форма) 
```
</details>

## НужноОбновитьСписокЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость обновления списка складских заданий.
//
// Параметры:
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
// Возвращаемое значение:
//  Булево - Истина, признак того, что требуется обновить список складских заданий.
//
Функция НужноОбновитьСписокЗаданий(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаКлиент.НужноОбновитьСписокЗаданий(Форма) 
```
</details>

## НужноОбновитьСостояниеВыполненияЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость обновления статуса состояния выполнения складского задания.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
// Возвращаемое значение:
//  Булево - Истина, признак того, что требуется обновить статус состояния выполнения складского задания.
//
Функция НужноОбновитьСостояниеВыполненияЗадания(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаКлиент.НужноОбновитьСостояниеВыполненияЗадания(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
