---
title: Рабочее место работника склада программный интерфейс
slug: erp-uh/рабочее-место-работника-склада-программный-интерфейс
---


## КоличествоСкладскихЗаданийДляВыполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает число - количество документов-заданий доступных для выполнения работником склада.
//
// Параметры:
//	Склад - СправочникСсылка.СкладскиеПомещения - склад, для которого возвращается количество заданий,
//	Помещение - СправочникСсылка.СкладскиеПомещения - помещение склада.
//	ТипЗадания - Строка - тип складского задания,
//	Исполнители - Массив из СправочникСсылка.Пользователи - список исполнителей заданий.
//
// Возвращаемое значение:
//	Число - количество доступных для выполнения заданий заданного вида.
//
Функция КоличествоСкладскихЗаданийДляВыполнения(Склад, Помещение, ТипЗадания, Исполнители) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.КоличествоСкладскихЗаданийДляВыполнения(Склад, Помещение, ТипЗадания, Исполнители) 
```
</details>

## ТаблицаЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу заданий, выбранного типа операции, указанных пользователей.
//
// Параметры:
//	Склад - СправочникСсылка.Склады - склад,
//	Помещение - СправочникСсылка.СкладскиеПомещения - помещение склада,
//	ТипЗадания - Строка - тип складских заданий,
//	Исполнитель - Массив из СправочникСсылка.Пользователи - список исполнителей заданий.
//
// Возвращаемое значение:
//	ТаблицаЗначений:
//	*Ссылка - ДокументСсылка - складской документ
//	*Номер - Строка - номер документа
//	*Исполнитель - СправочникСсылка.Пользователи
//	*НаименованиеИсполнителя - Строка
//	*НомерИсполнителя - Число
//	*ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения
//	*НаименованиеЕдиницыИзмерения - Строка
//
Функция ТаблицаЗаданий(Склад, Помещение, ТипЗадания, Исполнитель) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ТаблицаЗаданий(Склад, Помещение, ТипЗадания, Исполнитель) 
```
</details>

## ПараметрыЗаданияПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру со служебной информацией о задании.
// Функция вызывается при сканировании штрихкода складского задания.
//
// Параметры:
//	Штрихкод - Строка - штрихкод задания.
//	Склад - СправочникСсылка.Склады - склад.
//	Помещение - СправочникСсылка.СкладскиеПомещения - помещение склада.
//	Пользователь - СправочникСсылка.Пользователи - исполнитель складского задания,
//	ТипЗадания - Строка - тип складского задания.
//	РежимВыбораОперации - Булево - Истина, если сканирование задания выполнено из меню "Выбор операции".
//									Ложь, если сканирование задания выполнено из меню "Главное меню" формы рабочего места.
//	ГлубинаДетализацииМаркировки - Число - глубина детализация информации по маркированным упаковкам:
//				0 - без детализации
//				999 - без ограничения вложенности
//
// Возвращаемое значение:
//	см. РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания
//
Функция ПараметрыЗаданияПоШтрихкоду(Штрихкод, Склад, Помещение, Пользователь, ТипЗадания = "", Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗаданияПоШтрихкоду(Штрихкод, Склад, Помещение, Пользователь, ТипЗадания, );
```
</details>

## ПараметрыЗаданияПриПринятииВРаботу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру со служебной информацией о задании.
// Функция вызывается при выборе задания из табличной части "Задания" формы обработки "РабочееМестоРаботникаСклада".
//
// Параметры:
//	Задание - ДокументСсылка - ссылка складского задание,
//	Пользователь - СправочникСсылка.Пользователи - исполнитель складского задания
//	ПараметрыЗадания - см. РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания
//
// Возвращаемое значение:
//	см. РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания
//
Функция ПараметрыЗаданияПриПринятииВРаботу(Задание, Пользователь, ПараметрыЗадания = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗаданияПриПринятииВРаботу(Задание, Пользователь, ПараметрыЗадания);
```
</details>

## ЗоныПриемкиОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу ячеек зон приемки и отгрузки по указанному складу.
//
// Параметры:
//	Склад - СправочникСсылка.Склады - склад,
//	Помещение - СправочникСсылка.СкладскиеПомещения - складское помещение.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица зон приемки и отгрузки:
//		* Ячейка - СправочникСсылка.СкладскиеЯчейки - адрес складской ячейки.
//		* КодЯчейки - Строка - строковое представление складской ячейки.
//		* ТипЯчейки - ПеречислениеСсылка.ТипыСкладскихЯчеек - тип складской ячейки.
//		* Склад - СправочникСсылка.Склады - склад, в котором расположена ячейка приемки (отгрузки).
//		* НаименованиеСклада - Строка - имя склада.
//
Функция ЗоныПриемкиОтгрузки(Склад, Помещение) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ЗоныПриемкиОтгрузки(Склад, Помещение) 
```
</details>

## НайтиЯчейкуПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск ячейки по штрихкоду.
//
// Параметры:
//	Склад           - СправочникСсылка.Склады - склад.
//	Помещение       - СправочникСсылка.СкладскиеПомещения - помещение склада.
//	ШтрихкодЯчейки  - Строка - штрихкод ячейки.
//	ЭтоСканирование - Булево - Истина, если значение штрихкода адреса ячейки получено через ТСД.
//
// Возвращаемое значение:
//	Структура - параметры ячейки, которые содержит поля:
//		* КодВозврата - Число - 1, если ячейка найдена. 0, Если ячейка не найдена.
//		* Ячейка - СправочникСсылка.СкладскиеЯчейки - найденная ячейка.
//		* ТипЯчейки - ПеречислениеСсылка.ТипыСкладскихЯчеек - тип складской ячейки.
//		* КодЯчейки - Строка- код ячейки.
//		* ШтрихкодЯчейки - Строка - штрихкод ячейки.
//
Функция НайтиЯчейкуПоШтрихкоду(Склад, Помещение, ШтрихкодЯчейки, ЭтоСканирование = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.НайтиЯчейкуПоШтрихкоду(Склад, Помещение, ШтрихкодЯчейки, ЭтоСканирование);
```
</details>

## НайтиЯчейкуПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск ячейки по коду.
//
// Параметры:
//	Склад - СправочникСсылка.Склады - склад.
//	Помещение - СправочникСсылка - помещение склада.
//	КодЯчейки - Строка - код ячейки.
//
// Возвращаемое значение:
//	Структура - параметры ячейки, которые содержит поля:
//		* КодВозврата - Число - 1, если ячейка найдена. 0, Если ячейка не найдена.
//		* Ячейка - СправочникСсылка.СкладскиеЯчейки - найденная ячейка.
//		* ТипЯчейки - ПеречислениеСсылка.ТипыСкладскихЯчеек - тип складской ячейки.
//		* КодЯчейки - Строка- код ячейки.
//		* ШтрихкодЯчейки - Строка - штрихкод ячейки.
//
Функция НайтиЯчейкуПоКоду(Склад, Помещение, КодЯчейки) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.НайтиЯчейкуПоКоду(Склад, Помещение, КодЯчейки) 
```
</details>

## ТоварыЯчейки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу товаров, хранящихся в ячейке.
//
// Параметры:
//	Склад - СправочникСсылка.СкладскиеПомещения - склад.
//	Помещение - СправочникСсылка.СкладскиеПомещения - помещение склада.
//	Ячейка - СправочникСсылка.СкладскиеЯчейки - ячейка.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица товаров, хранящихся в ячейке, содержит колонки:
//		* Номенклатура - СправочникСсылка.Номенклатура - товар.
//		* НаименованиеНоменклатуры - Строка - наименование товара.
//		* Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика товара.
//		* НаименованиеХарактеристики - Строка - наименование характеристика товара.
//		* Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения - упаковка товара;.
//		* НаименованиеУпаковки - Строка - наименование упаковки товара.
//		* Серия - СправочникСсылка.СерииНоменклатуры - серия товара.
//		* НаименованиеСерии - Строка - представление серии товара.
//		* Количество - Число - количество товара.
//
Функция ТоварыЯчейки(Склад, Помещение, Ячейка) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ТоварыЯчейки(Склад, Помещение, Ячейка) 
```
</details>

## ОтметитьЯчейкуКПересчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помечает ячейку к пересчету в регистре сведений "СостояниеЯчеекКПересчету".
//
// Параметры:
//	Ячейка - СправочникСсылка.СкладскиеЯчейки - ячейка.
//
Процедура ОтметитьЯчейкуКПересчету(Ячейка) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ОтметитьЯчейкуКПересчету(Ячейка) 
```
</details>

## НайтиТоварИлиУпаковочныйЛист
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск записи в регистре сведений "ШтрихкодыНоменклатуры" по указанному штрихкоду.
//
// Параметры:
//	Штрихкод - Строка - штрихкод товара.
//	ИскатьУпаковочныеЛисты - Булево - Истина - осуществляется поиск по штрихкоду среди упаковочных листов, Ложь - нет.
//
// Возвращаемое значение:
//	см. ПараметрыТовара
//
Функция НайтиТоварИлиУпаковочныйЛист(Штрихкод, ИскатьУпаковочныеЛисты) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.НайтиТоварИлиУпаковочныйЛист(Штрихкод, ИскатьУпаковочныеЛисты) 
```
</details>

## ИнформацияОТоваре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру со служебной информацией о товаре.
//
// Параметры:
//	Склад - СправочникСсылка.СкладскиеПомещения - склад.
//	Помещение - СправочникСсылка.СкладскиеПомещения - помещение склада.
//	ПараметрыТовара - Структура - данные товара.
//
// Возвращаемое значение:
//	Структура:
//		* КартинкаТовара - ДвоичныеДанные,Неопределено - картинка товара.
//		* ОстаткиТовара - ТаблицаЗначений - данные об остатках товаров в ячейках на складе:
//		**Номенклатура - СправочникСсылка.Номенклатура
//		**НаименованиеНоменклатуры - Строка
//		**Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры
//		**НаименованиеХарактеристики - Строка
//		**Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения
//		**НаименованиеУпаковки - Строка
//		**Серия - СправочникСсылка.СерииНоменклатуры
//		**НаименованиеСерии - Строка
//		**Количество - Число
//		**Ячейка - СправочникСсылка.СкладскиеЯчейки
//		**КодЯчейки - Строка
//
Функция ИнформацияОТоваре(Склад, Помещение, ПараметрыТовара) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ИнформацияОТоваре(Склад, Помещение, ПараметрыТовара) 
```
</details>

## УпаковочныйЛистОтсканирован
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск указанного упаковочного листа среди отсканированных прежде.
//
// Параметры:
//	УпаковочныйЛист - ДокументСсылка.УпаковочныйЛист - ссылка на упаковочный лист
//	ОтсканированныеУпаковочныеЛисты - Массив из ДокументСсылка.УпаковочныйЛист -
//			массив ссылок на отсканированные прежде упаковочные листы.
//
// Возвращаемое значение:
//	Булево - Истина, если упаковочный лист найден среди прежде отсканированных.
//
Функция УпаковочныйЛистОтсканирован(УпаковочныйЛист, ОтсканированныеУпаковочныеЛисты) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.УпаковочныйЛистОтсканирован(УпаковочныйЛист, ОтсканированныеУпаковочныеЛисты) 
```
</details>

## НайтиСерию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск серии номенклатуры по заданному номеру и сроку годности.
//
// Параметры:
//	НомерСерии - Строка - номер серии.
//	СрокГодностиСерии - Дата - срок годности серии.
//	ВидНоменклатуры - СправочникСсылка.ВидыНоменклатуры - вид номенклатуры.
//	ПараметрыУказанияСерии - Структура - параметры указания серии.
//	ЭтоСканирование - Булево - Истина, если штрихкод серии номенклатуры введен вручную.
//
// Возвращаемое значение:
//	см. ПараметрыСерии
//
Функция НайтиСерию(НомерСерии, СрокГодностиСерии, ВидНоменклатуры, ПараметрыУказанияСерии, Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.НайтиСерию(НомерСерии, СрокГодностиСерии, ВидНоменклатуры, ПараметрыУказанияСерии, );
```
</details>

## ИнформацияОСерииИзШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Извлекает из штрихкода информацию о номере и сроке годности.
// Работает только для штрихкодов, сгенерированных обработкой печати штрихкодов и номеров
// серий, сгенерированных формой регистрации серий.
//
// Параметры:
//	ШтрихкодСерии - Строка - штрихкод, из которого нужно извлечь информацию,
//	ИспользоватьНомерСерии - Булево - признак, что для серии, чей штрихкод передан, используется номер,
//	ИспользоватьСрокГодностиСерии - Булево - признак, что для серии, чей штрихкод передан, используется номер.
//
// Возвращаемое значение:
//	Структура - информация о серии товара штрихкода, содержит следующие поля:
//		* Номер - Строка - номер, извлеченный из штрихкода, если номера у серии нет - пустая строка.
//		* ГоденДо - Дата - дата срока годности, если срока годности у серии нет - пустая дата.
//
Функция ИнформацияОСерииИзШтрихкода(ШтрихкодСерии, ИспользоватьНомерСерии, ИспользоватьСрокГодностиСерии) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ИнформацияОСерииИзШтрихкода(ШтрихкодСерии, ИспользоватьНомерСерии, ИспользоватьСрокГодностиСерии) 
```
</details>

## ПодобратьНазначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подбирает назначение для товара.
//
// Параметры:
//	Склад - СправочникСсылка.СкладскиеПомещения - склад, в котором осуществляется поиск назначений для указанного товара.
//	Распоряжение - ДокументСсылка - ссылка документа распоряжения.
//	Ячейка - СправочникСсылка.СкладскиеЯчейки - ячейка, в которой осуществляется поиск назначений для указанного товара.
//	Товар - см. РабочееМестоРаботникаСкладаСервер.Товар
//	ТоварыДокумента - ТаблицаЗначений - таблица товаров документа складского задания.
//	ПараметрыРежима - Структура - параметры режима работы рабочего места работника склада.
//
// Возвращаемое значение:
//	СправочникСсылка.Назначения - подобранное назначение для указанного товара.
//
Функция ПодобратьНазначение(Склад, Распоряжение, Ячейка, Товар, ТоварыДокумента, ПараметрыРежима) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПодобратьНазначение(Склад, Распоряжение, Ячейка, Товар, ТоварыДокумента, ПараметрыРежима) 
```
</details>

## Назначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу назначений, в соответствии с указанными параметрами.
//
// Параметры:
//	Склад - СправочникСсылка.СкладскиеПомещения - склад, в котором осуществляется поиск назначений для указанного товара.
//	Распоряжение - ДокументСсылка - ссылка документа распоряжения.
//	Ячейка - СправочникСсылка.СкладскиеЯчейки - ячейка, в которой осуществляется поиск назначений для указанного товара.
//	Товар - см. РабочееМестоРаботникаСкладаСервер.Товар
//	ТоварыДокумента - ТаблицаЗначений - таблица товаров документа складского задания.
//	ПараметрыРежима - Структура - параметры режима работы рабочего места работника склада.
//	ДляАвтоподбора - Булево - Истина, если назначение подбирается автоматически.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица назначений.
//
Функция Назначения(Склад, Распоряжение, Ячейка, Товар, ТоварыДокумента, ПараметрыРежима, ДляАвтоподбора = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.Назначения(Склад, Распоряжение, Ячейка, Товар, ТоварыДокумента, ПараметрыРежима, ДляАвтоподбора);
```
</details>

## ОбработатьОтсканированныеТоварыОтбораПеремещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при завершении отбора товаров при выполнении задания перемещения.
// При перемещении может быть отобрана только часть товаров, при размещении товаров
// должна выдаваться для обработки только отобранная часть товаров.
//
// Параметры:
//	Задание - ДокументСсылка - ссылка складского задания,
//	ТоварыДляСканирования - ТаблицаЗначений - таблица товаров, соответствующая табличной части выполняемого задания
//											и содержащая информацию об отсканированных товарах.
//											В операциях на пересчет хранится исходная информация о товарах документа "ПересчетТоваров".
//	ТЗОтсканированныеТовары - ТаблицаЗначений - таблица товаров, содержащая информацию об отсканированных товарах статус
//												указания серий которых имеет значения 'ПоФактуОтбора'.
//
// Возвращаемое значение:
//	см. ПараметрыЗадания
//
Функция ОбработатьОтсканированныеТоварыОтбораПеремещения(Задание, ТоварыДляСканирования, ТЗОтсканированныеТовары) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ОбработатьОтсканированныеТоварыОтбораПеремещения(Задание, ТоварыДляСканирования, ТЗОтсканированныеТовары) 
```
</details>

## ОтменитьВыполнениеЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет выполнение текущего складского задания, переводит в первоначальный статус.
//
// Параметры:
//	Задание - ДокументСсылка - ссылка складского задания,
//	ИсходныйИсполнитель - СправочникСсылка.Пользователи - исполнитель складского задания.
//	ТипЗадания - Строка - тип складских заданий.
//	ПараметрыЗадания - см. ПараметрыЗадания
//
// Возвращаемое значение:
//	см. ПараметрыЗадания
//
Функция ОтменитьВыполнениеЗадания(Задание, ИсходныйИсполнитель, ТипЗадания, ПараметрыЗадания = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ОтменитьВыполнениеЗадания(Задание, ИсходныйИсполнитель, ТипЗадания, ПараметрыЗадания);
```
</details>

## ЗавершитьВыполнениеЗаданияНовоеРазмещение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при завершении выполнения набора товаров для создания нового задания на размещение.
//
// Параметры:
//	Склад - СправочникСсылка.Склады - склад.
//	Помещение - СправочникСсылка.СкладскиеПомещения - помещение склада.
//	ЗонаПриемки - СправочникСсылка.СкладскиеЯчейки - зона, из которой отобраны товары для размещения.
//	Пользователь - СправочникСсылка.Пользователи - исполнитель складского задания.
//	ОтсканированныеТовары - ТаблицаЗначений - таблица отобранных товаров для операции размещения.
//	ДЗОтсканированнаяТара - ДеревоЗначений - данные о таре отобранных товаров, которые поставляются в многооборотной таре.
//
// Возвращаемое значение:
//	см. ПараметрыЗадания
//
Функция ЗавершитьВыполнениеЗаданияНовоеРазмещение(Склад, Помещение, ЗонаПриемки, Пользователь, ОтсканированныеТовары, Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ЗавершитьВыполнениеЗаданияНовоеРазмещение(Склад, Помещение, ЗонаПриемки, Пользователь, ОтсканированныеТовары, );
```
</details>

## НовыйЗавершитьВыполнениеСкладскогоЗаданияПараметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров метода ЗавершитьВыполнениеСкладскогоЗадания().
// Возвращаемое значение:
//	Структура:
//	*Задание - ДокументСсылка,Неопределено - ссылка складского задания.
//	*ТЗОтсканированныеТовары - ДанныеФормыЭлементКоллекции,ТаблицаЗначений,Неопределено - таблица товаров, содержащая информацию
//		об отсканированных товарах статус указания серий которых имеет значения 'ПоФактуОтбора' в операциях отбора,
//		размещения и перемещения. В операциях пересчета и проверка отбора - хранятся данные об отсканированных товарах.
//	*ТоварыДляСканирования - ТаблицаЗначений,Неопределено - таблица товаров, соответствующая табличной части выполняемого задания
//		и содержащая информацию об отсканированных товарах в операциях отбора, размещения, перемещения и проверки отбора.
//		В операциях на пересчет хранится исходная информация о товарах документа "ПересчетТоваров".
//	*СканированныеЗначенияМарок - ТаблицаЗначений,Неопределено
//	*ЗонаПриемки - СправочникСсылка.СкладскиеЯчейки,Неопределено - зона, куда следует перенести отобранные товары, в случае отмены
//		выполнения задания на перемещения.
//	*ОтборОтсканирован - Булево - Истина - операция отбора выполнена в заданиях перемещения.
Функция НовыйЗавершитьВыполнениеСкладскогоЗаданияПараметры() Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.НовыйЗавершитьВыполнениеСкладскогоЗаданияПараметры() 
```
</details>

## ЗавершитьВыполнениеСкладскогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает выполнение складского задания. При сканировании товаров - отсканированные товары
// переносятся в табличные части документов, при наборе - создаются новые складские задания.
// Устанавливаются нужные статусы у документов, выполняется проведение документов.
//
// Параметры:
//	Параметры - см. НовыйЗавершитьВыполнениеСкладскогоЗаданияПараметры
//
// Возвращаемое значение:
//	см. РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания
//
Функция ЗавершитьВыполнениеСкладскогоЗадания(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ЗавершитьВыполнениеСкладскогоЗадания(Параметры) 
```
</details>

## ЗавершитьВыполнениеЗаданияПроверкаОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при завершении задания проверки отбора.
//
// Параметры:
//	Склад - СправочникСсылка.Склады - склад.
//	Помещение - СправочникСсылка.СкладскиеПомещения - помещение склада.
//	Задание - ДокументСсылка - ссылка складского задания.
//	ОтсканированныеТовары - ТаблицаЗначений - таблица товаров, содержащая информацию об отсканированных товарах.
//	ТоварыДляСканирования - ТабличнаяЧасть - таблица товаров, соответствующая табличной части выполняемого задания и содержащая информацию об отсканированных товарах.
//	ИспользуетсяАдресноеХранение - Булево - Истина, если на складе используется адресное хранение.
//	СканированныеЗначенияМарок - СписокЗначений:
//	*Значение - СправочникСсылка - сопоставленная ссылка.
//	*Представление - Строка -  значение штрихкода марки.
//
// Возвращаемое значение:
//	см. ПараметрыЗадания
//
Функция ЗавершитьВыполнениеЗаданияПроверкаОтбора(Склад, Помещение, Задание, ОтсканированныеТовары, ТоварыДляСканирования, Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ЗавершитьВыполнениеЗаданияПроверкаОтбора(Склад, Помещение, Задание, ОтсканированныеТовары, ТоварыДляСканирования, );
```
</details>

## ПараметрыЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру для хранения сведений о задании.
//
// Возвращаемое значение:
//	Структура - параметры складского задания, содержат следующие поля:
//		* КодВозврата - Число - 0 означает признак наличия ошибок, выявленных в процессе работы со складским заданием.
//		* ТекстСообщения - Строка - текст сообщения пользователю, описывающий проблемы, возникшие в процессе выполнения,
//									складского задания.
//		* Склад - СправочникСсылка.Склады - склад документа складского задания.
//		* Помещение - СправочникСсылка.СкладскиеПомещения - помещение документа складского задания.
//		* Товары - ТаблицаЗначений - товары табличной части складских документов:
//			** НомерСтроки - Число
//			** Ячейка - СправочникСсылка.СкладскиеЯчейки
//			** КодЯчейки - Строка
//			** Номенклатура - СправочникСсылка.Номенклатура
//			** НаименованиеНоменклатуры - Строка
//			** АртикулНоменклатуры - Строка
//			** ОписаниеНоменклатуры - Строка
//			** ТипНоменклатуры - ПеречислениеСсылка.ТипыНоменклатуры
//			** ВидНоменклатуры - СправочникСсылка.ВидыНоменклатуры
//			** НаименованиеВидаНоменклатуры - Строка
//			** Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры
//			** НаименованиеХарактеристики - Строка
//			** Серия - СправочникСсылка.СерииНоменклатуры
//			** НаименованиеСерии - Строка
//			** Назначение - СправочникСсылка.Назначения
//			** НаименованиеНазначения - Строка
//			** Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения
//			** НаименованиеУпаковки - Строка
//			** Коэффициент - Число
//			** КоэффициентЕдиницыИзмеренияВеса - Число
//			** КоэффициентЕдиницыИзмеренияОбъема - Число
//			** ВесУпаковки - Число
//			** ОбъемУпаковки - Число
//			** ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения
//			** НаименованиеЕдиницыИзмерения - Строка
//			** ЕдиницаИзмеренияВеса - СправочникСсылка.УпаковкиЕдиницыИзмерения
//			** НаименованиеЕдиницыИзмеренияВеса - Строка
//			** ЕдиницаИзмеренияОбъема - СправочникСсылка.УпаковкиЕдиницыИзмерения
//			** НаименованиеЕдиницыИзмеренияОбъема - Строка
//			** ТипИзмеряемойВеличины - ПеречислениеСсылка.ТипыИзмеряемыхВеличин
//			** ИзлишекПорча - Число
//			** Количество - Число
//			** КоличествоФакт - Число
//			** КоличествоУпаковок - Число
//			** КоличествоУпаковокФакт - Число
//			** КоличествоУпаковокВДокументе - Число
//			** СтатусУказанияСерий - Число
//			** ИспользоватьНомерСерии - Булево
//			** ИспользоватьСрокГодностиСерии - Булево
//			** ТочностьУказанияСрокаГодностиСерии - ПеречислениеСсылка.ТочностиУказанияСрокаГодности
//		* ТоварыОтбор - ТаблицаЗначений - товары табличной части 'ТоварыОтбор' документа "ОтборРазмещениеТоваров":
//			** НомерСтроки - Число
//			** Ячейка - СправочникСсылка.СкладскиеЯчейки
//			** Номенклатура - СправочникСсылка.Номенклатура
//			** Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры
//			** Серия - СправочникСсылка.СерииНоменклатуры
//			** Назначение - СправочникСсылка.Назначения
//			** Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения
//			** СтатусУказанияСерий - Число
//		* ТоварыРазмещение - ТаблицаЗначений - товары табличной части 'ТоварыРазмещение' документа "ОтборРазмещениеТоваров":
//			** НомерСтроки - Число
//			** Ячейка - СправочникСсылка.СкладскиеЯчейки
//			** Номенклатура - СправочникСсылка.Номенклатура
//			** Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры
//			** Серия - СправочникСсылка.СерииНоменклатуры
//			** Назначение - СправочникСсылка.Назначения
//			** СтатусУказанияСерий - Число
//		* ОтгружаемыеТовары - ТаблицаЗначений - товары табличной части 'ОтгружаемыеТовары' документа "РасходныйОрдерНаТовары":
//			** НомерСтроки - Число
//			** Действие - ПеречислениеСсылка.ДействияСоСтрокамиОрдеровНаОтгрузку
//			** Номенклатура - СправочникСсылка.Номенклатура
//			** НаименованиеНоменклатуры - Строка
//			** АртикулНоменклатуры - Строка
//			** ОписаниеНоменклатуры - Строка
//			** ТипНоменклатуры - ПеречислениеСсылка.ТипыНоменклатуры
//			** ВидНоменклатуры - СправочникСсылка.ВидыНоменклатуры
//			** НаименованиеВидаНоменклатуры - Строка
//			** Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры
//			** НаименованиеХарактеристики - Строка
//			** Серия - СправочникСсылка.СерииНоменклатуры
//			** НаименованиеСерии - Строка
//			** Назначение - СправочникСсылка.Назначения
//			** НаименованиеНазначения - Строка
//			** Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения
//			** НаименованиеУпаковки - Строка
//			** Коэффициент - Число
//			** КоэффициентЕдиницыИзмеренияВеса - Число
//			** КоэффициентЕдиницыИзмеренияОбъема - Число
//			** ВесУпаковки - Число
//			** ОбъемУпаковки - Число
//			** ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения
//			** НаименованиеЕдиницыИзмерения - Строка
//			** ЕдиницаИзмеренияВеса - СправочникСсылка.УпаковкиЕдиницыИзмерения
//			** НаименованиеЕдиницыИзмеренияВеса - Строка
//			** ЕдиницаИзмеренияОбъема - СправочникСсылка.УпаковкиЕдиницыИзмерения
//			** НаименованиеЕдиницыИзмеренияОбъема - Строка
//			** ТипИзмеряемойВеличины - ПеречислениеСсылка.ТипыИзмеряемыхВеличин
//			** НеОтгружать - Число
//			** Количество - Число
//			** КоличествоНеОтгружать - Число
//			** КоличествоУпаковок - Число
//			** КоличествоУпаковокНеОтгружать - Число
//			** КоличествоУпаковокВДокументе - Число
//			** КоличествоУпаковокВДокументеНеотгружаемые - Число
//			** СтатусУказанияСерий - Число
//			** ИспользоватьНомерСерии - Булево
//			** ИспользоватьСрокГодностиСерии - Булево
//			** ТочностьУказанияСрокаГодностиСерии - ПеречислениеСсылка.ТочностиУказанияСрокаГодности
//			** ЭтоУпаковочныйЛист - Булево
//		* ТипЗадания - Строка - идентификатор типа складского задания.
//		* Статус - ПеречислениеСсылка.СтатусыОтборовРазмещенийТоваров - статус документа складского задания.
//		* Проведен - Булево - Истина, если документ складского задания проведен.
//		* ИсходныйИсполнитель - СправочникСсылка.Пользователи - первоначальный исполнитель складского задания.
//		* ПорядокОбработки - ПеречислениеСсылка.ПорядокОбработкиСкладскогоЗадания - порядок работы со складскими ячейками,
//																					в процессе выполнения складского задания.
//		* ОтборОтсканирован - Булево - Истина, если успешно выполнен отбор товаров, по складскому заданию 'Перемещение'.
//
Функция ПараметрыЗадания() Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.ПараметрыЗадания() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
