---
title: Рабочее место работника склада сервер
slug: erp-uh/рабочее-место-работника-склада-сервер
---


## УстановитьНастройкиДляРазрешенияЭкрана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значения реквизитов формы, необходимые для учета особенностей
// отображения форм на устройствах с различными расширениями экрана.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура УстановитьНастройкиДляРазрешенияЭкрана(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.УстановитьНастройкиДляРазрешенияЭкрана(Форма) 
```
</details>

## ВсеИсполнителиСкладскихЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пользователей - исполнителей складских заданий.
// В массив пользователей включается пустая ссылка.
//
// Параметры:
//	Пользователь - СправочникСсылка.Пользователи - исполнитель складского задания.
//
// Возвращаемое значение:
//	ФиксированныйМассив из СправочникСсылка.Пользователи - все исполнители складских заданий.
//
Функция ВсеИсполнителиСкладскихЗаданий(Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаСервер.ВсеИсполнителиСкладскихЗаданий(Пользователь) 
```
</details>

## ИсполнителиСкладскихЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пользователей - исполнителей складских заданий.
//
// Параметры:
//	Пользователь - СправочникСсылка.Пользователи - текущий исполнитель.
//
// Возвращаемое значение:
//	ФиксированныйМассив из СправочникСсылка.Пользователи - исполнители складских заданий.
//
Функция ИсполнителиСкладскихЗаданий(Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаСервер.ИсполнителиСкладскихЗаданий(Пользователь) 
```
</details>

## ОбновитьОсновноеМеню
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обновляет заголовки элементов основного меню выбора типа операции.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ОбновитьОсновноеМеню(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ОбновитьОсновноеМеню(Форма) 
```
</details>

## ОтобразитьВсеТолькоСвоиСкладскиеЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура отображает все доступные (или доступные только текущему исполнителю)
// складские задания в списке заданий.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ОтобразитьВсеТолькоСвоиСкладскиеЗадания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ОтобразитьВсеТолькоСвоиСкладскиеЗадания(Форма) 
```
</details>

## ПерейтиКВыборуЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переключает панель страницы формы на страницу выбора задания. Устанавливает параметры динамического
// списка заданий.
//
// Параметры:
// Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 	* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 		** Задания - ТаблицаФормы - таблица, содержащая информацию о складских заданиях.
// 		** ЗаданияПоказатьВсе - КнопкаФормы - кнопка, выполняющая фильтр отображения всех складских задания.
// ТипЗадания - Строка - тип складского задания.
//
Процедура ПерейтиКВыборуЗадания(Форма, ТипЗадания) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиКВыборуЗадания(Форма, ТипЗадания) 
```
</details>

## ВводКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при вводе количества на странице предназначенной для ручного указания количества отсканированных товаров.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВводКоличества(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ВводКоличества(Форма) 
```
</details>

## ПриСканированииШтрихкодаЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется при сканировании штрихкода задания при активной форме списка заданий.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//	Штрихкод - Строка - штрихкод документа - складского задания.
//
Процедура ПриСканированииШтрихкодаЗадания(Форма, Штрихкод) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриСканированииШтрихкодаЗадания(Форма, Штрихкод) 
```
</details>

## ПриСканированииЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется при сканировании значения штрихкода товара, серии,
// или при вводе значения с помощью режима ручного ввода.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//	ЗначениеСканирования - Строка, Число - значение сканирования.
//	ДопЗначениеСканирования - Неопределено - доп. параметр, используется в том случае, если значение
//		сканирования было введено вручную.
//	ЭтоСканирование - Булево - Истина, если значение сканирования получено через ТСД.
//
Процедура ПриСканированииЗначения(Форма, Знач ЗначениеСканирования, ДопЗначениеСканирования = Неопределено, Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриСканированииЗначения(Форма, ЗначениеСканирования, ДопЗначениеСканирования, );
```
</details>

## ПриЗавершенииСканированияТекущегоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется при завершении сканирования товаров текущего задания.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПриЗавершенииСканированияТекущегоЗадания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриЗавершенииСканированияТекущегоЗадания(Форма) 
```
</details>

## ПерейтиКСледующемуТоваруСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выполнении команды перехода к следующему товару из формы диалога рабочего места.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПерейтиКСледующемуТоваруСканирования(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиКСледующемуТоваруСканирования(Форма) 
```
</details>

## ЗавершитьВыполнениеСкладскогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает выполнение складского задания. При сканировании товаров - отсканированные товары
// переносятся в табличные части документов, при наборе - создаются новые складские задания.
// Устанавливаются нужные статусы у документов, выполняется проведение документов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
//		* ОтсканированныеТовары - ДанныеФормыЭлементКоллекции - таблица отсканированных товаров.
//
Процедура ЗавершитьВыполнениеСкладскогоЗадания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ЗавершитьВыполнениеСкладскогоЗадания(Форма) 
```
</details>

## ЗавершитьВыполнениеЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет завершение выполнения складского задания. В зависимости от типа
// задания и степени его выполнения вызываются дополнительные процедуры обработки.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ЗавершитьВыполнениеЗадания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ЗавершитьВыполнениеЗадания(Форма) 
```
</details>

## ЭтоПоследняяЯчейка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того что эта ячейка является последней в задании.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
// Возвращаемое значение:
//	Булево - Истина, признак того, что текущая складская ячейка, является последней в складском задании.
//
Функция ЭтоПоследняяЯчейка(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаСервер.ЭтоПоследняяЯчейка(Форма) 
```
</details>

## ОтменитьВыполнениеЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет выполнение текущего складского задания, переводит в первоначальный статус.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ОтменитьВыполнениеЗадания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ОтменитьВыполнениеЗадания(Форма) 
```
</details>

## ПерейтиКПриемкеТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при постановке задания на приемку в работу.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** СканированиеТовар - КнопкаФормы - кнопка, выполняющая открытие информации о товаре.
// 			** СканированиеСерия - КнопкаФормы - кнопка, выполняющая открытие информации о серии товара.
// 			** НадписьВзять - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** НадписьУпаковка - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** НадписьКоличествоУпаковок - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** СканированиеВвестиКоличество - КнопкаФормы - кнопка, выполняющая открытие формы с полем ввода количества
// 															отсканированного товара.
//
Процедура ПерейтиКПриемкеТоваров(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиКПриемкеТоваров(Форма) 
```
</details>

## СоздатьНовоеСкладскоеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при создании нового складского задания на размещение.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** СканированиеТовар - КнопкаФормы - кнопка, выполняющая открытие информации о товаре.
// 			** СканированиеСерия - КнопкаФормы - кнопка, выполняющая открытие информации о серии товара.
// 			** НадписьВзять - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** НадписьУпаковка - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** НадписьКоличествоУпаковок - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** СканированиеВвестиКоличество - КнопкаФормы - кнопка, выполняющая открытие формы с полем ввода количества
// 															отсканированного товара.
//
Процедура СоздатьНовоеСкладскоеЗадание(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.СоздатьНовоеСкладскоеЗадание(Форма) 
```
</details>

## ВзятьЗаданиеВРаботу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия, необходимые для постановки задания в работу.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада:
// 		* Объект - ДанныеФормыСтруктура -:
// 			** Серии - ДанныеФормыКоллекция -
// 			** Товары - ДанныеФормыКоллекция -
// 			** ТоварыОтбор - ДанныеФормыКоллекция -
// 			** ТоварыРазмещение - ДанныеФормыКоллекция -
// 			** ОтгружаемыеТовары - ДанныеФормыКоллекция -
// 		* ТоварыПодобраны - Булево -.
//	Задание - ДокументСсылка.ПриходныйОрдерНаТовары, ДокументСсылка.РасходныйОрдерНаТовары, ДокументСсылка.ОтборРазмещениеТоваров, ДокументСсылка.ПересчетТоваров - складское задание, которое принимается в работу.
//	ПараметрыЗадания - Структура - параметры складского задания. Состав структуры описан в функции 'ПараметрыЗадания()'
//		общего модуля РабочееМестоРаботникаСкладаПрограммныйИнтерфейс.
//
Процедура ВзятьЗаданиеВРаботу(Форма, Задание, ПараметрыЗадания = Неопределено) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ВзятьЗаданиеВРаботу(Форма, Задание, ПараметрыЗадания);
```
</details>

## ПерейтиКСканированию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при переходе к сканированию товаров. Переключается на
// страницу сканирования, вызывает процедуры установки заголовка элементов
// сканирования.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПерейтиКСканированию(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиКСканированию(Форма) 
```
</details>

## ПерейтиКСледующейЯчейкеСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит поток выполнения задания к следующей ячейке.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПерейтиКСледующейЯчейкеСканирования(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиКСледующейЯчейкеСканирования(Форма) 
```
</details>

## ВывестиИнформациюПоТекущемуТовару
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит информацию по текущему товару строки сканирования.
// Вызывается при нажатии на кнопку товара на странице "Сканирование".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВывестиИнформациюПоТекущемуТовару(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ВывестиИнформациюПоТекущемуТовару(Форма) 
```
</details>

## ВывестиИнформациюПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит информацию по отсканированному штрихкоду.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** АдресЯчейки - ПолеФормы - поле ввода адреса складской ячейки.
//	Штрихкод - Строка - отсканированный штрихкод.
//
Процедура ВывестиИнформациюПоШтрихкоду(Форма, Штрихкод) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ВывестиИнформациюПоШтрихкоду(Форма, Штрихкод) 
```
</details>

## НоваяКнопкаДиалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру кнопки диалога, которая отображается в диалоге пользователя.
//
// Параметры:
//	ИмяКоманды - Строка - имя команды, которая будет выполнена при нажатии на кнопку.
//	Представление - Строка - представление кнопки.
//	Выделить - Булево - если <Истина> то надпись на кнопке будет выполнена полужирным шрифтом.
//
// Возвращаемое значение:
//	Структура - Параметры кнопки диалога:
//	*ИмяКоманды - Строка
//	*Представление - Строка
//	*Выделить - Булево
//
Функция НоваяКнопкаДиалога(ИмяКоманды, Представление, Выделить = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаСервер.НоваяКнопкаДиалога(ИмяКоманды, Представление, Выделить);
```
</details>

## ПриОшибкеПодключенияОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из форм при обработке возникновения ошибки подключения оборудования.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//	ОписаниеОшибки - Строка - описание ошибки.
//
Процедура ПриОшибкеПодключенияОборудования(Форма, ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриОшибкеПодключенияОборудования(Форма, ОписаниеОшибки) 
```
</details>

## СканированиеВвестиЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при переходе к ручному вводу значения сканирования - штрихкоду или
// номеру и сроку годности серии.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** НадписьПодсказкаПоСрокуГодности - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** НадписьПодсказкаПоШтрихкоду - ПолеФормы - информационная надпись пользовательского интерфейса.
//
Процедура СканированиеВвестиЗначение(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.СканированиеВвестиЗначение(Форма) 
```
</details>

## УстановитьЗаголовокФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает текст заголовка формы и центрирует его.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//	ТекстЗаголовка - Строка - текст заголовка формы.
//
Процедура УстановитьЗаголовокФормы(Форма, ТекстЗаголовка) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.УстановитьЗаголовокФормы(Форма, ТекстЗаголовка) 
```
</details>

## УстановитьЗаголовокСпискаЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает текст заголовка списка складских заданий.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//	КоличествоДокументов - Число - количество документов.
//
Процедура УстановитьЗаголовокСпискаЗаданий(Форма, КоличествоДокументов) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.УстановитьЗаголовокСпискаЗаданий(Форма, КоличествоДокументов) 
```
</details>

## УстановитьПараметрыЭлементовСхемыСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает заголовки надписей и команды управления порядком
// сканирования серий товаров.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура УстановитьПараметрыЭлементовСхемыСканирования(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.УстановитьПараметрыЭлементовСхемыСканирования(Форма) 
```
</details>

## СервисРежимСканированияСерийТВТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки "ТоварВсеСерии" на форме рабочего места.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура СервисРежимСканированияСерийТВТ(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.СервисРежимСканированияСерийТВТ(Форма) 
```
</details>

## СервисРежимСканированияСерийТСТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки "ТоварСерияТовараТовар" на форме рабочего места.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура СервисРежимСканированияСерийТСТ(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.СервисРежимСканированияСерийТСТ(Форма) 
```
</details>

## ПриУстановкеСхемыСканированияТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении схемы сканирования товаров со страницы сервиса.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПриУстановкеСхемыСканированияТоваров(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриУстановкеСхемыСканированияТоваров(Форма) 
```
</details>

## ПриУстановкеПорядкаОбработкиЯчейкаТовар
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при установке порядка обработки Ячейка-Товар.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПриУстановкеПорядкаОбработкиЯчейкаТовар(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриУстановкеПорядкаОбработкиЯчейкаТовар(Форма) 
```
</details>

## ПриУстановкеПорядкаОбработкиТоварЯчейка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при установке порядка обработки Товар-Ячейка.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПриУстановкеПорядкаОбработкиТоварЯчейка(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриУстановкеПорядкаОбработкиТоварЯчейка(Форма) 
```
</details>

## СканированиеСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки "Сервис" на странице "Сканирование".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура СканированиеСервис(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.СканированиеСервис(Форма) 
```
</details>

## СервисПродолжитьСканирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопок возврата в режим сканирования.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура СервисПродолжитьСканирование(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.СервисПродолжитьСканирование(Форма) 
```
</details>

## ВернутьсяКВыполнениюЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопок возврата к выполнению задания.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВернутьсяКВыполнениюЗадания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ВернутьсяКВыполнениюЗадания(Форма) 
```
</details>

## ВыборЗначенияОКОбработчикОжидания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик ожидания для команды "Ок" на странице ввода значения штрихкода.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВыборЗначенияОКОбработчикОжидания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ВыборЗначенияОКОбработчикОжидания(Форма) 
```
</details>

## ВывестиСостояниеВыполненияЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура отображает состояние выполнения складского задания. В зависимости от
// типа выполняемого задания отображается либо прогресс-бар, либо строка - количество
// отсканированных товаров и ячеек.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВывестиСостояниеВыполненияЗадания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ВывестиСостояниеВыполненияЗадания(Форма) 
```
</details>

## ПриВыбореЗоныПриемкиОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выборе строки списка доступных складских зон - приемки или отгрузки.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** ЗоныПриемкиОтгрузки - ТаблицаФормы - таблица содержащая информация о зонах приемки и отгрузках складского помещения.
//
Процедура ПриВыбореЗоныПриемкиОтгрузки(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриВыбореЗоныПриемкиОтгрузки(Форма) 
```
</details>

## ПриВыбореНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выборе назначения
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** Назначения - ТаблицаФормы - таблица содержащая информацию о предназначениях товаров обособленного хранения.
//
Процедура ПриВыбореНазначения(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриВыбореНазначения(Форма) 
```
</details>

## СканированиеВвестиКоличество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки "Количество" на странице "Сканирование".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура СканированиеВвестиКоличество(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.СканированиеВвестиКоличество(Форма) 
```
</details>

## ВводКоличестваОКОбработчикОжидания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик ожидания при вводе количества, вызывается при переходе на страницу ввода количества.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада.
//
Процедура ВводКоличестваОКОбработчикОжидания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ВводКоличестваОКОбработчикОжидания(Форма) 
```
</details>

## ВводКоличестваОтмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки "Отмена" на странице ввода количества.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВводКоличестваОтмена(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ВводКоличестваОтмена(Форма) 
```
</details>

## СканированиеНеОтгружать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки "Не отгружать" на странице "Сканирование".
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура СканированиеНеОтгружать(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.СканированиеНеОтгружать(Форма) 
```
</details>

## ПредыдущаяСтраница
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на строку таблицы истории переходов по страницам формы.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
// Возвращаемое значение:
//	ДанныеФормыЭлементКоллекции - строка таблицы истории переходов.
//
Функция ПредыдущаяСтраница(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РабочееМестоРаботникаСкладаСервер.ПредыдущаяСтраница(Форма) 
```
</details>

## ПерейтиНаПредыдущуюСтраницу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет переход на предыдущую страницу. Предыдущая страница берется из истории переходов.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПерейтиНаПредыдущуюСтраницу(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиНаПредыдущуюСтраницу(Форма) 
```
</details>

## ПриВыбореЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выборе складского задания из списка, или при нажатии кнопки "Выбрать".
// смотреть в Обработка.РабочееМестоРаботникаСклада.Формы.ФормаРабочегоМеста*.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** Задания - ТаблицаФормы - таблица содержащая информацию о складских заданиях.
// 		* Задания - ДанныеФормыКоллекция - таблица содержащая информацию о складских заданиях, которая содержит:
// 			** Ссылка - ДокументСсылка.ПриходныйОрдерНаТовары, ДокументСсылка.РасходныйОрдерНаТовары, ДокументСсылка.ОтборРазмещениеТоваров, ДокументСсылка.ПересчетТоваров - складское задание, которое принимается в работу.
//
Процедура ПриВыбореЗадания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриВыбореЗадания(Форма) 
```
</details>

## СканированиеДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит диалоговое сообщение со списком кнопок. Текст сообщения и состав команд
// формируются динамически в зависимости от типа текущего складского задания и
// его состояния.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура СканированиеДействия(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.СканированиеДействия(Форма) 
```
</details>

## ВыборЗначенияОтмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки "Отмена" на странице выбора значения.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ВыборЗначенияОтмена(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ВыборЗначенияОтмена(Форма) 
```
</details>

## ПерейтиНаСтраницу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переключается на страницу формы, переключает фокус на элемент именно на текущей странице.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** Задания - ТаблицаФормы - таблица содержащая информацию о складских заданиях.
// 			** ГруппаПолеВводаВес - ГруппаФормы - группа содержащая информацию о весовых показателях товара.
// 			** НадписьЕдиницаИзмеренияВес - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** ГруппаПолеВводаОбъем - ГруппаФормы - группа содержащая информацию о весовых показателях товара.
// 			** НадписьЕдиницаИзмеренияОбъем - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** НадписьПодсказкаВводКоличества - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** НадписьПодсказкаЗапросИнформации - ПолеФормы - информационная надпись пользовательского интерфейса.
// 			** АдресЯчейки - ПолеФормы - поле ввода адреса складской ячейки.
// 			** ЗоныПриемкиОтгрузки - ТаблицаФормы - таблица содержащая информация о зонах приемки и отгрузках складского помещения.
//	ИмяСтраницы - Строка - имя страницы.
//
Процедура ПерейтиНаСтраницу(Форма, ИмяСтраницы) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиНаСтраницу(Форма, ИмяСтраницы) 
```
</details>

## СканированиеДалее
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при нажатии кнопки "Далее" на странице сканирования товаров.
// В зависимости от типа задания, текущего состояния выполнения задания, формируется
// структура диалога - текст сообщения о состав кнопок. Затем отображается диалоговое
// сообщение.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура СканированиеДалее(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.СканированиеДалее(Форма) 
```
</details>

## ПерейтиКПолучениюИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки получения информации.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПерейтиКПолучениюИнформации(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиКПолучениюИнформации(Форма) 
```
</details>

## ПерейтиКОтметкеЯчейкиКПересчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки отметки ячейки к пересчету.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПерейтиКОтметкеЯчейкиКПересчету(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиКОтметкеЯчейкиКПересчету(Форма) 
```
</details>

## ОбновитьСписокЗаданийОбработчикОжидания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика ожидания в форме рабочего места работника склада.
// Используется для периодического обновления списка доступных складских заданий.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** Задания - ТаблицаФормы - таблица содержащая информацию о складских заданиях.
//
Процедура ОбновитьСписокЗаданийОбработчикОжидания(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ОбновитьСписокЗаданийОбработчикОжидания(Форма) 
```
</details>

## НеЗакрыватьФормуМобильногоРабочегоМеста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется при попытках закрыть форму рабочего места работника склада,
// с помощью кнопки закрытия или клавиши Esc.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура НеЗакрыватьФормуМобильногоРабочегоМеста(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.НеЗакрыватьФормуМобильногоРабочегоМеста(Форма) 
```
</details>

## ИнформацияЗакрыть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки закрытия на странице получения информации.
// Возвращает рабочее место на предыдущую страницу.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ИнформацияЗакрыть(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ИнформацияЗакрыть(Форма) 
```
</details>

## ПередЗакрытием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика события ПередЗакрытием форм рабочего места.
//  Необходимо предотвратить ситуацию, когда складское задание взято в работу
//  и не завершено. Следует либо отменить его, либо все-же выполнить.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
// 	Отказ - Булево - Истина, если не требуется выполнить закрытие формы рабочего места.
// 	СтандартнаяОбработка - Булево - Истина, если выполняется стандартная, системная обработка закрытия формы.
//
Процедура ПередЗакрытием(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПередЗакрытием(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ОсновноеМенюЗакрыть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии кнопки закрытия на основной странице обработки.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ОсновноеМенюЗакрыть(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ОсновноеМенюЗакрыть(Форма) 
```
</details>

## ПоказатьДиалогСообщение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переключается на страницу вывода сообщения, выводит текст сообщения и отображает список команд
// доступных вариантов ответа.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** НадписьТекстСообщения - ПолеФормы - информационная надпись пользовательского интерфейса.
//	ТекстСообщения - Строка - текст вопроса или сообщения.
//	Кнопки - СписокЗначений, Структура - список кнопок или одна кнопка.
//	ЗаголовокСообщения - Строка - текст который будет установлен в заголовок формы.
//	ОтображатьТаблицуИнформации - Булево - если указано значение, то отображается таблица.
//
Процедура ПоказатьДиалогСообщение(Форма, ТекстСообщения, Кнопки, ЗаголовокСообщения = "", ОтображатьТаблицуИнформации = Ложь) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПоказатьДиалогСообщение(Форма, ТекстСообщения, Кнопки, ЗаголовокСообщения, ОтображатьТаблицуИнформации);
```
</details>

## УстановитьЗаголовкиЭлементовСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура для установки заголовков элементов сканирования. Вызывается
// при переходе на другую строку, товар или ячейку сканирования.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада
//
Процедура УстановитьЗаголовкиЭлементовСканирования(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.УстановитьЗаголовкиЭлементовСканирования(Форма) 
```
</details>

## УстановитьЗаголовокФормыЭлементовСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает текст заголовка формы в зависимости от того,
// какой элемент сканирования активен.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура УстановитьЗаголовокФормыЭлементовСканирования(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.УстановитьЗаголовокФормыЭлементовСканирования(Форма) 
```
</details>

## УстановитьПараметрыЭлементовСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает процедуры установки свойств параметров-элементов сканирования:
// товара, серии, ячейки.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура УстановитьПараметрыЭлементовСканирования(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.УстановитьПараметрыЭлементовСканирования(Форма) 
```
</details>

## УстановитьДоступностьЭлементовСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает отдельные процедуры для установки доступности элементов на странице сканирования.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура УстановитьДоступностьЭлементовСканирования(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.УстановитьДоступностьЭлементовСканирования(Форма) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчиков событий ПриСозданииНаСервере форм рабочего места.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада, которая содержит:
// 		* Элементы - ВсеЭлементыФормы - элементы формы рабочего места работника склада, которые содержат:
// 			** СканированиеСерия - КнопкаФормы - кнопка, выполняющая открытие информации о серии товара.
// 	Отказ - Булево - Истина, если не требуется выполнить закрытие формы рабочего места.
// 	СтандартнаяОбработка - Булево - Истина, если выполняется стандартная, системная обработка закрытия формы.
//
Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПерейтиКВыборуСкладскойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переключает рабочее место в основное меню - в режим выбора складской операции.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПерейтиКВыборуСкладскойОперации(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиКВыборуСкладскойОперации(Форма) 
```
</details>

## ПерейтиКВыборуНазначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переключает рабочее место в список выбора назначения.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма рабочего места работника склада.
//
Процедура ПерейтиКВыборуНазначения(Форма) Экспорт
```

Пример вызова
```bsl
РабочееМестоРаботникаСкладаСервер.ПерейтиКВыборуНазначения(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
