---
title: Разбор кода маркировки ИСМП служебный клиент сервер
slug: erp-uh/разбор-кода-маркировки-исмп-служебный-клиент-сервер
---


## ЭлементКодаМаркировкиСоответствуетОписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭлементКодаМаркировкиСоответствуетОписанию(Значение, ОписаниеЭлементаКМ, ПараметрыОписанияКодаМаркировки, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = РазборКодаМаркировкиИСМПСлужебныйКлиентСервер.ЭлементКодаМаркировкиСоответствуетОписанию(Значение, ОписаниеЭлементаКМ, ПараметрыОписанияКодаМаркировки, ДополнительныеПараметры) 
```
</details>

## ДобавитьЭлементКодаМаркировкиВСоставКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЭлементКодаМаркировкиВСоставКодаМаркировки(Значение, ОписаниеЭлементаКМ, СоставКодаМаркировки, ПараметрыОписанияКодаМаркировки, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РазборКодаМаркировкиИСМПСлужебныйКлиентСервер.ДобавитьЭлементКодаМаркировкиВСоставКодаМаркировки(Значение, ОписаниеЭлементаКМ, СоставКодаМаркировки, ПараметрыОписанияКодаМаркировки, ДополнительныеПараметры) 
```
</details>

## ПреобразоватьЗначениеДляЗаполненияСоставаКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПреобразоватьЗначениеДляЗаполненияСоставаКодаМаркировки(Значение, ОписаниеЭлементаКМ, СоставКодаМаркировки, ПараметрыОписанияКодаМаркировки, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РазборКодаМаркировкиИСМПСлужебныйКлиентСервер.ПреобразоватьЗначениеДляЗаполненияСоставаКодаМаркировки(Значение, ОписаниеЭлементаКМ, СоставКодаМаркировки, ПараметрыОписанияКодаМаркировки, ДополнительныеПараметры) 
```
</details>

## ЭтоНеФормализованныйКодМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это не формализованный код маркировки.
//
// Параметры:
//  ПараметрыРазбораКодаМаркировки - см. РазборКодаМаркировкиИССлужебныйКлиентСервер.ИнициализироватьПараметрыРазбораКодаМаркировки.
//  Настройки - см. РазборКодаМаркировкиИССлужебный.НастройкиРазбораКодаМаркировки.
//  ДанныеРезультата - Неопределено - Выходной параметр (см. РазборКодаМаркировкиИССлужебныйКлиентСервер.НовыйРезультатРазбораКодаМаркировки).
//  РезультатБезФильтра - Массив Из см. РазборКодаМаркировкиИССлужебныйКлиентСервер.НовыйРезультатРазбораКодаМаркировки.
//
// Возвращаемое значение:
//  Булево - Если Ложь, то код маркировки не прошел проверку.
//
Функция ЭтоНеФормализованныйКодМаркировки(ПараметрыРазбораКодаМаркировки, Настройки, ДанныеРезультата, РезультатБезФильтра) Экспорт
```

Пример вызова
```bsl
Результат = РазборКодаМаркировкиИСМПСлужебныйКлиентСервер.ЭтоНеФормализованныйКодМаркировки(ПараметрыРазбораКодаМаркировки, Настройки, ДанныеРезультата, РезультатБезФильтра) 
```
</details>

## НовыйСоставКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйСоставКодаМаркировки(ТипШтрихкодаИВидУпаковки) Экспорт
```

Пример вызова
```bsl
Результат = РазборКодаМаркировкиИСМПСлужебныйКлиентСервер.НовыйСоставКодаМаркировки(ТипШтрихкодаИВидУпаковки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
