---
title: Разбор кода маркировки ИС служебный клиент
slug: erp-uh/разбор-кода-маркировки-ис-служебный-клиент
---


## РазобратьКодМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет разбор кода маркировки.
//
// Параметры:
//   ДанныеДляРазбора - Строка, Структура из см. МенеджерОборудованияМаркировкаКлиентСервер.РазобратьСтрокуШтрихкодаGS1 - код маркировки, либо данные разбора.
//   ВидыПродукции - ПеречислениеСсылка.ВидыПродукцииИС, Массив из ПеречислениеСсылка.ВидыПродукцииИС - фильтр по виду продукции.
//   ПримечаниеКРезультатуРазбора - Структура - содержит:
//      * ИдентификаторОшибки - см. РазборКодаМаркировкиИССлужебныйКлиентСервер.ИдентификаторыОшибокРазбораКодаМаркировки
//      * ТекстОшибки - Строка
//      * РезультатРазбора - Массив из см. РазборКодаМаркировкиИССлужебныйКлиентСервер.НовыйРезультатРазбораКодаМаркировки
//   Настройки - см. НастройкиРазбораКодаМаркировки
//   ПользовательскиеПараметры - см. РазборКодаМаркировкиИССлужебныйКлиентСервер.ПользовательскиеПараметрыРазбораКодаМаркировки
//
// Возвращаемое значение:
//    - Неопределено - если код маркировки разобрать не удалось.
//    - см. РазборКодаМаркировкиИССлужебныйКлиентСервер.НовыйРезультатРазбораКодаМаркировки
//
Функция РазобратьКодМаркировки(Знач ДанныеДляРазбора, ВидыПродукции = Неопределено, ПримечаниеКРезультатуРазбора = Неопределено, Знач Настройки = Неопределено, Знач ПользовательскиеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РазборКодаМаркировкиИССлужебныйКлиент.РазобратьКодМаркировки(ДанныеДляРазбора, ВидыПродукции, ПримечаниеКРезультатуРазбора, Настройки, ПользовательскиеПараметры);
```
</details>

## РазобратьКодМаркировкиИспользуяПредыдущиеРезультаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет разбор кода маркировки.
//
// Параметры:
//   ДанныеДляРазбора - Строка, Структура из см. МенеджерОборудованияМаркировкаКлиентСервер.РазобратьСтрокуШтрихкодаGS1 - код маркировки, либо данные разбора.
//   КешНастроекРазбораКодаМаркировки - см. РазборКодаМаркировкиИССлужебныйКлиентСервер.ИнициализироватьНастройкиИспользующиеРезультатыПредыдущихРазборов.
//   ВидыПродукции - ПеречислениеСсылка.ВидыПродукцииИС, Массив из ПеречислениеСсылка.ВидыПродукцииИС - фильтр по виду продукции.
//   ПримечаниеКРезультатуРазбора - Структура - содержит:
//      * ИдентификаторОшибки - см. РазборКодаМаркировкиИССлужебныйКлиентСервер.ИдентификаторыОшибокРазбораКодаМаркировки
//      * ТекстОшибки - Строка
//      * РезультатРазбора - Массив из см. РазборКодаМаркировкиИССлужебныйКлиентСервер.НовыйРезультатРазбораКодаМаркировки
//   Настройки - см. РазборКодаМаркировкиИССлужебныйКлиент.НастройкиРазбораКодаМаркировки.
//   ПользовательскиеПараметры - см. РазборКодаМаркировкиИССлужебныйКлиентСервер.ПользовательскиеПараметрыРазбораКодаМаркировки.
//
// Возвращаемое значение:
//    Неопределено - если код маркировки разобрать не удалось,
//    см. РазборКодаМаркировкиИССлужебныйКлиентСервер.НовыйРезультатРазбораКодаМаркировки.
//
//@skip-check method-too-many-params
Функция РазобратьКодМаркировкиИспользуяПредыдущиеРезультаты(Знач ДанныеДляРазбора, КешНастроекРазбораКодаМаркировки, ВидыПродукции = Неопределено, ПримечаниеКРезультатуРазбора = Неопределено, Знач Настройки = Неопределено, Знач ПользовательскиеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РазборКодаМаркировкиИССлужебныйКлиент.РазобратьКодМаркировкиИспользуяПредыдущиеРезультаты(ДанныеДляРазбора, КешНастроекРазбораКодаМаркировки, ВидыПродукции, ПримечаниеКРезультатуРазбора, Настройки, ПользовательскиеПараметры);
```
</details>

## НормализованныйШтрихкод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НормализованныйШтрихкод(Штрихкод, ВидПродукции, КэшДанныхРазбора = Неопределено, ПользовательскиеПараметрыРазбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РазборКодаМаркировкиИССлужебныйКлиент.НормализованныйШтрихкод(Штрихкод, ВидПродукции, КэшДанныхРазбора, ПользовательскиеПараметрыРазбора);
```
</details>

## НастройкиРазбораКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НастройкиРазбораКодаМаркировки(ВидыПродукции = Неопределено, ТолькоУчитываемыеВидыПродукции = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РазборКодаМаркировкиИССлужебныйКлиент.НастройкиРазбораКодаМаркировки(ВидыПродукции, ТолькоУчитываемыеВидыПродукции);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
