---
title: Разузлование изделий
slug: erp-uh/разузлование-изделий
---


## Разузловать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет разузлование продукции и полуфабрикатов и для каждого элемента в структуре изделий
//  получает заданный набор данных ресурсной спецификации. В процессе обработки так же выполняется
//  укрупнение партий выпуска продукции и полуфабрикатов.
//
// Параметры:
//  Изделия	              - ТаблицаЗначений - таблица с номенклатурой, структуру производства которой необходимо получить.
//	ПараметрыРазузлования - см. РазузлованиеИзделий.ПараметрыРазузлования.
//  ПараметрыВыборки      - Структура - параметры выборки данных ресурсной спецификации
//		см. Справочники.РесурсныеСпецификации.ПараметрыВыборкиДанных.
//
// Возвращаемое значение:
//  Структура - структура с элементами:
//  	* ДанныеСпецификаций - Массив, Неопределено - элементами массива являются структуры, содержащие данные ресурсных спецификаций.
//  	* ЕстьОшибка - Булево - Истина если при разузловании возникла ошибка (ДанныеСпецификаций в этом случае имеют значение Неопределено).
//  	* ОшибкаТекст - Строка - описание возникшей ошибки.
//  	* ОшибкаСсылка - СправочникСсылка, ДокументСсылка - ссылка на объект, с которым связана ошибка.
//
Функция Разузловать(Изделия, ПараметрыРазузлования, ПараметрыВыборки) Экспорт
```

Пример вызова
```bsl
Результат = РазузлованиеИзделий.Разузловать(Изделия, ПараметрыРазузлования, ПараметрыВыборки) 
```
</details>

## ПараметрыРазузлования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - конструктор структуры, определяющей параметры разузлования изделий.
//
// Возвращаемое значение:
//  Структура - структура параметров.
Функция ПараметрыРазузлования() Экспорт
```

Пример вызова
```bsl
Результат = РазузлованиеИзделий.ПараметрыРазузлования() 
```
</details>

## ПоляГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - определяет поля группировки для разузлования изделий
//
// Параметры:
//  Поля - Строка - список полей, необходимый потребителю интерфейса разузлования
//
// Возвращаемое значение:
//  Строка - список полей, дополненный обязательными полями
Функция ПоляГруппировки(Поля = "") Экспорт
```

Пример вызова
```bsl
Результат = РазузлованиеИзделий.ПоляГруппировки(Поля);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
