---
title: Распознавание документов
slug: erp-uh/распознавание-документов
---


## ВерсияБиблиотеки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер версии библиотеки.
//
// Возвращаемое значение:
//  Строка - номер версии библиотеки.
//
Функция ВерсияБиблиотеки() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ВерсияБиблиотеки() 
```
</details>

## ВерсияПротоколаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер версии протокола обмена с сервисом распознавания.
//
// Возвращаемое значение:
//  Строка - номер версии протокола обмена .
//
Функция ВерсияПротоколаОбмена() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ВерсияПротоколаОбмена() 
```
</details>

## ИдентификаторПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИдентификаторПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ИдентификаторПодсистемы() 
```
</details>

## ИспользованиеДоступно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функциональная опция ИспользоватьРаспознаваниеДокументов включена,
// информационная база зарегистрирована в сервисе распознавания документов,
// активация учетной записи выполнена
//
// Возвращаемое значение:
//  Булево
//
Функция ИспользованиеДоступно() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ИспользованиеДоступно() 
```
</details>

## ВыполнитьАвторизациюПоЛогинуПаролю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьАвторизациюПоЛогинуПаролю(Логин, Пароль) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументов.ВыполнитьАвторизациюПоЛогинуПаролю(Логин, Пароль) 
```
</details>

## ВыполнитьАвторизациюПоТикетуИТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьАвторизациюПоТикетуИТС() Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументов.ВыполнитьАвторизациюПоТикетуИТС() 
```
</details>

## УдалитьДанныеАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьДанныеАвторизации(УдалитьИдентификаторИБ = Ложь) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументов.УдалитьДанныеАвторизации(УдалитьИдентификаторИБ);
```
</details>

## ПодключеноКСервисуРаспознавания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодключеноКСервисуРаспознавания(ПытатьсяПодключитьсяПриПроверке = Истина, ВыбрасыватьИсключение = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ПодключеноКСервисуРаспознавания(ПытатьсяПодключитьсяПриПроверке, ВыбрасыватьИсключение);
```
</details>

## АккаунтАвторизован
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АккаунтАвторизован() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.АккаунтАвторизован() 
```
</details>

## АккаунтАктивирован
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АккаунтАктивирован(ВыбрасыватьИсключение = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.АккаунтАктивирован(ВыбрасыватьИсключение);
```
</details>

## ТекущиеПараметрыАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные из безопасного хранилища.
// Для использования требуется привилегированный режим.
//
// Возвращаемое значение:
//  - Неопределено - если данные отсутствуют - Неопределенно.
//  - Произвольный - если указан один ключ, то возвращается его значение, иначе структура.
//  - Структура:
//        * Логин - Строка - строка с логином текущей авторизации.
//        * ИдентификаторИБ - Строка- числовой идентификатор текущей ИБ.
//        * ТокенДоступа - Строка - токен доступа.
//        * Состояние - Строка - текущее состояние авторизации.
//        * ТипАутентификации - Строка - описание типа текущей авторизации НеВыполнена, ПоТикетуИТС, ПоЛогинуПаролю.
//
Функция ТекущиеПараметрыАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ТекущиеПараметрыАвторизации() 
```
</details>

## ЗагрузитьРаспознанныйДокументПоИдентификаторуРезультата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗагрузитьРаспознанныйДокументПоИдентификаторуРезультата(ИдентификаторРезультата) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ЗагрузитьРаспознанныйДокументПоИдентификаторуРезультата(ИдентификаторРезультата) 
```
</details>

## ЗагрузитьРаспознанныеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗагрузитьРаспознанныеДокументы(АдресРезультата = Неопределено, СостоянияПоБалансу = Неопределено, ВыполнятьЗагрузкуДокументов = Неопределено) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументов.ЗагрузитьРаспознанныеДокументы(АдресРезультата, СостоянияПоБалансу, ВыполнятьЗагрузкуДокументов);
```
</details>

## ОписаниеРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеРеквизита(МетаданныеОбъекта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ОписаниеРеквизита(МетаданныеОбъекта);
```
</details>

## ОписаниеЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеЭлемента() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ОписаниеЭлемента() 
```
</details>

## УдалениеУстаревшихРаспознанныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалениеУстаревшихРаспознанныхДокументов() Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументов.УдалениеУстаревшихРаспознанныхДокументов() 
```
</details>

## ОбменССервисомРаспознаванияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбменССервисомРаспознаванияДокументов() Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументов.ОбменССервисомРаспознаванияДокументов() 
```
</details>

## ПараметрыАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
// Планируются к удалению начиная с версии
// Библиотеки Распознавания Документиов 2.0.*
//

// Устарела. Следует использовать См. РаспознаваниеДокументов.ВыполнитьАвторизациюПоЛогинуПаролю
//
// Параметры:
//  Логин - Строка - строка с логином для авторизации.
//  Пароль - Строка - строка с паролем для авторизации.
//
// Возвращаемое значение:
//  Структура:
//        * Логин - Строка - строка с логином для авторизации.
//        * Пароль - Строка - строка с паролем для авторизации.
//
Функция ПараметрыАвторизации(Логин, Пароль) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ПараметрыАвторизации(Логин, Пароль) 
```
</details>

## ВыполнитьАвторизациюНаСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать См. РаспознаваниеДокументов.ВыполнитьАвторизациюПоЛогинуПаролю
//
// Параметры:
//  ПараметрыАвторизации - см. РаспознаваниеДокументов.ПараметрыАвторизации.
//
// Возвращаемое значение:
//  Структура:
//        * ВыполненоУспешно – Булево - признак выполнения авторизации.
//        * ТекстОшибки - Строка- текст с описанием ошибки авторизации.
//        * ВозвращаемыеДанные - Строка - см. РаспознаваниеДокументов.ТекущиеПараметрыАвторизации().ИдентификаторИБ.
//
Функция ВыполнитьАвторизациюНаСервисе(ПараметрыАвторизации) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ВыполнитьАвторизациюНаСервисе(ПараметрыАвторизации) 
```
</details>

## ПолучитьТокенАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать См. РаспознаваниеДокументов.ТекущиеПараметрыАвторизации.
//
// Возвращаемое значение:
//  Строка - токен доступа авторизации.
//
Функция ПолучитьТокенАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.ПолучитьТокенАвторизации() 
```
</details>

## СоздатьЗаданиеДляРаспознавания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать Обработки.РаспознаваниеДокументов.ОтправитьФайлыНаРаспознавание
//
// Параметры:
//  Файлы - Массив из Структура - список файлов для распознавания.
//  Источник - ПеречислениеСсылка.ИсточникиПолученияФайлов - описание источника получения файлов.
//  ИдентификаторИсточникаРаспознавания - Число, Неопределено - числовой идентификатор источника получения файлов.
//   По умолчанию Неопределено.
//  ДополнительныеПараметры - Структура, Неопределено - дополнительные параметры для задания распознавания.
//   По умолчанию Неопределено.
//
// Возвращаемое значение:
//  Произвольный - числовой идентификатор созданного задания.
//
Функция СоздатьЗаданиеДляРаспознавания( Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументов.СоздатьЗаданиеДляРаспознавания();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
