---
title: Распознавание документов SDK
slug: erp-uh/распознавание-документов-sdk
---


## ТекущийБаланс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для получения состояния текущего баланса.
//
// Возвращаемое значение:
//  См. РаспознаваниеДокументовSDK.КакСостояниеТекущегоБаланса.
//
Функция ТекущийБаланс() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ТекущийБаланс() 
```
</details>

## УстановитьАдресЭлектроннойПочты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для установки адреса электронной почты.
// Этот адрес будет использоваться для уведомления об активации учетной записи
// и для сообщений об изменении баланса.
//
// Параметры:
//  АдресЭлПочты - Строка - Адрес электронной почты клиента.
//
Процедура УстановитьАдресЭлектроннойПочты(АдресЭлПочты) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовSDK.УстановитьАдресЭлектроннойПочты(АдресЭлПочты) 
```
</details>

## ТекущиеПерсонализированныеПредложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для получения предложений клиенту.
//
// Параметры:
//  Пользователь - Строка - Уникальный идентификатор пользователя ИБ
//  Размещение - Строка - Код места размещения баннера
//  ЗакрытыеБаннеры - Соответствие- Список идентификаторов закрытых баннеров, Ключ - Идентификатор, Значение - Дата
//
// Возвращаемое значение:
//  См. РаспознаваниеДокументовSDK.КакПерсонализированныеПредложения.
//
Функция ТекущиеПерсонализированныеПредложения(Пользователь = Неопределено, Размещение = Неопределено, ЗакрытыеБаннеры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ТекущиеПерсонализированныеПредложения(Пользователь, Размещение, ЗакрытыеБаннеры);
```
</details>

## ТекущиеДопустимыеДействияПриАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для проверки допустимых действий при авторизации.
//
// Возвращаемое значение:
//  См. РаспознаваниеДокументовSDK.КакДопустимыеДействияПриАвторизации.
//
Функция ТекущиеДопустимыеДействияПриАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ТекущиеДопустимыеДействияПриАвторизации() 
```
</details>

## АктивироватьПромокод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для активации промокода.
//
// Параметры:
//  Промокод - Строка
//
// Возвращаемое значение:
//  См. РаспознаваниеДокументовSDK.КакРезультатАктивацииПромокода.
//
Функция АктивироватьПромокод(Промокод) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.АктивироватьПромокод(Промокод) 
```
</details>

## СоздатьЗаданиеРаспознавания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для создания задания распознавания.
//
// Параметры:
//  ИменаФайлов - Массив из Строка - Имена файлов, которые необходимо отправить на распознавание.
//  ДатаСоздания - Дата - Дата создания задания распознавания, если не указана - текущая дата сеанса.
//
// Возвращаемое значение:
//  Строка - Идентификатор задания распознавания.
//
Функция СоздатьЗаданиеРаспознавания(ИменаФайлов, ДатаСоздания = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.СоздатьЗаданиеРаспознавания(ИменаФайлов, ДатаСоздания);
```
</details>

## ПолучитьСостояниеОбработкиЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для получения состояния обработки задания распознавания.
//
// Параметры:
//  ИдентификаторЗадания - Строка - Задание состояние которого необходимо получить.
//    Получается с помощью метода См. РаспознаваниеДокументовSDK.СоздатьЗаданиеРаспознавания.
//
// Возвращаемое значение:
//  См. РаспознаваниеДокументовSDK.КакСостояниеОбработкиЗадания.
//
Функция ПолучитьСостояниеОбработкиЗадания(ИдентификаторЗадания) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ПолучитьСостояниеОбработкиЗадания(ИдентификаторЗадания) 
```
</details>

## ЗагрузкаФайлаПоАдресу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для загрузки файла по выделенному адресу.
//
// Параметры:
//  АдресЗагрузкиФайла - Строка - Адрес, выданный сервером распознавания для загрузки файла.
//    Получается с помощью метода См. РаспознаваниеДокументовSDK.ПолучитьСостояниеОбработкиЗадания.
//  Данные - ДвоичныеДанные - Данные загружаемого файла.
//
// Возвращаемое значение:
//  Строка - Идентификатор файла.
//
Функция ЗагрузкаФайлаПоАдресу(АдресЗагрузкиФайла, Данные) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ЗагрузкаФайлаПоАдресу(АдресЗагрузкиФайла, Данные) 
```
</details>

## ОтменаЗагрузкиФайлаПоАдресу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для отмены загрузки файла по адресу.
//
// Метод предназначен для отмены загрузки в случае, когда клиентское приложение понимает, что запросило слишком много
// слотов для загрузки файлов и в процессе отправки какой-либо из файлов больше отправлять не требуется.
//
// Параметры:
//  АдресЗагрузкиФайла - Строка - Адрес, выданный сервером распознавания для загрузки файла.
//                                Получается с помощью метода См. РаспознаваниеДокументовSDK.ПолучитьСостояниеОбработкиЗадания.
//
Процедура ОтменаЗагрузкиФайлаПоАдресу(АдресЗагрузкиФайла) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовSDK.ОтменаЗагрузкиФайлаПоАдресу(АдресЗагрузкиФайла) 
```
</details>

## ПолучитьИсходныйФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для загрузки файла по выделенному адресу.
//
// Параметры:
//  ИдентификаторФайла - Строка - Идентификатор файла.
//   Получается с помощью метода См. РаспознаваниеДокументовSDK.ЗагрузкаФайлаПоАдресу.
//
// Возвращаемое значение:
// ДвоичныеДанные - Данные исходного файла.
//
Функция ПолучитьИсходныйФайл(ИдентификаторФайла) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ПолучитьИсходныйФайл(ИдентификаторФайла) 
```
</details>

## ПолучитьСвойстваРаспознанногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для получения свойств распознанного документа.
//
// Параметры:
//  ИдентификаторДокумента - Документ свойства которого необходимо получить.
//    Получается с помощью метода См. РаспознаваниеДокументовSDK.ПолучитьСостояниеОбработкиЗадания.
//
//
// Возвращаемое значение:
//  См. РаспознаваниеДокументовSDK.КакСвойстваРаспознанногоДокумента.
//
Функция ПолучитьСвойстваРаспознанногоДокумента(ИдентификаторДокумента) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ПолучитьСвойстваРаспознанногоДокумента(ИдентификаторДокумента) 
```
</details>

## СтатусыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура статусов документа.
//
// Возвращаемое значение:
//   Структура
//
Функция СтатусыДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.СтатусыДокумента() 
```
</details>

## ТипыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура типов документа.
//
// Возвращаемое значение:
//   Структура
//
Функция ТипыДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ТипыДокумента() 
```
</details>

## КлассыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура классов документа.
//
// Возвращаемое значение:
//   Структура
//
Функция КлассыДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.КлассыДокумента() 
```
</details>

## ТипыСущностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура типов сущностей.
//
// Возвращаемое значение:
//   Структура
//
Функция ТипыСущностей() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ТипыСущностей() 
```
</details>

## КлассыСущностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура классов сущностей.
//
// Возвращаемое значение:
//   Структура
//
Функция КлассыСущностей() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.КлассыСущностей() 
```
</details>

## СвойстваСущностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура свойств сущностей.
//
// Возвращаемое значение:
//   Структура
//
Функция СвойстваСущностей() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.СвойстваСущностей() 
```
</details>

## ПодвалыТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура подвалов таблиц.
//
// Возвращаемое значение:
//   Структура
//
Функция ПодвалыТаблицы() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ПодвалыТаблицы() 
```
</details>

## ПредлагатьВводПромокодаПриАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос к серверу распознавания документов для проверки нужно ли предлагать ввести промокод.
//
// Возвращаемое значение:
//  Булево
//
Функция ПредлагатьВводПромокодаПриАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовSDK.ПредлагатьВводПромокодаПриАвторизации() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
