---
title: Распознавание документов переопределяемый
slug: erp-uh/распознавание-документов-переопределяемый
---


## ПриВыполненииАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Логин - Строка
//  Пароль - Строка
//
Процедура ПриВыполненииАвторизации(ПараметрыАвторизации) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриВыполненииАвторизации(ПараметрыАвторизации) 
```
</details>

## ПриИзмененииДанныхАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Реализует обработку события изменения авторизации информационной базы
// в сервисе распознавания документов.
//
// Параметры:
//  ПараметрыАвторизации - Структура - структура с полями
//    * Состояние - Строка - возможные варианты "Ожидает", "Активирован";
//    * ТипАутентификации - Строка - возможные варианты "НеВыполнена", "ПоТикетуИТС", "ПоЛогинуПаролю";
//
Процедура ПриИзмененииДанныхАвторизации(ПараметрыАвторизации) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриИзмененииДанныхАвторизации(ПараметрыАвторизации) 
```
</details>

## ПередЗаписьюРаспознанногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюРаспознанногоДокумента( Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПередЗаписьюРаспознанногоДокумента();
```
</details>

## ПриСопоставленииТиповДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСопоставленииТиповДокументов(СоответствиеТиповДокументов) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриСопоставленииТиповДокументов(СоответствиеТиповДокументов) 
```
</details>

## ПриСопоставленииРеквизитовДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСопоставленииРеквизитовДокумента(ТипДокумента, СопоставленныеРеквизиты) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриСопоставленииРеквизитовДокумента(ТипДокумента, СопоставленныеРеквизиты) 
```
</details>

## ПриПриведенииТипаРеквизитаВОбъекте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПриПриведенииТипаРеквизитаВОбъекте( Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовПереопределяемый.ПриПриведенииТипаРеквизитаВОбъекте();
```
</details>

## ПриОпределенииЮрФизЛицаПоОрганизационнойФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииЮрФизЛицаПоОрганизационнойФорме(Результат) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриОпределенииЮрФизЛицаПоОрганизационнойФорме(Результат) 
```
</details>

## ПриОпределенииПараметровНечеткогоПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В параметре Параметры.ТекстЗапросаКандидаты требуется выбрать:
// - Ссылка
// - ДополнительнаяСсылка
// - Все поля, добавленные в параметр ВесаРеквизитовПредварительнойОценки
// или оставить параметр пустым, тогда будет составлен запрос по-умолчанию к объекту метаданного.
//
Процедура ПриОпределенииПараметровНечеткогоПоиска(Параметры, МетаданныеОбъекта) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриОпределенииПараметровНечеткогоПоиска(Параметры, МетаданныеОбъекта) 
```
</details>

## ПриЗаполненииРаспознанногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаполненииРаспознанногоДокумента(ДокументОбъект, ДокументСсылка) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриЗаполненииРаспознанногоДокумента(ДокументОбъект, ДокументСсылка) 
```
</details>

## ПриЗаполненииПараметровВыбораДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаполненииПараметровВыбораДоговора(ДокументОбъект, ПараметрыВыбораДоговора) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриЗаполненииПараметровВыбораДоговора(ДокументОбъект, ПараметрыВыбораДоговора) 
```
</details>

## ПриЗаполненииДоговораКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаполненииДоговораКонтрагента(ДоговорКонтрагента, ДокументОбъект, ПараметрыДоговора) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриЗаполненииДоговораКонтрагента(ДоговорКонтрагента, ДокументОбъект, ПараметрыДоговора) 
```
</details>

## ПриЗаполненииБанковскогоСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаполненииБанковскогоСчета(Счет, ДокументОбъект, ПараметрыСчета) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриЗаполненииБанковскогоСчета(Счет, ДокументОбъект, ПараметрыСчета) 
```
</details>

## УстановитьБанковскийСчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьБанковскийСчет(Счет, ВладелецСчета, Валюта, СовпадениеВалюты = Истина, УчитыватьВалюту = Истина, НомерСчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовПереопределяемый.УстановитьБанковскийСчет(Счет, ВладелецСчета, Валюта, СовпадениеВалюты, УчитыватьВалюту, НомерСчета);
```
</details>

## ПриЗаполненииВалютыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаполненииВалютыОплаты(ДоговорКонтрагента, ВалютаОплаты) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриЗаполненииВалютыОплаты(ДоговорКонтрагента, ВалютаОплаты) 
```
</details>

## ПриОпределенииСтавкиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииСтавкиНДС(СтавкаНДСЧислом, СтавкаНДС) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриОпределенииСтавкиНДС(СтавкаНДСЧислом, СтавкаНДС) 
```
</details>

## ПриОпределенииПроверяемыхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииПроверяемыхРеквизитов(ДокументОбъект, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриОпределенииПроверяемыхРеквизитов(ДокументОбъект, ПроверяемыеРеквизиты) 
```
</details>

## ПриОбработкеПроверкиЗаполненияРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОбработкеПроверкиЗаполненияРеквизитов(ДокументОбъект, ТаблицаПроблем) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриОбработкеПроверкиЗаполненияРеквизитов(ДокументОбъект, ТаблицаПроблем) 
```
</details>

## ПриЗаполненииНовогоЭлементаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаполненииНовогоЭлементаСправочника(СправочникОбъект, ДанныеДляЗаполнения) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриЗаполненииНовогоЭлементаСправочника(СправочникОбъект, ДанныеДляЗаполнения) 
```
</details>

## ПриСозданииДокументаНаОснованииРаспознанного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииДокументаНаОснованииРаспознанного(ДокументОбъект, РаспознанныйДокумент, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриСозданииДокументаНаОснованииРаспознанного(ДокументОбъект, РаспознанныйДокумент, ПараметрыЗаполнения) 
```
</details>

## ПриПроведенииДокументаНаОснованииРаспознанного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриПроведенииДокументаНаОснованииРаспознанного(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриПроведенииДокументаНаОснованииРаспознанного(ДокументОбъект) 
```
</details>

## ПослеСозданияДокументаНаОснованииРаспознанного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеСозданияДокументаНаОснованииРаспознанного(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПослеСозданияДокументаНаОснованииРаспознанного(ДокументОбъект) 
```
</details>

## ПриСозданииСчетФактуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииСчетФактуры(ПараметрыСоздания, СчетФактураСсылка = Неопределено) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриСозданииСчетФактуры(ПараметрыСоздания, СчетФактураСсылка);
```
</details>

## ПриОпределенииПараметровСозданияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииПараметровСозданияНоменклатуры(Параметры) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриОпределенииПараметровСозданияНоменклатуры(Параметры) 
```
</details>

## ОбработкаСозданияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаСозданияНоменклатуры(РезультатСсылка, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ОбработкаСозданияНоменклатуры(РезультатСсылка, ДанныеЗаполнения) 
```
</details>

## ПриЗаполненииПараметровСозданияНовогоЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаполненииПараметровСозданияНовогоЭлемента(СвязанныеКолонки, ИмяЭлемента, ТипДокумента, Направление) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриЗаполненииПараметровСозданияНовогоЭлемента(СвязанныеКолонки, ИмяЭлемента, ТипДокумента, Направление) 
```
</details>

## ПриСозданииФормыРаспознаванияНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииФормыРаспознаванияНаСервере(ЭтотОбъект, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриСозданииФормыРаспознаванияНаСервере(ЭтотОбъект, Отказ, СтандартнаяОбработка) 
```
</details>

## ПередЗаписьюФормыРаспознаванияНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюФормыРаспознаванияНаСервере(ЭтотОбъект, Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПередЗаписьюФормыРаспознаванияНаСервере(ЭтотОбъект, Отказ, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПослеЗаписиФормыРаспознаванияНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиФормыРаспознаванияНаСервере(ЭтотОбъект, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПослеЗаписиФормыРаспознаванияНаСервере(ЭтотОбъект, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ЗаполнитьДобавленныеКолонкиТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДобавленныеКолонкиТаблиц(Объект, Строки, Очистить = Ложь) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ЗаполнитьДобавленныеКолонкиТаблиц(Объект, Строки, Очистить);
```
</details>

## СоздатьКонтрагентаПоРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создание контрагента в информационной базе по реквизитам.
//
// Параметры:
//   РеквизитыКонтрагента - Структура - реквизиты необходимые для создания контрагента.
//    * ИНН - Строка - ИНН контрагента.
//    * КПП - Строка - КПП контрагента.
//    * Наименование - Строка - наименование контрагента.
//   Контрагент - СправочникСсылка - ссылка на созданного контрагента.
//   Отказ - Булево - признак ошибки.
//
Процедура СоздатьКонтрагентаПоРеквизитам(Знач РеквизитыКонтрагента, Контрагент, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.СоздатьКонтрагентаПоРеквизитам(РеквизитыКонтрагента, Контрагент, Отказ);
```
</details>

## ПриИзмененииКолонкиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииКолонкиНаСервере(Объект, СтрокаТаблицы, ИмяРеквизита, НомерСтрокиТаблицы, ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ПриИзмененииКолонкиНаСервере(Объект, СтрокаТаблицы, ИмяРеквизита, НомерСтрокиТаблицы, ВыбранноеЗначение) 
```
</details>

## ДоговорКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоговорКонтрагента(ВладелецДоговора, ОрганизацияДоговора, СписокВидовДоговора= Неопределено, СтруктураПараметров = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовПереопределяемый.ДоговорКонтрагента(ВладелецДоговора, ОрганизацияДоговора, СписокВидовДоговора, СтруктураПараметров);
```
</details>

## НайтиПодчиненныйСчетФактуруПолученный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция производит поиск счета-фактуры полученного с видом "на поступление" или "корректировочный"
// по документу-основанию.
//
// Параметры:
//  ДокументОснование	- ДокументСсылка.* - Ссылка на документ, для которого надо найти счет-фактуру.
//  ИсключаемыйСФ		- ДокументСсылка.* - Ссылка на счет-фактуру, исключаемый при поиске.
//  ПометкаУдаления		- Булево - Значение пометки счета-фактуры для отбора при поиске.
//	СтруктураОтбора     - Структура - Дополнительный отбор счетов-фактур.
//
// Возвращаемое значение:
//  ДокументСсылка.СчетФактураПолученный - Если нашли, то возвращаем ссылку, не нашли - Неопределено.
//
Функция НайтиПодчиненныйСчетФактуруПолученный( Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовПереопределяемый.НайтиПодчиненныйСчетФактуруПолученный();
```
</details>

## НайтиПодчиненныеСчетаФактурыПолученные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция производит поиск счетов-фактур полученных с видом "на поступление" или "корректировочный"
// по документам-основаниям.
//
// Параметры:
//  СписокДокументовОснований - ДокументСсылка.*, Массив, СписокЗначений - Ссылки на документы, для которых надо найти счета-фактуры.
//  ИсключаемыеСФ		- ДокументСсылка.СчетФактураПолученный, Массив, СписокЗначений - Ссылки на счета-фактуры, исключаемые при поиске.
//  ПометкаУдаления		- Булево - Значение пометки счета-фактуры для отбора при поиске.
//	СтруктураОтбора     - Структура - Дополнительный отбор счетов-фактур.
//
// Возвращаемое значение:
//	Соответствие - Содержит:
//		* Ключ - ДокументСсылка.* - Документ основание
//  	* Значение - ДокументСсылка.СчетФактураПолученный - Найденный счет-фактура для документа-основания.
//
Функция НайтиПодчиненныеСчетаФактурыПолученные(СписокДокументовОснований, ИсключаемыеСФ = Неопределено, ПометкаУдаления = Ложь, СтруктураОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовПереопределяемый.НайтиПодчиненныеСчетаФактурыПолученные(СписокДокументовОснований, ИсключаемыеСФ, ПометкаУдаления, СтруктураОтбора);
```
</details>

## НайтиПодчиненныйСчетФактуруВыданныйНаРеализацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция производит поиск счета-фактуры выданного на реализацию или корректировочного с указанным документом-основанием.
//
// Параметры:
//  ДокументОснование	- ДокументСсылка.* - Ссылка на документ, для которого надо найти счет-фактурую.
//  ИсключаемыйСФ		- ДокументСсылка.СчетФактураВыданный - Ссылка на счет-фактуру, исключаемый при поиске.
//  ПометкаУдаления		- Булево - Значение пометки счета-фактуры для отбора при поиске.
//	СтруктураОтбора     - Структура - Дополнительный отбор счетов-фактур.
//
// Возвращаемое значение:
//  ДокументСсылка.СчетФактураВыданный - Если нашли, то возвращаем ссылку, не нашли - Неопределено.
//
Функция НайтиПодчиненныйСчетФактуруВыданныйНаРеализацию(ДокументОснование, ИсключаемыйСФ = Неопределено, ПометкаУдаления = Ложь, СтруктураОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовПереопределяемый.НайтиПодчиненныйСчетФактуруВыданныйНаРеализацию(ДокументОснование, ИсключаемыйСФ, ПометкаУдаления, СтруктураОтбора);
```
</details>

## НайтиПодчиненныеСчетаФактурыВыданныеНаРеализацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция производит поиск счетов-фактур выданных на реализацию или корректировочного с указанными документами-основаниями.
//
// Параметры:
//  СписокДокументовОснований - ДокументСсылка.*, Массив, СписокЗначений - Ссылки на документы, для которых надо найти счета-фактуры.
//  ИсключаемыеСФ		- ДокументСсылка.СчетФактураВыданный, Массив, СписокЗначений - Ссылки на счета-фактуры, исключаемые при поиске.
//  ПометкаУдаления		- Булево - Значение пометки счета-фактуры для отбора при поиске.
//	СтруктураОтбора     - Структура - Дополнительный отбор счетов-фактур.
//
// Возвращаемое значение:
//	Соответствие - Содержит:
//		* Ключ - ДокументСсылка.* - Документ основание
//  	* Значение - ДокументСсылка.СчетФактураВыданный - Найденный счет-фактура для документа-основания.
//
Функция НайтиПодчиненныеСчетаФактурыВыданныеНаРеализацию(СписокДокументовОснований, ИсключаемыеСФ = Неопределено, ПометкаУдаления = Ложь, СтруктураОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовПереопределяемый.НайтиПодчиненныеСчетаФактурыВыданныеНаРеализацию(СписокДокументовОснований, ИсключаемыеСФ, ПометкаУдаления, СтруктураОтбора);
```
</details>

## ПроверитьСериюРассчитатьСтатусПриИзмененииРеквизитаВТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если по сериям для переданных Номенклатуры/Склада учитывается себестоимость, то рассчитывает статус указания серий.
//  Проверяет принадлежность уже указанной серии переданной номенклатуре.
//
// Параметры:
//  ТекущаяСтрока			 - Структура - для которой рассчитывается статус указания серий;
//  Склад					 - СправочникСсылка.Склады	 - склад, для которого осуществляется расчет статуса указания серий;
//  ПараметрыУказанияСерий	 - Структура				 - структура, описанная в функции НоменклатураКлиентСервер.ПараметрыУказанияСерий.
//
// Возвращаемое значение:
//  Структура - структура со следующими ключами:
//  * Серия - СправочникСсылка.СерииНоменклатуры - если серия указана и она может использоваться с новым значением номенклатуры,
//  	на указанном складе, то возвращается переданное значение, если нет - пустая ссылка;
//  * СтатусУказанияСерий - Число - если серии указываются в ТЧ "Товары", то возвращается рассчитанный статус,
//  	если для переданной номенклатуры/склада серии не используется - возвращается 0
//  	иначе возвращается переданный статус.
//
Функция ПроверитьСериюРассчитатьСтатусПриИзмененииРеквизитаВТЧ(ТекущаяСтрока, Склад, ПараметрыУказанияСерий) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовПереопределяемый.ПроверитьСериюРассчитатьСтатусПриИзмененииРеквизитаВТЧ(ТекущаяСтрока, Склад, ПараметрыУказанияСерий) 
```
</details>

## ДополнитьТаблицуКолонкамиПоПолямПараметровУказанияСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьТаблицуКолонкамиПоПолямПараметровУказанияСерий(ПараметрыУказанияСерий, Таблица, Знач Метаданные = Неопределено, ЭтоТаблицаСерий = Ложь) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ДополнитьТаблицуКолонкамиПоПолямПараметровУказанияСерий(ПараметрыУказанияСерий, Таблица, Метаданные, ЭтоТаблицаСерий);
```
</details>

## ЗаполнитьСтатусыУказанияСерийПриОкончанииРедактированияСтрокиТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура пересчитывает статусы указания серий в строках товаров, если это необходимо,
//  переподчиняет строки серий другим строкам ТЧ "Товары".
//
// Параметры:
//  Объект						 - ДанныеФормыСтруктура	 - основной реквизит формы документа.
//  ПараметрыУказанияСерий		 - Структура - структура параметров указания серий, возвращаемая соответствующей процедурой модуля менеджера документа.
//  ТекущаяСтрокаИдентификатор	 - Число - идентификатор текущей строки товаров в форме документа.
//  КэшированныеЗначения		 - Структура - структура кеша реквизитов текущей строки товаров.
//
Процедура ЗаполнитьСтатусыУказанияСерийПриОкончанииРедактированияСтрокиТЧ(Объект, Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовПереопределяемый.ЗаполнитьСтатусыУказанияСерийПриОкончанииРедактированияСтрокиТЧ(Объект, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
