---
title: Распознавание документов служебный вызов сервера
slug: erp-uh/распознавание-документов-служебный-вызов-сервера
---


## ВыполнитьАвторизациюПоТикетуИТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьАвторизациюПоТикетуИТС() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ВыполнитьАвторизациюПоТикетуИТС() 
```
</details>

## ПодключеноКСервисуРаспознавания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодключеноКСервисуРаспознавания() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ПодключеноКСервисуРаспознавания() 
```
</details>

## КорректныДанныеАутентификацииПользователяИнтернетПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КорректныДанныеАутентификацииПользователяИнтернетПоддержки() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.КорректныДанныеАутентификацииПользователяИнтернетПоддержки() 
```
</details>

## НачатьПроверкуДопустимыхДействийПриАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НачатьПроверкуДопустимыхДействийПриАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.НачатьПроверкуДопустимыхДействийПриАвторизации() 
```
</details>

## ПроверитьДоступностьКаталогаДляПрямогоОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет доступность каталога, указанного в настройках соглашения об обмене (через каталог),
// на доступность как с клиента (т.к. выбор каталога происходит с клиента), так ИС сервера (т.к. работа с файлами
// выполняется на сервере).
//
// Параметры:
//  ПутьККаталогу - Строка - полный путь к каталогу, доступность которого надо проверить (с клиента ИС сервера).
//
// Возвращаемое значение:
//  Булево - признак доступности каталога.
//
Функция ПроверитьДоступностьКаталогаДляПрямогоОбмена(ПутьККаталогу) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ПроверитьДоступностьКаталогаДляПрямогоОбмена(ПутьККаталогу) 
```
</details>

## ПрочитатьТестовыйФайлНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция используется для проверки доступности каталога, указанного в настройках соглашения об обмене (через каталог):
// на клиенте в каталог записывается файл, на сервере выполняется попытка прочитать его по тому же пути. Связано это с тем,
// что данный каталог должен быть доступен как с клиента, так ИС сервера.
//
// Параметры:
//  ПолноеИмяТестовогоФайла - строка - полный путь к тестовому файлу записанному из клиентского сеанса.
//
// Возвращаемое значение:
//  Булево - Истина - файл по указанному пути существует, иначе - Ложь.
//
Функция ПрочитатьТестовыйФайлНаСервере(ПолноеИмяТестовогоФайла) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ПрочитатьТестовыйФайлНаСервере(ПолноеИмяТестовогоФайла));
```
</details>

## ОтправкаВложенийИзПочты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправкаВложенийИзПочты(УчетнаяЗапись) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовСлужебныйВызовСервера.ОтправкаВложенийИзПочты(УчетнаяЗапись) 
```
</details>

## ОтправкаФайловИзКаталога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправкаФайловИзКаталога(ПараметрыПоиска) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовСлужебныйВызовСервера.ОтправкаФайловИзКаталога(ПараметрыПоиска) 
```
</details>

## ЗначениеРеквизитаОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения реквизита, прочитанного из информационной базы по ссылке на объект.
// Рекомендуется использовать вместо обращения к реквизитам объекта через точку от ссылки на объект
// для быстрого чтения отдельных реквизитов объекта из базы данных.
//
// Если необходимо зачитать реквизит независимо от прав текущего пользователя,
// то следует использовать предварительный переход в привилегированный режим.
//
// Параметры:
//  Ссылка    - ЛюбаяСсылка - объект, значения реквизитов которого необходимо получить.
//            - Строка      - полное имя предопределенного элемента, значения реквизитов которого необходимо получить.
//  ИмяРеквизита       - Строка - имя получаемого реквизита.
//                                Допускается указание имени реквизита через точку, но при этом параметр КодЯзыка для
//                                такого реквизита учитываться не будет.
//  ВыбратьРазрешенные - Булево - если Истина, то запрос к объекту выполняется с учетом прав пользователя;
//                                если есть ограничение на уровне записей, то возвращается Неопределено;
//                                если нет прав для работы с таблицей, то возникнет исключение;
//                                если Ложь, то возникнет исключение при отсутствии прав на таблицу
//                                или любой из реквизитов.
//  КодЯзыка - Строка - код языка для мультиязычного реквизита. Значение по умолчанию - основной язык конфигурации.
//
// Возвращаемое значение:
//  Произвольный - если в параметр Ссылка передана пустая ссылка, то возвращается Неопределено.
//                 Если в параметр Ссылка передана ссылка несуществующего объекта (битая ссылка),
//                 то возвращается Неопределено.
//
Функция ЗначениеРеквизитаОбъекта(Ссылка, ИмяРеквизита, ВыбратьРазрешенные = Ложь, Знач КодЯзыка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ЗначениеРеквизитаОбъекта(Ссылка, ИмяРеквизита, ВыбратьРазрешенные, КодЯзыка);
```
</details>

## ТипРаспознанногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипРаспознанногоДокумента(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ТипРаспознанногоДокумента(Ссылка) 
```
</details>

## ВариантОбработкиРаспознанногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВариантОбработкиРаспознанногоДокумента(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ВариантОбработкиРаспознанногоДокумента(Ссылка) 
```
</details>

## ФайлыРаспознанногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ФайлыРаспознанногоДокумента(РаспознанныйДокумент, ИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ФайлыРаспознанногоДокумента(РаспознанныйДокумент, ИдентификаторФормы) 
```
</details>

## КоличествоФайловРаспознанногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоФайловРаспознанногоДокумента(РаспознанныйДокумент) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.КоличествоФайловРаспознанногоДокумента(РаспознанныйДокумент) 
```
</details>

## ХарактеристикиИспользуются
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ХарактеристикиИспользуются(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ХарактеристикиИспользуются(Объект) 
```
</details>

## ЭтоНоменклатураУслуга
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоНоменклатураУслуга(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ЭтоНоменклатураУслуга(Объект) 
```
</details>

## ТипНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипНоменклатуры(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ТипНоменклатуры(Объект) 
```
</details>

## ЭтоНоменклатураРабота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоНоменклатураРабота(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ЭтоНоменклатураРабота(Объект) 
```
</details>

## СтранаПоНомеруГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтранаПоНомеруГТД(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.СтранаПоНомеруГТД(Объект) 
```
</details>

## ВедетсяУчетПоГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВедетсяУчетПоГТД(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ВедетсяУчетПоГТД(Объект) 
```
</details>

## ВедетсяУчетПоРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВедетсяУчетПоРНПТ(Объект) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ВедетсяУчетПоРНПТ(Объект) 
```
</details>

## ДоступенНеоплаченныйРаспознанныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоступенНеоплаченныйРаспознанныйДокумент(РаспознанныйДокумент) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ДоступенНеоплаченныйРаспознанныйДокумент(РаспознанныйДокумент) 
```
</details>

## ПараметрыЗаполненияТиповойНаОсновеФормыТОРГ12
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыЗаполненияТиповойНаОсновеФормыТОРГ12(Знач НашДокумент, Знач ВидОперации, Знач ТипДокументаСтрокой) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ПараметрыЗаполненияТиповойНаОсновеФормыТОРГ12(НашДокумент, ВидОперации, ТипДокументаСтрокой) 
```
</details>

## ПараметрыЗаполненияТиповойНаОсновеСчетНаОплату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыЗаполненияТиповойНаОсновеСчетНаОплату(Знач НашДокумент, Знач ТипДокументаСтрокой) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйВызовСервера.ПараметрыЗаполненияТиповойНаОсновеСчетНаОплату(НашДокумент, ТипДокументаСтрокой) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
