---
title: Распознавание документов служебный клиент сервер
slug: erp-uh/распознавание-документов-служебный-клиент-сервер
---


## АдресСведенияСайт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для быстрой подмены адреса сведений на сайте сервиса.
// Исп. в расширении.
//
// Возвращаемое значение:
//   Строка
//
Функция АдресСведенияСайт() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.АдресСведенияСайт() 
```
</details>

## АдресСведенияПорталИТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для быстрой подмены адреса сведений на Портале 1С:ИТС.
// Исп. в расширении.
//
// Возвращаемое значение:
//   Строка
//
Функция АдресСведенияПорталИТС() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.АдресСведенияПорталИТС() 
```
</details>

## АдресЛичногоКабинета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для быстрой подмены адреса личного кабинета.
// Исп. в расширении.
//
// Возвращаемое значение:
//   Строка
//
Функция АдресЛичногоКабинета() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.АдресЛичногоКабинета() 
```
</details>

## ИдентификаторСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИдентификаторСервиса() Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.ИдентификаторСервиса() 
```
</details>

## РеквизитДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание реквизита модели распознанного документа.
// Если не найден - при указании СоздаватьЕслиНеНайдено = Истина будет добавлен с пустым значением.
//
// Параметры:
//  Объект - ДокументОбъект.РаспознанныйДокумент - распознанный документ, реквизит которого нужно получить.
//  ИмяРеквизита - Строка - имя искомого реквизита.
//  СоздаватьЕслиНеНайдено - Булево - признак необходимости создания нового реквизита, в случае его ненахода.
//
// Возвращаемое значение:
//  Неопределено, СтрокаТаблицыЗначений - описание найденного реквизита распознанного документа.
//  Если реквизит не найден, то возвращается Неопределено.
//
Функция РеквизитДокумента(Объект, ИмяРеквизита, СоздаватьЕслиНеНайдено = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.РеквизитДокумента(Объект, ИмяРеквизита, СоздаватьЕслиНеНайдено);
```
</details>

## ЗначениеРеквизитаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Значение реквизита модели распознанного документа.
// Если не найден - не будет добавлен и будет возвращено значение по умолчанию.
//
// Параметры:
//  Объект - ДокументОбъект.РаспознанныйДокумент - распознанный документ, значение реквизита которого нужно получить.
//  ИмяРеквизита - Строка - имя реквизита, значение которого нужно получить.
//  ЗначениеПоУмолчанию - Произвольный, Неопределено - тип значения реквизита. По умолчанию Неопределено.
//
// Возвращаемое значение:
//  Произвольный - значение реквизита распознанного документа.
//
Функция ЗначениеРеквизитаДокумента(Объект, ИмяРеквизита, ЗначениеПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.ЗначениеРеквизитаДокумента(Объект, ИмяРеквизита, ЗначениеПоУмолчанию);
```
</details>

## УстановитьЗначениеРеквизитаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение реквизита модели распознанного документа.
// Если не найден - будет добавлен с указанным значением.
//
Процедура УстановитьЗначениеРеквизитаДокумента(Объект, ИмяРеквизита, Значение) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовСлужебныйКлиентСервер.УстановитьЗначениеРеквизитаДокумента(Объект, ИмяРеквизита, Значение) 
```
</details>

## РеквизитТаблицыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитТаблицыДокумента(Объект, НомерСтрокиТЧ, ИмяРеквизита, СоздаватьЕслиНеНайдено = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.РеквизитТаблицыДокумента(Объект, НомерСтрокиТЧ, ИмяРеквизита, СоздаватьЕслиНеНайдено);
```
</details>

## УстановитьЗначениеРеквизитаТаблицыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьЗначениеРеквизитаТаблицыДокумента(Объект, НомерСтрокиТЧ, ИмяРеквизита, Значение) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовСлужебныйКлиентСервер.УстановитьЗначениеРеквизитаТаблицыДокумента(Объект, НомерСтрокиТЧ, ИмяРеквизита, Значение) 
```
</details>

## ПриИзмененииКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииКолонки(Объект, СтрокаТаблицы, ИмяРеквизита, ВыбранноеЗначение) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовСлужебныйКлиентСервер.ПриИзмененииКолонки(Объект, СтрокаТаблицы, ИмяРеквизита, ВыбранноеЗначение) 
```
</details>

## ПриИзмененииСумма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииСумма(СтрокаТаблицы, СуммаВключаетНДС) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовСлужебныйКлиентСервер.ПриИзмененииСумма(СтрокаТаблицы, СуммаВключаетНДС) 
```
</details>

## ПриИзмененииСтавкаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииСтавкаНДС(СтрокаТаблицы, СуммаВключаетНДС, ПрименяютсяСтавки4и2 = Ложь) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовСлужебныйКлиентСервер.ПриИзмененииСтавкаНДС(СтрокаТаблицы, СуммаВключаетНДС, ПрименяютсяСтавки4и2);
```
</details>

## ПриИзмененииСуммаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииСуммаНДС(СтрокаТаблицы, СуммаВключаетНДС) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовСлужебныйКлиентСервер.ПриИзмененииСуммаНДС(СтрокаТаблицы, СуммаВключаетНДС) 
```
</details>

## ВставитьПараметрыВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет в шаблоне строки имена параметров на их значения. Параметры в строке выделяются с двух сторон квадратными
// скобками.
//
// Параметры:
//  ШаблонСтроки - Строка, ФорматированнаяСтрока - строка, в которую необходимо вставить значения.
//  Параметры    - Структура - подставляемые значения параметров, где ключ - имя параметра без спецсимволов,
//                             значение - вставляемое значение.
//
// Возвращаемое значение:
//  Строка - строка со вставленными значениями.
//
// Пример:
//  Значения = Новый Структура("Фамилия,Имя", "Пупкин", "Вася");
//  Результат = СтроковыеФункцииКлиентСервер.ВставитьПараметрыВСтроку("Здравствуй, [Имя] [Фамилия].", Значения);
//  - возвращает: "Здравствуй, Вася Пупкин".
//
Функция ВставитьПараметрыВСтроку(Знач ШаблонСтроки, Знач Параметры) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.ВставитьПараметрыВСтроку(ШаблонСтроки, Параметры) 
```
</details>

## ЗаполнитьНаборСтрокФорматированногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьНаборСтрокФорматированногоДокумента(НаборСтрок, Параметры, Элементы) Экспорт
```

Пример вызова
```bsl
РаспознаваниеДокументовСлужебныйКлиентСервер.ЗаполнитьНаборСтрокФорматированногоДокумента(НаборСтрок, Параметры, Элементы));
```
</details>

## РассчитатьСуммуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает сумму НДС исходя из суммы и флагов налогообложения.
//
// Параметры:
//  Сумма            - Число - сумма от которой надо рассчитывать налоги;
//  СуммаВключаетНДС - Булево - признак включения НДС в сумму ("внутри" или "сверху");
//  СтавкаНДС        - Число - процентная ставка НДС.
//
// Возвращаемое значение:
//  Число - полученная сумма НДС.
//
Функция РассчитатьСуммуНДС(Сумма, СуммаВключаетНДС, СтавкаНДС) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.РассчитатьСуммуНДС(Сумма, СуммаВключаетНДС, СтавкаНДС) 
```
</details>

## ПолучитьСтавкуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтавкуНДС(СтавкаНДС) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.ПолучитьСтавкуНДС(СтавкаНДС));
```
</details>

## КлючСвойстваЯчеекТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КлючСвойстваЯчеекТаблицы(ИмяРеквизита, НомерСтрокиТЧ) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.КлючСвойстваЯчеекТаблицы(ИмяРеквизита, НомерСтрокиТЧ) 
```
</details>

## НаборДанныхСтрокиТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НаборДанныхСтрокиТаблицы(СвойстваЯчеекТаблицы, НомерСтрокиТЧ) Экспорт
```

Пример вызова
```bsl
Результат = РаспознаваниеДокументовСлужебныйКлиентСервер.НаборДанныхСтрокиТаблицы(СвойстваЯчеекТаблицы, НомерСтрокиТЧ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
