---
title: Распределение взаиморасчетов вызов сервера
slug: erp-uh/распределение-взаиморасчетов-вызов-сервера
---


## ОтложенноеПроведениеПоРасчетамСПартнерами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод вызывается из регламентного задания "Формирование движений по расчету с партнерами".
Процедура ОтложенноеПроведениеПоРасчетамСПартнерами() Экспорт
```

Пример вызова
```bsl
РаспределениеВзаиморасчетовВызовСервера.ОтложенноеПроведениеПоРасчетамСПартнерами() 
```
</details>

## ПоляОтбораПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имена полей по умолчанию для использования в отчетах.
// Возвращаемое значение:
//  Структура:
//   * Организация - Строка - "Организация".
//   * Партнер     - Строка - "Партнер".
//   * Контрагент  - Строка - "Контрагент".
//   * Период      - Строка - "Период".
//
Функция ПоляОтбораПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = РаспределениеВзаиморасчетовВызовСервера.ПоляОтбораПоУмолчанию() 
```
</details>

## ВосстановитьРасчетыПоОтборам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод вызывается из отчетов. Восстанавливает указанные расчеты только по указанным отборам в отчете.
// Параметры:
//		КомпоновщикНастроек - КомпоновщикНастроекКомпоновкиДанных -  Компоновщик настроек отчета.
//		ПоляОтбора - Структура - Содержит в себе обязательные поля аналитик с указанием,
//								 как данные поля называются в отчете.
//		ДопСвойства - Структура - Содержит в себе доп. свойства отчета. При запуске расчета
//								  в доп. свойствах взводится признак "ГраницаВзаиморасчетов".
//								  Проверяется другими механизмами, показывает что расчет не актуален.
//		РасчетКВосстановлению - Строка - Имя расчета к восстановлению. Если параметр не заполнен,
//										то выполнятся все расчеты.
Процедура ВосстановитьРасчетыПоОтборам(КомпоновщикНастроек, ПоляОтбора, ДопСвойства, РасчетКВосстановлению = Неопределено) Экспорт
```

Пример вызова
```bsl
РаспределениеВзаиморасчетовВызовСервера.ВосстановитьРасчетыПоОтборам(КомпоновщикНастроек, ПоляОтбора, ДопСвойства, РасчетКВосстановлению);
```
</details>

## НачалоРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает минимальную дату, на которую неактуален расчет (расчеты).
// Параметры:
//		КонецРасчета - Дата - Верхняя граница анализа актуальности расчетов.
//		АналитикиКРасчету - Структура - Содержит аналитики по партнерам или организациям, по которым необходим расчет:
//			* АналитикиУчетаПоПартнерам - Массив - Содержит массив ключей аналитик по партнерам.
//			* Организации - Массив - Содержит массив организаций.
//		РасчетКВосстановлению - Строка - Имя расчета для анализа. Если параметр не указан,
//										 то анализируются все расчеты.
//		НомерЗадания - Число - Если заполнено, то анализируются расчеты только по этому номеру.
// Возвращаемое значение:
//  Дата - Минимальная дата, на которую неактуален расчет.
Функция НачалоРасчетов(КонецРасчета, АналитикиКРасчету = Неопределено, РасчетКВосстановлению = Неопределено, НомерЗадания = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспределениеВзаиморасчетовВызовСервера.НачалоРасчетов(КонецРасчета, АналитикиКРасчету, РасчетКВосстановлению, НомерЗадания);
```
</details>

## РассчитатьВсе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет полный расчеты с клиентами и поставщиками по указанную дату.
// Параметры:
//		ОкончаниеПериодаРасчета - Дата - Граница по которую выполняется расчет.
// 		АналитикиРасчета - Структура - Перечень аналитик, по которым требуется выполнить расчет. См. метод АналитикиРасчета.
Процедура РассчитатьВсе(ОкончаниеПериодаРасчета, АналитикиРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
РаспределениеВзаиморасчетовВызовСервера.РассчитатьВсе(ОкончаниеПериодаРасчета, АналитикиРасчета);
```
</details>

## РаспределитьВсеРасчетыСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет полный расчет с клиентами по указанную дату.
// Параметры:
//		ОкончаниеПериодаРасчета - Дата - Граница по которую выполняется расчет.
//		АналитикиРасчета - Структура - Содержит аналитики по партнерам или организациям, по которым необходим расчет:
//			* АналитикиУчетаПоПартнерам - Массив - Содержит массив ключей аналитик по партнерам.
//			* Организации - Массив - Содержит массив организаций.
Процедура РаспределитьВсеРасчетыСКлиентами(ОкончаниеПериодаРасчета, АналитикиРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
РаспределениеВзаиморасчетовВызовСервера.РаспределитьВсеРасчетыСКлиентами(ОкончаниеПериодаРасчета, АналитикиРасчета);
```
</details>

## РаспределитьВсеРасчетыСПоставщиками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет полный расчет с поставщиками по указанную дату.
// Параметры:
//		ОкончаниеПериодаРасчета - Дата - Граница по которую выполняется расчет.
//		АналитикиРасчета - Структура - Содержит аналитики по партнерам или организациям, по которым необходим расчет:
//			* АналитикиУчетаПоПартнерам - Массив - Содержит массив ключей аналитик по партнерам.
//			* Организации - Массив - Содержит массив организаций.
Процедура РаспределитьВсеРасчетыСПоставщиками(ОкончаниеПериодаРасчета, АналитикиРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
РаспределениеВзаиморасчетовВызовСервера.РаспределитьВсеРасчетыСПоставщиками(ОкончаниеПериодаРасчета, АналитикиРасчета);
```
</details>

## РаспределитьРасчетыФоновымЗаданием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет актуализацию расчетов в фоновом задании.
// Параметры:
//		КонецРасчета - Дата - Дата окончания актуализации.
//		АналитикиРасчета - Структура - Содержит аналитики по партнерам или организациям, по которым необходим расчет:
//			* АналитикиУчетаПоПартнерам - Массив - Содержит массив ключей аналитик по партнерам.
//			* Организации - Массив - Содержит массив организаций.
//		РасчетКВосстановлению - Строка - Имя расчета к актуализации. Если не заполнено, то актуализируются все расчеты.
//		Ключ - Строка - ключ фонового задания.
Процедура РаспределитьРасчетыФоновымЗаданием(КонецРасчета = Неопределено, АналитикиРасчета = Неопределено, РасчетКВосстановлению = Неопределено, Ключ = "") Экспорт
```

Пример вызова
```bsl
РаспределениеВзаиморасчетовВызовСервера.РаспределитьРасчетыФоновымЗаданием(КонецРасчета, АналитикиРасчета, РасчетКВосстановлению, Ключ);
```
</details>

## ВывестиАктуальностьРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит в макет информационную надпись о запущенном фоновом задании.
Процедура ВывестиАктуальностьРасчетов(Макет, ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РаспределениеВзаиморасчетовВызовСервера.ВывестиАктуальностьРасчетов(Макет, ПараметрыРасчета) 
```
</details>

## ИмяФоновогоЗаданияРасчетовСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя фонового задания распределения взаиморасчетов с клиентами.
// Возвращаемое значение:
//  Строка - Имя фонового задания.
Функция ИмяФоновогоЗаданияРасчетовСКлиентами() Экспорт
```

Пример вызова
```bsl
Результат = РаспределениеВзаиморасчетовВызовСервера.ИмяФоновогоЗаданияРасчетовСКлиентами() 
```
</details>

## ИмяФоновогоЗаданияРасчетовСПоставщиками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя фонового задания распределения взаиморасчетов с поставщиками.
// Возвращаемое значение:
//  Строка - Имя фонового задания.
Функция ИмяФоновогоЗаданияРасчетовСПоставщиками() Экспорт
```

Пример вызова
```bsl
Результат = РаспределениеВзаиморасчетовВызовСервера.ИмяФоновогоЗаданияРасчетовСПоставщиками() 
```
</details>

## АктивноФоновоеЗаданиеВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак активности задания распределения расчетов
// Возвращаемое значение:
//  Булево - Фоновое задание активно.
Функция АктивноФоновоеЗаданиеВзаиморасчетов() Экспорт
```

Пример вызова
```bsl
Результат = РаспределениеВзаиморасчетовВызовСервера.АктивноФоновоеЗаданиеВзаиморасчетов() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
