---
title: Распределенная фискализация
slug: erp-uh/распределенная-фискализация
---


## ДоступноРаспределеннаяФискализация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак доступности распределенной фискализации.
//
// Возвращаемое значение:
//  Булево.
//
Функция ДоступноРаспределеннаяФискализация() Экспорт
```

Пример вызова
```bsl
Результат = РаспределеннаяФискализация.ДоступноРаспределеннаяФискализация() 
```
</details>

## ОбсуждениеФискализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает обсуждение фискализации.
//
// Возвращаемое значение:
//  Неопределено, ИдентификаторОбсужденияСистемыВзаимодействия - Обсуждение фискализации
//
Функция ОбсуждениеФискализации() Экспорт
```

Пример вызова
```bsl
Результат = РаспределеннаяФискализация.ОбсуждениеФискализации() 
```
</details>

## СоздатьСообщениеФискализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает сообщение для фискализации чека
//
// Параметры:
//  ИдентификаторЧека - УникальныйИдентификатор
//  ОрганизацияИИН - Строка
//
Процедура СоздатьСообщениеФискализации(ИдентификаторЧека, ОрганизацияИИН = Неопределено) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализация.СоздатьСообщениеФискализации(ИдентификаторЧека, ОрганизацияИИН);
```
</details>

## ДобавитьЧекВОчередьЧековККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить чек в очередь чеков ККТ.
//
// Параметры:
//  ПараметрыЧекаККТ - Структура - Параметры чека ККТ:
//  * ПозицииЧека - Массив из См. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыФискальнойСтрокиЧека - .
//  ПараметрыПакетнойОперации - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПакетнойОперацииВОчередиЧеков
// Возвращаемое значение:
//  РегистрСведенийЗапись.ОчередьЧековККТ.
Функция ДобавитьЧекВОчередьЧековККТ(ПараметрыЧекаККТ, ПараметрыПакетнойОперации = Неопределено, ЗапуститьОчередьЧеков = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РаспределеннаяФискализация.ДобавитьЧекВОчередьЧековККТ(ПараметрыЧекаККТ, ПараметрыПакетнойОперации, ЗапуститьОчередьЧеков);
```
</details>

## ДанныеЧекаВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные чека из очереди.
//
// Параметры:
//  ИдентификаторЗаписи - РегистрСведенийЗапись.ФискальныеОперации - Идентификатор записи.
//
// Возвращаемое значение:
//  Структура.
Функция ДанныеЧекаВОчереди(ИдентификаторЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = РаспределеннаяФискализация.ДанныеЧекаВОчереди(ИдентификаторЗаписи) 
```
</details>

## ЧекиВОчередиНаФискализацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Чеки в очереди на фискализацию.
//
// Параметры:
//  КассаККМ - ОпределяемыйТип.КассаБПО - Касса по которой провести фискализацию, если не указано тогда по всем.
//
// Возвращаемое значение:
//  Массив.
Функция ЧекиВОчередиНаФискализацию(КассаККМ = Неопределено, ОблачнаяККТ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РаспределеннаяФискализация.ЧекиВОчередиНаФискализацию(КассаККМ, ОблачнаяККТ);
```
</details>

## ЧекиВОчередиНаПроверкуСтатусов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Чеки в очереди на фискализацию.
//
// Параметры:
//  КассаККМ - ОпределяемыйТип.КассаБПО - Касса по которой провести фискализацию, если не указано тогда по всем.
//
// Возвращаемое значение:
//  Массив.
Функция ЧекиВОчередиНаПроверкуСтатусов(КассаККМ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспределеннаяФискализация.ЧекиВОчередиНаПроверкуСтатусов(КассаККМ);
```
</details>

## УдалитьЧекИзОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удалить чек из очереди.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ-основание.
//
Процедура УдалитьЧекИзОчереди(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализация.УдалитьЧекИзОчереди(ДокументСсылка) 
```
</details>

## ОчиститьОчередьЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистить очередь чеков.
//
Процедура ОчиститьОчередьЧеков() Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализация.ОчиститьОчередьЧеков() 
```
</details>

## ЗаписатьСтатусЧекаВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать статус чека в очереди.
//
// Параметры:
//  ПараметрыФискализации - Структура:
//   * ИдентификаторФискальнойЗаписи - Строка
//   * ДокументОснование - ДокументСсылка
//   * РезультатВыполненияПакетнойОперации - Структура
//  СтатусЧека - ПеречислениеСсылка.СтатусЧекаККТВОчереди
//  ОборудованиеККТ - СправочникСсылка.ПодключаемоеОборудование -
//  ТекстОшибки - Строка
Процедура ЗаписатьСтатусЧекаВОчереди(ПараметрыФискализации, СтатусЧека, ОборудованиеККТ = Неопределено, ТекстОшибки = Неопределено, СтатусОперацииВСервисе = Неопределено, ОбъектОбработан = Истина) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализация.ЗаписатьСтатусЧекаВОчереди(ПараметрыФискализации, СтатусЧека, ОборудованиеККТ, ТекстОшибки, СтатусОперацииВСервисе, ОбъектОбработан);
```
</details>

## ПолучитьСтатусЧекаВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные чека из очереди.
//
// Параметры:
//  ИдентификаторЗаписи - РегистрСведенийЗапись.ФискальныеОперации - Идентификатор записи.
//
// Возвращаемое значение:
//  Структура.
Функция ПолучитьСтатусЧекаВОчереди(ИдентификаторЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = РаспределеннаяФискализация.ПолучитьСтатусЧекаВОчереди(ИдентификаторЗаписи) 
```
</details>

## ПолучитьФискальнуюОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные чека из очереди по фискальный признаку и номеру чеку ККМ.
//
// Параметры:
//  ФискальныйПризнак - Строка - Фискальный признак
//  НомерЧекаККМ - Строка - Номер чека ККМ
//
// Возвращаемое значение:
//  Неопределено, Структура - Получить фискальную операцию:
//  * ДокументОснование - ОпределяемыйТип.ОснованиеФискальнойОперацииБПО.
//  * ИдентификаторЗаписи - УникальныйИдентификатор.
//  * ФискальныйПризнак - Строка -
//  * НомерСменыККМ - Число.
//  * НомерЧекаККМ - Число.
Функция ПолучитьФискальнуюОперацию(ФискальныйПризнак, НомерЧекаККМ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РаспределеннаяФискализация.ПолучитьФискальнуюОперацию(ФискальныйПризнак, НомерЧекаККМ);
```
</details>

## ФискализацияЧековВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить фискализацию чеков в очереди
//
// Параметры:
//  Параметры - см. ПараметрыФискализацииОчередиЧеков.
Процедура ФискализацияЧековВОчереди(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализация.ФискализацияЧековВОчереди(Параметры);
```
</details>

## ПолучениеСтатусовЧековВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить получение статусов чеков в очереди
Процедура ПолучениеСтатусовЧековВОчереди() Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализация.ПолучениеСтатусовЧековВОчереди() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
