---
title: Распределенная фискализация клиент
slug: erp-uh/распределенная-фискализация-клиент
---


## ПодключениеСистемыВзаимодействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключает обработчики системы оповещения, для использования в распределенной фискализации
//
// Параметры:
//  ИдентификаторОбсуждения - ИдентификаторОбсужденияСистемыВзаимодействия
//
Процедура ПодключениеСистемыВзаимодействия(ИдентификаторОбсуждения) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияКлиент.ПодключениеСистемыВзаимодействия(ИдентификаторОбсуждения) 
```
</details>

## ОбработкаОповещенияПодключенияСообщенийФискализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение подключения обработчика системы оповещения
//
// Параметры:
//  ДополнительныеПараметры - Произвольный
//
Процедура ОбработкаОповещенияПодключенияСообщенийФискализации(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияКлиент.ОбработкаОповещенияПодключенияСообщенийФискализации(ДополнительныеПараметры) 
```
</details>

## ОбработкаОповещенияСообщенийФискализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик появлении новых сообщений в обсуждении
//
// Параметры:
//  Сообщение - СообщениеСистемыВзаимодействия
//  ДополнительныеПараметры - Произвольный
//
Процедура ОбработкаОповещенияСообщенийФискализации(Сообщение, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияКлиент.ОбработкаОповещенияСообщенийФискализации(Сообщение, ДополнительныеПараметры) 
```
</details>

## ФискализацияЧековВОчереди_ПослеОткрытияЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик после открытия чека.
//
// Параметры:
//  ПараметрыВыполнения - Структура - Параметры выполнения команды
//  ДополнительныеПараметры - Произвольный
//
Процедура ФискализацияЧековВОчереди_ПослеОткрытияЧека(ПараметрыВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияКлиент.ФискализацияЧековВОчереди_ПослеОткрытияЧека(ПараметрыВыполнения, ДополнительныеПараметры) 
```
</details>

## ФискализацияЧековВОчереди_ПослеОшибкиПечатиЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик после ошибки печати чека.
//
// Параметры:
//  ПараметрыВыполнения - Структура - Параметры выполнения команды
//  ДополнительныеПараметры - Произвольный
//
Процедура ФискализацияЧековВОчереди_ПослеОшибкиПечатиЧека(ПараметрыВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияКлиент.ФискализацияЧековВОчереди_ПослеОшибкиПечатиЧека(ПараметрыВыполнения, ДополнительныеПараметры) 
```
</details>

## ФискализацияЧековВОчереди_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение фискализации чеков в очереди
//
// Параметры:
//  РезультатВыполнения - Структура
//  ОбщиеПараметры - ОбщиеПараметры
//
Процедура ФискализацияЧековВОчереди_Завершение(РезультатВыполнения, ОбщиеПараметры) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияКлиент.ФискализацияЧековВОчереди_Завершение(РезультатВыполнения, ОбщиеПараметры) 
```
</details>

## ФискализацияЧековВОчереди_ЗавершениеПакетнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение фискализации пакетной операции в очереди
//
// Параметры:
//  РезультатВыполнения - см. ОборудованиеЧекопечатающиеУстройстваКлиент.РезультатПродажаСВыдачейНаличных
//  ОбщиеПараметры - ОбщиеПараметры
//
Процедура ФискализацияЧековВОчереди_ЗавершениеПакетнойОперации(РезультатВыполнения, ОбщиеПараметры) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияКлиент.ФискализацияЧековВОчереди_ЗавершениеПакетнойОперации(РезультатВыполнения, ОбщиеПараметры) 
```
</details>

## ФискализацияЧековВОчереди_Начало
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать фискализацию чеков в очереди
//
// Параметры:
//  Параметры - см. ПараметрыФискализацииОчередиЧеков
Процедура ФискализацияЧековВОчереди_Начало(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияКлиент.ФискализацияЧековВОчереди_Начало(Параметры);
```
</details>

## ПараметрыФискализацииОчередиЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для выполнения фискализации очереди чеков
//
// Возвращаемое значение:
//  Структура:
//   * Форма - ФормаКлиентскогоПриложения
//   * КассаККМ - ОпределяемыйТип.КассаБПО
Функция ПараметрыФискализацииОчередиЧеков() Экспорт
```

Пример вызова
```bsl
Результат = РаспределеннаяФискализацияКлиент.ПараметрыФискализацииОчередиЧеков() 
```
</details>

## ФискализацияЧековВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить фискализацию чеков в очереди
//
// Параметры:
//  РазрешенаАвтоматическаяФискализация - Булево
//  Параметры - см. ПараметрыФискализацииОчередиЧеков.
Процедура ФискализацияЧековВОчереди(РазрешенаАвтоматическаяФискализация = Истина, Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияКлиент.ФискализацияЧековВОчереди(РазрешенаАвтоматическаяФискализация, Параметры);
```
</details>

## ОткрытьОчередьЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы списка операций очереди чеков
//
// Параметры:
//  ПараметрКоманды - Произвольный - источник, в котором реализована команда
//  ПараметрыВыполненияКоманды - ПараметрыВыполненияКоманды
//
Процедура ОткрытьОчередьЧеков(ПараметрКоманды, ПараметрыВыполненияКоманды) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияКлиент.ОткрытьОчередьЧеков(ПараметрКоманды, ПараметрыВыполненияКоманды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
