---
title: Распределенная фискализация переопределяемый
slug: erp-uh/распределенная-фискализация-переопределяемый
---


## ФискализацияЧекаВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение фискализация чека в очереди
//
// Параметры:
//  ИдентификаторФискальнойЗаписи - Строка - Идентификатор фискальной записи
//  ПараметрыФискализации - Структура - Параметры операции
//  ОборудованиеККТ - СправочникСсылка.ПодключаемоеОборудование -
//  РезультатФискализации - Структура - Результат Фискализации
//  РезультатВыполненияПакетнойОперации - Структура -
//    * Результат - Булево - Результат выполнения пакета операций.
//    * ОписаниеОшибки - ИнформацияОбОшибке - Описание ошибки выполнения пакета операции.
//    * РезультатВыполненияЭквайринговойОперации - Структура -
//                                   См. МенеджерОборудованияКлиентСервер.ПараметрыВыполненияОперацииНаОборудовании()
//    * РезультатФискализацииЧека - Структура -
//                                   См. МенеджерОборудованияКлиентСервер.ПараметрыВыполненияОперацииНаОборудовании()
//    * РезультатФискализацииЧекаВыдачи - Структура -
//                                   См. МенеджерОборудованияКлиентСервер.ПараметрыВыполненияОперацииНаОборудовании()
//    * РезультатФискализацииЧекаКоррекции - Структура -
//                                   См. МенеджерОборудованияКлиентСервер.ПараметрыВыполненияОперацииНаОборудовании()
//    * РезультатАварийнойОтменыОперации - Структура -
//                                   См. МенеджерОборудованияКлиентСервер.ПараметрыВыполненияОперацииНаОборудовании()
//    * ПараметрыЭквайринговойОперации - Структура - структура для передачи данных в пакетной операции
//                                   См. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПакетнойОперацииВОчередиЧеков()
//    * ПараметрыПродажаСВыдачейНаличных - Структура - структура для передачи данных в пакетной операции
//                                   См. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПакетнойОперацииВОчередиЧеков()
Процедура ФискализацияЧекаВОчереди(ИдентификаторФискальнойЗаписи, ПараметрыФискализации, ОборудованиеККТ, РезультатФискализации, РезультатВыполненияПакетнойОперации, ОбъектОбработан = Истина) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияПереопределяемый.ФискализацияЧекаВОчереди(ИдентификаторФискальнойЗаписи, ПараметрыФискализации, ОборудованиеККТ, РезультатФискализации, РезультатВыполненияПакетнойОперации, ОбъектОбработан);
```
</details>

## ПроверитьСтатусДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение фискализация чека в очереди
//
// Параметры:
//  РеквизитыЧека - Структура - Данные документа основания.
//  СтатусДокументаИзменен - Булево - признак изменения статуса документа.
//
Процедура ПроверитьСтатусДокументаОснования(РеквизитыЧека, СтатусДокументаИзменен) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияПереопределяемый.ПроверитьСтатусДокументаОснования(РеквизитыЧека, СтатусДокументаИзменен) 
```
</details>

## ДоступноРаспределеннаяФискализация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступность распределенной фискализации.
//
// Параметры:
//  РаспределеннаяФискализацииДоступна - Булево - Доступность распределенной фискализации.
//  СтандартнаяОбработка - Булево - Стандартная обработка.
//
Процедура ДоступноРаспределеннаяФискализация(РаспределеннаяФискализацииДоступна, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияПереопределяемый.ДоступноРаспределеннаяФискализация(РаспределеннаяФискализацииДоступна, СтандартнаяОбработка) 
```
</details>

## ОбработатьСтатусПостановкиЧекаВОблачныйСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат взаимодействия чека с сервисом облачных касс.
//
// Параметры:
//  Документ - ОпределяемыйТип.ОснованиеФискальнойОперацииБПО - Документ операции.
//  СтатусДокументаВСервисе - Строка - статус документа в сервисе.
//  РеквизитыЧека - Структура - Данные документа основания.
//  ТекстОшибки - Строка - текст ошибки сервиса.
//
Процедура ОбработатьСтатусПостановкиЧекаВОблачныйСервис(Документ, СтатусДокументаВСервисе, РеквизитыЧека, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
РаспределеннаяФискализацияПереопределяемый.ОбработатьСтатусПостановкиЧекаВОблачныйСервис(Документ, СтатусДокументаВСервисе, РеквизитыЧека, ТекстОшибки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
