---
title: Рассылка электронных чеков
slug: erp-uh/рассылка-электронных-чеков
---


## ОтправитьЭлектронныйЧек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура отправляет электронное сообщение на электронную почта и абонентский номер.
//
// Параметры:
//  ПараметрыЧека - Структура
//  ТекстСообщения - Строка - Текст письма или сообщения
//  ПокупательEmail - Строка - адрес электронной почты покупателя
//  ПокупательНомер - Строка - Номер телефона покупателя
//
Процедура ОтправитьЭлектронныйЧек(ПараметрыЧека, ТекстСообщения, ПокупательEmail, ПокупательНомер) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.ОтправитьЭлектронныйЧек(ПараметрыЧека, ТекстСообщения, ПокупательEmail, ПокупательНомер) 
```
</details>

## НачатьОтправкуЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Постановка подготовленных данных электронного чека в очередь отправки.
//
// Параметры:
//  Адресат - Строка - номер телефона или адреса электронной почты;
//  ТипРассылки - ПеречислениеСсылка.ТипыРассылкиЭлектронныхЧеков -
//  ПараметрыСообщения - Структура - сообщения зависит от типа рассылки
//
Процедура НачатьОтправкуЭлектронногоЧека(Адресат, ТипРассылки, ПараметрыСообщения) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.НачатьОтправкуЭлектронногоЧека(Адресат, ТипРассылки, ПараметрыСообщения) 
```
</details>

## ОтправитьСообщениеОчередиВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В фоне отправляет электронный чек через настроенного поставщика услуги, при возникновении ошибки записываются данные ошибки.
//
// Параметры:
//  ПараметрыЗадания - Структура:
//   * Адресат - Строка, номер телефона или адреса электронной почты.
//   * ТипРассылки -Перечисления.ТипыРассылкиЭлектронного чека
//   * ПараметрыСообщения - Структура. Структура сообщения зависит от типа рассылки.
//  АдресРезультата - ХранилищеЗначения - хранилище сохраняющее результаты выполнения
//
Процедура ОтправитьСообщениеОчередиВФоне(ПараметрыЗадания, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.ОтправитьСообщениеОчередиВФоне(ПараметрыЗадания, АдресРезультата) 
```
</details>

## ОтправитьСообщениеОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет электронный чек через настроенного поставщика услуги, обрабатывает очередь
// При успешной отправке запись очереди удаляется, при возникновении ошибки записываются данные ошибки.
//
// Параметры:
//  ЭлементСсылка - СправочникСсылка.ОчередьЭлектронныхЧековКОтправке - Элемент ссылка
//  ТипРассылки - ПеречислениеСсылка.ТипыРассылкиЭлектронныхЧеков - Тип рассылки
//  ПараметрыСообщения - Структура - Параметры сообщения
//  Соединение - ИнтернетПочта - Соединение
//
// Возвращаемое значение:
//  Булево - Истина - Если сообщение отправлено
//
Функция ОтправитьСообщениеОчереди(Знач ЭлементСсылка, Знач ТипРассылки, Знач ПараметрыСообщения, Знач Соединение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РассылкаЭлектронныхЧеков.ОтправитьСообщениеОчереди(ЭлементСсылка, ТипРассылки, ПараметрыСообщения, Соединение);
```
</details>

## ОтправитьСообщенияОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывается очередь электронных чеков. Обрабатывается регламентным заданием "РассылкаЭлектронныхЧеков".
//
Процедура ОтправитьСообщенияОчереди() Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.ОтправитьСообщенияОчереди() 
```
</details>

## ПараметрыИспользования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка наличия подсистем БСП.
//
// Возвращаемое значение:
//  Структура.
//
Функция ПараметрыИспользования() Экспорт
```

Пример вызова
```bsl
Результат = РассылкаЭлектронныхЧеков.ПараметрыИспользования() 
```
</details>

## УдалитьСообщенияМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет сообщения из очереди, вызывается из формы списка справочника "ОчередьЭлектронныхЧековКОтправке"
//
// Параметры:
//  МассивСообщений - Массив - массив ссылок справочник "ОчередьЭлектронныхЧеков"
//
Процедура УдалитьСообщенияМассива(МассивСообщений) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.УдалитьСообщенияМассива(МассивСообщений) 
```
</details>

## ОтправитьСообщенияМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет сообщения из очереди, вызывается из формы списка справочника "ОчередьЭлектронныхЧековКОтправке"
//
// Параметры:
//  МассивСообщений - Массив.
//
Процедура ОтправитьСообщенияМассива(МассивСообщений) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.ОтправитьСообщенияМассива(МассивСообщений) 
```
</details>

## ПриСозданииСпискаОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проверяет не доступные элементы  формы списка справочника "ОчередьЭлектронныхЧековКОтправке"
//
// Параметры:
//  ЭтотОбъект - ФормаКлиентскогоПриложения - где:
//    * Элементы - ВсеЭлементыФормы - .
//
Процедура ПриСозданииСпискаОчереди(ЭтотОбъект) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.ПриСозданииСпискаОчереди(ЭтотОбъект) 
```
</details>

## ШаблонАтрибутовЧекаДляОтсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить шаблон атрибутов чека для отсылки.
//
// Параметры:
//  ПараметрыФискализации - см. ОборудованиеЧекопечатающиеУстройства.ПараметрыФискализацииЧека
//
// Возвращаемое значение:
//  Строка - сообщение для отсылки
Функция ШаблонАтрибутовЧекаДляОтсылки(ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
Результат = РассылкаЭлектронныхЧеков.ШаблонАтрибутовЧекаДляОтсылки(ПараметрыФискализации) 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из процедуры РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий
// для установки доступности регламентного задания, определяет зависимость от функциональных опций.
//
// Параметры:
//  Настройки - ТаблицаЗначений
//  ФункциональнаяОпция - ОбъектМетаданныхФункциональнаяОпция
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки, ФункциональнаяОпция = Неопределено) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.ПриОпределенииНастроекРегламентныхЗаданий(Настройки, ФункциональнаяОпция);
```
</details>

## ИзменитьИспользованиеЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьИспользованиеЗадания(ЗаданиеМетаданные, Использование) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.ИзменитьИспользованиеЗадания(ЗаданиеМетаданные, Использование) 
```
</details>

## ОтключитьИспользованиеРегламентногоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает регламентное задание Рассылка электронных чеков в разделенном режиме, включение произойдет при формировании
// электронного чека для отправки средствами 1С
Процедура ОтключитьИспользованиеРегламентногоЗадания() Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.ОтключитьИспользованиеРегламентногоЗадания() 
```
</details>

## ПриПолученииСпискаШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийПереопределяемый.ПриПолученииСпискаШаблонов
Процедура ПриПолученииСпискаШаблонов(ШаблоныЗаданий) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.ПриПолученииСпискаШаблонов(ШаблоныЗаданий) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧеков.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
