---
title: Рассылка электронных чеков клиент
slug: erp-uh/рассылка-электронных-чеков-клиент
---


## ПриОткрытииСпискаОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Форма списка, в которой устанавливается отбор.
//
// Параметры:
//  ЭтотОбъект - Форма - Справочник.ОчередьЭлектронныхЧековКОтправке.ФормаСписка
//  Список - ДинамическийСписок
//
Процедура ПриОткрытииСпискаОчереди(ЭтотОбъект, Список) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧековКлиент.ПриОткрытииСпискаОчереди(ЭтотОбъект, Список) 
```
</details>

## ОбщийМодуль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: перенесена в модуль ОбщегоНазначенияБПОКлиент.ОбщийМодуль.
// Возвращает ссылку на общий модуль по имени.
//
// Параметры:
//  Имя          - Строка - имя общего модуля, например:
//                 "ОбщегоНазначения",
//                 "ОбщегоНазначенияКлиент".
//
// Возвращаемое значение:
//  ОбщийМодуль.
//
Функция ОбщийМодуль(Имя) Экспорт
```

Пример вызова
```bsl
Результат = РассылкаЭлектронныхЧековКлиент.ОбщийМодуль(Имя) 
```
</details>

## НачатьОтправкуЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать РассылкаЭлектронныхЧеков.ОтправитьЭлектронныйЧек.
// Процедура отправляет электронное сообщение на электронную почта и абонентский номер.
//
// Параметры:
//  ПараметрыЧека - Структура
//  ТекстСообщения - Строка - Текст письма или сообщения
//  ПокупательEmail - Строка - адрес электронной почты покупателя
//  ПокупательНомер - Строка - Номер телефона покупателя
//
Процедура НачатьОтправкуЭлектронногоЧека(ПараметрыЧека, ТекстСообщения, ПокупательEmail, ПокупательНомер) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧековКлиент.НачатьОтправкуЭлектронногоЧека(ПараметрыЧека, ТекстСообщения, ПокупательEmail, ПокупательНомер) 
```
</details>

## НастроитьОтправкуЭлектронныхЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: больше не используется
// Процедура открывает форму настройки отправки электронных чеков
//
Процедура НастроитьОтправкуЭлектронныхЧеков() Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧековКлиент.НастроитьОтправкуЭлектронныхЧеков() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
