---
title: Рассылка электронных чеков переопределяемый
slug: erp-uh/рассылка-электронных-чеков-переопределяемый
---


## НачатьОтправкуЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Постановка подготовленных данных электронного чека в очередь отправки.
//
// Параметры:
//  Адресат - Строка - номер телефона или адреса электронной почты;
//  ТипРассылки - ПеречислениеСсылка.ТипыРассылкиЭлектронныхЧеков -;
//  ПараметрыСообщения - Структура - сообщения зависит от типа рассылки
//
Процедура НачатьОтправкуЭлектронногоЧека(Адресат, ТипРассылки, ПараметрыСообщения) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧековПереопределяемый.НачатьОтправкуЭлектронногоЧека(Адресат, ТипРассылки, ПараметрыСообщения) 
```
</details>

## ОтправитьСообщениеОчередиВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В фоне отправляет электронный чек через настроенного поставщика услуги, при возникновении ошибки записываются данные ошибки.
//
// Параметры:
//  ПараметрыЗадания - Структура:
//   * Адресат - Строка - Номер телефона или адреса электронной почты.
//   * ТипРассылки - ПеречислениеСсылка.ТипыРассылкиЭлектронныхЧеков -
//   * ПараметрыСообщения - Структура - Структура сообщения зависит от типа рассылки.
//  АдресРезультата - ХранилищеЗначения - сохраняющее результаты выполнения
//
Процедура ОтправитьСообщениеОчередиВФоне(ПараметрыЗадания, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧековПереопределяемый.ОтправитьСообщениеОчередиВФоне(ПараметрыЗадания, АдресРезультата) 
```
</details>

## ОтправитьСообщениеОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет электронный чек через настроенного поставщика услуги, обрабатывает очередь
// При успешной отправке запись очереди удаляется, при возникновении ошибки записываются данные ошибки.
//
// Параметры:
//  Значение - Булево - Возвращаемое значение
//  ЭлементСсылка - СправочникСсылка.ОчередьЭлектронныхЧековКОтправке - Элемент ссылка
//  ТипРассылки - ПеречислениеСсылка.ТипыРассылкиЭлектронныхЧеков - Тип рассылки
//  ПараметрыСообщения - Структура - ПараметрыСообщения
//  Соединение - ИнтернетПочта - Соединение
//
// Возвращаемое значение:
//  Булево - Истина - Если сообщение отправлено
//
Функция ОтправитьСообщениеОчереди(Значение, Знач ЭлементСсылка, Знач ТипРассылки, Знач ПараметрыСообщения, Знач Соединение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РассылкаЭлектронныхЧековПереопределяемый.ОтправитьСообщениеОчереди(Значение, ЭлементСсылка, ТипРассылки, ПараметрыСообщения, Соединение);
```
</details>

## ОтправитьСообщенияОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывается очередь электронных чеков. Обрабатывается регламентным заданием "РассылкаЭлектронныхЧеков".
//
Процедура ОтправитьСообщенияОчереди() Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧековПереопределяемый.ОтправитьСообщенияОчереди() 
```
</details>

## УдалитьСообщенияМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет сообщения из очереди, вызывается из формы списка справочника "ОчередьЭлектронныхЧековКОтправке"
//
// Параметры:
//  МассивСообщений - Массив - Массив ссылок  справочник "ОчередьЭлектронныхЧеков"
//
Процедура УдалитьСообщенияМассива(МассивСообщений) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧековПереопределяемый.УдалитьСообщенияМассива(МассивСообщений) 
```
</details>

## ОтправитьСообщенияМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет сообщения из очереди, вызывается из формы списка справочника "ОчередьЭлектронныхЧековКОтправке"
//
// Параметры:
//  МассивСообщений - Массив - Массив ссылок
//
Процедура ОтправитьСообщенияМассива(МассивСообщений) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧековПереопределяемый.ОтправитьСообщенияМассива(МассивСообщений) 
```
</details>

## ПриСозданииСпискаОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проверяет не доступные элементы  формы списка справочника "ОчередьЭлектронныхЧековКОтправке"
//
// Параметры:
//  ЭтотОбъект - ФормаКлиентскогоПриложения - где:
//   * Элементы - ВсеЭлементыФормы - .
//
Процедура ПриСозданииСпискаОчереди(ЭтотОбъект) Экспорт
```

Пример вызова
```bsl
РассылкаЭлектронныхЧековПереопределяемый.ПриСозданииСпискаОчереди(ЭтотОбъект) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
