---
title: Рассылки и оповещения клиентам вызов сервера
slug: erp-uh/рассылки-и-оповещения-клиентам-вызов-сервера
---


## ПодпискаДляПодписчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает подписку для подписчика и группы рассылок и оповещений
//
// Параметры:
//  Подписчик     - СправочникСсылка.Партнеры - партнер, для которого получается подписка.
//  ГруппаРассылокИОповещений  - СправочникСсылка.ГруппыРассылокИОповещений - группа для которой получается подписка.
//
// Возвращаемое значение:
//   СправочникСсылка.ПодпискиНаРассылкиИОповещенияКлиентам   - подписка, настроенная для подписчика и группы.
//
Функция ПодпискаДляПодписчика(Подписчик, ГруппаРассылокИОповещений) Экспорт
```

Пример вызова
```bsl
Результат = РассылкиИОповещенияКлиентамВызовСервера.ПодпискаДляПодписчика(Подписчик, ГруппаРассылокИОповещений) 
```
</details>

## ДоступныеГруппыОповещенийПоТипуСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет группы рассылок и оповещений, в которых есть виды оповещений по типам событий.
//
// Параметры:
//  ТипСобытия  - Массив, ПеречислениеСсылка.ТипыСобытийОповещений - типы событий, для которых выполняется поиск.
//
// Возвращаемое значение:
//   Массив   - найденные группы рассылок и оповещений.
//
Функция ДоступныеГруппыОповещенийПоТипуСобытия(ТипСобытия) Экспорт
```

Пример вызова
```bsl
Результат = РассылкиИОповещенияКлиентамВызовСервера.ДоступныеГруппыОповещенийПоТипуСобытия(ТипСобытия) 
```
</details>

## ПоказыватьПодпискиНаОповещенияВОбъекте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В объекте необходимо показывать подписки, если у клиента нет подписок
// по типу события и клиенту доступна хотя бы одна подписка по типу события.
//
// Параметры:
//  Партнер     - СправочникСсылка.Партнеры - партнер, для которого будет настраиваться подписка.
//  ТипСобытия  - Массив, ПеречислениеСсылка.ТипыСобытийОповещений - типы событий, для которых оформляется подписка.
//
// Возвращаемое значение:
//   Булево   - Истина, если показывать, Ложь в обратном случае.
//
Функция ПоказыватьПодпискиНаОповещенияВОбъекте(Партнер, ТипСобытия) Экспорт
```

Пример вызова
```bsl
Результат = РассылкиИОповещенияКлиентамВызовСервера.ПоказыватьПодпискиНаОповещенияВОбъекте(Партнер, ТипСобытия) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
