---
title: Расходный ордер на товары локализация
slug: erp-uh/расходный-ордер-на-товары-локализация
---


## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проверки заполнения. Проверка заполнения кодов маркировки  тольк осообщает о несоответсвии,
// но НЕ блокирует обработку документа.
//
// Параметры:
//  ЭтотОбъект - ФормаКлиентскогоПриложения
//  Отказ - Булево
//  ПроверяемыеРеквизиты - Массив из Строка - Проверяемые реквизиты
Процедура ОбработкаПроверкиЗаполнения(ЭтотОбъект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
РасходныйОрдерНаТоварыЛокализация.ОбработкаПроверкиЗаполнения(ЭтотОбъект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## УстановитьУсловноеОформление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить условное оформление.
//
// Параметры:
//  ФормаДокумента - ФормаКлиентскогоПриложения -
Процедура УстановитьУсловноеОформление(ФормаДокумента) Экспорт
```

Пример вызова
```bsl
РасходныйОрдерНаТоварыЛокализация.УстановитьУсловноеОформление(ФормаДокумента) 
```
</details>

## ИспользуетсяМаркируемаяПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет ведение учета маркируемой продукции.
//
// Возвращаемое значение:
//  Булево - Используется маркируемая продукция
Функция ИспользуетсяМаркируемаяПродукция() Экспорт
```

Пример вызова
```bsl
Результат = РасходныйОрдерНаТоварыЛокализация.ИспользуетсяМаркируемаяПродукция() 
```
</details>

## ЗаполнитьКешШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьКешШтрихкодовУпаковок(Форма, Настройки = Неопределено, Инициализация = Ложь) Экспорт
```

Пример вызова
```bsl
РасходныйОрдерНаТоварыЛокализация.ЗаполнитьКешШтрихкодовУпаковок(Форма, Настройки, Инициализация);
```
</details>

## УстановитьПризнакИспользованияМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить признак использования маркируемой продукции.
//
// Параметры:
//  Форма - см. СкладыЛокализация.УстановитьПризнакИспользованияМаркируемойПродукции.Форма
Процедура УстановитьПризнакИспользованияМаркируемойПродукции(Форма) Экспорт
```

Пример вызова
```bsl
РасходныйОрдерНаТоварыЛокализация.УстановитьПризнакИспользованияМаркируемойПродукции(Форма) 
```
</details>

## ОпределениеПризнакаМаркируемаяПродукцияТекстаЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение признака маркируемая продукция текста запроса.
//
// Параметры:
//  ПутьКПолюНоменклатура -Строка -Путь к полю номенклатура
//
// Возвращаемое значение:
//  Строка - Определение признака маркируемая продукция текста запроса
Функция ОпределениеПризнакаМаркируемаяПродукцияТекстаЗапроса(ПутьКПолюНоменклатура) Экспорт
```

Пример вызова
```bsl
Результат = РасходныйОрдерНаТоварыЛокализация.ОпределениеПризнакаМаркируемаяПродукцияТекстаЗапроса(ПутьКПолюНоменклатура) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
