---
title: Расчет амортизации НМА
slug: erp-uh/расчет-амортизации-нма
---


## ДобавитьЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
РасчетАмортизацииНМА.ДобавитьЭтап(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## ОпределитьСтатусОперацииЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опредяет статус операции "НачислениеАмортизацииНМА".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура ОпределитьСтатусОперацииЗакрытияМесяца(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетАмортизацииНМА.ОпределитьСтатусОперацииЗакрытияМесяца(ПараметрыОбработчика) 
```
</details>

## ВыполнитьОперациюЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "НачислениеАмортизацииНМА".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура ВыполнитьОперациюЗакрытияМесяца(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетАмортизацииНМА.ВыполнитьОперациюЗакрытияМесяца(ПараметрыОбработчика) 
```
</details>

## ОписаниеПараметровОперацииЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует описание технологических параметров.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Описание параметров операции закрытия месяца
Функция ОписаниеПараметровОперацииЗакрытияМесяца() Экспорт
```

Пример вызова
```bsl
Результат = РасчетАмортизацииНМА.ОписаниеПараметровОперацииЗакрытияМесяца() 
```
</details>

## ВыполнитьОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет амортизации за указанный период.
//
// Параметры:
//  НачалоРасчета - Дата - Начало периода с которого требуется выполнить операцию
//  КонецРасчета - Дата - Конец периода по который требуется выполнить операцию
//  СписокОрганизаций - Массив из СправочникСсылка.Организации - Список организаций
//  ИдентификаторРасчета - УникальныйИдентификатор - идентификатор расчета
//
// Возвращаемое значение:
//  Структура - результат расчета амортизации:
// 		* ЕстьОшибки - Булево - Истина, если были зарегистрированы ошибки во время выполнения
// 		* ТекстОшибки - Строка - Текст ошибки
// 		* КоличествоДанных - Число - Количество объектов, по которым рассчитана амортизация
//
Функция ВыполнитьОперацию(НачалоРасчета, КонецРасчета, СписокОрганизаций, ИдентификаторРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РасчетАмортизацииНМА.ВыполнитьОперацию(НачалоРасчета, КонецРасчета, СписокОрганизаций, ИдентификаторРасчета) 
```
</details>

## ЗапуститьРасчетАмортизацииВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для расчета амортизации НМА в фоне.
//
// Параметры:
//  ПараметрыРасчета - см. ПараметрыВыполнения
//  ИдентификаторФормы - УникальныйИдентификатор -
//
// Возвращаемое значение:
//  см. ДлительныеОперации.ВыполнитьФункцию
//
Функция ЗапуститьРасчетАмортизацииВФоне(ПараметрыРасчета, ИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
Результат = РасчетАмортизацииНМА.ЗапуститьРасчетАмортизацииВФоне(ПараметрыРасчета, ИдентификаторФормы) 
```
</details>

## ПараметрыВыполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует параметры необходимые для расчета амортизации
//
// Возвращаемое значение:
//  Структура - Содержит поля:
//      * Период - Дата - Период в котором требуется рассчитать амортизацию (обязательный).
//      * СписокОрганизаций - Массив из СправочникСсылка.Организации -
//      * ЕстьОшибки - Булево - Признак наличия ошибок.
//      * ТекстОшибки - Строка - Текст исключения вызванного ошибкой.
//      * ВернутьПараметрыРасчета - Булево - Истина, если требуется вернуть, параметры расчета амортизации.
//      * АдресПараметровРасчета - Строка - Адрес временного хранилища.
//      * ЗаписатьДанные - Булево - Записать расчет амортизации.
//      * МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Менеджер временных таблиц.
//      * ИспользуемыеТаблицы - Строка - Таблицы, которые сформированы при расчете.
//      * КоличествоОбработанныхДанных - Число - Количество данных, обработанных при расчете, используется для замера.
//      * ПараметрыРасчетаПереопределены - Булево - Истина, если параметры расчета определяются в вызывающей процедуре.
//      * НомерПакета - Число - Номер пакета.
//      * Ссылка - ДокументСсылка.АмортизацияНМА2_4, ДокументСсылка.АмортизацияНМА2_4 - Ссылка на документ.
//      * Ответственный	- СправочникСсылка.Пользователи - Ответственный за документ (может быть не заполнен).
//      * Комментарий - Строка - Комментарий документа.
//      * НомерДоРасчета - Число - Номер задания до начала расчета.
//      * ПакетыАмортизации - ТаблицаЗначений - Содержит список организаций и номера пакетов (может быть не заполнен):
//             ** Организация - СправочникСсылка.Организации -
//             ** НомерПакета - Число -
//
Функция ПараметрыВыполнения() Экспорт
```

Пример вызова
```bsl
Результат = РасчетАмортизацииНМА.ПараметрыВыполнения() 
```
</details>

## АмортизацияМожетНачислятьсяСДатыПринятияКУчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет может ли амортизация начисляться с даты принятия к учету хотя бы у одной организации.
//
// Параметры:
//  СписокОрганизаций - Массив из СправочникСсылка.Организации - Список организаций
//  Период - Дата - Период.
//
// Возвращаемое значение:
//  Булево - Истина, если амортизация может начисляться с даты принятия к учету..
Функция АмортизацияМожетНачислятьсяСДатыПринятияКУчету(СписокОрганизаций, Период) Экспорт
```

Пример вызова
```bsl
Результат = РасчетАмортизацииНМА.АмортизацияМожетНачислятьсяСДатыПринятияКУчету(СписокОрганизаций, Период) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
