---
title: Расчет графиков операций УХ
slug: erp-uh/расчет-графиков-операций-ух
---


## ПолучитьОпорныйГрафикПоРасчетномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОпорныйГрафикПоРасчетномуДокументу(Знач ДокументОснование, Знач УсловиеОплаты, Знач ПроизводственныйКалендарь = Неопределено, ТолькоПостоплата = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РасчетГрафиковОперацийУХ.ПолучитьОпорныйГрафикПоРасчетномуДокументу(ДокументОснование, УсловиеОплаты, ПроизводственныйКалендарь, ТолькоПостоплата);
```
</details>

## РассчитатьГрафикПоУсловиюОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьГрафикПоУсловиюОплаты(Знач УсловиеОплаты, Знач ДатаОтсчета, Знач ОбщаяСумма, Знач ПроизводственныйКалендарь = Неопределено, Знач ОтДатыНачисления = Истина, Знач ПозицияПлатежа = 0, Знач ТолькоПостоплата = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасчетГрафиковОперацийУХ.РассчитатьГрафикПоУсловиюОплаты(УсловиеОплаты, ДатаОтсчета, ОбщаяСумма, ПроизводственныйКалендарь, ОтДатыНачисления, ПозицияПлатежа, ТолькоПостоплата);
```
</details>

## ДатаОтБазовойДатыСоСдвигом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаОтБазовойДатыСоСдвигом(БазоваяДата, КоличествоДней, Знач ТипСрока, ПроизводственныйКалендарь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетГрафиковОперацийУХ.ДатаОтБазовойДатыСоСдвигом(БазоваяДата, КоличествоДней, ТипСрока, ПроизводственныйКалендарь);
```
</details>

## ПолучитьГрафикЭтаповОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьГрафикЭтаповОплаты(Знач ОбщаяСумма, Знач БазоваяДата, Знач УсловиеОплаты, Знач ПроизводственныйКалендарь = Неопределено, ТолькоПостоплата = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасчетГрафиковОперацийУХ.ПолучитьГрафикЭтаповОплаты(ОбщаяСумма, БазоваяДата, УсловиеОплаты, ПроизводственныйКалендарь, ТолькоПостоплата);
```
</details>

## ПолучитьДатуНачисленияПоДатеПервойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДатуНачисленияПоДатеПервойОперации(ДатаПервойОперации, УсловиеОплаты, ПроизводственныйКалендарь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетГрафиковОперацийУХ.ПолучитьДатуНачисленияПоДатеПервойОперации(ДатаПервойОперации, УсловиеОплаты, ПроизводственныйКалендарь);
```
</details>

## ГрафикиРасчетаСовпадают
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГрафикиРасчетаСовпадают(ТабГрафика1, ТабГрафика2) Экспорт
```

Пример вызова
```bsl
Результат = РасчетГрафиковОперацийУХ.ГрафикиРасчетаСовпадают(ТабГрафика1, ТабГрафика2) 
```
</details>

## СформироватьЗаявкиПоГрафикуОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирует документы "Заявка на операцию" на основании графика оплаты.
// Возвращаемое значение:
//  Массив - Перечень сформированных заявок на оплату.
Функция СформироватьЗаявкиПоГрафикуОплаты(ОбъектыРасчетов = Неопределено, Знач ДатаНачала = Неопределено, Знач ДатаОкончания = Неопределено, Начисления = Истина ) Экспорт
```

Пример вызова
```bsl
Результат = РасчетГрафиковОперацийУХ.СформироватьЗаявкиПоГрафикуОплаты(ОбъектыРасчетов, ДатаНачала, ДатаОкончания, Начисления);
```
</details>

## РаспределитьПланНаФактГрафикаНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РаспределитьПланНаФактГрафикаНакладной(ИсхПланГрафика, ИсхФактГрафика, знач ДатаНакладной, Знач ДатаАктуализации) Экспорт
```

Пример вызова
```bsl
Результат = РасчетГрафиковОперацийУХ.РаспределитьПланНаФактГрафикаНакладной(ИсхПланГрафика, ИсхФактГрафика, знач ДатаНакладной, ДатаАктуализации) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
