---
title: Расчет имущественных налогов УП
slug: erp-uh/расчет-имущественных-налогов-уп
---


## УплачиваютсяАвансыПоЗемельномуНалогу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает необходимость уплаты авансов по земельному налогу.
//
// Параметры:
// 	Организации - СправочникСсылка.Организации - Организация, для которой необходимо выполнить проверку.
// 	Период - Дата - Дата закрытия месяца.
//
// Возвращаемое значение:
// 	Булево - Признак необходимости уплаты аванса.
//
Функция УплачиваютсяАвансыПоЗемельномуНалогу(Организации, Период) Экспорт
```

Пример вызова
```bsl
Результат = РасчетИмущественныхНалоговУП.УплачиваютсяАвансыПоЗемельномуНалогу(Организации, Период) 
```
</details>

## УплачиваютсяАвансыПоТранспортномуНалогу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает необходимость уплаты авансов по транспортному налогу.
//
// Параметры:
// 	Организации - СправочникСсылка.Организации - Организация, для которой необходимо выполнить расчет.
// 	Период - Дата - Дата закрытия месяца.
//
// Возвращаемое значение:
// 	Булево - Признак необходимости уплаты аванса.
//
Функция УплачиваютсяАвансыПоТранспортномуНалогу(Организации, Период) Экспорт
```

Пример вызова
```bsl
Результат = РасчетИмущественныхНалоговУП.УплачиваютсяАвансыПоТранспортномуНалогу(Организации, Период) 
```
</details>

## УплачиваютсяАвансыПоНалогуНаИмущество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает необходимость уплаты авансов по налогу на имущество.
//
// Параметры:
// 	Организации - СправочникСсылка.Организации - Организация, для которой необходимо выполнить проверку.
// 	Период - Дата - Дата закрытия месяца.
//
// Возвращаемое значение:
// 	Булево - Признак необходимости уплаты аванса.
//
Функция УплачиваютсяАвансыПоНалогуНаИмущество(Организации, Период) Экспорт
```

Пример вызова
```bsl
Результат = РасчетИмущественныхНалоговУП.УплачиваютсяАвансыПоНалогуНаИмущество(Организации, Период) 
```
</details>

## ДобавитьЭтап_РасчетНалогаНаИмущество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_РасчетНалогаНаИмущество(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.ДобавитьЭтап_РасчетНалогаНаИмущество(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_РасчетНалогаНаИмущество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опредяет статус операции закрытия месяца "РасчетНалогаНаИмущество".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Использование_РасчетНалогаНаИмущество(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.Использование_РасчетНалогаНаИмущество(ПараметрыОбработчика) 
```
</details>

## Выполнить_РасчетНалогаНаИмущество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию закрытия месяца "РасчетНалогаНаИмущество".
//
// Параметры:
//  ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
Процедура Выполнить_РасчетНалогаНаИмущество(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.Выполнить_РасчетНалогаНаИмущество(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_РасчетТранспортногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_РасчетТранспортногоНалога(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.ДобавитьЭтап_РасчетТранспортногоНалога(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_РасчетТранспортногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опредяет статус операции "РасчетТранспортногоНалога".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Использование_РасчетТранспортногоНалога(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.Использование_РасчетТранспортногоНалога(ПараметрыОбработчика) 
```
</details>

## Выполнить_РасчетТранспортногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "РасчетТранспортногоНалога".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Выполнить_РасчетТранспортногоНалога(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.Выполнить_РасчетТранспортногоНалога(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_РасчетЗемельногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_РасчетЗемельногоНалога(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.ДобавитьЭтап_РасчетЗемельногоНалога(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_РасчетЗемельногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опредяет статус операции "РасчетЗемельногоНалога".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Использование_РасчетЗемельногоНалога(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.Использование_РасчетЗемельногоНалога(ПараметрыОбработчика) 
```
</details>

## Выполнить_РасчетЗемельногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "РасчетЗемельногоНалога".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Выполнить_РасчетЗемельногоНалога(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.Выполнить_РасчетЗемельногоНалога(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_ДоначислениеНалогаНаИмущество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_ДоначислениеНалогаНаИмущество(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.ДобавитьЭтап_ДоначислениеНалогаНаИмущество(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ДоначислениеНалогаНаИмущество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опредяет статус операции "ДоначислениеНалогаНаИмущество".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Использование_ДоначислениеНалогаНаИмущество(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.Использование_ДоначислениеНалогаНаИмущество(ПараметрыОбработчика) 
```
</details>

## Выполнить_ДоначислениеНалогаНаИмущество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "Доначисление налога на имущество".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Выполнить_ДоначислениеНалогаНаИмущество(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетИмущественныхНалоговУП.Выполнить_ДоначислениеНалогаНаИмущество(ПараметрыОбработчика) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
