---
title: Расчет себестоимости корректировка стоимости
slug: erp-uh/расчет-себестоимости-корректировка-стоимости
---


## СформироватьДвиженияПоРегистрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется формирование движений по регистрам.
// Перечень исходящих регистров см. РасчетСебестоимости.ИсходящиеДанныеМеханизма
//
// Параметры:
//	ПараметрыЗапуска - Структура - параметры запуска процедуры
//	ПараметрыРасчета - Структура - параметры расчета, сформированные в вызывающем механизме.
//	ПараметрыОтладки - Структура - предназначена для переопределения одноименных свойств структуры ПараметрыРасчета.
//		Подробнее см. пояснения в коде РасчетСебестоимостиПрикладныеАлгоритмы.ИнициализироватьПараметрыРасчетаПартий к параметру ПараметрыОтладки.
//
Процедура СформироватьДвиженияПоРегистрам(ПараметрыЗапуска, ПараметрыРасчета, ПараметрыОтладки) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияПоРегистрам(ПараметрыЗапуска, ПараметрыРасчета, ПараметрыОтладки) 
```
</details>

## СформироватьДвиженияПоРегистрамФинансовыйРезультат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется формирование движений по регистрам.
// Перечень исходящих регистров см. РасчетСебестоимости.ИсходящиеДанныеМеханизма
//
// Параметры:
//	ПараметрыЗапуска - Структура - параметры запуска процедуры
//	ПараметрыРасчета - Структура - параметры расчета, сформированные в вызывающем механизме.
//	ПараметрыОтладки - Структура - предназначена для переопределения одноименных свойств структуры ПараметрыРасчета.
//		Подробнее см. пояснения в коде РасчетСебестоимостиПрикладныеАлгоритмы.ИнициализироватьПараметрыРасчетаПартий к параметру ПараметрыОтладки.
//
Процедура СформироватьДвиженияПоРегистрамФинансовыйРезультат(ПараметрыЗапуска, ПараметрыРасчета, ПараметрыОтладки) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияПоРегистрамФинансовыйРезультат(ПараметрыЗапуска, ПараметрыРасчета, ПараметрыОтладки) 
```
</details>

## УстановитьРазрядностьЧиселВТекстеЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьРазрядностьЧиселВТекстеЗапроса(ПараметрыРасчета, ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.УстановитьРазрядностьЧиселВТекстеЗапроса(ПараметрыРасчета, ТекстЗапроса) 
```
</details>

## СформироватьДвиженияПоОборотнымРегистрамУпрУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.3, 3.14, 3.19
Процедура СформироватьДвиженияПоОборотнымРегистрамУпрУчета(ПараметрыРасчета, ДанныеДвижения) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияПоОборотнымРегистрамУпрУчета(ПараметрыРасчета, ДанныеДвижения) 
```
</details>

## СформироватьДвиженияНоменклатураДоходыРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.3, 3.14 (СформироватьДвиженияПоОборотнымРегистрамУпрУчета)
Процедура СформироватьДвиженияНоменклатураДоходыРасходы(ПараметрыРасчета, ДанныеДвижения, ДанныеСумм, Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияНоменклатураДоходыРасходы(ПараметрыРасчета, ДанныеДвижения, ДанныеСумм, );
```
</details>

## СформироватьДвиженияНоменклатураНоменклатура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.3, 3.14 (СформироватьДвиженияПоОборотнымРегистрамУпрУчета)
Процедура СформироватьДвиженияНоменклатураНоменклатура(ПараметрыРасчета, ДанныеДвижения, ДанныеСумм, ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияНоменклатураНоменклатура(ПараметрыРасчета, ДанныеДвижения, ДанныеСумм, ХозяйственнаяОперация));
```
</details>

## СформироватьДвиженияНоменклатураДоходыРасходыСписаниеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.18
Процедура СформироватьДвиженияНоменклатураДоходыРасходыСписаниеНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияНоменклатураДоходыРасходыСписаниеНДС(ПараметрыРасчета) 
```
</details>

## ПолучитьСуммовыеПоказателиДвиженияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСуммовыеПоказателиДвиженияНоменклатуры(ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.ПолучитьСуммовыеПоказателиДвиженияНоменклатуры(ДанныеЗаполнения));
```
</details>

## СкорректироватьСуммовыеПоказателиДвиженияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СкорректироватьСуммовыеПоказателиДвиженияНоменклатуры(ДанныеСумм, Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.СкорректироватьСуммовыеПоказателиДвиженияНоменклатуры(ДанныеСумм, );
```
</details>

## ЗаполнитьИтоговыеСуммовыеПоказателиДвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьИтоговыеСуммовыеПоказателиДвижения(ДанныеСумм) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.ЗаполнитьИтоговыеСуммовыеПоказателиДвижения(ДанныеСумм));
```
</details>

## СформироватьКорДвиженияСебестоимостьТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.1, 3.14
Процедура СформироватьКорДвиженияСебестоимостьТоваров(ПараметрыРасчета, ДанныеДвижения, ПромежуточнаяСебестоимость = Ложь) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьКорДвиженияСебестоимостьТоваров(ПараметрыРасчета, ДанныеДвижения, ПромежуточнаяСебестоимость);
```
</details>

## СформироватьДвиженияСебестоимостьТоваровСписаниеНЗПЗапросом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Служебная, этап 2.3, 3.15
Процедура СформироватьДвиженияСебестоимостьТоваровСписаниеНЗПЗапросом(ПараметрыРасчета, СоответствиеВременныхТаблицДвижений) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияСебестоимостьТоваровСписаниеНЗПЗапросом(ПараметрыРасчета, СоответствиеВременныхТаблицДвижений));
```
</details>

## СформироватьДвиженияНоменклатураНоменклатураСписаниеНЗПЗапросом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьДвиженияНоменклатураНоменклатураСписаниеНЗПЗапросом(ПараметрыРасчета, СоответствиеВременныхТаблицДвижений) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияНоменклатураНоменклатураСписаниеНЗПЗапросом(ПараметрыРасчета, СоответствиеВременныхТаблицДвижений));
```
</details>

## СформироватьДвиженияПрочиеРасходыСписаниеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.18
Процедура СформироватьДвиженияПрочиеРасходыСписаниеНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияПрочиеРасходыСписаниеНДС(ПараметрыРасчета) 
```
</details>

## СформироватьДвиженияПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.1, 3.3, 3.14
Процедура СформироватьДвиженияПрочиеРасходы(ПараметрыРасчета, ДанныеДвижения, СуммовыеПоказатели) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияПрочиеРасходы(ПараметрыРасчета, ДанныеДвижения, СуммовыеПоказатели) 
```
</details>

## СформироватьДвиженияПрочиеРасходыСписаниеНЗПЗапросом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

Процедура СформироватьДвиженияПрочиеРасходыСписаниеНЗПЗапросом(ПараметрыРасчета, СоответствиеВременныхТаблицДвижений) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияПрочиеРасходыСписаниеНЗПЗапросом(ПараметрыРасчета, СоответствиеВременныхТаблицДвижений));
```
</details>

## СформироватьДвиженияПрочиеРасходыПрочееСписаниеНЗП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.4, 3.16
Процедура СформироватьДвиженияПрочиеРасходыПрочееСписаниеНЗП(ПараметрыРасчета, ДанныеДвижения) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияПрочиеРасходыПрочееСписаниеНЗП(ПараметрыРасчета, ДанныеДвижения) 
```
</details>

## СформироватьДвиженияДоходыРасходыПрочиеАктивыПассивыПрочееСписаниеНЗП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьДвиженияДоходыРасходыПрочиеАктивыПассивыПрочееСписаниеНЗП(ПараметрыРасчета, ДанныеДвижения) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияДоходыРасходыПрочиеАктивыПассивыПрочееСписаниеНЗП(ПараметрыРасчета, ДанныеДвижения));
```
</details>

## СформироватьДвиженияПрочиеДоходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.3, 3.14
Процедура СформироватьДвиженияПрочиеДоходы(ПараметрыРасчета, ДанныеДвижения, Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияПрочиеДоходы(ПараметрыРасчета, ДанныеДвижения, );
```
</details>

## СформироватьДвиженияВыручкаИСебестоимостьПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.2, 3.17, 3.18
Процедура СформироватьДвиженияВыручкаИСебестоимостьПродаж(ПараметрыРасчета, ДанныеДвижения) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияВыручкаИСебестоимостьПродаж(ПараметрыРасчета, ДанныеДвижения) 
```
</details>

## СформироватьДвиженияПрочиеРасходыНезавершенногоПроизводстваЗапросом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьДвиженияПрочиеРасходыНезавершенногоПроизводстваЗапросом(ПараметрыРасчета, СоответствиеВременныхТаблицДвижений) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияПрочиеРасходыНезавершенногоПроизводстваЗапросом(ПараметрыРасчета, СоответствиеВременныхТаблицДвижений));
```
</details>

## СформироватьДвиженияПрочиеАктивыПассивы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1
Процедура СформироватьДвиженияПрочиеАктивыПассивы(ПараметрыРасчета, ДанныеДвижения, Сумма) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.СформироватьДвиженияПрочиеАктивыПассивы(ПараметрыРасчета, ДанныеДвижения, Сумма) 
```
</details>

## РаспределитьСтоимость
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 2.2, 3.1, 3.18
Процедура РаспределитьСтоимость(ЗаписьРаспределения, СтрокаОстатка, Выборка, Знач КоличествоКРаспределению) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.РаспределитьСтоимость(ЗаписьРаспределения, СтрокаОстатка, Выборка, КоличествоКРаспределению) 
```
</details>

## ДополнитьСуммыРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.1
Процедура ДополнитьСуммыРаспределения(ЗаписьРаспределения, СуммыРаспределения) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.ДополнитьСуммыРаспределения(ЗаписьРаспределения, СуммыРаспределения) 
```
</details>

## ПолучитьСуммовыеПоказателиРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСуммовыеПоказателиРаспределения(ДанныеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.ПолучитьСуммовыеПоказателиРаспределения(ДанныеЗаполнения);
```
</details>

## ДополнитьСвойстваЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет свойства запроса данными характерными для корректировки стоимости.
//
// Параметры:
//	Запрос - Запрос - Запрос для которого устанавливаются параметры
//	ПараметрыРасчета - см. РасчетСебестоимостиПрикладныеАлгоритмы.ИнициализироватьОбщиеПараметрыРасчета
//
Процедура ДополнитьСвойстваЗапроса(Запрос, ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.ДополнитьСвойстваЗапроса(Запрос, ПараметрыРасчета) 
```
</details>

## МассивОперацийРеализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивОперацийРеализации() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.МассивОперацийРеализации());
```
</details>

## МассивОперацийПередачиТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивОперацийПередачиТоваров() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.МассивОперацийПередачиТоваров());
```
</details>

## МассивОперацийВозвратыПрошлыхПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивОперацийВозвратыПрошлыхПериодов() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.МассивОперацийВозвратыПрошлыхПериодов());
```
</details>

## МассивОперацийВнешнееПоступление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивОперацийВнешнееПоступление() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.МассивОперацийВнешнееПоступление());
```
</details>

## МассивОперацийДляОценкиОстаткаТоваровПоФИФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивОперацийДляОценкиОстаткаТоваровПоФИФО() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.МассивОперацийДляОценкиОстаткаТоваровПоФИФО());
```
</details>

## ДобавитьЗаписьВТаблицуДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет новую строку в таблицу движений указанного регистра и заполняет служебные поля.
// Сделана экспортной для вызова из модуля универсальных механизмов расчетов.
//
// Возвращаемое значение:
//	СтрокаТаблицыЗначений - добавленная строка в таблицу движений
//
Функция ДобавитьЗаписьВТаблицуДвижений(ПараметрыРасчета, ТаблицаПриемник, ДанныеДвижения, Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.ДобавитьЗаписьВТаблицуДвижений(ПараметрыРасчета, ТаблицаПриемник, ДанныеДвижения, );
```
</details>

## ДополнитьОписаниеПолейДляФормированияДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьОписаниеПолейДляФормированияДвижений(ПараметрыРасчета, ТаблицаОписанияПолей, ОписаниеПриемника, КопируемыеПоля) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиКорректировкаСтоимости.ДополнитьОписаниеПолейДляФормированияДвижений(ПараметрыРасчета, ТаблицаОписанияПолей, ОписаниеПриемника, КопируемыеПоля) 
```
</details>

## ВходящиеДанныеМеханизма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень объектов метаданных, на основании данных которых выполняется расчет себестоимости.
// В перечень не включаются объекты, которые являются одновременно и исходящими данными механизмов расчета партий и себестоимости.
//
// Параметры:
//	ВходящиеДанные - Соответствие - уже инициализированное хранилище для описания входящих данных
//	ТолькоТребующиеПерерасчета - Булево - если установлен, то будет возвращен перечень только тех данных,
//		изменение которых влечет за собой необходимость перерасчета партий и себестоимости
//		При изменении этих данных должна создаваться запись в регистре сведений ЗаданияКРасчетуСебестоимости.
//
// Возвращаемое значение:
//	Соответствие - Ключ - ОбъектМетаданных
//
Функция ВходящиеДанныеМеханизма(ВходящиеДанные = Неопределено, ТолькоТребующиеПерерасчета = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.ВходящиеДанныеМеханизма(ВходящиеДанные, ТолькоТребующиеПерерасчета);
```
</details>

## ИсходящиеДанныеМеханизма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень регистров, обслуживаемых механизмом расчета себестоимости.
//
// Возвращаемое значение:
//	Соответствие - Ключ - ОбъектМетаданных
//
Функция ИсходящиеДанныеМеханизма(ИсходящиеДанные = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.ИсходящиеДанныеМеханизма(ИсходящиеДанные);
```
</details>

## ИспользуемыеКэшиРегистровПартионногоУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень регистров, рассчитываемых механизмом партионного учета версии 2.2, и используемых при расчете себестоимости.
//
// Возвращаемое значение:
//	Соответствие - имена регистров, рассчитываемых механизмом партионного учета версии 2.2, и используемых при расчете себестоимости.
//
Функция ИспользуемыеКэшиРегистровПартионногоУчета() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.ИспользуемыеКэшиРегистровПартионногоУчета() 
```
</details>

## ТекущаяВерсияМеханизма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает название данного механизма и его номер версии.
//
// Возвращаемое значение:
//	Строка - версия механизма
//
Функция ТекущаяВерсияМеханизма() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиКорректировкаСтоимости.ТекущаяВерсияМеханизма() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
