---
title: Расчет себестоимости локализация
slug: erp-uh/расчет-себестоимости-локализация
---


## РассчитатьВсе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет локализованный расчет себестоимости.
//
// Параметры:
//	ПериодРасчета - Дата - начало периода (месяца), до которого надо выполнить расчет
//	МассивОрганизаций - Массив - организации, по которым надо выполнить расчет.
//	ВыполняетсяЗакрытиеМесяца - Булево - признак выполнения регламентных операций по закрытию месяца
//	АвтоматическоеТестирование - Булево - признак выполнения автоматического тестирования себестоимости
//
// Возвращаемое значение:
//	Булево - признак выполнения локализованного расчета себестоимости.
//
Функция РассчитатьВсе(Знач ПериодРасчета, МассивОрганизаций, ВыполняетсяЗакрытиеМесяца, АвтоматическоеТестирование) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиЛокализация.РассчитатьВсе(ПериодРасчета, МассивОрганизаций, ВыполняетсяЗакрытиеМесяца, АвтоматическоеТестирование) 
```
</details>

## ПредварительныйРасчетСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновления стоимости товаров регламентным заданием.
//
// Параметры:
//	Период - Дата - дата начала расчета.
//
// Возвращаемое значение:
//	Булево - признак выполнения локализованного расчета себестоимости.
//
Функция ПредварительныйРасчетСебестоимости(Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиЛокализация.ПредварительныйРасчетСебестоимости(Период);
```
</details>

## РассчитатьСебестоимость
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызов процедур локализованного расчета себестоимости.
//
// Параметры:
//	ПараметрыРасчета - Структура - Параметры операций закрытия месяца.
//
// Возвращаемое значение:
//	Булево - признак выполнения локализованного расчета себестоимости
//
Функция РассчитатьСебестоимость(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиЛокализация.РассчитатьСебестоимость(ПараметрыРасчета) 
```
</details>

## РаспределениеМатериальныхЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызов процедур распределения материальных затрат в локализованной версии.
//
// Параметры:
//	ПараметрыРасчета - Структура - Параметры операций закрытия месяца
//
Процедура РаспределениеМатериальныхЗатрат(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиЛокализация.РаспределениеМатериальныхЗатрат(ПараметрыРасчета) 
```
</details>

## РаспределениеПартийНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызов процедур распределения партий НДС в локализованной версии.
//
// Параметры:
//	ПараметрыРасчета - Структура - Параметры операций закрытия месяца
//	СтрокаСхемыРасчета - СтрокаТаблицыЗначений - Строка схемы расчета партий
//	НомерЭтапа - Число - Номер этапа распределения партий НДС
//
Процедура РаспределениеПартийНДС(ПараметрыРасчета, СтрокаСхемыРасчета, НомерЭтапа) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиЛокализация.РаспределениеПартийНДС(ПараметрыРасчета, СтрокаСхемыРасчета, НомерЭтапа) 
```
</details>

## ИнициализироватьОбслуживаемыеРегистры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует общие параметры расчета, описывающие обслуживаемые механизмом расчета регистры.
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура ИнициализироватьОбслуживаемыеРегистры(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиЛокализация.ИнициализироватьОбслуживаемыеРегистры(ПараметрыРасчета) 
```
</details>

## ДополнитьДокументыСРазнымиПериодамиИлиОрганизациямиВДвижениях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет перечень документов, которые могут иметь движения в разных месяцах или по нескольким организациям.
//
// Параметры:
//	РазныеПериоды - Булево - добавлять в результат документы с движениями в разных периодах
//	РазныеОрганизации - Булево - добавлять в результат документы с движениями по нескольким организациям
//	ИмяРегистра - Строка - имя регистра накопления, для которого нужно получить перечень документов;
//		пустое значение - перечень документов для всех регистров.
//	ОписаниеДокументов - Соответствие - Ключ - ОбъектМетаданных.
//
Процедура ДополнитьДокументыСРазнымиПериодамиИлиОрганизациямиВДвижениях(РазныеПериоды, РазныеОрганизации, ИмяРегистра, ОписаниеДокументов) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиЛокализация.ДополнитьДокументыСРазнымиПериодамиИлиОрганизациямиВДвижениях(РазныеПериоды, РазныеОрганизации, ИмяРегистра, ОписаниеДокументов) 
```
</details>

## ИнициализироватьВременныеТаблицыДляОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует общие временные таблицы для отбора данных в запросах.
//
Процедура ИнициализироватьВременныеТаблицыДляОтборов(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиЛокализация.ИнициализироватьВременныеТаблицыДляОтборов(ПараметрыРасчета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
