---
title: Расчет себестоимости материальные затраты
slug: erp-uh/расчет-себестоимости-материальные-затраты
---


## ДанныеДляРасшифровкиРаспределенияНоменклатурыНаПроизводство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для построения расшифровки базы распределения материалов и работ.
//
// Параметры:
//		Период - Дата - период расчета
//		МассивОрганизаций - СправочникСсылка.Организации - массив организаций;
//		Регистратор - ДокументСсылка.РаспределениеПроизводственныхЗатрат - документ распределения, для которого строится расшифровка.
//
// Возвращаемое значение:
//		МенеджерВременныхТаблиц - таблицы для построения отчета.
//
Функция ДанныеДляРасшифровкиРаспределенияНоменклатурыНаПроизводство(Период, МассивОрганизаций, Регистратор) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиМатериальныеЗатраты.ДанныеДляРасшифровкиРаспределенияНоменклатурыНаПроизводство(Период, МассивОрганизаций, Регистратор) 
```
</details>

## РаспределениеНоменклатурыНаПроизводство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 4 (Контекст: "РаспределениеНоменклатурыНаПроизводство")
// ПУ 2.1: РассчитатьРаспределениеМатериаловИРабот(), область РаспределениеМатериаловИРабот.
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РаспределениеНоменклатурыНаПроизводство(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиМатериальныеЗатраты.РаспределениеНоменклатурыНаПроизводство(ПараметрыРасчета) 
```
</details>

## РаспределениеНоменклатурыНаВыпуск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 5 (Контекст: "РаспределениеНоменклатурыНаВыпуск")
// ПУ 2.1: РассчитатьПартииНЗП(), область РасчетПартийНезавершенногоПроизводства.
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РаспределениеНоменклатурыНаВыпуск(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиМатериальныеЗатраты.РаспределениеНоменклатурыНаВыпуск(ПараметрыРасчета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
