---
title: Расчет себестоимости партионный учет21
slug: erp-uh/расчет-себестоимости-партионный-учет21
---


## РассчитатьВсе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запуск расчета себестоимости.
//
// Параметры:
//	ПараметрыЗапуска - Структура:
//		* Дата - Дата - период расчета себестоимости
//		* МассивОрганизаций - СправочникСсылка.Организации - рассчитывать только по указанной организации;
//			также будут пересчитана себестоимость по организациям, связанным по схеме Интеркампани с указанной
//					- Массив - массив организаций, по которым надо рассчитать себестоимость, другие организации не рассчитываются
//		* ПредварительныйРасчет - Булево - выполнять фактический или предварительный расчет;
//			предварительный расчет может выполняться
//				= регламентным заданием
//				= как подготовительный этап к распределению расходов на продукцию
//		* РегламентноеЗадание - Булево - если Истина, значит вызвана из регламентного задания расчета предварительной себестоимости
//		* МестоВызоваРасчета - Строка - необязательный, полное имя процедуры, вызвавшей расчет
//		* ТолькоРасчетСебестоимости - Булево -
//	ПараметрыРасчета - Структура - параметры расчета, сформированные в вызывающем механизме.
//	ПараметрыОтладки - Структура - предназначена для переопределения одноименных свойств структуры ПараметрыРасчета.
//		Подробнее см. пояснения в коде ИнициализироватьПараметрыРасчетаСебестоимости к параметру ПараметрыОтладки.
//
Процедура РассчитатьВсе(ПараметрыЗапуска, ПараметрыРасчета = Неопределено, ПараметрыОтладки = Неопределено) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.РассчитатьВсе(ПараметрыЗапуска, ПараметрыРасчета, ПараметрыОтладки);
```
</details>

## РассчитатьВсеВПопыткеИсключении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка для запуска расчета - выполняет расчет в Попытке - Исключении
// Параметры аналогичны процедуре РассчитатьВсе()
//
// Параметры:
//	ПараметрыЗапуска - Структура - содержит ключи:
//		Дата - Дата - период расчета себестоимости
//		МассивОрганизаций - СправочникСсылка.Организации - рассчитывать только по указанной организации;
//			также будут пересчитана себестоимость по организациям, связанным по схеме Интеркампани с указанной
//					- Массив - массив организаций, по которым надо рассчитать себестоимость, другие организации не рассчитываются
//		ПредварительныйРасчет - Булево - выполнять фактический или предварительный расчет;
//			предварительный расчет может выполняться
//				= регламентным заданием
//				= как подготовительный этап к распределению расходов на продукцию
//		РегламентноеЗадание - Булево - если Истина, значит вызвана из регламентного задания расчета предварительной себестоимости
//		МестоВызоваРасчета - Строка - необязательный, полное имя процедуры, вызвавшей расчет
//	ПараметрыРасчета - Структура - параметры расчета, сформированные в вызывающем механизме.
//	ПараметрыОтладки - Структура - предназначена для переопределения одноименных свойств структуры ПараметрыРасчета.
//		Подробнее см. пояснения в коде ИнициализироватьПараметрыРасчетаСебестоимости
//
// Возвращаемое значение:
//	Булево - признак успешного выполнения расчета.
//
Функция РассчитатьВсеВПопыткеИсключении(ПараметрыЗапуска, ПараметрыРасчета = Неопределено, ПараметрыОтладки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПартионныйУчет21.РассчитатьВсеВПопыткеИсключении(ПараметрыЗапуска, ПараметрыРасчета, ПараметрыОтладки);
```
</details>

## ТекстЗапросаДляПартийТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаДляПартийТоваров() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПартионныйУчет21.ТекстЗапросаДляПартийТоваров() 
```
</details>

## ТекстРеализацииПрошлыхМесяцев_ПУ21
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстРеализацииПрошлыхМесяцев_ПУ21() // использует ПрошлыеРеализации Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПартионныйУчет21.ТекстРеализацииПрошлыхМесяцев_ПУ21() // использует ПрошлыеРеализации);
```
</details>

## ТекстНачальныеОстаткиДляКорректировкиПриобретения_ПУ21
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстНачальныеОстаткиДляКорректировкиПриобретения_ПУ21() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПартионныйУчет21.ТекстНачальныеОстаткиДляКорректировкиПриобретения_ПУ21());
```
</details>

## ТекстТаможенныеДекларацииИПоступления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстТаможенныеДекларацииИПоступления() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПартионныйУчет21.ТекстТаможенныеДекларацииИПоступления() Экспорт // вт Декларации, КоличествоДеклараций);
```
</details>

## РасчетСебестоимости_ФИФОСкользящаяОценкаВерсии21
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасчетСебестоимости_ФИФОСкользящаяОценкаВерсии21(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.РасчетСебестоимости_ФИФОСкользящаяОценкаВерсии21(ПараметрыРасчета) 
```
</details>

## СкорректироватьСтоимостьСписанияЗапасовПоФИФОСкользящая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 2.1
Процедура СкорректироватьСтоимостьСписанияЗапасовПоФИФОСкользящая(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СкорректироватьСтоимостьСписанияЗапасовПоФИФОСкользящая(ПараметрыРасчета));
```
</details>

## СкорректироватьСтоимостьПродажПоФИФОСкользящая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 2.2
Процедура СкорректироватьСтоимостьПродажПоФИФОСкользящая(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СкорректироватьСтоимостьПродажПоФИФОСкользящая(ПараметрыРасчета));
```
</details>

## СформироватьДвиженияСебестоимостьТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.3, 3.14
Процедура СформироватьДвиженияСебестоимостьТоваров(ПараметрыРасчета, ДанныеДвижения, ВидДвижения) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьДвиженияСебестоимостьТоваров(ПараметрыРасчета, ДанныеДвижения, ВидДвижения));
```
</details>

## СформироватьКорДвиженияСебестоимостьТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.1, 3.1, 3.14
Процедура СформироватьКорДвиженияСебестоимостьТоваров(ПараметрыРасчета, ДанныеДвижения, ПромежуточнаяСебестоимость = Ложь) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьКорДвиженияСебестоимостьТоваров(ПараметрыРасчета, ДанныеДвижения, ПромежуточнаяСебестоимость);
```
</details>

## СформироватьДвиженияВыручкаИСебестоимостьПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.2, 3.17, 3.18
Процедура СформироватьДвиженияВыручкаИСебестоимостьПродаж(ПараметрыРасчета, ДанныеДвижения) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьДвиженияВыручкаИСебестоимостьПродаж(ПараметрыРасчета, ДанныеДвижения));
```
</details>

## СформироватьДвиженияЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.2, 3.17
Процедура СформироватьДвиженияЗакупки(ПараметрыРасчета, ДанныеДвижения) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьДвиженияЗакупки(ПараметрыРасчета, ДанныеДвижения));
```
</details>

## СкорректироватьСтоимостьСписанияНезавершенногоПроизводстваПоФИФОСкользящая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Этап 2.3
Процедура СкорректироватьСтоимостьСписанияНезавершенногоПроизводстваПоФИФОСкользящая(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СкорректироватьСтоимостьСписанияНезавершенногоПроизводстваПоФИФОСкользящая(ПараметрыРасчета));
```
</details>

## СформироватьДвиженияПрочиеРасходыНезавершенногоПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.3, 3.5.2, 3.15
Процедура СформироватьДвиженияПрочиеРасходыНезавершенногоПроизводства(ПараметрыРасчета, ДанныеДвижения, Суммы) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьДвиженияПрочиеРасходыНезавершенногоПроизводства(ПараметрыРасчета, ДанныеДвижения, Суммы));
```
</details>

## СформироватьПриходПрочиеРасходыНезавершенногоПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьПриходПрочиеРасходыНезавершенногоПроизводства(ПараметрыРасчета, ДанныеДвижения, Суммы) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьПриходПрочиеРасходыНезавершенногоПроизводства(ПараметрыРасчета, ДанныеДвижения, Суммы));
```
</details>

## СформироватьДвиженияСебестоимостьТоваровСписаниеНЗП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.3, 3.15
Процедура СформироватьДвиженияСебестоимостьТоваровСписаниеНЗП(ПараметрыРасчета, ДанныеДвижения, Суммы) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьДвиженияСебестоимостьТоваровСписаниеНЗП(ПараметрыРасчета, ДанныеДвижения, Суммы));
```
</details>

## СформироватьДвиженияПрочиеРасходыСписаниеНЗП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 2.3, 3.15
Процедура СформироватьДвиженияПрочиеРасходыСписаниеНЗП(ПараметрыРасчета, ДанныеДвижения, Суммы) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьДвиженияПрочиеРасходыСписаниеНЗП(ПараметрыРасчета, ДанныеДвижения, Суммы));
```
</details>

## СкорректироватьСтоимостьПрочегоСписанияНезавершенногоПроизводстваПоФИФОСкользящая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 2.4
Процедура СкорректироватьСтоимостьПрочегоСписанияНезавершенногоПроизводстваПоФИФОСкользящая(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СкорректироватьСтоимостьПрочегоСписанияНезавершенногоПроизводстваПоФИФОСкользящая(ПараметрыРасчета));
```
</details>

## ПолучитьСебестоимостьПартийТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Служебная, этап 2.1, 2.2
// Формирует ВтПартии
//
Процедура ПолучитьСебестоимостьПартийТоваров(ПараметрыРасчета, ДляСтоимостиПродаж = Ложь) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.ПолучитьСебестоимостьПартийТоваров(ПараметрыРасчета, ДляСтоимостиПродаж);
```
</details>

## ЗарегистрироватьСтоимостьФИФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 2.5
Процедура ЗарегистрироватьСтоимостьФИФО(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.ЗарегистрироватьСтоимостьФИФО(ПараметрыРасчета));
```
</details>

## РассчитатьСебестоимостьПоГруппеОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 0 - начало расчета
Процедура РассчитатьСебестоимостьПоГруппеОрганизаций(ПараметрыЗапуска, ПараметрыРасчета, ПараметрыОтладки) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.РассчитатьСебестоимостьПоГруппеОрганизаций(ПараметрыЗапуска, ПараметрыРасчета, ПараметрыОтладки));
```
</details>

## СформироватьТаблицуПередачМеждуОрганизациями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 3.5
// Формирует временную таблицу ВтПередачиТоваров
//
Процедура СформироватьТаблицуПередачМеждуОрганизациями(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьТаблицуПередачМеждуОрганизациями(ПараметрыРасчета));
```
</details>

## ЗарегистрироватьСтоимость
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 3.8, 3.12
Процедура ЗарегистрироватьСтоимость(ПараметрыРасчета, РегистрацияСтоимостиРегл) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.ЗарегистрироватьСтоимость(ПараметрыРасчета, РегистрацияСтоимостиРегл));
```
</details>

## СтоимостьНезавершенногоПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Этап 3.9
Процедура СтоимостьНезавершенногоПроизводства(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СтоимостьНезавершенногоПроизводства(ПараметрыРасчета));
```
</details>

## СтоимостьНезавершенногоПроизводстваРегл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 3.13
Процедура СтоимостьНезавершенногоПроизводстваРегл(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СтоимостьНезавершенногоПроизводстваРегл(ПараметрыРасчета) 
```
</details>

## СтоимостьСписанияРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СтоимостьСписанияРезервов(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СтоимостьСписанияРезервов(ПараметрыРасчета));
```
</details>

## СкорректироватьСтоимостьСписанияНезавершенногоПроизводства21
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 3.15
Процедура СкорректироватьСтоимостьСписанияНезавершенногоПроизводства21(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СкорректироватьСтоимостьСписанияНезавершенногоПроизводства21(ПараметрыРасчета));
```
</details>

## СформироватьУзлыКорректировкиСписанияСтоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 3.6
Процедура СформироватьУзлыКорректировкиСписанияСтоимости(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьУзлыКорректировкиСписанияСтоимости(ПараметрыРасчета));
```
</details>

## СформироватьУзлыКорректировкиСписанияСтоимостиРегл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 3.10
// Формирует временную таблицу узлов корректировки - ВтУзлыКорректировки.
//
Процедура СформироватьУзлыКорректировкиСписанияСтоимостиРегл(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.СформироватьУзлыКорректировкиСписанияСтоимостиРегл(ПараметрыРасчета));
```
</details>

## ПодготовитьДанныеДляРасчетаСтоимостиПоФИФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 3.6
// Функция выполняет корректировку стоимости и количества внешних приходов в узлах при расчете стоимости по ФИФО (Скользящая оценка).
//
// Параметры:
// Запрос - запрос - запрос по формированию узлов корректировки.
//
// Возвращаемое значение
// Таблица значений - узлы корректировки стоимости.
//
Процедура ПодготовитьДанныеДляРасчетаСтоимостиПоФИФО(ПараметрыРасчета, Запрос) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.ПодготовитьДанныеДляРасчетаСтоимостиПоФИФО(ПараметрыРасчета, Запрос));
```
</details>

## ПодготовитьДанныеДляРасчетаСтоимостиРеглПоФИФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 3.10
Процедура ПодготовитьДанныеДляРасчетаСтоимостиРеглПоФИФО(ПараметрыРасчета, Запрос) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.ПодготовитьДанныеДляРасчетаСтоимостиРеглПоФИФО(ПараметрыРасчета, Запрос));
```
</details>

## РассчитатьСтоимость
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 3.7, 3.11
Процедура РассчитатьСтоимость(ПараметрыРасчета, РасчетСтоимостиРегл) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.РассчитатьСтоимость(ПараметрыРасчета, РасчетСтоимостиРегл));
```
</details>

## ТекстЗапросаДвиженияСтоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 3.7
Функция ТекстЗапросаДвиженияСтоимости(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПартионныйУчет21.ТекстЗапросаДвиженияСтоимости(ПараметрыРасчета));
```
</details>

## ТекстЗапросаДвиженияСтоимостиРегл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 3.11
Функция ТекстЗапросаДвиженияСтоимостиРегл(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПартионныйУчет21.ТекстЗапросаДвиженияСтоимостиРегл(ПараметрыРасчета));
```
</details>

## РешитьСЛУПлатформой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 3.7, 3.11
// Процедура выполняет расчет себестоимости аналитики номенклатуры в узлах корректировки стоимости списания.
// Результатом работы данной процедуры будет временная таблица "ВтТаблицаРешений", содержащая себестоимость
// в каждом узле корректировки.
//
Процедура РешитьСЛУПлатформой(ПараметрыРасчета, РасчетСтоимостиРегл) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.РешитьСЛУПлатформой(ПараметрыРасчета, РасчетСтоимостиРегл));
```
</details>

## РешитьСЛУПлатформойБазовыеЗначенияГраф_1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет систем уравнений для показателей:
//		СтоимостьГраф_1, ДопРасходыГраф_1, ТрудозатратыГраф_1, СтоимостьЗабалансовая
// Результатом работы данной процедуры будет временная таблица "ВтТаблицаБазовыхРешенийГраф_1"
//
Процедура РешитьСЛУПлатформойБазовыеЗначенияГраф_1(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.РешитьСЛУПлатформойБазовыеЗначенияГраф_1(ПараметрыРасчета));
```
</details>

## РешитьСЛУПлатформойБазовыеЗначенияГраф_2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет систем уравнений для показателей:
//		СтоимостьГраф_2, ДопРасходыГраф_2, ТрудозатратыГраф_2
// Результатом работы данной процедуры будет временная таблица "ВтТаблицаБазовыхРешенийГраф_2"
//
Процедура РешитьСЛУПлатформойБазовыеЗначенияГраф_2(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.РешитьСЛУПлатформойБазовыеЗначенияГраф_2(ПараметрыРасчета));
```
</details>

## РешитьСЛУПлатформойРазницыШаг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет шаг расчета систем уравнений для показателей:
//		ВременнаяРазница, ПостояннаяРазница
// Результатом работы данной процедуры будут временные таблицы "ВтТаблицаРешенийВР" И "ВтТаблицаРешенийПР"
//
Процедура РешитьСЛУПлатформойРазницыШаг(ПараметрыРасчета, РасчетСтоимостиРегл, НомерШага) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.РешитьСЛУПлатформойРазницыШаг(ПараметрыРасчета, РасчетСтоимостиРегл, НомерШага));
```
</details>

## РешитьСЛУПлатформойРазницы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет систем уравнений для показателей:
//		ВременнаяРазница, ПостояннаяРазница
// Результатом работы данной процедуры будут временные таблицы "ВтТаблицаРешенийВР" И "ВтТаблицаРешенийПР"
//
Процедура РешитьСЛУПлатформойРазницы(ПараметрыРасчета, РасчетСтоимостиРегл) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.РешитьСЛУПлатформойРазницы(ПараметрыРасчета, РасчетСтоимостиРегл));
```
</details>

## РешитьСЛУПлатформойОбъединитьРешения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Объединяет все этапы решений в таблицу ВтТаблицаРешений
//
Процедура РешитьСЛУПлатформойОбъединитьРешения(ПараметрыРасчета, РасчетСтоимостиРегл) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.РешитьСЛУПлатформойОбъединитьРешения(ПараметрыРасчета, РасчетСтоимостиРегл));
```
</details>

## ЗаписатьДвиженияПоРегистру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка для универсальной процедуры записи движений.
//
Процедура ЗаписатьДвиженияПоРегистру(ПараметрыРасчета, ИсходныеДанные, МенеджерРегистра) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.ЗаписатьДвиженияПоРегистру(ПараметрыРасчета, ИсходныеДанные, МенеджерРегистра));
```
</details>

## ВходящиеДанныеМеханизма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень объектов метаданных, на основании данных которых выполняется расчет партий.
// В перечень не включаются объекты, которые являются одновременно и исходящими данными механизмов расчета партий и себестоимости.
//
// Параметры:
//	ВходящиеДанные - Соответствие - уже инициализированное хранилище для описания входящих данных
//	ТолькоТребующиеПерерасчета - Булево - если установлен, то будет возвращен перечень только тех данных,
//		изменение которых влечет за собой необходимость перерасчета партий и себестоимости
//		При изменении этих данных должна создаваться запись в регистре сведений ЗаданияКРасчетуСебестоимости.
//
// Возвращаемое значение:
//	Соответствие - Ключ - ОбъектМетаданных.
//
Процедура ВходящиеДанныеМеханизма(ВходящиеДанные, ТолькоТребующиеПерерасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.ВходящиеДанныеМеханизма(ВходящиеДанные, ТолькоТребующиеПерерасчета) 
```
</details>

## НеиспользуемыеДанныеМеханизмаВерсии21
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень регистров партионного учета версии 2.1, неиспользуемых в версии 2.2.
//
// Параметры:
//   НеиспользуемыеДанные - Соответствие
//   Значение - Булево
//
// Возвращаемое значение:
//   Соответствие:
//     * Ключ     - ОбъектМетаданныхРегистрНакопления.
//     * Значение - Булево.
//
Функция НеиспользуемыеДанныеМеханизмаВерсии21(НеиспользуемыеДанные = Неопределено, Значение = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПартионныйУчет21.НеиспользуемыеДанныеМеханизмаВерсии21(НеиспользуемыеДанные, Значение);
```
</details>

## ОписаниеРегистровДляКонтроляДатЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет описания регистров для их подключения к механизму дат запрета изменения.
//
Процедура ОписаниеРегистровДляКонтроляДатЗапретаИзменения(ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.ОписаниеРегистровДляКонтроляДатЗапретаИзменения(ИсточникиДанных) 
```
</details>

## ВедомостьПоПартиямТоваров_ДополнитьТекстЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет текст запроса отчета "Ведомость по партиям товаров" данными для партионного учета 2.1.
//
// Параметры:
//	ТекстЗапроса - Строка - Исходный текст запроса
//
Процедура ВедомостьПоПартиямТоваров_ДополнитьТекстЗапроса(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПартионныйУчет21.ВедомостьПоПартиямТоваров_ДополнитьТекстЗапроса(ТекстЗапроса) 
```
</details>

## АнализСебестоимостиВыпущеннойПродукции_ТекстЗапросаМатериальные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Формирует текст запроса для отчета "Анализ себестоимости выпущенной продукции" для получения материальных затрат.
//
// Возвращаемое значение:
//	Строка - Текст запроса
//
Функция АнализСебестоимостиВыпущеннойПродукции_ТекстЗапросаМатериальные() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПартионныйУчет21.АнализСебестоимостиВыпущеннойПродукции_ТекстЗапросаМатериальные() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
