---
title: Расчет себестоимости повт исп
slug: erp-uh/расчет-себестоимости-повт-исп
---


## ПравилаЗаполненияПоляТипЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает правила заполнения полей в первичных движениях документов по регистру "Себестоимость товаров".
//
// Параметры:
//	ИмяДокументаДляОтбора - Строка - имя документа для отбора строк таблицы; если не указано, то выводится таблица по всем документам
//
// Возвращаемое значение:
//	ТаблицаЗначений - правила заполнения записей, полученные из макета регистра накопления СебестоимостьТоваров
//
Функция ПравилаЗаполненияПоляТипЗаписи(ИмяДокументаДляОтбора = "") Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ПравилаЗаполненияПоляТипЗаписи(ИмяДокументаДляОтбора);
```
</details>

## ЭтоТипЗаписиПервичнойПартии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли указанный тип записи записью партии.
//
// Параметры:
// 	ТипЗаписи - ПеречислениеСсылка.ТипыЗаписейПартий - проверяемый тип записи
//
// Возвращаемое значение:
//	Булево - переданный тип записи является первичной партией.
//
Функция ЭтоТипЗаписиПервичнойПартии(ТипЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ЭтоТипЗаписиПервичнойПартии(ТипЗаписи) 
```
</details>

## ЭтоНепересчитываемыйТипЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, возможен ли пересчет записи указанного типа.
//
// Параметры:
// 	ТипЗаписи - ПеречислениеСсылка.ТипыЗаписейПартий - проверяемый тип записи
//
// Возвращаемое значение:
//	Булево - переданный тип записи является непересчитываемум.
//
Функция ЭтоНепересчитываемыйТипЗаписи(ТипЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ЭтоНепересчитываемыйТипЗаписи(ТипЗаписи) 
```
</details>

## ЭтоТолькоРасчетныйТипЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли переданный тип записи расчетным (не используется в первичных движениях).
// Если это расчетный тип записи (например, Выпуск, Распределение), значит она сгенерирована
// на этапе заполнения партий в себестоимости - для таких записей устанавливается признак "РасчетПартий".
// В противном случае считаем что это уже существующая первичная запись, для которой просто заполнились поля партионного
// учета. Используется только для регистра СебестоимостьТоваров на этапе заполнения партий в движениях этого регистра.
//
// Параметры:
// 	ТипЗаписи - ПеречислениеСсылка.ТипыЗаписейПартий - проверяемый тип записи
//
// Возвращаемое значение:
//	Булево - переданный тип записи является расчетным.
//
Функция ЭтоТолькоРасчетныйТипЗаписи(ТипЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ЭтоТолькоРасчетныйТипЗаписи(ТипЗаписи) 
```
</details>

## ВозможенРасчетСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак возможности расчета себестоимости.
//
//	Параметры:
//		Период - Дата - период, для которого проверяется возможность расчета себестоимости.
//
//	Возвращаемое значение:
//		Булево - признак возможности расчета себестоимости.
//
Функция ВозможенРасчетСебестоимости(Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ВозможенРасчетСебестоимости(Период);
```
</details>

## ФормироватьДвиженияПоРегистрамСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак необходимости формирования движений по регистрам себестоимости.
//
//	Параметры:
//		Период			- Дата		- период, для которого проверяется возможность расчета себестоимости.
//		ЭтоВводОстатков	- Булево	- признак того, что регистратор является вводом остатков.
//
//	Возвращаемое значение:
//		Булево - признак необходимости формирования движений по регистрам себестоимости.
//
Функция ФормироватьДвиженияПоРегистрамСебестоимости(Период, ЭтоВводОстатков = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ФормироватьДвиженияПоРегистрамСебестоимости(Период, ЭтоВводОстатков);
```
</details>

## ВозможныНеиспользуемыеДвиженияПоРегистрамСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак возможности наличия неиспользуемых движений себестоимости.
//
//	Возвращаемое значение:
//		Булево - признак возможности наличия неиспользуемых движений себестоимости.
//
Функция ВозможныНеиспользуемыеДвиженияПоРегистрамСебестоимости() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ВозможныНеиспользуемыеДвиженияПоРегистрамСебестоимости() 
```
</details>

## РегистрыНеИспользуемыеПриВыключенномУчетеСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень регистров, которые не используются при отключенном учете себестоимости.
//
//	Возвращаемое значение:
//		Соответствие - перечень регистров, которые не используются при отключенном учете себестоимости.
//
Функция РегистрыНеИспользуемыеПриВыключенномУчетеСебестоимости() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.РегистрыНеИспользуемыеПриВыключенномУчетеСебестоимости() 
```
</details>

## РегистрыНеРассчитываемыеПриВыключенномУчетеСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень регистров, которые не рассчитываются при отключенном учете себестоимости.
//
//	Возвращаемое значение:
//		Соответствие - перечень регистров, которые не рассчитываются при отключенном учете себестоимости.
//
Функция РегистрыНеРассчитываемыеПриВыключенномУчетеСебестоимости() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.РегистрыНеРассчитываемыеПриВыключенномУчетеСебестоимости() 
```
</details>

## РегистраторыСДвижениямиПриВыключенномУчетеСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень документов, которые формируют движения при отключенном учете себестоимости.
//
//	Возвращаемое значение:
//		Соответствие - перечень документов, которые формируют движения при отключенном учете себестоимости.
//
Функция РегистраторыСДвижениямиПриВыключенномУчетеСебестоимости() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.РегистраторыСДвижениямиПриВыключенномУчетеСебестоимости() 
```
</details>

## ТекстВтСоответствиеВариантовРаспределенияНазначениямПравил
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса временной таблицы соответствия вариантов распределения и назначений правил распределения
//
//	Возвращаемое значение:
//		Строка - текст запроса временной таблицы соответствия вариантов распределения и назначений правил распределения
//
Функция ТекстВтСоответствиеВариантовРаспределенияНазначениямПравил() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ТекстВтСоответствиеВариантовРаспределенияНазначениямПравил() 
```
</details>

## ПартионныйУчетВерсии22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, используется ли партионный учет версии 2.2 на указанную дату.
//
// Параметры:
//	Дата - Дата - дата, для которой надо определить режим партионного учета.
//
// Возвращаемое значение:
//	Булево - признак использования партионного учета версии 2.2 на указанную дату
//	Если дата не указана, то определяется сам факт использования партионного учета версии 2.2.
//
Функция ПартионныйУчетВерсии22(Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ПартионныйУчетВерсии22(Дата);
```
</details>

## ПартионныйУчетВерсии21
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, используется ли партионный учет версии 2.1 на указанную дату.
//
// Параметры:
//	Дата - Дата - дата, для которой надо определить режим партионного учета.
//
// Возвращаемое значение:
//	Булево - признак использования партионного учета версии 2.1 на указанную дату
//	Если дата не указана, то определяется сам факт использования партионного учета версии 2.1.
//
Функция ПартионныйУчетВерсии21(Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ПартионныйУчетВерсии21(Дата);
```
</details>

## ПартионныйУчетНеИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, отключен ли партионный учет на указанную дату.
//
// Параметры:
//	Дата - Дата - дата, для которой надо определить режим партионного учета.
//
// Возвращаемое значение:
//	Булево - признак отключенного партионного учета на указанную дату.
//
Функция ПартионныйУчетНеИспользуется(Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ПартионныйУчетНеИспользуется(Дата);
```
</details>

## ПартионныйУчетВключен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, включен ли партионный учет на указанную дату.
//
// Параметры:
//	Дата - Дата - дата, для которой надо определить режим партионного учета.
//
// Возвращаемое значение:
//	Булево - признак использования партионного учета на указанную дату.
//
Функция ПартионныйУчетВключен(Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ПартионныйУчетВключен(Дата);
```
</details>

## ИспользовалсяПартионныйУчетДоПереходаНаВерсию22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет "старый" режим партионного учета, до перехода на партионный учет версии 2.2.
//
// Параметры:
//	Дата - Дата - дата, для которой надо определить режим партионного учета.
//
// Возвращаемое значение:
//	Булево, Неопределено - признак использования партионного учета на указанную дату
// 		Если параметр Дата не передан, или Дата находится в периоде действия партионного учета версии 2.2,
//		то возвращается значение Неопределено - в такой проверке нет смысла.
//
Функция ИспользовалсяПартионныйУчетДоПереходаНаВерсию22(Дата) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ИспользовалсяПартионныйУчетДоПереходаНаВерсию22(Дата) 
```
</details>

## ДатаПереходаНаПартионныйУчетВерсии22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату перехода на партионный учет версии 2.2.
// Дата может быть пустой - значит партионный учет версии 2.2 включен для всех периодов.
//
// Возвращаемое значение:
//	Дата - начало месяца перехода на партионный учет версии 2.2.
//
Функция ДатаПереходаНаПартионныйУчетВерсии22() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ДатаПереходаНаПартионныйУчетВерсии22() 
```
</details>

## ДатаНачалаВеденияУправленческогоУчетаОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату начала ведения управленческого учета организаций.
// Дата может быть пустой - значит управленческий учет организаций включен для всех периодов.
//
// Возвращаемое значение:
//	Дата - начало месяца ведения управленческого учета организаций
//
Функция ДатаНачалаВеденияУправленческогоУчетаОрганизаций() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ДатаНачалаВеденияУправленческогоУчетаОрганизаций() 
```
</details>

## УправленческийУчетОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, включен ли управленческий учет организаций на указанную дату.
//
// Параметры:
//	Дата - Дата - дата, для которой надо определить ведение управленческого учета организаций.
//
// Возвращаемое значение:
//	Булево - признак использования управленческого учета организаций на указанную дату
//	Если дата не указана, то определяется сам факт включения партионного учета организаций.
//
Функция УправленческийУчетОрганизаций(Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.УправленческийУчетОрганизаций(Дата);
```
</details>

## ДатаВключенияОбособленногоУчетаСебестоимостиПоНазначениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату начала включения обособленного учета себестоимости по назначениям.
//
// Возвращаемое значение:
//	Дата - начало месяца включения обособленного учета по назначениям.
//
Функция ДатаВключенияОбособленногоУчетаСебестоимостиПоНазначениям() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ДатаВключенияОбособленногоУчетаСебестоимостиПоНазначениям() 
```
</details>

## СебестоимостьТоваровПоНазначениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, включен ли учет себестоимости по назначениям на указанную дату.
//
// Параметры:
//	Дата - Дата - дата, для которой надо определить ведение учета себестоимости по назначениям.
//
// Возвращаемое значение:
//	Булево - признак учета себестоимости по назначениям на указанную дату
//	Если дата не указана, то определяется сам факт учета себестоимости по назначениям.
//
Функция СебестоимостьТоваровПоНазначениям(Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.СебестоимостьТоваровПоНазначениям(Дата);
```
</details>

## ОрганизацииСМетодомОценкиФИФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив организаций с методом оценки стоимости "ФИФО скользящая".
//
// Параметры:
//  Период - Дата - период определения учетной политики организаций
//
// Возвращаемое значение:
//  Массив из СправочникСсылка.Организации - массив организаций
//
Функция ОрганизацииСМетодомОценкиФИФО(Период) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ОрганизацииСМетодомОценкиФИФО(Период) 
```
</details>

## ОрганизацииСМетодомОценкиПоСредней
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив организаций с методом оценки стоимости "средняя за месяц".
//
// Параметры:
//	Период - Дата - период определения учетной политики организаций
//
// Возвращаемое значение:
//  Массив из СправочникСсылка.Организации - массив организаций
//
Функция ОрганизацииСМетодомОценкиПоСредней(Период) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ОрганизацииСМетодомОценкиПоСредней(Период) 
```
</details>

## ОрганизацииСДетализациейЗатратВСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив организаций с методом оценки стоимости "ФИФО скользящая" и установленным признаком "Детализировать материальные и постатейные затраты в себестоимости товаров".
//
// Параметры:
//  Период - Дата - период определения учетной политики организаций
//
// Возвращаемое значение:
//  Массив из СправочникСсылка.Организации - массив организаций
//
Функция ОрганизацииСДетализациейЗатратВСебестоимости(Период) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ОрганизацииСДетализациейЗатратВСебестоимости(Период) 
```
</details>

## ЗначенияТехнологическихПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения технологических параметров операции закрытия месяца.
//
// Параметры:
//	Операция - ПеречислениеСсылка.ОперацииЗакрытияМесяца - операция, для которой получаются технологические параметры;
//				если не указана, то возвращаются значения параметров для операции "Расчет партий и себестоимости".
//	СкрытыеИмеютЗначенияПоУмолчанию - Булево - для скрытых параметров будет возвращено
//		значение по умолчанию независимо от наличия измененного значения
//
// Возвращаемое значение:
//	Структура- Значения технологических параметров
//
Функция ЗначенияТехнологическихПараметров(Операция = Неопределено, СкрытыеИмеютЗначенияПоУмолчанию = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ЗначенияТехнологическихПараметров(Операция, СкрытыеИмеютЗначенияПоУмолчанию);
```
</details>

## ВажностьПроверкиСостоянияСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает важность указанной проверки состояния системы.
//
// Параметры:
//	Проверка - СправочникСсылка.ПравилаПроверкиУчета - проверка.
//
// Возвращаемое значение:
//	ПеречислениеСсылка.ВажностьПроблемыУчета - важность проверки.
//
Функция ВажностьПроверкиСостоянияСистемы(Проверка) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ВажностьПроверкиСостоянияСистемы(Проверка) 
```
</details>

## ВходящиеДанныеМеханизма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень объектов метаданных, на основании данных которых выполняется расчет партий.
// В перечень не включаются объекты, которые являются одновременно и исходящими данными механизмов расчета партий и себестоимости.
//
// Параметры:
//	ВходящиеДанные - Соответствие - уже инициализированное хранилище для описания входящих данных
//	ТолькоТребующиеПерерасчета - Булево - если установлен, то будет возвращен перечень только тех данных,
//		изменение которых влечет за собой необходимость перерасчета партий и себестоимости
//		При изменении этих данных должна создаваться запись в регистре сведений ЗаданияКРасчетуСебестоимости.
//
// Возвращаемое значение:
//	См. РасчетСебестоимости.ВходящиеДанныеМеханизма
//
Функция ВходящиеДанныеМеханизма(ВходящиеДанные = Неопределено, ТолькоТребующиеПерерасчета = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ВходящиеДанныеМеханизма(ВходящиеДанные, ТолькоТребующиеПерерасчета);
```
</details>

## ЕстьРасчетныеДвиженияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Есть расчетные движения указанного типа документов по указанному регистру.
//
// Параметры:
//  ИмяДокумента - Строка - Имя документа
//  ИмяРегистра - Строка - Имя регистра
//
// Возвращаемое значение:
//  Булево -  Есть расчетные движения документа
Функция ЕстьРасчетныеДвиженияДокумента(ИмяДокумента, ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.ЕстьРасчетныеДвиженияДокумента(ИмяДокумента, ИмяРегистра) 
```
</details>

## СформироватьОписаниеРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать описание регистра.
//
// Параметры:
//  ПолноеИмяРегистра - Строка - Полное имя регистра
//
// Возвращаемое значение:
//  см. РасчетСебестоимостиПрикладныеАлгоритмы.СформироватьОписаниеРегистра
Функция СформироватьОписаниеРегистра(ПолноеИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.СформироватьОписаниеРегистра(ПолноеИмяРегистра) 
```
</details>

## КолонкиЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень колонок запроса.
//
// Параметры:
//  ТекстЗапроса - Строка - Текст запроса
//
// Возвращаемое значение:
//  Массив из Строка - Колонки запроса
Функция КолонкиЗапроса(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПовтИсп.КолонкиЗапроса(ТекстЗапроса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
