---
title: Расчет себестоимости подготовка данных локализация
slug: erp-uh/расчет-себестоимости-подготовка-данных-локализация
---


## ПодготовкаИсходныхДанныхКРасчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап подготовки к расчету
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура ПодготовкаИсходныхДанныхКРасчету(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПодготовкаДанныхЛокализация.ПодготовкаИсходныхДанныхКРасчету(ПараметрыРасчета) 
```
</details>

## ЗаполнитьПроверкиДляРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет проверки, выполняемые в рамках расчета партий и себестоимости.
//
// Параметры:
//	ТаблицаПроверок - см. АудитСостоянияСистемыПереопределяемый.ЗаполнитьПроверкиДляРегистрации.
//
Процедура ЗаполнитьПроверкиДляРегистрации(ТаблицаПроверок) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПодготовкаДанныхЛокализация.ЗаполнитьПроверкиДляРегистрации(ТаблицаПроверок) 
```
</details>

## ИсправитьПроблемыВДвиженияхИДокументах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Исправляет проблемы в движениях документов и в самих документах в рассчитываемом периоде.
//
// Есть ошибки, которые "портят" исходные данные для расчета,
// но для исправления их последствий не пишется обработчик обновления.
// Например, из-за какой-то старой ошибки в каких-то случаях движения документа были некорректны.
// - если для исправления этой ошибки написать обработчик обновления,
// то он изменит данные прошлых, "закрытых" периодов, из-за чего эти периоды перестанут быть "закрытыми".
// Придется повторно закрывать эти периоды, из-за чего в них может измениться себестоимость и, как следствие,
// регламентированная отчетность. Это плохо, т.к. по этим периодам отчетность уже может быть сдана.
// - с другой стороны, в тех периодах, которые пользователь будет пересчитывать, эту ошибку в движениях надо бы исправить,
// чтобы в этих пересчитанных периодах себестоимость основывалась на правильных исходных данных.
//
// Для исправления таких ошибок и предназначена данная процедура.
// По сути, она является аналогом обработчика обновления, исправляющего движения документов в периоде, указанном пользователем.
//
// Также эта процедура используется для корректировки движений периода при его перерасчете в партионном учете версии 2.2.
//
Процедура ИсправитьПроблемыВДвиженияхИДокументах(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПодготовкаДанныхЛокализация.ИсправитьПроблемыВДвиженияхИДокументах(ПараметрыРасчета) 
```
</details>

## ДополнитьТипыРегистраторовСНестандартнойЛогикойФормированияДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет массив типами документов с "нестандартной" логикой формирования движений.
//
// Параметры:
//	ТипыРегистраторов - Массив - массив типов регистраторов
//
Процедура ДополнитьТипыРегистраторовСНестандартнойЛогикойФормированияДвижений(ТипыРегистраторов) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПодготовкаДанныхЛокализация.ДополнитьТипыРегистраторовСНестандартнойЛогикойФормированияДвижений(ТипыРегистраторов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
