---
title: Расчет себестоимости постатейные затраты
slug: erp-uh/расчет-себестоимости-постатейные-затраты
---


## ДанныеДляРасшифровкиДолейПроизводственныхРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для построения расшифровки базы распределения постатейных расходов.
//
// Параметры:
//		Период - Дата - период расчета
//		МассивОрганизаций - СправочникСсылка.Организации - массив организаций;
//		Регистратор - ДокументСсылка.РаспределениеПрочихЗатрат - документ распределения, для которого строится расшифровка
//		РасчетСебестоимостиВыполнен - Булево - принимает значение Истина, если расчет себестоимости за указанный период выполнен успешно.
//
// Возвращаемое значение:
//		МенеджерВременныхТаблиц - таблицы для построения отчета.
//
Функция ДанныеДляРасшифровкиДолейПроизводственныхРасходов(Период, МассивОрганизаций, Регистратор, РасчетСебестоимостиВыполнен) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПостатейныеЗатраты.ДанныеДляРасшифровкиДолейПроизводственныхРасходов(Период, МассивОрганизаций, Регистратор, РасчетСебестоимостиВыполнен) 
```
</details>

## ДанныеДляРасшифровкиПрямыхПроизводственныхРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные для расшифровки прямых производственных расходов.
//
// Параметры:
//		Период - Дата - период расчета
//		МассивОрганизаций - СправочникСсылка.Организации - массив организаций;
//		Регистратор - ДокументСсылка.РаспределениеПрочихЗатрат - документ распределения, для которого строится расшифровка
//		РасчетСебестоимостиВыполнен - Булево - принимает значение Истина, если расчет себестоимости за указанный период выполнен успешно.
//
// Возвращаемое значение:
//		МенеджерВременныхТаблиц - таблицы для построения отчета.
Функция ДанныеДляРасшифровкиПрямыхПроизводственныхРасходов(Период, МассивОрганизаций, Регистратор, РасчетСебестоимостиВыполнен) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПостатейныеЗатраты.ДанныеДляРасшифровкиПрямыхПроизводственныхРасходов(Период, МассивОрганизаций, Регистратор, РасчетСебестоимостиВыполнен) 
```
</details>

## ДанныеДляРасшифровкиДопРасходовМеждуПартиямиИТоварами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные для расшифровки доп. расходов между партиями товаров.
//
// Параметры:
//		Период - Дата - период расчета
//		МассивОрганизаций - СправочникСсылка.Организации - массив организаций;
//		Регистратор - ДокументСсылка.РаспределениеПрочихЗатрат - документ распределения, для которого строится расшифровка
//		РасчетСебестоимостиВыполнен - Булево - принимает значение Истина, если расчет себестоимости за указанный период выполнен успешно.
//
// Возвращаемое значение:
//		МенеджерВременныхТаблиц - таблицы для построения отчета.
Функция ДанныеДляРасшифровкиДопРасходовМеждуПартиямиИТоварами(Период, МассивОрганизаций, Регистратор, РасчетСебестоимостиВыполнен) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПостатейныеЗатраты.ДанныеДляРасшифровкиДопРасходовМеждуПартиямиИТоварами(Период, МассивОрганизаций, Регистратор, РасчетСебестоимостиВыполнен) 
```
</details>

## ПодготовитьБазуПоПрямымЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные базы распределения расходов по прямым затратам.
//
// Параметры:
//		Параметры - см. Документы.РаспределениеПрочихЗатрат.ИнициализироватьПараметрыРаспределенияРасходовНаФинРез
//
// Возвращаемое значение:
//		МенеджерВременныхТаблиц - таблица базы распределения по прямым затратам.
//
Функция ПодготовитьБазуПоПрямымЗатрат(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПостатейныеЗатраты.ПодготовитьБазуПоПрямымЗатрат(Параметры) 
```
</details>

## РаспределитьОтклоненияВСтоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 10.1 Распределение отклонений в стоимости и разниц в корректировке приобретений прошлого периода.
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РаспределитьОтклоненияВСтоимости(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПостатейныеЗатраты.РаспределитьОтклоненияВСтоимости(ПараметрыРасчета) 
```
</details>

## РаспределениеДопРасходовМеждуПартиямиИТоварами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 10.2 Распределение постатейных расходов на себестоимость товаров.
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РаспределениеДопРасходовМеждуПартиямиИТоварами(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПостатейныеЗатраты.РаспределениеДопРасходовМеждуПартиямиИТоварами(ПараметрыРасчета) 
```
</details>

## РасчетДолейРаспределенияПрочихЗатрат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Этап 7 (Контекст: "РасчетДолейРаспределенияПрочихЗатрат")
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РасчетДолейРаспределенияПрочихЗатрат(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПостатейныеЗатраты.РасчетДолейРаспределенияПрочихЗатрат(ПараметрыРасчета) 
```
</details>

## РасчетТранзитовОВЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Этап 14.2 (Контекст: "ОВЗ_РасчетТранзитовОВЗ")
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
// Формирует временные таблицы ВтИсходныеДанныеУзловТранзитаРасходовМеждуОВЗ и ВтТранзитРасходовМеждуОВЗ.
//
Процедура РасчетТранзитовОВЗ(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПостатейныеЗатраты.РасчетТранзитовОВЗ(ПараметрыРасчета) 
```
</details>

## РаспределитьДолиПроизводственныхРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//-- НЕ УТ

//++ НЕ УТ

// Этап 15 (Контекст: "РаспределитьДолиПроизводственныхРасходов").
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РаспределитьДолиПроизводственныхРасходов(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПостатейныеЗатраты.РаспределитьДолиПроизводственныхРасходов(ПараметрыРасчета) 
```
</details>

## РаспределитьПрямыеПроизводственныеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 15.1 (Контекст: "РаспределитьПрямыеПроизводственныеРасходы").
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РаспределитьПрямыеПроизводственныеРасходы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПостатейныеЗатраты.РаспределитьПрямыеПроизводственныеРасходы(ПараметрыРасчета) 
```
</details>

## РаспределениеПостатейныхРасходовНаВыходныеИзделия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап 16 (Контекст: "РаспределениеПостатейныхРасходовНаВыходныеИзделия")
// ПУ 2.1: РассчитатьПрочиеРасходыНЗП(), область РасчетПрочихРасходовНезавершенногоПроизводства.
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РаспределениеПостатейныхРасходовНаВыходныеИзделия(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПостатейныеЗатраты.РаспределениеПостатейныхРасходовНаВыходныеИзделия(ПараметрыРасчета) 
```
</details>

## РаспределениеПостатейныхРасходовНаПродажу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Этап 18.1 (Контекст: "РаспределениеПостатейныхРасходовНаПродажу")
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РаспределениеПостатейныхРасходовНаПродажу(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПостатейныеЗатраты.РаспределениеПостатейныхРасходовНаПродажу(ПараметрыРасчета) 
```
</details>

## РаспределитьРасходыБудущихПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Этап распределения расходов будущих периодов.
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РаспределитьРасходыБудущихПериодов(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПостатейныеЗатраты.РаспределитьРасходыБудущихПериодов(ПараметрыРасчета) 
```
</details>

## СформироватьДвиженияРаспределениеРБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная, этап 4.5
Процедура СформироватьДвиженияРаспределениеРБП(ПараметрыРасчета, ДанныеДвижения, Суммы) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПостатейныеЗатраты.СформироватьДвиженияРаспределениеРБП(ПараметрыРасчета, ДанныеДвижения, Суммы));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
