---
title: Расчет себестоимости протокол расчета
slug: erp-uh/расчет-себестоимости-протокол-расчета
---


## ВедетсяПротоколРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Определяет, была ли выполнена инициализация протокола.
//
// Возвращаемое значение:
//	Булево -
//
Функция ВедетсяПротоколРасчета(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ВедетсяПротоколРасчета(ПараметрыРасчета) 
```
</details>

## ИдентификаторПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор протокола в регистре сведений ПротоколыРасчетаПартийИСебестоимости.
//
// Возвращаемое значение:
//	УникальныйИдентификатор -
//
Функция ИдентификаторПротокола(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ИдентификаторПротокола(ПараметрыРасчета) 
```
</details>

## НачалоЭтапаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует начало этапа расчета.
//
Процедура НачалоЭтапаРасчета(ПараметрыРасчета, ПредставлениеЭтапа, УровеньЭтапа = 1) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.НачалоЭтапаРасчета(ПараметрыРасчета, ПредставлениеЭтапа, УровеньЭтапа);
```
</details>

## ОкончаниеЭтапаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует окончание этапа расчета.
// Можно не вызывать явно - вызывается при начале следующего этапа.
//
Процедура ОкончаниеЭтапаРасчета(ПараметрыРасчета, ОкончаниеРасчета = Ложь) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ОкончаниеЭтапаРасчета(ПараметрыРасчета, ОкончаниеРасчета);
```
</details>

## ОписаниеТекущегоЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание текущего этапа.
//
Функция ОписаниеТекущегоЭтапа(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ОписаниеТекущегоЭтапа(ПараметрыРасчета));
```
</details>

## ПредставлениеТекущегоЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовое описание текущего этапа.
//
// Возвращаемое значение:
//	Строка -
//
Функция ПредставлениеТекущегоЭтапа(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ПредставлениеТекущегоЭтапа(ПараметрыРасчета) 
```
</details>

## НачалоФормированиеВременнойТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует начало формирования временной таблицы (внутри этапа расчета).
//
Процедура НачалоФормированиеВременнойТаблицы(ПараметрыРасчета, ИмяВременнойТаблицы, Пояснение = "", ИменаИсходныхТаблиц = "", ВремяНачала = Неопределено) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.НачалоФормированиеВременнойТаблицы(ПараметрыРасчета, ИмяВременнойТаблицы, Пояснение, ИменаИсходныхТаблиц, ВремяНачала);
```
</details>

## ОкончаниеФормированиеВременнойТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует окончание формирования временной таблицы (внутри этапа расчета).
//
Процедура ОкончаниеФормированиеВременнойТаблицы(ПараметрыРасчета, УвеличиватьСчетчикЗамераПроизводительности = Ложь, КоличествоДанных = Неопределено, ВремяОкончания = Неопределено) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ОкончаниеФормированиеВременнойТаблицы(ПараметрыРасчета, УвеличиватьСчетчикЗамераПроизводительности, КоличествоДанных, ВремяОкончания);
```
</details>

## ИнициализироватьОписаниеВыполненияФрагментаКода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Инициализирует структуру описания замера фрагмента кода.
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Пояснение - Строка -
// * Идентификатор - Строка -
// * ВремяНачала - Число -
//
Функция ИнициализироватьОписаниеВыполненияФрагментаКода() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ИнициализироватьОписаниеВыполненияФрагментаКода() 
```
</details>

## НачалоВыполненияФрагментаКода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует начало выполнения фрагмента кода (внутри этапа расчета).
// Вложенность замеров фрагментов кода не допускается.
//
Процедура НачалоВыполненияФрагментаКода(ПараметрыРасчета, Идентификатор, Пояснение) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.НачалоВыполненияФрагментаКода(ПараметрыРасчета, Идентификатор, Пояснение) 
```
</details>

## ОкончаниеВыполненияФрагментаКода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует окончание выполнения фрагмента кода (внутри этапа расчета).
//
Процедура ОкончаниеВыполненияФрагментаКода(ПараметрыРасчета, КоличествоДанныхДляЗамераПроизводительности = 0) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ОкончаниеВыполненияФрагментаКода(ПараметрыРасчета, КоличествоДанныхДляЗамераПроизводительности);
```
</details>

## НачалоЗаписиДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует начало записи сформированных движений.
//
Процедура НачалоЗаписиДвижений(ПараметрыРасчета, ЗаписатьРегистры) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.НачалоЗаписиДвижений(ПараметрыРасчета, ЗаписатьРегистры) 
```
</details>

## ОкончаниеЗаписиДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует окончание записи сформированных движений.
//
Процедура ОкончаниеЗаписиДвижений(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ОкончаниеЗаписиДвижений(ПараметрыРасчета) 
```
</details>

## ДобавитьИнформациюОЗаписиДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет записи в лог работы механизма записи движений.
//
Процедура ДобавитьИнформациюОЗаписиДвижений(ПараметрыРасчета, ТекстДляПротокола) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ДобавитьИнформациюОЗаписиДвижений(ПараметрыРасчета, ТекстДляПротокола) 
```
</details>

## КэшированиеСформированныхДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует количественные показатели кэширования сформированных движений.
//
Процедура КэшированиеСформированныхДвижений(ПараметрыРасчета, ИмяРегистра, КоличествоСтрокТаблицыЗначений) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.КэшированиеСформированныхДвижений(ПараметрыРасчета, ИмяРегистра, КоличествоСтрокТаблицыЗначений) 
```
</details>

## КэшированиеСформированныхЗаписейВТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует количественные показатели кэширования сформированных записей вспомогательных временных таблиц.
//
Процедура КэшированиеСформированныхЗаписейВТ(ПараметрыРасчета, ИмяТаблицы, КоличествоСтрокТаблицыЗначений) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.КэшированиеСформированныхЗаписейВТ(ПараметрыРасчета, ИмяТаблицы, КоличествоСтрокТаблицыЗначений) 
```
</details>

## ЗаписьСформированныхДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Протоколирует количественные показатели записи сформированных движений.
//
Процедура ЗаписьСформированныхДвижений(ПараметрыРасчета, ИмяРегистра, КоличествоДокументов = 0, КоличествоЗаписей = 0, ВремяЗаписи = 0) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ЗаписьСформированныхДвижений(ПараметрыРасчета, ИмяРегистра, КоличествоДокументов, КоличествоЗаписей, ВремяЗаписи);
```
</details>

## ЗафиксироватьОшибкиВСформированныхДвижениях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Фиксирует в протоколе расчета наличие ошибок в сформированных движениях.
//
Процедура ЗафиксироватьОшибкиВСформированныхДвижениях(ПараметрыРасчета, ОписаниеРегистра, ИмяТаблицы, ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ЗафиксироватьОшибкиВСформированныхДвижениях(ПараметрыРасчета, ОписаниеРегистра, ИмяТаблицы, ОписаниеОшибки) 
```
</details>

## ОчисткаСформированныхДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает счетчики сформированных в случае, когда кэш регистра очищается и движения формируются заново.
//
Процедура ОчисткаСформированныхДвижений(ПараметрыРасчета, ИмяРегистра) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ОчисткаСформированныхДвижений(ПараметрыРасчета, ИмяРегистра) 
```
</details>

## ДополнительнаяИнформация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в протокол произвольный текст (внутри этапа расчета).
//
Процедура ДополнительнаяИнформация(ПараметрыРасчета, ТекстовоеОписание, ТекстДляЖурналаРегистрации = Неопределено) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ДополнительнаяИнформация(ПараметрыРасчета, ТекстовоеОписание, ТекстДляЖурналаРегистрации);
```
</details>

## ЗафиксироватьОшибкуРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в протокол информацию об ошибке расчета.
//
Процедура ЗафиксироватьОшибкуРасчета(ПараметрыРасчета, ТипОшибки, Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ЗафиксироватьОшибкуРасчета(ПараметрыРасчета, ТипОшибки, );
```
</details>

## ОтметкаВЖурналеРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Делает запись в журнал регистрации о начале выполнения этапа.
//
Процедура ОтметкаВЖурналеРегистрации(ПараметрыРасчета, ПредставлениеЭтапа, Уровень = Неопределено, Комментарий = "") Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ОтметкаВЖурналеРегистрации(ПараметрыРасчета, ПредставлениеЭтапа, Уровень, Комментарий);
```
</details>

## ПредставлениеВремениВыполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление интервала времени (ВремяНачала, ВремяОкончания) и его % от общего времени расчета.
//
Функция ПредставлениеВремениВыполнения(ИсточникДанныхОВремени, ИсточникДанныхОбОбщемВремени = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ПредставлениеВремениВыполнения(ИсточникДанныхОВремени, ИсточникДанныхОбОбщемВремени);
```
</details>

## ПредставлениеПериодаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление месяца расчета.
//
// Возвращаемое значение:
//	Строка -
//
Функция ПредставлениеПериодаРасчета(ПараметрыРасчетаИлиПериод) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ПредставлениеПериодаРасчета(ПараметрыРасчетаИлиПериод) 
```
</details>

## ПредставлениеЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление произвольного значения.
// При использовании этой функции все значения одинакового типа будут одинаковое форматирование.
//
// Возвращаемое значение:
//	Строка -
//
Функция ПредставлениеЗначения(Значение, ПредставлениеДатыКакПериодРасчета = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ПредставлениеЗначения(Значение, ПредставлениеДатыКакПериодРасчета);
```
</details>

## ПредставлениеВремени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление времени в часах/минутах/секундах.
//
// Возвращаемое значение:
//	Строка -
//
Функция ПредставлениеВремени(Значение, СДолямиСекунд = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ПредставлениеВремени(Значение, СДолямиСекунд);
```
</details>

## ПредставлениеМногострочногоТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление многострочного текста - добавляет отступы для каждой строки.
//
// Возвращаемое значение:
//	Строка -
//
Функция ПредставлениеМногострочногоТекста(Значение, Знач ТекстФорматаАбзаца = "", Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ПредставлениеМногострочногоТекста(Значение, ТекстФорматаАбзаца, );
```
</details>

## ПредставлениеТекстаОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление текста сообщения об ошибке.
//
// Возвращаемое значение:
//	Строка -
//
Функция ПредставлениеТекстаОшибки(Значение) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ПредставлениеТекстаОшибки(Значение) 
```
</details>

## ПредставлениеОшибокРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление списка ошибок, зафиксированных при расчете.
//
Функция ПредставлениеОшибокРасчета(ПротоколРасчета, Заголовок = Неопределено, Разделитель = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ПредставлениеОшибокРасчета(ПротоколРасчета, Заголовок, Разделитель);
```
</details>

## СлужебныйСимвол_БезНумерации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает служебный символ, который позволяет пропустить нумерацию для "заголовка" списка ошибок протокола.
//
// Возвращаемое значение:
//	Строка -
//
Функция СлужебныйСимвол_БезНумерации() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.СлужебныйСимвол_БезНумерации() 
```
</details>

## СлужебныйСимвол_МаркированныйСписок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает служебный символ, который позволяет сформировать маркированный список ошибок.
//
// Возвращаемое значение:
//	Строка -
//
Функция СлужебныйСимвол_МаркированныйСписок() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.СлужебныйСимвол_МаркированныйСписок() 
```
</details>

## РазделительЧастейПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку, разделяющую части протокола расчета.
//
Функция РазделительЧастейПротокола() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.РазделительЧастейПротокола());
```
</details>

## ЗаголовокПротоколаПриВыводе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок протокола для вывода его на экран.
//
// Возвращаемое значение:
//	Строка -
//
Функция ЗаголовокПротоколаПриВыводе(ПериодРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ЗаголовокПротоколаПриВыводе(ПериодРасчета) 
```
</details>

## ВывестиИнформациюОбОшибках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Выводит в протокол и дублирует в журнал регистрации информацию об ошибках.
//
Процедура ВывестиИнформациюОбОшибках(ПараметрыРасчета, Протокол, ДанныеОшибок, Заголовок, ПредставлениеЭтапа = Неопределено) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ВывестиИнформациюОбОшибках(ПараметрыРасчета, Протокол, ДанныеОшибок, Заголовок, ПредставлениеЭтапа);
```
</details>

## НачатьЗамерВремени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьЗамерВремени(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.НачатьЗамерВремени(ПараметрыРасчета) 
```
</details>

## ЗакончитьЗамерВремени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗакончитьЗамерВремени(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ЗакончитьЗамерВремени(ПараметрыРасчета) 
```
</details>

## ЗафиксироватьЗамерВремени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗафиксироватьЗамерВремени(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.ЗафиксироватьЗамерВремени(ПараметрыРасчета) 
```
</details>

## УвеличитьКоличествоОбработанныхДанныхДляЗамера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УвеличитьКоличествоОбработанныхДанныхДляЗамера(ПараметрыРасчета, КоличествоДанных) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиПротоколРасчета.УвеличитьКоличествоОбработанныхДанныхДляЗамера(ПараметрыРасчета, КоличествоДанных) 
```
</details>

## ВыполнитьЗапросСЗамерами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьЗапросСЗамерами(ПараметрыРасчета, ЗапросДляЗамера) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиПротоколРасчета.ВыполнитьЗапросСЗамерами(ПараметрыРасчета, ЗапросДляЗамера) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
