---
title: Расчет себестоимости решение сл у
slug: erp-uh/расчет-себестоимости-решение-сл-у
---


## РасчетСебестоимости_РезервыПодОбесценениеЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчет стоимости в части резервов под обесценение.
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РасчетСебестоимости_РезервыПодОбесценениеЗапасов(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиРешениеСЛУ.РасчетСебестоимости_РезервыПодОбесценениеЗапасов(ПараметрыРасчета) 
```
</details>

## РасчетСебестоимости_МатериальныеИТрудозатраты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчет стоимости в части стоимости товаров и трудозатрат.
// Рассчитываются ресурсы регистра "Себестоимость товаров":
//	- Стоимость, СтоимостьБезНДС, СтоимостьЗабалансовая, Трудозатраты
//	- СтоимостьРегл, СтоимостьЗабалансоваяРегл, ТрудозатратыРегл
//	- СтоимостьУпр, ТрудозатратыУпр
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РасчетСебестоимости_МатериальныеИТрудозатраты(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиРешениеСЛУ.РасчетСебестоимости_МатериальныеИТрудозатраты(ПараметрыРасчета) 
```
</details>

## РасчетСебестоимости_ДополнительныеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчет стоимости в части дополнительных расходов по товарам и в части включения/исключения НДС.
// Рассчитываются ресурсы регистра "Себестоимость товаров":
//	- ДопРасходы, ДопРасходыБезНДС
//	- СтоимостьРегл, ДопРасходыРегл
//	- СтоимостьУпр, ДопРасходыУпр
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РасчетСебестоимости_ДополнительныеРасходы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиРешениеСЛУ.РасчетСебестоимости_ДополнительныеРасходы(ПараметрыРасчета) 
```
</details>

## РасчетСебестоимости_ВключениеИсключениеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчет стоимости в части дополнительных расходов по товарам и в части включения/исключения НДС.
// Рассчитываются ресурсы регистра "Себестоимость товаров":
//	- ДопРасходы, ДопРасходыБезНДС
//	- СтоимостьРегл, ДопРасходыРегл
//	- СтоимостьУпр, ДопРасходыУпр
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РасчетСебестоимости_ВключениеИсключениеНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиРешениеСЛУ.РасчетСебестоимости_ВключениеИсключениеНДС(ПараметрыРасчета) 
```
</details>

## РасчетСебестоимости_ПостатейныеРасходыИНалоговыйУчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Расчет стоимости в части постатейных производственных расходов.
// Рассчитываются ресурсы регистра "Себестоимость товаров":
//	- ПостатейныеПостоянныеСНДС, ПостатейныеПостоянныеБезНДС, ПостатейныеПеременныеСНДС, ПостатейныеПеременныеБезНДС
//	- ПостатейныеПостоянныеРегл, ПостатейныеПеременныеРегл
//	- ПостояннаяРазница, ВременнаяРазница
//	- ПостатейныеПостоянныеУпр, ПостатейныеПеременныеУпр
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета себестоимости
//
Процедура РасчетСебестоимости_ПостатейныеРасходыИНалоговыйУчет(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиРешениеСЛУ.РасчетСебестоимости_ПостатейныеРасходыИНалоговыйУчет(ПараметрыРасчета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
