---
title: Расчет себестоимости универсальные алгоритмы
slug: erp-uh/расчет-себестоимости-универсальные-алгоритмы
---


## ИнициализироватьПараметрыРаспределенияМетодомУменьшаемогоОстатка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует основные параметры распределения.
// Обязательная.
//
// Параметры:
//  ИмяТаблицыИсточника - Строка - имя временной таблицы, содержащей данные для распределения.
//  ИмяТаблицыБазыРаспределения - Строка - имя временной таблицы, содержащей базу, по которой будут распределены данные из ИмяТаблицыИсточника.
// 	ПоляСвязи- Строка - перечень полей (через запятую), по которым данные таблицы ИмяТаблицыИсточника будут сопоставляться с данными таблицы ИмяТаблицыБазыРаспределения;
//		имена полей этих таблиц должны совпадать;
//		сопоставление выполняется по условию "ИмяТаблицыИсточника.ПолеСвязи1 = ИмяТаблицыБазыРаспределения.ПолеСвязи1 И ИмяТаблицыИсточника.ПолеСвязи2 = ИмяТаблицыБазыРаспределения.ПолеСвязи2 И ...".
//	УдалятьИсточникПослеРаспределения - Булево - определяет необходимость удаления таблицы ИмяТаблицыИсточника после окончания распределения.
//	УдалятьБазуПослеРаспределения - Булево - определяет необходимость удаления таблицы ИмяТаблицыБазыРаспределения после окончания распределения.
// Возвращаемое значение:
// 	Структура - Описание:
// * Шаблоны - Структура -:
// ** ПравилаВыбораПолей - Строка -
// ** ПоляБазыДополнение - Строка -
// ** ПоляБазыНеИменованные - Строка -
// ** ПоляБазыИменованные - Строка -
// ** ПоляИсточникаНеИменованные - Строка -
// ** ПоляИсточникаИменованные - Строка -
// ** ПоляСвязиСоединение - Строка -
// ** ПоляСвязиНеИменованные - Строка -
// ** ПоляСвязиИменованные - Строка -
// ** СоединениеСтрокИЛИ - Строка -
// ** СоединениеСтрокИ - Строка -
// ** РазделительПолей - Строка -
// * ПравилаЗаполненияПрочихПолей - Структура -
// * НеВключатьПоляБазы - Строка -
// * НеВключатьПоляИсточника - Строка -
// * ПрочиеПоляБазы - Строка -
// * ПрочиеПоляИсточника - Строка -
// * ПравилаРаспределения - Массив -
// * УдалятьБазуПослеРаспределения - Булево -
// * УдалятьИсточникПослеРаспределения - Булево -
//
Функция ИнициализироватьПараметрыРаспределенияМетодомУменьшаемогоОстатка( Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ИнициализироватьПараметрыРаспределенияМетодомУменьшаемогоОстатка();
```
</details>

## ИнициализироватьТаблицыРезультатовРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует описание таблиц, в которые помещаются результаты распределения.
// Необязательная.
//
// Параметры:
//	ПараметрыРаспределения - Структура - результат функции ИнициализироватьПараметрыРаспределенияМетодомУменьшаемогоОстатка()
//	ИмяТаблицыРезультата - Строка - имя временной таблицы, в которую помещается результат распределения.
//	ИмяТаблицыНераспределенныхДанныхИсточника - Строка - имя временной таблицы, в которую помещается данные источника, не распределенные по базе;
//		если указана пустая строка, то таблица формироваться не будет.
//	ИмяТаблицыНераспределенныхДанныхБазы - Строка - имя временной таблицы, в которую помещается данные базы, для которых нет данных в источнике;
//		если указана пустая строка, то таблица формироваться не будет.
//
//	Возвращаемое значение:
//		Структура - параметры распределения.
//
Функция ИнициализироватьТаблицыРезультатовРаспределения(ПараметрыРаспределения, Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ИнициализироватьТаблицыРезультатовРаспределения(ПараметрыРаспределения, );
```
</details>

## ИнициализироватьЧисловыеПоляРаспределенияМетодомУменьшаемогоОстатка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует описание числовых полей таблиц, которые подлежат распределению.
// Обязательная. Возможен вызов несколько раз.
// Возможны ситуации, когда распределение разных ресурсов таблицы-источника необходимо выполнить по разным базисам.
// Например, ресурс Ресурс1 необходимо распределить по полю Базис1, а ресурс Ресурс2 - по полю Базис2.
// В этом случае необходимо вызывать процедуру два раза:
// ИнициализироватьЧисловыеПоляРаспределенияМетодомУменьшаемогоОстатка(ПараметрыРаспределения, "Ресурс1", "Базис1", "Базис1");
// ИнициализироватьЧисловыеПоляРаспределенияМетодомУменьшаемогоОстатка(ПараметрыРаспределения, "Ресурс2", "Базис2", "Базис2");
//
// Параметры:
//	ПараметрыРаспределения - см. РасчетСебестоимостиУниверсальныеАлгоритмы.ИнициализироватьПараметрыРаспределенияМетодомУменьшаемогоОстатка
//	РесурсыИсточника - Строка - перечень распределяемых числовых полей таблицы-источника (через запятую).
//	ПолеБазисаИсточника - Строка - имя поля базиса таблицы-источника, по которому необходимо выполнить распределение ресурсов.
//	ПолеБазисаБазы - Строка - имя поля базиса таблицы-базы, по которому необходимо выполнить распределение ресурсов; может не совпадать с ПолеБазисаИсточника.
//
Процедура ИнициализироватьЧисловыеПоляРаспределенияМетодомУменьшаемогоОстатка(ПараметрыРаспределения, Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиУниверсальныеАлгоритмы.ИнициализироватьЧисловыеПоляРаспределенияМетодомУменьшаемогоОстатка(ПараметрыРаспределения, );
```
</details>

## ИнициализироватьПрочиеПоляРаспределенияМетодомУменьшаемогоОстатка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует описание прочих полей таблиц, которые необходимо включить в результат распределения.
// Необязательная.
// Прочие поля источника/базы, присутствующие в полях связи, будут исключены из списка прочих полей.
//
// Параметры:
//	ПараметрыРаспределения - см. РасчетСебестоимостиУниверсальныеАлгоритмы.ИнициализироватьПараметрыРаспределенияМетодомУменьшаемогоОстатка
//	ПрочиеПоляИсточника - Строка - перечень прочих полей таблицы-источника (через запятую);
//		по этим полям будет выполнено упорядочивание данных таблицы-источника перед распределением.
//	ПрочиеПоляБазы - Строка - перечень прочих полей таблицы-базы (через запятую);
//		по этим полям будет выполнено упорядочивание данных таблицы-базы перед распределением.
//	НеВключатьПоляИсточника - Строка - перечень полей (через запятую) таблицы-источника, которые необходимы для упорядочивания данных, но не нужны в результате распределения.
//	НеВключатьПоляБазы - Строка - перечень полей (через запятую) таблицы-базы, которые необходимы для упорядочивания данных, но не нужны в результате распределения.
//
Процедура ИнициализироватьПрочиеПоляРаспределенияМетодомУменьшаемогоОстатка(ПараметрыРаспределения, Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиУниверсальныеАлгоритмы.ИнициализироватьПрочиеПоляРаспределенияМетодомУменьшаемогоОстатка(ПараметрыРаспределения, );
```
</details>

## ИнициализироватьПравилаЗаполненияПрочихПолейРаспределенияМетодомУменьшаемогоОстатка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует правила заполнения прочих полей таблиц в результате распределения.
// Необязательная.
//
// Параметры:
//	ПараметрыРаспределения - Структура - результат функции ИнициализироватьПараметрыРаспределенияМетодомУменьшаемогоОстатка()
//	ПоляДляЗаполненияИзИсточника - Строка - перечень прочих полей таблицы-источника (через запятую), которые должны быть безусловно перенесены в результат распределения.
//		необходимо указывать только поля, присутствующие и в таблице-источнике, и в таблице-базе.
//	ПоляДляЗаполненияИзБазы - Строка - перечень прочих полей таблицы-базы (через запятую), которые должны быть безусловно перенесены в результат распределения.
//		необходимо указывать только поля, присутствующие и в таблице-источнике, и в таблице-базе.
//	ПоляСПриоритетомИсточника - Строка - перечень прочих полей таблицы-источника (через запятую), которые должны быть перенесены в результат распределения
//		в том случае, если значение поля в источнике заполнено; если значение поля в источнике не заполнено, то в результат будет перенесено значение поля из базы.
//		необходимо указывать только поля, присутствующие и в таблице-источнике, и в таблице-базе.
//	ПоляСПриоритетомБазы - Строка - перечень прочих полей таблицы-базы (через запятую), которые должны быть перенесены в результат распределения
//		в том случае, если значение поля в базе заполнено; если значение поля в базе не заполнено, то в результат будет перенесено значение поля из источника.
//		необходимо указывать только поля, присутствующие и в таблице-источнике, и в таблице-базе.
//
Процедура ИнициализироватьПравилаЗаполненияПрочихПолейРаспределенияМетодомУменьшаемогоОстатка(ПараметрыРаспределения, Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиУниверсальныеАлгоритмы.ИнициализироватьПравилаЗаполненияПрочихПолейРаспределенияМетодомУменьшаемогоОстатка(ПараметрыРаспределения, );
```
</details>

## РаспределитьМетодомУменьшаемогоОстатка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет распределение данных временных таблиц методом уменьшаемого остатка.
// В результате будут сформированы следующие временные таблицы:
//	ВТРезультатРаспределения - результат распределения;
//		содержит поля ПоляСвязи + (все РесурсыИсточника + ПолеБазисаИсточника) + (ПрочиеПоляИсточника без НеВключатьПоляИсточника)
//		также содержит служебные поля "КлючТИ" и "КлючТБ"
//	ВТНераспределенныеДанныеИсточника - данные из ИмяТаблицыИсточника, для которых не хватило данных в базе распределения;
//		содержит те же поля, что и ВТРезультатРаспределения за исключением служебных полей;
//		также содержит служебное поле ЕстьБаза с типом Булево:
//			- если равно Истина, то для данной записи источника была база, но количества в поле базиса таблицы-базы не хватило для полного распределения данных таблицы-источника;
//				числовые поля содержат нераспределенные остатки; прочие поля заполнены из таблицы-источника.
//			- если равно Ложь, то для данной записи источника не было базы распределения;
//				числовые поля содержат исходные значения из таблицы-источника; прочие поля заполнены из таблицы-источника.
//	ВТНераспределенныеДанныеБазы - данные из ИмяТаблицыБазыРаспределения, для которых не хватило данных в источнике.
//		содержит поля ПоляСвязи + (все ПолеБазисаБазы) + (ПрочиеПоляБазы без НеВключатьПоляБазы)
// Имена таблиц результатов можно переопределить в процедуре ИнициализироватьТаблицыРезультатовРаспределения().
//
// Также в ПараметрыРаспределения будет добавлен ключ РезультатыРаспределения с типом Структура, в которую будут добавлены следующие данные (Ключ - Значение):
//	КоличествоИтераций - общее количество итераций распределения
//	ВремяРасчета - общее время расчета в секундах
//	РазмерИсточника - количество записей в таблице ИмяТаблицыИсточника
//	РазмерБазы - количество записей в таблице ИмяТаблицыБазыРаспределения
//	РазмерРезультата - количество записей в таблице ВТРезультатРаспределения
//	РазмерНераспределенныхЗаписейИсточника - количество записей в таблице ВТНераспределенныеДанныеИсточника
//	РазмерНераспределенныхЗаписейБазы - количество записей в таблице ВТНераспределенныеДанныеБазы
//
// Параметры:
//	ПараметрыРасчета - Структура - параметры расчета, содержащий менеджер временных таблиц, содержащий таблицы ИмяТаблицыИсточника и ИмяТаблицыБазыРаспределения.
//	ПараметрыРаспределения - см. РасчетСебестоимостиУниверсальныеАлгоритмы.ИнициализироватьПараметрыРаспределенияМетодомУменьшаемогоОстатка
//
Процедура РаспределитьМетодомУменьшаемогоОстатка(ПараметрыРасчета, ПараметрыРаспределения) Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиУниверсальныеАлгоритмы.РаспределитьМетодомУменьшаемогоОстатка(ПараметрыРасчета, ПараметрыРаспределения) 
```
</details>

## СоединитьСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоединитьСтроки(Строка1 = "", Строка2 = "", Строка3 = "", Строка4 = "", Строка5 = "", Разделитель = ", ") Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.СоединитьСтроки(Строка1, Строка2, Строка3, Строка4, Строка5, Разделитель, ") 
```
</details>

## ДополнитьСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьСтроку(СтрокаПриемник = "", Строка2 = "", Строка3 = "", Строка4 = "", Строка5 = "", Разделитель = ", ") Экспорт
```

Пример вызова
```bsl
РасчетСебестоимостиУниверсальныеАлгоритмы.ДополнитьСтроку(СтрокаПриемник, Строка2, Строка3, Строка4, Строка5, Разделитель, ") 
```
</details>

## ЧислоВСтрокуБезПробелов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЧислоВСтрокуБезПробелов(ЧисловоеЗначение) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ЧислоВСтрокуБезПробелов(ЧисловоеЗначение) 
```
</details>

## УдалитьЭлементыИзСтрокиШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УдалитьЭлементыИзСтрокиШаблона(СтрокаШаблона, УдаляемыеЭлементы) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.УдалитьЭлементыИзСтрокиШаблона(СтрокаШаблона, УдаляемыеЭлементы) 
```
</details>

## ЭтоОписаниеТиповДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоОписаниеТиповДокументов(ТипПоля) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ЭтоОписаниеТиповДокументов(ТипПоля));
```
</details>

## ОписанияТиповБезТипаNull
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписанияТиповБезТипаNull(ИсходныеТипы) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ОписанияТиповБезТипаNull(ИсходныеТипы) 
```
</details>

## ОписаниеТиповДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типов всех документов с учетом документов из расширений конфигурации.
//
// Возвращаемое значение:
//	ОписаниеТипов - описание типов всех документов
//
Функция ОписаниеТиповДокументов() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ОписаниеТиповДокументов() 
```
</details>

## ПредставлениеПустогоЗначенияТипаДляЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строковое представление пустого значения указанного типа для запроса.
//
// Параметры:
//	ОписаниеТипаЗначения - ОписаниеТипов -
//
// Возвращаемое значение:
//	Строка -
//
Функция ПредставлениеПустогоЗначенияТипаДляЗапроса(ОписаниеТипаЗначения) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ПредставлениеПустогоЗначенияТипаДляЗапроса(ОписаниеТипаЗначения) 
```
</details>

## ИмяОбъектаМетаданныхПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает полное имя объекта метаданных по его типу.
//
// Параметры:
//	ТипОбъекта - Тип - тип объекта метаданных
//
// Возвращаемое значение:
//	Строка - полное имя объекта метаданных
//
Функция ИмяОбъектаМетаданныхПоТипу(ТипОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ИмяОбъектаМетаданныхПоТипу(ТипОбъекта) 
```
</details>

## ПредставлениеТипаЗначенияСтатьи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает полное имя объекта метаданных, соответствующего типу значения статьи расходов.
//
// Параметры:
//	Статья - ПланВидовХарактеристикСсылка.СтатьиРасходов - статья расходов
//
// Возвращаемое значение:
//	Строка - полное имя объекта метаданных
//
Функция ПредставлениеТипаЗначенияСтатьи(Статья) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ПредставлениеТипаЗначенияСтатьи(Статья) 
```
</details>

## ПолучитьИменаКолонокВременнойТаблицыСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку, содержащего имена всех колонок временной таблицы.
//
// Параметры:
//	КонтейнерМенеджераВТ - Структура - Структура, содержащая в себе менеджер временных таблиц
//	ИмяВременнойТаблицы - Строка - Имя временной таблицы
//
// Возвращаемое значение:
//	Строка - список имен колонок через запятую
//
Функция ПолучитьИменаКолонокВременнойТаблицыСтрокой(КонтейнерМенеджераВТ, ИмяВременнойТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ПолучитьИменаКолонокВременнойТаблицыСтрокой(КонтейнерМенеджераВТ, ИмяВременнойТаблицы) 
```
</details>

## ТаблицуЗначенийВТабличныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует таблицу значений в табличный документ.
// Параметры:
//	Таблица - ТаблицаЗначений -
//	ДатыВФорматеМесяцГод - Булево - преобразовывать даты в формат "Месяц Год"
//
// Возвращаемое значение:
//	ТабличныйДокумент -
Функция ТаблицуЗначенийВТабличныйДокумент(Таблица, ДатыВФорматеМесяцГод = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ТаблицуЗначенийВТабличныйДокумент(Таблица, ДатыВФорматеМесяцГод);
```
</details>

## ЭтоНезависимыйРегистрСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли указанный объект метаданных независимым регистром сведений.
//
// Параметры:
//	МетаданныеРегистра - ОбъектМетаданных - проверяемый объект метаданных
//
// Возвращаемое значение:
//	Булево - результат проверки
//
Функция ЭтоНезависимыйРегистрСведений(МетаданныеРегистра) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ЭтоНезависимыйРегистрСведений(МетаданныеРегистра) 
```
</details>

## ЭтоПериодическийРегистрСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли указанный объект метаданных периодическим регистром сведений.
//
// Параметры:
//	МетаданныеРегистра - ОбъектМетаданных - проверяемый объект метаданных
//
// Возвращаемое значение:
//	Булево - результат проверки
//
Функция ЭтоПериодическийРегистрСведений(МетаданныеРегистра) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ЭтоПериодическийРегистрСведений(МетаданныеРегистра) 
```
</details>

## ВыполнитьЗапросСЗамером
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить запрос с замером.
//
// Параметры:
//  Запрос - Запрос - Запрос
//  ИмяСобытияЖР - Строка - Имя события журнала регистрации
//
// Возвращаемое значение:
//  Массив, РезультатЗапроса, ВыборкаИзРезультатаЗапроса, Неопределено - Выполнить запрос с замером
Функция ВыполнитьЗапросСЗамером(Запрос, ИмяСобытияЖР) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСебестоимостиУниверсальныеАлгоритмы.ВыполнитьЗапросСЗамером(Запрос, ИмяСобытияЖР) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
