---
title: Расчет статусов оформления ВЕТИС
slug: erp-uh/расчет-статусов-оформления-ветис
---


## РассчитатьСтатусОформленияВЕТИСПередЗаписьюДокументаОбработчик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Обработчик подписки на событие "Перед записью" документов ВЕТИС, поддерживающих статусы оформления.
//
//Параметры:
//   Источник        - ОпределяемыйТип.ДокументыВЕТИСПоддерживающиеСтатусыОформленияОбъект - записываемый объект
//   Отказ           - Булево - параметр, определяющий будет ли записываться объект
//   РежимЗаписи     - РежимЗаписиДокумента - режим записи документа
//   РежимПроведения - РежимПроведенияДокумента - режим проведения документа
//
Процедура РассчитатьСтатусОформленияВЕТИСПередЗаписьюДокументаОбработчик(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияВЕТИС.РассчитатьСтатусОформленияВЕТИСПередЗаписьюДокументаОбработчик(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## РассчитатьСтатусОформленияВЕТИСПриЗаписиДокументаОбработчик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Обработчик подписки на событие "При записи" документов ВЕТИС, поддерживающих статусы оформления, и их документов-оснований.
//
//Параметры:
//   Источник - ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовВЕТИСОбъект - записываемый объект
//   Отказ    - Булево - параметр, определяющий будет ли записываться объект
//
Процедура РассчитатьСтатусОформленияВЕТИСПриЗаписиДокументаОбработчик(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияВЕТИС.РассчитатьСтатусОформленияВЕТИСПриЗаписиДокументаОбработчик(Источник, Отказ) 
```
</details>

## РассчитатьСтатусыОформленияВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Рассчитывает статусы оформления документов и записывает их в регистр сведений СтатусыОформленияДокументовВЕТИС.
//  ВАЖНО: все элементы массива Источники должны иметь одинаковый тип.
//
//Параметры:
//   Источники - ОпределяемыйТип.ДокументыВЕТИСПоддерживающиеСтатусыОформления,
//               ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовВЕТИС,
//               Массив из ОпределяемыйТип.ДокументыВЕТИСПоддерживающиеСтатусыОформления,
//               Массив Из ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовВЕТИС - источники событий.
//
Процедура РассчитатьСтатусыОформленияВЕТИС(Знач Источники) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияВЕТИС.РассчитатьСтатусыОформленияВЕТИС(Источники) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
