---
title: Расчет статусов оформления ЗЕРНО
slug: erp-uh/расчет-статусов-оформления-зерно
---


## РассчитатьСтатусОформленияЗЕРНОПередЗаписьюДокументаОбработчик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "Перед записью" документов ЗЕРНО, поддерживающих статусы оформления.
//
// Параметры:
//   Источник        - ОпределяемыйТип.ДокументыЗЕРНОПоддерживающиеСтатусыОформленияОбъект - записываемый объект
//   Отказ           - Булево - параметр, определяющий будет ли записываться объект
//   РежимЗаписи     - РежимЗаписиДокумента     - не используется
//   РежимПроведения - РежимПроведенияДокумента - не используется
//
Процедура РассчитатьСтатусОформленияЗЕРНОПередЗаписьюДокументаОбработчик(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияЗЕРНО.РассчитатьСтатусОформленияЗЕРНОПередЗаписьюДокументаОбработчик(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## РассчитатьСтатусОформленияЗЕРНОПриЗаписиДокументаОбработчик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "При записи" документов ЗЕРНО, поддерживающих статусы оформления, и их документов-оснований.
//
// Параметры:
//   Источник - ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовЗЕРНООбъект - записываемый объект.
//   Отказ    - Булево - параметр, определяющий будет ли записываться объект.
//
Процедура РассчитатьСтатусОформленияЗЕРНОПриЗаписиДокументаОбработчик(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияЗЕРНО.РассчитатьСтатусОформленияЗЕРНОПриЗаписиДокументаОбработчик(Источник, Отказ) 
```
</details>

## РассчитатьСтатусыОформленияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает статусы оформления документов и записывает их в регистр сведений СтатусыОформленияДокументовЗЕРНО.
//   ВАЖНО: все элементы массива Источники должны иметь одинаковый тип.
//
// Параметры:
//   Источники - Массив из ОпределяемыйТип.ДокументыЗЕРНОПоддерживающиеСтатусыОформления,
//                         ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовЗЕРНО - источники события.
//
Процедура РассчитатьСтатусыОформленияДокументов(Источники) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияЗЕРНО.РассчитатьСтатусыОформленияДокументов(Источники) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
