---
title: Расчет статусов оформления ИСМП
slug: erp-uh/расчет-статусов-оформления-исмп
---


## РассчитатьСтатусОформленияИСМППередЗаписьюДокументаОбработчик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "Перед записью" документов ИС МП, поддерживающих статусы оформления.
//
// Параметры:
//   Источник        - ОпределяемыйТип.ДокументыИСМППоддерживающиеСтатусыОформленияОбъект - записываемый объект
//   Отказ           - Булево - параметр, определяющий будет ли записываться объект
//   РежимЗаписи     - РежимЗаписиДокумента     - не используется
//   РежимПроведения - РежимПроведенияДокумента - не используется
//
Процедура РассчитатьСтатусОформленияИСМППередЗаписьюДокументаОбработчик(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСМП.РассчитатьСтатусОформленияИСМППередЗаписьюДокументаОбработчик(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## РассчитатьСтатусОформленияИСМППриЗаписиДокументаОбработчик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "При записи" документов ИСМП, поддерживающих статусы оформления, и их документов-оснований.
//
// Параметры:
//   Источник - ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовИСМПОбъект - записываемый объект.
//   Отказ    - Булево - параметр, определяющий будет ли записываться объект.
//
Процедура РассчитатьСтатусОформленияИСМППриЗаписиДокументаОбработчик(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСМП.РассчитатьСтатусОформленияИСМППриЗаписиДокументаОбработчик(Источник, Отказ) 
```
</details>

## РассчитатьСтатусыОформленияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает статусы оформления документов и записывает их в регистр сведений СтатусыОформленияДокументовИСМП.
//   ВАЖНО: все элементы массива Источники должны иметь одинаковый тип.
//
// Параметры:
//   Источники - Массив из ОпределяемыйТип.ДокументыИСМППоддерживающиеСтатусыОформления,
//                         ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовИСМП - источники события.
//
Процедура РассчитатьСтатусыОформленияДокументов(Источники) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСМП.РассчитатьСтатусыОформленияДокументов(Источники) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
