---
title: Расчет статусов оформления ИС УТ
slug: erp-uh/расчет-статусов-оформления-ис-ут
---


## ПриОпределенииРеквизитовОснованияДляВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить имена реквизитов документа-основания для документа ВЕТИС.
//   см. РасчетСтатусовОформленияВЕТИСПереопределяемый.ПриОпределенииИменРеквизитовДокументаДляРасчетаСтатусаОформленияДокументаВЕТИС.
//
Процедура ПриОпределенииРеквизитовОснованияДляВЕТИС(МетаданныеДокументаОснования, МетаданныеДокументаВЕТИС, Реквизиты) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.ПриОпределенииРеквизитовОснованияДляВЕТИС(МетаданныеДокументаОснования, МетаданныеДокументаВЕТИС, Реквизиты) 
```
</details>

## ПриОпределенииЗапросаДляВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить текст запроса выборки данных из документов-основания для расчета статуса оформления.
//   см. РасчетСтатусовОформленияВЕТИСПереопределяемый.ПриОпределенииТекстаЗапросаДляРасчетаСтатусаОформленияДокументаВЕТИС
//
Процедура ПриОпределенииЗапросаДляВЕТИС( Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.ПриОпределенииЗапросаДляВЕТИС();
```
</details>

## РассчитатьСтатусОформленияИСМППриЗаписиФискальнойОперацииПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РассчитатьСтатусОформленияИСМППриЗаписиФискальнойОперацииПриЗаписи(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.РассчитатьСтатусОформленияИСМППриЗаписиФискальнойОперацииПриЗаписи(Источник, Отказ, Замещение) 
```
</details>

## ПриОпределенииРеквизитовОснованияДляИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Позволяет переопределить имена реквизитов документа-основания для документа ИСМП.
//   См. РасчетСтатусовОформленияИСМППереопределяемый.ПриОпределенииИменРеквизитовДляРасчетаСтатусаОформления
//
Процедура ПриОпределенииРеквизитовОснованияДляИСМП(МетаданныеДокументаОснования, МетаданныеДокументаИСМП, Реквизиты) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.ПриОпределенииРеквизитовОснованияДляИСМП(МетаданныеДокументаОснования, МетаданныеДокументаИСМП, Реквизиты) 
```
</details>

## ПриОпределенииЗапросаДляИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Позволяет переопределить текст запроса выборки данных из документов-оснований для расчета статуса оформления.
//   См. РасчетСтатусовОформленияИСМППереопределяемый.ПриОпределенииТекстаЗапросаДляРасчетаСтатусаОформленияДокумента
//
Процедура ПриОпределенииЗапросаДляИСМП( Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.ПриОпределенииЗапросаДляИСМП();
```
</details>

## ПриОпределенииРеквизитовОснованияДляЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить имена реквизитов документа-основания для документа ЕГАИС.
//   (см. РасчетСтатусовОформленияЕГАИСПереопределяемый.ПриОпределенииРеквизитовОснования).
//
Процедура ПриОпределенииРеквизитовОснованияДляЕГАИС(МетаданныеДокументаОснования, МетаданныеДокументаЕГАИС, Реквизиты) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.ПриОпределенииРеквизитовОснованияДляЕГАИС(МетаданныеДокументаОснования, МетаданныеДокументаЕГАИС, Реквизиты) 
```
</details>

## ПриОпределенииЗапросаДляЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Позволяет переопределить текст запроса выборки данных из документов-оснований для расчета статуса оформления.
//   См. РасчетСтатусовОформленияЕГАИСПереопределяемый.ПриОпределенииЗапросаТоварыДокументаОснования
//
Процедура ПриОпределенииЗапросаДляЕГАИС( Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.ПриОпределенииЗапросаДляЕГАИС();
```
</details>

## ПриОпределенииРеквизитовОснованияДляЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Позволяет переопределить имена реквизитов документа-основания для документа ЗЕРНО.
//   см. РасчетСтатусовОформленияЗЕРНОПереопределяемый.ПриОпределенииИменРеквизитовДляРасчетаСтатусаОформления.
//
Процедура ПриОпределенииРеквизитовОснованияДляЗЕРНО(МетаданныеДокументаОснования, МетаданныеДокументаЗЕРНО, Реквизиты) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.ПриОпределенииРеквизитовОснованияДляЗЕРНО(МетаданныеДокументаОснования, МетаданныеДокументаЗЕРНО, Реквизиты) 
```
</details>

## ПриОпределенииЗапросаДляЗЕРНО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить текст запроса выборки данных из документов-основания для расчета статуса оформления.
//   см. РасчетСтатусовОформленияЗЕРНОПереопределяемый.ПриОпределенииТекстаЗапросаДляРасчетаСтатусаОформления
//
Процедура ПриОпределенииЗапросаДляЗЕРНО( Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.ПриОпределенииЗапросаДляЗЕРНО();
```
</details>

## ПриОпределенииРеквизитовОснованияДляСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить имена реквизитов документа-основания для документа САТУРН.
//   см. РасчетСтатусовОформленияСАТУРНПереопределяемый.ПриОпределенииИменРеквизитовДляРасчетаСтатусаОформления.
//
Процедура ПриОпределенииРеквизитовОснованияДляСАТУРН(МетаданныеДокументаОснования, МетаданныеДокументаСАТУРН, Реквизиты) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.ПриОпределенииРеквизитовОснованияДляСАТУРН(МетаданныеДокументаОснования, МетаданныеДокументаСАТУРН, Реквизиты) 
```
</details>

## ПриОпределенииЗапросаДляСАТУРН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить текст запроса выборки данных из документов-основания для расчета статуса оформления.
//   см. РасчетСтатусовОформленияСАТУРНПереопределяемый.ПриОпределенииТекстаЗапросаДляРасчетаСтатусаОформления
//
Процедура ПриОпределенииЗапросаДляСАТУРН( Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияИСУТ.ПриОпределенииЗапросаДляСАТУРН();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
