---
title: Расчет статусов оформления САТУРН
slug: erp-uh/расчет-статусов-оформления-сатурн
---


## РассчитатьСтатусОформленияСАТУРНПередЗаписьюДокументаОбработчик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "Перед записью" документов САТУРН, поддерживающих статусы оформления.
//
// Параметры:
//   Источник        - ОпределяемыйТип.ДокументыСАТУРНПоддерживающиеСтатусыОформленияОбъект - записываемый объект
//   Отказ           - Булево - параметр, определяющий будет ли записываться объект
//   РежимЗаписи     - РежимЗаписиДокумента     - не используется
//   РежимПроведения - РежимПроведенияДокумента - не используется
//
Процедура РассчитатьСтатусОформленияСАТУРНПередЗаписьюДокументаОбработчик(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияСАТУРН.РассчитатьСтатусОформленияСАТУРНПередЗаписьюДокументаОбработчик(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## РассчитатьСтатусОформленияСАТУРНПриЗаписиДокументаОбработчик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "При записи" документов САТУРН, поддерживающих статусы оформления, и их документов-оснований.
//
// Параметры:
//   Источник - ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовСАТУРНОбъект - записываемый объект.
//   Отказ    - Булево - параметр, определяющий будет ли записываться объект.
//
Процедура РассчитатьСтатусОформленияСАТУРНПриЗаписиДокументаОбработчик(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияСАТУРН.РассчитатьСтатусОформленияСАТУРНПриЗаписиДокументаОбработчик(Источник, Отказ) 
```
</details>

## РассчитатьСтатусыОформленияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает статусы оформления документов и записывает их в регистр сведений СтатусыОформленияДокументовСАТУРН.
//   ВАЖНО: все элементы массива Источники должны иметь одинаковый тип.
//
// Параметры:
//   Источники - Массив из ОпределяемыйТип.ДокументыСАТУРНПоддерживающиеСтатусыОформления,
//                         ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовСАТУРН - источники события.
//
Процедура РассчитатьСтатусыОформленияДокументов(Источники) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияСАТУРН.РассчитатьСтатусыОформленияДокументов(Источники) 
```
</details>

## ЭтоДокументПоддерживающийСтатусОформления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает признак, что документ САТУРН поддерживает статусы оформления (по метаданным)
//
//Параметры:
//   Источник - Произвольный - проверяемый объект
//
//Возвращаемое значение:
//   Булево - это документ САТУРН поддерживающий статус оформления
//
Функция ЭтоДокументПоддерживающийСтатусОформления(Источник) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтатусовОформленияСАТУРН.ЭтоДокументПоддерживающийСтатусОформления(Источник) 
```
</details>

## ЭтоДокументОснование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает признак, что проверяемый объект может являться основанием для документа САТУРН (по метаданным)
//
//Параметры:
//   Источник - Произвольный - проверяемый объект
//
//Возвращаемое значение:
//   Булево - это документ-основание для документа САТУРН.
//
Функция ЭтоДокументОснование(Источник) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтатусовОформленияСАТУРН.ЭтоДокументОснование(Источник) 
```
</details>

## ИменаДокументовДляДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//См. РасчетСтатусовОформленияИС.ИменаДокументовДляДокументаОснования.
//
//Возвращаемое значение:
//   Массив Из Строка - .
//
Функция ИменаДокументовДляДокументаОснования(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтатусовОформленияСАТУРН.ИменаДокументовДляДокументаОснования(ДокументОснование) 
```
</details>

## МетаРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Реквизиты регистра "Статусы оформления документов САТУРН"
//
//Возвращаемое значение:
//   Массив Из ОбъектМетаданных - реквизиты.
//
Функция МетаРеквизиты() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтатусовОформленияСАТУРН.МетаРеквизиты() 
```
</details>

## ТипОснование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Описание типов (документов) являющихся основаниями для оформления документов САТУРН.
//
//Возвращаемое значение:
//   ОписаниеТипов - тип основание.
//
Функция ТипОснование() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтатусовОформленияСАТУРН.ТипОснование() 
```
</details>

## ТипДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Описание типов (документов) САТУРН поддерживающих статус оформления.
//
//Возвращаемое значение:
//   ОписаниеТипов - тип документы САТУРН.
//
Функция ТипДокумент() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтатусовОформленияСАТУРН.ТипДокумент() 
```
</details>

## РассчитатьСтатусОформленияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает статус оформления документа и записывает его в регистр сведений СтатусыОформленияДокументовСАТУРН.
//
// Параметры:
//   Источник - ОпределяемыйТип.ДокументыСАТУРНПоддерживающиеСтатусыОформления, ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовСАТУРН, ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовСАТУРНОбъект - источник события расчета статуса.
//
Процедура РассчитатьСтатусОформленияДокумента(Источник) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияСАТУРН.РассчитатьСтатусОформленияДокумента(Источник) 
```
</details>

## РеквизитыДляРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с именами ключевых реквизитов документа-основания для документа САТУРН.
//   Значения этих реквизитов будут записаны в регистр сведений СтатусыОформленияДокументовСАТУРН.
//   Способ определения значения реквизита:
//     * Строка - имя реквизита документа-основания из которого следует взять значение (при обращении через
//     точку будет выполнено обращение к реквизиту первой строки одноименной ТЧ или к реквизиту реквизита основания);
//     * Произвольный - в т.ч. пустая строка - значение заполнения не зависящее от основания.
//
// Параметры:
//   МетаданныеОснования     - ОбъектМетаданных - метаданные документа-основания из ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовСАТУРН
//   МетаданныеДокументаСАТУРН - ОбъектМетаданных - метаданные документа из ОпределяемыйТип.ДокументыСАТУРНПоддерживающиеСтатусыОформления
//
// Возвращаемое значение:
//   Структура - имена реквизитов (в качестве типа приведен тип соответствующего реквизита):
//     * Проведен      - Булево - документ-основание проведен.
//     * Дата          - Дата   - дата основания.
//     * Номер         - Строка - номер основания.
//     * Ответственный - ОпределяемыйТип.Пользователь - пользователь, оформивший документ-основание; значение по умолчанию "Ответственный".
//     * Контрагент    - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - организация в документе-основании; значение по умолчанию "Организация".
//
Функция РеквизитыДляРасчета(МетаданныеОснования, МетаданныеДокументаСАТУРН) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтатусовОформленияСАТУРН.РеквизитыДляРасчета(МетаданныеОснования, МетаданныеДокументаСАТУРН) 
```
</details>

## ПриОпределенииЗапросаТоварыДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Позволяет определить текст и параметры запроса выборки данных из документов-основания для расчета статуса оформления.
//
//Параметры:
//   МетаданныеОснования - ОбъектМетаданных - метаданные документа из ОпределяемыйТип.Основание<Имя документа САТУРН>.
//   МетаданныеДокументаСАТУРН - ОбъектМетаданных - метаданные документа из ОпределяемыйТип.ДокументыСАТУРНПоддерживающиеСтатусыОформления.
//   ТекстЗапроса - Строка - текст запроса выборки данных, который надо определить.
//   ПараметрыЗапроса - Структура - дополнительные параметры запроса, требуемые для выполнения запроса
//       конкретного документа; при необходимости можно дополнить данную структуру.
//
Процедура ПриОпределенииЗапросаТоварыДокументаОснования(МетаданныеОснования, МетаданныеДокументаСАТУРН, Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияСАТУРН.ПриОпределенииЗапросаТоварыДокументаОснования(МетаданныеОснования, МетаданныеДокументаСАТУРН, );
```
</details>

## ОпределитьСтатусыОформленияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет текущий статус оформления документов САТУРН.
//
//Параметры:
//   МассивДокументов        - Массив Из ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовСАТУРН - документы-основание для документа САТУРН
//   МетаданныеДокументаСАТУРН - ОбъектМетаданных - метаданные документа из ОпределяемыйТип.ДокументыСАТУРНПоддерживающиеСтатусыОформления
//   МенеджерВТ              - МенеджерВременныхТаблиц - (см. СформироватьТаблицуТоварыДокументовОснования)
//
// Возвращаемое значение:
//   Соответствие -
//     Ключ     - элемент параметра МассивДокументов
//     Значение - Структура с полями:
//       СтатусОформления         - статус оформления объекта,
//       ДополнительнаяИнформация - информация для отладки.
//
Функция ОпределитьСтатусыОформленияДокументов(МассивДокументов, МетаданныеДокументаСАТУРН, МенеджерВТ) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтатусовОформленияСАТУРН.ОпределитьСтатусыОформленияДокументов(МассивДокументов, МетаданныеДокументаСАТУРН, МенеджерВТ) 
```
</details>

## ЗаписатьДляОснований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Служебная. Рассчитывает и записывает статусы оформления. Специфика САТУРН.
//
//Параметры:
//   ТаблицаРеквизитов - ТаблицаЗначений - собранные общим механизмом реквизиты для записи статуса
//
Процедура ЗаписатьДляОснований(ТаблицаРеквизитов) Экспорт
```

Пример вызова
```bsl
РасчетСтатусовОформленияСАТУРН.ЗаписатьДляОснований(ТаблицаРеквизитов) 
```
</details>

## ТребуетсяОформление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает признак необходимости записи в регистр "Статусы оформления документов САТУРН"
//
//Параметры:
//   ДокументОснование  - ОпределяемыйТип.ОснованиеСтатусыОформленияДокументовСАТУРН - записываемый в регистр документ-основание.
//   Реквизиты - См. РеквизитыДляРасчета - влияющие на запись значения реквизитов основания.
//   КоличествоСтрокДокументовОснования - Соответствие - количество строк основания требующих оформления.
//   ДополнительныеПараметры - Неопределено - не используется в подсистеме
//
//Возвращаемое значение:
//   Булево - признак необходимости записи
//
Функция ТребуетсяОформление(ДокументОснование, Реквизиты, КоличествоСтрокДокументовОснования, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтатусовОформленияСАТУРН.ТребуетсяОформление(ДокументОснование, Реквизиты, КоличествоСтрокДокументовОснования, ДополнительныеПараметры);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
