---
title: Расчет стоимости ВНА
slug: erp-uh/расчет-стоимости-вна
---


## ДобавитьЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиВНА.ДобавитьЭтап(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## ОпределитьСтатусОперацииЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опредяет статус операции закрытия месяца "ФормированиеДвиженийПоВнеоборотнымАктивам".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура ОпределитьСтатусОперацииЗакрытияМесяца(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиВНА.ОпределитьСтатусОперацииЗакрытияМесяца(ПараметрыОбработчика) 
```
</details>

## ВыполнитьОперациюЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию закрытия месяца "ФормированиеДвиженийПоВнеоборотнымАктивам".
//
// Параметры:
//  ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
Процедура ВыполнитьОперациюЗакрытияМесяца(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиВНА.ВыполнитьОперациюЗакрытияМесяца(ПараметрыОбработчика) 
```
</details>

## ОписаниеПараметровОперацииЗакрытияМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует описание технологических параметров.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Описание параметров операции закрытия месяца
Функция ОписаниеПараметровОперацииЗакрытияМесяца() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтоимостиВНА.ОписаниеПараметровОперацииЗакрытияМесяца() 
```
</details>

## ВыполнитьОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет стоимости в несколько потоков.
//
// Параметры:
//  НачалоПериода - Дата - Период с которого требуется выполнить операцию
//  КонецПериода - Дата - Период по который требуется выполнить операцию
//  СписокОрганизаций - Массив из СправочникСсылка.Организации - Список организаций
//  НомерДоРасчета - Число - Номер заданий
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Содержит список объектов
//  ИдентификаторРасчета - УникальныйИдентификатор - идентификатор расчета
//
// Возвращаемое значение:
//  Структура - результат формирования движений:
// 		* ЕстьОшибки - Булево - Истина, если были зарегистрированы ошибки во время выполнения
// 		* ТекстОшибки - Строка - Текст ошибки
// 		* КоличествоДанных - Число - Количество объектов, по которым сформированы движения
//
Функция ВыполнитьОперацию(НачалоПериода, КонецПериода, СписокОрганизаций, НомерДоРасчета, МенеджерВременныхТаблиц, ИдентификаторРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтоимостиВНА.ВыполнитьОперацию(НачалоПериода, КонецПериода, СписокОрганизаций, НомерДоРасчета, МенеджерВременныхТаблиц, ИдентификаторРасчета) 
```
</details>

## ВыполнитьОперациюПоОбъектам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет стоимости по указанным объектам.
//
// Параметры:
//  ПараметрыВыполнения - см. ПараметрыВыполнения
//
// Возвращаемое значение:
//  Число - Количество объектов, по которым сформированы движения
Функция ВыполнитьОперациюПоОбъектам(ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтоимостиВНА.ВыполнитьОперациюПоОбъектам(ПараметрыВыполнения) 
```
</details>

## ВыполнитьОперациюПоДокументам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет стоимости ОС и НМА по документам.
//
// Параметры:
//  СписокДокументов - Массив из ДокументСсылка - Список документов, по которым требуется рассчитать стоимость.
//
Процедура ВыполнитьОперациюПоДокументам(СписокДокументов) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиВНА.ВыполнитьОперациюПоДокументам(СписокДокументов) 
```
</details>

## ПараметрыВыполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры выполнения операции.
//
// Возвращаемое значение:
//  Структура - Параметры выполнения:
// 		* КонецПериода - Дата - Конец периода выполнения операции
// 		* СписокОрганизаций - Массив из СправочникСсылка.Организации - Организации, для которых выполняется операция
// 		* СписокОбъектов - ТаблицаЗначений - Объекты, для которых выполняется операция
// 		* ВернутьДокументыКОтражению - Булево - Истина, если нужно вернуть документы к отражению в регл. учете
// 		* СформироватьЗадания - Булево - Истина, если нужно сформировать задания
// 		* УдалитьЗадания - Булево - Истина, если нужно удалить задания
// 		* НомерДоРасчета - Число - Номер заданий
// 		* ВыполнитьПроверку - Булево - Истина, если нужно выполнить проверку и зарегистрировать ошибки закрытия месяца
// 		* МенеджерВременныхТаблиц - Неопределено - Менеджер временных таблиц
//		* КоличествоДанных -Число - Количество обработанных данных
Функция ПараметрыВыполнения() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтоимостиВНА.ПараметрыВыполнения() 
```
</details>

## ДобавитьЭтап_АктуализацияДвиженийПоВнеоборотнымАктивам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_АктуализацияДвиженийПоВнеоборотнымАктивам(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиВНА.ДобавитьЭтап_АктуализацияДвиженийПоВнеоборотнымАктивам(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_АктуализацияДвиженийПоВнеоборотнымАктивам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опредяет статус операции "АктуализацияДвиженийПоВнеоборотнымАктивам".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Использование_АктуализацияДвиженийПоВнеоборотнымАктивам(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиВНА.Использование_АктуализацияДвиженийПоВнеоборотнымАктивам(ПараметрыОбработчика) 
```
</details>

## Выполнить_АктуализацияДвиженийПоВнеоборотнымАктивам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "Актуализация движений по ОС и НМА".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Выполнить_АктуализацияДвиженийПоВнеоборотнымАктивам(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиВНА.Выполнить_АктуализацияДвиженийПоВнеоборотнымАктивам(ПараметрыОбработчика) 
```
</details>

## СформироватьЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует задания к расчету стоимости ОС и НМА, если изменились исходные данные.
//
// Параметры:
// 	Документ - ДокументОбъект, Неопределено - Документ, который изменяется.
// 	ДанныеТаблиц - см. ПроведениеДокументов.ДанныеТаблицСтаройСтруктуры
Процедура СформироватьЗадания(Документ, ДанныеТаблиц) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиВНА.СформироватьЗадания(Документ, ДанныеТаблиц) 
```
</details>

## СформироватьВтТекущиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует таблицу, которая содержит накопленные расходы по объектам учета.
//
// Параметры:
//  Период - Дата - Период
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Содержит таблицу ВтПорцияДанныхКРасчету с полями:
//			* Ссылка - ДокументСсылка -
//			* Дата - Дата -
//			* Организация - СправочникСсылка.Организации -
//			* ОбъектУчета - СправочникСсылка.ОбъектыЭксплуатации, СправочникСсылка.НематериальныеАктивы -
//
Процедура СформироватьВтТекущиеРасходы(Период, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиВНА.СформироватьВтТекущиеРасходы(Период, МенеджерВременныхТаблиц) 
```
</details>

## ВыполненРасчетСтоимостиВнеоборотныхАктивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет выполнен ли расчет стоимости внеоборотных активов на указанную дату.
//
// Параметры:
//  Период - Дата - Период
//  СписокОрганизаций - СправочникСсылка.Организации, Массив из СправочникСсылка.Организации - Список организаций
//
// Возвращаемое значение:
//  Булево - Истина, если выполнен расчет стоимости внеоборотных активов.
Функция ВыполненРасчетСтоимостиВнеоборотныхАктивов(Период, СписокОрганизаций) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтоимостиВНА.ВыполненРасчетСтоимостиВнеоборотныхАктивов(Период, СписокОрганизаций) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
