---
title: Расчет стоимости инвестиции в аренду
slug: erp-uh/расчет-стоимости-инвестиции-в-аренду
---


## ДобавитьЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - (См. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца)
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап(ТаблицаЭтапов, ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиИнвестицииВАренду.ДобавитьЭтап(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## ОпределитьСтатусОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет статус операции "Использование_РасчетСтоимостиИнвестицииВАренду".
//
// Параметры:
//  ПараметрыОбработчика - см. ЗакрытиеМесяцаСервер.ИнициализироватьПараметрыОбработчикаЭтапаЗакрытияМесяцаДляПроверки
Процедура ОпределитьСтатусОперации(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиИнвестицииВАренду.ОпределитьСтатусОперации(ПараметрыОбработчика) 
```
</details>

## ВыполнитьОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "РасчетСтоимостиИнвестицииВАренду".
//
// Параметры:
//  ПараметрыОбработчика - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьПараметрыОбработчикаЭтапа
Процедура ВыполнитьОперацию(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиИнвестицииВАренду.ВыполнитьОперацию(ПараметрыОбработчика) 
```
</details>

## ВыполнитьОперациюПоДокументам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "РасчетСтоимостиИнвестицииВАренду" для документов.
//
// Параметры:
//  МассивСсылок - Массив из ДокументСсылка - Документы для которых формируются проводки
Процедура ВыполнитьОперациюПоДокументам(МассивСсылок) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиИнвестицииВАренду.ВыполнитьОперациюПоДокументам(МассивСсылок) 
```
</details>

## СледующийПериодОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет период, начиная с которого требуется выполнить операцию "РасчетСтоимостиИнвестицииВАренду".
//
// Параметры:
//  Организация   - СправочникСсылка.Организации -
//  НачалоПериода - Дата - Проверяемый период.
//
// Возвращаемое значение:
//  Дата - Дата, начиная с которой требуется расчет.
//
Функция СледующийПериодОперации(Организация, НачалоПериода) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтоимостиИнвестицииВАренду.СледующийПериодОперации(Организация, НачалоПериода) 
```
</details>

## СформироватьЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует задания к выполнению операции при изменении исходных данных.
//
// Параметры:
//  Документ - ДокументОбъект - Документ.
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Данные таблиц.
Процедура СформироватьЗадания(Документ, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиИнвестицииВАренду.СформироватьЗадания(Документ, МенеджерВременныхТаблиц) 
```
</details>

## ДвиженияЗаписываютсяПриВыполненииОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет записываются ли движений при выполнении операции.
//
// Параметры:
//  Документ - ДокументОбъект -
//
// Возвращаемое значение:
//  Булево
Функция ДвиженияЗаписываютсяПриВыполненииОперации(Документ) Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтоимостиИнвестицииВАренду.ДвиженияЗаписываютсяПриВыполненииОперации(Документ) 
```
</details>

## ТекстЗапросаТаблицаПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "Прочие расходы".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаПрочиеРасходы(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиИнвестицииВАренду.ТекстЗапросаТаблицаПрочиеРасходы(ТекстыЗапроса) 
```
</details>

## ТекстЗапросаТаблицаПрочиеДоходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "Прочие доходы".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаПрочиеДоходы(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиИнвестицииВАренду.ТекстЗапросаТаблицаПрочиеДоходы(ТекстыЗапроса) 
```
</details>

## ТекстЗапросаТаблицаИнвестицииВАренду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "Инвестиции в аренду".
// Возвращаемое значение:
//  Строка
//
Функция ТекстЗапросаТаблицаИнвестицииВАренду() Экспорт
```

Пример вызова
```bsl
Результат = РасчетСтоимостиИнвестицииВАренду.ТекстЗапросаТаблицаИнвестицииВАренду() 
```
</details>

## ТекстЗапросаТаблицаГрафикНачисленияПроцентовПоДоходнойАренде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "График начисления процентов по доходной аренде".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаГрафикНачисленияПроцентовПоДоходнойАренде(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиИнвестицииВАренду.ТекстЗапросаТаблицаГрафикНачисленияПроцентовПоДоходнойАренде(ТекстыЗапроса) 
```
</details>

## ТекстЗапросаТаблицаОтражениеДокументовВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для таблицы регистра "ДвиженияНоменклатураДоходыРасходы".
//
// Параметры:
//  ТекстыЗапроса - СписокЗначений - Тексты запроса
Процедура ТекстЗапросаТаблицаОтражениеДокументовВРеглУчете(ТекстыЗапроса) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиИнвестицииВАренду.ТекстЗапросаТаблицаОтражениеДокументовВРеглУчете(ТекстыЗапроса) 
```
</details>

## УстановитьПараметрыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметры запроса, которые используются при выполнении операции.
//
// Параметры:
//  Запрос - Запрос - Запрос
Процедура УстановитьПараметрыЗапроса(Запрос) Экспорт
```

Пример вызова
```bsl
РасчетСтоимостиИнвестицииВАренду.УстановитьПараметрыЗапроса(Запрос) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
