---
title: Расширение процессы и согласование клиент УХ
slug: erp-uh/расширение-процессы-и-согласование-клиент-ух
---


## ПринятьКСогласованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль содержит клиентские методы, специфичные для 1с:Управление холдингом, вызов
// которых может потребоваться из 1С:БП МСФО.
////////////////////////////////////////////////////////////////////////////////////////

Процедура ПринятьКСогласованию(ФормаВход, СсылкаВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеКлиентУХ.ПринятьКСогласованию(ФормаВход, СсылкаВход) 
```
</details>

## ИсторияСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИсторияСогласования(ФормаВход, СсылкаВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеКлиентУХ.ИсторияСогласования(ФормаВход, СсылкаВход) 
```
</details>

## СогласоватьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СогласоватьДокумент(ФормаВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеКлиентУХ.СогласоватьДокумент(ФормаВход) 
```
</details>

## ОтменитьСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтменитьСогласование(ФормаВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеКлиентУХ.ОтменитьСогласование(ФормаВход) 
```
</details>

## МаршрутСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура МаршрутСогласования(ФормаВход, СсылкаВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеКлиентУХ.МаршрутСогласования(ФормаВход, СсылкаВход) 
```
</details>

## ТелеграмВложенныеФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТелеграмВложенныеФайлы(ФормаВход, СсылкаВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеКлиентУХ.ТелеграмВложенныеФайлы(ФормаВход, СсылкаВход) 
```
</details>

## ЗапуститьПроверкуТекущихНапоминаний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапуститьПроверкуТекущихНапоминаний() Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеКлиентУХ.ЗапуститьПроверкуТекущихНапоминаний() 
```
</details>

## ОткрытьФормуУХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуУХ(СтрокаОткрытияФормыВход, СтруктураПараметровВход = Неопределено) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеКлиентУХ.ОткрытьФормуУХ(СтрокаОткрытияФормыВход, СтруктураПараметровВход);
```
</details>

## ОткрытьФормуДоступныхСхемРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуДоступныхСхемРеквизитов(СтруктураПараметров, ФормаВладелец, ОписаниеОЗакрытии) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеКлиентУХ.ОткрытьФормуДоступныхСхемРеквизитов(СтруктураПараметров, ФормаВладелец, ОписаниеОЗакрытии) 
```
</details>

## ИзменитьСостояниеЗаявкиКлиент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выставляет объекту формы Форма новый статус СтатусВход.
Процедура ИзменитьСостояниеЗаявкиКлиент(СтатусВход, Форма) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеКлиентУХ.ИзменитьСостояниеЗаявкиКлиент(СтатусВход, Форма) 
```
</details>

## ОповеститьПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОповеститьПользователей(ВидСобытия, ШаблонОповещения = Неопределено, ИсточникСсылка = Неопределено, СписокРассылки = Неопределено, ДопПараметры = Неопределено, ЗадачаВход = Неопределено, ЭтапПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеКлиентУХ.ОповеститьПользователей(ВидСобытия, ШаблонОповещения, ИсточникСсылка, СписокРассылки, ДопПараметры, ЗадачаВход, ЭтапПроцессаВход);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
