---
title: Расширение процессы и согласование УХ
slug: erp-uh/расширение-процессы-и-согласование-ух
---


## НарисоватьПанельСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль содержит методы, специфичные для 1с:Управление холдингом, вызов которых может
// потребоваться из 1С:БП МСФО.
////////////////////////////////////////////////////////////////////////////////////////

Процедура НарисоватьПанельСогласования(ЭлементыВход, РодительскаяГруппаВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.НарисоватьПанельСогласования(ЭлементыВход, РодительскаяГруппаВход) 
```
</details>

## ОпределитьСостояниеЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьСостояниеЗаявки(ФормаВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.ОпределитьСостояниеЗаявки(ФормаВход) 
```
</details>

## ИзменитьСостояниеЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИзменитьСостояниеЗаявки(СсылкаВход, СостояниеВход, ФормаВход, ОбъектВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ИзменитьСостояниеЗаявки(СсылкаВход, СостояниеВход, ФормаВход, ОбъектВход) 
```
</details>

## ЭтоСостояниеВРаботе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСостояниеВРаботе(СостояниеВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ЭтоСостояниеВРаботе(СостояниеВход) 
```
</details>

## ПолучитьМассивЭтаповСогласованияТекущегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивЭтаповСогласованияТекущегоПользователя(ОбъектВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьМассивЭтаповСогласованияТекущегоПользователя(ОбъектВход) 
```
</details>

## СостояниеПриИзмененииСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СостояниеПриИзмененииСервер(ФормаВход, СсылкаВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.СостояниеПриИзмененииСервер(ФормаВход, СсылкаВход) 
```
</details>

## ЗаполнитьСтруктуруСостояний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтруктуруСостояний(СтруктураРезультат) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.ЗаполнитьСтруктуруСостояний(СтруктураРезультат) 
```
</details>

## ВернутьДанныеСостоянийЭкземпляраОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьДанныеСостоянийЭкземпляраОтчета(СсылкаВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ВернутьДанныеСостоянийЭкземпляраОтчета(СсылкаВход) 
```
</details>

## ОпределитьИспользованиеМаршрутаСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьИспользованиеМаршрутаСогласования(СогласующийВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ОпределитьИспользованиеМаршрутаСогласования(СогласующийВход) 
```
</details>

## ИзменитьСостояниеСогласованияОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьСостояниеСогласованияОбъекта(ОбъектВход, СостояниеСогласованияВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.ИзменитьСостояниеСогласованияОбъекта(ОбъектВход, СостояниеСогласованияВход) 
```
</details>

## УстановитьСостояниеСогласованияПослеЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьСостояниеСогласованияПослеЗаполнения(РабочийОбъектВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.УстановитьСостояниеСогласованияПослеЗаполнения(РабочийОбъектВход) 
```
</details>

## СогласованиеЧерезРакурс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СогласованиеЧерезРакурс(ВидОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.СогласованиеЧерезРакурс(ВидОтчетаВход) 
```
</details>

## ПолучитьСтруктуруОткрытияРакурсаПоОтчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОткрытияРакурсаПоОтчету(ВидОтчетаВход, ПериодОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьСтруктуруОткрытияРакурсаПоОтчету(ВидОтчетаВход, ПериодОтчетаВход) 
```
</details>

## ВернутьСтатусОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСтатусОбъекта(СсылкаВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ВернутьСтатусОбъекта(СсылкаВход) 
```
</details>

## ВернутьТекущееСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТекущееСостояние(СсылкаВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ВернутьТекущееСостояние(СсылкаВход) 
```
</details>

## ПеревестиЗаявкуВПроизвольноеСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПеревестиЗаявкуВПроизвольноеСостояние(Знач Заявка, Знач СостояниеЗаявки, Знач Период = Неопределено, Знач Автор = Неопределено,Форма = Неопределено,ДокументПроцесса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПеревестиЗаявкуВПроизвольноеСостояние(Заявка, СостояниеЗаявки, Период, Автор, Форма, ДокументПроцесса);
```
</details>

## ПроверитьВозможностьУтвержденияОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьУтвержденияОтчета(ПользовательВход, ВидОтчетаВход, ОрганизацияВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПроверитьВозможностьУтвержденияОтчета(ПользовательВход, ВидОтчетаВход, ОрганизацияВход) 
```
</details>

## ПолучитьСостояниеЭтапаНастраиваемогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСостояниеЭтапаНастраиваемогоОтчета(ОбъектВход, ЭтапПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьСостояниеЭтапаНастраиваемогоОтчета(ОбъектВход, ЭтапПроцессаВход) 
```
</details>

## ПолучитьСостояниеСогласования_Утвержден
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСостояниеСогласования_Утвержден(ТипОбъектаСогласованияВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьСостояниеСогласования_Утвержден(ТипОбъектаСогласованияВход) 
```
</details>

## ИнициализироватьПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьПроцесс(Знач ПериодСценария, Знач Сценарий, Знач Дата, СостоянияВыполненияПроцесса = Неопределено, мПоследователиСтрок = Неопределено, мПредшественникиСтрок = Неопределено) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.ИнициализироватьПроцесс(ПериодСценария, Сценарий, Дата, СостоянияВыполненияПроцесса, мПоследователиСтрок, мПредшественникиСтрок);
```
</details>

## ОбработатьИзменениеСостоянияОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьИзменениеСостоянияОбъекта(НаборЗаписейВход, Отказ) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.ОбработатьИзменениеСостоянияОбъекта(НаборЗаписейВход, Отказ) 
```
</details>

## ПолучитьОтветственногоЗаТипОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтветственногоЗаТипОбъекта(ЭлементСсылка, Знач Организация = Неопределено, Знач ШаблонДокументаБД = Неопределено, ТипОтветственного = Неопределено, ВернутьМассив = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьОтветственногоЗаТипОбъекта(ЭлементСсылка, Организация, ШаблонДокументаБД, ТипОтветственного, ВернутьМассив);
```
</details>

## ЗаполнитьСостоянияСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСостоянияСогласования(НастраиваемыйОтчетВход) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.ЗаполнитьСостоянияСогласования(НастраиваемыйОтчетВход) 
```
</details>

## ЭскалацияУтвержденияЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЭскалацияУтвержденияЭтапа(ДокументОбъектВход, Отказ) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.ЭскалацияУтвержденияЭтапа(ДокументОбъектВход, Отказ) 
```
</details>

## ПолучитьСхемуСКДДляПодстановкиВШаблоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСхемуСКДДляПодстановкиВШаблоне(ТипОбъектаОповещенияВход, ВидОбъектаОповещенияВход, НазначениеОповещенияВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьСхемуСКДДляПодстановкиВШаблоне(ТипОбъектаОповещенияВход, ВидОбъектаОповещенияВход, НазначениеОповещенияВход) 
```
</details>

## ОбработатьЭкземплярОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьЭкземплярОтчета(РабочийОбъект, Реквизиты, ОбновлениеДокумента = Ложь, ПробныйПроцесс = Ложь, Утвердить = Ложь, СогласовыватьВход = Ложь, СтруктураНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ОбработатьЭкземплярОтчета(РабочийОбъект, Реквизиты, ОбновлениеДокумента, ПробныйПроцесс, Утвердить, СогласовыватьВход, СтруктураНастроек);
```
</details>

## ПолучитьПустойШаблон
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПустойШаблон() Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьПустойШаблон() 
```
</details>

## СоздатьНаборЗаписейСостоянияВыполненияПроцессовУправлениеПериодами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьНаборЗаписейСостоянияВыполненияПроцессовУправлениеПериодами(ПериодСценария, Сценарий, ДвиженияСостоянияВыполненияПроцессов) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.СоздатьНаборЗаписейСостоянияВыполненияПроцессовУправлениеПериодами(ПериодСценария, Сценарий, ДвиженияСостоянияВыполненияПроцессов) 
```
</details>

## ВернутьЗапросЗаполненияОбменаМоделями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьЗапросЗаполненияОбменаМоделями(ПараметрВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ВернутьЗапросЗаполненияОбменаМоделями(ПараметрВход) 
```
</details>

## ПолучитьПустойЭкземплярПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПустойЭкземплярПроцесса() Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьПустойЭкземплярПроцесса() 
```
</details>

## ПроверитьЭтоШаблонАвтоутверждение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьЭтоШаблонАвтоутверждение(ШаблонВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПроверитьЭтоШаблонАвтоутверждение(ШаблонВход) 
```
</details>

## ПолучитьОбластьДанныхПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОбластьДанныхПоказателя(ПоказательВход, ЭкземплярОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьОбластьДанныхПоказателя(ПоказательВход, ЭкземплярОтчетаВход) 
```
</details>

## ПолучитьРакурсСогласованияОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРакурсСогласованияОбласти(ЭкземплярОтчетаВход, РакурсВход, ОрганизацияВход, ИспользоватьПроектыВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьРакурсСогласованияОбласти(ЭкземплярОтчетаВход, РакурсВход, ОрганизацияВход, ИспользоватьПроектыВход);
```
</details>

## ТребуетсяСогласованиеЭкземпляра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТребуетсяСогласованиеЭкземпляра(ЭкземплярОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ТребуетсяСогласованиеЭкземпляра(ЭкземплярОтчетаВход) 
```
</details>

## ПолучитьДеревоЗначенийЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДеревоЗначенийЭтапов(ВерсияОрганизационнойСтруктурыВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьДеревоЗначенийЭтапов(ВерсияОрганизационнойСтруктурыВход) 
```
</details>

## ОбработатьОбъектЭлиминация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьОбъектЭлиминация(ЭлиминацияОбъект, Утвердить = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ОбработатьОбъектЭлиминация(ЭлиминацияОбъект, Утвердить);
```
</details>

## ПолучитьСценарийПериодПоИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСценарийПериодПоИсточнику(ИсточникВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПолучитьСценарийПериодПоИсточнику(ИсточникВход) 
```
</details>

## СоздатьДокументЭлиминация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьДокументЭлиминация(ВалютаЭлиминационныхПроводок, Организация, КонсолидирующаяОрганизация, ПериодОтчета, Сценарий) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.СоздатьДокументЭлиминация(ВалютаЭлиминационныхПроводок, Организация, КонсолидирующаяОрганизация, ПериодОтчета, Сценарий) 
```
</details>

## ПроверитьУтверждениеПравилРакурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьУтверждениеПравилРакурсов(СсылкаВход, СостояниеВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПроверитьУтверждениеПравилРакурсов(СсылкаВход, СостояниеВход) 
```
</details>

## ПроверитьПравильностьЗаполненияСтрокиПланаЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьПравильностьЗаполненияСтрокиПланаЗакупок(СсылкаВход, СостояниеВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПроверитьПравильностьЗаполненияСтрокиПланаЗакупок(СсылкаВход, СостояниеВход) 
```
</details>

## ПроверитьПравильностьЗаполненияПрограммыЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьПравильностьЗаполненияПрограммыЗакупок(СсылкаВход, СостояниеВход) Экспорт
```

Пример вызова
```bsl
Результат = РасширениеПроцессыИСогласованиеУХ.ПроверитьПравильностьЗаполненияПрограммыЗакупок(СсылкаВход, СостояниеВход) 
```
</details>

## ПриСозданииНаСервереСписок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервереСписок(Форма) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.ПриСозданииНаСервереСписок(Форма) 
```
</details>

## ПриСозданииНаСервереОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервереОбъект(Форма) Экспорт
```

Пример вызова
```bsl
РасширениеПроцессыИСогласованиеУХ.ПриСозданииНаСервереОбъект(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
