---
title: Реализация подарочных сертификатов локализация
slug: erp-uh/реализация-подарочных-сертификатов-локализация
---


## СистемаНалогообложенияПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Определяет систему налогообложения по документу
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ для определения системы налогообложения
// Возвращаемое значение:
// 	ПеречислениеСсылка.ТипыСистемНалогообложенияККТ - Система налогообложения по документу
Функция СистемаНалогообложенияПоДокументу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = РеализацияПодарочныхСертификатовЛокализация.СистемаНалогообложенияПоДокументу(ДокументСсылка) 
```
</details>

## ПредметыРасчетовПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить основные данные по таблице товаров для чека о розничной продаже
//
// Параметры:
//  ДокументСсылка - ДокументОбъект.РеализацияПодарочныхСертификатов - Документ.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Данные о продажах:
//  * НомерСтроки - Число -
//  * Номенклатура - Строка -
//  * Характеристика - Строка -
//  * ТипНоменклатуры - Неопределено -
//  * ПодакцизныйТовар - Булево -
//  * НоменклатураНаименование - Строка -
//  * ХарактеристикаНаименование - Строка -
//  * Упаковка - Строка -
//  * УпаковкаНаименование - Строка -
//  * Количество - Число -
//  * КоличествоУпаковок - Число -
//  * Цена - Число -
//  * СуммаСНДС - Число -
//  * СтавкаНДС - СправочникСсылка.СтавкиНДС -
//  * СуммаНДС - Число -
//  * СуммаСкидки - Число -
Функция ПредметыРасчетовПоДокументу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = РеализацияПодарочныхСертификатовЛокализация.ПредметыРасчетовПоДокументу(ДокументСсылка) 
```
</details>

## ОбновитьОрганизацияПлательщикНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

// Определяет и возвращает статус, является ли организации плательщиком НДС
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - Организация, по которой определяется, облагается ли она НДС
// 	ОрганизацияПлательщикНДС - Булево - Параметр для сохранения и передачи во вне значения
Процедура ОбновитьОрганизацияПлательщикНДС(Организация, ОрганизацияПлательщикНДС) Экспорт
```

Пример вызова
```bsl
РеализацияПодарочныхСертификатовЛокализация.ОбновитьОрганизацияПлательщикНДС(Организация, ОрганизацияПлательщикНДС) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
