---
title: Регионализация ВЕТИС
slug: erp-uh/регионализация-ветис
---


## СписокУсловийПеремещенияГрузаПоПравиламРегионализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список условий перемещения продукции по правилам регионализации.
//
// Параметры:
//  GUIDЗаболеванияУсловийПеремещения - Строка - Глобальный идентификатор заболевания. Значение по умолчанию "".
//  НомерСтраницы                     - Число - Номер страницы. Значение по умолчанию 1.
//  КоличествоЭлементовНаСтранице     - Число - Номер элементов на странице.
//                                    - Неопределено - Значение по умолчанию.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокУсловийПеремещенияГрузаПоПравиламРегионализации(GUIDЗаболеванияУсловийПеремещения = "", НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегионализацияВЕТИС.СписокУсловийПеремещенияГрузаПоПравиламРегионализации(GUIDЗаболеванияУсловийПеремещения, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## СписокСтатусовРегионовПоКонкретномуЗаболеванию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список статусов регионов по конкретному заболеванию.
//
// Параметры:
//   GUIDЗаболеванияУсловийПеремещения - Строка    - Глобальный идентификатор заболевания. Обязательный параметр.
//   ПараметрыОтбора                   - Структура - отборы регионов:
//    * ДанныеАдреса - Структура - отборы по адресу:
//       ** СтранаGUID          - Строка, глобальный идентификатор страны региона.
//       ** РегионGUID          - Строка, глобальный идентификатор региона.
//       ** РайонGUID           - Строка, глобальный идентификатор района.
//       ** НаселенныйПунктGUID - Строка, глобальный идентификатор населенного пункта.
//                                    - Неопределено - доп. отборы отсутствуют.
//  НомерСтраницы                     - Число - Номер страницы. Значение по умолчанию 1.
//  КоличествоЭлементовНаСтранице     - Число - Номер элементов на странице.
//                                    - Неопределено - Значение по умолчанию.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокСтатусовРегионовПоКонкретномуЗаболеванию(GUIDЗаболеванияУсловийПеремещения, ПараметрыОтбора = Неопределено, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегионализацияВЕТИС.СписокСтатусовРегионовПоКонкретномуЗаболеванию(GUIDЗаболеванияУсловийПеремещения, ПараметрыОтбора, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## СписокПравилПеремещенияГрузаПоКонкретномуЗаболеванию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает список правил перемещения груза по конкретному заболеванию.
//
//Параметры:
//   GUIDЗаболеванияУсловийПеремещения - Строка       - Глобальный идентификатор заболевания. Обязательный параметр.
//   ПараметрыОтбора                   - Структура    - отборы:
//    * ТипПродукции     - Число        - Тип продукции (Ветеринарная категория груза - значение от 1 до 8).
//                       - Неопределено - Значение по умолчанию (доп.отбор отсутствует).
//    * ПродукцияGUID    - Строка       - глобальный идентификатор продукции.
//    * ВидПродукцииGUID - Строка       - глобальный идентификатор вида продукции.
//   НомерСтраницы                     - Число        - Номер страницы. Значение по умолчанию 1.
//   КоличествоЭлементовНаСтранице     - Число        - Номер элементов на странице.
//                                     - Неопределено - Значение по умолчанию.
//
// Возвращаемое значение:
//   Структура - (См. ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора).
//
Функция СписокПравилПеремещенияГрузаПоКонкретномуЗаболеванию(GUIDЗаболеванияУсловийПеремещения, ПараметрыОтбора = Неопределено, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегионализацияВЕТИС.СписокПравилПеремещенияГрузаПоКонкретномуЗаболеванию(GUIDЗаболеванияУсловийПеремещения, ПараметрыОтбора, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## ЕстьПеремещениеМеждуРегионами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает флаг необходимости проверки маршрута на регионализацию.
//
// Параметры:
// 	Маршрут - Массив - Массив структур со свойствами:
// 	 * Предприятие  - СправочникСсылка.ПредприятияВЕТИС - предприятие-точка маршрута. Может быть пустым значением.
// 	 * ДанныеАдреса - Структура адреса.
// 	                - Неопределено - Данные адреса не определены.
//
// Возвращаемое значение:
// 	Булево - Истина - если есть не заполненные адреса или есть адреса, расположенные в разных странах / регионах / районах региона / населенных пунктах.
//
Функция ЕстьПеремещениеМеждуРегионами(Маршрут) Экспорт
```

Пример вызова
```bsl
Результат = РегионализацияВЕТИС.ЕстьПеремещениеМеждуРегионами(Маршрут) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
