---
title: Регистры учета вызов сервера
slug: erp-uh/регистры-учета-вызов-сервера
---


## СохранитьРегистрУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет регистр в виде табличного документа в базу данных.
//
// Параметры:
//  СвойстваРегистраУчета - Структура - см. РегистрыУчетаКлиент.СохранитьРегистрУчета().
//
// Возвращаемое значение:
//   Структура   - данные документа, сохраненного в информационной базе.
//
Функция СохранитьРегистрУчета(СвойстваРегистраУчета) Экспорт
```

Пример вызова
```bsl
Результат = РегистрыУчетаВызовСервера.СохранитьРегистрУчета(СвойстваРегистраУчета) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Общий обработчик события "ПриСозданииНаСервере" форм отчетов, являющихся регистрами учета.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - открываемая форма, поставляющая значения свойств.
//  Отчет        - ОтчетОбъект - объект, соответствующий основному реквизиту формы.
//
Процедура ПриСозданииНаСервере(Форма, Отчет) Экспорт
```

Пример вызова
```bsl
РегистрыУчетаВызовСервера.ПриСозданииНаСервере(Форма, Отчет) 
```
</details>

## ПолучитьФорматСохраненияРегистров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает формат сохранения регистров учета в базе данных.
//
// Возвращаемое значение:
//	ПеречислениеСсылка.ФорматыСохраненияОтчетов - Значение формата.
//
Функция ПолучитьФорматСохраненияРегистров() Экспорт
```

Пример вызова
```bsl
Результат = РегистрыУчетаВызовСервера.ПолучитьФорматСохраненияРегистров() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
