---
title: Регистры учета клиент
slug: erp-uh/регистры-учета-клиент
---


## СохранитьРегистрУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет табличный документ как регистр учета. Вызывается из формы отчета.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - открытая форма, поставляющая значения свойств.
//  Подписать    - Булево - нужно ли подписывать файл электронной подписью. Если не указано, то Ложь.
//
Процедура СохранитьРегистрУчета(Форма, Знач Подписать = Ложь) Экспорт
```

Пример вызова
```bsl
РегистрыУчетаКлиент.СохранитьРегистрУчета(Форма, Подписать);
```
</details>

## ОткрытьАрхивРегистровУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает список сохраненных регистров учета с отбором. Вызывается из формы отчета.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - открытая форма, поставляющая значения отборов.
//
Процедура ОткрытьАрхивРегистровУчета(Форма) Экспорт
```

Пример вызова
```bsl
РегистрыУчетаКлиент.ОткрытьАрхивРегистровУчета(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
