---
title: Регл учет выборки сервер повт исп
slug: erp-uh/регл-учет-выборки-сервер-повт-исп
---


## ДанныеУчетнойПолитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры учетной политики, значимые для заполнения сумм НУ, ПР, ВР в проводках.
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - Организация, для которой получаются параметры учетной политики
// 	Период - Дата - Период действия учетной политики.
//
// Возвращаемое значение:
// 	 Структура - значения параметров учетной политики:
// 		* ПлательщикНалогаНаПрибыль - Булево - Признак, что организация является плательщиком налога на прибыль
// 		* ПоддержкаПБУ18 - Булево - Признак, что организация применяет ПБУ 18/02.
// 		* ВедетсяУчетПостоянныхИВременныхРазниц - Булево - Признак, что ведется учет разниц при применении ПБУ 18/02.
//
Функция ДанныеУчетнойПолитики(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетВыборкиСерверПовтИсп.ДанныеУчетнойПолитики(Организация, Период) 
```
</details>

## Счета90и91
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает субсчета 90 и 91.
//
// Возвращаемое значение
// 	 СписокСчетов - СписокЗначений - Субсчета 90 и 91.
//
Функция Счета90и91() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетВыборкиСерверПовтИсп.Счета90и91() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
