---
title: Регл учет клиент
slug: erp-uh/регл-учет-клиент
---


## ОткрытьОтчетАнализСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает в качестве отчета расшифровки анализ счета регламентированного учета.
//
// Параметры:
// 	Отбор - Структура - Отбор отчета.
// 	АдресНастроекРасшифровки - Строка - Адрес временного хранилища, в котором хранятся данные расшифровки.
//
Процедура ОткрытьОтчетАнализСчета(Отбор, АдресНастроекРасшифровки) Экспорт
```

Пример вызова
```bsl
РеглУчетКлиент.ОткрытьОтчетАнализСчета(Отбор, АдресНастроекРасшифровки) 
```
</details>

## ПечатьСПроверкойОтраженияВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Дополнительный обработчик для документов, в печатных формах которых используются проводки.
// Проверяет, сформированы ли проводки по документам и предлагает отразить документы в регл. учете, если это не так.
// Вызывает обработчик печати.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Булево - Всегда возвращает Истина
//
Функция ПечатьСПроверкойОтраженияВРеглУчете(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетКлиент.ПечатьСПроверкойОтраженияВРеглУчете(ОписаниеКоманды) 
```
</details>

## ПечатьСРасширеннойПроверкойОтраженияВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительный обработчик для документов, в печатных формах которых используются проводки.
// Проверяет, сформированы ли проводки по документам и предлагает отразить документы в регл. учете, если это не так.
// Затем документы выводятся на печать.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Истина
//
Функция ПечатьСРасширеннойПроверкойОтраженияВРеглУчете(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетКлиент.ПечатьСРасширеннойПроверкойОтраженияВРеглУчете(ОписаниеКоманды) 
```
</details>

## ОбработкаРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик расшифровки табличного документа формы отчета.
//
// См. ОтчетыКлиентПереопределяемый.ОбработкаРасшифровки
//
Процедура ОбработкаРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РеглУчетКлиент.ОбработкаРасшифровки(ЭтаФорма, Элемент, Расшифровка, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
