---
title: Регл учет клиент сервер
slug: erp-uh/регл-учет-клиент-сервер
---


## ИмяПланаСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя плана счетов регламентированного учета.
// Совпадает с именем регистра бухгалтерии.
//
// Возвращаемое значение:
// 	Строка - Имя плана счетов или пустая строка.
//
Функция ИмяПланаСчетов() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетКлиентСервер.ИмяПланаСчетов() 
```
</details>

## ТипПланСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип плана счетов регламентированного учета.
//
// Возвращаемое значение:
// 	Тип - Тип плана счетов регламентированного учета или Неопределено.
//
Функция ТипПланСчетов() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетКлиентСервер.ТипПланСчетов() 
```
</details>

## ТипВидСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип видов субконто регламентированного учета.
//
// Возвращаемое значение:
// 	Тип - Тип видов субконто регламентированного учета или Неопределено.
//
Функция ТипВидСубконто() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетКлиентСервер.ТипВидСубконто() 
```
</details>

## СсылкаПланСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую ссылку на план счетов регламентированного учета.
//
// Возвращаемое значение:
// 	ПланСчетовСсылка - Ссылка на план счетов регламентированного учета или пустая строка.
//
Функция СсылкаПланСчетов() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетКлиентСервер.СсылкаПланСчетов() 
```
</details>

## ПустоеЗначениеСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустое значение субконто регламентированного учета.
//
// Возвращаемое значение:
// 	Строка - пустое значение субконто регламентированного учета или Неопределено.
//
Функция ПустоеЗначениеСубконто() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетКлиентСервер.ПустоеЗначениеСубконто() 
```
</details>

## НачалоПримененияФСБУ5_2019
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату начала применения стандарта ФСБУ 5/2019 "Запасы"
//
// Возвращаемое значение:
// 	Дата - дата начала применения стандарта ФСБУ 5/2019
Функция НачалоПримененияФСБУ5_2019() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетКлиентСервер.НачалоПримененияФСБУ5_2019() 
```
</details>

## ПериодУчетаКурсовыхРазницНУПо67ФЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет период применения учета курсовых разниц НУ по 67-ФЗ
//
// Возвращаемое значение:
//	Структура - ключи Начало,Конец - даты
//
Функция ПериодУчетаКурсовыхРазницНУПо67ФЗ() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетКлиентСервер.ПериодУчетаКурсовыхРазницНУПо67ФЗ() 
```
</details>

## ДатаВходитВПериодУчетаКурсовыхРазницНУПо67ФЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка даты на вхождение в период применения учета курсовых разниц по 67-ФЗ
//
// Параметры:
//	Период - Дата - Проверяемая дата
//
// Возвращаемое значение:
//	Булево - Описание - Истина, если дата входит в период
//
Функция ДатаВходитВПериодУчетаКурсовыхРазницНУПо67ФЗ(Период) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетКлиентСервер.ДатаВходитВПериодУчетаКурсовыхРазницНУПо67ФЗ(Период) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
