---
title: Регл учет проведение сервер
slug: erp-uh/регл-учет-проведение-сервер
---


## ТекстЗапросаТаблицаОтражениеДокументовВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует документ для проведения в регл учете общим порядком: датой документа и по организации документа.
//
Функция ТекстЗапросаТаблицаОтражениеДокументовВРеглУчете(Запрос, ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ТекстЗапросаТаблицаОтражениеДокументовВРеглУчете(Запрос, ТекстыЗапроса, Регистры) 
```
</details>

## ПараметрыОтраженияВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры отражения в регламентированном учете
//
// Возвращаемое значение:
// 	Структура - Параметры отражения:
// 		* Документы - ДокументСсылка, Массив Из ДокументСсылка - Отбор по конкретным документам. Если Неопределено, то все.
// 		* Организации - СправочникСсылка.Организации, Массив Из СправочникСсылка.Организации - Отбор по организациям. Если Неопределено, то все.
// 		* ПериодРасчета - Дата - Отбор документов к отражению по дате. Если Неопределено, то все.
// 		* ДатаЗапрета - Дата - Дата запрета изменения данных. Если Неопределено, то разрешено изменять все.
// 		* НеотраженныеДокументы - Массив Из ДокументСсылка - Документы, которые не должны быть отражены и документы с ошибками отражения.
// 		* ПакетноеОтражение - Булево - Признак пакетного отражения
// 		* ВременныеТаблицыПереданы - Булево - Признак передачи временных таблиц из вызывающего метода
// 		* СообщатьОбОшибках - Булево - Признак необходимости сообщений об ошибках
// 		* ДетализацияПроводок - Булево - Признак детализации проводок
// 		* ПрогнозныеПараметры - см. ПрогнозныеПараметрыОтраженияВРеглУчете.
// 		* МинимальныйРазмерПорции - Число - Количество формируемых проводок, начиная с которого отражение выполняется в несколько потоков, если возможно.
// 		* КоличествоПотоков - Число - Количество сеансов отражения документов, выполняющихся одновременно.
// 		* КоличествоПопыток - Число - Количество попыток обработки одной порции документов.
// 		* ИспользованиеТекущихИтогов - Булево - Сохраняет состояние использования текущих итогов в регистрах бухгалтерии перед отражением в многопоточном режиме.
// 		* МаксимальныйПериодИтогов - Дата - Сохраняет максимальный хранимый период итогов в регистрах бухгалтерии перед отражением в многопоточном режиме.
// 		* МинимальныйПериодИтогов - Дата - Сохраняет минимальный хранимый период итогов в регистрах бухгалтерии перед отражением в многопоточном режиме.
// 		* ВосстановитьСостояниеИтогов - Булево - Сохраняет необходимость восстановления состояния итогов регистров бухгалтерии после отражения в многопоточном режиме.
//
Функция ПараметрыОтраженияВРеглУчете() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ПараметрыОтраженияВРеглУчете() 
```
</details>

## ОтразитьВсеРегламент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод для вызова из регламентного задания отражения в регл. учете
Процедура ОтразитьВсеРегламент() Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ОтразитьВсеРегламент() 
```
</details>

## ОтразитьВсеВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод для вызова в фоне отражения в регл. учете
//
// Параметры:
//  ПараметрыОтражения - см. ПараметрыОтраженияВРеглУчете
//  АдресХранилища - Строка - адрес хранилища для помещения информации о результатах отражения
//
Процедура ОтразитьВсеВФоне(ПараметрыОтражения, АдресХранилища) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ОтразитьВсеВФоне(ПараметрыОтражения, АдресХранилища) 
```
</details>

## ИнициализироватьДанныеПоОтражениюВУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод инициализирует дополнительную информацию по отражению документов в регл. учете (сколько отражено, количество ошибок).
//
//	Возвращаемое значение:
//		Структура - содержит результирующие данные по количеству отраженных документов в регламентированном учете:
//			* Отражено - Число - количество отраженных в учете документов.
//			* НеУказаныСчетаУчета - Число - количество документов, которые не были отражены в результате ненастроенных счетов учета.
//			* ОшибкиПриОтражении - Число - количество документов, которые не были отражены в результате прочих ошибок при отражении.
//			* ОписанияПроблем - Соответствие:
//				** Ключ - ДокументСсылка - отражаемый в учете документ
//				** Значение - Строка - описание проблемы отражения в учете
//
Функция ИнициализироватьДанныеПоОтражениюВУчете() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ИнициализироватьДанныеПоОтражениюВУчете() 
```
</details>

## ОтразитьВсе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по регистру Хозрасчетный для всех документов, помеченных к отражению в регламентированном учете.
//
// Параметры:
//  ПараметрыОтражения - см. ПараметрыОтраженияВРеглУчете
//  ДанныеПоОтражениюВУчете - см. ИнициализироватьДанныеПоОтражениюВУчете
//
Процедура ОтразитьВсе(ПараметрыОтражения, ДанныеПоОтражениюВУчете = Неопределено) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ОтразитьВсе(ПараметрыОтражения, ДанныеПоОтражениюВУчете);
```
</details>

## ОтразитьДокументыВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по регистру Хозрасчетный для указанных документов
//
// Параметры:
//    МассивДокументов - Массив - Документы
//    ВыполнитьПересчеты - Булево - Признак, что перед отражением документа необходимо выполнить отражение в учете НДС и
//                                  распределение взаиморасчетов.
//
// Возвращаемое значение:
//    Массив - Документы, которые не удалось отразить в регл. учете.
//
Функция ОтразитьДокументыВРеглУчете(МассивДокументов, ВыполнитьПересчеты = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ОтразитьДокументыВРеглУчете(МассивДокументов, ВыполнитьПересчеты);
```
</details>

## ОтразитьДокументыВРеглУчетеПриПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по регистру Хозрасчетный для указанных документов
//
// Параметры:
//    МассивДокументов - Массив - Документы.
//
// Возвращаемое значение:
//    Массив - Документы, которые не удалось отразить в регл. учете.
//
Функция ОтразитьДокументыВРеглУчетеПриПечати(МассивДокументов) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ОтразитьДокументыВРеглУчетеПриПечати(МассивДокументов) 
```
</details>

## ОтразитьДокументВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по регистру Хозрасчетный для указанного документа. Аналог "ОтразитьДокумент", вызываемый для
// фоновых операций.
//
// Параметры:
// 	ПараметрыОтражения - Структура - Параметры отражения:
// 		*РеквизитыДокумента - Структура - реквизиты документа:
// 			** Ссылка - ДокументСсылка - ссылка на документ
// 			** Дата - Дата - Дата документа
// 			** Организация - СправочникСсылка.Организации - Организация документа
//		* ВыполнитьПересчеты - Булево - Если истина, запускает актуализацию взаиморасчетов с партнерами
//		* ОтборПоОрганизациям - СправочникСсылка.Организации, Массив Из СправочникСсылка.Организации
//		* ВременныеТаблицыПереданы - Булево - Признак, что документ отражается при проведении
// 			и для него не надо выполнять стандартное заполнение временных таблиц
//		* ДетализацияПроводок - Булево - признак дополнительной детализации проводок по Кт 20-го счета.
// 	АдресРезультата - Строка - Адрес временного хранилища для помещения результата.
//
Процедура ОтразитьДокументВФоне(ПараметрыОтражения, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ОтразитьДокументВФоне(ПараметрыОтражения, АдресРезультата) 
```
</details>

## ОтразитьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по регистру Хозрасчетный для указанного документа.
//
// Параметры:
// 	РеквизитыДокумента - Структура - реквизиты документа:
// 		* Ссылка - ДокументСсылка - ссылка на документ
// 		* Дата - Дата - Дата документа
// 		* Организация - СправочникСсылка.Организации - Организация документа
// 	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Поставляемый внешний менеджер временных таблиц.
// 	ПараметрыОтражения - Структура - Параметры отражения:
// 		* ВыполнитьПересчеты - Булево - Признак необходимости выполнить пересчеты, запускает актуализацию взаиморасчетов с партнерами
//		* ОтборПоОрганизациям - СправочникСсылка.Организации, Массив Из СправочникСсылка.Организации
//		* ВременныеТаблицыПереданы - Булево - Признак, что документ отражается при проведении
// 			и для него не надо выполнять стандартное заполнение временных таблиц
//		* ДетализацияПроводок - Булево - признак дополнительной детализации проводок по Кт 20-го счета.
//
// Возвращаемое значение:
//    ПеречислениеСсылка.СтатусыОтраженияДокументовВРеглУчете - Статус отражения документа в учете.
//
Функция ОтразитьДокумент(РеквизитыДокумента, МенеджерВременныхТаблиц = Неопределено, ПараметрыОтражения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ОтразитьДокумент(РеквизитыДокумента, МенеджерВременныхТаблиц, ПараметрыОтражения);
```
</details>

## ВернутьДокументыКОтражению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает документы к отражению в регл. учете
//
// Параметры:
// 	ДокументыКОтражению -   ТаблицаЗначений,
// 							МенеджерВременныхТаблиц - Таблица документов, которые надо вернуть к отражению,
// 													  или менеджер временных таблиц имеющий таблицу ДокументыКОтражению
// 													  Таблица должна иметь колонки Документ, Организация, ДатаОтражения.
// 	КоличествоОбработанных - Число - В данном параметр устанавливается количество возвращенных к отражению документов.
// 									 Параметр не является обязательным.
//
Процедура ВернутьДокументыКОтражению(ДокументыКОтражению, КоличествоОбработанных = Неопределено) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ВернутьДокументыКОтражению(ДокументыКОтражению, КоличествоОбработанных);
```
</details>

## ВернутьДокументыКОтражениюВыборочноПакетно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает движения по регистру ОтражениеДокументаВРеглУчете, выполняет очистку неактуальных записей в Хозрасчетный.
// Вызывается из оффлайновых общих модулей НДС.
//
// Параметры:
// 	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц, имеющий таблицы
// 		ТаблицаТекущейРегистрации и ТаблицаВыборочнойРегистрации.
// 		Таблицы должны иметь колонки Документ, Организация, ДатаОтражения.
//
// 	КоличествоОбработанных - Число - В данном параметр устанавливается количество возвращенных к отражению документов.
// 									 Параметр не является обязательным.
//
Процедура ВернутьДокументыКОтражениюВыборочноПакетно(МенеджерВременныхТаблиц, КоличествоОбработанных = Неопределено) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ВернутьДокументыКОтражениюВыборочноПакетно(МенеджерВременныхТаблиц, КоличествоОбработанных);
```
</details>

## ОтменитьОтражениеДокументовВУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет отражение документов в учете.
//
// Параметры:
//  МассивДокументов - Массив из ДокументСсылка - Массив документов;
//  Отказ - Булево - признак ошибки при записи данных об отмене отражения.
//
Процедура ОтменитьОтражениеДокументовВУчете(МассивДокументов, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ОтменитьОтражениеДокументовВУчете(МассивДокументов, Отказ);
```
</details>

## ЗаписатьНовыйСтатусОтражения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает новый статус отражения в учете.
//
// Параметры:
//  МассивДокументов - Массив из ДокументСсылка - Массив документов.
//  НовыйСтатусОтражения - ПеречислениеСсылка.СтатусыОтраженияДокументовВРеглУчете - Новый статус отражения.
//  СтарыеСтатусыОтражения - Массив из ПеречислениеСсылка.СтатусыОтраженияДокументовВРеглУчете - Старые статусы отражения.
//
//	Возвращаемое значение:
//		Булево - признак успешности записи нового статуса отражения.
//
Функция ЗаписатьНовыйСтатусОтражения(МассивДокументов, НовыйСтатусОтражения, СтарыеСтатусыОтражения) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ЗаписатьНовыйСтатусОтражения(МассивДокументов, НовыйСтатусОтражения, СтарыеСтатусыОтражения) 
```
</details>

## ПроверитьПраваДоступаОтражениеДокументовВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет переданные документы на факт отражения ОтразитьДокументов регл. учете при наличии прав на формирование проводок.
//
// Параметры:
//    МассивДокументов - Массив - Документы.
//
// Возвращаемое значение:
//    Массив - Документы, которые не отражены в регл. учете.
//
Функция ПроверитьПраваДоступаОтражениеДокументовВРеглУчете(МассивДокументов) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ПроверитьПраваДоступаОтражениеДокументовВРеглУчете(МассивДокументов) 
```
</details>

## ВернутьРезультатОтраженияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает результат отражения в регл. учете. Результат помещается во временное хранилище.
//
// Параметры:
//		ПараметрыОтражения - Структура - параметров отражения, где:
//			* Ссылка - ДокументСсылка - документ, для которого надо получить таблицу проводок;
//			* Дата - дата документа;
//			* Организация - ОрганизацияСсылка - организация, по которой получается таблица проводок;
//			* ВыполнитьПересчеты - булево, флажок о том, необходимо ли перед формированием проводок выполнять оффлайновые пересчеты по документу
//			* ДетализацияПроводок - Булево - признак дополнительной детализации проводок по Кт 20-го счета
// 		АдресРезультата - Строка - Адрес временного хранилища для помещения результата.
//
Процедура ВернутьРезультатОтраженияДокумента(ПараметрыОтражения, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ВернутьРезультатОтраженияДокумента(ПараметрыОтражения, АдресРезультата) 
```
</details>

## ЗарегистрироватьОтражениеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает статус отражения документа в регистре сведений "ОтражениеДокументовВРеглУчете" как ОтраженоВУчетеВручную.
//
//	Параметры:
//		Документ - ДокументСсылка - ссылка на документ, для которого должен быть записан статус ручного отражения. Если ссылка - пустая, записи не происходит.
//		СтатусОтражения - ПеречислениеСсылка.СтатусыОтраженияДокументовВРеглУчете - статус, который будет установлен после выполнения процедуры.
//		Комментарий - строка - дополнительные сведения о ручном отражении документа.
//		ТаблицаОтражения - Таблица значений - если документ ранее не был отражен, выполняет отражение документа по этой таблице. Таблица значений с колонками:
//			* Период - дата отражения,
//			* Регистратор - отражаемый документ,
//			* Организация - организация по которой происходит отражение.
//
Процедура ЗарегистрироватьОтражениеДокумента(Документ, СтатусОтражения, Комментарий = Неопределено, ТаблицаОтражения = Неопределено) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ЗарегистрироватьОтражениеДокумента(Документ, СтатусОтражения, Комментарий, ТаблицаОтражения);
```
</details>

## ПолучитьДанныеОтраженияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные об отражении документа в регламентированном учете. Причем получает в определенном порядке.
//
//	Параметры:
//		Документ - ДокументСсылка - ссылка на документ, для которого необходимо получить данные отражения.
//		Организация - СправочникСсылка.Организации, Массив Из СправочникСсылка.Организации, Неопределено -
//
//	Возвращаемое значение:
//		Структура - содержит следующие данные:
//			* Статус - ПеречислениеСсылка.СтатусыОтраженияДокументовВРеглУчете - текущий статус отражения документа;
//			* Отражен - Булево - признак отражения документа, истина если Статус = ОтраженоВРеглУчете ИЛИ Статус = ОтраженоВУчетеВручную;
//			* РучноеОтражение - Булево - признак ручного отражения документа, истина если Статус = ОтраженоВУчетеВручную ИЛИ Статус = КОтражениюВУчетеВручную;
//			* Комментарий - Строка - дополнительная информация по отражению документа. Заполняется пользователем если отражение ручное или содержит перечень ошибок, если не удалось отразить документ автоматически.
//
Функция ПолучитьДанныеОтраженияДокумента(Документ, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ПолучитьДанныеОтраженияДокумента(Документ, Организация);
```
</details>

## СводныйКомментарийПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает составной комментарий к неотраженному в регл. учете документу
//
// Параметры:
// 	Документ - ДокументСсылка - Документ, по которому необходимо получить комментарий
// 	Организация - СправочникСсылка.Организации, Массив Из СправочникСсылка.Организации - Дополнительный отбор, если необходимо получить комментарий отражения по конкретной организации
// Возвращаемое значение:
// 	 Строка - составной комментарий к неотраженному в учете документу.
//
Функция СводныйКомментарийПоДокументу(Документ, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.СводныйКомментарийПоДокументу(Документ, Организация);
```
</details>

## ТаблицаВыборочнойРегистрацииКОтражению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция-конструктор таблицы выборочной регистрации к отражению.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица с колонками:
//     * Организация - СправочникСсылка.Организации - организация
//     * ДатаОтражения - Дата - дата отражения.
//
Функция ТаблицаВыборочнойРегистрацииКОтражению() Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ТаблицаВыборочнойРегистрацииКОтражению() 
```
</details>

## ДобавитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметры выборочной регистрации документа к отражению в регл. учете.
//
// Параметры:
//   Таблица     - ТаблицаЗначений - таблица выборочной регистрации к отражению,
//                 см. РеглУчетПроведениеСервер.ТаблицаВыборочнойРегистрацииКОтражению
//   Организация - СправочникСсылка.Организации - организация для выборочной регистрации к отражению
//   Период      - Дата - дата выборочной регистрации к отражению в регл. учете.
//
Процедура ДобавитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете(Таблица, Организация, Период) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ДобавитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете(Таблица, Организация, Период) 
```
</details>

## НеРегистрироватьКОтражениюВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает регистрацию документа к отражению в регл. учете
//
// Параметры:
// 	 ДопСвойства - Структура - Дополнительные свойства объекта.
//
Процедура НеРегистрироватьКОтражениюВРеглУчете(ДопСвойства) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.НеРегистрироватьКОтражениюВРеглУчете(ДопСвойства) 
```
</details>

## ДокументОтражаетсяВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, должен ли документ отражаться в регл. учете или нет (по дате и дополнительным условиям:
//	некоторые документы ввод остатков, операция бух. - не зависят от даты начала ведения регл. учета).
//
//	Параметры:
//		Документ - ДокументСсылка - документ, для которого определяется возможность отражения в регл. учете;
//		ДатаДокумента - Дата - дата отражения документа, сравнивается с датой начала ведения регл. учета;
//		ДокументОснование - ДокументСсылка - если документ основания принадлежит к списку документов исключений, то и
//			текущий документ будет подпадать под исключение;
//
//	Возвращаемое значение:
//		Булево - отражается / не отражается в учете.
//
Функция ДокументОтражаетсяВРеглУчете(Документ, ДатаДокумента = Неопределено, ДокументОснование = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РеглУчетПроведениеСервер.ДокументОтражаетсяВРеглУчете(Документ, ДатаДокумента, ДокументОснование);
```
</details>

## ДобавитьВЗапросФильтрОтраженияВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет текст запроса дополнительными условиями по типу документов, которые могут отражаться в регл. учете
//	вне зависимости от даты начала отражения в регл. учете, учитываются так же и документы основания.
//
//	Параметры:
//		ТекстЗапроса - Строка - текст запроса, который будет обрабатываться, необходимо, чтобы в нем присутствовало условие на дату начала ведения регл. учета;
//		ИмяПоляДокумента - Строка - строка вида "Данные.Документ", где данные - таблица, для которой накладываются условия, документ - имя поля документа.
//
Процедура ДобавитьВЗапросФильтрОтраженияВРеглУчете(ТекстЗапроса, ИмяПоляДокумента) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ДобавитьВЗапросФильтрОтраженияВРеглУчете(ТекстЗапроса, ИмяПоляДокумента) 
```
</details>

## ЗарегистрироватьДокументыРасчетовСПартнерамиКОтражениюВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует документы расчетов с партнерами к отражению в регламентированном учете.
//
// Параметры:
//	Расчеты - ТаблицаЗначений - Таблица движений по расчетам с партнерами или менеджер временных таблиц имеющий таблицу РасчетыКОтражениюВУчете.
//	                         Таблица должна содержать колонки:
//	                         * Регистратор - ДокументСсылка - Документ-регистратор движений
//	                         * Период - Дата - Период движений
//	                         * АналитикаУчетаПоПартнерам - СправочникСсылка.КлючиАналитикиУчетаПоПартнерам - Аналитика учета.
//
Процедура ЗарегистрироватьДокументыРасчетовСПартнерамиКОтражениюВРеглУчете(Расчеты) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ЗарегистрироватьДокументыРасчетовСПартнерамиКОтражениюВРеглУчете(Расчеты) 
```
</details>

## ДополнитьПараметрыОтраженияРеглУчетаДляДокументовПоследовательногоОтражения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры запроса отражения документов в регл. учете значениями, необходимыми для документов
// последовательного отражения:
//		Ссылка - ДокументСсылка - ссылка на отражаемый документ;
//		Дата - Дата - период отражения документа;
//		ГраницаМесяцНачало - Граница - начало месяца отражения документа;
//		ГраницаМесяцОкончание - Граница - конец месяца отражения документа;
//		ВидыСубконтоХозрасчетныеОсновныеСредстваКонтрагенты - Массив, состоящий из значений типа "ПланыВидовХарактеристик.ВидыСубконтоХозрасчетные";
//
//	Параметры:
//		ПараметрыЗапроса - Структура - структура параметров для заполнения (см. РеглУчетВыборкиСерверПовтИсп.ПараметрыОтраженияРеглУчетаПоУмолчанию);
//		Ссылка - ДокументСсылка - ссылка на отражаемый документ;
//		Период - Дата - период отражения документа;
//
Процедура ДополнитьПараметрыОтраженияРеглУчетаДляДокументовПоследовательногоОтражения(ПараметрыЗапроса, Ссылка, Период) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ДополнитьПараметрыОтраженияРеглУчетаДляДокументовПоследовательногоОтражения(ПараметрыЗапроса, Ссылка, Период) 
```
</details>

## ЗаполнениеПараметровЗапросаИПрочихФункциональныхОпций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//	На основании переданных значений параметров заполняет параметры запроса данных.
//
//	Параметры:
//		ЗапросДанных - Запрос - запрос, параметры которого будут заполнены;
//		ЗначенияПараметровДляЗаполнения - Структура - содержит значения по умолчанию ((см. РеглУчетВыборкиСерверПовтИсп.ПараметрыОтраженияРеглУчетаПоУмолчанию);
//		ПараметрыЗапроса - коллекция параметров запроса - список параметров, которые будут заполнены, если не определен - будет заполнен на основании параметров запроса.
//
Процедура ЗаполнениеПараметровЗапросаИПрочихФункциональныхОпций(ЗапросДанных, ЗначенияПараметровДляЗаполнения, ПараметрыЗапроса = Неопределено) Экспорт
```

Пример вызова
```bsl
РеглУчетПроведениеСервер.ЗаполнениеПараметровЗапросаИПрочихФункциональныхОпций(ЗапросДанных, ЗначенияПараметровДляЗаполнения, ПараметрыЗапроса);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
