---
title: Регламентированная отчетность АЛКО вызов сервера
slug: erp-uh/регламентированная-отчетность-алко-вызов-сервера
---


## ПроверитьКорректностьЗавершения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет завершена длительная операция корректно, или в результате ошибки.
//
// Параметры:
//		АдресВоВременномХранилище - Строка - Адрес временного хранилища,
//									в котором должен быть помещен результат выполнения.
//
// Возвращаемое значение:
//		Булево - Истина, если длительная операция завершена корректно.
//
//
Функция ПроверитьКорректностьЗавершения(АдресВоВременномХранилище) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ПроверитьКорректностьЗавершения(АдресВоВременномХранилище) 
```
</details>

## ПолучитьИнформациюИзФоновойЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оболочка для вызова из клиентского кода ДлительныеОперации.ПрочитатьПрогресс.
// Считывает информацию о ходе выполнения фонового задания.
//
// Параметры:
//		ИдентификаторЗадания - УникальныйИдентификатор - идентификатор фонового задания.
//
// Возвращаемое значение:
//		Неопределено, Структура 		- 	информация о ходе выполнения фонового задания,
//										записанная процедурой ДлительныеОперации.СообщитьПрогресс:
//    		* Процент                 - Число  - Необязательный. Процент выполнения.
//			* Текст                   - Строка - Необязательный. Информация о текущей операции.
//			* ДополнительныеПараметры - Произвольный - Необязательный. Любая дополнительная информация.
//
Функция ПолучитьИнформациюИзФоновойЗадачи(ИдентификаторЗадания) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ПолучитьИнформациюИзФоновойЗадачи(ИдентификаторЗадания) 
```
</details>

## ПроверитьВыполнениеЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет завершение длительной операции по идентификатору.
//
// Параметры:
//		ИдентификаторЗадания 	- УникальныйИдентификатор - идентификатор фонового задания.
//		СообщениеОбОшибке	  	- Строка - возвращает сообщение об ошибке.
//
// Возвращаемое значение:
//		Булево - Истина, если длительная операция завершена, в том числе с ошибками.
//
Функция ПроверитьВыполнениеЗадания(ИдентификаторЗадания, СообщениеОбОшибке) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ПроверитьВыполнениеЗадания(ИдентификаторЗадания, СообщениеОбОшибке) 
```
</details>

## ПолучитьРезультатПроверкиОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. РегламентированнаяОтчетностьАЛКО.ПолучитьРезультатПроверкиАЛКО().
Функция ПолучитьРезультатПроверкиОтчетаАЛКО(АдресВоВременномХранилище) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ПолучитьРезультатПроверкиОтчетаАЛКО(АдресВоВременномХранилище) 
```
</details>

## ОпределитьПараметрыОбработчикаОжиданияАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьПараметрыОбработчикаОжиданияАЛКО(МаксимальныйИнтервал, КоэффициентУвеличенияИнтервала) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОВызовСервера.ОпределитьПараметрыОбработчикаОжиданияАЛКО(МаксимальныйИнтервал, КоэффициентУвеличенияИнтервала) 
```
</details>

## ОрганизацияПодключенаК1СОтчетностиИкФСРАР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет подключение организации к 1С-Отчетности и к сдаче на портале ФСРАР.
//
// Параметры:
//		ОрганизацияОтчета - Справочник.Организации.Ссылка - Организация, подключение которой проверяется.
//
// Возвращаемое значение:
//		Структура, со свойствами
// 			* ФСРАР 		- Булево, Истина, если организация подключена к сдаче отчетности в ФСРАР.
// 			* Отчетность 	- Булево, Истина, если организация подключена к сдаче отчетности в 1С-Отчетности.
//
Функция ОрганизацияПодключенаК1СОтчетностиИкФСРАР(ОрганизацияОтчета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ОрганизацияПодключенаК1СОтчетностиИкФСРАР(ОрганизацияОтчета) 
```
</details>

## СравнениеВерсииПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает текущую версии подсистемы с переданным значением,
// возвращая результат сравнения >=.
//
// Параметры
//  ИмяПодсистемы  	- Строка - имя подсистемы, определенное в конфигурации.
//	ВерсияСравнения - Строка - Строка версии вида "0.0.0.0".
//	ТекущаяВерсия	- Строка - в параметре возвращается текущая версия подсистемы.
//
// Возвращаемое значение:
//   Булево. Истина, если ТекущаяВерсия >= ВерсияСравнения.
Функция СравнениеВерсииПодсистемы(ИмяПодсистемы, ВерсияСравнения, ТекущаяВерсия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.СравнениеВерсииПодсистемы(ИмяПодсистемы, ВерсияСравнения, ТекущаяВерсия);
```
</details>

## ПолучитьПустуюСтруктуруАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру сведений по обособленному подразделению,
// состоящей из Наименования, КПП и адресной информации.
//
// Параметры:
// 		Нет.
// Возвращаемое значение:
// 		Структура, со свойствами:
//
//			* УникальныйНомерФИАС 	- Уникальный идентификатор адреса в системе ФИАС.
//			* ДополнительныеКоды	- пустая структура
//			* КодСтраны
//			* Страна
//			* Индекс
//			* КодРегиона
//			* Регион
//			* Район
//			* Город
//			* НаселенныйПункт
//			* Улица
//			* Дом
//			* Корпус
//			* Литера
//			* Квартира
//
//			* ТипДома
//			* ТипКорпуса
//			* ТипКвартиры
//
//			* ПредставлениеАдреса
//			* АдресXML				- XML представление адреса подсистемы УправлениеКонтактнойИнформацией
//
Функция ПолучитьПустуюСтруктуруАдреса() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ПолучитьПустуюСтруктуруАдреса() 
```
</details>

## ПолучитьПустуюСтруктуруСведенийОбОП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру сведений по обособленному подразделению,
// состоящей из Наименования, КПП и адресной информации.
//
// Параметры:
// 		Нет.
// Возвращаемое значение:
// 		Структура, со свойствами:
//			* Наименование 			- Наимкенование ОП.
//			* КПП					- КПП ОП.
//			Адресные поля
//			* УникальныйНомерФИАС 	- Уникальный идентификатор адреса в системе ФИАС.
//			* ДополнительныеКоды	- пустая структура
//			* КодСтраны
//			* Страна
//			* Индекс
//			* КодРегиона
//			* Регион
//			* Район
//			* Город
//			* НаселенныйПункт
//			* Улица
//			* Дом
//			* Корпус
//			* Литера
//			* Квартира
//			* ПредставлениеАдреса
//			* АдресXML				- XML представление адреса подсистемы УправлениеКонтактнойИнформацией.
Функция ПолучитьПустуюСтруктуруСведенийОбОП() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ПолучитьПустуюСтруктуруСведенийОбОП() 
```
</details>

## ОписаниеРегОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру описания регламентированного отчета.
//
// Параметры:
// 		ДокументРегОтчет - Документ.РегламентированныйОтчет
//
// Возвращаемое значение:
// 		Структура, со свойствами:
//		* Организация 				- Справочник.Организации
//		* ДатаНачалаПериодаОтчета 	- Дата
//		* ДатаКонцаПериодаОтчета 	- Дата
//		* КорректирующаяФорма 		- Булево, признак корректирующего отчета.
//		* ВыбраннаяФорма 			- Строка, имя формы отчета, соответствующей периоду отчета.
//		* ИсточникОтчета 			- Строка, имя объекта метаданных регламентированного отчета.
//		* НаименованиеОтчета 		- Строка
Функция ОписаниеРегОтчета(ДокументРегОтчет) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ОписаниеРегОтчета(ДокументРегОтчет) 
```
</details>

## ОпределитьНачалоКонецОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьНачалоКонецОтчета(ДокументРегОтчет) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ОпределитьНачалоКонецОтчета(ДокументРегОтчет) 
```
</details>

## ОпределитьВидыКонтактнойИнформацииДляВводаАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьВидыКонтактнойИнформацииДляВводаАдреса() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ОпределитьВидыКонтактнойИнформацииДляВводаАдреса() 
```
</details>

## РазблокироватьДанныеОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РазблокироватьДанныеОтчета(Ключ, ИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОВызовСервера.РазблокироватьДанныеОтчета(Ключ, ИдентификаторФормы) 
```
</details>

## ВводАдресаКонтрагентаЗавершениеНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВводАдресаКонтрагентаЗавершениеНаСервере(Результат, ПредставлениеАдреса, ПолеСтруктурыАдреса, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОВызовСервера.ВводАдресаКонтрагентаЗавершениеНаСервере(Результат, ПредставлениеАдреса, ПолеСтруктурыАдреса, );
```
</details>

## СтруктураАдресаИзСтрокиСтруктурыХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураАдресаИзСтрокиСтруктурыХранения(ПолеСтруктурыАдреса) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.СтруктураАдресаИзСтрокиСтруктурыХранения(ПолеСтруктурыАдреса) 
```
</details>

## ВерсияПлатформы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерсияПлатформы() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.ВерсияПлатформы() 
```
</details>

## РежимСовместимостиКонфигурацииСПлатформой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РежимСовместимостиКонфигурацииСПлатформой() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОВызовСервера.РежимСовместимостиКонфигурацииСПлатформой() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
