---
title: Регламентированная отчетность АЛКО клиент
slug: erp-uh/регламентированная-отчетность-алко-клиент
---


## ВыполнитьКомандуФормыПоИмениАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет любую команду формы, вызывая нужную процедуру.
//
// Параметры:
//
// 		Форма		- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//					Опеределяет форму, команду которой необходимо выполнить.
//
//		ИмяКоманды 	- Строка - Имя команды формы, которую надо выполнить.
//

/////////////////////////////////////////////////////////////
// ВНИМАНИЕ!!!
// Не удалять метод. Используется в 1С:УП Калуги Астрал
/////////////////////////////////////////////////////////////

Процедура ВыполнитьКомандуФормыПоИмениАЛКО(Форма, ИмяКоманды) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ВыполнитьКомандуФормыПоИмениАЛКО(Форма, ИмяКоманды) 
```
</details>

## ВыполнитьСледующееДействиеИзОчередиАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действие из списка очереди действий формы.
//
// Параметры:
//
// 		Форма		- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
Процедура ВыполнитьСледующееДействиеИзОчередиАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ВыполнитьСледующееДействиеИзОчередиАЛКО(Форма) 
```
</details>

## ОбновитьТекущуюСтраницуОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьТекущуюСтраницуОтчетаАЛКО(Форма, СписокСостоянийОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ОбновитьТекущуюСтраницуОтчетаАЛКО(Форма, СписокСостоянийОбновления);
```
</details>

## СохранитьНаКлиентеАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает процесс сохранения отчета.
//
// Параметры:
//
// 		Форма					- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Автосохранение 			- Булево - Признак включенного режима автосахранения отчета.
//								На практике признак всегда выключен.
//
//		ВыполняемоеОповещение 	- ОписаниеОповещения - Оповещение, которое необходимо выполнить после завершения процесса
//								сохранения отчета.
//
Процедура СохранитьНаКлиентеАЛКО(Форма, Автосохранение = Ложь, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.СохранитьНаКлиентеАЛКО(Форма, Автосохранение, );
```
</details>

## ОчиститьОтчетАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает все разделы отчета.
//
// Параметры:
//
// 		Форма					- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		ВыполняемоеОповещение 	- ОписаниеОповещения - Оповещение, которое необходимо выполнить после завершения процесса
//								очистки отчета.
//
//		ЗадаватьВопросПередОчисткой	- Булево - Признак интерактивности очистки.
//
//      ТекстВопроса				- Строка - Текст вопроса, выдаваемого пользователю при включенной интерактивной очистке.
//
Процедура ОчиститьОтчетАЛКО(Форма, ВыполняемоеОповещение = Неопределено, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ОчиститьОтчетАЛКО(Форма, ВыполняемоеОповещение, );
```
</details>

## ОбработкаОповещенияАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции процедура обработки оповещения.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		ИмяСобытия		- Строка. Имя события. Может быть использовано для идентификации сообщений принимающими их формами.
//
//		Параметр		- Произвольный тип - Параметр сообщения. Могут быть переданы любые необходимые данные.
//
//		Источник		- Произвольный тип - Источник события. Например, в качестве источника может быть указана другая форма.
//
Процедура ОбработкаОповещенияАЛКО(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ОбработкаОповещенияАЛКО(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПриОткрытииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// обработчик события ПриОткрытии.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Отказ			- Булево. Если Истина, дальнейшее открытие формы прекращается.
//
Процедура ПриОткрытииАЛКО(Форма, Отказ) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ПриОткрытииАЛКО(Форма, Отказ) 
```
</details>

## ПередЗакрытиемАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события ПередЗакрытием.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Отказ			- Булево. Если Истина, закрытие формы отменяется.
//
//		ЗавершениеРаботы 	- Булево. В данный параметр передается признак того, что форма закрывается
//							в процессе завершения работы приложения:
//							Истина - если в процессе завершения приложения; Ложь - если закрывается только форма.
//
//		ТекстПредупреждения - Строка.
//							Если параметру <Отказ> установлено значение Истина и <ТекстПредупреждения> содержит непустую строку, то:
//
//							если <Завершение работы> установлено в Истина, окно сообщения со строкой текста предупреждения
//							будет выведено на экран и пользователю будет предложено на выбор - остаться или
//							покинуть окно без сохранения изменений.
//
//							если <Завершение работы> установлено в Ложь, текст предупреждения игнорируется и
//							процесс закрытия формы прерывается.
//
//							Если параметру <Отказ> установлено значение Истина и <ТекстПредупреждения> содержит пустую строку, то:
//
//							если <Завершение работы> установлено в Истина, пользователю будет отображно окно с общим
//							текстом "Работа в данном окне не завершена" и будет предложено остаться или покинуть окно
//							без сохранения изменений.
//
//							если <Завершение работы> установлено в Ложь, то значение параметра <ТекстПредупреждения> будет
//							проигнорировано, и процесс закрытия формы будет прерван.
//
//							Если параметру <Отказ> установлено значение Ложь, то
//							значение параметра <ТекстПредупреждения> будет проигнорировано, и процесс закрытия формы будет продолжен.
//
// Примечание: В браузере Mozilla Firefox окно сообщения не будет содержать текста предупреждения.
//
Процедура ПередЗакрытиемАЛКО(Форма, Отказ, ЗавершениеРаботы, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ПередЗакрытиемАЛКО(Форма, Отказ, ЗавершениеРаботы, );
```
</details>

## ПриЗакрытииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события ПриЗакрытии.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		ЗавершениеРаботы 	- Булево. В данный параметр передается признак того, что форма закрывается
//							в процессе завершения работы приложения:
//							Истина - если в процессе завершения приложения; Ложь - если закрывается только форма.
//
Процедура ПриЗакрытииАЛКО(Форма, ЗавершениеРаботы) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ПриЗакрытииАЛКО(Форма, ЗавершениеРаботы) 
```
</details>

## РазделыОтчетаПриАктивизацииСтрокиАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события ПриАктивизацииСтроки таблицы ТаблицаРазделыОтчета.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент 		- Элемент формы ТаблицаРазделыОтчета.
//
Процедура РазделыОтчетаПриАктивизацииСтрокиАЛКО(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.РазделыОтчетаПриАктивизацииСтрокиАЛКО(Форма, Элемент) 
```
</details>

## ТаблицаФормыРазделаВыборАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события Выбор таблицы формы многострочного раздела.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент			- Элемент формы таблицы формы многострочного раздела.
//
//		ВыбраннаяСтрока, Поле, СтандартнаяОбработка - описание соответствует
//		параметрам обработчика действия Выбор таблицы управляемой формы.
//
Процедура ТаблицаФормыРазделаВыборАЛКО(Форма, Элемент, ВыбраннаяСтрока, Поле, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ТаблицаФормыРазделаВыборАЛКО(Форма, Элемент, ВыбраннаяСтрока, Поле, );
```
</details>

## ТаблицаФормыРазделаПередУдалениемАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события ПередУдалением таблицы формы многострочного раздела.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент			- Элемент формы таблицы формы многострочного раздела.
//
//		Отказ - описание соответствует
//		параметрам обработчика действия ПередУдалением таблицы управляемой формы.
//
Процедура ТаблицаФормыРазделаПередУдалениемАЛКО(Форма, Элемент, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ТаблицаФормыРазделаПередУдалениемАЛКО(Форма, Элемент, );
```
</details>

## ТаблицаФормыРазделаПередНачаломДобавленияАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события ПередНачаломДобавления таблицы формы многострочного раздела.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент			- Элемент формы таблицы формы многострочного раздела.
//
//		Отказ, Копирование, Родитель, ЭтоГруппа, Параметр - описание соответствует
//		параметрам обработчика действия ПередНачаломДобавления таблицы управляемой формы.
//
Процедура ТаблицаФормыРазделаПередНачаломДобавленияАЛКО(Форма, Элемент, Отказ, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ТаблицаФормыРазделаПередНачаломДобавленияАЛКО(Форма, Элемент, Отказ, );
```
</details>

## ТаблицаФормыРазделаПриИзмененииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события ПриИзменении таблицы формы многострочного раздела.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент			- Элемент формы таблицы формы многострочного раздела.
//
Процедура ТаблицаФормыРазделаПриИзмененииАЛКО(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ТаблицаФормыРазделаПриИзмененииАЛКО(Форма, Элемент) 
```
</details>

## ТаблицаФормыРазделаПриАктивизацииСтрокиАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события ПриАктивизацииСтроки таблицы формы многострочного раздела.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент			- Элемент формы таблицы формы многострочного раздела.
//
Процедура ТаблицаФормыРазделаПриАктивизацииСтрокиАЛКО(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ТаблицаФормыРазделаПриАктивизацииСтрокиАЛКО(Форма, Элемент) 
```
</details>

## НомерКорректировкиПриИзмененииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события ПриИзменении поля НомерКорректировки Титульного листа отчета.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент			- Элемент формы НомерКорректировки.
//
Процедура НомерКорректировкиПриИзмененииАЛКО(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.НомерКорректировкиПриИзмененииАЛКО(Форма, Элемент) 
```
</details>

## МестоОсуществленияДеятельностиНажатиеАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события Нажатие поля гиперссылки МестоОсуществленияДеятельности.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент			- Элемент поля гиперссылки управляемой формы.
//
Процедура МестоОсуществленияДеятельностиНажатиеАЛКО(Форма, Элемент, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.МестоОсуществленияДеятельностиНажатиеАЛКО(Форма, Элемент, );
```
</details>

## ДатаПодписиПриИзмененииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события ПриИзменении поля ДатаПодписи Титульного листа отчета.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент			- Элемент формы ДатаПодписи.
//
Процедура ДатаПодписиПриИзмененииАЛКО(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ДатаПодписиПриИзмененииАЛКО(Форма, Элемент) 
```
</details>

## ЭлементТитульногоПриИзмененииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет измененное значение полей титульного листа в данных отчета.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент			- Элемент поля гиперссылки управляемой формы.
//
//		ИмяВСтруктуреДанныхТитульный 	- Строка. Имя поля структуры СтруктураДанныхТитульный, в значении
//										которого сохраняется значение элемента.
//		ИмяРеквизитаФормы				- Строка. Имя реквизита формы, источника данных для элемента.
//
Функция ЭлементТитульногоПриИзмененииАЛКО(Форма, Элемент, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиент.ЭлементТитульногоПриИзмененииАЛКО(Форма, Элемент, );
```
</details>

## ОрганизацияОткрытиеАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная для всех форм отчетов подсистемы ОтчетностьПоАлкогольнойПродукции
// процедура обработчик события Нажатие полей гиперссылок заполняемых по данным
// Организации - декларанта отчета, расположенных на Титульном листе отчета.
//
// Параметры:
//
// 		Форма			- Управляемая форма отчета подсистемы ОтчетностьПоАлкогольнойПродукции.
//
//		Элемент			- Элемент поля гиперссылки управляемой формы.
//
//		СтандартнаяОбработка -  описание соответствует
//		параметрам обработчика действия Нажатие поля управляемой формы.
//
Процедура ОрганизацияОткрытиеАЛКО(Форма, Элемент = Неопределено, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ОрганизацияОткрытиеАЛКО(Форма, Элемент, );
```
</details>

## ЗаявлениеОКорректировкеНажатиеАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаявлениеОКорректировкеНажатиеАЛКО(Форма, Элемент, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ЗаявлениеОКорректировкеНажатиеАЛКО(Форма, Элемент, );
```
</details>

## ДеятельностьПоЛицензииНачалоВыбораАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДеятельностьПоЛицензииНачалоВыбораАЛКО(Форма, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ДеятельностьПоЛицензииНачалоВыбораАЛКО(Форма, );
```
</details>

## ВидДеятельностиПоЛицензииНажатиеАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВидДеятельностиПоЛицензииНажатиеАЛКО(Форма, Элемент = Неопределено, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ВидДеятельностиПоЛицензииНажатиеАЛКО(Форма, Элемент, );
```
</details>

## ПриИзмененииВиноградныхДанныхАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииВиноградныхДанныхАЛКО(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ПриИзмененииВиноградныхДанныхАЛКО(Форма, Элемент) 
```
</details>

## ОбособленноеПодразделениеНажатиеАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбособленноеПодразделениеНажатиеАЛКО(Форма, Элемент = Неопределено, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ОбособленноеПодразделениеНажатиеАЛКО(Форма, Элемент, );
```
</details>

## ФлагГоловногоОППриИзмененииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФлагГоловногоОППриИзмененииАЛКО(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ФлагГоловногоОППриИзмененииАЛКО(Форма, Элемент) 
```
</details>

## ПолучитьПеречислениеВидыДлительныхОперацийРеглОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение перечисления подсистемы ОтчетностьПоАлкогольнойПродукции ВидыДлительныхОперацийРегламентированныхОтчетов
//
// Параметры:
//		ЗначениеПеречисления				- Строка - Имя значения перечисления.
//
// Возвращаемое значение:
//		Перечисление.ВидыДлительныхОперацийРегламентированныхОтчетов
//
Функция ПолучитьПеречислениеВидыДлительныхОперацийРеглОтчетов(ЗначениеПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиент.ПолучитьПеречислениеВидыДлительныхОперацийРеглОтчетов(ЗначениеПеречисления) 
```
</details>

## ВыполнитьДлительнуюОперациюАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьДлительнуюОперациюАЛКО(Форма, ВидДлОперации, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ВыполнитьДлительнуюОперациюАЛКО(Форма, ВидДлОперации, );
```
</details>

## Подключаемый_ПроверитьВыполнениеДлительнойОперацииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Подключаемый_ПроверитьВыполнениеДлительнойОперацииАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.Подключаемый_ПроверитьВыполнениеДлительнойОперацииАЛКО(Форма) 
```
</details>

## ВыключитьЗаставкуДлительнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Закрывает форму длительной операции.
//
// Параметры:
//		ФормаОтчета				- Управляемая форма - Форма отчета, длительная операция которой показывается.
//
//
Процедура ВыключитьЗаставкуДлительнойОперации(ФормаОтчета) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ВыключитьЗаставкуДлительнойОперации(ФормаОтчета) 
```
</details>

## ВыполнитьДействияПриПроверкеВыполненияДлительнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет выполнение длительной операции и в случае завершения вызывает из
// модуля формы отчета ПослеВыполненияДлительнойОперацииНаКлиенте(), в противном случае
// читает информацию переданную из длительной операции и отображает ее в форме
// длительной операции.
//
// Параметры:
//		ФормаОтчета				- Управляемая форма - Форма отчета, длительная операция которой показывается.
//
// Возвращаемое значение:
//		Булево - Истина, если длительная операция завершена.
//
Функция ВыполнитьДействияПриПроверкеВыполненияДлительнойОперации(ФормаОтчета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиент.ВыполнитьДействияПриПроверкеВыполненияДлительнойОперации(ФормаОтчета) 
```
</details>

## ОбработкаДействияСАлкоОтчетом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность действия с отчетом, при невозможности действия выдает предупреждение.
Функция ОбработкаДействияСАлкоОтчетом(ОписаниеОтчета, Действие, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиент.ОбработкаДействияСАлкоОтчетом(ОписаниеОтчета, Действие, );
```
</details>

## АктивизироватьЯчейкуАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура АктивизироватьЯчейкуАЛКО(Форма, Ячейка) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.АктивизироватьЯчейкуАЛКО(Форма, Ячейка) 
```
</details>

## АктивизироватьПолеАктивнойСтраницыАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура АктивизироватьПолеАктивнойСтраницыАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.АктивизироватьПолеАктивнойСтраницыАЛКО(Форма) 
```
</details>

## АктивизироватьЯчейкуПослеЗакрытияОткрытыхФормАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура АктивизироватьЯчейкуПослеЗакрытияОткрытыхФормАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.АктивизироватьЯчейкуПослеЗакрытияОткрытыхФормАЛКО(Форма) 
```
</details>

## ВызватьФормуВводаАдресаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВызватьФормуВводаАдресаКонтрагента(ПолеСтруктурыАдреса, ЗаголовокФормыВвода, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ВызватьФормуВводаАдресаКонтрагента(ПолеСтруктурыАдреса, ЗаголовокФормыВвода, );
```
</details>

## ВызватьФормуВводаАдресаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ВызватьФормуВводаАдресаАЛКО(СохраненныеДанныеАдреса, ЗаголовокФормыВвода, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ВызватьФормуВводаАдресаАЛКО(СохраненныеДанныеАдреса, ЗаголовокФормыВвода, );
```
</details>

## ВызватьФормуВыбораЗначенийАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВызватьФормуВыбораЗначенийАЛКО(Форма, ФлажокОтклАвтоВыборКодов, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиент.ВызватьФормуВыбораЗначенийАЛКО(Форма, ФлажокОтклАвтоВыборКодов, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
