---
title: Регламентированная отчетность АЛКО клиент сервер
slug: erp-uh/регламентированная-отчетность-алко-клиент-сервер
---


## СтрокаЧГ0
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
////////////////////////////////////////////////////////////////////////////////
// Модуль содержит общие процедуры и функции регламентированных отчетов ФСРАР
////////////////////////////////////////////////////////////////////////////////

// Возращает строковое представления числа без разделения на группы, 0 представляется как "0".
//
// Параметры:
// 		ИсходноеЧисло		- Число.
//
// Возвращаемое значение:
// 		Строка - представление числа без разделения на группы, 0 представляется как "0".
//
Функция СтрокаЧГ0(ИсходноеЧисло) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.СтрокаЧГ0(ИсходноеЧисло) 
```
</details>

## ПолучитьИндексСтраницыРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Индекс страницы в регистре по индексу страницы в Таблице страниц отчета.
//
// Параметры:
// 	Форма				- Управляемая форма.
// 	ИдГруппы			- Строка - Идентификатор многострочной группы отчета.
// 	ИндексСтраницы		- Число - индекс страницы в таблице страниц отчета.
//
// Возвращаемое значение:
// 	Число.
//
Функция ПолучитьИндексСтраницыРегистра(Форма, ИдГруппы, ИндексСтраницы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьИндексСтраницыРегистра(Форма, ИдГруппы, ИндексСтраницы) 
```
</details>

## УвеличитьКоличествоСтрокПоТекущейСтранице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Увеличивает значение в колонке КоличествоСтрок таблицы СервисРегистров отчета для страницы с индексом ИндексСтраницы,
// до переданного значения ИндексСтроки.
// Если значение ИндексСтроки не передано, значение КоличествоСтрок увеличивается на 1.
// В параметре КоличествоСтрок возвращается установленное значение.
//
// Параметры:
// 	Форма				- Управляемая форма.
// 	ИдГруппы			- Строка - Идентификатор многострочной группы отчета.
// 	ИндексСтраницы		- Число - индекс страницы в таблице страниц отчета.
// 	КоличествоСтрок		- Число. Необязательный. В параметре возвращается установленное значение количества строк.
// 	НомерСтроки 		- Число. Необязательный. Номер последней строки.
//
Процедура УвеличитьКоличествоСтрокПоТекущейСтранице(Форма, ИдГруппы, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиентСервер.УвеличитьКоличествоСтрокПоТекущейСтранице(Форма, ИдГруппы, );
```
</details>

## ИзменитьКоличествоПомеченныхНаУдалениеСтрокПоТекущейСтранице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Увеличивает значение в колонке КолвоСтрокПомНаУдаление таблицы СервисРегистров отчета для страницы
// с индексом ИндексСтраницы на значение переданное в параметре Дельта.
//
// Параметры:
// 	Форма				- Управляемая форма.
// 	ИдГруппы			- Строка - Идентификатор многострочной группы отчета.
// 	ИндексСтраницы		- Число - индекс страницы в таблице страниц отчета.
// 	Дельта				- Число. Необязательный.
//
Процедура ИзменитьКоличествоПомеченныхНаУдалениеСтрокПоТекущейСтранице(Форма, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиентСервер.ИзменитьКоличествоПомеченныхНаУдалениеСтрокПоТекущейСтранице(Форма, );
```
</details>

## ПолучитьКоличествоСтрокПоСтраницеГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество строк в таблице группы ИдГруппы по странице с индексом ИндексСтраницы.
// В зависимости от значения БезПомеченныхНаУдаление, возвращается общее количество строк,
// включая помеченные на удаление, или не включая.
//
// Параметры:
// 	Форма					- Управляемая форма.
// 	ИдГруппы				- Строка - Идентификатор многострочной группы отчета.
// 	ИндексСтраницы			- Число - индекс страницы в таблице страниц отчета.
// 	БезПомеченныхНаУдаление - Булево. Необязательный.
//
// Возвращаемое значение:
// 	Число.
//
Функция ПолучитьКоличествоСтрокПоСтраницеГруппы(Форма, ИдГруппы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьКоличествоСтрокПоСтраницеГруппы(Форма, ИдГруппы, );
```
</details>

## ПолучитьКоличествоСтрокПоСтраницеИзСервисРегистровГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКоличествоСтрокПоСтраницеИзСервисРегистровГруппы( Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьКоличествоСтрокПоСтраницеИзСервисРегистровГруппы();
```
</details>

## ПолучитьКоличествоСтрокПоГруппе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество строк в таблицах группы ИдГруппы по всем страницам отчета.
// В зависимости от значения БезПомеченныхНаУдаление, возвращается общее количество строк,
// включая помеченные на удаление, или не включая.
//
// Параметры:
// 	Форма				- Управляемая форма.
// 	ИдГруппы			- Строка - Идентификатор многострочной группы отчета.
// 	БезПомеченныхНаУдаление - Булево. Необязательный.
//
// Возвращаемое значение:
// 	Число.
//
Функция ПолучитьКоличествоСтрокПоГруппе(Форма, ИдГруппы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьКоличествоСтрокПоГруппе(Форма, ИдГруппы, );
```
</details>

## ПолучитьКоличествоСтрокПоГруппеИзСервисРегистровГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКоличествоСтрокПоГруппеИзСервисРегистровГруппы(СервисРегистровГруппы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьКоличествоСтрокПоГруппеИзСервисРегистровГруппы(СервисРегистровГруппы, );
```
</details>

## ПолучитьОбщееКоличествоСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество строк в таблицах по всем группам и по всем страницам отчета.
// В зависимости от значения БезПомеченныхНаУдаление, возвращается общее количество строк,
// включая помеченные на удаление, или не включая.
//
// Параметры:
// 	Форма					- Управляемая форма.
// 	БезПомеченныхНаУдаление - Булево. Необязательный.
//
// Возвращаемое значение:
// 	Число.
//
Функция ПолучитьОбщееКоличествоСтрок(Форма, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьОбщееКоличествоСтрок(Форма, );
```
</details>

## ПолучитьИмяРегистраСведенийАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя регистра, как оно задано в конфигурации, в котором хранятся данные таблиц группы ИдГруппы.
//
// Параметры:
// 	ИдГруппы					- Строка - Идентификатор многострочной группы отчета.
// 	СтруктураРеквизитовФормы	- Структура. Стандартный реквизит формы всех алкоотчетов.
// 								Формируется при инициализации отчета.
//
// Возвращаемое значение:
// 	Строка.
//
Функция ПолучитьИмяРегистраСведенийАЛКО(ИдГруппы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьИмяРегистраСведенийАЛКО(ИдГруппы, );
```
</details>

## ПолучитьИдГруппыПоИмениРегистраАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор табличной группы по имени регистра сведений, в котором хранятся значения таблиц этой группы.
//
// Параметры:
// 	ИмяРегистра					- Строка. Имя регистра, как оно задано в конфигурации.
// 	СтруктураРеквизитовФормы	- Структура. Стандартный реквизит формы всех алкоотчетов.
// 								Формируется при инициализации отчета.
// Возвращаемое значение:
// 	Строка.
//
Функция ПолучитьИдГруппыПоИмениРегистраАЛКО(ИмяРегистра, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьИдГруппыПоИмениРегистраАЛКО(ИмяРегистра, );
```
</details>

## ПолучитьТочныйИдГруппыПоРазделуАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТочныйИдГруппыПоРазделуАЛКО(Форма, Раздел) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьТочныйИдГруппыПоРазделуАЛКО(Форма, Раздел) 
```
</details>

## ПолучитьИдГруппыПоРазделуАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИдГруппыПоРазделуАЛКО(Раздел, СтруктураРеквизитовФормы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьИдГруппыПоРазделуАЛКО(Раздел, СтруктураРеквизитовФормы) 
```
</details>

## ПолучитьСписокИдГруппПоРазделуАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокИдГруппПоРазделуАЛКО(Раздел, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьСписокИдГруппПоРазделуАЛКО(Раздел, );
```
</details>

## ПолучитьРазделПоИдГруппыАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРазделПоИдГруппыАЛКО(ИдГруппы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьРазделПоИдГруппыАЛКО(ИдГруппы, );
```
</details>

## ПолучитьСтруктуруИдГруппИменРегистровАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруИдГруппИменРегистровАЛКО(СтруктураРеквизитовФормы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьСтруктуруИдГруппИменРегистровАЛКО(СтруктураРеквизитовФормы) 
```
</details>

## ПолучитьСписокИменРегистровАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокИменРегистровАЛКО(СтруктураРеквизитовФормы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьСписокИменРегистровАЛКО(СтруктураРеквизитовФормы) 
```
</details>

## СформироватьОбособленноеПодразделениеАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьОбособленноеПодразделениеАЛКО(СведенияОбОП, ЭтоПБОЮЛ, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.СформироватьОбособленноеПодразделениеАЛКО(СведенияОбОП, ЭтоПБОЮЛ, );
```
</details>

## ПредставлениеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеОрганизации(Наименование, ИНН, КПП = "", Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПредставлениеОрганизации(Наименование, ИНН, КПП, );
```
</details>

## ПолучитьКодКвартала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКодКвартала(ПоказателиТитульногоЛиста) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПолучитьКодКвартала(ПоказателиТитульногоЛиста) 
```
</details>

## ЭтоУправляемаяФормаИлиФормаКлиентскогоПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоУправляемаяФормаИлиФормаКлиентскогоПриложения(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЭтоУправляемаяФормаИлиФормаКлиентскогоПриложения(Форма) 
```
</details>

## ЭтоСоответствие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСоответствие(Ответ) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЭтоСоответствие(Ответ) 
```
</details>

## ЭтоСтруктура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСтруктура(Ответ) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЭтоСтруктура(Ответ) 
```
</details>

## ЭтоМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоМассив(Ответ) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЭтоМассив(Ответ) 
```
</details>

## ВерсияПлатформы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерсияПлатформы() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ВерсияПлатформы() 
```
</details>

## ВерсияПлатформыНеНижеВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает текущую версию платформы и версию в параметре.
// Параметры
//  СтрокаВерсии  – Строка – номер версии в формате РР.{П|ПП}.ЗЗ.СС
//
// Результат Булево.
// Истина, если текущая версия платформы не ниже переданной в параметре.
Функция ВерсияПлатформыНеНижеВерсии(СтрокаВерсии) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ВерсияПлатформыНеНижеВерсии(СтрокаВерсии) 
```
</details>

## ЗначениеПоКлючуСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначениеПоКлючуСтруктуры(Ключ, Структура) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЗначениеПоКлючуСтруктуры(Ключ, Структура) 
```
</details>

## СтрЗначениеПоКлючуСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтрЗначениеПоКлючуСтруктуры(Ключ, Структура, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.СтрЗначениеПоКлючуСтруктуры(Ключ, Структура, );
```
</details>

## ДанныеПоАдресу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеПоАдресу(Данные, Адрес) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ДанныеПоАдресу(Данные, Адрес) 
```
</details>

## ИнициализацияЗаголовкаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИнициализацияЗаголовкаАЛКО(Заголовок, ИмяФормы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ИнициализацияЗаголовкаАЛКО(Заголовок, ИмяФормы, );
```
</details>

## ПоказатьПериодАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьПериодАЛКО(СтруктураРеквизитовФормы, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиентСервер.ПоказатьПериодАЛКО(СтруктураРеквизитовФормы, );
```
</details>

## КварталОтчетаСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КварталОтчетаСтрокой(СтруктураРеквизитовФормы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.КварталОтчетаСтрокой(СтруктураРеквизитовФормы) 
```
</details>

## УбратьЛишниеПробелы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УбратьЛишниеПробелы(Знач Стр) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.УбратьЛишниеПробелы(Стр) 
```
</details>

## ЭтоБуква
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоБуква(Символ) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЭтоБуква(Символ) 
```
</details>

## ЭтоЦифра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоЦифра(Символ) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЭтоЦифра(Символ) 
```
</details>

## ЕстьЦифра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьЦифра(Стр) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЕстьЦифра(Стр) 
```
</details>

## ЗаменитьСимволНаРазделительЕслиСимволПередЦифрой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьСимволНаРазделительЕслиСимволПередЦифрой(Знач Стр, Символ, Разделитель) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЗаменитьСимволНаРазделительЕслиСимволПередЦифрой(Стр, Символ, Разделитель) 
```
</details>

## Транслит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет в строке буквы русского алфавита на буквы латинского, в соответсвии с правилами транслитерации.
//
// Параметры:
// 		Стр				- Строка.
//
// Возвращаемое значение:
// 		Строка
//
Функция Транслит(Стр) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.Транслит(Стр) 
```
</details>

## ЗагрузитьРекивизитыЗаявленияОКорректировкиАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗагрузитьРекивизитыЗаявленияОКорректировкиАЛКО(СтруктураРеквизитовФормы, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиентСервер.ЗагрузитьРекивизитыЗаявленияОКорректировкиАЛКО(СтруктураРеквизитовФормы, );
```
</details>

## СформироватьДеревоРазделовОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьДеревоРазделовОтчетаАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиентСервер.СформироватьДеревоРазделовОтчетаАЛКО(Форма) 
```
</details>

## ВосстановитьСведенияОбОрганизацииИзТитульногоЛистаСтарогоОбразцаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВосстановитьСведенияОбОрганизацииИзТитульногоЛистаСтарогоОбразцаАЛКО(ПоказателиОтчета, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиентСервер.ВосстановитьСведенияОбОрганизацииИзТитульногоЛистаСтарогоОбразцаАЛКО(ПоказателиОтчета, );
```
</details>

## СкопироватьЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СкопироватьЗначение(знач Значение) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.СкопироватьЗначение(знач Значение) 
```
</details>

## СтруктураВСписокЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураВСписокЗначений(СтруктураЗначений) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.СтруктураВСписокЗначений(СтруктураЗначений) 
```
</details>

## ДесятичноеЧислоИзЧислаДругойСистемыСчисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДесятичноеЧислоИзЧислаДругойСистемыСчисления(знач СтрокаЧислаВСистемеСчисления, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ДесятичноеЧислоИзЧислаДругойСистемыСчисления(знач СтрокаЧислаВСистемеСчисления, );
```
</details>

## ВерноеИмяКлючаСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерноеИмяКлючаСтруктуры(ИмяКлюча) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ВерноеИмяКлючаСтруктуры(ИмяКлюча) 
```
</details>

## ВСтрокеВсеЦифры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опеределяет все ли символы в переданной строке - цифры.
// Не используется посимвольный перебор, благодаря чему работает очень быстро,
// что важно при большом объеме проверок.
// Не подходит для проверки строки произвольной длины.
//
// Параметры:
// 		ПроверяемаяСтрока		- Строка.
//
// Возвращаемое значение:
// 		Булево - Истина если в строке все символы являются цифрами.
//
Функция ВСтрокеВсеЦифры(ПроверяемаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ВСтрокеВсеЦифры(ПроверяемаяСтрока) 
```
</details>

## ЛицензируемаяДеятельностьАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЛицензируемаяДеятельностьАЛКО(ТаблицаСтраницыЛицензии, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЛицензируемаяДеятельностьАЛКО(ТаблицаСтраницыЛицензии, );
```
</details>

## КодТребуетЛицензию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КодТребуетЛицензию(КодВидДеятельности) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.КодТребуетЛицензию(КодВидДеятельности) 
```
</details>

## СтрокаБезСимволов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтрокаБезСимволов(НеправильнаяСтрока, СтрокаУбираемых = " .,""'«»()<>:;[]{}\|/?*&^%$#№@!~`+=-_") Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.СтрокаБезСимволов(НеправильнаяСтрока, СтрокаУбираемых, ""'«»()<>:;[]{}\|/?*&^%$#№@!~`+=-_") 
```
</details>

## ПустойАдресXMLилиJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПустойАдресXMLилиJSON(Вариант = "JSON", ДляСравнения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПустойАдресXMLилиJSON(Вариант, ДляСравнения);
```
</details>

## XMLилиJSONНеПуст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция XMLилиJSONНеПуст(XMLилиJSON) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.XMLилиJSONНеПуст(XMLилиJSON) 
```
</details>

## ЗаполнитьЗаписьРегистраЛицензийИзСтруктурыАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗаписьРегистраЛицензийИзСтруктурыАдреса(Запись, СтруктураАдреса) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиентСервер.ЗаполнитьЗаписьРегистраЛицензийИзСтруктурыАдреса(Запись, СтруктураАдреса) 
```
</details>

## ДополнитьСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДополнитьСтроку(ДополняемаяСтрока, Дополнение, Разделитель = ", ") Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ДополнитьСтроку(ДополняемаяСтрока, Дополнение, Разделитель, ") 
```
</details>

## ОбъединитьСтруктурыИлиСоответствия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбъединитьСтруктурыИлиСоответствия(Приемник, Источник) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКОКлиентСервер.ОбъединитьСтруктурыИлиСоответствия(Приемник, Источник) 
```
</details>

## МассивНомеровВиноградныхДеклараций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивНомеровВиноградныхДеклараций() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.МассивНомеровВиноградныхДеклараций() 
```
</details>

## ЕстьАдресаВСтрокахТаблицОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьАдресаВСтрокахТаблицОтчетаАЛКО(НомерАлкоОтчета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ЕстьАдресаВСтрокахТаблицОтчетаАЛКО(НомерАлкоОтчета) 
```
</details>

## ПроцентБезКонвертацииАрхивации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроцентБезКонвертацииАрхивации(ВидПечати, Тип Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПроцентБезКонвертацииАрхивации(ВидПечати, ТипЭкспорта) 
```
</details>

## СоответсвиеРасширенийЭкспорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоответсвиеРасширений Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.СоответсвиеРасширенийЭкспорта() 
```
</details>

## ПравильноеИмяФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПравильноеИмяФайла(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОКлиентСервер.ПравильноеИмяФайла(ИмяФайла) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
