---
title: Регламентированная отчетность АЛКО повт исп
slug: erp-uh/регламентированная-отчетность-алко-повт-исп
---


## ПолучитьПустуюСтруктуруАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру сведений по обособленному подразделению,
// состоящей из Наименования, КПП и адресной информации.
//
// Параметры:
// 		Нет.
// Возвращаемое значение:
// 		Структура, со свойствами:
//
//			* УникальныйНомерФИАС 	- Уникальный идентификатор адреса в системе ФИАС.
//			* ДополнительныеКоды	- пустая структура
//			* КодСтраны
//			* Страна
//			* Индекс
//			* КодРегиона
//			* Регион
//			* Район
//			* Город
//			* НаселенныйПункт
//			* Улица
//			* Дом
//			* Корпус
//			* Литера
//			* Квартира
//
//			* ТипДома
//			* ТипКорпуса
//			* ТипКвартиры
//
//			* ПредставлениеАдреса
//			* АдресXML				- XML представление адреса подсистемы УправлениеКонтактнойИнформацией
//
Функция ПолучитьПустуюСтруктуруАдреса() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.ПолучитьПустуюСтруктуруАдреса() 
```
</details>

## ПолучитьПустуюСтруктуруСведенийОбОП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру сведений по обособленному подразделению,
// состоящей из Наименования, КПП и адресной информации.
//
// Параметры:
// 		Нет.
// Возвращаемое значение:
// 		Структура, со свойствами:
//			* Наименование 			- Наимкенование ОП.
//			* КПП					- КПП ОП.
//
//			Адресные поля
//			* КодСтраны
//			* Страна
//			* Индекс
//			* КодРегиона
//			* Регион
//			* Район
//			* Город
//			* НаселенныйПункт
//			* Улица
//			* Дом
//			* Корпус
//			* Литера
//			* Квартира
//
//			* ТипДома
//			* ТипКорпуса
//			* ТипКвартиры
//
//			* ПредставлениеАдреса
//			* АдресXML				- XML представление адреса подсистемы УправлениеКонтактнойИнформацией
//
Функция ПолучитьПустуюСтруктуруСведенийОбОП() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.ПолучитьПустуюСтруктуруСведенийОбОП() 
```
</details>

## ВерсияПодсистемыКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер версии подсистемы, встроенной в конфигурацию.
//
// Параметры:
//  ИмяПодсистемы  - Строка - имя подсистемы, определенное в конфигурации.
// Возвращаемое значение:
//  Строка - версия подсистемы, например "1.0.1.1".
//
Функция ВерсияПодсистемыКонфигурации(знач ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.ВерсияПодсистемыКонфигурации(знач ИмяПодсистемы) 
```
</details>

## ПолучитьВерсиюПодсистемыКонфигурацииЧислом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает версию подсистемы в виде числового значения.
//
// Параметры
//  ИмяПодсистемы  - Строка - имя подсистемы, определенное в конфигурации.
// Возвращаемое значение:
//   Число.
//
Функция ПолучитьВерсиюПодсистемыКонфигурацииЧислом(знач ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.ПолучитьВерсиюПодсистемыКонфигурацииЧислом(знач ИмяПодсистемы) 
```
</details>

## ПолучитьВерсиюЧислом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает приведенное к числу значение версии подсистемы.
// Параметры
//	 СтрокаВерсии - Строка. Строка версии вида "0.0.0.0".
// Возвращаемое значение:
//   Число.
//
Функция ПолучитьВерсиюЧислом(знач СтрокаВерсии) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.ПолучитьВерсиюЧислом(знач СтрокаВерсии) 
```
</details>

## ПолучитьВерсиюБСПЧислом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает версию подсистемы "СтандартныеПодсистемы" в виде числового значения.
//
// Параметры
//
// Возвращаемое значение:
//   Число.
//
Функция ПолучитьВерсиюБСПЧислом() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.ПолучитьВерсиюБСПЧислом() 
```
</details>

## ПолучитьИмяОбщегоМодуляРаботаСАдресами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяОбщегоМодуляРаботаСАдресами(ВерсияБСПЧислом = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.ПолучитьИмяОбщегоМодуляРаботаСАдресами(ВерсияБСПЧислом);
```
</details>

## ВерсияПлатформы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерсияПлатформы() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.ВерсияПлатформы() 
```
</details>

## РежимСовместимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РежимСовместимости() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.РежимСовместимости() 
```
</details>

## СокращенияОбъектовАдресацииАдресаРФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сокращения частей адреса.
// Предзначена в первую очередь для сокращения поля "иное" или "другое" в случае заполнения.
// Там возможно все что угодно, поэтому представлены максимум вариантов.
// Также используется для сокращения стандартных значений в ТипДома, ТипКорпуса и ТипКвартиры.
//
// Возвращаемое значение:
//      Соответствие - Список сокращений.
//
Функция СокращенияОбъектовАдресацииАдресаРФ() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.СокращенияОбъектовАдресацииАдресаРФ() 
```
</details>

## СокращенияПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СокращенияПоля(ТипПоля) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.СокращенияПоля(ТипПоля) 
```
</details>

## МассивЗначенийПоУмолчаниюТипаАдресногоПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивЗначенийПоУмолчаниюТипаАдресногоПоля(ТипАдресногоПоля) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.МассивЗначенийПоУмолчаниюТипаАдресногоПоля(ТипАдресногоПоля) 
```
</details>

## МассивСтандартныхЗначенийТипаАдресногоПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивСтандартныхЗначенийТипаАдресногоПоля(ТипАдресногоПоля) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.МассивСтандартныхЗначенийТипаАдресногоПоля(ТипАдресногоПоля) 
```
</details>

## СокращенияПоляКвартира
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СокращенияПоляКвартира() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.СокращенияПоляКвартира());
```
</details>

## СокращенияПоляДом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СокращенияПоляДом() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.СокращенияПоляДом());
```
</details>

## СокращенияПоляКорпус
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СокращенияПоляКорпус() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИсп.СокращенияПоляКорпус());
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
