---
title: Регламентированная отчетность АЛКО повт исп на вызов
slug: erp-uh/регламентированная-отчетность-алко-повт-исп-на-вызов
---


## СтруктураАдресаИзСтандартногоПредставленияИлиXMLИлиJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//
// Серверные процедуры и функции регламентированных отчетов ФСРАР общего назначения
// с кешируемым результатом на время вызова.
//
////////////////////////////////////////////////////////////////////////////////

// Формирует структуру адресных сведений отчета из XML или JSON представления или
// стандартного представления адресной информации.
//
// Параметры:
// 		Адрес						- Строка. XML представление или стандартное представление адресной информации.
//		ПроверитьАдрес				- Булево. По умолчанию Истина. Признак необходимости проверки корректности
//									адреса в соответствии с адресным классификатором.
// Возвращаемое значение:
// 		Структура, со свойствами:
//			* КодСтраны
//			* Страна
//			* Индекс
//			* КодРегиона
//			* Регион
//			* Район
//			* Город
//			* НаселенныйПункт
//			* Улица
//			* Дом
//			* Корпус
//			* Литера
//			* Квартира
//			* ПредставлениеАдреса
//			* АдресXML				- XML представление адреса подсистемы УправлениеКонтактнойИнформацией
//			* АдресJSON				- JSON представление адреса подсистемы УправлениеКонтактнойИнформацией
//
// Дополнительно присутствуют свойства, определяемые в РаботаСАдресамиКлиентСервер.ПоляАдреса().
//
Функция СтруктураАдресаИзСтандартногоПредставленияИлиXMLИлиJSON(знач Адрес, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИспНаВызов.СтруктураАдресаИзСтандартногоПредставленияИлиXMLИлиJSON(знач Адрес, );
```
</details>

## ОбработкаСохраненияАдресаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработкаСохраненияАдресаКонтрагента(Контрагент = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИспНаВызов.ОбработкаСохраненияАдресаКонтрагента(Контрагент, );
```
</details>

## СтруктураАдресаИзСтрокиСтруктурыХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураАдресаИзСтрокиСтруктурыХранения(ПолеСтруктурыАдреса) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКОПовтИспНаВызов.СтруктураАдресаИзСтрокиСтруктурыХранения(ПолеСтруктурыАдреса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
