---
title: Регламентированная отчетность проверка НДС
slug: erp-uh/регламентированная-отчетность-проверка-ндс
---


## ВыявитьОшибкиЗаполненияПрепятствующиеФормированиюЭлектронногоПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает во временное хранилище представление ошибок, препятствующих формированию электронного представления
// декларации по НДС. Предназначена для редакций декларации по НДС, соответствующих формам "ФормаОтчета2023Кв1",
// "ФормаОтчета2022Кв1", "ФормаОтчета2021Кв3", "ФормаОтчета2020Кв4", "ФормаОтчета2019Кв1" и "ФормаОтчета2017Кв1"
// отчета "РегламентированныйОтчетНДС".
// Параметры:
//   Отчет - ДокументСсылка.РегламентированныйОтчет - ссылка на сохраненный документ со сведениями декларации.
//   МакетОформления - ТабличныйДокумент - макет на основании которого производится формирование
//                                         табличного представления.
//   АдресХранилища - Строка - адрес временного хранилища
//     Структура - содержит структуру со свойствами:
//       * КоличествоОшибок - Число - общее количество обнаруженных ошибок.
//       * ПредставлениеОшибок - ТабличныйДокумент - табличное представление ошибок для вывода в формы.
//
Процедура ВыявитьОшибкиЗаполненияПрепятствующиеФормированиюЭлектронногоПредставления(Отчет, МакетОформления, НаименованиеДекларации, АдресХранилища) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьПроверкаНДС.ВыявитьОшибкиЗаполненияПрепятствующиеФормированиюЭлектронногоПредставления(Отчет, МакетОформления, НаименованиеДекларации, АдресХранилища) 
```
</details>

## ВыявитьОшибкиЗаполненияПрепятствующиеФормированиюЭлектронногоПредставления_ФормаОтчета2015Кв1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает во временное хранилище представление ошибок, препятствующих формированию электронного представления
// декларации по НДС. Предназначена для редакции декларации по НДС, соответствующей форме "ФормаОтчета2015Кв1"
// отчета "РегламентированныйОтчетНДС".
// Параметры:
//   Отчет - ДокументСсылка.РегламентированныйОтчет - ссылка на сохраненный документ со сведениями декларации.
//   МакетОформления - ТабличныйДокумент - макет на основании которого производится формирование
//                                         табличного представления.
//   АдресХранилища - Строка - адрес временного хранилища
//     Структура - содержит структуру со свойствами:
//       * КоличествоОшибок - Число - общее количество обнаруженных ошибок.
//       * ПредставлениеОшибок - ТабличныйДокумент - табличное представление ошибок для вывода в формы.
//
Процедура ВыявитьОшибкиЗаполненияПрепятствующиеФормированиюЭлектронногоПредставления_ФормаОтчета2015Кв1(Отчет, МакетОформления, НаименованиеДекларации, АдресХранилища) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьПроверкаНДС.ВыявитьОшибкиЗаполненияПрепятствующиеФормированиюЭлектронногоПредставления_ФормаОтчета2015Кв1(Отчет, МакетОформления, НаименованиеДекларации, АдресХранилища) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
