---
title: Регламентированная отчетность УП клиент
slug: erp-uh/регламентированная-отчетность-уп-клиент
---


## ОткрытьРасшифровкуОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РегламентированнаяОтчетностьКлиентПереопределяемый.ОткрытьРасшифровкуОтчета
Процедура ОткрытьРасшифровкуОтчета(ИДОтчета, ИДРедакцииОтчета, ИДИменПоказателей, ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьУПКлиент.ОткрытьРасшифровкуОтчета(ИДОтчета, ИДРедакцииОтчета, ИДИменПоказателей, ПараметрыОтчета) 
```
</details>

## ПечатьРегламентированногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура реализует печать уведомлений о контролируемых сделках,
// отображаемых на закладке Отчеты и Уведомления формы Отчетность.
// Параметры:
//	Ссылка - СправочникСсылка, ДокументСсылка - Ссылка на объект, который необходимо напечатать
//		Если для данного объекта печать невозможна - нужно выдавать соответствующее предупреждение.
//	ИмяМакетаДляПечати - Строка - имя макета для печати, при использовании которого необходимо распечатать объект
//		Если ИмяМакетаДляПечати пустое, то для печати использовать основной макет.
//	СтандартнаяОбработка - Булево - Если СтандартнаяОбработка = Истина, то будет выполнена печать с помощью подсистемы печати из БСП.
Процедура ПечатьРегламентированногоОтчета(Ссылка, ИмяМакетаДляПечати, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьУПКлиент.ПечатьРегламентированногоОтчета(Ссылка, ИмяМакетаДляПечати, СтандартнаяОбработка) 
```
</details>

## ВыгрузкаРегламентированногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура реализует выгрузку уведомлений о контролируемых сделках,
// отображаемых на закладке Отчеты и Уведомления формы Отчетность
// Параметры
//	Ссылка - СправочникСсылка, ДокументСсылка - Ссылка на объект, который необходимо выгрузить
// Если для данного объекта выгрузка невозможна - нужно выдавать соответствующее предупреждение.
//
Процедура ВыгрузкаРегламентированногоОтчета(Ссылка) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьУПКлиент.ВыгрузкаРегламентированногоОтчета(Ссылка) 
```
</details>

## СозданиеРегламентированногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура реализует создание уведомлений о контролируемых сделках,
// отображаемых на закладке Уведомления и Отчетность формы Отчетность, не входящие в состав БРО
// Параметры
//	Организация - СправочникСсылка.Организации - Организация, по которой нужно создать объект
//  Тип  - Тип - Тип объекта, который необходимо создать
//  СтандартнаяОбработка - Булево - Если СтандартнаяОбработка = Истина, то будет выполнено создание объекта стандартным образом.
Процедура СозданиеРегламентированногоОтчета(Организация, Тип, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьУПКлиент.СозданиеРегламентированногоОтчета(Организация, Тип, СтандартнаяОбработка) 
```
</details>

## ВыполнитьКомандуПечатиУведомленияОбИсчисленныхСуммахНалогов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет команду печати документа Уведомление об исчисленных суммах налогов
//
// Параметры:
//  ОписаниеКоманды - структура, содержащая ключ, соответствующие таблице значений
//						создаваемой функций БСП УправлениеПечатью.СоздатьКоллекциюКомандПечати(),
//						и ключ Форма - управляемая форма, из которой вызвана команда печати.
//
Функция ВыполнитьКомандуПечатиУведомленияОбИсчисленныхСуммахНалогов(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьУПКлиент.ВыполнитьКомандуПечатиУведомленияОбИсчисленныхСуммахНалогов(ОписаниеКоманды) 
```
</details>

## ВыполнитьКомандуПечатиУведомленияОбИсчисленныхСуммахНалоговPDF417
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет команду печати документа Уведомление об исчисленных суммах налогов в формате PDF417
//
// Параметры:
//  ОписаниеКоманды - структура, содержащая ключ, соответствующие таблице значений
//						создаваемой функций БСП УправлениеПечатью.СоздатьКоллекциюКомандПечати(),
//						и ключ Форма - управляемая форма, из которой вызвана команда печати.
//
Функция ВыполнитьКомандуПечатиУведомленияОбИсчисленныхСуммахНалоговPDF417(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьУПКлиент.ВыполнитьКомандуПечатиУведомленияОбИсчисленныхСуммахНалоговPDF417(ОписаниеКоманды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
