---
title: Регламенты клиент сервер
slug: erp-uh/регламенты-клиент-сервер
---


## ОбработатьСтрокуТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьСтрокуТЧ(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ОбработатьСтрокуТЧ(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения);
```
</details>

## ОбработатьСтрокиТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьСтрокиТЧ(СтрокиТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ОбработатьСтрокиТЧ(СтрокиТЧ, СтруктураДействий, КэшируемыеЗначения) 
```
</details>

## ОбновитьНаименованиеЗаголовок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьНаименованиеЗаголовок(Объект, Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ОбновитьНаименованиеЗаголовок(Объект, Форма);
```
</details>

## ПолучитьОтношениеКГруппеПоДоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтношениеКГруппеПоДоле(ЭффективнаяДоля, КэшОтношенийКГруппе = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьОтношениеКГруппеПоДоле(ЭффективнаяДоля, КэшОтношенийКГруппе);
```
</details>

## ПолучитьЗначениеПеретаскивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначениеПеретаскивания(ИдентификаторыУзлов, СтруктураГруппы = Неопределено, ШаблонУзла) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьЗначениеПеретаскивания(ИдентификаторыУзлов, СтруктураГруппы, ШаблонУзла) 
```
</details>

## ПроверкаПеретаскивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверкаПеретаскивания(СтруктураГруппы, ЗначениеПеретаскивания, ИдентификаторСтрокиИсточника, ТекстОтказа) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПроверкаПеретаскивания(СтруктураГруппы, ЗначениеПеретаскивания, ИдентификаторСтрокиИсточника, ТекстОтказа) 
```
</details>

## ПроверитьПовторОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьПовторОрганизаций(ОбъектыИнвестированияПриемника, ОрганизацииИсточники, ТекущаяСтрокаПриемник = Неопределено, ТекстОтказа = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПроверитьПовторОрганизаций(ОбъектыИнвестированияПриемника, ОрганизацииИсточники, ТекущаяСтрокаПриемник, ТекстОтказа);
```
</details>

## ПроверкаЭлиминирующих
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверкаЭлиминирующих(СтруктураГруппы, Элиминирующие, ТекстОтказа) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПроверкаЭлиминирующих(СтруктураГруппы, Элиминирующие, ТекстОтказа));
```
</details>

## ПроверкаЗацикливанияКонсолидируемых
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверкаЗацикливанияКонсолидируемых(СтруктураГруппы, ОрганизацииИсточники, ТекущаяСтрокаПриемник = Неопределено, ТекстОтказа = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПроверкаЗацикливанияКонсолидируемых(СтруктураГруппы, ОрганизацииИсточники, ТекущаяСтрокаПриемник, ТекстОтказа);
```
</details>

## ЗаполнитьРекурсивноКэшПеретаскивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРекурсивноКэшПеретаскивания(УзелДерева, КэшПеретаскивания, УзелИсточник, УзелРодитель = Неопределено, ШаблонУзла) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьРекурсивноКэшПеретаскивания(УзелДерева, КэшПеретаскивания, УзелИсточник, УзелРодитель, ШаблонУзла));
```
</details>

## ПолучитьСтруктуруУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруУзла(СтруктураГруппы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьСтруктуруУзла(СтруктураГруппы));
```
</details>

## ПолучитьСтрокуПриемникПеретаскивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтрокуПриемникПеретаскивания(СтруктураГруппы, ИдентификаторСтроки) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьСтрокуПриемникПеретаскивания(СтруктураГруппы, ИдентификаторСтроки));
```
</details>

## ПолучитьЗеркальныеСтрокиПриемники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗеркальныеСтрокиПриемники(СтруктураГруппы, СтрокаПриемник) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьЗеркальныеСтрокиПриемники(СтруктураГруппы, СтрокаПриемник));
```
</details>

## ПолучитьУзлыДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьУзлыДерева(Дерево, Отбор, ТолькоТекущийУровень = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьУзлыДерева(Дерево, Отбор, ТолькоТекущийУровень);
```
</details>

## ЕстьПодчиненныеТолькоПросмотр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьПодчиненныеТолькоПросмотр(ЭлементДерева) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ЕстьПодчиненныеТолькоПросмотр(ЭлементДерева) 
```
</details>

## УдалитьСтрокуСтруктурыГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьСтрокуСтруктурыГруппы(СтруктураГруппы, Строка) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.УдалитьСтрокуСтруктурыГруппы(СтруктураГруппы, Строка) 
```
</details>

## ПереместитьСтрокуСтруктуруГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПереместитьСтрокуСтруктуруГруппы(СтруктураГруппы, Строка, Количество) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ПереместитьСтрокуСтруктуруГруппы(СтруктураГруппы, Строка, Количество) 
```
</details>

## ДополнитьСтруктуруГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДополнитьСтруктуруГруппы(СтруктураГруппы, ИдентификаторСтрокаПриемник, ПараметрыПеретаскивания, Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ДополнитьСтруктуруГруппы(СтруктураГруппы, ИдентификаторСтрокаПриемник, ПараметрыПеретаскивания, );
```
</details>

## ДобавитьУзелРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьУзелРекурсивно(УзелПриемник, УзлыИсточники, Источник = Неопределено, Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ДобавитьУзелРекурсивно(УзелПриемник, УзлыИсточники, Источник, );
```
</details>

## ПолучитьМатеринские
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМатеринские(ТекущаяСтрока, ОтношенияМатеринское) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьМатеринские(ТекущаяСтрока, ОтношенияМатеринское) 
```
</details>

## ЗаполнитьВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьВалюты(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьВалюты(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения));
```
</details>

## ПолучитьКореньДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКореньДерева(КэшируемыеЗначения, СтрокаТЧ) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьКореньДерева(КэшируемыеЗначения, СтрокаТЧ));
```
</details>

## ПолучитьОрганизацииДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОрганизацииДерева(Организации, УзелДереваДляПолученияДочерних, Рекурсивно = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьОрганизацииДерева(Организации, УзелДереваДляПолученияДочерних, Рекурсивно);
```
</details>

## ОбновитьВалютыРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьВалютыРекурсивно(СтрокаТЧ, ТекущийРодитель, РеквизитыОрганизаций, ОбновитьДочерние = Истина, КэшируемыеЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ОбновитьВалютыРекурсивно(СтрокаТЧ, ТекущийРодитель, РеквизитыОрганизаций, ОбновитьДочерние, КэшируемыеЗначения);
```
</details>

## ЗаполнитьРеквизитыОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРеквизитыОрганизации(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьРеквизитыОрганизации(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения));
```
</details>

## ЗаполнитьДочерние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДочерние(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьДочерние(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения));
```
</details>

## ЗаполнитьЕстьУтвержденные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЕстьУтвержденные(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьЕстьУтвержденные(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения));
```
</details>

## ЗаполнитьЯвляетсяКонсолидирующей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЯвляетсяКонсолидирующей(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьЯвляетсяКонсолидирующей(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения));
```
</details>

## ЗаполнитьЭффективнуюДолю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЭффективнуюДолю(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьЭффективнуюДолю(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) 
```
</details>

## ЗаполнитьОтношениеКГруппе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОтношениеКГруппе(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьОтношениеКГруппе(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) 
```
</details>

## ЗаполнитьМетодИсключенияВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьМетодИсключенияВГО(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьМетодИсключенияВГО(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) 
```
</details>

## ЗаполнитьЯвляетсяЦФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЯвляетсяЦФО(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьЯвляетсяЦФО(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения));
```
</details>

## ЗаполнитьКартинкуСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьКартинкуСтрок(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ЗаполнитьКартинкуСтрок(СтрокаТЧ, СтруктураДействий, КэшируемыеЗначения) 
```
</details>

## ДобавитьДополнительнуюВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьДополнительнуюВалюту(ДополнительныеВалюты, ОсновнаяВалюта, ДобавляемаяВалюта) Экспорт
```

Пример вызова
```bsl
РегламентыКлиентСервер.ДобавитьДополнительнуюВалюту(ДополнительныеВалюты, ОсновнаяВалюта, ДобавляемаяВалюта));
```
</details>

## ЯвляетсяКонсолидирующей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЯвляетсяКонсолидирующей(УзелДерева) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ЯвляетсяКонсолидирующей(УзелДерева));
```
</details>

## ПолучитьКартинкуСтрокиОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКартинкуСтрокиОрганизации(Элиминирующая = Ложь, Консолидирующая = Ложь, ПометкаУдаления = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьКартинкуСтрокиОрганизации(Элиминирующая, Консолидирующая, ПометкаУдаления);
```
</details>

## ПолучитьМассивСтрокОрганизационнойЕдиницы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивСтрокОрганизационнойЕдиницы(ОрганизационнаяЕдиница, СтруктураГруппы, Родитель = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентыКлиентСервер.ПолучитьМассивСтрокОрганизационнойЕдиницы(ОрганизационнаяЕдиница, СтруктураГруппы, Родитель);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
