---
title: Резервы по оплате труда УП
slug: erp-uh/резервы-по-оплате-труда-уп
---


## СтатьиДоходовИРасходовПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статьи доходов и расходов по умолчанию для подстановки в документах.
//
// Параметры:
//   Организация - СправочникСсылка.Организации - организация,
//   ВидОперации - ПеречислениеСсылка.ВидыОперацийРезервовПоОплатеТруда - вид операции,
//   ВидРезерва - СправочникСсылка.Резервы - вид резерва.
//
// Возвращаемое значение:
//   Структура - структура с полями:
//       * СтатьяДоходов  - Неопределено, ПланВидовХарактеристикСсылка.СтатьиДоходов - статья доходов,
//       * АналитикаДоходов - Неопределено, Характеристика.СтатьиДоходов - аналитика статьи доходов,
//
Функция СтатьиДоходовИРасходовПоУмолчанию(Знач Организация, Знач ВидОперации, Знач ВидРезерва) Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаУП.СтатьиДоходовИРасходовПоУмолчанию(Организация, ВидОперации, ВидРезерва) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
