---
title: Розничные продажи
slug: erp-uh/розничные-продажи
---


## СтруктураДанныеФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициирует структуру данных электронного чека
//
// Возвращаемое значение:
// 	Структура - Описание: Структура данных электронного чека
Функция СтруктураДанныеФискальнойОперации() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.СтруктураДанныеФискальнойОперации() 
```
</details>

## ОчиститьДанныеФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьДанныеФискальнойОперации(ДанныеФискальнойОперации) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ОчиститьДанныеФискальнойОперации(ДанныеФискальнойОперации) 
```
</details>

## ВерсияФФДККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает версию ФФД ККТ
//
// Параметры:
//  ИдентификаторУстройства - Строка - Идентификатор устройства
//
// Возвращаемое значение:
//  Строка -- Версия ФФДККТ
Функция ВерсияФФДККТ(ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ВерсияФФДККТ(ИдентификаторУстройства) 
```
</details>

## ДопустимыТоварыБезМарокВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус, можно ли указывать в документе маркированные товары без кодов маркировки
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ ссылка
//
// Возвращаемое значение:
//  Булево - Истина, допустимы марикрованные товары без марок в документе
Функция ДопустимыТоварыБезМарокВДокументе(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ДопустимыТоварыБезМарокВДокументе(ДокументСсылка) 
```
</details>

## ТорговыйОбъектККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование торгового объекта. Если параметр ТорговыйОбъект заполнен, возвращается наименование торгового
// объекта, иначе возвращается сокращенное наименование организации.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация
//  ТорговыйОбъект - СправочникСсылка.Склады, Неопределено - Торговый объект
//
// Возвращаемое значение:
//  Произвольный - Торговый объект ККТ
Функция ТорговыйОбъектККТ(Организация, ТорговыйОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ТорговыйОбъектККТ(Организация, ТорговыйОбъект);
```
</details>

## МестоРасчетовККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает место расчетов ККТ.
//
// Параметры:
//  ОборудованиеККТ - СправочникСсылка.ПодключаемоеОборудование - Оборудование ККТ
//
// Возвращаемое значение:
//  Строка - Место расчетов ККТ
Функция МестоРасчетовККТ(ОборудованиеККТ) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.МестоРасчетовККТ(ОборудованиеККТ) 
```
</details>

## АдресРасчетовККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес расчетов ККТ. Если параметры регистрации кассы содержат адрес проведения расчетов, то
// возвращается адрес проведения расчетов, иначе возвращается фактический адрес организации.
//
// Параметры:
//  ОборудованиеККТ - СправочникСсылка.ПодключаемоеОборудование - Оборудование ККТ
//  Организация - СправочникСсылка.Организации - Организация
//
// Возвращаемое значение:
//  Строка - Адрес расчетов ККТ
Функция АдресРасчетовККТ(ОборудованиеККТ, Организация) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.АдресРасчетовККТ(ОборудованиеККТ, Организация) 
```
</details>

## КодЕдиницыИзмеренияПараметраЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код единицы измерения
//
// Параметры:
//  ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения, Строка, Неопределено - Единица измерения
//
// Возвращаемое значение:
//  Строка - Код единицы измерения параметра чека
Функция КодЕдиницыИзмеренияПараметраЧека(ЕдиницаИзмерения) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.КодЕдиницыИзмеренияПараметраЧека(ЕдиницаИзмерения) 
```
</details>

## ПокупательГражданство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает гражданство покупателя по паспорту.
//
// Параметры:
//  ФизическоеЛицо - СправочникСсылка.ФизическиеЛица - Физическое лицо
//  НаДату - Дата, Неопределено - На дату
//
// Возвращаемое значение:
//  СправочникСсылка.СтраныМира - гражданство покупателя
Функция ПокупательГражданство(ФизическоеЛицо, НаДату = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПокупательГражданство(ФизическоеЛицо, НаДату);
```
</details>

## ПокупательДатаРождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату рождения физического лица
//
// Параметры:
//  ФизическоеЛицо - СправочникСсылка.ФизическиеЛица - Физическое лицо
//
// Возвращаемое значение:
//  Строка - дата рождения покупателя
Функция ПокупательДатаРождения(ФизическоеЛицо) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПокупательДатаРождения(ФизическоеЛицо) 
```
</details>

## ПокупательИНН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ИНН физического лица
//
// Параметры:
//  ФизическоеЛицо - СправочникСсылка.ФизическиеЛица - Физическое лицо
//
// Возвращаемое значение:
//  Строка - ИНН покупателя
Функция ПокупательИНН(ФизическоеЛицо) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПокупательИНН(ФизическоеЛицо) 
```
</details>

## ПокупательПаспортныеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает паспортные данные покупателя одной строкой.
//
// Параметры:
//  ФизическоеЛицо - СправочникСсылка.ФизическиеЛица - Физическое лицо
//  НаДату - Дата, Неопределено - На дату
//
// Возвращаемое значение:
//  Строка - паспортные данные покупателя
Функция ПокупательПаспортныеДанные(ФизическоеЛицо, НаДату = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПокупательПаспортныеДанные(ФизическоеЛицо, НаДату);
```
</details>

## ПокупательФизическоеЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус является ли покупатель физическим лицом.
//
// Параметры:
//  Контрагент - СправочникСсылка.Контрагенты - Контрагент
//
// Возвращаемое значение:
//  Булево - Истина, если покупатель это физическое лицо
Функция ПокупательФизическоеЛицо(Контрагент) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПокупательФизическоеЛицо(Контрагент) 
```
</details>

## ЗаписатьФискальнуюОперациюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Записывает объект формы,
//
// Параметры:
//  Форма - РасширениеУправляемойФормыДляОбъектов -
//  ПараметрыФискализации - Структура -
//  ПараметрыЗаписи - Структура -
//
// Возвращаемое значение:
//  Булево -
//
Функция ЗаписатьФискальнуюОперациюНаСервере(Форма, ПараметрыФискализации, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ЗаписатьФискальнуюОперациюНаСервере(Форма, ПараметрыФискализации, ПараметрыЗаписи) 
```
</details>

## СоздатьДокументВнесениеДенежныхСредствВКассуККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает документ ВнесениеДенежныхСредствВКассуККМ.
//
// Параметры:
//  ВходныеДанные - Структура - Структура данных с реквизитами создаваемого документа.
//
// Возвращаемое значение:
//  ДокументСсылка.ВнесениеДенежныхСредствВКассуККМ - Созданный документ.
//
Функция СоздатьДокументВнесениеДенежныхСредствВКассуККМ(ВходныеДанные) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.СоздатьДокументВнесениеДенежныхСредствВКассуККМ(ВходныеДанные) 
```
</details>

## СоздатьДокументВыемкаДенежныхСредствИзКассыККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает документ ВыемкаДенежныхСредствИзКассыККМ.
//
// Параметры:
//  ВходныеДанные - Структура - Структура данных с реквизитами создаваемого документа.
//
// Возвращаемое значение:
//  ДокументСсылка.ВыемкаДенежныхСредствИзКассыККМ - Созданный документ.
//
Функция СоздатьДокументВыемкаДенежныхСредствИзКассыККМ(ВходныеДанные) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.СоздатьДокументВыемкаДенежныхСредствИзКассыККМ(ВходныеДанные) 
```
</details>

## ПерегруппироватьКнопкиФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перегруппировать кнопки формы
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//  ЭлементыНаПерегруппировку - Массив из КнопкаФормы - Массив элементов формы на перегруппировку.
//
Процедура ПерегруппироватьКнопкиФормы(Форма, ЭлементыНаПерегруппировку) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ПерегруппироватьКнопкиФормы(Форма, ЭлементыНаПерегруппировку) 
```
</details>

## ПоместитьКомандыПечатиВоВсеДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоместитьКомандыПечатиВоВсеДействия(ГруппаФормы, КнопкиПечати) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ПоместитьКомандыПечатиВоВсеДействия(ГруппаФормы, КнопкиПечати));
```
</details>

## НастроитьКомандыПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настроить команды печати
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//
Процедура НастроитьКомандыПечати(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.НастроитьКомандыПечати(Форма) 
```
</details>

## НастроитьБыстрыеТоварыИГорячиеКлавиши
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настроить быстрые товары и горячие клавиши
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  Выборка - ВыборкаИзРезультатаЗапроса
//
Процедура НастроитьБыстрыеТоварыИГорячиеКлавиши(Форма, Выборка) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.НастроитьБыстрыеТоварыИГорячиеКлавиши(Форма, Выборка) 
```
</details>

## ПодписатьГорячиеКлавишиНаКнопках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Подписать горячие клавиши на кнопках
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма.
//
Процедура ПодписатьГорячиеКлавишиНаКнопках(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ПодписатьГорячиеКлавишиНаКнопках(Форма) 
```
</details>

## ПодписатьГорячуюКлавишуНаКнопке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Подписать комбинацию горячих клавиш на кнопке
//
// Параметры:
//  Команда - ОбъектМетаданныхКоманда - команда формы.
//
Процедура ПодписатьГорячуюКлавишуНаКнопке(Команда) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ПодписатьГорячуюКлавишуНаКнопке(Команда) 
```
</details>

## ПолучитьОтчетОРозничныхПродажахПоЧекуККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на документ Отчет о розничных продажах по чеку
//
// Параметры:
//  ЧекККМ  - ДокументСсылка.ЧекККМ - Чек ККМ, для которого требуется получить отчет о розничных продажах.
//
// Возвращаемое значение:
//   ДокументСсылка.ОтчетОРозничныхПродажах - Найденный документ или пустая ссылка на отчет о розничных продажах.
//
Функция ПолучитьОтчетОРозничныхПродажахПоЧекуККМ(ЧекККМ) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПолучитьОтчетОРозничныхПродажахПоЧекуККМ(ЧекККМ) 
```
</details>

## ПроверитьЗаполнениеОплатыПлатежнымиКартами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет заполнение табличной части "ОплатаПлатежнымиКартами".
//
// Параметры:
//  Объект - ДокументОбъект - Текущий документ.
//  Отказ - Булево - Признак отказа от проведения документа.
//
Процедура ПроверитьЗаполнениеОплатыПлатежнымиКартами(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ПроверитьЗаполнениеОплатыПлатежнымиКартами(Объект, Отказ) 
```
</details>

## ОбработкаПроверкиЗаполненияНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура дополняет обработку проверки заполнения.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  Отказ - Булево - Признак отказа от проведения документа
//  ПроверяемыеРеквизиты - Массив Из Строка -
//
Процедура ОбработкаПроверкиЗаполненияНаСервере(Форма, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ОбработкаПроверкиЗаполненияНаСервере(Форма, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## АрхивированиеЧековККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование чеков ККМ с регистрацией события в журнале регистрации.
// Вызывается регламентным заданием.
//
Процедура АрхивированиеЧековККМ() Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.АрхивированиеЧековККМ() 
```
</details>

## УдалениеЧековККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет удаление чеков ККМ с регистрацией события в журнале регистрации.
// Вызывается регламентным заданием.
//
Процедура УдалениеЧековККМ() Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.УдалениеЧековККМ() 
```
</details>

## УдалениеОтложенныхЧековККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивирование чеков ККМ с регистрацией события в журнале регистрации.
// Вызывается регламентным заданием.
//
Процедура УдалениеОтложенныхЧековККМ() Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.УдалениеОтложенныхЧековККМ() 
```
</details>

## ВыполнитьАрхивациюЧековККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет архивацию чеков ККМ по кассовой смене.
//
// Параметры:
//  ПараметрыЗадания  - см. НовыйПараметрыЗаданияЗакрытияКассовойСмены
//  АдресХранилища - Строка - Адрес во временном хранилище.
//  ВключатьНепроведенныеЧеки - Булево - По умолчанию - ложь.
//
Процедура ВыполнитьАрхивациюЧековККМ(ПараметрыЗадания, АдресХранилища="", ВключатьНепроведенныеЧеки = Ложь) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ВыполнитьАрхивациюЧековККМ(ПараметрыЗадания, АдресХранилища, ВключатьНепроведенныеЧеки);
```
</details>

## НовыйПараметрыЗаданияЗакрытияКассовойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметра методов ВыполнитьУдалениеЧековККМ() и ВыполнитьАрхивациюЧековККМ()
// Возвращаемое значение:
// Структура:
//	*ОбработкаВыполнена - Булево - признак успешного завершения
//	*КассоваяСмена - ДокументСсылка.КассоваяСмена,Массив из ДокументСсылка.КассоваяСмена
//	*ПоказатьОшибкуПользователю - Булево
Функция НовыйПараметрыЗаданияЗакрытияКассовойСмены() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.НовыйПараметрыЗаданияЗакрытияКассовойСмены() 
```
</details>

## ВыполнитьУдалениеЧековККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет удаление чеков ККМ по кассовой смене.
//
// Параметры:
//  ПараметрыЗадания  - см. НовыйПараметрыЗаданияЗакрытияКассовойСмены
//  АдресХранилища - Строка - Адрес во временном хранилище.
//  ВключатьНепроведенныеЧеки - Булево - По умолчанию - ложь.
//
Процедура ВыполнитьУдалениеЧековККМ(ПараметрыЗадания, АдресХранилища = "", ВключатьНепроведенныеЧеки = Ложь) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ВыполнитьУдалениеЧековККМ(ПараметрыЗадания, АдресХранилища, ВключатьНепроведенныеЧеки);
```
</details>

## ОткрытьКассовуюСмену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет открытие кассовой смены.
//
// Параметры:
//  КассаККМ - СправочникСсылка.КассыККМ - Параметры регламентного задания
//  ДополнительныеПараметры - Структура -
//  ОписаниеОшибки - Строка - Возвращаемое описание ошибки.
//
// Возвращаемое значение:
//  Булево - Истина, Если операция выполнена успешно.
//
Функция ОткрытьКассовуюСмену(КассаККМ, ДополнительныеПараметры, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ОткрытьКассовуюСмену(КассаККМ, ДополнительныеПараметры, ОписаниеОшибки);
```
</details>

## ЗакрытьКассовуюСмену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет закрытие кассовой смены.
//
// Параметры:
//  Объект - СправочникСсылка.КассыККМ, СправочникСсылка.ПодключаемоеОборудование - Касса ККМ.
//  ОписаниеОшибки - Строка - Возвращаемое описание ошибки.
//
// Возвращаемое значение:
//  ДокументСсылка.КассоваяСмена, Неопределено - Закрытая кассовая смена.
//
Функция ЗакрытьКассовуюСмену(Объект, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ЗакрытьКассовуюСмену(Объект, ОписаниеОшибки);
```
</details>

## ЗаполнитьОтчетОРозничныхПродажахПоКассовойСмене
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет заполнение Отчета о розничных продажах по кассовой смене.
//
// Параметры:
//  СостояниеКассовойСмены - см. ОписаниеКассовойСмены.
//	НалогообложениеНДС - ПеречислениеСсылка - Тип налогообложения НДс в соответствии с котором необходимо заполнить Отчеты о розничных продажх/возвратах.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  ОписаниеОшибки - Строка - Возвращаемое описание ошибки.
//
// Возвращаемое значение:
//  ДокументСсылка.ОтчетОРозничныхПродажах - Ссылка на отчет, если операция выполнена успешно. Иначе - Неопределено.
//
Функция ЗаполнитьОтчетОРозничныхПродажахПоКассовойСмене(СостояниеКассовойСмены, НалогообложениеНДС, МенеджерВременныхТаблиц, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ЗаполнитьОтчетОРозничныхПродажахПоКассовойСмене(СостояниеКассовойСмены, НалогообложениеНДС, МенеджерВременныхТаблиц, ОписаниеОшибки);
```
</details>

## ЗаполнитьОтчетОРозничныхПродажах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет заполнение Отчета о розничных продажах по кассовой смене.
//
// Параметры:
//  ОтчетОРозничныхПродажахОбъект - ДокументОбъект.ОтчетОРозничныхПродажах - Заполняемый документ.
//  СостояниеКассовойСмены - см. ОписаниеКассовойСмены.
//	НалогообложениеНДС - ПеречислениеСсылка - Тип налогообложения НДс в соответствии с котором необходимо заполнить Отчеты о розничных продажх/возвратах.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//	ТолькоЗаполнить - Булево - Признак, определяющий будет ли выполнена попытка проведения/записи после заполнения.
//  ОписаниеОшибки - Строка - Возвращаемое описание ошибки.
//
// Возвращаемое значение:
//  ДокументСсылка.ОтчетОРозничныхПродажах - Ссылка на отчет, если операция выполнена успешно. Иначе - Неопределено.
//
Функция ЗаполнитьОтчетОРозничныхПродажах(ОтчетОРозничныхПродажахОбъект, СостояниеКассовойСмены, НалогообложениеНДС, МенеджерВременныхТаблиц, ТолькоЗаполнить = Ложь, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ЗаполнитьОтчетОРозничныхПродажах(ОтчетОРозничныхПродажахОбъект, СостояниеКассовойСмены, НалогообложениеНДС, МенеджерВременныхТаблиц, ТолькоЗаполнить, ОписаниеОшибки);
```
</details>

## ЗаполнитьОтчетОРозничныхВозвратахПоКассовойСмене
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет заполнение Отчета о розничных возвратах по кассовой смене.
//
// Параметры:
//  СостояниеКассовойСмены - см. ОписаниеКассовойСмены.
//	НалогообложениеНДС - ПеречислениеСсылка - Тип налогообложения НДс в соответствии с котором необходимо заполнить Отчеты о розничных продажх/возвратах.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  ОписаниеОшибки - Строка - Возвращаемое описание ошибки.
//
// Возвращаемое значение:
//  ДокументСсылка.ОтчетОРозничныхВозвратах - Ссылка на отчет, если операция выполнена успешно. Иначе - Неопределено.
//
Функция ЗаполнитьОтчетОРозничныхВозвратахПоКассовойСмене(СостояниеКассовойСмены, НалогообложениеНДС, МенеджерВременныхТаблиц, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ЗаполнитьОтчетОРозничныхВозвратахПоКассовойСмене(СостояниеКассовойСмены, НалогообложениеНДС, МенеджерВременныхТаблиц, ОписаниеОшибки);
```
</details>

## ЗаполнитьОтчетОРозничныхВозвратах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет заполнение Отчета о розничных возвратах по кассовой смене.
//
// Параметры:
//  ОтчетОРозничныхВозвратахОбъект - ДокументОбъект.ОтчетОРозничныхВозвратах - Заполняемый документ.
//  СостояниеКассовойСмены - см. ОписаниеКассовойСмены.
//	НалогообложениеНДС - ПеречислениеСсылка - Тип налогообложения НДс в соответствии с котором необходимо заполнить Отчеты о розничных продажх/возвратах.
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//	ТолькоЗаполнить - Булево - Признак, определяющий будет ли выполнена попытка проведения/записи после заполнения.
//  ОписаниеОшибки - Строка - Возвращаемое описание ошибки.
//
// Возвращаемое значение:
//  ДокументСсылка.ОтчетОРозничныхВозвратах - Ссылка на отчет, если операция выполнена успешно. Иначе - Неопределено.
//
Функция ЗаполнитьОтчетОРозничныхВозвратах(ОтчетОРозничныхВозвратахОбъект, СостояниеКассовойСмены, НалогообложениеНДС, МенеджерВременныхТаблиц, ТолькоЗаполнить = Ложь, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ЗаполнитьОтчетОРозничныхВозвратах(ОтчетОРозничныхВозвратахОбъект, СостояниеКассовойСмены, НалогообложениеНДС, МенеджерВременныхТаблиц, ТолькоЗаполнить, ОписаниеОшибки);
```
</details>

## ПодготовитьДанныеПоЧекамКассовойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку данных по чекам кассовой смены.
//
// Параметры:
//  СостояниеКассовойСмены - см. ОписаниеКассовойСмены
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  ВключатьНепроведенныеЧеки - Булево - По умолчанию - ложь
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица значений заполнена типами налогообложения НДС, которые используются в рамках кассовой смены:
//  * НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС
//
Функция ПодготовитьДанныеПоЧекамКассовойСмены(СостояниеКассовойСмены, МенеджерВременныхТаблиц, ВключатьНепроведенныеЧеки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПодготовитьДанныеПоЧекамКассовойСмены(СостояниеКассовойСмены, МенеджерВременныхТаблиц, ВключатьНепроведенныеЧеки);
```
</details>

## ЗаполнитьОтчетыОРозничныхПродажахИВозвратах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет заполнение Отчетов о розничных возвратах/продажах по кассовой смене по всем типам налогообложения в рамках этой кассовой смены.
//
// Параметры:
//  СостояниеКассовойСмены - см. ОписаниеКассовойСмены
//  ОписаниеОшибки - Строка - Возвращаемое описание ошибки
//  ВключатьНепроведенныеЧеки - Булево - По умолчанию - ложь
//
// Возвращаемое значение:
//  Булево - Если при заполнении документов не возникло ошибок, то будет возвращено значение Истина.
//
Функция ЗаполнитьОтчетыОРозничныхПродажахИВозвратах(СостояниеКассовойСмены, ОписаниеОшибки, ВключатьНепроведенныеЧеки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ЗаполнитьОтчетыОРозничныхПродажахИВозвратах(СостояниеКассовойСмены, ОписаниеОшибки, ВключатьНепроведенныеЧеки);
```
</details>

## ВыполнитьОперациюЗакрытияКассовойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет закрытие кассовой смены.
//
// Параметры:
//  Объект - СправочникСсылка.КассыККМ, СправочникСсылка.ПодключаемоеОборудование - Касса ККМ.
//  ОшибкаПриСнятииZОтчета - Булево - Флаг, при закрытии смены возникла ошибка.
//  ОписаниеОшибки - Строка - Возвращаемое описание ошибки.
//
// Возвращаемое значение:
//  Массив из ДокументСсылка.КассоваяСмена - Массив созданных отчетов о розничных продажах.
//
Функция ВыполнитьОперациюЗакрытияКассовойСмены(Объект, ОшибкаПриСнятииZОтчета, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ВыполнитьОперациюЗакрытияКассовойСмены(Объект, ОшибкаПриСнятииZОтчета, ОписаниеОшибки);
```
</details>

## СформироватьДокументыДляОперацииЗакрытияКассовойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует документы при закрытии кассовой смены.
//
// Параметры:
//  СостояниеКассовойСмены - см. ПолучитьСостояниеКассовойСмены
//  ОписаниеОшибки - Строка - Возвращаемое описание ошибки
//  ВключатьНепроведенныеЧеки - Булево - По умолчанию - ложь
//
Процедура СформироватьДокументыДляОперацииЗакрытияКассовойСмены(СостояниеКассовойСмены, ОписаниеОшибки, ВключатьНепроведенныеЧеки = Ложь) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.СформироватьДокументыДляОперацииЗакрытияКассовойСмены(СостояниеКассовойСмены, ОписаниеОшибки, ВключатьНепроведенныеЧеки);
```
</details>

## ОписаниеКассовойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция-конструктор структуры состояния кассовой смены.
//
// Возвращаемое значение:
// 	Структура - содержит:
// * СистемаНалогообложения - ПеречислениеСсылка.ТипыСистемНалогообложенияККТ -
// * СерийныйНомерККМ - Строка -
// * СведенияООрганизации - Строка -
// * НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС -
// * ЦенаВключаетНДС - Булево -
// * АдресСклада - Строка -
// * Склад - СправочникСсылка.Склады -
// * Кассир - СправочникСсылка.Пользователи -
// * ВидЦены - СправочникСсылка.ВидыЦен -
// * ВалютаПредставление - Строка -
// * Валюта - СправочникСсылка.Валюты -
// * ФискальноеУстройство - СправочникСсылка.ПодключаемоеОборудование -
// * КассаККМ - ОпределяемыйТип.КассаБПО -
// * Организация - ОпределяемыйТип.ОрганизацияБПО -
// * ОбновлятьОтчеты - Булево -
// * ОписаниеОшибки - Строка -
// * Ошибка24Часа - Булево -
// * СменаОткрыта - Булево -
// * НомерКассовойСмены - Строка -
// * НаличностьВКассе - Неопределено -
// * КассоваяСмена - ДокументСсылка.КассоваяСмена -
// * СтатусРегламентныхОпераций - ПеречислениеСсылка.СтатусыРегламентныхОперацийКассовойСмены -
// * СтатусКассовойСмены - ПеречислениеСсылка.СтатусыКассовойСмены -
// * ДатаИзмененияСтатуса - Дата -
// * РазъезднаяТорговля - Булево -
// * АдресМагазина - Строка -
//
Функция ОписаниеКассовойСмены() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ОписаниеКассовойСмены() 
```
</details>

## ПолучитьДанныеПродажЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные о розничных продажах за период.
//
// Параметры:
//  ПараметрыРасчета - Структура - параметры получения продаж: Организация, НачалоПериода, КонецПериода
//
// Возвращаемое значение:
//  ТаблицаЗначений - с колонками:
//		Организация, Период, ТипНоменклатуры, СтавкаНДС, СуммаБезНДС, СуммаНДС
//
Функция ПолучитьДанныеПродажЗаПериод(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПолучитьДанныеПродажЗаПериод(ПараметрыРасчета) 
```
</details>

## ПолучитьДанныеИсправленийПродажЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные об исправлениях данных розничных продаж за предыдущие периоды в текущем периоде.
//
// Параметры:
//  ПараметрыРасчета - Структура - параметры получения продаж: Организация, НачалоПериода, КонецПериода
//
// Возвращаемое значение:
//  ТаблицаЗначений - с колонками:
//		Организация, Период, ИсправляемыйПериод, ТипНоменклатуры, СтавкаНДС, СуммаБезНДС, СуммаНДС
//
Функция ПолучитьДанныеИсправленийПродажЗаПериод(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПолучитьДанныеИсправленийПродажЗаПериод(ПараметрыРасчета) 
```
</details>

## ПолучитьДанныеВозвратовЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Получает данные о розничных возвратах за период.
//
// Параметры:
//  ПараметрыРасчета - Структура - параметры получения продаж: Организация, НачалоПериода, КонецПериода
//
// Возвращаемое значение:
//  ТаблицаЗначений - с колонками:
//		Организация, Период, ТипНоменклатуры, СтавкаНДС, СуммаБезНДС, СуммаНДС
//
Функция ПолучитьДанныеВозвратовЗаПериод(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПолучитьДанныеВозвратовЗаПериод(ПараметрыРасчета) 
```
</details>

## ПолучитьСостояниеКассовойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру, характеризующую состояние последней кассовой смены по кассе ККМ.
//
// Параметры:
//  Объект - СправочникСсылка.КассыККМ, СправочникСсылка.ПодключаемоеОборудование - Ссылка на кассу ККМ.
//  КассоваяСмена - ДокументСсылка.КассоваяСмена, Неопределено - Ссылка на документ Кассовая смена описание которой необходимо получить.
//
// Возвращаемое значение:
//  см. ОписаниеКассовойСмены
//
Функция ПолучитьСостояниеКассовойСмены(Объект, КассоваяСмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПолучитьСостояниеКассовойСмены(Объект, КассоваяСмена);
```
</details>

## ПолучитьСостояниеКассовойСменыПоНомеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру, характеризующую состояние кассовой смены с определенным номером по кассе ККМ.
//
// Параметры:
//  Объект - СправочникСсылка.КассыККМ, СправочникСсылка.ПодключаемоеОборудование - Ссылка на кассу ККМ.
//  НомерСмены - Число - Номер кассовой смены.
//
// Возвращаемое значение:
//  см. ОписаниеКассовойСмены
//
Функция ПолучитьСостояниеКассовойСменыПоНомеру(Объект, НомерСмены) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПолучитьСостояниеКассовойСменыПоНомеру(Объект, НомерСмены) 
```
</details>

## ПолучитьРеквизитыКассовойСменыНаДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру, характеризующую состояние кассовой смены на дату.
//
// Параметры:
//  Объект - СправочникСсылка.КассыККМ, СправочникСсылка.ПодключаемоеОборудование - Ссылка на кассу ККМ
//  ДатаВремя - Дата - Дата, на которую необходимо получить описание кассовой смены.
//
// Возвращаемое значение:
//  см. ОписаниеКассовойСмены
//
Функция ПолучитьРеквизитыКассовойСменыНаДату(Объект, ДатаВремя) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПолучитьРеквизитыКассовойСменыНаДату(Объект, ДатаВремя) 
```
</details>

## ПолучитьОткрытуюКассовуюСмену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает открытую кассовую смену по Кассе ККМ в заданный период.
// Используется для контроля пересечения кассовых смен.
// За один период может одновременно существовать только одна кассовая смена.
//
// Параметры:
//  Объект - СправочникСсылка.КассыККМ, СправочникСсылка.ПодключаемоеОборудование - Ссылка на кассу ККМ
//  КассоваяСмена - ДокументСсылка.КассоваяСмена - Ссылка на кассовую смену,
//                если указана, то проверяется наличие любой другой кассовой смены
//  НачалоКассовойСмены - Дата - Дата начала кассовой смены
//  ОкончаниеКассовойСмены - Дата - Дата окончания кассовой смены.
//
// Возвращаемое значение:
//  ДокументСсылка.КассоваяСмена - Открытая кассовая смена на заданный период. Или неопределено если открытой смены нет.
//
Функция ПолучитьОткрытуюКассовуюСмену(Объект, КассоваяСмена, НачалоКассовойСмены, ОкончаниеКассовойСмены) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПолучитьОткрытуюКассовуюСмену(Объект, КассоваяСмена, НачалоКассовойСмены, ОкончаниеКассовойСмены) 
```
</details>

## СменаОткрыта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет состояние кассовой смены на дату. Если смена не открыта - возвращается описание ошибки.
//
// Параметры:
//  КассоваяСмена - ДокументСсылка.КассоваяСмена - Ссылка на кассовую смену
//  Дата - Дата - Дата проверки
//  ОписаниеОшибки - Строка - Возвращаемое описание ошибки.
//
// Возвращаемое значение:
//  Булево - Истина, если на указанную дату кассовая смена открыта.
//
Функция СменаОткрыта(КассоваяСмена, Дата, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.СменаОткрыта(КассоваяСмена, Дата, ОписаниеОшибки);
```
</details>

## ЗаполнитьПараметрыОтправкиЭлектронногоЧекаПоПартнеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить параметры отправки электронного чека по партнеру.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма (ФормаОплатыНаличными или ФормаСмешаннойОплаты).
//
Процедура ЗаполнитьПараметрыОтправкиЭлектронногоЧекаПоПартнеру(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ЗаполнитьПараметрыОтправкиЭлектронногоЧекаПоПартнеру(Форма) 
```
</details>

## ОбработатьДанныеЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать данные электронного чека.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма (ФормаОплатыНаличными или ФормаСмешаннойОплаты).
//
// Возвращаемое значение:
//  см. РозничныеПродажиКлиентСервер.ДанныеЭлектронногоЧека
//
Функция ОбработатьДанныеЭлектронногоЧека(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ОбработатьДанныеЭлектронногоЧека(Форма) 
```
</details>

## СоздатьПартнераВладельцаКонтактнойИнформацииЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура создает партнера с
// наименованием "Держатель карты лояльности" на основании
// переданной структуры с данными карты лояльности.
//
// Параметры:
//  СтруктураДанныхКарты - Данные карты лояльности, см. КартыЛояльностиСервер.ИнициализироватьДанныеКартыЛояльности.
//
// Возвращаемое значение:
//  СправочникСсылка.Партнеры - Партнер.
//
Функция СоздатьПартнераВладельцаКонтактнойИнформацииЭлектронногоЧека(ДанныеЭлектронногоЧека) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.СоздатьПартнераВладельцаКонтактнойИнформацииЭлектронногоЧека(ДанныеЭлектронногоЧека));
```
</details>

## ОбновитьКонтактнуюИнформациюПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьКонтактнуюИнформациюПартнера(ДанныеЭлектронногоЧека) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ОбновитьКонтактнуюИнформациюПартнера(ДанныеЭлектронногоЧека));
```
</details>

## ПолучитьПараметрыОтправкиЭлектронногоЧекаПоПартнеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвразает параметры отправки электронного чека по партнеру.
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры
//
// Возвращаемое значение:
//  Структура:
//		* ВариантОтправкиЭлектронногоЧека - ПеречислениеСсылка.ВариантыОтправкиЭлектронногоЧекаПокупателю
//		* КонтактПолучателяЭлектронногоЧека - Строка
//
Функция ПолучитьПараметрыОтправкиЭлектронногоЧекаПоПартнеру(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ПолучитьПараметрыОтправкиЭлектронногоЧекаПоПартнеру(Партнер) 
```
</details>

## ДобавитьДокументыПоРаспоряжениюВОчередьЧековККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет последний документ оплаты/отгрузки по переданному распоряжению
// и ставит документ в очередь чеков на удаленную фискализацию.
//
// Параметры:
//	Распоряжение - ДокументСсылка.ЗаказКлиента
//
// Возвращаемое значение:
// 	Булево
//
Функция ДобавитьДокументыПоРаспоряжениюВОчередьЧековККТ(Распоряжение) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажи.ДобавитьДокументыПоРаспоряжениюВОчередьЧековККТ(Распоряжение) 
```
</details>

## ДополнитьТекстЗапросаЗаполнитьУсловияРозничныхПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для заполнения условий розничных продаж.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - Структура
//
Процедура ДополнитьТекстЗапросаЗаполнитьУсловияРозничныхПродаж(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
РозничныеПродажи.ДополнитьТекстЗапросаЗаполнитьУсловияРозничныхПродаж(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
