---
title: Розничные продажи вызов сервера
slug: erp-uh/розничные-продажи-вызов-сервера
---


## ОткрытьКассовуюСмену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает кассовую смену для кассы ККМ.
//
// Параметры:
//  КассаККМ - СправочникСсылка.КассыККМ - Касса ККМ.
//  ДополнительныеПараметры - Структура -
//  ОписаниеОшибки - Строка - Описание ошибки.
//
// Возвращаемое значение:
//  Булево - Истина, Если операция выполнена успешно.
//
Функция ОткрытьКассовуюСмену(КассаККМ, ДополнительныеПараметры, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.ОткрытьКассовуюСмену(КассаККМ, ДополнительныеПараметры, ОписаниеОшибки);
```
</details>

## ЗакрытьКассовуюСмену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Закрывает кассовую смену для кассы ККМ.
//
// Параметры:
//  Объект - СправочникСсылка.КассыККМ, СправочникСсылка.ПодключаемоеОборудование - Касса ККМ.
//  ОшибкаПриСнятииZОтчета - Булево - Признак успешного снятия z-отчета.
//  ОписаниеОшибки - Строка - Выходной параметр - описание ошибки.
//
// Возвращаемое значение:
//  Массив - Массив созданных отчетов о розничных продажах.
//
Функция ЗакрытьКассовуюСмену(Объект, ОшибкаПриСнятииZОтчета, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.ЗакрытьКассовуюСмену(Объект, ОшибкаПриСнятииZОтчета, ОписаниеОшибки);
```
</details>

## СоздатьДокументВнесениеДенежныхСредствВКассуККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать документ внесение денежных средств в кассу ККМ.
//
// Параметры:
//  ВходныеДанные - Структура - Реквизиты документа.
//  СсылкаНаДокументВнесение - Неопределено, ДокументСсылка.ВнесениеДенежныхСредствВКассуККМ - Необязательный, ссылка на созданный документ, в случае неудачи - Неопределено.
//  ОписаниеОшибки - Строка - Необязательный, Описание ошибки.
//
// Возвращаемое значение:
//   Булево - Истина, если создание документа выполнено успешно.
//
Функция СоздатьДокументВнесениеДенежныхСредствВКассуККМ(ВходныеДанные, СсылкаНаДокументВнесение = Неопределено, ОписаниеОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.СоздатьДокументВнесениеДенежныхСредствВКассуККМ(ВходныеДанные, СсылкаНаДокументВнесение, ОписаниеОшибки);
```
</details>

## СоздатьДокументВыемкаДенежныхСредствИзКассыККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать документ выемка денежных средств из кассы ККМ.
//
// Параметры:
//  ВходныеДанные - Структура - Структура с реквизитами документа.
//  СсылкаНаДокументВыемка - Неопределено, ДокументСсылка.ВыемкаДенежныхСредствИзКассыККМ - Необязательный, ссылка на созданный документ, в случае неудачи - Неопределено.
//  ОписаниеОшибки - Строка - Необязательный, Описание ошибки.
//
// Возвращаемое значение:
//   Булево - Истина, если создание документа выполнено успешно.
//
Функция СоздатьДокументВыемкаДенежныхСредствИзКассыККМ(ВходныеДанные, СсылкаНаДокументВыемка = Неопределено, ОписаниеОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.СоздатьДокументВыемкаДенежныхСредствИзКассыККМ(ВходныеДанные, СсылкаНаДокументВыемка, ОписаниеОшибки);
```
</details>

## УдалитьДокументПриОтменеФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет документ при отмене фискальной операции.
//
// Параметры:
//  Ссылка - ДокументСсылка - Ссылка на удаляемый документ.
//
// Возвращаемое значение:
//   Булево - Истина, если удаление документа выполнено успешно.
//
Функция УдалитьДокументПриОтменеФискальнойОперации(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.УдалитьДокументПриОтменеФискальнойОперации(Ссылка) 
```
</details>

## СостояниеКассовойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Получает структуру описания кассовой смены для кассы ККМ.
//
// Параметры:
//  КассаККМ - СправочникСсылка.КассыККМ - Касса ККМ.
//
// Возвращаемое значение:
//  см. РозничныеПродажи.ОписаниеКассовойСмены
//
Функция СостояниеКассовойСмены(КассаККМ) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.СостояниеКассовойСмены(КассаККМ) 
```
</details>

## ПолучитьШтрихкодыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает штрихкоды номенклатуры
//
// Параметры:
//  Структура - Структура - Структура переданных параметров.
//
// Возвращаемое значение:
//  Массив - Массив штрихкодов номенклатуры.
//
Функция ПолучитьШтрихкодыНоменклатуры(Структура) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.ПолучитьШтрихкодыНоменклатуры(Структура) 
```
</details>

## РеквизитыКассира
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить реквизит формы "РеквизитыКассира".
//
// Параметры:
//  Кассир - СправочникСсылка.Пользователи - Кассир.
//  Организация - СправочникСсылка.Организации - Организация для отбора в справочнике ОтветственныеЛицаОрганизаций.
//  ДатаВремя - Дата - Для отбора по периоду ДатаНачала - ДатаОкончания в справочнике ОтветственныеЛицаОрганизаций.
//
// Возвращаемое значение:
//  см. РозничныеПродажи.РеквизитыКассира
//
Функция РеквизитыКассира(Знач Кассир = Неопределено, Знач Организация = Неопределено, Знач ДатаВремя = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.РеквизитыКассира(Кассир, Организация, ДатаВремя);
```
</details>

## ОрганизацияФискальногоУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение организации по подключаемому оборудованию
//
// Параметры:
//  ФискальноеУстройство - СправочникСсылка.ПодключаемоеОборудование
//
// Возвращаемое значение:
//  Неопределено, Произвольный - Организация фискального устройства
Функция ОрганизацияФискальногоУстройства(Знач ФискальноеУстройство) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.ОрганизацияФискальногоУстройства(ФискальноеУстройство) 
```
</details>

## РеквизитыАдресаМестаРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыАдресаМестаРасчетов(Знач ФискальноеУстройство) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.РеквизитыАдресаМестаРасчетов(ФискальноеУстройство) 
```
</details>

## ИспользуетсяККТФЗ54
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуетсяККТФЗ54(КассоваяСмена) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.ИспользуетсяККТФЗ54(КассоваяСмена) 
```
</details>

## НайтиПартнераПоКонтактнымДаннымЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиПартнераПоКонтактнымДаннымЭлектронногоЧека(ВариантОтправкиЭлектронногоЧека, КонтактныеДанные) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.НайтиПартнераПоКонтактнымДаннымЭлектронногоЧека(ВариантОтправкиЭлектронногоЧека, КонтактныеДанные) 
```
</details>

## ПартнерЭтоРозничныйКлиент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус партнера, является ли он розничным клиентом.
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры - Партнер
//
// Возвращаемое значение:
//  Булево - Партнер это розничный клиент
Функция ПартнерЭтоРозничныйКлиент(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.ПартнерЭтоРозничныйКлиент(Партнер) 
```
</details>

## КонтрагентЭтоФизическоеЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус контрагента, является ли он физическим лицом.
//
// Параметры:
//  Контрагент - СправочникСсылка.Контрагенты - Контрагент
//
// Возвращаемое значение:
//  Булево - Контрагент - это физическое лицо
Функция КонтрагентЭтоФизическоеЛицо(Контрагент) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.КонтрагентЭтоФизическоеЛицо(Контрагент) 
```
</details>

## ПараметрыКассыККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет получение параметров кассы ККМ.
//
// Параметры:
//  КассаККМ - СправочникСсылка.КассыККМ - Касса ККМ.
//
// Возвращаемое значение:
//  Структура - со свойствами:
//   * ИдентификаторУстройства - Строка - Идентификатор устройства.
//   * ИспользоватьБезПодключенияОборудования - Булево - Использовать без подключения оборудования.
//   * ЭтоФискальныйРегистратор - Булево - Признак фискального регистратора.
//   * ИспользоватьСкладскиеПомещения - Булево - Признак использования складских помещений.
//   * КассаККМ - СправочникСсылка.КассыККМ - Касса ККМ.
//   * НастройкиРМК - СправочникСсылка.НастройкиРМК - Ссылка на настройки РМК.
Функция ПараметрыКассыККМ(КассаККМ) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.ПараметрыКассыККМ(КассаККМ) 
```
</details>

## КассаККМПоПодключаемомуОборудованияДляРМК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет ККМ по ПодключаемомуОборудованию для текущей РМК.
//
// Возвращаемое значение:
//	 СправочникСсылка.КассыККМ - Найденная касса ККМ.
//
Функция КассаККМПоПодключаемомуОборудованияДляРМК(ФискальноеУстройство) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.КассаККМПоПодключаемомуОборудованияДляРМК(ФискальноеУстройство) 
```
</details>

## ФискализацияДоступна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает возможность фискализации
//
// Возвращаемое значение:
// 	Булево
Функция ФискализацияДоступна() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.ФискализацияДоступна() 
```
</details>

## УдаленнаяФискализацияДоступна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает возможность удаленной фискализации
//
// Возвращаемое значение:
// 	Булево
Функция УдаленнаяФискализацияДоступна() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.УдаленнаяФискализацияДоступна() 
```
</details>

## ПечататьОтдельныйСлипЧекЭквайринговойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает возможность печатать отдельный слип чек эквайринговой операции.
// Если Истина, то предполагается, что слип-чек эквайрингового терминала выводится отдельно и
// фискальный чек не содержит данные эквайринговой операции.
//
// Возвращаемое значение:
// 	Булево
Функция ПечататьОтдельныйСлипЧекЭквайринговойОперации() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.ПечататьОтдельныйСлипЧекЭквайринговойОперации() 
```
</details>

## ПечататьОтдельныйСлипЧекЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает возможность печатать отдельный слип чек ЕГАИС.
// Если Истина, то предполагается, что слип-чек ЕГАИС выводится отдельно.
//
// Возвращаемое значение:
// 	Булево
Функция ПечататьОтдельныйСлипЧекЕГАИС() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.ПечататьОтдельныйСлипЧекЕГАИС() 
```
</details>

## ЗаписатьДанныеВБезопасноеХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает конфиденциальные данные в безопасное хранилище.
// Вызывающий код должен самостоятельно устанавливать привилегированный режим.
//
// Безопасное хранилище недоступно для чтения пользователям (кроме администраторов),
// а доступно только коду, который делает обращения только к своей части данных и
// в том контексте, который предполагает чтение или запись конфиденциальных данных.
//
// Параметры:
//  Владелец - ПланОбменаСсылка
//           - СправочникСсылка
//           - Строка - ссылка на объект информационной базы,
//             представляющий объект-владелец сохраняемого пароля или строка до 128 символов.
//             Для объектов других типов в качестве владельца рекомендуется использовать ссылку на
//             элемент метаданных этого типа в справочнике ИдентификаторыОбъектовМетаданных
//             или ключ в виде строки с учетом имен подсистем.
//             Например, для БСП:
//               Владелец = ОбщегоНазначения.ИдентификаторОбъектаМетаданных("РегистрСведений.АдресныеОбъекты");
//             если нужно 1 хранилище на подсистему БСП:
//               Владелец = "СтандартныеПодсистемы.УправлениеДоступом";
//             если нужно более 1 хранилища на подсистему БСП:
//               Владелец = "СтандартныеПодсистемы.УправлениеДоступом.<Уточнение>";
//
//  Данные  - Произвольный - данные помещаемые в безопасное хранилище. Неопределенно - удаляет все данные.
//             Для удаления данных по ключу следует использовать процедуру УдалитьДанныеИзБезопасногоХранилища.
//  Ключ    - Строка       - ключ сохраняемых настроек, по умолчанию "Пароль".
//                           Ключ должен соответствовать правилам имен идентификаторов:
//                           1. Первым символом ключа должна быть буква или символ подчеркивания (_).
//                           2. Каждый из последующих символов может быть буквой, цифрой или символом подчеркивания (_).
//
// Пример:
//  Процедура ПриЗаписиНаСервере(Отказ, ТекущийОбъект, ПараметрыЗаписи)
//      Если ТекущийПользовательМожетИзменятьПароль Тогда
//          УстановитьПривилегированныйРежим(Истина);
//          ОбщегоНазначения.ЗаписатьДанныеВБезопасноеХранилище(ТекущийОбъект.Ссылка, Логин, "Логин");
//          ОбщегоНазначения.ЗаписатьДанныеВБезопасноеХранилище(ТекущийОбъект.Ссылка, Пароль);
//          УстановитьПривилегированныйРежим(Ложь);
//      КонецЕсли;
//  КонецПроцедуры
//
Процедура ЗаписатьДанныеВБезопасноеХранилище(Владелец, Данные, Ключ = "Пароль") Экспорт
```

Пример вызова
```bsl
РозничныеПродажиВызовСервера.ЗаписатьДанныеВБезопасноеХранилище(Владелец, Данные, Ключ);
```
</details>

## УдалитьДанныеИзБезопасногоХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет конфиденциальные данные в безопасное хранилище.
// Вызывающий код должен самостоятельно устанавливать привилегированный режим.
//
// Безопасное хранилище недоступно для чтения пользователям (кроме администраторов),
// а доступно только коду, который делает обращения только к своей части данных и
// в том контексте, который предполагает чтение или запись конфиденциальных данных.
//
// Параметры:
//  Владелец - ПланОбменаСсылка
//           - СправочникСсылка
//           - Строка - ссылка на объект информационной базы,
//               представляющий объект-владелец сохраняемого пароля или строка до 128 символов.
//  Ключи    - Строка - содержит список имен удаляемых данных, указанных через запятую.
//               Неопределено - удаляет все данные.
//
// Пример:
//	Процедура ПередУдалением(Отказ)
//
//		// Проверка значения свойства ОбменДанными.Загрузка отсутствует, так как удалять данные
//		// из безопасного хранилища нужно даже при удалении объекта при обмене данными.
//
//		УстановитьПривилегированныйРежим(Истина);
//		ОбщегоНазначения.УдалитьДанныеИзБезопасногоХранилища(Ссылка);
//		УстановитьПривилегированныйРежим(Ложь);
//
//	КонецПроцедуры
//
Процедура УдалитьДанныеИзБезопасногоХранилища(Владелец, Ключи = Неопределено) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиВызовСервера.УдалитьДанныеИзБезопасногоХранилища(Владелец, Ключи);
```
</details>

## АлкогольнаяПродукцияЕГАИСМаркируемая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли номенклатура алкогольной продукцией, имеющая уникальный идентификатор (маркируовку)
//
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура - Проверяемая номенклатура
//
// Возвращаемое значение:
//  Булево - Истина, если номенклатура является алкогольной продукцией, имеющая уникальный идентификатор (маркируовку)
Функция АлкогольнаяПродукцияЕГАИСМаркируемая(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.АлкогольнаяПродукцияЕГАИСМаркируемая(Номенклатура) 
```
</details>

## ЗаписьЖурналаУровеньОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для регистрации ошибок, возникающих на стороне клиента при использования слепых асинхронных вызовов,
//  например, ПродажиКлиент.ПечатьЧека_Завершение.
//  В записи используется независимый режим транзакции см. Синтакс-помощник ЗаписьЖурналаРегистрации.
// Параметры:
//  ИмяСобытия - Строка
//  ОбъектМетаданных - ОбъектМетаданных -
//  Данные - ЛюбаяСсылка, Число, Строка, Дата, Булево, Неопределено, Null, Тип -
//  Комментарий - Строка
//
//@skip-check method-too-many-params
Процедура ЗаписьЖурналаУровеньОшибка(ИмяСобытия = "", ОбъектМетаданных = Неопределено, Данные = Неопределено, Комментарий = "") Экспорт
```

Пример вызова
```bsl
РозничныеПродажиВызовСервера.ЗаписьЖурналаУровеньОшибка(ИмяСобытия, ОбъектМетаданных, Данные, Комментарий);
```
</details>

## НаОснованииЗаказаОформленаОтгрузка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет есть ли проведенные документы отгрузки введенные на основании заказа.
//
// Параметры:
//  Ссылка - ДокументСсылка.ЗаказКлиента, ДокументСсылка.ЗаявкаНаВозвратТоваровОтКлиента -
//
// Возвращаемое значение:
//  Булево -
//
Функция НаОснованииЗаказаОформленаОтгрузка(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиВызовСервера.НаОснованииЗаказаОформленаОтгрузка(Ссылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
