---
title: Розничные продажи клиент
slug: erp-uh/розничные-продажи-клиент
---


## ОткрытьКассовуюСмену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает кассовую смену
//
// Параметры:
//  ПараметрыКассыККМ - Структура, ФиксированнаяСтруктура - Параметры кассы ККМ:
//  	* ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//  	* ИспользоватьБезПодключенияОборудования - Булево
//  	* КассаККМ - СправочникСсылка.КассыККМ
//  ОписаниеОповещенияЗавершение - ОписаниеОповещения - Описание оповещения при завершении операции.
//
Процедура ОткрытьКассовуюСмену(ПараметрыКассыККМ, ОписаниеОповещенияЗавершение = Неопределено) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ОткрытьКассовуюСмену(ПараметрыКассыККМ, ОписаниеОповещенияЗавершение);
```
</details>

## ОткрытьКассовуюСменуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьКассовуюСменуЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ОткрытьКассовуюСменуЗавершение(Результат, Параметры) 
```
</details>

## ЗакрытьКассовуюСмену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Закрывает кассовую смену
//
// Параметры:
//  ПараметрыКассыККМ - Структура, ФиксированнаяСтруктура - Параметры кассы ККМ:
//  	* ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование
//  	* ИспользоватьБезПодключенияОборудования - Булево
//  	* КассаККМ - СправочникСсылка.КассыККМ
//  ОписаниеОповещенияЗавершение - ОписаниеОповещения - Описание оповещения при завершении операции.
//
Процедура ЗакрытьКассовуюСмену(ПараметрыКассыККМ, ОписаниеОповещенияЗавершение = Неопределено) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ЗакрытьКассовуюСмену(ПараметрыКассыККМ, ОписаниеОповещенияЗавершение);
```
</details>

## СформироватьОтчетБезГашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать отчет без гашения.
//
// Параметры:
//  ПараметрыКассыККМ - см. ЗакрытьКассовуюСмену.ПараметрыКассыККМ
//  ОписаниеОповещенияЗавершение - ОписаниеОповещения - Описание оповещения при завершении операции.
//
Процедура СформироватьОтчетБезГашения(ПараметрыКассыККМ, ОписаниеОповещенияЗавершение = Неопределено) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.СформироватьОтчетБезГашения(ПараметрыКассыККМ, ОписаниеОповещенияЗавершение);
```
</details>

## ВнесениеДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для ввода суммы перед операцией внесения денежных средств
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//  ПараметрыКассыККМ - Структура -
//  ОписаниеОповещенияЗавершение - ОписаниеОповещения -
//
Процедура ВнесениеДенежныхСредств(Форма, ПараметрыКассыККМ, ОписаниеОповещенияЗавершение = Неопределено) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ВнесениеДенежныхСредств(Форма, ПараметрыКассыККМ, ОписаниеОповещенияЗавершение);
```
</details>

## ВыемкаДенежныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для ввода суммы перед операцией выемки денежных средств
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//  ПараметрыКассыККМ - Структура -
//  ОписаниеОповещенияЗавершение - ОписаниеОповещения -
//
Процедура ВыемкаДенежныхСредств(Форма, ПараметрыКассыККМ, ОписаниеОповещенияЗавершение = Неопределено) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ВыемкаДенежныхСредств(Форма, ПараметрыКассыККМ, ОписаниеОповещенияЗавершение);
```
</details>

## ВывестиТекстНаДисплейПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет информацию, выведенную на дисплее покупателя
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//  ИдентификаторУстройства - Строка -
//  Текст - Строка -
//
Процедура ВывестиТекстНаДисплейПокупателя(Форма, ИдентификаторУстройства, Текст) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ВывестиТекстНаДисплейПокупателя(Форма, ИдентификаторУстройства, Текст) 
```
</details>

## ВывестиТекстНаДисплеиПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет выведенную информацию на всех дисплеях покупателя
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//  Дисплеи - см. МенеджерОборудованияВызовСервера.СписокОборудования - Список значений из структур данных, описывающих дисплеи.
//  Текст - Строка - Выводимый текст
//
Процедура ВывестиТекстНаДисплеиПокупателя(Форма, Дисплеи, Текст) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ВывестиТекстНаДисплеиПокупателя(Форма, Дисплеи, Текст) 
```
</details>

## ПодготовитьСтрокуКВыводуНаДисплейПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает данные для вывода на дисплей покупателя.
//
// Параметры:
//  Заголовок - Строка - Заголовок выводимого на дисплей покупателя значения.
//  Значение - Число, Строка - Выводимое значение (Сумма).
//
// Возвращаемое значение:
//  Строка - Подготовленная строка.
//
Функция ПодготовитьСтрокуКВыводуНаДисплейПокупателя(Заголовок = "", Значение = "") Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиент.ПодготовитьСтрокуКВыводуНаДисплейПокупателя(Заголовок, Значение);
```
</details>

## ПроверитьКодМаркировкиСредствамиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает механизм проверки кодов маркировки средствами ККТ
//
// Параметры:
//  ПозицииЧека - Массив - Позиции чека
//  ФормаВладелец - ФормаКлиентскогоПриложения - Форма владелец
//  ЗаголовокКнопкиИгнорировать - Строка, Неопределено - Заголовок кнопки игнорировать
//  ОповещениеОЗавершении - ОписаниеОповещения - Оповещение о завершении
//  ФормаПросмотра - ФормаКлиентскогоПриложения, Неопределено - Форма просмотра
//
Процедура ПроверитьКодМаркировкиСредствамиККТ(ПозицииЧека, ФормаВладелец, ЗаголовокКнопкиИгнорировать = Неопределено, ОповещениеОЗавершении, ФормаПросмотра = Неопределено) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ПроверитьКодМаркировкиСредствамиККТ(ПозицииЧека, ФормаВладелец, ЗаголовокКнопкиИгнорировать, ОповещениеОЗавершении, ФормаПросмотра);
```
</details>

## ТребуетсяПроверкаКодовМаркировкиСредствамиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, требуется ли проверка кодов маркировки средствами ККТ.
//
// Параметры:
//  ПараметрыОперацииФискализацииЧека - Структура - Параметры операции фискализации чека
//
// Возвращаемое значение:
//  Булево - Истина - требуется проверка кодов маркировки средствами ККТ
//
Функция ТребуетсяПроверкаКодовМаркировкиСредствамиККТ(ПараметрыОперацииФискализацииЧека) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиент.ТребуетсяПроверкаКодовМаркировкиСредствамиККТ(ПараметрыОперацииФискализацииЧека) 
```
</details>

## ОбработатьСостояниеСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Контролирует параметры текущей кассовой смены, при необходимости открывает и закрывает кассовую смену.
//
// Параметры:
//  Форма - Форма - Форма документа в которой выполняется контроль кассовой смены
//  ОписаниеОповещенияЗавершение - ОписаниеОповещения - Описание оповещения при завершении операции.
//
Процедура ОбработатьСостояниеСмены(Форма, ОписаниеОповещенияЗавершение) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ОбработатьСостояниеСмены(Форма, ОписаниеОповещенияЗавершение) 
```
</details>

## ОбработатьСостояниеСменыАвтоматически
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Контролирует параметры текущей кассовой смены оборудования, при необходимости открывает и закрывает кассовую смену
// в автоматическом режиме.
//
// Параметры:
//  Оборудование - СправочникСсылка.ПодключаемоеОборудование
//  ОписаниеОповещенияЗавершение - ОписаниеОповещения - Описание оповещения при завершении операции.
//
Процедура ОбработатьСостояниеСменыАвтоматически(Оборудование, ОписаниеОповещенияЗавершение = Неопределено) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ОбработатьСостояниеСменыАвтоматически(Оборудование, ОписаниеОповещенияЗавершение);
```
</details>

## ДобавитьОплатуКартой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает процедуры оплаты платежной картой
//
// Параметры:
//  РезультатПроведения - Булево - Признак успешного проведения оплачиваемого чека ККМ
//  ДополнительныеПараметры - Структура:
//  	* Форма - ФормаКлиентскогоПриложения - содержит в том числе:
//  		** ЭквайринговыеТерминалы - см. Справочники.ЭквайринговыеТерминалы.ПараметрыЭквайринговыхТерминаловПоОрганизации
//  	* ЭквайринговыеТерминалы 	- СписокЗначений из СправочникСсылка.ПодключаемоеОборудование - содержит:
//  		** Значение - СправочникСсылка.ПодключаемоеОборудование
//  								- СправочникСсылка.ПодключаемоеОборудование
//  	* ОповещениеОЗавершении - ОписаниеОповещения
//  	* ПараметрыКассыККМ - Структура
//  	* ФормаАвторизации_Сумма - Число
//  	* ФормаАвторизации_ПределСуммы - Число
//  	* Валюта - СправочникСсылка.Валюты
//  	* СтруктураЭквайринговыйТерминал - Структура
//
Процедура ДобавитьОплатуКартой(РезультатПроведения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ДобавитьОплатуКартой(РезультатПроведения, ДополнительныеПараметры) 
```
</details>

## ОтменитьОплатуКартой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает процедуры отмены оплаты платежной картой
//
// Параметры:
//  РезультатПроведения - Булево - Признак успешного проведения оплачиваемого чека ККМ
// 	ДополнительныеПараметры - см. ДобавитьОплатуКартой.ДополнительныеПараметры
//
Процедура ОтменитьОплатуКартой(РезультатПроведения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ОтменитьОплатуКартой(РезультатПроведения, ДополнительныеПараметры) 
```
</details>

## ЗакрытьСессиюПроверкиКМНаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Закрывает сессию проверки на ККТ
//
// Параметры:
//  УникальныйИдентификатор - см. МенеджерОборудованияКлиент.НачатьЗакрытииСессииРегистрацииКМ.УникальныйИдентификатор
// 	ИдентификаторУстройства - см. МенеджерОборудованияКлиент.СессияПроверкиКодовМаркировки.ИдентификаторУстройства
//
Процедура ЗакрытьСессиюПроверкиКМНаККТ(УникальныйИдентификатор, ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ЗакрытьСессиюПроверкиКМНаККТ(УникальныйИдентификатор, ИдентификаторУстройства) 
```
</details>

## НачатьПодключениеОборудованияПоследовательно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает процесс асинхронного подключения обрудования из формы рабочего места кассира.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма клиентского приложения
//
Процедура НачатьПодключениеОборудованияПоследовательно(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.НачатьПодключениеОборудованияПоследовательно(Форма) 
```
</details>

## ПродолжитьПодключениеОборудованиеПоИдентификаторуПоследовательно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает последовательное подключение оборудования по переданному массиву идентификаторов строк
//
// Параметры:
//  Результат - Булево - Истина, если массив ДополнительныеПараметры.ИдентификаторыСтрокОборудования не пустой
//  ДополнительныеПараметры - Структура:
//   *Форма - ФормаКлиентскогоПриложения -
//   *ИдентификаторыСтрокОборудования - Массив Из Число -
//
Процедура ПродолжитьПодключениеОборудованиеПоИдентификаторуПоследовательно(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ПродолжитьПодключениеОборудованиеПоИдентификаторуПоследовательно(Результат, ДополнительныеПараметры) 
```
</details>

## ПродолжитьПодключениеОборудованиеПоИдентификаторуПоследовательноЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает процедуры отмены оплаты платежной картой
//
// Параметры:
//  Данные - см. МенеджерОборудованияКлиентСервер.ПараметрыВыполненияОперацииНаОборудовании
//  ДополнительныеПараметры - Структура:
//   *Форма - ФормаКлиентскогоПриложения -
//   *ИдентификаторыСтрокОборудования - Массив Из Число -
//
Процедура ПродолжитьПодключениеОборудованиеПоИдентификаторуПоследовательноЗавершение(Данные, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ПродолжитьПодключениеОборудованиеПоИдентификаторуПоследовательноЗавершение(Данные, ДополнительныеПараметры) 
```
</details>

## ОтобразитьВопросОНеобходимостиНепроведенногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запрашивает подтверждение пользователя для отмены проведения документа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  ОписаниеОповещенияЗавершения - ОписаниеОповещения -
//
Процедура ОтобразитьВопросОНеобходимостиНепроведенногоДокумента(Форма, ОписаниеОповещенияЗавершения) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиент.ОтобразитьВопросОНеобходимостиНепроведенногоДокумента(Форма, ОписаниеОповещенияЗавершения) 
```
</details>

## ПроверитьВозможностьДобавленияОплатыБонуснымиБаллами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку возможности добавления оплаты бонусными баллами.
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  ПроверятьСтатусПроведения - Булево -
//
// Возвращаемое значение:
//  Булево -
//
Функция ПроверитьВозможностьДобавленияОплатыБонуснымиБаллами(Форма, ПроверятьСтатусПроведения = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиент.ПроверитьВозможностьДобавленияОплатыБонуснымиБаллами(Форма, ПроверятьСтатусПроведения);
```
</details>

## ЗапроситьПодтверждениеИзмененияОперацииПриЗакрытииКассовойСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запрашивает подтверждение изменения операции при закрытии кассвой смены.
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  ОповещениеОЗавершении - ОписаниеОповещения -
//
// Возвращаемое значение:
//  Булево -
//
Функция ЗапроситьПодтверждениеИзмененияОперацииПриЗакрытииКассовойСмены(Форма, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиент.ЗапроситьПодтверждениеИзмененияОперацииПриЗакрытииКассовойСмены(Форма, ОповещениеОЗавершении) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
