---
title: Розничные продажи клиент локализация
slug: erp-uh/розничные-продажи-клиент-локализация
---


## ПроверитьКодМаркировкиСредствамиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает механизм проверки кодов маркировки средствами ККТ
//
// Параметры:
//  ПозицииЧека - Массив - Позиции чека
//  ФормаВладелец - ФормаКлиентскогоПриложения - Форма владелец
//  ЗаголовокКнопкиИгнорировать - Строка, Неопределено - Заголовок кнопки игнорировать
//  ОповещениеОЗавершении - ОписаниеОповещения - Оповещение о завершении
//  ФормаПросмотра - ФормаКлиентскогоПриложения, Неопределено - Форма просмотра
Процедура ПроверитьКодМаркировкиСредствамиККТ(ПозицииЧека, ФормаВладелец, ЗаголовокКнопкиИгнорировать = Неопределено, ОповещениеОЗавершении, ФормаПросмотра = Неопределено) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.ПроверитьКодМаркировкиСредствамиККТ(ПозицииЧека, ФормаВладелец, ЗаголовокКнопкиИгнорировать, ОповещениеОЗавершении, ФормаПросмотра);
```
</details>

## ТребуетсяПроверкаКодовМаркировкиСредствамиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, требуется ли проверка кодов маркировки средствами ККТ.
//
// Параметры:
//  ПараметрыОперацииФискализацииЧека - Структура - Параметры операции фискализации чека
//
// Возвращаемое значение:
//  Булево - Истина - требуется проверка кодов маркировки средствами ККТ
Функция ТребуетсяПроверкаКодовМаркировкиСредствамиККТ(ПараметрыОперацииФискализацииЧека) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентЛокализация.ТребуетсяПроверкаКодовМаркировкиСредствамиККТ(ПараметрыОперацииФискализацииЧека) 
```
</details>

## ЭтоВозвратЧерезСБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, что это операция возврата через систему быстрых платежей. Используется для оптовых документов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//
// Возвращаемое значение:
//  Булево -
//
Функция ЭтоВозвратЧерезСБП(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентЛокализация.ЭтоВозвратЧерезСБП(Форма) 
```
</details>

## ПодготовитьДанныеДляВозвратаЧерезСБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Выполняет подготовку данных для возврата через систему быстрых платежей. Используется для оптовых документов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма документа оплаты
//  СтруктураСостояниеКассовойСмены - см. РозничныеПродажи.ПолучитьСостояниеКассовойСмены -
//
// Возвращаемое значение:
//  Структура:
//   *ТекстОшибки - Строка -
//   *ВозвратОплатыВыполнен - Булево -
//   *ДанныеДляВозвратаОплаты - Структура
//
Функция ПодготовитьДанныеДляВозвратаЧерезСБП(Форма, СтруктураСостояниеКассовойСмены) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентЛокализация.ПодготовитьДанныеДляВозвратаЧерезСБП(Форма, СтруктураСостояниеКассовойСмены) 
```
</details>

## ВыполнитьВозвратЧерезСБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию возврата через систему быстрых платежей. Используется для оптовых документов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма обработки предпросмотра чека
//  ПараметрыОткрытияФормыОплаты - Структура
//  ОповещениеОЗавершении - ОписаниеОповещения -
//
Процедура ВыполнитьВозвратЧерезСБП(Форма, ПараметрыОткрытияФормыОплаты, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.ВыполнитьВозвратЧерезСБП(Форма, ПараметрыОткрытияФормыОплаты, ОповещениеОЗавершении) 
```
</details>

## ОбработатьРезультатВозвратаОплатыЧерезСБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет при необходимости запись документа после выполнения возврата оплаты через СБП.
//
// Параметры:
//  РезультатВыполнения - Неопределено, КодВозвратаДиалога, Структура -
//  ДополнительныеПараметры - Структура
//
Процедура ОбработатьРезультатВозвратаОплатыЧерезСБП(РезультатВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.ОбработатьРезультатВозвратаОплатыЧерезСБП(РезультатВыполнения, ДополнительныеПараметры) 
```
</details>

## ВывестиQRКодНаДисплейПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает операцию вывода QR-кода на дисплей покупателя.
//
// Параметры:
//  ЗначениеQRКода - Строка - Платежная ссылка
//  КартинкаQRКода - Строка - Строка закодированная Base64
//  ОписаниеОповещенияПриЗавершении - ОписаниеОповещения -
//
Процедура ВывестиQRКодНаДисплейПокупателя(ЗначениеQRКода, КартинкаQRКода, ОписаниеОповещенияПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.ВывестиQRКодНаДисплейПокупателя(ЗначениеQRКода, КартинкаQRКода, ОписаниеОповещенияПриЗавершении);
```
</details>

## ВывестиQRКодНаДисплейПокупателяЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик завершения операции вывода QR-кода на дисплей покупателя. Используется по умолчанию.
// В случае возникновения ошибки, информирует пользователя.
//
// Параметры:
//  РезультатВыполнения - Структура -
//  Параметры - Структура
//
Процедура ВывестиQRКодНаДисплейПокупателяЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.ВывестиQRКодНаДисплейПокупателяЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## ПанельАдминистрированияУТПродажиПараметрыПодключенияНСПКПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При изменении параметров прокси НСПК на форме панели администрирования УТ "Продажи"
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
Процедура ПанельАдминистрированияУТПродажиПараметрыПодключенияНСПКПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.ПанельАдминистрированияУТПродажиПараметрыПодключенияНСПКПриИзменении(Форма) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаЗапросПроверкиКодаПозицийЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметры операции фискализации чека в части разрешительных данных позиций чека.
//
// Параметры:
// 	ПараметрыОперацииФискализацииЧека - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека - Данные для формирования параметров операции фискализации чека
//  РезультатПроверкиКодовМаркировки - см. ШтрихкодированиеИСМПКлиент.ПараметрыНачалаПроверкиКодовМаркировкиСредствамиККТ
//
Процедура ОбновитьПараметрыФискальногоЧекаЗапросПроверкиКодаПозицийЧека(ПараметрыОперацииФискализацииЧека, РезультатПроверкиКодовМаркировки) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.ОбновитьПараметрыФискальногоЧекаЗапросПроверкиКодаПозицийЧека(ПараметрыОперацииФискализацииЧека, РезультатПроверкиКодовМаркировки) 
```
</details>

## ЗапуститьПриНеобходимостиОбновлениеСпискаCDNПлощадок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запуск фонового обновления списка CDN-площадок
//
// Параметры:
//  ИдентификаторУстройстваККТ - СправочникСсылка.ПодключаемоеОборудование - выбранное ККТ
Процедура ЗапуститьПриНеобходимостиОбновлениеСпискаCDNПлощадок(ИдентификаторУстройстваККТ) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.ЗапуститьПриНеобходимостиОбновлениеСпискаCDNПлощадок(ИдентификаторУстройстваККТ) 
```
</details>

## ПослеОбновленияСпискаCDNПлощадок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещение о завершении фоновой процедуры обновления списка CDN-площадок
//
// Параметры:
//  Результат - Структура из КлючИЗначение, Неопределено
//  ДополнительныеПараметры - Структура из КлючИЗначение - дополнительные параметры ответа
Процедура ПослеОбновленияСпискаCDNПлощадок(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.ПослеОбновленияСпискаCDNПлощадок(Результат, ДополнительныеПараметры) 
```
</details>

## ОткрытьЖурналыОперацийБПО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает формы журналов операций БПО
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  Команда - КомандаФормы -
//
Процедура ОткрытьЖурналыОперацийБПО(Форма, Команда) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.ОткрытьЖурналыОперацийБПО(Форма, Команда) 
```
</details>

## НастроитьРасписаниеОчисткиЖурналовОперацийБПО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает формы журналов операций БПО
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  Команда - КомандаФормы -
//
Процедура НастроитьРасписаниеОчисткиЖурналовОперацийБПО(Форма, Команда) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентЛокализация.НастроитьРасписаниеОчисткиЖурналовОперацийБПО(Форма, Команда) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
