---
title: Розничные продажи клиент сервер
slug: erp-uh/розничные-продажи-клиент-сервер
---


## ЗаполнитьДанныеФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДанныеФискальнойОперации(ПараметрыОперацииФискализацииЧека, ДанныеФискальнойОперации) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентСервер.ЗаполнитьДанныеФискальнойОперации(ПараметрыОперацииФискализацииЧека, ДанныеФискальнойОперации) 
```
</details>

## СтавкаНДСФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтавкаНДСФискальнойОперации(СтавкаНДС, ПрименяютсяРасчетныеСтавки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.СтавкаНДСФискальнойОперации(СтавкаНДС, ПрименяютсяРасчетныеСтавки);
```
</details>

## ПризнакПредметаРасчетаФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//	ТипНоменклатуры - ПеречислениеСсылка.ТипыНоменклатуры
//	ПодакцизныйТовар - Булево
//	СтрокаПозицииЧека - Структура:
//		*ОсобенностьУчета - ПеречислениеСсылка.ОсобенностиУчетаНоменклатуры - .
// Возвращаемое значение:
//	ПеречислениеСсылка.ПризнакиПредметаРасчета -
Функция ПризнакПредметаРасчетаФискальнойОперации(ТипНоменклатуры, ПодакцизныйТовар, СтрокаПозицииЧека = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.ПризнакПредметаРасчетаФискальнойОперации(ТипНоменклатуры, ПодакцизныйТовар, СтрокаПозицииЧека);
```
</details>

## ДоступныеВидыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступные виды оплат по документу
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//
// Возвращаемое значение:
//  Структура:
//   *Наличные - Булево
//   *ПлатежныеКарты - Булево
//   *БонусныеБаллы - Булево
//   *ПодарочныеСертификаты - Булево
//
Функция ДоступныеВидыОплаты(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.ДоступныеВидыОплаты(Форма) 
```
</details>

## ОбновитьДанныеИнформационнойПанели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет данные информационной панели
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, на которой расположена информационная панель
//  Данные - Структура - Структура с данными информационной панели.
//
Процедура ОбновитьДанныеИнформационнойПанели(Форма, Данные) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентСервер.ОбновитьДанныеИнформационнойПанели(Форма, Данные) 
```
</details>

## СтруктураПовтораЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура данных для повтора операции записи.
//
// Возвращаемое значение:
//  Структура - Данные для повтора операции записи.
//
Функция СтруктураПовтораЗаписи() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.СтруктураПовтораЗаписи() 
```
</details>

## СтруктураСтрокиЧекаЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура строки чека для ЕГАИС
//
// Возвращаемое значение:
//  Структура - Структура строки чека для ЕГАИС.
//
Функция СтруктураСтрокиЧекаЕГАИС() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.СтруктураСтрокиЧекаЕГАИС() 
```
</details>

## ПроверитьУказаниеКонтактнойИнформацииПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка заполнения контактной информации в карточке партнера
//
// Параметры:
//  ВариантОтправкиЭлектронногоЧека - ПеречислениеСсылка.ВариантыОтправкиЭлектронногоЧекаПокупателю -
//  КонтактнаяИнформацияДляПроверки - Соответствие -
//  Отказ - Булево -
//
Процедура ПроверитьУказаниеКонтактнойИнформацииПартнера(ВариантОтправкиЭлектронногоЧека, КонтактнаяИнформацияДляПроверки, Отказ) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентСервер.ПроверитьУказаниеКонтактнойИнформацииПартнера(ВариантОтправкиЭлектронногоЧека, КонтактнаяИнформацияДляПроверки, Отказ) 
```
</details>

## СтрокиОплатыПлатежнымиКартами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив строк оплаты платежными картами по документу
//
// Параметры:
//  ОплатаПлатежнымиКартами - ДанныеФормыКоллекция, ТаблицаЗначений, ТабличнаяЧасть - Оплаты платежной картой:
//  * ВидОплаты - ПеречислениеСсылка.ТипыПлатежнойСистемыККТ -
//
// Возвращаемое значение:
//  Число - сумма оплаты СБП по документу
//
Функция СтрокиОплатыПлатежнымиКартами(Знач ОплатаПлатежнымиКартами) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.СтрокиОплатыПлатежнымиКартами(ОплатаПлатежнымиКартами) 
```
</details>

## СуммаОплатыПлатежнымиКартами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сумму оплаты платежными картами по документу
//
// Параметры:
//  ОплатаПлатежнымиКартами - ДанныеФормыКоллекция, ТаблицаЗначений, ТабличнаяЧасть - Оплаты платежной картой:
//  * ВидОплаты - ПеречислениеСсылка.ТипыПлатежнойСистемыККТ -
//  * Сумма - Число -
//
// Возвращаемое значение:
//  Число - сумма оплаты платежными картами по документу
//
Функция СуммаОплатыПлатежнымиКартами(ЗНАЧ ОплатаПлатежнымиКартами) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.СуммаОплатыПлатежнымиКартами(ЗНАЧ ОплатаПлатежнымиКартами) 
```
</details>

## УстановитьАктивностьЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить активность элементов формы: ПолеПолученоНаличными, Телефон, Email.
// Активные элементы связаны с цифровой клавиатурой формы.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма (ФормаОплатыНаличными или ФормаСмешаннойОплаты).
//
Процедура УстановитьАктивностьЭлементов(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентСервер.УстановитьАктивностьЭлементов(Форма) 
```
</details>

## УстановитьАктивныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включить использование клавиатуры для элемента формы.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма (ФормаОплатыНаличными или ФормаСмешаннойОплаты).
//  Элемент - ПолеФормы - Элемент формы, для которого необходимо включить клавиатуру.
//
Процедура УстановитьАктивныйЭлемент(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентСервер.УстановитьАктивныйЭлемент(Форма, Элемент) 
```
</details>

## УстановитьВариантОтправкиЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Установить вариант отправки электронного чека.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма (ФормаОплатыНаличными или ФормаСмешаннойОплаты).
//  ВариантОтправкиЭлектронногоЧека - ПеречислениеСсылка.ВариантыОтправкиЭлектронногоЧекаПокупателю - Вариант отправки
//                                                                                                    электронного чека.
//
Процедура УстановитьВариантОтправкиЭлектронногоЧека(Форма, ВариантОтправкиЭлектронногоЧека) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентСервер.УстановитьВариантОтправкиЭлектронногоЧека(Форма, ВариантОтправкиЭлектронногоЧека) 
```
</details>

## ОтформатироватьНомерТелефона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отформатировать номер телефона. Из номера вида 9999999999 формирует +7(999)999-99-99.
//
// Параметры:
//  Телефон - Строка - Номер телефона.
//
// Возвращаемое значение:
//  Строка - Отформатированный номер телефона.
//
Функция ОтформатироватьНомерТелефона(Телефон) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.ОтформатироватьНомерТелефона(Телефон) 
```
</details>

## НомерТелефонаВФормате10Знаков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить 10 знаков номера телефона по переданному представлению.
//
// Параметры:
//  Телефон - Строка - Представление номера телефона.
//
// Возвращаемое значение:
//  Строка - 10 знаков номера телефона.
//
Функция НомерТелефонаВФормате10Знаков(Телефон) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.НомерТелефонаВФормате10Знаков(Телефон) 
```
</details>

## СтруктураРезультатаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую структура результата оплаты чека ККМ.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * ПолученоНаличными - Число - Сумма оплаты наличными.
//   * ДанныеЭлектронногоЧека - Структура - Данные электронного чека, см. СтруктураДанныеЭлектронногоЧека.
//
Функция СтруктураРезультатаОплаты() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.СтруктураРезультатаОплаты() 
```
</details>

## СтруктураДанныеЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую структура данных электронного чека ККМ.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * Партнер - СправочникСсылка.Партнеры - Партнер.
//   * ВариантОтправкиЭлектронногоЧека - ПеречислениеСсылка.ВариантыОтправкиЭлектронногоЧекаПокупателю - Вариант
//       отправки электронного чека.
//   * КонтактныеДанныеЭлектронногоЧека - Строка - Телефон или адрес электронной почты.
//
Функция СтруктураДанныеЭлектронногоЧека() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.СтруктураДанныеЭлектронногоЧека() 
```
</details>

## ДанныеЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить данные электронного чека.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма (ФормаОплатыНаличными или ФормаСмешаннойОплаты).
//
// Возвращаемое значение:
//  Структура - Данные электронного чека, см. СтруктураДанныеЭлектронногоЧека.
//
Функция ДанныеЭлектронногоЧека(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.ДанныеЭлектронногоЧека(Форма) 
```
</details>

## ПроверитьНеобходимостьОбработкиДанныхЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить необходимость обработки данных электронного чека на сервере.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма (ФормаОплатыНаличными или ФормаСмешаннойОплаты).
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * ТребуетсяОбновитьКонтактнуюИнформацию - Булево - Требуется обновить контактную информацию.
//   * ТребуетсяСоздатьПартнера - Булево - Требуется создать партнера.
//
Функция ПроверитьНеобходимостьОбработкиДанныхЭлектронногоЧека(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.ПроверитьНеобходимостьОбработкиДанныхЭлектронногоЧека(Форма) 
```
</details>

## ПривестиСтрокуКЧислу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет приведение строки к числу.
//
// Параметры:
//  ЧислоСтрокой           - Строка - Строка приводимая к числу.
//  ВозвращатьНеопределено - Булево - Если Истина и строка содержит некорректное значение, то возвращать Неопределено.
//
// Возвращаемое значение:
//  Число - Приведенное значение.
//
Функция ПривестиСтрокуКЧислу(ЧислоСтрокой) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСервер.ПривестиСтрокуКЧислу(ЧислоСтрокой) 
```
</details>

## УстановитьДоступностьКнопокКлавиатурыФормыСмешаннойОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет доступностью кнопок клавиатуры на форме смешанной оплаты.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма (ФормаОплатыНаличными или ФормаСмешаннойОплаты).
//
Процедура УстановитьДоступностьКнопокКлавиатурыФормыСмешаннойОплаты(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентСервер.УстановитьДоступностьКнопокКлавиатурыФормыСмешаннойОплаты(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
