---
title: Розничные продажи клиент сервер локализация
slug: erp-uh/розничные-продажи-клиент-сервер-локализация
---


## ДополнитьДоступныеВидыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет колллекцию доступных видов оплат для вида документа
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//  ДоступныеВидыОплаты - Структура -
//
Процедура ДополнитьДоступныеВидыОплаты(Форма, ДоступныеВидыОплаты) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиКлиентСерверЛокализация.ДополнитьДоступныеВидыОплаты(Форма, ДоступныеВидыОплаты) 
```
</details>

## СуммаОплатыСБППоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Возвращает сумму оплаты СБП по документу
//
// Параметры:
//  ОплатыПлатежнойКартой - ДанныеФормыКоллекция, ТаблицаЗначений, ТабличнаяЧасть - Оплаты платежной картой:
//  * ВидОплаты - ПеречислениеСсылка.ТипыПлатежнойСистемыККТ -
//  * Сумма - Число -
//  * СтатусОплатыСБП - ПеречислениеСсылка.ТипыСтатусовОплатыСБП -
//  ТолькоОплатаВыполнена - Булево - Истина - Выполнена
//
// Возвращаемое значение:
//  Число - сумма оплаты СБП по документу
//
Функция СуммаОплатыСБППоДокументу(ОплатыПлатежнойКартой, ТолькоОплатаВыполнена = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСерверЛокализация.СуммаОплатыСБППоДокументу(ОплатыПлатежнойКартой, ТолькоОплатаВыполнена);
```
</details>

## СтрокиОплатыСБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив строк оплаты СБП по документу
//
// Параметры:
//  ОплатаПлатежнымиКартами - ДанныеФормыКоллекция, ТаблицаЗначений, ТабличнаяЧасть - Оплаты платежной картой:
//  * ВидОплаты - ПеречислениеСсылка.ТипыПлатежнойСистемыККТ -
//  * СтатусОплатыСБП - ПеречислениеСсылка.ТипыСтатусовОплатыСБП -
//  ТолькоОплатаВыполнена - Булево - Истина - Выполнена
//
// Возвращаемое значение:
//  Число - сумма оплаты СБП по документу
//
Функция СтрокиОплатыСБП(ОплатаПлатежнымиКартами, ТолькоОплатаВыполнена = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСерверЛокализация.СтрокиОплатыСБП(ОплатаПлатежнымиКартами, ТолькоОплатаВыполнена);
```
</details>

## ДанныеДляВозвратаПоДокументуОплатыСБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных используемых для для возврата по документу оплаты СБП.
//
// Возвращаемое значение:
//  Структура:
//   *ОснованиеПлатежа - ДокументСсылка -
//   *Партнер - СправочникСсылка.Партнеры -
//   *Сумма - Число -
//
Функция ДанныеДляВозвратаПоДокументуОплатыСБП() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСерверЛокализация.ДанныеДляВозвратаПоДокументуОплатыСБП() 
```
</details>

## ПараметрыПодключенияНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных используемых для подключения к сервису НСПК.
//
// Возвращаемое значение:
//  Структура:
//	* АдресСервисаНСПК - Строка - Адрес сервиса НСПК
//	* КлючДоступаНСПК - Строка - Ключ доступа к НСПК
//	* ПараметрыПроксиНСПК - Структура:
//	   **Сервер - Строка
//	   **Порт - Строка
//	   **Пользователь - Строка
//	   **Пароль - Строка
//
Функция ПараметрыПодключенияНСПК() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиКлиентСерверЛокализация.ПараметрыПодключенияНСПК() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
