---
title: Розничные продажи локализация
slug: erp-uh/розничные-продажи-локализация
---


## ПолучитьТоварыИШтрихкодыДляИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

Функция ПолучитьТоварыИШтрихкодыДляИСМП(ДокументСсылка, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ПолучитьТоварыИШтрихкодыДляИСМП(ДокументСсылка, МенеджерВременныхТаблиц) 
```
</details>

## ДанныеДляИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить данные для передачи МОТП сведений о розничной продаже
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//
// Возвращаемое значение:
//  ТаблицаЗначений - Данные о продажах
//
Функция ДанныеДляИСМП(ДокументСсылка, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ДанныеДляИСМП(ДокументСсылка, МенеджерВременныхТаблиц) 
```
</details>

## РаспределитьШтрихкодыПоТаблицеТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Распределить штрихкоды по таблице товаров.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ ссылка
//  МассивУпаковок - Массив ИЗ см. ШтрихкодированиеИС.НовыйЭлементКоллекцииУпаковокДляРаспределенияПоТоварам - Массив
//  штрихкодов упаковок для распределения.
//  ПараметрыУказанияСерий - Структура - см. НоменклатураКлиентСервер.ПараметрыУказанияСерий - Параметры указания серий
//  Товары - ТаблицаЗначений - Товары
//
// Возвращаемое значение:
//  ТаблицаЗначений - Распределить штрихкоды по таблице товаров
Функция РаспределитьШтрихкодыПоТаблицеТоваров(ДокументСсылка, МассивУпаковок, ПараметрыУказанияСерий, Товары) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.РаспределитьШтрихкодыПоТаблицеТоваров(ДокументСсылка, МассивУпаковок, ПараметрыУказанияСерий, Товары) 
```
</details>

## ДанныеРаспределенияШтрихкодовУпаковокПоТоварам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные распределения штрихкодов упаковок по товарам.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ для получения данных распределения
//  МассивУпаковок - Массив ИЗ см. ШтрихкодированиеИС.НовыйЭлементКоллекцииУпаковокДляРаспределенияПоТоварам - Массив
//  штрихкодов упаковок для распределения.
//  ПараметрыУказанияСерий - Структура - см. НоменклатураКлиентСервер.ПараметрыУказанияСерий - Параметры указания серий
//  Товары - ТаблицаЗначений - Товары для распределения по штрихкодам упаковок
//
// Возвращаемое значение:
//  см. ШтрихкодированиеИСМП.РаспределениеШтрихкодовУпаковокПоТоварам
Функция ДанныеРаспределенияШтрихкодовУпаковокПоТоварам( Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ДанныеРаспределенияШтрихкодовУпаковокПоТоварам();
```
</details>

## ПолучитьДанныеДляПечатнойФормыКМ6
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает данные для формирования печатной формы КМ-6.
//
// Возвращаемое значение:
// 	Структура:
//		* РезультатЗапроса - РезультатЗапроса - Содержит информацию для заполнения печатной формы
//		* ЗаголовокДокумента - Строка - Отображаемый заголовок табличного документа
Функция ПолучитьДанныеДляПечатнойФормыКМ6(ПараметрыПечати, МассивОбъектов) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ПолучитьДанныеДляПечатнойФормыКМ6(ПараметрыПечати, МассивОбъектов) 
```
</details>

## ПолучитьДанныеДляПечатнойФормыКМ3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает данные для формирования печатной формы КМ-3.
//
// Возвращаемое значение:
// 	Структура:
//		* РезультатЗапроса - РезультатЗапроса - Содержит информацию для заполнения печатной формы
//		* ЗаголовокДокумента - Строка - Отображаемый заголовок табличного документа
Функция ПолучитьДанныеДляПечатнойФормыКМ3(ПараметрыПечати, МассивОбъектов) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ПолучитьДанныеДляПечатнойФормыКМ3(ПараметрыПечати, МассивОбъектов) 
```
</details>

## ДокументЗакупкиПоПатенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет по документу закупки, применяет ли организация Патент
//
// Параметры:
//  ДокументЗакупки - ДокументСсылка - Документ закупки
//
// Возвращаемое значение:
//  Булево - Документ закупки по Патенту
Функция ДокументЗакупкиПоПатенту(ДокументЗакупки) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ДокументЗакупкиПоПатенту(ДокументЗакупки) 
```
</details>

## ЗаводскойНомерФискальногоНакопителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заводской номер ФН
//
// Параметры:
//  ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование - Идентификатор устройства
//
// Возвращаемое значение:
//  Строка - номер ФН
Функция ЗаводскойНомерФискальногоНакопителя(ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ЗаводскойНомерФискальногоНакопителя(ИдентификаторУстройства) 
```
</details>

## ДопустимыТоварыБезМарокВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

// Проверяет, допустимы ли в документе товары
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ для проверки
//
// Возвращаемое значение:
//  Булево - Допустимы товары без марок в документе
Функция ДопустимыТоварыБезМарокВДокументе(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ДопустимыТоварыБезМарокВДокументе(ДокументСсылка) 
```
</details>

## ТекстЗапросаДокументыПоРаспоряжению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса для получения документов по распоряжению (заказу клиента)
//
// Возвращаемое значение:
//  Строка - Текст запроса документы по распоряжению
Функция ТекстЗапросаДокументыПоРаспоряжению() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ТекстЗапросаДокументыПоРаспоряжению() 
```
</details>

## СистемаНалогообложенияФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает систему налогообложения организации на дату
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - Организация, для которой определяется система налогообложения
// 	Дата - Дата - Дата, на которую определяется система налогообложения
// Возвращаемое значение:
// 	ПеречислениеСсылка.ТипыСистемНалогообложенияККТ - Система налогообложения для параметров фискальных чеков
Функция СистемаНалогообложенияФискальнойОперации(Организация, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.СистемаНалогообложенияФискальнойОперации(Организация, Дата);
```
</details>

## АлкогольнаяПродукцияЕГАИСМаркируемая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли номенклатура алкогольной продукцией, имеющая уникальный идентификатор (маркируовку)
//
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура - Проверяемая номенклатура
//
// Возвращаемое значение:
//  Булево - Истина, если номенклатура является алкогольной продукцией, имеющая уникальный идентификатор (маркируовку)
Функция АлкогольнаяПродукцияЕГАИСМаркируемая(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.АлкогольнаяПродукцияЕГАИСМаркируемая(Номенклатура) 
```
</details>

## ПечататьОтдельныйСлипЧекЭквайринговойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает возможность печатать отдельный слип чек эквайринговой операции.
// Если Истина, то предполагается, что слип-чек эквайрингового терминала выводится отдельно и
// фискальный чек не содержит данные эквайринговой операции.
//
// Возвращаемое значение:
// 	Булево
Функция ПечататьОтдельныйСлипЧекЭквайринговойОперации() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ПечататьОтдельныйСлипЧекЭквайринговойОперации() 
```
</details>

## ПечататьОтдельныйСлипЧекЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает возможность печатать отдельный слип чек ЕГАИС.
// Если Истина, то предполагается, что слип-чек ЕГАИС выводится отдельно.
//
// Возвращаемое значение:
// 	Булево
Функция ПечататьОтдельныйСлипЧекЕГАИС() Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ПечататьОтдельныйСлипЧекЕГАИС() 
```
</details>

## РазрешенаПродажаПодарочногоСертификатаВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, разрешена ли в документе продажа подарочного сертификата в зависимости
// от хозяйственной операции документа.
//
// Параметры:
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция, по которой проверяется
//  	разрешена ли продажа подарочного сертификата в документе.
//
// Возвращаемое значение:
//  Булево - Разрешена продажа подарочного сертификата в документе
Функция РазрешенаПродажаПодарочногоСертификатаВДокументе(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.РазрешенаПродажаПодарочногоСертификатаВДокументе(ХозяйственнаяОперация) 
```
</details>

## ЗаписатьФискальнуюОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает объект формы
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма клиентского приложения:
//  * Объект - ДокументОбъект - Основной реквизит формы документа
//  ПараметрыФискализации - Структура -
//  ПараметрыЗаписи - Структура -
//  УспешноЗаписанДокумент - Булево - признак успешной записи документа
Процедура ЗаписатьФискальнуюОперацию(Форма, ПараметрыФискализации, ПараметрыЗаписи, УспешноЗаписанДокумент) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ЗаписатьФискальнуюОперацию(Форма, ПараметрыФискализации, ПараметрыЗаписи, УспешноЗаписанДокумент) 
```
</details>

## УстановитьФункциональнуюОпциюОплатаЭСФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить функциональную опцию оплаты ЭС ФСС в реквизите формы.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
Процедура УстановитьФункциональнуюОпциюОплатаЭСФСС(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.УстановитьФункциональнуюОпциюОплатаЭСФСС(Форма) 
```
</details>

## ПанельАдминистрированияУТПродажиНастроитьВидимостьЭлементовОплатыЭСФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настроить видимость элементов оплаты ЭС ФСС на форме панели администрирования УТ "Продажи"
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
Процедура ПанельАдминистрированияУТПродажиНастроитьВидимостьЭлементовОплатыЭСФСС(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ПанельАдминистрированияУТПродажиНастроитьВидимостьЭлементовОплатыЭСФСС(Форма) 
```
</details>

## ПанельАдминистрированияУТПродажиЗаполнитьПараметрыПодключенияНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить основные параметры подключения к НСПК
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
Процедура ПанельАдминистрированияУТПродажиЗаполнитьПараметрыПодключенияНСПК(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ПанельАдминистрированияУТПродажиЗаполнитьПараметрыПодключенияНСПК(Форма) 
```
</details>

## КассаККМНастроитьВидимостьЭлементовОплатыЭСФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настроить видимость элементов оплаты ЭС ФСС на форме элемента справочника "Кассы ККМ"
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
Процедура КассаККМНастроитьВидимостьЭлементовОплатыЭСФСС(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.КассаККМНастроитьВидимостьЭлементовОплатыЭСФСС(Форма) 
```
</details>

## КассаККМЗаполнитьПараметрыПодключенияНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить параметры подключения к НСПК для "Кассы ККМ"
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
Процедура КассаККМЗаполнитьПараметрыПодключенияНСПК(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.КассаККМЗаполнитьПараметрыПодключенияНСПК(Форма) 
```
</details>

## КассаККМЗаписатьПараметрыПодключенияОрганизацииНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать параметры подключения к НСПК для "Кассы ККМ"
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
//  ТекущийОбъект - СправочникОбъект.КассыККМ - Касса ККМ
Процедура КассаККМЗаписатьПараметрыПодключенияОрганизацииНСПК(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.КассаККМЗаписатьПараметрыПодключенияОрганизацииНСПК(Форма, ТекущийОбъект) 
```
</details>

## ОрганизацияНастроитьВидимостьЭлементовОплатыЭСФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настроить видимость элементов оплаты ЭС ФСС на форме элемента справочника "Организации"
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма клиентского приложения:
//  *Объект - СправочникОбъект - Основной реквизит формы справочника
Процедура ОрганизацияНастроитьВидимостьЭлементовОплатыЭСФСС(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ОрганизацияНастроитьВидимостьЭлементовОплатыЭСФСС(Форма) 
```
</details>

## ЭквайринговыйТерминалНастроитьВидимостьЭлементовОплатыЭСФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настроить видимость элементов оплаты ЭС ФСС на форме элемента справочника "ЭквайринговыеТерминалы"
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма
Процедура ЭквайринговыйТерминалНастроитьВидимостьЭлементовОплатыЭСФСС(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ЭквайринговыйТерминалНастроитьВидимостьЭлементовОплатыЭСФСС(Форма) 
```
</details>

## СуммаОплатыЭСФССПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сумму оплаты электронными сертификатам ФСС по документу
//
// Параметры:
//  ОплатыПлатежнойКартой - ТаблицаЗначений - Оплаты платежной картой:
//  * ВидОплаты - ПеречислениеСсылка.ТипыПлатежнойСистемыККТ -
//  * Сумма - Число -
//
// Возвращаемое значение:
//  Число - сумма оплаты электронными сертификатами ФСС по документу
Функция СуммаОплатыЭСФССПоДокументу(ОплатыПлатежнойКартой) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.СуммаОплатыЭСФССПоДокументу(ОплатыПлатежнойКартой) 
```
</details>

## СуммаОплатыСБППоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сумму оплаты СБП по документу
//
// Параметры:
//  ОплатыПлатежнойКартой - ТаблицаЗначений - Оплаты платежной картой:
//  * ВидОплаты - ПеречислениеСсылка.ТипыПлатежнойСистемыККТ -
//  * Сумма - Число -
//  * СтатусОплатыСБП - ПеречислениеСсылка.ТипыСтатусовОплатыСБП -
//  ТолькоОплатаВыполнена - Булево - Истина - Выполнена
//
// Возвращаемое значение:
//  Число - сумма оплаты СБП по документу
Функция СуммаОплатыСБППоДокументу(ОплатыПлатежнойКартой, ТолькоОплатаВыполнена = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.СуммаОплатыСБППоДокументу(ОплатыПлатежнойКартой, ТолькоОплатаВыполнена);
```
</details>

## УстановитьВозможностьИспользованиеОплатыСБПНаФормахРМК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить признак возможности использования оплаты СБП на формах РМК.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма документа, для которой определяется возможность использования оплаты СБП
Процедура УстановитьВозможностьИспользованиеОплатыСБПНаФормахРМК(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.УстановитьВозможностьИспользованиеОплатыСБПНаФормахРМК(Форма) 
```
</details>

## ДляОрганизацииНастроеноПодключениеСБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие настроек интеграции с СБП для организации.
//
// Параметры:
//  Организация - СправочникСсылка.Организации
//
// Возвращаемое значение:
//  Булево -
//
Функция ДляОрганизацииНастроеноПодключениеСБП(Организация) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ДляОрганизацииНастроеноПодключениеСБП(Организация) 
```
</details>

## ИдентификаторОплатыВПлатежнойСистеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить из платежной системы идентификатор оплаты в платежной системе.
//
// Параметры:
//  ПараметрыПроцедуры - Структура - Параметры процедуры
//  АдресРезультата - Строка - Адрес результата
Процедура ИдентификаторОплатыВПлатежнойСистеме(ПараметрыПроцедуры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ИдентификаторОплатыВПлатежнойСистеме(ПараметрыПроцедуры, АдресРезультата) 
```
</details>

## СтатусОплатыВПлатежнойСистеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить статус оплаты в платежной системе.
//
// Параметры:
//  ПараметрыПроцедуры - Структура - Параметры процедуры
//  АдресРезультата - Строка - Адрес результата
Процедура СтатусОплатыВПлатежнойСистеме(ПараметрыПроцедуры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.СтатусОплатыВПлатежнойСистеме(ПараметрыПроцедуры, АдресРезультата) 
```
</details>

## ВыполнитьВозвратОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить возврат оплаты в платежной системе
//
// Параметры:
//  ПараметрыПроцедуры - Структура - Параметры процедуры
//  АдресРезультата - Строка - Адрес результата
Процедура ВыполнитьВозвратОплаты(ПараметрыПроцедуры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ВыполнитьВозвратОплаты(ПараметрыПроцедуры, АдресРезультата) 
```
</details>

## СтатусВозвратаОплатыВПлатежнойСистеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить статус возврата оплаты в платежной системе.
//
// Параметры:
//  ПараметрыПроцедуры - Структура - Параметры процедуры
//  АдресРезультата - Строка - Адрес результата
Процедура СтатусВозвратаОплатыВПлатежнойСистеме(ПараметрыПроцедуры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.СтатусВозвратаОплатыВПлатежнойСистеме(ПараметрыПроцедуры, АдресРезультата) 
```
</details>

## ПодтвердитьВозвратОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подтверждает возврат оплаты и возвращает результат подтверждения
//
// Параметры:
//  ДокументВозврата - ДокументСсылка - Документ возврата
//  Интеграция - СправочникСсылка.НастройкиПодключенияКСистемеБыстрыхПлатежей - Интеграция
//
// Возвращаемое значение:
//  см. ПереводыСБПc2b.ПодтвердитьВозврат
Функция ПодтвердитьВозвратОплаты(ДокументВозврата, Интеграция) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ПодтвердитьВозвратОплаты(ДокументВозврата, Интеграция) 
```
</details>

## АктивироватьКассовуюСсылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Активирует кассовую ссылку для приема оплаты
//
// Параметры:
//  ПараметрыПроцедуры - Структура:
//  	*ДокументОплаты - см. ПереводыСБПc2b.АктивироватьКассовуюСсылку.ДокументОперации
//  	*ДанныеСсылки - см. ПереводыСБПc2b.АктивироватьКассовуюСсылку.ДанныеСсылки
//  	*ТорговаяТочка - см. ПереводыСБПc2b.АктивироватьКассовуюСсылку.НастройкаПодключения
//  АдресРезультата - Строка - Адрес результата
Процедура АктивироватьКассовуюСсылку(ПараметрыПроцедуры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.АктивироватьКассовуюСсылку(ПараметрыПроцедуры, АдресРезультата) 
```
</details>

## ДеактивироватьКассовуюСсылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Деактивирует кассовую ссылку, оплата по ней становится невозможной
//
// Параметры:
//  ПараметрыПроцедуры - Структура:
//  	*ДанныеСсылки - см. ПереводыСБПc2b.ДеактивироватьКассовуюСсылку.ДанныеСсылки
//  	*ТорговаяТочка - см. ПереводыСБПc2b.ДеактивироватьКассовуюСсылку.НастройкаПодключения
//  АдресРезультата - Строка - Адрес результата
Процедура ДеактивироватьКассовуюСсылку(ПараметрыПроцедуры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ДеактивироватьКассовуюСсылку(ПараметрыПроцедуры, АдресРезультата) 
```
</details>

## НастройкаПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет настройку подключения к платежной системе по договору подключения.
//
// Параметры:
//  ДоговорПодключения - СправочникСсылка.ДоговорыЭквайринга - Договор подключения к платежной системе
//
// Возвращаемое значение:
//  СправочникСсылка.НастройкиПодключенияКСистемеБыстрыхПлатежей - Настройка подключения к платежной системе
Функция НастройкаПодключения(ДоговорПодключения) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.НастройкаПодключения(ДоговорПодключения) 
```
</details>

## ДоговорПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет договор подключения к платежной системе по настройке подключения.
//
// Параметры:
//  НастройкаПодключения - СправочникСсылка.НастройкиПодключенияКСистемеБыстрыхПлатежей - Настройка подключения к платежной системе
//  ТолькоДействующийДоговор - Булево - Подбирать только действующий договор.
//
// Возвращаемое значение:
//  СправочникСсылка.ДоговорыЭквайринга - договор подключения к платежной системе
//
Функция ДоговорПодключения(НастройкаПодключения, ТолькоДействующийДоговор = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ДоговорПодключения(НастройкаПодключения, ТолькоДействующийДоговор);
```
</details>

## СформироватьНадписьНастройкаПодключенияПлатежнойСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает гиперссылку настройки подключения к платежной системе по договору подключения.
//
// Параметры:
//  ОбъектСсылка - СправочникСсылка.ДоговорыЭквайринга - Договор подключения к платежной системе
//
// Возвращаемое значение:
//  ФорматированнаяСтрока - Гиперссылка настройки подключения к платежной системе
Функция СформироватьНадписьНастройкаПодключенияПлатежнойСистемы(ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.СформироватьНадписьНастройкаПодключенияПлатежнойСистемы(ОбъектСсылка) 
```
</details>

## СуммаОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет сумму, по который была выполнена последняя операции в платежной системе.
// Метод следует использовать для отложенного получения статуса выполнения операции.
//
// Параметры:
//  ДокументОперации - ОпределяемыйТип.ДокументОперацииСБП - документ оплаты или возврата,
//      по которому были выполнены операции в платежных системах.
//
// Возвращаемое значение:
//  Число - Сумма последней операции с платежной системой
Функция СуммаОперации(ДокументОперации) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.СуммаОперации(ДокументОперации) 
```
</details>

## ПриФормированииСпискаПолучателейСообщенияСБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// На основании контактной информации контрагента формирует список получателей сообщения СБП.
//
// Параметры:
//  ДокументОперации - ОпределяемыйТип.ДокументОперацииСБП -
//  ВариантОтправки - Строка -
//  Получатели - Массив Из Строка -
//
Процедура ПриФормированииСпискаПолучателейСообщенияСБП(ДокументОперации, ВариантОтправки, Получатели) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ПриФормированииСпискаПолучателейСообщенияСБП(ДокументОперации, ВариантОтправки, Получатели) 
```
</details>

## ПриПроверкеИспользованияШаблоновСообщенийСБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет возможностью использования шаблонов сообщений СБП
//
// Параметры:
//  Используется - Булево -
//
Процедура ПриПроверкеИспользованияШаблоновСообщенийСБП(Используется) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ПриПроверкеИспользованияШаблоновСообщенийСБП(Используется) 
```
</details>

## ПриОпределенииПредопределенныхШаблоновСообщенийСБППоТипам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение массива шаблонов сообщений по типам документов.
//
// Параметры:
//  Шаблоны - Массив Из Структура - Шаблоны
//
Процедура ПриОпределенииПредопределенныхШаблоновСообщенийСБППоТипам(Шаблоны) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ПриОпределенииПредопределенныхШаблоновСообщенийСБППоТипам(Шаблоны) 
```
</details>

## УправлениеВидимостьюЭлементовНастроекЖурналовОперацийБПО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управление видимостью элементов формы админиистрирования настроек работы с подключаемым оборудованием.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//
Процедура УправлениеВидимостьюЭлементовНастроекЖурналовОперацийБПО(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.УправлениеВидимостьюЭлементовНастроекЖурналовОперацийБПО(Форма) 
```
</details>

## ВывестиQRКод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

// Получает платежную ссылку по переданному документу, преобразует ее в изображение QR кода СБП
// и устанавливает значение параметра QRКодКартинка. В случае успеха возвращает Истину.
//
// Параметры:
//  ДанныеПечати - Структура:
//    *Организация - СправочникСсылка.Организации
//    *Ссылка - ДокументСсылка
//  QRКодКартинка - Картинка
//  Размер - Число
//
// Возвращаемое значение:
//  Булево -
//
Функция ВывестиQRКод(ДанныеПечати, QRКодКартинка, Размер) Экспорт
```

Пример вызова
```bsl
Результат = РозничныеПродажиЛокализация.ВывестиQRКод(ДанныеПечати, QRКодКартинка, Размер) 
```
</details>

## ПанельАдминистрированияУТНастройкиРМКИОборудованияНастроитьВидимостьЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управление видимостью элементов формы админиистрирования настроек работы с подключаемым оборудованием
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения -
//
Процедура ПанельАдминистрированияУТНастройкиРМКИОборудованияНастроитьВидимостьЭлементов(Форма) Экспорт
```

Пример вызова
```bsl
РозничныеПродажиЛокализация.ПанельАдминистрированияУТНастройкиРМКИОборудованияНастроитьВидимостьЭлементов(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
