---
title: СПАРК риски
slug: erp-uh/спарк-риски
---


## ИспользованиеРазрешено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет возможность использования сервиса в соответствии с текущим
// режимом работы и правами пользователя.
//
// Параметры:
//	ДополнительныеПрава - Строка - дополнительные права для проверки,
//		заполненные через ";".
//		Возможные значения: "ПостановкаНаМониторинг;", "ЗапросСправки;".
//
// Возвращаемое значение:
//	Булево - признак разрешенности использования. Истина - использование разрешено,
//		Ложь - в противном случае.
//
Функция ИспользованиеРазрешено(ДополнительныеПрава = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СПАРКРиски.ИспользованиеРазрешено(ДополнительныеПрава);
```
</details>

## ДобавитьПодключаемыеКомандыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет подключаемые команды в подменю.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, на которую добавляются команды;
//  Источник - ДанныеФормыСтруктура - объект контрагент на форме карточки контрагента;
//           - ТаблицаФормы - список контрагентов в форме списка;
//  ЭлементПодменю - ГруппаФормы - подменю, в которое необходимо добавить команды.
//  ДополнительныеПараметры - Структура - дополнительные параметры заполнения подменю команд.
//    *КонтрагентСсылка - ОпределяемыйТип.КонтрагентБИП - ссылка на элемент справочника контрагентов,
//                        для которого выполняется команда. Необходимо использовать в том случае,
//                        если реквизит Ссылка в параметре Источник не соответствует контрагенту.
//
Процедура ДобавитьПодключаемыеКомандыКонтрагента( Экспорт
```

Пример вызова
```bsl
СПАРКРиски.ДобавитьПодключаемыеКомандыКонтрагента();
```
</details>

## ИндексыСПАРККонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию о контрагенте (индексы и прочая информация).
// В случае, если информации нет в кэше, то инициируется фоновое задание.
// Если передан ИНН, то информация получается напрямую из веб-сервиса без фонового задания.
//
// Параметры:
//  Контрагент - ОпределяемыйТип.КонтрагентБИП, Строка - Контрагент или ИНН контрагента;
//  ВидКонтрагента - ПеречислениеСсылка.ВидыКонтрагентовСПАРКРиски - вид проверки данных контрагента;
//  ПризнакЗагрузкиДанных - Булево - если ИСТИНА, то в случае, если данных нет или они просрочены, то запустить фоновое
//    задание загрузки данных.
//
// Возвращаемое значение:
//  см. СПАРКРискиКлиентСервер.НовыйДанныеИндексов
//
Функция ИндексыСПАРККонтрагента(Контрагент, ВидКонтрагента, ПризнакЗагрузкиДанных = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СПАРКРиски.ИндексыСПАРККонтрагента(Контрагент, ВидКонтрагента, ПризнакЗагрузкиДанных);
```
</details>

## ОтобразитьИндексыСПАРК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит информацию об индексах СПАРК Риски в элемент управления.
// В случае, если информации нет в кэше, то инициируется фоновое задание.
// Если передан ИНН, то информация получается напрямую из веб-сервиса без фонового задания.
//
// Параметры:
//  РезультатИндексыКонтрагента - Структура, Неопределено - результата выполнения функции ИндексыСПАРККонтрагента
//    (ключи описаны в СПАРКРискиКлиентСервер.НовыйДанныеИндексов()), или Неопределено, если необходимо вызвать эту
//    функцию;
//  КонтрагентОбъект - ОпределяемыйТип.КонтрагентБИПОбъект, Неопределено - заполняется в том случае, если форма
//    это форма элемента справочника, а не форма документа.
//  Контрагент - ОпределяемыйТип.КонтрагентБИП, Строка - Контрагент или ИНН контрагента;
//  ВидКонтрагента - ПеречислениеСсылка.ВидыКонтрагентовСПАРКРиски - вид проверки данных контрагента;
//  Форма - ФормаКлиентскогоПриложения - форма, в которой необходимо вывести информацию об индексах СПАРК Риски.
//    В этой форме должен присутствовать реквизит "ИндексыСПАРКРиски" произвольного типа и (если заполнение будет
//    осуществляться стандартным библиотечным способом), то элементы с именами:
//      ДекорацияИндексыСПАРКРиски - декорация текст;
//      КартинкаОжиданиеЗагрузкиИндексовСПАРКРиски - декорация картинка;
//  ПараметрыОтображения - Структура - прочие параметры. Возможные ключи:
//    * ВариантОтображения - см. СПАРКРискиКлиентСервер.ОтобразитьИндексыСПАРК
//  ПризнакЗагрузкиДанных - Булево - если ИСТИНА, то в случае, если данных нет или они просрочены, то запустить фоновое
//    задание загрузки данных.
//
Процедура ОтобразитьИндексыСПАРК( Экспорт
```

Пример вызова
```bsl
СПАРКРиски.ОтобразитьИндексыСПАРК();
```
</details>

## ПолучитьПредставленияИндексов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию об индексах СПАРК Риски в виде структуры форматированных строк.
// В случае, если информации нет в кэше, то инициируется фоновое задание.
// Если передан ИНН, то информация получается напрямую из веб-сервиса без фонового задания.
//
// Параметры:
//  РезультатИндексыКонтрагента - Структура, Неопределено - результата выполнения функции ИндексыСПАРККонтрагента
//    (ключи описаны в СПАРКРискиКлиентСервер.НовыйДанныеИндексов()), или Неопределено, если необходимо вызвать эту
//    функцию;
//  Контрагент - ОпределяемыйТип.КонтрагентБИП, Строка - Контрагент или ИНН контрагента;
//  ВидКонтрагента - ПеречислениеСсылка.ВидыКонтрагентовСПАРКРиски - вид проверки данных контрагента;
//  Форма - ФормаКлиентскогоПриложения - форма, в которой необходимо вывести информацию об индексах СПАРК Риски.
//  ПризнакЗагрузкиДанных - Булево - если ИСТИНА, то в случае, если данных нет или они просрочены, то запустить фоновое
//    задание загрузки данных.
//
// Возвращаемое значение:
//  см. СПАРКРискиКлиентСервер.НовыйПредставленияИндексов
//
Функция ПолучитьПредставленияИндексов( Экспорт
```

Пример вызова
```bsl
Результат = СПАРКРиски.ПолучитьПредставленияИндексов();
```
</details>

## СохранитьЗначенияИндексовВКэше
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает данные в кэш индексов СПАРК Риски.
//
// Параметры:
//  Данные - Структура - данные, необходимые для заполнения записи регистра сведений "ИндексыСПАРКРиски".
//
Процедура СохранитьЗначенияИндексовВКэше(Данные) Экспорт
```

Пример вызова
```bsl
СПАРКРиски.СохранитьЗначенияИндексовВКэше(Данные) 
```
</details>

## ОбновитьСобытияМониторинга
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает события мониторинга из сервиса 1СПАРК Риски:
//	- все события, если последняя загрузка событий выполнялась
//	  не в текущий день;
//	- события по контрагентам, поставленным на мониторинг, события
//	  по которым еще не загружались в информационную базу.
//
// Возвращаемое значение:
//	- ПеречислениеСсылка.ВидыОшибокСПАРКРиски - вид ошибки,
//		возникшей при загрузке событий из сервиса 1СПАРК Риски.
//		При успешном выполнении возвращается пустая ссылка.
//
Функция ОбновитьСобытияМониторинга() Экспорт
```

Пример вызова
```bsl
Результат = СПАРКРиски.ОбновитьСобытияМониторинга() 
```
</details>

## ЗаполнитьКонтрагентовНаМониторинге
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет контрагентов на мониторинге в соответствии.
// См. СПАРКРискиПереопределяемый.КонтрагентыДляМониторинга().
//
Процедура ЗаполнитьКонтрагентовНаМониторинге() Экспорт
```

Пример вызова
```bsl
СПАРКРиски.ЗаполнитьКонтрагентовНаМониторинге() 
```
</details>

## ВключитьОтключитьМониторингСобытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает или отключает мониторинг контрагентов.
//
// Параметры:
//  Контрагенты - Массив из ОпределяемыйТип.КонтрагентБИП - контрагенты для добавления или удаления.
//  Включить - Булево - Истина - включить мониторинг, Ложь - в противном случае;
//  Вручную - Булево - установить признак ручной постановки на мониторинг.
//
Процедура ВключитьОтключитьМониторингСобытий(Контрагенты, Включить, Вручную = Ложь) Экспорт
```

Пример вызова
```bsl
СПАРКРиски.ВключитьОтключитьМониторингСобытий(Контрагенты, Включить, Вручную);
```
</details>

## МониторингСобытийВключен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак постановки контрагента на мониторинг.
//
// Параметры:
//	Контрагент - ОпределяемыйТип.КонтрагентБИП - проверяемый контрагент;
//	Вручную    - Булево - проверить признак ручной или автоматической постановки.
//		Если не передан, тогда не учитывается.
//
// Возвращаемое значение:
//	Булево - Истина - мониторинг включен, Ложь - в противном случае.
//
Функция МониторингСобытийВключен(Контрагент, Вручную = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СПАРКРиски.МониторингСобытийВключен(Контрагент, Вручную);
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из форм, в которые встроен показ индексов 1СПАРК Риски.
//
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма, в которой инициировано событие;
//  КонтрагентОбъект     - Объект, Неопределено - заполняется в том случае, если форма - это форма
//                         элемента справочника, а не форма документа.
//  Контрагент           - ОпределяемыйТип.КонтрагентБИП, Строка - Контрагент или ИНН контрагента;
//  ВидКонтрагента       - ПеречислениеСсылка.ВидыКонтрагентовСПАРКРиски - вид проверки данных контрагента;
//  ПараметрыОтображения - Структура - прочие параметры. Возможные ключи:
//    * ВариантОтображения - Строка - см. описание в СПАРКРиски.ОтобразитьИндексыСПАРК.
//
Процедура ПриСозданииНаСервере(Форма, КонтрагентОбъект, Контрагент, ВидКонтрагента, ПараметрыОтображения) Экспорт
```

Пример вызова
```bsl
СПАРКРиски.ПриСозданииНаСервере(Форма, КонтрагентОбъект, Контрагент, ВидКонтрагента, ПараметрыОтображения) 
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из форм объектов, в которые встроен показ индексов 1СПАРК Риски.
// Сценарий использования такой: при создании нового объекта и ввода ИНН, инициируется получение индексов СПАРК Риски.
//  НО! Так как ссылки еще нет, то полученные данные не сохраняются в кэше и при повторном открытии этой же формы,
//  данные получаются заново. В этой процедуре реализована запись полученных индексов в кэш.
//
// Параметры:
//  Форма           - ФормаКлиентскогоПриложения - форма, в которой инициировано событие;
//  ТекущийОбъект   - Объект - Записываемый объект;
//  ПараметрыЗаписи - Структура - Параметры записи объекта. Ключи:
//    * ВключитьМониторингСобытий1СПАРКРиски - Булево - добавить контрагента
//        в список контрагентов на мониторинге 1СПАРК Риски.
//        Истина - добавить, Ложь - не добавлять;
//    * КонтрагентСсылка - ссылка на контрагента. Необходимо заполнять в том случае,
//        если ТекущийОбъект.Ссылка не указывает на Контрагента, информацию о котором необходимо сохранить в кэше.
//
Процедура ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
СПАРКРиски.ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
