---
title: СПАРК риски клиент
slug: erp-uh/спарк-риски-клиент
---


## ИспользованиеРазрешено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет возможность использования сервиса в соответствии с текущим
// режимом работы и правами пользователя.
//
// Возвращаемое значение:
//  Булево - Истина - использование разрешено, Ложь - в противном случае.
//
Функция ИспользованиеРазрешено() Экспорт
```

Пример вызова
```bsl
Результат = СПАРКРискиКлиент.ИспользованиеРазрешено() 
```
</details>

## ОткрытьСписокСправок1СПАРКРиски
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает список справок 1СПАРК Риски.
//
// Параметры:
//  Контрагент - ОпределяемыйТип.КонтрагентБИП - отбор по контрагенту;
//  ДополнительныеПараметры - Структура - дополнительные параметры открытия формы.
//    *ПоказыватьОтбор - Булево - Истина - показывать отбор в списке,
//                              - Ложь - в противном случае;
//    *Источник - ОкноКлиентскогоПриложения, ФормаКлиентскогоПриложения - содержит окно
//                                               или форму, из которой вызвана команда;
//    *Уникальность - Булево - соответствует обработчику команды;
//    *Окно - ОкноКлиентскогоПриложения - соответствует обработчику команды;
//    *НавигационнаяСсылка - Строка - соответствует обработчику команды.
//
Процедура ОткрытьСписокСправок1СПАРКРиски( Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиент.ОткрытьСписокСправок1СПАРКРиски();
```
</details>

## ОткрытьСобытияМониторинга1СПАРКРиски
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает отчет со списком событий по контрагенту.
//
// Параметры:
//  Контрагент - ОпределяемыйТип.КонтрагентБИП - отбор по контрагенту;
//  ДополнительныеПараметры - Структура - дополнительные параметры открытия формы.
//    *Источник - ОкноКлиентскогоПриложения, ФормаКлиентскогоПриложения - содержит окно
//                                               или форму, из которой вызвана команда;
//    *Уникальность - Булево - соответствует обработчику команды;
//    *Окно - ОкноКлиентскогоПриложения - соответствует обработчику команды;
//    *НавигационнаяСсылка - Строка - соответствует обработчику команды.
//
Процедура ОткрытьСобытияМониторинга1СПАРКРиски( Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиент.ОткрытьСобытияМониторинга1СПАРКРиски();
```
</details>

## ИндексыСПАРККонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию о контрагенте (индексы и прочая информация).
// В случае, если информации нет в кэше, то инициируется фоновое задание.
// Если передан ИНН, то информация получается напрямую из веб-сервиса без фонового задания.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, инициировавшая запрос на получение индексов СПАРК Риски;
//  Контрагент - ОпределяемыйТип.КонтрагентБИП, Строка - Контрагент или ИНН контрагента;
//  ВидКонтрагента - ПеречислениеСсылка.ВидыКонтрагентовСПАРКРиски - вид проверки данных контрагента;
//  ПризнакЗагрузкиДанных - Булево - параметр устарел и будет удален в будущих релизах. Все переданные значения
//    игнорируются.
//
// Возвращаемое значение:
//  см. СПАРКРискиКлиентСервер.НовыйДанныеИндексов
//
Функция ИндексыСПАРККонтрагента(Форма, Контрагент, ВидКонтрагента, ПризнакЗагрузкиДанных = Истина) Экспорт
```

Пример вызова
```bsl
Результат = СПАРКРискиКлиент.ИндексыСПАРККонтрагента(Форма, Контрагент, ВидКонтрагента, ПризнакЗагрузкиДанных);
```
</details>

## ОтобразитьИндексыСПАРК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит информацию об индексах СПАРК Риски в элемент управления.
// В случае, если информации нет в кэше, то инициируется фоновое задание.
// Если передан ИНН, то информация получается напрямую из веб-сервиса без фонового задания.
//
// Параметры:
//  РезультатИндексыКонтрагента - Структура, Неопределено - результата выполнения функции ИндексыСПАРККонтрагента
//    (ключи описаны в СПАРКРискиКлиентСервер.НовыйДанныеИндексов()), или Неопределено, если необходимо вызвать эту
//    функцию;
//  КонтрагентОбъект - ОпределяемыйТип.КонтрагентБИПОбъект, Неопределено - заполняется в том случае, если форма
//    это форма элемента справочника, а не форма документа.
//  Контрагент - ОпределяемыйТип.КонтрагентБИП, Строка - Контрагент или ИНН контрагента;
//  ВидКонтрагента - ПеречислениеСсылка.ВидыКонтрагентовСПАРКРиски - вид проверки данных контрагента;
//  Форма - ФормаКлиентскогоПриложения - форма, в которой необходимо вывести информацию об индексах СПАРК Риски.
//    В этой форме должен присутствовать реквизит "ИндексыСПАРКРиски" произвольного типа и (если заполнение будет
//    осуществляться стандартным библиотечным способом), то элементы с именами:
//      ДекорацияИндексыСПАРКРиски - декорация текст;
//      КартинкаОжиданиеЗагрузкиИндексовСПАРКРиски - декорация картинка;
//  ПараметрыОтображения - Структура - прочие параметры. Возможные ключи:
//    * ВариантОтображения - Строка - см. СПАРКРискиКлиентСервер.ОтобразитьИндексыСПАРК
//  ПризнакЗагрузкиДанных - Булево - параметр устарел и будет удален в будущих релизах. Все переданные значения
//    игнорируются.
//
Процедура ОтобразитьИндексыСПАРК( Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиент.ОтобразитьИндексыСПАРК();
```
</details>

## ПолучитьПредставленияИндексов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию об индексах СПАРК Риски в виде структуры форматированных строк.
// В случае, если информации нет в кэше, то инициируется фоновое задание.
// Если передан ИНН, то информация получается напрямую из веб-сервиса без фонового задания.
//
// Параметры:
//  РезультатИндексыКонтрагента - Структура, Неопределено - результата выполнения функции ИндексыСПАРККонтрагента
//                                 (ключи описаны в СПАРКРискиКлиентСервер.НовыйДанныеИндексов()),
//                                 или Неопределено, если необходимо вызвать эту функцию;
//  Контрагент - ОпределяемыйТип.КонтрагентБИП, Строка - Контрагент или ИНН контрагента;
//  ВидКонтрагента - ПеречислениеСсылка.ВидыКонтрагентовСПАРКРиски - вид проверки данных контрагента;
//  Форма      - ФормаКлиентскогоПриложения - форма, в которой необходимо вывести информацию
//               об индексах СПАРК Риски.
//  ПризнакЗагрузкиДанных - Булево - параметр устарел и будет удален в будущих релизах. Все переданные значения
//    игнорируются.
//
// Возвращаемое значение:
//  см. СПАРКРискиКлиентСервер.НовыйПредставленияИндексов
//
Функция ПолучитьПредставленияИндексов( Экспорт
```

Пример вызова
```bsl
Результат = СПАРКРискиКлиент.ПолучитьПредставленияИндексов();
```
</details>

## ПоказатьЗначенияИндексовКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отображает значения индексов контрагента в отдельной форме.
//
// Параметры:
//	ИндексыСПАРКРиски - Структура - см. описание возвращаемого значения
//		функции СПАРКРискиКлиентСервер.НовыйДанныеИндексов();
//	ВладелецФормы - ФормаКлиентскогоПриложения - владелец формы просмотра индексов.
//
Процедура ПоказатьЗначенияИндексовКонтрагента(ИндексыСПАРКРиски, ВладелецФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиент.ПоказатьЗначенияИндексовКонтрагента(ИндексыСПАРКРиски, ВладелецФормы);
```
</details>

## ПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из форм, в которые встроен показ индексов 1СПАРК Риски.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой инициировано событие;
//  КонтрагентОбъект - Объект, Неопределено - заполняется в том случае,
//                     если форма - это форма элемента справочника, а не форма документа.
//
Процедура ПриОткрытии(Форма, КонтрагентОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиент.ПриОткрытии(Форма, КонтрагентОбъект);
```
</details>

## ОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ОбработкаНавигационнойСсылки" любой формы.
//
// Параметры:
//  Форма               - ФормаКлиентскогоПриложения - форма, в которой инициировано событие;
//  ЭлементФормы        - ПолеФормы - элемент формы, в котором инициировано событие;
//  НавигационнаяСсылка - Строка - навигационная ссылка. Возможные стандартные значения:
//    - SPARK:WhatIsIndexOfDueDiligence - ИДО;
//    - SPARK:WhatIsFailureScore - ИФР;
//    - SPARK:WhatIsPaymentIndex - ИПД;
//    - SPARK:About - информация о сервисе;
//    - SPARK:OpenStatusDescription - расшифровка статуса;
//    - SPARK:WhatIsCompositeIndex - сводный индекс;
//    - SPARK:NoInfo - причины отсутствия информации;
//  СтандартнаяОбработкаФормой      - Булево - в этот параметр возвратить Ложь, если надо
//                                    запретить стандартную обработку события формой.
//
Процедура ОбработкаНавигационнойСсылки( Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиент.ОбработкаНавигационнойСсылки();
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ОбработкаОповещения" любой формы.
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения - форма, в которой инициировано событие;
//  КонтрагентОбъект - Объект, Неопределено - заполняется в том случае,
//                     если это форма элемента справочника, а не форма документа.
//  ИмяСобытия       - Произвольный - имя события;
//  Параметр         - Произвольный - параметр оповещения;
//  Источник         - Произвольный - источник оповещения.
//
Процедура ОбработкаОповещения(Форма, КонтрагентОбъект, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиент.ОбработкаОповещения(Форма, КонтрагентОбъект, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПерейтиВВебВерсиюСПАРК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет получение ссылки на веб-версию СПАРК для переданного контрагента.
// В случае возникновении ошибок, выполняется обработка или формирования сообщения
// для пользователя:
//  - если не подключена Интернет-поддержка пользователей и пользователь имеет право
//    на подключение, выполняется переход к форме ввода данных аутентификации;
//  - если не подключена Интернет-поддержка пользователей и пользователь не имеет
//    право на подключение отображается сообщение с рекомендацией обратится к администратору;
//  - если у пользователя недостаточно опций для выполнения перехода выполняется
//    проверка возможности подключения тестового периода;
//  - если сервис временно не доступен или возникла ошибка подключения
//    формируется сообщение, которое можно обработать в оповещении;
//  - если контрагент не подлежит проверке, отображается предупреждение
//    формируется сообщение, которое можно обработать в оповещении.
//
// Параметры:
//  Контрагент - ОпределяемыйТип.КонтрагентБИП - контрагент для которого
//               необходимо получить ссылку на веб-версию СПАРК;
//  ОписаниеОповещения - ОписаниеОповещения, Неопределено - оповещение, которое будет вызвано
//                       после выполнения процедуры. Если передано значение Неопределено, будет
//                       выполнена стандартная обработка перехода. Данные, которые будут переданы
//                       в обработчик оповещения:
//                         *Результат - Структура - результат получения ссылки:
//                            **ВидОшибки - ПеречислениеСсылка.ВидыОшибокСПАРКРиски - ошибка выполнения,
//                                          если свойство не заполнено, ошибок не было:
//                            **СообщениеОбОшибке - Строка - пользовательское представление ошибки;
//                            **URL - Строка - ссылка для перехода в веб-версию. Переход возможен
//                                    в течение 60 секунд после получения ссылки в СПАРК;
//                            **ИНН - Строка - ИНН контрагента, для которого была получена ссылка;
//                         *ДополнительныеПараметры - значение, которое было указано при создании объекта оповещения;
//  ПодключитьТестовыйПериод - Булево - если передано значение Истина, при наличии тестового периода,
//                             пользователю будет предложено его подключить.
//
Процедура ПерейтиВВебВерсиюСПАРК( Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиент.ПерейтиВВебВерсиюСПАРК();
```
</details>

## ПереходыВВебВерсиюСПАРК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму истории переходов в веб-версию СПАРК.
//
Процедура ПереходыВВебВерсиюСПАРК() Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиент.ПереходыВВебВерсиюСПАРК() 
```
</details>

## ВыполнитьПодключаемуюКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подключаемую команду в форме карточки контрагента и форме
// списка контрагентов.
//
// Параметры:
//  Команда - КомандыФормы - выполняемая команда;
//  Форма - ФормаКлиентскогоПриложения - форма, в которой выполняется команда;
//  Источник - ДанныеФормыСтруктура - объект контрагент в карточке контрагента;
//           - ТаблицаФормы - список контрагентов в форме списка.
//  ДополнительныеПараметры - Структура - дополнительные параметры выполнения команды.
//    *КонтрагентСсылка - ОпределяемыйТип.КонтрагентБИП - ссылка на элемент справочника контрагентов,
//                            для которого выполняется команда. Необходимо использовать в том случае,
//                            если реквизит Ссылка в параметре Источник не соответствует контрагенту.
//
Процедура ВыполнитьПодключаемуюКоманду(Команда, Форма, Источник, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиент.ВыполнитьПодключаемуюКоманду(Команда, Форма, Источник, ДополнительныеПараметры);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
