---
title: СПАРК риски клиент переопределяемый
slug: erp-uh/спарк-риски-клиент-переопределяемый
---


## ОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ОбработкаНавигационнойСсылки" любой формы.
//
// Параметры:
//  Форма                           - ФормаКлиентскогоПриложения - форма, в которой инициировано событие;
//  ЭлементФормы                    - ПолеФормы - элемент формы, в котором инициировано событие;
//  НавигационнаяСсылка             - Строка - навигационная ссылка;
//  СтандартнаяОбработкаФормой      - Булево - в этот параметр возвратить Ложь,
//                                    если надо запретить стандартную обработку события формой;
//  СтандартнаяОбработкаБиблиотекой - Булево - в этот параметр возвратить Ложь,
//                                    если надо запретить стандартную обработку события библиотекой.
//
//@skip-warning
Процедура ОбработкаНавигационнойСсылки( Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиентПереопределяемый.ОбработкаНавигационнойСсылки();
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ОбработкаОповещения" любой формы.
//
// Параметры:
//  Форма                           - ФормаКлиентскогоПриложения - форма, в которой инициировано событие;
//  КонтрагентОбъект                - Объект, Неопределено - заполняется в том случае, если форма - это форма
//                                    элемента справочника, а не форма документа.
//  ИмяСобытия                      - Произвольный - имя события;
//  Параметр                        - Произвольный - параметр оповещения;
//  Источник                        - Произвольный - источник оповещения;
//  СтандартнаяОбработкаБиблиотекой - Булево - в этот параметр возвратить Ложь, если надо запретить
//                                    стандартную обработку события библиотекой.
//
//@skip-warning
Процедура ОбработкаОповещения( Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиентПереопределяемый.ОбработкаОповещения();
```
</details>

## ПереопределитьПараметрыПроверкиФоновыхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура переопределяет интервал проверки фоновых заданий и количество повторов проверки.
//
// Параметры:
//  КоличествоПроверок - Число - количество проверок фоновых заданий. Должно быть от 1 до 40. По-умолчанию 20;
//  ИнтервалПроверки   - Число - интервал проверки фоновых заданий (в секундах, должно быть от 1 до 30).
//                       По-умолчанию 1 секунда.
//
//@skip-warning
Процедура ПереопределитьПараметрыПроверкиФоновыхЗаданий(КоличествоПроверок, ИнтервалПроверки) Экспорт
```

Пример вызова
```bsl
СПАРКРискиКлиентПереопределяемый.ПереопределитьПараметрыПроверкиФоновыхЗаданий(КоличествоПроверок, ИнтервалПроверки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
