---
title: Самообслуживание сервер
slug: erp-uh/самообслуживание-сервер
---


## СоглашениеДействуетДляПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, действует ли соглашение для партнера в данный момент
//
// Параметры:
//  Соглашение - СправочникСсылка.СоглашенияСКлиентами - соглашение,
//                для которого выполняется проверка.
//  Партнер - СправочникСсылка.Партнеры - партнер,
//                для которого выполняется проверка.
//
// Возвращаемое значение:
//  Булево    - Истина, если действует, ложь в обратном случае.
//
Функция СоглашениеДействуетДляПартнера(Соглашение,Партнер) Экспорт
```

Пример вызова
```bsl
Результат = СамообслуживаниеСервер.СоглашениеДействуетДляПартнера(Соглашение, Партнер)  
```
</details>

## ПолучитьСоглашениеПартнераПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает соглашение партнера по умолчанию.
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры - партнер, для которого получается соглашение.
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - хозяйственная операция соглашения.
//
// Возвращаемое значение:
//  ВыборкаИзРезультатаЗапроса, Неопределено - содержит ссылку на соглашение и реквизиты соглашения,
//
Функция ПолучитьСоглашениеПартнераПоУмолчанию(Партнер, ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = СамообслуживаниеСервер.ПолучитьСоглашениеПартнераПоУмолчанию(Партнер, ХозяйственнаяОперация) 
```
</details>

## ОсновнойМенеджерПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает основного менеджера партнера
//
// Параметры:
//  Партнер  - СправочникСсылка.Партнеры - партнер, для которого получаем значение основного менеджера.
//
// Возвращаемое значение:
//   СправочникСсылка.Пользователи   - основной менеджер партнера.
//
Функция ОсновнойМенеджерПартнера(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = СамообслуживаниеСервер.ОсновнойМенеджерПартнера(Партнер) 
```
</details>

## ОсновнойМенеджерКонтактногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает основного менеджера контактного лица партнера.
//
// Параметры:
//  КонтактноеЛицо  - СправочникСсылка.КонтактныеЛицаПартнеров - контактное лицо партнера, для которого получаем значение основного менеджера.
//
// Возвращаемое значение:
//   СправочникСсылка.Пользователи   - основной менеджер контактного лица партнера.
//
Функция ОсновнойМенеджерКонтактногоЛица(КонтактноеЛицо) Экспорт
```

Пример вызова
```bsl
Результат = СамообслуживаниеСервер.ОсновнойМенеджерКонтактногоЛица(КонтактноеЛицо) 
```
</details>

## ОсновнойМенеджерВнешнегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает основного менеджера внешнего пользователя.
//
// Параметры:
//  ВнешнийПользователь  - СправочникСсылка.ВнешниеПользователи - внешний пользователь, для которого получаем значение основного менеджера.
//
// Возвращаемое значение:
//   СправочникСсылка.Пользователи   - основной менеджер внешнего пользователя.
//
Функция ОсновнойМенеджерВнешнегоПользователя(ВнешнийПользователь) Экспорт
```

Пример вызова
```bsl
Результат = СамообслуживаниеСервер.ОсновнойМенеджерВнешнегоПользователя(ВнешнийПользователь) 
```
</details>

## МенеджерДокументаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает менеджер документа по умолчанию в зависимости от типа авторизованного пользователя.
//
// Возвращаемое значение:
//   СправочникСсылка.Пользователи   - основной менеджер внешнего пользователя.
//
Функция МенеджерДокументаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = СамообслуживаниеСервер.МенеджерДокументаПоУмолчанию() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
