---
title: Сверка ВГО вызов сервера УХ
slug: erp-uh/сверка-вго-вызов-сервера-ух
---


## УбедитьсяЧтоРасхожденияРасчитаны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовка для работы с расхождениями:
//	 1. Проверяем, что запущено фоновое задание по расчету расхождений
//	 2. Если запущено, то ждем завершения.
//	 3. Запускаем повторный расчет (могут появиться новые данные, после запуска фонового задания п. 2) и ждем завершения.
// Параметры:
//	ОтборДанных - струкутра с параметрами отбора (Сценарий, ПериодСверки, Этап, Организации, Дебитор, Кредитор).
//	ТекстОшибки - если возникает ошибка, то к значению переменной дописывается описание ошибки.
//	ОжидатьЗавершения - ждать завершения фонового задания.
//
Функция УбедитьсяЧтоРасхожденияРасчитаны(Знач ОтборДанных=Неопределено, ТекстОшибки=Неопределено, ОжидатьЗавершения=Истина, флОтладка=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОВызовСервераУХ.УбедитьсяЧтоРасхожденияРасчитаны(ОтборДанных, ТекстОшибки, ОжидатьЗавершения, флОтладка);
```
</details>

## ПолучитьПоляРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соотвествие с описанием аналитик расхождения ВГО для указанной расшифровки СКД.
Функция ПолучитьПоляРасшифровки(Знач ПользовательскиеНастройки, Знач ДанныеРасшифровки, Знач Расшифровка) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОВызовСервераУХ.ПолучитьПоляРасшифровки(ПользовательскиеНастройки, ДанныеРасшифровки, Расшифровка) 
```
</details>

## ВыполненитьДействиеПорталаВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполненитьДействиеПорталаВГО(ВыполненноеДействие, Отбор) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОВызовСервераУХ.ВыполненитьДействиеПорталаВГО(ВыполненноеДействие, Отбор) 
```
</details>

## ЗаполнитьЗапись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗапись(Запись, Отбор, ПериодРегистрации = Неопределено) Экспорт
```

Пример вызова
```bsl
СверкаВГОВызовСервераУХ.ЗаполнитьЗапись(Запись, Отбор, ПериодРегистрации);
```
</details>

## ЗаписатьОтветственного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписатьОтветственного(Организация, Роль, Ответственный) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОВызовСервераУХ.ЗаписатьОтветственного(Организация, Роль, Ответственный) 
```
</details>

## УдалитьОтветственных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УдалитьОтветственных(Организация, Роль) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОВызовСервераУХ.УдалитьОтветственных(Организация, Роль) 
```
</details>

## ОрганизацииУчаствующиеВСверке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить список организаций участвующих в сверке
Функция ОрганизацииУчаствующиеВСверке(ПериодСценария, Сценарий, Пользователь=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОВызовСервераУХ.ОрганизацииУчаствующиеВСверке(ПериодСценария, Сценарий, Пользователь);
```
</details>

## МожноИспользоватьШаблонСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяем возможность выбора шаблона сверки ВГО для использования в версии регламента
// подготовки отчетности.
// Параметры:
//		ШаблонСверкиВГО - ссылка на элемент справочника "ШаблоныСверкиВГО".
// Возвращаем:
//		Истина - шаблон еще не использован и может быть выбран.
//		Ложь - шаблон нельзя использовать, т.к. он уже участвовал в другой сверке.
//
Функция МожноИспользоватьШаблонСверки(ШаблонСверки) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОВызовСервераУХ.МожноИспользоватьШаблонСверки(ШаблонСверки) 
```
</details>

## НайтиСчетаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру заполненную счетами
Функция НайтиСчетаНаСервере(Знач Текст, Знач ПланСчетов) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОВызовСервераУХ.НайтиСчетаНаСервере(Текст, ПланСчетов) 
```
</details>

## ЭтоДопАналитикаСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоДопАналитикаСверки(ТипДляЭлиминации) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОВызовСервераУХ.ЭтоДопАналитикаСверки(ТипДляЭлиминации) 
```
</details>

## ЗначениеВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представляет любое значение в строку для отображения пользователю, либо записи в лог в наглядном для человека представлении.
Функция ЗначениеВСтроку(Знач Значение, Знач Отступ = "") Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОВызовСервераУХ.ЗначениеВСтроку(Значение, Отступ);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
