---
title: Сверка ВГО УХ
slug: erp-uh/сверка-вго-ух
---


## ВернутьТекстЗапросаРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТекстЗапросаРасхождений(РазделВГО, Отбор=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ВернутьТекстЗапросаРасхождений(РазделВГО, Отбор);
```
</details>

## РассчитатьРасхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Раcсчитываем расхождения и записываем их
// Параметры:
//	Отбор - струкутра с параметрами отбора. Возможные значения: Сценарий, ПериодСверки, Этап, Организации, Дебитор, Кредитор, ИсточникДанных, ВидОтчета, РазделВГО, ВалютаВзаиморасчетов).
//		Если переданы Организации, то поиск осуществляется, как в отправителях, так и в получателях
//	ТекстОшибки - в переменную будет записан текст ошибки, если она возникнет.
//	флОтладка - Булево. Если Истина, то записывает запрос расчета расхождений по паре организаций в регистр сведений ЗапросыВычислявшиеРасхождения.
// Возвращает - истина - расхождения рассчитаны успешно, иначе ложь, в переменной функции "ТекстОшибки"
//		записывается описание ошибки.
//
Функция РассчитатьРасхождения(Знач Отбор, ТекстОшибки, флОтладка = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.РассчитатьРасхождения(Отбор, ТекстОшибки, флОтладка);
```
</details>

## ПолучитьСтруктуруПериметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруПериметра(ПериодСценария, Сценарий) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьСтруктуруПериметра(ПериодСценария, Сценарий));
```
</details>

## ПолучитьТаблицуИсходныхДанныхДляРасчетаРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуИсходныхДанныхДляРасчетаРасхождений(ПериодСценария, Сценарий, ВыборкаИсточниковДанных, ПериметрСверки) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьТаблицуИсходныхДанныхДляРасчетаРасхождений(ПериодСценария, Сценарий, ВыборкаИсточниковДанных, ПериметрСверки));
```
</details>

## ОчиститьДанныеРасхожденийДляЗоныРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОчиститьДанныеРасхожденийДляЗоныРасчета(Сценарий, ПериодСценария, Этап, РазделВГО, ВалютаОтбор, ЗапросДляОчистки, ГУИДрасчета, ТекстПередОшибкой, ПараметрыОтчета, Отбор) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ОчиститьДанныеРасхожденийДляЗоныРасчета(Сценарий, ПериодСценария, Этап, РазделВГО, ВалютаОтбор, ЗапросДляОчистки, ГУИДрасчета, ТекстПередОшибкой, ПараметрыОтчета, Отбор));
```
</details>

## ИзвлечьПеременныеОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзвлечьПеременныеОтбора(Знач Отбор, СписокОрганизацийОтбора, ОтправительОтбор, ПолучательОтбор, ВалютаОтбор) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ИзвлечьПеременныеОтбора(Отбор, СписокОрганизацийОтбора, ОтправительОтбор, ПолучательОтбор, ВалютаОтбор));
```
</details>

## ПолучитьЗапросДляОчисткиРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗапросДляОчисткиРасхождений(СписокОрганизацийОтбора, ОтправительОтбор, ПолучательОтбор, ВалютаОтбор) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьЗапросДляОчисткиРасхождений(СписокОрганизацийОтбора, ОтправительОтбор, ПолучательОтбор, ВалютаОтбор));
```
</details>

## ПолучитьЗоныРасчетаРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса
Функция ПолучитьЗоныРасчетаРасхождений(Знач Отбор, Знач флОтладка) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьЗоныРасчетаРасхождений(Отбор, флОтладка));
```
</details>

## УбедитьсяЧтоРасхожденияРасчитаны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовка для работы с расхождениями:
//	 1. Проверяем, что запущено фоновое задание по расчету расхождений
//	 2. Если запущено, то ждем завершения.
//	 3. Запускаем повторный расчет (могут появиться новые данные, после запуска фонового задания п. 2) и ждем завершения.
// Параметры:
//	Отбор - струкутра с параметрами отбора (Сценарий, ПериодСверки, Этап, Организации, Отправитель, Получатель).
//	мДокументы - массив, в который будут добавлены полученные документы расчета расхождений.
//	ТекстОшибки - если возникает ошибка, то к значению переменной дописывается описание ошибки.
//
Функция УбедитьсяЧтоРасхожденияРасчитаны(Знач ОтборДанных=Неопределено, ТекстОшибки=Неопределено, ОжидатьЗавершения=Истина, флОтладка=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.УбедитьсяЧтоРасхожденияРасчитаны(ОтборДанных, ТекстОшибки, ОжидатьЗавершения, флОтладка);
```
</details>

## РасчитатьРасхожденияФоновоеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчитывает расхождения по регистру сведений ОрганизацииДляРасчетаРасхождений.
// После расчета, регистр очищается.
// Параметры:
//	КлючФЗ - гуид, который был использован в качестве ключа, при запуске этого фонового задания. Позволяет отличить его от других, с аналогичным методом.
//	ВремяВызоваМлсек - значение возвращаемое функцией ТекущаяУниверсальнаяДатаВМиллисекундах(), необходима для ожидания завершения фоновых заданий,
//	ОтборДанных - структура для задания обрасти расчета расхождений, состав полей см. процедуру РасчитатьРасхождения. Если Неопределено, то расчет делается
//			на основании данных регистра сведений ОрганизацииДляРасчетаРасхождений.
//	Таймаут - время (мин) ожидания завершения других фоновых заданий.
//
Процедура РасчитатьРасхожденияФоновоеЗадание(КлючФЗ, ВремяВызоваМлсек, ОтборДанных=Неопределено, Таймаут=5, флОтладка=Ложь) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.РасчитатьРасхожденияФоновоеЗадание(КлючФЗ, ВремяВызоваМлсек, ОтборДанных, Таймаут, флОтладка);
```
</details>

## ОжидатьЗавершенияЗаданийВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОжидатьЗавершенияЗаданийВОчереди(Знач КлючФЗ, Знач Таймаут, Знач ВремяВызоваМлсек) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ОжидатьЗавершенияЗаданийВОчереди(КлючФЗ, Таймаут, ВремяВызоваМлсек));
```
</details>

## ПолучитьТекстСообщенийФоновогоЗаданияРасчетаРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстСообщенийФоновогоЗаданияРасчетаРасхождений(ФЗ) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьТекстСообщенийФоновогоЗаданияРасчетаРасхождений(ФЗ) 
```
</details>

## ОбработкаПроведенияНастраиваемыйОтчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При проведении или отмене проведения пересчитываем расхождения
Процедура ОбработкаПроведенияНастраиваемыйОтчет(Источник) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ОбработкаПроведенияНастраиваемыйОтчет(Источник) 
```
</details>

## СоздатьТаблицуДопАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать таблицу для хранения дополнительных аналитик
//
Функция СоздатьТаблицуДопАналитик() Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.СоздатьТаблицуДопАналитик() 
```
</details>

## ДобавитьЗначениеВТаблицуДопАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляем значение реквизита в таблицу аналитик
// Параметры:
//		Реквизит - ссылка на План видов характеристик Субконто корпоративные.
//			Определяет тип значения.
//		Значение - значение соответствующее типу параметра Реквизит.
//
Процедура ДобавитьЗначениеВТаблицуДопАналитик(ТаблицаДопАналитик, Имя, Реквизит, Значение) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ДобавитьЗначениеВТаблицуДопАналитик(ТаблицаДопАналитик, Имя, Реквизит, Значение) 
```
</details>

## ПолучитьСсылкуНаДопАналитику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на справочник ДопАналитикаРасхожденийВГО для переаднных реквизитов.
// Поиск осуществляется по регистру сведений ЗначенияДопАналитикРасхожденийВГО.
// Если адрес не найден, то он созадется в справочнике и значения его реквизитов
// записываются в регистр сведений.
// Параметры:
//		ПериодСценария - период сценария для которого осуществляется проверка.
//		Сценарий - сценарий для которого осуществляется проверка.
//		Этап - ссылка на справочник, либо "ВерсииРегалментаПодготовкиОтчетности", либо "ЭтапыПроцессов".
//		ТаблицаДопАналитик - таблица значений описывающая предмет комментирования. Колонки:
//			НомерРеквизита - номер реквизита адреса по порядку использования,
//			Реквизит - значение ПланВидовХарактеристикСсылка
//				СубконтоКорпоративные, описывает тип реквизита,
//			Значение - значение реквизита.
//		ТекстОшибки - если возникла ошибка, то в переменную возвращается ее описание.
// Возвращает:
// 		Неопределено - возникли ошибки, в ТекстОшибки записывает ее описание.
//  	Ссылка на справочник ДопАналитикаРасхожденийВГО.
//
Функция ПолучитьСсылкуНаДопАналитику(ПериодСценария, Сценарий, Этап, РазделВГО, ТаблицаДопАналитик, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьСсылкуНаДопАналитику(ПериодСценария, Сценарий, Этап, РазделВГО, ТаблицаДопАналитик, ТекстОшибки) 
```
</details>

## ПредставлениеДопАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формируем текстовую строку представления для набора аналитик.
//		ПериодСценария - период сценария для которого осуществляется проверка.
//		Сценарий - сценарий для которого осуществляется проверка.
//		Этап - ссылка на справочник, либо "ВерсииРегалментаПодготовкиОтчетности", либо "ЭтапыПроцессов".
//		ТаблицаДопАналитик - таблица значений описывающая предмет комментирования. Колонки:
//			НомерРеквизита - номер реквизита адреса по порядку использования,
//			Реквизит - значение ПланВидовХарактеристикСсылка
//				СубконтоКорпоративные, описывает тип реквизита,
//			Значение - значение реквизита.
Функция ПредставлениеДопАналитик(ПериодСценария, Сценарий, Этап, ТаблицаДопАналитик, Полное=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПредставлениеДопАналитик(ПериодСценария, Сценарий, Этап, ТаблицаДопАналитик, Полное);
```
</details>

## ПометитьНаУдалениеДопАналитику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помечаем на удаление допаналитику.
// Параметры:
//		ПериодСценария - период сценария для которого осуществляется проверка.
//		Сценарий - сценарий для которого осуществляется проверка.
//		Этап - ссылка на справочник, либо "ВерсииРегалментаПодготовкиОтчетности", либо "ЭтапыПроцессов".
//		ТаблицаДопАналитик - таблица значений описывающая предмет комментирования. Колонки:
//			НомерРеквизита - номер реквизита адреса по порядку использования,
//			Реквизит - значение ПланВидовХарактеристикСсылка
//				СубконтоКорпоративные, описывает тип реквизита,
//			Значение - значение реквизита.
//		ТекстОшибки - если возникла ошибка, то в переменную возвращается ее описание.// Возвращаемое значение:
//   Возвращает:
//		Истина - пометку установили.
//		Ложь - удалить не получилось, в переменной ТекстОшибки описание ошибки.
//
Функция ПометитьНаУдалениеДопАналитику(ПериодСценария, Сценарий, Этап, РазделВГО, ТаблицаДопАналитик, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПометитьНаУдалениеДопАналитику(ПериодСценария, Сценарий, Этап, РазделВГО, ТаблицаДопАналитик, ТекстОшибки) 
```
</details>

## ПолучитьОписаниеРеквизитовДопАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить таблицу с описанием реквизитов доп. аналитики
// Параметры:
//	ДопАналитикаСсылка - СправочникСсылка.ДопАналитикаРасхожденийВГО.
// Возвращает:
//	ТаблицаЗначений - всегда, даже если возникла ошибка получения данных.
//	Структура таблицы:
//		Имя - Строка, имя реквизита.
//		Реквизит - ПланВидовХарактеристикСсылка.ВидыСубконтоКорпоративные.
//		Значение - Характеристика.ВидыСубконтоКорпоративные.
//
Функция ПолучитьОписаниеРеквизитовДопАналитики(ДопАналитикаСсылка) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьОписаниеРеквизитовДопАналитики(ДопАналитикаСсылка) 
```
</details>

## ОрганизацияСБольшимРейтингомУрегулирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Процедуры и функции для урегулирования и закрытия сверки


// Сортирует организации в массиве по убыванию их рейтинга для автоматического урегулирования (регистр сведений "РейтингОрганизацийДляУрегулированияРасхожденийВГО")
// Параметры:
//	РазделВГО - СправочникСсылка.РазделыСверкиВГО. По разделу сверки определяется ШаблонСверкиВГО, по которому отбираем данные в регистре рейтинга.
//	мОрганизаций - Массив с элементами СправочникСсылка.Организации.
// Возвращает:
//	Массив с организациям, отсортированными по убыванию их рейтинга для автоматического урегулирования.
//	Если части организаций нет в регистре, то они выносятся в конец массива с сохранением их исходного относительного порядка.
//	В крайнем случае, когда регистр не заполнен, массив останется без измененения.
//
Функция ОрганизацияСБольшимРейтингомУрегулирования(РазделВГО, мОрганизаций) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ОрганизацияСБольшимРейтингомУрегулирования(РазделВГО, мОрганизаций) 
```
</details>

## АвтоматическоеУрегулированиеРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выбирает расхождения по переданным фильтрам и производит автоматическое
// урегулирование в зависимости от способа урегулирования.
// Урегулирование делается документами "УрегулированиеРасхожденияВГО".
//
// Параметры:
//		СпособУрегулирования - Перечисление.СпособыАвтоматическогоУрегулирования
//		Параметры - Структура, содержит следующие значения:
//			ПериодСценария - обязательный, период для которого определяются расхождения.
//			Сценарий - обязательный, сценарий для которого определяются расхождения.
//			Этап - обязательный, ссылка на справочник "ВерсииРегламентовПодготовкиОтчетности",
//				либо "ЭтапыПроцессов".
//			СпособУрегулирования = ПеречислениеСсылка.СпособыУрегулирования. Обязательный.
//			Кредитор - необязательный, ссылка на справочник "Организации".
//				Организация-отправитель для которой формируется перечень расхождений.
//			Дебитор - необязательный, ссылка на справочник "Организации".
//				Организация-получатель для которой формируется перечень расхождений.
//			Проводить - булево, если истина, то документы урегулирования
//				проводятся. Если ложь или не указано, то не проводятся
//		ТекстОшибки - строка. В данную переменную записывается сообщение об ошибке.
// Возвращает:
//		Массив - массив документов "УрегулированиеРасхожденияВГО".
//			Если возникла ошибка, то массив пуст, а в переменной ТекстОшибки
//			записано описание ошибки.
//
Функция АвтоматическоеУрегулированиеРасхождений(Параметры, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.АвтоматическоеУрегулированиеРасхождений(Параметры, ТекстОшибки) 
```
</details>

## СоздатьДокументУрегулированияРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция создает документ "УрегулированиеРасходженияВГО" и "ТрансформационнаяКорректировка".
// Параметры:
//		ПараметрыДокумента - структура с параметрами документа:
//			ПериодСценария - обязательный, период для которого определяются расхождения.
//			Сценарий - обязательный, сценарий для которого определяются расхождения.
//			Этап - обязательный, ссылка на справочник "ВерсииРегламентовПодготовкиОтчетности",
//				либо "ЭтапыПроцессов".
//			СтрРасхождения - структура с описанием расхождения
//				РазделВГО - раздел сверки ВГО;
//				ВалютаВзаиморасчетов - валюта взаиморасчетов;
//				Отправитель - организация отправитель;
//				Получатель - организация получатель;
//				СторонаСверки - перечисление СтороныСверкиВГО.
//			СуммаУрегулирования - сумма урегулирования в валюте
//			СуммаУрегулированияГр - сумма урегулирования в валюте
//			Корреспонденция - ссылка на справочник "КорреспонденцииВГО".
//			Пользователь - ссылка на справочник "Пользователи".
//			ЭтоОтправитель - булево, если организация от имени которой производится
//				урегулирование - отправитель.
//			ЭтоОтветственный - если пользователь, который делает урегулирование - это
//				лицо ответственное за сверку. Урегулирование считается принудительным.
//			ЗначенияСубконто - таблица значений следующей структуры:
//				СчетБУ - ссылка на справочник "СчетаБД";
//				НомерСубконто - номер субконто у счета БУ;
//				ЗначениеСубконто - значение субконто.
//			Проводить - необязательный, если параметр указан
//
//			Создание структуры:
//				ПараметрыДокумента = Новый Структура("Сценарий,ПериодСценария,Этап,СтрРасхождения,СуммаУрегулирования,СуммаУрегулированияГр,
//				|СуммаУрегулированияФункцОтпр,СуммаУрегулированияФункцПолуч,СуммаУрегулированияНДС,СуммаУрегулированияНДСГр,СуммаУрегулированияНДСФункц,
//				|Корреспонденция,Пользователь,РодительРасхождения,ЭтоОтправитель,ЭтоОтветственный,ЗначенияСубконто, Проводить");
//
//		СообщениеОшибки - строка, описание ошибки, если она возникнет.
// Возвращает:
//		Неопределено - возникла ошибка, описание в переменной СообщениеОшибки.
//		Ссылка на документ "УрегулированиерасхожденийВГО" - документ создан корректно.
//
Функция СоздатьДокументУрегулированияРасхождений(Знач ПараметрыДокумента, СообщениеОшибки) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.СоздатьДокументУрегулированияРасхождений(ПараметрыДокумента, СообщениеОшибки) 
```
</details>

## ПроверкаЗавершенияСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассылка оповещений о завершении сверки ответственным лицам.
// Параметры:
//		Отправитель - ссылка на справочник "Организации".
//		Получатель - ссылка на справочник "Организации".
//
Процедура ПроверкаЗавершенияСверки(ПериодСценария, Сценарий, Этап, Отправитель, Получатель) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ПроверкаЗавершенияСверки(ПериодСценария, Сценарий, Этап, Отправитель, Получатель) 
```
</details>

## УстановитьПричинуРасхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать в регистр сведений ИнформацияСверки (переменная) данные о причине расхождения и стороне ее установившей.
//
// Параметры:
//  СтруктураРасхождения - Структура - Поля описания расхождения:
//		ПричинаРасхождения - СправочникСсылка.ПричиныРасхождений.
//		СторонаСверки -
//  СообщениеОВыполнении - Строка - Строка текста с описанием ошибок.
//
Процедура УстановитьПричинуРасхождения(СтруктураРасхождения, СообщениеОшибки) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.УстановитьПричинуРасхождения(СтруктураРасхождения, СообщениеОшибки) 
```
</details>

## ЭкземплярыОтчетовСОшибками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяем есть ли экземпляры отчетов не в состоянии "На утверждении".
// Параметры:
//  СтруктураРасхождения - Структура - Значения измерений регистра ИнформацияСверкиВГО для поиска экземпляров отчетов.
//  ТекДата - Дата+Время - дата получения данных из регистров.
//  СообщениеОшибки - Строка - Строка текста с описанием предупреждений и/или ошибок.
//
// Возвращает:
//	Массив СправочникСсылка.НастраиваемыйОтчет - экземпляры отчетов с ошибками.
//		Массив будет пуст, если все экземпляры отчетов в состоянии "На утверждении".
//	Неопределено - возникла ошибка, в этом случае СообщениеОшибки содержит текст ошибки.
//
Функция ЭкземплярыОтчетовСОшибками(СтруктураРасхождения, ТекДата, СообщениеОшибки) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЭкземплярыОтчетовСОшибками(СтруктураРасхождения, ТекДата, СообщениеОшибки) 
```
</details>

## ЕстьНеУрегулированныеРасхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяем есть ли расхождения для данных аналитик расхождения.
// Параметры:
//  СтруктураРасхождения - Структура - Значения измерений регистра ИнформацияСверкиВГО для отбора расходжений.
//  ТекДата - Дата+Время - дата получения данных из регистров.
//  СообщениеОВыполнении - Строка - Строка текста с описанием предупреждений и/или ошибок.
//
// Возвращает:
//	Булево - Истина - есть неурегулированные расхождения или возникла ошибка.
//		Ложь - нет неурегулированных расхождений.
//
Функция ЕстьНеУрегулированныеРасхождения(СтруктураРасхождения, ТекДата, СообщениеОВыполнении) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЕстьНеУрегулированныеРасхождения(СтруктураРасхождения, ТекДата, СообщениеОВыполнении) 
```
</details>

## ЗафиксироватьСверкуНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяем можно ли зафиксировать сверку (нет значимых расхождений).
//  Вводим если необходимо автоматически документы урегулирования незначительных расхождений.
//  Помечаем расхождения как "Сверенные", делаем запись о фиксированности сверки.
//
// Параметры:
//  СтруктураРасхождения - Структура - Поля описания расхождения.
//	ТекДата - Дата, дата фиксации.
//  СообщениеОВыполнении - Строка - Строка текста с описанием предупреждений и/или ошибок.
//
Функция ЗафиксироватьСверкуНаСервере(СтруктураРасхождения, ТекДата, СообщениеОВыполнении, Отладка) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЗафиксироватьСверкуНаСервере(СтруктураРасхождения, ТекДата, СообщениеОВыполнении, Отладка) 
```
</details>

## ТекстЗапроса_ДляЗакрытияСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ДляЗакрытияСверки() Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ДляЗакрытияСверки());
```
</details>

## ИзменитьСостояниеСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляем записи в регистре ИнформацияСверкиВГО (переменная). Ищем строки сверки по отбору. Для каждой такой строки
// обновляем ресурсы по данным из структуры Данные.
// Параметры:
//	Отбор - Структура. Значения измерений регистра ИнформацияСверкиВГО для отбора строк. Реквизиты:
//		ПериодСценария
//		Сценарий,
//		Этап,
//		Отправитель,
//		Получатель,
//		РазделВГО,
//		ВалютаВзаиморасчетов,
//		ДопАналитикаРасхождения.
//	Данные - Структура. Значения ресурсов, которые нужно изменить.
//	ТекДата - Дата+Время. Дата на которую анализируются и записываются строки регистра.
//	СообщениеОшибки - строка. Если возникнет ошибка, то сюда будет записано ее описание. Если все хорошо, то строка останется пустой.
//
Процедура ИзменитьСостояниеСверки(Отбор, Данные, ТекДата, СообщениеОшибки) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ИзменитьСостояниеСверки(Отбор, Данные, ТекДата, СообщениеОшибки) 
```
</details>

## ДобавитьСостояниеСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаем запись в регистре ИнформацияСверкиВГО (переменная) для одной строки расхождения, реквизиты которого в Отбор.
// Выбираем срез последних данных на текущую дату. Для строки расхождения копируем последние известные данные на текущую
// дату и обновляем ресурсы из структуры Данные.
// Параметры:
//	Отбор - Структура. Значения ВСЕХ измерений регистра ИнформацияСверкиВГО для отбора строк.
//	Данные - Структура. Значения ресурсов, которые нужно изменить.
//	ТекДата - Дата+Время. Дата на которую анализируются и записываются строки регистра.
//	СообщениеОшибки - строка. Если возникнет ошибка, то сюда будет записано ее описание. Если все хорошо, то строка останется пустой.
//
Процедура ДобавитьСостояниеСверки(Отбор, Данные, ТекДата, СообщениеОшибки) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ДобавитьСостояниеСверки(Отбор, Данные, ТекДата, СообщениеОшибки) 
```
</details>

## СформироватьПечатнуюФормуРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует табличный документ с описанием расхождений и возвращает его.
Функция СформироватьПечатнуюФормуРасхождений(Параметры_, ТабРасхождений) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.СформироватьПечатнуюФормуРасхождений(Параметры_, ТабРасхождений) 
```
</details>

## ПолучитьПоляРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соотвествие с описанием аналитик расхождения ВГО для указанной расшифровки СКД.
Функция ПолучитьПоляРасшифровки(Знач ПользовательскиеНастройки, Знач ДанныеРасшифровки, Знач Расшифровка) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьПоляРасшифровки(ПользовательскиеНастройки, ДанныеРасшифровки, Расшифровка) 
```
</details>

## ОбработатьДеревоЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формируем список значений параметров, путем обхода коллекции элементов расшифровки СКД
// Параметры:
//	Элементы - ссылка на коллекцию элементов расшифровки СКД
//	ОписаниеПолей - массив; значения дописываются в него.
//	Уровень - текущий уровень записи, с каждым уровнем вложенности уровень увеличивается на 1.
//
Функция ОбработатьДеревоЭлементов(Элементы, ОписаниеПолей, Уровень, флОтчетДляКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ОбработатьДеревоЭлементов(Элементы, ОписаниеПолей, Уровень, флОтчетДляКонтрагента) 
```
</details>

## ВернутьТекстЗапросаДляРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для отчета показывающего исходные данные для расчета расхождения
Функция ВернутьТекстЗапросаДляРасшифровки(Параметры, ДопПараметры, ДопПоляОтчета) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ВернутьТекстЗапросаДляРасшифровки(Параметры, ДопПараметры, ДопПоляОтчета) 
```
</details>

## ТекстЗапроса_ИсточникиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ИсточникиДанных() Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ИсточникиДанных());
```
</details>

## ПолучитьПериметрПоСценариюИПериоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить ссылку на документ УправлениеПериодомСценария.
Функция ПолучитьПериметрПоСценариюИПериоду(Сценарий, ПериодСценария) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьПериметрПоСценариюИПериоду(Сценарий, ПериодСценария) 
```
</details>

## ПолучитьШаблонСверкиПоСценариюПериоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить шаблон сверки по сценарию и периоду.
//
// Параметры:
//  Сценарий		 - СправочникСсылка.Сценарии
//  ПериодСценария	 - СправочникСсылка.Периоды
//
// Возвращаемое значение:
//   - СправочникСсылка.ШаблоныСверкиВГО
//
Функция ПолучитьШаблонСверкиПоСценариюПериоду(Сценарий, ПериодСценария) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьШаблонСверкиПоСценариюПериоду(Сценарий, ПериодСценария) 
```
</details>

## ОрганизацииУчаствующиеВСверке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить список организаций участвующих в сверке для отчетного периода.
// Параметры:
//	ПериодСценария - СправочникСсылка.Периоды - период для отбора отчетного периода и его регламента.
//	Сценарий - СправочникСсылка.Сценарий - сценарий для отбора отчетного периода и его регламента.
//	Пользователь - СправочникСсылка.Пользователи - необязательный. Если указан, то отбираем данные для указанного пользователя,
//			иначе отбираем данные для текущего пользователя системы.
// Возвращает:
//	Структура:
//		- ВсеОрганизации - Массив(СправочникСсылка.Организация) - все организации периметра в указанном отчетном периоде.
//		- ОрганизацииПроверяем - Массив(СправочникСсылка.Организация) - организации периметра для которых пользователь выполняет сверку.
//		- ОрганизацииСогласуем - Массив(СправочникСсылка.Организация) - организации периметра для которых пользователь выступает куратором.
//
Функция ОрганизацииУчаствующиеВСверке(ПериодСценария, Сценарий, Знач Пользователь=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ОрганизацииУчаствующиеВСверке(ПериодСценария, Сценарий, Пользователь);
```
</details>

## УчетнаяЗаписьДляРассылкиУведомлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Читает константу УчетнаяЗаписьДляРассылкиУведомлений и возвращает строку с почтовым адресом.
// Если почта не указана, то возвращает пустую строку.
//
Функция УчетнаяЗаписьДляРассылкиУведомлений() Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.УчетнаяЗаписьДляРассылкиУведомлений() 
```
</details>

## ЗаписатьПисьмоССообщениемОбОшибке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать и отправить письмо с ошибкой
Процедура ЗаписатьПисьмоССообщениемОбОшибке(ТекстОшибки, Этап, ПараметрыОшибки=Неопределено) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ЗаписатьПисьмоССообщениемОбОшибке(ТекстОшибки, Этап, ПараметрыОшибки);
```
</details>

## ЗначениеВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представляет любое значение в строку для отображения пользователю, либо записи в лог в наглядном для человека представлении.
Функция ЗначениеВСтроку(Знач Значение, Знач Отступ = "") Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЗначениеВСтроку(Значение, Отступ);
```
</details>

## ВернутьТекстСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код счета (например, "10.01") и его префикс ("Д"- дебет или "К" - кредит).
// Переменная Текст обрезается по обработанному счету. Например, было "Д10К20Д01К08",
// станет "Д01К08".
//
Функция ВернутьТекстСчета(Текст, Знач ПрефиксДт, Знач ПрефиксКт, Префикс) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ВернутьТекстСчета(Текст, ПрефиксДт, ПрефиксКт, Префикс) 
```
</details>

## НайтиСчетаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру заполненную счетами
Функция НайтиСчетаНаСервере(Знач Текст, Знач ПланСчетов) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.НайтиСчетаНаСервере(Текст, ПланСчетов) 
```
</details>

## ПолучитьИмяЗначенияПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяЗначенияПеречисления(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьИмяЗначенияПеречисления(Ссылка) 
```
</details>

## ИмяАналитикиДляСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяАналитикиДляСверки(Аналитика) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ИмяАналитикиДляСверки(Аналитика) 
```
</details>

## ПолучитьПараметрСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрСтруктуры(СтруктураПараметров, ИмяПараметра, ЗначениеПоУмолчанию) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьПараметрСтруктуры(СтруктураПараметров, ИмяПараметра, ЗначениеПоУмолчанию) 
```
</details>

## ЗаписатьЗапросВрегистрДляОтладки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписатьЗапросВрегистрДляОтладки(ИмяЗапроса, Запрос, Отбор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЗаписатьЗапросВрегистрДляОтладки(ИмяЗапроса, Запрос, Отбор);
```
</details>

## ЗначениеВходитВМножество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет вхождение значения в множество. Аналогично операнду "В()" языка запросов.
// Параметры
// МножествоЗначений - одно значение, массив, список значений, фиксированныйсписок
// Значение - значение, которое проверяем на вхождение в множество
//
Функция ЗначениеВходитВМножество(МножествоЗначений, Значение) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЗначениеВходитВМножество(МножествоЗначений, Значение) 
```
</details>

## Абс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Знаение без знака
Функция Абс(Значение) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.Абс(Значение));
```
</details>

## СкопироватьСвойства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Скопировать из структуры Источник занченения параметров в Соответствике Приемник
Процедура СкопироватьСвойства(Приемник, Источник, Приставка="") Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.СкопироватьСвойства(Приемник, Источник, Приставка);
```
</details>

## ОбработатьПометкуНаУдалениеПодчиненногоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет флаг пометки на удаление подчиненного объекта, если он отличается от значения пометки на удаление объекта хозяина
// Параметры:
//		СсылкаПодчиненный - Ссылка на подчиненный объект, пометку удаления, которого будем проверять и изменять;
//		ПометкаУдаления - Булево, значения пометки удаления объекта хозяина.
//
Процедура ОбработатьПометкуНаУдалениеПодчиненногоОбъекта(СсылкаПодчиненный, ПометкаУдаления) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ОбработатьПометкуНаУдалениеПодчиненногоОбъекта(СсылкаПодчиненный, ПометкаУдаления) 
```
</details>

## ГоловнаяОрганизацияИВалюта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГоловнаяОрганизацияИВалюта(ПериодСценария, Сценарий) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ГоловнаяОрганизацияИВалюта(ПериодСценария, Сценарий) 
```
</details>

## ПочтаЛицОтветственныхЗаСверку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать таблицу с пользователями отвественными за сверку и почтовые адреса.
// Параметры:
//	Сценарий - СправочникСсылка.Сценарии - сценарий для получения кураторов сверки.
//	ПериодСценария - СправочникСсылка.Периоды - период для получения кураторов сверки.
//	Организации - Массив(СправочникСсылка.Организация) - организации для которых нужно получить почту ответственных лиц.
//			Если не указан, то получаем адреса для всех организаций периметра.
//	УчитыватьКураторов - Булево. Если Истина - то добавляет в таблицу пользователей-кураторов сверки.
//	ИсключитьПользователя - СправочникСсылка.Пользователи - если указан, то данный пользователь будет исключен из таблицы.
//			Это необходимо для исключения текущего пользователя из оповещения.
//
// Возвращает:
//	ТаблицаЗначений со следующей структурой:
//		- Организация - СправочникСсылка.Организации - организация по которой отправляем оповещение.
//		- Пользователь - СправочникСсылка.Пользователи - пользователь, которому соответствует организация;
//		- Email - Строка - адрес e-mail.
//		- Куратор - Булево - это куратор сверки по организации.
//
Функция ПочтаЛицОтветственныхЗаСверку(Сценарий, ПериодСценария, Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПочтаЛицОтветственныхЗаСверку(Сценарий, ПериодСценария, );
```
</details>

## ПроверитьСрокиВыполненияСверкиВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик регламентного задания по проверке сроков выполнения сверки
//
Процедура ПроверитьСрокиВыполненияСверкиВГО() Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ПроверитьСрокиВыполненияСверкиВГО() 
```
</details>

## СформироватьПисьмоСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьПисьмоСверки(КонтекстПисьма, Расхождения) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.СформироватьПисьмоСверки(КонтекстПисьма, Расхождения));
```
</details>

## ПолучитьВебТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВебТаблицу(ТабИсточник) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьВебТаблицу(ТабИсточник));
```
</details>

## ПодготовитьКонтекстПисьмаРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьКонтекстПисьмаРасхождений(КонтекстПисьма, Источник) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПодготовитьКонтекстПисьмаРасхождений(КонтекстПисьма, Источник));
```
</details>

## ТекстЗапроса_ПериодыДляОповещений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ПериодыДляОповещений(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ПериодыДляОповещений(НомераТаблиц));
```
</details>

## ТекстЗапроса_втКИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втКИ(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_втКИ(НомераТаблиц));
```
</details>

## ТекстЗапроса_ПользователиДляОповещений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ПользователиДляОповещений(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ПользователиДляОповещений(НомераТаблиц));
```
</details>

## ТекстЗапроса_РасхожденияДляПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_РасхожденияДляПользователя(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_РасхожденияДляПользователя(НомераТаблиц));
```
</details>

## ТекстЗапроса_втРасхожденияВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втРасхожденияВГО(НомераТаблиц, ВыборкаПериоды) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_втРасхожденияВГО(НомераТаблиц, ВыборкаПериоды));
```
</details>

## ТекстЗапроса_втРасхожденияОффлайнВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втРасхожденияОффлайнВГО(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_втРасхожденияОффлайнВГО(НомераТаблиц));
```
</details>

## ТекстЗапроса_ЕстьРасхождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ЕстьРасхождения(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ЕстьРасхождения(НомераТаблиц));
```
</details>

## ТекстЗапроса_УничтожитьТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_УничтожитьТаблицу(ИмяТаблицы, НомераТаблиц = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_УничтожитьТаблицу(ИмяТаблицы, НомераТаблиц);
```
</details>

## ОтправитьРасхожденияВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправитьРасхожденияВГО(Настройки = Неопределено) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ОтправитьРасхожденияВГО(Настройки);
```
</details>

## ПолучитьКомпоновщикРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКомпоновщикРасхождений(СКД) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьКомпоновщикРасхождений(СКД));
```
</details>

## ПолучитьНастройкиОрганизацииСРасхождениямиТУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНастройкиОрганизацииСРасхождениямиТУ(КомпоновщикСКД, Отбор, Организации = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьНастройкиОрганизацииСРасхождениямиТУ(КомпоновщикСКД, Отбор, Организации);
```
</details>

## ПолучитьНастройкиРасхожденияПоОрганизацииТУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНастройкиРасхожденияПоОрганизацииТУ(КомпоновщикСКД, Отбор, Организации = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьНастройкиРасхожденияПоОрганизацииТУ(КомпоновщикСКД, Отбор, Организации);
```
</details>

## ОповеститьОРасхождениях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОРасхождениях(Отбор, ТекстОшибки = "", флОтладка = Ложь) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ОповеститьОРасхождениях(Отбор, ТекстОшибки, флОтладка);
```
</details>

## ОповеститьОРасхожденияхУОП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОРасхожденияхУОП(Отбор, ТекстОшибки = "", флОтладка = Ложь) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ОповеститьОРасхожденияхУОП(Отбор, ТекстОшибки, флОтладка);
```
</details>

## ДвоичныеДанныеИзТабДок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДвоичныеДанныеИзТабДок(ТабДок) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ДвоичныеДанныеИзТабДок(ТабДок));
```
</details>

## ОповеститьПоПочте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьПоПочте(Сценарий, ПериодСценария, ТЗПериметрСверки, ПараметрыОтчета, Этап, флЭтоЭтап, ТабРасхождений) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ОповеститьПоПочте(Сценарий, ПериодСценария, ТЗПериметрСверки, ПараметрыОтчета, Этап, флЭтоЭтап, ТабРасхождений));
```
</details>

## СформироватьПисьмоОРасхождении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьПисьмоОРасхождении(ПочтовыеАдресаОрганизации, Отбор, Отправитель, Вложение) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.СформироватьПисьмоОРасхождении(ПочтовыеАдресаОрганизации, Отбор, Отправитель, Вложение));
```
</details>

## ТекстЗапроса_УопВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_УопВГО() Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_УопВГО());
```
</details>

## ТекстЗапроса_РасхожденияВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_РасхожденияВГО(Параметры = Неопределено, ПараметрОрганизация = Неопределено, ПараметрКонтрагент = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_РасхожденияВГО(Параметры, ПараметрОрганизация, ПараметрКонтрагент);
```
</details>

## ТекстЗапроса_ОтчетВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ОтчетВГО(Параметры = Неопределено, ИмяПериодСценария = "", ПараметрОрганизации = "", ПараметрКонтрагент = "") Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ОтчетВГО(Параметры, ИмяПериодСценария, ПараметрОрганизации, ПараметрКонтрагент);
```
</details>

## ТекстЗапроса_РасшифровкаВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_РасшифровкаВГО(Параметры = Неопределено, ИмяПериодСценария = "") Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_РасшифровкаВГО(Параметры, ИмяПериодСценария);
```
</details>

## ТекстЗапроса_ОтборВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ОтборВГО(НастройкиСКД, ИмяПоля = "Организация") Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ОтборВГО(НастройкиСКД, ИмяПоля);
```
</details>

## ТекстЗапроса_ВозможныеДопАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ВозможныеДопАналитики() Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ВозможныеДопАналитики() 
```
</details>

## ПолучитьЗаменыЗапросаВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗаменыЗапросаВГО(Параметры, ПараметрОрганизация, ПараметрКонтрагент) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьЗаменыЗапросаВГО(Параметры, ПараметрОрганизация, ПараметрКонтрагент));
```
</details>

## ЗаменыДопАналитикаВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменыДопАналитикаВГО(ЗаменыВГО, ТекущийОтбор, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЗаменыДопАналитикаВГО(ЗаменыВГО, ТекущийОтбор, Параметры));
```
</details>

## ИспользуемыеАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуемыеАналитики(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ИспользуемыеАналитики(Параметры);
```
</details>

## ИмяБазовойАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// для "Аналитика5.Номер" вернет "Аналитика5"
Функция ИмяБазовойАналитики(ПутьПоля) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ИмяБазовойАналитики(ПутьПоля));
```
</details>

## ПолучитьЗамены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗамены(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьЗамены(Параметры));
```
</details>

## ЗаполнитьЗамены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьЗамены(ЗаменаПоле = "т.А1 КАК А1, т.А2 КАК А2", ЗаменаГруппировка = "т.А1, т.А2", МассивИмен) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЗаполнитьЗамены(ЗаменаПоле, т.А2 КАК А2", ЗаменаГруппировка, т.А2", МассивИмен));
```
</details>

## ЗаменыПорталаВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменыПорталаВГО(ЗаменыВГО, ТекущийОтбор) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЗаменыПорталаВГО(ЗаменыВГО, ТекущийОтбор));
```
</details>

## ЗаменыОрганизацийВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменыОрганизацийВГО(ЗаменыВГО, ПараметрОрганизация, ПараметрКонтрагент) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЗаменыОрганизацийВГО(ЗаменыВГО, ПараметрОрганизация, ПараметрКонтрагент));
```
</details>

## ЗаменитьПараметрыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьПараметрыЗапроса(ТекстЗапроса, ЗаменыПараметров) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ЗаменитьПараметрыЗапроса(ТекстЗапроса, ЗаменыПараметров));
```
</details>

## ПолучитьТекущийОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекущийОтбор(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьТекущийОтбор(Параметры));
```
</details>

## ТекстЗапроса_ДопАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ДопАналитики() Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ДопАналитики());
```
</details>

## ТекстЗапроса_Контрагенты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_Контрагенты(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_Контрагенты(НомераТаблиц));
```
</details>

## ТекстЗапроса_Организации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_Организации(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_Организации(НомераТаблиц));
```
</details>

## ТекстЗапроса_ПериодыСценария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ПериодыСценария(НомераТаблиц = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ПериодыСценария(НомераТаблиц);
```
</details>

## ТекстЗапроса_Регламенты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_Регламенты(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_Регламенты(НомераТаблиц) 
```
</details>

## ТекстЗапроса_ШаблонСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ШаблонСверки(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ШаблонСверки(НомераТаблиц));
```
</details>

## ТекстЗапроса_РазделыСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_РазделыСверки(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_РазделыСверки(НомераТаблиц));
```
</details>

## ТекстЗапроса_ПоказателиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ПоказателиОтчетов(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ПоказателиОтчетов(НомераТаблиц));
```
</details>

## ТекстЗапроса_ВидыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ВидыОтчетов(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ВидыОтчетов(НомераТаблиц));
```
</details>

## ТекстЗапроса_ИспользуемыеВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ИспользуемыеВерсии(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ИспользуемыеВерсии(НомераТаблиц));
```
</details>

## ТекстЗапроса_КурсыВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_КурсыВалют(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_КурсыВалют(НомераТаблиц));
```
</details>

## ТекстЗапроса_ИспользуемыеЗПО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ИспользуемыеЗПО(НомераТаблиц, Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ИспользуемыеЗПО(НомераТаблиц, Параметры);
```
</details>

## ПолучитьЗаменаДопЗПО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗаменаДопЗПО(АналитикиВГО, СтрокаНомерЗПО) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ПолучитьЗаменаДопЗПО(АналитикиВГО, СтрокаНомерЗПО));
```
</details>

## ПроверитьОтсутствиеКэша
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьОтсутствиеКэша(НомераЗпоВго, Параметры) Экспорт
```

Пример вызова
```bsl
СверкаВГОУХ.ПроверитьОтсутствиеКэша(НомераЗпоВго, Параметры));
```
</details>

## ТекстЗапроса_ЗПО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ЗПО() Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_ЗПО());
```
</details>

## ТекстЗапроса_КэшЗПО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_КэшЗПО() Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_КэшЗПО());
```
</details>

## ТекстЗапроса_СводЗПО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_СводЗПО(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_СводЗПО(НомераТаблиц));
```
</details>

## ТекстЗапроса_Урегулирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_Урегулирования(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_Урегулирования(НомераТаблиц));
```
</details>

## ТекстЗапроса_Комментарии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_Комментарии(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_Комментарии(НомераТаблиц));
```
</details>

## ТекстЗапроса_СверкаВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_СверкаВГО(НомераТаблиц, ИмяТаблицы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаВГОУХ.ТекстЗапроса_СверкаВГО(НомераТаблиц, ИмяТаблицы);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
