---
title: Сверка взаиморасчетов СБП (c2b) переопределяемый
slug: erp-uh/сверка-взаиморасчетов-сбп-c2b-переопределяемый
---


## ПриНастройкеСверкиВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определят настройки использования подсистемы.
//
// Параметры:
//  Настройки - Структура - настройки выполнения сверки взаиморасчетов:
//    * ИспользоватьДокументСверки - Булево - определяет доступность использования документа "СверкаВзаиморасчетовСБПc2b";
//    * ИспользоватьСписаниеРасходов - Булево - определяет порядок списания комиссии при загрузки сверки оборотов.
//
Процедура ПриНастройкеСверкиВзаиморасчетов(Настройки) Экспорт
```

Пример вызова
```bsl
СверкаВзаиморасчетовСБПc2bПереопределяемый.ПриНастройкеСверкиВзаиморасчетов(Настройки) 
```
</details>

## ПриОпределенииОборотов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет обороты оплат и возвратов по списку документов для проведения
// сверки взаиморасчетов.
//
// Параметры:
//  ДокументыОплаты - Массив из ОпределяемыйТип.ДокументОперацииСБП - данные документов
//    для которых необходимо проводить сверку;
//  НастройкаПодключения - СправочникСсылка.НастройкиПодключенияКСистемеБыстрыхПлатежей -
//    настройка подключения к СБП;
//  Обороты - Структура - данные оборотов продаж и оплат:
//    *СуммаОплат - Число - общая сумма оплат по документам в торговой точке;
//    *СуммаВозвратов - Число - общая сумма возвратов по документам в торговой точке.
//
Процедура ПриОпределенииОборотов( Экспорт
```

Пример вызова
```bsl
СверкаВзаиморасчетовСБПc2bПереопределяемый.ПриОпределенииОборотов();
```
</details>

## ПриСписанииРасходовКомиссии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит списание расходов комиссии за проведение операций.
//
// Параметры:
//  ПараметрыСписанияРасходов - Структура - данные для списания расходов комиссии:
//   *НастройкаПодключения - СправочникСсылка.НастройкиПодключенияКСистемеБыстрыхПлатежей -
//    настройка подключения к СБП;
//   *НачалоПериода - Дата - начало периода отчета по сверке взаиморасчетов;
//   *КонецПериода - Дата - окончание периода отчета по сверке взаиморасчетов;
//   *СуммаКомиссии - Число - комиссия за проведение операций;
//  ДокументСписания - ОпределяемыйТип.СписаниеРасходовСБП - сформированные документ
//    списания расходов комиссии.
//
Процедура ПриСписанииРасходовКомиссии( Экспорт
```

Пример вызова
```bsl
СверкаВзаиморасчетовСБПc2bПереопределяемый.ПриСписанииРасходовКомиссии();
```
</details>

## ПриОпределенииДанныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет суммы оплат и возвратов по списку документов для проведения
// сверки взаиморасчетов.
//
// Параметры:
//  ДокументыОплат - Массив из ОпределяемыйТип.ДокументОперацииСБП - данные документов
//   для которых необходимо проводить сверку;
//  НастройкаПодключения - СправочникСсылка.НастройкиПодключенияКСистемеБыстрыхПлатежей -
//   настройка выполнения операции;
//  ДанныеОпераций - Соответствие - информация об операциях оплат для вывода в отчет:
//    *Ключ - ОпределяемыйТип.ДокументОперацииСБП - документ оплаты или возврата;
//    *Значение - Структура - см. СверкаВзаиморасчетовСБПc2b.НовыйДанныеОперацийОплат.
//
Процедура ПриОпределенииДанныхОпераций( Экспорт
```

Пример вызова
```bsl
СверкаВзаиморасчетовСБПc2bПереопределяемый.ПриОпределенииДанныхОпераций();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
