---
title: Сверка кодов маркировки ИСМП
slug: erp-uh/сверка-кодов-маркировки-исмп
---


## МодификацияРеквизитовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Модифицирует прикладные формы: добавляет необходимые реквизиты, команды ГосИС
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - модифицируемая форма
//   ПараметрыИнтеграции - Соответствие - настройки модификации формы
//   ДобавляемыеРеквизиты - Массив - массив добавляемых реквизитов
Процедура МодификацияРеквизитовФормы(Форма, ПараметрыИнтеграции, ДобавляемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.МодификацияРеквизитовФормы(Форма, ПараметрыИнтеграции, ДобавляемыеРеквизиты) 
```
</details>

## ПараметрыИнтеграцииГиперссылкиСостояниеОбменаИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, заполненную значениями по умолчанию, используемую для интеграции реквизитов ИС МП
//   в прикладные формы конфигураци - потребителя библиотеки ГосИС. Если передана форма - сразу заполняет ее
//   специфику в переопределяемом модуле.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения, Неопределено - форма для которой возвращаются параметры интеграции
//
// ВозвращаемоеЗначение:
//   Структура - (См. СобытияФормИС.ПараметрыИнтеграцииДляДокументаОснования).
//
Функция ПараметрыИнтеграцииГиперссылкиСостояниеОбменаИСМП(Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ПараметрыИнтеграцииГиперссылкиСостояниеОбменаИСМП(Форма);
```
</details>

## ДополнитьТаблицуТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет табличную часть товары реквизитами.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - модифицируемая форма
//   ПараметрыИнтеграции - Соответствие - настройки модификации формы
//   ПутьКРеквизиту - Строка - Имя табличной части товары
//   ДобавляемыеРеквизиты - Массив - массив добавляемых реквизитов.
//
Процедура ДополнитьТаблицуТоваров(Форма, ПараметрыИнтеграции, ПутьКРеквизиту, ДобавляемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ДополнитьТаблицуТоваров(Форма, ПараметрыИнтеграции, ПутьКРеквизиту, ДобавляемыеРеквизиты) 
```
</details>

## МодификацияЭлементовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Модифицирует прикладные формы: добавляет необходимые элементы, командную панель ГосИС
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - модифицируемая форма
//
Процедура МодификацияЭлементовФормы(Форма) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.МодификацияЭлементовФормы(Форма) 
```
</details>

## ВстроитьСтрокуСостояниеОбменаИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму гиперссылку состояние обмена по кодам маркировки.
// Отображается, если есть расхождения по кодам  между полученным УКД и ТОРГ-2.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - модифицируемая форма.
//   Настройки - Строка - Имя ключа параметров интеграции ГосИС, содержащего параметры интеграции для добавления элемента формы.
//
Процедура ВстроитьСтрокуСостояниеОбменаИСМП(Форма, Настройки) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ВстроитьСтрокуСостояниеОбменаИСМП(Форма, Настройки) 
```
</details>

## ДобавитьКоманднуюПанельСверкиКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму командную панель для встраивания гиперссылки.
//
// Параметры:
//   Форма               - ФормаКлиентскогоПриложения - форма для встраивания гиперссылок проверки и подбора.
//   ПараметрыИнтеграции - Структура        - параметры интеграции прикладной формы.
//
Процедура ДобавитьКоманднуюПанельСверкиКодовМаркировки(Форма, ПараметрыИнтеграции) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ДобавитьКоманднуюПанельСверкиКодовМаркировки(Форма, ПараметрыИнтеграции) 
```
</details>

## ДобавитьКнопкуСверкиКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму кнопку открытия формы сверки кодов маркировки.
//
// Параметры:
//   Форма               - ФормаКлиентскогоПриложения - форма для встраивания гиперссылок проверки и подбора
//   ПараметрыИнтеграции - Структура                  - параметры интеграции прикладной формы.
//
Процедура ДобавитьКнопкуСверкиКодовМаркировки(Форма, ПараметрыИнтеграции) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ДобавитьКнопкуСверкиКодовМаркировки(Форма, ПараметрыИнтеграции) 
```
</details>

## ПараметрыИнтеграцииФормыСверкиКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, заполненную значениями по умолчанию, используемую для интеграции формы сверки кодов маркировки
//   в прикладные документы конфигураци - потребителя библиотеки ГосИС. Если передана форма - сразу заполняет ее
//   специфику в переопределяемом модуле.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения, Неопределено - форма для которой возвращаются параметры интеграции
//
// Возвращаемое значение:
//  Структура - значения, используемые для интеграции формы проверки и подбора:
//   * ЭтоКорректировкаПриобретения - Булево - признак документа, определяющий, что документ является корректировочным документом приобретения, загруженным по ЭДО.
//   * ЕстьЭлектронныйДокумент                    - Булево - признак наличия ЭДО по объекту
//   * ЗавершенОбменПоЭДО                         - Булево - признак завершения ЭДО по объекту
//   * ДоступноСогласованиеРасхождений            - Булево - признак, что в документе используется функционал согласования расхождений, требующий действий пользователя (например, для документов, загруженных из ТОРГ-2)
//   * ИмяРеквизитаФормыОбъект                    - Строка - имя реквизита формы, содержащего объект документа
//   * ИмяТабличнойЧастиТовары                    - Строка - имя табличной части документа, содержащей номенклатуру
//   * ИмяТабличнойЧастиСерии                     - Строка - имя табличной части документа, содержащей данные по сериям
//   * ИмяТабличнойЧастиШтрихкодыУпаковок         - Строка - имя табличной части документа, содержащей штрихкоды упаковок номенклатуры
//   * ИмяКолонкиШтрихкодУпаковки                 - Строка - имя колонки табличной части штрихкодов содержащей штрихкоды упаковок номенклатуры
//   * РазмещатьЭлементыИнтерфейса                - Булево - необходимость размещения гиперссылок проверки и подбора;
//   * ИмяРеквизитаФормы                          - Строка - имя реквизита формы для вывода гиперссылки проверки/подбора
//   * ИмяРодительскойГруппыФормы                 - Строка - имя элемента-группы формы документа, в которую необходимо добавить гиперссылку для открытия формы проверки
//   * ИмяПоследующегоЭлементаФормы               - Строка - имя элемента формы, перед которым необходимо добавить гиперссылку для открытия формы проверки
//   * ИмяЭлементаФормыТовары                     - Строка - имя элемента формы документа, в котором выводится табличная часть с номенклатурой
//   * ИмяСледующейКолонки                        - Строка - имя колонки, перед которой необходимо вставить колонку для отображения статуса проверки товара
//   * ИмяСледующейКолонкиРасхождения             - Строка - имя колонки, перед которой необходимо вставить колонку для отображения расхождений по кодам маркировки
//   * ИспользоватьБезМаркируемойПродукции        - Булево - признак показа гиперссылки в форме документа без маркируемой продукции
//   * ИспользоватьКолонкуСтатусаПроверкиПодбора  - Булево - признак использования специальной колонки в таблице товаров для отображения статуса проверки товара
//   * ИспользоватьКолонкуРасхожденияПоКодамМаркировки - Булево - специальной колонки в таблице товаров для отображения расхождений по кодам маркировки.
//   * Заголовок                                  - Строка - представление заголовка кнопки для пользователя.
//
Функция ПараметрыИнтеграцииФормыСверкиКодовМаркировки(Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ПараметрыИнтеграцииФормыСверкиКодовМаркировки(Форма);
```
</details>

## ДобавитьКолонкуРасхожденияПоКодамМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму колонку расхождения по кодам маркировки в табличной части
//
// Параметры:
//   Форма               - ФормаКлиентскогоПриложения - форма для встраивания
//   ПараметрыИнтеграции - Структура                  - параметры интеграции прикладной формы
//
Процедура ДобавитьКолонкуРасхожденияПоКодамМаркировки(Форма, ПараметрыИнтеграции) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ДобавитьКолонкуРасхожденияПоКодамМаркировки(Форма, ПараметрыИнтеграции) 
```
</details>

## ИнициализироватьПараметрыСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует параметры для сверки кодов маркировки.
//
// Возвращаемое значение:
//  Структура - структура параметров:
//   * ЭтоПродукцияМОТП - Булево - признак использования групповых упаковок в сверяемых кодах
//   * ТоварыПринятыеБезРасхождений - Неопределено, ТаблицаЗначений - товары, принятые без расхождений, которыми будет дополнено дерево сверки.
//   * СохраненнаяДетализацияСтруктурыХранения - Неопределено, ПеречислениеСсылка.ДетализацияСтруктурыХраненияИС - сохраненная детализация отображения структуры упаковок.
//
Функция ИнициализироватьПараметрыСверки() Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ИнициализироватьПараметрыСверки() 
```
</details>

## ТаблицыРасхожденийПоДаннымЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные о расхождениях по результатам проверки и подбора кодов маркировки поступившей продукции
//
// Параметры:
//  ДеревоУпаковокФакт - ДеревоЗначений - См ШтрихкодированиеИС.ВложенныеШтрихкодыУпаковок.
//  ДеревоУпаковокПлан - См. ШтрихкодированиеИСМПСлужебный.ВложенныеШтрихкодыПоДаннымИСМП.
//  ШтрихкодыБрак - (См. ШтрихкодированиеИС.ЗначенияНедопустимыхШтрихкодовИзДереваМаркируемойПродукции).
//  ПараметрыСверки - См. ИнициализироватьПараметрыСверки.
//
// Возвращаемое значение:
//  Структура:
//  * ШтрихкодыУпаковокФактЭДО - см. ИнициализацияТаблицыПриемки
//  * ШтрихкодыУпаковокПланЭДО - см. ИнициализацияТаблицыПриемки.
//
Функция ТаблицыРасхожденийПоДаннымЭДО(ДеревоУпаковокФакт, ДеревоУпаковокПлан, ШтрихкодыБрак, ПараметрыСверки) Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ТаблицыРасхожденийПоДаннымЭДО(ДеревоУпаковокФакт, ДеревоУпаковокПлан, ШтрихкодыБрак, ПараметрыСверки) 
```
</details>

## ЗаполнитьКолонкуРасхожденияПоКодамМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные по расхождениям кодов маркировки в переданной коллекции.
//
// Параметры:
//  Товары - ДанныеФормыКоллекция, ТаблицаЗначений - Таблица, в которой необходимо заполнить реквизиты. Обязательные колонки:
//    * Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура
//    * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика номенклатуры
//    * ИмяКолонкиЗаполнения - ФорматированнаяСтрока - колонка для заполнения данных о расхождениях. Имя определяется в 3м параметре процедуры.
//  ДанныеПоРасхождениям - ДанныеФормыКоллекция, ТаблицаЗначений - Таблица, содержащая данные по расхождениям.
//    * Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура.
//    * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика номенклатуры.
//    * ТипРасхождения - ОпределяемыйТип.ТипРасхожденияИСМП - тип расхождения кодов маркировки.
//    * Количество - Число - количество единиц.
//    * Признан - ОпределяемыйТип.ВариантДействийПоРасхождениямКодовМаркировкиИСМП - Обязательная колонка, если 4й параметр Истина. Вариант действия для строки расхождения.
//  ИмяКолонкиЗаполнения - Строка - Имя колонки для заполнения данных о расхождениях.
//  ДоступноСогласованиеРасхождений  -Булево - Истина, если заполняются данные в документе, загруженном по  данным ЭДО ТОРГ-2.
//
Процедура ЗаполнитьКолонкуРасхожденияПоКодамМаркировки(Товары, ДанныеПоРасхождениям, Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ЗаполнитьКолонкуРасхожденияПоКодамМаркировки(Товары, ДанныеПоРасхождениям, );
```
</details>

## ОпределитьДокументОснованиеСверкиКодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает основание проверяемого документа.
//
// Параметры:
//   ДокументСсылка - ДокументСсылка - ссылка на документ, для которого необходимо получить основание.
//
// Возвращаемое значение:
//   ДокументСсылка.РеализацияТоваровУслуг, ДокументСсылка.ВозвратТоваровПоставщику, ДокументСсылка.АктОРасхожденияхПослеОтгрузки, Неопределено - документ-основание, Неопределено - если документ-основание отсутствует.
//
Функция ОпределитьДокументОснованиеСверкиКодов(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ОпределитьДокументОснованиеСверкиКодов(ДокументСсылка) 
```
</details>

## ТаблицаМаркируемойПродукцииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает для переданного документа таблицу его товаров, являющихся маркируемой продукцией требуемого вида.
//
// Параметры:
//  Контекст - ДокументСсылка - документ, маркируемую продукцию которого необходимо получить.
// Возвращаемое значение:
//  ТаблицаЗначений - таблица с маркируемой продукцией переданного документа:
//   * Номенклатура   - ОпределяемыйТип.Номенклатура               - номенклатура
//   * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика
//   * ВидПродукции   - ПеречислениеСсылка.ВидыПродукцииИС         - вид продукции.
//
Функция ТаблицаМаркируемойПродукцииДокумента(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ТаблицаМаркируемойПродукцииДокумента(Контекст) 
```
</details>

## СформироватьТаблицуПродукцииПринятойБезРасхождений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет товары, принятые без расхождений при загрузке формы результатов сверки по кодам маркировки.
//
// Параметры:
//  ДокументОснование - ДокументСсылка - документ основание, с которым производится сверка кодов из входящего электронного документа.
//  НоменклатураПоДаннымЭДО - Массив - массив из ОпределяемыйТип.Номенклатура, полученный из входящего электронного документа.
//  ВидыМаркируемойПродукции - Массив, ПеречислениеСсылка.ВидыПродукцииИС - виды продукции
//
// Возвращаемое значение:
//  ТаблицаЗначений - колонки:
//  * Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура.
//
Функция СформироватьТаблицуПродукцииПринятойБезРасхождений(ДокументОснование, НоменклатураПоДаннымЭДО, ВидыМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.СформироватьТаблицуПродукцииПринятойБезРасхождений(ДокументОснование, НоменклатураПоДаннымЭДО, ВидыМаркируемойПродукции) 
```
</details>

## ЗаполнитьТаблицуЗначенияШтрихкодовПродукцииПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу значений штрихкодов в разрезе продукции по документу
// Параметры:
//  Документ - ДокументСсылка - ссылка на документ, содержащий значения штрихкодов и продукции
//  ТаблицаТоваровЗначенийШтрихкодов - См. ИнициализироватьТаблицуТоваровЗначенийШтрихкодов.
Процедура ЗаполнитьТаблицуЗначенияШтрихкодовПродукцииПоДокументу(Документ, ТаблицаТоваровЗначенийШтрихкодов) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ЗаполнитьТаблицуЗначенияШтрихкодовПродукцииПоДокументу(Документ, ТаблицаТоваровЗначенийШтрихкодов) 
```
</details>

## ТаблицаРасхожденийШтриховыхКодовПолная
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает полную таблицу по кодам маркировки по переданным таблицам план/факт с указанием типа расхождений: Излишек, Недостача, Брак, БезРасхождений.
//
// Параметры:
//  ПараметрыЗаполнения - Структура - (См СверкаКодовМаркировкиИСМП.ТаблицыТОРГ2ПланФактПоДеревуУпаковокИСМП)
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица определяющая состав кодов маркировки и расхождений:
//    Номенклатура   - ОпределяемыйТип.Номенклатура               - номенклатура
//    Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика
//    ЗначениеШтрихкода - Строка - значение штрихкода
//    КоличествоВНаличии - Число - количество без расхождений
//    КоличествоНедостача - Число - количество недостача
//    КоличествоИзлишек - Число - количество излишек
//    ТипРасхождения - ОпределяемыйТип.ТипРасхожденияИСМП - тип расхождения по строке.
//
Функция ТаблицаРасхожденийШтриховыхКодовПолная(ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ТаблицаРасхожденийШтриховыхКодовПолная(ПараметрыЗаполнения) 
```
</details>

## ИнициализироватьТаблицуТоваровЗначенийШтрихкодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует таблицу товаров по кодам маркировки. Используется при получении данных по кодам маркировки из документов.
//
// Возвращаемое значение:
//  ТаблицаЗначений - содержит следующие колонки:
//  * Номенклатура      - ОпределяемыйТип.Номенклатура - Номекнлатура.
//  * Характеристика    - ОпределяемыйТип.ХарактеристикаНоменклатуры - Характеристика.
//  * ЗначениеШтрихкода - Строка - значение штрихкода.
//  * ВидПродукции   - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции.
Функция ИнициализироватьТаблицуТоваровЗначенийШтрихкодов() Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ИнициализироватьТаблицуТоваровЗначенийШтрихкодов() 
```
</details>

## ИнициализацияТаблицыШтрихкодыУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует таблицу расхождений по кодам маркировки. Используется при загрузке и сохранении данных в форме результаты сверки по кодам маркировки.
//
// Параметры:
//  ИспользоватьРасхождения - Булево - Истина, если требуется дополнить таблицу колонками для учета расхождений
//
// Возвращаемое значение:
//  ТаблицаЗначений - содержит следующие колонки:
//  * Номенклатура      - ОпределяемыйТип.Номенклатура - Номекнлатура.
//  * Характеристика    - ОпределяемыйТип.ХарактеристикаНоменклатуры - Характеристика.
//  * ЗначениеШтрихкода - Строка - значение штрихкода.
//  * Количество        - Число - количество по документу.
//  * ТипРасхождения    - ОпределяемыйТип.ТипРасхожденияИСМП - тип расхождения.
//  * Признан           - ОпределяемыйТип.ВариантДействийПоРасхождениямКодовМаркировкиИСМП - варинаты действий по расхождениям.
//
Функция ИнициализацияТаблицыШтрихкодыУпаковок(ИспользоватьРасхождения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ИнициализацияТаблицыШтрихкодыУпаковок(ИспользоватьРасхождения);
```
</details>

## ИнициализацияТаблицыШтрихкодыУпаковокПринятоИзлишекНедостача
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует таблицу расхождений по кодам маркировки. Используется при загрузке данных в форме результаты сверки по кодам маркировки.
//
// Параметры:
//  ИспользоватьРасхождения - Булево - Истина, если требуется дополнить таблицу колонками для учета расхождений.
//
// Возвращаемое значение:
//  ТаблицаЗначений - содержит следующие колонки:
//  * Номенклатура        - ОпределяемыйТип.Номенклатура - Номекнлатура.
//  * Характеристика      - ОпределяемыйТип.ХарактеристикаНоменклатуры - Характеристика.
//  * ЗначениеШтрихкода   - Строка - значение штрихкода.
//  * КоличествоВНаличии  - Число - количество по документу.
//  * КоличествоИзлишек   - Число - количество по документу.
//  * КоличествоНедостача - Число - количество по документу.
//  * ТипРасхождения    - ОпределяемыйТип.ТипРасхожденияИСМП - тип расхождения.
//
Функция ИнициализацияТаблицыШтрихкодыУпаковокПринятоИзлишекНедостача() Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ИнициализацияТаблицыШтрихкодыУпаковокПринятоИзлишекНедостача() 
```
</details>

## НоваяТаблицаМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует пустую таблицу маркируемой продукции
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица определяющая состав маркируемой продукции документа:
//    Номенклатура   - ОпределяемыйТип.Номенклатура               - номенклатура
//    Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика
//    ВидПродукции   - ПеречислениеСсылка.ВидыПродукцииИС         - вид продукции.
//
Функция НоваяТаблицаМаркируемойПродукции() Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.НоваяТаблицаМаркируемойПродукции());
```
</details>

## ДополнитьКолонкиДереваУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет дерево упаковок служебными колонками перед расчетом расхождений
//
// Параметры:
//  ДеревоУпаковок - ДеревоЗначений - дерево упаковок
Процедура ДополнитьКолонкиДереваУпаковок(ДеревоУпаковок) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ДополнитьКолонкиДереваУпаковок(ДеревоУпаковок) 
```
</details>

## ДополнитьФактическимиДаннымиДеревоЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет сверку ДереваЗначений1 и ДереваЗначений2, сохраняет результаты сверки в ДеревоЗначений2,
//  заполняет служебные реквизиты Принята и Излишек, и добавляет новые строки в ДеревоЗначений2.
//
// Параметры:
//  ДеревоЗначений1 - ДеревоЗначений - дерево значений с фактическими результатами проверки.
//  ДеревоЗначений2 - ДеревоЗначений - дерево значений с плановыми данными (данные сервиса).
//  ДеревоПроверкиИсходное - Неопределено, ДеревоЗначений - служебный параметр, при первом вызове передавать Неопределено.
//  ТекущаяСтрокаИзлишекДерева2 - Неопределено, СтрокаДереваЗначений - служебный параметр, при первом вызове передавать Неопределено.
//
Процедура ДополнитьФактическимиДаннымиДеревоЭДО(ДеревоЗначений1, ДеревоЗначений2, Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ДополнитьФактическимиДаннымиДеревоЭДО(ДеревоЗначений1, ДеревоЗначений2, );
```
</details>

## ОтметитьВложенныеУпаковкиКакПринятые
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные вложенных строк по данным строки верхнего уровня.
//
// Параметры:
//  СтрокаВерхнегоУровня - СтрокаДереваЗначений - строка дерева значений для обработки вложенных строк.
//
Процедура ОтметитьВложенныеУпаковкиКакПринятые(СтрокаВерхнегоУровня) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ОтметитьВложенныеУпаковкиКакПринятые(СтрокаВерхнегоУровня));
```
</details>

## ТаблицыТОРГ2ПланФактПоДеревуУпаковокИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицы план/факт по дереву упаковок ИСМП по результатм сверки кодов маркировки
//
// Параметры:
//  ДеревоМаркированнойПродукции - ДеревоЗначений - дерево значений, содержащее данные о результатах сверки.
//  НедопустимыеШтрихкоды - (См. ШтрихкодированиеИС.ЗначенияНедопустимыхШтрихкодовИзДереваМаркируемойПродукции).
//  ПерваяИтерация - Булево - Служебный параметр, передавать Истина при первом вызове.
//  ТоварыПринятыеБезРасхождений - ТаблицаЗначений - таблица товаров, принятых без расхождений. Колонки:
//   * Номенклатура - ОпределяемыйТип.Номенклатура - Номенклатура.
//  Детализация - ПеречислениеСсылка.ДетализацияСтруктурыХраненияИС - сохраненная детализация.
//
//  Возвращаемое значение:
//   Структура:
//    * ШтрихкодыУпаковокФактЭДО - (См. ИнициализацияТаблицыПриемки).
//    * ШтрихкодыУпаковокПланЭДО - (См. ИнициализацияТаблицыПриемки).
//    * НарушенСостав - Булево - служебное свойство, признак наличия расхождений.
//
Функция ТаблицыТОРГ2ПланФактПоДеревуУпаковокИСМП(ДеревоМаркированнойПродукции, НедопустимыеШтрихкоды, Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ТаблицыТОРГ2ПланФактПоДеревуУпаковокИСМП(ДеревоМаркированнойПродукции, НедопустимыеШтрихкоды, );
```
</details>

## ТаблицыТОРГ2ПланФактПоДеревуУпаковокМОТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицы план/факт по дереву упаковок МОТП по результатм сверки кодов маркировки
//
// Параметры:
//  ДеревоМаркированнойПродукции - ДеревоЗначений - дерево значений, содержащее данные о результатах сверки.
//  НедопустимыеШтрихкоды - (См. ШтрихкодированиеИС.ЗначенияНедопустимыхШтрихкодовИзДереваМаркируемойПродукции).
//  ПерваяИтерация - Булево - Служебный параметр, передавать Истина при первом вызове.
//  ТоварыПринятыеБезРасхождений - ТаблицаЗначений - таблица товаров, принятых без расхождений. Колонки:
//   * Номенклатура - ОпределяемыйТип.Номенклатура - Номенклатура.
//  Детализация - ПеречислениеСсылка.ДетализацияСтруктурыХраненияИС - сохраненная детализация.
//
//  Возвращаемое значение:
//   Структура:
//    * ШтрихкодыУпаковокФактЭДО - (См. ИнициализацияТаблицыПриемки).
//    * ШтрихкодыУпаковокПланЭДО - (См. ИнициализацияТаблицыПриемки).
//    * НарушенСостав - Булево - служебное свойство, признак наличия расхождений.
//
Функция ТаблицыТОРГ2ПланФактПоДеревуУпаковокМОТП(ДеревоМаркированнойПродукции, НедопустимыеШтрихкоды, ПерваяИтерация = Ложь, ТоварыПринятыеБезРасхождений = Неопределено, Детализация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ТаблицыТОРГ2ПланФактПоДеревуУпаковокМОТП(ДеревоМаркированнойПродукции, НедопустимыеШтрихкоды, ПерваяИтерация, ТоварыПринятыеБезРасхождений, Детализация);
```
</details>

## ИнициализацияТаблицыПриемки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует пустую таблицу маркируемой продукции.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица определяющая состав маркируемой продукции документа:
//    Номенклатура   - ОпределяемыйТип.Номенклатура               - номенклатура.
//    Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика.
//    ЗначениеШтрихкода - Строка - значение штрихкода.
//    КоличествоПринято - Число - количество принятой продукции.
//    КоличествоИзлишек - Число - количество продукции принятой сверх плана.
//    КоличествоНедостача - Число - количество недопоставленной продукции.
//    КоличествоБрак - Число - количество бракованной продукции (код маркировки не соответствует условиям проверок).
//    Брак - Булево - флаг. Истина, если код макировки в строке бракованный.
//
Функция ИнициализацияТаблицыПриемки() Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ИнициализацияТаблицыПриемки() 
```
</details>

## КолонкиГруппировкиТаблицыТОРГ2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КолонкиГруппировкиТаблицыТОРГ2() Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.КолонкиГруппировкиТаблицыТОРГ2());
```
</details>

## КолонкиИтоговТаблицыТОРГ2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КолонкиИтоговТаблицыТОРГ2() Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.КолонкиИтоговТаблицыТОРГ2());
```
</details>

## ДополнитьТаблицыТОРГ2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Добавляет строку в приемник, заполняет совпадающие свойства новой строки по данным источника, заполняет количество по строке.
//
// Параметры:
//  ТаблицаПриемник - См. ИнициализацияТаблицыПриемки.
//  СтрокаИсточник - СтрокаДереваЗначений - строка источник
//  Принята - Булево - флаг, истина, если количество по строке нужно сохранить как КоличествоПринято.
//  Излишек - Булево - флаг, истина, если количество по строке нужно сохранить как КоличествоИзлишек.
//  Брак - Булево - флаг, истина, если количество по строке нужно сохранить как КоличествоБрак.
//
Процедура ДополнитьТаблицыТОРГ2(ТаблицаПриемник, СтрокаИсточник, ЗначениеШтрихкода, Принята, Излишек, Брак = Ложь) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ДополнитьТаблицыТОРГ2(ТаблицаПриемник, СтрокаИсточник, ЗначениеШтрихкода, Принята, Излишек, Брак);
```
</details>

## ДополнитьТаблицыТОРГ2МОТП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет строку в приемник, заполняет совпадающие свойства новой строки по данным источника, заполняет количество по строке.
//
// Параметры:
//  ТаблицаПриемник - См. ИнициализацияТаблицыПриемки.
//  СтрокаИсточник - СтрокаДереваЗначений - строка источник
//  Принята - Булево - флаг, истина, если количество по строке нужно сохранить как КоличествоПринято.
//  Излишек - Булево - флаг, истина, если количество по строке нужно сохранить как КоличествоИзлишек.
//  Брак - Булево - флаг, истина, если количество по строке нужно сохранить как КоличествоБрак.
//
Процедура ДополнитьТаблицыТОРГ2МОТП(ТаблицаПриемник, СтрокаИсточник, ЗначениеШтрихкода, Принята, Излишек, Брак = Ложь) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ДополнитьТаблицыТОРГ2МОТП(ТаблицаПриемник, СтрокаИсточник, ЗначениеШтрихкода, Принята, Излишек, Брак);
```
</details>

## ЗафиксироватьРезультатСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Фиксирует результаты сверки кодов маркировки в документе, из которого она была вызвана.
//
// Параметры:
//   РезультатСверки - Структура - (См. ПараметрыОкончанияПроверки()).
//
Процедура ЗафиксироватьРезультатСверки(РезультатСверки) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМП.ЗафиксироватьРезультатСверки(РезультатСверки) 
```
</details>

## ПараметрыОкончанияПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует структуру параметров завершения сверки кодов маркировки (ИС МП)
//
// Возвращаемое значение:
//   Структура - содержит следующие поля:
//     * ПроверяемыйДокумент             - ДокументСсылка - документ, для которого выполнялась сверка кодов.
//     * ТаблицаШтрихкодовВерхнегоУровня - ТаблицаЗначений - содержит следующие колонки:
//        ** ШтрихкодУпаковки - СправочникСсылка.ШтрихкодыУпаковокТоваров - Штрихкод упаковки
//        ** Штрихкод - Строка - Значение штрихкода
//     * ТаблицаРасхожденийКодовМаркировки - ТаблицаЗначений - содержит следующие колонки:
//        ** Номенклатура        - ОпределяемыйТип.Номенклатура - Номекнлатура
//        ** Характеристика      - ОпределяемыйТип.ХарактеристикаНоменклатуры - Характеристика
//        ** Серия               - ОпределяемыйТип.СерияНоменклатуры - Серия
//        ** Количество          - Число - количество по документу
//        ** КоличествоПодобрано - Число - фактическое количество по результатам проверки и подбора
//
Функция ПараметрыОкончанияПроверки() Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ПараметрыОкончанияПроверки() 
```
</details>

## ЭтоДокументКорректировкаПриобретенияПоСогласованиюСторон
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет соответствие вида корректировки хозяйственной операции "Корректировка по согласовнию",
// результат возвращает через второй параметр.
//
// Параметры:
//  Контекст - ДокументСсылка - Контекст для определения типа документа.
//
// Возвращаемое значение:
//  Булево - Истина, если условие выполнено.
Функция ЭтоДокументКорректировкаПриобретенияПоСогласованиюСторон(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = СверкаКодовМаркировкиИСМП.ЭтоДокументКорректировкаПриобретенияПоСогласованиюСторон(Контекст) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
