---
title: Сверка кодов маркировки ИСМП клиент
slug: erp-uh/сверка-кодов-маркировки-исмп-клиент
---


## ОткрытьФормуРезультатовСверкиКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму результаты сверки по кодам маркировки.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Источник события
// 	ДополнительныеПараметры - Структура - содержит даннные для отбора по номенклатуре, если форма открывается для выбранной строки товары.
//   * ДанныеВыбораПоМаркируемойПродукции - Структура.
//     ** Номенклатура - ОпределяемыйТип.Номенклатура - Номенклатура.
//     ** Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - Характеристика.
//     ** Представление - Строка - представление номенклатуры.
//   * СохраненВыборПоМаркируемойПродукции - Булево - истина, если требуется установить отбор по переданным данным выбора.
//
Процедура ОткрытьФормуРезультатовСверкиКодовМаркировки(Форма, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМПКлиент.ОткрытьФормуРезультатовСверкиКодовМаркировки(Форма, ДополнительныеПараметры);
```
</details>

## ОткрытьФормуРезультатыСверкиКМПриОтветеНаВопрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает документ и продолжает открытие формы результаты сверки по кодам маркировки после ответа на вопрос о модифицированности формы
//
// Параметры:
//  РезультатВопроса - КодВозвратаДиалога - Результат ответа на вопрос.
//  ДополнительныеПараметры - Структура:
//   * Форма - ФормаКлиентскогоПриложения - Источник события.
//   * ПараметрыОткрытияФормыСверки - Структура - подготовленные параметры открытия формы сверки. (См. ПараметрыОткрытияФормыСверки).
//
Процедура ОткрытьФормуРезультатыСверкиКМПриОтветеНаВопрос(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМПКлиент.ОткрытьФормуРезультатыСверкиКМПриОтветеНаВопрос(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ОткрытьФормуРезультатыСверкиКМПослеЗаписиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму результаты сверки по кодам маркировки после записи документа.
//
// Параметры:
//  РезультатЗаписи - Булево - Истина, если запись документа выполнена без ошибок.
//  ДополнительныеПараметры - Структура:
//   * Форма - ФормаКлиентскогоПриложения - Источник события.
//   * ПараметрыОткрытияФормыСверки - Структура - подготовленные параметры открытия формы сверки. (См. ПараметрыОткрытияФормыСверки).
//
Процедура ОткрытьФормуРезультатыСверкиКМПослеЗаписиОбъекта(РезультатЗаписи, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМПКлиент.ОткрытьФормуРезультатыСверкиКМПослеЗаписиОбъекта(РезультатЗаписи, ДополнительныеПараметры) 
```
</details>

## ОткрытьФормуРезультатыСверкиКММаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для открытия формы результаты сверки по кодам маркировки.
//
// Параметры:
//   * Форма - ФормаКлиентскогоПриложения - форма прикладного документа или общая форма, в который встраивается функциональность библиотеки ГосИС.
//   * ПараметрыОткрытияФормыСверки - Структура - (См. ПараметрыОткрытияФормыСверкиИПодбора).
//
Процедура ОткрытьФормуРезультатыСверкиКММаркируемойПродукции(Форма, Знач ПараметрыОткрытияФормыСверки) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМПКлиент.ОткрытьФормуРезультатыСверкиКММаркируемойПродукции(Форма, ПараметрыОткрытияФормыСверки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
