---
title: Сверка кодов маркировки ИСМП клиент переопределямый
slug: erp-uh/сверка-кодов-маркировки-исмп-клиент-переопределямый
---


## ПриУстановкеПараметровОткрытияФормыСверкиКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет специфичные параметры открытия формы результатов сверки кодов маркировки в зависимости от точки вызова.
// Например, определяет доступность функционала по согласованию расхождений и заполняет признак режима проверки входящего электронного документа.
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из которой происходит открытие формы результатов сверки кодов маркировки.
//  Параметры - Структура - (См. СверкаКодовМаркировкиИСМПКлиент.ПараметрыОткрытияФормыСверки).
//
Процедура ПриУстановкеПараметровОткрытияФормыСверкиКодовМаркировки(Форма, Параметры) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМПКлиентПереопределямый.ПриУстановкеПараметровОткрытияФормыСверкиКодовМаркировки(Форма, Параметры) 
```
</details>

## ПередОткрытиемФормыРезультатыСверкиКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет специфичные действия перед открытием формы результатов сверки кодов маркировки в зависимости от точки вызова.
// Для открытия результатов сверки из документа, полученного по ЭДО (например, акт о расхождениях, корректировка приобретения) необходимо
// проверить заполненность реквизита документ-основание. (см. ПараметрыОткрытия.ИмяКоллекцииДокументыОснование, ПараметрыОткрытия.ИмяРеквизитаДокументОснования).
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из которой происходит открытие формы сверки кодов маркировки.
//  ПараметрыОткрытия - Структура - (См. СверкаКодовМаркировкиИСМПКлиент.ПараметрыОткрытияФормыСверки()).
//  ПараметрыФормыПроверки - Структура - подготовленные параметры открытия формы сверки кодов маркировки.
//  Отказ - Булево - отказ от открытия формы.
//
Процедура ПередОткрытиемФормыРезультатыСверкиКодовМаркировки(Форма, ПараметрыОткрытия, ПараметрыФормыПроверки, Отказ) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМПКлиентПереопределямый.ПередОткрытиемФормыРезультатыСверкиКодовМаркировки(Форма, ПараметрыОткрытия, ПараметрыФормыПроверки, Отказ) 
```
</details>

## ПриЗакрытииФормыСверкиКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет специфичные действия после закрытия форм сверки кодов маркировки в зависимости от точки вызова
//
// Параметры:
//  РезультатЗакрытия - Произвольный - результат закрытия формы проверки и подбора
//  ДополнительныеПараметры - Структура - структура с реквизитом Форма (управляемая форма из которой происходил вызов)
//
Процедура ПриЗакрытииФормыСверкиКодовМаркировки(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СверкаКодовМаркировкиИСМПКлиентПереопределямый.ПриЗакрытииФормыСверкиКодовМаркировки(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
