---
title: Сверка с ФНС по имущественным налогам формы
slug: erp-uh/сверка-с-фнс-по-имущественным-налогам-формы
---


## НовыеСпециальныеПараметрыНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор специальных параметров навигационной ссылки.
//
// Возвращаемое значение:
//  Структура - Новые специальные параметры навигационной ссылки:
// * Выполнено - Булево -
//
Функция НовыеСпециальныеПараметрыНавигационнойСсылки() Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормы.НовыеСпециальныеПараметрыНавигационнойСсылки() 
```
</details>

## ИнициализироватьПараметрыНавигационныхСсылок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует реквизит формы ПараметрыНавигационныхСсылок, который используется для выполнения переходов по ссылкам,
// а также для расчета статуса действий, с которыми связаны навигационные ссылки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма должна содержать реквизит ПараметрыНавигационныхСсылок
//  Организация - СправочникСсылка.Организации
//  Налог - ПеречислениеСсылка.ВидыИмущественныхНалогов
//  НалоговыйПериод - Дата
//  КодыНалоговыхОрганов - Массив из Строка - коды налоговых органов, в которых зарегистрированы объекты, попавшие в сверку.
//  РегистрацияВНалоговомОргане - СправочникСсылка.РегистрацииВНалоговомОргане - Регистрация в ИФНС.
//  Сообщение - Неопределено - входящее сообщение от ФНС с расчетом налога.
Процедура ИнициализироватьПараметрыНавигационныхСсылок(Форма, Организация, Налог, НалоговыйПериод, КодыНалоговыхОрганов, Экспорт
```

Пример вызова
```bsl
СверкаСФНСПоИмущественнымНалогамФормы.ИнициализироватьПараметрыНавигационныхСсылок(Форма, Организация, Налог, НалоговыйПериод, КодыНалоговыхОрганов, );
```
</details>

## ИнициализироватьПараметрыСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать параметры сверки.
//
// Параметры:
//  Форма - Форма
//  РегистрацияВНалоговомОргане - СправочникСсылка.РегистрацииВНалоговомОргане - Регистрация в налоговом органе
//  РегистрацияВНалоговомОрганеОтправителе - СправочникСсылка.РегистрацииВНалоговомОргане, Неопределено -  Регистрация в налоговом органе отправителе
//  КодОтправителя - Строка, Неопределено -  Код отправителя
//  КодыНалоговыхОрганов - Строка, Неопределено -  Коды налоговых органов
//  Сообщение - Неопределено -  Сообщение
Процедура ИнициализироватьПараметрыСверки(Форма, Экспорт
```

Пример вызова
```bsl
СверкаСФНСПоИмущественнымНалогамФормы.ИнициализироватьПараметрыСверки(Форма, );
```
</details>

## СуммыНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Суммы налога.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация
//  Налог - ПеречислениеСсылка.ВидыИмущественныхНалогов - Налог
//  НалоговыйПериод - Дата - Налоговый период
//  КодыНалоговыхОрганов - Массив из Строка - Коды налоговых органов
//
// Возвращаемое значение:
//  Структура -  Суммы налога:
// * СуммаНалогаНачислено - Число -
Функция СуммыНалога(Организация, Налог, НалоговыйПериод, КодыНалоговыхОрганов) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормы.СуммыНалога(Организация, Налог, НалоговыйПериод, КодыНалоговыхОрганов) 
```
</details>

## ПоляСтрокРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с именами полей строк детального расчета в программе и расчета ФНС.
// Порядок полей в массиве-результате соответствует порядку полей в бумажной форме расчета ФНС.
// Дополнительно в расчетах сравнивается поле СуммаЛьгот, но это общая сумма по объекту,
// поэтому сравнивается отдельно, и здесь не упоминается.
//
// Параметры:
//  Налог - ПеречислениеСсылка.ВидыИмущественныхНалогов
//  НалоговыйПериод - Дата - любая дата за налоговый период
//
// Возвращаемое значение:
//  Массив из Строка - наименования полей расчета для конкретного налога за конкретный период
//
Функция ПоляСтрокРасчета(Налог, НалоговыйПериод) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормы.ПоляСтрокРасчета(Налог, НалоговыйПериод) 
```
</details>

## СравнитьРасчетыПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнить расчеты по объекту.
//
// Параметры:
//  Расчет - ТаблицаЗначений, ДанныеФормыКоллекция - строки расчета по объекту в программе
//  РасчетФНС - ТаблицаЗначений, ДанныеФормыКоллекция - строки расчета по объекту в ФНС
//  СуммаЛьгот - Число - сумма налоговых льгот по объекту в расчете программы
//  СуммаЛьготФНС - Число - сумма налоговых льгот по объекту в расчете ФНС
//  СуммаНалога - Число - сумма исчисленного налога по объекту в программе
//  СуммаНалогаФНС - Число - сумма исчисленного налога по объекту в сообщении ФНС
//  СверяемыеПоляСтрокРасчета - Массив из Строка - см. ПоляСтрокРасчета()
//
// Возвращаемое значение:
//  Строка - список полей через запятую, значения в которых расходятся в двух расчетах. Если расходятся все показатели
//  или в расчетах разное количество строк, то вернется значение "Все".
Функция СравнитьРасчетыПоОбъекту(Расчет, РасчетФНС, СуммаЛьгот, СуммаЛьготФНС, СуммаНалога, СуммаНалогаФНС, СверяемыеПоляСтрокРасчета) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормы.СравнитьРасчетыПоОбъекту(Расчет, РасчетФНС, СуммаЛьгот, СуммаЛьготФНС, СуммаНалога, СуммаНалогаФНС, СверяемыеПоляСтрокРасчета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
