---
title: Сверка с ФНС по имущественным налогам формы вызов сервера
slug: erp-uh/сверка-с-фнс-по-имущественным-налогам-формы-вызов-сервера
---


## СпециальныеПараметрыНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и заполняет специальные параметры переданной навигационной ссылки.
//
// Параметры:
//  НавигационнаяСсылка - Строка -
//  ОбщиеПараметры - Структура - ПараметрыНавигационныхСсылок.ОбщиеПараметры
// См. СверкаСФНСПоИмущественнымНалогамФормы.НовыеПараметрыНавигационныхСсылок.
//
// Возвращаемое значение:
//  Структура -- в структуре всегда есть свойство:
// 		* Выполнено - Булево - признак "выполнения" ссылки,
// 								т.е. наличие записанного объекта по ссылке.
Функция СпециальныеПараметрыНавигационнойСсылки(НавигационнаяСсылка, ОбщиеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыВызовСервера.СпециальныеПараметрыНавигационнойСсылки(НавигационнаяСсылка, ОбщиеПараметры) 
```
</details>

## ПредставлениеНалогаРодительныйПадеж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление налога родительный падеж.
// Определяет краткое представление налога в родительном падеже.
// Параметры:
//  Налог - ПеречислениеСсылка.ВидыИмущественныхНалогов - Налог
//
// Возвращаемое значение:
//  Строка - Представление налога родительный падеж
Функция ПредставлениеНалогаРодительныйПадеж(Налог) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыВызовСервера.ПредставлениеНалогаРодительныйПадеж(Налог) 
```
</details>

## СодержаниеВложенийСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовое содержимое файлов с расчетом имущественных налогов, приложенных к сообщению.
// Используется для передачи в метод визуализации расчетов в читаемом виде.
//
// Параметры:
//  Сообщение - СправочникСсылка.ДокументыРеализацииПолномочийНалоговыхОрганов - входящее сообщение ФНС, к которому
//              приложен(-ы) файл(-ы) с расчетом налога(-ов).
//
// Возвращаемое значение:
//  Массив из Строка - массив текстовых представлений содержимого xml-файлов
//
Функция СодержаниеВложенийСообщения(Сообщение) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыВызовСервера.СодержаниеВложенийСообщения(Сообщение) 
```
</details>

## СписокРасчетовИзСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Список расчетов из сообщения.
//
// Параметры:
//  Сообщение - СправочникСсылка.ДокументыРеализацииПолномочийНалоговыхОрганов - входящее сообщение ФНС, к которому
// 																				 приложены файлы с расчетом налогов.
//
// Возвращаемое значение:
//  СписокЗначений из Структура - Список расчетов из сообщения.
Функция СписокРасчетовИзСообщения(Сообщение) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыВызовСервера.СписокРасчетовИзСообщения(Сообщение) 
```
</details>

## СписокРасчетовИзФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Из файла с исчисленными суммами имущественных налогов выбирает содержащиеся в нем расчеты налога.
// Под отдельным расчетом налога понимается набор сведений по объектам одной организации, облагаемым
// конкретным налогом за конкретный налоговый период, составленный одним налоговым органом - отправителем этого расчета.
// Иными словами, это порция сведений, которые требуют отдельной сверки.
//
// Параметры:
//  Файл - Структура - описание файла с расчетом(-ми) налога - содержит:
// 			* Адрес - Строка - адрес файла во временном хранилище или
// 			* Данные - ДвоичныеДанные, ХранилищеЗначения - даные файла
// 			* ИмяФайла - Строка - имя загружаемого файла
//  Отбор - Структура - Отбор - содержит:
//  	* Организация 		- СправочникСсылка.Организации
//  	* Налог				- ПеречислениеСсылка.ВидыИмущественныхНалогов
//  	* НалоговыйПериод	- Дата
//
// Возвращаемое значение:
//  СписокЗначений из Структура - список выбора расчета - содержит:
// 			* Значение - Структура - параметры формы сверки конкретного расчета налога
// 			* Представление - Строка - представление расчета для показа выбора пользователю.
Функция СписокРасчетовИзФайла(Файл, Отбор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыВызовСервера.СписокРасчетовИзФайла(Файл, Отбор);
```
</details>

## КатегорииТСПоКодуВида
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция-посредник для получения на клиенте соответствия категорий ТС классификатору видов ТС,
// используемому в регистрации ТС.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
// * Ключ - Строка - Код вида ТС.
// * Значение - Строка - Номер категории ТС.
Функция КатегорииТСПоКодуВида() Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыВызовСервера.КатегорииТСПоКодуВида() 
```
</details>

## НаименованиеОбъектаНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует наименование объекта налогообложения для конкретного налога. Например, "транспортное средство".
//
// Параметры:
//  Налог - ПеречислениеСсылка.ВидыИмущественныхНалогов - налог, которым облагаются основные средства
//  Падеж - Строка - например, "Родительный"
//  ВЕдинственномЧисле - Булево - если Ложь, то возвращается наименование во множественном числе, например "транспортные средства"
//  СБольшойБуквы - Булево - если Истина, то возвращается наименование с большой буквы, например "Транспортные средства"
//
// Возвращаемое значение:
//  Строка - например, "транспортных средств" или "Земельному участку"
//
Функция НаименованиеОбъектаНалогообложения(Налог, Падеж = "Именительный", ВЕдинственномЧисле = Истина, СБольшойБуквы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыВызовСервера.НаименованиеОбъектаНалогообложения(Налог, Падеж, ВЕдинственномЧисле, СБольшойБуквы);
```
</details>

## ПоследнийОтчетныйПериодПоДатеУведомления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет дату окончания отчетного периода (последнего предшествующего), за который подается уведомление.
//
// Параметры:
//  ДатаСообщения - Дата - предполагаемая дата подачи сообщения, обычно дата подписи.
//
// Возвращаемое значение:
//  Дата - окончания последнего отчетного периода, который предшествует дате уведомления, и за который это уведомление подается.
//
Функция ПоследнийОтчетныйПериодПоДатеУведомления(Знач ДатаСообщения) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыВызовСервера.ПоследнийОтчетныйПериодПоДатеУведомления(ДатаСообщения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
