---
title: Сверка с ФНС по имущественным налогам формы клиент
slug: erp-uh/сверка-с-фнс-по-имущественным-налогам-формы-клиент
---


## ОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик нажатия навигационных ссылок в формах сверки расчета.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой есть навигационная ссылка
//  НавигационнаяСсылка - Строка
//  СтандартнаяОбработка - Булево - признак стандартной обработки нажатия навигационной ссылки
Процедура ОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СверкаСФНСПоИмущественнымНалогамФормыКлиент.ОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылка, СтандартнаяОбработка) 
```
</details>

## ОткрытьСправкуРасчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть справку расчет.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из которой требуется открыть справку-расчет налога
//  Организация - СправочникСсылка.Организации
//  Налог - ПеречислениеСсылка.ВидыИмущественныхНалогов
//  НалоговыйПериод - Дата - любая дата в налоговом периоде, за который нужно открыть справку-расчет
//  КодыНалоговыхОрганов - Массив из Строка- коды налоговых органов, по которым будет отобран отчет
//
Процедура ОткрытьСправкуРасчет(Форма, Организация, Налог, НалоговыйПериод, КодыНалоговыхОрганов) Экспорт
```

Пример вызова
```bsl
СверкаСФНСПоИмущественнымНалогамФормыКлиент.ОткрытьСправкуРасчет(Форма, Организация, Налог, НалоговыйПериод, КодыНалоговыхОрганов) 
```
</details>

## ПерейтиКСверкеПослеФормированияСпискаРасчетовНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события после формирования списка расчетов из сообщения ФНС или из отдельного файла
//
// Параметры:
//  Форма							 - ФормаКлиентскогоПриложения - форма, из которой открывается сообщение или файл
//  СписокРасчетов					 - СписокЗначений из Структура - список расчетов, содержащийся в файлах сообщения или в отдельном файле
//                                     (см. СверкаСФНСПоИмущественнымНалогамФормыВызовСервера.СписокРасчетовИзСообщения)
//  ОповещениеПослеПереходаКСверке	 - ОписаниеОповещения - оповещение, которое будет вызвано после открытия сверки
//
Процедура ПерейтиКСверкеПослеФормированияСпискаРасчетовНалога(Форма, СписокРасчетов, ОповещениеПослеПереходаКСверке = Неопределено) Экспорт
```

Пример вызова
```bsl
СверкаСФНСПоИмущественнымНалогамФормыКлиент.ПерейтиКСверкеПослеФормированияСпискаРасчетовНалога(Форма, СписокРасчетов, ОповещениеПослеПереходаКСверке);
```
</details>

## НачатьЗагрузкуРасчетаНалогаИзФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик начала выбора файла с расчетом налога.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из которой открывается файл с расчетом.
//  ОповещениеПослеЗагрузкиФайла - ОписаниеОповещения - оповещение, которое будет вызвано после помещения файла на сервер.
//  Налог - ПеречислениеСсылка.ВидыИмущественныхНалогов - налог, по которому нужно открыть файл с расчетом ФНС
//          Если не указан, то может быть выбран файл с любым имущественным налогом.
//  ПериодСобытия - Дата - период события из списка задач (указывается в том случае, если файл загружается из задачи сверки).
//
Процедура НачатьЗагрузкуРасчетаНалогаИзФайла(Форма, ОповещениеПослеЗагрузкиФайла, Налог = Неопределено, ПериодСобытия = '00010101') Экспорт
```

Пример вызова
```bsl
СверкаСФНСПоИмущественнымНалогамФормыКлиент.НачатьЗагрузкуРасчетаНалогаИзФайла(Форма, ОповещениеПослеЗагрузкиФайла, Налог, ПериодСобытия);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
