---
title: Сверка с ФНС по имущественным налогам формы клиент сервер
slug: erp-uh/сверка-с-фнс-по-имущественным-налогам-формы-клиент-сервер
---


## ПериодРасчетаНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет дату, которая указана в регистре расчета налога за соответствующий налоговый период (год).
//
// Параметры:
//  НалоговыйПериод - Дата - любая дата в налоговом периоде
//
// Возвращаемое значение:
//  Дата - дата, на которую ожидаются записи в регистре расчете налога за указанный налоговый период
Функция ПериодРасчетаНалога(НалоговыйПериод) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.ПериодРасчетаНалога(НалоговыйПериод) 
```
</details>

## ПериодИзмененийДляОсобогоКонтроля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает период, в течение которого изменения в состоянии объектов могут быть не учтены в ФНС.
// Это может привести к расхождениям в расчете налога. Поэтому объекты, по которым были какие-то события
// в этот период, могут потребовать особого внимания.
//
// Параметры:
//  НалоговыйПериод - Дата - любая дата в налоговом периоде, за который выполняется сверка налога
//
// Возвращаемое значение:
//  Дата - дата, после которой изменения в состоянии объектов требуют особого контроля
Функция ПериодИзмененийДляОсобогоКонтроля(НалоговыйПериод) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.ПериодИзмененийДляОсобогоКонтроля(НалоговыйПериод) 
```
</details>

## ПериодСобытияПоНалоговомуПериоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает период события в списке задач для задачи по сверке налога за указанный налоговый период.
//
// Параметры:
//  НалоговыйПериод - Дата - любая дата в налоговом периоде, за который выполняется сверка налога
//
// Возвращаемое значение:
//  Дата - период события в списке задач
Функция ПериодСобытияПоНалоговомуПериоду(НалоговыйПериод) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.ПериодСобытияПоНалоговомуПериоду(НалоговыйПериод) 
```
</details>

## ПрочитатьСпециальныеПараметрыНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует или получает из кэша формы специальные параметры для переданной навигационной ссылки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой есть навигационная ссылка
//  									на форме должен быть реквизит СпециальныеПараметрыНавигационнойСсылки.
//  НавигационнаяСсылка - Строка - навигационная ссылка, для которой нужно получить ее специальные параметры
//
// Возвращаемое значение:
//  Структура - см. СверкаСФНСПоИмущественнымНалогамФормы.НовыеСпециальныеПараметрыНавигационнойСсылки()
Функция ПрочитатьСпециальныеПараметрыНавигационнойСсылки(Форма, НавигационнаяСсылка) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.ПрочитатьСпециальныеПараметрыНавигационнойСсылки(Форма, НавигационнаяСсылка) 
```
</details>

## УстановитьСпециальныйПараметрНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет "точечно" установить отдельное свойство в специальных параметрах навигационной ссылки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой есть навигационная ссылка
//  	(на форме должен быть реквизит СпециальныеПараметрыНавигационнойСсылки)
//  НавигационнаяСсылка - Строка - навигационная ссылка, для которой нужно установить параметр
//  Параметр - Строка - имя свойства структуры СпециальныеПараметры (при отсутствии будет добавлено)
//  ЗначениеПараметра - Произвольный - устанавливаемое значение параметра
//  ОбновитьВсеПараметры - Булево - если Истина, то принудительно обновляются все специальные параметры
//  	навигационной ссылки, в ином случае - только если не были инициализированы ранее
//
// Возвращаемое значение:
//  Булево - если Истина, то параметр установлен/обновлен, иначе - изменения не потребовались
Функция УстановитьСпециальныйПараметрНавигационнойСсылки(Форма, НавигационнаяСсылка, Параметр, ЗначениеПараметра, Знач ОбновитьВсеПараметры = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.УстановитьСпециальныйПараметрНавигационнойСсылки(Форма, НавигационнаяСсылка, Параметр, ЗначениеПараметра, ОбновитьВсеПараметры);
```
</details>

## УстановитьДействиеНаОснованииСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает необходимое действие по строке сверки на основании различий в расчетах.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой есть навигационная ссылка
//  	(на форме должен быть реквизит СпециальныеПараметрыНавигационнойСсылки)
//  СтрокаРасчета - ДанныеФормыЭлементКоллекции - элемент коллекции строк таблицы сверки расчета
Процедура УстановитьДействиеНаОснованииСверки(Форма, СтрокаРасчета) Экспорт
```

Пример вызова
```bsl
СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.УстановитьДействиеНаОснованииСверки(Форма, СтрокаРасчета) 
```
</details>

## НаименованияПоказателяРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименования показателя расчета для вывода их пользователю, а также для пояснений в налоговую
//
// Параметры:
//  ИмяПоказателя - Строка - см. СверкаСФНСПоИмущественнымНалогамФормы.ПоляСтрокРасчета()
//  ЕдиницаИзмерения - Строка - код единицы измерения
//
// Возвращаемое значение:
//   - Структура:
//     * НаименованиеВРасчете - наименование показателя, как оно указывается в печатном формате расчета ФНС
//       (для пояснений в ФНС)
//     * СодержательноеНаименование - более естественное для пользователя наименование
//       (для вывода пользователю в форме сверки)
//
Функция НаименованияПоказателяРасчета(ИмяПоказателя, ЕдиницаИзмерения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.НаименованияПоказателяРасчета(ИмяПоказателя, ЕдиницаИзмерения);
```
</details>

## НаименованиеНалоговойБазыТранспортногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление налоговой базы транспортного налога по переданному коду единицы измерения.
//
// Параметры:
//  ЕдиницаИзмерения - Строка - код единицы измерения
//
// Возвращаемое значение:
//  Строка - представление налоговой базы транспортного налога
Функция НаименованиеНалоговойБазыТранспортногоНалога(ЕдиницаИзмерения) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.НаименованиеНалоговойБазыТранспортногоНалога(ЕдиницаИзмерения) 
```
</details>

## ЭтоФайлРасчетаТранспортногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По имени файла определяет, находится ли внутри расчет транспортного налога
// Для расчета имущественных налогов имя файла всегда начинает с КНД соответствующей формы.
//
// Параметры:
//  ИмяФайла - Строка - имя файла, приложенного к сообщению из налогового органа
//
// Возвращаемое значение:
//   - Булево
//
Функция ЭтоФайлРасчетаТранспортногоНалога(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.ЭтоФайлРасчетаТранспортногоНалога(ИмяФайла) 
```
</details>

## ЭтоФайлРасчетаЗемельногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По имени файла определяет, находится ли внутри расчет земельного налога
// Для расчета имущественных налогов имя файла всегда начинает с КНД соответствующей формы.
//
// Параметры:
//  ИмяФайла - Строка - имя файла, приложенного к сообщению из налогового органа
//
// Возвращаемое значение:
//   - Булево
//
Функция ЭтоФайлРасчетаЗемельногоНалога(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.ЭтоФайлРасчетаЗемельногоНалога(ИмяФайла) 
```
</details>

## ЭтоФайлРасчетаИмущественныхНалогов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По имени файла определяет, находится ли внутри расчет имущественных налогов
// Для расчета имущественных налогов имя файла всегда начинает с КНД соответствующей формы.
//
// Параметры:
//  ИмяФайла - Строка - имя файла, приложенного к сообщению из налогового органа
//
// Возвращаемое значение:
//   - Булево
//
Функция ЭтоФайлРасчетаИмущественныхНалогов(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.ЭтоФайлРасчетаИмущественныхНалогов(ИмяФайла) 
```
</details>

## КНДРасчетаТранспортногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// КНД Расчета транспортного налога.
//
// Возвращаемое значение:
//  Строка - КНДРасчета транспортного налога
Функция КНДРасчетаТранспортногоНалога() Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.КНДРасчетаТранспортногоНалога() 
```
</details>

## КНДРасчетаЗемельногоНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// КНД Расчета земельного налога.
//
// Возвращаемое значение:
//  Строка - КНДРасчета земельного налога
Функция КНДРасчетаЗемельногоНалога() Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.КНДРасчетаЗемельногоНалога() 
```
</details>

## КНДРасчетаИмущественныхНалогов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// КНД Расчета имущественных налогов.
//
// Возвращаемое значение:
//  Строка - КНДРасчета имущественных налогов
Функция КНДРасчетаИмущественныхНалогов() Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.КНДРасчетаИмущественныхНалогов() 
```
</details>

## ВозможныеНачалаИмениФайлаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По налогу и периоду определяет
//
// Параметры:
//  Налог - ПеречислениеСсылка.ВидыИмущественныхНалогов - налог, которым облагаются основные средства.
//          Если не указан, то возвращаются все возможные варианты для всех имущественных налогов.
// Возвращаемое значение:
//  Массив из Строка - массив строк возможного начала имени файла с расчетом налога из ФНС.
//
Функция ВозможныеНачалаИмениФайлаРасчета(Налог = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.ВозможныеНачалаИмениФайлаРасчета(Налог);
```
</details>

## КрайнийСрокПолученияРасчетаФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает крайний срок, до которого ФНС должна прислать расчет налога за конкретный налоговый период.
//
// Параметры:
//  НалоговыйПериод - Дата - любой день налогового периода (года).
//
// Возвращаемое значение:
//  Дата - крайний срок получения расчета.
//
Функция КрайнийСрокПолученияРасчетаФНС(НалоговыйПериод) Экспорт
```

Пример вызова
```bsl
Результат = СверкаСФНСПоИмущественнымНалогамФормыКлиентСервер.КрайнийСрокПолученияРасчетаФНС(НалоговыйПериод) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
