---
title: Связанные файлы клиент УХ
slug: erp-uh/связанные-файлы-клиент-ух
---


## ПодготовитьИОткрытьФайлДляПросмотра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Открывает файл для просмотра
Процедура ПодготовитьИОткрытьФайлДляПросмотра(ИдентификаторФайла, Форма) Экспорт
```

Пример вызова
```bsl
СвязанныеФайлыКлиентУХ.ПодготовитьИОткрытьФайлДляПросмотра(ИдентификаторФайла, Форма) 
```
</details>

## ДобавитьФайлВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает диалог выбора файла. Выбранный файл помещает в базу и вызывает
//  переданный обработчик выбора. Если файл не выбран, то возвращает в него
//	результат Неопределено. Иначе, ссылку на файл в базе.
//
// Параметры:
//	Владелец - Ссылка - объект к которому будет прикреплен файл.
//  ИдентификаторФайла - Строка, необязательный - идентификатор уже существующего
//		 файла, если его нужно обновить.
//  ОписаниеОбработчикаДобавленияФайла - ОписаниеОповещения - обработчик, который
//		будет вызван после помещения файла. Параметры обработчика:
//			- Результат - СправочникСсылка.Файлы или Строка - идентификатор файла;
//			- ДополнительныеПараметры - значение из обработчика оповещения.
//  УникальныйИдентификаторФормы - УникальныйИдентификатор - для привязки
//		временного хранилища файла.
//
Процедура ДобавитьФайлВИБ(Владелец, ИдентификаторФайла="", Экспорт
```

Пример вызова
```bsl
СвязанныеФайлыКлиентУХ.ДобавитьФайлВИБ(Владелец, ИдентификаторФайла, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
