---
title: Сегменты сервер
slug: erp-uh/сегменты-сервер
---


## ДобавитьПартнераВСегмент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет партнера в сегмент партнеров.
//
// Параметры:
//  Сегмент  - СправочникСсылка.СегментыПартнеров - сегмент, в который добавляется партнер.
//  Партнер  - СправочникСсылка.Партнеры - добавляемый в сегмент партнер.
//
Процедура ДобавитьПартнераВСегмент(Сегмент,Партнер) Экспорт
```

Пример вызова
```bsl
СегментыСервер.ДобавитьПартнераВСегмент(Сегмент, Партнер) 
```
</details>

## ДобавитьНоменклатуруВСегмент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет пару номенклатура\характеристика  в сегмент номенклатуры.
//
// Параметры:
//  Сегмент        - СправочникСсылка.СегментыНоменклатуры - сегмент, в который добавляется номенклатуры.
//  Номенклатура   - СправочникСсылка.Номенклатура - добавляемая в сегмент номенклатура.
//  Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - добавляемая в сегмент характеристика номенклатуры.
//
Процедура ДобавитьНоменклатуруВСегмент(Сегмент, Номенклатура, Характеристика = Неопределено) Экспорт
```

Пример вызова
```bsl
СегментыСервер.ДобавитьНоменклатуруВСегмент(Сегмент, Номенклатура, Характеристика);
```
</details>

## УдалитьНоменклатуруИзСегмента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет пару номенклатура\характеристика из сегмента номенклатуры.
//
// Параметры:
//  Сегмент        - СправочникСсылка.СегментыНоменклатуры - сегмент, из которого удаляется номенклатуры.
//  Номенклатура   - СправочникСсылка.Номенклатура - удаляемая из сегмента номенклатура.
//  Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - удаляемая из сегмента номенклатуры.
//
Процедура УдалитьНоменклатуруИзСегмента(Сегмент, Номенклатура, Характеристика = Неопределено) Экспорт
```

Пример вызова
```bsl
СегментыСервер.УдалитьНоменклатуруИзСегмента(Сегмент, Номенклатура, Характеристика);
```
</details>

## УдалитьПартнераИзСегмента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет партнера из сегмента партнеров.
//
// Параметры:
//  Сегмент  - СправочникСсылка.СегментыПартнеров - сегмент, из которого удаляется партнер.
//  Партнер  - СправочникСсылка.Партнеры - удаляемый из сегмента партнер.
//
Процедура УдалитьПартнераИзСегмента(Сегмент, Партнер) Экспорт
```

Пример вызова
```bsl
СегментыСервер.УдалитьПартнераИзСегмента(Сегмент, Партнер) 
```
</details>

## ЗаписьЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает запись в журнале регистрации и сообщениях пользователю,
//  Поддерживает до 4х параметров в комментарии при помощи функции
//    СтроковыеФункцииКлиентСервер.ПодставитьПараметрыВСтроку
//  Поддерживает передачу информации об ошибке, подробное представление
//    ошибки добавляется в комментарий записи в журнал регистрации.
//
// Параметры:
//   ПараметрыЖурнала  - Структура - Параметры записи в журнал регистрации:
//    * Префикс    - Строка           - Префикс для имени события журнала регистрации.
//    * Метаданные - ОбъектМетаданных - Метаданные для записи в журнал регистрации.
//    * Данные     - Произвольный     - Данные для записи в журнал регистрации.
//   УровеньЖурнала - Число - Соответствует уровням журнала регистрации.
//   ИмяСобытия     - Строка - Суффикс для имени события журнала регистрации.
//   КомментарийСПараметрами -Строка - Комментарий, возможно с параметрами %1 .. %4.
//   ИнформацияОбОшибке - ИнформацияОбОшибке, Строка - Информация об ошибке, которую так же необходимо
//                                                     задокументировать в комментарии журнала регистрации.
//
Процедура ЗаписьЖурнала(ПараметрыЖурнала, УровеньЖурнала , ИмяСобытия, Экспорт
```

Пример вызова
```bsl
СегментыСервер.ЗаписьЖурнала(ПараметрыЖурнала, УровеньЖурнала, ИмяСобытия, );
```
</details>

## ВыполнитьПлановуюОчистку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет очистку не динамических сегментов по запланированным датам
//
Процедура ВыполнитьПлановуюОчистку() Экспорт
```

Пример вызова
```bsl
СегментыСервер.ВыполнитьПлановуюОчистку() 
```
</details>

## ВыполнитьПериодическоеФормирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает формирование сегмента и контролирует результат
//
// Параметры:
//   Сегмент - СправочникСсылка.СегментыПартнеров, СправочникСсылка.СегментыНоменклатуры - сегмент, который должен быть сформирован.
//
Процедура ВыполнитьПериодическоеФормирование(Сегмент) Экспорт
```

Пример вызова
```bsl
СегментыСервер.ВыполнитьПериодическоеФормирование(Сегмент) 
```
</details>

## ПолучитьXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет сериализацию объекта в XML
//
// Параметры:
//  Значение  - Произвольный - объект, который необходимо сериализовать в XML.
//
// Возвращаемое значение:
//   Строка   - объект, сериализованный в XML.
//
Функция ПолучитьXML(Значение) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.ПолучитьXML(Значение) 
```
</details>

## ПолучитьОписаниеИСхемуКомпоновкиДанныхПоИмениМакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает описание, СКД и настройки для сегмента
//
// Параметры:
//  Ссылка     - СправочникСсылка.СегментыНоменклатуры, СправочникСсылка.СегментыПартнеров - сегмент, чьи СКД и
//                                                                                           настройки получаются.
//  ИмяШаблона - Строка - имя шаблона сегмента.
//
// Возвращаемое значение:
//   Структура - состоит из следующих полей:
//      * Описание                  - Строка - описание сегмента
//      * СхемаКомпоновкиДанных     - СхемаКомпоновкиДанных, Неопределено - СКД шаблона.
//      * НастройкиКомпоновкиДанных - НастройкиКомпоновкиДанных, Неопределено -настройки СКД шаблона.
//
Функция ПолучитьОписаниеИСхемуКомпоновкиДанныхПоИмениМакета(Ссылка, ИмяШаблона) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.ПолучитьОписаниеИСхемуКомпоновкиДанныхПоИмениМакета(Ссылка, ИмяШаблона) 
```
</details>

## СписокЭлементовСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений, содержащую ссылки на элементы,
// входящие в сегмент, по настройкам СКД.
//
// Параметры:
//   СегментСсылка - СправочникСсылка.СегментыПартнеров, СправочникСсылка.СегментыНоменклатуры - сегмент, элементы
//       входящие в который получаются.
//
// Возвращаемое значение:
//   СписокЗначений - список элементов, входящих в сегмент.
//
Функция СписокЭлементовСКД(СегментСсылка) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.СписокЭлементовСКД(СегментСсылка) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчиков события "При создании на сервере" форм элемента сегментов партнеров и номенклатуры.
//
// Параметры:
//  Форма   - ФормаКлиентскогоПриложения - создаваемая форма элемента сегмента партнеров или номенклатуры, содержит:
//    * Объект - СправочникОбъект.СегментыНоменклатуры - сегмент для
//  Отказ   - Булево - признак отказа от записи сегмента.
//
Процедура ПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
СегментыСервер.ПриСозданииНаСервере(Форма) 
```
</details>

## ПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюНаСервере(Форма,ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
СегментыСервер.ПередЗаписьюНаСервере(Форма, ТекущийОбъект) 
```
</details>

## СегментОбъектПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчиков события "Перед записью" сегментов партнеров и номенклатуры.
//
// Параметры:
//  Объект  - СправочникОбъект.СегментыПартнеров, СправочникОбъект.СегментыНоменклатуры - записываемый объект.
//  Отказ   - Булево - признак отказа от записи сегмента.
//
Процедура СегментОбъектПередЗаписью(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
СегментыСервер.СегментОбъектПередЗаписью(Объект, Отказ) 
```
</details>

## СегментПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчиков события "Перед удаление" сегментов партнеров и номенклатуры.
//
// Параметры:
//  Объект  - СправочникОбъект.СегментыПартнеров, СправочникОбъект.СегментыНоменклатуры - помечаемый на удаление объект.
//  Отказ   - Булево - признак отказа от пометки на удаление сегмента.
//
Процедура СегментПередУдалением(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
СегментыСервер.СегментПередУдалением(Объект, Отказ) 
```
</details>

## СегментОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчиков события "Обработка заполнения" сегментов партнеров и номенклатуры.
//
// Параметры:
//  Объект           - СправочникОбъект.СегментыПартнеров, СправочникОбъект.СегментыНоменклатуры - копируемый объект.
//  ДанныеЗаполнения - Произвольный - Значение, которое используется как основание для заполнения.
//
Процедура СегментОбработкаЗаполнения(Объект, ДанныеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
СегментыСервер.СегментОбработкаЗаполнения(Объект, ДанныеЗаполнения);
```
</details>

## СегментПриКопировании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчиков события "При копировании" сегментов партнеров и номенклатуры.
//
// Параметры:
//  Объект  - СправочникОбъект.СегментыПартнеров, СправочникОбъект.СегментыНоменклатуры - копируемый объект.
//
Процедура СегментПриКопировании(Объект) Экспорт
```

Пример вызова
```bsl
СегментыСервер.СегментПриКопировании(Объект) 
```
</details>

## СегментПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчиков события "При записи" сегментов партнеров и номенклатуры.
//
// Параметры:
//  Объект  - СправочникОбъект.СегментыПартнеров, СправочникОбъект.СегментыНоменклатуры - записываемый объект.
//  Отказ   - Булево - признак отказа от записи сегмента.
//
Процедура СегментПриЗаписи(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
СегментыСервер.СегментПриЗаписи(Объект, Отказ) 
```
</details>

## ТаблицаЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений, содержащую элементы, входящие в сегмент,
// с учетом способа формирования сегмента.
//
// Параметры:
//   СегментСсылка - СправочникСсылка.СегментыПартнеров, СправочникСсылка.СегментыНоменклатуры - сегмент, элементы
//       входящие в который получаются.
//
// Возвращаемое значение:
//   ТаблицаЗначений - таблица значений, содержащая элементы, входящие в сегмент.
//
Функция ТаблицаЗначений(СегментСсылка) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.ТаблицаЗначений(СегментСсылка) 
```
</details>

## МассивЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив элементов, входящих в сегмент,
// с учетом способа формирования сегмента.
//
// Параметры:
//   СегментСсылка - СправочникСсылка.СегментыПартнеров, СправочникСсылка.СегментыНоменклатуры - сегмент, элементы
//       входящие в который получаются.
//
// Возвращаемое значение:
//   Массив - массив элементов, входящих в сегмент.
//
Функция МассивЭлементов(СегментСсылка) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.МассивЭлементов(СегментСсылка) 
```
</details>

## ЕстьПравоИзмененияСоставаСегментов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет право изменения сегментов, в зависимости от типа сегмента.
//
// Параметры:
//  ТипСегмента  - Строка - указывает на то, какого типа сегмент.
//
// Возвращаемое значение:
//   Булево   - Истина, если право изменения есть.
//
Функция ЕстьПравоИзмененияСоставаСегментов(ТипСегмента) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.ЕстьПравоИзмененияСоставаСегментов(ТипСегмента) 
```
</details>

## ПолучитьХарактеристикиНоменклатурыВходящиеВСегмент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, какие характеристики номенклатуры входят в сегмент.
//
// Параметры:
//  Номенклатура  - СправочникСсылка.Номенклатура - номенклатура, характеристики которой получаются.
//  Сегмент       - СправочникСсылка.СегментыНоменклатуры - сегмент, в которых входя характеристики номенклатуры.
//
// Возвращаемое значение:
//   ТаблицаЗначений   - таблица, содержащая колонки Номенклатура и Характеристика.
//
Функция ПолучитьХарактеристикиНоменклатурыВходящиеВСегмент(Номенклатура, Сегмент) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.ПолучитьХарактеристикиНоменклатурыВходящиеВСегмент(Номенклатура, Сегмент) 
```
</details>

## ВходитВСегмент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает флаг вхождения объекта в сегмент
//
// Параметры:
//  ОбъектСсылка   - Произвольный - ссылка на анализируемый объект - партнера или номенклатуру,
//  СегментСсылка  - СправочникСсылка.СегментыНоменклатуры, СправочникСсылка.СегментыПартнеров - ссылка на сегмент
//      партнеров или номенклатуры.,
//  Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика номенклатуры.
//  Динамический   - Булево - Истина, если способ формирования сегмента - ФормироватьДинамически.
//
// Возвращаемое значение:
//   Булево - истина, если входит.
//
Функция ВходитВСегмент(ОбъектСсылка, СегментСсылка, Характеристика = Неопределено, Динамический = Истина) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.ВходитВСегмент(ОбъектСсылка, СегментСсылка, Характеристика, Динамический);
```
</details>

## ПроверитьВхождениеПартнераВСегментыПриСоздании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет вхождение партнера в сегменты с типом "периодически обновлять" после создания нового партнера.
//
// Параметры:
//  Партнер  - СправочникСсылка.Партнеры - проверяемый партнер.
//
Процедура ПроверитьВхождениеПартнераВСегментыПриСоздании(Партнер) Экспорт
```

Пример вызова
```bsl
СегментыСервер.ПроверитьВхождениеПартнераВСегментыПриСоздании(Партнер) 
```
</details>

## УстановитьОтборПоСегменту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение и использование параметра, определяющего отбор по партнерам
// по значению и использованию параметра - сегмента.
//
// Параметры:
//  ПараметрСегмент   - ПараметрСхемыКомпоновкиДанных  - параметр, содержащий отбор по сегменту.
//  ПараметрПартнеры  - ПараметрСхемыКомпоновкиДанных  - параметр, содержащий отбор по партнеру.
//
Процедура УстановитьОтборПоСегменту(ПараметрСегмент, ПараметрПартнеры) Экспорт
```

Пример вызова
```bsl
СегментыСервер.УстановитьОтборПоСегменту(ПараметрСегмент, ПараметрПартнеры) 
```
</details>

## ВключитьОтборПоНеСегментуНоменклатурыВСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если в настройках СКД включено использование отбора по не сегменту номенклатуры,
// то процедура устанавливает служебный параметр использования отбора по не сегменту номенклатуры.
//
// Параметры:
//  ОбъектНастройки - КомпоновщикНастроекКомпоновкиДанных, НастройкиВложенногоОбъектаКомпоновкиДанных - откуда брать настройки.
//  ИспользоватьТолькоНастройки - Булево - признак того, что будут использованы настройки по умолчанию.
//
// Возвращаемое значение:
//   Булево - признак использования отбора по сегменту.
//
Функция ВключитьОтборПоНеСегментуНоменклатурыВСКД(ОбъектНастройки, ИспользоватьТолькоНастройки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.ВключитьОтборПоНеСегментуНоменклатурыВСКД(ОбъектНастройки, ИспользоватьТолькоНастройки);
```
</details>

## ВключитьОтборПоСегментуНоменклатурыВСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если в настройках СКД включено использование отбора по сегменту номенклатуры,
// то процедура устанавливает служебный параметр использования отбора по сегменту номенклатуры.
//
// Параметры:
//  ОбъектНастройки - КомпоновщикНастроекКомпоновкиДанных, НастройкиВложенногоОбъектаКомпоновкиДанных - откуда брать настройки.
//  ИспользоватьТолькоНастройки - Булево - признак того, что будут использованы настройки по умолчанию.
//
// Возвращаемое значение:
//   Булево - признак использования отбора по сегменту.
//
Функция ВключитьОтборПоСегментуНоменклатурыВСКД(ОбъектНастройки, ИспользоватьТолькоНастройки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.ВключитьОтборПоСегментуНоменклатурыВСКД(ОбъектНастройки, ИспользоватьТолькоНастройки);
```
</details>

## ВключитьОтборПоСегментуПартнеровВСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если в настройках СКД включено использование отбора по сегменту партнеров,
// то процедура устанавливает служебный параметр использования отбора по сегменту партнеров.
//
// Параметры:
// ОбъектНастройки - КомпоновщикНастроекКомпоновкиДанных, НастройкиВложенногоОбъектаКомпоновкиДанных - откуда брать настройки.
//
// Возвращаемое значение:
//   Булево - признак использования отбора по сегменту.
//
Функция ВключитьОтборПоСегментуПартнеровВСКД(ОбъектНастройки) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.ВключитьОтборПоСегментуПартнеровВСКД(ОбъектНастройки) 
```
</details>

## ПартнерВходитВСегментыЗапретаОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что партнер входит в сегменты запрета отгрузки
//
// Параметры:
//  Партнер	 - СправочникСсылка.Партнеры - Проверяемый партнер.
//
// Возвращаемое значение:
//  Булево - признак вхождения партнера.
//
Функция ПартнерВходитВСегментыЗапретаОтгрузки(Партнер) Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.ПартнерВходитВСегментыЗапретаОтгрузки(Партнер) 
```
</details>

## УстановитьВидимостьЗапретаОтгрузкиПартнеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость запрета отгрузки партнеру на форме
//
// Параметры:
//  Партнер	 - СправочникСсылка.Партнеры - Проверяемый партнер
//  ЭлементыФормы	 - ЭлементыФормы - элементы изменяемой формы.
//
Процедура УстановитьВидимостьЗапретаОтгрузкиПартнеру(Партнер, ЭлементыФормы) Экспорт
```

Пример вызова
```bsl
СегментыСервер.УстановитьВидимостьЗапретаОтгрузкиПартнеру(Партнер, ЭлементыФормы) 
```
</details>

## КоличествоСегментовЗапретаОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество сегментов запрета отгрузки
//
// Возвращаемое значение:
//  Число - количество сегментов.
//
Функция КоличествоСегментовЗапретаОтгрузки() Экспорт
```

Пример вызова
```bsl
Результат = СегментыСервер.КоличествоСегментовЗапретаОтгрузки() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
