---
title: Сервер лояльности получатель данных вызов сервера
slug: erp-uh/сервер-лояльности-получатель-данных-вызов-сервера
---


## ОбработатьJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вспомогательный метод для обработки JSON на web - клиенте
//
// Параметры:
//  СтрокаJSON - Строка - исходные данные в формате JSON
//  ДанныеОтвета - Структура, Неопределено - результат разбора ответа
//
Процедура ОбработатьJSON(СтрокаJSON, ДанныеОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхВызовСервера.ОбработатьJSON(СтрокаJSON, ДанныеОтвета) 
```
</details>

## СериализоватьСтруктуруПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вспомогательный метод для сериализации на web - клиенте
//
// Параметры:
//  СтруктураПараметров - Структура - параметры для сериализации
//
// Возвращаемое значение:
//  Результат - Строка, Неопределено - результат сериализации
//
Функция СериализоватьСтруктуруПараметров(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхВызовСервера.СериализоватьСтруктуруПараметров(СтруктураПараметров) 
```
</details>

## ЗаписатьСобытияВЖурналРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура пакетной записи сообщений в журнал регистрации.
// После записи переменная СобытияДляЖурналаРегистрации очищается.
//
// Параметры:
//  ИмяСобытия - Строка - имя записываемого события.
//  ЛокализованноеСообщение - Строка - сообщение для записи в журнал регистрации
//
Процедура ЗаписатьСобытияВЖурналРегистрации(ИмяСобытия, ЛокализованноеСообщение) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхВызовСервера.ЗаписатьСобытияВЖурналРегистрации(ИмяСобытия, ЛокализованноеСообщение) 
```
</details>

## ВыполнитьЗапросКСерверуЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обращение к ресурсу сервера лояльности
//
// Параметры:
//  ПараметрыВыполненияЗапроса - Структура:
//		* ТипЗапроса - Строка - по умолчанию "POST"
//		* АдресСервера - Строка
//		* Логин - Строка
//		* Пароль - Строка
//		* Ресурс - Строка
//		* ПараметрыМетода - Структура
//		* ИнтернетПрокси
//
// Возвращаемое значение:
//   Структура:
//		* ДанныеОтвета - Строка
//		* ЕстьОшибки - Булево
//		* ТекстОшибки - Строка
//
Функция ВыполнитьЗапросКСерверуЛояльности(ПараметрыВыполненияЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхВызовСервера.ВыполнитьЗапросКСерверуЛояльности(ПараметрыВыполненияЗапроса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
