---
title: Сервер лояльности получатель данных клиент сервер
slug: erp-uh/сервер-лояльности-получатель-данных-клиент-сервер
---


## ПараметрыЗапросаКСерверу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру для передачи исходных данных при обращении к API
//
// Возвращаемое значение:
//  Структура:
//		*ТипЗапроса - Строка - по умолчанию "POST"
//		*ТелоЗапроса - Строка
//		*АдресСервера - Строка
//		*Логин - Строка
//		*Пароль - Строка
//		*Ресурс - Строка
//		*ПараметрыМетода - Структура
//		*ИнтернетПрокси
//
Функция ПараметрыЗапросаКСерверу() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаКСерверу() 
```
</details>

## ПолучитьПараметрыПодключенияИзСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры подключения к HTTP-сервису
//
// Параметры:
//  СтрокаПодключения - Строка - Строка подключения к HTTP-сервису
//
// Возвращаемое значение:
//  Структура:
//		*https - Булево
//		*ПортПодключения - Число
//		*АдресСервера - Строка
//		*ИмяСервиса - Строка
//		*ОшибкаСтроки - Булево
//		*Используется1СЛинк - Булево
//
Функция ПолучитьПараметрыПодключенияИзСтроки(СтрокаПодключения) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПолучитьПараметрыПодключенияИзСтроки(СтрокаПодключения) 
```
</details>

## ПараметрыВыполненияЗапросаКорректны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие и заполненность параметров запроса. Допускается передавать пустой Пароль и ПараметрыМетода
//
// Параметры:
//  ПараметрыВыполненияЗапроса - Структура - исходные данные для передачи в запрос к серверу
//
// Возвращаемое значение:
//  Булево - результат проверки
//
Функция ПараметрыВыполненияЗапросаКорректны(ПараметрыВыполненияЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыВыполненияЗапросаКорректны(ПараметрыВыполненияЗапроса) 
```
</details>

## РезультатВыполненияЗапросаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру данных для хранения ответа от сервера
//
// Возвращаемое значение:
//  Структура:
//		*ДанныеОтвета - Строка
//		*ЕстьОшибки - Булево
//		*ТекстОшибки - Строка
//
Функция РезультатВыполненияЗапросаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.РезультатВыполненияЗапросаПоУмолчанию() 
```
</details>

## ВыполнитьЗапросКСерверуЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обращение к ресурсу сервера лояльности
//
// Параметры:
//  ПараметрыВыполненияЗапроса - Структура:
//		*ТипЗапроса - Строка - по умолчанию "POST"
//		*АдресСервера - Строка
//		*Логин - Строка
//		*Пароль - Строка
//		*Ресурс - Строка
//		*ПараметрыМетода - Структура
//		*ИнтернетПрокси
//
// Возвращаемое значение:
//  Структура:
//		*ДанныеОтвета - Строка,
//		*ЕстьОшибки - Булево,
//		*ТекстОшибки - Строка
//
Функция ВыполнитьЗапросКСерверуЛояльности(ПараметрыВыполненияЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ВыполнитьЗапросКСерверуЛояльности(ПараметрыВыполненияЗапроса) 
```
</details>

## СтруктураПараметровПолученияОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру обязательных параметров для запроса остатков сервера лояльности
//
// Возвращаемое значение:
//  Структура:
//		*Item - см. ПолучитьСтруктуруСсылк
//		*Variant - см. ПолучитьСтруктуруСсылки
//		*Package - см. ПолучитьСтруктуруСсылки
//
Функция СтруктураПараметровПолученияОстатков() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровПолученияОстатков() 
```
</details>

## СтруктураПараметровНайтиКартуКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру обязательных параметров для запроса поиска карт клиента
//
// Возвращаемое значение:
//  Структура:
//		*ClientCardID - Строка
//		*Phone - Строка
//		*Email - Строка
//		*BlockBonuses - Строка
//		*ClientGUID - Строка
//		*CardGUID - Строка
//
Функция СтруктураПараметровНайтиКартуКлиента() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровНайтиКартуКлиента() 
```
</details>

## ПараметрыМетодовБонуснойПодсистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру обязательных параметров для запроса к бонусной подсистеме сервера лояльности
//
// Возвращаемое значение:
//  Структура:
//		*ClientCardID - Строка
//		*Phone - Строка
//		*Email - Строка
//		*Client - Строка
//		*Store - Строка
//		*GiftCardNumber - Строка
//		*GiftCardUID - Строка
//		*BonusesCount - Строка
//		*GiftCardWriteOffAmount - Строка
//		*Promocode - Строка
//		*DateOfBirth - Строка
//		*ClientCardTypeUID - Строка
//
Функция ПараметрыМетодовБонуснойПодсистемы() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы() 
```
</details>

## СтруктураПараметровРасчетаСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру обязательных параметров для запроса расчета скидок к серверу лояльности
//
// Возвращаемое значение:
//  Структура:
//		*RecoverManagedDiscounts - Булево
//		*ObjectTime - Дата
//		*CurrentDate - Дата
//		*LoyaltyCardPresented - Булево
//		*HasGifts - Булево
//		*UseApplicationPrices - Булево
//		*ControlBalanceOfGoods - Булево
//		*LoyaltyCardsList - Массив из Строка - Массив кодов карт
//		*RetailStore - см. ПолучитьСтруктуруСсылки
//		*ApplyObject - Булево
//		*WorkPlace - см. ПолучитьСтруктуруСсылки
//		*Goods - см. СтруктураТоваровДляРасчетаСкидок
//		*GetLoyaltyCardData - Булево
//		*GetMaxBonusPay - Булево
//		*BlockBonuses - Строка - "0" или "1"
//
Функция СтруктураПараметровРасчетаСкидок() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровРасчетаСкидок() 
```
</details>

## СтруктураТоваровДляРасчетаСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру товаров для заполнения параметров расчета скидок сервером лояльности
//
// Возвращаемое значение:
//  Структура:
//		*LineUID - Строка
//		*Count - Число
//		*PackagesCount - Число
//		*Item - см. ПолучитьСтруктуруСсылки
//		*Price - Число
//		*GiftSale - Булево
//		*PercentOfAutomaticDiscount - Число
//		*PercentOfManualDiscount - Число
//		*VATRate - Строка
//		*Amount - Число
//		*AmountOfAutomaticDiscount - Число
//		*TotalAmount - Число
//		*VATAmount - Число
//		*AmountOfManualDiscount - Число
//		*Package - см. ПолучитьСтруктуруСсылки
//		*Variant - см. ПолучитьСтруктуруСсылки
//
Функция СтруктураТоваровДляРасчетаСкидок() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураТоваровДляРасчетаСкидок() 
```
</details>

## СтруктураПромокодовДляРасчетаСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру промокодов для заполнения параметров расчета скидок сервером лояльности
//
// Возвращаемое значение:
//  Структура:
//		*Promocode - Строка
//		*PromocodeDiscountUID - Строка
//		*PromocodeUID - Строка
//
Функция СтруктураПромокодовДляРасчетаСкидок() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПромокодовДляРасчетаСкидок() 
```
</details>

## СтруктураВыбраннойУправляемойСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру выбранной управляемой скидки для заполнения параметров расчета скидок сервером лояльности
//
// Возвращаемое значение:
//  Структура:
//		*ControlledDiscount - Строка
//		*ControlledDiscountUID - Строка
//		*LineUID - Строка
//		*KeyRelation - Число
//
Функция СтруктураВыбраннойУправляемойСкидки() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураВыбраннойУправляемойСкидки() 
```
</details>

## СтруктураВыбранногоВидаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает структуру возможных видов оплат и признаков их использования, для заполнения параметров расчета скидок сервером лояльности
//
// Возвращаемое значение:
//  Структура:
//		*PayType - Строка
//		*IsUsed - Булево
//
Функция СтруктураВыбранногоВидаОплаты() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураВыбранногоВидаОплаты() 
```
</details>

## ПолучитьСтруктуруСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает структуру ссылки для передаче серверу лояльности
//
// Параметры:
//  Ссылка - Любая ссылка
//
// Возвращаемое значение:
//  Структура:
//		*Ref - Строковое представление уникального идентификатора ссылки,
//		*Name - Строковое представление ссылки
//
Функция ПолучитьСтруктуруСсылки(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПолучитьСтруктуруСсылки(Ссылка) 
```
</details>

## РезультатОбработкиДанныхПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат обработки данных из ответа по умолчанию
//
// Возвращаемое значение:
//  Структура:
//		*ВыполнениеУспешно - Булево
//		*Комментарий - Строка - дополнительная информация о состоянии выполнения
//
Функция РезультатОбработкиДанныхПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.РезультатОбработкиДанныхПоУмолчанию() 
```
</details>

## ОбработатьJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод для обработки JSON
//
// Параметры:
//  СтрокаJSON - Строка - исходные данные в формате JSON
//  ДанныеОтвета - Структура, Неопределено - результат разбора ответа
//
Процедура ОбработатьJSON(СтрокаJSON, ДанныеОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСервер.ОбработатьJSON(СтрокаJSON, ДанныеОтвета) 
```
</details>

## ЗаполнитьТаблицуУправляемыхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список управляемых скидок
//
// Параметры:
//  ИспользоватьСерверЛояльностиПолучательДанных - Булево - признак использования сервера лояльности
//  ТаблицаУправляемыхСкидок - ТаблицаЗначений - возвращаемое значение
//
Процедура ЗаполнитьТаблицуУправляемыхСкидок(ИспользоватьСерверЛояльностиПолучательДанных, ТаблицаУправляемыхСкидок) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСервер.ЗаполнитьТаблицуУправляемыхСкидок(ИспользоватьСерверЛояльностиПолучательДанных, ТаблицаУправляемыхСкидок) 
```
</details>

## СтруктураПараметровЗапросаСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру обязательных параметров для запроса сотрудников к серверу лояльности
//
// Возвращаемое значение:
//  РезультатВыполнения - Структура:
//		*Store - Структура - см.  ПолучитьСтруктуруСсылки()
//
Функция СтруктураПараметровЗапросаСотрудников() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровЗапросаСотрудников() 
```
</details>

## ПараметрыЗапросаПроверитьПодключениеКСерверуЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ping для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаПроверитьПодключениеКСерверуЛояльности(ЗначенияПараметровЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПроверитьПодключениеКСерверуЛояльности(ЗначенияПараметровЗапроса) 
```
</details>

## ПараметрыЗапросаПолучитьБонусыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПолучитьБонусыКлиента для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаПолучитьБонусыКлиента(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПолучитьБонусыКлиента(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаРазблокироватьБонусыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса РазблокироватьБонусыКлиента для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаРазблокироватьБонусыКлиента(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаРазблокироватьБонусыКлиента(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаСписатьБонусыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса СписатьБонусыКлиента для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаСписатьБонусыКлиента(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаСписатьБонусыКлиента(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПолучитьОборотыПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПолучитьОборотыПродаж для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаПолучитьОборотыПродаж(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПолучитьОборотыПродаж(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаВыдатьКартуКлиенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ВыдатьКартуКлиенту для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаВыдатьКартуКлиенту(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаВыдатьКартуКлиенту(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаДанныеЗапретовРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ИнформацияОЗапретахПродаж для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаДанныеЗапретовРедактирования(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаДанныеЗапретовРедактирования(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПолучитьДанныеПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПолучитьДанныеПодарочногоСертификата для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаПолучитьДанныеПодарочногоСертификата(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПолучитьДанныеПодарочногоСертификата(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаРазблокироватьПодарочныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса РазблокироватьПодарочныйСертификат для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаРазблокироватьПодарочныйСертификат(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаРазблокироватьПодарочныйСертификат(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПолучитьДанныеПромокода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПолучитьДанныеПромокода для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаПолучитьДанныеПромокода(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПолучитьДанныеПромокода(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаРазблокироватьПромокод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса РазблокироватьПромокод для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаРазблокироватьПромокод(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаРазблокироватьПромокод(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПогаситьПромокод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПогаситьПромокод для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаПогаситьПромокод(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПогаситьПромокод(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаАктивироватьПромокод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса АктивироватьПромокод для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаАктивироватьПромокод(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаАктивироватьПромокод(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаСписатьПодарочныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса СписатьПодарочныйСертификат для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаСписатьПодарочныйСертификат(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаСписатьПодарочныйСертификат(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаИспользоватьАвтоматическиеСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ИспользоватьАвтоматическиеСкидки для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаИспользоватьАвтоматическиеСкидки(ЗначенияПараметровЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаИспользоватьАвтоматическиеСкидки(ЗначенияПараметровЗапроса) 
```
</details>

## ПараметрыЗапросаРассчитатьАвтоматическиеСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса РассчитатьАвтоматическиеСкидки для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СтруктураПараметровРасчетаСкидок()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаРассчитатьАвтоматическиеСкидки(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаРассчитатьАвтоматическиеСкидки(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПолучитьТаблицуУправляемыхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПолучитьТаблицуУправляемыхСкидок для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаПолучитьТаблицуУправляемыхСкидок(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПолучитьТаблицуУправляемыхСкидок(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПолучитьОстатки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПолучитьОстатки для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СтруктураПараметровПолученияОстатков()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаПолучитьОстатки(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПолучитьОстатки(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаНайтиКартуКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса НайтиКартуКлиента для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаНайтиКартуКлиента(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаНайтиКартуКлиента(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПолучитьВидыКарт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПолучитьВидыКарт для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  см. ПараметрыЗапросаКСерверу
//
Функция ПараметрыЗапросаПолучитьВидыКарт(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПолучитьВидыКарт(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПолучитьТаблицуСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПолучитьТаблицуСотрудников для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  ПараметрыЗапроса - Структура - см. ПараметрыЗапросаКСерверу()
//
Функция ПараметрыЗапросаПолучитьТаблицуСотрудников(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПолучитьТаблицуСотрудников(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПроверитьДанныеПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПроверитьДанныеПодарочногоСертификата для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. ПараметрыМетодовБонуснойПодсистемы()
//
// Возвращаемое значение:
//  ПараметрыЗапроса - Структура - см. ПараметрыЗапросаКСерверу()
//
Функция ПараметрыЗапросаПроверитьДанныеПодарочногоСертификата(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПроверитьДанныеПодарочногоСертификата(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ЗаполнитьСписокВыбораСерийНоменклатуры для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СтруктураПараметровРасчетаСкидок()
//
// Возвращаемое значение:
//  ПараметрыЗапроса - Структура - см. ПараметрыЗапросаКСерверу()
//
Функция ПараметрыЗапросаСерий(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаСерий(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаДанныхСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ЗаполнитьДанныеСерииПоИдентификатору для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СтруктураПараметровРасчетаСкидок()
//
// Возвращаемое значение:
//  ПараметрыЗапроса - Структура - см. ПараметрыЗапросаКСерверу()
//
Функция ПараметрыЗапросаДанныхСерии(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаДанныхСерии(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаОбработатьКодМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ОбработатьКодМаркировки для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу
//
// Возвращаемое значение:
//  ПараметрыЗапроса - Структура - см. ПараметрыЗапросаКСерверу()
//
Функция ПараметрыЗапросаОбработатьКодМаркировки(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаОбработатьКодМаркировки(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПолучитьТокенАвторизацииГосИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ОбработатьКодМаркировки для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу
//
// Возвращаемое значение:
//  ПараметрыЗапроса - Структура - см. ПараметрыЗапросаКСерверу()
//
Функция ПараметрыЗапросаПолучитьТокенАвторизацииГосИС(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПолучитьТокенАвторизацииГосИС(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаДанныхЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запроса ПараметрыЗапросаДанныхЦены для сервера лояльности
//
// Параметры:
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения параметров запроса к серверу см. ПараметрыЗапросаКСерверу()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СтруктураПараметровРасчетаСкидок()
//
// Возвращаемое значение:
//  ПараметрыЗапроса - Структура - см. ПараметрыЗапросаКСерверу()
//
Функция ПараметрыЗапросаДанныхЦены(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаДанныхЦены(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## ПараметрыЗапросаПолучитьТаблицуСкидокЗависящихОтВидаОплтаы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру обязательных параметров для запроса скидок, которые могут зависеть от выбранного вида оплаты
//
// Возвращаемое значение:
//  РезультатВыполнения - Структура:
//  см. ПараметрыЗапросаКСерверу
Функция ПараметрыЗапросаПолучитьТаблицуСкидокЗависящихОтВидаОплтаы(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаПолучитьТаблицуСкидокЗависящихОтВидаОплтаы(ЗначенияПараметровЗапроса, ЗначенияПараметровМетода) 
```
</details>

## СтруктураПараметровЗапросаСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру обязательных параметров для запроса серий к серверу лояльности
//
// Возвращаемое значение:
//  РезультатВыполнения - Структура:
//    *Store - Строка - УИД Торгового объекта
//    *TypeProduct - Строка - УИД Вида номенклатуры
//    *Product - Строка - УИД Номенклатуры
//    *Characteristic - Строка - УИД Характеристики
//    *UIDBatch - Строка - УИД Серии
//    *TypeOperationSale - Булево - признак вида операции продажа
//
Функция СтруктураПараметровЗапросаСерий() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровЗапросаСерий() 
```
</details>

## СтруктураПараметровЗапросаДанныхСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру обязательных параметров для запроса данных серии к серверу лояльности
//
// Возвращаемое значение:
//  РезультатВыполнения - Структура:
//		*BatchUID - Структура - см.  ПолучитьСтруктуруСсылки()
//
Функция СтруктураПараметровЗапросаДанныхСерии() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровЗапросаДанныхСерии() 
```
</details>

## СтруктураПараметровЗапросаЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру обязательных параметров для запроса серий к серверу лояльности
//
// Возвращаемое значение:
//  РезультатВыполнения - Структура:
//    *Store - Строка - УИД Торгового объекта
//    *TypeProduct - Строка - УИД Вида номенклатуры
//    *Product - Строка - УИД Номенклатуры
//    *Characteristic - Строка - УИД Характеристики
//    *UIDBatch - Строка - УИД Серии
//
Функция СтруктураПараметровЗапросаЦены() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровЗапросаЦены() 
```
</details>

## ПараметрыМетодаЗаполненияУправляемыхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру обязательных параметров для запроса к управляемым скидкам сервера лояльности
//
// Возвращаемое значение:
//  Структура:
//		*MaxSale - Строка - Максимальное значение ручной скидки.
//		*MaxMarkup - Строка - Максимальное значение ручной наценки.
//		*Store - Строка - Уникальный идентификатор торгового объекта.
//		*Client - Строка - Уникальный идентификатор контрагента.
//		*CardGUID - Строка - Уникальный идентификатор карты лояльности.
//		*ClientCardID - Строка - Номер карты лояльности.
//		*UseSelection - Булево - Использовать отбор в управляющей базе.
//
Функция ПараметрыМетодаЗаполненияУправляемыхСкидок() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодаЗаполненияУправляемыхСкидок() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
