---
title: Сервер лояльности получатель данных клиент сервер переопределяемый
slug: erp-uh/сервер-лояльности-получатель-данных-клиент-сервер-переопределяемый
---


## ЗаполнитьПараметрыСервераЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров запроса для сервера лояльности
//
// Параметры:
//  ОсновныеПараметры - Структура - Структура для заполнения параметров запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыЗапросаКСерверу
//  ЗначенияПараметровЗапроса - Структура - Структура для заполнения ОсновныеПараметры
//
Процедура ЗаполнитьПараметрыСервераЛояльности(ОсновныеПараметры, ЗначенияПараметровЗапроса) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыСервераЛояльности(ОсновныеПараметры, ЗначенияПараметровЗапроса) 
```
</details>

## ЗаполнитьПараметрыЗапросаПолучитьБонусыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ПолучитьБонусыКлиента
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаПолучитьБонусыКлиента(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаПолучитьБонусыКлиента(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаРазблокироватьБонусыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса РазблокироватьБонусыКлиента
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаРазблокироватьБонусыКлиента(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаРазблокироватьБонусыКлиента(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаСписатьБонусыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса СписатьБонусыКлиента
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаСписатьБонусыКлиента(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаСписатьБонусыКлиента(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаВыдатьКартуКлиенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ВыдатьКартуКлиенту
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаВыдатьКартуКлиенту(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаВыдатьКартуКлиенту(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаДанныеЗапретовРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ИнформацияОЗапретахПродаж
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаДанныеЗапретовРедактирования(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаДанныеЗапретовРедактирования(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаПолучитьДанныеПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ПолучитьДанныеПодарочногоСертификата
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаПолучитьДанныеПодарочногоСертификата(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаПолучитьДанныеПодарочногоСертификата(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаПолучитьДанныеПромокода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ПолучитьДанныеПромокода
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаПолучитьДанныеПромокода(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаПолучитьДанныеПромокода(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаРазблокироватьПромокод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса РазблокироватьПромокод
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаРазблокироватьПромокод(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаРазблокироватьПромокод(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаРазблокироватьПодарочныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса РазблокироватьПодарочныйСертификат
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаРазблокироватьПодарочныйСертификат(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаРазблокироватьПодарочныйСертификат(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаСписатьПодарочныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса СписатьПодарочныйСертификат
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаСписатьПодарочныйСертификат(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаСписатьПодарочныйСертификат(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаПогаситьПромокод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ПогаситьПромокод
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаПогаситьПромокод(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаПогаситьПромокод(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьПараметрыЗапросаАктивироватьПромокод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса АктивироватьПромокод
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.ПараметрыМетодовБонуснойПодсистемы
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаАктивироватьПромокод(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаАктивироватьПромокод(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьСтруктуруПараметровРасчетаСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса РассчитатьАвтоматическиеСкидки
//
// Параметры:
//  СтруктураПараметровРасчетаСкидок - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровРасчетаСкидок
//  ЗначенияПараметровМетода - Структура - Структура для заполнения СтруктураПараметровРасчетаСкидок
//
Процедура ЗаполнитьСтруктуруПараметровРасчетаСкидок(СтруктураПараметровРасчетаСкидок, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьСтруктуруПараметровРасчетаСкидок(СтруктураПараметровРасчетаСкидок, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьСтруктуруСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ссылки для передачи серверу лояльности
//
// Параметры:
//  СтруктураСсылки - Структура - Структура ссылки см. СерверЛояльностиПолучательДанныхКлиентСервер.ПолучитьСтруктуруСсылки
//  Ссылка - ЛюбаяСсылка
//
Процедура ЗаполнитьСтруктуруСсылки(СтруктураСсылки, Ссылка) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьСтруктуруСсылки(СтруктураСсылки, Ссылка) 
```
</details>

## ЗаполнитьКодОсновногоЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет код основного языка конфигурации, например "ru".
//
// Параметры:
//  КодОсновногоЯзыка - Строка
//
Процедура ЗаполнитьКодОсновногоЯзыка(КодОсновногоЯзыка) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьКодОсновногоЯзыка(КодОсновногоЯзыка) 
```
</details>

## ЗаполнитьТаблицуУправляемыхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список управляемых скидок
//
// Параметры:
//  Результат - ТаблицаЗначений - возвращаемое значение
//  ПараметрыРасчета - Структура - структура, содержащая в себе параметры отбора управляемых скидок
//
Процедура ЗаполнитьТаблицуУправляемыхСкидок(Результат, ПараметрыРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьТаблицуУправляемыхСкидок(Результат, ПараметрыРасчета);
```
</details>

## ЗаполнитьПараметрыЗапросаПолучитьОстатки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ПолучитьОстатки
//
// Параметры:
//  ПараметрыМетода - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровПолученияОстатков
//  ЗначенияПараметровМетода - Структура - Структура для заполнения ПараметрыМетода
//
Процедура ЗаполнитьПараметрыЗапросаПолучитьОстатки(ПараметрыМетода, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьПараметрыЗапросаПолучитьОстатки(ПараметрыМетода, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьТаблицуВидовКарт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список видов карт
//
// Параметры:
//  Результат - ТаблицаЗначений - возвращаемое значение
//
Процедура ЗаполнитьТаблицуВидовКарт(Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьТаблицуВидовКарт(Результат) 
```
</details>

## ЗаполнитьСтруктуруПараметровЗапросаСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ЗаполнитьТаблицуСотрудников
//
// Параметры:
//  СтруктураПараметровЗапросаСотрудников - см. СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровЗапросаСотрудников
//  ЗначенияПараметровМетода - Структура - Структура для заполнения СтруктураПараметровЗапросаСотрудников
//
Процедура ЗаполнитьСтруктуруПараметровЗапросаСотрудников(СтруктураПараметровЗапросаСотрудников, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьСтруктуруПараметровЗапросаСотрудников(СтруктураПараметровЗапросаСотрудников, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьСтруктуруПараметровЗапросаСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ЗаполнитьСписокВыбораСерийНоменклатуры
//
// Параметры:
//  СтруктураПараметровЗапросаСерий - см. СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровРасчетаСкидок
//  ЗначенияПараметровМетода - Структура - Структура для заполнения СтруктураПараметровРасчетаСкидок
//
Процедура ЗаполнитьСтруктуруПараметровЗапросаСерий(СтруктураПараметровЗапросаСерий, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьСтруктуруПараметровЗапросаСерий(СтруктураПараметровЗапросаСерий, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьСтруктуруПараметровЗапросаДанныхСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ЗаполнитьДанныеСерииПоИдентификатору
//
// Параметры:
//  СтруктураПараметровЗапросаСерий - см. СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровРасчетаСкидок
//  ЗначенияПараметровМетода - Структура - Структура для заполнения СтруктураПараметровРасчетаСкидок
//
Процедура ЗаполнитьСтруктуруПараметровЗапросаДанныхСерии(СтруктураПараметровЗапросаСерий, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьСтруктуруПараметровЗапросаДанныхСерии(СтруктураПараметровЗапросаСерий, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьСтруктуруПараметровОбработаткиКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ОбработатьКодМаркировки
//
// Параметры:
//  СтруктураПараметровОбработаткиКодаМаркировки - Структура - Структура для заполнения параметров метода запроса к серверу
//  ЗначенияПараметровМетода - Структура - Структура для заполнения СтруктураПараметровОбработаткиКодаМаркировки
//
Процедура ЗаполнитьСтруктуруПараметровОбработаткиКодаМаркировки(СтруктураПараметровОбработаткиКодаМаркировки, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьСтруктуруПараметровОбработаткиКодаМаркировки(СтруктураПараметровОбработаткиКодаМаркировки, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьСтруктуруПараметровПолученияТокенаАвторизацииГосИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ПолучитьТокенАвторизацииГосИС
//
// Параметры:
//  СтруктураПараметровПолученияТокенаАвторизацииГосИС - Структура - Структура для заполнения параметров метода запроса к серверу
//  ЗначенияПараметровМетода - Структура - Структура для заполнения СтруктураПараметровПолученияТокенаАвторизацииГосИС
//
Процедура ЗаполнитьСтруктуруПараметровПолученияТокенаАвторизацииГосИС(СтруктураПараметровПолученияТокенаАвторизацииГосИС, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьСтруктуруПараметровПолученияТокенаАвторизацииГосИС(СтруктураПараметровПолученияТокенаАвторизацииГосИС, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьСтруктуруПараметровАктуальнаяЦена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров метода запроса ЗаполнитьСтруктуруПараметровАктуальнаяЦена
//
// Параметры:
//  СтруктураПараметровЗапросаЦены - Структура - Структура для заполнения параметров метода запроса к серверу см. СерверЛояльностиПолучательДанныхКлиентСервер.СтруктураПараметровЗапросаЦены()
//  ЗначенияПараметровМетода - Структура - Структура для заполнения СтруктураПараметровРасчетаСкидок
//
Процедура ЗаполнитьСтруктуруПараметровАктуальнаяЦена(СтруктураПараметровЗапросаЦены, ЗначенияПараметровМетода) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьСтруктуруПараметровАктуальнаяЦена(СтруктураПараметровЗапросаЦены, ЗначенияПараметровМетода) 
```
</details>

## ЗаполнитьТаблицуСкидокЗависящихОтВидаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список скидок, зависящих от вида оплаты
//
// Параметры:
//  Результат - ТаблицаЗначений - возвращаемое значение
//
Процедура ЗаполнитьТаблицуСкидокЗависящихОтВидаОплаты(Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПолучательДанныхКлиентСерверПереопределяемый.ЗаполнитьТаблицуСкидокЗависящихОтВидаОплаты(Результат) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
