---
title: Сервер лояльности поставщик данных
slug: erp-uh/сервер-лояльности-поставщик-данных
---


## РазблокироватьБонусыПодарочныеСертификатыПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит разблокировку бонусов клиента при записи документа
//
// Параметры:
//  Источник - ДокументОбъект.ЧекККМ - документ-источник.
//  Отказ - Булево
//
Процедура РазблокироватьБонусыПодарочныеСертификатыПриЗаписи(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.РазблокироватьБонусыПодарочныеСертификатыПриЗаписи(Источник, Отказ) 
```
</details>

## БонусыЗаблокированы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет блокировку бонусов клиента
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности - карта клиента.
//
// Возвращаемое значение:
//  Булево - Истина - если есть блокировка бонусов, Ложь, если нет блокировки.
//
Функция БонусыЗаблокированы(ДисконтнаяКарта) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПоставщикДанных.БонусыЗаблокированы(ДисконтнаяКарта) 
```
</details>

## ЗаблокироватьБонусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Блокирует бонусы клиента после ответа Сервиса Лояльности для предотвращения двойного списания
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности - карта клиента.
//  ДатаБлокировки  - Дата - дата и время блокировки бонусов.
//
Процедура ЗаблокироватьБонусы(ДисконтнаяКарта, ДатаБлокировки) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.ЗаблокироватьБонусы(ДисконтнаяКарта, ДатаБлокировки) 
```
</details>

## РазблокироватьБонусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разблокирует бонусы клиента
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности - карта клиента
//
Процедура РазблокироватьБонусы(ДисконтнаяКарта) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.РазблокироватьБонусы(ДисконтнаяКарта) 
```
</details>

## СписатьБонусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Списывает бонусы клиента
//
// Параметры:
//  ДисконтнаяКарта 		  - ОпределяемыйТип.КартаЛояльностиСерверЛояльности - карта клиента.
//  КоличествоБонусныхБаллов  - Число
//
Процедура СписатьБонусы(ДисконтнаяКарта, КоличествоБонусныхБаллов) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.СписатьБонусы(ДисконтнаяКарта, КоличествоБонусныхБаллов) 
```
</details>

## ПараметрыМетодаИзЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров из HTTP запроса
//
// Параметры:
//  Запрос - Структура - Параметры HTTP-запроса.
//  Результат - Структура - содержит в себе набор параметров, которые могут быть переданы через HTTP-запрос:
//    * ИдентификаторКартыКлиента 	- Строка
//    * НомерТелефона 				- Строка
//    * Клиент 						- Строка
//    * Магазин 					- Строка
//    * НомерСертификата 			- Строка
//    * ГУИДСертификата				- Строка
//    * КоличествоБонусныхБаллов 	- Число
//    * СуммаСписания 				- Число
//    * ДатаРождения 				- Дата
//    * ГУИДВидаКарты 				- Строка
//
Процедура ПараметрыМетодаИзЗапроса(Запрос, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.ПараметрыМетодаИзЗапроса(Запрос, Результат) 
```
</details>

## ПараметрыМетодаИзЗапросаНайтиКартуКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров из HTTP запроса поиска карты клиента
//
// Параметры:
//  Запрос - Структура - Параметры HTTP-запроса.
//  Результат - Структура - содержит в себе набор параметров, которые могут быть переданы через HTTP-запрос:
//    * ИдентификаторКартыКлиента 						- Строка
//    * НомерТелефона 									- Строка
//    * АдресЭП 										- Строка
//    * БлокироватьКарту 								- Булево
//    * УникальныйИдентификаторВладельцаКарты 			- Строка
//
Процедура ПараметрыМетодаИзЗапросаНайтиКартуКлиента(Запрос, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.ПараметрыМетодаИзЗапросаНайтиКартуКлиента(Запрос, Результат) 
```
</details>

## ПолучитьСтруктуруОтвета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров ответа HTTP-сервиса
//
// Параметры:
//  ВариантОтвета - Строка - в зависимости от указанного варианта будет возвращаться та или иная структура ответа
//  Результат - Структура - содержит в себе набор параметров ответа HTTP-сервиса "Сервис лояльности":
//    * Error 					- Булево
//    * ErrorMessage 			- Строка
//    * AllowControl 			- Булево
//    * RestrictionsList 		- Массив
//    * GiftCardName 			- Строка
//    * GiftCardRef 			- Строка
//    * GiftCard 				- Структура
//    * GiftCardNumber 			- Строка
//    * GiftCardValue 			- Число
//    * GiftCardBalance 		- Число
//    * Blocked 				- Булево
//    * UseAutomaticDiscounts 	- Булево
//    * BonusCount 				- Число
//    * BonusRate 				- Число
//    * BonusCurrency 			- Строка
//    * PaymentPercent 			- Число
//    * EndDate 				- Число
//    * ClientNotFound 			- Дата
//    * ExistingCard 			- Булево
//    * CardID 					- Строка
//    * Client 					- Строка
//    * PhoneNumber 			- Строка
//    * Email 					- Строка
//
Процедура ПолучитьСтруктуруОтвета(ВариантОтвета = "ЗапросКоличестваБонусов", Результат = Неопределено) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета(ВариантОтвета, Результат);
```
</details>

## ПолучитьБонусныеБаллыРезерв
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество зарезервированных бонусных баллов
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности
//
// Возвращаемое значение:
//  Число - количество бонусных баллов, находящихся в резерве
//
Функция ПолучитьБонусныеБаллыРезерв(ДисконтнаяКарта) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПоставщикДанных.ПолучитьБонусныеБаллыРезерв(ДисконтнаяКарта) 
```
</details>

## СкорректироватьРегистрСведенийБонусныеБаллыКСписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет корректировку регистра сведений "Бонусные баллы к списанию"
//
// Параметры:
//  Объект - ДокументОбъект.ЧекККМ
//
Процедура СкорректироватьРегистрСведенийБонусныеБаллыКСписанию(Объект) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.СкорректироватьРегистрСведенийБонусныеБаллыКСписанию(Объект) 
```
</details>

## СкорректироватьРегистрСведенийПодарочныеСертификатыКСписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет корректировку регистра сведений "Бонусные баллы к списанию"
//
// Параметры:
//  Объект - ДокументОбъект.ЧекККМ
//
Процедура СкорректироватьРегистрСведенийПодарочныеСертификатыКСписанию(Объект) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.СкорректироватьРегистрСведенийПодарочныеСертификатыКСписанию(Объект) 
```
</details>

## СкорректироватьРегистрСведенийПромокодыКСписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет корректировку регистра сведений "Промокоды к списанию"
//
// Параметры:
//  Объект - ДокументОбъект.ЧекККМ
//
Процедура СкорректироватьРегистрСведенийПромокодыКСписанию(Объект) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.СкорректироватьРегистрСведенийПромокодыКСписанию(Объект) 
```
</details>

## РазблокироватьПодарочныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разблокирует подарочный сертификат
//
// Параметры:
//  ДанныеСертификата - Структура - содержит ссылки на подарочный сертификат и его серийный номер.
//
Процедура РазблокироватьПодарочныйСертификат(ДанныеСертификата) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.РазблокироватьПодарочныйСертификат(ДанныеСертификата) 
```
</details>

## СписатьБалансПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Списывает баланс подарочного сертификата
//
// Параметры:
//  ДанныеСертификата - Структура - Содержит данные подарочного сертификата: ПодарочныйСертификат, СерийныйНомер
//  СуммаСписания	  - Число 	  - Сумма списания которая будет списана с баланса подарочного сертификата
//
Процедура СписатьБалансПодарочногоСертификата(ДанныеСертификата, СуммаСписания) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.СписатьБалансПодарочногоСертификата(ДанныеСертификата, СуммаСписания) 
```
</details>

## ПолучитьСуммуПодарочногоСертификатаРезерв
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает зарезервированную сумму подарочного сертификата
//
// Параметры:
//	ДанныеСертификата - Структура - Содержит данные подарочного сертификата: ПодарочныйСертификат, СерийныйНомер
//
// Возвращаемое значение:
//  Число - сумма, находящаяся в резерве
//
Функция ПолучитьСуммуПодарочногоСертификатаРезерв(ДанныеСертификата) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПоставщикДанных.ПолучитьСуммуПодарочногоСертификатаРезерв(ДанныеСертификата) 
```
</details>

## ЗаблокироватьПодарочныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Блокирует подарочный сертификат после ответа Сервиса Лояльности с целью предотвращения двойного списания баланса
//
// Параметры:
//  ДанныеСертификата - Структура - содержит ссылки на подарочный сертификат и его серийный номер
//  ДатаБлокировки    - Дата
//
Процедура ЗаблокироватьПодарочныйСертификат(ДанныеСертификата, ДатаБлокировки) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.ЗаблокироватьПодарочныйСертификат(ДанныеСертификата, ДатаБлокировки) 
```
</details>

## ЗарезервироватьПрименениеПромокода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Резервирует одно применение промокода после ответа Сервиса Лояльности с целью предотвращения двойного применения
// конечного промокода.
//
// Параметры:
//  Промокод - ОпределяемыйТип.ПромокодСерверЛояльности - Строка содержащая промокод
//
Процедура ЗарезервироватьПрименениеПромокода(Промокод) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.ЗарезервироватьПрименениеПромокода(Промокод) 
```
</details>

## СнятьРезервПримененияПромокода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет резерв применения конечного промокода
//
// Параметры:
//  Промокод - ОпределяемыйТип.ПромокодСерверЛояльности - Строка содержащая промокод.
//
Процедура СнятьРезервПримененияПромокода(Промокод) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.СнятьРезервПримененияПромокода(Промокод) 
```
</details>

## ЗафиксироватьОшибкуСервисаЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Фиксирует ошибку Сервиса Лояльности в журнале регистрации
//
// Параметры:
//  ОписаниеОшибки - Строка - текстовое описание возникшей ошибки
//  ИмяФункции     - Строка - наименование функции Сервиса лояльности
//
// Возвращаемое значение:
//  HTTPСервисОтвет
//
Функция ЗафиксироватьОшибкуСервисаЛояльности(ОписаниеОшибки, ИмяФункции) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПоставщикДанных.ЗафиксироватьОшибкуСервисаЛояльности(ОписаниеОшибки, ИмяФункции) 
```
</details>

## ОбработкаСостоянияБонусовИПодарочныхСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку состояния бонусов и подарочных сертификатов клиентов
// Происходит проверка наличия заблокированных бонусов и подарочных сертификатов клиентов
// Если такие найдены и время экспирации для них истекло - происходит разблокировка
Процедура ОбработкаСостоянияБонусовИПодарочныхСертификатов() Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.ОбработкаСостоянияБонусовИПодарочныхСертификатов() 
```
</details>

## ПолучитьСтруктуруЗапретаПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру запрета продаж
//
// Параметры:
//  Организация - СправочникСсылка.Организации - организация.
//  Магазин 	- СправочникСсылка.Магазины - магазин.
//
// Возвращаемое значение:
//  Структура - структура, содержащая в себе данные о запретах продаж:
//    * StartDate - Дата -дата начала действия запрета продаж.
//    * EndDate - Дата -дата окончания действия запрета продаж.
//    * SalesPromotionID - Строка -тестовое значение ГУИД маркетинговой акции/скидки, в которое содержатся данные
//                         запрета продаж.
//    * SalesPromotionName - Строка - наименование маркетинговой акции/скидки, в которое содержатся данные запрета продаж.
//    * Organisation - Структура - данные организации:
//      ** Name - Строка - наименование организации.
//      ** Ref - Строка - текстовое значение ГУИД организации.
//      ** ID - Строка - код организации.
//      ** TIN - Строка - ИНН организации.
//    * Store - Структура - данные магазина:
//       ** Name - Строка - наименование магазина.
//       ** Ref - Строка - текстовое значение ГУИД магазина.
//       ** ID - Строка - код магазина.
//    * DaysOfWeek - Массив из Строка - массив дней недели, на которые распространяется запрет продаж.
//   *  TypesOfGoods - Массив из Строка - массив видов номенклатуры, на которые распространяется запрет продаж.
//
Функция ПолучитьСтруктуруЗапретаПродаж(Организация = Неопределено, Магазин = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруЗапретаПродаж(Организация, Магазин);
```
</details>

## ПолучитьСтруктуруОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру содержащую сведенья об остатках
//
// Возвращаемое значение:
//  Структура - структура, содержащая в себе данные об остатках:
//    * LeftoverLocation - Строка - Место хранения остатков.
//    * Variant - Строка - Характеристика.
//    * Leftover - Число - Остаток.
//    * Reserved - Число - Зарезервировано.
//    * FreeLeftover - Число - Свободный остаток.
//
Функция ПолучитьСтруктуруОстатков() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОстатков() 
```
</details>

## ТекстЗапросаБалансПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса
//
// Возвращаемое значение:
//  Строка - текст запроса.
//
Функция ТекстЗапросаБалансПодарочногоСертификата() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПоставщикДанных.ТекстЗапросаБалансПодарочногоСертификата() 
```
</details>

## ПолучитьДесериализованноеСсылочноеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает десериализованное значение в виде ГУИД
//
// Параметры:
//  ВходящиеДанные - Структура - структура, содержащая в себе набор параметров из HTTP-запроса.
//  ИмяПараметра - Строка - имя десериализуемого параметра.
//  ТипЗначения - Строка - имя типа значения, например: "Справочники.Номенклатура".
//
// Возвращаемое значение:
//  ЛюбаяСсылка - полученное значение параметра.
//
Функция ПолучитьДесериализованноеСсылочноеЗначение(ВходящиеДанные, ИмяПараметра, ТипЗначения) Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПоставщикДанных.ПолучитьДесериализованноеСсылочноеЗначение(ВходящиеДанные, ИмяПараметра, ТипЗначения) 
```
</details>

## СписокУправляемыхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа списком управляемых скидок
//
// Параметры:
//  СтруктураОтвета - Массив - массив структур, содержащий в себе параметры ответа:
//   * ЗначениеСкидки - Число - значение скидки.
//   * Представление - Строка - представление скидки.
//   * ТипСкидки - Строка - тип скидки.
//   * ОбластьДействия - Строка - область действия скидки.
//   * ИдентификаторСкидки - Строка - уникальный идентификатор скидки.
//   * СкидкаНаценка - Строка - наименование скидки.
//  ПараметрыРасчета - -Структура - структура, содержащая в себе набор параметров из HTTP-запроса.
//
Процедура СписокУправляемыхСкидок(СтруктураОтвета, ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.СписокУправляемыхСкидок(СтруктураОтвета, ПараметрыРасчета) 
```
</details>

## СтруктураКартыЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует структуру карты лояльности.
//
// Возвращаемое значение:
//  Структура -  Структура карты лояльности:
// * ClientName - Строка
// * IsPerson - Булево
// * DateOfBirth - Строка
// * Phone - Строка
// * Email - Строка
// * Barcode - Строка
// * MagneticCode - Строка
// * CardGUID - Строка
// * ClientGUID - Строка
// * IsBlocked - Строка
// * BonusData - Структура:
//  ** PaymentPercent - Число
//  ** BonusCount - Число
//  ** BonusRate - Число
//  ** BonusCurrency - Строка
// * SellCount - Число
// * SearchType - Строка
//
Функция СтруктураКартыЛояльности() Экспорт
```

Пример вызова
```bsl
Результат = СерверЛояльностиПоставщикДанных.СтруктураКартыЛояльности() 
```
</details>

## СписокВидовДисконтныхКарт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа списком видов дисконтных карт
//
// Параметры:
//  СтруктураОтвета - Массив - массив структур, содержащий в себе параметры ответа:
//   * Идентификатор - Строка - уникальный идентификатор вида дисконтной карты.
//   * Наименование - Строка - наименование вида дисконтной карты.
//   * ЭтоИменнаяКарта - Булево - признак того что вид дисконтной карты именной.
//
Процедура СписокВидовДисконтныхКарт(СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.СписокВидовДисконтныхКарт(СтруктураОтвета) 
```
</details>

## СписокСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список сотрудников
//
// Параметры:
//  ПараметрыРасчета - -Структура - структура, содержащая в себе набор параметров из HTTP-запроса.
//  СтруктураОтвета - Массив - массив структур, содержащий в себе параметры ответа:
//   * СотрудникПредставление - Строка - Наименование сотрудника.
//   * КодСотрудника - Строка - Код сотрудника для входа в РМК.
//   * ИдентификаторСотрудника - Строка - УИД сотрудника.
//
Процедура СписокСотрудников(ПараметрыРасчета, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.СписокСотрудников(ПараметрыРасчета, СтруктураОтвета) 
```
</details>

## ЗаполнитьСписокСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список серий
//
// Параметры:
//  ПараметрыРасчета - Структура - структура, содержащая в себе набор параметров из HTTP-запроса.
//  СтруктураОтвета - Массив - массив структур, содержащий в себе параметры ответа:
//   * СерияПредставление - Строка - Наименование серии.
//   * ИдентификаторСерий - Строка - УИД серии.
//
Процедура ЗаполнитьСписокСерий(ПараметрыРасчета, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.ЗаполнитьСписокСерий(ПараметрыРасчета, СтруктураОтвета) 
```
</details>

## СписокСкидокПоВидамОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа списком управляемых скидок
//
// Параметры:
//  СтруктураОтвета - Массив - массив структур, содержащий в себе параметры ответа:
//   * ЗначениеСкидки - Число - значение скидки.
//   * Представление - Строка - представление скидки.
//   * ТипСкидки - Строка - тип скидки.
//   * ОбластьДействия - Строка - область действия скидки.
//   * ИдентификаторСкидки - Строка - уникальный идентификатор скидки.
//   * СкидкаНаценка - Строка - наименование скидки.
//
Процедура СписокСкидокПоВидамОплаты(СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанных.СписокСкидокПоВидамОплаты(СтруктураОтвета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
