---
title: Сервер лояльности поставщик данных переопределяемый
slug: erp-uh/сервер-лояльности-поставщик-данных-переопределяемый
---


## ИспользоватьСерверЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование библиотеки сервера лояльности
//
// Параметры:
//  Ответ - HTTPСервисОтвет - ответ сервера лояльности
//  Результат - Булево - Истина, если Сервер лояльности используется, Ложь - если не используется.
//
Процедура ИспользоватьСерверЛояльности(Ответ, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ИспользоватьСерверЛояльности(Ответ, Результат) 
```
</details>

## ЗаполнитьБонуснуюПрограммуПоДисконтнойКарте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет бонусную программу по дисконтной карте покупателя
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности -
//                    карта лояльности, по которой будут заполнены данные о бонусах
//  БонуснаяПрограммаЛояльности - ОпределяемыйТип.БонуснаяПрограммаСерверЛояльности - Бонусная программа лояльности
//
Процедура ЗаполнитьБонуснуюПрограммуПоДисконтнойКарте(ДисконтнаяКарта, БонуснаяПрограммаЛояльности) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьБонуснуюПрограммуПоДисконтнойКарте(ДисконтнаяКарта, БонуснаяПрограммаЛояльности) 
```
</details>

## ЗаполнитьДанныеОБонусах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа Сервера лояльности данными об остатках бонусных баллов
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности -
//                    карта лояльности, по которой будут заполнены данные о бонусах
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ЗаполнитьДанныеОБонусах(ДисконтнаяКарта, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьДанныеОБонусах(ДисконтнаяКарта, СтруктураОтвета) 
```
</details>

## ОбработкаСостоянияБонусов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку состояния бонусов клиентов
// Происходит проверка наличия заблокированных бонусов клиентов
// Если такие найдены и время экспирации для них истекло - происходит разблокировка
Процедура ОбработкаСостоянияБонусов() Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ОбработкаСостоянияБонусов() 
```
</details>

## ПолучитьКодВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает код валюты
//
// Параметры:
//  КодВалюты - Строка - код валюты.
//
Процедура ПолучитьКодВалюты(КодВалюты = "") Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПолучитьКодВалюты(КодВалюты);
```
</details>

## ПроверитьДанныеКартыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит проверку параметраов карты клиента по параметрам, полученным через HTTP-сервис
//
// Параметры:
//  ПараметрыМетода - Структура - структура, содержащая в себе параметры клиента:
//    * ИдентификаторКартыКлиента - Строка - код карты лояльности
//    * Клиент - Строка - ФИО владельца карты
//    * АдресЭП - Строка - адрес электронной почты владельца карты
//    * НомерТелефона - Строка - номер телефона владельца карты
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ПроверитьДанныеКартыКлиента(ПараметрыМетода, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПроверитьДанныеКартыКлиента(ПараметрыМетода, СтруктураОтвета) 
```
</details>

## НайтиКартуКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит поиск карты клиента по параметрам, полученным через HTTP-сервис
//
// Параметры:
//  ПараметрыМетода - Структура - структура, содержащая в себе параметры клиента:
//    * ИдентификаторКартыКлиента - Строка - код карты лояльности
//    * Клиент - Строка - ФИО владельца карты
//    * АдресЭП - Строка - адрес электронной почты владельца карты
//    * НомерТелефона - Строка - номер телефона владельца карты
//  Результат - ОпределяемыйТип.КартаЛояльностиСерверЛояльности, Неопределено - дисконтная карта клиента
//
Процедура НайтиКартуКлиента(ПараметрыМетода, Результат = Неопределено) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.НайтиКартуКлиента(ПараметрыМетода, Результат);
```
</details>

## СоздатьКартуКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает карты клиента
//
// Параметры:
//  ДанныеКарты - Структура - структура, содержащая данные карты лояльности:
//    * ИдентификаторКартыКлиента - Строка - код карты лояльности
//    * Клиент - Строка - ФИО владельца карты
//    * АдресЭП - Строка - адрес электронной почты владельца карты
//    * НомерТелефона - Строка - номер телефона владельца карты
//  Результат - ОпределяемыйТип.КартаЛояльностиСерверЛояльности, Неопределено - содержит значение,
//				в котором будет храниться ссылка на созданную карту лояльности.
//  ДругойКлиент - СправочникСсылка.Контрагенты - контрагент с совпадающим e-mail, но другим телефоном
//  ОписаниеОшибки - Строка - Подробное описание ошибки
//
Процедура СоздатьКартуКлиента(ДанныеКарты, Результат = Неопределено, ДругойКлиент = Неопределено, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.СоздатьКартуКлиента(ДанныеКарты, Результат, ДругойКлиент, ОписаниеОшибки);
```
</details>

## ЗаполнитьСтруктуруОтветаДаннымиКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа HTTP-сервиса данными дисконтной карты
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//  КартаСуществует - Булево
//
Процедура ЗаполнитьСтруктуруОтветаДаннымиКарты(ДисконтнаяКарта, СтруктураОтвета, КартаСуществует = Ложь) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьСтруктуруОтветаДаннымиКарты(ДисконтнаяКарта, СтруктураОтвета, КартаСуществует);
```
</details>

## ЗаполнитьСтруктуруОтветаДаннымиКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа HTTP-сервиса данными клиента
//
// Параметры:
//  Клиент - СправочникСсылка.Контрагенты
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ЗаполнитьСтруктуруОтветаДаннымиКлиента(Клиент, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьСтруктуруОтветаДаннымиКлиента(Клиент, СтруктураОтвета) 
```
</details>

## НайтиПодарочныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит поиск подарочного сертификата по параметрам, полученным через HTTP-сервис
//
// Параметры:
//  ПараметрыМетода - Структура - структура, содержащая в себе параметры подарочного сертификата
//                                см. СерверЛояльностиПоставщикДанных.ПараметрыМетодаИзЗапроса
//  Результат - Структура - данные найденного подарочный сертификат:
//    * СерийныйНомер		 - ОпределяемыйТип.СерийныйНомерСерверЛояльности
//    * ПодарочныйСертификат - ОпределяемыйТип.ПодарочныйСертификатСерверЛояльности
//
Процедура НайтиПодарочныйСертификат(ПараметрыМетода, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.НайтиПодарочныйСертификат(ПараметрыМетода, Результат) 
```
</details>

## НайтиПромокод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит поиск промокода по параметрам, полученным через HTTP-сервис
//
// Параметры:
//  ПараметрыМетода - Структура - структура, содержащая в себе параметры подарочного сертификата
//                                см. СерверЛояльностиПоставщикДанных.ПараметрыМетодаИзЗапроса
//  Результат - Структура - данные найденного подарочный сертификат:
//    * Промокод		 - ОпределяемыйТип.ПромокодСерверЛояльности - Значение переданного промокода
//    * ДоступноПрименений - Число - количество доступных применений. 0 когда промокод не доступен.
//    * ОписаниеОшибки - Строка - Не обязательный. Когда промокод не доступен, возвращается пояснение, по какой причине
//                                он не доступен.
//
Процедура НайтиПромокод(ПараметрыМетода, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.НайтиПромокод(ПараметрыМетода, Результат) 
```
</details>

## ПолучитьБалансПодарочногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные о подарочном сертификате
//
// Параметры:
//  ДанныеСертификата - Структура - содержит данные подарочного сертификата.
//  СтруктураОтвета - Структура - содержит данные о балансе сертификата,
//                                см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ПолучитьБалансПодарочногоСертификата(ДанныеСертификата, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПолучитьБалансПодарочногоСертификата(ДанныеСертификата, СтруктураОтвета) 
```
</details>

## ПолучитьСостояниеПромокода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные о состоянии промокода
//
// Параметры:
//  ДанныеПромокода - Структура - содержит данные подарочного сертификата.
//  СтруктураОтвета - Структура - содержит данные о балансе сертификата,
//                                см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//  РезервироватьПромокод - Булево - резервировать применение промокода.
//
Процедура ПолучитьСостояниеПромокода(ДанныеПромокода, СтруктураОтвета, РезервироватьПромокод = Ложь) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПолучитьСостояниеПромокода(ДанныеПромокода, СтруктураОтвета, РезервироватьПромокод);
```
</details>

## ЗаполнитьПараметрыШаблонаКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры шаблона карты клиента
//
// Параметры:
//  ДанныеКарты - Структура - структура, содержащая данные карты лояльности:
//    * ИдентификаторКартыКлиента	 - Строка - код карты лояльности.
//    * Клиент						 - Строка - ФИО владельца карты.
//    * АдресЭП						 - Строка - адрес электронной почты владельца карты.
//    * НомерТелефона				 - Строка - номер телефона владельца карты.
//  СтруктураШаблона - Структура - содержит данные шаблона регистрации дисконтных карт.
//
Процедура ЗаполнитьПараметрыШаблонаКарты(ДанныеКарты, СтруктураШаблона) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьПараметрыШаблонаКарты(ДанныеКарты, СтруктураШаблона) 
```
</details>

## ИспользоватьАвтоматическиеСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные об использовании автоматических скидок
//
// Параметры:
//  Результат - Булево - Истина, автоматические скидки используются,
//						 Ложь, автоматические скидки не используются.
//
Процедура ИспользоватьАвтоматическиеСкидки(Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ИспользоватьАвтоматическиеСкидки(Результат) 
```
</details>

## РассчитатьАвтоматическиеСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает автоматические скидки
//
// Параметры:
//  ПараметрыРасчета - см. ДесериализоватьПараметрыРасчета.
//  Результат - Структура - структура данных с рассчитанными автоматическими скидками.
//
Процедура РассчитатьАвтоматическиеСкидки(ПараметрыРасчета, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.РассчитатьАвтоматическиеСкидки(ПараметрыРасчета, Результат) 
```
</details>

## ДесериализоватьПараметрыРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Десериализует параметры расчета автоматических скидок, полученными в формате JSON
//
// Параметры:
//  ВходящиеДанные - Строка - содержит строковое значение тела запроса в формате JSON.
//  Результат - Структура - структура данных с десериализованными параметрами расчета автоматических скидок:
//    * ВходныеПараметры				 - Структура:
//       ** ТолькоПредварительныйРасчет - Булево
//    * Товары							 - ТаблицаЗначений
//    * ВалютаУправленческогоУчета		 - СправочникСсылка.Валюты
//    * ВариантСовместногоПрименения	 - ПеречислениеСсылка.ВариантыСовместногоПримененияСкидокНаценок
//    * Пользователь					 - Неопределено
//    * ТекущаяДата						 - Дата
//    * Дата							 - Дата
//    * ТолькоСообщенияПослеОформления	 - Булево
//    * Регистратор						 - ДокументСсылка.ЧекККМ
//    * Ссылка							 - ДокументСсылка.ЧекККМ
//    * СуммаВключаетНДС				 - Булево
//    * СкидкиРассчитаны				 - Булево
//    * ДисконтнаяКарта					 - ОпределяемыйТип.КартаЛояльностиСерверЛояльности
//    * ВидДисконтнойКарты				 - Неопределено
//    * Контрагент						 - Неопределено
//    * ПроцентСкидкиПоДисконтнойКарте	 - Число
//    * Магазин							 - Неопределено
//    * ВалютаДокумента					 - Неопределено
//    * СкидкиНаценки					 - ТаблицаЗначений -
//    * ВидЦен							 - СправочникСсылка.ВидыЦен
//    * ВалютаДокумента					 - СправочникСсылка.Валюты
//
Процедура ДесериализоватьПараметрыРасчета(ВходящиеДанные, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ДесериализоватьПараметрыРасчета(ВходящиеДанные, Результат) 
```
</details>

## ПроверитьПодарочныйСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет подарочный сертификат на факт продажи/списания.
//
// Параметры:
//  ПараметрыМетода - Структура - структура, содержащая в себе параметры подарочного сертификата:
//   * НомерСертификата - Строка - номер подарочного сертификата.
//  СтруктураОтвета - Структура - структура, содержащая в себе параметры ответа:
//   * GiftCardUsed - Булево - признак того, что подарочный сертификат был уже использован ранее.
//
Процедура ПроверитьПодарочныйСертификат(ПараметрыМетода, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПроверитьПодарочныйСертификат(ПараметрыМетода, СтруктураОтвета) 
```
</details>

## ПроверитьИспользованиеПодарочныхСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование функции оплаты подарочными сертификатами
//
// Параметры:
//  Результат - Булево - переменная, в которую будет записан результат проверки использования
//						 функции оплаты подарочными сертификатами.
//
Процедура ПроверитьИспользованиеПодарочныхСертификатов(Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПроверитьИспользованиеПодарочныхСертификатов(Результат) 
```
</details>

## ДанныеОЗапретахПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных о текущих запретах продаж
//
// Параметры:
//  ПараметрыМетода - Структура - набор параметров для получения данных о запретах продаж
//  Результат - Структура, Неопределено - содержит данные о запретах продаж
//										  см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруЗапретаПродаж
//
Процедура ДанныеОЗапретахПродаж(ПараметрыМетода, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ДанныеОЗапретахПродаж(ПараметрыМетода, Результат) 
```
</details>

## ПолучитьДанныеСерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные серии по ГУИД
//
// Параметры:
//  ПараметрыМетода - Структура - структура, содержащая в себе параметры подарочного сертификата:
//   * ГУИДСерии - Строка - ГУИД серии.
//  СтруктураОтвета - Структура - структура, содержащая в себе параметры ответа:
//   * NameBatch - Строка - наименование серии.
//
Процедура ПолучитьДанныеСерии(ПараметрыМетода, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПолучитьДанныеСерии(ПараметрыМетода, СтруктураОтвета) 
```
</details>

## ЗаполнитьИменаРеквизитовПоставщикаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Заполняет полученную структуру реквизитов именами реквизитов документа продажи (ЧекККМ)
//
// Параметры:
//  ИменаРеквизитов - Неопределено,
//  				- Структура:
//    * ИмяРеквизитаДисконтнаяКарта - Строка
//    * ИмяРеквизитаТаблицаОплата - Строка
//    * ИмяРеквизитаПодарочныйСертификат - Строка
//    * ИмяРеквизитаСерийныйНомер - Строка
//    * ИмяРеквизитаСуммаБонусов - Строка
//    * ИмяРеквизитаТаблицаПогашенияСертификатов - Строка
//    * ИмяРеквизитаСуммаПогашенияСертификата - Строка
//
Процедура ЗаполнитьИменаРеквизитовПоставщикаДанных(ИменаРеквизитов) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьИменаРеквизитовПоставщикаДанных(ИменаРеквизитов) 
```
</details>

## ЗаполнитьТаблицуУправляемыхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список управляемых скидок
//
// Параметры:
//  Результат - Неопределено, ТаблицаЗначений - возвращаемое значение
//  ПараметрыРасчета - Структура - структура, содержащая в себе параметры отбора управляемых скидок
//
Процедура ЗаполнитьТаблицуУправляемыхСкидок(Результат, ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьТаблицуУправляемыхСкидок(Результат, ПараметрыРасчета) 
```
</details>

## ЗаполнитьТаблицуСкидокЗависящихОтВидаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список скидок, зависящих от выбранной оплаты
//
// Параметры:
//  Результат - Неопределено, ТаблицаЗначений - возвращаемое значение
//
Процедура ЗаполнитьТаблицуСкидокЗависящихОтВидаОплаты(Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьТаблицуСкидокЗависящихОтВидаОплаты(Результат) 
```
</details>

## ПараметрыИзЗапросаПолучитьОстатки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Заполняет структуру параметров из HTTP запроса
//
// Параметры:
//  ВходящиеДанные - Строка - содержит строковое значение тела запроса в формате JSON.
//  Результат - Структура - содержит в себе набор параметров, которые могут быть переданы через HTTP-запрос:
//    * Номенклатура 	- Строка
//    * Характеристика 	- Строка
//    * Упаковка 		- Строка
//
Процедура ПараметрыИзЗапросаПолучитьОстатки(ВходящиеДанные, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПараметрыИзЗапросаПолучитьОстатки(ВходящиеДанные, Результат) 
```
</details>

## ПолучитьОстатки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные об остатках товара
//
// Параметры:
//  ПараметрыМетода - Структура - содержит параметры получения остатков,
//                                см. СерверЛояльностиПоставщикДанныхПереопределяемый.ПараметрыИзЗапросаПолучитьОстатки
//  СтруктураОтвета - Структура - содержит данные о балансе сертификата,
//                                см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ПолучитьОстатки(ПараметрыМетода, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПолучитьОстатки(ПараметрыМетода, СтруктураОтвета) 
```
</details>

## ПолучитьТаблицуИспользованныхПромокодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив промокодов использованных в документе
//
// Параметры:
//  Документ - ДокументСсылка - ссылка на документ с применением промокодов.
//  МассивПромокодов - Массив - Массив примененных промокодов
//
Процедура ПолучитьТаблицуИспользованныхПромокодов(Документ, МассивПромокодов) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПолучитьТаблицуИспользованныхПромокодов(Документ, МассивПромокодов) 
```
</details>

## НайтиКартыЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа HTTP-сервиса данными найденных карт
//
// Параметры:
//  ПараметрыМетода - Структура - структура, содержащая в себе параметры поиска карт:
//    * ИдентификаторКартыКлиента - Строка - код карты лояльности
//    * НомерТелефона - Строка - номер телефона или последняя часть номера телефона для поиска
//    * АдресЭП - Строка - адрес электронной почты владельца карты для поиска
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура НайтиКартыЛояльности(ПараметрыМетода, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.НайтиКартыЛояльности(ПараметрыМетода, СтруктураОтвета) 
```
</details>

## ПолучитьКартуКлиентаПоУникальномуИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет карту лояльности клиента
//
// Параметры:
//  СтрокаУникальногоИдентификатора - Строка - уникальный идентификатор карты,
//  КартаКлиента - ОпределяемыйТип.КартаЛояльностиСерверЛояльности - карта клиента
//
Процедура ПолучитьКартуКлиентаПоУникальномуИдентификатору(СтрокаУникальногоИдентификатора, КартаКлиента) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПолучитьКартуКлиентаПоУникальномуИдентификатору(СтрокаУникальногоИдентификатора, КартаКлиента) 
```
</details>

## ЗаполнитьСтруктуруОтветаНомерамиКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа HTTP-сервиса номерами и уникальным идентификатором дисконтной карты
//
// Параметры:
//  КартаКлиента - ОпределяемыйТип.КартаЛояльностиСерверЛояльности
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ЗаполнитьСтруктуруОтветаНомерамиКарты(КартаКлиента, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьСтруктуруОтветаНомерамиКарты(КартаКлиента, СтруктураОтвета) 
```
</details>

## ЗаполнитьТаблицуВидовКарт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список видов карт
//
// Параметры:
//  Результат - Неопределено, ТаблицаЗначений - возвращаемое значение
//
Процедура ЗаполнитьТаблицуВидовКарт(Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьТаблицуВидовКарт(Результат) 
```
</details>

## ЗаполнитьДанныеОбОборотахПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа Сервера лояльности данными об оборотах
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности -
//                    карта лояльности, по которой будут заполнены данные о бонусах
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ЗаполнитьДанныеОбОборотахПродаж(ДисконтнаяКарта, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьДанныеОбОборотахПродаж(ДисконтнаяКарта, СтруктураОтвета) 
```
</details>

## ДесериализоватьПараметрыРасчетаСписокСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Десериализуются параметры списка сотрудников, полученными в формате JSON
//
// Параметры:
//  ВходящиеДанные - Строка - содержит строковое значение тела запроса в формате JSON.
//  Результат - Структура - структура данных с параметрами списка сотрудников:
//    * ВходныеПараметры				 - Структура
//    * Магазин							 - Неопределено
//
Процедура ДесериализоватьПараметрыРасчетаСписокСотрудников(ВходящиеДанные, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ДесериализоватьПараметрыРасчетаСписокСотрудников(ВходящиеДанные, Результат) 
```
</details>

## ДесериализоватьПараметрыСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Десериализуются параметры серий, полученными в формате JSON
//
// Параметры:
//  ВходящиеДанные - Строка - содержит строковое значение тела запроса в формате JSON.
//  Результат - Структура - структура данных с параметрами серий:
//    * ВходныеПараметры				 - Структура
//    * Магазин							 - Неопределено
//
Процедура ДесериализоватьПараметрыСерий(ВходящиеДанные, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ДесериализоватьПараметрыСерий(ВходящиеДанные, Результат) 
```
</details>

## ЗаполнитьТаблицуСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список сотрудников
//
// Параметры:
//  ПараметрыРасчета - см. ДесериализоватьПараметрыРасчета
//  Результат - Неопределено, ТаблицаЗначений - возвращаемое значение
//
Процедура ЗаполнитьТаблицуСотрудников(ПараметрыРасчета, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьТаблицуСотрудников(ПараметрыРасчета, Результат) 
```
</details>

## ЗаполнитьСписокСерий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список серий
//
// Параметры:
//  ПараметрыРасчета - см. ДесериализоватьПараметрыРасчета
//  Результат - Структура - структура серий - возвращаемое значение
//
Процедура ЗаполнитьСписокСерий(ПараметрыРасчета, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ЗаполнитьСписокСерий(ПараметрыРасчета, Результат) 
```
</details>

## ПараметрыИзЗапросаОбработатьКодМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров из HTTP запроса
//
// Параметры:
//  ВходящиеДанные - Строка - содержит строковое значение тела запроса в формате JSON.
//  ПараметрыОбработкиКодаМаркировки - Структура - содержит в себе набор параметров обработки кода маркировки.
//                          см. ШтрихкодированиеИСВызовСервера.ОбработатьШтрихкод
//
Процедура ПараметрыИзЗапросаОбработатьКодМаркировки(ВходящиеДанные, ПараметрыОбработкиКодаМаркировки) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПараметрыИзЗапросаОбработатьКодМаркировки(ВходящиеДанные, ПараметрыОбработкиКодаМаркировки) 
```
</details>

## ОбработатьКодМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные о результатах обработки кода маркировки
//
// Параметры:
//  ПараметрыОбработкиКодаМаркировки - Структура - содержит в себе набор параметров обработки кода маркировки.
//                                                 см. ШтрихкодированиеИСВызовСервера.ОбработатьШтрихкод
//  РезультатОтвета - Строка - Сериализованная структура результата обработки кода маркировки.
//                                см. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьРезультатОбработкиШтрихкода
//
Процедура ОбработатьКодМаркировки(ПараметрыОбработкиКодаМаркировки, РезультатОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ОбработатьКодМаркировки(ПараметрыОбработкиКодаМаркировки, РезультатОтвета) 
```
</details>

## ПараметрыИзЗапросаПолучитьТокенАвторизацииГосИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров из HTTP запроса
//
// Параметры:
//  ВходящиеДанные - Строка - содержит строковое значение тела запроса в формате JSON.
//  ПараметрыПолученияТокенаАвторизации - Структура - содержит в себе набор параметров получения токена авторизации.
//
Процедура ПараметрыИзЗапросаПолучитьТокенАвторизацииГосИС(ВходящиеДанные, ПараметрыПолученияТокенаАвторизации) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПараметрыИзЗапросаПолучитьТокенАвторизацииГосИС(ВходящиеДанные, ПараметрыПолученияТокенаАвторизации) 
```
</details>

## ПолучитьТокенАвторизацииГосИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные о результатах получения токена авторизации
//
// Параметры:
//  ПараметрыПолученияТокенаАвторизации - Структура - содержит в себе набор параметров получения токена авторизации.
//  РезультатОтвета - Строка - Сериализованная структура результата получения токена авторизации.
//
Процедура ПолучитьТокенАвторизацииГосИС(ПараметрыПолученияТокенаАвторизации, РезультатОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПолучитьТокенАвторизацииГосИС(ПараметрыПолученияТокенаАвторизации, РезультатОтвета) 
```
</details>

## ПолучитьАктуальнцюЦену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает актульную цену
//
// Параметры:
//  ПараметрыМетода - Структура - структура, содержащая в себе параметры подарочного сертификата:
//   * ГУИДСерии - Строка - ГУИД серии.
//   * ГУИДВидЦены - Строка - ГУИД вида цены.
//   * ГУИДНоменклатуры - Строка - ГУИД номенклатуры.
//   * Характеристика - Строка - ГУИД характеристики.
//  СтруктураОтвета - Структура - структура, содержащая в себе параметры ответа:
//   * Price - Число - актульная цена номенклатуры.
//
Процедура ПолучитьАктуальнцюЦену(ПараметрыМетода, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПолучитьАктуальнцюЦену(ПараметрыМетода, СтруктураОтвета) 
```
</details>

## ПроверитьБонуснуюПрограмму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность бонусной пограммы в карте лояльности
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности -
//                    карта лояльности, по которой будут заполнены данные о бонусах.
//  ТребуетсяБлокировкаБонусов - Булево - признак необходимости блокировки бонусов
//
Процедура ПроверитьБонуснуюПрограмму(КартаКлиента, ТребуетсяБлокировкаБонусов) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхПереопределяемый.ПроверитьБонуснуюПрограмму(КартаКлиента, ТребуетсяБлокировкаБонусов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
