---
title: Сервер лояльности поставщик данных УТ
slug: erp-uh/сервер-лояльности-поставщик-данных-ут
---


## ИспользоватьСерверЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование библиотеки сервера лояльности
//
// Параметры:
//  Ответ - HTTPСервисОтвет - ответ сервера лояльности
//  Результат - Булево - Истина, если Сервер лояльности используется, Ложь - если не используется.
//
Процедура ИспользоватьСерверЛояльности(Ответ, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ИспользоватьСерверЛояльности(Ответ, Результат) 
```
</details>

## ЗаполнитьТаблицуУправляемыхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список управляемых скидок
//
// Параметры:
//  Результат - Неопределено, ТаблицаЗначений - возвращаемое значение
//
Процедура ЗаполнитьТаблицуУправляемыхСкидок(Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ЗаполнитьТаблицуУправляемыхСкидок(Результат) 
```
</details>

## ЗаполнитьБонуснуюПрограммуПоДисконтнойКарте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет бонусную программу по дисконтной карте покупателя
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности -
//                    карта лояльности, по которой будут заполнены данные о бонусах
//  БонуснаяПрограмма - ОпределяемыйТип.БонуснаяПрограммаСерверЛояльности - Бонусная программа лояльности
//
Процедура ЗаполнитьБонуснуюПрограммуПоДисконтнойКарте(ДисконтнаяКарта, БонуснаяПрограмма) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ЗаполнитьБонуснуюПрограммуПоДисконтнойКарте(ДисконтнаяКарта, БонуснаяПрограмма) 
```
</details>

## ЗаполнитьДанныеОБонусах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа Сервера лояльности данными об остатках бонусных баллов
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности -
//                    карта лояльности, по которой будут заполнены данные о бонусах
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ЗаполнитьДанныеОБонусах(ДисконтнаяКарта, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ЗаполнитьДанныеОБонусах(ДисконтнаяКарта, СтруктураОтвета) 
```
</details>

## НайтиКартуКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит поиск карты клиента по параметрам, полученным через HTTP-сервис
//
// Параметры:
//  Данные - Структура - структура, содержащая в себе параметры клиента:
//    * ИдентификаторКартыКлиента - Строка - код карты лояльности
//    * Клиент - Строка - ФИО владельца карты
//    * АдресЭП - Строка - адрес электронной почты владельца карты
//    * НомерТелефона - Строка - номер телефона владельца карты
//  Результат - ОпределяемыйТип.КартаЛояльностиСерверЛояльности, Неопределено - дисконтная карта клиента
//
Процедура НайтиКартуКлиента(Данные, Результат = Неопределено) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.НайтиКартуКлиента(Данные, Результат);
```
</details>

## СоздатьКартуКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает карты клиента
//
// Параметры:
//  ДанныеКарты - см. СерверЛояльностиПоставщикДанныхПереопределяемый.СоздатьКартуКлиента.ДанныеКарты
//  Результат - ОпределяемыйТип.КартаЛояльностиСерверЛояльности, Неопределено - содержит значение,
//				в котором будет храниться ссылка на созданную карту лояльности.
//  ДругойКлиент - СправочникСсылка.Контрагенты - контрагент с совпадающим e-mail, но другим телефоном
//  ОписаниеОшибки - Строка - возвращаемое значение
//
Процедура СоздатьКартуКлиента(ДанныеКарты, Результат = Неопределено, ДругойКлиент = Неопределено, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.СоздатьКартуКлиента(ДанныеКарты, Результат, ДругойКлиент, ОписаниеОшибки);
```
</details>

## ЗаполнитьСтруктуруОтветаДаннымиКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа HTTP-сервиса данными дисконтной карты
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//  КартаСуществует - Булево
//
Процедура ЗаполнитьСтруктуруОтветаДаннымиКарты(ДисконтнаяКарта, СтруктураОтвета, КартаСуществует = Ложь) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ЗаполнитьСтруктуруОтветаДаннымиКарты(ДисконтнаяКарта, СтруктураОтвета, КартаСуществует);
```
</details>

## ЗаполнитьСтруктуруОтветаДаннымиКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа HTTP-сервиса данными клиента
//
// Параметры:
//  Клиент - СправочникСсылка.Контрагенты
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ЗаполнитьСтруктуруОтветаДаннымиКлиента(Клиент, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ЗаполнитьСтруктуруОтветаДаннымиКлиента(Клиент, СтруктураОтвета) 
```
</details>

## ИспользоватьАвтоматическиеСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные об использовании автоматических скидок
//
// Параметры:
//  Результат - Булево - Истина, автоматические скидки используются,
//						 Ложь, автоматические скидки не используются.
//
Процедура ИспользоватьАвтоматическиеСкидки(Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ИспользоватьАвтоматическиеСкидки(Результат) 
```
</details>

## РассчитатьАвтоматическиеСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает автоматические скидки
//
// Параметры:
//  ПараметрыРасчета - Структура - см. ДесериализоватьПараметрыРасчета
//  Результат - Структура - структура данных с рассчитанными автоматическими скидками.
//
Процедура РассчитатьАвтоматическиеСкидки(ПараметрыРасчета, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.РассчитатьАвтоматическиеСкидки(ПараметрыРасчета, Результат) 
```
</details>

## ДесериализоватьПараметрыРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Десериализует параметры расчета автоматических скидок, полученными в формате JSON
//
// Параметры:
//  ВходящиеДанные - Строка - содержит строковое значение тела запроса в формате JSON.
//  Результат - Структура - структура данных с десереализованными параметрами расчета автоматических скидок:
//    * ВходныеПараметры				 - Структура:
//       * ТолькоПредварительныйРасчет - Булево
//    * Товары							 - ТаблицаЗначений
//    * ВалютаУправленческогоУчета		 - СправочникСсылка.Валюты
//    * Пользователь					 - Неопределено
//    * ТекущаяДата						 - Дата
//    * Дата							 - Дата
//    * ТолькоСообщенияПослеОформления	 - Булево
//    * Регистратор						 - ДокументСсылка.ЧекККМ
//    * Ссылка							 - ДокументСсылка.ЧекККМ
//    * СуммаВключаетНДС				 - Булево
//    * СкидкиРассчитаны				 - Булево
//    * ДисконтнаяКарта					 - СправочникСсылка.КартыЛояльности
//    * ВидДисконтнойКарты				 - Неопределено
//    * Контрагент						 - Неопределено
//    * ПроцентСкидкиПоДисконтнойКарте	 - Число
//    * Склад							 - Неопределено
//    * ВалютаДокумента					 - Неопределено
//    * ВидЦен							 - СправочникСсылка.ВидыЦен
//    * ВалютаДокумента					 - СправочникСсылка.Валюты
//
Процедура ДесериализоватьПараметрыРасчета(ВходящиеДанные, Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ДесериализоватьПараметрыРасчета(ВходящиеДанные, Результат) 
```
</details>

## ПроверитьИспользованиеПодарочныхСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование функции оплаты подарочными сертификатами
//
// Параметры:
//  Результат - Булево - переменная, в которую будет записан результат проверки использования
//			 функции оплаты подарочными сертификатами.
//
Процедура ПроверитьИспользованиеПодарочныхСертификатов(Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ПроверитьИспользованиеПодарочныхСертификатов(Результат) 
```
</details>

## ЗаполнитьИменаРеквизитовПоставщикаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет полученную структуру реквизитов именами реквизитов документа продажи (ЧекККМ)
//
// Параметры:
//  ИменаРеквизитов - Структура:
//    * ИмяРеквизитаДисконтнаяКарта - Строка
//    * ИмяРеквизитаТаблицаОплата - Строка
//    * ИмяРеквизитаПодарочныйСертификат - Строка
//    * ИмяРеквизитаСерийныйНомер - Строка
//    * ИмяРеквизитаСуммаБонусов - Строка
//    * ИмяРеквизитаТаблицаПогашенияСертификатов - Строка
//    * ИмяРеквизитаСуммаПогашенияСертификата - Строка
//
Процедура ЗаполнитьИменаРеквизитовПоставщикаДанных(ИменаРеквизитов) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ЗаполнитьИменаРеквизитовПоставщикаДанных(ИменаРеквизитов) 
```
</details>

## НайтиКартыЛояльности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа HTTP-сервиса данными найденных карт
//
// Параметры:
//  ПараметрыМетода - Структура - структура, содержащая в себе параметры поиска карт:
//    * ИдентификаторКартыКлиента - Строка - код карты лояльности
//    * НомерТелефона - Строка - номер телефона или последняя часть номера телефона для поиска
//    * АдресЭП - Строка - адрес электронной почты владельца карты для поиска
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура НайтиКартыЛояльности(ПараметрыМетода, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.НайтиКартыЛояльности(ПараметрыМетода, СтруктураОтвета) 
```
</details>

## ЗаполнитьСтруктуруОтветаНомерамиКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа HTTP-сервиса номерами и уникальным идентификатором дисконтной карты
//
// Параметры:
//  КартаКлиента - ОпределяемыйТип.КартаЛояльностиСерверЛояльности
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ЗаполнитьСтруктуруОтветаНомерамиКарты(КартаКлиента, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ЗаполнитьСтруктуруОтветаНомерамиКарты(КартаКлиента, СтруктураОтвета) 
```
</details>

## ЗаполнитьТаблицуВидовКарт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список видов карт
//
// Параметры:
//  Результат - Неопределено, ТаблицаЗначений - возвращаемое значение
//
Процедура ЗаполнитьТаблицуВидовКарт(Результат) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ЗаполнитьТаблицуВидовКарт(Результат) 
```
</details>

## ЗаполнитьДанныеОбОборотахПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру ответа Сервера лояльности данными об оборотах
//
// Параметры:
//  ДисконтнаяКарта - ОпределяемыйТип.КартаЛояльностиСерверЛояльности -
//                    карта лояльности, по которой будут заполнены данные о бонусах
//  СтруктураОтвета - см. СерверЛояльностиПоставщикДанных.ПолучитьСтруктуруОтвета
//
Процедура ЗаполнитьДанныеОбОборотахПродаж(ДисконтнаяКарта, СтруктураОтвета) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ЗаполнитьДанныеОбОборотахПродаж(ДисконтнаяКарта, СтруктураОтвета) 
```
</details>

## ПолучитьКартуКлиентаПоУникальномуИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет карту лояльности клиента
//
// Параметры:
//  СтрокаУникальногоИдентификатора - Строка - уникальный идентификатор карты,
//  КартаКлиента - СправочникСсылка.КартыЛояльности - карта клиента
//
Процедура ПолучитьКартуКлиентаПоУникальномуИдентификатору(СтрокаУникальногоИдентификатора, КартаКлиента) Экспорт
```

Пример вызова
```bsl
СерверЛояльностиПоставщикДанныхУТ.ПолучитьКартуКлиентаПоУникальномуИдентификатору(СтрокаУникальногоИдентификатора, КартаКлиента) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
