---
title: Сервис EDI клиент переопределяемый
slug: erp-uh/сервис-edi-клиент-переопределяемый
---


## ОткрытьФормуВыбораКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора контрагента. Используется при указании контрагентов в настройках заказов.
// В открываемом списке должны быть только те контрагенты, у которых есть идентификатор сервиса "1С: Бизнес-сеть".
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма, из которой вызывается список выбора контрагентов.
//  ПараметрыОткрытия  - Структура - может содержать следующие параметры:
//   * ТолькоИзСпискаКонтрагентов - СписокЗначений - ограничивать список контрагентов перечисленными.
//   * НеПоказыватьКонтрагентов   - СписокЗначений - не показывать в списке указанных контрагентов.
//  ОписаниеОповещения  - ОписаниеОповещения - требуется вызвать с результатами выбора.
//
Процедура ОткрытьФормуВыбораКонтрагентов(Форма, ПараметрыОткрытия, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
СервисEDIКлиентПереопределяемый.ОткрытьФормуВыбораКонтрагентов(Форма, ПараметрыОткрытия, ОписаниеОповещения) 
```
</details>

## ОбработатьСобытиеТекущихДелНастройкиСправочники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает событие в форме текущих дел EDI для раздела настройки и справочники
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения       - форма, из которой было вызвано событие
// 	НавигационнаяСсылкаФорматированнойСтроки - Строка - имя события, может принимать значения "Номенклатура", "Контрагенты"
//                                                      "НоменклатураКонтрагентов", "Настройки".
//  СтандартнаяОбработка                     - Булево - признак стандартной обработки события подсистемой EDI
Процедура ОбработатьСобытиеТекущихДелНастройкиСправочники(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СервисEDIКлиентПереопределяемый.ОбработатьСобытиеТекущихДелНастройкиСправочники(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ЗаписатьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает запись документа из формы. В обработчике требуется выполнить запись документа в
// форме и вызвать обработчик оповещения после окончания записи.
//
// Параметры:
// 	ФормаДокумента     - ФормаКлиентскогоПриложения - форма, документ которой требуется записать
// 	ОписаниеОповещения -ОписаниеОповещения          - обработчик, который требуется выполнить после записи,
//                                                    где передать флаг успешной записи как результат.
Процедура ЗаписатьДокумент(ФормаДокумента, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
СервисEDIКлиентПереопределяемый.ЗаписатьДокумент(ФормаДокумента, ОписаниеОповещения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
