---
title: Сервис доставки
slug: erp-uh/сервис-доставки
---


## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет элементы формы 1С:Доставки на форму объекта при создании на сервере.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, из которой вызвана процедура.
//   МестоРазмещенияКоманд - ГруппаФормы - место для размещения, по умолчанию - командная панель формы.
//   ПараметрыОповещения - Структура - параметры, где может быть установлен источник команды.
//
Процедура ПриСозданииНаСервере(Форма, МестоРазмещенияКоманд = Неопределено, ПараметрыОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПриСозданииНаСервере(Форма, МестоРазмещенияКоманд, ПараметрыОповещения);
```
</details>

## СоздатьИзменитьЗаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создание заказа на доставку в сервисе.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата  - Строка - адрес хранилища с результатом.
//
Процедура СоздатьИзменитьЗаказНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.СоздатьИзменитьЗаказНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ОформитьЗаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оформление заказа на доставку у грузоперевозчика.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ОформитьЗаказНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ОформитьЗаказНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьЗаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение заказа на доставку по идентификатору.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьЗаказНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьЗаказНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ОбновитьЗаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновление заказа на доставку по идентификатору.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ОбновитьЗаказНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ОбновитьЗаказНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ОтменитьЗаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмена заказа на доставку
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ОтменитьЗаказНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ОтменитьЗаказНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## СоздатьМультизаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создание заказа на доставку в сервисе.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата  - Строка - адрес хранилища с результатом.
//
Процедура СоздатьМультизаказНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.СоздатьМультизаказНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ДобавитьЗаказНаДоставкуВМультизаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавление заказа на доставку в мультизаказ.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для проверки запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ДобавитьЗаказНаДоставкуВМультизаказ(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ДобавитьЗаказНаДоставкуВМультизаказ(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ОформитьМультизаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оформление мультизаказа на доставку у грузоперевозчика.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ОформитьМультизаказНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ОформитьМультизаказНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьМультизаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение мультизаказа на доставку по идентификатору.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьМультизаказНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьМультизаказНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ОбновитьМультизаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновление мультизаказа на доставку по идентификатору.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ОбновитьМультизаказНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ОбновитьМультизаказНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ОтменитьМультизаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмена мультизаказа на доставку
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ОтменитьМультизаказНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ОтменитьМультизаказНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьЗаказыНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка заказов на доставку по отборам.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьЗаказыНаДоставку(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьЗаказыНаДоставку(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьГрафикДвиженияЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка строк графика заказа
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьГрафикДвиженияЗаказа(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьГрафикДвиженияЗаказа(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьГрафикДвиженияЗаказаПоТрекНомеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка строк графика заказа
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьГрафикДвиженияЗаказаПоТрекНомеру(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьГрафикДвиженияЗаказаПоТрекНомеру(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьДоступныеПечатныеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка доступных печатных форм для заказа на доставку.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьДоступныеПечатныеФормы(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьДоступныеПечатныеФормы(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьФайлыПечатныхФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка выбранных файлов печатных форм.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьФайлыПечатныхФорм(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьФайлыПечатныхФорм(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьТарифы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка доступных тарифов.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьТарифы(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьТарифы(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьТариф
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка доступных тарифов.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьТариф(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьТариф(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьСостояния
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка состояний заказов на доставку.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьСостояния(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьСостояния(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьТипыГрузоперевозки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка типов грузоперевозок сервиса.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьТипыГрузоперевозки(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьТипыГрузоперевозки(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьГрузоперевозчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка грузоперевозчиков сервиса.
//
// Параметры:
//  ПараметрыЗапроса - см. НовыйПараметрыЗапросаПолучитьГрузоперевозчиков
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьГрузоперевозчиков(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьГрузоперевозчиков(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьДанныеГрузоперевозчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение данных грузоперевозчика.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьДанныеГрузоперевозчика(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьДанныеГрузоперевозчика(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьПунктыВыдачиКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка грузоперевозчиков сервиса.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьПунктыВыдачиКлиента(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьПунктыВыдачиКлиента(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьСостояниеПодключенияОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить состояние подключения организации.
//
// Параметры:
//  ПараметрыЗапроса - Структура - Параметры запроса.
//  АдресРезультата - Строка - Адрес результата.
//
Процедура ПолучитьСостояниеПодключенияОрганизации(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьСостояниеПодключенияОрганизации(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ОтправитьЗапросНаПолучениеРегистрационныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправить запрос на получение регистрационных данных.
//
// Параметры:
//  ПараметрыЗапроса - Структура - Параметры запроса.
//  АдресРезультата - Строка - Адрес результата.
//
Процедура ОтправитьЗапросНаПолучениеРегистрационныхДанных(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ОтправитьЗапросНаПолучениеРегистрационныхДанных(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьУслугиТарифов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка услуг для тарифа.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьУслугиТарифов(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьУслугиТарифов(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьДанныеУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка услуг для тарифа.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьДанныеУслуги(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьДанныеУслуги(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьДоступныеТерминалы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение доступных терминалов по адресу и направлению.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьДоступныеТерминалы(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьДоступныеТерминалы(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьДанныеТерминала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение данных терминала.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьДанныеТерминала(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьДанныеТерминала(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьНастройкиАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение настроек авторизации.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьНастройкиАвторизации(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьНастройкиАвторизации(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ЗаписатьНастройкиАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запись настроек авторизации.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ЗаписатьНастройкиАвторизации(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ЗаписатьНастройкиАвторизации(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьДанныеПоТарифу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение данных по тарифу грузоперевозчика.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьДанныеПоТарифу(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьДанныеПоТарифу(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ТипГрузоперевозкиДоступен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка доступности указанного типа грузоперевозки
//
// Параметры:
//  ТипГрузоперевозки - Число - тип грузоперевозки.
//
// Возвращаемое значение:
//  Булево - доступность типа грузоперевозки.
//
Функция ТипГрузоперевозкиДоступен(ТипГрузоперевозки) Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.ТипГрузоперевозкиДоступен(ТипГрузоперевозки) 
```
</details>

## УстановитьТарифПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить тариф по умолчанию.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура УстановитьТарифПоУмолчанию(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.УстановитьТарифПоУмолчанию(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## СброситьТарифПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбросить тариф по умолчанию.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура СброситьТарифПоУмолчанию(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.СброситьТарифПоУмолчанию(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## СохранитьПараметрыТарифа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохранить параметры тарифа.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура СохранитьПараметрыТарифа(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.СохранитьПараметрыТарифа(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьДоступныеДляИзмененияРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка реквизитов возможных к редактированию.
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
Процедура ПолучитьДоступныеДляИзмененияРеквизиты(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьДоступныеДляИзмененияРеквизиты(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьНаложенныеПлатежи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение списка наложенных платежей.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса.
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьНаложенныеПлатежи(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьНаложенныеПлатежи(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## ПолучитьСостояниеОпцииКурьерика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение состояние опции Курьерика.
//
// Параметры:
//  ПараметрыЗапроса - Структура - параметры для формирования запроса:
//  * ОрганизацияБизнесСетиСсылка - СправочникСсылка.Организации - организация подключенная к бизнес сети
//  АдресРезультата	 - Строка - адрес хранилища с результатом.
//
Процедура ПолучитьСостояниеОпцииКурьерика(Знач ПараметрыЗапроса, Знач АдресРезультата) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПолучитьСостояниеОпцииКурьерика(ПараметрыЗапроса, АдресРезультата) 
```
</details>

## НовыйПараметрыЗапросаСоздатьИзменитьЗаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаСоздатьИзменитьЗаказНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаСоздатьИзменитьЗаказНаДоставку() 
```
</details>

## НовыйПараметрыЗапросаПолучитьЗаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьЗаказНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьЗаказНаДоставку() 
```
</details>

## НовыйПараметрыЗапросаОбновитьЗаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаОбновитьЗаказНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаОбновитьЗаказНаДоставку() 
```
</details>

## НовыйПараметрыЗапросаОтменитьЗаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаОтменитьЗаказНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаОтменитьЗаказНаДоставку() 
```
</details>

## НовыйПараметрыЗапросаОформитьЗаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаОформитьЗаказНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаОформитьЗаказНаДоставку() 
```
</details>

## НовыйПараметрыЗапросаПолучитьГрафикДвиженияЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьГрафикДвиженияЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьГрафикДвиженияЗаказа() 
```
</details>

## НовыйПараметрыЗапросаПолучитьГрафикДвиженияЗаказаПоТрекНомеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьГрафикДвиженияЗаказаПоТрекНомеру() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьГрафикДвиженияЗаказаПоТрекНомеру() 
```
</details>

## НовыйПараметрыЗапросаПолучитьДоступныеПечатныеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьДоступныеПечатныеФормы() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьДоступныеПечатныеФормы() 
```
</details>

## НовыйПараметрыЗапросаЗагрузитьФайлыПечатныхФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаЗагрузитьФайлыПечатныхФорм() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаЗагрузитьФайлыПечатныхФорм() 
```
</details>

## НовыйЭлементПараметровЗапросаЗагрузитьФайлыПечатныхФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйЭлементПараметровЗапросаЗагрузитьФайлыПечатныхФорм() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйЭлементПараметровЗапросаЗагрузитьФайлыПечатныхФорм() 
```
</details>

## НовыйПараметрыЗапросаСоздатьМультизаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаСоздатьМультизаказ() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаСоздатьМультизаказ() 
```
</details>

## НовыйПараметрыЗапросаДобавитьЗаказНаДоставкуВМультизаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаДобавитьЗаказНаДоставкуВМультизаказ() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаДобавитьЗаказНаДоставкуВМультизаказ() 
```
</details>

## НовыйПараметрыЗапросаПолучитьМультизаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьМультизаказНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьМультизаказНаДоставку() 
```
</details>

## НовыйПараметрыЗапросаОформитьМультизаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаОформитьМультизаказ() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаОформитьМультизаказ() 
```
</details>

## НовыйПараметрыЗапросаОбновитьМультизаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаОбновитьМультизаказНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаОбновитьМультизаказНаДоставку() 
```
</details>

## НовыйПараметрыЗапросаОтменитьМультизаказНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаОтменитьМультизаказНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаОтменитьМультизаказНаДоставку() 
```
</details>

## НовыйПараметрыЗапросаПолучитьСостояния
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьСостояния() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьСостояния() 
```
</details>

## НовыйПараметрыЗапросаПолучитьТипыГрузоперевозки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьТипыГрузоперевозки() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьТипыГрузоперевозки() 
```
</details>

## НовыйПараметрыЗапросаПолучитьГрузоперевозчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новый параметры запроса получить грузоперевозчиков.
//
// Возвращаемое значение:
//  Структура - Новый параметры запроса получить грузоперевозчиков. Содержит свойства:
//		* ОрганизацияБизнесСетиСсылка - Неопределено -
//		* ТипГрузоперевозки - Число -
//		* ГрузоперевозчикИНН - Строка -
//		* ГрузоперевозчикКПП - Строка -
//
Функция НовыйПараметрыЗапросаПолучитьГрузоперевозчиков() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьГрузоперевозчиков() 
```
</details>

## НовыйПараметрыЗапросаПолучитьПунктыВыдачиКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новый параметры запроса получить пункты выдачи клиента.
//
// Возвращаемое значение:
//  Структура - Новый параметры запроса получить пункты выдачи клиента. Содержит свойства:
//		* ОрганизацияБизнесСетиСсылка - Неопределено -
//		* ТипГрузоперевозки - Число -
//		* ТипЗагрузки - Число -
//
Функция НовыйПараметрыЗапросаПолучитьПунктыВыдачиКлиента() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьПунктыВыдачиКлиента() 
```
</details>

## НовыйПараметрыЗапросаУстановитьТарифПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новый параметры запроса установить тариф по умолчанию.
//
// Возвращаемое значение:
//  Структура - Новый параметры запроса установить тариф по умолчанию. Содержит свойства:
//		* ГрузоперевозчикИдентификатор - Строка -
//		* ТарифИдентификатор - Строка -
//		* ТипГрузоперевозки - Число -
//
Функция НовыйПараметрыЗапросаУстановитьТарифПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаУстановитьТарифПоУмолчанию() 
```
</details>

## НовыйПараметрыЗапросаПолучитьДанныеГрузоперевозчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьДанныеГрузоперевозчика() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьДанныеГрузоперевозчика() 
```
</details>

## НовыйПараметрыЗапросаПолучитьДанныеУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьДанныеУслуги() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьДанныеУслуги() 
```
</details>

## НовыйПараметрыЗапросаПолучитьДанныеТерминала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьДанныеТерминала() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьДанныеТерминала() 
```
</details>

## НовыйПараметрыЗапросаПолучитьТарифы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьТарифы() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьТарифы() 
```
</details>

## НовыйПараметрыЗапросаПолучитьУслугиТарифов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьУслугиТарифов() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьУслугиТарифов() 
```
</details>

## НовыйПараметрыЗапросаПолучитьДоступныеТерминалы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьДоступныеТерминалы() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьДоступныеТерминалы() 
```
</details>

## НовыйПараметрыЗапросаПолучитьДанныеПоТарифу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьДанныеПоТарифу() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьДанныеПоТарифу() 
```
</details>

## НовыйПараметрыЗапросаСохранитьПараметрыТарифа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаСохранитьПараметрыТарифа() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаСохранитьПараметрыТарифа() 
```
</details>

## НовыйПараметрыЗапросаПолучитьНастройкиАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьНастройкиАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьНастройкиАвторизации() 
```
</details>

## НовыйПараметрыЗапросаЗаписатьНастройкиАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаЗаписатьНастройкиАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаЗаписатьНастройкиАвторизации() 
```
</details>

## НовыйПараметрыЗапросаПолучитьЗаказыНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьЗаказыНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьЗаказыНаДоставку() 
```
</details>

## НовыйПечатнаяФормаДляЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПечатнаяФормаДляЗапроса() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПечатнаяФормаДляЗапроса() 
```
</details>

## НовыйПараметрыЗапросаПолучитьДоступныеДляИзмененияРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьДоступныеДляИзмененияРеквизиты() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьДоступныеДляИзмененияРеквизиты() 
```
</details>

## ПараметрыЗапросаПолучитьНаложенныеПлатежи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура -- параметры, необходимые для формирования запроса.
Функция ПараметрыЗапросаПолучитьНаложенныеПлатежи() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.ПараметрыЗапросаПолучитьНаложенныеПлатежи() 
```
</details>

## НовыйПараметрыЗапросаПолучитьСостояниеПодключенияОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаПолучитьСостояниеПодключенияОрганизации() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаПолучитьСостояниеПодключенияОрганизации() 
```
</details>

## НовыйПараметрыЗапросаОтправитьЗапросНаПолучениеРегистрационныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для запроса.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗапросаОтправитьЗапросНаПолучениеРегистрационныхДанных() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗапросаОтправитьЗапросНаПолучениеРегистрационныхДанных() 
```
</details>

## НовыйПараметрыОтветаПолучитьГрафикДвиженияЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для ответа на запрос.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыОтветаПолучитьГрафикДвиженияЗаказа() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыОтветаПолучитьГрафикДвиженияЗаказа() 
```
</details>

## НовыйПараметрыСтраницСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры объекта данных сервиса доставки.
//
// Параметры:
//  РазмерСтраницы - Число - количество строк на странице.
//  Страница	   - Число - номер текущей страницы.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыСтраницСервиса(РазмерСтраницы = 0, Страница = 0) Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыСтраницСервиса(РазмерСтраницы, Страница);
```
</details>

## НовыйПараметрыЗаказаНаДоставкуДляСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры объекта данных сервиса доставки.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗаказаНаДоставкуДляСписка() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗаказаНаДоставкуДляСписка() 
```
</details>

## НовыйПараметрыЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры объекта данных сервиса доставки.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыЗаказаНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыЗаказаНаДоставку() 
```
</details>

## НовыйПараметрыМультизаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры объекта данных сервиса доставки.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыМультизаказаНаДоставку() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыМультизаказаНаДоставку() 
```
</details>

## НовыйПараметрыУчастникаГрузоперевозки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры объекта данных сервиса доставки.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыУчастникаГрузоперевозки() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыУчастникаГрузоперевозки() 
```
</details>

## НовыйПараметрыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры объекта данных сервиса доставки.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса:
//  *Ссылка - СправочникСсылка,Неопределено -
//  *Наименование - Строка
//  *ЮрФизЛицо - Число
//  *ИНН - Строка
//  *КПП - Строка
//
Функция НовыйПараметрыКонтрагента() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыКонтрагента() 
```
</details>

## НовыйПараметрыКонтактногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры объекта данных сервиса доставки.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса:
//  *Ссылка - СправочникСсылка, Неопределено -
//  *Идентификатор - Строка
//  *Наименование - Строка
//  *Email - Строка
//  *Телефон - см. НовыйПараметрыТелефона
//  *ТелефонДополнительный - см. НовыйПараметрыТелефона
//  *СпособОпределенияКонтактногоЛица - Число
//
Функция НовыйПараметрыКонтактногоЛица() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыКонтактногоЛица() 
```
</details>

## НовыйПараметрыАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры объекта данных сервиса доставки.
//
// Параметры:
//  ТипАдреса - Строка - наименование типа адреса. Например: "АдресДоставки", "Юридический", "Фактический".
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыАдреса(ТипАдреса = "") Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыАдреса(ТипАдреса);
```
</details>

## НовыйПараметрыСвойстваУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры объекта данных сервиса доставки.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция НовыйПараметрыСвойстваУслуги() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыСвойстваУслуги() 
```
</details>

## ПараметрыОрганизацииБизнесСетиДляПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры организации для подключения к 1С:Бизнес-сеть.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для формирования запроса.
//
Функция ПараметрыОрганизацииБизнесСетиДляПодключения() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.ПараметрыОрганизацииБизнесСетиДляПодключения() 
```
</details>

## НовыйПараметрыПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры наложенного платежа.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для платежа.
//
Функция НовыйПараметрыПлатежа() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.НовыйПараметрыПлатежа() 
```
</details>

## ПараметрыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую значения параметров по умолчанию для работы с 1С:Доставка, прочитанные из информационной базы по
// наименованиям параметров.
//
// Параметры:
//  ТипГрузоперевозки - Число - 1 - Сборный груз, 2 - Курьерская доставка, 3 - Курьерика
//  Параметры - Строка - имена параметров, перечисленные через запятую, в формате
//                       требований к свойствам структуры.
//                       Например, "ВесЕдиницыТовара, ШиринаЕдиницыТовара".
//            - Массив, ФиксированныйМассив - имена параметров в формате требований
//                       к свойствам структуры.
//
// Возвращаемое значение:
//  Структура - содержит имена (ключи) и значения затребованных параметров:
//    * ОрганизацияБизнесСети - ОпределяемыйТип.ОрганизацияСервисДоставки - организации, подключенная к 1С:БизнесСеть.
//    * ВесЕдиницыТовара      - Число - вес единицы товара в килограммах.
//    * ДлинаЕдиницыТовара    - Число - размер единицы товара в сантиметрах.
//    * ШиринаЕдиницыТовара   - Число - размер единицы товара в сантиметрах.
//    * ВысотаЕдиницыТовара   - Число - размер единицы товара в сантиметрах.
//    * ВесГрузовогоМеста     - Число - вес грузового места в килограммах.
//    * ДлинаГрузовогоМеста   - Число - размер грузового места в сантиметрах.
//    * ШиринаГрузовогоМеста  - Число - размер грузового места в сантиметрах.
//    * ВысотаГрузовогоМеста  - Число - размер грузового места в сантиметрах.
//
Функция ПараметрыПоУмолчанию(ТипГрузоперевозки, Параметры = "") Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.ПараметрыПоУмолчанию(ТипГрузоперевозки, Параметры);
```
</details>

## ПравоРаботыССервисомДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность работы в сервисе 1С:Доставка для текущего пользователя.
//
// Параметры:
//  ВыводитьСообщение - Булево - признак необходимости вывода сообщения о недостаточности прав.
//
// Возвращаемое значение:
//  Булево - наличие права.
//
Функция ПравоРаботыССервисомДоставки(ВыводитьСообщение = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.ПравоРаботыССервисомДоставки(ВыводитьСообщение);
```
</details>

## ПравоОтправкиЗаказовНаДоставкуПеревозчику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность отправки заказов перевозчику в сервисе 1С:Доставка для текущего пользователя.
//
// Параметры:
//  ВыводитьСообщение - Булево - признак необходимости вывода сообщения о недостаточности прав.
//
// Возвращаемое значение:
//  Булево - наличие права.
//
Функция ПравоОтправкиЗаказовНаДоставкуПеревозчику(ВыводитьСообщение = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.ПравоОтправкиЗаказовНаДоставкуПеревозчику(ВыводитьСообщение);
```
</details>

## ЗаполнитьАдресПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность работы в сервисе 1С:Доставка для текущего пользователя.
//
// Параметры:
//  Параметры - Структура - см. НовыйПараметрыАдреса().
//
Процедура ЗаполнитьАдресПоПараметрам(Параметры) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ЗаполнитьАдресПоПараметрам(Параметры) 
```
</details>

## ИспользуетсяРегламентЗагрузкиНаложенныхПлатежей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак возможности использовать регламентное задание.
//
// Возвращаемое значение:
//  Булево - признак использования.
//
Функция ИспользуетсяРегламентЗагрузкиНаложенныхПлатежей() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.ИспользуетсяРегламентЗагрузкиНаложенныхПлатежей() 
```
</details>

## ИспользуютсяНаложенныеПлатежи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак возможности использовать регламентное задание.
//
// Возвращаемое значение:
//  Булево - признак использования.
//
Функция ИспользуютсяНаложенныеПлатежи() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.ИспользуютсяНаложенныеПлатежи() 
```
</details>

## ЗаполнитьПараметрыКонтактногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры телефона контактной информацией по владельцу, указанному в Параметры.
//
// Параметры:
//  Параметры - см. НовыйПараметрыКонтактногоЛица
//  ЗаполняемыеТипыКонтактнойИнформации - Массив из ПеречислениеСсылка.ТипыКонтактнойИнформации, Неопределено -
//  	Если Неопределено, то заполняются все типы контактной информации (телефон, e-mail)
//
Процедура ЗаполнитьПараметрыКонтактногоЛица(Параметры, ЗаполняемыеТипыКонтактнойИнформации = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ЗаполнитьПараметрыКонтактногоЛица(Параметры, ЗаполняемыеТипыКонтактнойИнформации);
```
</details>

## ДокументыОснованияСписок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Формирует таблицу значений с данными по основаниям.
//
// Параметры:
//  Основания - Массив - Ссылки на документы основания.
//
// Возвращаемое значение:
//  ТаблицаЗначений - имеет колонки:
//    * Ссылка - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки - ссылка на документ основание.
//    * СуммаДокумента - Число - сумма документа.
//    * Валюта - СправочникСсылка.Валюты - валюта документа основания.
//    * Отправитель - ОпределяемыйТип.УчастникГрузоперевозкиСервисДоставки - отправитель.
//    * Получатель - ОпределяемыйТип.УчастникГрузоперевозкиСервисДоставки - получатель.
//    * ОтправительАдрес - Строка - буквенный код по классификатору.
//    * ПолучательАдрес - Строка - буквенный код по классификатору.
//    * ДатаОтгрузки - Дата - дата отгрузки.
//    * СпособОтгрузки - Число - числовой код из списка: 0 - не определен, 1 - от терминала, 2 - от адреса.
//    * СпособДоставки - Число - числовой код из списка: 0 - не определен, 1 - до терминала, 2 - до адреса.
//
Функция ДокументыОснованияСписок(Основания) Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставки.ДокументыОснованияСписок(Основания) 
```
</details>

## ПроверитьНаличиеШаблонаДоставкиПоОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие шаблона доставки по параметрам заказа, и в случае, если находит шаблон,
// переопределяет открываемую форму заказа на доставку, заполняет параметры заказа значениями
// из найденного шаблона.
//
// Параметры:
//  ИмяФормы - Строка - имя открываемой формы заказа на доставку;
//  ПараметрыЗаказа - Структура - структура, содержащая параметры заказа на доставку.
//
Процедура ПроверитьНаличиеШаблонаДоставкиПоОснованию(ИмяФормы, ПараметрыЗаказа) Экспорт
```

Пример вызова
```bsl
СервисДоставки.ПроверитьНаличиеШаблонаДоставкиПоОснованию(ИмяФормы, ПараметрыЗаказа) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
