---
title: Сервис доставки клиент
slug: erp-uh/сервис-доставки-клиент
---


## ОткрытьФормуСпискаЗаказовНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму списка заказов из обработки "СервисДоставки".
//
// Параметры:
//  Параметры - Структура - структура с ключами:
//    * ДокументОснование - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки - ссылка на документ основание.
//    * Отправитель - ОпределяемыйТип.УчастникГрузоперевозкиСервисДоставки - отправитель груза.
//    * Получатель - ОпределяемыйТип.УчастникГрузоперевозкиСервисДоставки - получатель груза.
//    * РежимВыбора - Булево - Режим выбора таблицы формы.
//    * ОбработкаВыбора - Строка - Имя процедуры обработки выбора строки в форме выбора.
//      В форме уже есть библиотечная процедура обработки выбора -
//      "СервисДоставкиКлиентСервер.ИмяПроцедурыДобавитьДокументОснованиеВВыбранныйЗаказНаДоставку()".
//      Можно указать свою, тогда при выборе строки заказа в переопределяемую процедуру
//      "ОбработатьРезультатВыбораЗаказаНаДоставку" будет передано имя этой процедуры.
//
Процедура ОткрытьФормуСпискаЗаказовНаДоставку(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиКлиент.ОткрытьФормуСпискаЗаказовНаДоставку(Параметры);
```
</details>

## ОткрытьФормуОтслеживанияЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму отслеживания заказов из обработки "СервисДоставки".
//
// Параметры:
//  Параметры - Структура - структура параметров открытия формы.
//
Процедура ОткрытьФормуОтслеживанияЗаказа(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиКлиент.ОткрытьФормуОтслеживанияЗаказа(Параметры);
```
</details>

## ОткрытьФормуКарточкиЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму карточки заказа на доставку из обработки "СервисДоставки".
//
// Параметры:
//  Параметры - см. СервисДоставки.НовыйПараметрыЗаказаНаДоставку
//
Процедура ОткрытьФормуКарточкиЗаказаНаДоставку(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиКлиент.ОткрытьФормуКарточкиЗаказаНаДоставку(Параметры);
```
</details>

## ОткрытьФормуКарточкиМультизаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму карточки заказа на доставку из обработки "СервисДоставки".
//
// Параметры:
//  Параметры - см. СервисДоставки.НовыйПараметрыЗаказаНаДоставку
//
Процедура ОткрытьФормуКарточкиМультизаказаНаДоставку(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиКлиент.ОткрытьФормуКарточкиМультизаказаНаДоставку(Параметры);
```
</details>

## ОткрытьФормуДоступныхПеревозчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму доступных грузоперевозчиков из обработки "СервисДоставки".
//
// Параметры:
//  Параметры - Структура - структура параметров открытия формы.
//
Процедура ОткрытьФормуДоступныхПеревозчиков(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиКлиент.ОткрытьФормуДоступныхПеревозчиков(Параметры);
```
</details>

## ОткрытьФормуНастройкиСозданиеПлатежныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настроек, если требуется
//
Процедура ОткрытьФормуНастройкиСозданиеПлатежныхДокументов() Экспорт
```

Пример вызова
```bsl
СервисДоставкиКлиент.ОткрытьФормуНастройкиСозданиеПлатежныхДокументов() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
