---
title: Сервис доставки клиент сервер
slug: erp-uh/сервис-доставки-клиент-сервер
---


## ЗаполнитьСтруктуруПоЛинейнымДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет многоуровневую структуру данными из одноуровневой структуры.
//
// Параметры:
//  Параметры         - Структура - многоуровневая структура, получатель данных.
//  Данные            - Структура, СтрокаТаблицыЗначений - одноуровневая структура данных, источник данных.
//  ОписаниеДанных    - Массив из Строка - имена колонок строки таблицы значений, для структуры данный параметр игнорируется.
//  Префикс           - Строка - префикс данных источника.
//
Процедура ЗаполнитьСтруктуруПоЛинейнымДанным(Параметры, Данные, ОписаниеДанных = Неопределено, Префикс = "") Экспорт
```

Пример вызова
```bsl
СервисДоставкиКлиентСервер.ЗаполнитьСтруктуруПоЛинейнымДанным(Параметры, Данные, ОписаниеДанных, Префикс);
```
</details>

## ЗаполнитьЛинейныеДанныеПоСтруктуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет многоуровневую структуру данными из одноуровневой структуры.
//
// Параметры:
//  Параметры            - Структура - многоуровневая структура, источник данных.
//  Данные         - Структура - одноуровневая структура данных, получатель данных.
//  Префикс           - Строка - префикс данных получателя.
//
Процедура ЗаполнитьЛинейныеДанныеПоСтруктуре(Параметры, Данные, Префикс = "") Экспорт
```

Пример вызова
```bsl
СервисДоставкиКлиентСервер.ЗаполнитьЛинейныеДанныеПоСтруктуре(Параметры, Данные, Префикс);
```
</details>

## ТипГрузоперевозкиСервис1СДоставка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор типа грузоперевозки.
// Возвращаемое значение:
//	Число - значение типа грузоперевозки
//
Функция ТипГрузоперевозкиСервис1СДоставка() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставкиКлиентСервер.ТипГрузоперевозкиСервис1СДоставка() 
```
</details>

## ТипГрузоперевозкиСервис1СКурьер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор типа грузоперевозки.
// Возвращаемое значение:
//	Число - значение типа грузоперевозки
//
Функция ТипГрузоперевозкиСервис1СКурьер() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставкиКлиентСервер.ТипГрузоперевозкиСервис1СКурьер() 
```
</details>

## ТипГрузоперевозкиСервис1СКурьерика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор типа грузоперевозки.
// Возвращаемое значение:
//	Число - значение типа грузоперевозки
//
Функция ТипГрузоперевозкиСервис1СКурьерика() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставкиКлиентСервер.ТипГрузоперевозкиСервис1СКурьерика() 
```
</details>

## ТипыДокументовОснованийКурьерика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив типов документов, используемых в качестве оснований для заказов на доставку
// сервиса Курьерика.
//
// Возвращаемое значение:
//	Массив Из Тип - массив типов документов.
//
Функция ТипыДокументовОснованийКурьерика() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставкиКлиентСервер.ТипыДокументовОснованийКурьерика() 
```
</details>

## ПредставлениеТипаГрузоперевозки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление сервиса по идентификатору типа грузоперевозки.
// Параметры:
//	ИдентификаторТипаГрузоперевозки - Число - идентификатор типа грузоперевозки.
//
// Возвращаемое значение:
//	Строка - представление типа грузоперевозки.
//
Функция ПредставлениеТипаГрузоперевозки(ИдентификаторТипаГрузоперевозки) Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставкиКлиентСервер.ПредставлениеТипаГрузоперевозки(ИдентификаторТипаГрузоперевозки) 
```
</details>

## АдресСтраницыЗаказаНаДоставку1СКурьерика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на web-страницу заказа 1С-Курьерика по переданному трек-номеру.
// Параметры:
//	ТрекНомер - Строка - трек-номер заказа.
//
// Возвращаемое значение:
//	Строка - адрес web-страницы заказа.
//
Функция АдресСтраницыЗаказаНаДоставку1СКурьерика(ТрекНомер) Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставкиКлиентСервер.АдресСтраницыЗаказаНаДоставку1СКурьерика(ТрекНомер) 
```
</details>

## АдресСтраницыОпцияКурьерика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на web-страницу настройки опции 1С-Курьерика.
// Возвращаемое значение:
//	Строка - адрес web-страницы настройки опции.
//
Функция АдресСтраницыОпцияКурьерика() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставкиКлиентСервер.АдресСтраницыОпцияКурьерика() 
```
</details>

## ВариантыВремениОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Варианты времени отгрузки.
//
// Возвращаемое значение:
//  Структура - Варианты времени отгрузки. Содержит свойства:
//		* КакМожноСкорее - Число - устанавливается в 0
//		* ВОпределенноеВремя - Число - устанавливается в 1
//		* ВТечениеДня - Число - устанавливается в 2
//
Функция ВариантыВремениОтгрузки() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставкиКлиентСервер.ВариантыВремениОтгрузки() 
```
</details>

## СписокВариантовВремениОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Варианты времени отгрузки списком.
//
// Возвращаемое значение:
//  СписокЗначений из Строка - Список вариантов времени отгрузки
Функция СписокВариантовВремениОтгрузки() Экспорт
```

Пример вызова
```bsl
Результат = СервисДоставкиКлиентСервер.СписокВариантовВремениОтгрузки() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
