---
title: Сервис доставки переопределяемый
slug: erp-uh/сервис-доставки-переопределяемый
---


## ЗаполнитьПараметрыОтбораАдресаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры отбора для формы выбора адреса организации.
//
// Параметры:
//  ПараметрыОтбора - Структура - параметры отбора для формы выбора.
//  Организация     - ОпределяемыйТип.ОрганизацияСервисДоставки - ссылка на организацию.
//
Процедура ЗаполнитьПараметрыОтбораАдресаОрганизации(ПараметрыОтбора, Организация) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьПараметрыОтбораАдресаОрганизации(ПараметрыОтбора, Организация) 
```
</details>

## ЗаполнитьПараметрыОтбораАдресаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры отбора для формы выбора адреса контрагента.
//
// Параметры:
//  ПараметрыОтбора - Структура - параметры отбора для формы выбора.
//  Контрагент      - ОпределяемыйТип.КонтрагентСервисДоставки - ссылка на контрагента.
//
Процедура ЗаполнитьПараметрыОтбораАдресаКонтрагента(ПараметрыОтбора, Контрагент) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьПараметрыОтбораАдресаКонтрагента(ПараметрыОтбора, Контрагент) 
```
</details>

## ЗаполнитьПараметрыОтбораКонтактногоЛицаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры отбора для формы выбора контактного лица организации.
//
// Параметры:
//  ПараметрыОтбора - Структура - параметры отбора для формы выбора.
//  Организация     - ОпределяемыйТип.ОрганизацияСервисДоставки - ссылка на организацию.
//
Процедура ЗаполнитьПараметрыОтбораКонтактногоЛицаОрганизации(ПараметрыОтбора, Организация) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьПараметрыОтбораКонтактногоЛицаОрганизации(ПараметрыОтбора, Организация) 
```
</details>

## ЗаполнитьПараметрыОтбораКонтактногоЛицаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры отбора для формы выбора контактного лица контрагента.
//
// Параметры:
//  ПараметрыОтбора - Структура - параметры отбора для формы выбора.
//  Контрагент      - ОпределяемыйТип.КонтрагентСервисДоставки - ссылка на контрагента.
//
Процедура ЗаполнитьПараметрыОтбораКонтактногоЛицаКонтрагента(ПараметрыОтбора, Контрагент) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьПараметрыОтбораКонтактногоЛицаКонтрагента(ПараметрыОтбора, Контрагент) 
```
</details>

## ЗаполнитьВалютуОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить валюту организации.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - организация.
//  Валюта - СправочникСсылка.Валюты - валюта организации.
Процедура ЗаполнитьВалютуОрганизации(Организация, Валюта) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьВалютуОрганизации(Организация, Валюта) 
```
</details>

## ЗаполнитьПараметрыЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры заказа на доставку данными из объекта-основания заказа.
//
// Параметры:
//  Параметры - см. СервисДоставки.НовыйПараметрыЗаказаНаДоставку
//
Процедура ЗаполнитьПараметрыЗаказаНаДоставку(Параметры) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьПараметрыЗаказаНаДоставку(Параметры) 
```
</details>

## ЗаполнитьПараметрыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры контрагента данными по ссылке, указанной в Параметры.
//
// Параметры:
//  Параметры - см. СервисДоставки.НовыйПараметрыКонтрагента
//
Процедура ЗаполнитьПараметрыКонтрагента(Параметры) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьПараметрыКонтрагента(Параметры) 
```
</details>

## ЗаполнитьПараметрыКонтактногоЛицаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры контактного лица данными по ссылке, указанной в Параметры.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма настроек, в которой необходимо заполнить контактное лицо.
//  Параметры - см. СервисДоставки.НовыйПараметрыКонтактногоЛица
//
Процедура ЗаполнитьПараметрыКонтактногоЛицаПоУмолчанию(Форма, Параметры) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьПараметрыКонтактногоЛицаПоУмолчанию(Форма, Параметры) 
```
</details>

## СкорректироватьНаименованиеВидаТелефона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет текст наименования вида телефона для заголовка перед номером телефона.
//
// Параметры:
//  ЗначениеПредставления - Строка - представление названия телефона.
//  ВидКонтактнойИнформации - ПеречислениеСсылка.ТипыКонтактнойИнформации - тип контактной информации.
//
Процедура СкорректироватьНаименованиеВидаТелефона(ЗначениеПредставления, Знач ВидКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.СкорректироватьНаименованиеВидаТелефона(ЗначениеПредставления, ВидКонтактнойИнформации) 
```
</details>

## ЗаполнитьПараметрыВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры валюты.
//
// Параметры:
//  Параметры - см. СервисДоставки.НовыйПараметрыВалюты
//
Процедура ЗаполнитьПараметрыВалюты(Параметры) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьПараметрыВалюты(Параметры) 
```
</details>

## ЗаполнитьДокументыОснованияСписок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу данными документов.
//
// Параметры:
//  ОснованияСписок - см. СервисДоставки.ДокументыОснованияСписок
//
Процедура ЗаполнитьДокументыОснованияСписок(ОснованияСписок) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьДокументыОснованияСписок(ОснованияСписок) 
```
</details>

## ЗаполнитьСоответствиеСтавокНДСИзСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие ставок НДС.
//
// Параметры:
//  СтавкиНДС - см. СервисДоставкиПовтИсп.СоответствиеСтавокНДСИзСервиса
//
Процедура ЗаполнитьСоответствиеСтавокНДСИзСервиса(СтавкиНДС) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьСоответствиеСтавокНДСИзСервиса(СтавкиНДС) 
```
</details>

## ПолучитьЗначениеВидаКонтактнойИнформацииДляАдресаПоВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вид контактной информации для адреса по переданному владельцу.
//
// Параметры:
//  Владелец  - СправочникСсылка, ДокументСсылка - владелец адреса.
//  ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации - вид контактной информации.
//  ТипАдреса - Строка - тип адреса, доступны: АдресДоставки, Юридический, Фактический.
//
Процедура ПолучитьЗначениеВидаКонтактнойИнформацииДляАдресаПоВладельцу(Владелец, ВидКонтактнойИнформации, ТипАдреса = "АдресДоставки") Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ПолучитьЗначениеВидаКонтактнойИнформацииДляАдресаПоВладельцу(Владелец, ВидКонтактнойИнформации, ТипАдреса);
```
</details>

## ПолучитьЗначениеВидаКонтактнойИнформацииДляАдресаДоставкиСкладаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вид контактной информации для адреса доставки организации.
//
// Параметры:
//  ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации,Неопределено - вид контактной информации.
//
Процедура ПолучитьЗначениеВидаКонтактнойИнформацииДляАдресаДоставкиСкладаОрганизации(ВидКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ПолучитьЗначениеВидаКонтактнойИнформацииДляАдресаДоставкиСкладаОрганизации(ВидКонтактнойИнформации) 
```
</details>

## ПолучитьЗначениеВидаКонтактнойИнформацииДляЮридическогоАдресаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вид контактной информации для юридического адреса организации.
//
// Параметры:
//  ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации,Неопределено - вид контактной информации.
//
Процедура ПолучитьЗначениеВидаКонтактнойИнформацииДляЮридическогоАдресаОрганизации(ВидКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ПолучитьЗначениеВидаКонтактнойИнформацииДляЮридическогоАдресаОрганизации(ВидКонтактнойИнформации) 
```
</details>

## ПолучитьЗначениеВидаКонтактнойИнформацииДляАдресаДоставкиСкладаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вид контактной информации для адреса доставки контрагента.
//
// Параметры:
//  ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации,Неопределено - вид контактной информации.
//
Процедура ПолучитьЗначениеВидаКонтактнойИнформацииДляАдресаДоставкиСкладаКонтрагента(ВидКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ПолучитьЗначениеВидаКонтактнойИнформацииДляАдресаДоставкиСкладаКонтрагента(ВидКонтактнойИнформации) 
```
</details>

## ПолучитьЗначениеВидаКонтактнойИнформацииДляЮридическогоАдресаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вид контактной информации для юридического адреса доставки.
//
// Параметры:
//  ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации,Неопределено - вид контактной информации.
//
Процедура ПолучитьЗначениеВидаКонтактнойИнформацииДляЮридическогоАдресаКонтрагента(ВидКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ПолучитьЗначениеВидаКонтактнойИнформацииДляЮридическогоАдресаКонтрагента(ВидКонтактнойИнформации) 
```
</details>

## ПолучитьЗначениеВидаКонтактнойИнформацииДляТелефонаКонтактногоЛицаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вид контактной информации для телефона контактного лица контрагента.
//
// Параметры:
//  ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации,Неопределено - вид контактной информации.
//
Процедура ПолучитьЗначениеВидаКонтактнойИнформацииДляТелефонаКонтактногоЛицаКонтрагента(ВидКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ПолучитьЗначениеВидаКонтактнойИнформацииДляТелефонаКонтактногоЛицаКонтрагента(ВидКонтактнойИнформации) 
```
</details>

## ПолучитьЗначениеВидаКонтактнойИнформацииДляТелефонаКонтактногоЛицаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вид контактной информации для телефона контактного лица организации.
//
// Параметры:
//  ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации,Неопределено - вид контактной информации.
//
Процедура ПолучитьЗначениеВидаКонтактнойИнформацииДляТелефонаКонтактногоЛицаОрганизации(ВидКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ПолучитьЗначениеВидаКонтактнойИнформацииДляТелефонаКонтактногоЛицаОрганизации(ВидКонтактнойИнформации) 
```
</details>

## ПолучитьЗначениеВидаКонтактнойИнформацииДляФактическогоАдресаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вид контактной информации для юридического адреса доставки.
//
// Параметры:
//  ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации,Неопределено - вид контактной информации.
//
Процедура ПолучитьЗначениеВидаКонтактнойИнформацииДляФактическогоАдресаКонтрагента(ВидКонтактнойИнформации) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ПолучитьЗначениеВидаКонтактнойИнформацииДляФактическогоАдресаКонтрагента(ВидКонтактнойИнформации) 
```
</details>

## ЛимитВремениОбработкиПачкиПлатежей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ограничение длительности обработки одной пачки платежей (в секундах)
// Параметры:
//	Лимит - Число - количество секунд(возвращаемое значение)
Процедура ЛимитВремениОбработкиПачкиПлатежей(Лимит) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЛимитВремениОбработкиПачкиПлатежей(Лимит) 
```
</details>

## ИспользоватьНаложенныеПлатежи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разрешение на использование наложенных платежей.
// Параметры:
//  ИспользоватьНаложенныеПлатежи - Булево - Параметр, который нужно заполнить.
//
Процедура ИспользоватьНаложенныеПлатежи(ИспользоватьНаложенныеПлатежи) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ИспользоватьНаложенныеПлатежи(ИспользоватьНаложенныеПлатежи) 
```
</details>

## ИспользоватьРегламентЗагрузкиНаложенныхПлатежей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разрешение на загрузку наложенных платежей регламентным заданием.
//
// Параметры:
//  Признак - Булево - Параметр, который нужно заполнить.
//
Процедура ИспользоватьРегламентЗагрузкиНаложенныхПлатежей(Признак) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ИспользоватьРегламентЗагрузкиНаложенныхПлатежей(Признак) 
```
</details>

## ОбработатьДанныеНаложенногоПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработать данные наложенного платежа: создать платеж, подтвердить обработку.
//
// Параметры:
//  АтрибутыПлатежа - см. СервисДоставки.НовыйДанныеНаложенногоПлатежа
//  Обработано - Булево - признак корректной обработки (возвращаемое значение)
//  ТекстОшибки - Строка - текст ошибки (возвращаемое значение), будет помещен в журнал регистрации
//
Процедура ОбработатьДанныеНаложенногоПлатежа(Знач АтрибутыПлатежа, Обработано, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьДанныеНаложенногоПлатежа(АтрибутыПлатежа, Обработано, ТекстОшибки);
```
</details>

## ВозможнаДоставкаНаложеннымПлатежом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, есть ли у переданной организации договор эквайринга с оператором доставки.
// Параметры:
//	Организация - СправочникСсылка.Организации
//	Перевозчик - ОпределяемыйТип.КонтрагентСервисДоставки, Неопределено - незаполненное значение параметра
//						означает наличие хотя бы одного перевозчика с договором эквайринга.
//	Результат - Булево - возможна доставка наложенным платежом.
Процедура ВозможнаДоставкаНаложеннымПлатежом(Знач Организация, Знач Перевозчик, Результат) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ВозможнаДоставкаНаложеннымПлатежом(Организация, Перевозчик, Результат) 
```
</details>

## ЗаполнитьСписокВыбораСпособаОпределенияКонтактногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список выбора способов определения реквизита заказа на доставку для общих настроек.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма настроек, в которой необходимо заполнить список выбора.
//
Процедура ЗаполнитьСписокВыбораСпособаОпределенияКонтактногоЛица(Форма) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьСписокВыбораСпособаОпределенияКонтактногоЛица(Форма) 
```
</details>

## УстановитьДоступностьНастройкиСервисаДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение доступности функционала доставки в прикладном решении.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма панели настроек, в которой необходимо установить доступность.
//
Процедура УстановитьДоступностьНастройкиСервисаДоставки(Форма) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.УстановитьДоступностьНастройкиСервисаДоставки(Форма) 
```
</details>

## ДобавитьКомандуСоздатьНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавление команды поиска торговых предложений в формах.
//
// Параметры:
//  КомандыСозданияНаОсновании - ТаблицаЗначений - состав полей см. в функции ВводНаОсновании.СоздатьКоллекциюКомандСоздатьНаОсновании.
//
Процедура ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка создания библиотечной формы.
//
// Параметры:
//  Форма - Форма - создаваемая управляемая форма;
//  Отказ - Булево - флаг отказа от создания формы;
//  СтандартнаяОбработка - Булево - флаг стандартной обработки формы.
//
Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ОпределитьПараметрыЗаказаФормаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет шаблон формы оплаты для параметров заказа на доставку.
// Например, когда Форма оплаты определена перечислением "ФормыОплаты":
//    Если ФормаОплаты = Перечисления.ФормыОплаты.Наличная Тогда
//      СвойстваФормыОплаты.Вставить("ФормаОплаты", 2);
//      СвойстваФормыОплаты.Вставить("ФормаОплатыПредставление", НСтр("ru='Наличная'"));
//    Иначе
//      СвойстваФормыОплаты.Вставить("ФормаОплаты", 1);
//      СвойстваФормыОплаты.Вставить("ФормаОплатыПредставление", НСтр("ru='Безналичная'"));
//    КонецЕсли;.
//
// Параметры:
//  ФормаОплаты - ОпределяемыйТип.ФормаОплатыСервисДоставки - форма оплаты заказа на доставку;
//  СвойстваФормыОплаты - Структура - содержит:
//    ФормаОплаты - Число - 1 - безналичная, 2 - наличная, по умолчанию 2;
//    ФормаОплатыПредставление - Строка - "Безналичная", "Наличная", по умолчанию "Наличная".
//
Процедура ОпределитьПараметрыЗаказаФормаОплаты(ФормаОплаты, СвойстваФормыОплаты) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОпределитьПараметрыЗаказаФормаОплаты(ФормаОплаты, СвойстваФормыОплаты) 
```
</details>

## ПроверитьДоступностьСервисаДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет можно ли использовать сервис доставки в текущей конфигурации.
//
// Параметры:
//  Результат - Булево - Признак возможности использовать сервис доставки.
//
Процедура ПроверитьДоступностьСервисаДоставки(Результат) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ПроверитьДоступностьСервисаДоставки(Результат) 
```
</details>

## ОбработатьЗапросПолученияУчастникаГрузоперевозкиПоИННиКПП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Адаптирует текст запроса к базе данных для получения контрагента или организации.
//
// Параметры:
//  ТекстЗапроса - Строка - текст запроса, который требуется адаптировать для текущей конфигурации (основная таблица уже есть в запросе);
//  ТипДанных - Тип - тип данных к таблице которых будет выполнен запрос.
//
Процедура ОбработатьЗапросПолученияУчастникаГрузоперевозкиПоИННиКПП(ТекстЗапроса, ТипДанных) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьЗапросПолученияУчастникаГрузоперевозкиПоИННиКПП(ТекстЗапроса, ТипДанных) 
```
</details>

## ЗаполнитьДанныеПоВзаиморасчетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить данные по взаиморасчетам.
//
// Параметры:
//  СтруктураВзаиморасчетов - см. СервисДоставки.НовыйСтруктураВзаиморасчетовПоДокументу
//  ДокументСсылка - Неопределено, ДокументСсылка - Документ на оснвоании которого необходимо заполнить данные
Процедура ЗаполнитьДанныеПоВзаиморасчетам(СтруктураВзаиморасчетов, ДокументСсылка = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьДанныеПоВзаиморасчетам(СтруктураВзаиморасчетов, ДокументСсылка);
```
</details>

## ОбработатьРезультатЗапросаСозданияИзмененияЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат создания и изменения заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//  ДокументыОснования - СписокЗначений из ДокументСсылка, Неопределено - список документов оснований заказа на доставку
//                                        (значение - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки).
//
Процедура ОбработатьРезультатЗапросаСозданияИзмененияЗаказаНаДоставку(Результат, ДокументыОснования = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаСозданияИзмененияЗаказаНаДоставку(Результат, ДокументыОснования);
```
</details>

## ОбработатьРезультатЗапросаОформленияЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат оформления заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//  ДокументыОснования - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки, Неопределено - документ, основание заказа на доставку.
//
Процедура ОбработатьРезультатЗапросаОформленияЗаказаНаДоставку(Результат, ДокументыОснования = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаОформленияЗаказаНаДоставку(Результат, ДокументыОснования);
```
</details>

## ОбработатьРезультатЗапросаОтменыЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат отмены заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//  ДокументыОснования - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки, Неопределено - документ, основание заказа на доставку.
//
Процедура ОбработатьРезультатЗапросаОтменыЗаказаНаДоставку(Результат, ДокументыОснования = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаОтменыЗаказаНаДоставку(Результат, ДокументыОснования);
```
</details>

## ОбработатьРезультатЗапросаОбновленияЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат обновления заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//  ДокументыОснования - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки, Неопределено - документ, основание заказа на доставку.
//
Процедура ОбработатьРезультатЗапросаОбновленияЗаказаНаДоставку(Результат, ДокументыОснования = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаОбновленияЗаказаНаДоставку(Результат, ДокументыОснования);
```
</details>

## ОбработатьРезультатСостоянияЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат запроса состояния заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  ИнформацияОЗаказе - Структура - содержит информацию о состоянии заказа в сервисе;
//
Процедура ОбработатьРезультатСостоянияЗаказаНаДоставку(ИнформацияОЗаказе) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатСостоянияЗаказаНаДоставку(ИнформацияОЗаказе) 
```
</details>

## ОбработатьРезультатЗапросаПолученияЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат получения заказа на доставку из сервиса 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//  ДокументыОснования - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки, Неопределено - документ, основание заказа на доставку.
//
Процедура ОбработатьРезультатЗапросаПолученияЗаказаНаДоставку(Результат, ДокументыОснования = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаПолученияЗаказаНаДоставку(Результат, ДокументыОснования);
```
</details>

## ОбработатьРезультатЗапросаОтменыМультизаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат отмены заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//
Процедура ОбработатьРезультатЗапросаОтменыМультизаказаНаДоставку(Результат) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаОтменыМультизаказаНаДоставку(Результат) 
```
</details>

## ОбработатьРезультатЗапросаОбновленияМультизаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Обрабатывает результат обновления заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//
Процедура ОбработатьРезультатЗапросаОбновленияМультизаказаНаДоставку(Результат) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаОбновленияМультизаказаНаДоставку(Результат) 
```
</details>

## ОбработатьРезультатЗапросаПолученияМультизаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат получения заказа на доставку из сервиса 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//
Процедура ОбработатьРезультатЗапросаПолученияМультизаказаНаДоставку(Результат) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаПолученияМультизаказаНаДоставку(Результат) 
```
</details>

## ОбработатьРезультатСозданияЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Устарела. Следует использовать СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаСозданияИзмененияЗаказаНаДоставку.
// Обрабатывает результат создания заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//  ДокументОснование - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки, Неопределено - документ, основание заказа на доставку.
//
Процедура ОбработатьРезультатСозданияЗаказаНаДоставку(Результат, ДокументОснование = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатСозданияЗаказаНаДоставку(Результат, ДокументОснование);
```
</details>

## ОбработатьРезультатОформленияЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаОформленияЗаказаНаДоставку.
// Обрабатывает результат оформления заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//  ДокументОснование - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки, Неопределено - документ, основание заказа на доставку.
//
Процедура ОбработатьРезультатОформленияЗаказаНаДоставку(Результат, ДокументОснование = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатОформленияЗаказаНаДоставку(Результат, ДокументОснование);
```
</details>

## ОбработатьРезультатОтменыЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаОтменыЗаказаНаДоставку.
// Обрабатывает результат отмены заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//  ДокументОснование - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки, Неопределено - документ, основание заказа на доставку.
//
Процедура ОбработатьРезультатОтменыЗаказаНаДоставку(Результат, ДокументОснование = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатОтменыЗаказаНаДоставку(Результат, ДокументОснование);
```
</details>

## ОбработатьРезультатОбновленияЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаОбновленияЗаказаНаДоставку.
// Обрабатывает результат обновления заказа на доставку в сервисе 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//  ДокументОснование - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки, Неопределено - документ, основание заказа на доставку.
//
Процедура ОбработатьРезультатОбновленияЗаказаНаДоставку(Результат, ДокументОснование = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатОбновленияЗаказаНаДоставку(Результат, ДокументОснование);
```
</details>

## ОбработатьРезультатПолученияЗаказаНаДоставку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СервисДоставкиПереопределяемый.ОбработатьРезультатЗапросаПолученияЗаказаНаДоставку.
// Обрабатывает результат получения заказа на доставку из сервиса 1С:Доставка.
//
// Параметры:
//  Результат - Структура - содержит результат выполнения запроса в сервис;
//  ДокументОснование - ОпределяемыйТип.ОснованиеЗаказаСервисДоставки, Неопределено - документ, основание заказа на доставку.
//
Процедура ОбработатьРезультатПолученияЗаказаНаДоставку(Результат, ДокументОснование = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ОбработатьРезультатПолученияЗаказаНаДоставку(Результат, ДокументОснование);
```
</details>

## ЗаполнитьДанныеКонтактногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СервисДоставки.ЗаполнитьПараметрыКонтактногоЛица.
// Заполняет параметры контактного лица данными по ссылке, указанной в Параметры.
//
// Параметры:
//  Параметры - см. СервисДоставки.НовыйПараметрыКонтактногоЛица
//
Процедура ЗаполнитьДанныеКонтактногоЛица(Параметры) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьДанныеКонтактногоЛица(Параметры) 
```
</details>

## ЗаполнитьПараметрыКонтактногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Не использовать.
// Вместо него использовать СервисДоставки.ЗаполнитьПараметрыКонтактногоЛица.
// Заполняет параметры контактного лица данными по ссылке, указанной в Параметры.
//
// Параметры:
//  Параметры - см. СервисДоставки.НовыйПараметрыКонтактногоЛица
//
Процедура ЗаполнитьПараметрыКонтактногоЛица(Параметры) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьПараметрыКонтактногоЛица(Параметры) 
```
</details>

## ЗаполнитьТелефонКонтактногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Не использовать.
// Заполняет параметры телефона контактной информацией по владельцу, указанному в Параметры.
//
// Параметры:
//  Параметры - см. СервисДоставки.НовыйПараметрыКонтактногоЛица
//
Процедура ЗаполнитьТелефонКонтактногоЛица(Параметры) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.ЗаполнитьТелефонКонтактногоЛица(Параметры) 
```
</details>

## СформироватьНаименованиеВидаТелефона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Не использовать.
// Вместо него использовать СкорректироватьНаименованиеВидаТелефона()
// Формирует текст наименования вида телефона для заголовка перед номером телефона.
//
// Параметры:
//  Параметры - СтрокаТаблицыЗначений из см. УправлениеКонтактнойИнформацией.КонтактнаяИнформацияОбъектов.
//  ВидТелефона - Строка - название вида телефона, которое необходимо сформировать или оставить без изменения.
//
Процедура СформироватьНаименованиеВидаТелефона(Параметры, ВидТелефона) Экспорт
```

Пример вызова
```bsl
СервисДоставкиПереопределяемый.СформироватьНаименованиеВидаТелефона(Параметры, ВидТелефона) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
