---
title: Сервис прогнозирования
slug: erp-uh/сервис-прогнозирования
---


## ВыполнитьHTTPЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
///////////////////////////////////////////////////////////////////////////////
// Инициализации параметров сеанса.

///////////////////////////////////////////////////////////////////////////////
// Работа с запросами API.

// Выполняет итоговый запрос согласно структуре входящих параметров.
//
// Параметры:
//  Метод - Строка - Метод HTTP-запроса.
//  URLЗапроса - Строка - Строка соединения с сервером.
//  Заголовки - Неопределено, Соответствие - Заголовки.
//  ТелоЗапроса - Строка - Тело запроса в формате JSON.
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ВыполнитьHTTPЗапрос(Метод, Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ВыполнитьHTTPЗапрос(Метод, );
```
</details>

## ПолучитьТикет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить тикет ИТС.
//
// Возвращаемое значение:
//  Структура - Ответ функции получения тикета ИТС:
// * Тикет - Строка -
// * ТекстОшибки - Строка -
Функция ПолучитьТикет() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьТикет() 
```
</details>

## ОтправитьЗаявкуВСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправить заявку на подключение к сервису.
//
// Возвращаемое значение:
//  Булево -
Функция ОтправитьЗаявкуВСервис() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ОтправитьЗаявкуВСервис() 
```
</details>

## ПеререгистрироватьПриложениеВСервисеПоИТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ответ заявки на перерегистрацию с целью восстановления доступа на новой версии сервиса
// или ошибку получения тикета ИТС.
//
// Возвращаемое значение:
//  Неопределено, Структура - Структура ответа получения тикета или перерегистрации в сервисе:
//   * Ответ - Произвольный -
//   * КодСостояния - Число -
//   * ДесериализованноеЗначение - Произвольный -
//   * КоличествоДанныхНаСервере - Число -
//   * ТекстОшибки - Строка -
Функция ПеререгистрироватьПриложениеВСервисеПоИТС() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПеререгистрироватьПриложениеВСервисеПоИТС() 
```
</details>

## ЗарегистрироватьПользователяСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Зарегистрировать пользователя сервиса.
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ЗарегистрироватьПользователяСервиса() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ЗарегистрироватьПользователяСервиса() 
```
</details>

## ЗарегистрироватьПриложениеВСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Зарегистрировать приложение в сервисе.
//
// Параметры:
//  ПеререгистрацияПриложения - Булево - признак заявки перерегистрации на новой версии сервиса.
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ЗарегистрироватьПриложениеВСервисе(ПеререгистрацияПриложения) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ЗарегистрироватьПриложениеВСервисе(ПеререгистрацияПриложения) 
```
</details>

## ЗарегистрироватьПриложениеВСервисеПоИТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Зарегистрировать приложение в сервисе по ИТС.
//
// Параметры:
//  Тикет - Строка -
//  ПеререгистрацияПриложения - Булево - признак заявки перерегистрации на новой версии сервиса.
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ЗарегистрироватьПриложениеВСервисеПоИТС(Тикет, ПеререгистрацияПриложения) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ЗарегистрироватьПриложениеВСервисеПоИТС(Тикет, ПеререгистрацияПриложения) 
```
</details>

## ПовторнаяРегистрацияПриложенияВСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Повторная регистрация приложения в сервисе.
//
// Параметры:
//  ИдентификаторПриложения - Строка -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПовторнаяРегистрацияПриложенияВСервисе(ИдентификаторПриложения) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПовторнаяРегистрацияПриложенияВСервисе(ИдентификаторПриложения) 
```
</details>

## ПовторнаяРегистрацияПриложенияВСервисеПоИТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Повторная регистрация приложения в сервисе по ИТС.
//
// Параметры:
//  Тикет - Строка -
//  ИдентификаторПриложения - Строка -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПовторнаяРегистрацияПриложенияВСервисеПоИТС(Тикет, ИдентификаторПриложения) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПовторнаяРегистрацияПриложенияВСервисеПоИТС(Тикет, ИдентификаторПриложения) 
```
</details>

## ОбновитьТокенДоступаПриложенияВСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить токен доступа приложения в сервисе.
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ОбновитьТокенДоступаПриложенияВСервисе() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ОбновитьТокенДоступаПриложенияВСервисе() 
```
</details>

## ВыдатьПраваПриложениюВСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выдать права приложению в сервисе.
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ВыдатьПраваПриложениюВСервисе() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ВыдатьПраваПриложениюВСервисе() 
```
</details>

## ПолучитьСтатусПодключенияКСервису
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выдать права приложению в сервисе.
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьСтатусПодключенияКСервису() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьСтатусПодключенияКСервису() 
```
</details>

## ПриИзмененииДанныхАутентификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ИнтернетПоддержкаПользователейПереопределяемый.ПриИзмененииДанныхАутентификацииИнтернетПоддержки()
//
Процедура ПриИзмененииДанныхАутентификации(ДанныеПользователя) Экспорт
```

Пример вызова
```bsl
СервисПрогнозирования.ПриИзмененииДанныхАутентификации(ДанныеПользователя) 
```
</details>

## ПроверитьКонфигурацииКоллекций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка у выгружаемых коллекций на изменение состава данных.
//
// Параметры:
//  НастройкиСервиса - Неопределено, Структура из Произвольный - см. СервисПрогнозирования.ПолучитьНастройкиСервиса
//
// Возвращаемое значение:
//  Строка -
Функция ПроверитьКонфигурацииКоллекций(НастройкиСервиса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПроверитьКонфигурацииКоллекций(НастройкиСервиса);
```
</details>

## СоздатьКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать коллекции.
//
// Параметры:
//  КоллекцииДляСоздания - Неопределено, Массив из Строка - Коллекции для создания
Процедура СоздатьКоллекции(КоллекцииДляСоздания = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисПрогнозирования.СоздатьКоллекции(КоллекцииДляСоздания);
```
</details>

## ОчиститьУдалитьКоллекцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистить или удалить коллекцию на сервере.
//
// Параметры:
//  ИдКоллекции - Число - Ид коллекции
//  УдалитьКоллекцию - Булево - Удалить коллекцию
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ОчиститьУдалитьКоллекцию(ИдКоллекции, УдалитьКоллекцию = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ОчиститьУдалитьКоллекцию(ИдКоллекции, УдалитьКоллекцию);
```
</details>

## ВыгрузитьКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Выгрузить коллекции.
//
// Параметры:
//  КоллекцииДляВыгрузки - Массив из Строка - Коллекции для выгрузки
//  АдресХранилища - Строка - Адрес хранилища, передаваемый при вызове в фоне
Процедура ВыгрузитьКоллекции(КоллекцииДляВыгрузки = Неопределено, АдресХранилища = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисПрогнозирования.ВыгрузитьКоллекции(КоллекцииДляВыгрузки, АдресХранилища);
```
</details>

## ПолучитьИнформациюОКоллекциях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить информацию о коллекциях.
//
// Параметры:
//  ИмяКоллекции - ПеречислениеСсылка.КоллекцииСервисаПрогнозированияПродаж -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьИнформациюОКоллекциях(ИмяКоллекции) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьИнформациюОКоллекциях(ИмяКоллекции) 
```
</details>

## ПроверитьСоздатьМодель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить создать модель.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПроверитьСоздатьМодель(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПроверитьСоздатьМодель(ВидПлана) 
```
</details>

## СоздатьМодель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать модель.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция СоздатьМодель(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.СоздатьМодель(ВидПлана) 
```
</details>

## ПолучитьИнформациюОМоделях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить информацию о моделях.
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьИнформациюОМоделях() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьИнформациюОМоделях() 
```
</details>

## ПроверитьСоздатьКонфигурациюМодели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить создать конфигурацию модели.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПроверитьСоздатьКонфигурациюМодели(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПроверитьСоздатьКонфигурациюМодели(ВидПлана) 
```
</details>

## СоздатьКонфигурациюМодели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать конфигурацию модели.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция СоздатьКонфигурациюМодели(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.СоздатьКонфигурациюМодели(ВидПлана) 
```
</details>

## ПолучитьТипыСервисов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить типы сервисов.
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьТипыСервисов() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьТипыСервисов() 
```
</details>

## ЗапуститьОбучение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запустить обучение.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ЗапуститьОбучение(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ЗапуститьОбучение(ВидПлана) 
```
</details>

## ПолучитьСтатусОбучения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить статус обучения.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  Структура - из:
//  * ТекстОшибки - Строка -
//  * ВидПлана - СправочникСсылка.ВидыПланов -
//  * ИдОбучения - Строка -
//  * Статус - Строка, Неопределено -
Функция ПолучитьСтатусОбучения(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьСтатусОбучения(ВидПлана) 
```
</details>

## ПолучитьПрогнозСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить прогноз сервиса.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов - Вид плана
//  ИдОбучения - Строка - Ид обучения
//  ИмяМодели - Строка -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьПрогнозСервиса(ВидПлана, ИдОбучения, ИмяМодели = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьПрогнозСервиса(ВидПлана, ИдОбучения, ИмяМодели);
```
</details>

## ПолучитьКачествоМоделей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить качество моделей.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьКачествоМоделей(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьКачествоМоделей(ВидПлана) 
```
</details>

## ПолучитьКачествоМоделейПоОбъектам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить качество моделей по объектам.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьКачествоМоделейПоОбъектам(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьКачествоМоделейПоОбъектам(ВидПлана) 
```
</details>

## ПолучитьФактическиеЗначенияИПредсказанияНаТестовыхПериодах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить фактические значения и предсказания на тестовых периодах.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьФактическиеЗначенияИПредсказанияНаТестовыхПериодах(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьФактическиеЗначенияИПредсказанияНаТестовыхПериодах(ВидПлана) 
```
</details>

## ПолучитьСуммуПланФактМоделейЗаВсеТестовыеПериоды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить сумму план факт моделей за все тестовые периоды.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьСуммуПланФактМоделейЗаВсеТестовыеПериоды(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьСуммуПланФактМоделейЗаВсеТестовыеПериоды(ВидПлана) 
```
</details>

## ПолучитьИсключенныеОбъектыОбучения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить исключенные объекты обучения.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьИсключенныеОбъектыОбучения(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьИсключенныеОбъектыОбучения(ВидПлана) 
```
</details>

## ПолучитьСезонность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить сезонность.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьСезонность(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьСезонность(ВидПлана) 
```
</details>

## ПолучитьСезонностьПоМесяцам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить сезонность.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьСезонностьПоМесяцам(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьСезонностьПоМесяцам(ВидПлана) 
```
</details>

## ПолучитьИсториюОбучения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить историю обучения.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//  ОтборПоОбъекту - Структура - содержит идентификатор объекта и/или детализации:
// * shop_id - Строка - Идентификатор склада, по которому будут считываться данные
// * item_id - Строка - Идентификатор товара, по которому будут считываться данные
// * customer_id - Строка - Идентификатор клиента, по которому будут считываться данные
// * item_variant_id - Строка - Идентификатор характеристики товара, по которому будут считываться данные
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьИсториюОбучения(ВидПлана, ОтборПоОбъекту) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьИсториюОбучения(ВидПлана, ОтборПоОбъекту) 
```
</details>

## ПолучитьПрогнозСервисаРасширенный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить прогноз сервиса расширенный.
//
// Параметры:
//  ВидПлана - СправочникСсылка.ВидыПланов -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьПрогнозСервисаРасширенный(ВидПлана) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьПрогнозСервисаРасширенный(ВидПлана) 
```
</details>

## ПолучитьПереченьКоллекцийНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить список коллекций на сервере.
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьПереченьКоллекцийНаСервере() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьПереченьКоллекцийНаСервере() 
```
</details>

## ПолучитьИнфоКоллекцииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить инфо коллекции на сервере.
//
// Параметры:
//  ИдКоллекции - Число -
//
// Возвращаемое значение:
//  см. СтруктураОтветаСервиса.
Функция ПолучитьИнфоКоллекцииНаСервере(ИдКоллекции) Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьИнфоКоллекцииНаСервере(ИдКоллекции) 
```
</details>

## СтатусОбученияМодели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Статус обучения модели.
//
// Параметры:
//  СценарийПрогнозирования - СправочникСсылка.СценарииТоварногоПланирования -
//  ВидПлана - СправочникСсылка.ВидыПланов -
//  ОжидаетсяИнформацияОПрогнозе - Булево -
//  ОжидаетсяЗагрузкаПрогноза - Булево -
//
// Возвращаемое значение:
//  см. СтатусОбученияМоделиОтвет.
Функция СтатусОбученияМодели(СценарийПрогнозирования, ВидПлана, Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.СтатусОбученияМодели(СценарийПрогнозирования, ВидПлана, );
```
</details>

## ПолучитьНастройкиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Получить настройки сервиса.
//
// Возвращаемое значение:
//  см. ШаблонНастроекСервиса.
Функция ПолучитьНастройкиСервиса() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьНастройкиСервиса() 
```
</details>

## ПолучитьШаблонныеНастройкиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить настройки сервиса из шаблона.
//
// Возвращаемое значение:
//  см. ШаблонНастроекСервиса.
Функция ПолучитьШаблонныеНастройкиСервиса() Экспорт
```

Пример вызова
```bsl
Результат = СервисПрогнозирования.ПолучитьШаблонныеНастройкиСервиса() 
```
</details>

## СброситьНастройкиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбросить настройки сервиса в значения по умолчанию.
Процедура СброситьНастройкиСервиса() Экспорт
```

Пример вызова
```bsl
СервисПрогнозирования.СброситьНастройкиСервиса() 
```
</details>

## СброситьНастройкиАвторизацииВСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбросить настройки авторизации в сервисе в значения по умолчанию.
//
Процедура СброситьНастройкиАвторизацииВСервисе(Настройки = Неопределено) Экспорт
```

Пример вызова
```bsl
СервисПрогнозирования.СброситьНастройкиАвторизацииВСервисе(Настройки);
```
</details>

## ВосстановитьНастройкиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Восстановить удаленные настройки и пересоздать настройки с некорректным типом.
Процедура ВосстановитьНастройкиСервиса() Экспорт
```

Пример вызова
```bsl
СервисПрогнозирования.ВосстановитьНастройкиСервиса() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
