---
title: Сервис ЭДО
slug: erp-uh/сервис-эдо
---


## СоединениеССервисом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение объекта соединение.
//
// Параметры:
//  СпособОбмена             - ПеречислениеСсылка.СпособыОбменаЭД - способ обмена.
//                             - Неопределено - обмен с сервисом настроек электронного документооборота.
//  Таймаут                    - Число - таймаут для инициализации соединения.
//
// Возвращаемое значение:
//  См. СервисЭДОПовтИсп.СоединениеССервисом
//
Функция СоединениеССервисом(СпособОбмена, Таймаут = 30) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.СоединениеССервисом(СпособОбмена, Таймаут);
```
</details>

## НовыеПараметрыВыполненияОперацииСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры выполнения операции сервиса.
//
// Параметры:
// 	КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
// Возвращаемое значение:
// 	Структура - Описание:
// * РазрешенныеКодыОшибок - Массив -
// * ИдентификаторУчетнойЗаписи - Строка -
// * Таймаут - Число -
// * СпособОбмена - ПеречислениеСсылка.СпособыОбменаЭД -
// * ТелоЗапроса - ДвоичныеДанные
// * ПараметрыЗапроса - Структура:
//   ** Ключ - Строка
//   ** Значение - Строка
// * Маркер - ДвоичныеДанные
// * Метод - Строка -
// * ПредставлениеОперации - Строка -
// * АдресРесурса - Строка -
// * МаскируемыеПараметрыПриЛогировании - Массив из Строка
Функция НовыеПараметрыВыполненияОперацииСервиса(КлючСинхронизации = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.НовыеПараметрыВыполненияОперацииСервиса(КлючСинхронизации);
```
</details>

## ВыполнитьОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
// 	ПараметрыОперации - см. НовыеПараметрыВыполненияОперацииСервиса
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// 	КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
// 	МаскируемыеПараметрыПриЛогировании - Массив из Строка
// Возвращаемое значение:
// 	См. НовыйРезультатВыполненияОперации
Функция ВыполнитьОперацию(ПараметрыОперации, КонтекстДиагностики, Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ВыполнитьОперацию(ПараметрыОперации, КонтекстДиагностики, );
```
</details>

## Авторизоваться
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает зашифрованный маркер доступа к сервису.
//
// Параметры:
//  КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
//  КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
//  ДанныеСертификата - ДвоичныеДанные - двоичные данные сертификата
//  ПараметрыАвторизации - см. НовыеПараметрыАвторизации
//
// Возвращаемое значение:
// - ДвоичныеДанные - зашифрованный маркер.
// - Неопределено - если маркер не удалось получить.
Функция Авторизоваться(КлючСинхронизации, КонтекстДиагностики, Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.Авторизоваться(КлючСинхронизации, КонтекстДиагностики, );
```
</details>

## ЗаполнитьПараметрыАутентификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расшифровывает маркер аутентификации на сервере для выбранного сертификата если это необходимо и доступно
//
// Параметры:
//  КлючиСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыеКлючиСинхронизации
//  КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
//
Процедура ЗаполнитьПараметрыАутентификации(КлючиСинхронизации, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
СервисЭДО.ЗаполнитьПараметрыАутентификации(КлючиСинхронизации, КонтекстДиагностики) 
```
</details>

## ОтправитьРегистрационныйПакет1СЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет регистрационный пакет в сервис 1С-ЭДО.
//
// Параметры:
// 	ДанныеПакета - см. ДанныеДляРегистрационногоПакета1СЭДО
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// 	ПараметрыАвторизации - см. НовыеПараметрыАвторизации
// Возвращаемое значение:
// 	Структура:
// 	 * ТребуетсяПодключениеИнтернетПоддержки - Булево
// 	 * ЕстьОшибки - Булево - Ложь, если регистрационный пакет отправлен успешно
// 	 * КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
Функция ОтправитьРегистрационныйПакет1СЭДО(ДанныеПакета, КонтекстДиагностики = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ОтправитьРегистрационныйПакет1СЭДО(ДанныеПакета, КонтекстДиагностики, );
```
</details>

## ПолучитьСостояниеРегистрацииВСервисе1СЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает состояние заявки на регистрацию в сервисе 1С-ЭДО.
//
// Параметры:
// 	ИдентификаторыЗаявок - Массив из Строка
// Возвращаемое значение:
// 	Структура:
// 	  * КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// 	  * СостояниеРегистрации - Соответствие из КлючИЗначение:
// 	     ** Ключ - Строка - идентификатор заявки
// 	     ** Значение - Структура:
//          ** ИдентификаторОрганизации - Строка
//          ** Результат - Булево
Функция ПолучитьСостояниеРегистрацииВСервисе1СЭДО(ИдентификаторыЗаявок) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПолучитьСостояниеРегистрацииВСервисе1СЭДО(ИдентификаторыЗаявок) 
```
</details>

## ДанныеДляРегистрационногоПакета1СЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пакет данных для регистрации сертификатов у оператора 1С-ЭДО.
//
// Параметры:
//   ПараметрыРегистрации - см. СервисЭДОКлиент.НовыеПараметрыРегистрацииВСервисе1СЭДО
//
// Возвращаемое значение:
// 	Структура:
// * РеквизитыПакета - Структура
// * ДвоичныеДанныеДляОператораЭДО - ДвоичныеДанные
// * ДвоичныеДанныеСоглашенияНаПодключениеЭДО - ДвоичныеДанные
// * ОператорЭДОСертификат - Строка - отпечаток сертификата
// * ПодписанныеДвоичныеДанныеСоглашенияНаПодключениеЭДО - Неопределено,ДвоичныеДанные
// * ПодписанныеДвоичныеДанныеДляОператораЭДО - Неопределено,ДвоичныеДанные
// * ЗашифрованныеДанныеОператораЭДО - Неопределено,ДвоичныеДанные
// * ТекстОшибки - Строка - если заполнен, данные сформировать не удалось
Функция ДанныеДляРегистрационногоПакета1СЭДО(ПараметрыРегистрации) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ДанныеДляРегистрационногоПакета1СЭДО(ПараметрыРегистрации) 
```
</details>

## ИнформацияОбУчетнойЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию об учетной записи сервиса 1С-Такском.
//
// Параметры:
// 	РасшифрованныйМаркер - ДвоичныеДанные
// Возвращаемое значение:
//  - Неопределено - если информацию об учетной записи получить не удалось
//  - Структура:
//      * ИдентификаторОрганизации - Строка.
Функция ИнформацияОбУчетнойЗаписи(РасшифрованныйМаркер) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ИнформацияОбУчетнойЗаписи(РасшифрованныйМаркер) 
```
</details>

## ПолучитьПриглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает приглашения к обмену электронными документами.
//
// Параметры:
// 	КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
// 	ДатаПоследнегоЗапроса - Дата - дата последнего запроса к сервису
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
//
// Возвращаемое значение:
// 	ТаблицаЗначений - см. ПриглашенияЭДО.НоваяТаблицаПриглашений
//
Функция ПолучитьПриглашения(КлючСинхронизации, ДатаПоследнегоЗапроса, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПолучитьПриглашения(КлючСинхронизации, ДатаПоследнегоЗапроса, КонтекстДиагностики) 
```
</details>

## ПринятьПриглашение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Принимает приглашение к обмену электронными документами.
//
// Параметры:
// 	ИдентификаторПриглашения - Строка
// 	ИдентификаторУчетнойЗаписи - Строка
// 	Маркер - ДвоичныеДанные
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// Возвращаемое значение:
// 	Структура - Описание:
// * Успех - Булево - Истина, если приглашение принято успешно.
// * ТребуетсяОбновлениеСтатусов - Булево - Истина, если требуется обновить статус приглашения (статус в информационной
//                                          не совпадает со статусом в сервисе).
Функция ПринятьПриглашение(ИдентификаторПриглашения, ИдентификаторУчетнойЗаписи, Маркер, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПринятьПриглашение(ИдентификаторПриглашения, ИдентификаторУчетнойЗаписи, Маркер, КонтекстДиагностики) 
```
</details>

## ОтклонитьПриглашение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Принимает приглашение к обмену электронными документами.
//
// Параметры:
// 	ИдентификаторПриглашения - Строка
// 	ИдентификаторУчетнойЗаписи - Строка
// 	Маркер - ДвоичныеДанные
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// 	ПричинаОтказаОтПриглашения - Строка
// Возвращаемое значение:
// 	Структура - Описание:
// * Успех - Булево - Истина, если приглашение отклонено успешно
// * ТребуетсяОбновлениеСтатусов - Булево - Истина, если требуется обновить статус приглашения (статус в информационной
//                                          не совпадает со статусом в сервисе).
Функция ОтклонитьПриглашение(ИдентификаторПриглашения, ИдентификаторУчетнойЗаписи, Маркер, КонтекстДиагностики, Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ОтклонитьПриглашение(ИдентификаторПриглашения, ИдентификаторУчетнойЗаписи, Маркер, КонтекстДиагностики, );
```
</details>

## ОтправитьПриглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет приглашения к обмену электронными документами.
//
// Параметры:
// 	Приглашения - см. НоваяТаблицаПриглашений
// 	КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// Возвращаемое значение:
// 	Булево - Истина, если приглашения отправлены успешно
Функция ОтправитьПриглашения(Приглашения, КлючСинхронизации, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ОтправитьПриглашения(Приглашения, КлючСинхронизации, КонтекстДиагностики) 
```
</details>

## НоваяТаблицаПриглашений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу приглашений.
//
// Возвращаемое значение:
// 	ТаблицаЗначений:
// * Получатель - ОпределяемыйТип.КонтрагентБЭД
// * Наименование - Строка
// * ИНН - Строка
// * КПП - Строка
// * АдресЭП - Строка
// * ТекстПриглашения - Строка
// * ВнешнийКод - Строка
// * ИдентификаторОрганизации - Строка
// * ИдентификаторКонтрагента - Строка
// * ОператорЭДО - Строка
// * ИмяФайлаСкана - Строка - имя файла соглашения на роуминг
// * ДанныеФайлаСкана - ДвоичныеДанные - соглашения на роуминг
// * СоздаватьНастройкиЭДО - Булево
Функция НоваяТаблицаПриглашений() Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.НоваяТаблицаПриглашений() 
```
</details>

## ОтправитьКонтейнер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет контейнер через оператора электронного документооборота.
//
// Параметры:
// 	КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
// 	ОписаниеКонтейнера - см. СинхронизацияЭДО.НовоеОписаниеТранспортногоКонтейнера
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// Возвращаемое значение:
// 	Структура:
//   * Успех - Булево
//   * Ошибка - см. СинхронизацияЭДО.НоваяОшибкаПередачи
//            - Неопределено
Функция ОтправитьКонтейнер(КлючСинхронизации, ОписаниеКонтейнера, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ОтправитьКонтейнер(КлючСинхронизации, ОписаниеКонтейнера, КонтекстДиагностики) 
```
</details>

## ПолучитьДокументыЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает электронные документы оператора электронного документооборота.
//
// Параметры:
// 	КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
// 	ДатаПоследнегоЗапроса - Дата - дата последнего запроса к сервису
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// Возвращаемое значение:
// 	см. НовыйРезультатПолученияСпискаДокументов
//
Функция ПолучитьДокументыЭДО(КлючСинхронизации, ДатаПоследнегоЗапроса, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПолучитьДокументыЭДО(КлючСинхронизации, ДатаПоследнегоЗапроса, КонтекстДиагностики) 
```
</details>

## ПолучитьДокументыЭПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДокументыЭПД(КлючСинхронизации, ДатаПоследнегоЗапроса, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПолучитьДокументыЭПД(КлючСинхронизации, ДатаПоследнегоЗапроса, КонтекстДиагностики) 
```
</details>

## ПолучитьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает электронный документ оператора электронного документооборота.
//
// Параметры:
// 	КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
// 	Документ - СтрокаТаблицыЗначений из см. НоваяТаблицаКонтейнеров
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// Возвращаемое значение:
// 	ДвоичныеДанные, Неопределено - если получить документ не удалось, возвращается Неопределено.
Функция ПолучитьДокумент(КлючСинхронизации, Документ, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПолучитьДокумент(КлючСинхронизации, Документ, КонтекстДиагностики) 
```
</details>

## ДоступнаОтправкаПодтвержденияПолученияКонтейнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, доступна ли отправка подтверждения получения контейнера, см. ПодтвердитьПолучениеСообщения.
//
// Параметры:
//  СпособОбмена - ПеречислениеСсылка.СпособыОбменаЭД
//
// Возвращаемое значение:
//  Булево - Отправка подтверждения доступна
Функция ДоступнаОтправкаПодтвержденияПолученияКонтейнера(СпособОбмена) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ДоступнаОтправкаПодтвержденияПолученияКонтейнера(СпособОбмена) 
```
</details>

## ПодтвердитьПолучениеКонтейнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет запрос оператору электронного документооборота об успешном получении контейнера.
//
// Параметры:
// 	КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
// 	ИдентификаторСообщения - Строка
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// Возвращаемое значение:
// 	Булево - если Истина, подтверждение отправлено успешно.
Функция ПодтвердитьПолучениеКонтейнера(КлючСинхронизации, ИдентификаторСообщения, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПодтвердитьПолучениеКонтейнера(КлючСинхронизации, ИдентификаторСообщения, КонтекстДиагностики) 
```
</details>

## ЕстьНовыеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие новых электронных документов в сервисе 1С-ЭДО.
//
// Параметры:
// 	ИдентификаторУчетнойЗаписи - Строка
// Возвращаемое значение:
// 	Булево
Функция ЕстьНовыеДокументы(ИдентификаторУчетнойЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ЕстьНовыеДокументы(ИдентификаторУчетнойЗаписи) 
```
</details>

## ПолучитьПараметрыУведомлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки уведомлений учетной записи в сервисе 1С-ЭДО.
//
// Параметры:
// 	КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
// Возвращаемое значение:
//  - Неопределено - если настройки уведомлений получить не удалось
//  - Структура:
//      * ПараметрыУведомлений - см. СервисЭДОКлиентСервер.НовыеПараметрыУведомлений
//      * КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
Функция ПолучитьПараметрыУведомлений(КлючСинхронизации) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПолучитьПараметрыУведомлений(КлючСинхронизации) 
```
</details>

## ОбновитьПараметрыУведомлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет настройки уведомлений учетных записей в сервисе 1C-ЭДО.
//
// Параметры:
//   ПараметрыУведомлений - см. СервисЭДОКлиентСервер.НовыеПараметрыУведомлений
//   КлючСинхронизации - см. СинхронизацияЭДОКлиентСервер.НовыйКлючСинхронизации
// Возвращаемое значение:
// 	Структура:
// * КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// * Результат - Булево - если Истина, настройки обновлены успешно.
Функция ОбновитьПараметрыУведомлений(ПараметрыУведомлений, КлючСинхронизации) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ОбновитьПараметрыУведомлений(ПараметрыУведомлений, КлючСинхронизации) 
```
</details>

## ПараметрыСервиса1СТакском
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки сервиса 1С-Такском.
//
// Возвращаемое значение:
//  Структура:
//   * АдресВебСервиса - Строка
//   * АдресДляПроверкиАктивности - Строка
Функция ПараметрыСервиса1СТакском() Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПараметрыСервиса1СТакском() 
```
</details>

## ПараметрыСервиса1СЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки сервиса 1С-ЭДО.
//
// Возвращаемое значение:
//  Структура:
//   * АдресВебСервиса - Строка
//   * АдресДляПроверкиАктивности - Строка
Функция ПараметрыСервиса1СЭДО() Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПараметрыСервиса1СЭДО() 
```
</details>

## КлассификаторОшибокПередачиДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает все ошибки по документам, которые добавлены на 1С:Хаб.
//
// Параметры:
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// Возвращаемое значение:
// 	Соответствие из КлючИЗначение:
//    * Ключ - Строка - код ошибки
//    * Значение - Структура:
//       ** Title - Строка - заголовок ошибки
//       ** Description - Строка - описание ошибки
//       ** Blocking - Булево - блокирующая ошибка
Функция КлассификаторОшибокПередачиДокументов(КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.КлассификаторОшибокПередачиДокументов(КонтекстДиагностики) 
```
</details>

## ОшибкиПередачиДокументовАктуальны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет актуальность ошибок.
//
// Параметры:
// 	ИдентификаторыОшибок - Массив из Строка
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// Возвращаемое значение:
// 	 Массив из Строка - идентификаторы актуальных ошибок
//   Неопределено - не удалось проверить актуальность ошибок.
Функция ОшибкиПередачиДокументовАктуальны(ИдентификаторыОшибок, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ОшибкиПередачиДокументовАктуальны(ИдентификаторыОшибок, КонтекстДиагностики) 
```
</details>

## ЭтоКодОшибкиПовторнойОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоКодОшибкиПовторнойОтправки(КодОшибки) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ЭтоКодОшибкиПовторнойОтправки(КодОшибки) 
```
</details>

## ЭтоКодНеизвестнойОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли код ошибки кодом неизвестной ошибки.
//
// Параметры:
//  КодОшибки - Число
//
// Возвращаемое значение:
//  Булево
Функция ЭтоКодНеизвестнойОшибки(КодОшибки) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ЭтоКодНеизвестнойОшибки(КодОшибки) 
```
</details>

## ЭтоКодОшибкиПросроченногоМаркера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли код ошибки кодом ошибки просроченного маркера.
//
// Параметры:
//  КодОшибки - Число
//
// Возвращаемое значение:
//  Булево
Функция ЭтоКодОшибкиПросроченногоМаркера(КодОшибки) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ЭтоКодОшибкиПросроченногоМаркера(КодОшибки) 
```
</details>

## ЭтоКодОшибкиНевалидногоМаркера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли код ошибки кодом ошибки невалидного маркера.
//
// Параметры:
//  КодОшибки - Число
//
// Возвращаемое значение:
//  Булево
Функция ЭтоКодОшибкиНевалидногоМаркера(КодОшибки) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ЭтоКодОшибкиНевалидногоМаркера(КодОшибки) 
```
</details>

## ПолучитьОператоровЭлектронногоДокументооборота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает операторов электронного документооборота.
//
// Параметры:
// 	КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
// Возвращаемое значение:
// 	ТаблицаЗначений:
//    * Идентификатор - Строка
//    * Наименование - Строка
//    * ИНН - Строка
//    * КПП - Строка
//    * ОГРН - Строка
//    * Сертификат - Строка
Функция ПолучитьОператоровЭлектронногоДокументооборота(КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ПолучитьОператоровЭлектронногоДокументооборота(КонтекстДиагностики) 
```
</details>

## ДатаЗапросаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату для запросов к сервису, используемую по умолчанию.
//
// Возвращаемое значение:
// 	см. ОбщегоНазначенияБЭД.УниверсальнаяДатаВМиллисекундахИзДаты
Функция ДатаЗапросаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.ДатаЗапросаПоУмолчанию() 
```
</details>

## НоваяТаблицаКонтейнеров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
// 	ТаблицаЗначений:
// * ИДПакета - Строка
// * ИДДокументооборота - Строка
// * КодТранзакции - Строка
// * КодРегламента - Строка
// * ИДДокумента - Строка
// * ДвоичныеДанные - ДвоичныеДанные
// * Приоритет - Число
// * ВидСервисаЭДО - ПеречислениеСсылка.ВидыСервисовЭДО
// * АдресРесурсаКонтрагента - Строка
Функция НоваяТаблицаКонтейнеров() Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДО.НоваяТаблицаКонтейнеров() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
