---
title: Сервис ЭДО вызов сервера
slug: erp-uh/сервис-эдо-вызов-сервера
---


## ДанныеДляРегистрационногоПакета1СЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СервисЭДО.ДанныеДляРегистрационногоПакета1СЭДО
Функция ДанныеДляРегистрационногоПакета1СЭДО(ПараметрыРегистрации) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДОВызовСервера.ДанныеДляРегистрационногоПакета1СЭДО(ПараметрыРегистрации) 
```
</details>

## НачатьОтправкуЗаявлениеНаРегистрациюВСервис1СЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запуск длительной операции отправки заявления на регистрацию в сервисе 1С:ЭДО.
//
// Параметры:
// ДанныеПакета - см. СервисЭДО.ДанныеДляРегистрационногоПакета1СЭДО
// КонтекстДиагностики - см. ОбработкаНеисправностейБЭД.НовыйКонтекстДиагностики
//
// Возвращаемое значение:
//  см. ДлительныеОперации.ВыполнитьФункцию
Функция НачатьОтправкуЗаявлениеНаРегистрациюВСервис1СЭДО(ДанныеПакета, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДОВызовСервера.НачатьОтправкуЗаявлениеНаРегистрациюВСервис1СЭДО(ДанныеПакета, КонтекстДиагностики) 
```
</details>

## НачатьПолучениеСостоянияРегистрацииВСервисе1СЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запуск длительной операции для проверки состояния регистрации на сервере 1С-ЭДО.
//
// Параметры:
// ИдентификаторыЗаявок - Массив из Строка
// ИдентификаторФормы - УникальныйИдентификатор - идентификатор формы
// Возвращаемое значение:
//  см. ДлительныеОперации.ВыполнитьФункцию
Функция НачатьПолучениеСостоянияРегистрацииВСервисе1СЭДО(ИдентификаторыЗаявок, ИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
Результат = СервисЭДОВызовСервера.НачатьПолучениеСостоянияРегистрацииВСервисе1СЭДО(ИдентификаторыЗаявок, ИдентификаторФормы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
