---
title: Сертификаты НУЦ Минцифры клиент
slug: erp-uh/сертификаты-нуц-минцифры-клиент
---


## НачатьУстановкуДоверенныхСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает установку доверенных сертификатов, сертификаты будут установлены если они отсутствую в хранилище.
//
// Параметры:
//  ОповещениеЗавершения - ОписаниеОповещения - описание оповещения при завершении установки, описание результата
//                         см. РезультатОперации.
//  Сертификаты - см. СертификатыНУЦМинцифры.СписокДоверенныхСертификатов
//
Процедура НачатьУстановкуДоверенныхСертификатов(ОповещениеЗавершения, Сертификаты = Неопределено) Экспорт
```

Пример вызова
```bsl
СертификатыНУЦМинцифрыКлиент.НачатьУстановкуДоверенныхСертификатов(ОповещениеЗавершения, Сертификаты);
```
</details>

## НачатьПроверкуДоверенныхСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает получение списка установленных доверенных сертификатов
//
// Параметры:
//  ОповещениеЗавершения - ОписаниеОповещения - описание оповещения при завершении проверки, описание результата
//                         см. РезультатОперации.
//  Сертификаты - см. СертификатыНУЦМинцифры.СписокДоверенныхСертификатов
//
Процедура НачатьПроверкуДоверенныхСертификатов(ОповещениеЗавершения, Сертификаты = Неопределено) Экспорт
```

Пример вызова
```bsl
СертификатыНУЦМинцифрыКлиент.НачатьПроверкуДоверенныхСертификатов(ОповещениеЗавершения, Сертификаты);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
