---
title: Система быстрых платежей клиент
slug: erp-uh/система-быстрых-платежей-клиент
---


## НастройкиПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму списка настроек подключения с Системой быстрых платежей.
//
// Параметры:
//  Владелец - ФормаКлиентскогоПриложения - форма которая будет установлена в качестве владельца.
//
Процедура НастройкиПодключения(Владелец) Экспорт
```

Пример вызова
```bsl
СистемаБыстрыхПлатежейКлиент.НастройкиПодключения(Владелец) 
```
</details>

## НовыйПараметрыПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки подключения к Системой быстрых платежей.
//
// Параметры:
//  БИК - Строка, Неопределено - идентификатор банка. Используется для автоматического
//    выбора участника СБП;
//  ОтборУчастников - Строка, Неопределено - Параметры отбора участников СБП;
//  ОтображатьОписаниеСервиса - Булево - Признак отображения страницы описания сервиса.
//
// Возвращаемое значение:
//  Структура - настройки открытия формы подключения:
//    * БИК - Строка, Неопределено - идентификатор банка. Используется для автоматического
//      выбора участника СБП;
//    * ОтборУчастников - Строка, Неопределено - Параметры отбора участников СБП;
//    * ОтображатьОписаниеСервиса - Булево - Признак отображения страницы описания сервиса.
//
Функция НовыйПараметрыПодключения( Экспорт
```

Пример вызова
```bsl
Результат = СистемаБыстрыхПлатежейКлиент.НовыйПараметрыПодключения();
```
</details>

## ПодключитьСистемуБыстрыхПлатежей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки подключения к Системой быстрых платежей.
//
// Параметры:
//  ПараметрыПодключения - Структура - см. СистемаБыстрыхПлатежейКлиент.НовыйПараметрыПодключения.
//  ОписаниеОповещения - ОписаниеОповещения, Неопределено - оповещение, которое
//    необходимо вызвать после завершения настройки подключения. В случае успешного
//    завершения настройки подключения в результате оповещения будет возвращено Истина;
//  ДополнительныеПараметры - Структура, Неопределено - дополнительные параметры подключения.
//    Значение будет передано в переопределяемые методы:
//     - СистемаБыстрыхПлатежейПереопределяемый.ПриНастройкеЭлементовФормыПодключения;
//     - СистемаБыстрыхПлатежейПереопределяемый.ПриЗаполненииФормыНастройкиПодключения.
//
Процедура ПодключитьСистемуБыстрыхПлатежей( Экспорт
```

Пример вызова
```bsl
СистемаБыстрыхПлатежейКлиент.ПодключитьСистемуБыстрыхПлатежей();
```
</details>

## ОтправитьСообщениеВСлужбуТехническойПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет сообщение в службу технической поддержки.
//
// Параметры:
//  ДокументОперации - ОпределяемыйТип.ДокументОперацииСБП - документ, который отражает
//    продажу в информационной базе;
//  НастройкаПодключения - СправочникСсылка.НастройкиПодключенияКСистемеБыстрыхПлатежей -
//    настройка выполнения оплаты;
//  ТекстСообщения - Строка - сообщение для технической поддержки.
//
Процедура ОтправитьСообщениеВСлужбуТехническойПоддержки( Экспорт
```

Пример вызова
```bsl
СистемаБыстрыхПлатежейКлиент.ОтправитьСообщениеВСлужбуТехническойПоддержки();
```
</details>

## ФормаПользовательскогоСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму пользовательского соглашения.
//
// Параметры:
//  ВладелецФормы - ы качестве владельца может выступить форма или элемент управления другой формы.
//
Процедура ФормаПользовательскогоСоглашения(ВладелецФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
СистемаБыстрыхПлатежейКлиент.ФормаПользовательскогоСоглашения(ВладелецФормы);
```
</details>

## ТекстПодсказкиПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст подсказки настройки подключения к Системе быстрых платежей.
//
// Параметры:
//  НаименованиеУчастника - Строка - наименование банка участника СБП;
//  ПараметрыПодсказки - Структура - результат создания параметров подсказки:
//   * АдресЛичногоКабинета - Строка - ссылка для перехода в личный кабинет;
//   * ПартнерАгентаСБП - Строка - признак партнера Агента СБП;
//   * АдресСтраницыЗаявки - Строка - адрес страницы отправки заявки;
//   * ИдентификаторУчастника - Строка - идентификатор участника СБП.
//
// Возвращаемое значение:
//  Строка, ФорматированнаяСтрока - подсказка при настройке подключения.
//
Функция ТекстПодсказкиПодключения(НаименованиеУчастника, ПараметрыПодсказки) Экспорт
```

Пример вызова
```bsl
Результат = СистемаБыстрыхПлатежейКлиент.ТекстПодсказкиПодключения(НаименованиеУчастника, ПараметрыПодсказки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
