---
title: Система быстрых платежей клиент переопределяемый
slug: erp-uh/система-быстрых-платежей-клиент-переопределяемый
---


## ПриОбработкеНавигационнойСсылкиДополнительнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при нажатии на гиперссылку форматированной строки, расположенной в элементе
// ДекорацияДополнительнаяИнформация.
//
// Параметры:
//  Элемент - Элемент - элемент формы;
//  НавигационнаяСсылкаФорматированнойСтроки - Строка - значение гиперссылки форматированной строки.
//    Параметр передается по ссылке.
//  СтандартнаяОбработка - передается признак выполнения стандартной (системной) обработки события.
//  ДанныеФормы - Структура - настройки подключения на форме:
//    * ПараметрыОплатыСБПc2b - Соответствие, Неопределено - содержит настройки выполнения оплаты.
//       Структура параметра соответствует структуре регистра, которая определена
//       в метаданных за исключением полей указанных в настройках в свойстве ИсключаемыеПоля
//       процедуры СистемаБыстрыхПлатежейПереопределяемый.ПриОпределенииНастроекПодключения
//       (см. Настройки.c2b.ОбъектМетаданных).
//    * НастройкаПодключения, Неопределено - СправочникСсылка.НастройкиПодключенияКСистемеБыстрыхПлатежей -
//       настройка выполнения оплаты. При настройке подключения будет возвращено Неопределено,
//       т.к. элемент настройки еще не создан.
//    * Модифицированность - Булево - признак модифицированности формы.
//
//@skip-warning
Процедура ПриОбработкеНавигационнойСсылкиДополнительнойИнформации( Экспорт
```

Пример вызова
```bsl
СистемаБыстрыхПлатежейКлиентПереопределяемый.ПриОбработкеНавигационнойСсылкиДополнительнойИнформации();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
