---
title: Скидки наценки вызов сервера
slug: erp-uh/скидки-наценки-вызов-сервера
---


## ПолучитьАдресаСхемыКомпоновкиДанныхВоВременномХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить адреса схемы компоновки данных во временном хранилище
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, содержит в том числе:
//  	* Объект - ДокументОбъект - Документ
//  Имя - Строка - Имя схемы.
//
// Возвращаемое значение:
//  Структура - адреса схемы компоновки данных во временном хранилище.
//
Функция ПолучитьАдресаСхемыКомпоновкиДанныхВоВременномХранилище(Форма, Имя) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиВызовСервера.ПолучитьАдресаСхемыКомпоновкиДанныхВоВременномХранилище(Форма, Имя) 
```
</details>

## ОписаниеДействияВнешнейОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание действия внешней обработки
//
// Параметры:
//  ВнешняяОбработка - ВнешняяОбработка - Объект подключенной обработки.
//  АдресНастроекВнешнейОбработки - Строка - Адрес настроек во временном хранилище.
//
// Возвращаемое значение:
//  Строка - Описание действия внешней обработки.
//
Функция ОписаниеДействияВнешнейОбработки(ВнешняяОбработка, АдресНастроекВнешнейОбработки) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиВызовСервера.ОписаниеДействияВнешнейОбработки(ВнешняяОбработка, АдресНастроекВнешнейОбработки) 
```
</details>

## АвтонаименованиеВнешнейОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Автонаименование внешней обработки
//
// Параметры:
//  ВнешняяОбработка - ВнешняяОбработка - Объект подключенной обработки.
//  АдресНастроекВнешнейОбработки - Строка - Адрес настроек во временном хранилище.
//
// Возвращаемое значение:
//  Строка - Наименование
//
Функция АвтонаименованиеВнешнейОбработки(ВнешняяОбработка, АдресНастроекВнешнейОбработки) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиВызовСервера.АвтонаименованиеВнешнейОбработки(ВнешняяОбработка, АдресНастроекВнешнейОбработки) 
```
</details>

## ИмяФормыНастроекВнешнейОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя формы настроек внешней обработки
//
// Параметры:
//  ВнешняяОбработка - ВнешняяОбработка - Объект подключенной обработки.
//  АдресНастроекВнешнейОбработки - Строка - Адрес настроек во временном хранилище.
//
// Возвращаемое значение:
//  Строка - Имя формы настроек внешней обработки.
//
Функция ИмяФормыНастроекВнешнейОбработки(ВнешняяОбработка, АдресНастроекВнешнейОбработки) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиВызовСервера.ИмяФормыНастроекВнешнейОбработки(ВнешняяОбработка, АдресНастроекВнешнейОбработки) 
```
</details>

## ОписаниеВнешнейОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание внешней обработки
//
// Параметры:
//  ВнешняяОбработка - ВнешняяОбработка - Объект подключенной обработки.
//  АдресНастроекВнешнейОбработки - Строка - Адрес настроек во временном хранилище.
//
// Возвращаемое значение:
//  Структура - Описание внешней обработки.
//
Функция ОписаниеВнешнейОбработки(ВнешняяОбработка, АдресНастроекВнешнейОбработки) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиВызовСервера.ОписаниеВнешнейОбработки(ВнешняяОбработка, АдресНастроекВнешнейОбработки) 
```
</details>

## ДанныеДляПредставленияСпискаТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные для представления списка товаров
//
// Параметры:
//  Ссылка - СправочникСсылка.СкидкиНаценки - Скидка (наценка).
//
// Возвращаемое значение:
//  Структура - Данные для представления списка товаров.
//
Функция ДанныеДляПредставленияСпискаТоваров(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиВызовСервера.ДанныеДляПредставленияСпискаТоваров(Ссылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
