---
title: Скидки наценки заполнение клиент
slug: erp-uh/скидки-наценки-заполнение-клиент
---


## ОткрытьФормуНазначенияУправляемыхСкидокНаценок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму назначения управляемых скидок наценок.
//
// Параметры:
//  АдресВоВременномХранилище - Строка - Адрес дополнительных данных во временном хранилище.
//  ОповещениеОЗакрытии - ОписаниеОповещения - Оповещение о закрытии.
//
Процедура ОткрытьФормуНазначенияУправляемыхСкидокНаценок(АдресВоВременномХранилище, ОповещениеОЗакрытии) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиЗаполнениеКлиент.ОткрытьФормуНазначенияУправляемыхСкидокНаценок(АдресВоВременномХранилище, ОповещениеОЗакрытии) 
```
</details>

## СброситьФлагСкидкиРассчитаны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура сбрасывает флаг СкидкиРассчитаны и делает недоступными колонки табличной части.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма объекта.
//
Процедура СброситьФлагСкидкиРассчитаны(Форма) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиЗаполнениеКлиент.СброситьФлагСкидкиРассчитаны(Форма) 
```
</details>

## ПредложитьПользователюРассчитатьСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предложить пользователю рассчитать скидки.
//
// Параметры:
//  ОписаниеОповещения - ОписаниеОповещения - Описание оповещения, вызываемое после завершения вопроса.
//
Процедура ПредложитьПользователюРассчитатьСкидки(ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиЗаполнениеКлиент.ПредложитьПользователюРассчитатьСкидки(ОписаниеОповещения) 
```
</details>

## ОткрытьФормуНазначенияРучныхСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Открыть форму назначения ручных скидок.
//
// Параметры:
//  АдресВоВременномХранилище - Строка - Адрес дополнительных данных во временном хранилище.
//  Валюта - СправочникСсылка.Валюты - Валюта.
//  ОповещениеОЗакрытии - ОписаниеОповещения - Оповещение о закрытии.
//  ЭтоЗакупки - Булево - Признак закупок.
//
Процедура ОткрытьФормуНазначенияРучныхСкидок( Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиЗаполнениеКлиент.ОткрытьФормуНазначенияРучныхСкидок();
```
</details>

## ВозможноНазначениеРучнойСкидкиНаценки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для назначения скидок.
//
// Параметры:
//   Документ                    - ДокументОбъект - Объект, для которого выполняются проверки.
//   ИмяТабличнойЧасти           - Строка - имя табличной части, в которой необходимо осуществить проверку.
//   ПредставлениеТабличнойЧасти - Строка - представление табличной части для информирования пользователя.
//
// Возвращаемое значение:
//   Булево - Возможность назначения ручных скидок (наценок).
//
Функция ВозможноНазначениеРучнойСкидкиНаценки(Документ, ИмяТабличнойЧасти, ПредставлениеТабличнойЧасти) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиЗаполнениеКлиент.ВозможноНазначениеРучнойСкидкиНаценки(Документ, ИмяТабличнойЧасти, ПредставлениеТабличнойЧасти) 
```
</details>

## ВозможнаОтменаРучныхСкидокНаценок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для отмены скидок.
//
// Параметры:
//   Документ                    - ДокументОбъект - Объект, для которого выполняются проверки.
//   ИмяТабличнойЧасти           - Строка - имя табличной части, в которой необходимо осуществить проверку.
//   ПредставлениеТабличнойЧасти - Строка - представление табличной части для информирования пользователя.
//
// Возвращаемое значение:
//  Булево - Возможность отмены ручных скидок (наценок).
//
Функция ВозможнаОтменаРучныхСкидокНаценок(Документ, ИмяТабличнойЧасти, ПредставлениеТабличнойЧасти) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиЗаполнениеКлиент.ВозможнаОтменаРучныхСкидокНаценок(Документ, ИмяТабличнойЧасти, ПредставлениеТабличнойЧасти) 
```
</details>

## ОповеститьОбОкончанииНазначенияРучныхСкидокНаценок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании назначения ручных скидок (наценок).
//
// Параметры:
//   СуммаСкидкиНаценки - Число - Сумма ручной скидки.
//   Валюта             - СправочникСсылка.Валюты, Неопределено - Валюта скидки.
//
Процедура ОповеститьОбОкончанииНазначенияРучныхСкидокНаценок(СуммаСкидкиНаценки = 0, Валюта = Неопределено) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиЗаполнениеКлиент.ОповеститьОбОкончанииНазначенияРучныхСкидокНаценок(СуммаСкидкиНаценки, Валюта);
```
</details>

## ОткрытьФормуПримененныеСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl




// Процедура открывает форму расшифровки скидок рассчитанных по текущей строке табличной части.
//
// Параметры:
//  ТекущиеДанные           - СтрокаТабличнойЧасти - Строка, для которой необходимо открыть расшифровку скидок.
//  Объект                  - ДанныеФормыСтруктура, ДокументОбъект - Объект, для которого нужно открыть форму расшифровки скидок.
//  Форма                   - ФормаКлиентскогоПриложения - Форма объекта.
//  ДополнительныеПараметры - Структура - Дополнительные параметры:
//  	* ИмяКолонкиКоличество - Строка -
//
Процедура ОткрытьФормуПримененныеСкидки(ТекущиеДанные, Объект, Форма, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиЗаполнениеКлиент.ОткрытьФормуПримененныеСкидки(ТекущиеДанные, Объект, Форма, ДополнительныеПараметры);
```
</details>

## ОткрытьФормуСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму сообщений
//
// Параметры:
//  СтруктураСообщений - см. СкидкиНаценкиЗаполнениеСервер.СтруктураСообщений
//  Форма - ФормаКлиентскогоПриложения - Форма объекта.
//
Процедура ОткрытьФормуСообщений(СтруктураСообщений, Форма) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиЗаполнениеКлиент.ОткрытьФормуСообщений(СтруктураСообщений, Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
