---
title: Скидки наценки клиент
slug: erp-uh/скидки-наценки-клиент
---


## СоздатьУсловиеПредоставлениеСкидкиНаценки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму редактирования условия предоставления скидки
//
// Параметры:
//  ТипУсловия                  - ПеречислениеСсылка.УсловияПредоставленияСкидокНаценок - тип создаваемого условия.
//  ДанныеДляЗаполненияРодителя - СправочникСсылка.УсловияПредоставленияСкидокНаценок - в качестве родителя нового
//                                условия будет установлен родитель переданного в данном параметре условия.
//  ИспользоватьФормуСправочникаУсловияПредоставления - Булево -
//                                если Истина, то будет открыта форма элемента справочника УсловияПредоставленияСкидокНаценок,
//                                если Ложь, то форма УсловияПредоставленияСкидокНаценок справочника СкидкиНаценки.
//
Процедура СоздатьУсловиеПредоставлениеСкидкиНаценки(ТипУсловия, Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиент.СоздатьУсловиеПредоставлениеСкидкиНаценки(ТипУсловия, );
```
</details>

## СоздатьСкидкуНаценку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьСкидкуНаценку(СпособПредоставления, СпособПримененияСкидки, Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиент.СоздатьСкидкуНаценку(СпособПредоставления, СпособПримененияСкидки, );
```
</details>

## ОбработатьКомандуДобавленияУсловияПредоставленияСкидокНаценок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму нового условия предоставления скидки (наценки).
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - Форма объекта.
//  Команда       - КомандаФормы - Команда формы.
//  ТекущаяСтрока - ДанныеФормыСтруктура - Текущая строка.
//
Процедура ОбработатьКомандуДобавленияУсловияПредоставленияСкидокНаценок(Форма, Команда, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиент.ОбработатьКомандуДобавленияУсловияПредоставленияСкидокНаценок(Форма, Команда, ТекущаяСтрока) 
```
</details>

## ОбработатьКомандуДобавленияСкидкиНаценки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму новой скидки (наценки)
//
// Параметры:
//  Форма         - ФормаКлиентскогоПриложения - Форма объекта.
//  Команда       - КомандаФормы - Команда формы.
//  ТекущаяСтрока - ДанныеФормыСтруктура - Текущая строка.
//
Процедура ОбработатьКомандуДобавленияСкидкиНаценки(Форма, Команда, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиент.ОбработатьКомандуДобавленияСкидкиНаценки(Форма, Команда, ТекущаяСтрока) 
```
</details>

## НастроитьОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки отбора.
//
// Параметры:
//  Форма     - ФормаКлиентскогоПриложения - Форма объекта.
//  Имя       - Строка - Имя.
//  Адреса    - Структура - Структура со свойствами:
//   * СхемаКомпоновкиДанных - СхемаКомпоновкиДанных - Схема компоновки.
//   * НастройкиКомпоновкиДанных - НастройкиКомпоновкиДанных - Настройки.
//
Процедура НастроитьОтбор(Форма, Имя, Адреса) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиент.НастроитьОтбор(Форма, Имя, Адреса) 
```
</details>

## ОбновитьАвтонаименованиеУсловияПримененияСкидок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить автонаименование условия применения скидок.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма объекта. Содержит в том числе:
//  	* Объект - СправочникОбъект - Справочник
//  Обновить - Булево - Признак необходимости обновления автонаименования.
//
Процедура ОбновитьАвтонаименованиеУсловияПримененияСкидок(Форма, Обновить = Истина) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиент.ОбновитьАвтонаименованиеУсловияПримененияСкидок(Форма, Обновить);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
