---
title: Скидки наценки клиент сервер
slug: erp-uh/скидки-наценки-клиент-сервер
---


## ОчиститьРеквизитыВЗависимостиОтУсловияПрименения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистить реквизиты в зависимости от условия применения
//
// Параметры:
//  Объект - СправочникОбъект.УсловияПредоставленияСкидокНаценок - Элемент справочника.
//
Процедура ОчиститьРеквизитыВЗависимостиОтУсловияПрименения(Объект) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиентСервер.ОчиститьРеквизитыВЗависимостиОтУсловияПрименения(Объект) 
```
</details>

## АвтоНаименованиеУсловияПредоставленияСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Автонаименование условия предоставления скидки
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Изменяемая форма, должна содержать в том числе:
//  	* Элементы - ЭлементыФормы:
//  		** Наименование - ПолеФормы
//
// Возвращаемое значение:
//  Строка - Наименование
//
Функция АвтоНаименованиеУсловияПредоставленияСкидки(Форма) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиКлиентСервер.АвтоНаименованиеУсловияПредоставленияСкидки(Форма) 
```
</details>

## ОбновитьРеквизитыАвтонаименования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить реквизиты автонаименования
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Изменяемая форма, должна содержать в том числе:
//  	* Элементы - ЭлементыФормы:
//  		** Наименование - ПолеФормы
//
Процедура ОбновитьРеквизитыАвтонаименования(Форма) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиентСервер.ОбновитьРеквизитыАвтонаименования(Форма) 
```
</details>

## НастроитьГиперссылкиОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает текст гиперссылок на отбор номенклатуры.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Изменяемая форма
Процедура НастроитьГиперссылкиОтборов(Форма) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиентСервер.НастроитьГиперссылкиОтборов(Форма) 
```
</details>

## НастроитьГиперссылкуНаСписокНоменклатурныхПозиций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает текст гиперссылок на список номенклатурных позиций.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Изменяемая форма, содержит в том числе:
//		* Объект - ДокументОбъект - Документ
Процедура НастроитьГиперссылкуНаСписокНоменклатурныхПозиций(Форма) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиентСервер.НастроитьГиперссылкуНаСписокНоменклатурныхПозиций(Форма) 
```
</details>

## ВариантОпределенияПериодаНакопительнойСкидкиПриИзмененииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события при изменении у поля Вариант определения периода накопительной скидки.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Изменяемая форма
//
Процедура ВариантОпределенияПериодаНакопительнойСкидкиПриИзмененииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиентСервер.ВариантОпределенияПериодаНакопительнойСкидкиПриИзмененииНаСервере(Форма) 
```
</details>

## КритерийПримененияЗаОбъемПродажПриИзмененииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события при изменении у поля Критерий применения за объем продаж
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Изменяемая форма
//
Процедура КритерийПримененияЗаОбъемПродажПриИзмененииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиентСервер.КритерийПримененияЗаОбъемПродажПриИзмененииНаСервере(Форма) 
```
</details>

## УсловиеПредоставленияПриИзмененииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события при изменении у поля Условие предоставления
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Изменяемая форма
//
Процедура УсловиеПредоставленияПриИзмененииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиКлиентСервер.УсловиеПредоставленияПриИзмененииНаСервере(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
