---
title: Скидки наценки повт исп
slug: erp-uh/скидки-наценки-повт-исп
---


## ОбъектВнешнейОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект внешнего отчета или обработки.
// Важно:
//   Проверка функциональной опции "ИспользоватьДополнительныеОтчетыИОбработки"
//     должна выполняться вызывающим кодом.
//
//
// Параметры:
//   ВнешняяОбработка - СправочникСсылка.ДополнительныеОтчетыИОбработки - Подключаемый отчет или обработка.
//
// Возвращаемое значение:
//   - ВнешняяОбработка - Объект подключенной обработки.
//   - ВнешнийОтчет     - Объект подключенного отчета.
//   - Неопределено           - Если передана некорректная ссылка.
//
Функция ОбъектВнешнейОбработки(ВнешняяОбработка) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиПовтИсп.ОбъектВнешнейОбработки(ВнешняяОбработка) 
```
</details>

## ПодключитьВнешнююОбработку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключает внешнюю обработку (отчет)
//   Подробнее  смотреть ДополнительныеОтчетыИОбработки.ПодключитьВнешнююОбработку().
//
// Параметры:
//   ВнешняяОбработка - СправочникСсылка.ДополнительныеОтчетыИОбработки - Подключаемый отчет или обработка.
//
// Возвращаемое значение:
//   - Строка       - Имя подключенного отчета или обработки.
//   - Неопределено - Если передана некорректная ссылка.
//
Функция ПодключитьВнешнююОбработку(ВнешняяОбработка) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиПовтИсп.ПодключитьВнешнююОбработку(ВнешняяОбработка) 
```
</details>

## ЭтоСкидкаДляНачислениеБонусныхБаллов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяется использовании скидки (наценки) для начисления бонусных баллов.
//
// Параметры:
//  СкидкаНаценка - СправочникСсылка.СкидкиНаценки - - скидка (наценка), для которой производится проверка
//
// Возвращаемое значение:
//  Булево - Истина , используется
Функция ЭтоСкидкаДляНачислениеБонусныхБаллов(СкидкаНаценка) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиПовтИсп.ЭтоСкидкаДляНачислениеБонусныхБаллов(СкидкаНаценка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
