---
title: Скидки наценки сервер
slug: erp-uh/скидки-наценки-сервер
---


## ДоступныеУсловияПредоставленияСкидокНаценок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступные условия предоставления предоставления скидок (наценок)
//
// Возвращаемое значение:
//  Массив - Доступные условия предоставления скидок (наценок).
//
Функция ДоступныеУсловияПредоставленияСкидокНаценок() Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиСервер.ДоступныеУсловияПредоставленияСкидокНаценок() 
```
</details>

## ПараметрыРегистрацииВнешнейОбработкиСкидкиНаценки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает параметры регистрации внешней обработки для скидки (наценки)
//
// Параметры:
//  Наименование - Строка - Наименование внешней обработки.
//  Информация - Структура - Информация.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * Вид - ПеречислениеСсылка.ВидыДополнительныхОтчетовИОбработок - Вид дополнительной обработки.
//   * Версия - Строка - Версия внешний обработки.
//   * Назначение - Массив - Назначение обработки.
//   * Наименование - Строка - Наименование внешний обработки.
//   * БезопасныйРежим - Булево - Признак безопасного режима.
//   * Информация - Структура - Информация.
//   * ВерсияБСП - Строка - Требуемая версия БСП.
//   * Команды - ТаблицаЗначений - Команды внешней обработки.
//
Функция ПараметрыРегистрацииВнешнейОбработкиСкидкиНаценки(Наименование, Информация) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиСервер.ПараметрыРегистрацииВнешнейОбработкиСкидкиНаценки(Наименование, Информация) 
```
</details>

## ПараметрыРегистрацииВнешнейОбработкиУсловияПредоставленияСкидокНаценок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры регистрации внешней обработки для условия предоставления скидки (наценки).
//
// Параметры:
//  Наименование - Строка - Наименование внешней обработки.
//  Информация - Структура - Информация.
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * Вид - ПеречислениеСсылка.ВидыДополнительныхОтчетовИОбработок - Вид дополнительной обработки.
//   * Версия - Строка - Версия внешний обработки.
//   * Назначение - Массив - Назначение обработки.
//   * Наименование - Строка - Наименование внешний обработки.
//   * БезопасныйРежим - Булево - Признак безопасного режима.
//   * Информация - Структура - Информация.
//   * ВерсияБСП - Строка - Требуемая версия БСП.
//   * Команды - ТаблицаЗначений - Команды внешней обработки.
//
Функция ПараметрыРегистрацииВнешнейОбработкиУсловияПредоставленияСкидокНаценок(Наименование, Информация) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиСервер.ПараметрыРегистрацииВнешнейОбработкиУсловияПредоставленияСкидокНаценок(Наименование, Информация) 
```
</details>

## Рассчитать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Выполняет расчет скидок по документу.
// Вызывается из форм документов.
//
// Параметры:
//  Объект - ДокументОбъект, ДанныеФормыСтруктура - Объект, в котором требуется рассчитать скидки (наценки).
//  ВходныеПараметры - см. СкидкиНаценкиЗаполнениеСервер.НовыйПараметрыРассчитать
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * ДеревоСкидок - см. СформироватьДеревоСкидок
//   * ТаблицаСкидкиНаценки - ТаблицаЗначений - Таблица с рассчитанными скидками.
//   * ПараметрыРасчета - Структура - Структура параметров расчета.
//
Функция Рассчитать(Объект, ВходныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = СкидкиНаценкиСервер.Рассчитать(Объект, ВходныеПараметры) 
```
</details>

## ПрименитьРезультатРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура применяет результат расчет скидок к документу.
// Вызывается из форм документов.
//
// Параметры:
//  Объект - ДокументОбъект, ДанныеФормыСтруктура - Объект, в котором требуется рассчитать скидки (наценки).
//  ПримененныеСкидки - Структура - Структура со свойствами:
//    * ДеревоСкидок - ДеревоЗначений - Дерево скидок (наценок).
//    * ТаблицаСкидкиНаценки - ТаблицаЗначений - Таблица с рассчитанными скидками.
//    * ПараметрыРасчета - Структура - Структура параметров расчета.
//  РеализацияСверхЗаказа - Булево - Реализация сверх заказа.
//
Процедура ПрименитьРезультатРасчета(Объект, ПримененныеСкидки, РеализацияСверхЗаказа = Ложь) Экспорт
```

Пример вызова
```bsl
СкидкиНаценкиСервер.ПрименитьРезультатРасчета(Объект, ПримененныеСкидки, РеализацияСверхЗаказа);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
