---
title: Склады вызов сервера
slug: erp-uh/склады-вызов-сервера
---


## ОтметитьВыполнениеЗаданийБезОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Меняет статус документов "Отбор (размещение) товаров" на "Выполнено без ошибок"
//
//	Параметры:
//		МассивДокументов - Массив - массив ссылок на документы, у которых нужно изменить статус
//		НазначитьИсполнителя - Булево - при установке статуса записывать исполнителя задания
//		Исполнитель - СправочникСсылка.Пользователи - если НазначитьИсполнителя = ИСТИНА, то в этом параметре передается
//					устанавливаемый исполнитель
//	Возвращаемое значение:
//		Массив - массив ссылок на документы, изменившие статус.
//
Функция ОтметитьВыполнениеЗаданийБезОшибок(Знач МассивДокументов, НазначитьИсполнителя, Исполнитель = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СкладыВызовСервера.ОтметитьВыполнениеЗаданийБезОшибок(МассивДокументов, НазначитьИсполнителя, Исполнитель);
```
</details>

## ВзятьЗаданияВРаботу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Меняет статус документов "Отбор (размещение) товаров" на "В работе"
//
//	Параметры:
//		МассивДокументов - Массив - массив ссылок на документы, у которых нужно изменить статус
//		НазначитьИсполнителя - Булево - при установке статуса записывать исполнителя задания
//		Исполнитель - СправочникСсылка.Пользователи - если НазначитьИсполнителя = ИСТИНА, то в этом параметре передается
//					устанавливаемый исполнитель
//	Возвращаемое значение:
//		Массив - массив ссылок на документы, изменившие статус.
//
Функция ВзятьЗаданияВРаботу(Знач МассивДокументов, НазначитьИсполнителя, Исполнитель) Экспорт
```

Пример вызова
```bsl
Результат = СкладыВызовСервера.ВзятьЗаданияВРаботу(МассивДокументов, НазначитьИсполнителя, Исполнитель) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
