---
title: Склады клиент
slug: erp-uh/склады-клиент
---


## ИзменитьКачество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает параметры и открывает форму выбора некачественной номенклатуры
//
// Параметры:
//  ТекущаяСтрока					 - СтрокаТабличнойЧасти - текущая строка табличной части
//  СтруктураДействий				 - Структура - структура действий
//  КэшированныеЗначения			 - Структура - кэшированные значения
//  ОповещениеУспешногоВыполнения	 - ОписаниеОповещения - оповещение, которое будет вызвано после закрытия формы выбора некачественной номенклатуры.
//
Процедура ИзменитьКачество(ТекущаяСтрока,СтруктураДействий, КэшированныеЗначения, ОповещениеУспешногоВыполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
СкладыКлиент.ИзменитьКачество(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения, ОповещениеУспешногоВыполнения);
```
</details>

## ВзятьЗаданияВРаботу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Берет в работу задания на отбор/размещение, обрабатывает параметры и открывает форму настроек взятия в работу.
//
// Параметры:
//  Форма							 - ФормаКлиентскогоПриложения - форма, на которой находится список заданий на отбор/размещение
//  Список							 - ТаблицаФормы - список заданий на отбор/размещение
//  Операция						 - Строка - "УправлениеОтгрузкой", "УправлениеПоступлением" или "ОтборРазмещение"
//  ОповещениеУспешногоВыполнения	 - ОписаниеОповещения - оповещение, которое будет вызвано после установки настроек.
//
Процедура ВзятьЗаданияВРаботу(Форма, Список, Операция, ОповещениеУспешногоВыполнения) Экспорт
```

Пример вызова
```bsl
СкладыКлиент.ВзятьЗаданияВРаботу(Форма, Список, Операция, ОповещениеУспешногоВыполнения) 
```
</details>

## ОтметитьВыполнениеЗаданийБезОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помечает задание на отбор/размещение как выполненное без ошибок
//
// Параметры:
//  Форма							 - ФормаКлиентскогоПриложения	- форма, на которой находится список заданий на отбор/размещение
//  Список							 - ТаблицаФормы - список заданий на отбор/размещение
//  Операция						 - Строка - "УправлениеОтгрузкой", "УправлениеПоступлением" или "ОтборРазмещение"
//  ОповещениеУспешногоВыполнения	 - ОписаниеОповещения - оповещение, которое будет вызвано после установки настроек.
//
Процедура ОтметитьВыполнениеЗаданийБезОшибок(Форма, Список, Операция, ОповещениеУспешногоВыполнения) Экспорт
```

Пример вызова
```bsl
СкладыКлиент.ОтметитьВыполнениеЗаданийБезОшибок(Форма, Список, Операция, ОповещениеУспешногоВыполнения) 
```
</details>

## ПроверитьВозможностьЗаполненияСкладовВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для заполнения реквизита "Склад" в табличной части.
//
// Параметры:
//		Объект- ДокументОбъект - документ, в ТЧ которого нужно проверить заполнение колонки "Склад",
// 		ТабличнаяЧасть - ДанныеФормыКоллекция - табличная часть, в которой необходимо осуществить проверку,
// 		ПредставлениеТабличнойЧасти - Строка - представление табличной части для информирования пользователя,
// 		ВыделенныеСтроки - Массив - Массив выделенных строк табличной части.
//
// Возвращаемое значение:
// 		Булево - Ложь, если необходимые данные не заполнены.
//
Функция ПроверитьВозможностьЗаполненияСкладовВТабличнойЧасти(Объект, ТабличнаяЧасть, ПредставлениеТабличнойЧасти, ВыделенныеСтроки) Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиент.ПроверитьВозможностьЗаполненияСкладовВТабличнойЧасти(Объект, ТабличнаяЧасть, ПредставлениеТабличнойЧасти, ВыделенныеСтроки) 
```
</details>

## ПоказатьОповещениеОЗаполненииСкладаВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура показывает оповещение о заполнении реквизита "Склад" табличной части
//
// Параметры:
// 		СкладЗаполнения - СправочникСсылка.Склады - Склад, по которому производилось заполнение
// 		ЗаполненоСтрок - Число - Количество заполненных строк
// 		ВыделеноСтрок - Число - Количество строк выделенных для заполнения.
//
Процедура ПоказатьОповещениеОЗаполненииСкладаВТабличнойЧасти(СкладЗаполнения, ЗаполненоСтрок, ВыделеноСтрок) Экспорт
```

Пример вызова
```bsl
СкладыКлиент.ПоказатьОповещениеОЗаполненииСкладаВТабличнойЧасти(СкладЗаполнения, ЗаполненоСтрок, ВыделеноСтрок) 
```
</details>

## ОткрытьФормуПроверкиУпаковкиИсправленияКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Открыть форму проверки упаковки исправления количества.
//
// Параметры:
//	Форма	 - ФормаКлиентскогоПриложения - форма из которой осуществляется открытие формы
//		обработки "ПроверкаКоличестваТоваровВДокументе";
//	Действие - Строка - "Проверка" или "Исправление".
//
Процедура ОткрытьФормуПроверкиУпаковкиИсправленияКоличества(Форма, Действие = "Проверка") Экспорт
```

Пример вызова
```bsl
СкладыКлиент.ОткрытьФормуПроверкиУпаковкиИсправленияКоличества(Форма, Действие);
```
</details>

## ОбновитьТаблицуСкладов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет служебный реквизит формы данными о количестве складов используемых в табличной части документа.
//
// Параметры:
//	ТаблицаСкладов - ТаблицаЗначений - Служебный реквизит формы, данные которого необходимо обновить;
//	ТекущиеДанные - ДанныеФормыЭлементКоллекции, Неопределено - строка таблицы реквизиты в которой изменились;
//	КешСтроки - ФиксированнаяСтруктура, Неопределено - строка таблицы реквизиты в которой изменились, содержит
//		значения до изменений;
//	Обновлять - Булево - Истина - признак необходимости обновления таблицы складов;
//	ЕстьОтменаСтрок - Булево - Истина - ТекущиеДанные и КешСтроки содержат поле "Отменено".
//
Процедура ОбновитьТаблицуСкладов(ТаблицаСкладов, ТекущиеДанные, КешСтроки, Обновлять, ЕстьОтменаСтрок = Истина) Экспорт
```

Пример вызова
```bsl
СкладыКлиент.ОбновитьТаблицуСкладов(ТаблицаСкладов, ТекущиеДанные, КешСтроки, Обновлять, ЕстьОтменаСтрок);
```
</details>

## ЗаполнитьПодразделениеВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет подразделение в выделенных строках табличной части
//
// Параметры:
// 	Объект - ДокументОбъект
// 	Форма - ФормаКлиентскогоПриложения
// 	ТабличнаяЧасть - ДанныеФормыКоллекция
// 	ПредставлениеТабличнойЧасти - Строка
// 	ВыделенныеСтроки - Массив
// 	ОписаниеОповещенияОЗакрытии - ОписаниеОповещения, Неопределено -
//
Процедура ЗаполнитьПодразделениеВТабличнойЧасти(Объект, Форма, ТабличнаяЧасть, ПредставлениеТабличнойЧасти, ВыделенныеСтроки, ОписаниеОповещенияОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
СкладыКлиент.ЗаполнитьПодразделениеВТабличнойЧасти(Объект, Форма, ТабличнаяЧасть, ПредставлениеТабличнойЧасти, ВыделенныеСтроки, ОписаниеОповещенияОЗакрытии);
```
</details>

## ОбновитьКешированныеЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обновляет кеш ключевых реквизитов текущей строки товаров.
//
// Параметры:
//  ТаблицаФормы			 - ТаблицаФормы - таблица формы, отображающая ТЧ товаров
//  КэшированныеЗначения	 - Структура - переменная модуля формы, в которой хранятся кешируемые значения
//  ПараметрыУказанияСерий	 - Структура - структура параметров указания серий, возвращаемая соответствующей процедурой модуля менеджера документа
//  Копирование				 - Булево - признак, что кешированная строка скопирована (параметр события ПриНачалеРедактирования).
//
Процедура ОбновитьКешированныеЗначения(ТаблицаФормы,КэшированныеЗначения,ПараметрыУказанияСерий,Копирование = Ложь) Экспорт
```

Пример вызова
```bsl
СкладыКлиент.ОбновитьКешированныеЗначения(ТаблицаФормы, КэшированныеЗначения, ПараметрыУказанияСерий, Копирование);
```
</details>

## ОткрытьФормуВыбораСотрудникаМагазина
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// СборкаИДоставка

// Процедура - Открыть форму проверки упаковки исправления количества.
//
// Параметры:
//	Форма	 - ФормаКлиентскогоПриложения - форма из которой осуществляется открытие формы
//		обработки "ПроверкаКоличестваТоваровВДокументе"
//	ТипСотрудника - Строка
//	СтандартнаяОбработка - Булево
//
Процедура ОткрытьФормуВыбораСотрудникаМагазина(Форма, ТипСотрудника, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СкладыКлиент.ОткрытьФормуВыбораСотрудникаМагазина(Форма, ТипСотрудника, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
