---
title: Склады клиент сервер
slug: erp-uh/склады-клиент-сервер
---


## СогласоватьЗначенияПризнаков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура согласует и устанавливает значения признаков использования адресного хранения.
//
// Параметры:
//  ОбъектСправочник - СправочникОбъект.Склады - объект-склад для установки признаков.
//
Процедура СогласоватьЗначенияПризнаков(ОбъектСправочник) Экспорт
```

Пример вызова
```bsl
СкладыКлиентСервер.СогласоватьЗначенияПризнаков(ОбъектСправочник) 
```
</details>

## УчитываемыеПриПроверкеРасходногоОрдераПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поля, по которым отобранные товары могут не сходится с ордером и это не считается недобором.
//
// Параметры:
//  Форма			 - ФормаКлиентскогоПриложения				 - текущая форма
//  ТекущиеДанные	 - ДанныеФормыЭлементКоллекции, Неопределено - если данные переданы, то рассчитывается для них, если
//  	Неопределено - то в целом для ТЧ.
//
// Возвращаемое значение:
//  Структура - структура со следующими ключами:
//  * УчитыватьУпаковки - Булево - Истина, если упаковки учитываются
//  * НеУчитываемыеСтатусыСерий - Массив - массив неучитываемых статусов указания серий
//  * УчитыватьСерии - Булево - Истина, если серии учитываются.
//
Функция УчитываемыеПриПроверкеРасходногоОрдераПоля(Форма, ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.УчитываемыеПриПроверкеРасходногоОрдераПоля(Форма, ТекущиеДанные) 
```
</details>

## ЕстьПриемка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, наличие в массиве складских операций типа "Приемка".
//
// Параметры:
//		СкладскиеОперации - Массив - массив значений складских операций.
//
//	Возвращаемое значение:
//		Булево - Истина, среди элементов массив есть складская операция типа "Приемка".
//
Функция ЕстьПриемка(СкладскиеОперации) Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.ЕстьПриемка(СкладскиеОперации) 
```
</details>

## СкладскиеОперацииПриемки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив значений складских операций типа "Приемка"
//
//	Возвращаемое значение:
//		Массив - массив значений складских операций.
//
Функция СкладскиеОперацииПриемки() Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.СкладскиеОперацииПриемки() 
```
</details>

## ЕстьОтгрузка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, наличие в массиве складских операций типа "Отгрузка".
//
// Параметры:
//		СкладскиеОперации - Массив - массив значений складских операций.
//
//	Возвращаемое значение:
//		Булево - Истина, среди элементов массив есть складская операция типа "Отгрузка".
//
Функция ЕстьОтгрузка(СкладскиеОперации) Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.ЕстьОтгрузка(СкладскиеОперации) 
```
</details>

## СкладскиеОперацииОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив значений складских операций типа "Отгрузка"
//
//	Возвращаемое значение:
//		Массив - массив значений складских операций.
//
Функция СкладскиеОперацииОтгрузки() Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.СкладскиеОперацииОтгрузки() 
```
</details>

## СтрокуРасходногоОрдераМожноПереноситьВДругойОрдер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что строку можно перенести в другой ордер
//
// Параметры:
//  СтрокаТЧ 	- ДанныеФормыЭлементКоллекции	 - проверяемая строка
//  			- ДокументТабличнаяЧастьСтрока.РасходныйОрдерНаТовары.ОтгружаемыеТовары - проверяемая строка.
//
// Возвращаемое значение:
//  Булево - строку можно перенести в другой ордер.
//
Функция СтрокуРасходногоОрдераМожноПереноситьВДругойОрдер(СтрокаТЧ) Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.СтрокуРасходногоОрдераМожноПереноситьВДругойОрдер(СтрокаТЧ) 
```
</details>

## ОбновитьКартинкуГруппыСкладов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует надпись и картинку для отображения информации о количестве складов в документе.
//
// Параметры:
//	НадписьНесколькоСкладов - Строка - поле на форме для отображения количества складов в документе;
//	ПолеКартинки - ПолеКартинки - поле на форме для отображения картинки предупреждения о количестве складов больше одного;
//	КоличествоСкладов - Число - количество складов.
//
Процедура ОбновитьКартинкуГруппыСкладов(НадписьНесколькоСкладов, ПолеКартинки, КоличествоСкладов) Экспорт
```

Пример вызова
```bsl
СкладыКлиентСервер.ОбновитьКартинкуГруппыСкладов(НадписьНесколькоСкладов, ПолеКартинки, КоличествоСкладов) 
```
</details>

## ЗаполнитьСкладПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет склад в строке ТЧ или в списке строк, если не используется несколько складов.
//
// Параметры:
//  ИспользоватьНесколькоСкладов - Булево - Истина, если используется несколько складов
//  СкладПоУмолчанию			 - СправочникСсылка.Склады - Склад по умолчанию
//  СтрокаТЧИлиСписокСтрок		 - ДанныеФормыСтруктура - Строка ТЧ или список строк ТЧ
//  ИмяПоляСклад				 - Строка - Имя реквизита в котором нужно заполнить склад.
//
Процедура ЗаполнитьСкладПоУмолчанию(ИспользоватьНесколькоСкладов, СкладПоУмолчанию, СтрокаТЧИлиСписокСтрок, ИмяПоляСклад = "Склад") Экспорт
```

Пример вызова
```bsl
СкладыКлиентСервер.ЗаполнитьСкладПоУмолчанию(ИспользоватьНесколькоСкладов, СкладПоУмолчанию, СтрокаТЧИлиСписокСтрок, ИмяПоляСклад);
```
</details>

## СкладскаяОперацияПриемкиПоХозяйственнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает складскую операцию приемки соответствующую переданной хозяйственной операции.
//
// Параметры:
//  ХозяйственнаяОперация	 - ПеречислениеСсылка.ХозяйственныеОперации.
//
// Возвращаемое значение:
//   ПеречислениеСсылка.СкладскиеОперации
//
Функция СкладскаяОперацияПриемкиПоХозяйственнойОперации(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.СкладскаяОперацияПриемкиПоХозяйственнойОперации(ХозяйственнаяОперация) 
```
</details>

## ХозяйственныеОперацииПриемкиНаСклад
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив хозяйственных операций, соответствующий операциям приемки на склад.
//
// Возвращаемое значение:
//  Массив - массив из ПеречислениеСсылка.ХозяйственнаяОперация.
//
Функция ХозяйственныеОперацииПриемкиНаСклад() Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.ХозяйственныеОперацииПриемкиНаСклад()
```
</details>

## СоответствиеХозяйственныхОперацийСкладскихОперацийПриемки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие хозяйственных операций и складских операций приемки
//
// Возвращаемое значение:
//  Соответствие
//		*Ключ - ПеречислениеСсылка.ХозяйственнаяОперация
//		*Значение - ПеречислениеСсылка.СкладскаяОперация
//
Функция СоответствиеХозяйственныхОперацийСкладскихОперацийПриемки() Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.СоответствиеХозяйственныхОперацийСкладскихОперацийПриемки() 
```
</details>

## ТипыЯчеекПриемка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив типов складских ячеек приемки.
//
// Возвращаемое значение:
//  Массив Из ПеречислениеСсылка.ТипыСкладскихЯчеек.
//
Функция ТипыЯчеекПриемка() Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.ТипыЯчеекПриемка() 
```
</details>

## ТипыЯчеекОтгрузка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив типов складских ячеек отгрузки.
//
// Возвращаемое значение:
//  Массив Из ПеречислениеСсылка.ТипыСкладскихЯчеек.
//
Функция ТипыЯчеекОтгрузка() Экспорт
```

Пример вызова
```bsl
Результат = СкладыКлиентСервер.ТипыЯчеекОтгрузка() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
