---
title: Склады локализация
slug: erp-uh/склады-локализация
---


## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из соответствующего обработчика справочника
//
// Параметры:
//  Объект - СправочникОбъект.Склады - Обрабатываемый объект
//  Отказ - Булево - Если в теле процедуры-обработчика установить данному параметру значение Истина,
//                   то будет выполнен отказ от продолжения работы после выполнения проверки заполнения.
//  ПроверяемыеРеквизиты - Массив - Массив путей к реквизитам, для которых будет выполнена проверка заполнения.
//
Процедура ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
СкладыЛокализация.ОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ИспользуетсяМаркируемаяПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет ведение учета маркируемой продукции.
//
// Возвращаемое значение:
//  Булево - Используется маркируемая продукция
Функция ИспользуетсяМаркируемаяПродукция() Экспорт
```

Пример вызова
```bsl
Результат = СкладыЛокализация.ИспользуетсяМаркируемаяПродукция() 
```
</details>

## ВидыПродукцииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает виды маркируемой продукции по товарам, содержащимся в документе
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ, виды маркируемой продукции которого необходимо получить.
//
// Возвращаемое значение:
//   Массив Из Произвольный - Массив видов продукции.
Функция ВидыПродукцииДокумента(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = СкладыЛокализация.ВидыПродукцииДокумента(ДокументСсылка) 
```
</details>

## УстановитьПризнакИспользованияМаркируемойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить признак использования маркируемой продукции.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения:
//		* Объект - ДокументОбъект - основной реквизит формы
//		* ПараметрыИнтеграцииГосИС - ФиксированноеСоответствие из КлючИЗначение
Процедура УстановитьПризнакИспользованияМаркируемойПродукции(Форма) Экспорт
```

Пример вызова
```bsl
СкладыЛокализация.УстановитьПризнакИспользованияМаркируемойПродукции(Форма) 
```
</details>

## СформироватьСтруктуруШтрихкодыУпаковокНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать структуру штрихкоды упаковок накладной.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Сформировать структуру штрихкоды упаковок накладной:
// * СтрокаВыбрана - Булево -
// * Номенклатура - СправочникСсылка.Номенклатура -
// * Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры -
// * Серия - СправочникСсылка.СерииНоменклатуры -
// * ШтрихкодУпаковки - СправочникСсылка.ШтрихкодыУпаковокТоваров -
Функция СформироватьСтруктуруШтрихкодыУпаковокНакладной() Экспорт
```

Пример вызова
```bsl
Результат = СкладыЛокализация.СформироватьСтруктуруШтрихкодыУпаковокНакладной() 
```
</details>

## РаспределитьМарки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Распределить марки.
//
// Параметры:
//  ШтрихкодыУпаковокНакладной - см. СкладыЛокализация.СформироватьСтруктуруШтрихкодыУпаковокНакладной
//  ТаблицаШтрихкодыУпаковок - ТаблицаЗначений
//  ТаблицаТовары - ТаблицаЗначений
//  ЗаполнятьДанныеПоМаркам - Булево - Заполнять данные по маркам
Процедура РаспределитьМарки(ШтрихкодыУпаковокНакладной, Экспорт
```

Пример вызова
```bsl
СкладыЛокализация.РаспределитьМарки(ШтрихкодыУпаковокНакладной, );
```
</details>

## ДополнитьРеквизитамиМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнить реквизитами маркировки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  ЗаполнятьДанныеПоМаркам -Булево -Заполнять данные по маркам
Процедура ДополнитьРеквизитамиМаркировки(Форма, ЗаполнятьДанныеПоМаркам) Экспорт
```

Пример вызова
```bsl
СкладыЛокализация.ДополнитьРеквизитамиМаркировки(Форма, ЗаполнятьДанныеПоМаркам) 
```
</details>

## ДобавитьКолонкуСтатусаПроверкиПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму колонку статуса проверки и подбора в табличной части
//
// Параметры:
//   Форма               - ФормаКлиентскогоПриложения                   - форма для встраивания
//   Настройки - Структура                          - параметры интеграции прикладной формы
//
Процедура ДобавитьКолонкуСтатусаПроверкиПодбора(Форма, Настройки) Экспорт
```

Пример вызова
```bsl
СкладыЛокализация.ДобавитьКолонкуСтатусаПроверкиПодбора(Форма, Настройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
