---
title: События оповещений сервер УХ
slug: erp-uh/события-оповещений-сервер-ух
---


## СоздатьЗаписьСобытияПоСтруктуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в регистр СобытияОповещений запись об оповещении, принимая в качестве параметра
// структуру данных. Возвращает успешность операции.
Функция СоздатьЗаписьСобытияПоСтруктуре(СтруктураВход) Экспорт
```

Пример вызова
```bsl
Результат = СобытияОповещенийСерверУХ.СоздатьЗаписьСобытияПоСтруктуре(СтруктураВход) 
```
</details>

## ПолучитьТаблицуОповещенийКОтправке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает таблицу значений, содержащую параметры оповещений, которые в данный моент требуют отправки.
Функция ПолучитьТаблицуОповещенийКОтправке() Экспорт
```

Пример вызова
```bsl
Результат = СобытияОповещенийСерверУХ.ПолучитьТаблицуОповещенийКОтправке() 
```
</details>

## ПолучитьТекстОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вовзращает основной текст оповещения по структуре данных СтруктураОповещенияВход.
// Параметр ПоЭлектроннойПочтеВход определяет необходимость спецэфических данных
// для вставки в электронное письмо.
Функция ПолучитьТекстОповещения(СтруктураОповещенияВход, ПоЭлектроннойПочтеВход) Экспорт
```

Пример вызова
```bsl
Результат = СобытияОповещенийСерверУХ.ПолучитьТекстОповещения(СтруктураОповещенияВход, ПоЭлектроннойПочтеВход));
```
</details>

## ОтправитьОповещениеВСистеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку оповещения в системе по событию, заданного
// структурой СтруктураОповещенияВход.
Функция ОтправитьОповещениеВСистеме(СтруктураОповещенияВход) Экспорт
```

Пример вызова
```bsl
Результат = СобытияОповещенийСерверУХ.ОтправитьОповещениеВСистеме(СтруктураОповещенияВход));
```
</details>

## СформироватьВложениеПоПечатнойФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает почтовое вложение в виде печатной формы ВнешняяПечатнаяФормаВход
// для объекта оповещения ВнешняяПечатнаяФормаВход.
Функция СформироватьВложениеПоПечатнойФорме(ОбъектОповещенияВход, ВнешняяПечатнаяФормаВход) Экспорт
```

Пример вызова
```bsl
Результат = СобытияОповещенийСерверУХ.СформироватьВложениеПоПечатнойФорме(ОбъектОповещенияВход, ВнешняяПечатнаяФормаВход));
```
</details>

## ОтправитьОповещениеПоЭлектроннойПочте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку по электронной почте оповещения по событию, заданного
// структурой СтруктураОповещенияВход.
Функция ОтправитьОповещениеПоЭлектроннойПочте(СтруктураОповещенияВход) Экспорт
```

Пример вызова
```bsl
Результат = СобытияОповещенийСерверУХ.ОтправитьОповещениеПоЭлектроннойПочте(СтруктураОповещенияВход));
```
</details>

## ОтправитьОповещениеПоСтруктуреОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку оповещения по структуре СтруктураОповещенияВход.
Функция ОтправитьОповещениеПоСтруктуреОповещения(СтруктураОповещенияВход) Экспорт
```

Пример вызова
```bsl
Результат = СобытияОповещенийСерверУХ.ОтправитьОповещениеПоСтруктуреОповещения(СтруктураОповещенияВход));
```
</details>

## ОтправитьОповещенияПоСобытиям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку оповещений по событиям, заданных таблицей ТаблицаОтправкиВход.
Процедура ОтправитьОповещенияПоСобытиям(ТаблицаОтправкиВход) Экспорт
```

Пример вызова
```bsl
СобытияОповещенийСерверУХ.ОтправитьОповещенияПоСобытиям(ТаблицаОтправкиВход) 
```
</details>

## УстановитьДатуОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает по таблице записей ТаблицаВход дату отправки в ДатаОтправкиВход.
// Когда ДатаОтправкиВход не указана - выставляет текущую дату. Возвращает успешность
// выполнения операции.
Функция УстановитьДатуОтправки(ТаблицаВход, ДатаОтправкиВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СобытияОповещенийСерверУХ.УстановитьДатуОтправки(ТаблицаВход, ДатаОтправкиВход);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
