---
title: События форм ВЕТИС переопределяемый
slug: erp-uh/события-форм-ветис-переопределяемый
---


## ПриОпределенииПараметровИнтеграцииВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределение параметров интеграции ВЕТИС (расположения форматированной строки)
//
// Параметры:
//   Форма            - ФормаКлиентскогоПриложения - прикладная форма для встраивания форматированной строки
//   ПараметрыНадписи - Структура        - (см. СобытияФормИС.ПараметрыИнтеграцииДляДокументаОснования)
Процедура ПриОпределенииПараметровИнтеграцииВЕТИС(Форма, ПараметрыНадписи) Экспорт
```

Пример вызова
```bsl
СобытияФормВЕТИСПереопределяемый.ПриОпределенииПараметровИнтеграцииВЕТИС(Форма, ПараметрыНадписи) 
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
СобытияФормВЕТИСПереопределяемый.ПослеЗаписиНаСервере(Форма) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СобытияФормВЕТИСПереопределяемый.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ПриЧтенииНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
СобытияФормВЕТИСПереопределяемый.ПриЧтенииНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ПриИзмененииЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Серверная переопределяемая процедура, вызываемая из обработчика события элемента.
//
// Параметры:
//   Форма                   - ФормаКлиентскогоПриложения - форма, из которой происходит вызов процедуры.
//   Элемент                 - Строка           - имя элемента-источника события "При изменении"
//   ДополнительныеПараметры - Структура        - значения дополнительных параметров влияющих на обработку.
//
Процедура ПриИзмененииЭлемента(Форма, Элемент, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормВЕТИСПереопределяемый.ПриИзмененииЭлемента(Форма, Элемент, ДополнительныеПараметры) 
```
</details>

## ПриИзмененииНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении номенклатуры в таблице Товары.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, в которой произошло событие.
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - Строка таблицы товаров.
//  КэшированныеЗначения - Структура - Сохраненные значения параметров, используемых при обработке строки таблицы.
//  ПараметрыЗаполнения - (См. ИнтеграцияВЕТИСКлиентСервер.ПараметрыЗаполненияТабличнойЧасти).
//  ПараметрыУказанияСерий - Структура - Состав полей определен в функции
//                                       НоменклатураКлиентСервер.ПараметрыУказанияСерий.
Процедура ПриИзмененииНоменклатуры(Форма, Экспорт
```

Пример вызова
```bsl
СобытияФормВЕТИСПереопределяемый.ПриИзмененииНоменклатуры(Форма, );
```
</details>

## ПриИзмененииХарактеристики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении номенклатуры в таблице Товары.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, в которой произошло событие.
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - Строка таблицы товаров.
//  КэшированныеЗначения - Структура - Сохраненные значения параметров, используемых при обработке строки таблицы.
//  ПараметрыЗаполнения - (См. ИнтеграцияВЕТИСКлиентСервер.ПараметрыЗаполненияТабличнойЧасти).
//  ПараметрыУказанияСерий - Структура - Состав полей определен в функции
//                                       НоменклатураКлиентСервер.ПараметрыУказанияСерий.
Процедура ПриИзмененииХарактеристики(Форма, Экспорт
```

Пример вызова
```bsl
СобытияФормВЕТИСПереопределяемый.ПриИзмененииХарактеристики(Форма, );
```
</details>

## ПриИзмененииКоличестваВЕТИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении количества ВЕТИС в таблице Товары.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, в которой произошло событие.
//  ТекущаяСтрока - ДанныеФормыЭлементКоллекции - Строка таблицы товаров.
//  КэшированныеЗначения - Структура - Сохраненные значения параметров, используемых при обработке строки таблицы.
//  ПараметрыЗаполнения - (См. ИнтеграцияВЕТИСКлиентСервер.ПараметрыЗаполненияТабличнойЧасти).
Процедура ПриИзмененииКоличестваВЕТИС(Форма, ТекущаяСтрока, КэшированныеЗначения, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
СобытияФормВЕТИСПереопределяемый.ПриИзмененииКоличестваВЕТИС(Форма, ТекущаяСтрока, КэшированныеЗначения, ПараметрыЗаполнения) 
```
</details>

## ПриИзмененииКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при изменении количества в таблице Товары.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Форма, в которой произошло событие.
//	ТекущаяСтрока - ДанныеФормыЭлементКоллекции - Строка таблицы товаров.
//	КэшированныеЗначения - Структура - Сохраненные значения параметров, используемых при обработке строки таблицы.
//	ПараметрыЗаполнения - (См. ИнтеграцияВЕТИСКлиентСервер.ПараметрыЗаполненияТабличнойЧасти).
//
Процедура ПриИзмененииКоличества(Форма, ТекущаяСтрока, КэшированныеЗначения, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
СобытияФормВЕТИСПереопределяемый.ПриИзмененииКоличества(Форма, ТекущаяСтрока, КэшированныеЗначения, ПараметрыЗаполнения) 
```
</details>

## ОбработкаРезультатаПодбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет табличную часть Товары подобранными товарами.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, в которой производится подбор,
//  ВыбранноеЗначение - Произвольный - данные, содержащие подобранную пользователем номенклатуру,
//  ПараметрыЗаполнения - Структура - см. функцию СобытияФормВЕТИСКлиентСервер.ПараметрыЗаполненияТабличнойЧасти.
//  ПараметрыУказанияСерий - Структура - Состав полей определен в функции
//                                     НоменклатураКлиентСервер.ПараметрыУказанияСерий.
Процедура ОбработкаРезультатаПодбораНоменклатуры(Форма, Экспорт
```

Пример вызова
```bsl
СобытияФормВЕТИСПереопределяемый.ОбработкаРезультатаПодбораНоменклатуры(Форма, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
