---
title: События форм ГИСМ переопределяемый
slug: erp-uh/события-форм-гисм-переопределяемый
---


## ПриОпределенииПараметровИнтеграцииДляДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределение параметров интеграции ГИСМ (расположения форматированной строки)
//
// Параметры:
//   Форма            - ФормаКлиентскогоПриложения - прикладная форма для встраивания форматированной строки
//   ПараметрыНадписи - Структура        - (см. СобытияФормИС.ПараметрыИнтеграцииДляДокументаОснования)
Процедура ПриОпределенииПараметровИнтеграцииДляДокументаОснования(Форма, ПараметрыНадписи) Экспорт
```

Пример вызова
```bsl
СобытияФормГИСМПереопределяемый.ПриОпределенииПараметровИнтеграцииДляДокументаОснования(Форма, ПараметрыНадписи) 
```
</details>

## ПриОпределенииПараметровИнтеграцииДляОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределение параметров интеграции ГИСМ (расположения форматированной строки)
//
// Параметры:
//   Форма            - ФормаКлиентскогоПриложения - прикладная форма для встраивания форматированной строки
//   ПараметрыНадписи - Структура        - (см. СобытияФормИС.ПараметрыИнтеграцииДляДокументаОснования)
Процедура ПриОпределенииПараметровИнтеграцииДляОбмена(Форма, ПараметрыНадписи) Экспорт
```

Пример вызова
```bsl
СобытияФормГИСМПереопределяемый.ПриОпределенииПараметровИнтеграцииДляОбмена(Форма, ПараметрыНадписи) 
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
СобытияФормГИСМПереопределяемый.ПослеЗаписиНаСервере(Форма) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СобытияФормГИСМПереопределяемый.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ПриЧтенииНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
СобытияФормГИСМПереопределяемый.ПриЧтенииНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ПриОпределенииТипаНадписиПоФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет требуемый тип надписи в прикладной форме из фиксированного списка:
//   УведомлениеОбОтгрузке
//   УведомлениеОСписании
//   <пустая строка> (надпись не требуется)
//
// Параметры:
//   Форма      - ФормаКлиентскогоПриложения - форма для размещения надписи
//   ТипНадписи - Строка           - тип надписи связанных документов ГИСМ
Процедура ПриОпределенииТипаНадписиПоФорме(Форма, ТипНадписи) Экспорт
```

Пример вызова
```bsl
СобытияФормГИСМПереопределяемый.ПриОпределенииТипаНадписиПоФорме(Форма, ТипНадписи) 
```
</details>

## ПриОпределенииТипаСтатусаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииТипаСтатусаОбмена(Форма, ТипНадписи) Экспорт
```

Пример вызова
```bsl
СобытияФормГИСМПереопределяемый.ПриОпределенииТипаСтатусаОбмена(Форма, ТипНадписи) 
```
</details>

## ПриИзмененииЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Серверная переопределяемая процедура, вызываемая из обработчика события элемента.
//
// Параметры:
//   Форма                   - ФормаКлиентскогоПриложения - форма, из которой происходит вызов процедуры.
//   Элемент                 - Строка           - имя элемента-источника события "При изменении"
//   ДополнительныеПараметры - Структура        - значения дополнительных параметров влияющих на обработку.
//
Процедура ПриИзмененииЭлемента(Форма, Элемент, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормГИСМПереопределяемый.ПриИзмененииЭлемента(Форма, Элемент, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
