---
title: События форм ЕГАИС УТ клиент
slug: erp-uh/события-форм-егаис-ут-клиент
---


## ПриИзмененииЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события элемента.
//
// Параметры:
//   Форма                   - ФормаКлиентскогоПриложения - форма, из которой происходит вызов процедуры.
//   Элемент                 - ЭлементФормы     - элемент-источник события "При изменении"
//   ДополнительныеПараметры - Структура        - дополнительные параметры для обработчика события
//
Процедура ПриИзмененииЭлемента(Форма, Элемент, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ПриИзмененииЭлемента(Форма, Элемент, ДополнительныеПараметры) 
```
</details>

## ПриВыбореЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события элемента.
//
Процедура ПриВыбореЭлемента(Форма, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ПриВыбореЭлемента(Форма, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, ДополнительныеПараметры) 
```
</details>

## ПриАктивизацииЯчейки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события элемента.
//
Процедура ПриАктивизацииЯчейки(Форма, Элемент, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ПриАктивизацииЯчейки(Форма, Элемент, ДополнительныеПараметры) 
```
</details>

## ОбработатьВыборТТНЕГАИСИзСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьВыборТТНЕГАИСИзСписка(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ОбработатьВыборТТНЕГАИСИзСписка(Результат, ДополнительныеПараметры) 
```
</details>

## СформироватьТекстДокументаЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьТекстДокументаЕГАИС(Форма, ОчищатьВместоИзмененияВидимости = Ложь) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.СформироватьТекстДокументаЕГАИС(Форма, ОчищатьВместоИзмененияВидимости);
```
</details>

## ОбработатьВыборТТНЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьВыборТТНЕГАИС(ДополнительныеПараметры, СопоставлятьКлассификаторы = Истина) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ОбработатьВыборТТНЕГАИС(ДополнительныеПараметры, СопоставлятьКлассификаторы);
```
</details>

## ЗаписатьСвязьКонтрагентаПартнераИОрганизацииЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьСвязьКонтрагентаПартнераИОрганизацииЕГАИС(ПараметрыСвязи) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ЗаписатьСвязьКонтрагентаПартнераИОрганизацииЕГАИС(ПараметрыСвязи));
```
</details>

## ОбработатьОтветНаВопросОРасхожденияхПослеВыбораДокументаПоступления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьОтветНаВопросОРасхожденияхПослеВыбораДокументаПоступления(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ОбработатьОтветНаВопросОРасхожденияхПослеВыбораДокументаПоступления(Результат, ДополнительныеПараметры) 
```
</details>

## ОбработатьОтветНаВопросОбОткрытииФормыСопоставленияКлассификаторовЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьОтветНаВопросОбОткрытииФормыСопоставленияКлассификаторовЕГАИС(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ОбработатьОтветНаВопросОбОткрытииФормыСопоставленияКлассификаторовЕГАИС(Результат, ДополнительныеПараметры) 
```
</details>

## ОбработатьРезультатСопоставленияКлассификаторовЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьРезультатСопоставленияКлассификаторовЕГАИС(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ОбработатьРезультатСопоставленияКлассификаторовЕГАИС(Результат, ДополнительныеПараметры) 
```
</details>

## НайтиТТНЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиТТНЕГАИС(Форма) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.НайтиТТНЕГАИС(Форма));
```
</details>

## ОбработатьОтветНаВопросОСвязыванииСВыбраннойТТНЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьОтветНаВопросОСвязыванииСВыбраннойТТНЕГАИС(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ОбработатьОтветНаВопросОСвязыванииСВыбраннойТТНЕГАИС(Результат, ДополнительныеПараметры) 
```
</details>

## ПриЗакрытииФормыПроверкиИПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗакрытииФормыПроверкиИПодбора(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ПриЗакрытииФормыПроверкиИПодбора(Результат, ДополнительныеПараметры) 
```
</details>

## ОткрытьФормуПараметрыПодключенияЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуПараметрыПодключенияЕГАИС(Форма, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ОткрытьФормуПараметрыПодключенияЕГАИС(Форма, ТекущаяСтрока) 
```
</details>

## ПослеПередачиЧекаЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеПередачиЧекаЕГАИС(Изменения, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ПослеПередачиЧекаЕГАИС(Изменения, ПараметрыВыполнения) 
```
</details>

## ПередатьЧекВЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередатьЧекВЕГАИС(Форма, ДополнительныеПараметры, ЭтоОтменаЧека) Экспорт
```

Пример вызова
```bsl
СобытияФормЕГАИСУТКлиент.ПередатьЧекВЕГАИС(Форма, ДополнительныеПараметры, ЭтоОтменаЧека));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
