---
title: События форм ИС
slug: erp-uh/события-форм-ис
---


## ПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЧтенииНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
СобытияФормИС.ПриЧтенииНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормИС.ПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка, ДополнительныеПараметры) 
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
СобытияФормИС.ПослеЗаписиНаСервере(Форма) 
```
</details>

## ПриИзмененииЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Серверная процедура, вызываемая из обработчика события элемента.
//
// Параметры:
//   Форма                   - ФормаКлиентскогоПриложения - форма, в которой происходит событие.
//   Элемент                 - Произвольный     - источник события
//   ДополнительныеПараметры - Структура        - значения дополнительных параметров влияющих на обработку.
//
Процедура ПриИзмененииЭлемента(Форма, Элемент, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормИС.ПриИзмененииЭлемента(Форма, Элемент, ДополнительныеПараметры) 
```
</details>

## ДобавитьПолучитьГруппуИнтеграцииНаФормуДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет группу интеграции на форму-потребитель (форму объекта прикладного документа конфигурации)
//
// Параметры:
//   Форма               - ФормаКлиентскогоПриложения - форма-потребитель интеграции
//   ПараметрыИнтеграции - См. ПараметрыИнтеграцииДляДокументаОснования
//   СоздаватьГруппу - Булево - создавать группу для встраивания строки интеграции (Ложь - при отсутствии группы элемент
//      не будет добавлен).
//
// Возвращаемое значение:
//   ГруппаФормы, Неопределено - добавленная или найденная группа интеграции
//
//
Функция ДобавитьПолучитьГруппуИнтеграцииНаФормуДокументаОснования(Форма, ПараметрыИнтеграции, СоздаватьГруппу = Истина) Экспорт
```

Пример вызова
```bsl
Результат = СобытияФормИС.ДобавитьПолучитьГруппуИнтеграцииНаФормуДокументаОснования(Форма, ПараметрыИнтеграции, СоздаватьГруппу);
```
</details>

## ДобавитьПолеИнтеграцииНаФормуДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет поле интеграции на форму-потребитель (форму объекта прикладного документа конфигурации)
//
// Параметры:
// 	Форма               - ФормаКлиентскогоПриложения - форма-потребитель интеграции
// 	ПараметрыИнтеграции - См. ПараметрыИнтеграцииДляДокументаОснования
// 	ГруппаИнтеграции    - ГруппаФормы      - группа, в которую будет добавлено поле интеграции
//
Процедура ДобавитьПолеИнтеграцииНаФормуДокументаОснования(Форма, ПараметрыИнтеграции, ГруппаИнтеграции) Экспорт
```

Пример вызова
```bsl
СобытияФормИС.ДобавитьПолеИнтеграцииНаФормуДокументаОснования(Форма, ПараметрыИнтеграции, ГруппаИнтеграции) 
```
</details>

## ПараметрыИнтеграцииДляДокументаОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, заполненную значениями по умолчанию, используемую для интеграции реквизитов ГосИС
//   в прикладные формы конфигурации - потребителя библиотеки ГосИС.
//   Содержит настройки встраивания 1 реквизита формы в связке с 1 элементом.
//
// Возвращаемое значение:
//  Структура - значения, используемые для интеграции форматированной строки в прикладной документ:
//   * ГиперссылкаВДокументОснование - Неопределено - признак настройки интеграции гиперссылки в документ-основание
//   * Ключ                       - Строка - ключ настроек интеграции
//   * ИмяЭлементаФормы           - Строка - имя элемента для размещения на форме
//   * ИмяРодительскойГруппыФормы - Строка - имя группы для размещения на форме (для унификации она всегда создается)
//   * РазмещениеВ                - Строка - имя группы/страницы формы где будет размещаться создаваемая группа
//   * РазмещениеПеред            - Строка - имя элемента формы перед которым будет размещаться создаваемая группа
//   * ИмяРеквизитаФормы          - Строка - имя реквизита формы, содержащего форматированную строку (для создания)
//   * Заголовок                  - Строка - заголовок создаваемого реквизита (пустой = не отображать).
//
Функция ПараметрыИнтеграцииДляДокументаОснования() Экспорт
```

Пример вызова
```bsl
Результат = СобытияФормИС.ПараметрыИнтеграцииДляДокументаОснования() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
