---
title: События форм САТУРН клиент
slug: erp-uh/события-форм-сатурн-клиент
---


## ВыполнитьПереопределяемуюКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет переопределяемую команду
//
// Параметры:
//  Форма                   - ФормаКлиентскогоПриложения - форма, в которой расположена команда
//  Команда                 - КомандаФормы     - команда формы
//  ДополнительныеПараметры - Структура        - дополнительные параметры.
//
Процедура ВыполнитьПереопределяемуюКоманду(Форма, Команда, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ВыполнитьПереопределяемуюКоманду(Форма, Команда, ДополнительныеПараметры) 
```
</details>

## ОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает нажатие на гиперссылку со статусом обработки документа в САТУРН.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа, в которой произошло нажатие на гиперссылку,
//  НавигационнаяСсылкаФорматированнойСтроки - Строка - значение гиперссылки форматированной строки,
//  СтандартнаяОбработка - Булево - признак стандартной (системной) обработки события.
//
Процедура ОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник, ДополнительныеПараметры) 
```
</details>

## ПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписи(Форма, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ПослеЗаписи(Форма, ПараметрыЗаписи) 
```
</details>

## ПриИзмененииЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события элемента.
//
// Параметры:
//   Форма                   - ФормаКлиентскогоПриложения - форма, из которой происходит вызов процедуры.
//   Элемент                 - Произвольный     - элемент-источник события "При изменении"
//   ДополнительныеПараметры - Структура        - значения дополнительных параметров влияющих на обработку.
//
Процедура ПриИзмененииЭлемента(Форма, Элемент, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ПриИзмененииЭлемента(Форма, Элемент, ДополнительныеПараметры) 
```
</details>

## ПриВыбореЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события элемента.
//
Процедура ПриВыбореЭлемента(Форма, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ПриВыбореЭлемента(Форма, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, ДополнительныеПараметры);
```
</details>

## ПриАктивизацииЯчейки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события элемента.
//
Процедура ПриАктивизацииЯчейки(Форма, Элемент, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ПриАктивизацииЯчейки(Форма, Элемент, ДополнительныеПараметры) 
```
</details>

## ПриНачалеРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяемая процедура, вызываемая из одноименного обработчика события элемента.
//
Процедура ПриНачалеРедактирования(Форма, Элемент, НоваяСтрока, Копирование, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ПриНачалеРедактирования(Форма, Элемент, НоваяСтрока, Копирование, ДополнительныеПараметры) 
```
</details>

## ВыборЭлементаТабличнойЧастиОткрытьФормуЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при наступлении события "Выбор" в табличной части.
// Открывает форму выбранного элемента, если имя реквизита входит в массив имен.
//
// Параметры:
// Форма - ФормаКлиентскогоПриложения - форма объекта,
// ТаблицаФормы - ТаблицаФормы - таблица в которой произошло событие,
// ВыбранноеПоле - ПолеФормы
Процедура ВыборЭлементаТабличнойЧастиОткрытьФормуЭлемента(Форма, ТаблицаФормы, ВыбранноеПоле) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ВыборЭлементаТабличнойЧастиОткрытьФормуЭлемента(Форма, ТаблицаФормы, ВыбранноеПоле) 
```
</details>

## ПриИзмененииОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении на форме ОКПД2
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма объекта
//  Элемент - ПолеФормы - элемент формы, содержащий ОКПД2
Процедура ПриИзмененииОКПД2(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ПриИзмененииОКПД2(Форма, Элемент) 
```
</details>

## ПриНачалеВыбораОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при начале выбора на форме ОКПД2
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма объекта
//  Элемент - ПолеФормы - элемент формы, содержащий ОКПД2
//  ДанныеВыбора - СписокЗначений - Данные выбора
//  ТекущееЗначение - Строка - текущее значение ОКПД2
//  СтандартнаяОбработка - Булево - флаг стандартной обработки
Процедура ПриНачалеВыбораОКПД2(Форма, Элемент, ДанныеВыбора, ТекущееЗначение, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ПриНачалеВыбораОКПД2(Форма, Элемент, ДанныеВыбора, ТекущееЗначение, СтандартнаяОбработка) 
```
</details>

## ПриОбработкеВыбораОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при обработке выбора на форме ОКПД2
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма объекта
//  Элемент - ПолеФормы - элемент формы, содержащий ОКПД2
//  ВыбранноеЗначение - Произвольный - Выбранное значение
//  СтандартнаяОбработка - Булево - флаг стандартной обработки
Процедура ПриОбработкеВыбораОКПД2(Форма, Элемент, ВыбранноеЗначение, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ПриОбработкеВыбораОКПД2(Форма, Элемент, ВыбранноеЗначение, СтандартнаяОбработка) 
```
</details>

## ПриАвтоподбореОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при вводе текста и автоподборе на форме ОКПД2
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма объекта
//  Элемент - ПолеФормы - элемент формы, содержащий ОКПД2
//  Текст - Строка - текст автоподбора
//  ДанныеВыбора - СписокЗначений - Данные выбора
//  ПараметрыПолученияДанных - Структура - Параметры получения данных
//  Ожидание - Булево - флаг ожидания
//  СтандартнаяОбработка - Булево - флаг стандартной обработки
Процедура ПриАвтоподбореОКПД2(Форма, Элемент, Текст, ДанныеВыбора, ПараметрыПолученияДанных, Ожидание, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СобытияФормСАТУРНКлиент.ПриАвтоподбореОКПД2(Форма, Элемент, Текст, ДанныеВыбора, ПараметрыПолученияДанных, Ожидание, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
