---
title: Соответствие требованиям ГИСМТ
slug: erp-uh/соответствие-требованиям-гисмт
---


## ПроверкаДокументовВГИСМТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка документов ВГИСМТ.
// Запуск фонового задания для обновления
Процедура ПроверкаДокументовВГИСМТ() Экспорт
```

Пример вызова
```bsl
СоответствиеТребованиямГИСМТ.ПроверкаДокументовВГИСМТ() 
```
</details>

## ПроверкаДокументаНаСоответствиеТребованиямГИСМТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка документа на соответствие требованиям ГИС МТ.
//
// Параметры:
//  ПараметрыПроверки - Структура - Параметры проверки:
// * Документ - ОпределяемыйТип.ПрикладныеДокументыГИСМТ
// * УникальныйИдентификатор - УникальныйИдентификатор
// * ЭтоФоноваяПроверкаДокумента - Булево
// * ДополнитьРезультатДаннымиКомандыФормы - Булево
// Возвращаемое значение:
//  Структура - Проверка документа на соответствие требованиям ГИС МТ:
// * ТребуетсяОбновлениеКлючаСессии - Булево - Требуется обновление ключа сессии
// * РезультатПроверки - Неопределено , ХранилищеЗначения - Результат проверки документа
// * Документ - ОпределяемыйТип.ПрикладныеДокументыГИСМТ
// * Организация - Неопределено, ОпределяемыйТип.Организация - Организация
// * Контрагент - Неопределено, ОпределяемыйТип.КонтрагентГосИС - Контрагент
// * АдресВоВременномХранилище - Неопределено, Строка -Адрес во временном хранилище
// * ДлительнаяОперация - Неопределено, Строка -Длительная операция
// * Ожидать - Неопределено, Строка -Длительная операция
Функция ПроверкаДокументаНаСоответствиеТребованиямГИСМТ(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
Результат = СоответствиеТребованиямГИСМТ.ПроверкаДокументаНаСоответствиеТребованиямГИСМТ(ПараметрыПроверки) 
```
</details>

## ПриПолученииДанныхНаСервереДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события динамического списка для документов, подлежащих проверке в ГИС МТ
//
// Параметры:
//  Строки - СтрокиДинамическогоСписка
Процедура ПриПолученииДанныхНаСервереДокумента(Строки) Экспорт
```

Пример вызова
```bsl
СоответствиеТребованиямГИСМТ.ПриПолученииДанныхНаСервереДокумента(Строки) 
```
</details>

## РезультатПроверкиПоМассивуДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Результат проверки по массиву документов.
//
// Параметры:
//  МассивДокументов - Массив из ОпределяемыйТип.ПрикладныеДокументыГИСМТ - массив документов
//  МассивИдентификаторов - Неопределено, Массив из Строка - массив идентификаторов
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение - результаты проверки по массиву документов:
//  * Ключ - ОпределяемыйТип.ПрикладныеДокументыГИСМТ
//  * Значение - см. ПустойРезультатПроверки
Функция РезультатПроверкиПоМассивуДокументов(МассивДокументов, МассивИдентификаторов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СоответствиеТребованиямГИСМТ.РезультатПроверкиПоМассивуДокументов(МассивДокументов, МассивИдентификаторов);
```
</details>

## СостояниеКомандыСоответствиеТребованиямГИСМТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Состояние команды соответствие требованиям ГИС МТ.
//
// Параметры:
//  Документ - ОпределяемыйТип.ПрикладныеДокументыГИСМТ
//  РезультатПроверкиПоДокументу - Неопределено, см. РезультатПроверкиПоДокументу - результат проверки по документу
//
// Возвращаемое значение:
//  Структура - Состояние команды соответствие требованиям ГИС МТ:
// * Заголовок - Строка -
// * Видимость - Булево -
// * ЦветТекста - Цвет -
// * ВидКнопкиФормы - Строка -
// * ОтображениеФигуры - ОтображениеФигурыКнопки -
// * Статус - Неопределено -
Функция СостояниеКомандыСоответствиеТребованиямГИСМТ(Документ, РезультатПроверкиПоДокументу = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СоответствиеТребованиямГИСМТ.СостояниеКомандыСоответствиеТребованиямГИСМТ(Документ, РезультатПроверкиПоДокументу);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
