---
title: Соответствие требованиям ГИСМТ переопределяемый
slug: erp-uh/соответствие-требованиям-гисмт-переопределяемый
---


## ПередОпределениемПараметровИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перед определением параметров интеграции.
// Определяет необходимость встраивания гиперссылки в форме документа
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  ВстроитьГиперссылку - Булево
Процедура ПередОпределениемПараметровИнтеграции(Форма, ВстроитьГиперссылку) Экспорт
```

Пример вызова
```bsl
СоответствиеТребованиямГИСМТПереопределяемый.ПередОпределениемПараметровИнтеграции(Форма, ВстроитьГиперссылку) 
```
</details>

## ПриОпределенииПараметровИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении параметров интеграции.
// Определяет группу для размещения статуса проверки документа в ГИС МТ
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  ПараметрыИнтеграции - Структура:
// * ИмяРеквизитаФормыОбъект - Строка - Имя реквизита объекта в форме
// * РазмещатьЭлементыИнтерфейса - Булево - Размещать элементы интерфейса
// * ИмяРодительскойГруппыФормы - Строка - Имя группы, в которую будет встроена гиперссылка
// * ИмяКомандыСоответствиеТребованиямГИСМТ - Строка - Дата документа
// * ЗапуститьПроверкуДокументаВФоне - Булево - значение константы ИспользоватьФоновуюПроверкуДокументовГИСМТ
// * ИнтервалОбработкиОжидания - Строка - интервал обработки ожидания при фоновой проверке
Процедура ПриОпределенииПараметровИнтеграции(Форма, ПараметрыИнтеграции) Экспорт
```

Пример вызова
```bsl
СоответствиеТребованиямГИСМТПереопределяемый.ПриОпределенииПараметровИнтеграции(Форма, ПараметрыИнтеграции) 
```
</details>

## ПриОпределенииРеквизитовДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении реквизитов документа.
// Необходимо заполнить в структуре РеквизитыДокумента из прикладного документа поля:
// Дата, Организация, Контрагент
// Параметры:
//  Документ - ОпределяемыйТип.ПрикладныеДокументыГИСМТ
//  РеквизитыДокумента - Структура:
// * Дата - Дата - Дата документа
// * Организация - Неопределено, ОпределяемыйТип.Организация - Организация
// * Контрагент - Неопределено, ОпределяемыйТип.КонтрагентГосИС - Контрагент
Процедура ПриОпределенииРеквизитовДокумента(Документ, РеквизитыДокумента) Экспорт
```

Пример вызова
```bsl
СоответствиеТребованиямГИСМТПереопределяемый.ПриОпределенииРеквизитовДокумента(Документ, РеквизитыДокумента) 
```
</details>

## ПриОпределенииТипаДокументаГИСМТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении типа документа.
// Необходимо заполнить тип документа ГИС МТ
// Параметры:
//  Документ - ОпределяемыйТип.ПрикладныеДокументыГИСМТ
//  ТипДокументаГИСМТ - ПеречислениеСсылка.ТипыДокументовГИСМТ - Тип документа
Процедура ПриОпределенииТипаДокументаГИСМТ(Документ, ТипДокументаГИСМТ) Экспорт
```

Пример вызова
```bsl
СоответствиеТребованиямГИСМТПереопределяемый.ПриОпределенииТипаДокументаГИСМТ(Документ, ТипДокументаГИСМТ) 
```
</details>

## ПриВыполненииОтдельныхПроверокПродавцаИПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При выполнении отдельных проверок продавца и покупателя.
// Вызывается во время отдельных проверок покупателя и продавца, до формирования УПД
// Параметры:
//  ПараметрыОбработки - см. СоответствиеТребованиямГИСМТ.ИнициализироватьПараметрыОбработки
Процедура ПриВыполненииОтдельныхПроверокПродавцаИПокупателя(ПараметрыОбработки) Экспорт
```

Пример вызова
```bsl
СоответствиеТребованиямГИСМТПереопределяемый.ПриВыполненииОтдельныхПроверокПродавцаИПокупателя(ПараметрыОбработки) 
```
</details>

## ПослеПроверкиСтатусаГИСМТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После проверки статуса ГИС МТ.
// Вызывается после проверки статуса документа в ГИС МТ.
// Позволяет выполнить обработку, после получения статуса документа из сервиса ГИС МТ.
// Параметры:
//  ПараметрыОбработки - см. СоответствиеТребованиямГИСМТ.ИнициализироватьПараметрыОбработки
Процедура ПослеПроверкиСтатусаГИСМТ(ПараметрыОбработки) Экспорт
```

Пример вызова
```bsl
СоответствиеТребованиямГИСМТПереопределяемый.ПослеПроверкиСтатусаГИСМТ(ПараметрыОбработки) 
```
</details>

## ПриПолученииСтатусаДокументаИзОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении статуса документа из очереди.
// Вызывается после проверки статуса документа в ГИС МТ.
// Позволяет выполнить обработку, после получения статуса документа из сервиса ГИС МТ.
// Параметры:
//  СтрокаОчереди - СтрокаТаблицыЗначений из см.СоответствиеТребованиямГИСМТ.ИнициализироватьОчередьДокументов.
Процедура ПриПолученииСтатусаДокументаИзОчереди(СтрокаОчереди) Экспорт
```

Пример вызова
```bsl
СоответствиеТребованиямГИСМТПереопределяемый.ПриПолученииСтатусаДокументаИзОчереди(СтрокаОчереди) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
