---
title: Сопоставление номенклатуры контрагентов
slug: erp-uh/сопоставление-номенклатуры-контрагентов
---


## ИдентификаторНоменклатурыКонтрагентаПоНатуральнымКлючам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует "идентификатор по-умолчанию" номенклатуры контрагента на случай, если из внешнего источника
// (информационной системы, с которой выполняется сопоставление) получить идентификатор не удалось.
// Вычисляется как хеш-сумма натуральных ключей номенклатуры контрагента.
//
// Параметры:
//  НоменклатураКонтрагента - см. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента
//  Состав - Массив из Строка - имена ключей НоменклатураКонтрагента, которые должны войти в состав идентификатора,
//                              значение по умолчанию НатуральныеКлючиНоменклатурыКонтрагента
//
// Возвращаемое значение:
//  Строка - текст запроса.
//
Функция ИдентификаторНоменклатурыКонтрагентаПоНатуральнымКлючам(Знач НоменклатураКонтрагента, Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.ИдентификаторНоменклатурыКонтрагентаПоНатуральнымКлючам(НоменклатураКонтрагента, );
```
</details>

## СоздатьОбновитьНоменклатуруКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новую или обновляет существующую номенклатуру контрагента.
//
// Параметры:
//  ДанныеНоменклатурыКонтрагента - Структура - данные номенклатуры контрагента для создания элемента.
//                                              См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента.
//  НоменклатураИБ                - Структура - соответствие номенклатуре информационной базы.
//                                              См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагентаИнформационнойБазы.
//  Отказ                         - Булево - при записи объекта произошла ошибка.
//  ТекстОшибкиПользователю       - Строка - текст ошибки при возникновении исключительной ситуации.
//  ДополнительныеПараметры       - Структура - управляемые параметры при записи номенклатуры контрагента.
//                                              См. НовыеДополнительныеПараметрыПриЗаписиНоменклатурыКонтрагентов.
//  ПометитьНаУдаление            - Булево - признак пометки на удаление.
//
Процедура СоздатьОбновитьНоменклатуруКонтрагента(ДанныеНоменклатурыКонтрагента, Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.СоздатьОбновитьНоменклатуруКонтрагента(ДанныеНоменклатурыКонтрагента, );
```
</details>

## ЗаполнитьДанныеНоменклатурыКонтрагентаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данные номенклатуры контрагента по ссылке или объекту справочника номенклатуры контрагента.
//
// Параметры:
//  НоменклатураКонтрагента       - СправочникСсылка.НоменклатураКонтрагентов - объект номенклатуры контрагента.
//                                  СправочникОбъект.НоменклатураКонтрагентов - ссылка номенклатуры контрагента.
//  ДанныеНоменклатурыКонтрагента - Структура                                 - данные номенклатуры контрагента.
//                                                                              См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента.
//
Процедура ЗаполнитьДанныеНоменклатурыКонтрагентаПоСсылке(НоменклатураКонтрагента, ДанныеНоменклатурыКонтрагента) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ЗаполнитьДанныеНоменклатурыКонтрагентаПоСсылке(НоменклатураКонтрагента, ДанныеНоменклатурыКонтрагента) 
```
</details>

## ЗаполнитьОбъектНоменклатурыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет объект номенклатуры контрагента по передаваемым данным номенклатуры контрагента.
//
// Параметры:
//  ОбъектНоменклатураКонтрагента          - СправочникОбъект.НоменклатураКонтрагентов - объект номенклатуры контрагента.
//  ДанныеНоменклатурыКонтрагента          - Структура из см. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента -
//                                                                                     данные номенклатуры контрагента.
//  НоменклатураИБ                         - Структура из см. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагентаИнформационнойБазы -
//                                                                                     данные номенклатуры информационной базы.
//  ТребуетсяПоискЕдиницыИзмеренияПоОКЕИ   - Булево                                    - признак необходимости выполнить поиск единицы измерения по ОКЕИ
//                                                                                       для заполнения данных контрагента, если единица измерения не была заполнена.
//  ДанныеРегистраНоменклатурыКонтрагентов - Булево                                    - данные номенклатуры контрагента заполнены из регистра сведений
//                                                                                       НоменклатураКонтрагентовБЭД.
//
Процедура ЗаполнитьОбъектНоменклатурыКонтрагента(ОбъектНоменклатураКонтрагента, ДанныеНоменклатурыКонтрагента, Знач НоменклатураИБ = Неопределено, Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ЗаполнитьОбъектНоменклатурыКонтрагента(ОбъектНоменклатураКонтрагента, ДанныеНоменклатурыКонтрагента, НоменклатураИБ, );
```
</details>

## ЗаполнитьПустоеСопоставлениеВНоменклатуреКонтрагентаПоНоменклатуреИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет пустое сопоставление в номенклатуре контрагента по номенклатуре информационной базы из таблицы товаров.
//
// Параметры:
//  ТаблицаТоваров            - ТаблицаЗначений - таблицы товаров, которая будет помещена во временную таблицу.
//  Отказ                     - Булево          - признак наличия ошибок при выполнении процедуры.
//  ТаблицаТоваровПоУмолчанию - Булево          - признак необходимости использовать временную таблицу Товары с колонками:
//                                                НоменклатураКонтрагента, Номенклатура, Характеристика, Упаковка.
//
Процедура ЗаполнитьПустоеСопоставлениеВНоменклатуреКонтрагентаПоНоменклатуреИБ(Знач ТаблицаТоваров, Отказ, ТаблицаТоваровПоУмолчанию = Ложь) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ЗаполнитьПустоеСопоставлениеВНоменклатуреКонтрагентаПоНоменклатуреИБ(ТаблицаТоваров, Отказ, ТаблицаТоваровПоУмолчанию);
```
</details>

## НовыеДополнительныеПараметрыПриЗаписиНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дополнительные параметры при записи номенклатуры контрагентов.
//
// Возвращаемое значение:
//  Структура - содержит параметры:
//   * ТребуетсяЗаписьВРегистр                - Булево - признак необходимости обновить запись в регистре сведений НоменклатураКонтрагентовБЭД.
//   * ТребуетсяПоискСсылки                   - Булево - признак необходимости выполнить поиск ссылки номенклатуры контрагента.
//   * ТребуетсяПоискЕдиницыИзмеренияПоОКЕИ   - Булево - признак необходимости выполнить поиск единицы измерения по ОКЕИ
//                                                       для заполнения данных контрагента, если единица измерения не была заполнена.
//   * ДанныеРегистраНоменклатурыКонтрагентов - Булево - данные номенклатуры контрагента заполнены из регистра сведений НоменклатураКонтрагентовБЭД.
//
Функция НовыеДополнительныеПараметрыПриЗаписиНоменклатурыКонтрагентов() Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.НовыеДополнительныеПараметрыПриЗаписиНоменклатурыКонтрагентов() 
```
</details>

## ТекстЗапросаПоискаДублирующихСтрокНеСопоставленнойНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса с дублирующими строками не сопоставленной номенклатуры контрагента в таблице товаров.
// В запроса используется параметр ПустаяНоменклатура, который необходимо установить в запросе.
// Таблица товаров должна содержать колонки:
//   НомерСтроки             - Строка                                        - номер строки товара.
//   НоменклатураКонтрагента - СправочникСсылка.НоменклатураКонтрагентов     - ссылка номенклатуры контрагента.
//   Номенклатура            - ОпределяемыйТип.НоменклатураБЭД               - ссылка номенклатуры.
//   Характеристика          - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - ссылка характеристики.
//   Упаковка                - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - ссылка упаковки.
//
// Параметры:
//  ИмяВременнойТаблицыТоваров - Строка - наименование временной таблицы. По умолчанию наименование "ВременнаяТаблицаТовары".
//
// Возвращаемое значение:
//  Строка - текст запроса.
//
Функция ТекстЗапросаПоискаДублирующихСтрокНеСопоставленнойНоменклатурыКонтрагентов(Знач ИмяВременнойТаблицыТоваров = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.ТекстЗапросаПоискаДублирующихСтрокНеСопоставленнойНоменклатурыКонтрагентов(ИмяВременнойТаблицыТоваров);
```
</details>

## РезультатЗапросаПоискаНоменклатурыКонтрагентаПриИзмененииВладельца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса с найденной однозначной номенклатурой контрагента по таблице товаров при изменении владельца.
//
// Параметры:
//  ВладелецНоменклатуры - ОпределяемыйТип.ВладелецНоменклатурыБЭД - владелец номенклатуры.
//  Товары               - ТаблицаЗначений                         - содержит колонки:
//   * НомерСтроки             - Строка                                        - номер строки в таблице номенклатуры ИБ.
//                                                                               Если колонка отсутствует - добавляется в таблицу.
//   * Номенклатура            - ОпределяемыйТип.НоменклатураБЭД               - номенклатура информационной базы.
//   * Характеристика          - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика информационной базы.
//   * Упаковка                - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка информационной базы.
//   * НоменклатураКонтрагента - СправочникСсылка.НоменклатураКонтрагентов     - ссылка номенклатуры контрагентов.
//                                                                               Если колонка отсутствует - добавляется в таблицу.
//                                                                               Используется для поиска по идентификатору аналогичной
//                                                                               номенклатуры контрагента при смене владельца.
//
// Возвращаемое значение:
//  РезультатЗапроса - результат запроса поиска номенклатуры контрагента по номенклатуре информационной базы:
//   * НомерСтроки             - Строка                                        - номер строки из таблицы Товары.
//   * НоменклатураКонтрагента - СправочникСсылка.НоменклатураКонтрагентов     - ссылка номенклатуры контрагентов.
//
Функция РезультатЗапросаПоискаНоменклатурыКонтрагентаПриИзмененииВладельца(Знач ВладелецНоменклатуры, Знач Товары) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.РезультатЗапросаПоискаНоменклатурыКонтрагентаПриИзмененииВладельца(ВладелецНоменклатуры, Товары) 
```
</details>

## РезультатЗапросаПоискаНоменклатурыКонтрагентаПоНоменклатуреИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса с найденной однозначной номенклатурой контрагента по номенклатуре информационной базы в разрезе владельца.
//
// Параметры:
//  ВладелецНоменклатуры - ОпределяемыйТип.ВладелецНоменклатурыБЭД - владелец номенклатуры.
//  Товары               - ТаблицаЗначений                         - содержит колонки:
//   * НомерСтроки             - Строка                                        - номер строки в таблице номенклатуры ИБ.
//                                                                               Если колонка отсутствует - добавляется в таблицу.
//   * Номенклатура            - ОпределяемыйТип.НоменклатураБЭД               - номенклатура информационной базы.
//   * Характеристика          - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика информационной базы.
//   * Упаковка                - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка информационной базы.
//   * НоменклатураКонтрагента - СправочникСсылка.НоменклатураКонтрагентов     - ссылка номенклатуры контрагентов.
//                                                                               Если колонка отсутствует - добавляется в таблицу.
//                                                                               Используется для поиска по идентификатору аналогичной
//                                                                               номенклатуры контрагента при смене владельца.
//
// Возвращаемое значение:
//  РезультатЗапроса - результат запроса поиска номенклатуры контрагента по номенклатуре информационной базы:
//   * НомерСтроки                        - Строка                                        - номер строки из таблицы Товары.
//   * НоменклатураКонтрагента            - СправочникСсылка.НоменклатураКонтрагентов     - ссылка номенклатуры контрагентов.
//   * КоличествоНоменклатурыКонтрагентов - Число                                         - количество найденных по фильтрации номенклатур контрагента.
//   * Номенклатура                       - ОпределяемыйТип.НоменклатураБЭД               - номенклатура информационной базы.
//   * Характеристика                     - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика информационной базы.
//   * Упаковка                           - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка информационной базы.
//
Функция РезультатЗапросаПоискаНоменклатурыКонтрагентаПоНоменклатуреИБ(Знач ВладелецНоменклатуры, Знач Товары) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.РезультатЗапросаПоискаНоменклатурыКонтрагентаПоНоменклатуреИБ(ВладелецНоменклатуры, Товары) 
```
</details>

## НоменклатураКонтрагентаПоНоменклатуреВСтрокеТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номенклатуру контрагента найденную по номенклатуре информационной базы в строке таблицы.
//
// Параметры:
//  ВладелецНоменклатуры - ОпределяемыйТип.ВладелецНоменклатурыБЭД - владелец номенклатуры.
//  НоменклатураИБ       - Структура                               - содержит информацию из строки таблицы.
//                               См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагентаИнформационнойБазы.
//
// Возвращаемое значение:
//  СправочникСсылка.НоменклатураКонтрагентов - ссылка на найденную номенклатуру контрагента.
//                                              Если номенклатура контрагента не найдена возвращается пустая ссылка.
//
Функция НоменклатураКонтрагентаПоНоменклатуреВСтрокеТаблицы(Знач ВладелецНоменклатуры, Знач НоменклатураИБ) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.НоменклатураКонтрагентаПоНоменклатуреВСтрокеТаблицы(ВладелецНоменклатуры, НоменклатураИБ) 
```
</details>

## ДанныеНоменклатурыКонтрагентовПоВнутреннимИдентификаторам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу данных номенклатуры контрагентов найденных по уникальным идентификаторам.
//
// Параметры:
//  УникальныеИдентификаторы - Массив из Строка - уникальные идентификаторы, по которым необходимо вернуть данные номенклатуры контрагентов.
//
// Возвращаемое значение:
//  ТаблицаЗначений - данные номенклатуры контрагента:
//   * НоменклатураКонтрагента             - СправочникСсылка.НоменклатураКонтрагентов - ссылка номенклатуры контрагента.
//   * ВладелецНоменклатуры                - ОпределяемыйТип.ВладелецНоменклатурыБЭД   - ссылка на владельца номенклатуры контрагента.
//   * Идентификатор                       - Строка                                    - идентификатор номенклатуры контрагента.
//   * ИдентификаторНоменклатурыСервиса    - Строка                                    - идентификатор номенклатуры в сервисе 1С:Номенклатура.
//   * ИдентификаторХарактеристикиСервиса  - Строка                                    - идентификатор характеристики в сервисе 1С:Номенклатура.
//   * НаименованиеНоменклатуры            - Строка                                    - наименование номенклатуры.
//   * НаименованиеХарактеристики          - Строка                                    - наименование характеристики.
//   * НаименованиеУпаковки                - Строка                                    - наименование упаковки.
//   * НаименованиеБазовойЕдиницыИзмерения - Строка                                    - наименование базовой единицы измерения.
//   * КодОКЕИБазовойЕдиницыИзмерения      - Строка                                    - код ОКЕИ единицы измерения.
//   * КоличествоБазовойЕдиницыИзмерения   - Строка                                    - числитель.
//   * КоличествоУпаковок                  - Строка                                    - знаменатель.
//   * Штрихкод                            - Строка                                    - штрихкод комбинации: номенклатура, характеристика, упаковка.
//   * ДругиеШтрихкодыНоменклатурыСтрокой  - Строка                                    - штрихкоды номенклатуры через запятую.
//   * Артикул                             - Строка                                    - артикул.
//   * СтавкаНДС                           - Строка                                    - ставка ндс.
//
Функция ДанныеНоменклатурыКонтрагентовПоВнутреннимИдентификаторам(Знач УникальныеИдентификаторы) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.ДанныеНоменклатурыКонтрагентовПоВнутреннимИдентификаторам(УникальныеИдентификаторы) 
```
</details>

## СоздатьВременнуюТаблицуНоменклатурыКонтрагентовПоТаблицеОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает временную таблицу поиска номенклатуры контрагентов в информационной базе по таблице отбора.
// Колонки:
//  Идентификатор                       - Строка - идентификатор номенклатуры.
//  Наименование                        - Строка - наименование номенклатуры.
//  НаименованиеХарактеристики          - Строка - наименование характеристики.
//  ЕдиницаИзмерения                    - Строка - если заполнено наименование упаковки передается оно, иначе наименование единицы измерения (базовой).
//  ЕдиницаИзмеренияКод                 - Строка - код единицы измерения.
//  Артикул                             - Строка - артикул номенклатуры.
//  СтавкаНДС                           - Строка - ставка НДС номенклатуры.
//  Штрихкод                            - Строка - штрихкод (не используется, вместо него используются поля:штрихкод комбинации и штрихкод номенклатуры).
//  ШтрихкодКомбинации                  - Строка - штрихкод комбинации: номенклатура, характеристика, упаковка.
//  ШтрихкодыНоменклатуры               - Строка - штрихкоды номенклатуры через запятую.
//  ИдентификаторНоменклатурыСервиса    - Строка - идентификатор номенклатуры в сервисе 1С:Номенклатура.
//  ИдентификаторХарактеристикиСервиса  - Строка - идентификатор характеристики в сервисе 1С:Номенклатура.
//  НаименованиеУпаковки                - Строка - наименование упаковки.
//  НаименованиеБазовойЕдиницаИзмерения - Строка - наименование базовой единицы измерения.
//  КоличествоУпаковок                  - Число  - количество упаковок (знаменатель).
//  КоличествоБазовойЕдиницыИзмерения   - Число  - количество единицы измерения (числитель).
//  Владелец                            - ОпределяемыйТип.ВладелецНоменклатурыБЭД       - владелец номенклатуры информационной базы.
//  Номенклатура                        - ОпределяемыйТип.НоменклатураБЭД               - номенклатура информационной базы.
//  Характеристика                      - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика информационной базы.
//  Упаковка                            - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка информационной базы.
//
//  Отбор производиться по следующему сочетанию полей:
//   НоменклатураКонтрагента - если заполнена номенклатура контрагента.
//   Владелец, Номенклатура, Характеристика, Упаковка - если номенклатура контрагента пустая.
//
// Параметры:
//  ТаблицаОтбора           - ТаблицаЗначений         - таблица для отбора записей сопоставления:
//   * Владелец                 - ОпределяемыйТип.ВладелецНоменклатурыБЭД       - владелец номенклатуры.
//   * НоменклатураКонтрагента  - СправочникСсылка.НоменклатураКонтрагентов     - ссылка номенклатуры контрагента.
//   * Номенклатура             - ОпределяемыйТип.НоменклатураБЭД               - номенклатура информационной базы.
//   * Характеристика           - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика информационной базы.
//   * Упаковка                 - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка информационной базы.
//  ИмяВременнойТаблицы     - Строка                  - имя временной таблицы, в которую нужно поместить отобранные данные.
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц, в котором будет создана временная таблица.
//
Процедура СоздатьВременнуюТаблицуНоменклатурыКонтрагентовПоТаблицеОтборов(Знач ТаблицаОтбора, Знач ИмяВременнойТаблицы, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.СоздатьВременнуюТаблицуНоменклатурыКонтрагентовПоТаблицеОтборов(ТаблицаОтбора, ИмяВременнойТаблицы, МенеджерВременныхТаблиц) 
```
</details>

## РезультатЗапросаОднозначноСопоставленнойНоменклатурыКонтрагентаПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса с однозначно найденной сопоставленной номенклатурой контрагента по идентификатору владельца.
// В исходную таблицу добавляется колонка "НоменклатураКонтрагентов".
//
// Параметры:
//  ТаблицаТоваров - ТаблицаЗначений - Содержит колонки:
//   * НомерСтроки             - Строка                                        - номер строки в таблице номенклатуры ИБ.
//                                                                               Если колонка отсутствует - добавляется в таблицу.
//   * Владелец                - ОпределяемыйТип.ВладелецНоменклатурыБЭД       - владелец номенклатуры.
//   * Номенклатура            - ОпределяемыйТип.НоменклатураБЭД               - номенклатура информационной базы.
//   * Характеристика          - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика информационной базы.
//   * Упаковка                - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка информационной базы.
//   * Идентификатор           - Строка                                        - идентификатор номенклатуры поставщика.
//
// Возвращаемое значение:
//  РезультатЗапроса - Содержит колонки:
//   * НомерСтроки             - Строка                                        - номер строки в таблице номенклатуры ИБ.
//                                                                               Если колонка отсутствует - добавляется в таблицу.
//   * Владелец                - ОпределяемыйТип.ВладелецНоменклатурыБЭД       - владелец номенклатуры.
//   * Номенклатура            - ОпределяемыйТип.НоменклатураБЭД               - номенклатура информационной базы.
//   * Характеристика          - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика информационной базы.
//   * Упаковка                - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка информационной базы.
//   * Идентификатор           - Строка                                        - идентификатор номенклатуры поставщика.
//   * НоменклатураКонтрагента - СправочникСсылка.НоменклатураКонтрагентов     - ссылка номенклатуры контрагентов.
//
Функция РезультатЗапросаОднозначноСопоставленнойНоменклатурыКонтрагентаПоИдентификатору(ТаблицаТоваров) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.РезультатЗапросаОднозначноСопоставленнойНоменклатурыКонтрагентаПоИдентификатору(ТаблицаТоваров) 
```
</details>

## УстановитьСоответствиеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет данные о номенклатуре контрагента и устанавливает их соответствие номенклатуре информационной базы.
//
// Параметры:
//  НоменклатураКонтрагента    - Структура - номенклатура контрагента. См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента.
//  НоменклатураИБ             - Структура - номенклатура ИБ. См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураИнформационнойБазы.
//                                           Если Неопределено, то данные о номенклатуре контрагента сохраняются
//                                           без сопоставления с номенклатурой информационной базы.
//  ИспользоватьХарактеристики - Булево - признак использования характеристики в номенклатуре.
//  Замещать                   - Булево - признак замещения записей.
//
Процедура УстановитьСоответствиеНоменклатуры(Знач НоменклатураКонтрагента, Знач НоменклатураИБ = Неопределено, Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.УстановитьСоответствиеНоменклатуры(НоменклатураКонтрагента, НоменклатураИБ, );
```
</details>

## УдалитьСоответствиеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет данные о номенклатуре контрагента из информационной базы.
//
// Параметры:
//  НоменклатураКонтрагента - Структура - номенклатура контрагента для удаления.
//                                        Обязательно должны быть заданы свойства "Владелец" и "Идентификатор".
//                                        См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента.
//
Процедура УдалитьСоответствиеНоменклатуры(Знач НоменклатураКонтрагента) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.УдалитьСоответствиеНоменклатуры(НоменклатураКонтрагента) 
```
</details>

## НайтиСоответствиеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие номенклатуры контрагента и информационной базы, удовлетворяющие отбору.
//
// Параметры:
//  Отбор - Структура - параметры отбора:
//   * НоменклатураКонтрагента - Массив из см. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента
//                             - см. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента
//                               поиск по номенклатуре контрагента. Работает только по свойствам "Владелец",
//                               "Идентификатор" и ИсторияИдентификаторов.
//   * НоменклатураИБ - Массив из см. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураИнформационнойБазы
//                    - см. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураИнформационнойБазы
//                      поиск по номенклатуре информационной базы.
//   * Владелец - ОпределяемыйТип.ВладелецНоменклатурыБЭД - отбор по владельцу номенклатуры.
//                                                          Актуально, если задан только отбор по номенклатуре ИБ.
//  ТолькоСопоставленные - Булево - возвращаются только такие элементы, у которых заполнена номенклатура информационной базы.
//
// Возвращаемое значение:
//  Массив из см. СопоставлениеНоменклатурыКонтрагентовСлужебный.НовоеСоответствиеНоменклатуры - соответствия
//   номенклатуры, удовлетворяющие отбору.
//
Функция НайтиСоответствиеНоменклатуры(Знач Отбор = Неопределено, Знач ТолькоСопоставленные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.НайтиСоответствиеНоменклатуры(Отбор, ТолькоСопоставленные);
```
</details>

## СоздатьВременнуюТаблицуСоответствияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает временную таблицу соответствия номенклатуры контрагентов и информационной базы.
// Колонки:
//  Идентификатор                       - Строка - идентификатор номенклатуры.
//  Наименование                        - Строка - наименование номенклатуры.
//  НаименованиеХарактеристики          - Строка - наименование характеристики.
//  ЕдиницаИзмерения                    - Строка - если заполнено наименование упаковки передается оно, иначе наименование единицы измерения (базовой).
//  ЕдиницаИзмеренияКод                 - Строка - код единицы измерения.
//  Артикул                             - Строка - артикул номенклатуры.
//  СтавкаНДС                           - Строка - ставка НДС номенклатуры.
//  Штрихкод                            - Строка - штрихкод (не используется, вместо него используются поля:штрихкод комбинации и штрихкод номенклатуры).
//  ШтрихкодКомбинации                  - Строка - штрихкод комбинации: номенклатура, характеристика, упаковка.
//  ШтрихкодыНоменклатуры               - Строка - штрихкоды номенклатуры через запятую.
//  ИдентификаторНоменклатурыСервиса    - Строка - идентификатор номенклатуры в сервисе 1С:Номенклатура.
//  ИдентификаторХарактеристикиСервиса  - Строка - идентификатор характеристики в сервисе 1С:Номенклатура.
//  НаименованиеУпаковки                - Строка - наименование упаковки.
//  НаименованиеБазовойЕдиницаИзмерения - Строка - наименование базовой единицы измерения.
//  Владелец                            - ОпределяемыйТип.ВладелецНоменклатурыБЭД       - владелец номенклатуры информационной базы.
//  Номенклатура                        - ОпределяемыйТип.НоменклатураБЭД               - номенклатура информационной базы.
//  Характеристика                      - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика информационной базы.
//  Упаковка                            - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка информационной базы.
//  ТипНоменклатурыФНС                  - ПеречислениеСсылка.ТипыНоменклатурыФНС - соответствует значению Признак УПД.
//  КодНоменклатуры                     - Строка - код номенклатуры.
//  КодПоКТРУ                           - Строка - код по КТРУ.
//  КодТНВЭД                            - Строка - код ТН ВЭД.
//  СтранаПроисхожденияКод              - Строка - код страны происхождения.
//  ПрослеживаемыйТовар                 - Булево - признак прослеживаемости.
//  МаркируемыйТовар                    - Булево - признак маркировки.
//
// Отбор производиться по следующему сочетанию полей:
//  (Владелец, Идентификатор), если идентификатор не равен пустой строке.
//  (Владелец, Номенклатура, Характеристика, Упаковка), если идентификатор равен пустой строке.
//
// Параметры:
//  ТаблицаОтбора           - ТаблицаЗначений         - таблица для отбора записей сопоставления:
//   * Владелец       - ОпределяемыйТип.ВладелецНоменклатурыБЭД       - владелец номенклатуры.
//   * Идентификатор  - Строка                                        - идентификатор номенклатуры.
//   * Номенклатура   - ОпределяемыйТип.НоменклатураБЭД               - номенклатура информационной базы.
//   * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика информационной базы.
//   * Упаковка       - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка информационной базы.
//  ИмяВременнойТаблицы     - Строка                  - имя временной таблицы, в которую нужно поместить отобранные данные.
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц, в котором будет создана временная таблица.
//
Процедура СоздатьВременнуюТаблицуСоответствияНоменклатуры(Знач ТаблицаОтбора, Знач ИмяВременнойТаблицы, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.СоздатьВременнуюТаблицуСоответствияНоменклатуры(ТаблицаОтбора, ИмяВременнойТаблицы, МенеджерВременныхТаблиц) 
```
</details>

## ИнициализироватьТекстЗапросаСоответствияНоменклатурыКонтрагентовБЭДПоИдентификаторуИВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса соответствия номенклатуры контрагента по идентификатору и владельцу.
// Текст запроса в результирующей таблице содержит колонки:
//  Идентификатор                       - Строка - идентификатор номенклатуры контрагента.
//  ИдентификаторНоменклатуры           - Строка - идентификатор номенклатуры.
//  ИдентификаторХарактеристики         - Строка - идентификатор характеристики.
//  ИдентификаторУпаковки               - Строка - идентификатор упаковки.
//  Наименование                        - Строка - наименование номенклатуры.
//  НаименованиеХарактеристики          - Строка - наименование характеристики.
//  ЕдиницаИзмерения                    - Строка - единица измерения.
//  ЕдиницаИзмеренияКод                 - Строка - код единицы измерения.
//  Артикул                             - Строка - артикул номенклатуры.
//  СтавкаНДС                           - Строка - ставка НДС номенклатуры.
//  Штрихкод                            - Строка - штрихкод (не используется, вместо него используются поля:штрихкод комбинации и штрихкод номенклатуры).
//  ШтрихкодКомбинации                  - Строка - штрихкод комбинации: номенклатура, характеристика, упаковка.
//  ШтрихкодыНоменклатуры               - Строка - штрихкоды номенклатуры через запятую.
//  ИдентификаторНоменклатурыСервиса    - Строка - идентификатор номенклатуры в сервисе 1С:Номенклатура.
//  ИдентификаторХарактеристикиСервиса  - Строка - идентификатор характеристики в сервисе 1С:Номенклатура.
//  НаименованиеУпаковки                - Строка - наименование упаковки.
//  НаименованиеБазовойЕдиницаИзмерения - Строка - наименование базовой единицы измерения.
//  ИспользоватьХарактеристики          - Булево - признак использования характеристики на момент заполнения
//                                                 соответствия номенклатуры контрагента и номенклатуры ИБ.
//  Владелец                            - ОпределяемыйТип.ВладелецНоменклатурыБЭД       - владелец номенклатуры информационной базы.
//  Номенклатура                        - ОпределяемыйТип.НоменклатураБЭД               - номенклатура информационной базы.
//  Характеристика                      - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика информационной базы.
//  Упаковка                            - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка информационной базы.
//  ТипНоменклатурыФНС                  - ПеречислениеСсылка.ТипыНоменклатурыФНС - соответствует значению Признак УПД.
//  КодНоменклатуры                     - Строка - код номенклатуры.
//  КодПоКТРУ                           - Строка - код по КТРУ.
//  КодТНВЭД                            - Строка - код ТН ВЭД.
//  СтранаПроисхожденияКод              - Строка - код страны происхождения.
//  ПрослеживаемыйТовар                 - Булево - признак прослеживаемости.
//  МаркируемыйТовар                    - Булево - признак маркировки.
//
// Параметры:
//  ИмяВременнойТаблицыОтбора          - Строка - наименование временной таблицы с колонками поиска:
//   * Идентификатор - Строка                                  - идентификатор номенклатуры контрагента.
//   * Владелец      - ОпределяемыйТип.ВладелецНоменклатурыБЭД - владелец номенклатуры информационной базы.
//
// Возвращаемое значение:
//  Строка - текст запроса.
//
Функция ИнициализироватьТекстЗапросаСоответствияНоменклатурыКонтрагентовБЭДПоИдентификаторуИВладельцу(Знач ИмяВременнойТаблицыОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.ИнициализироватьТекстЗапросаСоответствияНоменклатурыКонтрагентовБЭДПоИдентификаторуИВладельцу(ИмяВременнойТаблицыОтбора);
```
</details>

## НовыеПараметрыПриСозданииФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры при создании формы документа.
//
// Возвращаемое значение:
//  Структура - содержит:
//   * ВариантУказанияНоменклатурыПоУмолчанию      - ПеречислениеСсылка.ВариантыУказанияНоменклатурыБЭД - устанавливается вариант по умолчанию,
//                                                                                                        если не заданы другие настройки.
//   * ПредставлениеУчитыватьНоменклатуруВладельца - Строка - представление команды учитывать номенклатуру владельца.
//                                                            Например, "Учитывать номенклатуру поставщика"
//                                                            или "Учитывать номенклатуру клиента" и т.п.
//   * ИмяЭлементаНоменклатураКонтрагента          - Строка - имя элемента табличной части с типом СправочникСсылка.НоменклатураКонтрагентов.
//   * ИмяРеквизитаОрганизация                     - Строка - имя реквизита организации в документе.
//   * ИмяРеквизитаКонтрагент                      - Строка - имя реквизита контрагент в документе.
//
Функция НовыеПараметрыПриСозданииФормыДокумента() Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.НовыеПараметрыПриСозданииФормыДокумента() 
```
</details>

## ПриСозданииФормыНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает форму номенклатуры при ее создании.
// Если в параметрах формы присутствует данные о номенклатуре контрагента,
// то вызывает переопределяемый метод, инициализирующий данные формы.
// Следует вызвать в обработчике события ПриСозданииНаСервере формы элемента номенклатуры.
// См. также СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриЗаполненииФормыНоменклатурыПоДаннымКонтрагента.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма элемента номенклатуры.
//
Процедура ПриСозданииФормыНоменклатуры(Форма) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ПриСозданииФормыНоменклатуры(Форма) 
```
</details>

## ПриСозданииФормыХарактеристики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает форму характеристики при ее создании.
// Если в параметрах формы присутствует данные о номенклатуре контрагента,
// то вызывает переопределяемый метод, инициализирующий данные формы.
// Следует вызвать в обработчике события ПриСозданииНаСервере формы элемента характеристики.
// См. также СопоставлениеНоменклатурыКонтрагентовПереопределяемый.ПриЗаполненииФормыХарактеристикиПоДаннымКонтрагента.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма элемента номенклатуры.
//
Процедура ПриСозданииФормыХарактеристики(Форма) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ПриСозданииФормыХарактеристики(Форма) 
```
</details>

## ПриСозданииФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик событий "ПриСозданииНаСервере" формы документа.
//
// Параметры:
//  ФормаДокумента          - ФормаКлиентскогоПриложения                               - форма документа.
//  ПараметрыФормыДокумента - Структура из см. НовыеПараметрыПриСозданииФормыДокумента - параметры при создании формы.
//
Процедура ПриСозданииФормыДокумента(ФормаДокумента, ПараметрыФормыДокумента) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ПриСозданииФормыДокумента(ФормаДокумента, ПараметрыФормыДокумента) 
```
</details>

## ПриЗаписиНаСервереФормыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик событий "ПриЗаписиНаСервере" формы документа.
//
// Параметры:
//  ФормаДокумента - ФормаКлиентскогоПриложения - форма документа.
//  Объект         - ДокументОбъект             - объект документа.
//  Отказ          - Булево                     - признак наличия ошибок при выполнении обработчика.
//
Процедура ПриЗаписиНаСервереФормыДокумента(Знач ФормаДокумента, Знач Объект, Отказ) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ПриЗаписиНаСервереФормыДокумента(ФормаДокумента, Объект, Отказ) 
```
</details>

## ВключитьИспользованиеФОСловаряСопоставленияНоменклатурыБЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВключитьИспользованиеФОСловаряСопоставленияНоменклатурыБЭД() Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ВключитьИспользованиеФОСловаряСопоставленияНоменклатурыБЭД() 
```
</details>

## ОбновлениеСловаряСопоставленияНоменклатурыБЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновлениеСловаряСопоставленияНоменклатурыБЭД() Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ОбновлениеСловаряСопоставленияНоменклатурыБЭД() 
```
</details>

## ДанныеНоменклатурыКонтрагентаПоЗапросу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные номенклатуры контрагента с отбором по Владельцу и Идентификатору.
// Отбор задается в виде запроса, создающего временную таблицу.
//
// Параметры:
//  Запрос - Запрос - запрос, описывающий создание временной таблицы втОтбор с колонками Владелец и Идентификатор, где
//                   Владелец - ОпределяемыйТип.ВладелецНоменклатурыБЭД - владелец номенклатуры;
//                   Идентификатор - Строка - идентификатор (ключ уникальности) номенклатуры.
//
// Возвращаемое значение:
//  Массив из см. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента.
//
Функция ДанныеНоменклатурыКонтрагентаПоЗапросу(Знач Запрос) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.ДанныеНоменклатурыКонтрагентаПоЗапросу(Запрос) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

// См. ЭлектронноеВзаимодействие.ПриЗаполненииСписковСОграничениемДоступа
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
Процедура ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентов.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) 
```
</details>

## ИдентификаторТовараПоДаннымНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИдентификаторТовараПоДаннымНоменклатуры(Знач Наименование, Знач Характеристика = Неопределено, Знач ЕдиницаИзмерения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.ИдентификаторТовараПоДаннымНоменклатуры(Наименование, Характеристика, ЕдиницаИзмерения);
```
</details>

## ИдентификаторТовараПоСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИдентификаторТовараПоСтроке(Знач СтрокаТовара, Знач МаксимальнаяДлина = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентов.ИдентификаторТовараПоСтроке(СтрокаТовара, МаксимальнаяДлина);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
