---
title: Сопоставление номенклатуры контрагентов клиент
slug: erp-uh/сопоставление-номенклатуры-контрагентов-клиент
---


## ОткрытьФормуВыбораНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора справочника НоменклатураКонтрагентов.
//
// Параметры:
//  ПараметрыФормы      - Структура                  - параметры формы.
//  ВладелецФормы       - ФормаКлиентскогоПриложения - владелец формы.
//  ОповещениеОЗакрытии - ОписаниеОповещения         - оповещения, которое необходимо выполнить после закрытия формы.
//  РежимОткрытияОкна   - РежимОткрытияОкнаФормы     - режим, в котором необходимо открыть окно формы.
//
Процедура ОткрытьФормуВыбораНоменклатурыКонтрагентов(Знач ПараметрыФормы, Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентовКлиент.ОткрытьФормуВыбораНоменклатурыКонтрагентов(ПараметрыФормы, );
```
</details>

## ОткрытьФормуСпискаНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму списка справочника НоменклатураКонтрагентов.
//
// Параметры:
//  ПараметрыОтбора     - Структура                  - параметры отбора формы.
//  ВладелецФормы       - ФормаКлиентскогоПриложения - владелец формы.
//  ОповещениеОЗакрытии - ОписаниеОповещения         - оповещения, которое необходимо выполнить после закрытия формы.
//  РежимОткрытияОкна   - РежимОткрытияОкнаФормы     - режим, в котором необходимо открыть окно формы.
//
Процедура ОткрытьФормуСпискаНоменклатурыКонтрагентов(Знач ПараметрыОтбора, Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентовКлиент.ОткрытьФормуСпискаНоменклатурыКонтрагентов(ПараметрыОтбора, );
```
</details>

## СформироватьСписокВыбораНоменклатурыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список актуальной номенклатуры контрагента с учетом фильтра по владельцу, номенклатуре, характеристике, упаковке.
//
// Параметры:
//  ВладелецНоменклатуры - ОпределяемыйТип.ВладелецНоменклатурыБЭД       - владелец, для которого необходимо сформировать список выбора.
//  Номенклатура         - ОпределяемыйТип.НоменклатураБЭД               - номенклатура предприятия для фильтрации номенклатуры контрагента.
//  Характеристика       - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика номенклатуры предприятия
//                                                                         для фильтрации номенклатуры контрагента.
//  Упаковка             - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - упаковка номенклатуры предприятия
//                                                                         для фильтрации номенклатуры контрагента.
//
// Возвращаемое значение:
//   Массив из СправочникСсылка.НоменклатураКонтрагентов - номенклатура контрагента, подходящая под условия фильтрации.
//
Функция СформироватьСписокВыбораНоменклатурыКонтрагента(Знач ВладелецНоменклатуры, Знач Номенклатура, Знач Характеристика, Знач Упаковка) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиент.СформироватьСписокВыбораНоменклатурыКонтрагента(ВладелецНоменклатуры, Номенклатура, Характеристика, Упаковка) 
```
</details>

## ОткрытьСопоставлениеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму сопоставления номенклатуры контрагентов и информационной базы.
//
// Параметры:
//  НоменклатураКонтрагентов     - Массив    - набор номенклатуры контрагентов для сопоставления.
//                                             См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента.
//  Настройки                    - Структура - настройки сопоставления номенклатуры:
//   * РазрешитьСохранение - Булево                     - признак разрешения сохранения результатов сопоставления в базе. По умолчанию Истина.
//                                                        Если установить Ложь, то команды сохранения сопоставления будут недоступны.
//                                                        Получить результат сопоставления можно только после закрытия формы
//                                                        в процедуре, указанной через параметр ОповещениеОЗакрытии.
//   * РежимОткрытияОкна   - РежимОткрытияОкнаФормы     - режим открытия формы сопоставления. По умолчанию Независимый.
//   * Заголовок           - Строка                     - заголовок формы сопоставления номенклатуры. По умолчанию "Сопоставление номенклатуры".
//   * ВладелецФормы       - ФормаКлиентскогоПриложения - владелец открываемой формы, которому будет отправлено оповещение о выборе.
//   * ОграничениеТипаНоменклатуры          - ОписаниеТипов - позволяет ограничить типы справочников, используемые при сопоставлении.
//											  Значение по умолчанию - ОпределяемыйТип.НоменклатураБЭД.
//   * ОтключитьПоискПоНатуральнымКлючам    - Булево - признак отключения поиска соответствий по натуральным ключам. По умолчанию Ложь.
//   * ОтключитьПоискПоШтрихкодамКомбинаций - Булево - признак отключения поиска по штрихкодам. По умолчанию Ложь.
//   * ОтключитьПоискПоСловарю              - Булево - признак отключения поиска по словарю. По умолчанию Ложь.
//   * ТочностьПоискаПоУмолчанию            - Число  - точность поиска по умолчанию. По умолчанию 50.
//   * ВидимостьКолонокСопоставления        - см. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НовыеНастройкиВидимостиКолонокСопоставления.
//   * ДополнительныеРеквизитыСопоставления - Массив из см. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НовыйДополнительныйРеквизитСопоставления.
//   * ДополнительныеПараметрыПоиска        - Произвольный - контекст сопоставления, используемый в переопределяемом коде.
//  ОповещениеОЗакрытии        - ОписаниеОповещения - описание процедуры, которая будет вызвана после закрытии формы с параметрами:
//   * Сопоставление           - Массив, Неопределено - результат сопоставления, состоящий из структур:
//    ** НоменклатураКонтрагента - Структура - номенклатура контрагента. См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента.
//    ** НоменклатураИБ          - Структура - номенклатура ИБ. См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураИнформационнойБазы.
//   * ДополнительныеПараметры - Произвольный         - значение, которое было указано при создании объекта ОписаниеОповещения.
//
Процедура ОткрытьСопоставлениеНоменклатуры(Знач НоменклатураКонтрагентов, Знач Настройки = Неопределено, Знач ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентовКлиент.ОткрытьСопоставлениеНоменклатуры(НоменклатураКонтрагентов, Настройки, ОповещениеОЗакрытии);
```
</details>

## ОткрытьВыборНоменклатурыКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора регистра сведений номенклатуры контрагента.
// Форма открывается в режиме блокирования окна владельца (параметр ВладелецФормы).
// При осуществлении выбора в форме, владельцу будет отправлено оповещение о выборе со значением, представляющим структуру:
//  * НоменклатураКонтрагента - Структура - выбранная номенклатура контрагента.
//                                         См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента.
//  * НоменклатураИБ - Структура - номенклатура информационной базы, соответствующая выбранной номенклатуре контрагента.
//                                 См. СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураИнформационнойБазы.
//
// Параметры:
//  ВладелецНоменклатуры - ОпределяемыйТип.ВладелецНоменклатурыБЭД - значение для отбора номенклатуры по владельцу.
//  ВладелецФормы - Форма, ФормаКлиентскогоПриложения, ПолеФормы - владелец открываемой формы, которому будет отправлено оповещение о выборе.
//  Идентификатор - Строка - идентификатор номенклатуры, на которой нужно спозиционировать текущую строку списка.
//
Процедура ОткрытьВыборНоменклатурыКонтрагента(Знач ВладелецНоменклатуры, Знач ВладелецФормы, Знач Идентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентовКлиент.ОткрытьВыборНоменклатурыКонтрагента(ВладелецНоменклатуры, ВладелецФормы, Идентификатор);
```
</details>

## ОткрытьСписокНоменклатурыКонтрагентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму списка регистра сведений номенклатуры контрагентов.
//
Процедура ОткрытьСписокНоменклатурыКонтрагентов() Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентовКлиент.ОткрытьСписокНоменклатурыКонтрагентов() 
```
</details>

## ПриИзмененииКлючевыхРеквизитовДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик событий при изменении ключевых реквизитов документа в шапке документа.
//
// Параметры:
//  ФормаДокумента - ФормаКлиентскогоПриложения - форма документа.
//
Процедура ПриИзмененииКлючевыхРеквизитовДокумента(ФормаДокумента) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентовКлиент.ПриИзмененииКлючевыхРеквизитовДокумента(ФормаДокумента) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
