---
title: Сопоставление номенклатуры контрагентов клиент сервер
slug: erp-uh/сопоставление-номенклатуры-контрагентов-клиент-сервер
---


## НоваяНоменклатураИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает набор данных, представляющий номенклатуру информационной базы.
//
// Параметры:
//  Номенклатура   - ОпределяемыйТип.НоменклатураБЭД               - значение для инициализации выходного свойства Номенклатура.
//  Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - значение для инициализации выходного свойства Характеристика.
//  Упаковка       - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - значение для инициализации выходного свойства Упаковка.
//
// Возвращаемое значение:
//  Структура - данные, представляющие номенклатуру информационной базы:
//   * Номенклатура   - ОпределяемыйТип.НоменклатураБЭД, Неопределено               - номенклатура ИБ. Неопределено, если не инициализировано.
//   * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД, Неопределено - характеристика номенклатуры ИБ. Неопределено, если не инициализировано.
//   * Упаковка       - ОпределяемыйТип.УпаковкаНоменклатурыБЭД, Неопределено       - упаковка номенклатуры информационной базы. Неопределено, если не инициализировано.
//
Функция НоваяНоменклатураИнформационнойБазы(Знач Номенклатура = Неопределено, Знач Характеристика = Неопределено, Знач Упаковка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураИнформационнойБазы(Номенклатура, Характеристика, Упаковка);
```
</details>

## НоваяНоменклатураКонтрагентаИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает набор данных, представляющий номенклатуру контрагента информационной базы.
//
// Параметры:
//  Номенклатура   - ОпределяемыйТип.НоменклатураБЭД               - значение для инициализации выходного свойства Номенклатура.
//  Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - значение для инициализации выходного свойства Характеристика.
//  Упаковка       - ОпределяемыйТип.УпаковкаНоменклатурыБЭД       - значение для инициализации выходного свойства Упаковка.
//
// Возвращаемое значение:
//  Структура - данные, представляющие номенклатуру контрагента информационной базы:
//   * Номенклатура            - ОпределяемыйТип.НоменклатураБЭД, Неопределено               - номенклатура ИБ. Неопределено, если не инициализировано.
//   * Характеристика          - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД, Неопределено - характеристика номенклатуры ИБ. Неопределено, если не инициализировано.
//   * Упаковка                - ОпределяемыйТип.УпаковкаНоменклатурыБЭД, Неопределено       - упаковка номенклатуры информационной базы. Неопределено, если не инициализировано.
//   * НоменклатураКонтрагента - СправочникСсылка.НоменклатураКонтрагентов                   - ссылка номенклатуры контрагентов.
//
Функция НоваяНоменклатураКонтрагентаИнформационнойБазы(Знач Номенклатура = Неопределено, Знач Характеристика = Неопределено, Знач Упаковка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагентаИнформационнойБазы(Номенклатура, Характеристика, Упаковка);
```
</details>

## НоваяНоменклатураКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает набор данных, представляющий номенклатуру контрагента.
//
// Параметры:
//  Владелец      - ОпределяемыйТип.ВладелецНоменклатурыБЭД - значение для инициализации выходного свойства Владелец.
//  Идентификатор - Строка                                  - значение для инициализации выходного свойства Идентификатор.
//
// Возвращаемое значение:
//  Структура - данные, представляющие номенклатуру контрагента:
//   * Владелец                           - ОпределяемыйТип.ВладелецНоменклатурыБЭД - владелец номенклатуры.
//                                        - Неопределено, если не инициализировано.
//   * Идентификатор                      - Строка - ключ уникальности номенклатуры контрагента, значение зависит от контекста.
//   * Наименование                       - Строка - наименование номенклатуры.
//   * Характеристика                     - Строка - наименование характеристики номенклатуры.
//   * НаименованиеУпаковки               - Строка - наименование упаковки номенклатуры.
//   * ЕдиницаИзмерения                   - Строка - наименование базовой единицы измерения номенклатуры.
//   * ЕдиницаИзмеренияКод                - Строка - код по ОКЕИ базовой единицы измерения номенклатуры.
//   * Артикул                            - Строка - артикул номенклатуры.
//   * СтавкаНДС                          - Строка - ставка НДС номенклатуры.
//   * ШтрихкодКомбинации                 - Строка - штрихкод комбинации: номенклатура, характеристика, упаковка.
//   * ШтрихкодыНоменклатуры              - Строка - другие штрихкоды номенклатуры через запятую.
//   * ИдентификаторНоменклатурыСервиса   - Строка - идентификатор в сервисе 1С:Номенклатура.
//   * ИдентификаторХарактеристикиСервиса - Строка - идентификатор характеристики в сервисе 1С:Номенклатура.
//   * ИдентификаторНоменклатуры          - Строка - идентификатор номенклатуры.
//   * ИдентификаторХарактеристики        - Строка - идентификатор характеристики.
//   * ИдентификаторУпаковки              - Строка - идентификатор упаковки.
//   * ИсторияИдентификаторов             - Массив из Строка - альтернативные идентификаторы.
//   * КоличествоБазовойЕдиницыИзмерения  - Число  - количество базовой единицы измерения (числитель).
//   * КоличествоУпаковок                 - Число  - количество упаковок (знаменатель)
//   * ВариантУказанияНоменклатуры        - ПеречислениеСсылка.ВариантыУказанияНоменклатурыБЭД - значение в чьих терминах указана номенклатура.
//                                                                                               По умолчанию номенклатура контрагента.
//   * НоменклатураКонтрагента            - СправочникСсылка.НоменклатураКонтрагентов          - ссылка номенклатуры контрагентов.
//   * ТипНоменклатурыФНС                 - ПеречислениеСсылка.ТипыНоменклатурыФНС - соответствует значению Признак УПД.
//   * КодНоменклатуры                    - Строка - код номенклатуры.
//   * КодПоКТРУ                          - Строка - код по КТРУ.
//   * КодТНВЭД                           - Строка - код ТН ВЭД.
//   * СтранаПроисхожденияКод             - Строка - код страны происхождения.
//   * ПрослеживаемыйТовар                - Булево - признак прослеживаемости.
//   * МаркируемыйТовар                   - Булево - признак маркировки.
//   * ХешПравилаПоиска                   - Строка - служебный, используется для связи сопоставления с правилом поиска
//                                                   по части наименования, см. регистр сведений
//                                                   ПравилаПоискаПоЧастиНаименованияБЭД.
//
Функция НоваяНоменклатураКонтрагента(Знач Владелец = Неопределено, Знач Идентификатор = "") Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НоваяНоменклатураКонтрагента(Владелец, Идентификатор);
```
</details>

## НовыеСвойстваНоменклатурыИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру свойств номенклатуры ИБ.
//
// Возвращаемое значение:
//  Структура - свойства номенклатуры информационной базы:
//   * ИспользоватьХарактеристики           - Булево - признак использования характеристик. По умолчанию Ложь.
//   * ИспользоватьУпаковки                 - Булево - признак использования упаковок. По умолчанию Ложь.
//   * ОбязательноеЗаполнениеХарактеристики - Булево - признак обязательного заполнения характеристик при их использовании. По умолчанию Истина.
//   * ЕдиницаИзмеренияПоУмолчанию          - ОпределяемыйТип.УпаковкаНоменклатурыБЭД - базовая единица измерения номенклатуры.
//
Функция НовыеСвойстваНоменклатурыИБ() Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НовыеСвойстваНоменклатурыИБ() 
```
</details>

## НовыеСвойстваУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру свойств упаковки.
//
// Возвращаемое значение:
//  Структура - содержит:
//   * НаименованиеУпаковки                - Строка - признак использования характеристик. По умолчанию Ложь.
//   * НаименованиеБазовойЕдиницыИзмерения - Строка - признак использования упаковок. По умолчанию Ложь.
//   * КодОКЕИБазовойЕдиницыИзмерения      - Строка - признак обязательного заполнения характеристик при их использовании. По умолчанию Истина.
//   * КоличествоБазовойЕдиницыИзмерения   - Число  - при наличии упаковки указывается коэффициент пересчета 1 упаковки на базовую единицу измерения.
//                                                    В случае разупаковки указывается 1.
//   * КоличествоУпаковок                  - Число  - при наличии упаковки указывается 1. В случае разупаковки указывается коэффициент пересчета
//                                                    базовой единицы измерения на упаковку.
//
Функция НовыеСвойстваУпаковки() Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НовыеСвойстваУпаковки() 
```
</details>

## НовыеНастройкиВидимостиКолонокСопоставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с именами колонок формы обработки СопоставлениеНоменклатурыБЭД и признаком видимости.
//
// Возвращаемое значение:
//  Структура:
//   * Упаковка         - Булево - Видимость колонки "Упаковка", по умолчанию Истина.
//   * ЕдиницаИзмерения - Булево - Видимость колонки "Ед. изм.", по умолчанию Истина.
//   * Артикул          - Булево - Видимость колонки "Артикул", по умолчанию Истина.
//   * СтавкаНДС        - Булево - Видимость колонки "Ставка НДС", по умолчанию Истина.
//   * Штрихкод         - Булево - Видимость колонки "Штрихкод", по умолчанию Истина.
//
Функция НовыеНастройкиВидимостиКолонокСопоставления() Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НовыеНастройкиВидимостиКолонокСопоставления() 
```
</details>

## НовыеПараметрыСопоставленияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с параметрами сопоставления номенклатуры.
//
// Возвращаемое значение:
//  Структура:
//	 * ИспользоватьСервис                   - Булево - признак использования сервиса 1С:Номенклатура.
//                                            Если признак не заполнен - проверяется использование сервиса.
//   * ПроцентТочностиПоискаНоменклатуры    - Число  - процент точности поиска номенклатуры и характеристики по словарю в терминах контрагента.
//   * ТребуетсяПоискНоменклатуры           - Булево - признак необходимости поиска номенклатуры в терминах контрагента.
//   * ОтключитьПоискПоНатуральнымКлючам    - Булево - признак отключения поиска соответствий по натуральным ключам. По умолчанию Ложь.
//   * ОтключитьПоискПоШтрихкодамКомбинаций - Булево - признак отключения поиска по штрихкодам. По умолчанию Ложь.
//   * ОтключитьПоискПоСловарю              - Булево - признак отключения поиска по словарю. По умолчанию Ложь.
//   * ДополнительныеПараметрыПоиска        - Структура, Неопределено - структура дополнительных параметров, используемых в переопределяемых процедурах.
//   * ИспользоватьПоискПоЧастиНаименования - Булево - признак необходимости поиска номенклатуры по части наименования,
//                                                     на основе регистра ПравилаПоискаПоЧастиНаименованияБЭД.
//   * ИспользоватьПоискПоНоменклатуреКонтрагента - Булево - признак необходимости поиска по хешам натуральных ключей в
//                                                           регистре НоменклатураКонтрагентовБЭД
//   * ОграничениеТипаНоменклатуры - Неопределено, ОписаниеТипов - если задано, содержит ограничение типа номенклатуры
//
Функция НовыеПараметрыСопоставленияНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НовыеПараметрыСопоставленияНоменклатуры() 
```
</details>

## НовыйДополнительныйРеквизитСопоставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру дополнительного реквизита ТЧ Сопоставление обработки СопоставлениеНоменклатурыБЭД.
//
// Возвращаемое значение:
//  Структура - свойства дополнительного реквизита сопоставления номенклатуры:
//   * Имя           - Строка - Имя дополнительного реквизита табличной части.
//   * Тип           - ОписаниеТипов - по умолчанию Строка(300).
//   * Представление - Строка - Представление реквизита на форме.
//
Функция НовыйДополнительныйРеквизитСопоставления() Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.НовыйДополнительныйРеквизитСопоставления() 
```
</details>

## РазделитьИдентификаторНаЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разделяет идентификатор номенклатуры контрагента на части по разделителю #.
//
// Параметры:
//  Идентификатор           - Строка    - идентификатор, который необходимо разбить на части по разделителю #.
//  НоменклатураКонтрагента - Структура - содержит:
//    *ИдентификаторНоменклатуры   - Строка - идентификатор номенклатуры.
//    *ИдентификаторХарактеристики - Строка - идентификатор характеристики.
//    *ИдентификаторУпаковки       - Строка - идентификатор упаковки.
//
Процедура РазделитьИдентификаторНаЧасти(Идентификатор, НоменклатураКонтрагента) Экспорт
```

Пример вызова
```bsl
СопоставлениеНоменклатурыКонтрагентовКлиентСервер.РазделитьИдентификаторНаЧасти(Идентификатор, НоменклатураКонтрагента) 
```
</details>

## ИдентификаторНоменклатурыКонтрагентаПоНоменклатуреИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор номенклатуры контрагента собранный из внутренних идентификаторов ссылок по разделителю #.
//
// Параметры:
//  НоменклатураИБ - см. НоваяНоменклатураИнформационнойБазы
//
// Возвращаемое значение:
//  Строка - идентификатор номенклатуры контрагента.
//
Функция ИдентификаторНоменклатурыКонтрагентаПоНоменклатуреИБ(Знач НоменклатураИБ) Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.ИдентификаторНоменклатурыКонтрагентаПоНоменклатуреИБ(НоменклатураИБ) 
```
</details>

## ВариантУказанияНоменклатураОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Возвращает значение варианта указания номенклатуры в терминах организации.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ВариантыУказанияНоменклатурыБЭД
//
Функция ВариантУказанияНоменклатураОрганизации() Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.ВариантУказанияНоменклатураОрганизации() 
```
</details>

## ВариантУказанияНоменклатураКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение варианта указания номенклатуры в терминах контрагента.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ВариантыУказанияНоменклатурыБЭД
//
Функция ВариантУказанияНоменклатураКонтрагента() Экспорт
```

Пример вызова
```bsl
Результат = СопоставлениеНоменклатурыКонтрагентовКлиентСервер.ВариантУказанияНоменклатураКонтрагента() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
