---
title: Сопоставление объектов ЕГАИС переопределяемый
slug: erp-uh/сопоставление-объектов-егаис-переопределяемый
---


## АдресТорговогоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает фактический адрес торгового объекта для чека ЕГАИС.
//
// Параметры:
//  Адрес          - Строка                              - адрес торгового объекта.
//  ТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС - ссылка на торговый объект для определения адреса.
Процедура АдресТорговогоОбъекта(Адрес, ТорговыйОбъект) Экспорт
```

Пример вызова
```bsl
СопоставлениеОбъектовЕГАИСПереопределяемый.АдресТорговогоОбъекта(Адрес, ТорговыйОбъект) 
```
</details>

## ЗначенияПоУмолчаниюНеСопоставленныхОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В функции нужно определить значения по умолчанию, которые будут подставляться в
// реквизиты не сопоставленных элементов справочника.
//
// Параметры:
//  СобственнаяОрганизация - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - значение по умолчанию для собственной организации,
//  СобственныйТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС - значение по умолчанию для собственного торгового объекта,
//  СторонняяОрганизация - ОпределяемыйТип.ОрганизацияКонтрагентГосИС - значение по умолчанию для сторонней организации,
//  СтороннийТорговыйОбъект - ОпределяемыйТип.ТорговыйОбъектЕГАИС - значение по умолчанию для стороннего торгового объекта.
Процедура ЗначенияПоУмолчаниюНеСопоставленныхОбъектов( Экспорт
```

Пример вызова
```bsl
СопоставлениеОбъектовЕГАИСПереопределяемый.ЗначенияПоУмолчаниюНеСопоставленныхОбъектов();
```
</details>

## ПриЗагрузкеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается перед записью организации в базу.
//
// Параметры:
//  Организация - СправочникОбъект.КлассификаторОрганизацийЕГАИС - загружаемая организация.
Процедура ПриЗагрузкеОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
СопоставлениеОбъектовЕГАИСПереопределяемый.ПриЗагрузкеОрганизации(Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
