---
title: Сохранение настроек УХ
slug: erp-uh/сохранение-настроек-ух
---


## ПолучитьНастройкуПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// ПРОЦЕДУРЫ И ФУНКЦИИ МЕХАНИЗМА УПРАВЛЕНИЯ НАСТРОЙКАМИ

Функция ПолучитьНастройкуПользователя(НастраиваемыйОбъект,ТипНастройки,Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СохранениеНастроекУХ.ПолучитьНастройкуПользователя(НастраиваемыйОбъект, ТипНастройки, Пользователь);
```
</details>

## СохранитьНастройкуПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьНастройкуПользователя(НастраиваемыйОбъект,ТипНастройки,Пользователь,ДанныеНастройки,Описание="") Экспорт
```

Пример вызова
```bsl
СохранениеНастроекУХ.СохранитьНастройкуПользователя(НастраиваемыйОбъект, ТипНастройки, Пользователь, ДанныеНастройки, Описание);
```
</details>

## ЗаполнитьНастройкиПриОткрытииОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьНастройкиПриОткрытииОтчета(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
Результат = СохранениеНастроекУХ.ЗаполнитьНастройкиПриОткрытииОтчета(ОтчетОбъект) 
```
</details>

## СохранитьНастройкуОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура сохраняет настройки формы.
//
// Параметры:
//  СохраненнаяНастройка       - СправочникСсылка.СохраненныеНастройки - сохраняемая настройка.
//  СохраняемыеНастройки - параметры настройки формы.
//
Процедура СохранитьНастройкуОбъекта(СохраненнаяНастройка, СохраняемыеНастройки,Описание="") Экспорт
```

Пример вызова
```bsl
СохранениеНастроекУХ.СохранитьНастройкуОбъекта(СохраненнаяНастройка, СохраняемыеНастройки, Описание);
```
</details>

## ВыбратьНастройкуФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывает форму выбора настройки форм.
//
// Параметры:
//  ФормаВладелец            - Форма - форма, которая является владельцем формы выбора.
//  НастраиваемыйОбъект       - объект, для которой выбирается настройка.
//  РежимСохраненияНастройки - Истина - форма открыта для выбора сохраняемой настройки.
//
Процедура ВыбратьНастройкуФормы(СохраненнаяНастройка, ФормаВладелец, НастраиваемыйОбъект, РежимСохраненияНастройки) Экспорт
```

Пример вызова
```bsl
СохранениеНастроекУХ.ВыбратьНастройкуФормы(СохраненнаяНастройка, ФормаВладелец, НастраиваемыйОбъект, РежимСохраненияНастройки) 
```
</details>

## ПолучитьНастройкуОтбораСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки отбора списка в виде таблицы
//
// Параметры:
//  Отбор - (Отбор) - отбор, по которому строится таблица
//
// Возвращаемое значение:
//  (ТаблицаЗначений) - таблица с значениями отбора
//
Функция ПолучитьНастройкуОтбораСписка(Отбор) Экспорт
```

Пример вызова
```bsl
Результат = СохранениеНастроекУХ.ПолучитьНастройкуОтбораСписка(Отбор) 
```
</details>

## ПолучитьНастройкуПорядкаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает натсройки сортировок списка в виде таблицы
//
// Параметры:
//  Порядок - (Порядок) - Порядок, по которому строится таблица
//
// Возвращаемое значение:
//  (ТаблицаЗначений) - таблица с значениями сортировок
//
Функция ПолучитьНастройкуПорядкаСписка(Порядок) Экспорт
```

Пример вызова
```bsl
Результат = СохранениеНастроекУХ.ПолучитьНастройкуПорядкаСписка(Порядок) 
```
</details>

## ПолучитьНастройкуКолонокСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает натсройки колонок списка в виде таблицы.
//
// Параметры:
//  Колонки - (Колонки) - колонки списка, по которым строится таблица
//
// Возвращаемое значение:
//  (ТаблицаЗначений) - таблица с значениями настройк
//
Функция ПолучитьНастройкуКолонокСписка(Колонки) Экспорт
```

Пример вызова
```bsl
Результат = СохранениеНастроекУХ.ПолучитьНастройкуКолонокСписка(Колонки) 
```
</details>

## ПрименитьНастройкуОтбораСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает настройки отбора списка по сохраненным значениям из таблицы.
//
// Параметры:
//  СтруктураНастроек - Структура - структура применяемых настроек.
//  КлючЗначения      - Строка - ключ применяемой настройки.
//  Отбор             - (Отбор) - Настройка отбора формы
//
Процедура ПрименитьНастройкуОтбораСписка(СтруктураНастроек, КлючЗначения, Отбор) Экспорт
```

Пример вызова
```bsl
СохранениеНастроекУХ.ПрименитьНастройкуОтбораСписка(СтруктураНастроек, КлючЗначения, Отбор) 
```
</details>

## ПрименитьНастройкуПорядкаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает настройки сортировки списка по сохраненным значениям из таблицы
//
// Параметры:
//  СтруктураНастроек - Структура - структура применяемых настроек.
//  КлючЗначения      - Строка - ключ применяемой настройки.
//  Порядок           - (Порядок) - настройка порядка формы.
//
Процедура ПрименитьНастройкуПорядкаСписка(СтруктураНастроек, КлючЗначения, Порядок, НастройкаПорядка) Экспорт
```

Пример вызова
```bsl
СохранениеНастроекУХ.ПрименитьНастройкуПорядкаСписка(СтруктураНастроек, КлючЗначения, Порядок, НастройкаПорядка) 
```
</details>

## ПрименитьНастройкуКолонокСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает настройки колонок списка по сохраненным значениям из таблицы.
//
// Параметры:
//  СтруктураНастроек - Структура - структура применяемых настроек.
//  КлючЗначения      - Строка - ключ применяемой настройки.
//  Колонки           - (Колонки) - настраиваемые колонки списка.
//
Процедура ПрименитьНастройкуКолонокСписка(СтруктураНастроек, КлючЗначения, Колонки) Экспорт
```

Пример вызова
```bsl
СохранениеНастроекУХ.ПрименитьНастройкуКолонокСписка(СтруктураНастроек, КлючЗначения, Колонки) 
```
</details>

## НастроитьВидСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура НастроитьВидСписка(ТабличноеПоле, Пользователь) Экспорт
```

Пример вызова
```bsl
СохранениеНастроекУХ.НастроитьВидСписка(ТабличноеПоле, Пользователь) 
```
</details>

## УстановитьДоступностьОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура УстановитьДоступностьОтбора(ТабличноеПоле, Знач ОбязательныеОтборы = "") Экспорт
```

Пример вызова
```bsl
СохранениеНастроекУХ.УстановитьДоступностьОтбора(ТабличноеПоле, ОбязательныеОтборы);
```
</details>

## УстановитьДоступностьПорядка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает доступность всех элементов управления порядком списка.
//
// Параметры:
//  ТабличноеПоле - табличное поле списка.
//
Процедура УстановитьДоступностьПорядка(ТабличноеПоле, Доступность = Истина) Экспорт
```

Пример вызова
```bsl
СохранениеНастроекУХ.УстановитьДоступностьПорядка(ТабличноеПоле, Доступность);
```
</details>

## ОтказПриИзмененииРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, были ли изменены указанные реквизиты объекта.
// Предназначена для установки Отказ в проверках перед записью объекта.
//
// Параметры:
//  Объект    - проверяемый объект.
//  Реквизиты - строка - список проверяемых реквизитов через запятую.
//  Отказ     - устанавливается в Истина, если реквизит был изменен.
//
Процедура ОтказПриИзмененииРеквизитов(Объект, Знач Реквизиты, Отказ) Экспорт
```

Пример вызова
```bsl
СохранениеНастроекУХ.ОтказПриИзмененииРеквизитов(Объект, Реквизиты, Отказ) 
```
</details>

## ПустоеЗначениеЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Функция проверяет, переданный параметр, пустой он, или нет.
//
// Параметры:
//  Параметр - параметр, значение которого проверяется.
//
// Возвращаемое значение:
//  Истина - параметр пустой;
//  Ложь   - параметр не пустой.
//
Функция ПустоеЗначениеЗначения(Значение) Экспорт
```

Пример вызова
```bsl
Результат = СохранениеНастроекУХ.ПустоеЗначениеЗначения(Значение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
