---
title: Справки расчеты
slug: erp-uh/справки-расчеты
---


## СимволыПримечания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает символы примечания (сноски), соответствующие номеру примечания.
//
// Параметры:
//  НомерПримечания	 - Число - номер, начиная с единицы
//
// Возвращаемое значение:
//  Строка - один или несколько символов примечания
//
Функция СимволыПримечания(НомерПримечания = 1) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчеты.СимволыПримечания(НомерПримечания);
```
</details>

## ДополнитьСловоСсылкойНаПримечание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет переданное слово ссылкой на примечание. Используется в основном тексте.
//
// Параметры:
//  Слово			 - Строка - слово
//  НомерПримечания	 - Число - номер примечания, начиная с единицы
//
Процедура ДополнитьСловоСсылкойНаПримечание(Слово, НомерПримечания = 1) Экспорт
```

Пример вызова
```bsl
СправкиРасчеты.ДополнитьСловоСсылкойНаПримечание(Слово, НомерПримечания);
```
</details>

## ДобавитьСимволыПримечания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предваряет переданный текст идентификатором примечания соответствующего номера.
// Используется в колонтитуле (page footer) страницы.
//
// Параметры:
//  ТекстПримечания	 - Строка - пространный поясняющий текст
//  НомерПримечания	 - Число - номер примечания, начиная с единицы
//
// Возвращаемое значение:
//  Строка - полный текст для помещения в колонтитул
//
Функция ДобавитьСимволыПримечания(ТекстПримечания, НомерПримечания = 1) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчеты.ДобавитьСимволыПримечания(ТекстПримечания, НомерПримечания);
```
</details>

## ДобавитьПримечание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает после тела отчета текст примечания.
// Увеличивает на единицу счетчик примечаний.
// Следует использовать в обработчике ПослеВыводаРезультата.
//
// Параметры:
//  ТабличныйДокумент - ТабличныйДокумент - результат отчета
//  ТекстПримечания	  - Строка - пространный поясняющий текст
//  СчетчикПримечаний - Число - текущее (до вывода очередного примечания) значение счетчика примечаний.
//                      Перед добавлением первого примечания следует инициализировать счетчик значением 0.
//
Процедура ДобавитьПримечание(ТабличныйДокумент, ТекстПримечания, СчетчикПримечаний = 0) Экспорт
```

Пример вызова
```bsl
СправкиРасчеты.ДобавитьПримечание(ТабличныйДокумент, ТекстПримечания, СчетчикПримечаний);
```
</details>

## УстановитьОтчетИспользуетНаборыСуммовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет указать, что отчет использует именованные наборы суммовых показателей.
// При этом, для совместимости, если не указано, ни то, что отчет использует именованные наборы,
// ни то, что отчет не использует именованные наборы, предполагается, что отчет использует наборы с числовыми идентификаторами
// (см. область НаборыСуммовыхПоказателей в СправкиРасчетыКлиентСервер).
//
// Параметры:
//  МанифестОтчета - Структура - см. БухгалтерскиеОтчеты.ПараметрыИсполненияОтчета.
//
Процедура УстановитьОтчетИспользуетНаборыСуммовыхПоказателей(МанифестОтчета) Экспорт
```

Пример вызова
```bsl
СправкиРасчеты.УстановитьОтчетИспользуетНаборыСуммовыхПоказателей(МанифестОтчета) 
```
</details>

## УстановитьОтчетНеИспользуетНаборыСуммовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет указать, что отчет не использует никакие наборы суммовых показателей.
// Используется для совместимости - пока большинство справок-расчетов используют наборы с числовыми идентификаторами.
//
// Параметры:
//  МанифестОтчета - Структура - см. БухгалтерскиеОтчеты.ПараметрыИсполненияОтчета.
//
Процедура УстановитьОтчетНеИспользуетНаборыСуммовыхПоказателей(МанифестОтчета) Экспорт
```

Пример вызова
```bsl
СправкиРасчеты.УстановитьОтчетНеИспользуетНаборыСуммовыхПоказателей(МанифестОтчета) 
```
</details>

## ОтчетИспользуетНаборыСуммовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, использует ли отчет именованные наборы суммовых показателей.
//
// Параметры:
//  ОписаниеОтчета - Строка - Имя отчета
//                 - Структура - см. БухгалтерскиеОтчеты.ПараметрыИсполненияОтчета.
//
// Возвращаемое значение:
//  Булево - Истина, если отчет использует именованные наборы суммовых показателей.
//
Функция ОтчетИспользуетНаборыСуммовыхПоказателей(ОписаниеОтчета) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчеты.ОтчетИспользуетНаборыСуммовыхПоказателей(ОписаниеОтчета) 
```
</details>

## ОтчетИспользуетНаборыСуммовыхПоказателейДляСовместимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, использует ли отчет наборы суммовых показателей c числовыми идентификаторами
// (см. область НаборыСуммовыхПоказателей в СправкиРасчетыКлиентСервер).
//
// Параметры:
//  ОписаниеОтчета - Строка - Имя отчета
//                 - Структура - см. БухгалтерскиеОтчеты.ПараметрыИсполненияОтчета.
//
// Возвращаемое значение:
//  Булево - Истина, если отчет использует наборы суммовых показателей с числовыми идентификаторами.
//
Функция ОтчетИспользуетНаборыСуммовыхПоказателейДляСовместимости(ОписаниеОтчета) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчеты.ОтчетИспользуетНаборыСуммовыхПоказателейДляСовместимости(ОписаниеОтчета) 
```
</details>

## ПоддерживаемыеНаборыСуммовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет перечень наборов суммовых показателей c числовыми идентификаторами, которые поддержаны в отчете
//
// Параметры:
//  ИмяОтчета - Строка - Имя отчета
//
// Возвращаемое значение:
//  Неопределено - отчет не использует наборы суммовых показателей с числовыми идентификаторами
//  Массив - номера поддерживаемых наборов
//
Функция ПоддерживаемыеНаборыСуммовыхПоказателей(ИмяОтчета) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчеты.ПоддерживаемыеНаборыСуммовыхПоказателей(ИмяОтчета) 
```
</details>

## ДоступныеПользователюНаборыСуммовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет перечень наборов суммовых показателей c числовыми идентификаторами, которые доступны в контексте отчета
// (с учетом организации и периода, а также настроек информационной базы)
//
// Параметры:
//  ИмяОтчета     - Строка - Имя отчета
//  НачалоПериода - Дата
//  КонецПериода  - Дата
//  Организация   - СправочникСсылка.Организации
//
// Возвращаемое значение:
//  Неопределено - отчет не использует наборы суммовых показателей с числовыми идентификаторами
//  Массив - номера доступных наборов
//
Функция ДоступныеПользователюНаборыСуммовыхПоказателей(ИмяОтчета, НачалоПериода, КонецПериода, Организация) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчеты.ДоступныеПользователюНаборыСуммовыхПоказателей(ИмяОтчета, НачалоПериода, КонецПериода, Организация) 
```
</details>

## НовыйСоставНаборовСуммовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор коллекции, описывающий состав наборов суммовых показателей.
// Каждый именованный набор может включать в себя одну или несколько именованных колонок детальных записей,
// в каждой из которых могут быть одно или несколько полей ресурсов.
//
// Параметры:
//  ПоддерживаемыеНаборы - СписокЗначений - имена и представления наборов суммовых показателей, которые поддерживает отчет.
//
// Возвращаемое значение:
//  Структура - состав наборов.
//         * Ключ - имя набора
//         * Значение - Массив - имена колонок.
//
Функция НовыйСоставНаборовСуммовыхПоказателей(ПоддерживаемыеНаборы) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчеты.НовыйСоставНаборовСуммовыхПоказателей(ПоддерживаемыеНаборы) 
```
</details>

## ИспользованиеКолонокСуммовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет перечень колонок, которые нужно
// - отображать для переданного набора показателей, но скрывать в других
// - скрывать для переданного набора показателей, но отображать в других.
//
// Параметры:
//  ИмяНабора		 - Строка - имя набора суммовых показателей.
//  СоставНаборов	 - Структура - См. НовыйСоставНаборовСуммовыхПоказателей.
//
// Возвращаемое значение:
//  Соответствие - Ключ: имя колонки; Значение: Булево - используется колонка или нет.
//
Функция ИспользованиеКолонокСуммовыхПоказателей(ИмяНабора, СоставНаборов) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчеты.ИспользованиеКолонокСуммовыхПоказателей(ИмяНабора, СоставНаборов) 
```
</details>

## НастроитьИспользованиеКолонокСуммовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает использование колонок суммовых показателей.
//
// Параметры:
//  КомпоновщикНастроек	 - КомпоновщикНастроек - настраиваемый объект.
//  ИспользованиеКолонок - Соответствие - см. ИспользованиеКолонокСуммовыхПоказателей.
//
Процедура НастроитьИспользованиеКолонокСуммовыхПоказателей(КомпоновщикНастроек, ИспользованиеКолонок) Экспорт
```

Пример вызова
```bsl
СправкиРасчеты.НастроитьИспользованиеКолонокСуммовыхПоказателей(КомпоновщикНастроек, ИспользованиеКолонок) 
```
</details>

## ОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события расширения формы отчета.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма, событие которой обрабатывается
//  Отказ	 - Булево - см. одноименный параметр обработчика события
//
Процедура ОбработкаПроверкиЗаполнения(Форма, Отказ) Экспорт
```

Пример вызова
```bsl
СправкиРасчеты.ОбработкаПроверкиЗаполнения(Форма, Отказ) 
```
</details>

## ДобавитьГруппировкиТаблицыКомпоновкиДанныхПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В таблицу компоновки данных добавляет структуру группировок на основании шаблонной группировки.
// Добавляются только те группировки, которые выбраны пользователем в настройках группировок отчета (плюс предопределенные).
// Если в настройках отчета группировка указана как предопределенная, то вместо автополя шаблонной группировки заполняются
// поля из корневой таблицы компоновки данных
//
// Параметры:
//  ГруппировкаТаблицы           - КоллекцияЭлементовСтруктурыТаблицыКомпоновкиДанных -
//                                 коллекция строк корневой таблицы, в которую добавляется структура группировок
//  ГруппировкаШаблон            - ГруппировкаТаблицыКомпоновкиДанных - шаблонная структура (ожидается, что в той же таблице),
//                                 из которой в новую структуру копируются все настройки, включая настройки вложенных группировок
//  НастройкаГруппировок         - ТаблицаЗначений - настроенная пользователем группировка отчета.
//                                 Например, см. Отчеты.СправкаРасчетНалогаНаИмущество.Группировка
//  ИмяКорневойГруппировки       - Строка - имя корневой группировки таблицы компоновки (для подключения макета заголовка)
//  ВыбранныеПоляКорневойТаблицы - КоллекцияВыбранныхПолейКомпоновкиДанных - выбранные поля на уровне корневой таблицы компоновки данных
//
Процедура ДобавитьГруппировкиТаблицыКомпоновкиДанныхПоШаблону( Экспорт
```

Пример вызова
```bsl
СправкиРасчеты.ДобавитьГруппировкиТаблицыКомпоновкиДанныхПоШаблону();
```
</details>

## НайтиСтрокуТаблицыРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В группировках таблицы компоновки данных находит группировку с указанным именем,
// либо группировку, в которой используется поле группировки с указанным именем
// (даже если это поле одно из нескольких полей группировки)
//
// Параметры:
//  СтрокаГруппировки - ГруппировкаКомпоновкиДанных, ГруппировкаТаблицыКомпоновкиДанных -
//                      группировка, внутри которой нужно найти группировку с указанным именем
//  Имя - Строка - имя искомой группировки или имя поля, которое используется в группировке
//
// Возвращаемое значение:
//  ГруппировкаКомпоновкиДанных, ГруппировкаТаблицыКомпоновкиДанных - найденная группировка
//
Функция НайтиСтрокуТаблицыРекурсивно(СтрокаГруппировки, Имя) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчеты.НайтиСтрокуТаблицыРекурсивно(СтрокаГруппировки, Имя) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
