---
title: Справки расчеты вызов сервера
slug: erp-uh/справки-расчеты-вызов-сервера
---


## ОписаниеНалоговогоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Готовит описание налогового периода по налогу на прибыль, используемое в алгоритмах справок-расчетов.
// Предполагается, что справка-расчет формируется за целый отчетный период (с даты начала налогового периода).
//
// Параметры:
//  Период		 - Дата - конец периода отчета
//  Организация	 - СправочникСсылка.Организации - организация, по которой строится отчет
//
// Возвращаемое значение:
//  Структура - описание периода. Содержит ключи
//      * НачалоПериода - Дата - начало налогового периода.
//                        Может содержать пустую дату, если дату начала периода определить нельзя.
//      * ПредставлениеПериода - Строка - представление отчетного периода
//      * ИнформацияНалоговыйПериод - Структура - см. ИнформированиеНалоговыйПериодКлиентСервер.НовыйИнформация
//                                                тексты информации для пользователя об особенностях налогового периода
//                                  - Неопределено - нет особенностей налогового периода
//
Функция ОписаниеНалоговогоПериода(Знач Период, Знач Организация) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчетыВызовСервера.ОписаниеНалоговогоПериода(Период, Организация) 
```
</details>

## ДоступныеПользователюНаборыСуммовыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоступныеПользователюНаборыСуммовыхПоказателей(ИмяОтчета, НачалоПериода, КонецПериода, Организация, НаборПоказателейЗависитОтКонтекста) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчетыВызовСервера.ДоступныеПользователюНаборыСуммовыхПоказателей(ИмяОтчета, НачалоПериода, КонецПериода, Организация, НаборПоказателейЗависитОтКонтекста) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
