---
title: Справки расчеты клиент сервер
slug: erp-uh/справки-расчеты-клиент-сервер
---


## ОтчетПодключен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, адаптирован ли отчет для использования в подсистеме.
//
// Параметры:
//  ИмяОтчета	 - Строка - имя отчета, заданное при конфигурировании
//
// Возвращаемое значение:
//  Булево  - Истина, если для отчета можно использовать методы подсистемы
//
Функция ОтчетПодключен(ИмяОтчета) Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчетыКлиентСервер.ОтчетПодключен(ИмяОтчета) 
```
</details>

## ПодключенныеОтчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перечень отчетов, адаптированных для использования в подсистеме.
//
// Возвращаемое значение:
//  ФиксированныйМассив из Строка - имена отчетов
//
Функция ПодключенныеОтчеты() Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчетыКлиентСервер.ПодключенныеОтчеты() 
```
</details>

## УточнитьНаборСуммовыхПоказателейОтчетаПоВидуОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Приводит номер набора суммовых показателей в соответствие с видом регламентной операции, с которой связан отчет
// (если набор еще не определен).
//
// Параметры:
//  НомерНабораСуммовыхПоказателей	 - Число - см. область НомераНаборов, изменяется процедурой
//  ИдентификаторОтчета				 - Строка - Имя отчета
//  ВидРегламентнойОперации			 - ПеречислениеСсылка.ВидыРегламентныхОпераций - вид выполненной регламентной операции
//
Процедура УточнитьНаборСуммовыхПоказателейОтчетаПоВидуОперации(НомерНабораСуммовыхПоказателей, ИмяОтчета, ВидРегламентнойОперации) Экспорт
```

Пример вызова
```bsl
СправкиРасчетыКлиентСервер.УточнитьНаборСуммовыхПоказателейОтчетаПоВидуОперации(НомерНабораСуммовыхПоказателей, ИмяОтчета, ВидРегламентнойОперации) 
```
</details>

## ТекстЗаголовка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Готовит текст заголовка справки-расчета, включающий контекст ее формирования.
//
// Текст заголовка справки-расчета (как экранной, так и печатной формы) строится всегда по одному шаблону,
// но для разных применений может содержать не все элементы шаблона или разные значения элементов.
// Скажем
// - в заголовке формы выводится краткое название отчета (как на втором шаге программного интерфейса)
//   и не выводятся названия показателей,
// - в печатной форме название отчета может содержать слова "справка-расчет", а название организации выводится отдельно.
//
// Параметры:
//  НазваниеОтчета			 - Строка - пользовательское представление отчета или его варианта
//  ПредставлениеПериода	 - Строка - пользовательское представление периода, за который формируется отчет
//  ПредставлениеОрганизации - Строка - пользовательское представление организации, по которой формируется отчет
//  ПредставлениеПоказателей - Строка - пользовательское представление набора суммовых показателей, которые содержит отчет
//
// Возвращаемое значение:
//  Строка - текст заголовка экранной или печатной формы
//
Функция ТекстЗаголовка(НазваниеОтчета, ПредставлениеПериода = "", ПредставлениеОрганизации = "", ПредставлениеПоказателей = "") Экспорт
```

Пример вызова
```bsl
Результат = СправкиРасчетыКлиентСервер.ТекстЗаголовка(НазваниеОтчета, ПредставлениеПериода, ПредставлениеОрганизации, ПредставлениеПоказателей);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
