---
title: Справочники основных фондов в модели сервиса
slug: erp-uh/справочники-основных-фондов-в-модели-сервиса
---


## ЗарегистрироватьОбработчикиПоставляемыхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует обработчики поставляемых данных за день и за все время.
//
// Параметры:
//   Обработчики - ТаблицаЗначений - таблица для добавления обработчиков с колонками:
//     * ВидДанных - Строка - код вида данных, обрабатываемый обработчиком.
//     * КодОбработчика - Строка - будет использоваться при восстановлении обработки данных после сбоя.
//     * Обработчик - ОбщийМодуль - модуль, содержащий следующие процедуры:
//          ДоступныНовыеДанные(Дескриптор, Загружать) Экспорт
//          ОбработатьНовыеДанные(Дескриптор, ПутьКФайлу) Экспорт
//          ОбработкаДанныхОтменена(Дескриптор) Экспорт
//
Процедура ЗарегистрироватьОбработчикиПоставляемыхДанных(Знач Обработчики) Экспорт
```

Пример вызова
```bsl
СправочникиОсновныхФондовВМоделиСервиса.ЗарегистрироватьОбработчикиПоставляемыхДанных(Обработчики) 
```
</details>

## ДоступныНовыеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при получении уведомления о новых данных.
// В теле следует проверить, необходимы ли эти данные приложению,
// и если да - установить флажок Загружать.
//
// Параметры:
//   Дескриптор   - ОбъектXDTO - Descriptor.
//   Загружать    - Булево - Возвращаемое.
//
Процедура ДоступныНовыеДанные(Знач Дескриптор, Загружать) Экспорт
```

Пример вызова
```bsl
СправочникиОсновныхФондовВМоделиСервиса.ДоступныНовыеДанные(Дескриптор, Загружать) 
```
</details>

## ОбработатьНовыеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после вызова ДоступныНовыеДанные, позволяет разобрать данные.
//
// Параметры:
//   Дескриптор   - ОбъектXDTO - Дескриптор.
//   ПутьКФайлу   - Строка - Полное имя извлеченного файла. Файл будет автоматически удален
//                  после завершения процедуры.
//
Процедура ОбработатьНовыеДанные(Знач Дескриптор, Знач ПутьКФайлу) Экспорт
```

Пример вызова
```bsl
СправочникиОсновныхФондовВМоделиСервиса.ОбработатьНовыеДанные(Дескриптор, ПутьКФайлу) 
```
</details>

## ОбработкаДанныхОтменена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при отмене обработки данных в случае сбоя.
//
// Параметры:
//   Дескриптор   - ОбъектXDTO - Дескриптор.
//
Процедура ОбработкаДанныхОтменена(Знач Дескриптор) Экспорт
```

Пример вызова
```bsl
СправочникиОсновныхФондовВМоделиСервиса.ОбработкаДанныхОтменена(Дескриптор) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
