---
title: Структура себестоимости
slug: erp-uh/структура-себестоимости
---


## ИнициализироватьНастройкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Инициализирует настройки отчета для формирования отчета.
// Возвращаемое значение:
//	Структура - настройки отчета.
Функция ИнициализироватьНастройкиОтчета(Отчет, КлючТекущегоВарианта, ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
Результат = СтруктураСебестоимости.ИнициализироватьНастройкиОтчета(Отчет, КлючТекущегоВарианта, ОтчетОбъект) 
```
</details>

## ПостроитьДеревоСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Строит дерево себестоимости для изделия.
//
// Параметры:
//  ПараметрыДерева - см. СтруктураСебестоимости.ПараметрыДереваСебестоимости
//  ПараметрыУзла - см. СтруктураСебестоимости.ПараметрыУзлаДереваСебестоимости.
//
Процедура ПостроитьДеревоСебестоимости(ПараметрыДерева, ПараметрыУзла = Неопределено) Экспорт
```

Пример вызова
```bsl
СтруктураСебестоимости.ПостроитьДеревоСебестоимости(ПараметрыДерева, ПараметрыУзла);
```
</details>

## ПостроитьДеревоСебестоимостиВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Строит дерево себестоимости для изделия в фоне.
//
// Параметры:
// 	Параметры - Структура - описание параметров формирования отчетов:
//		* ПараметрыДерева - см. СтруктураСебестоимости.ПараметрыДереваСебестоимости - параметры дерева.
//		* ПараметрыУзла -см. СтруктураСебестоимости.ПараметрыУзлаДереваСебестоимости - параметры узла дерева.
//	АдресХранилища - Строка - адрес временного хранилища.
Процедура ПостроитьДеревоСебестоимостиВФоне(Параметры, АдресХранилища) Экспорт
```

Пример вызова
```bsl
СтруктураСебестоимости.ПостроитьДеревоСебестоимостиВФоне(Параметры, АдресХранилища) 
```
</details>

## ДеревоСебестоимостиПередРазворачиванием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед раскрытием узла дерева себестоимости.
//
// Параметры:
//  ПараметрыДерева	- см. СтруктураСебестоимости.ПараметрыДереваСебестоимости
//  ПараметрыУзла - см. СтруктураСебестоимости.ПараметрыУзлаДереваСебестоимости
//  ОписаниеПродукции	- Структура	- Аналитика учета, партия и уровень продукции.
//
Процедура ДеревоСебестоимостиПередРазворачиванием(ПараметрыДерева, ПараметрыУзла, ОписаниеПродукции) Экспорт
```

Пример вызова
```bsl
СтруктураСебестоимости.ДеревоСебестоимостиПередРазворачиванием(ПараметрыДерева, ПараметрыУзла, ОписаниеПродукции) 
```
</details>

## ПараметрыДереваСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры построения дерева себестоимости
//
// Возвращаемое значение:
// Структура:
//  * ДинамическоеСчитывание - Булево - Истина, если уровни дерева себестоимости получается последовательно.
//  * ТипРезультата - Строка - Тип объекта, в который будет помещен результат - ДеревоЗначений, ТаблицаЗначений, МенеджерВременныхТаблиц.
//  * Результат - ДеревоЗначений, ТаблицаЗначений, МенеджерВременныхТаблиц - Объект, в который будет помещен результат разузлования.
//  * ДобавлятьПолуфабрикатыВРезультат - Булево - Будут ли добавлены промежуточные полуфабрикаты в результат.
//                                                Если результат ДеревоЗначений, то полуфабрикаты добавляются всегда.
//
Функция ПараметрыДереваСебестоимости() Экспорт
```

Пример вызова
```bsl
Результат = СтруктураСебестоимости.ПараметрыДереваСебестоимости() 
```
</details>

## ПараметрыУзлаДереваСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры узла дерева себестоимости
//
// Возвращаемое значение:
// Структура:
//  * ИнтерактивнаяНастройка - Булево - Истина, если для получения таблицы ВыпущеннаяПродукция используется схема КД
//  * СхемаКД - СхемаКомпоновкиДанных - Схема КД для получения таблицы ВыпущеннаяПродукция
//  * НастройкиКД - НастройкиКомпоновкиДанных - Настройки схемы КД для получения таблицы ВыпущеннаяПродукция
//  * Отборы - Структура - Структура отборов, накладываемых на получение таблицы ВыпущеннаяПродукция.
//                         Используется для программного получения данных себестоимости.
//
Функция ПараметрыУзлаДереваСебестоимости() Экспорт
```

Пример вызова
```bsl
Результат = СтруктураСебестоимости.ПараметрыУзлаДереваСебестоимости() 
```
</details>

## НоваяСтруктураОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НоваяСтруктураОтборов() Экспорт
```

Пример вызова
```bsl
Результат = СтруктураСебестоимости.НоваяСтруктураОтборов());
```
</details>

## ЗапросВыпущеннаяПродукция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗапросВыпущеннаяПродукция(ПараметрыУзла, ПомещатьВВТ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = СтруктураСебестоимости.ЗапросВыпущеннаяПродукция(ПараметрыУзла, ПомещатьВВТ);
```
</details>

## УстановитьПараметрыДереваСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПараметрыДереваСебестоимости(Запрос, ПараметрыЗапроса, КлючПараметра) Экспорт
```

Пример вызова
```bsl
СтруктураСебестоимости.УстановитьПараметрыДереваСебестоимости(Запрос, ПараметрыЗапроса, КлючПараметра));
```
</details>

## АдаптироватьЗапросСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура АдаптироватьЗапросСКД(СхемаКомпоновки) Экспорт
```

Пример вызова
```bsl
СтруктураСебестоимости.АдаптироватьЗапросСКД(СхемаКомпоновки) 
```
</details>

## ПустоеДеревоСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПустоеДеревоСебестоимости(ПараметрыДерева, ПараметрыУзла) Экспорт
```

Пример вызова
```bsl
СтруктураСебестоимости.ПустоеДеревоСебестоимости(ПараметрыДерева, ПараметрыУзла));
```
</details>

## ИнициализироватьПоляДереваСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьПоляДереваСебестоимости(Результат) Экспорт
```

Пример вызова
```bsl
СтруктураСебестоимости.ИнициализироватьПоляДереваСебестоимости(Результат));
```
</details>

## СтруктураПолейДереваСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураПолейДереваСебестоимости() Экспорт
```

Пример вызова
```bsl
Результат = СтруктураСебестоимости.СтруктураПолейДереваСебестоимости());
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
