---
title: ТМЦ в эксплуатации клиент
slug: erp-uh/тмц-в-эксплуатации-клиент
---


## НеобходимВызовСервераДляОбработкиСтрокиТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
// Параметры:
//  ТекущаяСтрока - Структура -
//  СтруктураДействий - Структура -
//  КэшированныеЗначения - Структура -
//
// Возвращаемое значение:
//  Булево -
Функция НеобходимВызовСервераДляОбработкиСтрокиТЧ(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ТМЦВЭксплуатацииКлиент.НеобходимВызовСервераДляОбработкиСтрокиТЧ(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения) 
```
</details>

## ОбработатьСтрокуТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбработкаТабличнойЧастиКлиент.ОбработатьСтрокуТЧ
Процедура ОбработатьСтрокуТЧ(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения, ДополнительныеПараметрыЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииКлиент.ОбработатьСтрокуТЧ(ТекущаяСтрока, СтруктураДействий, КэшированныеЗначения, ДополнительныеПараметрыЗаполнения);
```
</details>

## ОбработатьСтрокуПриИзмененииКатегорииЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает строку при изменении категории эксплуатации.
//
// Параметры:
//  ДанныеСтроки - ДанныеФормыСтруктура, Массив из ДанныеФормыСтруктура - Текущая строка.
//  ТабличнаяЧасть - ДанныеФормыКоллекция - Табличная часть.
//  СтруктураДействий - Структура - Структура действий.
//	ПолеКоличество - Строка - Поле "Количество".
Процедура ОбработатьСтрокуПриИзмененииКатегорииЭксплуатации(ДанныеСтроки, ТабличнаяЧасть, СтруктураДействий = Неопределено, ПолеКоличество = "") Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииКлиент.ОбработатьСтрокуПриИзмененииКатегорииЭксплуатации(ДанныеСтроки, ТабличнаяЧасть, СтруктураДействий, ПолеКоличество);
```
</details>

## ДополнитьТекущуюСтрокуСтруктурой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//
// Параметры:
//  СтруктураПолейТЧ - Структура - Структура полей ТЧ
//  ТекущаяСтрока - Структура - Текущая строка
//  СтруктураДействий - Структура - Структура действий
//  ДополнительныеПараметрыЗаполнения - Структура - Дополнительные параметры заполнения
Процедура ДополнитьТекущуюСтрокуСтруктурой(СтруктураПолейТЧ, ТекущаяСтрока, СтруктураДействий, ДополнительныеПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииКлиент.ДополнитьТекущуюСтрокуСтруктурой(СтруктураПолейТЧ, ТекущаяСтрока, СтруктураДействий, ДополнительныеПараметрыЗаполнения) 
```
</details>

## ЗаполнитьКатегориюЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды заполнения категории эксплуатации в выделенных строках таблицы.
//
// Параметры:
// 	ТабличнаяЧасть - ДанныеФормыКоллекция - Табличная часть.
// 	ВыделенныеСтроки - Массив из Число - Выделенные строки таблицы формы.
// 	ПараметрыВыбора - Структура - Параметры отбора.
// 	ОписаниеОповещенияПослеЗаполнения - ОписаниеОповещения - Описания оповещения, которое необходимо вызвать после заполнения.
//
Процедура ЗаполнитьКатегориюЭксплуатации(ТабличнаяЧасть, ВыделенныеСтроки, ПараметрыВыбора = Неопределено, ОписаниеОповещенияПослеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииКлиент.ЗаполнитьКатегориюЭксплуатации(ТабличнаяЧасть, ВыделенныеСтроки, ПараметрыВыбора, ОписаниеОповещенияПослеЗаполнения);
```
</details>

## АвтоПодборПоИнвентарномуНомеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Заполняет список выбора при авто подборе по инвентарному номеру.
//
// Параметры:
//  Текст - Строка - Введенный текст.
//  ПараметрыПодбора - см. ТМЦВЭксплуатацииКлиентСервер.ПараметрыПодбораТМЦВЭксплуатации
//  ДанныеВыбора - СписокЗначений - Данные выбора.
//  СтандартнаяОбработка - Булево - Признак стандартной обработки события.
//
Процедура АвтоПодборПоИнвентарномуНомеру(Текст, ПараметрыПодбора, ДанныеВыбора, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииКлиент.АвтоПодборПоИнвентарномуНомеру(Текст, ПараметрыПодбора, ДанныеВыбора, СтандартнаяОбработка) 
```
</details>

## ПечатьЭтикетокТМЦВЭксплуатацииИзДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для печати и открывает форму для печати этикеток.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды:
//	                    * Идентификатор - Строка - Может принимать значения "Этикетки";
//	                    * ОбъектыПечати - Массив - Объекты печати.
//
// Возвращаемое значение:
//	Неопределено - Ничего не возвращает.
//
Функция ПечатьЭтикетокТМЦВЭксплуатацииИзДокумента(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ТМЦВЭксплуатацииКлиент.ПечатьЭтикетокТМЦВЭксплуатацииИзДокумента(ОписаниеКоманды) 
```
</details>

## ЗаполнитьФизическоеЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды заполнения физ. лица выделенных строках таблицы.
//
// Параметры:
// 	ТабличнаяЧасть - ДанныеФормыКоллекция - Табличная часть.
// 	ВыделенныеСтроки - Массив из Число - Выделенные строки таблицы формы.
// 	ИмяПоляФизическоеЛицо - Строка - Имя поля содержащего физическое лицо.
//
Процедура ЗаполнитьФизическоеЛицо(ТабличнаяЧасть, ВыделенныеСтроки, ИмяПоляФизическоеЛицо = "ФизическоеЛицо") Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииКлиент.ЗаполнитьФизическоеЛицо(ТабличнаяЧасть, ВыделенныеСтроки, ИмяПоляФизическоеЛицо);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
