---
title: ТМЦ в эксплуатации клиент сервер
slug: erp-uh/тмц-в-эксплуатации-клиент-сервер
---


## ПараметрыПодбораТМЦВЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры подбора ТМЦ в эксплуатации.
//
// Параметры:
//  Дата - Дата - На какую дату подбираются ТМЦ.
//  Организация - СправочникСсылка.Организации - Отбор ТМЦ по организации.
//  Подразделение - СправочникСсылка.СтруктураПредприятия - Отбор ТМЦ по подразделению.
//
// Возвращаемое значение:
//  Структура - содержит:
//		* Дата - Дата, Неопределено - На какую дату подбираются ТМЦ.
//		* Организация - СправочникСсылка.Организации, Неопределено - Отбор ТМЦ по организации.
//		* Подразделение - СправочникСсылка.СтруктураПредприятия, Неопределено - Отбор ТМЦ по подразделению.
//		* Номенклатура - СправочникСсылка.Номенклатура, Неопределено - Отбор ТМЦ по номенклатуре.
//		* Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры, Неопределено - Отбор ТМЦ по характеристике.
//		* Серия - СправочникСсылка.СерииНоменклатуры, Неопределено - Отбор ТМЦ по серии.
//		* СтатусУказанияСерий - Число, Неопределено - Для отбора ТМЦ по серии.
//		* ФизическоеЛицо - СправочникСсылка.ФизическиеЛица, Неопределено - Отбор ТМЦ по физ. лицу.
//		* СпособПогашенияСтоимостиБУ - ПеречислениеСсылка.СпособыПогашенияСтоимостиТМЦ, Неопределено - Отбор способу погашения стоимости.
//		* ИнвентарныйНомер - Строка, Неопределено - Отбор ТМЦ по инвентарному номеру.
//		* ИнвентарныйНомерСодержит - Строка, Неопределено - Отбор ТМЦ по совпадению текста в инвентарном номере.
//		* ВыбратьПервые - Число - Выбрать первые записи.
//		* ИнвентарныйУчет - Число, Неопределено - Отбор ТМЦ по признаку инвентарного учета (0 - Любой, 1 - Не ведется, 2 - Ведется).
//		* НазначенныйРесурс - Строка - (Выработан, НеВыработан).
//		* ТекущийРегистратор - ДокументСсылка, Неопределено - Заполняется, если нужно учесть изменение остатков документом.
//		* ДатаНачалаЭксплуатацииС - Дата - Отбор по дате начала эксплуатации.
//		* ДатаНачалаЭксплуатацииПо - Дата - Отбор по дате начала эксплуатации.
//		* ДляДинамическогоСписка - Булево - Истина, если подбор выполняется в дин. списке.
//
Функция ПараметрыПодбораТМЦВЭксплуатации(Дата = Неопределено, Организация = Неопределено, Подразделение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТМЦВЭксплуатацииКлиентСервер.ПараметрыПодбораТМЦВЭксплуатации(Дата, Организация, Подразделение);
```
</details>

## ПараметрыЗаполненияПризнаковКатегорииЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры заполнения признаков категории эксплуатации.
//
// Возвращаемое значение:
//  Структура - Параметры заполнения признаков категории эксплуатации:
//		* ЗаполнитьСтатьюРасходов - Булево -
//		* ЗаполнитьСтатьюРасходовДляГрупповогоОС - Булево -
//		* ЗаполнитьСрокЭксплуатации - Булево -
Функция ПараметрыЗаполненияПризнаковКатегорииЭксплуатации() Экспорт
```

Пример вызова
```bsl
Результат = ТМЦВЭксплуатацииКлиентСервер.ПараметрыЗаполненияПризнаковКатегорииЭксплуатации() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
