---
title: ТМЦ в эксплуатации сервер
slug: erp-uh/тмц-в-эксплуатации-сервер
---


## НайтиОбъектыПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит ТМЦ по штрихкодам.
//
// Параметры:
//  ДанныеШтрихкодов - Структура - Данные штрихкодов.
//  ПараметрыПодбора - см. ПараметрыПодбораПоШтрихкодам
//
// Возвращаемое значение:
// 	Структура - содержит:
//    * ТаблицаОбъектов - ТаблицаЗначений - найденные объекты.
//    * НеНайдены - Массив из Строка - штрихкоды, по которым не удалось найти объекты.
//    * НеПодходят - Массив из СправочникСсылка.ОбъектыЭксплуатации - Объекты, которые не подходят по параметрам подбора.
Функция НайтиОбъектыПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТМЦВЭксплуатацииСервер.НайтиОбъектыПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора);
```
</details>

## СообщитьОРезультатахПоискаПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о результатах поиска по штрихкоду.
//
// Параметры:
// 	РезультатПоиска - см. НайтиОбъектыПоШтрихкодам
Процедура СообщитьОРезультатахПоискаПоШтрихкоду(РезультатПоиска) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.СообщитьОРезультатахПоискаПоШтрихкоду(РезультатПоиска) 
```
</details>

## МассивШтрихкодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список штрихкодов из результата ввода.
//
// Параметры:
//  ДанныеШтрихкодов - Структура, Массив из Строка - Данные штрихкодов.
//
// Возвращаемое значение:
// 	Массив -
Функция МассивШтрихкодов(ДанныеШтрихкодов) Экспорт
```

Пример вызова
```bsl
Результат = ТМЦВЭксплуатацииСервер.МассивШтрихкодов(ДанныеШтрихкодов) 
```
</details>

## ПараметрыПодбораПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры подбора по штрихкодам.
//
// Возвращаемое значение:
//  Структура - Параметры подбора по штрихкодам:
// 		* Дата - Дата -
// 		* Организация - СправочникСсылка.Организации -
// 		* Подразделение - СправочникСсылка.СтруктураПредприятия -
// 		* ФизическоеЛицо - СправочникСсылка.ФизическиеЛица -
Функция ПараметрыПодбораПоШтрихкодам() Экспорт
```

Пример вызова
```bsl
Результат = ТМЦВЭксплуатацииСервер.ПараметрыПодбораПоШтрихкодам() 
```
</details>

## ДополнитьМетодыКВыполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет методы к выполнению.
//
// Параметры:
//  МетодыКВыполнению - СписокЗначений из Строка -
Процедура ДополнитьМетодыКВыполнению(МетодыКВыполнению) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ДополнитьМетодыКВыполнению(МетодыКВыполнению) 
```
</details>

## ДополнитьМетодыКВыполнениюПакетно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет методы к выполнению.
//
// Параметры:
//  МетодыКВыполнению - СписокЗначений из Строка -
Процедура ДополнитьМетодыКВыполнениюПакетно(МетодыКВыполнению) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ДополнитьМетодыКВыполнениюПакетно(МетодыКВыполнению) 
```
</details>

## ДополнитьОписаниеЗапросаПакетнойОбработкиТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запросы в пакет запросов для получения данных, необходимых для обработки строк табличной части.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧВЦикле.Действия
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//
Процедура ДополнитьОписаниеЗапросаПакетнойОбработкиТЧ(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ДополнитьОписаниеЗапросаПакетнойОбработкиТЧ(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов.
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//  См. УправлениеДоступомПереопределяемый.ПриЗаполненииСписковСОграничениемДоступа
//
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПриОпределенииОбъектовСКомандамиПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых размещена процедура ДобавитьКомандыПечати,
// формирующая список команд печати, предоставляемых этим объектом.
// Синтаксис процедуры ДобавитьКомандыПечати см. в документации к подсистеме.
//
// Параметры:
//  СписокОбъектов - Массив - менеджеры объектов с процедурой ДобавитьКомандыПечати.
//
Процедура ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) 
```
</details>

## ПриОпределенииОбъектовСКомандамиСозданияНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список объектов конфигурации, в модулях менеджеров которых предусмотрена процедура
// ДобавитьКомандыСозданияНаОсновании, формирующая команды создания на основании объектов.
// Синтаксис процедуры ДобавитьКомандыСозданияНаОсновании см. в документации.
//
// Параметры:
//   Объекты - Массив из ОбъектМетаданных - объекты метаданных (ОбъектМетаданных) с командами создания на основании.
//
// Пример:
//	Объекты.Добавить(Метаданные.Справочники.Организации);
//
Процедура ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) 
```
</details>

## ПриПолученииПредопределенныхНаборовСвойств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает описание предопределенных наборов свойств.
//
// Параметры:
//  Наборы - ДеревоЗначений - с колонками:
//     * Имя           - Строка - Имя набора свойств. Формируется из полного имени объекта
//                       метаданных заменой символа "." на "_".
//                       Например, "Документ_ЗаказПокупателя".
//     * Идентификатор - УникальныйИдентификатор - Идентификатор ссылки предопределенного элемента.
//     * Используется  - Неопределено, Булево - Признак того, что набор свойств используется.
//                       Например, можно использовать для скрытия набора по функциональным опциям.
//                       Значение по умолчанию - Неопределено, соответствует значению Истина.
//     * ЭтоГруппа     - Булево - Истина, если набор свойств является группой.
//
Процедура ПриПолученииПредопределенныхНаборовСвойств(Наборы) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ПриПолученииПредопределенныхНаборовСвойств(Наборы) 
```
</details>

## ПриОпределенииСправочниковХраненияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаСФайламиПереопределяемый.ПриОпределенииСправочниковХраненияФайлов
//
Процедура ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) 
```
</details>

## ВозможенУчетСерийВЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет возможен ли учет серий в эксплуатации.
//
// Возвращаемое значение:
//  Булево - Истина, если есть учетная политика с включенным учетом серий в эксплуатации
Функция ВозможенУчетСерийВЭксплуатации() Экспорт
```

Пример вызова
```bsl
Результат = ТМЦВЭксплуатацииСервер.ВозможенУчетСерийВЭксплуатации() 
```
</details>

## ОпределитьОбъектыСКомандамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых предусмотрена процедура ДобавитьКомандыОтчетов,
// описывающая команды открытия контекстных отчетов.
// Синтаксис процедуры ДобавитьКомандыОтчетов см. в документации.
//
// Параметры:
//   Объекты - Массив из ОбъектМетаданных - объекты метаданных с командами отчетов.
//
Процедура ОпределитьОбъектыСКомандамиОтчетов(Объекты) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ОпределитьОбъектыСКомандамиОтчетов(Объекты) 
```
</details>

## ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ДатыЗапретаИзмененияПереопределяемый.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
//
Процедура ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) 
```
</details>

## ДобавитьРолиДляДоступаКПодсистемеНаИзменение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в профиль роли, позволяющие работать в подсистеме ВНА с правами на изменение.
//
// Параметры:
// 	ОписаниеПрофиля - см. УправлениеДоступом.НовоеОписаниеПрофиляГруппДоступа
Процедура ДобавитьРолиДляДоступаКПодсистемеНаИзменение(ОписаниеПрофиля) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ДобавитьРолиДляДоступаКПодсистемеНаИзменение(ОписаниеПрофиля) 
```
</details>

## УстановитьУсловноеОформлениеИнвентарногоНомера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Устанавливает условное оформление инвентарного номера.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма в которой устанавливается условное оформление.
//  ИмяПоляИнвентарныйНомер - Строка - Имя поля "ИнвентарныйНомер" на форме.
//  ПутьКПолюИнвентарныйУчет - Строка - Путь к полю "ИнвентарныйНомер".
//  ПутьКПолюПартия - Строка - Путь к полю "Партия".
Процедура УстановитьУсловноеОформлениеИнвентарногоНомера(Форма, ИмяПоляИнвентарныйНомер = "", ПутьКПолюИнвентарныйУчет = "", ПутьКПолюПартия = "") Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.УстановитьУсловноеОформлениеИнвентарногоНомера(Форма, ИмяПоляИнвентарныйНомер, ПутьКПолюИнвентарныйУчет, ПутьКПолюПартия);
```
</details>

## УстановитьУсловноеОформлениеФизЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление физ. лица.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма в которой устанавливается условное оформление.
//  ИмяПоляФизЛицо - Строка - Имя поля "ФизическоеЛицо" на форме.
//  ПутьКПолюУчетПоФизЛицам - Строка - Путь к полю "УчетПоФизЛицам".
//  ПутьКПолюПартия - Строка - Путь к полю "Партия".
Процедура УстановитьУсловноеОформлениеФизЛица(Форма, ИмяПоляФизЛицо = "", ПутьКПолюУчетПоФизЛицам = "", ПутьКПолюПартия = "") Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.УстановитьУсловноеОформлениеФизЛица(Форма, ИмяПоляФизЛицо, ПутьКПолюУчетПоФизЛицам, ПутьКПолюПартия);
```
</details>

## ЗаполнитьСлужебныеРеквизитыПоПартииТМЦ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить служебные реквизиты по партии ТМЦ.
//
// Параметры:
//  ТабличнаяЧасть - ДанныеФормыКоллекция - Табличная часть.
Процедура ЗаполнитьСлужебныеРеквизитыПоПартииТМЦ(ТабличнаяЧасть) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ЗаполнитьСлужебныеРеквизитыПоПартииТМЦ(ТабличнаяЧасть) 
```
</details>

## НовыйИнвентарныйНомер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует новый инвентарный номер.
//
// Параметры:
//  УчестьИнвентарныеНомера - Массив - Учесть инвентарные номера.
//  ИсключитьДокумент - ДокументСсылка - Исключить движения документа.
//
// Возвращаемое значение:
//	Строка - Новый инвентарный номер.
Функция НовыйИнвентарныйНомер(УчестьИнвентарныеНомера = Неопределено, ИсключитьДокумент = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТМЦВЭксплуатацииСервер.НовыйИнвентарныйНомер(УчестьИнвентарныеНомера, ИсключитьДокумент);
```
</details>

## НовыеИнвентарныеНомера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует новые инвентарные номера.
//
// Параметры:
//	Количество - Число - Количество номеров.
//  УчестьИнвентарныеНомера - Массив - Учесть инвентарные номера.
//  ИсключитьДокумент - ДокументСсылка - Исключить движения документа.
//
// Возвращаемое значение:
//	Массив из Строка - Новые инвентарные номера.
Функция НовыеИнвентарныеНомера(Количество, УчестьИнвентарныеНомера = Неопределено, ИсключитьДокумент = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТМЦВЭксплуатацииСервер.НовыеИнвентарныеНомера(Количество, УчестьИнвентарныеНомера, ИсключитьДокумент);
```
</details>

## ПроверитьПередачуВЭксплуатацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет документ передачи ТМЦ в эксплуатацию.
//
// Параметры:
//  Объект - ДокументОбъект.ВводОстатковТМЦВЭксплуатации, ДокументОбъект.ВнутреннееПотребление, ДокументОбъект.ОприходованиеТМЦВЭксплуатации - Обрабатываемый объект
//  НепроверяемыеРеквизиты - Массив из Строка - Массив путей к реквизитам, для которых будет отключена проверка заполнения.
//  Отказ - Булево - Истина, если есть ошибки.
//
Процедура ПроверитьПередачуВЭксплуатацию(Объект, НепроверяемыеРеквизиты, Отказ) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ПроверитьПередачуВЭксплуатацию(Объект, НепроверяемыеРеквизиты, Отказ) 
```
</details>

## ПроверитьЗаказНаПередачуВЭксплуатацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заказ на передачу ТМЦ в эксплуатацию.
//
// Параметры:
//  Объект - ДокументОбъект.ЗаказНаВнутреннееПотребление - Обрабатываемый объект
//  НепроверяемыеРеквизиты - Массив - Массив путей к реквизитам, для которых будет отключена проверка заполнения.
//  Отказ - Булево - Истина, если есть ошибки.
//
Процедура ПроверитьЗаказНаПередачуВЭксплуатацию(Объект, НепроверяемыеРеквизиты, Отказ) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ПроверитьЗаказНаПередачуВЭксплуатацию(Объект, НепроверяемыеРеквизиты, Отказ) 
```
</details>

## ПередЗаписьюЗаказаНаПередачуВЭксплуатацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед записью заказа на передачу в эксплуатацию.
//
// Параметры:
//  Объект - ДокументОбъект.ЗаказНаВнутреннееПотребление - Обрабатываемый объект.
//  Отказ - Булево - Истина, если есть ошибки.
Процедура ПередЗаписьюЗаказаНаПередачуВЭксплуатацию(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ПередЗаписьюЗаказаНаПередачуВЭксплуатацию(Объект, Отказ) 
```
</details>

## ОбработкаПараметровВыбораСтатьиРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПланыВидовХарактеристик.СтатьиРасходов.ОбработкаПараметровВыбора
Процедура ОбработкаПараметровВыбораСтатьиРасходов(Параметры) Экспорт
```

Пример вызова
```bsl
ТМЦВЭксплуатацииСервер.ОбработкаПараметровВыбораСтатьиРасходов(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
