---
title: Текущие дела EDI
slug: erp-uh/текущие-дела-edi
---


## ВиджетДоступенПоПравам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, доступен ли виджет пользователю по правам
//
// Параметры:
// 	Виджет - ПеречислениеСсылка.ДоступныеВиджетыТекущихДелEDI - виджет, для которого требуется определить доступность.
// Возвращаемое значение:
// 	Булево - признак доступности виджета.
//
Функция ВиджетДоступенПоПравам(Виджет) Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.ВиджетДоступенПоПравам(Виджет) 
```
</details>

## РазделВиджетаДоступенПоПравам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, доступен ли раздел виджета пользователю по правам
//
// Параметры:
// 	РазделВиджета - ПеречислениеСсылка.РазделыВиджетовEDI - раздел виджета, для которого требуется определить доступность.
// Возвращаемое значение:
// 	Булево - признак доступности раздела виджета.
//
Функция РазделВиджетаДоступенПоПравам(РазделВиджета) Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.РазделВиджетаДоступенПоПравам(РазделВиджета) 
```
</details>

## МассивГруппВиджетовДоступныхПоПравам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив доступных по правам групп виджетов.
//
// Возвращаемое значение:
// 	Массив - массив доступных по правам групп виджетов.
//
Функция МассивГруппВиджетовДоступныхПоПравам() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.МассивГруппВиджетовДоступныхПоПравам() 
```
</details>

## ВсеВиджетыДоступныеПоПравам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив доступных по правам виджетов.
//
// Возвращаемое значение:
// 	Массив - массив доступных по правам виджетов.
//
Функция ВсеВиджетыДоступныеПоПравам() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.ВсеВиджетыДоступныеПоПравам() 
```
</details>

## ВиджетыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив виджетов по умолчанию.
//
// Возвращаемое значение:
// 	Массив - массив массив виджетов по умолчанию.
//
Функция ВиджетыПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.ВиджетыПоУмолчанию() 
```
</details>

## РазделыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив разделов виджетов по умолчанию.
//
// Возвращаемое значение:
// 	Массив - массив массив разделов по умолчанию.
//
Функция РазделыПоУмолчанию(Виджет) Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.РазделыПоУмолчанию(Виджет) 
```
</details>

## СоответствиеГруппВиджетовГруппамФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие групп виджетов группам формы текущих дел.
//
// Возвращаемое значение:
// 	Соответствие - соответствие групп виджетов группам формы текущих дел..
//
Функция СоответствиеГруппВиджетовГруппамФормы() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.СоответствиеГруппВиджетовГруппамФормы() 
```
</details>

## МассивДоступныхГруппВиджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив доступных по правам групп виджетов.
//
// Возвращаемое значение:
// 	Массив - массив доступных по правам групп виджетов.
//
Функция МассивДоступныхГруппВиджетов() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.МассивДоступныхГруппВиджетов() 
```
</details>

## МассивВиджетовГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив виджетов группы.
//
// Возвращаемое значение:
// 	Массив - массив виджетов группы.
//
Функция МассивВиджетовГруппы(ГруппаВиджетов) Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.МассивВиджетовГруппы(ГруппаВиджетов) 
```
</details>

## ВывестиВиджеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
// 	Форма                   - ФормаКлиентскогоПриложения - форма текущих дел, в которую выводятся виджеты.
// 	ПараметрыВыводаВиджетов - Структура - параметры вывода виджетов.
//
Процедура ВывестиВиджеты(Форма, ПараметрыВыводаВиджетов) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDI.ВывестиВиджеты(Форма, ПараметрыВыводаВиджетов) 
```
</details>

## УдалитьГруппуИзТаблицыЗависимостей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет группу элементов формы виджета из таблицы зависимостей
//
// Параметры:
// 	Форма     - ФормаКлиентскогоПриложения - форма текущих дел.
// 	ИмяГруппы - Строка                     - имя удаляемой группы.
//
Процедура УдалитьГруппуИзТаблицыЗависимостей(Форма, ИмяГруппы) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDI.УдалитьГруппуИзТаблицыЗависимостей(Форма, ИмяГруппы) 
```
</details>

## ДобавитьСтрокуТаблицыЗависимостей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет группу элементов формы виджета в таблицу зависимостей
//
// Параметры:
// 	Форма     - ФормаКлиентскогоПриложения - форма текущих дел.
// 	Параметры - Структура                  - параметры добавляемой группы.
//
Процедура ДобавитьСтрокуТаблицыЗависимостей(Форма, Параметры) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDI.ДобавитьСтрокуТаблицыЗависимостей(Форма, Параметры) 
```
</details>

## ПараметрыСтрокиТаблицыЗависимостей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор строки таблицы зависимости групп элементов формы виджетов.
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Включена                  - Булево -
// * ИмяПодчиненнойГруппы      - Строка - имя подчиненной группы.
// * ИмяСворачиваемогоЭлемента - Строка - имя сворачиваемого элемента.
// * Виджет                    - ПеречислениеСсылка.ДоступныеВиджетыТекущихДелEDI - отрисовываемый виджет.
//
Функция ПараметрыСтрокиТаблицыЗависимостей() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.ПараметрыСтрокиТаблицыЗависимостей() 
```
</details>

## ОпределитьИмяСледующейДекорации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя следующей декорации при выводе виджета
//
// Параметры:
// 	ИмяТекущейДекорации - Строка - определяемое имя декорации
// 	ИмяДекорации        - Строка - имя выводимой декорации
// 	ТекущийПостфикс     - Число - постфикс декорации
//
Процедура ОпределитьИмяСледующейДекорации(ИмяТекущейДекорации, ИмяДекорации, ТекущийПостфикс) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDI.ОпределитьИмяСледующейДекорации(ИмяТекущейДекорации, ИмяДекорации, ТекущийПостфикс) 
```
</details>

## ОтключитьВидимостьДекорацийГруппыНачинаяСПостфикса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает видимость декорации группы начиная с определенного номера
//
// Параметры:
// 	Группа       - ГруппаФормы - группа элементов формы, для подчиненных элементов которой определяется видимость.
// 	ИмяДекорации - Строка      - имя декорации формы.
// 	Постфикс     - Число       - постфикс последней видимой декорации.
// 	Сдвиг        - Число       - сдвиг постфикса.
//
Процедура ОтключитьВидимостьДекорацийГруппыНачинаяСПостфикса(Группа, ИмяДекорации, Постфикс, Сдвиг = 0) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDI.ОтключитьВидимостьДекорацийГруппыНачинаяСПостфикса(Группа, ИмяДекорации, Постфикс, Сдвиг);
```
</details>

## СохранитьНастройкиВиджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет пользовательские настройки виджетов
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - форма текущих дел.
//
Процедура СохранитьНастройкиВиджетов(Форма) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDI.СохранитьНастройкиВиджетов(Форма) 
```
</details>

## ЗаполнитьТаблицуВиджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
// 	ТаблицаВиджетов  - ТаблицаЗначений - таблица выводимых виджетов.
// 	ВыбранныеВиджеты - Массив - выбранные для вывода виджеты.
//
Процедура ЗаполнитьТаблицуВиджетов(ТаблицаВиджетов, ВыбранныеВиджеты) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDI.ЗаполнитьТаблицуВиджетов(ТаблицаВиджетов, ВыбранныеВиджеты) 
```
</details>

## ВывестиДекорацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает видимость декорации и выводит в нее данные виджета
//
// Параметры:
// 	Форма        - ФормаКлиентскогоПриложения - форма текущих дел.
// 	Заголовок    - Строка - выводимая в виджет информация.
// 	Гиперссылка  - Строка - навигационная ссылка информации.
// 	ИмяДекорации - Строка - имя декорации виджета.
//
Процедура ВывестиДекорацию(Форма, Заголовок, Гиперссылка, ИмяДекорации) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDI.ВывестиДекорацию(Форма, Заголовок, Гиперссылка, ИмяДекорации) 
```
</details>

## ИдентификаторыДокументовЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив идентификаторов документов закупки.
//
// Возвращаемое значение:
// 	Массив - массив идентификаторов документов закупки.
//
Функция ИдентификаторыДокументовЗакупки() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.ИдентификаторыДокументовЗакупки() 
```
</details>

## ИдентификаторыДокументовПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив идентификаторов документов продажи.
//
// Возвращаемое значение:
// 	Массив - массив идентификаторов документов продажи.
//
Функция ИдентификаторыДокументовПродажи() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDI.ИдентификаторыДокументовПродажи() 
```
</details>

## ПодготовитьИнформациюДляВыводаВиджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает и помещает во временное хранилище данные для вывода в виджеты.
//
// Параметры:
// 	ПараметрыПодготовки - Структура - содержит:
// 	 * ИспользуемыеВиджеты - Массив - используемые виджеты.
// 	 * ИспользуемыеРазделы - Массив - используемые разделы.
// 	АдресХранилища - Строка - адрес временного хранилища, в которое будут помещены данные.
//
Процедура ПодготовитьИнформациюДляВыводаВиджетов(ПараметрыПодготовки, АдресХранилища) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDI.ПодготовитьИнформациюДляВыводаВиджетов(ПараметрыПодготовки, АдресХранилища) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
