---
title: Текущие дела EDI интеграция
slug: erp-uh/текущие-дела-edi-интеграция
---


## РазделВиджетаДоступенПоПравам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, доступен ли раздел виджета пользователю по правам
//
// Параметры:
// 	РазделВиджета - ПеречислениеСсылка.РазделыВиджетовEDI - раздел виджета, для которого требуется определить доступность.
// Возвращаемое значение:
// 	Булево - признак доступности раздела виджета.
//
Функция РазделВиджетаДоступенПоПравам(РазделВиджета) Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDIИнтеграция.РазделВиджетаДоступенПоПравам(РазделВиджета) 
```
</details>

## ВиджетыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив виджетов по умолчанию.
//
// Возвращаемое значение:
// 	Массив - массив массив виджетов по умолчанию.
//
Функция ВиджетыПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDIИнтеграция.ВиджетыПоУмолчанию() 
```
</details>

## РазделыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив разделов виджетов по умолчанию.
//
// Возвращаемое значение:
// 	Массив - массив массив разделов по умолчанию.
//
Функция РазделыПоУмолчанию(Виджет) Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDIИнтеграция.РазделыПоУмолчанию(Виджет) 
```
</details>

## МассивДоступныхГруппВиджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив доступных по правам групп виджетов.
//
// Возвращаемое значение:
// 	Массив - массив доступных по правам групп виджетов.
//
Функция МассивДоступныхГруппВиджетов() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDIИнтеграция.МассивДоступныхГруппВиджетов() 
```
</details>

## МассивВиджетовГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив виджетов группы.
//
// Возвращаемое значение:
// 	Массив - массив виджетов группы.
//
Функция МассивВиджетовГруппы(ГруппаВиджетов) Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDIИнтеграция.МассивВиджетовГруппы(ГруппаВиджетов) 
```
</details>

## СоответствиеГруппВиджетовГруппамФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие групп виджетов группам формы текущих дел.
//
// Возвращаемое значение:
// 	Соответствие - соответствие групп виджетов группам формы текущих дел..
//
Функция СоответствиеГруппВиджетовГруппамФормы() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDIИнтеграция.СоответствиеГруппВиджетовГруппамФормы() 
```
</details>

## ПодготовитьДанныеЗапросаПоРазделу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает данные запроса по разделу виджета
//
// Параметры:
// 	ПараметрыФормирования - Структура -
// 	Раздел                - ПеречислениеСсылка.РазделыВиджетовEDI - раздел виджета.
//
Процедура ПодготовитьДанныеЗапросаПоРазделу(ПараметрыФормирования, Раздел) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDIИнтеграция.ПодготовитьДанныеЗапросаПоРазделу(ПараметрыФормирования, Раздел) 
```
</details>

## ПодготовитьДанныеПоРезультатамЗапросаПоРазделу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает данные разделов виджета по результатам выполненного пакета запросов
//
// Параметры:
// 	ПараметрыФормирования - Структура    - параметры формирования данных
// 	ДанныеДляВиджетов     - Соответствие - полученные в результате выполнение запросов данные.
// 	Раздел                - ПеречислениеСсылка.РазделыВиджетовEDI - раздел, для которого подготавливаются данные.
//
Процедура ПодготовитьДанныеПоРезультатамЗапросаПоРазделу(ПараметрыФормирования, ДанныеДляВиджетов, Раздел) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDIИнтеграция.ПодготовитьДанныеПоРезультатамЗапросаПоРазделу(ПараметрыФормирования, ДанныеДляВиджетов, Раздел) 
```
</details>

## ПодготовитьДанныеПравоДоступаПоРазделу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает данные по доступности
//
// Параметры:
// 	ДанныеДляВиджетов - Соответствие       - данные для виджетов.
// 	Раздел            - ПеречислениеСсылка - раздел для которого определяется право доступа
//
Процедура ПодготовитьДанныеПравоДоступаПоРазделу(ДанныеДляВиджетов, Раздел) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDIИнтеграция.ПодготовитьДанныеПравоДоступаПоРазделу(ДанныеДляВиджетов, Раздел) 
```
</details>

## ВывестиИнформациюПоВиджету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит информацию по виджету в форму текущих дел
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения                        - форма текущих дел.
// 	Виджет - ПеречислениеСсылка.ДоступныеВиджетыТекущихДелEDI - виджет, по которому выводится информация.
// 	ПараметрыВыводаВиджетов - Структура                       - параметры вывода виджетов.
//
Процедура ВывестиИнформациюПоВиджету(Форма, Виджет, ПараметрыВыводаВиджетов) Экспорт
```

Пример вызова
```bsl
ТекущиеДелаEDIИнтеграция.ВывестиИнформациюПоВиджету(Форма, Виджет, ПараметрыВыводаВиджетов) 
```
</details>

## ИдентификаторыДокументовЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив идентификаторов документов закупки.
//
// Возвращаемое значение:
// 	Массив - массив идентификаторов документов закупки.
//
Функция ИдентификаторыДокументовЗакупки() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDIИнтеграция.ИдентификаторыДокументовЗакупки() 
```
</details>

## ИдентификаторыДокументовПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив идентификаторов документов продажи.
//
// Возвращаемое значение:
// 	Массив - массив идентификаторов документов продажи.
//
Функция ИдентификаторыДокументовПродажи() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDIИнтеграция.ИдентификаторыДокументовПродажи() 
```
</details>

## ТекущийМенеджер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущего менеджера
//
// Возвращаемое значение:
// 	СправочникСсылка.ВнешниеПользователи, СправочникСсылка.Пользователи - текущий менеджер
//
Функция ТекущийМенеджер() Экспорт
```

Пример вызова
```bsl
Результат = ТекущиеДелаEDIИнтеграция.ТекущийМенеджер() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
