---
title: Типовые отчеты УХ
slug: erp-uh/типовые-отчеты-ух
---


## ПолеЯвляетсяРодителемДругого
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолеЯвляетсяРодителемДругого(КомпоновщикНастроек, Поле1, Поле2) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолеЯвляетсяРодителемДругого(КомпоновщикНастроек, Поле1, Поле2));
```
</details>

## ПолучитьЭлементСтруктурыДетальныеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает группировку - детальные записи компоновщика настроек
Функция ПолучитьЭлементСтруктурыДетальныеЗаписи(КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЭлементСтруктурыДетальныеЗаписи(КомпоновщикНастроек) 
```
</details>

## СкопироватьЭлементы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Компирует элементы из одной коллекции в другую
Процедура СкопироватьЭлементы(ПриемникЗначения, ИсточникЗначения, ПроверятьДоступность = Ложь, ОчищатьПриемник = Истина) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.СкопироватьЭлементы(ПриемникЗначения, ИсточникЗначения, ПроверятьДоступность, ОчищатьПриемник);
```
</details>

## ЗаполнитьЭлементы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет одну коллекцию элементов на основании другой
Процедура ЗаполнитьЭлементы(ПриемникЗначения, ИсточникЗначения, ПервыйУровень = Неопределено) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ЗаполнитьЭлементы(ПриемникЗначения, ИсточникЗначения, ПервыйУровень);
```
</details>

## ПолучитьПоследнийЭлементСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает последний элемент структуры - группировку
Функция ПолучитьПоследнийЭлементСтруктуры(КомпоновщикНастроек, Строки = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПоследнийЭлементСтруктуры(КомпоновщикНастроек, Строки);
```
</details>

## СброситьФлажкиИспользования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СброситьФлажкиИспользования(ПараметрыДанных) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.СброситьФлажкиИспользования(ПараметрыДанных));
```
</details>

## ЗаполнитьСвойстваПН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСвойстваПН(ЭлементПриемник, ЭлементИсточник) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ЗаполнитьСвойстваПН(ЭлементПриемник, ЭлементИсточник) 
```
</details>

## ПолучитьПараметр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит пользовательскую настройку по имени параметра.
//   Если пользовательская настройка не найдена (например,
//   если параметр не выведен в пользовательские настройки),
//   то получает общую настройку параметра.
//
// Параметры:
//   КомпоновщикНастроекКД - КомпоновщикНастроекКомпоновкиДанных - Компоновщик настроек.
//   ИмяПараметра          - Строка - Имя параметра.
//
// Возвращаемое значение:
//   ЗначениеПараметраНастроекКомпоновкиДанных - Пользовательская настройка параметра.
//   Неопределено - Если параметр не найден.
//
Функция ПолучитьПараметр(КомпоновщикНастроекКД, ИмяПараметра) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПараметр(КомпоновщикНастроекКД, ИмяПараметра) 
```
</details>

## ПолучитьЗначениеПараметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначениеПараметра(ИсточникНастроек, Параметр) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЗначениеПараметра(ИсточникНастроек, Параметр) 
```
</details>

## УстановитьПараметр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметр данных компоновщика настроек
Функция УстановитьПараметр(ИсточникНастроек, ИмяПараметра, Значение) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.УстановитьПараметр(ИсточникНастроек, ИмяПараметра, Значение) 
```
</details>

## ДобавитьПараметр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПараметр(ИсточникНастроек, Знач Параметр, Значение) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПараметр(ИсточникНастроек, Параметр, Значение) 
```
</details>

## ДобавитьПараметрВСхему
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Добавить параметр в схему
//
// Параметры:
//  ИсточникПараметров	 - 	<СхемаКомпоновкиДанных,ПараметрыСхемыКомпоновкиДанных> -
//  ИмяПараметра		 - <Строка>	 -
//  Значение			 - 	 -
// Возвращаемое значение:
//   - ПараметрСхемыКомпоновкиДанных
Функция ДобавитьПараметрВСхему(ИсточникПараметров, ИмяПараметра, Значение, ИспользованиеПараметраКД = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПараметрВСхему(ИсточникПараметров, ИмяПараметра, Значение, ИспользованиеПараметраКД);
```
</details>

## УстановитьЗначенияПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьЗначенияПараметров(ПриемникЗначения, ИсточникЗначения) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.УстановитьЗначенияПараметров(ПриемникЗначения, ИсточникЗначения));
```
</details>

## ДополнитьМакетыМакетаКомпоновкиРасшифровкойРесурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в макеты макета компоновки расшифровку для ресурсов
Процедура ДополнитьМакетыМакетаКомпоновкиРасшифровкойРесурсов(МакетКомпоновки, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ДополнитьМакетыМакетаКомпоновкиРасшифровкойРесурсов(МакетКомпоновки, КомпоновщикНастроек) 
```
</details>

## ЭтоВыражениеПоляПараметраРасшифровкиРесурс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоВыражениеПоляПараметраРасшифровкиРесурс(ВыражениеПоля, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ЭтоВыражениеПоляПараметраРасшифровкиРесурс(ВыражениеПоля, КомпоновщикНастроек));
```
</details>

## СкопироватьНастройкиКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Копирует настройки компоновки данных из одного компоновщика настроек в другой
Процедура СкопироватьНастройкиКомпоновкиДанных(НастройкиПриемник, НастройкиИсточник) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.СкопироватьНастройкиКомпоновкиДанных(НастройкиПриемник, НастройкиИсточник) 
```
</details>

## ДобавитьГруппировку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет группировку в компоновщик настроек в самый нижний уровень структуры, если поле не укзано - детальные поля
Функция ДобавитьГруппировку(КомпоновщикНастроек, Знач Поле = Неопределено, Строки = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьГруппировку(КомпоновщикНастроек, Поле, Строки);
```
</details>

## ДобавитьГруппировкуСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Добавить группировку структуры
//
// Параметры:
//  ЭлементСтруктуры - ГруппировкаТаблицыКомпоновкиДанных,ГруппировкаДиаграммыКомпоновкиДанных,КоллекцияЭлементовСтруктурыТаблицыКомпоновкиДанных,
//  					КоллекцияЭлементовСтруктурыТаблицыКомпоновкиДанных,КоллекцияЭлементовСтруктурыДиаграммыКомпоновкиДанных,НастройкиКомпоновкиДанных
//  Поле			 - Строка,ПолеКомпоновкиДанных
// Возвращаемое значение:
//   - Группировка структуры
Функция ДобавитьГруппировкуСтруктуры(ЭлементСтруктуры, Знач Поле = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьГруппировкуСтруктуры(ЭлементСтруктуры, Поле);
```
</details>

## УдалитьГруппировку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция удаляет из компоновщика настроек указанную в параметре группировку, если параметр не указан, удаляет все группировки
Функция УдалитьГруппировку(КомпоновщикНастроек, Знач Поле = Неопределено, Строки = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.УдалитьГруппировку(КомпоновщикНастроек, Поле, Строки);
```
</details>

## ПолучитьМассивПолейГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив полей группировок всех группировок компоновщика настроек
Функция ПолучитьМассивПолейГруппировки(КомпоновщикНастроек, БезПользовательскихПолей = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьМассивПолейГруппировки(КомпоновщикНастроек, БезПользовательскихПолей);
```
</details>

## ДобавитьПоляГруппировкиВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПоляГруппировкиВМассив(Структура, МассивПолей, БезПользовательскихПолей) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ДобавитьПоляГруппировкиВМассив(Структура, МассивПолей, БезПользовательскихПолей));
```
</details>

## ПолучитьЭлементСтруктурыПоПолюГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает группировку по полю группировки
Функция ПолучитьЭлементСтруктурыПоПолюГруппировки(ПолеГруппировки, КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЭлементСтруктурыПоПолюГруппировки(ПолеГруппировки, КомпоновщикНастроек) 
```
</details>

## НайтиЭлементСтруктурыПоПолюГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиЭлементСтруктурыПоПолюГруппировки(Структура, ПолеГруппировки) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.НайтиЭлементСтруктурыПоПолюГруппировки(Структура, ПолеГруппировки) 
```
</details>

## ПолучитьМассивГруппировок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив группировок компоновщика настроек
Функция ПолучитьМассивГруппировок(ЭлементСтруктуры, КомпоновщикНастроек, МассивГруппировок = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьМассивГруппировок(ЭлементСтруктуры, КомпоновщикНастроек, МассивГруппировок);
```
</details>

## ПолучитьПоляГруппировок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список полей группировок всех группировок компоновщика настроек
Функция ПолучитьПоляГруппировок(КомпоновщикНастроек, БезПользовательскихПолей = Ложь, ДобавлятьДетальныеЗаписи = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПоляГруппировок(КомпоновщикНастроек, БезПользовательскихПолей, ДобавлятьДетальныеЗаписи);
```
</details>

## ДобавитьПоляГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПоляГруппировки(Структура, СписокПолей, БезПользовательскихПолей) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ДобавитьПоляГруппировки(Структура, СписокПолей, БезПользовательскихПолей));
```
</details>

## ПолучитьГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список всех группировок компоновщика настроек
Функция ПолучитьГруппировки(КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьГруппировки(КомпоновщикНастроек) 
```
</details>

## ДобавитьГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьГруппировки(Структура, СписокПолей) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ДобавитьГруппировки(Структура, СписокПолей));
```
</details>

## ДобавитьАвтоВыбранноеПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в группировку автовыбранное поле
Функция ДобавитьАвтоВыбранноеПоле(Структура) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьАвтоВыбранноеПоле(Структура) 
```
</details>

## ПолучитьПоляОтборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПоляОтборов(ЭлементСтруктуры, ТолькоИспользуемые = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПоляОтборов(ЭлементСтруктуры, ТолькоИспользуемые);
```
</details>

## ПолучитьЭлементыОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив элементов отбора или групп элементов отбора
Функция ПолучитьЭлементыОтбора(ЭлементСтруктуры, ТолькоГруппы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЭлементыОтбора(ЭлементСтруктуры, ТолькоГруппы);
```
</details>

## ДобавитьЭлементыОтбораВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЭлементыОтбораВМассив(Элементы, МассивПолей, ТолькоГруппы = Ложь) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ДобавитьЭлементыОтбораВМассив(Элементы, МассивПолей, ТолькоГруппы);
```
</details>

## УдалитьОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет отбор из компоновщика настроек, если поле не указано, очищает отбор
Функция УдалитьОтбор(ЭлементСтруктуры, Знач Поле = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.УдалитьОтбор(ЭлементСтруктуры, Поле);
```
</details>

## ДобавитьОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет отбор в набор отборов компоновщика или группы отборов
Функция ДобавитьОтбор(ЭлементСтруктуры, Знач Поле, Значение, ВидСравнения = Неопределено, ПроверятьДоступныеПоляОтбора = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьОтбор(ЭлементСтруктуры, Поле, Значение, ВидСравнения, ПроверятьДоступныеПоляОтбора);
```
</details>

## ДобавитьОтборПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет отбор в набор отборов компоновщика или группы отборов
Функция ДобавитьОтборПоля(ЭлементСтруктуры, Знач Поле, Значение, ВидСравнения = Неопределено, ПроверятьДоступныеПоляОтбора = Ложь, ПроверятьСуществующиеОтборы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьОтборПоля(ЭлементСтруктуры, Поле, Значение, ВидСравнения, ПроверятьДоступныеПоляОтбора, ПроверятьСуществующиеОтборы);
```
</details>

## УдалитьДублиОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьДублиОтбора(КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.УдалитьДублиОтбора(КомпоновщикНастроек) 
```
</details>

## ПравыеЗначенияОтборовСовпадают
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПравыеЗначенияОтборовСовпадают(Значение1, Значение2) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПравыеЗначенияОтборовСовпадают(Значение1, Значение2));
```
</details>

## ДобавитьИзменитьЭлементОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьИзменитьЭлементОтбора(ОбластьПоискаДобавления, Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьИзменитьЭлементОтбора(ОбластьПоискаДобавления, );
```
</details>

## ДобавитьПорядок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПорядок(ЭлементСтруктуры, ПолеКД, ПоВозрастанию = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПорядок(ЭлементСтруктуры, ПолеКД, ПоВозрастанию);
```
</details>

## УстановитьЗначениеПользовательскойНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вспомогательная функция, для указанного компоновщика и пользовательских настроек устанавливает отбор по имени поля и его значению.
// Функция ищет в пользовательских настройках элементы отбора, если находит, то проверяет их наличие в компоновщике, если и там они есть,
// функция устанавливает отбор по переданному имени и значению. Если такого поля не найдено, то в элемент пользовательских настроек
// "ОтборКомпоновкиДанных" добавляет новый отбор.
// ВАЖНО: У пользовательских настроек должен быть элемент "ОтборКомпоновкиДанных", чтобы отбор устанавливался по полям, отсутствующим в
//	пользовательских настройках отбора компоновщика.
// Параметры:
//	Компоновщик - КомпоновщикНастроекКомпоновкиДанных, для поиска элементов пользовательскогго отбора.
//	Настройки - ПользовательскиеНастройкиКомпоновкиДанных, для установки элементов отбора.
//	Имя - Строка, левое значение отбора.
//	Значение - Произвольное значение, правое значение отбора.
//
Процедура УстановитьЗначениеПользовательскойНастройки(Компоновщик, Настройки, Имя, Значение) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.УстановитьЗначениеПользовательскойНастройки(Компоновщик, Настройки, Имя, Значение) 
```
</details>

## ПолучитьПользовательскиеНастройкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для указанного отчета получает пользовательские настройки, заполняет их по параметрам отбора.
// Параметры:
//	ИмяОтчета - Строка, имя отчета, как оно заданно в конфигураторе.
//	ПараметрыОтбора - Структура, имена полей отбора и их значения. Если значение - массив, то условие сравнения в отборе устанавливается в "ВСписке".
// Возвращает - ПользовательскиеНастройкиКомпоновкиДанных.
//
Функция ПолучитьПользовательскиеНастройкиОтчета(ИмяОтчета, ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПользовательскиеНастройкиОтчета(ИмяОтчета, ПараметрыОтбора) 
```
</details>

## ПолучитьПользовательскуюНастройку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПользовательскуюНастройку(ЭлементНастроек, ПользовательскиеНастройки) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПользовательскуюНастройку(ЭлементНастроек, ПользовательскиеНастройки) 
```
</details>

## ПолучитьЭлементНастройкиПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭлементНастройкиПоИдентификатору(ЭлементНастроек, ИдентификаторПользовательскойНастройки) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЭлементНастройкиПоИдентификатору(ЭлементНастроек, ИдентификаторПользовательскойНастройки));
```
</details>

## УстановитьЗначенияПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьЗначенияПолей(Компоновщик, ЗначенияПолейОтбора) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.УстановитьЗначенияПолей(Компоновщик, ЗначенияПолейОтбора) 
```
</details>

## ПолучитьВидСравненияКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВидСравненияКД(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьВидСравненияКД(Значение));
```
</details>

## ПолучитьЗначениеОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначениеОтбора(ЗначениеОтбора) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЗначениеОтбора(ЗначениеОтбора));
```
</details>

## ПолучитьЭлементОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭлементОтбора(ИмяПоля, Настройки, ПользовательскиеНастройки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЭлементОтбора(ИмяПоля, Настройки, ПользовательскиеНастройки);
```
</details>

## ЗначениеПараметраПользовательскихНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначениеПараметраПользовательскихНастроек(ПользовательскиеНастройки, Знач ПараметрСКД, ЗначениеПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ЗначениеПараметраПользовательскихНастроек(ПользовательскиеНастройки, ПараметрСКД, ЗначениеПоУмолчанию);
```
</details>

## ДобавитьПолеИтога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет поле итога в схему компоновки данных. Если параметр Выражение не указан, используется Сумма(ПутьКДанным)
Функция ДобавитьПолеИтога(СхемаКомпоновкиДанных, ПутьКДанным, Выражение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПолеИтога(СхемаКомпоновкиДанных, ПутьКДанным, Выражение);
```
</details>

## ДобавитьПолеИтогаСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПолеИтогаСКД(СКД, ПутьКДанным, Выражение, Группировки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПолеИтогаСКД(СКД, ПутьКДанным, Выражение, Группировки);
```
</details>

## УдалитьВыбранноеПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет указанное выбранное поле из компоновщика настроек, если поле не указано - очищает все поля
Функция УдалитьВыбранноеПоле(ЭлементСтруктуры, Знач Поле = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.УдалитьВыбранноеПоле(ЭлементСтруктуры, Поле);
```
</details>

## ДобавитьВыбранноеПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет выбранное поле в набор выбранных полей
Функция ДобавитьВыбранноеПоле(ЭлементСтруктуры, Знач Поле, Заголовок = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьВыбранноеПоле(ЭлементСтруктуры, Поле, Заголовок);
```
</details>

## ДобавитьВыбранныеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет выбранное поле в набор выбранных полей
Функция ДобавитьВыбранныеПоля(ЭлементСтруктуры, СоответствиеЗаголовокПоле) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьВыбранныеПоля(ЭлементСтруктуры, СоответствиеЗаголовокПоле) 
```
</details>

## ДобавитьВыбранныеПоляВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьВыбранныеПоляВМассив(ЭлементСтруктуры, МассивПолей, ТолькоГруппы = Ложь) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ДобавитьВыбранныеПоляВМассив(ЭлементСтруктуры, МассивПолей, ТолькоГруппы);
```
</details>

## ПолучитьВыбранныеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив выбранных полей или групп выбранных полей
Функция ПолучитьВыбранныеПоля(ЭлементСтруктуры, ТолькоГруппы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьВыбранныеПоля(ЭлементСтруктуры, ТолькоГруппы);
```
</details>

## ДобавитьГруппуПолейВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьГруппуПолейВыбора(ЭлементСтруктуры, ЗаголовокГруппы, СвойстваГруппы = Неопределено, ВыбранныеПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьГруппуПолейВыбора(ЭлементСтруктуры, ЗаголовокГруппы, СвойстваГруппы, ВыбранныеПоля);
```
</details>

## УстановитьИспользованиеВыбранныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьИспользованиеВыбранныхПолей(КомпоновщикНастроек, ИменаПолейДляУстановки, Использование) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.УстановитьИспользованиеВыбранныхПолей(КомпоновщикНастроек, ИменаПолейДляУстановки, Использование) 
```
</details>

## УстановитьИспользованиеПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьИспользованиеПолей(КоллекцияВыбранныхПолей, ИменаПолейДляУстановки, Использование) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.УстановитьИспользованиеПолей(КоллекцияВыбранныхПолей, ИменаПолейДляУстановки, Использование) 
```
</details>

## ДобавитьВычисляемоеПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьВычисляемоеПоле(СхемаКомпоновкиДанных, ПутьКДанным, Выражение, Заголовок = Неопределено, ТипЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьВычисляемоеПоле(СхемаКомпоновкиДанных, ПутьКДанным, Выражение, Заголовок, ТипЗначения);
```
</details>

## УстановитьПараметрВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметр вывода компоновщика настроек
Функция УстановитьПараметрВывода(КомпоновщикНастроек, ИмяПараметра, Значение) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.УстановитьПараметрВывода(КомпоновщикНастроек, ИмяПараметра, Значение) 
```
</details>

## ДобавитьПользовательскоеПолеВыражение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Добавить пользовательское поле выражение
//
// Параметры:
//  ЭлементСтруктуры			 - Пользовательские поля СКД
//  Заголовок					 - Заголовок отображения
//  ВыражениеДетальныхЗаписей	 - Выражение детальных записей
//  ВыражениеИтоговыхЗаписей	 - Выражение итоговых записей
// Возвращаемое значение:
//   - Пользовательское поле
Функция ДобавитьПользовательскоеПолеВыражение(ЭлементСтруктуры, Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПользовательскоеПолеВыражение(ЭлементСтруктуры, );
```
</details>

## ПереименоватьКолонкиПользовательскихПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Переименовать колонки пользовательских полей
//	переименовывает колонки коллекции значений из системных наименований в заголовки
Процедура ПереименоватьКолонкиПользовательскихПолей(КоллекцияЗначений, ЗаголовкиПолей) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ПереименоватьКолонкиПользовательскихПолей(КоллекцияЗначений, ЗаголовкиПолей) 
```
</details>

## ПолучитьДоступноеПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДоступноеПоле(Знач Поле, ОбластьПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьДоступноеПоле(Поле, ОбластьПоиска) 
```
</details>

## ПолучитьДоступноеПолеПоПолюКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступное поле по полю компоновки
Функция ПолучитьДоступноеПолеПоПолюКомпоновкиДанных(ПолеКомпоновкиДанных, ОбластьПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьДоступноеПолеПоПолюКомпоновкиДанных(ПолеКомпоновкиДанных, ОбластьПоиска) 
```
</details>

## ПолучитьСписокДоступныхРесурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список доступных для выбора ресурсов
Функция ПолучитьСписокДоступныхРесурсов(КомпоновщикНастроек, ВключаяПользовательскиеПоляВыражение = Истина, ВключаяПользовательскиеПоляВыбор = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСписокДоступныхРесурсов(КомпоновщикНастроек, ВключаяПользовательскиеПоляВыражение, ВключаяПользовательскиеПоляВыбор);
```
</details>

## ДобавитьРесурсы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьРесурсы(СписокРесурсов, КоллекцияПолей, КомпоновщикНастроек, ВключаяПользовательскиеПоляВыражение, ВключаяПользовательскиеПоляВыбор) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьРесурсы(СписокРесурсов, КоллекцияПолей, КомпоновщикНастроек, ВключаяПользовательскиеПоляВыражение, ВключаяПользовательскиеПоляВыбор));
```
</details>

## НайтиПользовательскоеПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пользовательское поле по полю компоновки данных
Функция НайтиПользовательскоеПоле(КомпоновщикНастроек, ПолеКомпоновкиДанных) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.НайтиПользовательскоеПоле(КомпоновщикНастроек, ПолеКомпоновкиДанных) 
```
</details>

## ДобавитьПапкуПолейНабораДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПапкуПолейНабораДанных(ПоляНабораДанных, ПутьКДанным, ЗаголовокПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПапкуПолейНабораДанных(ПоляНабораДанных, ПутьКДанным, ЗаголовокПоля);
```
</details>

## ДобавитьЛокальныйИсточникДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет в схему компоновки источник данных с типом "Local"
Функция ДобавитьЛокальныйИсточникДанных(СхемаКомпоновкиДанных, ИмяИсточникаДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьЛокальныйИсточникДанных(СхемаКомпоновкиДанных, ИмяИсточникаДанных);
```
</details>

## ДобавитьНаборДанныхЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет набор данных - запрос в указанную в параметре коллекцию наборов данных
Функция ДобавитьНаборДанныхЗапрос(НаборыДанных, ИсточникДанных, ИмяНабораДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьНаборДанныхЗапрос(НаборыДанных, ИсточникДанных, ИмяНабораДанных);
```
</details>

## ДобавитьНаборДанныхОбъединение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет набор данных - объединение в указанную в параметре коллекцию наборов данных
Функция ДобавитьНаборДанныхОбъединение(НаборыДанных, ИсточникДанных, ИмяНабораДанных = "НаборДанных1") Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьНаборДанныхОбъединение(НаборыДанных, ИсточникДанных, ИмяНабораДанных);
```
</details>

## ДобавитьНаборДанныхОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет набор данных - объединение в указанную в параметре коллекцию наборов данных
Функция ДобавитьНаборДанныхОбъект(НаборыДанных, ИсточникДанных = "ИсточникДанных1", ИмяНабораДанных = "НаборДанных1", ИмяОбъекта = "ОбъектИсточник") Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьНаборДанныхОбъект(НаборыДанных, ИсточникДанных, ИмяНабораДанных, ИмяОбъекта);
```
</details>

## ДобавитьПолеНабораДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в набор данных поле набора данных
Функция ДобавитьПолеНабораДанных(НаборДанных, Поле, Знач Заголовок = Неопределено, Знач ПутьКДанным = Неопределено, Знач ТипЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПолеНабораДанных(НаборДанных, Поле, Заголовок, ПутьКДанным, ТипЗначения);
```
</details>

## ДобавитьПоляПериодаВНаборДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в набор данных поля периода Период секунда, минута, час ....
Функция ДобавитьПоляПериодаВНаборДанных(НаборДанных) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПоляПериодаВНаборДанных(НаборДанных) 
```
</details>

## ДобавитьПолеИзмерение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПолеИзмерение(НаборДанных, Поле, Заголовок, ПутьКДанным, ТипЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПолеИзмерение(НаборДанных, Поле, Заголовок, ПутьКДанным, ТипЗначения) 
```
</details>

## ДобавитьПолеРесурс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПолеРесурс(НаборДанных, Поле, Заголовок, ПутьКДанным, ТипЗначения, ТекСуффикс) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПолеРесурс(НаборДанных, Поле, Заголовок, ПутьКДанным, ТипЗначения, ТекСуффикс) 
```
</details>

## ДобавитьПолеСчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПолеСчет(НаборДанных, Поле, Заголовок, ПутьКДанным, ТипЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПолеСчет(НаборДанных, Поле, Заголовок, ПутьКДанным, ТипЗначения) 
```
</details>

## ДобавитьПолеПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПолеПериод(НаборДанных, Поле, Заголовок, ПутьКДанным, ТипЗначения, НомерПериода = 1) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьПолеПериод(НаборДанных, Поле, Заголовок, ПутьКДанным, ТипЗначения, НомерПериода);
```
</details>

## ПолучитьЗначенияИзРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает значения полей, установленные в отборе расшифровки
//
// Параметры:
//  СхемаКомпоновкиДанных	 - 	СхемаКомпоновкиДанных, Строка - исходная схема компоновки данных
// 																или ее адрес во временном хранилище.
//  ДанныеРасшифровки		 - 	ДанныеРасшифровкиКомпоновкиДанных, Строка - данные расшифровки
// 																			или их адрес во временном хранилище
//  Расшифровка				 - 	ИдентификаторРасшифровкиКомпоновкиДанных - идентификатор расшифровки
//  СписокПолей				 - 	Строка - список полей, значения которых необходимо получить, перечисленных через запятую
//
// Возвращаемое значение:
//  Структура - структура, ключами которой являются имена полей, а значениями - найденные значения отборов.
// 				Если значение отбора не найдено, либо отбор установлен не с видом сравнения Равно, устанавливается значение Неопределено.
//
Функция ПолучитьЗначенияИзРасшифровки(Знач СхемаКомпоновкиДанных, Знач ДанныеРасшифровки, Знач Расшифровка, Знач СписокПолей) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЗначенияИзРасшифровки(СхемаКомпоновкиДанных, ДанныеРасшифровки, Расшифровка, СписокПолей) 
```
</details>

## ПолучитьОтборРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтборРасшифровки(Знач Расшифровка, Знач ДанныеРасшифровкиВход, ВключатьРесурсы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьОтборРасшифровки(Расшифровка, ДанныеРасшифровкиВход, ВключатьРесурсы);
```
</details>

## ПолучитьМассивПолейРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив, по которому следует расшифровать отчет
Функция ПолучитьМассивПолейРасшифровки(Знач Расшифровка, Знач ДанныеРасшифровкиВход, ТекущийОтчет = Неопределено, ВключатьРесурсы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьМассивПолейРасшифровки(Расшифровка, ДанныеРасшифровкиВход, ТекущийОтчет, ВключатьРесурсы);
```
</details>

## ДобавитьРодителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьРодителей(ЭлементРасшифровки, ТекущийОтчет, МассивПолейРасшифровки, ВключатьРесурсы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьРодителей(ЭлементРасшифровки, ТекущийОтчет, МассивПолейРасшифровки, ВключатьРесурсы);
```
</details>

## ПолучитьНастройкиПоРасшифровке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНастройкиПоРасшифровке(Знач Расшифровка, Знач ДанныеРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьНастройкиПоРасшифровке(Расшифровка, ДанныеРасшифровки) 
```
</details>

## ПолучитьНастройкиПриемникаПоРасшифровке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНастройкиПриемникаПоРасшифровке(Знач Расшифровка, Знач ДанныеРасшифровки, Знач ОписаниеОтчетаПриемника, Знач НастройкиИсточник = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьНастройкиПриемникаПоРасшифровке(Расшифровка, ДанныеРасшифровки, ОписаниеОтчетаПриемника, НастройкиИсточник);
```
</details>

## ПолучитьМакетКомпоновкиДанныхКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить макет компоновки данных для коллекции по схеме и настройкам компоновки данных
//
// Возвращаемое значение:
//   - МакетКомпоновкиДанных
Функция ПолучитьМакетКомпоновкиДанныхКоллекции(СхемаКомпоновкиДанных, НастройкиКомпоновкиДанных = Неопределено, ДанныеРасшифровки = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьМакетКомпоновкиДанныхКоллекции(СхемаКомпоновкиДанных, НастройкиКомпоновкиДанных, ДанныеРасшифровки, );
```
</details>

## ПолучитьСхемуКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСхемуКомпоновкиДанных(ТекстЗапроса, ИмяНабораДанных = Неопределено, ИмяИсточникаДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСхемуКомпоновкиДанных(ТекстЗапроса, ИмяНабораДанных, ИмяИсточникаДанных);
```
</details>

## ПолучитьСхемуКомпоновкиДанныхПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСхемуКомпоновкиДанныхПоОбъекту(ИмяОбъекта = "ОбъектИсточник", ИмяНабораДанных = Неопределено, ИмяИсточникаДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСхемуКомпоновкиДанныхПоОбъекту(ИмяОбъекта, ИмяНабораДанных, ИмяИсточникаДанных);
```
</details>

## ПолучитьТабличныйДокументПоТаблицеЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТабличныйДокументПоТаблицеЗначений(ТаблицаИсточник, НастройкиСКД = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьТабличныйДокументПоТаблицеЗначений(ТаблицаИсточник, НастройкиСКД);
```
</details>

## ПолучитьКоллекциюРезультат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить коллекцию результат по схеме и настройкам компоновки данных
//
// Возвращаемое значение:
//		- Коллекция значений (Таблица значений, Дерево значений)
Функция ПолучитьКоллекциюРезультат(СхемаКомпоновкиДанных, НастройкиКомпоновкиДанных = Неопределено, ВнешниеНаборыДанных = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьКоллекциюРезультат(СхемаКомпоновкиДанных, НастройкиКомпоновкиДанных, ВнешниеНаборыДанных, );
```
</details>

## МакетКомпоновкиВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МакетКомпоновкиВXML(МакетКомпоновки, ЗаменитьКоллекцииНаМассив = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.МакетКомпоновкиВXML(МакетКомпоновки, ЗаменитьКоллекцииНаМассив);
```
</details>

## МакетКомпоновкиВЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МакетКомпоновкиВЗапрос(МакетКомпоновки, ЗаменитьКоллекцииНаМассив = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.МакетКомпоновкиВЗапрос(МакетКомпоновки, ЗаменитьКоллекцииНаМассив);
```
</details>

## ПолучитьНаборыДанныхЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив наборов данных - запрос в схеме компоновки данных
Функция ПолучитьНаборыДанныхЗапрос(СхемаКомпоновкиДанных, НаборыДанных = Неопределено, МассивНаборовДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьНаборыДанныхЗапрос(СхемаКомпоновкиДанных, НаборыДанных, МассивНаборовДанных);
```
</details>

## ПолучитьКоллекциюПоНастройкамКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить коллекцию по настройкам компоновки данных
//
// Возвращаемое значение:
//   - Коллекция значений (Таблица значений, Дерево значений)
Функция ПолучитьКоллекциюПоНастройкамКомпоновкиДанных(ТекстЗапроса, НастройкиКомпоновкиДанных, ВнешниеНаборыДанных = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьКоллекциюПоНастройкамКомпоновкиДанных(ТекстЗапроса, НастройкиКомпоновкиДанных, ВнешниеНаборыДанных, );
```
</details>

## ЗагрузитьВСхемуНастройкиКомпоновщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура подменяет настройки по умолчанию для схемы компоновки данных.
//
Процедура ЗагрузитьВСхемуНастройкиКомпоновщика(Схема, Настройки) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ЗагрузитьВСхемуНастройкиКомпоновщика(Схема, Настройки) 
```
</details>

## ВывестиСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВывестиСКД(СхемаКД, Настройки = Неопределено, ДанныеРасшифровкиКД = Неопределено, Параметры = Неопределено, ДеревоЗначений = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВывестиСКД(СхемаКД, Настройки, ДанныеРасшифровкиКД, Параметры, ДеревоЗначений);
```
</details>

## ПолучитьТекстЗапросаПоместитьПоследний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапросаПоместитьПоследний(ТекстЗапроса, ТаблицаДляПомещения) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьТекстЗапросаПоместитьПоследний(ТекстЗапроса, ТаблицаДляПомещения) 
```
</details>

## ДобавитьОтборыВПостроитель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОтборыВПостроитель(Построитель, КоллекцияОтборов) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ДобавитьОтборыВПостроитель(Построитель, КоллекцияОтборов) 
```
</details>

## ЗаполнитьОтборПоОтборуКомпоновщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет отбор построителя по отбору компоновщика
Процедура ЗаполнитьОтборПоОтборуКомпоновщика(Отбор, ОтборКомпоновщика) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ЗаполнитьОтборПоОтборуКомпоновщика(Отбор, ОтборКомпоновщика) 
```
</details>

## ВывестиОтчетВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВывестиОтчетВXML(ПроцессорКомпоновки, ДанныеРасшифровкиКомпоновки, РезультатXML, ДанныеРасшифровкиXML) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ВывестиОтчетВXML(ПроцессорКомпоновки, ДанныеРасшифровкиКомпоновки, РезультатXML, ДанныеРасшифровкиXML) 
```
</details>

## ЭтоПроизвольныйОтчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПроизвольныйОтчет(ОтчетОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ЭтоПроизвольныйОтчет(ОтчетОбъект);
```
</details>

## ПрименитьСтруктуруПараметровОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По структуре параметров восстанавливает состояние отчета
Процедура ПрименитьСтруктуруПараметровОтчета(ОтчетОбъект, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ПрименитьСтруктуруПараметровОтчета(ОтчетОбъект, СтруктураПараметров) 
```
</details>

## ИнициализацияТиповогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализацияТиповогоОтчета(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ИнициализацияТиповогоОтчета(ОтчетОбъект) 
```
</details>

## ПолучитьСтруктуруПараметровТиповогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров отчета для сохранения
Функция ПолучитьСтруктуруПараметровТиповогоОтчета(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСтруктуруПараметровТиповогоОтчета(ОтчетОбъект) 
```
</details>

## ПолучитьСхемуКомпоновкиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСхемуКомпоновкиОбъекта(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСхемуКомпоновкиОбъекта(ОтчетОбъект) 
```
</details>

## ПеренестиНастройкиПараметровОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПеренестиНастройкиПараметровОтчета(ПриемникЗначения, ИсточникЗначения) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ПеренестиНастройкиПараметровОтчета(ПриемникЗначения, ИсточникЗначения) 
```
</details>

## СохранитьМассивПолейВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СохранитьМассивПолейВXML(МассивПолей) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.СохранитьМассивПолейВXML(МассивПолей) 
```
</details>

## ВосстановитьМассивПолейИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВосстановитьМассивПолейИзXML(XMLПредставление) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВосстановитьМассивПолейИзXML(XMLПредставление) 
```
</details>

## ПолучитьСписокПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокПериодов(ПериодСохраненный, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСписокПериодов(ПериодСохраненный, Параметры));
```
</details>

## ПолучитьИмяФормыРедактированияПользовательскогоПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя формы, с помощью которого следует редактировать пользовательское поле
Функция ПолучитьИмяФормыРедактированияПользовательскогоПоля(ПользовательскоеПоле) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьИмяФормыРедактированияПользовательскогоПоля(ПользовательскоеПоле) 
```
</details>

## ПолучитьВыражениеАгрегатаИтоговыхЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВыражениеАгрегатаИтоговыхЗаписей(ПользовательскоеПоле) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьВыражениеАгрегатаИтоговыхЗаписей(ПользовательскоеПоле) 
```
</details>

## ПолучитьПараметрИзСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрИзСтроки(Знач Строка, НомерПараметра = 1) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПараметрИзСтроки(Строка, НомерПараметра);
```
</details>

## ЭтоСтараяВерсияОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСтараяВерсияОтчета(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ЭтоСтараяВерсияОтчета(ОтчетОбъект) 
```
</details>

## ПолучитьПараметрыПанелиПользователяОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыПанелиПользователяОбъекта(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПараметрыПанелиПользователяОбъекта(ОтчетОбъект) 
```
</details>

## ПолучитьПараметрыПанелиПользователяПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыПанелиПользователяПоУмолчанию(ОтчетОбъект, ФормаОтчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПараметрыПанелиПользователяПоУмолчанию(ОтчетОбъект, ФормаОтчета);
```
</details>

## ПолучитьЗначенияНастроекПанелиПользователяОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначенияНастроекПанелиПользователяОбъекта(ОтчетОбъект, ФормаОтчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЗначенияНастроекПанелиПользователяОбъекта(ОтчетОбъект, ФормаОтчета);
```
</details>

## ПолучитьЗначенияНастроекПанелиПользователяПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначенияНастроекПанелиПользователяПоУмолчанию(ОтчетОбъект, ФормаОтчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЗначенияНастроекПанелиПользователяПоУмолчанию(ОтчетОбъект, ФормаОтчета);
```
</details>

## СформироватьСхемуКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьСхемуКомпоновкиДанных(Объект, УникальныйИдентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.СформироватьСхемуКомпоновкиДанных(Объект, УникальныйИдентификатор);
```
</details>

## ДополнитьСКДПараметрамиИсточника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьСКДПараметрамиИсточника(Объект, СКД) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ДополнитьСКДПараметрамиИсточника(Объект, СКД));
```
</details>

## ДобавитьПараметрВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПараметрВТаблицу(Таблица, ИмяПараметра, ТипПараметра) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ДобавитьПараметрВТаблицу(Таблица, ИмяПараметра, ТипПараметра));
```
</details>

## ИнициализироватьКомпоновщикНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИнициализироватьКомпоновщикНастроек(ОтчетОбъект, Схема = Неопределено, ЗагружатьНастройкиПоУмолчанию = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ИнициализироватьКомпоновщикНастроек(ОтчетОбъект, Схема, ЗагружатьНастройкиПоУмолчанию);
```
</details>

## ДобавитьИЗаполнитьСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьИЗаполнитьСтроку(Родитель, Использование, Имя, Представление) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьИЗаполнитьСтроку(Родитель, Использование, Имя, Представление));
```
</details>

## ДобавитьСтрокуПериодичности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьСтрокуПериодичности(Таблица, Периодичность, Использование) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ДобавитьСтрокуПериодичности(Таблица, Периодичность, Использование));
```
</details>

## ПолучитьТаблицуДоступныхВариантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает таблицу доступных вариантов настроек для объекта.
Функция ПолучитьТаблицуДоступныхВариантов(НастраиваемыйОбъект, ТипНастройки, Пользователь = Неопределено, СПомеченнымиНаУдаление = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьТаблицуДоступныхВариантов(НастраиваемыйОбъект, ТипНастройки, Пользователь, СПомеченнымиНаУдаление);
```
</details>

## ПолучитьТаблицуДоступныхНастроекПользователю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДоступныхНастроекПользователю(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьТаблицуДоступныхНастроекПользователю(ОтчетОбъект) 
```
</details>

## ПолучитьИдентификаторОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИдентификаторОбъекта(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьИдентификаторОбъекта(ОтчетОбъект) 
```
</details>

## ПрименитьНастройкуПользователяНастройкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПрименитьНастройкуПользователяНастройкиОтчета(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ПрименитьНастройкуПользователяНастройкиОтчета(ОтчетОбъект) 
```
</details>

## ПолучитьНастройкуПользователяНастройкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНастройкуПользователяНастройкиОтчета(НастраиваемыйОбъект, Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьНастройкуПользователяНастройкиОтчета(НастраиваемыйОбъект, Пользователь);
```
</details>

## СохранитьНастройкуПользователяНастройкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьНастройкуПользователяНастройкиОтчета(ОтчетОбъект, Настройки) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.СохранитьНастройкуПользователяНастройкиОтчета(ОтчетОбъект, Настройки) 
```
</details>

## ПолучитьЗначенияЭлементаСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначенияЭлементаСтруктуры(Структура, Ключ) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЗначенияЭлементаСтруктуры(Структура, Ключ) 
```
</details>

## ПолучитьПользовательскиеПоляДляНастройкиABCКлассификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПользовательскиеПоляДляНастройкиABCКлассификации(КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПользовательскиеПоляДляНастройкиABCКлассификации(КомпоновщикНастроек) 
```
</details>

## ПолучитьКомопновщикПоСхемеИНастройкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает компоновщик настроек по схеме компоновки и настройкам компоновщика
Функция ПолучитьКомопновщикПоСхемеИНастройкам(Схема, Настройки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьКомопновщикПоСхемеИНастройкам(Схема, Настройки);
```
</details>

## ДобавитьАвтоЭлементПорядка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в группировку автоэлемент порядка
Процедура ДобавитьАвтоЭлементПорядка(Строка) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ДобавитьАвтоЭлементПорядка(Строка) 
```
</details>

## ПолучитьПредставлениеПоЭлементуСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление по типу элемента структуры
Функция ПолучитьПредставлениеПоЭлементуСтруктуры(ЭлементСтруктуры) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПредставлениеПоЭлементуСтруктуры(ЭлементСтруктуры) 
```
</details>

## ПолучитьТипЭлементаПоПредставлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип элемента структуры по представлению
Функция ПолучитьТипЭлементаПоПредставлению(Представление) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьТипЭлементаПоПредставлению(Представление) 
```
</details>

## НазначитьФормеУникальныйКлючИдентификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура назначает форме уникальный ключ идентификации для возможности открытия нескольких одинаковых форм
Процедура НазначитьФормеУникальныйКлючИдентификации(Форма) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.НазначитьФормеУникальныйКлючИдентификации(Форма) 
```
</details>

## УправлениеОтображениемЭлементовФормыТиповогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Скрывает или отображает быстрый отбор на форме
Процедура УправлениеОтображениемЭлементовФормыТиповогоОтчета(ОтчетОбъект, ФормаОтчета) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.УправлениеОтображениемЭлементовФормыТиповогоОтчета(ОтчетОбъект, ФормаОтчета) 
```
</details>

## УправлениеОтображениемЗаголовкаТиповогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Скрывает и показывает заголовок типового отчета
Процедура УправлениеОтображениемЗаголовкаТиповогоОтчета(ОтчетОбъект, Результат) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.УправлениеОтображениемЗаголовкаТиповогоОтчета(ОтчетОбъект, Результат) 
```
</details>

## ПолучитьОписаниеНастроекОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеНастроекОтчета(КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьОписаниеНастроекОтчета(КомпоновщикНастроек));
```
</details>

## СформироватьСтрокуПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьСтрокуПолей(ТипПолей, МассивПолей) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.СформироватьСтрокуПолей(ТипПолей, МассивПолей));
```
</details>

## ПолучитьПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПоказатели(КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьПоказатели(КомпоновщикНастроек));
```
</details>

## ПолучитьДополнительныеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДополнительныеПоля(КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьДополнительныеПоля(КомпоновщикНастроек));
```
</details>

## ПолучитьОписаниеРодительскойПричиныИнформацииОбОшибке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеРодительскойПричиныИнформацииОбОшибке(ИнформацияОбОшибке) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьОписаниеРодительскойПричиныИнформацииОбОшибке(ИнформацияОбОшибке) 
```
</details>

## ОбновитьЗаголовокТиповогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет заголовок типового отчета
Процедура ОбновитьЗаголовокТиповогоОтчета(ОтчетОбъект, ФормаОтчета) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ОбновитьЗаголовокТиповогоОтчета(ОтчетОбъект, ФормаОтчета) 
```
</details>

## ПолучитьЗаголовокОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗаголовокОтчета(ОтчетОбъект, ФормаОтчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьЗаголовокОтчета(ОтчетОбъект, ФормаОтчета);
```
</details>

## ЭтоДетальнаяЗапись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоДетальнаяЗапись(ДанныеРасшифровки, Расшифровка) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ЭтоДетальнаяЗапись(ДанныеРасшифровки, Расшифровка) 
```
</details>

## ПолучитьКартинкуПредставленияЭлементаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает картинку представления элемента отчета
Функция ПолучитьКартинкуПредставленияЭлементаОтчета(ПредставлениеЭлементаОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьКартинкуПредставленияЭлементаОтчета(ПредставлениеЭлементаОтчета) 
```
</details>

## ПолучитьСписокДоступныхВариантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокДоступныхВариантов(НастраиваемыйОбъект, Пользователь = Неопределено, СПомеченнымиНаУдаление = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСписокДоступныхВариантов(НастраиваемыйОбъект, Пользователь, СПомеченнымиНаУдаление);
```
</details>

## ПолучитьСписокДоступныхВариантовДляПанелиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокДоступныхВариантовДляПанелиОтчетов(ПанельОтчетов, Пользователь = Неопределено, СПомеченнымиНаУдаление = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСписокДоступныхВариантовДляПанелиОтчетов(ПанельОтчетов, Пользователь, СПомеченнымиНаУдаление);
```
</details>

## НастройкиКомпоновщикаПростые
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НастройкиКомпоновщикаПростые(КомпоновщикНастроек) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.НастройкиКомпоновщикаПростые(КомпоновщикНастроек) 
```
</details>

## ЭтоПростаяСтруктура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПростаяСтруктура(Структура) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ЭтоПростаяСтруктура(Структура));
```
</details>

## ОбновитьЦветаДиаграммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьЦветаДиаграммы(Результат, ТаблицаЦветовСерий) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ОбновитьЦветаДиаграммы(Результат, ТаблицаЦветовСерий) 
```
</details>

## ЗаписьОтчетаДоступна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписьОтчетаДоступна(ОтчетОбъект, ПроверяемаяСохраненнаяНастройка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ЗаписьОтчетаДоступна(ОтчетОбъект, ПроверяемаяСохраненнаяНастройка);
```
</details>

## ВернутьКодПредставленияТренда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьКодПредставленияТренда(КодТренда) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВернутьКодПредставленияТренда(КодТренда) 
```
</details>

## ВернутьЦветТрендаПоПредставлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьЦветТрендаПоПредставлению(Представление) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВернутьЦветТрендаПоПредставлению(Представление) 
```
</details>

## ОтобразитьТрендГрафически
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьТрендГрафически(ТаблДок) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ОтобразитьТрендГрафически(ТаблДок) 
```
</details>

## ОтобразитьВидТрендаГрафически
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьВидТрендаГрафически(ТаблДок, СтрокаПоиска, Картинка) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.ОтобразитьВидТрендаГрафически(ТаблДок, СтрокаПоиска, Картинка));
```
</details>

## ПолучитьСхемуКомпоновкиПоИсточникуДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСхемуКомпоновкиПоИсточникуДанных(ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСхемуКомпоновкиПоИсточникуДанных(ИсточникДанных) 
```
</details>

## ПолучитьОписаниеТипаПоАналитике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вовзращает описание типа для поля по имени поля ИмяПоляВход по значениям
// вида аналитик из операнда ОперандВход. Когда не удалось получить значение,
// возвращает описание строкового типа.
Функция ПолучитьОписаниеТипаПоАналитике(ИмяПоляВход, ОперандВход) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьОписаниеТипаПоАналитике(ИмяПоляВход, ОперандВход));
```
</details>

## СформироватьСКДПоИсточникуПоказатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьСКДПоИсточникуПоказатель(ИсточникДанныхДляРасчетов) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.СформироватьСКДПоИсточникуПоказатель(ИсточникДанныхДляРасчетов));
```
</details>

## СформироватьСКДПоИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьСКДПоИсточнику(ИсточникДанныхДляРасчетов) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.СформироватьСКДПоИсточнику(ИсточникДанныхДляРасчетов));
```
</details>

## СформироватьНаборДанныхПоИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьНаборДанныхПоИсточнику(СКД, Набор_Объединение, ИмяНабора, ИмяОбъекта, ИсточникДанныхСКД, ИмяПоляЗначения, НаименованиеПоляЗначения, ИсточникДанныхДляРасчета) Экспорт
```

Пример вызова
```bsl
ТиповыеОтчетыУХ.СформироватьНаборДанныхПоИсточнику(СКД, Набор_Объединение, ИмяНабора, ИмяОбъекта, ИсточникДанныхСКД, ИмяПоляЗначения, НаименованиеПоляЗначения, ИсточникДанныхДляРасчета));
```
</details>

## ВернутьТаблицуОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура подготавливает таблицу значений операндов формулы.
Функция ВернутьТаблицуОперандов(Объект, ОбщиеНастройкиОтбора, ПутьКТаблицеПоказателей) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВернутьТаблицуОперандов(Объект, ОбщиеНастройкиОтбора, ПутьКТаблицеПоказателей) 
```
</details>

## РассчитатьЗначениеОперанда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗначениеОперанда(Объект, ТаблицаОперандов, ПериодРасчета, СценарийРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.РассчитатьЗначениеОперанда(Объект, ТаблицаОперандов, ПериодРасчета, СценарийРасчета);
```
</details>

## ПровестиРасчетПоказателяИзВнешнегоИсточника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПровестиРасчетПоказателяИзВнешнегоИсточника(Объект, ВнешнийКонтекст, ИмяОтчета="", НастройкиМонитораЭффективности = Неопределено, ЧисловоеПредставлениеСостояния = 0, Тренд = 0) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПровестиРасчетПоказателяИзВнешнегоИсточника(Объект, ВнешнийКонтекст, ИмяОтчета, НастройкиМонитораЭффективности, ЧисловоеПредставлениеСостояния, Тренд);
```
</details>

## ПровестиГрупповойРасчетПоказателейИзВнешнегоИсточника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПровестиГрупповойРасчетПоказателейИзВнешнегоИсточника(ТаблицаОбъектов, ВнешнийКонтекст, ИмяОтчета = "", НастройкиМонитораЭффективности = Неопределено, ЧисловоеПредставлениеСостояния = 0, Тренд = 0) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПровестиГрупповойРасчетПоказателейИзВнешнегоИсточника(ТаблицаОбъектов, ВнешнийКонтекст, ИмяОтчета, НастройкиМонитораЭффективности, ЧисловоеПредставлениеСостояния, Тренд);
```
</details>

## ВернутьСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСКД(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВернутьСКД(Объект) 
```
</details>

## ПолучитьСхемуКомпоновкиДанныхДляРасшифровкиПоказателяМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует схему компоновки данных, которая будет использована при расшифровке
// показателя монитора ключевых показателей.
//
Функция ПолучитьСхемуКомпоновкиДанныхДляРасшифровкиПоказателяМонитора(ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСхемуКомпоновкиДанныхДляРасшифровкиПоказателяМонитора(ИсточникДанных) 
```
</details>

## ВывестиОтчетПоМонитору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВывестиОтчетПоМонитору(Знач Объект, Знач АдресТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВывестиОтчетПоМонитору(Объект, АдресТаблиц) 
```
</details>

## ПолучитьСписокПериодовОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокПериодовОтчета(ИсходныйПериод, КоличествоПериодов) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСписокПериодовОтчета(ИсходныйПериод, КоличествоПериодов) 
```
</details>

## ПолучитьТаблицуПериодовОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуПериодовОтчета(ИсходныйПериод, КоличествоПериодов) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьТаблицуПериодовОтчета(ИсходныйПериод, КоличествоПериодов) 
```
</details>

## ПолучитьСтруктуруПериодаТекущегоДня
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую поля для подстановки периода отчета по текущей дате.
Функция ПолучитьСтруктуруПериодаТекущегоДня(ДатаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСтруктуруПериодаТекущегоДня(ДатаВход);
```
</details>

## Абс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Значение без знака.
Функция Абс(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.Абс(Значение) 
```
</details>

## ПолучитьСокращенноеПредставлениеЧисла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сокращенное представление длиных чисел (при необходимости
// выводит в миллионах/в тысячах).
Функция ПолучитьСокращенноеПредставлениеЧисла(ЧислоВход, ЕдиницаИзмеренияВход = Неопределено, РазрядностьВход = 2, ПереноситьРасшифровку = Истина, ПредставлениеНуляВход = " ") Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСокращенноеПредставлениеЧисла(ЧислоВход, ЕдиницаИзмеренияВход, РазрядностьВход, ПереноситьРасшифровку, ПредставлениеНуляВход);
```
</details>

## УдалитьИтоговыеСтрокиДанныхПоИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет в таблице ТаблицаВход строки с Итоговыми показателями, если
// такая колонка есть и значения по ней различаются.
Функция УдалитьИтоговыеСтрокиДанныхПоИсточнику(ТаблицаВход) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.УдалитьИтоговыеСтрокиДанныхПоИсточнику(ТаблицаВход) 
```
</details>

## РасшифровкаИсточникаВИБОтчетом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасшифровкаИсточникаВИБОтчетом(Объект, ВнешнийКонтекст) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.РасшифровкаИсточникаВИБОтчетом(Объект, ВнешнийКонтекст) 
```
</details>

## ПолучитьТаблицуДанныеПоИсточникуБезИтогов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вовзращает таблицу данных по источнику ИсточникДанныхВход и контексту КонтекстОтчетаВход,
// очищенную от итоговых записей.
Функция ПолучитьТаблицуДанныеПоИсточникуБезИтогов(КонтекстОтчетаВход, ИсточникДанныхВход) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьТаблицуДанныеПоИсточникуБезИтогов(КонтекстОтчетаВход, ИсточникДанныхВход) 
```
</details>

## ПолучитьСтруктуруОтветаТаблицПоказателяМКП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую таблицы для базового периода, периода сравнения и плана
// по показателелю Объект, параметрам ВнешнийКонтекст и операнду ИмяОперанда.
Функция ПолучитьСтруктуруОтветаТаблицПоказателяМКП(Объект, ВнешнийКонтекст, ИмяОперанда = "") Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСтруктуруОтветаТаблицПоказателяМКП(Объект, ВнешнийКонтекст, ИмяОперанда);
```
</details>

## ВернутьТаблицыПоказателяМонитораКлючевыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТаблицыПоказателяМонитораКлючевыхПоказателей(Объект, ВнешнийКонтекст, ИмяОперанда = "") Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВернутьТаблицыПоказателяМонитораКлючевыхПоказателей(Объект, ВнешнийКонтекст, ИмяОперанда);
```
</details>

## ПровестиРасчетПоказателяПоФормуле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПровестиРасчетПоказателяПоФормуле(ИсточникДанных, ПутьКСхемеКомпоновкиДанных, СтруктураНастроек, ПутьКТаблицеПоказателей) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПровестиРасчетПоказателяПоФормуле(ИсточникДанных, ПутьКСхемеКомпоновкиДанных, СтруктураНастроек, ПутьКТаблицеПоказателей) 
```
</details>

## ИзменитьЗначениеОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИзменитьЗначениеОтбора(НастройкиОтбора, Поле, ВидСравнения, Значение) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ИзменитьЗначениеОтбора(НастройкиОтбора, Поле, ВидСравнения, Значение));
```
</details>

## ВернутьТипЕдиницыИзмеренияИнтервалаПоПериодичности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТипЕдиницыИзмеренияИнтервалаПоПериодичности(Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВернутьТипЕдиницыИзмеренияИнтервалаПоПериодичности(Периодичность) 
```
</details>

## ВернутьМассивПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьМассивПериодов(ГлубинаАнализа, Периодичность, ДатаНачала) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВернутьМассивПериодов(ГлубинаАнализа, Периодичность, ДатаНачала) 
```
</details>

## ВернутьТаблицуПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТаблицуПериодов(ГлубинаАнализа, Периодичность, ДатаНачала) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВернутьТаблицуПериодов(ГлубинаАнализа, Периодичность, ДатаНачала) 
```
</details>

## ВернутьСписокПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСписокПериодов(ГлубинаАнализа, Периодичность, ДатаНачала, ПредставлениеВВидеТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ВернутьСписокПериодов(ГлубинаАнализа, Периодичность, ДатаНачала, ПредставлениеВВидеТаблицы));
```
</details>

## ПроверитьВозможностьЗаписиНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ СОХРАНЕНИЯ НАСТРОЕК АНАЛИТИЧЕСКИХ ОТЧЕТОВ ДЛЯ УПРАВЛЯЕМОГО
// ПРИЛОЖЕНИЯ.
//

Функция ПроверитьВозможностьЗаписиНастройки(Объект, СохраненнаяНастройка) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПроверитьВозможностьЗаписиНастройки(Объект, СохраненнаяНастройка) 
```
</details>

## ПолучитьОтчетПоРегиструВИБ_УР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ ДЛЯ РАСШИФРОВКИ ОТЧЕТОВ, ДАННЫЕ КОТОРЫХ ПОЛУЧЕНЫ ИЗ ВИБ.

Функция ПолучитьОтчетПоРегиструВИБ_УР(СтрОперанд, Контекст, ДополнительныйОтбор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьОтчетПоРегиструВИБ_УР(СтрОперанд, Контекст, ДополнительныйОтбор);
```
</details>

## ПолучитьСвойстваПараметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет значение параметра операнда в зависимости от способа его вычисления
//
Функция ПолучитьСвойстваПараметра(СтрокаПараметр, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПолучитьСвойстваПараметра(СтрокаПараметр, Контекст) 
```
</details>

## СоставПериметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает состав периметра организаций по заданным периоду, сценарию с учетом дополнительных отборов.
//
// Параметры:
//	локСценарий - сценарий, для котороого требуется получить периметр, СправочникСсылка.Сценарии;
//	локПериодОтчета - для котороого требуется получить периметр, СправочникСсылка.Периоды;
//	локОрганизация - организация консолидирующая организация, СправочникСсылка.Организации;
//	локМетодКонсолидации - метод консолидации, ПеречислениеСсылка.МетодыКонсолидации;
//	локМинПолнаяДоляВладения - максимальная полная доля владения, число;
//	локМаксПолнаяДоляВладения - минимальная полная доля владения, число;
//	локТипыОрганизаций - типы организаций, для которых требуется получить периметр.
//
// Возвращаемое значение:
//	Массив элементов типа СпарвочникСсылка.Организация.
//
Функция СоставПериметра(локСценарий = Неопределено, локПериодОтчета = Неопределено, локОрганизация = Неопределено, локМетодКонсолидации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.СоставПериметра(локСценарий, локПериодОтчета, локОрганизация, локМетодКонсолидации, );
```
</details>

## ПредставлениеПроцентовВВидеШкалы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеПроцентовВВидеШкалы(Проценты, ДлиннаШкалы = 20) Экспорт
```

Пример вызова
```bsl
Результат = ТиповыеОтчетыУХ.ПредставлениеПроцентовВВидеШкалы(Проценты, ДлиннаШкалы);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
