---
title: Торговые предложения
slug: erp-uh/торговые-предложения
---


## ИнициализацияЭлементовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из обработчика события формы ПриСозданииНаСервере.
// Для формы настройки выгрузки торгового предложения программно формирует элементы
// настройки торговых предложений (гиперссылки, статус).
//
// Параметры:
//  Форма             - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
//  ЭлементИнтерфейса - ЭлементФормы - элемент формы.
//
Процедура ИнициализацияЭлементовФормы(Знач Форма, ЭлементИнтерфейса) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложения.ИнициализацияЭлементовФормы(Форма, ЭлементИнтерфейса) 
```
</details>

## ПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
//  Форма             - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
//  Источник          - СправочникОбъект - источник события.
//  Организация       - СправочникСсылка - организация торгового предложения.
//  ЭлементИнтерфейса - ЭлементФормы - группа элементов формы.
//  Отказ             - Булево - признак отказа от выполнения действия.
//
Процедура ПередЗаписьюНаСервере(Знач Форма, Знач Источник, Знач Организация, Знач ЭлементИнтерфейса, Отказ) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложения.ПередЗаписьюНаСервере(Форма, Источник, Организация, ЭлементИнтерфейса, Отказ) 
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
//  Форма             - ФормаКлиентскогоПриложения - форма, из обработчика события которой происходит вызов процедуры.
//  ТекущийОбъект     - ОпределяемыйТип.ТорговоеПредложение - торговое предложений.
//  Организация       - ОпределяемыйТип.Организация         - организация торгового предложения.
//  ЭлементИнтерфейса - ЭлементФормы                        - группа элементов формы.
//
Процедура ПослеЗаписиНаСервере(Знач Форма, Знач ТекущийОбъект, Знач Организация, Знач ЭлементИнтерфейса = Неопределено) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложения.ПослеЗаписиНаСервере(Форма, ТекущийОбъект, Организация, ЭлементИнтерфейса);
```
</details>

## ПриСозданииПодсказокФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик создания подсказок формы.
//
// Параметры:
//  Форма           - ФормаКлиентскогоПриложения - форма, в которой создаются подсказки.
//  ГруппаЭлементов - ГруппаФормы            - группа элементов формы, в которой размещаются подсказки.
//
Процедура ПриСозданииПодсказокФормы(Форма, ГруппаЭлементов) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложения.ПриСозданииПодсказокФормы(Форма, ГруппаЭлементов) 
```
</details>

## НастройкиПубликации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сведения о публикации торгового предложения.
//
// Параметры:
//  ТорговоеПредложение	 - ОпределяемыйТип.ТорговоеПредложение - ссылка на торговое предложение.
//
// Возвращаемое значение:
//  Структура - значения дополнительных настроек:
//   * Организация                           - ОпределяемыйТип.Организация - организация настройки.
//   * АдресЭлектроннойПочты                 - Строка - адрес электронной почты поставщика.
//   * ПубликоватьЦены - Булево              - публиковать цены.
//   * ПубликоватьСрокиПоставки              - Булево - публиковать сроки поставки.
//   * ПубликоватьОстатки                    - Булево - публиковать остатки.
//   * ДополнительноеОписание                - Строка - дополнительное текстовое описание.
//   * ВариантПубликацииОстатков             - ПеречислениеСсылка.ВариантыПубликацииОстатковТорговыеПредложения - вариант публикации остатков.
//   * ПубликоватьСкидкиЗаРазовыйОбъемПродаж - Булево - публиковать скидки за разовый объем продаж.
//   * ПубликоватьЦенуДоСкидки               - Булево - публиковать цену до скидки, в случае простой скидки на ТП.
//   * ВариантПубликацииСкидки               - ПеречислениеСсылка.ВариантыПубликацииСкидок - вариант публикации скидки.
//   * ВариантПубликацииСкидкиЗаОпт          - ПеречислениеСсылка.ВариантыПубликацииСкидок - вариант публикации скидки за опт.
//   Устарели, больше не используются:
//   * УведомлятьОЗаказах                    - Булево - признак уведомления о получении заказов покупателей.
//
Функция НастройкиПубликации(ТорговоеПредложение) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыеПредложения.НастройкиПубликации(ТорговоеПредложение) 
```
</details>

## ПравоНастройкиТорговыхПредложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность настройки торговых предложений в сервисе 1С:Бизнес-сеть для текущего пользователя.
//
// Параметры:
//  ВыводитьСообщение - Булево - признак вывода сообщений пользователю при отсутствии доступа.
//
// Возвращаемое значение:
//  Булево - наличие права на настройку обмена документами.
//
Функция ПравоНастройкиТорговыхПредложений(ВыводитьСообщение = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыеПредложения.ПравоНастройкиТорговыхПредложений(ВыводитьСообщение);
```
</details>

## ОрганизацияПодключена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. БизнесСеть.ОрганизацияПодключена
Функция ОрганизацияПодключена(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыеПредложения.ОрганизацияПодключена(Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
