---
title: Торговые предложения клиент
slug: erp-uh/торговые-предложения-клиент
---


## ОбновитьПодсказкуФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновление подсказки торговых предложений в форме.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, для которой обновляется подсказки.
//
Процедура ОбновитьПодсказкуФормы(Форма) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОбновитьПодсказкуФормы(Форма) 
```
</details>

## ПослеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура, вызываемая из одноименного обработчика события формы.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма из обработчика события которой происходит вызов процедуры.
//  ПараметрыЗаписи - Структура - параметры записи.
//
Процедура ПослеЗаписи(Форма, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ПослеЗаписи(Форма, ПараметрыЗаписи) 
```
</details>

## ТорговыеПредложенияНажатиеГиперссылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отрабатывает событие нажатия на гиперссылку на форме.
//
// Параметры:
//  Форма   - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  Объект  - ДанныеФормыСтруктура       - основной объект формы.
//  Элемент - ЭлементФормы               - элемент формы.
//  СтандартнаяОбработка - Булево        - признак стандартной отработки события.
//
Процедура ТорговыеПредложенияНажатиеГиперссылки(Форма, Объект, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ТорговыеПредложенияНажатиеГиперссылки(Форма, Объект, Элемент, СтандартнаяОбработка) 
```
</details>

## ПриИзмененииПубликоватьТорговыеПредложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отрабатывает событие смены флага публикации на форме.
//
// Параметры:
//  Форма   - ФормаКлиентскогоПриложения - из обработчика события которой происходит вызов процедуры.
//  Объект  - ЛюбаяСсылка                - ссылка на объект источник события.
//  Элемент - ЭлементФормы               - элемент формы.
//  СтандартнаяОбработка - Булево        - признак стандартной отработки события.
//
Процедура ПриИзмененииПубликоватьТорговыеПредложения(Форма, Объект, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ПриИзмененииПубликоватьТорговыеПредложения(Форма, Объект, Элемент, СтандартнаяОбработка) 
```
</details>

## ОткрытьФормуПодсказок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие форму подсказки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из которой открывается форма подсказки.
//
Процедура ОткрытьФормуПодсказок(Форма) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОткрытьФормуПодсказок(Форма) 
```
</details>

## ОткрытьФормуНастроекПубликации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму редактирования настроек публикации торгового предложения
//
// Параметры:
//  ТорговоеПредложение - ОпределяемыйТип.ТорговоеПредложение - торговое предложение, настройки которого
//                        требуется открыть.
//  ВладелецФормы       - ФормаКлиентскогоПриложения - Форма
//  ОписаниеОповещения  - ОписаниеОповещения         - оповещение о закрытии формы.
//
Процедура ОткрытьФормуНастроекПубликации(ТорговоеПредложение, ВладелецФормы = Неопределено, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОткрытьФормуНастроекПубликации(ТорговоеПредложение, ВладелецФормы, ОписаниеОповещения);
```
</details>

## ОткрытьФормуПоискаПоОтборам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму поиска товаров по отборам
//
// Параметры:
//  ПараметрыОткрытияФормы - Структура - параметры формы:
//    *ИдентификаторКатегории          - Строка - идентификатор категории сервиса
//    *ИдентификаторЗаказа             - УникальныйИдентификатор - уникальный идентификатор формы заказа
//    *ОтборАртикул                    - Строка - артикул для поиска
//    *ОтборНаименование               - Строка - наименование для поиска
//    *ОтборНоменклатураСервиса        - Строка - идентификатор номенклатуры сервиса
//    *ОтборХарактеристикаСервиса      - Строка - идентификатор характеристики сервиса
//    *Валюта                          - СправочникСсылка - ссылка на валюту
//    *Контрагент                      - СправочникСсылка - контрагент для отбора торговых предложений
//    *ИНН                             - Строка - ИНН контрагента для отбора
//    *КПП                             - Строка - КПП контрагента для отбора
//    *ОтборШтрихКоды                  - Массив из Строка - массив штрихкодов для поиска
//    *АдресТоваровВХранилище          - Строка - адрес таблицы товаров во временном хранилище
//  ВладелецФормы          - ФормаКлиентскогоПриложения, ПараметрыВыполненияКоманды - форма-владелец или
//                                       контекст выполнения команды
//  ОписаниеОповещения     - ОписаниеОповещения - оповещение о закрытии формы.
//
Процедура ОткрытьФормуПоискаПоОтборам(ПараметрыОткрытияФормы = Неопределено, ВладелецФормы = Неопределено, Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОткрытьФормуПоискаПоОтборам(ПараметрыОткрытияФормы, ВладелецФормы, );
```
</details>

## ОткрытьФормуФормированияЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму формирования заказов
//
// Параметры:
//  ПараметрыОткрытияФормы - Структура - параметры формы:
//    *РежимЗапросаЦен         - Булево - признак режима запроса цен
//    *ИдентификаторЗаказа     - УникальныйИдентификатор - уникальный идентификатор формы заказа
//    *Организация             - ОпределяемыйТип.Организация - ссылка на организацию
//    *Валюта                  - СправочникСсылка - ссылка на валюту
//    *АдресТоваровВХранилище  - Строка - адрес таблицы товаров во временном хранилище
//  ВладелецФормы          - ФормаКлиентскогоПриложения - форма-владелец
//  ОписаниеОповещения     - ОписаниеОповещения - оповещение о закрытии формы.
//
Процедура ОткрытьФормуФормированияЗаказов(ПараметрыОткрытияФормы = Неопределено, ВладелецФормы = Неопределено, Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОткрытьФормуФормированияЗаказов(ПараметрыОткрытияФормы, ВладелецФормы, );
```
</details>

## ОткрытьФормуПоискаПоТоварам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму поиска товаров
//
// Параметры:
//  ПараметрыОткрытияФормы - Структура - параметры формы. см. Параметры формы
//  ВладелецФормы          - ФормаКлиентскогоПриложения - форма-владелец
//  ОписаниеОповещения     - ОписаниеОповещения - оповещение о закрытии формы.
//
Процедура ОткрытьФормуПоискаПоТоварам(ПараметрыОткрытияФормы = Неопределено, ВладелецФормы = Неопределено, Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОткрытьФормуПоискаПоТоварам(ПараметрыОткрытияФормы, ВладелецФормы, );
```
</details>

## ОткрытьФормуПомощникаПубликации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму помощника публикации
//
// Параметры:
//  ПараметрыОткрытияФормы - Структура - параметры формы. см. Параметры формы
//  ВладелецФормы          - ФормаКлиентскогоПриложения - форма-владелец
//  ОписаниеОповещения     - ОписаниеОповещения - оповещение о закрытии формы.
//
Процедура ОткрытьФормуПомощникаПубликации(ПараметрыОткрытияФормы = Неопределено, ВладелецФормы = Неопределено, Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОткрытьФормуПомощникаПубликации(ПараметрыОткрытияФормы, ВладелецФормы, );
```
</details>

## ОткрытьФормуСпискаПубликаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму списка публикаций
//
// Параметры:
//  ПараметрыОткрытияФормы - Структура - параметры формы. см. Параметры формы
//  ВладелецФормы          - ФормаКлиентскогоПриложения - форма-владелец
//  ОписаниеОповещения     - ОписаниеОповещения - оповещение о закрытии формы.
//
Процедура ОткрытьФормуСпискаПубликаций(ПараметрыОткрытияФормы = Неопределено, ВладелецФормы = Неопределено, Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОткрытьФормуСпискаПубликаций(ПараметрыОткрытияФормы, ВладелецФормы, );
```
</details>

## ОткрытьФормуСостоянияПубликацииТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму состояния публикации товаров
//
// Параметры:
//  ПараметрыОткрытияФормы - Структура - параметры формы. см. ТорговыеПредложенияКлиент.ПараметрыОткрытияФормы
//
Процедура ОткрытьФормуСостоянияПубликацииТоваров(ПараметрыОткрытияФормы) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОткрытьФормуСостоянияПубликацииТоваров(ПараметрыОткрытияФормы) 
```
</details>

## ОткрытьФормуПодключенияОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. БизнесСетьКлиент.ОткрытьФормуПодключенияОрганизации
Процедура ОткрытьФормуПодключенияОрганизации( Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОткрытьФормуПодключенияОрганизации();
```
</details>

## ОткрытьФормуВнешнейСсылкиПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму создания/получения внешней ссылки прайс листа
//
// Параметры:
//  ПараметрыОткрытияФормы - см. ПараметрыОткрытияФормы
//
Процедура ОткрытьФормуВнешнейСсылкиПрайсЛиста(ПараметрыОткрытияФормы) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиент.ОткрытьФормуВнешнейСсылкиПрайсЛиста(ПараметрыОткрытияФормы) 
```
</details>

## ПараметрыОткрытияФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор универсального параметра открытия форм подсистемы.
//
// Возвращаемое значение:
//  Структура - Структура с ключами открытия формы:
//    *ПараметрыФормы - Структура - параметры, переадресуемые в открываемую форму
//    *ВладелецФормы - ФормаКлиентскогоПриложения - владелец открываемой формы
//    *Уникальность - УникальныйИдентификатор - в данном параметре может быть задан некоторый ключ,
//                      значение которого будет использоваться для поиска уже открытых форм.
//    *ПараметрыВыполненияКоманды - ПараметрыВыполненияКоманды - описывает структуру, передаваемую
//                      в обработчик команды.
//    *ОписаниеОповещения - ОписаниеОповещения - содержит описание процедуры, которая будет вызвана
//                      при закрытии формы
//    *РежимОткрытияОкна - РежимОткрытияОкнаФормы - содержит вариант открытия окна, в котором будет
//                      размещена форма.
//
Функция ПараметрыОткрытияФормы() Экспорт
```

Пример вызова
```bsl
Результат = ТорговыеПредложенияКлиент.ПараметрыОткрытияФормы() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
