---
title: Торговые предложения клиент переопределяемый
slug: erp-uh/торговые-предложения-клиент-переопределяемый
---


## ОбработатьКомандуФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка переопределяемой команды формы.
//
// Параметры:
//  Форма	 - ФормаКлиентскогоПриложения - форма, из которой производится обработка команды.
//  Команда	 - КомандаФормы               - описание команды формы.
//
Процедура ОбработатьКомандуФормы(Форма, Команда) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиентПереопределяемый.ОбработатьКомандуФормы(Форма, Команда) 
```
</details>

## ОткрытьФормуОтправкиЗапросовЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы отправки запросов цен поставщикам.
//
// Параметры:
//  ПараметрыОткрытия	 - Структура - параметры для открываемой формы
//    * ИдентификаторЗаказа - УникальныйИдентификатор - ключ уникальности формы поиска товаров.
//    * АдресТоваровВХранилище - Строка - адрес хранилища значений таблицы товаров для поиска.
//    * Валюта - СправочникСсылка.Валюта - валюта поиска товаров.
//    * Организация - ОпределяемыйТип.Организация - организация, от лица которой происходит поиск товара.
//
Процедура ОткрытьФормуОтправкиЗапросовЦен(ПараметрыОткрытия) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиентПереопределяемый.ОткрытьФормуОтправкиЗапросовЦен(ПараметрыОткрытия) 
```
</details>

## ПолучитьДанныеКонтекстаДляПодсказки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение данных контекста для подсказки.
//
// Параметры:
//  Форма			 - ФормаКлиентскогоПриложения - форма прикладного объекта.
//  ДанныеКонтекста	 - Структура - свойства контекста:
//   * Основание            - Произвольный - ссылка на источник данных, например документ.
//   * Организации          - Массив из ОпределяемыйТип.Организация - организации контекста.
//   * РежимПоставщика      - Булево - контекст определяет режим поставщика.
//   * РежимПокупателя      - Булево - контекст определяет режим покупателя.
//   * РежимПоискаПоОтборам - Булево - действием подсказки является открытие формы поиска с отборами.
//   * РежимПоискаПоСписку  - Булево - действием подсказки является открытие формы поиска по списку.
//
Процедура ПолучитьДанныеКонтекстаДляПодсказки(Знач Форма, ДанныеКонтекста) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиентПереопределяемый.ПолучитьДанныеКонтекстаДляПодсказки(Форма, ДанныеКонтекста) 
```
</details>

## ОбработатьНажатиеПоГиперссылкеРеквизитаКарточкиТорговогоПредложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает диалог интерактивного изменения реквизита торгового предложения. Вызывается при нажатии
//   пользователем на ячейку с текущим значением реквизита.
//
// Реквизиты, доступные для изменения посредством перехода из карточки торгового предложения определяется
//   в процедуре ОпределитьОбрабатываемыеРеквизитыКарточкиТорговогоПредложения общего модуля
//   ТорговыеПредложенияПереопределяемый
//
// Параметры:
//  ПозицияТорговогоПредложения   - Структура     - указывает на измененную позицию торгового предложения.
//            Ключи:
//                *ПрайсЛист - ОпределяемыйТип.ТорговоеПредложение - Прайс-лист позиции торгового предложения
//                *Номенклатура - ОпределяемыйТип.НоменклатураБЭД - номенклатура позиции торгового предложения
//                *Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика позиции торгового предложения
//                *Упаковка - ОпределяемыйТип.УпаковкаНоменклатурыБЭД - упаковка позиции торгового предложения
//  ИмяРеквизита                  - Строка     - Имя реквизита с учетом имени таблицы. Например: "Товары.НаименованиеНоменклатуры",
//            "Контакты.Телефон"
//            см. ТорговыеПредложенияПереопределяемый.ИнициализацияЗапросаПубликуемыхТоваров
//  ДополнительныйРеквизит        - ОпределяемыйТип.ДополнительныеРеквизитыРаботаСНоменклатурой     - ссылка на
//            устанавливаемый дополнительный реквизит в случае, если нажата гиперссылка свойства торгового предложения.
//  Форма                         - ФормаКлиентскогоПриложения - форма карточки торгового предложения, на которой
//            была нажата гиперссылка
//  ЭлементФормы                  - ПолеФормы - элемент формы, нажатие на которое вызвало обработчик
//  ОписаниеОповещенияОЗавершении - ОписаниеОповещения - обработчик, который требуется вызвать
//            при окончании редактирования значения реквизита. Данный обработчик заново формирует карточку
//            торгового предложения
//
// Пример:
//    Если ИмяРеквизита = "Товары.НаименованиеНоменклатуры" Тогда
//        ОткрываемаяФорма = ОткрытьФорму("Справочник.Номенклатура.ФормаОбъекта",
//            Новый Структура("Ключ", КлючЗаписи.Номенклатура), Форма, Новый УникальныйИдентификатор
//                , , , ОписаниеОповещенияОЗавершении, РежимОткрытияОкнаФормы.БлокироватьОкноВладельца);
//        ОткрываемаяФорма.ТекущийЭлемент = ОткрываемаяФорма.Элементы.Наименование;
//    ИначеЕсли ИмяРеквизита = "Контакты.Телефон" Тогда
//        ОткрываемаяФорма = ОткрытьФорму("Справочник.ТорговыеПредложения.ФормаОбъекта",
//             Новый Структура("Ключ", КлючЗаписи.ПрайсЛист), Форма, Новый УникальныйИдентификатор
//                , , , ОписаниеОповещенияОЗавершении, РежимОткрытияОкнаФормы.БлокироватьОкноВладельца);
//        ОткрываемаяФорма.ТекущийЭлемент = ОткрываемаяФорма.Элементы.КонтактныйТелефон;
//    КонецЕсли;
Процедура ОбработатьНажатиеПоГиперссылкеРеквизитаКарточкиТорговогоПредложения(ПозицияТорговогоПредложения, Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиентПереопределяемый.ОбработатьНажатиеПоГиперссылкеРеквизитаКарточкиТорговогоПредложения(ПозицияТорговогоПредложения, );
```
</details>

## ОбработатьНажатиеПоГиперссылкеПричиныИсключенияИзПубликации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает диалог интерактивного массового исправления причин исключения позиций торговых предложений
//    из публикации.
//
// Вызывается для причин, описанных в методе ОпределитьОбрабатываемыеПричиныИсключенияИзПубликации общего
//    модуля ТорговыеПредложенияПереопределяемый.
//
// Параметры:
//  Причина                       - ОпределяемыйТип.ПричиныИсключенияИзПубликацииБизнесСеть     - причина
//        исключения из публикации, на гиперссылку который нажал пользователь.
//  ПрайсЛист                     - ОпределяемыйТип.ТорговоеПредложение - отбор по торговому предложению, в котором
//            находится пользователь в форме списка ошибок.
//  ПозицииТорговыхПредложений    - Массив из Структура, Неопределено - позиции торговых предложений для просмотра.
//            В случае, если отбор по позициям торговых предложений не задан следует, в параметре передается Неопределено.
//            В случае, если отбор по позициям торговых предложений задан, то структура со следующими ключами:
//     * ПрайсЛист - ОпределяемыйТип.ТорговоеПредложение - прайс-лист позиции торгового предложения
//     * Номенклатура - ОпределяемыйТип.НоменклатураБЭД - номенклатура позиции торгового предложения
//     * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД - характеристика позиции торгового предложения
//     * Упаковка - ОпределяемыйТип.УпаковкаНоменклатурыБЭД - упаковка позиции торгового предложения
//  Форма                         - ФормаКлиентскогоПриложения - форма карточки торгового предложения, на которой
//            была нажата гиперссылка.
//  ЭлементФормы                  - ПолеФормы - элемент формы, нажатие на которое вызвало обработчик
//            была нажата гиперссылка.
//  ОписаниеОповещенияОЗавершении - ОписаниеОповещения - обработчик, который требуется вызвать
//            при окончании редактирования значения реквизита. Данный обработчик заново формирует карточку
//            торгового предложения.
//
// Пример:
//    Если Причина =
//        ПредопределенноеЗначение("Перечисление._ДемоПричиныИсключенияИзПубликации.ОтсутствуетНаСкладе") Тогда
//        ОткрытьФорму("Отчет._ДемоОстаткиТоваров.ФормаОбъекта", Контекст, Форма, Новый УникальныйИдентификатор, , ,
//            ОписаниеОповещенияОЗавершении, РежимОткрытияОкнаФормы.БлокироватьОкноВладельца);
//    ИначеЕсли Причина =
//        ПредопределенноеЗначение("Перечисление._ДемоПричиныИсключенияИзПубликации.ОтсутствуетНаСкладе") Тогда
//        ОткрытьФорму("РегистрСведений.ПрайсЛист.ФормаСписка", Контекст, Форма, Новый УникальныйИдентификатор, , ,
//            ОписаниеОповещенияОЗавершении, РежимОткрытияОкнаФормы.БлокироватьОкноВладельца);
//    КонецЕсли;
//
Процедура ОбработатьНажатиеПоГиперссылкеПричиныИсключенияИзПубликации(Причина, ПрайсЛист, ПозицииТорговыхПредложений, Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиентПереопределяемый.ОбработатьНажатиеПоГиперссылкеПричиныИсключенияИзПубликации(Причина, ПрайсЛист, ПозицииТорговыхПредложений, );
```
</details>

## ОткрытьПоискТоваровПоСписку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму поиска торговых предложений по списку товаров.
//
// Параметры:
//  ОписаниеКоманды - Структура - описание команды.
//
Функция ОткрытьПоискТоваровПоСписку(МассивСсылок, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыеПредложенияКлиентПереопределяемый.ОткрытьПоискТоваровПоСписку(МассивСсылок, ПараметрыВыполнения) 
```
</details>

## ОткрытьФормуРедактированияПрайсЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуРедактированияПрайсЛиста(ПозицииТорговыхПредложений, Форма, ОписаниеОповещенияОЗавершении) Экспорт
```

Пример вызова
```bsl
ТорговыеПредложенияКлиентПереопределяемый.ОткрытьФормуРедактированияПрайсЛиста(ПозицииТорговыхПредложений, Форма, ОписаниеОповещенияОЗавершении));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
