---
title: Торговые представители сервер
slug: erp-uh/торговые-представители-сервер
---


## ВыполнитьЗапросПоИсторииПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет запрос по данным истории продаж.
//
// Параметры:
//  НастройкиКомпоновки - НастройкиКомпоновкиДанных - настройки компоновки данных для формирования запроса по
//  данным истории продаж.
//  НачалоПериода - Дата - начало периода, за который анализируется истории продаж.
//  КонецПериода - Дата - конец периода, за который анализируется истории продаж.
//  Период - Строка - период, за который рассчитывается среднее значение объема продаж.
//  ДетализацияПоНоменклатуре - Булево - признак детализации по номенклатуре.
//
// Возвращаемое значение:
//  РезультатЗапроса - результат запроса.
//
Функция ВыполнитьЗапросПоИсторииПродаж(НастройкиКомпоновки, НачалоПериода, КонецПериода, Период, ДетализацияПоНоменклатуре) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыеПредставителиСервер.ВыполнитьЗапросПоИсторииПродаж(НастройкиКомпоновки, НачалоПериода, КонецПериода, Период, ДетализацияПоНоменклатуре) 
```
</details>

## ПолучитьДанныеОДебиторскойЗадолженностиПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует данные о состоянии расчетов с партнером.
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры - партнер, данные о состоянии расчетов с которым требуется получить.
//  ПлановаяДата - Дата - плановая дата посещения.
//
// Возвращаемое значение:
//  Структура - структура, содержащая данные о состоянии расчетов с партнером, с полями:
//  	* ТаблицаДолгов - ТаблицаЗначений - таблица содержащая информацию о задолженности.
//      * ТаблицаДвижений - ТаблицаЗначений - таблица, содержащая информацию о движениях расчетов.
//
Функция ПолучитьДанныеОДебиторскойЗадолженностиПартнера(Партнер, ПлановаяДата) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыеПредставителиСервер.ПолучитьДанныеОДебиторскойЗадолженностиПартнера(Партнер, ПлановаяДата) 
```
</details>

## РеквизитыВизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую значения реквизитов, относящихся к дате и времени визита.
//
// Параметры:
//  РасчетнаяДата - Дата - дата, на которую выполняется планирование визита.
//  ГрафикПосещения - ТаблицаЗначений - с колонками:
//   *ДеньНедели - ПеречислениеСсылка.ДниНедели - день недели.
//	 *ВремяНачала - Дата - время начала посещения.
//   *ВремяОкончания - Дата - время окончания посещения.
//
// Возвращаемое значение:
//  Структура - структура, содержащая значения реквизитов, относящихся к дате и времени визита, с полями:
//  	* ДатаВизитаПлан - Дата - плановая дата визита.
//  	* ВремяНачала - Дата - время начала посещения.
//  	* ВремяОкончания - Дата - время окончания посещения.
//
Функция РеквизитыВизита(РасчетнаяДата, ГрафикПосещения) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыеПредставителиСервер.РеквизитыВизита(РасчетнаяДата, ГрафикПосещения) 
```
</details>

## СформироватьЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет формирования заданий для указанного торгового представителя на указанный период.
//
// Параметры:
//  ТорговыйПредставитель - СправочникСсылка.Пользователи - торговый представитель, для которого отбираются условия обслуживания.
//  НачальнаяДатаПланирования - Дата - дата, начиная с которой требуется анализировать необходимость визита по условиям обслуживания.
//  КонечнаяДатаПланирования - Дата - дата, по которую требуется анализировать необходимость визита по условиям обслуживания.
//
Процедура СформироватьЗадания(ТорговыйПредставитель, НачальнаяДатаПланирования, КонечнаяДатаПланирования) Экспорт
```

Пример вызова
```bsl
ТорговыеПредставителиСервер.СформироватьЗадания(ТорговыйПредставитель, НачальнаяДатаПланирования, КонечнаяДатаПланирования) 
```
</details>

## ПолучитьУсловияОбслуживания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру условий обслуживания.
//
// Параметры:
//  УсловияОбслуживания - СправочникСсылка.УсловияОбслуживанияПартнеровТорговымиПредставителями - ссылка на условия обслуживания.
//
// Возвращаемое значение:
//  Структура - структура, включающая условия обслуживания, с полями:
//		* УсловияОбслуживания - СправочникСсылка.УсловияОбслуживанияПартнеровТорговымиПредставителями - условия обслуживания.
//      * Соглашение - СправочникСсылка.СоглашенияСКлиентами - соглашение с клиентом.
//      * Куратор - СправочникСсылка.Пользователи - куратор.
//      * ТорговыйПредставитель - СправочникСсылка.Пользователи - торговый представитель.
//
Функция ПолучитьУсловияОбслуживания(Знач УсловияОбслуживания) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыеПредставителиСервер.ПолучитьУсловияОбслуживания(УсловияОбслуживания) 
```
</details>

## ПолучитьУсловияОбслуживанияПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру условий обслуживания по партнеру.
//
// Параметры:
//  Партнер - СправочникСсылка.Партнеры - ссылка на партнера, для которого необходимо получить условия обслуживания.
//
// Возвращаемое значение:
//  Структура - структура, включающая условия обслуживания, с полями:
//  	* УсловияОбслуживания - СправочникСсылка.УсловияОбслуживанияПартнеровТорговымиПредставителями - условия обслуживания.
//      * Соглашение - СправочникСсылка.СоглашенияСКлиентами - соглашение с клиентом.
//      * Куратор - СправочникСсылка.Пользователи - куратор.
//      * ТорговыйПредставитель - СправочникСсылка.Пользователи - торговый представитель.
//
Функция ПолучитьУсловияОбслуживанияПоУмолчанию(Знач Партнер) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыеПредставителиСервер.ПолучитьУсловияОбслуживанияПоУмолчанию(Партнер) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
