---
title: Торговый сбор переопределяемый
slug: erp-uh/торговый-сбор-переопределяемый
---


## ПодготовитьТаблицыРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует таблицу расчета торгового сбора.
//
// Параметры:
// 		ТаблицаРеквизиты - Таблица значений, реквизиты документа "Регламентная операция"
// 		Отказ - Отказ - Булево - Флаг отказа проведения.
//
// Возвращаемое значение:
// 	 СтруктураТаблиц - Структура - Таблицы расчета налога
// 							Ключи:
// 								ТаблицаРасчетаТорговогоСбора - ТаблицаЗначений - Таблица расчета торгового сбора.
Функция ПодготовитьТаблицыРасчета(ТаблицаРеквизиты, Отказ) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыйСборПереопределяемый.ПодготовитьТаблицыРасчета(ТаблицаРеквизиты, Отказ) 
```
</details>

## ПрочитатьТаблицуТерриторий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует таблицу территорий на которых осуществление торговой деятельности облагается торговым сбором.
//
// Возвращаемое значение:
//  ТаблицаЗначений - данные льгот. Колонки таблицы:
//    * ОКТМО - Строка (11)- Код по ОКТМО муниципального образования.
//    * Территория - СправочникСсылка.ТерриторииОсуществленияТорговойДеятельности - Категория территории согласно
//        закону №62 от 17 декабря 2014 г.Москва.
//
Функция ПрочитатьТаблицуТерриторий() Экспорт
```

Пример вызова
```bsl
Результат = ТорговыйСборПереопределяемый.ПрочитатьТаблицуТерриторий() 
```
</details>

## УплачиваетсяТорговыйСбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УплачиваетсяТорговыйСбор(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = ТорговыйСборПереопределяемый.УплачиваетсяТорговыйСбор(Организация, Период) 
```
</details>

## ОтразитьУменьшениеНалогаНаПрибыльНаСуммуТорговогоСбораВОператпивныхРегистрах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по оперативным регистрам ПрочиеРасходы и ДвиженияДоходыРасходыПрочиеАктивыПассивы на основании
// проводки по начислению торгового сбора.
//
// Параметры:
//		НачислениеТорговогоСбора - Запись регистра бухгалтерии "Хозрасчетный" с проводками по начислению торгового сбора;
//		Движения - движения документа "РегламентнаяОперация".
//
Процедура ОтразитьУменьшениеНалогаНаПрибыльНаСуммуТорговогоСбораВОператпивныхРегистрах(Организация, Период, СуммаУменьшения, Движения) Экспорт
```

Пример вызова
```bsl
ТорговыйСборПереопределяемый.ОтразитьУменьшениеНалогаНаПрибыльНаСуммуТорговогоСбораВОператпивныхРегистрах(Организация, Период, СуммаУменьшения, Движения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
