---
title: Трансляционный резерв УХ
slug: erp-uh/трансляционный-резерв-ух
---


## ПолучитьНастройкуТР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Функция - Получить настройку ТР
//
// Параметры:
//  ВидОтчета			 - <СправочникСсылка.ВидыОтчетов>	 - вид отчета для определения счета ТР
//  ДополнительныеВалюты - <Массив,СписокЗначений>	 - Если коллекция пустая то расчет ТР не требуется
//
// Возвращаемое значение:
//  Ложь - трансляционный резерв не используется
//  Истина - трансляционный резерв используется, но расчет не выполнен, потому что нет изменений
//  Структура("ПоказателиИтога,ПоказателиТР", Соответствие(ПоказательОтчетаСсылка,Коэффициент), Структура("СКД,СКК"))
Функция ПолучитьНастройкуТР(ВидОтчета, ДополнительныеВалюты, ЛогИзмененийПоказателей) Экспорт
```

Пример вызова
```bsl
Результат = ТрансляционныйРезервУХ.ПолучитьНастройкуТР(ВидОтчета, ДополнительныеВалюты, ЛогИзмененийПоказателей) 
```
</details>

## ПолучитьПоказателиТР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПоказателиТР(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ТрансляционныйРезервУХ.ПолучитьПоказателиТР(ВидОтчета) 
```
</details>

## ПолучитьКурсовыеРазницыТР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКурсовыеРазницыТР(ЭтотОбъект, СоответствиеВерсийИВалют, КурсовыеРазницы, АктивностьДвижений) Экспорт
```

Пример вызова
```bsl
Результат = ТрансляционныйРезервУХ.ПолучитьКурсовыеРазницыТР(ЭтотОбъект, СоответствиеВерсийИВалют, КурсовыеРазницы, АктивностьДвижений) 
```
</details>

## РассчитатьКурсовуюРазницуТР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РассчитатьКурсовуюРазницуТР(ДокументОбъект, ТаблицаПоказателейВалюты, МассивКодовПоказателей = Неопределено, ЕстьИзмененияПоказателей = Ложь) Экспорт
```

Пример вызова
```bsl
ТрансляционныйРезервУХ.РассчитатьКурсовуюРазницуТР(ДокументОбъект, ТаблицаПоказателейВалюты, МассивКодовПоказателей, ЕстьИзмененияПоказателей);
```
</details>

## УстановитьЗначениеПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьЗначениеПоказателя(СтрПоказатель, НовоеЗначение, ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ТрансляционныйРезервУХ.УстановитьЗначениеПоказателя(СтрПоказатель, НовоеЗначение, ДокументОбъект));
```
</details>

## ПолучитьНомерАналитикиОрганизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьНомерАналитикиОрганизация(ДокументОбъект, СтрокаПоказателя) Экспорт
```

Пример вызова
```bsl
Результат = ТрансляционныйРезервУХ.ПолучитьНомерАналитикиОрганизация(ДокументОбъект, СтрокаПоказателя));
```
</details>

## ДобавитьПоказателиДляПересчетаТР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПоказателиДляПересчетаТР(ДокументОбъект, МассивКодовПоказателей, КодПоказателяИсточника) Экспорт
```

Пример вызова
```bsl
ТрансляционныйРезервУХ.ДобавитьПоказателиДляПересчетаТР(ДокументОбъект, МассивКодовПоказателей, КодПоказателяИсточника));
```
</details>

## ПолучитьПоказателиНастройкиТР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПоказателиНастройкиТР(КурсоваяРазница, НастройкаПересчетаВалют) Экспорт
```

Пример вызова
```bsl
Результат = ТрансляционныйРезервУХ.ПолучитьПоказателиНастройкиТР(КурсоваяРазница, НастройкаПересчетаВалют));
```
</details>

## ТребуетсяРасчетКурсовыхРазницТР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТребуетсяРасчетКурсовыхРазницТР(НастройкаПересчетаВалют = Неопределено, ВидОтчета, ДополнительныеВалюты, ЛогИзмененийПоказателей) Экспорт
```

Пример вызова
```bsl
Результат = ТрансляционныйРезервУХ.ТребуетсяРасчетКурсовыхРазницТР(НастройкаПересчетаВалют, ВидОтчета, ДополнительныеВалюты, ЛогИзмененийПоказателей) 
```
</details>

## ОбновитьКурсовыеРазницыТР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьКурсовыеРазницыТР(КурсовыеРазницыТР, КоэффициентТР, ТекущееЗначение, Валюта) Экспорт
```

Пример вызова
```bsl
ТрансляционныйРезервУХ.ОбновитьКурсовыеРазницыТР(КурсовыеРазницыТР, КоэффициентТР, ТекущееЗначение, Валюта) 
```
</details>

## ОбновитьКоэффициентТР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьКоэффициентТР(ПланСчетов, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
ТрансляционныйРезервУХ.ОбновитьКоэффициентТР(ПланСчетов, Отказ);
```
</details>

## ОбновитьДанныеКурсовыхРазниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьДанныеКурсовыхРазниц(Показатель, ЗначениеВВалюте, Валюта, КурсовыеРазницы) Экспорт
```

Пример вызова
```bsl
ТрансляционныйРезервУХ.ОбновитьДанныеКурсовыхРазниц(Показатель, ЗначениеВВалюте, Валюта, КурсовыеРазницы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
