---
title: Транспортная накладная клиент
slug: erp-uh/транспортная-накладная-клиент
---


## ОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка навигационной ссылки форматированной строки транспортной накладной,
// размещенной в форме документа-основания
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения:
//  	* Объект - ДанныеФормыСтруктура:
//  		** Ссылка - ДокументСсылка.ТранспортнаяНакладная
//  НавигационнаяСсылкаФорматированнойСтроки  - Строка
//  СтандартнаяОбработка - Булево
//
Процедура ОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ТранспортнаяНакладнаяКлиент.ОбработкаНавигационнойСсылки(Форма, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ЭтоОповещениеЗаписиТранспортнойНакладной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что оповещение пришло от транспортной накладной
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения:
//  	* Объект - ДанныеФормыСтруктура:
//  		** Ссылка - ДокументСсылка.ТранспортнаяНакладная
//  ИмяСобытия	 - Строка
//  Параметр	 - Произвольный
//  Источник	 - ФормаКлиентскогоПриложения
//
// Возвращаемое значение:
//  Булево -
//
Функция ЭтоОповещениеЗаписиТранспортнойНакладной(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
Результат = ТранспортнаяНакладнаяКлиент.ЭтоОповещениеЗаписиТранспортнойНакладной(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПечатьТТН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция-обработчик команды печати
//
// Параметры:
//  ОписаниеКоманды	 - Структура
//
// Возвращаемое значение:
//  Неопределено -
//
Функция ПечатьТТН(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = ТранспортнаяНакладнаяКлиент.ПечатьТТН(ОписаниеКоманды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
