---
title: Трансформационные корректировки УХ
slug: erp-uh/трансформационные-корректировки-ух
---


## СформироватьКорректировку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьКорректировку(Реквизиты, Отказ = Ложь, ТаблицаПроводок = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.СформироватьКорректировку(Реквизиты, Отказ, ТаблицаПроводок);
```
</details>

## ПолучитьСоздатьДокументКорректировку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоздатьДокументКорректировку(Реквизиты, Отказ) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.ПолучитьСоздатьДокументКорректировку(Реквизиты, Отказ) 
```
</details>

## ОчиститьДвиженияТрансформационнойКорректировкиПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет движения в трансформационных корректировках созданных документом ДокументССылка
// Параметры:
//	ДокументСсылка - ссылка на документ, создавший трансформационную корректировку.
//
Процедура ОчиститьДвиженияТрансформационнойКорректировкиПоСсылке(ДокументСсылка, ПометитьНаУдаление = Ложь, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
ТрансформационныеКорректировкиУХ.ОчиститьДвиженияТрансформационнойКорректировкиПоСсылке(ДокументСсылка, ПометитьНаУдаление, Отказ);
```
</details>

## ПолучитьЗапросВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗапросВНА(Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.ПолучитьЗапросВНА(Реквизиты));
```
</details>

## ПолучитьЗапросПовторРеклассовВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗапросПовторРеклассовВНА(Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.ПолучитьЗапросПовторРеклассовВНА(Реквизиты));
```
</details>

## ПолучитьЗапросФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗапросФИ(Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.ПолучитьЗапросФИ(Реквизиты));
```
</details>

## ПолучитьЗапросРезервыДЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗапросРезервыДЗ(Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.ПолучитьЗапросРезервыДЗ(Реквизиты));
```
</details>

## ПолучитьЗапросРезервыМПЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗапросРезервыМПЗ(Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.ПолучитьЗапросРезервыМПЗ(Реквизиты));
```
</details>

## ПолучитьЗапросКорректировкиРегламента_ОперацииПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗапросКорректировкиРегламента_ОперацииПериода(Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.ПолучитьЗапросКорректировкиРегламента_ОперацииПериода(Реквизиты));
```
</details>

## ПолучитьЗапросКорректировкиРегламента_ПовторПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗапросКорректировкиРегламента_ПовторПроводок(Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.ПолучитьЗапросКорректировкиРегламента_ПовторПроводок(Реквизиты));
```
</details>

## КонецДняВключая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КонецДняВключая(ДатаЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.КонецДняВключая(ДатаЗапроса));
```
</details>

## ЗаполнитьПроводкиИзРезультатаЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПроводкиИзРезультатаЗапроса(Реквизиты, ДокументОбъект, Запрос, КомментарииСобытий = Неопределено, ИспользоватьДанныеНСБУ) Экспорт
```

Пример вызова
```bsl
ТрансформационныеКорректировкиУХ.ЗаполнитьПроводкиИзРезультатаЗапроса(Реквизиты, ДокументОбъект, Запрос, КомментарииСобытий, ИспользоватьДанныеНСБУ));
```
</details>

## ДобавитьПроводкуКорректировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПроводкуКорректировки(ТаблицаПроводки, СтрокаИсточник, СуммаПроводки, КомментарийПроводки, РесурсРегистра = "СуммаВВалютеУчета", Экспорт
```

Пример вызова
```bsl
ТрансформационныеКорректировкиУХ.ДобавитьПроводкуКорректировки(ТаблицаПроводки, СтрокаИсточник, СуммаПроводки, КомментарийПроводки, РесурсРегистра, );
```
</details>

## ДобавитьПроводкиКЗП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПроводкиКЗП(ПроводкиКЗП, СтрокаТаблицыПроводок, Реквизиты, ВыполнитьСторно = Ложь, Экспорт
```

Пример вызова
```bsl
ТрансформационныеКорректировкиУХ.ДобавитьПроводкиКЗП(ПроводкиКЗП, СтрокаТаблицыПроводок, Реквизиты, ВыполнитьСторно, );
```
</details>

## ЗаполнитьДокументТК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДокументТК(ДокументТК, Реквизиты, ВидОперации = Неопределено) Экспорт
```

Пример вызова
```bsl
ТрансформационныеКорректировкиУХ.ЗаполнитьДокументТК(ДокументТК, Реквизиты, ВидОперации);
```
</details>

## ЗаполнитьОбработкуПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОбработкуПоДокументу(ОбработкаКЗП, ДокументТК) Экспорт
```

Пример вызова
```bsl
ТрансформационныеКорректировкиУХ.ЗаполнитьОбработкуПоДокументу(ОбработкаКЗП, ДокументТК));
```
</details>

## ИспользуетсяТрансляцияСинтетики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуетсяТрансляцияСинтетики(КонтекстОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.ИспользуетсяТрансляцияСинтетики(КонтекстОтчета));
```
</details>

## ТекстЗапросаТрансляцияСинтетики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТрансляцияСинтетики() Экспорт
```

Пример вызова
```bsl
Результат = ТрансформационныеКорректировкиУХ.ТекстЗапросаТрансляцияСинтетики());
```
</details>

## ПередУдалениемИсходногоДокументаКорректировкиПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередУдалениемИсходногоДокументаКорректировкиПередУдалением(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ТрансформационныеКорректировкиУХ.ПередУдалениемИсходногоДокументаКорректировкиПередУдалением(Источник, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
