---
title: Универсальная обработка процессов
slug: erp-uh/универсальная-обработка-процессов
---


## СформироватьГрафическоеПредставлениеПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует графическое представление этапов процесса который имеет определенную последовательность.
//
// Параметры:
//  ЭтапыПроцесса - ТаблицаЗначений - данные этапов процесса, обязательные колонки (см. УниверсальнаяОбработкаПроцессов.ДобавитьОбязательныеКолонкиВЭтапыПроцесса):
//                   * ПараметрыВывода      - Структура -
//                   * ДлительностьДней     - Число -
//                   * Родитель             - Произвольный -
//                   * ПорядковыйНомер      - Число -
//                   * ЭтапыПредшественники - ТаблицаЗначений -
//                   * Группа               - Число -
//  ПараметрыВывода - Структура - параметры вывода графического представления процесса.
//
// Возвращаемое значение:
//  Структура - содержит табличный документ с графическим представлением процесса и его нарастающую длительность.
//
Функция СформироватьГрафическоеПредставлениеПроцесса(ЭтапыПроцесса, ПараметрыВывода = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальнаяОбработкаПроцессов.СформироватьГрафическоеПредставлениеПроцесса(ЭтапыПроцесса, ПараметрыВывода);
```
</details>

## ДобавитьОбязательныеКолонкиВЭтапыПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие обязательных колонок в этапах процесса и добавляет недостающие.
//
// Параметры:
//  ЭтапыПроцесса - ТаблицаЗначений - данные этапов процесса.
//
Процедура ДобавитьОбязательныеКолонкиВЭтапыПроцесса(ЭтапыПроцесса) Экспорт
```

Пример вызова
```bsl
УниверсальнаяОбработкаПроцессов.ДобавитьОбязательныеКолонкиВЭтапыПроцесса(ЭтапыПроцесса) 
```
</details>

## НовыеПараметрыВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет параметры вывода графического представления процесса по умолчанию
//
// Возвращаемое значение:
//  Структура - параметры вывода.
//
Функция НовыеПараметрыВывода() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальнаяОбработкаПроцессов.НовыеПараметрыВывода() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
