---
title: Универсальные комментарии вызов сервера УХ
slug: erp-uh/универсальные-комментарии-вызов-сервера-ух
---


## СоздатьТаблицуРасхожденияВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Вспомогательные функции различных шаблонов адреса
/////////////////////////////////////////////////////////////////////

// Создаем таблицу с описанием расхождения ВГО
Функция СоздатьТаблицуРасхожденияВГО(ПериодСверки, Сценарий, Этап, Отправитель, Получатель, РазделВГО, Валюта, ДопАналитика) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииВызовСервераУХ.СоздатьТаблицуРасхожденияВГО(ПериодСверки, Сценарий, Этап, Отправитель, Получатель, РазделВГО, Валюта, ДопАналитика) 
```
</details>

## СоздатьТаблицуРасхожденияВГОВХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаем таблицу с описанием расхождения ВГО и кладем ее в хранилище
Функция СоздатьТаблицуРасхожденияВГОВХранилище(ПериодСверки, Сценарий, Этап, Отправитель, Получатель, РазделВГО, Валюта, ДопАналитика) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииВызовСервераУХ.СоздатьТаблицуРасхожденияВГОВХранилище(ПериодСверки, Сценарий, Этап, Отправитель, Получатель, РазделВГО, Валюта, ДопАналитика) 
```
</details>

## ПолучитьПредметКомментирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////////
// Процедуры и функции работы с универсальными комментариями
//////////////////////////////////////////////////////////////

// Возвращает ссылку на справочник ПредметыКомментариев для переаднных реквизитов.
// Поиск осуществляется по регистру сведений ЗначенияРеквизитовПредметаКомментирования.
// Если адрес не найден, то он созадется в справочнике и регистре сведений.
// Параметры:
//		РазделКомментариев - одно из предопределенных значений перечисления РазделыКомментариев.
//			Комментарии обрабатываются только в пределах одного раздела.
//		ОписаниеПредметаКомменитрования - хранилище значений, хранит таблицу значений следующего формата:
//			ТаблицаПредметаКомменитрования - таблица значений описывающая предмет комментирования. Колонки:
//				НомерСтроки - номер реквизита адреса по порядку использования,
//				ТипРеквизита - значение ПланВидовХарактеристикСсылка
//					ТипыРеквизитовКомментариев, описывает тип реквизита,
//				Значение - значение реквизита.
//		ТекстОшибки - если возникла ошибка, то в переменную возвращается ее описание.
// Возвращает:
// 		Неопределено - возникли ошибки, в ТекстОшибки записывает ее описание.
//  	Ссылка на справочник ПредметыКомментирования.
//
Функция ПолучитьПредметКомментирования(РазделКомментариев, ОписаниеПредметаКомменитрования, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииВызовСервераУХ.ПолучитьПредметКомментирования(РазделКомментариев, ОписаниеПредметаКомменитрования, ТекстОшибки) 
```
</details>

## ЗаписатьКомментарий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записываем комментарий и пакет файлов в регистр сведений УниверсальныеКомментарии
// Создаем сопуствующие записи в справочник ПапкиФайлов и Файлы/ВерсииФайлов.
// Параметры:
//		ПредметКомментирования - ссылка на справочник ПредметыКомментирования.
//		Автор - ссылка на пользователя оставившего комментарий.
//		Комментарий - строка с комментарием.
//		ДатаКомментария - дата и время на которую будет сохранен комментария.
//		мХранимыхФайлов - массив объектов ОписаниеПередаваемогоФайла.
//		ТекстОшибки - если возникла ошибка, то в переменную возвращается ее описание.
// Возвращает:
// 		РегистрСведенийКлючЗаписи - операция прошла успешно, возвращаем ссылку на запись регистра комментария.
//		Неопределено - возникли ошибки, в ТекстОшибки записывает ее описание.
//
Функция ЗаписатьКомментарий(ПредметКомментирования, Комментарий, ДатаКомментария, Автор=Неопределено, мХранимыхФайлов=Неопределено, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииВызовСервераУХ.ЗаписатьКомментарий(ПредметКомментирования, Комментарий, ДатаКомментария, Автор, мХранимыхФайлов, ТекстОшибки) 
```
</details>

## ПодготовитьОписаниеПредметаКомментированияВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаем структуру с описанием предмета комментирования.
//
//	Параметры
//			ПредметКомментирования - ссылка на справочник предмет комментирования, если незаполнено, создается новый предмет комментирования.
//			Реквизиты - структура с полями описывающими предмет сверки:
//				ПериодСценария, Сценарий, Этап, Отправитель, Получатель, РазделВГО, ВалютаВзаиморасчетов, ДопАналитикаРасхождения, Пользователь, Сумма - описание значения сверки.
//			ТекстОшибки - в переменную помещается описание ошибки.
//
//	Возвращает
//		ОписаниеПредметаКомменитрования - структура следующего формата:
//			РазделКомментариев - одно из предопределенных значений перечисления РазделыКомментариев.
//			ПредметКомментирования - ссылка на справочник предмет комментирования.
//			ПочтовыеАдреса - массив заполненный строками с адресами электронной почты, для рассылки уведомлений о комментариях. Необязательный.
//			ПрефиксКомментариев - произвольная строка для добавления перед текстом комментария.
//			Реквизиты - список с описанием реквизитов предмета комментирования. Используется при отправке оповещений по почте.
//			Отбор - структура, отбор по регистру сведений УниверсальныеКомментарииУХ. Необязательный.
//
Функция ПодготовитьОписаниеПредметаКомментированияВГО(ПредметКомментирования, Реквизиты, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииВызовСервераУХ.ПодготовитьОписаниеПредметаКомментированияВГО(ПредметКомментирования, Реквизиты, ТекстОшибки) 
```
</details>

## ПодготовитьОписаниеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаем структуру с описанием предмета комментирования.
//
//	Параметры
//		Ссылка - ссылка на комментируемый документа.
//		ТекстОшибки - в переменную помещается описание ошибки.
//
//	Возвращает
//		ОписаниеПредметаКомменитрования - структура следующего формата:
//			РазделКомментариев - одно из предопределенных значений перечисления РазделыКомментариев.
//			ПредметКомментирования - ссылка на справочник предмет комментирования.
//			ПочтовыеАдреса - массив заполненный строками с адресами электронной почты, для рассылки уведомлений о комментариях. Необязательный.
//			ПрефиксКомментариев - произвольная строка для добавления перед текстом комментария.
//			Реквизиты - список с описанием реквизитов предмета комментирования. Используется при отправке оповещений по почте.
//			Отбор - структура, отбор по регистру сведений УниверсальныеКомментарииУХ. Необязательный.
//
Функция ПодготовитьОписаниеДокумента(Ссылка, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииВызовСервераУХ.ПодготовитьОписаниеДокумента(Ссылка, ТекстОшибки) 
```
</details>

## ПодготовитьОписаниеСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаем структуру с описанием предмета комментирования.
//
//	Параметры
//		Ссылка - ссылка на комментируемый справочник.
//		ТекстОшибки - в переменную помещается описание ошибки.
//
//	Возвращает
//		ОписаниеПредметаКомменитрования - структура следующего формата:
//			РазделКомментариев - одно из предопределенных значений перечисления РазделыКомментариев.
//			ПредметКомментирования - ссылка на справочник предмет комментирования.
//			ПочтовыеАдреса - массив заполненный строками с адресами электронной почты, для рассылки уведомлений о комментариях. Необязательный.
//			ПрефиксКомментариев - произвольная строка для добавления перед текстом комментария.
//			Реквизиты - список с описанием реквизитов предмета комментирования. Используется при отправке оповещений по почте.
//			Отбор - структура, отбор по регистру сведений УниверсальныеКомментарииУХ. Необязательный.
//
Функция ПодготовитьОписаниеСправочника(Ссылка, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииВызовСервераУХ.ПодготовитьОписаниеСправочника(Ссылка, ТекстОшибки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
