---
title: Универсальные комментарии клиент УХ
slug: erp-uh/универсальные-комментарии-клиент-ух
---


## ОткрытьОкноКомментирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//////////////////////////////////////////////////////////////////

// Открываем окно с комментариями, для переданного адреса.
// Параметры:
//		ОписаниеПредметаКомменитрования - структура следующего формата:
//			РазделКомментариев - одно из предопределенных значений перечисления РазделыКомментариев.
//				Комментарии обрабатываются только в пределах одного шаблона адреса.
//			ПредметКомментирования - ссылка на справочник предмет комментирования.
//			ПочтовыеАдреса - список значений заполненный строками с адресами электронной почты, для рассылки уведомлений о комментариях,
//			ПрефиксКомментариев - произвольная строка для добавления перед текстом комментария.
//			Реквизиты - структура с описанием реквизитов предмета комментирования.
//			Отбор - структура, отбор по регистру сведений УниверсальныеКомментарииУХ.
//		ВладелецФормы - форма или элемент управления другой формы.
//		Модально - не используется.
//		ТекстОшибки - Строка для помещения текста описания ошибки, если она возникла в процессе работы функции.
//
// Возвращает:
// 		Неопределено - возникли ошибки, в ТекстОшибки записывает ее описание.
//  	Ссылка на справочник ПредметыКомментариев.
//
Функция ОткрытьОкноКомментирования(ОписаниеПредметаКомменитрования, ОписаниеОповещенияОЗакрытии=Неопределено, ВладелецФормы=Неопределено, Окно =  Неопределено, Модально =  Ложь, ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииКлиентУХ.ОткрытьОкноКомментирования(ОписаниеПредметаКомменитрования, ОписаниеОповещенияОЗакрытии, ВладелецФормы, Окно, Модально, ТекстОшибки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
