---
title: Универсальные комментарии УХ
slug: erp-uh/универсальные-комментарии-ух
---


## СоздатьТаблицуПредметаКомментирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//////////////////////////////////////////////////////////////

// Создать таблицу предмета комментирования
//
Функция СоздатьТаблицуПредметаКомментирования() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииУХ.СоздатьТаблицуПредметаКомментирования() 
```
</details>

## ЗаписатьКомментарийПоТаблицеПредметаКомментирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записываем комментарий и пакет файлов в регистр сведений УниверсальныеКомментарии
// Создаем сопуствующие записи в справочник Адрес, ПакетыФайлов
// и регистр сведений ЗначенияРеквизитовАдреса.
// Параметры:
//		РазделКомментариев - одно из предопределенных значений перечисления РазделыКомментариев.
//			Комментарии обрабатываются только в пределах одного раздела.
//		ОписаниеПредметаКомменитрования - хранилище значений, хранит таблицу значений следующего формата:
//			ТаблицаПредметаКомменитрования - таблица значений описывающая предмет комментирования. Колонки:
//				НомерСтроки - номер реквизита адреса по порядку использования,
//				ТипРеквизита - значение ПланВидовХарактеристикСсылка
//					ТипыРеквизитовКомментариев, описывает тип реквизита,
//				Значение - значение реквизита.
//		ДатаКомментария - дата и время на которую будет сохранен комментария.
//		Автор - ссылка на пользователя оставившего комментарий.
//		Комментарий - строка с комментарием.
//		мХранимыхФайлов - массив объектов ОписаниеПередаваемогоФайла.
//		ТекстОшибки - если возникла ошибка, то в переменную возвращается ее описание.
// Возвращает:
// 		РегистрСведенийКлючЗаписи - операция прошла успешно, возвращаем ссылку на запись регистра комментария.
//		Неопределено - возникли ошибки, в ТекстОшибки записывает ее описание.
//
Функция ЗаписатьКомментарийПоТаблицеПредметаКомментирования(РазделКомментариев, Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииУХ.ЗаписатьКомментарийПоТаблицеПредметаКомментирования(РазделКомментариев, );
```
</details>

## ПолучитьПредметКомментированияДляТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на справочник АдресаКомментариев для переаднных реквизитов
// адреса. Поиск осуществляется по регистру сведений ЗначенияРеквизитовАдреса.
// Если адрес не найден, то он созадется в справочнике и регистре сведений.
// Параметры:
//		РазделКомментариев - одно из предопределенных значений перечисления РазделыКомментариев.
//			Комментарии обрабатываются только в пределах одного раздела.
//		ТаблицаПредметаКомменитрования - таблица значений описывающая предмет комментирования. Колонки:
//				НомерСтроки - номер реквизита адреса по порядку использования,
//				ТипРеквизита - значение ПланВидовХарактеристикСсылка
//					ТипыРеквизитовКомментариев, описывает тип реквизита,
//				Значение - значение реквизита.
//		ТекстОшибки - если возникла ошибка, то в переменную возвращается ее описание.
// Возвращает:
// 		Неопределено - возникли ошибки, в ТекстОшибки записывает ее описание.
//  	Ссылка на справочник ПредметыКомментирования.
//
Функция ПолучитьПредметКомментированияДляТаблицы(РазделКомментариев, ТаблицаПредметаКомменитрования, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииУХ.ПолучитьПредметКомментированияДляТаблицы(РазделКомментариев, ТаблицаПредметаКомменитрования, ТекстОшибки) 
```
</details>

## ПредставлениеПредметаКомментированияДляТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формируем текстовую строку представления для адреса комментария.
//		РазделКомментариев - одно из предопределенных значений перечисления РазделыКомментариев.
//		ТаблицаПредметаКомменитрования - таблица значений описывающая предмет комментирования. Колонки:
//			НомерСтроки - номер реквизита адреса по порядку использования,
//			ТипРеквизита - значение ПланВидовХарактеристикСсылка
//				ТипыРеквизитовАдресаКомментария, описывает тип реквизита,
//			Значение - значение реквизита.
Функция ПредставлениеПредметаКомментированияДляТаблицы(РазделКомментариев, ТаблицаПредметаКомментирования) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииУХ.ПредставлениеПредметаКомментированияДляТаблицы(РазделКомментариев, ТаблицаПредметаКомментирования));
```
</details>

## МногострочноеПредставлениеПредметаКомментирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формируем многострочное представление предмета комментирования
// В формате:
//	[Наименование реквизита] = [Значение реквизита]
//
Функция МногострочноеПредставлениеПредметаКомментирования(ПредметКомментирования) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииУХ.МногострочноеПредставлениеПредметаКомментирования(ПредметКомментирования) 
```
</details>

## ПометитьНаУдалениеПредметКомментирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помечаем на удаление предмет комментирования.
// Параметры:
//		РазделКомментариев - одно из предопределенных значений перечисления РазделыКомментариев.
//			Комментарии обрабатываются только в пределах одного раздела.
//		ТаблицаПредметаКомменитрования - таблица значений описывающая предмет комментирования. Колонки:
//			НомерСтроки - номер реквизита адреса по порядку использования,
//			ТипРеквизита - значение ПланВидовХарактеристикСсылка
//				ТипыРеквизитовКомментариев, описывает тип реквизита,
//			Значение - значение реквизита.
//		ТекстОшибки - если возникла ошибка, то в переменную возвращается ее описание.// Возвращаемое значение:
//   Возвращает:
//		Истина - пометку установили.
//		Ложь - удалить не получилось, в переменной ТекстОшибки описание ошибки.
//
Функция ПометитьНаУдалениеПредметКомментирования(РазделКомментариев, ТаблицаПредметаКомменитирования, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныеКомментарииУХ.ПометитьНаУдалениеПредметКомментирования(РазделКомментариев, ТаблицаПредметаКомменитирования, ТекстОшибки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
