---
title: Универсальный обмен с банками вызов сервера
slug: erp-uh/универсальный-обмен-с-банками-вызов-сервера
---


## АдресаСерверовМетокВремени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адреса серверов меток времени в порядке, требуемом банками.
// И добавляет в него отсутствующие адреса из ЭлектроннаяПодпись.ОбщиеНастройки().АдресаСерверовМетокВремени
Функция АдресаСерверовМетокВремени() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.АдресаСерверовМетокВремени() 
```
</details>

## ЕстьПравоНаИзменениеДанныхИСвойствТранзакций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьПравоНаИзменениеДанныхИСвойствТранзакций() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ЕстьПравоНаИзменениеДанныхИСвойствТранзакций() 
```
</details>

## ДоступнаОблачнаяКриптография
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоступнаОблачнаяКриптография() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ДоступнаОблачнаяКриптография() 
```
</details>

## СервисТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СервисТранзакции(Транзакция) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.СервисТранзакции(Транзакция) 
```
</details>

## ТранзакцииПоПредмету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТранзакцииПоПредмету(Предмет, Знач Отбор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ТранзакцииПоПредмету(Предмет, Отбор);
```
</details>

## ОрганизацияТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОрганизацияТранзакции(Транзакция) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ОрганизацияТранзакции(Транзакция) 
```
</details>

## ДатаТранспортаТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаТранспортаТранзакции(Транзакция) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ДатаТранспортаТранзакции(Транзакция) 
```
</details>

## ПротоколОбработкиОтчетностиБанком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УниверсальныйОбменСБанками.ПротоколОбработкиОтчетностиБанком
Функция ПротоколОбработкиОтчетностиБанком(ПредметИлиТранзакция, ТипыДокументовПротокола, ТипыТранзакцийПротокола = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ПротоколОбработкиОтчетностиБанком(ПредметИлиТранзакция, ТипыДокументовПротокола, ТипыТранзакцийПротокола);
```
</details>

## ПредметТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредметТранзакции(Транзакция) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ПредметТранзакции(Транзакция) 
```
</details>

## ОбновитьДанныеРесурсаВЖурналеОперацийСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбновитьДанныеРесурсаВЖурналеОперацийСФайлами(Идентификатор, ИсходноеИмяФайла, ИдентификаторАрхива, ИмяРесурса, Знач Данные, Распаковать = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ОбновитьДанныеРесурсаВЖурналеОперацийСФайлами(Идентификатор, ИсходноеИмяФайла, ИдентификаторАрхива, ИмяРесурса, Данные, Распаковать);
```
</details>

## СтруктураДанныхСертификатаИзДвоичныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураДанныхСертификатаИзДвоичныхДанных(ДанныеСертификата) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.СтруктураДанныхСертификатаИзДвоичныхДанных(ДанныеСертификата) 
```
</details>

## СтрокаОтпечаткаВДвоичныеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтрокаОтпечаткаВДвоичныеДанные(Строка) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.СтрокаОтпечаткаВДвоичныеДанные(Строка) 
```
</details>

## ТекущаяДатаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекущаяДатаНаСервере() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ТекущаяДатаНаСервере() 
```
</details>

## СертификатШифрованияБанков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СертификатШифрованияБанков(Сервис, СписокБанков = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.СертификатШифрованияБанков(Сервис, СписокБанков);
```
</details>

## СертификатыПодписиБанка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СертификатыПодписиБанка(Банк) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.СертификатыПодписиБанка(Банк) 
```
</details>

## СертификатАвторизацииБанка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СертификатАвторизацииБанка(Банк) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.СертификатАвторизацииБанка(Банк) 
```
</details>

## СертификатОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает сертификат, сопоставленный организации.
//
// Параметры:
//  ПараметрыОтбора - Структура - см. УниверсальныйОбменСБанкамиКлиентСервер.ПараметрыОтбораСертификата(),
//                                 или ФинОтчетностьВБанкиКлиентСервер.ПараметрыОтбораСертификата()
//
// Возвращаемое значение:
//   Структура - сертификат и доверенность на владельца сертификата:
//               * ОтпечатокСертификата - ОпределяемыйТип.ОтпечатокСертификатаДляОбменаСБанками -
//                    Если сертификат для организации и сервиса не задан, возвращается пустая строка.
//               * Доверенность - ОпределяемыйТип.МЧДУниверсальныйОбменСБанками
//
Функция СертификатОрганизации(ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.СертификатОрганизации(ПараметрыОтбора) 
```
</details>

## СохранитьСертификатОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сопоставляет сертификат для организации.
//
// Параметры:
//  ПараметрыОтбора - Структура - см. УниверсальныйОбменСБанкамиКлиентСервер.ПараметрыОтбораСертификата(),
//                                 или ФинОтчетностьВБанкиКлиентСервер.ПараметрыОтбораСертификата()
//  ОтпечатокСертификата - ОпределяемыйТип.ОтпечатокСертификатаДляОбменаСБанками - сопоставленный сертификат.
//  Доверенность - ОпределяемыйТип.МЧДУниверсальныйОбменСБанками - сопоставленный сертификат.
//
// Возвращаемое значение:
//   Булево      - если Истина, то сертификат успешно сопоставлен; иначе Ложь.
//
Функция СохранитьСертификатОрганизации(ПараметрыОтбора, Знач ОтпечатокСертификата, Знач Доверенность = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.СохранитьСертификатОрганизации(ПараметрыОтбора, ОтпечатокСертификата, Доверенность);
```
</details>

## РаспаковатьДвоичныеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РаспаковатьДвоичныеДанные(Данные, ИмяФайла, Идентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.РаспаковатьДвоичныеДанные(Данные, ИмяФайла, Идентификатор);
```
</details>

## НайтиСертификатБанкаТранзакцииПоОтпечатку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиСертификатБанкаТранзакцииПоОтпечатку(Транзакция, Отпечаток) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.НайтиСертификатБанкаТранзакцииПоОтпечатку(Транзакция, Отпечаток) 
```
</details>

## ПолучитьДанныеХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеХранилища(Хранилище) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ПолучитьДанныеХранилища(Хранилище) 
```
</details>

## ОпределитьТипТранзакцииПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьТипТранзакцииПоСсылке(Сервис, ТипТранзакцииОбменСБанками) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ОпределитьТипТранзакцииПоСсылке(Сервис, ТипТранзакцииОбменСБанками) 
```
</details>

## ОпределитьТипДокументаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьТипДокументаПоСсылке(Сервис, ВидДокументовОбменСБанками) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ОпределитьТипДокументаПоСсылке(Сервис, ВидДокументовОбменСБанками) 
```
</details>

## ОпределитьСервисПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьСервисПоСсылке(СсылкаНаСервис) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ОпределитьСервисПоСсылке(СсылкаНаСервис) 
```
</details>

## ДоступныеСправочникиМЧД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используемые при обмене с банками справочники машиночитаемых доверенностей (МЧД).
//
// Параметры:
//  Подсистема   - Строка - имя подсистемы, хранящие данные МЧД. Может принимать значения:
//                * "РегламентированнаяОтчетность" - относящиеся к Библиотеке регламентированной отчетности;
//                * "СтандартныеПодсистемы" - относящиеся к Библиотеке стандартных подсистем;
//                * "ЭлектронноеВзаимодействие" - относящиеся к Библиотеке электронных документов;
//                * пустая строка - любые справочники, хранящие МЧД.
//  ФорматСписка - Строка - какие типы у элементов списка справочников. Может принимать значения:
//                * "Тип" - в возвращаемом значении будут типы "СправочникСсылка".
//                * "Строка" - в возвращаемом значении будут имена справочников.
//
// Возвращаемое значение:
//   Массив из Строка - список справочников.
//
Функция ДоступныеСправочникиМЧД(Подсистема = "", ФорматСписка = "Тип") Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ДоступныеСправочникиМЧД(Подсистема, ФорматСписка);
```
</details>

## ЭтоОблачныйСертификатПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоОблачныйСертификатПользователя(Отпечаток) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ЭтоОблачныйСертификатПользователя(Отпечаток) 
```
</details>

## ПоместитьДанныеТранзакцииВЖурналОперацийСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоместитьДанныеТранзакцииВЖурналОперацийСФайлами(Транзакция) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ПоместитьДанныеТранзакцииВЖурналОперацийСФайлами(Транзакция) 
```
</details>

## ПоместитьДанныеЖурналаОперацийСФайламиВДанныеТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоместитьДанныеЖурналаОперацийСФайламиВДанныеТранзакции(Транзакция, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ПоместитьДанныеЖурналаОперацийСФайламиВДанныеТранзакции(Транзакция, Идентификатор) 
```
</details>

## РасшифроватьИПроверитьПодписьВЖурналеОперацийСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасшифроватьИПроверитьПодписьВЖурналеОперацийСФайлами(Идентификатор, Транзакция) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.РасшифроватьИПроверитьПодписьВЖурналеОперацийСФайлами(Идентификатор, Транзакция) 
```
</details>

## ОбработатьРезультатРасшифровкиТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьРезультатРасшифровкиТранзакции(Транзакция, РезультатРасшифровки) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ОбработатьРезультатРасшифровкиТранзакции(Транзакция, РезультатРасшифровки) 
```
</details>

## ПолучитьПараметрТестирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для получения параметров, используемых при отладке функциональности.
//
// Параметры:
//  Параметр     - Строка - имя настройки, хранящейся в константе ПараметрыТестированияУниверсальногоОбменаСБанками.
//
// Возвращаемое значение:
//   Булево или иное - значение особого параметра, задействующего анализируемую отладку.
//
Функция ПолучитьПараметрТестирования(Параметр) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ПолучитьПараметрТестирования(Параметр) 
```
</details>

## РеквизитыОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыОрганизации(Организация, Реквизиты) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.РеквизитыОрганизации(Организация, Реквизиты) 
```
</details>

## ДокументооборотыПоПредмету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УниверсальныйОбменСБанками.ДокументооборотыПоПредмету.
Функция ДокументооборотыПоПредмету(Предмет, Отбор = Неопределено, ВключаяПомеченныеНаУдаление = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ДокументооборотыПоПредмету(Предмет, Отбор, ВключаяПомеченныеНаУдаление);
```
</details>

## ПоследнийДокументооборотПоПредмету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоследнийДокументооборотПоПредмету(Предмет, Знач Отбор = Неопределено, ВключаяПомеченныеНаУдаление = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ПоследнийДокументооборотПоПредмету(Предмет, Отбор, ВключаяПомеченныеНаУдаление);
```
</details>

## ПометитьНаУдалениеТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УниверсальныйОбменСБанками.ПометитьНаУдалениеТранзакцию
Процедура ПометитьНаУдалениеТранзакции(Транзакции) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиВызовСервера.ПометитьНаУдалениеТранзакции(Транзакции) 
```
</details>

## ТранзакцииТребующиеРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТранзакцииТребующиеРасшифровки(Сервис = Неопределено, Организация = Неопределено, СписокТранзакций = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ТранзакцииТребующиеРасшифровки(Сервис, Организация, СписокТранзакций, );
```
</details>

## НайтиОблачныйСертификатВХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиОблачныйСертификатВХранилище(Отпечаток) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.НайтиОблачныйСертификатВХранилище(Отпечаток) 
```
</details>

## ОтправитьТранзакцииВБанк
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтправитьТранзакцииВБанк(Сервис, Транзакции) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ОтправитьТранзакцииВБанк(Сервис, Транзакции) 
```
</details>

## ВременныеДанныеТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВременныеДанныеТранзакции(Идентификатор, СписокФайлов = Неопределено, ИсходныеДанные = Ложь, Результаты = Ложь, Подписи = Ложь, РезультатыПослеРасшифровки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ВременныеДанныеТранзакции(Идентификатор, СписокФайлов, ИсходныеДанные, Результаты, Подписи, РезультатыПослеРасшифровки);
```
</details>

## ПараметрыСоздатьТранзакцииИзДанныхЖурналаОперацийСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыСоздатьТранзакцииИзДанныхЖурналаОперацийСФайлами() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ПараметрыСоздатьТранзакцииИзДанныхЖурналаОперацийСФайлами() 
```
</details>

## СоздатьТранзакцииИзДанныхЖурналаОперацийСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьТранзакцииИзДанныхЖурналаОперацийСФайлами(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.СоздатьТранзакцииИзДанныхЖурналаОперацийСФайлами(Параметры) 
```
</details>

## ПодготовитьТекстОшибкиОбновленияДанныхСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст сообщения для пользователя о том, что необходимо проверить доступ к серверу обмена с банками.
//
// Параметры:
//	ИсходныйТекстОшибки - Строка - Исходное представление ошибки для пользователя.
//
// Возвращаемое значение:
//	Строка - Подробное сообщение для пользователя с рекомендацией по проверке доступа.
//
Функция ПодготовитьТекстОшибкиОбновленияДанныхСервиса(ИсходныйТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ПодготовитьТекстОшибкиОбновленияДанныхСервиса(ИсходныйТекстОшибки) 
```
</details>

## ИдентификаторыСоздаваемыхАрхивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список архивов, которые требуется создать перед формированием транзакции.
//
// Параметры:
//  Идентификатор - Строка - идентификатор транзакции.
//
// Возвращаемое значение:
//   Массив - список архивов.
//
Функция ИдентификаторыСоздаваемыхАрхивов(Знач Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ИдентификаторыСоздаваемыхАрхивов(Идентификатор) 
```
</details>

## ПодготовитьАрхивыВЖурналеОперацийСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьАрхивыВЖурналеОперацийСФайлами(Идентификатор, ПараметрыПрогрессаВыполнения) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиВызовСервера.ПодготовитьАрхивыВЖурналеОперацийСФайлами(Идентификатор, ПараметрыПрогрессаВыполнения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
