---
title: Универсальный обмен с банками общего назначения
slug: erp-uh/универсальный-обмен-с-банками-общего-назначения
---


## НовыеПараметрыИмениФайлаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров формирования имени файла отчетности.
//
// Возвращаемое значение:
//	Структура     - параметры для открытия формы на клиенте.
//
Функция НовыеПараметрыИмениФайлаОтчета() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.НовыеПараметрыИмениФайлаОтчета() 
```
</details>

## ПолучитьИмяФайлаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя файла отчета, сформированное по шаблону.
//
// Параметры:
//	ПараметрыФайлаОтчета - Структура - параметры для формирования имени файла отчета. См. НовыеПараметрыИмениФайлаОтчета().
//
// Возвращаемое значение:
//	Строка - имя файла.
//
Функция ПолучитьИмяФайлаОтчета(ПараметрыФайлаОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.ПолучитьИмяФайлаОтчета(ПараметрыФайлаОтчета) 
```
</details>

## УнифицироватьИмяФайлаКВыгрузке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Униифицирует имя файла перед сохранением или отправкой - добавляет префикс и уникализирующий суффикс.
//
// Параметры:
//  ИмяФайла     - Строка - исходное имя файла.
//  ФорматИменованияФайлов - Строка - предопределенное значение формата именования файлов -
//                           см. СокращенныйПериодБезУИД(), СтандартФНС().
//  Префикс - Строка - префикс файла.
//  УникальныеИменаФайловВПакете - Соответствие - ключи - имена файлов в текущем пакете,
//                                 значения - количество файлов с таким именем в пакете.
//
// Возвращаемое значение:
//   Строка      - имя файла с новым расширением.
//
Функция УнифицироватьИмяФайлаКВыгрузке(Знач ИмяФайла, ФорматИменованияФайлов, Префикс, УникальныеИменаФайловВПакете) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.УнифицироватьИмяФайлаКВыгрузке(ИмяФайла, ФорматИменованияФайлов, Префикс, УникальныеИменаФайловВПакете) 
```
</details>

## ДобавитьПрефиксФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПрефиксФайла(Знач ИмяФайла, Знач ПрефиксФайла) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.ДобавитьПрефиксФайла(ИмяФайла, ПрефиксФайла) 
```
</details>

## СокращенныйПериодБезУИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает предопределенное значение формата именования файлов с сокращенным периодом и без УИД в конце.
//
// Параметры:
//
// Возвращаемое значение:
//  Строка
//
Функция СокращенныйПериодБезУИД() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.СокращенныйПериодБезУИД() 
```
</details>

## СтандартФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает предопределенное значение формата именования файлов в стандартном виде для ФНС.
//
// Параметры:
//
// Возвращаемое значение:
//  Строка
//
Функция СтандартФНС() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.СтандартФНС() 
```
</details>

## НовыйКомпоновщикXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает и инициализирует объект для генерации xml-текста.
//
// Параметры:
//  ИмяФайла     - Строка - куда будет записан xml. См. описание параметра ИмяФайлаXML у метода ОткрытьФайл() для ЗаписьXML.
//  Кодировка    - Строка - как будет записан xml. См. описание параметра ТипКодировки у метода ОткрытьФайл() для ЗаписьXML.
//
// Возвращаемое значение:
//   ЗаписьXML - объект для генерации xml-текста.
//
Функция НовыйКомпоновщикXML(ИмяФайла, Кодировка = "windows-1251") Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.НовыйКомпоновщикXML(ИмяФайла, Кодировка);
```
</details>

## ВывестиАтрибут
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит атрибут для текущего тега. Нужно вызывать до вызова ВывестиТекст().
//
// Параметры:
//  КомпоновщикXML - ЗаписьXML - объект, генерирующий xml-текст.
//  ИмяАтрибута  - Строка - см. описание параметра ПолноеИмя у метода ЗаписатьАтрибут() для ЗаписьXML.
//  ЗначениеАтрибута - Произвольный - значение, которое будет приведено к строковому представлению.
//  ТипАтрибута  - Строка - может принимать значения "Д"-дата, "Т"-строка (например "Т,33"), "Ч"-число (например "Ч,12,3").
//  Обязательный - Булево - если Ложь и ЗначениеАтрибута равно значению по-умолчанию для его типа, то атрибут не будет записан.
//
Процедура ВывестиАтрибут(КомпоновщикXML, ИмяАтрибута, ЗначениеАтрибута, ТипАтрибута = "Т", Обязательный = Истина) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиОбщегоНазначения.ВывестиАтрибут(КомпоновщикXML, ИмяАтрибута, ЗначениеАтрибута, ТипАтрибута, Обязательный);
```
</details>

## ВывестиТекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит текст внутри текущего тега.
//
// Параметры:
//  КомпоновщикXML - ЗаписьXML - объект, генерирующий xml-текст.
//  Значение       - Произвольный - значение, которое будет приведено к строковому представлению.
//
Процедура ВывестиТекст(КомпоновщикXML, Значение) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиОбщегоНазначения.ВывестиТекст(КомпоновщикXML, Значение) 
```
</details>

## ВывестиНеобязательныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит элемент, только если внутри него будет содержимое (текст).
//
// Параметры:
//  КомпоновщикXML - ЗаписьXML - объект, генерирующий xml-текст.
//  ИмяЭлемента  - Строка - имя тега. См. описание параметра ПолноеИмя у метода ЗаписатьНачалоЭлемента() для ЗаписьXML.
//  ЗначениеЭлемента - Произвольный - содержимое тега. См. описание параметра Значение у ВывестиТекст().
//
Процедура ВывестиНеобязательныйЭлемент(КомпоновщикXML, ИмяЭлемента, ЗначениеЭлемента) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиОбщегоНазначения.ВывестиНеобязательныйЭлемент(КомпоновщикXML, ИмяЭлемента, ЗначениеЭлемента) 
```
</details>

## ДвоичныеДанныеКомпоновщикаXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает xml-текст из переданного объекта через запись на диск. Закрывает объект и удаляет файл.
//
// Параметры:
//  КомпоновщикXML - ЗаписьXML - объект, генерирующий xml-текст. См. НовыйКомпоновщикXML()
//  ИмяФайла     - Строка - файл, куда записывался xml-текст. См. описание параметра ИмяФайла в НовыйКомпоновщикXML().
//
// Возвращаемое значение:
//   ДвоичныеДанные - xml-текст из переданного объекта.
//
Функция ДвоичныеДанныеКомпоновщикаXML(КомпоновщикXML, ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.ДвоичныеДанныеКомпоновщикаXML(КомпоновщикXML, ИмяФайла) 
```
</details>

## СведенияУказаны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет переданную коллекцию на заполненность.
//
// Параметры:
//  ПроверяемыеСведения - Структура - см. ЗаявкиНаКредит.НовыеСведенияЗаявкиНаКредит()
//
// Возвращаемое значение:
//   Булево      - Истина, если хотя бы один из ключей заполнен; иначе Ложь.
//
Функция СведенияУказаны(ПроверяемыеСведения) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.СведенияУказаны(ПроверяемыеСведения) 
```
</details>

## ОбъектXDTOХарактеристики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект XDTO из корневого элемента XML по схеме пакетаXDTO ЗаявкиНаОткрытиеСчета или ЗаявкиНаКредит.
//
// Параметры:
//	СервисОбменаСБанками - ПеречислениеСсылка.СервисыОбменаСБанками - Сервис.
//	ДанныеXML     - Строка, ХранилищеЗначения - Данные XML из характеристик сервиса.
//  УсловияОбслуживания - ТипОбъектаXDTO - какой объект читаем из xml.
//
// Возвращаемое значение:
//	ОбъектXDTO, Неопределено - Объект XDTO, прочитанный из XML, или Неопределено в случае ошибок или отсутствия данных.
//
Функция ОбъектXDTOХарактеристики(СервисОбменаСБанками, ДанныеXML, УсловияОбслуживания) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.ОбъектXDTOХарактеристики(СервисОбменаСБанками, ДанныеXML, УсловияОбслуживания) 
```
</details>

## СобытиеЖурналаРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует имя события журнала регистрации.
//
// Параметры:
//	СервисОбменаСБанками - ПеречислениеСсылка.СервисыОбменаСБанками - Сервис.
//
// Возвращаемое значение:
//	 Строка - имя события, соответветствующее сервису.
//
Функция СобытиеЖурналаРегистрации(СервисОбменаСБанками, ВариантСобытия = "") Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиОбщегоНазначения.СобытиеЖурналаРегистрации(СервисОбменаСБанками, ВариантСобытия);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
