---
title: Универсальный обмен с банками переопределяемый
slug: erp-uh/универсальный-обмен-с-банками-переопределяемый
---


## ДатаНачалаУчетаВПрограмме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дата начала учета в программе.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - ссылка на организацию.
//  ДатаНачалаУчета -  Дата.
//
Процедура ДатаНачалаУчетаВПрограмме(Организация, ДатаНачалаУчета) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиПереопределяемый.ДатаНачалаУчетаВПрограмме(Организация, ДатаНачалаУчета) 
```
</details>

## ОпределитьСемействоКонфигураций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет идентификатор семейства конфигураций.
//
// Параметры:
//	Семейство - Строка - возвращаемый параметр. Идентификатор семейства.
//
Процедура ОпределитьСемействоКонфигураций(Семейство) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиПереопределяемый.ОпределитьСемействоКонфигураций(Семейство) 
```
</details>

## КраткоеНазваниеПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура возвращает краткое название конфигурации.
// Длина возвращаемого значения не должна превышать 30 символов.
//
// Параметры:
//   ИмяПрограммы - Строка - в параметре возвращается краткое название конфигурации.
//
Процедура КраткоеНазваниеПрограммы(ИмяПрограммы) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиПереопределяемый.КраткоеНазваниеПрограммы(ИмяПрограммы) 
```
</details>

## РеквизитыОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заданные реквизиты организации в параметре Результат.
// Параметры:
//   Организация - СправочникСсылка.Организации - ссылка на организацию;
//   Реквизиты   - Строка - список реквизитов, разделенные запятыми.
//   Результат   - Структура - структура с полями, заданными в параметре реквизиты.
// Возвращаемое значение:
//   Структура - структура с ключами, определяемыми строкой Реквизиты.
//
Процедура РеквизитыОрганизации(Организация, Реквизиты, Результат) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиПереопределяемый.РеквизитыОрганизации(Организация, Реквизиты, Результат) 
```
</details>

## НайтиОрганизациюПоИНН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиОрганизациюПоИНН(ИНН, Организация) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиПереопределяемый.НайтиОрганизациюПоИНН(ИНН, Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
