---
title: Универсальный обмен с банками служебный клиент
slug: erp-uh/универсальный-обмен-с-банками-служебный-клиент
---


## ИнициализацияСервисаКриптографиииЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализацияСервисаКриптографиииЗавершение(РезультатПодписания, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ИнициализацияСервисаКриптографиииЗавершение(РезультатПодписания, ДополнительныеПараметры) 
```
</details>

## АлгоритмПубличногоКлючаАктуален
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АлгоритмПубличногоКлючаАктуален(АлгоритмПодписи) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиСлужебныйКлиент.АлгоритмПубличногоКлючаАктуален(АлгоритмПодписи));
```
</details>

## ТекущийСертификат1СОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекущийСертификат1СОтчетности(КонтекстЭДО, Организация) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиСлужебныйКлиент.ТекущийСертификат1СОтчетности(КонтекстЭДО, Организация) 
```
</details>

## ЭтоОблачныйСертификатПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоОблачныйСертификатПользователя(Отпечаток) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиСлужебныйКлиент.ЭтоОблачныйСертификатПользователя(Отпечаток) 
```
</details>

## ПодобратьСертификатОрганизацииПослеПолученияКонтекстаЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После поиска КонтекстаЭДО продолжаем поиск сертификата: сначала облачного от 1С-Отчетность, затем локального.
//
// Параметры:
//  РезультатПоиска - Структура - см. параметр ВыполняемоеОповещение в ДокументооборотСКОКлиент.ПолучитьКонтекстЭДО()
//  ПараметрыПоиска - Структура - см. НайтиСертификат()
//
Процедура ПодобратьСертификатОрганизацииПослеПолученияКонтекстаЭДО(РезультатПоиска, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодобратьСертификатОрганизацииПослеПолученияКонтекстаЭДО(РезультатПоиска, ДополнительныеПараметры) 
```
</details>

## ПодобратьСертификатОрганизацииПослеПоискаСертификатаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По отпечатку сертификата 1С-Отчетности ищем сертификат и проверяем, подходит ли он нам.
//
// Параметры:
//  РезультатПоиска - Структура - см. УниверсальныйОбменСБанкамиСлужебныйКлиент.РезультатПоискаСертификата()
//  ПараметрыПоиска - Структура - см. НайтиСертификат()
//
Процедура ПодобратьСертификатОрганизацииПослеПоискаСертификатаЗавершение(РезультатПоиска, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодобратьСертификатОрганизацииПослеПоискаСертификатаЗавершение(РезультатПоиска, ДополнительныеПараметры) 
```
</details>

## ПодобратьСертификатОрганизацииПослеПоискаВЛокальномХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После поиска списка локальных сертификатов выбираем из них подходящий.
//
// Параметры:
//  РезультатПоиска - Структура - см. УниверсальныйОбменСБанкамиСлужебныйКлиент.РезультатПолучитьСертификаты()
//  ПараметрыПоиска - Структура - см. НайтиСертификат()
//
Процедура ПодобратьСертификатОрганизацииПослеПоискаВЛокальномХранилище(РезультатПоиска, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодобратьСертификатОрганизацииПослеПоискаВЛокальномХранилище(РезультатПоиска, ДополнительныеПараметры) 
```
</details>

## ОпределитьСвойстваПрограммыМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьСвойстваПрограммыМенеджераКриптографии(ОповещениеОбратногоВызова, МенеджерКриптографии) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОпределитьСвойстваПрограммыМенеджераКриптографии(ОповещениеОбратногоВызова, МенеджерКриптографии));
```
</details>

## ОпределитьСвойстваПрограммыМенеджераКриптографииПослеПолученияИнформацииМодуля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьСвойстваПрограммыМенеджераКриптографииПослеПолученияИнформацииМодуля( Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОпределитьСвойстваПрограммыМенеджераКриптографииПослеПолученияИнформацииМодуля();
```
</details>

## ПолучитьСвойстваПрограммыМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСвойстваПрограммыМенеджераКриптографии(ОповещениеОбратногоВызова, Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолучитьСвойстваПрограммыМенеджераКриптографии(ОповещениеОбратногоВызова, );
```
</details>

## ПолучитьСвойстваПрограммыМенеджераКриптографииПослеОпределенияУстановленныхКриптопровайдеров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСвойстваПрограммыМенеджераКриптографииПослеОпределенияУстановленныхКриптопровайдеров( Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолучитьСвойстваПрограммыМенеджераКриптографииПослеОпределенияУстановленныхКриптопровайдеров();
```
</details>

## ПолучитьСвойстваПрограммыМенеджераКриптографииПослеВыгрузкиСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСвойстваПрограммыМенеджераКриптографииПослеВыгрузкиСертификата( Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолучитьСвойстваПрограммыМенеджераКриптографииПослеВыгрузкиСертификата();
```
</details>

## ВыбратьСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыбратьСертификат(ОповещениеОЗавершении, НачальноеЗначениеВыбора, ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ВыбратьСертификат(ОповещениеОЗавершении, НачальноеЗначениеВыбора, ПараметрыОтбора) 
```
</details>

## ВыбратьСертификатПослеВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыбратьСертификатПослеВыбора(Результат, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ВыбратьСертификатПослеВыбора(Результат, ВходящийКонтекст) 
```
</details>

## ТекстРежимЦветПодсказкиПоСертификатуПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстРежимЦветПодсказкиПоСертификатуПоУмолчанию(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиСлужебныйКлиент.ТекстРежимЦветПодсказкиПоСертификатуПоУмолчанию(ДополнительныеПараметры));
```
</details>

## ОтобразитьПредставлениеСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьПредставлениеСертификата( Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОтобразитьПредставлениеСертификата();
```
</details>

## ОтобразитьОдинСертификатВПолеВвода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьОдинСертификатВПолеВвода(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОтобразитьОдинСертификатВПолеВвода(ДополнительныеПараметры));
```
</details>

## ОтобразитьОдинСертификатВПолеВводаПослеПолученияСвойствСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьОдинСертификатВПолеВводаПослеПолученияСвойствСертификата(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОтобразитьОдинСертификатВПолеВводаПослеПолученияСвойствСертификата(Результат, ДополнительныеПараметры) 
```
</details>

## ОтобразитьОдинСертификатВПолеВводаПослеПоискаОблачногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьОдинСертификатВПолеВводаПослеПоискаОблачногоСертификата(РезультатПоиска, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОтобразитьОдинСертификатВПолеВводаПослеПоискаОблачногоСертификата(РезультатПоиска, ДополнительныеПараметры) 
```
</details>

## ОтобразитьОдинСертификатВПолеВводаПоСвойствамСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьОдинСертификатВПолеВводаПоСвойствамСертификата(Знач СвойстваСертификата, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОтобразитьОдинСертификатВПолеВводаПоСвойствамСертификата(СвойстваСертификата, ДополнительныеПараметры));
```
</details>

## РезультатПолучитьСертификаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатПолучитьСертификаты() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиСлужебныйКлиент.РезультатПолучитьСертификаты());
```
</details>

## ПолучитьСертификаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСертификаты(ОписаниеОповещения, Параметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолучитьСертификаты(ОписаниеОповещения, Параметры) 
```
</details>

## ПолучитьСертификатыПослеПолученияСвойствПрограммыДляМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСертификатыПослеПолученияСвойствПрограммыДляМенеджераКриптографии(РезультатПолученияСвойств, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолучитьСертификатыПослеПолученияСвойствПрограммыДляМенеджераКриптографии(РезультатПолученияСвойств, ДополнительныеПараметры) 
```
</details>

## ПолучитьСертификатыПослеСозданияМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСертификатыПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолучитьСертификатыПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) 
```
</details>

## ПолучитьСертификатыПослеПолученияХранилищаСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСертификатыПослеПолученияХранилищаСертификатов(Хранилище, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолучитьСертификатыПослеПолученияХранилищаСертификатов(Хранилище, ДополнительныеПараметры) 
```
</details>

## ПолучитьСертификатыПослеПолученияВсехСертификатовИзХранилищаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСертификатыПослеПолученияВсехСертификатовИзХранилищаЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолучитьСертификатыПослеПолученияВсехСертификатовИзХранилищаЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПолучитьСертификатыПолучениеДополнительныхСвойствЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСертификатыПолучениеДополнительныхСвойствЦикл(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолучитьСертификатыПолучениеДополнительныхСвойствЦикл(Результат, ДополнительныеПараметры) 
```
</details>

## ПолучитьСертификатыПослеПолученияДвоичныхДанныхСертификатаЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСертификатыПослеПолученияДвоичныхДанныхСертификатаЦикл(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолучитьСертификатыПослеПолученияДвоичныхДанныхСертификатаЦикл(Результат, ДополнительныеПараметры) 
```
</details>

## ПолноеПредставлениеСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолноеПредставлениеСертификата(Сертификат) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиСлужебныйКлиент.ПолноеПредставлениеСертификата(Сертификат));
```
</details>

## ПоказатьСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьСертификат(Сертификат, ФормаВладелец = Неопределено) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоказатьСертификат(Сертификат, ФормаВладелец);
```
</details>

## ПоказатьСертификатПослеПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьСертификатПослеПоиска(Результат, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоказатьСертификатПослеПоиска(Результат, ВходящийКонтекст) 
```
</details>

## ПоказатьСертификатПослеВыбораСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьСертификатПослеВыбораСертификата(ВыбранныйЭлемент, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоказатьСертификатПослеВыбораСертификата(ВыбранныйЭлемент, ВходящийКонтекст) 
```
</details>

## ОписаниеОшибкиНеУдалосьОткрытьСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеОшибкиНеУдалосьОткрытьСертификат() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиСлужебныйКлиент.ОписаниеОшибкиНеУдалосьОткрытьСертификат());
```
</details>

## СертификатКриптографииВСтуктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СертификатКриптографииВСтуктуру(СертификатКриптографии) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиСлужебныйКлиент.СертификатКриптографииВСтуктуру(СертификатКриптографии) 
```
</details>

## ОпределитьУстановленныеКрипторовайдеры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьУстановленныеКрипторовайдеры(ОповещениеОбратногоВызова) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОпределитьУстановленныеКрипторовайдеры(ОповещениеОбратногоВызова) 
```
</details>

## ОпределитьУстановленныеКрипторовайдерыПослеСозданияМенеджераКриптографииЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьУстановленныеКрипторовайдерыПослеСозданияМенеджераКриптографииЦикл(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОпределитьУстановленныеКрипторовайдерыПослеСозданияМенеджераКриптографииЦикл(Результат, ДополнительныеПараметры) 
```
</details>

## СоздатьМенеджерКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает и возвращает менеджер криптографии (на клиенте) для указанной программы.
Процедура СоздатьМенеджерКриптографии(Оповещение, СвойстваПрограммы, Алгоритмы = Неопределено) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.СоздатьМенеджерКриптографии(Оповещение, СвойстваПрограммы, Алгоритмы);
```
</details>

## СоздатьМенеджерКриптографииПослеУстановкиРасширения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьМенеджерКриптографииПослеУстановкиРасширения(Подключено, Контекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.СоздатьМенеджерКриптографииПослеУстановкиРасширения(Подключено, Контекст) 
```
</details>

## СоздатьМенеджерКриптографииПослеПодключенияРасширенияРаботыСКриптографией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// продолжение процедуры СоздатьМенеджерКриптографии
Процедура СоздатьМенеджерКриптографииПослеПодключенияРасширенияРаботыСКриптографией(Подключено, Контекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.СоздатьМенеджерКриптографииПослеПодключенияРасширенияРаботыСКриптографией(Подключено, Контекст) 
```
</details>

## СоздатьМенеджерКриптографииПослеУстановкиРасширенияРаботыСКриптографией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// продолжение процедуры СоздатьМенеджерКриптографииПослеПодключенияРасширенияРаботыСКриптографией
Процедура СоздатьМенеджерКриптографииПослеУстановкиРасширенияРаботыСКриптографией(Контекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.СоздатьМенеджерКриптографииПослеУстановкиРасширенияРаботыСКриптографией(Контекст) 
```
</details>

## СоздатьМенеджерКриптографииЦиклПриОшибкеИнициализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжение процедуры СоздатьМенеджерКриптографииПослеПодключенияРасширенияРаботыСКриптографией, ошибка.
Процедура СоздатьМенеджерКриптографииЦиклПриОшибкеИнициализации(ИнформацияОбОшибке, СтандартнаяОбработка, Контекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.СоздатьМенеджерКриптографииЦиклПриОшибкеИнициализации(ИнформацияОбОшибке, СтандартнаяОбработка, Контекст) 
```
</details>

## СоздатьМенеджерКриптографииЦиклПослеИнициализацииЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжение процедуры СоздатьМенеджерКриптографии.
Процедура СоздатьМенеджерКриптографииЦиклПослеИнициализацииЗавершение(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.СоздатьМенеджерКриптографииЦиклПослеИнициализацииЗавершение(Результат, Контекст) 
```
</details>

## СоздатьМенеджерКриптографииПослеПолученияИнформацииОМодуле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьМенеджерКриптографииПослеПолученияИнформацииОМодуле(ИнформацияМодуля, Контекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.СоздатьМенеджерКриптографииПослеПолученияИнформацииОМодуле(ИнформацияМодуля, Контекст) 
```
</details>

## НайтиСертификатПоОтпечатку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В структуре результатов в поле Сертификат возвращается сертификат.
Процедура НайтиСертификатПоОтпечатку(ОписаниеОповещениеВозврата, Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.НайтиСертификатПоОтпечатку(ОписаниеОповещениеВозврата, );
```
</details>

## НайтиСертификатПоСерийномуНомеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В структуре результатов в поле Сертификат возвращается массив сертификатов.
Процедура НайтиСертификатПоСерийномуНомеру(ОписаниеОповещениеВозврата, Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.НайтиСертификатПоСерийномуНомеру(ОписаниеОповещениеВозврата, );
```
</details>

## НайтиСертификатПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиСертификатПоИдентификатору(ОписаниеОповещениеВозврата, Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.НайтиСертификатПоИдентификатору(ОписаниеОповещениеВозврата, );
```
</details>

## ПоискСертификатаПослеПолученияСвойствМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоискСертификатаПослеПолученияСвойствМенеджераКриптографии(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоискСертификатаПослеПолученияСвойствМенеджераКриптографии(Результат, ДополнительныеПараметры) 
```
</details>

## ПоискСертификатаПослеСозданияМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоискСертификатаПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоискСертификатаПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) 
```
</details>

## ПоискСертификатаПослеПолученияХранилищаСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоискСертификатаПослеПолученияХранилищаСертификатов(Хранилище, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоискСертификатаПослеПолученияХранилищаСертификатов(Хранилище, ДополнительныеПараметры) 
```
</details>

## ПоискСертификатаПослеПоискаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоискСертификатаПослеПоискаЗавершение(Сертификат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоискСертификатаПослеПоискаЗавершение(Сертификат, ДополнительныеПараметры) 
```
</details>

## ПроверитьСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет сертификат средствами менеджера криптографии.
//
// Параметры:
//  РежимПроверки - РежимПроверкиСертификатаКриптографии, Массив. - Указывает режим проверки.
//                     Содержит один объект или массив объектов режимов проверки.
//
Процедура ПроверитьСертификат(ОповещениеОЗавершении, СертификатИлиОтпечаток, Параметры = Неопределено, ВыводитьСообщения = Ложь) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьСертификат(ОповещениеОЗавершении, СертификатИлиОтпечаток, Параметры, ВыводитьСообщения);
```
</details>

## ПроверитьСертификатПослеПолученияСвойствМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСертификатПослеПолученияСвойствМенеджераКриптографии(РезультатПолученияСвойств, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьСертификатПослеПолученияСвойствМенеджераКриптографии(РезультатПолученияСвойств, ДополнительныеПараметры) 
```
</details>

## ПроверитьСертификатПослеСозданияМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСертификатПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьСертификатПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) 
```
</details>

## ПроверитьСертификатПослеПоискаСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСертификатПослеПоискаСертификата(РезультатПоиска, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьСертификатПослеПоискаСертификата(РезультатПоиска, ДополнительныеПараметры) 
```
</details>

## ПроверитьСертификатПослеПроверкиСертификатаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСертификатПослеПроверкиСертификатаЗавершение(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьСертификатПослеПроверкиСертификатаЗавершение(ДополнительныеПараметры) 
```
</details>

## ПроверитьСертификатПослеПроверкиСертификатаОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСертификатПослеПроверкиСертификатаОшибка(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьСертификатПослеПроверкиСертификатаОшибка(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) 
```
</details>

## ЭкспортироватьСертификатВФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЭкспортироватьСертификатВФайл(ОповещениеОЗавершении, Сертификат, ИмяФайлаИлиРасширение, );
```
</details>

## ЭкспортироватьСертификатВФайлПослеПоискаСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЭкспортироватьСертификатВФайлПослеПоискаСертификата(РезультатПоиска, ДополнительныеПараметры) 
```
</details>

## ЭкспортироватьСертификатВФайлПослеПолученияВременногоКаталога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЭкспортироватьСертификатВФайлПослеПолученияВременногоКаталога(ИмяКаталогаВременныхФайлов, ДополнительныеПараметры) 
```
</details>

## ЭкспортироватьСертификатВФайлПослеВыгрузкиСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЭкспортироватьСертификатВФайлПослеВыгрузкиСертификата(ВыгруженныеДанные, ДополнительныеПараметры) 
```
</details>

## ЭкспортироватьСертификатВФайлПослеЗаписиФайлаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЭкспортироватьСертификатВФайлПослеЗаписиФайлаЗавершение(ДополнительныеПараметры) 
```
</details>

## Расшифровать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Считается, что данные зашифрованы на единственный сертификат.
Процедура Расшифровать(ОповещениеОбратногоВызова, Параметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.Расшифровать(ОповещениеОбратногоВызова, Параметры) 
```
</details>

## РасшифроватьПослеРасшифровкиВОблакеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьПослеРасшифровкиВОблакеЗавершение(РезультатРасшифровки, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьПослеРасшифровкиВОблакеЗавершение(РезультатРасшифровки, ДополнительныеПараметры) 
```
</details>

## РасшифроватьПослеПоискаСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьПослеПоискаСертификата(РезультатПоискаСертификата, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьПослеПоискаСертификата(РезультатПоискаСертификата, ДополнительныеПараметры) 
```
</details>

## РасшифроватьПослеПолученияСвойствМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьПослеПолученияСвойствМенеджераКриптографии(РезультатПолученияСвойств, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьПослеПолученияСвойствМенеджераКриптографии(РезультатПолученияСвойств, ДополнительныеПараметры) 
```
</details>

## РасшифроватьПослеСозданияМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) 
```
</details>

## РасшифроватьПослеРасшифровкиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьПослеРасшифровкиЗавершение(РасшифрованныеДанные, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьПослеРасшифровкиЗавершение(РасшифрованныеДанные, ДополнительныеПараметры) 
```
</details>

## РасшифроватьПослеРасшифровкиОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьПослеРасшифровкиОшибка(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьПослеРасшифровкиОшибка(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) 
```
</details>

## Зашифровать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Зашифровать(ОповещениеОбратногоВызова, ПараметрыШифрования) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.Зашифровать(ОповещениеОбратногоВызова, ПараметрыШифрования) 
```
</details>

## ЗашифроватьПослеПолученияСвойствМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗашифроватьПослеПолученияСвойствМенеджераКриптографии(РезультатПолученияСвойств, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЗашифроватьПослеПолученияСвойствМенеджераКриптографии(РезультатПолученияСвойств, ДополнительныеПараметры) 
```
</details>

## ЗашифроватьПослеСозданияМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗашифроватьПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЗашифроватьПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) 
```
</details>

## ЗашифроватьПослеШифрованияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗашифроватьПослеШифрованияЗавершение(ЗашифрованныеДанные, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЗашифроватьПослеШифрованияЗавершение(ЗашифрованныеДанные, ДополнительныеПараметры) 
```
</details>

## ЗашифроватьПослеШифрованияОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗашифроватьПослеШифрованияОшибка(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЗашифроватьПослеШифрованияОшибка(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) 
```
</details>

## Подписать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Подписать(ОповещениеОбратногоВызова, ПараметрыПодписи) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.Подписать(ОповещениеОбратногоВызова, ПараметрыПодписи) 
```
</details>

## ПодписатьПослеПоискаСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодписатьПослеПоискаСертификата(РезультатПоискаСертификата, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодписатьПослеПоискаСертификата(РезультатПоискаСертификата, ДополнительныеПараметры) 
```
</details>

## ПодписатьПослеФормированияОблачнойПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодписатьПослеФормированияОблачнойПодписи(РезультатПодписывания, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодписатьПослеФормированияОблачнойПодписи(РезультатПодписывания, ДополнительныеПараметры) 
```
</details>

## ПодписатьПослеПолученияСвойствМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодписатьПослеПолученияСвойствМенеджераКриптографии(РезультатПолученияСвойств, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодписатьПослеПолученияСвойствМенеджераКриптографии(РезультатПолученияСвойств, ДополнительныеПараметры) 
```
</details>

## ПодписатьПослеСозданияМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодписатьПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодписатьПослеСозданияМенеджераКриптографии(Результат, ДополнительныеПараметры) 
```
</details>

## ПодписатьЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодписатьЗавершение(ПодписанныеДанные, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодписатьЗавершение(ПодписанныеДанные, ДополнительныеПараметры) 
```
</details>

## ПодписатьЗавершениеОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодписатьЗавершениеОшибка(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодписатьЗавершениеОшибка(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) 
```
</details>

## ПроверитьПодпись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПодпись(Оповещение, ИсходныеДанные, Подпись, МенеджерКриптографии = Неопределено) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьПодпись(Оповещение, ИсходныеДанные, Подпись, МенеджерКриптографии);
```
</details>

## ПроверитьПодписьПослеПолученияСвойствМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПодписьПослеПолученияСвойствМенеджераКриптографии(РезультатПолученияСвойств, Контекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьПодписьПослеПолученияСвойствМенеджераКриптографии(РезультатПолученияСвойств, Контекст) 
```
</details>

## ПроверитьПодписьПослеСозданияМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПодписьПослеСозданияМенеджераКриптографии(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьПодписьПослеСозданияМенеджераКриптографии(Результат, Контекст) 
```
</details>

## ПроверитьПодписьПослеПроверкиОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПодписьПослеПроверкиОшибка(ИнформацияОбОшибке, СтандартнаяОбработка, Контекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьПодписьПослеПроверкиОшибка(ИнформацияОбОшибке, СтандартнаяОбработка, Контекст) 
```
</details>

## ПроверитьПодписьПослеПроверкиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПодписьПослеПроверкиЗавершение(Сертификат, Контекст) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПроверитьПодписьПослеПроверкиЗавершение(Сертификат, Контекст) 
```
</details>

## РасшифроватьНерасшифрованныеТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В параметр ОповещениеОбратногоВызова можно передавать Неопределено.
Процедура РасшифроватьНерасшифрованныеТранзакции(ОповещениеОбратногоВызова, Параметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьНерасшифрованныеТранзакции(ОповещениеОбратногоВызова, Параметры) 
```
</details>

## РасшифроватьНерасшифрованныеТранзакцииЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьНерасшифрованныеТранзакцииЦикл(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьНерасшифрованныеТранзакцииЦикл(ДополнительныеПараметры) 
```
</details>

## РасшифроватьНерасшифрованныеТранзакцииПослеРасшифровкиЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьНерасшифрованныеТранзакцииПослеРасшифровкиЦикл(РезультатРасшифровки, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьНерасшифрованныеТранзакцииПослеРасшифровкиЦикл(РезультатРасшифровки, ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакции(ОповещениеОбратногоВызова, Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакции(ОповещениеОбратногоВызова, );
```
</details>

## РасшифроватьДанныеТранзакцииПослеИнициализацииОблачнойКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииПослеИнициализацииОблачнойКриптографии( Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииПослеИнициализацииОблачнойКриптографии();
```
</details>

## РасшифроватьДанныеТранзакцииПослеУстановкиРасширенияДляКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииПослеУстановкиРасширенияДляКриптографии(Подключено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииПослеУстановкиРасширенияДляКриптографии(Подключено, ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииПослеПодготовкиРасширенияДляРаботыСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииПослеПодготовкиРасширенияДляРаботыСФайлами(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииПослеПодготовкиРасширенияДляРаботыСФайлами(Результат, ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииПослеПолученияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииПослеПолученияФайлов(РезультатПолученияФайлов, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииПослеПолученияФайлов(РезультатПолученияФайлов, ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииЦикл(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииЦикл(Результат, ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииПослеОбработкиФайловЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииПослеОбработкиФайловЗавершение(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииПослеОбработкиФайловЗавершение(ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииРаспаковкаНезашифрованногоФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииРаспаковкаНезашифрованногоФайла(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииРаспаковкаНезашифрованногоФайла(ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииПослеСозданияДвоичныхДанныхАрхиваЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииПослеСозданияДвоичныхДанныхАрхиваЦикл(ДвоичныеДанные, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииПослеСозданияДвоичныхДанныхАрхиваЦикл(ДвоичныеДанные, ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииПослеРасшифровкиФайлаЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииПослеРасшифровкиФайлаЦикл(РезультатРасшифровки, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииПослеРасшифровкиФайлаЦикл(РезультатРасшифровки, ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииПослеЗаписиРаспакованныхДанныхЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииПослеЗаписиРаспакованныхДанныхЦикл(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииПослеЗаписиРаспакованныхДанныхЦикл(ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииПослеПроверкиПодписиЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииПослеПроверкиПодписиЦикл(РезультатПроверкиПодписи, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииПослеПроверкиПодписиЦикл(РезультатПроверкиПодписи, ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииЗавершение(Результат, ДополнительныеПараметры, УдалятьФайлы = Истина) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииЗавершение(Результат, ДополнительныеПараметры, УдалятьФайлы);
```
</details>

## РасшифроватьДанныеТранзакцииЗавершениеПослеУдаленияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииЗавершениеПослеУдаленияФайлов(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииЗавершениеПослеУдаленияФайлов(ДополнительныеПараметры) 
```
</details>

## РасшифроватьДанныеТранзакцииЗавершениеОшибкаУдаленияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасшифроватьДанныеТранзакцииЗавершениеОшибкаУдаленияФайлов( Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.РасшифроватьДанныеТранзакцииЗавершениеОшибкаУдаленияФайлов();
```
</details>

## ПодготовитьТранзакцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакцию(ОповещениеОбратногоВызова, Параметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакцию(ОповещениеОбратногоВызова, Параметры) 
```
</details>

## ПодготовитьТранзакциюПослеУстановкиРасширенияДляКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюПослеУстановкиРасширенияДляКриптографии(Подключено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюПослеУстановкиРасширенияДляКриптографии(Подключено, ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюПослеПодготовкиРасширенияДляРаботыСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюПослеПодготовкиРасширенияДляРаботыСФайлами(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюПослеПодготовкиРасширенияДляРаботыСФайлами(Результат, ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюПослеВводаПараметровКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюПослеВводаПараметровКриптографии(ПараметрыКриптографии, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюПослеВводаПараметровКриптографии(ПараметрыКриптографии, ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюПослеПоискаСертификатаПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюПослеПоискаСертификатаПодписи(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюПослеПоискаСертификатаПодписи(Результат, ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюПослеПроверкиСертификатаПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюПослеПроверкиСертификатаПодписи(РезультатПроверкиСертификата, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюПослеПроверкиСертификатаПодписи(РезультатПроверкиСертификата, ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюПослеПолученияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюПослеПолученияФайлов(РезультатПолученияФайлов, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюПослеПолученияФайлов(РезультатПолученияФайлов, ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюОбработатьВложенияЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюОбработатьВложенияЦикл(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюОбработатьВложенияЦикл(Результат, ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюПослеОбработкиВложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюПослеОбработкиВложений(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюПослеОбработкиВложений(ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюВыполнитьОперациюЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюВыполнитьОперациюЦикл(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюВыполнитьОперациюЦикл(ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюПослеПолученияСертификатовПолучателейЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюПослеПолученияСертификатовПолучателейЦикл(РезультатПоискаСертификатов, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюПослеПолученияСертификатовПолучателейЦикл(РезультатПоискаСертификатов, ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюПослеПодписыванияЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После подписи локальным криптопровайдером.
Процедура ПодготовитьТранзакциюПослеПодписыванияЦикл(РезультатПодписывания, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюПослеПодписыванияЦикл(РезультатПодписывания, ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюПослеШифрованияЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюПослеШифрованияЦикл(РезультатШифрования, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюПослеШифрованияЦикл(РезультатШифрования, ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюЗавершение(Результат, ДополнительныеПараметры, УдалятьФайлы = Истина) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюЗавершение(Результат, ДополнительныеПараметры, УдалятьФайлы);
```
</details>

## ПодготовитьТранзакциюЗавершениеПослеУдаленияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюЗавершениеПослеУдаленияФайлов(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюЗавершениеПослеУдаленияФайлов(ДополнительныеПараметры) 
```
</details>

## ПодготовитьТранзакциюОшибкаУдаленияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТранзакциюОшибкаУдаленияФайлов(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьТранзакциюОшибкаУдаленияФайлов(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) 
```
</details>

## ОтправитьТранзакцииВБанк
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправитьТранзакцииВБанк(ОповещениеОбратногоВызова, Сервис, Транзакции) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОтправитьТранзакцииВБанк(ОповещениеОбратногоВызова, Сервис, Транзакции) 
```
</details>

## ВводПароляДоступаКЗакрытомуКлючуПриРасшифровке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВводПароляДоступаКЗакрытомуКлючуПриРасшифровке(ОповещениеОбратногоВызова, ОтпечатокСертификата, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ВводПароляДоступаКЗакрытомуКлючуПриРасшифровке(ОповещениеОбратногоВызова, ОтпечатокСертификата, ФормаВладелец) 
```
</details>

## ВводПароляДоступаКЗакрытомуКлючуПослеВводаПараметровКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВводПароляДоступаКЗакрытомуКлючуПослеВводаПараметровКриптографии(РезультатВводаПароля, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ВводПароляДоступаКЗакрытомуКлючуПослеВводаПараметровКриптографии(РезультатВводаПароля, ДополнительныеПараметры) 
```
</details>

## ПодготовитьРасширениеДляРаботыСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьРасширениеДляРаботыСФайлами(ОповещениеОбратногоВызова) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьРасширениеДляРаботыСФайлами(ОповещениеОбратногоВызова) 
```
</details>

## ПодготовитьРасширениеДляРаботыСФайламиПослеПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьРасширениеДляРаботыСФайламиПослеПодключения(Подключено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьРасширениеДляРаботыСФайламиПослеПодключения(Подключено, ДополнительныеПараметры) 
```
</details>

## ПодготовитьРасширениеДляРаботыСФайламиПослеУстановки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьРасширениеДляРаботыСФайламиПослеУстановки(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьРасширениеДляРаботыСФайламиПослеУстановки(ДополнительныеПараметры) 
```
</details>

## ПодготовитьРасширениеДляРаботыСФайламиПослеПовторногоПодключенияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьРасширениеДляРаботыСФайламиПослеПовторногоПодключенияЗавершение(Подключено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПодготовитьРасширениеДляРаботыСФайламиПослеПовторногоПодключенияЗавершение(Подключено, ДополнительныеПараметры) 
```
</details>

## ОткрытьФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайл(ПолноеИмяФайлаИлиАдрес, ИмяФайла, ВыводитьСообщения) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОткрытьФайл(ПолноеИмяФайлаИлиАдрес, ИмяФайла, ВыводитьСообщения) 
```
</details>

## ОткрытьФайлПослеПодключенияРасширенияРаботыСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайлПослеПодключенияРасширенияРаботыСФайлами(Подключено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОткрытьФайлПослеПодключенияРасширенияРаботыСФайлами(Подключено, ДополнительныеПараметры) 
```
</details>

## ОткрытьФайлПослеПолученияКаталогаВременныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайлПослеПолученияКаталогаВременныхФайлов(ИмяКаталогаВременныхФайлов, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОткрытьФайлПослеПолученияКаталогаВременныхФайлов(ИмяКаталогаВременныхФайлов, ДополнительныеПараметры) 
```
</details>

## ОткрытьФайлПослеПолученияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайлПослеПолученияФайлов(ПолученныеФайлы, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОткрытьФайлПослеПолученияФайлов(ПолученныеФайлы, ДополнительныеПараметры) 
```
</details>

## ОткрытьФайлЗапуститьПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайлЗапуститьПриложение(ПолноеИмяФайла, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОткрытьФайлЗапуститьПриложение(ПолноеИмяФайла, ДополнительныеПараметры));
```
</details>

## ОткрытьФайлПослеЗапускаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайлПослеЗапускаПриложения(КодВозврата, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОткрытьФайлПослеЗапускаПриложения(КодВозврата, ДополнительныеПараметры) 
```
</details>

## ОткрытьФайлПриОшибкеЗапускаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайлПриОшибкеЗапускаПриложения(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ОткрытьФайлПриОшибкеЗапускаПриложения(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) 
```
</details>

## ЗапуститьПриложениеНаКлиенте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапуститьПриложениеНаКлиенте(ОповещениеОЗавершении, СтрокаКоманды, ТекущийКаталог, ДождатьсяЗавершения, ВыводитьСообщения) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЗапуститьПриложениеНаКлиенте(ОповещениеОЗавершении, СтрокаКоманды, ТекущийКаталог, ДождатьсяЗавершения, ВыводитьСообщения) 
```
</details>

## ЗапуститьПриложениеНаКлиентеПослеПодключенияРасширенияРаботыСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапуститьПриложениеНаКлиентеПослеПодключенияРасширенияРаботыСФайлами(Подключено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЗапуститьПриложениеНаКлиентеПослеПодключенияРасширенияРаботыСФайлами(Подключено, ДополнительныеПараметры) 
```
</details>

## ЗапуститьПриложениеНаКлиентеПослеЗапускаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапуститьПриложениеНаКлиентеПослеЗапускаПриложения(КодВозврата, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЗапуститьПриложениеНаКлиентеПослеЗапускаПриложения(КодВозврата, ДополнительныеПараметры) 
```
</details>

## ЗапуститьПриложениеНаКлиентеПриОшибкеЗапускаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапуститьПриложениеНаКлиентеПриОшибкеЗапускаПриложения(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ЗапуститьПриложениеНаКлиентеПриОшибкеЗапускаПриложения(ИнформацияОбОшибке, СтандартнаяОбработка, ДополнительныеПараметры) 
```
</details>

## ПоказатьОшибкуПослеВыбораТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьОшибкуПослеВыбораТранзакции(ЭлементСпискаИлиТранзакция, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоказатьОшибкуПослеВыбораТранзакции(ЭлементСпискаИлиТранзакция, ДополнительныеПараметры) 
```
</details>

## ПоказатьОшибкуПослеВопросаОРасшифровке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьОшибкуПослеВопросаОРасшифровке(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоказатьОшибкуПослеВопросаОРасшифровке(Результат, ДополнительныеПараметры) 
```
</details>

## ПоказатьОшибкуПослеРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьОшибкуПослеРасшифровки(РезультатРасшифровки, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоказатьОшибкуПослеРасшифровки(РезультатРасшифровки, ДополнительныеПараметры) 
```
</details>

## ПоказатьОшибкуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьОшибкуЗавершение(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиСлужебныйКлиент.ПоказатьОшибкуЗавершение(ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
