---
title: Универсальный обмен с банками формы
slug: erp-uh/универсальный-обмен-с-банками-формы
---


## УдалитьПодписиФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьПодписиФайла(ПрисоединенныйФайл) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиФормы.УдалитьПодписиФайла(ПрисоединенныйФайл) 
```
</details>

## СинхронизироватьПрисоединенныеФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Неиспользуемые присоединенные файлы помечаем на удаление и очищаем, а для используемых снимаем пометку удаления.
//
// Параметры:
//  ДокументОснование - ДокументСсылка.ЗаявкаНаКредит, ДокументСсылка.ФинОтчетВБанк - владелец файлов.
//  СвойстваФайлов - Соответствие - список файлов, которые прикладываются к пакету отчетности:
//                   * Ключ - ОпределяемыйТип.ПрисоединенныйФайл - файл отчета из пакета.
//                   * Значение - Булево - текущее состояние пометки удаления файла.
//
Процедура СинхронизироватьПрисоединенныеФайлы(Знач ДокументОснование, Знач СвойстваФайлов, Знач СервисОбменаСБанками) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиФормы.СинхронизироватьПрисоединенныеФайлы(ДокументОснование, СвойстваФайлов, СервисОбменаСБанками) 
```
</details>

## СоздатьАрхивПоДаннымТранзакций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет формирование архива с файлами заявки на основании данных транзации, ранее помещенных в регистр сведений.
//
// Параметры:
//	ИдентификаторХранилищаТранзакций - Строка - см. ИдентификаторВременногоХранилищаТранзакций в ПодготовитьЗаявкуДляОтправки() у документа.
//	АдресАрхива   - Строка - адрес временного хранилища, куда поместить данные zip-архива.
//	КомментарийАрхива - Строка - текст, который будет записан как комментарий к zip-архиву.
//
Процедура СоздатьАрхивПоДаннымТранзакций(ИдентификаторХранилищаТранзакций, АдресАрхива, КомментарийАрхива) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиФормы.СоздатьАрхивПоДаннымТранзакций(ИдентификаторХранилищаТранзакций, АдресАрхива, КомментарийАрхива) 
```
</details>

## НовыйТаблицаДополнительныеПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйТаблицаДополнительныеПоказатели() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.НовыйТаблицаДополнительныеПоказатели() 
```
</details>

## КоличествоРазличныхБанковТребующихПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоРазличныхБанковТребующихПоказатели(Показатели) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.КоличествоРазличныхБанковТребующихПоказатели(Показатели) 
```
</details>

## ПолучитьДобавляемыеРеквизитыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДобавляемыеРеквизитыФормы(Описание) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ПолучитьДобавляемыеРеквизитыФормы(Описание) 
```
</details>

## ПолучитьУдаляемыеРеквизитыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьУдаляемыеРеквизитыФормы(Описание) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ПолучитьУдаляемыеРеквизитыФормы(Описание) 
```
</details>

## ИнициализироватьДобавляемыеРеквизитыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьДобавляемыеРеквизитыФормы(Форма, ДобавляемыеПоказатели) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиФормы.ИнициализироватьДобавляемыеРеквизитыФормы(Форма, ДобавляемыеПоказатели) 
```
</details>

## УдалитьПодчиненныеЭлементы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьПодчиненныеЭлементы(Форма, КоллекцияЭлементов) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиФормы.УдалитьПодчиненныеЭлементы(Форма, КоллекцияЭлементов) 
```
</details>

## ДобавитьГруппуНеобязательныхДополнительныхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьГруппуНеобязательныхДополнительныхПоказателей(Форма, Родитель) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ДобавитьГруппуНеобязательныхДополнительныхПоказателей(Форма, Родитель) 
```
</details>

## ДобавитьПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПоле(Форма, Родитель, Описание, ДополнениеТекстаПодсказки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ДобавитьПоле(Форма, Родитель, Описание, ДополнениеТекстаПодсказки);
```
</details>

## НовыйТаблицаЗначенияПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйТаблицаЗначенияПеречисления() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.НовыйТаблицаЗначенияПеречисления() 
```
</details>

## ИспользоватьФормуВыбораПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользоватьФормуВыбораПеречисления(Описание) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ИспользоватьФормуВыбораПеречисления(Описание) 
```
</details>

## ВывестиУзел_ДополнительныеПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в xml-файл тег ДополнительныеПоказатели и заполняет его.
//
// Параметры:
//  Компоновщик  - ЗаписьXML - объект для формирования xml-файла.
//  ПараметрыПредставления - Структура - см. ЗаявкиНаОткрытиеСчета.НовыеСведенияЗаявкиНаОткрытиеСчета()
//                                       или ЗаявкиНаКредит.НовыеСведенияЗаявкиНаКредит()
//
Процедура ВывестиУзел_ДополнительныеПоказатели(Компоновщик, ПараметрыПредставления) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиФормы.ВывестиУзел_ДополнительныеПоказатели(Компоновщик, ПараметрыПредставления) 
```
</details>

## ВывестиУзел_ДополнительныеФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в xml-файл тег ДополнительныеФайлы и заполняет его.
//
// Параметры:
//  Компоновщик  - ЗаписьXML - объект для формирования xml-файла.
//  ПараметрыПредставления - Структура - см. ЗаявкиНаОткрытиеСчета.НовыеСведенияЗаявкиНаОткрытиеСчета()
//                                       или ЗаявкиНаКредит.НовыеСведенияЗаявкиНаКредит()
//  ПараметрыУпорядочения - Структура - по каким разделам упорядочен список. Содержит: ГруппаАнкета, ГруппаПоУмолчанию, ПорядокВывода.
//
Процедура ВывестиУзел_ДополнительныеФайлы(Компоновщик, ПараметрыПредставления, ПараметрыУпорядочения) Экспорт
```

Пример вызова
```bsl
УниверсальныйОбменСБанкамиФормы.ВывестиУзел_ДополнительныеФайлы(Компоновщик, ПараметрыПредставления, ПараметрыУпорядочения) 
```
</details>

## ЗаполнитьТекстСогласияВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает фоновое задание, которое формирует html-текст согласия на обработку данных.
//
// Параметры:
//  ПараметрыСогласия - Структура - см. УниверсальныйОбменСБанкамиФормыВызовСервера.ПараметрыСогласия()
//  ОбъектыСогласия - Массив из Структура - список получателей согласия:
//                             * Банк - СправочникСсылка.БанкиУниверсальногоОбмена - получатель.
//                             * ИдентификаторПродукта - Строка - вариант заявки.
//  УникальныйИдентификатор - УникальныйИдентификатор - форма, с которой будет связано фоновое задание.
//
// Возвращаемое значение:
//   Структура   - описание запущенного фонового задания. См. ДлительныеОперации.ВыполнитьВФоне()
//
Функция ЗаполнитьТекстСогласияВФоне(ПараметрыСогласия, ОбъектыСогласия, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ЗаполнитьТекстСогласияВФоне(ПараметрыСогласия, ОбъектыСогласия, УникальныйИдентификатор) 
```
</details>

## ПодготовитьИнформациюОБанкахДляСогласий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает из специального сервиса информацию о банках-получателях согласия на обработку персональных данных.
//
// Параметры:
//  Банки         - ОпределяемыйТип.БанкиУниверсальногоОбмена, Массив - о чем собирается информация.
//
// Возвращаемое значение:
//   ТаблицаЗначений - информация о кредиторах.
//
Функция ПодготовитьИнформациюОБанкахДляСогласий(Банки) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ПодготовитьИнформациюОБанкахДляСогласий(Банки) 
```
</details>

## ПредставлениеСпискаБанков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// HTML-код для списка банков.
//
// Параметры:
//  РеквизитыОбъектов - ТаблицаЗначений - см. ПодготовитьИнформациюОБанкахДляСогласий() в модулях ЗаявкиНаКредит/ЗаявкиНаОткрытиеСчета.
//  ОдинБезHTML  - Булево - если всего один банк, то не обрамлять его HTML-тегами.
//
// Возвращаемое значение:
//   Строка      - представление списка банков для вывода в согласие на обработку персональных данных.
//
Функция ПредставлениеСпискаБанков(РеквизитыОбъектов, ОдинБезHTML = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ПредставлениеСпискаБанков(РеквизитыОбъектов, ОдинБезHTML);
```
</details>

## ПараметрыФорматированияСогласия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет особенности заполнения текста согласия на обработку персональных данных.
//
Функция ПараметрыФорматированияСогласия() Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ПараметрыФорматированияСогласия() 
```
</details>

## РазметкаТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Анализирует, какие параметры есть в переданном тексте.
//
// Параметры:
//  ТекстМакета  - HTML-текст - текст, содержащий параметры в фигурных скобках. Для использования "{" в тексте, а не в
//                              параметре нужно ее указать два раза.
//
// Возвращаемое значение:
//   ТаблицаЗначений - содержит колонки:
//                    * ИмяПараметра - Строка - заменяемый идентификатор.
//                    * ПозицияНачала - Число - номер символа начала.
//                    * ПозицияКонца - Число - номер символа конца.
//                    * ЗначениеПараметра - Произвольный - что подставлять вместо имени параметра.
//
Функция РазметкаТекста(ТекстМакета) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.РазметкаТекста(ТекстМакета) 
```
</details>

## ТекстСогласия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст согласия на обработку персональных данных.
//
// Параметры:
//  ПараметрыСогласия - Структура - см. УниверсальныйОбменСБанкамиФормыВызовСервера.ПараметрыСогласия()
//  РеквизитыОбъектов - ТаблицаЗначений - см. ПодготовитьИнформациюОБанкахДляСогласий() из модулей ЗаявкиНаКредит/ЗаявкиНаОткрытиеСчета.
//  ПараметрыФорматирования - Структура - см. ПараметрыФорматированияСогласия()
//
// Возвращаемое значение:
//   Строка, ТаблицаЗначений - текст для веб-страницы или набор текстов по каждому банку. Колонки таблицы значений:
//   * Банк - СправочникСсылка.БанкиУниверсальногоОбмена - Банк
//   * ИдентификаторПродукта - Строка - Идентификатор кредитного продукта
//   * Текст - Строка - Текст согласия
//
Функция ТекстСогласия(ПараметрыСогласия, РеквизитыОбъектов, ПараметрыФорматирования) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ТекстСогласия(ПараметрыСогласия, РеквизитыОбъектов, ПараметрыФорматирования) 
```
</details>

## ПоказателиДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с ключевым показателями деятельности заемщика.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - Организация, для которой оформляется заявка.
//	Дата - Дата - Дата расчета показателей.
//
// Возвращаемое значение:
//	Структура - см. переменную Результат.
//
Функция ПоказателиДеятельности(Организация, Дата) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ПоказателиДеятельности(Организация, Дата) 
```
</details>

## ПоступлениеНаСчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений с суммами поступлений на расчетные счета по организациям информационной базы:
// - среднемесячное поступление
// - минимальное ежемесячное поступление
// Допускается установка отбора по одной организации или массиву организаций.
// В этом случае в таблице будут выведены строки только по указанным организациям.
//
// Параметры:
//	Дата - Дата - Дата расчета.
//	КоличествоМесяцев - Число - Количество месяцев, за которые выполняется расчет.
//	Организация - СправочникСсылка.Организации - Организация, для которой выполняется расчет.
//
// Возвращаемое значение:
//	ТаблицаЗначений:
//		* Организация - СправочникСсылка.Организации - Организация
//		* Среднее - Число - Среднемесячное поступление
//		* Минимум - Число - Максимальное месячное поступление
//
Функция ПоступлениеНаСчет(Дата, Знач КоличествоМесяцев = 0, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ПоступлениеНаСчет(Дата, КоличествоМесяцев, Организация);
```
</details>

## ОборотыПоСчетамРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений с суммами оборотов по счетам 66 "Расчеты по краткосрочным кредитам и займам"
// и 67 "Расчеты по долгосрочным кредитам и займам".
// Допускается установка отбора по одной организации или массиву организаций.
// В этом случае в таблице будут выведены строки только по указанным организациям.
//
// Параметры:
//	СервисОбменаСБанками - ПеречислениеСсылка.СервисыОбменаСБанками - Сервис.
//	Дата - Дата - Дата расчета.
//	КоличествоМесяцев - Число - Количество месяцев, за которые выполняется расчет.
//	Организация - СправочникСсылка.Организации - Организация, для которой выполняется расчет.
//
// Возвращаемое значение:
//	ТаблицаЗначений:
//		* Организация - СправочникСсылка.Организации - Организация
//		* ОборотДт - Число - Дебетовый оборот по счетам расчетов по кредитам и займам
//		* ОборотКт - Число - Кредитовый оборот по счетам расчетов по кредитам и займам
//
Функция ОборотыПоСчетамРасчетов(СервисОбменаСБанками, Дата, Знач КоличествоМесяцев = 0, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ОборотыПоСчетамРасчетов(СервисОбменаСБанками, Дата, КоличествоМесяцев, Организация);
```
</details>

## ДатаНачалаУчетаВПрограмме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаНачалаУчетаВПрограмме(Организация) Экспорт
```

Пример вызова
```bsl
Результат = УниверсальныйОбменСБанкамиФормы.ДатаНачалаУчетаВПрограмме(Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
