---
title: Упаковочные листы клиент
slug: erp-uh/упаковочные-листы-клиент
---


## ОбновитьКешированныеЗначенияДляТЧСУпаковочнымиЛистами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет кеш ключевых реквизитов текущей строки товаров.
//
// Параметры:
//  ТаблицаФормы			 - ТаблицаФормы - таблица формы, отображающая ТЧ товаров,
//  КэшированныеЗначения	 - Структура - переменная модуля формы, в которой хранится служебный кэш,
//  ПараметрыУказанияСерий	 - см. НоменклатураКлиентСервер.ПараметрыУказанияСерий
//  Копирование				 - Булево - признак, что кешированная строка скопирована (параметр события ПриНачалеРедактирования).
//
Процедура ОбновитьКешированныеЗначенияДляТЧСУпаковочнымиЛистами(ТаблицаФормы, КэшированныеЗначения, Экспорт
```

Пример вызова
```bsl
УпаковочныеЛистыКлиент.ОбновитьКешированныеЗначенияДляТЧСУпаковочнымиЛистами(ТаблицаФормы, КэшированныеЗначения, );
```
</details>

## ПриНачалеРедактированияТЧСУпаковочнымиЛистами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Действия при начале редактирования табличной части с упаковочными листами.
// Параметры:
//		Форма - ФормаКлиентскогоПриложения - форма для выполнения действий,
//		КэшированныеЗначения - Структура - данные в этой структуре обновляются по текущей строке,
//		НоваяСтрока - Булево - признак добавления новой строки.
//
Процедура ПриНачалеРедактированияТЧСУпаковочнымиЛистами(Форма, КэшированныеЗначения, НоваяСтрока) Экспорт
```

Пример вызова
```bsl
УпаковочныеЛистыКлиент.ПриНачалеРедактированияТЧСУпаковочнымиЛистами(Форма, КэшированныеЗначения, НоваяСтрока) 
```
</details>

## ПриОкончанииРедактированияТЧСУпаковочнымиЛистами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Действия при окончании редактирования табличной части с упаковочными листами.
// Параметры:
//		Форма - ФормаКлиентскогоПриложения - форма для выполнения действий,
//		НоваяСтрока - Булево - признак добавления новой строки,
//		ОтменаРедактирования - Булево - признак отмены редактирования.
//
Процедура ПриОкончанииРедактированияТЧСУпаковочнымиЛистами(Форма, НоваяСтрока, ОтменаРедактирования) Экспорт
```

Пример вызова
```bsl
УпаковочныеЛистыКлиент.ПриОкончанииРедактированияТЧСУпаковочнымиЛистами(Форма, НоваяСтрока, ОтменаРедактирования) 
```
</details>

## ПередНачаломДобавленияВТЧСУпаковочнымиЛистами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Действия перед началом добавления строки в табличную часть с упаковочными листами.
//	Параметры:
//		ТаблицаФормы - ДанныеФормыКоллекция - таблица, в которой могут быть строки-упаковочные листы,
//		Отказ - Булево - признак ошибки добавления,
//		Копирование - Булево - признак копирования строки,
//		КэшированныеЗначения - Структура - служебные данные.
//
Процедура ПередНачаломДобавленияВТЧСУпаковочнымиЛистами(ТаблицаФормы, Отказ, Копирование, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
УпаковочныеЛистыКлиент.ПередНачаломДобавленияВТЧСУпаковочнымиЛистами(ТаблицаФормы, Отказ, Копирование, КэшированныеЗначения) 
```
</details>

## РаспаковатьУпаковочныйЛист
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует текущую строку-упаковочный лист в строки, содержащиеся внутри упаковочного листа,
//	исходная строка-упаковочный лист удаляется.
//	Параметры:
//		Форма - ФормаКлиентскогоПриложения - форма, в которой есть таблица с упаковочными листами.
//
Процедура РаспаковатьУпаковочныйЛист(Форма) Экспорт
```

Пример вызова
```bsl
УпаковочныеЛистыКлиент.РаспаковатьУпаковочныйЛист(Форма) 
```
</details>

## ПроверитьПодготовитьПереходВУпаковочныйЛистПриВыборе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поверяет, возможен ли переход в упаковочный из текущей строки.
//	Параметры:
//		ТаблицаФормы - ДанныеФормыКоллекция - таблица, в которой могут быть строки-упаковочные листы,
//		ИмяПоля - Строка - имя текущего поля,
//		ИмяТЧ - Строка - имя табличной части с упаковочными листами
//	Возвращаемое значение:
//		Булево - Истина, если переход в упаковочный лист возможен.
//
Функция ПроверитьПодготовитьПереходВУпаковочныйЛистПриВыборе(ТаблицаФормы, ИмяПоля, ИмяТЧ = "Товары") Экспорт
```

Пример вызова
```bsl
Результат = УпаковочныеЛистыКлиент.ПроверитьПодготовитьПереходВУпаковочныйЛистПриВыборе(ТаблицаФормы, ИмяПоля, ИмяТЧ);
```
</details>

## ПередУдалениемСтрокТЧСУпаковочнымиЛистами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Действия перед удалением строк в табличной части с упаковочными листами.
//
// Параметры:
//  ТаблицаФормы			 - ДанныеФормыКоллекция - таблица, в которой могут быть строки-упаковочные листы,
//  КэшированныеЗначения	 - Структура - кэш служебных данных,
//  ПараметрыУказанияСерий	 - см. НоменклатураКлиентСервер.ПараметрыУказанияСерий
//
Процедура ПередУдалениемСтрокТЧСУпаковочнымиЛистами(ТаблицаФормы, КэшированныеЗначения, ПараметрыУказанияСерий) Экспорт
```

Пример вызова
```bsl
УпаковочныеЛистыКлиент.ПередУдалениемСтрокТЧСУпаковочнымиЛистами(ТаблицаФормы, КэшированныеЗначения, ПараметрыУказанияСерий) 
```
</details>

## НачалоВыбораТоварногоМеста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Действия при начале выбора значения в поле, где может быть либо номенклатура, либо упаковочный лист.
//	Параметры:
//		Форма - ФормаКлиентскогоПриложения - форма, в которой есть таблица с упаковочными листами,
//		Элемент - ПолеФормы - поле, в котором происходит выбор,
//		СтандартнаяОбработка - Булево - признак выполнения стандартной обработки,
//		РежимПросмотраПоТоварам - Булево - признак текущего режима просмотра
//			таблицы с упаковочными листами (по товарам или товарным местам).
//
Процедура НачалоВыбораТоварногоМеста(Форма, Элемент, СтандартнаяОбработка, РежимПросмотраПоТоварам = Ложь) Экспорт
```

Пример вызова
```bsl
УпаковочныеЛистыКлиент.НачалоВыбораТоварногоМеста(Форма, Элемент, СтандартнаяОбработка, РежимПросмотраПоТоварам);
```
</details>

## РазбитьСтрокуТЧСУпаковочнымиЛистами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разбить строку ТЧ с упаковочными листами.
//  Обработчик команды "Разбить строку" для строки, в которой может быть указан упаковочный лист.
// Параметры:
//	ТЧ - ДанныеФормыКоллекция - табличная часть с обрабатываемой строкой.
//	ДанныеФормы - ТаблицаФормы - элемент формы с обрабатываемой строкой.
//	ОповещениеПослеРазбиения - ОписаниеОповещения - оповещение, вызываемое после попытки разбиения.
//	ПараметрыРазбиенияСтроки - см. РаботаСТабличнымиЧастямиКлиент.ПараметрыРазбиенияСтроки.
Процедура РазбитьСтрокуТЧСУпаковочнымиЛистами(ТЧ, ДанныеФормы, ОповещениеПослеРазбиения, ПараметрыРазбиенияСтроки = Неопределено) Экспорт
```

Пример вызова
```bsl
УпаковочныеЛистыКлиент.РазбитьСтрокуТЧСУпаковочнымиЛистами(ТЧ, ДанныеФормы, ОповещениеПослеРазбиения, ПараметрыРазбиенияСтроки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
