---
title: Управление внеоборотными активами переопределяемый
slug: erp-uh/управление-внеоборотными-активами-переопределяемый
---


## ТипДанныхОсновныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// ПРОГРАММНЫЙ ИНТЕРФЕЙС

// Возвращает тип ссылка на справочник для хранения основных средст
//
// Возвращаемое значение:
// 		Тип - Тип ссылки на справочник ОС
//
Функция ТипДанныхОсновныхСредств() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ТипДанныхОсновныхСредств() 
```
</details>

## ПустаяТаблицаАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// РАСПРЕДЕЛЕНИЕ АМОРТИЗАЦИИ ПО НАПРАВЛЕНИЯМ ЗАТРАТ

Функция ПустаяТаблицаАмортизации() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ПустаяТаблицаАмортизации() 
```
</details>

## ПолучитьДатуПереходаКЛинейномуМетоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// АМОРТИЗАЦИЯ НЕМАТЕРИАЛЬНЫХ АКТИВОВ

Функция ПолучитьДатуПереходаКЛинейномуМетоду(ДатаРасчета, Организация) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ПолучитьДатуПереходаКЛинейномуМетоду(ДатаРасчета, Организация) 
```
</details>

## ПолучитьНормуПоАмортизационнойГруппе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНормуПоАмортизационнойГруппе(АмортизационнаяГруппа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ПолучитьНормуПоАмортизационнойГруппе(АмортизационнаяГруппа) 
```
</details>

## ПолучитьПустуюТаблицуЗначенийСКолонками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// ПРОЧИЕ

// Возвращает пустую таблицу значений с заранее созданными колонками
// Нужно для создания пустых таблиц значения для дальнейшей
//   обработки в функциях "ПодготовитьПараметры*"
//
Функция ПолучитьПустуюТаблицуЗначенийСКолонками(СтруктураКолонок) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ПолучитьПустуюТаблицуЗначенийСКолонками(СтруктураКолонок) 
```
</details>

## ПроверитьКолонкиТаблицыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список обязательных колонок (через запятую), отсутствующих в таблице значений
//
//Параметры:
//	Таблица 			- <ТаблицаЗначений> - проверяемая таблица
//	ОбязательныеКолонки - <Строка> - имена колонок, которые обязательно должны присутствовать в таблице
//
//Возвращаемое значение:
//	<Строка> - имена отсутствующих в таблице колонок через запятую
Функция ПроверитьКолонкиТаблицыЗначений(Таблица, ОбязательныеКолонки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ПроверитьКолонкиТаблицыЗначений(Таблица, ОбязательныеКолонки));
```
</details>

## КоэффициентРаспределенияВыручкиПоВидамДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет коэффициент распределения выручки по видам деятельности
// (ЕНВД / не ЕНВД) за период.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация.
//  НачДата     - Дата - Начало периода расчета.
//	КонДата     - Дата - Окончание периода расчета.
//
// Возвращаемое значение:
//  Число - Коэффициент распределения расходов по видам деятельности.
//
Функция КоэффициентРаспределенияВыручкиПоВидамДеятельности(Организация, Знач НачДата, Знач КонДата) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.КоэффициентРаспределенияВыручкиПоВидамДеятельности(Организация, НачДата, КонДата) 
```
</details>

## ОписаниеПутиВИнтерфейсеКРегистрацииТранспортныхСредств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает строку с описание для пользователя ссылки в интерфейсе,
// где расположен регистр сведений "Регистрация транспортных средств".
//
// Возвращаемое значение:
//	 Строка.
//
Функция ОписаниеПутиВИнтерфейсеКРегистрацииТранспортныхСредств() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ОписаниеПутиВИнтерфейсеКРегистрацииТранспортныхСредств() 
```
</details>

## ОписаниеПутиВИнтерфейсеКРегистрацииЗемельныхУчастков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает строку с описание для пользователя ссылки в интерфейсе,
// где расположен регистр сведений "Параметры начисления земельного налога".
//
// Возвращаемое значение:
//	 Строка.
//
Функция ОписаниеПутиВИнтерфейсеКРегистрацииЗемельныхУчастков() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ОписаниеПутиВИнтерфейсеКРегистрацииЗемельныхУчастков() 
```
</details>

## ПараметрыПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С ДВИЖЕНИЯМИ ДОКУМЕНТОВ

Функция ПараметрыПроведения(ИсходнаяТаблица, СписокКолонок) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ПараметрыПроведения(ИсходнаяТаблица, СписокКолонок) 
```
</details>

## ВыполнитьДвижениеПоРегистру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет движение по регистру.
//
// Параметры:
//  НаборДвижений   - набор движений регистра.
//
Процедура ВыполнитьДвижениеПоРегистру(НаборДвижений, ВидДвижения = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеВнеоборотнымиАктивамиПереопределяемый.ВыполнитьДвижениеПоРегистру(НаборДвижений, ВидДвижения);
```
</details>

## ЗаполнитьПоОснованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для заполнения общих реквизитов документов по документу основанию,
//	вызывается в обработчиках событий "ОбработкаЗаполнения" в модулях документов.
//
// Параметры:
//  ДокументОбъект  - объект редактируемого документа,
//  ДокументОснование - объект документа основания
//  КопироватьПодразделение - булево - если да - подразделение организации берется из документа-основания,
//										если нет - из реквизита СчетОрганизации или настройки пользователя
//
Процедура ЗаполнитьПоОснованию(ДокументОбъект, ДокументОснование, КопироватьПодразделение = Истина) Экспорт
```

Пример вызова
```bsl
УправлениеВнеоборотнымиАктивамиПереопределяемый.ЗаполнитьПоОснованию(ДокументОбъект, ДокументОснование, КопироватьПодразделение);
```
</details>

## ПолучитьПредставлениеДокументаФизЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С ФИЗЛИЦАМИ

// Получение представления для документа, удостоверяющего личность
//
// Параметры:
//  ДанныеФизЛица  - Коллекция данных физ. лица (структура, строка таблицы, ...), содержащая значения:
//                   ВидДокумента, ДокументСерия, Номер, ДатаВыдачи, КемВыдан.
//
// Возвращаемое значение:
//   Строка   - Представление документа, удостоверяющего личность.
//
Функция ПолучитьПредставлениеДокументаФизЛица(ДанныеФизЛица) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ПолучитьПредставлениеДокументаФизЛица(ДанныеФизЛица));
```
</details>

## ДанныеФизЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает совокупность данных о физическом лице в виде структуры,
// В совокупность данных входит ФИО, должность в заданной организации,
// паспортные данные и др.
//
// Параметры:
//  Организация  - СправочникСсылка.Организации - организация, по которой
//                 определяется должность и подразделение работника
//  ФизЛицо      - СправочникСсылка.ФизическиеЛица - физическое лицо,
//                 по которому возвращается совокупность данных
//  ДатаСреза    - Дата - дата, на которую считываются данные
//  ФИОКратко    - Булево - если Истина (по умолчанию), Представление физ.лица включает фамилию и инициалы, если Ложь - фамилию и полностью имя и отчество
//
// Возвращаемое значение:
//  Структура    - Структура с совокупностью данных о физическом лице:
//                 - Фамилия
//                 - Имя
//                 - Отчество
//                 - Представление (Фамилия И.О.)
//                 - Подразделение
//                 - ВидДокумента
//                 - Серия
//                 - Номер
//                 - ДатаВыдачи
//                 - КемВыдан
//                 - КодПодразделения
//
Функция ДанныеФизЛица(Организация, ФизЛицо, ДатаСреза, ФИОКратко = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ДанныеФизЛица(Организация, ФизЛицо, ДатаСреза, ФИОКратко);
```
</details>

## ДанныеФизЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает совокупность данных о физических лицах в виде таблицы
// значений. В совокупность данных входит ФИО, должность в заданной
// организации, паспортные данные и др.
//
// Параметры:
//  Организация  - СправочникСсылка.Организации - организация, по которой
//                 определяется должность и подразделение работника(ов)
//  ФизЛицо      - СправочникСсылка.ФизическиеЛица или Массив - физическое лицо
//                 или список физ. лиц, по которым возвращается совокупность
//                 данных
//  ДатаСреза    - Дата - дата, на которую считываются данные
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица с совокупностью данных о физическом лице.
//                  Колонки: возвращаемой таблицы:
//                  - Фамилия
//                  - Имя
//                  - Отчество
//                  - Представление (Фамилия И.О.)
//                  - Подразделение
//                  - ВидДокумента
//                  - Серия
//                  - Номер
//                  - ДатаВыдачи
//                  - КемВыдан
//                  - КодПодразделения
//
Функция ДанныеФизЛиц(Организация, ФизЛицо, ДатаСреза) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеВнеоборотнымиАктивамиПереопределяемый.ДанныеФизЛиц(Организация, ФизЛицо, ДатаСреза) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
