---
title: Управление данными об изделиях
slug: erp-uh/управление-данными-об-изделиях
---


## СпецификацииИзделия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает спецификации изделия
//
// Параметры:
//  ДанныеОбИзделии             - см. УправлениеДаннымиОбИзделияхКлиентСервер.СтруктураДанныхОбИзделииДляВыбораСпецификации
//  ПараметрыВыбораСпецификаций - см. УправлениеДаннымиОбИзделияхКлиентСервер.ПараметрыВыбораСпецификаций
//
// Возвращаемое значение:
//  Массив - содержит данные спецификаций изделия.
//
Функция СпецификацииИзделия(ДанныеОбИзделии, ПараметрыВыбораСпецификаций) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.СпецификацииИзделия(ДанныеОбИзделии, ПараметрыВыбораСпецификаций) 
```
</details>

## СпецификацииИзделий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает спецификации изделий
//
// Параметры:
//  ДанныеОбИзделиях            - см. УправлениеДаннымиОбИзделияхКлиентСервер.СтруктураДанныхОбИзделииДляВыбораСпецификации
//  ПараметрыВыбораСпецификаций - см. УправлениеДаннымиОбИзделияхКлиентСервер.ПараметрыВыбораСпецификаций
//
// Возвращаемое значение:
//  Массив - содержит данные спецификаций изделия.
//
Функция СпецификацииИзделий(ДанныеОбИзделиях, ПараметрыВыбораСпецификаций) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.СпецификацииИзделий(ДанныеОбИзделиях, ПараметрыВыбораСпецификаций) 
```
</details>

## ЗаполнитьСпецификациюВСтроках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет спецификацию в строках
//
// Параметры:
//  МассивСтрок					 - ДанныеФормыСтруктура, СтрокаТабличнойЧасти - строки в которых нужно заполнить спецификацию
//  ДанныеОбИзделиях			 - см. УправлениеДаннымиОбИзделияхКлиентСервер.СтруктураДанныхОбИзделииДляВыбораСпецификации
//  ПараметрыВыбораСпецификаций	 - см. УправлениеДаннымиОбИзделияхКлиентСервер.ПараметрыВыбораСпецификаций
//  ИмяПоляСпецификация			 - Строка									 - Имя поля спецификация
//  ТолькоНезаполненные			 - Булево									 - Истина, если нужно заполнить спецификацию только если она не указана.
//
Процедура ЗаполнитьСпецификациюВСтроках(МассивСтрок, ДанныеОбИзделиях, ПараметрыВыбораСпецификаций, ИмяПоляСпецификация = "Спецификация", ТолькоНезаполненные = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.ЗаполнитьСпецификациюВСтроках(МассивСтрок, ДанныеОбИзделиях, ПараметрыВыбораСпецификаций, ИмяПоляСпецификация, ТолькоНезаполненные);
```
</details>

## ПроверитьСпецификацииПолуфабрикатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения полуфабрикатов производимых в процессе
//
// Параметры:
// 		КоллекцияДанных - ТабличнаяЧасть - Таблица, в которой необходимо заполнить реквизиты, содержит:
// 			* НомерСтроки - Число - номер строки таблицы
// 		ПараметрыПроверки - Структура - Параметры проверок, которые требуется выполнить, содержит:
// 			* ПараметрыПроверкиВнутреннихПолуфабрикатов - Структура - структура параметров проверки внутренних пф, содержит:
// 				** ТаблицаПолуфабрикатов - ТаблицаЗначений - таблица полуфабрикатов для проверки
// 		Отказ - Булево - признак наличия ошибок заполнения
// 		Объект - СправочникОбъект.РесурсныеСпецификации - объект, связанный с проверкой.
//
Процедура ПроверитьСпецификацииПолуфабрикатов(КоллекцияДанных, ПараметрыПроверки, Отказ, Объект = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.ПроверитьСпецификацииПолуфабрикатов(КоллекцияДанных, ПараметрыПроверки, Отказ, Объект);
```
</details>

## ПараметрыВыбораСпецификаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры выбора спецификаций для номенклатуры.
//
// Параметры:
//  Объект			 - СправочникОбъект, ДокументОбъект, ДанныеФормыСтруктура	 - объект, для которого нужно сформировать параметры.
//  МенеджерОбъекта	 - СправочникМенеджер, ДокументМенеджер						 - менеджер объекта, для которого нужно сформировать параметры.
//
// Возвращаемое значение:
//  Структура - параметры выбора спецификаций.
//
Функция ПараметрыВыбораСпецификаций(Объект, МенеджерОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ПараметрыВыбораСпецификаций(Объект, МенеджерОбъекта) 
```
</details>

## ИсточникДоступныхСпецификацийКонструктор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание источника доступных спецификаций
//
// Возвращаемое значение:
//  Структура - поля описания источника
//
Функция ИсточникДоступныхСпецификацийКонструктор() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ИсточникДоступныхСпецификацийКонструктор() 
```
</details>

## ПараметрыТекстаЗапросаСпецификацийИзделий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры формирования текста запроса спецификаций изделий
//
// Возвращаемое значение:
//  Структура - параметры текста запроса
//
Функция ПараметрыТекстаЗапросаСпецификацийИзделий() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ПараметрыТекстаЗапросаСпецификацийИзделий() 
```
</details>

## ТекстЗапросаСпецификацийИзделий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса спецификаций изделий
//
// Параметры:
//  ПараметрыЗапроса            - см. УправлениеДаннымиОбИзделиях.ПараметрыТекстаЗапросаСпецификацийИзделий
//  ПараметрыВыбораСпецификаций - см. УправлениеДаннымиОбИзделияхКлиентСервер.ПараметрыВыбораСпецификаций
//
// Возвращаемое значение:
//  Строка - текст запроса для выбора спецификаций изделий
//
Функция ТекстЗапросаСпецификацийИзделий(ПараметрыЗапроса, ПараметрыВыбораСпецификаций) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ТекстЗапросаСпецификацийИзделий(ПараметрыЗапроса, ПараметрыВыбораСпецификаций) 
```
</details>

## УстановитьПараметрыЗапросаСпецификацийИзделий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметры запроса, сформированного функцией ТекстЗапросаСпецификацийИзделий()
//
// Параметры:
//  Запрос          - Запрос    - Запрос выбора спецификаций
//  ПараметрыВыбора - см. УправлениеДаннымиОбИзделияхКлиентСервер.ПараметрыВыбораСпецификаций
//
Процедура УстановитьПараметрыЗапросаСпецификацийИзделий(Запрос, ПараметрыВыбора) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.УстановитьПараметрыЗапросаСпецификацийИзделий(Запрос, ПараметрыВыбора) 
```
</details>

## ТекстУсловияОтбораПоУпаковкеПриВыбореСпецификаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстУсловияОтбораПоУпаковкеПриВыбореСпецификаций(ТекстПоляНоменклатура, ТекстПоляНоменклатураСпецификации, ТекстПоляУпаковкаСпецификации) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ТекстУсловияОтбораПоУпаковкеПриВыбореСпецификаций(ТекстПоляНоменклатура, ТекстПоляНоменклатураСпецификации, ТекстПоляУпаковкаСпецификации) 
```
</details>

## ПроверитьСоответствиеРеквизитовПодразделению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствуют ли значения реквизитов выбранному подразделению
//  Если не соответствуют то значения очищаются.
//
// Параметры:
//  Объект - ДанныеФормыСтруктура	- Объект содержащий данные этапа.
//  СписокРеквизитов - Строка		 - Список реквизитов к проверке.
//
Процедура ПроверитьСоответствиеРеквизитовПодразделению(Объект, СписокРеквизитов = "") Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.ПроверитьСоответствиеРеквизитовПодразделению(Объект, СписокРеквизитов);
```
</details>

## ЗаполнитьЕдиницуИзмеренияИДлительностьЭтапаББВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Заполняет плановую длительность и единицу измерения длительности этапа ББВ.
//
// Параметры:
//  Объект - ДокументОбъект.ЭтапПроизводства2_2, СправочникОбъект.ЭтапыПроизводства, Структура - объект, содержащий реквизиты этапа.
//  ВидыРабочихЦентров - ТаблицаЗначений, Массив - таблица с данными видов рабочих центров этапа, либо массив строк.
//	ФормулыРассчитаны - Булево - Истина если в ТЧ видов рабочих центров выполнен расчет времени работы по формулам.
//
Процедура ЗаполнитьЕдиницуИзмеренияИДлительностьЭтапаББВ(Объект, ВидыРабочихЦентров, ФормулыРассчитаны) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.ЗаполнитьЕдиницуИзмеренияИДлительностьЭтапаББВ(Объект, ВидыРабочихЦентров, ФормулыРассчитаны) 
```
</details>

## ДоступноОписаниеПартииВыпуска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность описания партии выпуска по спецификации
//
// Возвращаемое значение:
//  Булево - Истина, если описание партии выпуска по спецификации доступно
//
Функция ДоступноОписаниеПартииВыпуска() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ДоступноОписаниеПартииВыпуска() 
```
</details>

## ДоступноОписаниеТипаПроизводственногоПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность описания типа производственного процесса (сборка, разборка, ремонт).
//
// Возвращаемое значение:
//  Булево - Истина, если тип производственного процесса доступен.
//
Функция ДоступноОписаниеТипаПроизводственногоПроцесса() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ДоступноОписаниеТипаПроизводственногоПроцесса() 
```
</details>

## ДоступноОписаниеВероятностиПримененияМатериалов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность описания вероятности применения материалов.
//
// Возвращаемое значение:
//  Булево - Истина, если тип производственного процесса доступен.
//
Функция ДоступноОписаниеВероятностиПримененияМатериалов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ДоступноОписаниеВероятностиПримененияМатериалов() 
```
</details>

## ПостроитьДеревоСпецификаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Строит дерево спецификаций для изделия.
//
// Параметры:
//  Форма		 - ФормаКлиентскогоПриложения	 - управляемая форма, на которой расположено дерево спецификаций
//  Параметры	 - см. УправлениеДаннымиОбИзделияхКлиентСервер.ПараметрыДереваСпецификаций
//
Процедура ПостроитьДеревоСпецификаций(Форма, Параметры) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.ПостроитьДеревоСпецификаций(Форма, Параметры) 
```
</details>

## ПрочитатьДеревоСпецификаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дерево спецификаций, при динамическом считывании предварительно загружает все узлы дерева.
//
// Параметры:
//  Форма		 - ФормаКлиентскогоПриложения	 - управляемая форма, на которой расположено дерево спецификаций.
//
// Возвращаемое значение:
//  ДеревоЗначений - см. СтруктураДереваСпецификаций
Функция ПрочитатьДеревоСпецификаций(Форма) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ПрочитатьДеревоСпецификаций(Форма) 
```
</details>

## ДеревоСпецификацийПрочитатьЭлементы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает подчиненные элементы строки дерева спецификаций
//
// Параметры:
//  ТекущаяСтрока		 - Структура - данные текущей строки
//  АдресВХранилище		 - Строка	 - адрес дерева спецификаций во временном хранилище
//  ОбновитьДанныеСтроки - Булево	 - признак, принудительно обновляет данные в кеше.
//
// Возвращаемое значение:
//   - Массив - подчиненные элементы строки дерева спецификаций.
//
Функция ДеревоСпецификацийПрочитатьЭлементы(ТекущаяСтрока, АдресВХранилище, ОбновитьДанныеСтроки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ДеревоСпецификацийПрочитатьЭлементы(ТекущаяСтрока, АдресВХранилище, ОбновитьДанныеСтроки);
```
</details>

## ИзменитьСпецификациюВСтрокеДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет спецификацию в строке дерева спецификаций
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения  - управляемая форма, на которой расположено дерево спецификаций
//  Параметры - см. УправлениеДаннымиОбИзделияхКлиентСервер.ПараметрыДереваСпецификаций
//  ТекущиеДанные - см. УправлениеДаннымиОбИзделияхКлиентСервер.СтрокаДереваСпецификацийСтруктурой
//
Процедура ИзменитьСпецификациюВСтрокеДерева(Форма, Параметры, ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.ИзменитьСпецификациюВСтрокеДерева(Форма, Параметры, ТекущиеДанные) 
```
</details>

## ОбновитьРеквизитыСтрокиДереваВХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет реквизиты строки дерева
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения  - управляемая форма, на которой расположено дерево спецификаций
//  ТекущиеДанные - см. УправлениеДаннымиОбИзделияхКлиентСервер.СтрокаДереваСпецификацийСтруктурой
//
Процедура ОбновитьРеквизитыСтрокиДереваВХранилище(Форма, ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.ОбновитьРеквизитыСтрокиДереваВХранилище(Форма, ТекущиеДанные) 
```
</details>

## ЗаполнитьСтрокиДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рекурсивного добавления строк в дерево спецификации.
//
// Параметры:
//  Параметры					 - Структура - структура параметров
//  Дерево						 - ДеревоЗначений	 - заполняемое дерево значений
//  СтрокаДерева				 - СтрокаДереваЗначений	 - строка, в которую добавляются строки
//  ИспользованныеСпецификации	 - Массив				 - массив использованных спецификаций
//  КлючСвязи					 - УникальныйИдентификатор	 - ключ связи.
//
Процедура ЗаполнитьСтрокиДерева(Параметры, Дерево, СтрокаДерева, ИспользованныеСпецификации = Неопределено, КлючСвязи = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.ЗаполнитьСтрокиДерева(Параметры, Дерево, СтрокаДерева, ИспользованныеСпецификации, КлючСвязи);
```
</details>

## НастроитьУсловноеОформлениеДереваСпецификаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирования условного оформления дерева спецификаций.
//
// Параметры:
//  УсловноеОформление - УсловноеОформлениеКомпоновкиДанных - структура параметров.
//
Процедура НастроитьУсловноеОформлениеДереваСпецификаций(УсловноеОформление) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.НастроитьУсловноеОформлениеДереваСпецификаций(УсловноеОформление) 
```
</details>

## ТекущиеОстаткиПоСпискуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекущиеОстаткиПоСпискуНоменклатуры(ТаблицаМатериалов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ТекущиеОстаткиПоСпискуНоменклатуры(ТаблицаМатериалов));
```
</details>

## ДействующиеМаршрутныеКартыПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает маршрутные карты действующие для указанного подразделения на дату начала производства
// Маршрутная карта является действующей, если
//  - у нее статус Действует
//  - период ее действия включает начало производства.
//
// Параметры:
//  Подразделение		- СправочникСсылка.СтруктураПредприятия - подразделение за которым закреплено обеспечение изделием
//  НачалоПроизводства	- Дата - дата начала производства, на эту дату спецификация должна быть действующей
//  СтрокаПоиска		- Строка - строка, содержащаяся в наименовании.
//
// Возвращаемое значение:
//   СписокЗначений - свойства, которые можно использовать для автовыбора.
//
Функция ДействующиеМаршрутныеКартыПодразделения(Подразделение, НачалоПроизводства, СтрокаПоиска = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ДействующиеМаршрутныеКартыПодразделения(Подразделение, НачалоПроизводства, СтрокаПоиска);
```
</details>

## ПолучитьСвойстваДляАвтовыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает свойства, которые можно использовать для автовыбора
//
// Параметры:
//  ВидИзделий					- СправочникСсылка.ВидыНоменклатуры - набор свойств, которые можно использовать для изделий.
//  ТолькоСвойстваХарактеристик	- Булево - Истина, если нужно получить только свойства характеристик.
//
// Возвращаемое значение:
//   Массив - свойства, которые можно использовать для автовыбора.
//
Функция ПолучитьСвойстваДляАвтовыбора(ВидИзделий, ТолькоСвойстваХарактеристик = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ПолучитьСвойстваДляАвтовыбора(ВидИзделий, ТолькоСвойстваХарактеристик);
```
</details>

## ОписаниеФункцийАвтовыбораХарактеристики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив описаний функций автовыбора.
//
// Возвращаемое значение:
//  Массив - массив описаний функций автовыбора, см. СоздатьОписаниеФункцииАвтовыбора
//
// Пример:
//  см. ОписаниеФункцийАвтовыбораЗначенияСвойстваНоменклатуры
//
Функция ОписаниеФункцийАвтовыбораХарактеристики() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ОписаниеФункцийАвтовыбораХарактеристики() 
```
</details>

## ОписаниеФункцийАвтовыбораЗначенияСвойстваНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив описаний функций автовыбора.
//
// Возвращаемое значение:
//  Массив - массив описаний функций автовыбора, см. СоздатьОписаниеФункцииАвтовыбора
//
// Пример:
//  Для того чтобы дополнить список функций автовыбора свойства необходимо создать расширение конфигурации,
//  в созданное расширение добавить модуль УправлениеДаннымиОбИзделиях и реализовать следующий код:
//
//  &Вместо("ОписаниеФункцийАвтовыбораЗначенияСвойстваНоменклатуры")
//  Функция ОписаниеФункцийАвтовыбораЗначенияСвойстваНоменклатурыРасширенный() Экспорт
//
//    Результат = ПродолжитьВызов();
//
//    Описание = СоздатьОписаниеФункцииАвтовыбора("МояФункцияАвтовыбора",,НСтр("ru = 'Моя функция автовыбора'"));
//
//    Результат.Добавить(Описание);
//
//    Возврат Результат;
//
//  КонецФункции
//
Функция ОписаниеФункцийАвтовыбораЗначенияСвойстваНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ОписаниеФункцийАвтовыбораЗначенияСвойстваНоменклатуры() 
```
</details>

## ПостроитьДеревоОператоров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дерево операторов для конструктора формул
//
// Возвращаемое значение:
//  ДеревоЗначений - см. РаботаСФормулами.ПолучитьПустоеДеревоОператоров
Функция ПостроитьДеревоОператоров() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ПостроитьДеревоОператоров() 
```
</details>

## ПараметрыДляРасчетаПоФормулам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу параметров для расчета по формулам
//
// Параметры:
//  Описание - см. ОписаниеИсточниковДанныхОперандов
//  НаборДанных	 - Массив	 - набор алгоритмов расчета по формулам.
//
// Возвращаемое значение:
//  ТаблицаЗначений - параметры для расчета по формулам, содержащие:
//  	* ИмяПараметра - Строка - имя параметра
//  	* Ключ - Строка - ключ параметра
//  	* НомерСтроки - Число - номер строки
//  	* ИмяСвойства - Строка - имя свойства
//  	* ДанныеСтроки - Структура - данные строки, из:
//  		** НомерСтроки - Число - номер строки
//  	* Найден - Булево - признак что значение найдено
//  	* Значение - Число - значение параметра
//
Функция ПараметрыДляРасчетаПоФормулам(Описание, НаборДанных) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ПараметрыДляРасчетаПоФормулам(Описание, НаборДанных) 
```
</details>

## ДанныеДляРасчетаПоФормулам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения параметров для расчета по формулам
//
// Параметры:
//  Менеджер			 - СправочникиМенеджер	 - менеджер справочника
//  ПараметрыДляРасчета	 - см. ПараметрыДляРасчетаПоФормулам
//  ОписаниеИсточников	 - см. Справочники.РесурсныеСпецификации.ОписаниеИсточниковДанныхОперандов
//  ИсточникиДанных		 - Структура  - используется при получении данных источника в менеджере.
//
// Возвращаемое значение:
//  Структура - из:
//  	* Параметры - Структура - параметры
//  	* АвтоРасчет - Соответствие - строки для авторасчета
//
Функция ДанныеДляРасчетаПоФормулам(Менеджер, ПараметрыДляРасчета, ОписаниеИсточников, ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ДанныеДляРасчетаПоФормулам(Менеджер, ПараметрыДляРасчета, ОписаниеИсточников, ИсточникиДанных) 
```
</details>

## РассчитатьКоличествоПоФормуле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает количество в строке по формулам
//
// Параметры:
//  Строка			 - СтрокаТаблицыЗначений - текущая строка
//  ДанныеДляРасчета - см. ДанныеДляРасчетаПоФормулам
//  ИмяПоля			 - Строка				 - имя поля в строке.
//
// Возвращаемое значение:
//  Булево - количество рассчитано.
//
Функция РассчитатьКоличествоПоФормуле(Строка, ДанныеДляРасчета, ИмяПоля = "Количество") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.РассчитатьКоличествоПоФормуле(Строка, ДанныеДляРасчета, ИмяПоля);
```
</details>

## ПроверитьОчиститьАлгоритмРасчетаКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет алгоритм расчета количества, путем сравнения с набором доступных операндов.
//
// Параметры:
// Параметры:
//  Объект - СправочникОбъект.РесурсныеСпецификации, СправочникОбъект.МаршрутныеКарты - проверяемый объект
//  ОписаниеИсточников	 - см. Справочники.РесурсныеСпецификации.ОписаниеИсточниковДанныхОперандов
//  ПараметрыПроверки	 - Структура - структура проверки объекта:
//   * Состав             - Массив    - список проверяемых табличных частей (список структур, содержащих ключи <Имя>, <Представление>)
//   * ВыводитьСообщения  - Булево    - Истина, если нужно выводить сообщения об ошибках
//   * ОчищатьНеНайденные - Булево    - Истина, если нужно очищать формулы содержащие недоступные операнды
//  Отказ				 - Булево - выходной параметр, при ошибки устанавливается в значение Истина.
//
// Возвращаемое значение:
//  Соответствие - список ошибок (номера строк табличных частей содержащих ошибки).
//
Функция ПроверитьОчиститьАлгоритмРасчетаКоличества(Объект, ОписаниеИсточников, ПараметрыПроверки, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ПроверитьОчиститьАлгоритмРасчетаКоличества(Объект, ОписаниеИсточников, ПараметрыПроверки, Отказ);
```
</details>

## ПолучитьСвойстваНоменклатурыДляРасчетаПоФормулам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает свойства номенклатуры, которые можно использовать в конструкторе формул
//
// Параметры:
//  ВидыНоменклатуры	 - Массив - виды номенклатуры.
//
// Возвращаемое значение:
//  ТаблицаЗначений - набор свойств, которые можно использовать в конструкторе формул.
//
Функция ПолучитьСвойстваНоменклатурыДляРасчетаПоФормулам(ВидыНоменклатуры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ПолучитьСвойстваНоменклатурыДляРасчетаПоФормулам(ВидыНоменклатуры) 
```
</details>

## ПолучитьСвойстваИсточниковДляРасчетаПоФормулам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает свойства, которые можно использовать в конструкторе формул
//
// Параметры:
//  СписокНаборов - Массив - наборы доп. реквизитов и сведений.
//
// Возвращаемое значение:
//  ТаблицаЗначений - набор свойств, которые можно использовать в конструкторе формул.
//
Функция ПолучитьСвойстваИсточниковДляРасчетаПоФормулам(СписокНаборов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ПолучитьСвойстваИсточниковДляРасчетаПоФормулам(СписокНаборов) 
```
</details>

## ПолучитьСвойстваДляОтбораПоСвойствам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает свойства для использования в отборах
//
// Параметры:
//  ВидНоменклатуры - СправочникСсылка.ВидыНоменклатуры - вид номенклатуры
//  ИсточникиСвойств - Строка - список источников, для которых получаются свойства
//  ТолькоДействующие - Булево - определяет необхдимость включения в выборку только действующих свойств
//
// Возвращаемое значение:
//  ТаблицаЗначений - свойства для использования в отборах
//
Функция ПолучитьСвойстваДляОтбораПоСвойствам(ВидНоменклатуры, ИсточникиСвойств = "", ТолькоДействующие = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.ПолучитьСвойстваДляОтбораПоСвойствам(ВидНоменклатуры, ИсточникиСвойств, ТолькоДействующие);
```
</details>

## УстановитьУсловноеОформлениеАвтовыбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление формы спецификации и маршрутной карты,
//  связанные с автовыбором номенклатуры.
//
// Параметры:
//  Форма      - ФормаКлиентскогоПриложения - форма спецификации или маршрутной карты.
//  ИмяОбъекта - Строка           - имя объекта формы
//  ИмяТаблицы - Строка           - имя элемента формы
//
Процедура УстановитьУсловноеОформлениеАвтовыбораНоменклатуры(Форма, ИмяОбъекта, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.УстановитьУсловноеОформлениеАвтовыбораНоменклатуры(Форма, ИмяОбъекта, ИмяТаблицы) 
```
</details>

## УстановитьУсловноеОформлениеОтбораПоСвойствамИРасчетаПоФормулам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление формы спецификации и маршрутной карты,
//  связанные настройкой использования и расчетом количества.
//
// Параметры:
//  Форма      - ФормаКлиентскогоПриложения - форма спецификации или маршрутной карты
//  ИмяОбъекта - Строка                     - имя объекта формы
//  ИмяТаблицы - Строка                     - имя таблицы формы
//  ИмяКолонки - Строка	                    - имя колонки <Количество>.
//
Процедура УстановитьУсловноеОформлениеОтбораПоСвойствамИРасчетаПоФормулам(Форма, ИмяОбъекта, ИмяТаблицы, ИмяКолонки) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.УстановитьУсловноеОформлениеОтбораПоСвойствамИРасчетаПоФормулам(Форма, ИмяОбъекта, ИмяТаблицы, ИмяКолонки) 
```
</details>

## ЗаполнитьСлужебныеРеквизитыАвтовыбораИРасчетаКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизиты табличной части, связанные с настройками автовыбора и расчета количества.
//
// Параметры:
//  ТабличнаяЧасть		 - ТабличнаяЧасть	 - табличная часть, для которой нужно заполнить служебные реквизиты
//  ЕстьАвтовыбор		 - Булево			 - признак, используется автовыбор
//  ЕстьРасчетПоФормуле	 - Булево			 - признак, используется расчет количества по формуле.
//  ОтборПоСвойствам     - ТаблицаЗначений - таблица, содержащая настройки отбора по свойствам
//
Процедура ЗаполнитьСлужебныеРеквизитыАвтовыбораИРасчетаКоличества(ТабличнаяЧасть, ЕстьАвтовыбор, ЕстьРасчетПоФормуле, ОтборПоСвойствам) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделиях.ЗаполнитьСлужебныеРеквизитыАвтовыбораИРасчетаКоличества(ТабличнаяЧасть, ЕстьАвтовыбор, ЕстьРасчетПоФормуле, ОтборПоСвойствам) 
```
</details>

## СоответствиеЭлементовТабличныхЧастейСПараметризацией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоответствиеЭлементовТабличныхЧастейСПараметризацией(ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделиях.СоответствиеЭлементовТабличныхЧастейСПараметризацией(ИмяТаблицы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
