---
title: Управление данными об изделиях вызов сервера
slug: erp-uh/управление-данными-об-изделиях-вызов-сервера
---


## СпецификацияИзделия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает спецификацию изделия
//
// Параметры:
//  ДанныеОбИзделии             - см. УправлениеДаннымиОбИзделияхКлиентСервер.СтруктураДанныхОбИзделииДляВыбораСпецификации
//  ПараметрыВыбораСпецификаций - см. УправлениеДаннымиОбИзделияхКлиентСервер.ПараметрыВыбораСпецификаций
//
// Возвращаемое значение:
//  Структура, Неопределено - содержит данные спецификации изделия.
//
Функция СпецификацияИзделия(ДанныеОбИзделии, ПараметрыВыбораСпецификаций) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхВызовСервера.СпецификацияИзделия(ДанныеОбИзделии, ПараметрыВыбораСпецификаций) 
```
</details>

## КопироватьРесурснуюСпецификацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Копирует спецификацию и этапы
//
// Параметры:
//  Источник	- СправочникСсылка.РесурсныеСпецификации - спецификация, которую нужно скопировать.
//
// Возвращаемое значение:
//   СправочникСсылка.РесурсныеСпецификации   - копия спецификации.
//
Функция КопироватьРесурснуюСпецификацию(Источник) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхВызовСервера.КопироватьРесурснуюСпецификацию(Источник) 
```
</details>

## МаршрутнуюКартуМожноНазначитьОсновной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что маршрутную карту можно назначить основной
//
// Параметры:
//  Ссылка			- СправочникСсылка.МаршрутныеКарты - ссылка на маршрутную карту
//  СтруктураОшибки	- Структура - содержит результат проверки:
//								1. ТекстОшибки: причина по которой маршрутная карта не может быть основной.
//
// Возвращаемое значение:
//   Булево   - Истина, если можно назначить основной.
//
Функция МаршрутнуюКартуМожноНазначитьОсновной(Ссылка, СтруктураОшибки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхВызовСервера.МаршрутнуюКартуМожноНазначитьОсновной(Ссылка, СтруктураОшибки) 
```
</details>

## НазначитьОсновнойМаршрутнойКартой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Назначает маршрутную карту основной для указанного изделия и подразделения
//
// Параметры:
//  СвойстваЗаписи 		- Структура - содержит значения свойств записи
//  НавигационнаяСсылка - Строка - навигационная ссылка на измененную запись.
//  СтруктураОшибки	- Структура - содержит результат проверки
//
// Возвращаемое значение:
//   Булево   - Истина, если маршрутная карта назначена основной.
//
Функция НазначитьОсновнойМаршрутнойКартой(СвойстваЗаписи, НавигационнаяСсылка = Неопределено, СтруктураОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхВызовСервера.НазначитьОсновнойМаршрутнойКартой(СвойстваЗаписи, НавигационнаяСсылка, СтруктураОшибки);
```
</details>

## ЗначенияРеквизитовМаршрутнойКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значения реквизитов маршрутной карты
//
// Параметры:
// 	МаршрутнаяКарта - СправочникСсылка.МаршрутныеКарты
// Возвращаемое значение:
// 	Структура - см. СтруктураРеквизитовМаршрутнойКарты
Функция ЗначенияРеквизитовМаршрутнойКарты(МаршрутнаяКарта) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхВызовСервера.ЗначенияРеквизитовМаршрутнойКарты(МаршрутнаяКарта) 
```
</details>

## ДеревоСпецификацийПрочитатьЭлементы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает подчиненные элементы строки дерева спецификаций
//
// Параметры:
//  Идентификатор	 - УникальныйИдентификатор	 - идентификатор строки
//  АдресВХранилище	 - Строка					 - адрес дерева спецификаций во временном хранилище.
//
// Возвращаемое значение:
//   - Массив - подчиненные элементы строки дерева спецификаций.
//
Функция ДеревоСпецификацийПрочитатьЭлементы(Идентификатор, АдресВХранилище) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхВызовСервера.ДеревоСпецификацийПрочитатьЭлементы(Идентификатор, АдресВХранилище) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
