---
title: Управление данными об изделиях клиент
slug: erp-uh/управление-данными-об-изделиях-клиент
---


## ОткрытьФормуВыбораСпецификацийПоНоменклатуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора спецификаций по номенклатуре
//
// Параметры:
//  ДанныеОбИзделии				 - см. УправлениеДаннымиОбИзделияхКлиентСервер.СтруктураДанныхОбИзделииДляВыбораСпецификации
//  ПараметрыВыбораСпецификаций	 - см. УправлениеДаннымиОбИзделияхКлиентСервер.ПараметрыВыбораСпецификаций
//  Владелец					 - ФормаКлиентскогоПриложения		- владелец формы.
//
Процедура ОткрытьФормуВыбораСпецификацийПоНоменклатуре(ДанныеОбИзделии, ПараметрыВыбораСпецификаций = Неопределено, Владелец = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.ОткрытьФормуВыбораСпецификацийПоНоменклатуре(ДанныеОбИзделии, ПараметрыВыбораСпецификаций, Владелец);
```
</details>

## ОткрытьФормуВыбораСпецификацийПоСпискуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора спецификаций по списку номенклатуры
//
// Параметры:
//  ДанныеОбИзделиях			 - см. УправлениеДаннымиОбИзделияхКлиентСервер.СтруктураДанныхОбИзделииДляВыбораСпецификации
//  ПараметрыВыбораСпецификаций	 - см. УправлениеДаннымиОбИзделияхКлиентСервер.ПараметрыВыбораСпецификаций
//  Владелец					 - ФормаКлиентскогоПриложения	 - владелец формы.
//  ОписаниеОповещения			 - ОписаниеОповещения - описание оповещения.
//
Процедура ОткрытьФормуВыбораСпецификацийПоСпискуНоменклатуры(ДанныеОбИзделиях, ПараметрыВыбораСпецификаций = Неопределено, Владелец = Неопределено, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.ОткрытьФормуВыбораСпецификацийПоСпискуНоменклатуры(ДанныеОбИзделиях, ПараметрыВыбораСпецификаций, Владелец, ОписаниеОповещения);
```
</details>

## КопироватьРесурснуюСпецификацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Копирует спецификацию и производственный процесс
//
// Параметры:
//  Источник							- СправочникСсылка.РесурсныеСпецификации - спецификация, которую нужно скопировать
//  ОписаниеОбработкиПослеКопирования	- ОписаниеОповещения - содержит описание процедуры, которую нужно вызвать после копирования.
//
Процедура КопироватьРесурснуюСпецификацию(Источник, ОписаниеОбработкиПослеКопирования = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.КопироватьРесурснуюСпецификацию(Источник, ОписаниеОбработкиПослеКопирования);
```
</details>

## УстановитьСтатусСпецификаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает новый статус для спецификаций
//
// Параметры:
//	НовыйСтатус				- ПеречислениеСсылка.СтатусыСпецификаций - новый статус
//	ПредставлениеСтатуса	- Строка - представление нового статуса
//  МассивСпецификаций		- Массив - список спецификаций.
//
Процедура УстановитьСтатусСпецификаций(НовыйСтатус, ПредставлениеСтатуса, МассивСпецификаций) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.УстановитьСтатусСпецификаций(НовыйСтатус, ПредставлениеСтатуса, МассивСпецификаций) 
```
</details>

## СоздатьСпецификациюНаОснованииСпецификацииЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Устарело_Производство21

//++ НЕ УТКА

// Открывает форму для ввода параметров новой спецификации
//
// Параметры:
//	ТекущиеДанные		- ДанныеФормыСтруктура - содержит данные о продукции:
//  						* Номенклатура		- СправочникСсылка.Номенклатура - производимое изделие
//  						* Характеристика	- СправочникСсылка.ХарактеристикиНоменклатуры - характеристика производимого изделия
//  						* Спецификация		- СправочникСсылка.РесурсныеСпецификации - основная спецификация
//  ОписаниеОповещения	- ОписаниеОповещения - обработчик завершения ввода параметров, расположенный в контексте данных спецификации заказа.
//
Процедура СоздатьСпецификациюНаОснованииСпецификацииЗаказа(ТекущиеДанные, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.СоздатьСпецификациюНаОснованииСпецификацииЗаказа(ТекущиеДанные, ОписаниеОповещения) 
```
</details>

## ОповеститьОЗаписиОсновнойМаршрутнойКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует оповещение о записи основной маршрутной карты.
// Используется для обновления данных в формах и для информирования пользователя о завершенной операции.
//
// Параметры:
//  СвойстваЗаписи - Структура, РегистрСведенийЗапись.ОсновныеМаршрутныеКарты - содержит значения свойств записи.
//  НавигационнаяСсылка - Строка - навигационная ссылка на измененную запись.
//
Процедура ОповеститьОЗаписиОсновнойМаршрутнойКарты(СвойстваЗаписи = Неопределено, НавигационнаяСсылка = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.ОповеститьОЗаписиОсновнойМаршрутнойКарты(СвойстваЗаписи, НавигационнаяСсылка);
```
</details>

## УстановитьСтатусМаршрутныхКарт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает новый статус для спецификаций
//
// Параметры:
//	НовыйСтатус				- ПеречислениеСсылка.СтатусыСпецификаций - новый статус
//	ПредставлениеСтатуса	- Строка - представление нового статуса
//  МассивОбъектов			- Массив - список маршрутных карт.
//
Процедура УстановитьСтатусМаршрутныхКарт(НовыйСтатус, ПредставлениеСтатуса, МассивОбъектов) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.УстановитьСтатусМаршрутныхКарт(НовыйСтатус, ПредставлениеСтатуса, МассивОбъектов) 
```
</details>

## НастроитьАвтовыборНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки автовыбора номенклатуры
//
// Параметры:
//  ФормаВладелец - ФормаКлиентскогоПриложения - форма из которой вызывается настройка автовыбора
//  ИмяТЧ - Строка - имя табличной части
//  СоответствиеСвойств	- ТабличнаяЧасть - содержит свойства по которым выполняется автовыбор характеристики
//  ВидИзделийИлиНоменклатура - СправочникСсылка.ВидыНоменклатуры - определяет список доступных свойств для выбора
//  НазваниеСвойстваУказываетсяВНСИ - Строка - заголовок значения перечисления УказываетсяВНСИ
//  ТолькоПросмотр - Булево - открыть форму только для просмотра.
//
Процедура НастроитьАвтовыборНоменклатуры( Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.НастроитьАвтовыборНоменклатуры();
```
</details>

## НастроитьОтборПоСвойствамИРасчетПоФормулам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настройки отбора по свойствам и алгоритма расчета количества
//
// Параметры:
//  ФормаВладелец - ФормаКлиентскогоПриложения - форма из которой вызывается настройка
//  ИмяТЧ - Строка - имя таблицы (МатериалыИУслуги, Трудозатраты, ВидыРабочихЦентров)
//  ОтборПоСвойствам - ТабличнаяЧасть - табличная часть с отборами по свойствам
//  ВидИзделийИлиНоменклатура  - СправочникСсылка.ВидыНоменклатуры - определяет список доступных свойств для выбора
//  ТолькоПросмотр - Булево - открыть форму только для просмотра
//  СоставНастроек  - Структура  - настройки открытия формы
//  АдресДополнительныхДанных  - Строка  -
//
Процедура НастроитьОтборПоСвойствамИРасчетПоФормулам( Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.НастроитьОтборПоСвойствамИРасчетПоФормулам();
```
</details>

## ОчиститьНастройкиАвтовыбораНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при удалении из табличной части
// - удаляет настройки автовыбора.
//
// Параметры:
//  ТаблицаФормы				- ТаблицаФормы - таблица формы на которой расположен список номенклатуры
//  ВыделенныеСтроки			- Массив - содержит массив идентификаторов выделенных строк
//  СоответствиеСвойств			- ДанныеФормыКоллекция - табличная часть "СоответствиеСвойств".
//
Процедура ОчиститьНастройкиАвтовыбораНоменклатуры(ТаблицаФормы, ВыделенныеСтроки, СоответствиеСвойств) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.ОчиститьНастройкиАвтовыбораНоменклатуры(ТаблицаФормы, ВыделенныеСтроки, СоответствиеСвойств) 
```
</details>

## ОчиститьНастройкиОтбораПоСвойствам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия при удалении из табличной части
// - удаляет настройки отбора по свойствам
//
// Параметры:
//  ТаблицаФормы				- ТаблицаФормы - таблица формы на которой расположен список номенклатуры
//  ВыделенныеСтроки			- Массив - содержит массив идентификаторов выделенных строк
//  ОтборПоСвойствам			- ДанныеФормыКоллекция - табличная часть "ОтборПоСвойствам"
//
Процедура ОчиститьНастройкиОтбораПоСвойствам(ТаблицаФормы, ВыделенныеСтроки, ОтборПоСвойствам) Экспорт
```

Пример вызова
```bsl
УправлениеДаннымиОбИзделияхКлиент.ОчиститьНастройкиОтбораПоСвойствам(ТаблицаФормы, ВыделенныеСтроки, ОтборПоСвойствам) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
