---
title: Управление данными об изделиях повт исп
slug: erp-uh/управление-данными-об-изделиях-повт-исп
---


## ОписаниеИсточниковДанныхОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание источников данных операндов по менеджеру.
//
// Параметры:
//  ИмяМенеджера - Строка	 - имя менеджер справочника.
//
// Возвращаемое значение:
//  Структура - см. Справочники.РесурсныеСпецификации.ОписаниеИсточниковДанныхОперандов
//
Функция ОписаниеИсточниковДанныхОперандов(ИмяМенеджера) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ОписаниеИсточниковДанныхОперандов(ИмяМенеджера) 
```
</details>

## ИсточникСоставаНаборовВПроизводстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Кэширует значение константы ИсточникСоставаНаборовВПроизводстве.
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ИсточникиСоставаНаборовВПроизводстве - Источник состава наборов в производстве
Функция ИсточникСоставаНаборовВПроизводстве() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ИсточникСоставаНаборовВПроизводстве() 
```
</details>

## ДоступноИспользованиеНаборовВПроизводстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет доступность использования наборов в производстве.
//
// Возвращаемое значение:
//  Булево - результат
Функция ДоступноИспользованиеНаборовВПроизводстве() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ДоступноИспользованиеНаборовВПроизводстве() 
```
</details>

## ДоступноХранениеСоставаНабораВСпецификациях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет доступность хранения состава набора в спецификациях.
//
// Возвращаемое значение:
//  Булево - результат
Функция ДоступноХранениеСоставаНабораВСпецификациях() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ДоступноХранениеСоставаНабораВСпецификациях() 
```
</details>

## ДоступноХранениеСоставаНабораВВариантахКомплектации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет доступность хранения состава набора в вариантах комплектации.
//
// Возвращаемое значение:
//  Булево - результат
Функция ДоступноХранениеСоставаНабораВВариантахКомплектации() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ДоступноХранениеСоставаНабораВВариантахКомплектации() 
```
</details>

## ВидПараметраНазначенияИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование вида параметра назначения спецификаций.
//
// Параметры:
//  ВидПараметра - ПеречислениеСсылка.ВидыПараметровНазначенияСпецификаций - вид параметра, использование которого необходимо определить
//  ПроверятьФункциональнуюОпцию - Булево - определяет необходимость проверки при выключенной функциональной опции
//
// Возвращаемое значение:
//   Булево - признак использования вида параметра назначения
//
Функция ВидПараметраНазначенияИспользуется(ВидПараметра, ПроверятьФункциональнуюОпцию = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ВидПараметраНазначенияИспользуется(ВидПараметра, ПроверятьФункциональнуюОпцию);
```
</details>

## ПараметрНазначенияИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет использование параметра назначения спецификаций.
//
// Параметры:
//  ВидПараметра - ПеречислениеСсылка.ВидыПараметровНазначенияСпецификаций - вид параметра
//  Реквизит - ПланВидовХарактеристикСсылка.ДополнительныеРеквизитыИСведения - реквизит параметра
//  ПроверятьФункциональнуюОпцию - Булево - определяет необходимость проверки при выключенной функциональной опции
//
// Возвращаемое значение:
//  Булево - Параметр назначения используется
Функция ПараметрНазначенияИспользуется(ВидПараметра, Реквизит, ПроверятьФункциональнуюОпцию = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ПараметрНазначенияИспользуется(ВидПараметра, Реквизит, ПроверятьФункциональнуюОпцию);
```
</details>

## СтруктураДанныхУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных упаковки.
//
// Параметры:
//  Числитель - Число - числитель
//  Знаменатель - Число - знаменатель
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура - Структура данных упаковки:
// * Числитель - Число - числитель
// * Знаменатель - Число - знаменатель
Функция СтруктураДанныхУпаковки(Числитель = 1, Знаменатель = 1) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.СтруктураДанныхУпаковки(Числитель, Знаменатель);
```
</details>

## ОписаниеФункцийКонструктораФормул
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание функций используемых в конструкторе формул.
//
// Возвращаемое значение:
//  см. УправлениеДаннымиОбИзделияхКлиентСервер.ОписаниеФункцийКонструктораФормул
//
Функция ОписаниеФункцийКонструктораФормул() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ОписаниеФункцийКонструктораФормул() 
```
</details>

## ОписаниеФункцийАвтовыбораХарактеристики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив описаний функций автовыбора.
//
// Возвращаемое значение:
//  см. УправлениеДаннымиОбИзделиях.ОписаниеФункцийАвтовыбораХарактеристики
//
Функция ОписаниеФункцийАвтовыбораХарактеристики() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ОписаниеФункцийАвтовыбораХарактеристики() 
```
</details>

## ОписаниеФункцийАвтовыбораЗначенияСвойстваНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив описаний функций автовыбора.
//
// Возвращаемое значение:
//  см. УправлениеДаннымиОбИзделиях.ОписаниеФункцийАвтовыбораЗначенияСвойстваНоменклатуры
//
Функция ОписаниеФункцийАвтовыбораЗначенияСвойстваНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ОписаниеФункцийАвтовыбораЗначенияСвойстваНоменклатуры() 
```
</details>

## ГруппыРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перечень групп реквизитов элемента загружаемых данных
// Параметры:
//  Исключаемые - Булево - включать реквизиты, недоступные для интерактивной настройки
//
// Возвращаемое значение:
//  Массив из Строка
Функция ГруппыРеквизитов(Исключаемые = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ГруппыРеквизитов(Исключаемые);
```
</details>

## ГруппыРеквизитовШапкиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перечень групп реквизитов шапки объекта
// Параметры:
//  Исключаемые - Булево - включать реквизиты, недоступные для интерактивной настройки
//
// Возвращаемое значение:
//  Массив из Строка
Функция ГруппыРеквизитовШапкиОбъекта(Исключаемые = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ГруппыРеквизитовШапкиОбъекта(Исключаемые);
```
</details>

## ВсеСсылочныеТипыКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив всех ссылочных типов, определенных в конфигурации.
//
// Возвращаемое значение:
// Массив из Тип
Функция ВсеСсылочныеТипыКонфигурации() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДаннымиОбИзделияхПовтИсп.ВсеСсылочныеТипыКонфигурации() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
