---
title: Управление денежными средствами УХ
slug: erp-uh/управление-денежными-средствами-ух
---


## ПолучитьИсполнениеЛимитовПоЗаявке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ КОНТРОЛЯ ОСТАТКОВ ДЕНЕЖНЫХ СРЕДСТВ

// Функция устарела, применяется для обратной совместимости с маршрутами из 1С: Консолидации
Функция ПолучитьИсполнениеЛимитовПоЗаявке(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.ПолучитьИсполнениеЛимитовПоЗаявке(Ссылка) 
```
</details>

## ПроверитьРезервированиеПередОплатой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьРезервированиеПередОплатой(ДокументПланирования) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.ПроверитьРезервированиеПередОплатой(ДокументПланирования) 
```
</details>

## БанковскийСчетКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает банковский счет контрагента по счету организации
//
// Параметры:
//  СчетОрганизации	 - 	СправочникСсылка.БанковскиеСчета - банковский счет организации
//
// Возвращаемое значение:
//  СправочникСсылка.БанковскиеСчета - банковский счет контрагента, соответствующий указанному счету организации.
//		Если счет не найден, возвращается пустая ссылка.
//
Функция БанковскийСчетКонтрагента(СчетОрганизации) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.БанковскийСчетКонтрагента(СчетОрганизации) 
```
</details>

## КонтрагентОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает контрагента, соответствующего искомой организации.
//
// Параметры:
//  Организация	 - 	СправочникСсылка.Организации - организация, для которой ищется соответствующий контрагент.
//
// Возвращаемое значение:
//  СправочникСсылка.Контрагенты - найденный контрагент. Если контрагент не обнаружен, возвращается пустая ссылка.
//
Функция КонтрагентОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.КонтрагентОрганизации(Организация) 
```
</details>

## СоздатьКопиюСчетаДляВладельца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаёт банковский счёт-копию для счёта СчетИсточникВход и устанавливает
// новому счёту владельцем элемент НовыйВладелецВход. Возвращает ссылку на созданный
// счёт.
Функция СоздатьКопиюСчетаДляВладельца(СчетИсточникВход, НовыйВладелецВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.СоздатьКопиюСчетаДляВладельца(СчетИсточникВход, НовыйВладелецВход) 
```
</details>

## СтруктураТаблицыКонтроляЛимитовВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураТаблицыКонтроляЛимитовВзаиморасчетов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.СтруктураТаблицыКонтроляЛимитовВзаиморасчетов() 
```
</details>

## СостояниеИсполненияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СостояниеИсполненияДокумента(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.СостояниеИсполненияДокумента(Ссылка) 
```
</details>

## УстановитьСостояниеИсполненияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьСостояниеИсполненияДокумента(Знач ДокументПланирования, Знач ИдентификаторПозиции, Знач Состояние, Знач Период = Неопределено, Знач Автор = Неопределено, Документ = неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.УстановитьСостояниеИсполненияДокумента(ДокументПланирования, ИдентификаторПозиции, Состояние, Период, Автор, Документ);
```
</details>

## УстановитьСостояниеИсполненияДокументаСписок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьСостояниеИсполненияДокументаСписок(Знач ТаблицаДокументовПланирования, Знач Состояние, Знач Период = Неопределено, Знач Автор = Неопределено, Документ = неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.УстановитьСостояниеИсполненияДокументаСписок(ТаблицаДокументовПланирования, Состояние, Период, Автор, Документ);
```
</details>

## УстановитьПредыдущееСостояниеИсполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьПредыдущееСостояниеИсполнения(Знач ДокументПланирования, Знач ИдентификаторПозиции, Знач ТекущееСостояние, Знач Период = Неопределено, Знач Автор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.УстановитьПредыдущееСостояниеИсполнения(ДокументПланирования, ИдентификаторПозиции, ТекущееСостояние, Период, Автор);
```
</details>

## ВидСобытияОповещенияПоСостоянию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидСобытияОповещенияПоСостоянию(Знач Состояние) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.ВидСобытияОповещенияПоСостоянию(Состояние));
```
</details>

## ПолучитьУникальныйИдентификаторПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет уникальный идентификатор платежа
Функция ПолучитьУникальныйИдентификаторПлатежа(Объект) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.ПолучитьУникальныйИдентификаторПлатежа(Объект) 
```
</details>

## ПолучитьПрефиксДляУИП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПрефиксДляУИП(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.ПолучитьПрефиксДляУИП(Ссылка) 
```
</details>

## ПолучитьУникальныйИдентификаторПлатежаСКонтрольнымРазрядом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьУникальныйИдентификаторПлатежаСКонтрольнымРазрядом(Код,Сдвиг = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.ПолучитьУникальныйИдентификаторПлатежаСКонтрольнымРазрядом(Код, Сдвиг);
```
</details>

## ПолучитьСохраненныеЛимиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция сохранена для поддержания совместимости с предыдущими версиями. Перенесена из ОМ.КонтрольЛимитовУХ
Функция ПолучитьСохраненныеЛимиты(Ссылка, Знач ВидБюджета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХ.ПолучитьСохраненныеЛимиты(Ссылка, ВидБюджета);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
