---
title: Управление денежными средствами УХ клиент сервер
slug: erp-uh/управление-денежными-средствами-ух-клиент-сервер
---


## РассчитатьСуммуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Рассчитывает сумму НДС исходя из суммы и флагов налогообложения
//
// Параметры:
//  Сумма            - число, сумма от которой надо рассчитывать налоги,
//  СуммаВключаетНДС - булево, признак включения НДС в сумму ("внутри" или "сверху"),
//  СтавкаНДС        - число , процентная ставка НДС,
//
// Возвращаемое значение:
//  Число, полученная сумма НДС
//
Функция РассчитатьСуммуНДС(Сумма, СуммаВключаетНДС, СтавкаНДС) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХКлиентСервер.РассчитатьСуммуНДС(Сумма, СуммаВключаетНДС, СтавкаНДС) 
```
</details>

## РеквизитыДокумента_ЗаявкаНаОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыДокумента_ЗаявкаНаОперацию() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХКлиентСервер.РеквизитыДокумента_ЗаявкаНаОперацию() 
```
</details>

## НовыеРеквизитыПлатежаВБюджет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыеРеквизитыПлатежаВБюджет(Объект, ПеречислениеВБюджет = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДенежнымиСредствамиУХКлиентСервер.НовыеРеквизитыПлатежаВБюджет(Объект, ПеречислениеВБюджет);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
