---
title: Управление доступом локализация
slug: erp-uh/управление-доступом-локализация
---


## ДополнитьПоставляемыеПрофилиГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УправлениеДоступомПереопределяемый.ПриЗаполненииПоставляемыхПрофилейГруппДоступа
//
Процедура ДополнитьПоставляемыеПрофилиГруппДоступа(ОписанияПрофилей, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомЛокализация.ДополнитьПоставляемыеПрофилиГруппДоступа(ОписанияПрофилей, ПараметрыОбновления) 
```
</details>

## ЗаполнитьПоставляемыеПрофилиГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив структур, которые будут использованы для начального заполнения и
// восстановления начального заполнения профилей.
//
// см. УправлениеДоступомПереопределяемый.ПриЗаполненииПоставляемыхПрофилейГруппДоступа
//
Процедура ЗаполнитьПоставляемыеПрофилиГруппДоступа(ОписанияПрофилей, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомЛокализация.ЗаполнитьПоставляемыеПрофилиГруппДоступа(ОписанияПрофилей, ПараметрыОбновления) 
```
</details>

## ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет состав видов доступа, используемых при ограничении прав объектов метаданных.
// Если состав видов доступа не заполнен, отчет "Права доступа" покажет некорректные сведения.
//
// Обязательно требуется заполнить только виды доступа, используемые в шаблонах ограничения доступа
// явно, а виды доступа, используемые в наборах значений доступа могут быть получены из текущего
// состояния регистра сведений НаборыЗначенийДоступа.
//
// Для автоматической подготовки содержимого процедуры следует воспользоваться инструментами
// разработчика для подсистемы Управление доступом.
//
// см. УправлениеДоступомПереопределяемый.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
//
Процедура ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомЛокализация.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) 
```
</details>

## ЗаполнитьИспользованиеВидаДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет использование видов доступа в зависимости от функциональных опций конфигурации,
// например, ИспользоватьГруппыДоступаНоменклатуры.
//
// см. УправлениеДоступомУТ.ПриЗаполненииИспользованияВидаДоступа
//
Процедура ЗаполнитьИспользованиеВидаДоступа(ВидДоступа, Использование) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомЛокализация.ЗаполнитьИспользованиеВидаДоступа(ВидДоступа, Использование) 
```
</details>

## ПриЗаполненииОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить ограничение, указанное в модуле менеджера объекта метаданных.
//
// Параметры:
//  Список - ОбъектМетаданных - список, для которого нужно вернуть текст ограничения.
//                              В процедуре ПриЗаполненииСписковСОграничениемДоступа нужно
//                              указать для списка значение Ложь, иначе вызова не будет.
//
//  Ограничение - Структура - со свойствами, как для процедур в модулях менеджеров. См. свойства
//                            в комментарии к процедуре ПриЗаполненииСписковСОграничениемДоступа.
//
Процедура ПриЗаполненииОграниченияДоступа(Список, Ограничение) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомЛокализация.ПриЗаполненииОграниченияДоступа(Список, Ограничение) 
```
</details>

## ЗаполнитьВидыДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УправлениеДоступомПереопределяемый.ПриЗаполненииВидовДоступа
//
Процедура ЗаполнитьВидыДоступа(ВидыДоступа) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомЛокализация.ЗаполнитьВидыДоступа(ВидыДоступа) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет указать списки, у которых объекты метаданных содержат описание логики ограничения
// доступа в модулях менеджеров или переопределяемом модуле.
//
// см. УправлениеДоступомПереопределяемый.ПриЗаполненииСписковСОграничениемДоступа
//
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомЛокализация.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
