---
title: Управление НСИ
slug: erp-uh/управление-нси
---


## ЭтоКонтролируемыйСправочник
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет, контролируется ли указанный справочник системой управления НСИ.
//
// Параметры:
//  СправочникМетаданные - ОбъектМетаданных: Справочник - Справочник, который необходимо проверить.
//
// Возвращаемое значение:
//  Булево - Истина, если справочник контролируется системой НСИ.
//
Функция ЭтоКонтролируемыйСправочник(СправочникМетаданные) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеНСИ.ЭтоКонтролируемыйСправочник(СправочникМетаданные) 
```
</details>

## ПолучитьДанныеОбъектаНСИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает данные объекта НСИ
//
// Параметры:
//  ИмяОбъекта	 - Строка - Имя объекта метаданных, для которого требуется получить параметры.
//
// Возвращаемое значение:
//  Структура, Неопределено - Структура параметров объекта НСИ, или Неопределено, если описание объекта не найдено.
//
Функция ПолучитьДанныеОбъектаНСИ(ИмяОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеНСИ.ПолучитьДанныеОбъектаНСИ(ИмяОбъекта) 
```
</details>

## УстановитьРеквизитыКонтроляНСИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьРеквизитыКонтроляНСИ(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеНСИ.УстановитьРеквизитыКонтроляНСИ(Объект, Отказ) 
```
</details>

## УстановитьОтметкуРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОтметкуРедактирования(Объект,ТекущийПользователь) Экспорт
```

Пример вызова
```bsl
УправлениеНСИ.УстановитьОтметкуРедактирования(Объект, ТекущийПользователь) 
```
</details>

## ПроверитьКонтролируемыеРеквизитыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьКонтролируемыеРеквизитыОбъекта(Объект,Знач ОписаниеОбъекта=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеНСИ.ПроверитьКонтролируемыеРеквизитыОбъекта(Объект, ОписаниеОбъекта);
```
</details>

## ОтметитьИзменениеКонтролируемогоЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтметитьИзменениеКонтролируемогоЭлемента(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеНСИ.ОтметитьИзменениеКонтролируемогоЭлемента(Объект, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
