---
title: Управление обязательствами УХ
slug: erp-uh/управление-обязательствами-ух
---


## ПолучитьРекомендованноеУсловиеОплатыКонрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает структуру, содержащую рекомендуемое условие оплаты, класс платежной дисциплины, значимость и
//допустимый уровень задолженности по контрагенту КонтрагентВход
Функция ПолучитьРекомендованноеУсловиеОплатыКонрагента(КонтрагентВход, РольКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.ПолучитьРекомендованноеУсловиеОплатыКонрагента(КонтрагентВход, РольКонтрагента) 
```
</details>

## ПолучитьСуммарныйАвансУсловияОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает суммарный процент аванса по условию оплаты УсловиеОплатыВход
Функция ПолучитьСуммарныйАвансУсловияОплаты(УсловиеОплатыВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.ПолучитьСуммарныйАвансУсловияОплаты(УсловиеОплатыВход) 
```
</details>

## ПривестиСрокКРабочимДням
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Выполняет преобразование срока с длиной ДлинаСрокаВход ИС типом
//ТипСрокаВход к рабочим дням
Функция ПривестиСрокКРабочимДням(ТипСрокаВход, ДлинаСрокаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.ПривестиСрокКРабочимДням(ТипСрокаВход, ДлинаСрокаВход));
```
</details>

## ПолучитьСуммарныйСрокОтсрочкиУсловияОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает суммарный срок отсрочки по условию оплаты УсловиеОплатыВход
Функция ПолучитьСуммарныйСрокОтсрочкиУсловияОплаты(УсловиеОплатыВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.ПолучитьСуммарныйСрокОтсрочкиУсловияОплаты(УсловиеОплатыВход) 
```
</details>

## СравнитьУсловияОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Функция сравнивает условия оплаты НовоеУсловиеОплатыВход с рекомендуемым РекомендуемоеУсловиеОплатыВход и возвращает
//текстовую строку результата сравнения
Функция СравнитьУсловияОплаты(НовоеУсловиеОплатыВход, РеквизитыРекомендуемогоУсловияОплаты, РольКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.СравнитьУсловияОплаты(НовоеУсловиеОплатыВход, РеквизитыРекомендуемогоУсловияОплаты, РольКонтрагента) 
```
</details>

## ПолучитьСтруктуруКлассаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает структуру, содержащую Класс платежной дисциплины и Значимость контрагента КонтрагентВход
Функция ПолучитьСтруктуруКлассаКонтрагента(КонтрагентВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.ПолучитьСтруктуруКлассаКонтрагента(КонтрагентВход) 
```
</details>

## ПолучитьТаблицуКонтрагентовПоСохраненномуЗапросу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает по справочнику сохраненных запросов СохраненныйЗапросВход и параметрам
//ДатаНачалаВход, ДатаОкончанияВход таблицу, содержащую контрагентов и классы (согласно
//алгоритму, описанному в СохраненныйЗапросВход)
Функция ПолучитьТаблицуКонтрагентовПоСохраненномуЗапросу(СохраненныйЗапросВход, ДатаНачалаВход, ДатаОкончанияВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.ПолучитьТаблицуКонтрагентовПоСохраненномуЗапросу(СохраненныйЗапросВход, ДатаНачалаВход, ДатаОкончанияВход) 
```
</details>

## ПолучитьСоответствиеКлассовКонтрагентам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие контрагентов из массива МассивКонтрагентовВход классам значимости и платежной
//дисциплины на дату ДатаАктуальности. Когда ДатаАктуальности не задана - возвращает на текущую дату
Функция ПолучитьСоответствиеКлассовКонтрагентам(МассивКонтрагентовВход, ДатаАктуальности = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.ПолучитьСоответствиеКлассовКонтрагентам(МассивКонтрагентовВход, ДатаАктуальности);
```
</details>

## ПолучитьРекомендуемыеУсловия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает рекомендуемые условия (сумма задолженности и условие оплаты)
// для заданных степеней риска и доходности
//
// Параметры:
//  РольКонтрагента 	 - 	ПеречислениеСсылка.РолиКонтрагентов - роль контрагента.
//  СтепеньРиска		 - 	СправочникСсылка.СтепениРиска - Степень риска.
//  СтепеньДоходности	 - 	СправочникСсылка.СтепениДоходности - Степень доходности.
//
// Возвращаемое значение:
//  Структура - Структура со следующими полями:
//	УсловиеОплаты - СправочникСсылка.УсловияОплаты - рекомендуемое условие оплаты.
//	ДопустимыйУровеньЗадолженности - Число - допустимый уровень задолженности.
//
Функция ПолучитьРекомендуемыеУсловия(СтепеньРиска, СтепеньДоходности, РольКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.ПолучитьРекомендуемыеУсловия(СтепеньРиска, СтепеньДоходности, РольКонтрагента) 
```
</details>

## ВидыФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидыФИ() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.ВидыФИ() 
```
</details>

## ПолучитьРольКонтрагентаПоВидуДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРольКонтрагентаПоВидуДоговора(ВидДоговора) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОбязательствамиУХ.ПолучитьРольКонтрагентаПоВидуДоговора(ВидДоговора) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
