---
title: Управление отчетами клиент УХ
slug: erp-uh/управление-отчетами-клиент-ух
---


## НаименованиеПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Пример: "ОсновныеСредства" => "Основные средства".
//
Функция НаименованиеПоКоду(Знач Код) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиКлиентУХ.НаименованиеПоКоду(Код) 
```
</details>

## СтрокаМожетИспользоватьсяВКачествеКода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того, что переданная в качестве параметра строка
// может быть использована в качестве кода объекта.
//
Функция СтрокаМожетИспользоватьсяВКачествеКода(Знач Стр) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиКлиентУХ.СтрокаМожетИспользоватьсяВКачествеКода(Стр) 
```
</details>

## ПолучитьДанныеСвязанныхТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеСвязанныхТаблиц(ТекстСвязи) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиКлиентУХ.ПолучитьДанныеСвязанныхТаблиц(ТекстСвязи) 
```
</details>

## ПолучитьИмяСвязаннойТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяСвязаннойТаблицы(ТекстСвязи="",ДанныеСвязи=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиКлиентУХ.ПолучитьИмяСвязаннойТаблицы(ТекстСвязи, ДанныеСвязи);
```
</details>

## СоздатьБланкСводнойТаблицыИОткрытьФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новый бланк для сводной таблицы вида отчета ВидОтчетаВход,
// после чего открывает форму с ним. Возвращает ссылку на созданный бланк.
Функция СоздатьБланкСводнойТаблицыИОткрытьФорму(ВидОтчетаВход, ВладелецФормы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиКлиентУХ.СоздатьБланкСводнойТаблицыИОткрытьФорму(ВидОтчетаВход, ВладелецФормы) 
```
</details>

## СпособИмпортаОтчетаИзФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовую константу для указания способа заполнения
// экземпляра отчета как импорт из файла.
Функция СпособИмпортаОтчетаИзФайла() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиКлиентУХ.СпособИмпортаОтчетаИзФайла() 
```
</details>

## СпособИмпортаОтчетаИзСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовую константу для указания способа заполнения
// экземпляра отчета как импорт из справочника.
Функция СпособИмпортаОтчетаИзСправочника() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиКлиентУХ.СпособИмпортаОтчетаИзСправочника() 
```
</details>

## СформироватьСтруктуруВидовАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую структуру для передачи в функцию ВернутьГруппуАналитикПоВидамАналитик.
// Параметры ВидАналитики1Вход-ВидАналитики5Вход определяют начальные значения видов аналитик.
// Когда параметр не задан - в поле будет записано значение Неопределено.
Функция СформироватьСтруктуруВидовАналитик(ВидАналитики1Вход = Неопределено, ВидАналитики2Вход = Неопределено, ВидАналитики3Вход = Неопределено, ВидАналитики4Вход = Неопределено, ВидАналитики5Вход = Неопределено, ВидАналитики6Вход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиКлиентУХ.СформироватьСтруктуруВидовАналитик(ВидАналитики1Вход, ВидАналитики2Вход, ВидАналитики3Вход, ВидАналитики4Вход, ВидАналитики5Вход, ВидАналитики6Вход);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
