---
title: Управление печатью локализация
slug: erp-uh/управление-печатью-локализация
---


## ПриОпределенииНастроекПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеПечатьюПереопределяемый.ПриОпределенииНастроекПечати
Процедура ПриОпределенииНастроекПечати(Настройки) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ПриОпределенииНастроекПечати(Настройки) 
```
</details>

## ПриОпределенииОбъектовСКомандамиПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых размещена процедура ДобавитьКомандыПечати,
// формирующая список команд печати, предоставляемых этим объектом.
// Синтаксис процедуры ДобавитьКомандыПечати см. в документации к подсистеме.
//
// Параметры:
//  СписокОбъектов - Массив - менеджеры объектов с процедурой ДобавитьКомандыПечати.
//
Процедура ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) 
```
</details>

## ПередДобавлениемКомандПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеПечатьюПереопределяемый.ПередДобавлениемКомандПечати
Процедура ПередДобавлениемКомандПечати(ИмяФормы, КомандыПечати, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ПередДобавлениемКомандПечати(ИмяФормы, КомандыПечати, СтандартнаяОбработка) 
```
</details>

## ПриПолученииНастроекСпискаКомандПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнительные настройки списка команд печати в журналах документов.
//
// см. УправлениеПечатьюПереопределяемый.ПриПолученииНастроекСпискаКомандПечати
//
Процедура ПриПолученииНастроекСпискаКомандПечати(НастройкиСписка) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ПриПолученииНастроекСпискаКомандПечати(НастройкиСписка) 
```
</details>

## ПриПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет выполнить постобработку печатных форм при их формировании.
// Например, можно вставить в колонтитул дату формирования печатной формы.
// Вызывается после завершения процедуры Печать менеджера печати объекта, имеет те же параметры.
//
// см. УправлениеПечатьюПереопределяемый.ПриПечати
//
Процедура ПриПечати(МассивОбъектов, ПараметрыПечати, КоллекцияПечатныхФорм, ОбъектыПечати, ПараметрыВывода) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ПриПечати(МассивОбъектов, ПараметрыПечати, КоллекцияПечатныхФорм, ОбъектыПечати, ПараметрыВывода) 
```
</details>

## ПечатьДокументовПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет изменить внешний вид и поведение формы, например, разместить на ней дополнительные элементы:
// информационные надписи, кнопки, гиперссылки, различные настройки и т.п.
//
// см. УправлениеПечатьюПереопределяемый.ПечатьДокументовПриСозданииНаСервере
//
Процедура ПечатьДокументовПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ПечатьДокументовПриСозданииНаСервере(Форма, Отказ, СтандартнаяОбработка) 
```
</details>

## ДополнитьСведенияОЮрФизЛицеВСпискеПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет сведения о юр/физлице
//
// Параметры:
//  СписокПолей - Строка - список полей структуры ФормированиеПечатныхФорм.СведенияОЮрФизЛице
//
Процедура ДополнитьСведенияОЮрФизЛицеВСпискеПолей(СписокПолей) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ДополнитьСведенияОЮрФизЛицеВСпискеПолей(СписокПолей) 
```
</details>

## ДополнитьСведенияОЮрФизЛице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует сведения об указанном юридическом или физическом лице.
// К сведениям относятся: наименование, адрес, номер телефона, банковские реквизиты.
//
// Параметры:
//  Сведения - Структура - собранные сведения.
//  Реквизиты - Структура - реквизиты ЮрФизЛице.
//  ЮрФизЛицо  - СправочникСсылка.Организации, СправочникСсылка.Контрагенты - организация или физическое лицо, о котором собираются сведения.
//  ДатаПериода - Дата - дата, на которую выбираются сведения о ЮрФизЛице.
//
Процедура ДополнитьСведенияОЮрФизЛице(Сведения, Реквизиты, ЮрФизЛицо, ДатаПериода) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ДополнитьСведенияОЮрФизЛице(Сведения, Реквизиты, ЮрФизЛицо, ДатаПериода) 
```
</details>

## ДополнитьСведенияОБанковскомСчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет сведения о банковском счете
//
// Параметры:
//  РеквизитыСчета - Структура - реквизиты счета
//  Сведения - Структура - собранные сведения.
//  БанковскийСчет - СправочникСсылка.БанковскиеСчетаОрганизаций - ссылка на счет.
//
Процедура ДополнитьСведенияОБанковскомСчете(РеквизитыСчета, Сведения, БанковскийСчет) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ДополнитьСведенияОБанковскомСчете(РеквизитыСчета, Сведения, БанковскийСчет) 
```
</details>

## ПолучитьВидКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает название вида контактной информации.
//
// Параметры:
//  Объект - СправочникСсылка -  объект контактной информации.
//  ТипАдреса - Строка - тип запрашиваемого адреса. Может содержать значения: "", "Фактический", "Регистрации", "Юридический"
//  ВидКонтактнойИнформации - Строка - наименование вида контактной информации (возвращаемое значение).
//
Процедура ПолучитьВидКонтактнойИнформации(Объект, ТипАдреса, ВидКонтактнойИнформации = "Адрес") Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ПолучитьВидКонтактнойИнформации(Объект, ТипАдреса, ВидКонтактнойИнформации);
```
</details>

## СформироватьСтрокуВФорматеЭлектронныхБанковскихСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует форматную строку согласно "Унифицированному формату электронных банковских сообщений" для ее отображения в
// виде QR-кода.
//
// Параметры:
// 	ТекстСтроки - Строка - Параметр, в котором возвращается строка для формирования QR-кода.
// 	ДанныеДокумента  - Структура - Содержит значения полей документа.
//
Процедура СформироватьСтрокуВФорматеЭлектронныхБанковскихСообщений(ТекстСтроки, ДанныеДокумента) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.СформироватьСтрокуВФорматеЭлектронныхБанковскихСообщений(ТекстСтроки, ДанныеДокумента) 
```
</details>

## ПриПолученииКомандПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет задать дополнительные настройки команд печати.
//
// Параметры:
//   ПолноеИмяОбъектаМетаданных   - ОбъектМетаданных - к которому подключены источники команд
//   КомандыПечати 		- см. УправлениеПечатью.СоздатьКоллекциюКомандПечати
//
Процедура ПриПолученииКомандПечати(ПолноеИмяОбъектаМетаданных, КомандыПечати) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюЛокализация.ПриПолученииКомандПечати(ПолноеИмяОбъектаМетаданных, КомандыПечати) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
