---
title: Управление печатью УП клиент
slug: erp-uh/управление-печатью-уп-клиент
---


## ПечатьДокументовПослеОткрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после выполнения обработчика ПриОткрытии формы печати документов (ОбщаяФорма.ПечатьДокументов).
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма ОбщаяФорма.ПечатьДокументов.
//
Процедура ПечатьДокументовПослеОткрытия(Форма) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюУПКлиент.ПечатьДокументовПослеОткрытия(Форма) 
```
</details>

## ПечатьМаршрутныйЛистПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для формирования печатной формы маршрутного листа.
//
// Параметры:
//  ОписаниеКоманды - Структура - сведения о выполняемой команде.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьМаршрутныйЛистПроизводства(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУПКлиент.ПечатьМаршрутныйЛистПроизводства(ОписаниеКоманды) 
```
</details>

## ПечатьМаршрутныхКартНаПродукцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и выводит печатные формы маршрутных карт изготовления продукции по заказам на производство.
//
// Параметры:
//  ДанныеОПродукции - Массив - содержит структуры с ключами:
//		* Заказ - ДокументСсылка.ЗаказНаПроизводство - заказ, данные которого необходимо вывести на печать.
//		* КодСтроки - Число - код строки продукции заказа на производство.
//
Процедура ПечатьМаршрутныхКартНаПродукцию(ДанныеОПродукции) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюУПКлиент.ПечатьМаршрутныхКартНаПродукцию(ДанныеОПродукции) 
```
</details>

## ПечатьАктаОтчетДавальцуMicrosoftWord
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Печатает акт выполненных работ из отчета давальцу.
//
// Параметры:
//  ОписаниеКоманды - Структура - сведения о выполняемой команде.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьАктаОтчетДавальцуMicrosoftWord(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУПКлиент.ПечатьАктаОтчетДавальцуMicrosoftWord(ОписаниеКоманды) 
```
</details>

## ПечатьЗаданиеНаПроизводство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для формирования печатной формы этапа производства.
//
// Параметры:
//  ОписаниеКоманды - Структура - сведения о выполняемой команде.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьЗаданиеНаПроизводство(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУПКлиент.ПечатьЗаданиеНаПроизводство(ОписаниеКоманды) 
```
</details>

## ПечатьЛистСопровожденияПартииПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для формирования печатной формы партии этапа производства.
//
// Параметры:
//  ОписаниеКоманды - Структура - сведения о выполняемой команде.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьЛистСопровожденияПартииПроизводства(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУПКлиент.ПечатьЛистСопровожденияПартииПроизводства(ОписаниеКоманды) 
```
</details>

## ПечатьЭтикеткаРабочегоЦентра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для формирования этикетки рабочего центра или выводит печатный форму.
//
// Параметры:
//  ОписаниеКоманды - Структура - сведения о выполняемой команде.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьЭтикеткаРабочегоЦентра(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУПКлиент.ПечатьЭтикеткаРабочегоЦентра(ОписаниеКоманды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
