---
title: Управление печатью УТ вызов сервера
slug: erp-uh/управление-печатью-ут-вызов-сервера
---


## ДанныеДляПечатиЦенниковИЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные для печати этикеток или ценников,
//	получает эти данные из модулей менеджеров объектов печати.
//
// Параметры:
//	Идентификатор	- Строка - может принимать значения "Ценники" или "Этикетки";
//	ОбъектыПечати	- Массив - массив ссылок на объекты для печати, ссылки должны быть одного типа;
//	ДополнительныеПараметры	- Структура - параметры печати.
//
// Возвращаемое значение:
//	Строка	-	адрес структуры во временном хранилище, содержащей данные для печати.
//
Функция ДанныеДляПечатиЦенниковИЭтикеток(Идентификатор, ОбъектыПечати, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТВызовСервера.ДанныеДляПечатиЦенниковИЭтикеток(Идентификатор, ОбъектыПечати, ДополнительныеПараметры) 
```
</details>

## ДанныеДляПечатиЭтикетокСкладскиеЯчейки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные для печати этикеток складских ячеек
//
// Параметры:
//  Идентификатор	 - Строка - Идентификатор команды печати,
//  ОбъектыПечати	- Массив - массив ссылок СправочникСсылка.СкладскиеЯчейки.
//
// Возвращаемое значение:
//   - Строка	-	адрес структуры во временном хранилище, содержащей данные для печати.
//
Функция ДанныеДляПечатиЭтикетокСкладскиеЯчейки(Идентификатор, ОбъектыПечати) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТВызовСервера.ДанныеДляПечатиЭтикетокСкладскиеЯчейки(Идентификатор, ОбъектыПечати) 
```
</details>

## ДанныеДляЗаписиСостоянийОригиналовПослеПечатиКомлпекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные для печати этикеток складских ячеек
//
// Параметры:
//  МассивОбъектов - Массив - массив ссылок документов.
//  ПараметрыПечати	- Структура - дополнительные параметры печати.
//
Процедура ДанныеДляЗаписиСостоянийОригиналовПослеПечатиКомлпекта(МассивОбъектов, ПараметрыПечати) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюУТВызовСервера.ДанныеДляЗаписиСостоянийОригиналовПослеПечатиКомлпекта(МассивОбъектов, ПараметрыПечати) 
```
</details>

## ПолучитьПараметрыФормирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров формирования ПФ ИНВ3 и ИНВ19.
//
// Параметры:
//  МассивПересчетов - 	Массив - массив ссылок на документы "Пересчет товаров".
//
// Возвращаемое значение:
//  Структура - структура параметров с ключами:
//		*Описи - Массив - массив инвентаризационных описей, в инвентаризационный период которых попадают пересчеты из МассивПересчетов
//		*Склады - Массив - массив складов из пересчетов МассивПересчетов
//		*ДатаНачала - Дата - минимальная дата начала инвентаризационного периода из всех полученных описей,
//							если описи не найдены, то минимальная дата из всех пересчетов
//		*ДатаОкончания - Дата - максимальная дата окончания инвентаризационного периода из всех полученных описей,
//							если описи не найдены, то максимальная дата из всех пересчетов
//		*Организации - Массив - массив организация из списка описей.
//
Функция ПолучитьПараметрыФормирования(МассивПересчетов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТВызовСервера.ПолучитьПараметрыФормирования(МассивПересчетов) 
```
</details>

## СортироватьДокументыСверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сортирует по Организации, Контрагенту переданный массив документов сверки
//
// Параметры:
//	МассивОбъектов - Массив из ДокументСсылка.СверкаВзаиморасчетов,ДокументСсылка.СверкаВзаиморасчетов2_5_11 - массив ссылок документов.
//
// Возвращаемое значение:
//	Массив из ДокументСсылка.СверкаВзаиморасчетов,ДокументСсылка.СверкаВзаиморасчетов2_5_11 - отсортированный по Организации, Контрагенту массив документов.
//
Функция СортироватьДокументыСверки(МассивОбъектов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТВызовСервера.СортироватьДокументыСверки(МассивОбъектов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
