---
title: Управление печатью УТ вызов сервера локализация
slug: erp-uh/управление-печатью-ут-вызов-сервера-локализация
---


## ПроверитьПроведенностьИСтатусПробитДокументовДляПечатиИНВ3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет проведенность и статус "Пробит" документов для печати ИНВ3
//
// Параметры:
//  Идентификатор	- Строка - Идентификатор команды печати,
//  ОбъектыПечати	- Массив - массив ссылок на объекты для печати.
//
// Возвращаемое значение:
//  Структура - структура параметров с ключами:
//		*КоличествоЧеков	- Число - Количество проведенных и пробитых чеков,
//		*КоличествоОтчетов	- Число - Количество проведенных отчетов.
//
Функция ПроверитьПроведенностьИСтатусПробитДокументовДляПечатиИНВ3(Идентификатор, ОбъектыПечати) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТВызовСервераЛокализация.ПроверитьПроведенностьИСтатусПробитДокументовДляПечатиИНВ3(Идентификатор, ОбъектыПечати) 
```
</details>

## ПроверитьДокументыОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. Документы.ТранспортнаяНакладная.ПроверитьДокументыОснования.
//
// Параметры:
//  МассивОбъектов - Массив - массив документов для печати
//
// Возвращаемое значение:
//  Структура - См. Документы.ТранспортнаяНакладная.ПроверитьДокументыОснования.
//
Функция ПроверитьДокументыОснования(МассивОбъектов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТВызовСервераЛокализация.ПроверитьДокументыОснования(МассивОбъектов) 
```
</details>

## СоздатьТранспортныеНакладные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. Документы.ТранспортнаяНакладная.СоздатьТранспортныеНакладные
//
// Параметры:
//  МассивОбъектов - Массив - массив документов для печати
//  ОбъектыПоКоторымНакладныеУжеСозданы - Массив - массив документов покоторым уже созданы накладные
//
// Возвращаемое значение:
//  Массив - из ДокументСсылка.ТранспортнаяНакладная
//
Функция СоздатьТранспортныеНакладные(МассивОбъектов, ОбъектыПоКоторымНакладныеУжеСозданы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТВызовСервераЛокализация.СоздатьТранспортныеНакладные(МассивОбъектов, ОбъектыПоКоторымНакладныеУжеСозданы);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
