---
title: Управление печатью УТ клиент
slug: erp-uh/управление-печатью-ут-клиент
---


## ПечатьДокументовОбработкаНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика Подключаемый_ОбработкаНавигационнойСсылки формы печати документов (ОбщаяФорма.ПечатьДокументов).
// Позволяет реализовать обработчик нажатия гиперссылки, которая добавлена в форму
// с помощью УправлениеПечатьюПереопределяемый.ПечатьДокументовПриСозданииНаСервере.
//
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения - форма ОбщаяФорма.ПечатьДокументов.
//  Элемент              - ПолеФормы - элемент формы, вызвавший данное событие.
//  НавигационнаяСсылкаФорматированнойСтроки - Строка - значение гиперссылки форматированной строки. Передается по ссылке.
//  СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события. Если установить
//                                  значение Ложь, стандартная обработка события производиться не будет.
//
Процедура ПечатьДокументовОбработкаНавигационнойСсылки(Форма, Элемент, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюУТКлиент.ПечатьДокументовОбработкаНавигационнойСсылки(Форма, Элемент, НавигационнаяСсылкаФорматированнойСтроки, СтандартнаяОбработка) 
```
</details>

## ПечатьДокументовВыполнитьКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика Подключаемый_ВыполнитьКоманду формы печати документов (ОбщаяФорма.ПечатьДокументов).
// Позволяет реализовать клиентскую часть обработчика команды, которая добавлена в форму
// с помощью УправлениеПечатьюПереопределяемый.ПечатьДокументовПриСозданииНаСервере.
//
// Параметры:
//  Форма                         - ФормаКлиентскогоПриложения - форма ОбщаяФорма.ПечатьДокументов.
//  Команда                       - КомандаФормы     - выполняемая команда.
//  ПродолжитьВыполнениеНаСервере - Булево - при установке значения Истина, выполнение обработчика будет продолжено в
//                                           серверном контексте в процедуре УправлениеПечатьюПереопределяемый.ПечатьДокументовПриВыполненииКоманды.
//  ДополнительныеПараметры       - Произвольный - параметры, которые необходимо передать в серверный контекст.
//
// Пример:
//  Если Команда.Имя = "МояКоманда" Тогда
//   НастройкаПечатнойФормы = УправлениеПечатьюКлиент.НастройкаТекущейПечатнойФормы(Форма);
//
//   ДополнительныеПараметры = Новый Структура;
//   ДополнительныеПараметры.Вставить("ИмяКоманды", Команда.Имя);
//   ДополнительныеПараметры.Вставить("ИмяРеквизитаТабличногоДокумента", НастройкаПечатнойФормы.ИмяРеквизита);
//   ДополнительныеПараметры.Вставить("НазваниеПечатнойФормы", НастройкаПечатнойФормы.Название);
//
//   ПродолжитьВыполнениеНаСервере = Истина;
//  КонецЕсли;
//
Процедура ПечатьДокументовВыполнитьКоманду(Форма, Команда, ПродолжитьВыполнениеНаСервере, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюУТКлиент.ПечатьДокументовВыполнитьКоманду(Форма, Команда, ПродолжитьВыполнениеНаСервере, ДополнительныеПараметры) 
```
</details>

## ПечатьДокументовОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика ОбработкаОповещения формы ПечатьДокументов.
// Позволяет реализовать обработчик внешнего события в форме.
//
// Параметры:
//  Форма      - ФормаКлиентскогоПриложения - форма ОбщаяФорма.ПечатьДокументов.
//  ИмяСобытия - Строка - идентификатор оповещения.
//  Параметр   - Произвольный - произвольный параметр оповещения.
//  Источник   - Произвольный - источник события.
//
Процедура ПечатьДокументовОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюУТКлиент.ПечатьДокументовОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПечатьЭтикетокИЦенников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для печати и открывает форму Обработка.ПечатьЭтикетокИЦенников.Форма.ФормаТовары.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьЭтикетокИЦенников(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьЭтикетокИЦенников(ОписаниеКоманды) 
```
</details>

## ПечатьЭтикетокСкладскиеЯчейки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для печати и открывает форму Обработка.ПечатьЭтикетокИЦенников.Форма.ФормаСкладскиеЯчейки.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьЭтикетокСкладскиеЯчейки(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьЭтикетокСкладскиеЯчейки(ОписаниеКоманды) 
```
</details>

## ПечатьЭтикетокДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Печать этикеток доставки.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьЭтикетокДоставки(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьЭтикетокДоставки(ОписаниеКоманды) 
```
</details>

## ПечатьЭтикетокУпаковочныхЛистов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Печать этикеток упаковочных листов.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьЭтикетокУпаковочныхЛистов(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьЭтикетокУпаковочныхЛистов(ОписаниеКоманды) 
```
</details>

## ПечатьЭтикетокУпаковочныхЛистовНаПринтер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Печать этикеток упаковочных листов сразу на принтер.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьЭтикетокУпаковочныхЛистовНаПринтер(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьЭтикетокУпаковочныхЛистовНаПринтер(ОписаниеКоманды) 
```
</details>

## ПечатьКомплектаДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет на печать комплект документов
//
// Параметры:
//  ОписаниеКоманды - Структура - сведения о выполняемой команде.
//
// Возвращаемое значение:
//  Булево, Неопределено -
Функция ПечатьКомплектаДокументов(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьКомплектаДокументов(ОписаниеКоманды) 
```
</details>

## ПечатьКомплектаДокументовЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная процедура, обработка оповещения.
//
// Параметры:
//  Результат				 - Структура - результат после вопроса пользователю.
//  ДополнительныеПараметры	 - Структура - дополнительные параметры оповещения.
//
Процедура ПечатьКомплектаДокументовЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюУТКлиент.ПечатьКомплектаДокументовЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПечатьКомплектаДокументовСНастройкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет на печать комплект документов с настройкой
//
// Параметры:
//  ОписаниеКоманды - Структура - сведения о выполняемой команде.
//
// Возвращаемое значение:
//  Неопределено
Функция ПечатьКомплектаДокументовСНастройкой(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьКомплектаДокументовСНастройкой(ОписаниеКоманды) 
```
</details>

## ПечатьАктВыполненныхРаботMicrosoftWord
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит печатную форму акта выполненных работ в word.
//
// Параметры:
//  ОписаниеКоманды	 - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//  Неопределено - ничего не возвращается.
//
Функция ПечатьАктВыполненныхРаботMicrosoftWord(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьАктВыполненныхРаботMicrosoftWord(ОписаниеКоманды) 
```
</details>

## ПечатьАктаВзаимозачетаЗадолженностиMicrosoftWord
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Печатает акт взаимозачета задолженности
//
// Параметры:
//	ОписаниеКоманды - Структура
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьАктаВзаимозачетаЗадолженностиMicrosoftWord(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьАктаВзаимозачетаЗадолженностиMicrosoftWord(ОписаниеКоманды) 
```
</details>

## ПечатьАктаПереуступкиДолгаMicrosoftWord
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Печатает акт переуступки долга.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьАктаПереуступкиДолгаMicrosoftWord(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьАктаПереуступкиДолгаMicrosoftWord(ОписаниеКоманды) 
```
</details>

## ПечатьАктаПереуступкиДолгаМеждуОрганизациямиMicrosoftWord
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Печатает акт переуступки долга между организациями.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьАктаПереуступкиДолгаМеждуОрганизациямиMicrosoftWord(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьАктаПереуступкиДолгаМеждуОрганизациямиMicrosoftWord(ОписаниеКоманды) 
```
</details>

## НастройкаПечатиБланковЗаданияТорговомуПредставителю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для настройки печати бланков задания торговому представителю.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Неопределено
//
Функция НастройкаПечатиБланковЗаданияТорговомуПредставителю(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.НастройкаПечатиБланковЗаданияТорговомуПредставителю(ОписаниеКоманды) 
```
</details>

## ПечатьАктаСверкиВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Печать акта сверки взаиморасчетов.
//
// Параметры:
//  ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//  Неопределено - ничего не возвращается.
//
Функция ПечатьАктаСверкиВзаиморасчетов(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьАктаСверкиВзаиморасчетов(ОписаниеКоманды) 
```
</details>

## ПечатьАктаСверкиВзаиморасчетовЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПечатьАктаСверкиВзаиморасчетовЗавершение(ПараметрыПечати, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюУТКлиент.ПечатьАктаСверкиВзаиморасчетовЗавершение(ПараметрыПечати, ДополнительныеПараметры) 
```
</details>

## ПечатьПереоценкаВРознице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит печатную форму переоценки товаров в рознице.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//	АдресДанныеДляПечатиВоВременномХранилище - Неопределено, Строка - Адрес во временном хранилище.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьПереоценкаВРознице(ОписаниеКоманды, АдресДанныеДляПечатиВоВременномХранилище = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьПереоценкаВРознице(ОписаниеКоманды, АдресДанныеДляПечатиВоВременномХранилище);
```
</details>

## ПечатьПереоценкаВРозницеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения
//
// Параметры:
//  ПараметрыПечати         - Неопределено, Структура - произвольные параметры для передачи в менеджер печати.
//  ДополнительныеПараметры - Структура - структура дополнительных параметров оповещения.
//
Процедура ПечатьПереоценкаВРозницеЗавершение(ПараметрыПечати, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюУТКлиент.ПечатьПереоценкаВРозницеЗавершение(ПараметрыПечати, ДополнительныеПараметры) 
```
</details>

## ПечатьУстановкаЦенНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит печатную форму установки цен номенклатуры.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//	АдресДанныеДляПечатиВоВременномХранилище - Неопределено, Строка - Адрес во временном хранилище.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьУстановкаЦенНоменклатуры(ОписаниеКоманды, АдресДанныеДляПечатиВоВременномХранилище = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПечатьюУТКлиент.ПечатьУстановкаЦенНоменклатуры(ОписаниеКоманды, АдресДанныеДляПечатиВоВременномХранилище);
```
</details>

## ПечатьУстановкаЦенНоменклатурыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения
//
// Параметры:
//  ПараметрыПечати         - Неопределено, Структура - произвольные параметры для передачи в менеджер печати.
//  ДополнительныеПараметры - Структура - структура дополнительных параметров оповещения.
//
Процедура ПечатьУстановкаЦенНоменклатурыЗавершение(ПараметрыПечати, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УправлениеПечатьюУТКлиент.ПечатьУстановкаЦенНоменклатурыЗавершение(ПараметрыПечати, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
