---
title: Управление производством
slug: erp-uh/управление-производством
---


## НастройкиУправленияПроизводством
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает настройки подсистемы "Межцеховое управление"
//
// Возвращаемое значение:
//   - Структура - настройки управления производством.
//
Функция НастройкиУправленияПроизводством() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.НастройкиУправленияПроизводством() 
```
</details>

## ИспользуетсяГрафикПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли график производства.
//
// Параметры:
//  НаборКонстант - КонстантыНабор - значения констант.
//
// Возвращаемое значение:
//   Булево - Истина, если график производства используется.
//
Функция ИспользуетсяГрафикПроизводства(НаборКонстант = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.ИспользуетсяГрафикПроизводства(НаборКонстант);
```
</details>

## ФорматнаяСтрокаДляДатыГрафикаПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет форматную строку для даты графика производства
//
// Параметры:
//  НаборКонстант - КонстантыНабор - значения констант.
//
// Возвращаемое значение:
//  Строка - форматная строка
//
Функция ФорматнаяСтрокаДляДатыГрафикаПроизводства(НаборКонстант = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.ФорматнаяСтрокаДляДатыГрафикаПроизводства(НаборКонстант);
```
</details>

## ВариантОбособленияМатериаловВПроизводстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вариант обособление материалов в производстве.
//
// Параметры:
//  ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации, Неопределено -
//  ДинамическаяСтруктура - Булево -
//
// Возвращаемое значение:
//  ПеречислениеСсылка.ВариантыОбособленияМатериаловВПроизводстве - вариант обособление материалов в производстве.
//
Функция ВариантОбособленияМатериаловВПроизводстве( Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.ВариантОбособленияМатериаловВПроизводстве();
```
</details>

## ИспользованиеСерийВПроизводстве22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, используются ли серии в производстве версии 2.2.
//
// Возвращаемое значение:
//  Структура - структура со следующими ключами:
//  *ИспользоватьСерииНоменклатуры - Булево - признак использование серий номенклатуры.
//  *УчитыватьСебестоимостьПоСериям - Булево - признак учета себестоимости по сериям.
//
Функция ИспользованиеСерийВПроизводстве22() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.ИспользованиеСерийВПроизводстве22() 
```
</details>

## УстановитьУсловноеОформлениеПоляПриоритет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму списка условное оформление для поля Приоритет.
//
// Параметры:
//  Форма             - ФормаКлиентскогоПриложения - форма.
//  ИмяСписка         - Строка - имя динамического списка.
//  ИмяПоля           - Строка - имя поля Приоритет динамического списка.
//  ИмяЭлемента       - Строка - имя колонки Приоритет динамического списка.
//  ИспользуетсяОтбор - Булево - Истина, если используется отбор и для него необходимо установить условное оформление.
//  ИмяПоляОтбора     - Строка - имя реквизита формы для отбора.
//  ИмяЭлементаОтбора - Строка - имя элемента формы для отбора.
//
Процедура УстановитьУсловноеОформлениеПоляПриоритет(Форма, ИмяСписка, ИмяПоля, ИмяЭлемента, ИспользуетсяОтбор = Ложь, ИмяПоляОтбора = Неопределено, ИмяЭлементаОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводством.УстановитьУсловноеОформлениеПоляПриоритет(Форма, ИмяСписка, ИмяПоля, ИмяЭлемента, ИспользуетсяОтбор, ИмяПоляОтбора, ИмяЭлементаОтбора);
```
</details>

## УстановитьУсловноеОформлениеПоляДатаПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму списка условное оформление поля ДатаПроизводства
//
//  Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма документа.
//   ИмяСписка - Строка - имя динамического списка.
//   ИмяПоляДата - Строка - условное оформление формы.
//
Процедура УстановитьУсловноеОформлениеПоляДатаПроизводства(Форма, ИмяСписка = "Список", ИмяПоляДата = "Дата") Экспорт
```

Пример вызова
```bsl
УправлениеПроизводством.УстановитьУсловноеОформлениеПоляДатаПроизводства(Форма, ИмяСписка, ИмяПоляДата);
```
</details>

## УстановитьУсловноеОформлениеСпискаПоСтатусуЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет на форму списка условное оформление
//
//  Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма документа.
//   ИмяСписка - Строка - имя динамического списка.
//
Процедура УстановитьУсловноеОформлениеСпискаПоСтатусуЗаказа(Форма, ИмяСписка = "Список") Экспорт
```

Пример вызова
```bsl
УправлениеПроизводством.УстановитьУсловноеОформлениеСпискаПоСтатусуЗаказа(Форма, ИмяСписка);
```
</details>

## ДанныеЗаполненияПриИзмененииСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура заполнения данных при изменении статуса
//
// Параметры:
//  Объект                  - ДокументОбъект.ЭтапПроизводства2_2, ДанныеФормыСтруктура - этап.
//  ПлановаяДатаПоступления - Дата - плановая дата поступления изделий.
//
// Возвращаемое значение:
//   - Структура - данные заполнения.
//
Функция ДанныеЗаполненияПриИзмененииСтатуса(Объект, Знач ПлановаяДатаПоступления = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.ДанныеЗаполненияПриИзмененииСтатуса(Объект, ПлановаяДатаПоступления);
```
</details>

## ЗаполнитьРеквизитыЭтапаПриИзмененииОтметкиВыполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет необходимые действия с объектом при изменении отметки выполнения этапа производства.
//
// Параметры:
//  Объект - ДокументОбъект.ЭтапПроизводства2_2 - этап
//  ДанныеЗаполнения - Структура - см. метод ДанныеЗаполненияПриИзмененииСтатуса().
//
// Возвращаемое значение:
//  Строка - содержит список реквизитов, которые были изменены при изменении отметки выполнения.
//
Функция ЗаполнитьРеквизитыЭтапаПриИзмененииОтметкиВыполнения(Объект, ДанныеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.ЗаполнитьРеквизитыЭтапаПриИзмененииОтметкиВыполнения(Объект, ДанныеЗаполнения);
```
</details>

## ЗаполнитьРеквизитыЭтапаПриИзмененииСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия необходимые при изменения статуса документа
//
// Параметры:
//  Объект - ДокументОбъект.ЭтапПроизводства2_2 - этап
//  СтатусДоИзменения - ПеречислениеСсылка.СтатусыЭтаповПроизводства2_2 - статус до изменений
//  ДанныеЗаполнения - Структура - см. метод ДанныеЗаполненияПриИзмененииСтатуса().
//
// Возвращаемое значение:
//  Строка - содержит список реквизитов, которые были изменены при смене статуса.
//
Функция ЗаполнитьРеквизитыЭтапаПриИзмененииСтатуса(Объект, СтатусДоИзменения, ДанныеЗаполнения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.ЗаполнитьРеквизитыЭтапаПриИзмененииСтатуса(Объект, СтатусДоИзменения, ДанныеЗаполнения);
```
</details>

## ПараметрыФормыРучногоРазмещенияЭтапаВГрафике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для открытия формы Документ.ЭтапПроизводства2_2.Форма.ФормаРучногоРазмещенияВГрафике.
//
// Параметры:
//  Объект					 - ДокументОбъект.ЭтапПроизводства2_2 - этап производства
//  УникальныйИдентификатор	 - УникальныйИдентификатор - уникальный идентификатор формы.
//
// Возвращаемое значение:
//  Структура - параметры формы ручного размещения этапа в графике.
//
Функция ПараметрыФормыРучногоРазмещенияЭтапаВГрафике(Объект, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.ПараметрыФормыРучногоРазмещенияЭтапаВГрафике(Объект, УникальныйИдентификатор) 
```
</details>

## ПредставлениеЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление этапа, используется для оформления полей в СКД
//
// Параметры:
//  Номер				 - 	Строка - номер
//  НаименованиеЭтапа	 - 	Строка - наименование
//
// Возвращаемое значение:
//  Строка - представление этапа
//
Функция ПредставлениеЭтапа(Номер, НаименованиеЭтапа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.ПредставлениеЭтапа(Номер, НаименованиеЭтапа) 
```
</details>

## ПланироватьИЗаписатьГрафикВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициирует планирование графика производства.
//
// Параметры:
//  НастройкиПланирования - Структура - настройки планирования графика.
//  АдресХранилища - УникальныйИдентификатор, Строка - адрес во временном хранилище,
//		по которому надо поместить результаты планирования.
//
Процедура ПланироватьИЗаписатьГрафикВФоне(НастройкиПланирования, АдресХранилища) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводством.ПланироватьИЗаписатьГрафикВФоне(НастройкиПланирования, АдресХранилища) 
```
</details>

## ИзмененаТабличнаяЧастьДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие изменений в табличной части документа.
//
// Параметры:
//  ДокументОбъект		 - ДокументОбъект	 - проверяемый документ
//  ДанныеДоИзменения	 - Структура		 - структура, содержащая данные документа до изменения
//  ИмяТаблицы			 - Строка			 - имя проверяемой таблицы
//  Реквизиты			 - Массив			 - массив проверяемых реквизитов.
//
// Возвращаемое значение:
//   - Булево - признак наличия изменений в табличной части.
//
Функция ИзмененаТабличнаяЧастьДокумента(ДокументОбъект, ДанныеДоИзменения, ИмяТаблицы, Реквизиты = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводством.ИзмененаТабличнаяЧастьДокумента(ДокументОбъект, ДанныеДоИзменения, ИмяТаблицы, Реквизиты);
```
</details>

## ПроверитьЗаполнениеКоличестваВТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения количества в табличной части
//
// Параметры:
//  Объект - ДокументОбъект, ОбработкаОбъектИмяОбработки - объект, который нужно проверить
//  ИмяТЧ - Строка - имя проверяемой табличной части
//  МассивНепроверяемыхРеквизитов - Массив - реквизиты, которые необходимо
//		исключить из стандартной процедуры проверки заполнения.
//  Отказ - Булево - флаг отказа от записи объекта (выполнения заданного действия).
//
Процедура ПроверитьЗаполнениеКоличестваВТЧ(Объект, ИмяТЧ, МассивНепроверяемыхРеквизитов, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводством.ПроверитьЗаполнениеКоличестваВТЧ(Объект, ИмяТЧ, МассивНепроверяемыхРеквизитов, Отказ) 
```
</details>

## НастроитьИспользованиеСерийВПроизводстве22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значения служебных констант ИспользоватьСерииНоменклатурыПроизводство22
//	и УчитыватьСебестоимостьПоСериямПроизводство22 по данным видов номенклатуры и политик учета серий.
//
Процедура НастроитьИспользованиеСерийВПроизводстве22() Экспорт
```

Пример вызова
```bsl
УправлениеПроизводством.НастроитьИспользованиеСерийВПроизводстве22() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
