---
title: Управление производством клиент
slug: erp-uh/управление-производством-клиент
---


## ОткрытьСтрокуЗаказаНаПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает заказ на производство с выделением строки продукции
//
// Параметры:
//  Заказ		 - ДокументСсылка.ЗаказНаПроизводство2_2 - заказ на производство
//  ДанныеСтроки - см. УправлениеПроизводствомКлиентСервер.СтруктураПродукцииЗаказа
//  Форма		 - ФормаКлиентскогоПриложения						 - форма из которой выполняется переход.
//
Процедура ОткрытьСтрокуЗаказаНаПроизводства(Заказ, ДанныеСтроки, Форма) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОткрытьСтрокуЗаказаНаПроизводства(Заказ, ДанныеСтроки, Форма) 
```
</details>

## ОткрытьОчередьЗаказов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает очередь заказов
//
// Параметры:
//  СтруктураОтборов - Структура							 - устанавливаемые отборы
//  ТекущаяСтрока	 - ДокументСсылка.ЗаказНаПроизводство2_2 - заказ на производство
//  Форма			 - ФормаКлиентскогоПриложения						 - форма из которой выполняется переход.
//
Процедура ОткрытьОчередьЗаказов(СтруктураОтборов = Неопределено, ТекущаяСтрока = Неопределено, Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОткрытьОчередьЗаказов(СтруктураОтборов, ТекущаяСтрока, Форма);
```
</details>

## ОткрытьФормуРедактированияЦепочкиЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму редактирования цепочки этапов
//
// Параметры:
//  Распоряжение		 - ДокументСсылка.ЗаказНаПроизводство2_2 - заказ на производство
//  ПартияПроизводства	 - СправочникСсылка.ПартииПроизводства	 - партия производства
//  Продукция			 - Массив								 - массив структур, определяющих перечень дефицита продукции.
//  Форма				 - ФормаКлиентскогоПриложения						 - форма (владелец)
//
Процедура ОткрытьФормуРедактированияЦепочкиЭтапов(Распоряжение, ПартияПроизводства, Продукция = Неопределено, Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОткрытьФормуРедактированияЦепочкиЭтапов(Распоряжение, ПартияПроизводства, Продукция, Форма);
```
</details>

## ОткрытьФормуСозданияНовойЦепочкиЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму создания новой цепочки этапов
//
// Параметры:
//  Распоряжение				 - ДокументСсылка.ЗаказНаПроизводство2_2			 - заказ на производство.
//  ТипПроизводственногоПроцесса - ПеречислениеСсылка.ТипыПроизводственныхПроцессов	 - тип производственного процесса.
//  Назначение					 - СправочникСсылка.Назначения						 - назначение продукции заказа.
//  Продукция					 - Массив											 - массив структур, определяющих перечень дефицита продукции.
//  Форма						 - ФормаКлиентскогоПриложения									 - форма (владелец).
//
Процедура ОткрытьФормуСозданияНовойЦепочкиЭтапов(Распоряжение, Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОткрытьФормуСозданияНовойЦепочкиЭтапов(Распоряжение, );
```
</details>

## ОткрытьВыполнениеОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает рабочее место "Выполнение операций" с отбором по этапу производства
//
// Параметры:
//  Этап	 - ДокументСсылка.ЭтапПроизводства2_2, Массив	 - этап или список этапов
//  Форма	 - ФормаКлиентскогоПриложения								 - форма из которой выполняется переход.
//
Процедура ОткрытьВыполнениеОпераций(Этап, Форма) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОткрытьВыполнениеОпераций(Этап, Форма) 
```
</details>

## ОткрытьФормуОтраженияВыполненногоЭтапаИзЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает упрощенную форму отражения выполненного этапа производства
//
// Параметры:
//  ЗаказОбъект  - ДанныеФормыСтруктура	 - заказ на производство, содержит:
//                  * Ссылка                                     - ДокументСсылка.ЗаказНаПроизводство2_2 -
//                  * НазначениеПродукция                        - СправочникСсылка.Назначения -
//                  * ПартияПроизводства                         - СправочникСсылка.ПартииПроизводства -
//                  * СпособРаспределенияЗатратНаВыходныеИзделия - ПеречислениеСсылка.СпособыРаспределенияЗатратНаВыходныеИзделия -
//  Форма       - ФормаКлиентскогоПриложения - форма из которой выполняется переход.
//
Процедура ОткрытьФормуОтраженияВыполненногоЭтапаИзЗаказа(ЗаказОбъект, Форма) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОткрытьФормуОтраженияВыполненногоЭтапаИзЗаказа(ЗаказОбъект, Форма) 
```
</details>

## ОткрытьФормуВыбораЭтапаПотребителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора этапа-потребителя
//
// Параметры:
//  Объект					 - ДокументОбъект.ЭтапПроизводства2_2	 - этап
//  ТекущаяСтрока			 - Структура							 - данные текущей строки
//  Владелец				 - ФормаКлиентскогоПриложения						 - форма или элемент управления в которой выполняется выбор
//  ОписаниеОповещения		 - ОписаниеОповещения					 - содержит описание процедуры, которая будет вызвана при закрытии формы
//
Процедура ОткрытьФормуВыбораЭтапаПотребителя(Объект, ТекущаяСтрока, Владелец, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОткрытьФормуВыбораЭтапаПотребителя(Объект, ТекущаяСтрока, Владелец, ОписаниеОповещения);
```
</details>

## РасшифроватьСостояниеОперацийЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму, детализирующую состояние выполнения производственных операций этапа производства.
//
// Параметры:
//  Этап	  - ДокументСсылка.ЭтапПроизводства2_2 - этап.
//  Состояние - ПеречислениеСсылка.СостоянияОперацийЭтапаПроизводства - состояние выполнения операций.
//  Форма	  - ФормаКлиентскогоПриложения - владелец открываемой формы.
//
Процедура РасшифроватьСостояниеОперацийЭтапа(Этап, Состояние, Форма) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.РасшифроватьСостояниеОперацийЭтапа(Этап, Состояние, Форма) 
```
</details>

## ОткрытьФормуДокументаОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму документа операции с замером времени.
//
// Параметры:
// 	Ключ - ДокументСсылка.ПроизводственнаяОперация2_2 -
Процедура ОткрытьФормуДокументаОперации(Ключ) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОткрытьФормуДокументаОперации(Ключ) 
```
</details>

## ОткрытьСтатью5ШаговКПроизводству22
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет переход по ссылке на статью "5 шагов к производству версии 2.2"
//
Процедура ОткрытьСтатью5ШаговКПроизводству22() Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОткрытьСтатью5ШаговКПроизводству22() 
```
</details>

## ОповеститьПользователяОПередачиЭтаповКВыполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещает пользователя о завершении процесса передачи этапов к выполнению.
//
// Параметры:
//  Результат	 - Структура			 - результат передачи этапов к выполнению
//  Источник	 - УникальныйИдентификатор	 - идентификатор формы, инициировавшей создание документов.
//
Процедура ОповеститьПользователяОПередачиЭтаповКВыполнению(Результат, Источник = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОповеститьПользователяОПередачиЭтаповКВыполнению(Результат, Источник);
```
</details>

## ОповеститьПользователяОФормированииЭтаповПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещает пользователя о завершении процесса создания этапов производства.
//
// Параметры:
//  РезультатФормирования	 - Структура - результат формирования этапов.
//  Источник				 - УникальныйИдентификатор - идентификатор формы, инициировавшей создание документов.
//
Процедура ОповеститьПользователяОФормированииЭтаповПроизводства(РезультатФормирования, Источник = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОповеститьПользователяОФормированииЭтаповПроизводства(РезультатФормирования, Источник);
```
</details>

## ОповеститьПользователяОПланированииГрафикаПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещает пользователя о завершении процесса планирования графика производства.
//
// Параметры:
//  Результат	 - Структура - результат планирования графика производства.
//  Источник	 - УникальныйИдентификатор	 - идентификатор формы, инициировавшей создание документов.
//
Процедура ОповеститьПользователяОПланированииГрафикаПроизводства(Результат, Источник = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОповеститьПользователяОПланированииГрафикаПроизводства(Результат, Источник);
```
</details>

## ОповеститьПользователяОПометкеНаУдалениеЭтаповПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещает пользователя о завершении процесса пометки на удаление этапов к выполнению.
//
// Параметры:
//  Результат - Структура - результат выполнения операции.
//
Процедура ОповеститьПользователяОПометкеНаУдалениеЭтаповПроизводства(Результат) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОповеститьПользователяОПометкеНаУдалениеЭтаповПроизводства(Результат) 
```
</details>

## ОповеститьПользователяОбИзмененииЗаказовНаПроизводство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещает пользователя об изменении заказа на производство.
//
// Параметры:
//  Результат	 - Структура				 - результат полного расчета (или отмены расчета) структуры заказа
//  Источник	 - УникальныйИдентификатор	 - идентификатор формы, инициировавшей создание документов.
//
Процедура ОповеститьПользователяОбИзмененииЗаказовНаПроизводство(Результат, Источник = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиент.ОповеститьПользователяОбИзмененииЗаказовНаПроизводство(Результат, Источник);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
