---
title: Управление производством клиент сервер
slug: erp-uh/управление-производством-клиент-сервер
---


## СравнениеСтатусовЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция для сравнения статусов
//
// Параметры:
//  Значение1	 - ПеречислениеСсылка.СтатусыЭтаповПроизводства2_2 - Первое значение сравнения.
//  Значение2	 - ПеречислениеСсылка.СтатусыЭтаповПроизводства2_2 - Второе значение сравнения.
//
// Возвращаемое значение:
//   - Число - Результат < 0 - первое значение меньше второго.
//             Результат > 0 - первое значение больше второго.
//             Результат = 0 - первое значение равно второму.
//
Функция СравнениеСтатусовЭтапа(Значение1, Значение2) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомКлиентСервер.СравнениеСтатусовЭтапа(Значение1, Значение2) 
```
</details>

## СтатусыДоступноПооперационноеУправление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статусы документа, в которых доступно пооперационное управление этапом производства.
//
// Параметры:
//  Параметры	 - ДанныеФормыСтруктура, Структура	 - структура, содержащая параметры подразделения.
//
// Возвращаемое значение:
//  Массив - массив статусов документа.
//
Функция СтатусыДоступноПооперационноеУправление(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомКлиентСервер.СтатусыДоступноПооперационноеУправление(Параметры) 
```
</details>

## ПроверитьРазмещениеЭтапаВГрафике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка проверки размещения этапа в графике
//
// Параметры:
//  ГрафикПроизводства - см. СтруктураРазмещенияЭтапаВГрафике
//  Ссылка - ДокументСсылка.ЭтапПроизводства2_2 - этап производства
//  ПутьКДанным - Строка - путь к данным (путь к реквизиту формы)
//  Отказ - Булево - выходной параметр.
//
Процедура ПроверитьРазмещениеЭтапаВГрафике(ГрафикПроизводства, Ссылка, ПутьКДанным, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиентСервер.ПроверитьРазмещениеЭтапаВГрафике(ГрафикПроизводства, Ссылка, ПутьКДанным, Отказ) 
```
</details>

## ИменаТаблицИзделия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список имен таблиц хранящих данные о выходных изделиях этапа
//
// Возвращаемое значение:
//   - Массив - имена таблиц, хранящих данные о выходных изделиях этапа.
//
Функция ИменаТаблицИзделия() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомКлиентСервер.ИменаТаблицИзделия() 
```
</details>

## ЭтоВыпускающийЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли переданный этап выпускающим продукцию
//
// Параметры:
//  ДанныеЭтапа - Структура - данные этапа
//   *НомерСледующегоЭтапа.
//
// Возвращаемое значение:
//  Булево - Истина, если переданный этап является выпускающий.
//
Функция ЭтоВыпускающийЭтап(ДанныеЭтапа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомКлиентСервер.ЭтоВыпускающийЭтап(ДанныеЭтапа) 
```
</details>

## ФорматРедактированияДатВыполненияЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает формат редактирования дат выполнения этапа.
//
// Возвращаемое значение:
//  Строка - Формат редактирования дат выполнения этапа
//
Функция ФорматРедактированияДатВыполненияЭтапа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомКлиентСервер.ФорматРедактированияДатВыполненияЭтапа() 
```
</details>

## ПредставлениеЕдиницыИзмеренияОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление единицы измерения операции
//
// Параметры:
//  ЕдиницаИзмерения - СправочникСсылка.УпаковкиЕдиницыИзмерения - единица измерения количества операции
//  Количество		 - Число									 - натуральный измеритель операции в физических единицах количества, длины, площади, объема и проч.
//  Сокращать		 - Булево									 - если устанвоен в истина, тогда представление еденицы измерения будет сокращено.
//  КодЯзыка		 - Строка									 - код языка, исспользуемый для вывода локализованных строк.
//
// Возвращаемое значение:
//   - Строка - представление единицы измерения.
//
Функция ПредставлениеЕдиницыИзмеренияОперации(ЕдиницаИзмерения, Количество = 0, Сокращать = Ложь, КодЯзыка = "") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомКлиентСервер.ПредставлениеЕдиницыИзмеренияОперации(ЕдиницаИзмерения, Количество, Сокращать, КодЯзыка);
```
</details>

## НастройкиШкалыДиаграммыГантаВРежимеВсеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет настройки отображения шкалы диаграммы Ганта для адекватного представления
// диаграммы в режиме ВсеДанные (свойство ПоддержкаМасштабаДиаграммыГанта).
//
// Параметры:
//  Начало				 - Дата - начало отображаемого интервала.
//  Окончание			 - Дата - окончание отображаемого интервала.
//  КоличествоИнтервалов - Число - количество интервалов, отображаемых на диаграмме.
//
// Возвращаемое значение:
//  Структура - настройки отображения.
//
Функция НастройкиШкалыДиаграммыГантаВРежимеВсеДанные(Начало, Окончание, КоличествоИнтервалов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомКлиентСервер.НастройкиШкалыДиаграммыГантаВРежимеВсеДанные(Начало, Окончание, КоличествоИнтервалов) 
```
</details>

## УстановитьТипИсполнителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает тип поля ввода, содержащего исполнителя трудозатрат.
//
// Параметры:
//  Исполнитель							 - ОпределяемыйТип.ИсполнительРабот - значение поля ввода.
//  ИспользоватьБригадныеНаряды			 - Булево - параметр производственного подразделения.
//  УчетТрудозатратВРазрезеСотрудников	 - Булево
//
Процедура УстановитьТипИсполнителя(Исполнитель, ИспользоватьБригадныеНаряды, УчетТрудозатратВРазрезеСотрудников) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомКлиентСервер.УстановитьТипИсполнителя(Исполнитель, ИспользоватьБригадныеНаряды, УчетТрудозатратВРазрезеСотрудников) 
```
</details>

## ПараметрыДействияЗаполнитьДатуПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры необходимые для выполнения действия "ЗаполнитьДатуПроизводства".
//
// Параметры:
//  ФактическаяДатаПроизводства	 - Дата - фактическая дата производства
//  ПлановаяДатаПроизводства	 - Дата - плановая дата производства.
//
// Возвращаемое значение:
//  Структура - список параметров.
//
Функция ПараметрыДействияЗаполнитьДатуПроизводства(ФактическаяДатаПроизводства = '00010101', ПлановаяДатаПроизводства = '00010101') Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомКлиентСервер.ПараметрыДействияЗаполнитьДатуПроизводства(ФактическаяДатаПроизводства, ПлановаяДатаПроизводства);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
