---
title: Управление производством переопределяемый
slug: erp-uh/управление-производством-переопределяемый
---


## ПланироватьПредварительныйГрафикРаспоряжения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициирует планирование графика производства распоряжения.
//
// Параметры:
//  НастройкиПланирования - Структура - настройки планирования графика.
//  АдресХранилища - УникальныйИдентификатор, Строка - адрес во временном хранилище,
//		по которому надо поместить результаты планирования.
//
Процедура ПланироватьПредварительныйГрафикРаспоряжения(НастройкиПланирования, АдресХранилища) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомПереопределяемый.ПланироватьПредварительныйГрафикРаспоряжения(НастройкиПланирования, АдресХранилища) 
```
</details>

## ПослеЗаполненияПараметровПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после заполнения параметров планирования до расчета графика производства.
//
// Параметры:
//  ПараметрыПланирования - Структура - параметры планирования графика.
//
Процедура ПослеЗаполненияПараметровПланирования(ПараметрыПланирования) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомПереопределяемый.ПослеЗаполненияПараметровПланирования(ПараметрыПланирования) 
```
</details>

## ПередЗаписьюРезультатовПланирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после расчета графика производства до его записи.
//
// Параметры:
//  ПараметрыПланирования - Структура - параметры планирования графика.
//
Процедура ПередЗаписьюРезультатовПланирования(ПараметрыПланирования) Экспорт
```

Пример вызова
```bsl
УправлениеПроизводствомПереопределяемый.ПередЗаписьюРезультатовПланирования(ПараметрыПланирования) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
