---
title: Управление производством повт исп
slug: erp-uh/управление-производством-повт-исп
---


## ИспользуетсяГрафикПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли график производства.
//
// Возвращаемое значение:
//   Булево - Истина, если график производства используется.
//
Функция ИспользуетсяГрафикПроизводства() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомПовтИсп.ИспользуетсяГрафикПроизводства() 
```
</details>

## ИспользуетсяПланированиеПоПроизводственнымРесурсам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли планирование по производственным ресурсам
//
// Возвращаемое значение:
//   Булево - Истина, если используется планирование по производственным ресурсам.
//
Функция ИспользуетсяПланированиеПоПроизводственнымРесурсам() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомПовтИсп.ИспользуетсяПланированиеПоПроизводственнымРесурсам() 
```
</details>

## ИспользуетсяПланированиеПоМатериальнымРесурсам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли планирование по материальным ресурсам
//
// Возвращаемое значение:
//   Булево - Истина, если используется планирование по материальным ресурсам.
//
Функция ИспользуетсяПланированиеПоМатериальнымРесурсам() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомПовтИсп.ИспользуетсяПланированиеПоМатериальнымРесурсам() 
```
</details>

## ДанныеПроизводственногоЗаказа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Реквизиты заказа на производство
//
// Параметры:
//  Ссылка	 - ДокументСсылка.ЗаказНаПроизводство2_2 - заказ на производство.
//
// Возвращаемое значение:
//  Структура - значения ключевых реквизитов заказа на производство.
//
Функция ДанныеПроизводственногоЗаказа(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомПовтИсп.ДанныеПроизводственногоЗаказа(Ссылка) 
```
</details>

## НаправлениеДеятельностиНазначенияПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Значение ключевых реквизитов заказа на производства, используемых при формировании этапов производства.
//
// Параметры:
//  НазначениеПродукция	 - СправочникСсылка.Назначения - назначение продукции из шапки заказа.
//
// Возвращаемое значение:
//  СправочникСсылка.НаправленияДеятельности - направление деятельности назначения продукции.
//
Функция НаправлениеДеятельностиНазначенияПродукции(НазначениеПродукция) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроизводствомПовтИсп.НаправлениеДеятельностиНазначенияПродукции(НазначениеПродукция) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
