---
title: Управление процессами согласования УХ
slug: erp-uh/управление-процессами-согласования-ух
---


## ПроверитьИЗавершитьПроцессы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль обеспечивает программную функциональность подсистем согласования и
// управления универсальными процессами.
////////////////////////////////////////////////////////////////////////////////

Процедура ПроверитьИЗавершитьПроцессы(ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПроверитьИЗавершитьПроцессы(ОбъектСсылка) 
```
</details>

## ПроверитьВозможностьУстановкиСостояния
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьУстановкиСостояния(Заявка, СостояниеЗаявки, ПротоколОшибок = Неопределено, Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПроверитьВозможностьУстановкиСостояния(Заявка, СостояниеЗаявки, ПротоколОшибок, Форма);
```
</details>

## ПеревестиЗаявкуВПроизвольноеСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПеревестиЗаявкуВПроизвольноеСостояние(Знач Заявка, Знач СостояниеЗаявки, Знач Период = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПеревестиЗаявкуВПроизвольноеСостояние(Заявка, СостояниеЗаявки, Период, );
```
</details>

## ПеревестиЗаявкуВСостояниеНаУтверждении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПеревестиЗаявкуВСостояниеНаУтверждении(ОбъектСсылка, ДокументПроцесса = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПеревестиЗаявкуВСостояниеНаУтверждении(ОбъектСсылка, ДокументПроцесса, );
```
</details>

## ПеревестиЗаявкуВСостояниеОтклонена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПеревестиЗаявкуВСостояниеОтклонена(ОбъектСсылка, ПользовательВход = Неопределено, ТолькоЗаполненные = Ложь, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПеревестиЗаявкуВСостояниеОтклонена(ОбъектСсылка, ПользовательВход, ТолькоЗаполненные, );
```
</details>

## ПеревестиЗаявкуВСостояниеУтверждена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПеревестиЗаявкуВСостояниеУтверждена(ОбъектСсылка, ТолькоЗаполненные = Ложь, ДокументПроцесса = Неопределено, ИдентификаторФормыДляВыводаПротокола = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПеревестиЗаявкуВСостояниеУтверждена(ОбъектСсылка, ТолькоЗаполненные, ДокументПроцесса, ИдентификаторФормыДляВыводаПротокола, ДополнительныеПараметры);
```
</details>

## ПеревестиЗаявкуВСостояниеЧерновик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПеревестиЗаявкуВСостояниеЧерновик(ОбъектСсылка, ДокументПроцесса = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПеревестиЗаявкуВСостояниеЧерновик(ОбъектСсылка, ДокументПроцесса, ДополнительныеПараметры);
```
</details>

## ВернутьТекущееСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТекущееСостояние(Объект) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ВернутьТекущееСостояние(Объект) 
```
</details>

## ВернутьСтатусОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус объекта ОбъектВход, не привязанный к согласованию.
// Когда не удалось получить статус, будет возвращено ЗначениеПоУмолчаниюВход.
Функция ВернутьСтатусОбъекта(ОбъектВход, ЗначениеПоУмолчаниюВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ВернутьСтатусОбъекта(ОбъектВход, ЗначениеПоУмолчаниюВход);
```
</details>

## ЗаполнитьТаблицуСостоянияВыполненияПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Считвает таблицу СостоянияВыполненияПроцесса из базы.
Процедура ЗаполнитьТаблицуСостоянияВыполненияПроцесса(СостоянияВыполненияПроцесса, ПериодВход, СценарийВход, ДатаВход) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЗаполнитьТаблицуСостоянияВыполненияПроцесса(СостоянияВыполненияПроцесса, ПериодВход, СценарийВход, ДатаВход) 
```
</details>

## ИнициализироватьПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьПроцесс(Знач ПериодСценария, Знач Сценарий, Знач Дата, СостоянияВыполненияПроцесса=Неопределено, мПоследователиСтрок=Неопределено, мПредшественникиСтрок=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ИнициализироватьПроцесс(ПериодСценария, Сценарий, Дата, СостоянияВыполненияПроцесса, мПоследователиСтрок, мПредшественникиСтрок);
```
</details>

## ЗаполнитьПоказателиПоследователи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПоказателиПоследователи(ПоследователиСтроки, ТекСтрока, ЭтапыПоследователи, СрезыПериметров, КэшСоответствийЭтаповПоследователей, СостоянияВыполненияПроцесса) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЗаполнитьПоказателиПоследователи(ПоследователиСтроки, ТекСтрока, ЭтапыПоследователи, СрезыПериметров, КэшСоответствийЭтаповПоследователей, СостоянияВыполненияПроцесса) 
```
</details>

## ЭтапыПоследователи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтапыПоследователи(ЭтапПроцесса, КэшСоответствий) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ЭтапыПоследователи(ЭтапПроцесса, КэшСоответствий) 
```
</details>

## ЗаполнитьПоказателиПредшественники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПоказателиПредшественники(ПредшественникиСтроки, ТекСтрока, СрезЭтаповПредшественников, СрезыПериметров, СостоянияВыполненияПроцесса) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЗаполнитьПоказателиПредшественники(ПредшественникиСтроки, ТекСтрока, СрезЭтаповПредшественников, СрезыПериметров, СостоянияВыполненияПроцесса) 
```
</details>

## ОбработатьЭкземплярОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьЭкземплярОтчета(РабочийОбъект, Реквизиты, ОбновлениеДокумента = Ложь, ПробныйПроцесс = Ложь, Утвердить = Ложь, СогласовыватьВход = Ложь, СтруктураНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ОбработатьЭкземплярОтчета(РабочийОбъект, Реквизиты, ОбновлениеДокумента, ПробныйПроцесс, Утвердить, СогласовыватьВход, СтруктураНастроек);
```
</details>

## ЕстьСтатусВСоответствии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет наличие статуса ВидСтатусаВход в соответствии СоответствиеСтатусовВход.
Функция ЕстьСтатусВСоответствии(СоответствиеСтатусовВход, ВидСтатусаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ЕстьСтатусВСоответствии(СоответствиеСтатусовВход, ВидСтатусаВход) 
```
</details>

## УстановитьСтатусыПодчиненныхОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьСтатусыПодчиненныхОбъектов(РеестрСсылка, ВидСтатуса = "", ЗначениеСтатуса = неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.УстановитьСтатусыПодчиненныхОбъектов(РеестрСсылка, ВидСтатуса, ЗначениеСтатуса);
```
</details>

## ИзменитьСостояниеЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьСостояниеЗаявки(СсылкаВход, СостояниеВход, ФормаВход, ОбъектВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ИзменитьСостояниеЗаявки(СсылкаВход, СостояниеВход, ФормаВход, ОбъектВход, ВыходноеЗначение) 
```
</details>

## ЭтоСостояниеВРаботе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЭтоСостояниеВРаботе(СостояниеВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЭтоСостояниеВРаботе(СостояниеВход, ВыходноеЗначение) 
```
</details>

## ПолучитьМассивЭтаповСогласованияТекущегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив структур, содержащий информацию о доступных
// этапах пользователя.
Процедура ПолучитьМассивЭтаповСогласованияТекущегоПользователя(ОбъектВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПолучитьМассивЭтаповСогласованияТекущегоПользователя(ОбъектВход, ВыходноеЗначение) 
```
</details>

## СостояниеПриИзмененииСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СостояниеПриИзмененииСервер(ФормаВход, СсылкаВход) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.СостояниеПриИзмененииСервер(ФормаВход, СсылкаВход) 
```
</details>

## ЗаполнитьСтруктуруСостояний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтруктуруСостояний(СтруктураРезультат) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЗаполнитьСтруктуруСостояний(СтруктураРезультат) 
```
</details>

## ВернутьДанныеСостоянийЭкземпляраОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВернутьДанныеСостоянийЭкземпляраОтчета(СсылкаВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВернутьДанныеСостоянийЭкземпляраОтчета(СсылкаВход, ВыходноеЗначение) 
```
</details>

## ОпределитьИспользованиеМаршрутаСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьИспользованиеМаршрутаСогласования(СогласующийВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ОпределитьИспользованиеМаршрутаСогласования(СогласующийВход, ВыходноеЗначение) 
```
</details>

## СогласованиеЧерезРакурс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СогласованиеЧерезРакурс(ВидОтчетаВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.СогласованиеЧерезРакурс(ВидОтчетаВход, ВыходноеЗначение) 
```
</details>

## ВернутьСтруктуруОткрытияРакурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для открытия формы управления
// ракурсами для вида отчета ВидОтчетаВход, содержащие период
// ПериодВход.
Функция ВернутьСтруктуруОткрытияРакурса(ВидОтчетаВход, ПериодВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ВернутьСтруктуруОткрытияРакурса(ВидОтчетаВход, ПериодВход) 
```
</details>

## ЗаполнитьСтруктуруОткрытияРакурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтруктуруОткрытияРакурса(ВидОтчетаВход, ПериодВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЗаполнитьСтруктуруОткрытияРакурса(ВидОтчетаВход, ПериодВход, ВыходноеЗначение) 
```
</details>

## ЗаполнитьЗначениеСтатусОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗначениеСтатусОбъекта(СсылкаВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЗаполнитьЗначениеСтатусОбъекта(СсылкаВход, ВыходноеЗначение) 
```
</details>

## ЗаполнитьЗначениеТекущееСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗначениеТекущееСостояние(ОбъектВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЗаполнитьЗначениеТекущееСостояние(ОбъектВход, ВыходноеЗначение) 
```
</details>

## ЗаполнитьЗначениеПеревестиЗаявкуВПроизвольноеСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗначениеПеревестиЗаявкуВПроизвольноеСостояние(Знач Заявка, Знач СостояниеЗаявки, Знач Период = Неопределено, Знач Автор = Неопределено,Форма = Неопределено,ДокументПроцесса = Неопределено, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЗаполнитьЗначениеПеревестиЗаявкуВПроизвольноеСостояние(Заявка, СостояниеЗаявки, Период, Автор, Форма, ДокументПроцесса, ВыходноеЗначение) 
```
</details>

## ПроверитьВозможностьУтвержденияОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьВозможностьУтвержденияОтчета(ПользовательВход, ВидОтчетаВход, ОрганизацияВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПроверитьВозможностьУтвержденияОтчета(ПользовательВход, ВидОтчетаВход, ОрганизацияВход, ВыходноеЗначение) 
```
</details>

## ПолучитьСостояниеЭтапаНастраиваемогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСостояниеЭтапаНастраиваемогоОтчета(ОбъектВход, ЭтапПроцессаВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПолучитьСостояниеЭтапаНастраиваемогоОтчета(ОбъектВход, ЭтапПроцессаВход, ВыходноеЗначение) 
```
</details>

## ПолучитьСостояниеСогласования_Утвержден
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСостояниеСогласования_Утвержден(ТипОбъектаСогласованияВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПолучитьСостояниеСогласования_Утвержден(ТипОбъектаСогласованияВход, ВыходноеЗначение) 
```
</details>

## ПолучитьМассивЭтаповЭскалации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив этапов, где присутсвует шаблон отчёта ШаблонВход для организации
// ОрганизацияВход в ходе исполнения регламента ВерсияРегламентаВход.
Функция ПолучитьМассивЭтаповЭскалации(ВерсияРегламентаВход, ОрганизацияВход, ШаблонВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПолучитьМассивЭтаповЭскалации(ВерсияРегламентаВход, ОрганизацияВход, ШаблонВход));
```
</details>

## ЭскалацияУтвержденияВыгрузкиНабораЗаписейСостоянияОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет эскалацию утверждения этапов подготовки отчетности для таблицы значений ВыгрузкаВход.
Процедура ЭскалацияУтвержденияВыгрузкиНабораЗаписейСостоянияОбъектов(ВыгрузкаВход, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЭскалацияУтвержденияВыгрузкиНабораЗаписейСостоянияОбъектов(ВыгрузкаВход, Отказ));
```
</details>

## ОбработатьИзменениеСостоянияОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьИзменениеСостоянияОбъекта(НаборЗаписейВход, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ОбработатьИзменениеСостоянияОбъекта(НаборЗаписейВход, Отказ) 
```
</details>

## ПолучитьОтветственногоЗаТипОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОтветственногоЗаТипОбъекта(ЭлементСсылка, Знач Организация = Неопределено, Знач ШаблонДокументаБД = Неопределено, ТипОтветственного = Неопределено, ВыходноеЗначение, ВернутьМассив = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПолучитьОтветственногоЗаТипОбъекта(ЭлементСсылка, Организация, ШаблонДокументаБД, ТипОтветственного, ВыходноеЗначение, ВернутьМассив);
```
</details>

## ОповеститьОбУтвержденииЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОбУтвержденииЭтапа(ТекущиеДанные, СостоянияПроцесса, мПоследователиСтрок) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ОповеститьОбУтвержденииЭтапа(ТекущиеДанные, СостоянияПроцесса, мПоследователиСтрок) 
```
</details>

## ОповеститьОНачалеВыполненияЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОНачалеВыполненияЭтапа(ТекущиеДанные, ПериодСценария, Сценарий) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ОповеститьОНачалеВыполненияЭтапа(ТекущиеДанные, ПериодСценария, Сценарий) 
```
</details>

## ОповеститьОПриостановленииЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОПриостановленииЭтапа(ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ОповеститьОПриостановленииЭтапа(ТекущиеДанные) 
```
</details>

## УтвердитьДокументыПоЭтапу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УтвердитьДокументыПоЭтапу(ТекущиеДанные, ОсновныеРеквизиты, Отказ, ШапкаОшибки) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.УтвердитьДокументыПоЭтапу(ТекущиеДанные, ОсновныеРеквизиты, Отказ, ШапкаОшибки) 
```
</details>

## ОбработкаЭкземпляровОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработкаЭкземпляровОтчетов(ТекущиеДанные,ОсновныеРеквизиты, ВидОтчета, ПробныйПроцесс, Обязательный = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ОбработкаЭкземпляровОтчетов(ТекущиеДанные, ОсновныеРеквизиты, ВидОтчета, ПробныйПроцесс, Обязательный);
```
</details>

## ОбработатьДокументыПоЭтапу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьДокументыПоЭтапу(ТекущиеДанные, ОсновныеРеквизиты, ПробныйПроцесс = Ложь, ВидДокумента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ОбработатьДокументыПоЭтапу(ТекущиеДанные, ОсновныеРеквизиты, ПробныйПроцесс, ВидДокумента);
```
</details>

## ЗапуститьПробныйПроцессДоТекущегоЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗапуститьПробныйПроцессДоТекущегоЭтапа(ТекущиеДанные, мПредшественникиСтрок, мПоследователиСтрок, ОсновныеРеквизиты, СостоянияВыполненияПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ЗапуститьПробныйПроцессДоТекущегоЭтапа(ТекущиеДанные, мПредшественникиСтрок, мПоследователиСтрок, ОсновныеРеквизиты, СостоянияВыполненияПроцесса) 
```
</details>

## ПолучитьРабочиеШаблоныДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРабочиеШаблоныДокументов(Период, Сценарий, Этап, Организация, ВидДокумента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПолучитьРабочиеШаблоныДокументов(Период, Сценарий, Этап, Организация, ВидДокумента);
```
</details>

## ВыполнитьОбработкуЭкземпляраОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьОбработкуЭкземпляраОтчета(РабочийОбъект, Реквизиты, ОбновлениеДокумента = Ложь, ПробныйПроцесс = Ложь, Утвердить = Ложь, СогласовыватьВход = Ложь, СтруктураНастроек = Неопределено, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВыполнитьОбработкуЭкземпляраОтчета(РабочийОбъект, Реквизиты, ОбновлениеДокумента, ПробныйПроцесс, Утвердить, СогласовыватьВход, СтруктураНастроек, ВыходноеЗначение) 
```
</details>

## ЗаполнитьПустуюСсылкуНаАналитику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПустуюСсылкуНаАналитику(ТаблицаАналитики, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ЗаполнитьПустуюСсылкуНаАналитику(ТаблицаАналитики, ВыходноеЗначение) 
```
</details>

## СоздатьНаборЗаписейСостоянияВыполненияПроцессовУправлениеПериодами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьНаборЗаписейСостоянияВыполненияПроцессовУправлениеПериодами(ПериодСценария, Сценарий, ДвиженияСостоянияВыполненияПроцессов) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.СоздатьНаборЗаписейСостоянияВыполненияПроцессовУправлениеПериодами(ПериодСценария, Сценарий, ДвиженияСостоянияВыполненияПроцессов) 
```
</details>

## ВернутьЗапросЗаполненияОбменаМоделями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВернутьЗапросЗаполненияОбменаМоделями(ПараметрВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВернутьЗапросЗаполненияОбменаМоделями(ПараметрВход, ВыходноеЗначение) 
```
</details>

## ПолучитьПустойЭкземплярПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПустойЭкземплярПроцесса(ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПолучитьПустойЭкземплярПроцесса(ВыходноеЗначение) 
```
</details>

## ПроверитьЭтоШаблонАвтоутверждение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЭтоШаблонАвтоутверждение(ШаблонВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПроверитьЭтоШаблонАвтоутверждение(ШаблонВход, ВыходноеЗначение) 
```
</details>

## ПолучитьОбластьДанныхПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сопоставленную показателю ПоказательВход область данных (ракурс) в экземпляре
// отчета ЭкземплярОтчетаВход. В случае невозможности определить область - вернёт
// пустую ссылку.
Функция ПолучитьОбластьДанныхПоказателя(ПоказательВход, ЭкземплярОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПолучитьОбластьДанныхПоказателя(ПоказательВход, ЭкземплярОтчетаВход) 
```
</details>

## СформироватьСтруктуруОткрытияФормыВизированияПакетаДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру параметров формы визирвоания для согласования текущем
// пользователем документов из списка СписокДокументовВход.
Функция СформироватьСтруктуруОткрытияФормыВизированияПакетаДокументов(СписокДокументовВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.СформироватьСтруктуруОткрытияФормыВизированияПакетаДокументов(СписокДокументовВход) 
```
</details>

## ПолучитьКартинкуОтображенияПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает картинку для графического отображения состояния процесса СостояниеВход.
Функция ПолучитьКартинкуОтображенияПроцесса(СостояниеВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПолучитьКартинкуОтображенияПроцесса(СостояниеВход) 
```
</details>

## ПолучитьЭкземплярПроцессаСценария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает экземпляр процесса, запущенного по версии регламента ВерсияВход
// в периоде ПериодВход и сценарии СценарийВход.
Функция ПолучитьЭкземплярПроцессаСценария(ВерсияВход, ПериодВход, СценарийВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПолучитьЭкземплярПроцессаСценария(ВерсияВход, ПериодВход, СценарийВход) 
```
</details>

## ВернутьОбластьДанныхПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВернутьОбластьДанныхПоказателя(ПоказательВход, ЭкземплярОтчетаВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВернутьОбластьДанныхПоказателя(ПоказательВход, ЭкземплярОтчетаВход, ВыходноеЗначение) 
```
</details>

## ВернутьРакурсСогласованияОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВернутьРакурсСогласованияОбласти(ЭкземплярОтчетаВход, РакурсВход, ОрганизацияВход, ИспользоватьПроектыВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВернутьРакурсСогласованияОбласти(ЭкземплярОтчетаВход, РакурсВход, ОрганизацияВход, ИспользоватьПроектыВход, ВыходноеЗначение) 
```
</details>

## ВернутьТребуетсяСогласованиеЭкземпляраОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВернутьТребуетсяСогласованиеЭкземпляраОтчета(ЭкземплярОтчетаВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВернутьТребуетсяСогласованиеЭкземпляраОтчета(ЭкземплярОтчетаВход, ВыходноеЗначение) 
```
</details>

## ПеренестиСтрокиДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПеренестиСтрокиДерева(СтрокиДереваНазначения, СтрокиДереваИсточника) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПеренестиСтрокиДерева(СтрокиДереваНазначения, СтрокиДереваИсточника));
```
</details>

## ПолучитьДеревоЗначенийЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДеревоЗначенийЭтапов(ВерсияОрганизационнойСтруктуры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПолучитьДеревоЗначенийЭтапов(ВерсияОрганизационнойСтруктуры) 
```
</details>

## ВыполнитьПолучениеДереваЗначенийЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьПолучениеДереваЗначенийЭтапов(ВерсияОрганизационнойСтруктурыВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВыполнитьПолучениеДереваЗначенийЭтапов(ВерсияОрганизационнойСтруктурыВход, ВыходноеЗначение) 
```
</details>

## РазрешеноФормированиеОтчетовПробнойОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет возможность формирование пробной отчетности на этапе ЭтапВход
// по организации ОрганизацияВход по таблице сформированных отчетов
// ТаблицаСформированныхОтчетов.
Функция РазрешеноФормированиеОтчетовПробнойОтчетности(ЭтапВход, ОрганизацияВход, ТаблицаСформированныхОтчетов, СтруктураПараметровВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.РазрешеноФормированиеОтчетовПробнойОтчетности(ЭтапВход, ОрганизацияВход, ТаблицаСформированныхОтчетов, СтруктураПараметровВход));
```
</details>

## ВыделитьОрганизацииЭтапаПоследователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив организаций, которые будут активированы при
// активации этапа ЭтапПоследователь после этапа ИсходныйЭтап по
// организации ОрганизацияВход.
Функция ВыделитьОрганизацииЭтапаПоследователя(ИсходныйЭтап, ЭтапПоследователь, ОрганизацияВход, ВерсияРегламента, СостоянияВыполненияПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ВыделитьОрганизацииЭтапаПоследователя(ИсходныйЭтап, ЭтапПоследователь, ОрганизацияВход, ВерсияРегламента, СостоянияВыполненияПроцесса) 
```
</details>

## СформироватьПробнуюОтчетностьДляПоследователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет рекурсивное формирование пробной отчетности для последователей этапа
// ИсходныйЭтапВход, находясь внутри ветки обработки с этапами МассивЭтаповПредшественников.
Процедура СформироватьПробнуюОтчетностьДляПоследователей(ИсходныйЭтапВход, МассивЭтаповПредшественников, ОрганизацияВход, СостоянияВыполненияПроцесса, мПоследователиСтрок, ТаблицаСформированныхОтчетов, СтруктураПараметровВход, ТаблицаОбработанныхВетокИзм, ГлубинаРекурсии = 0) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.СформироватьПробнуюОтчетностьДляПоследователей(ИсходныйЭтапВход, МассивЭтаповПредшественников, ОрганизацияВход, СостоянияВыполненияПроцесса, мПоследователиСтрок, ТаблицаСформированныхОтчетов, СтруктураПараметровВход, ТаблицаОбработанныхВетокИзм, ГлубинаРекурсии);
```
</details>

## ОбработатьПробнуюОтчетностьДляЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку пробной отчетости на этапе ЭтапПроцессаВход.
Функция ОбработатьПробнуюОтчетностьДляЭтапа(РегламентВход, ПериодОтчетаВход, СценарийВход, ЭтапПроцессаВход, ОрганизацияВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ОбработатьПробнуюОтчетностьДляЭтапа(РегламентВход, ПериодОтчетаВход, СценарийВход, ЭтапПроцессаВход, ОрганизацияВход) 
```
</details>

## СформироватьСтруктуруПараметровПроцессаПодготовки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру параметров процесса подготовки отчётности.
Функция СформироватьСтруктуруПараметровПроцессаПодготовки() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.СформироватьСтруктуруПараметровПроцессаПодготовки() 
```
</details>

## СформироватьПробнуюОтчетностьДоЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пробную отчетность до этапа ЭтапВход.
Процедура СформироватьПробнуюОтчетностьДоЭтапа(ЭтапВход, СостоянияВыполненияПроцесса, мПоследователиСтрок, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.СформироватьПробнуюОтчетностьДоЭтапа(ЭтапВход, СостоянияВыполненияПроцесса, мПоследователиСтрок, СтруктураПараметров) 
```
</details>

## ВыполнитьПроцессДляПоследователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет рекурсивную обработку и утверждение отчетности для последователей этапа
// ИсходныйЭтапВход, находясь внутри ветки обработки с этапами МассивЭтаповПредшественников.
Процедура ВыполнитьПроцессДляПоследователей(ИсходныйЭтапВход, МассивЭтаповПредшественников, ВерсияРегламента, ПериодОтчета, Сценарий, ОрганизацияВход, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, ЭкземплярПроцессаВход, ГлубинаРекурсии = 0) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВыполнитьПроцессДляПоследователей(ИсходныйЭтапВход, МассивЭтаповПредшественников, ВерсияРегламента, ПериодОтчета, Сценарий, ОрганизацияВход, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, ЭкземплярПроцессаВход, ГлубинаРекурсии);
```
</details>

## МожноАктвивироватьЭтапПоследовательВыполненияПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет возможность активирования этапа ЭтапВход исходя из активации предшественников.
Функция МожноАктвивироватьЭтапПоследовательВыполненияПроцесса(ЭтапВход, ОрганизацияВход, ВерсияРегламента, ПериодВход, СценарийВход, ЭкземплярПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.МожноАктвивироватьЭтапПоследовательВыполненияПроцесса(ЭтапВход, ОрганизацияВход, ВерсияРегламента, ПериодВход, СценарийВход, ЭкземплярПроцессаВход));
```
</details>

## ВыполнитьПроцессДоЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает выполнение процесса до этапа ЭтапВход с утверждением всех отчетов.
Процедура ВыполнитьПроцессДоЭтапа(ЭтапВход, ВерсияРегламента, СостоянияВыполненияПроцесса, ПериодВход, СценарийВход, ЭкземплярПроцессаВход, мПредшественникиСтрок, мПоследователиСтрок) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВыполнитьПроцессДоЭтапа(ЭтапВход, ВерсияРегламента, СостоянияВыполненияПроцесса, ПериодВход, СценарийВход, ЭкземплярПроцессаВход, мПредшественникиСтрок, мПоследователиСтрок) 
```
</details>

## ВыполнитьПолучениеСценарияПериодаПоИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьПолучениеСценарияПериодаПоИсточнику(ИсточникВход, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВыполнитьПолучениеСценарияПериодаПоИсточнику(ИсточникВход, ВыходноеЗначение) 
```
</details>

## ПолучитьМассивЗапущенныхПроцессов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив экземпляров процессов, запущенных по шаблону ШаблонПроцессаВход.
Функция ПолучитьМассивЗапущенныхПроцессов(ШаблонПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПолучитьМассивЗапущенныхПроцессов(ШаблонПроцессаВход) 
```
</details>

## ПреобразоватьВремяПоПериодичности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует время в секундах ИсходноеЗначениеВход во время с периодичностью ПериодичностьВход.
Функция ПреобразоватьВремяПоПериодичности(ИсходноеЗначениеВход, ПериодичностьВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПреобразоватьВремяПоПериодичности(ИсходноеЗначениеВход, ПериодичностьВход) 
```
</details>

## ОбработатьОбъектЭлиминация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит обработку документа элиминация ЭлиминацияОбъект. Когда
// параметр Утвердить - Истина, также производится перепроведение документа
Функция ОбработатьОбъектЭлиминация(ЭлиминацияОбъект, Утвердить = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ОбработатьОбъектЭлиминация(ЭлиминацияОбъект, Утвердить);
```
</details>

## ВыполитьОбработкуЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполитьОбработкуЭлиминации(ЭлиминацияОбъект, Утвердить, ВыходноеЗначение = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВыполитьОбработкуЭлиминации(ЭлиминацияОбъект, Утвердить, ВыходноеЗначение);
```
</details>

## СоздатьДокументЭлиминация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаёт документ Элиминация по заданным параметрам и возвращает объект документа.
// Когда создать не удалось - будет возвращено Неопределено.
Функция СоздатьДокументЭлиминация(ВалютаЭлиминационныхПроводок, Организация, КонсолидирующаяОрганизация, ПериодОтчета, Сценарий) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.СоздатьДокументЭлиминация(ВалютаЭлиминационныхПроводок, Организация, КонсолидирующаяОрганизация, ПериодОтчета, Сценарий));
```
</details>

## ВыполнитьСозданиеДокументаЭлиминация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьСозданиеДокументаЭлиминация(ВалютаЭлиминационныхПроводок, Организация, КонсолидирующаяОрганизация, ПериодОтчета, Сценарий, ВыходноеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ВыполнитьСозданиеДокументаЭлиминация(ВалютаЭлиминационныхПроводок, Организация, КонсолидирующаяОрганизация, ПериодОтчета, Сценарий, ВыходноеЗначение) 
```
</details>

## ПриЗаписиСогласуемогоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиСогласуемогоОбъекта(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПриЗаписиСогласуемогоОбъекта(Источник, Отказ) 
```
</details>

## ПроверитьУтверждениеПравилРакурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьУтверждениеПравилРакурсов(ВыходноеЗначение, СсылкаВход, СостояниеВход) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПроверитьУтверждениеПравилРакурсов(ВыходноеЗначение, СсылкаВход, СостояниеВход) 
```
</details>

## ОбновитьИдентификаторыВУзлеУсловногоПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьИдентификаторыВУзлеУсловногоПерехода(УзелИзм, ТаблицаЗначенийПараметровИзм, ШаблонВход, ГлубинаРекурсииВход = 0) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ОбновитьИдентификаторыВУзлеУсловногоПерехода(УзелИзм, ТаблицаЗначенийПараметровИзм, ШаблонВход, ГлубинаРекурсииВход);
```
</details>

## ПроверитьПравильностьЗаполненияСтрокиПланаЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПравильностьЗаполненияСтрокиПланаЗакупок(ВыходноеЗначение, СсылкаВход, СостояниеВход) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПроверитьПравильностьЗаполненияСтрокиПланаЗакупок(ВыходноеЗначение, СсылкаВход, СостояниеВход) 
```
</details>

## ПроверитьПравильностьЗаполненияПрограммыЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПравильностьЗаполненияПрограммыЗакупок(ВыходноеЗначение, СсылкаВход, СостояниеВход) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ПроверитьПравильностьЗаполненияПрограммыЗакупок(ВыходноеЗначение, СсылкаВход, СостояниеВход) 
```
</details>

## ПолучитьСтруктуруДанныхКартинкиОтобрженияПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую данные для отображения картинки процесса.
Функция ПолучитьСтруктуруДанныхКартинкиОтобрженияПроцесса(СсылкаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПолучитьСтруктуруДанныхКартинкиОтобрженияПроцесса(СсылкаВход) 
```
</details>

## ПолучитьТаблицуФормируемыхОтчетовПоРегламенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возваращает таблицу формируемых отчётов по этапам по регламенту ВерсияРегламентаВход для сценария
// СценарийВход и периоду ПериодВход.
Функция ПолучитьТаблицуФормируемыхОтчетовПоРегламенту(ВерсияРегламентаВход, ПериодВход, СценарийВход, ВидДокументаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПолучитьТаблицуФормируемыхОтчетовПоРегламенту(ВерсияРегламентаВход, ПериодВход, СценарийВход, ВидДокументаВход);
```
</details>

## ПолучитьЭтапыПредшественники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭтапыПредшественники(ЭтапВход, ДокументПроцессаВход = Неопределено, ПроходитьУсловие = Истина, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУХ.ПолучитьЭтапыПредшественники(ЭтапВход, ДокументПроцессаВход, ПроходитьУсловие, ДополнительныеПараметры);
```
</details>

## ДополнитьМассивПредшественников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в массив МассивРезультат этапы-предшественники этапа ЭтапВход. Параметр ГлубинаВход
// защищает от бесконечной рекурсии.
Процедура ДополнитьМассивПредшественников(МассивРезультат, ЭтапВход, ГлубинаВход = 0, ДокументПроцессаВход = Неопределено, ПроходитьУсловие = Истина, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУХ.ДополнитьМассивПредшественников(МассивРезультат, ЭтапВход, ГлубинаВход, ДокументПроцессаВход, ПроходитьУсловие, ДополнительныеПараметры);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
