---
title: Управление процессами согласования УХ переопределяемый
slug: erp-uh/управление-процессами-согласования-ух-переопределяемый
---


## ПолучитьТекстЗапросаЗаявкиНаОперациюМоиОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль содержит переопределяемые в данном решении методы логики управления
// согласованием в контексте клиент-серверного кода
////////////////////////////////////////////////////////////////////////////////

// Возвращает текст запроса для списка заявок формы Мои оповещения.
Функция ПолучитьТекстЗапросаЗаявкиНаОперациюМоиОповещения() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУхПереопределяемый.ПолучитьТекстЗапросаЗаявкиНаОперациюМоиОповещения() 
```
</details>

## ПолучитьТекстЗапросаУсловныйПереходВЗаявке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса построителя запросов для условного перехода
// при согласовании заявки на оплату.
Функция ПолучитьТекстЗапросаУсловныйПереходВЗаявке(МассивРеквизитов, ИндексРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУхПереопределяемый.ПолучитьТекстЗапросаУсловныйПереходВЗаявке(МассивРеквизитов, ИндексРеквизита) 
```
</details>

## ПреобразоватьСостояниеПланаЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует состояние согласования СостояниеОбъектаВход в значение перечисления
// СтатусыПланов.
Функция ПреобразоватьСостояниеПланаЗакупок(СостояниеОбъектаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУхПереопределяемый.ПреобразоватьСостояниеПланаЗакупок(СостояниеОбъектаВход));
```
</details>

## УстановитьСтатусДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает статус для объекта ДокументВход.
Функция УстановитьСтатусДокумента(ДокументВход, СтатусВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУхПереопределяемый.УстановитьСтатусДокумента(ДокументВход, СтатусВход) 
```
</details>

## ОбработатьИзменениеСостоянияОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку изменения состояния объекта ОбъектСсылкаВход в состояние
// СостояниеОбъектаВход. Возвращает успешность операции.
Функция ОбработатьИзменениеСостоянияОбъекта(ОбъектСсылкаВход, СостояниеОбъектаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеПроцессамиСогласованияУхПереопределяемый.ОбработатьИзменениеСостоянияОбъекта(ОбъектСсылкаВход, СостояниеОбъектаВход) 
```
</details>

## ДополнитьЗапросДополнительнымиРеквизитамиИСведениями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет условный переход анализом Дополнительных реквизитов и значений
Процедура ДополнитьЗапросДополнительнымиРеквизитамиИСведениями(МетаданныеОбъекта, Экспорт
```

Пример вызова
```bsl
УправлениеПроцессамиСогласованияУхПереопределяемый.ДополнитьЗапросДополнительнымиРеквизитамиИСведениями(МетаданныеОбъекта, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
