---
title: Управление рабочими процессами УХ
slug: erp-uh/управление-рабочими-процессами-ух
---


## ПолучитьВсеУровниОрганизацийПериметраПоКонсолидируемой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Получает все организации которые подчинены КонсолидирующаяОрганизация на любом уровне вложенности.
// Параметры:
//	Сценарий - <СправочникСсылка.Сценарии> - сценарий регламента
//	ПериодОтчета - <СправочникСсылка.Периоды> - период регламента
//	КонсолидирующаяОрганизация - <СправочникСсылка.Организации> - консолидирующая организация.
// Возвращает:
//	<Массив> - элементы - организации периметра подчиненные на любом уровне организации КонсолидирующаяОрганизация.
//
Функция ПолучитьВсеУровниОрганизацийПериметраПоКонсолидируемой(Сценарий, ПериодОтчета, КонсолидирующаяОрганизация) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьВсеУровниОрганизацийПериметраПоКонсолидируемой(Сценарий, ПериодОтчета, КонсолидирующаяОрганизация) 
```
</details>

## ПолучитьСоставПериметраКонсолидации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоставПериметраКонсолидации( Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьСоставПериметраКонсолидации();
```
</details>

## ПолучитьДанныеРегламента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить данные регламента
//
// Параметры:
//  ОтборПостроителя - <Структура,Соотвествие>(ПутьОтбора, ЗначениеОтбора) - Отборы регламента, д
//  доступные поля отбора:
//  		КонсолидирующаяОрганизация 	- периметр по консолидирующей,
//  		Организация 				- периметры, в которые входит организации(элиминирующая организация, если нет, то возвр)
//  		ИндивидуальнаяОрганизация 	- отбор индивидуальных органиха по периметр данной организации(элиминирующая организация)
//	Отборы для получения периметра
//  ПоляВыборки		 - <Структура,Соотвествие>(имя колонки возвращаемой таблицы, Путь к полю) - дополнительные колонки
// Возвращаемое значение:
//   - <ТаблицаЗначений> данные регламента
Функция ПолучитьДанныеРегламента(ОтборПостроителя, ПоляВыборки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьДанныеРегламента(ОтборПостроителя, ПоляВыборки);
```
</details>

## ПолучитьЗапросДанныеРегламента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗапросДанныеРегламента(ОтборПостроителя, ПоляВыборки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьЗапросДанныеРегламента(ОтборПостроителя, ПоляВыборки);
```
</details>

## ПолучитьТекстЗапросаРегламента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапросаРегламента() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьТекстЗапросаРегламента());
```
</details>

## ПолучитьДанныеРегламентаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить данные регламента отчета
//
// Параметры:
//  КонтекстОтчета	 - <Структура,ДокументОбъект.НастраиваемыйОтчет,ДокументСсылка.НастраиваемыйОтчет> - контекст документа "настраиваемый отчет"
//  ПоляОтбора		 - <Соответствие,Структура,Неопределено> - Основной отбор
//  ПоляВыбора		 - <Соответствие,Структура,Неопределено> - дополнительные поля выбора
// Возвращаемое значение:
//   - ТаблицаЗначений
Функция ПолучитьДанныеРегламентаОтчета(КонтекстОтчета, ПоляВыбора = Неопределено, ПоляОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьДанныеРегламентаОтчета(КонтекстОтчета, ПоляВыбора, ПоляОтбора);
```
</details>

## ПолучитьМатеринскиеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМатеринскиеОрганизации(КонтекстОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьМатеринскиеОрганизации(КонтекстОтчета) 
```
</details>

## ПолучитьПериметрКонтролируемыхОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получает периметр организаций, которые находятся по
//
// Параметры:
//  КонтекстОтчета		 - <Структура,ДокументОбъект.НастраиваемыйОтчет,ДокументСсылка.НастраиваемыйОтчет> -
//  локСценарий			 - <СправочникСсылка.Сценарий>	 - сценарий отбора
//  локПериод			 - <СправочникСсылка.ПериодОтчета> - период отчета отбора
//  локОрганизация		 - <СправочникСсылка.Организации> - Организация чей периметр требуется получить(элиминирующая организация)
//  ВладелецПериметра	 - <СправочникСсылка.Организации> - консолидирующая организация
// Возвращаемое значение:
//   -  ТаблицаЗначений(Колонки: ИндивидуальнаяОрганизация, ПолнаяДоляГруппы, ИндексКонтроляВПериоде)
Функция ПолучитьПериметрКонтролируемыхОрганизаций(	КонтекстОтчета, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьПериметрКонтролируемыхОрганизаций(КонтекстОтчета, );
```
</details>

## ОрганизацияЯвляетсяКонсолидирующей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОрганизацияЯвляетсяКонсолидирующей(Организация, Сценарий, ПериодОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ОрганизацияЯвляетсяКонсолидирующей(Организация, Сценарий, ПериодОтчета) 
```
</details>

## ПолучитьЭлиминирующиеОрганизацииРегламента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает элиминирующе организации регламента и их основные валюты.
//
// Параметры:
//  ПериодОтчета - СправочникСсылка.Периоды	 - период для поиска регламента.
//  Сценарий	 - СправочникСсылка.Сценарии - сценарий для поиска регламента.
//
// Возвращаемое значение:
//   - ТаблицаЗначений - элиминирующие организации. Колонки:
//			- Организация - СправочникСсылка.Организации - элиминирующая организация.
//			- Валюта - СправочникСсылка.Валюты - валюта организации.
//
Функция ПолучитьЭлиминирующиеОрганизацииРегламента(ПериодОтчета, Сценарий) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьЭлиминирующиеОрганизацииРегламента(ПериодОтчета, Сценарий) 
```
</details>

## ПолучитьКонсолидирующуюОрганизацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКонсолидирующуюОрганизацию(ЭлиминирующаяОрганизация, Сценарий, ПериодОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьКонсолидирующуюОрганизацию(ЭлиминирующаяОрганизация, Сценарий, ПериодОтчета) 
```
</details>

## ПолучитьСтруктуруВхожденияВПериметр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру, в которой хранятся данные в следующих полях:
// - ЧистыеАктивы  - чистые активы объекта инвестирования на момент входа в период.
// - ДенежныйЭквивалентВЧА - денежный эквивалент доли инвестора в чистых активах объекта инвестирования.
// - ЗатратыНаПриобретение - затраты на приобретение объекта инвестирования.
// - Гудвилл        - гудвилл.
// - ПроцентГолосующихАкций - процент голосующих акций в объекте инвестирования.
// - ДатаВхожденияВПериметр - дата вхождения объекта инвестирования в периметр.
Функция ПолучитьСтруктуруВхожденияВПериметр(КонтекстОтчета, Знач локОрганизация) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьСтруктуруВхожденияВПериметр(КонтекстОтчета, локОрганизация) 
```
</details>

## ПолучитьКонсолидирующиеОрганизацииРегламента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - возвращает перечень консолидирующих организаций регламента (ищем по периоду и сценарию)
//
// Параметры:
//	ПериодОтчета - <СправочникСсылка.Периоды>, период для нахождения регламента.
//	Сценарий - <СправочникСсылка.Сценарии>, сценарий для нахождения регламента.
// Возвращаемое значение:
//	ТаблицаЗначений с колонками:
//		Организация - <СправочникСсылка.Организации> - консолидирующая организация;
//		Валюта - <СправочникСсылка.Валюты> - валюта (предоставления отчетности) периметра.
//	Если строк нет, то периметры не найдены.
//
Функция ПолучитьКонсолидирующиеОрганизацииРегламента(ПериодОтчета, Сценарий) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьКонсолидирующиеОрганизацииРегламента(ПериодОтчета, Сценарий) 
```
</details>

## ПолучитьВсеКонсолидирующиеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВсеКонсолидирующиеОрганизации(КонсолидируемаяОрганизация, Сценарий, ПериодОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьВсеКонсолидирующиеОрганизации(КонсолидируемаяОрганизация, Сценарий, ПериодОтчета) 
```
</details>

## ПолучитьВсеОрганизацииПериметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВсеОрганизацииПериметров(КонсолидируемаяОрганизация, Сценарий, ПериодОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьВсеОрганизацииПериметров(КонсолидируемаяОрганизация, Сценарий, ПериодОтчета) 
```
</details>

## ПолучитьСоответствиеСценариюПериоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоответствиеСценариюПериоду(Сценарий, Период, Имя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьСоответствиеСценариюПериоду(Сценарий, Период, Имя));
```
</details>

## ПолучитьДокументУправленияПериодомСценария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДокументУправленияПериодомСценария(Сценарий, Период) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьДокументУправленияПериодомСценария(Сценарий, Период) 
```
</details>

## ОпределитьДокументУправленияПериодомСценария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьДокументУправленияПериодомСценария(Сценарий,Период,ЭталонныйДокумент=Неопределено,ПериодСценарияОкончание=Неопределено,ВерсияРегламента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ОпределитьДокументУправленияПериодомСценария(Сценарий, Период, ЭталонныйДокумент, ПериодСценарияОкончание, ВерсияРегламента);
```
</details>

## ПолучитьВерсиюРегламентаПодготовкиОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВерсиюРегламентаПодготовкиОтчетности(Сценарий, Период) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьВерсиюРегламентаПодготовкиОтчетности(Сценарий, Период) 
```
</details>

## ПолучитьТаблицуКурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуКурсов(Сценарий, ПериодСценария) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьТаблицуКурсов(Сценарий, ПериодСценария) 
```
</details>

## ПересчитатьПоКурсу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция пересчитывает сумму из одной валюты в другую по переданному виду курса
//
// Сумма            - Сумма, которую необходимо пересчитать
// Валюта           - Валюта, из которой пересчитываем
// ВалютаПересчета  - Валюта, в которую пересчитываем
// ВидКурса         - Вид курса
// Сценарий         - Сценарий
// ПериодСценария   - Период сценария
// ДатаКурса        - Дата курса, для расчета вида курса "Курс на момент начисления"
// Отказ            - Отказ
// ШапкаОшибки      - Шапка ошибки
// КэшТаблицыКурсов - Параметр, в который возвращается таблица курсов документа версия состава курсов, используется для кэширования иногократного вызова функции
//
// Возвращаемое значение: сумма персчитанная по курсу
//
Функция ПересчитатьПоКурсу(Сумма, Валюта, ВалютаПересчета, ВидКурса, Сценарий = Неопределено, ПериодСценария = Неопределено, ДатаКурса = Неопределено, Отказ = Ложь, ШапкаОшибки = "", КэшТаблицыКурсов = Неопределено, Курс = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПересчитатьПоКурсу(Сумма, Валюта, ВалютаПересчета, ВидКурса, Сценарий, ПериодСценария, ДатаКурса, Отказ, ШапкаОшибки, КэшТаблицыКурсов, Курс);
```
</details>

## ПометитьНаУдалениеНастраиваемыеОтчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает/снимает пометку на удаление настраиваемых отчетов по периоду и сценарию
//
// Сценарий         - Сценарий
// ПериодСценария   - Период сценария
// ПометкаУдаления  - если Истина, настраиваемые отчеты помечаются на удаление.
//                         Ложь  - иначе
//
Процедура ПометитьНаУдалениеНастраиваемыеОтчеты(Сценарий, ПериодСценария, ПометкаУдаления = Истина) Экспорт
```

Пример вызова
```bsl
УправлениеРабочимиПроцессамиУХ.ПометитьНаУдалениеНастраиваемыеОтчеты(Сценарий, ПериодСценария, ПометкаУдаления);
```
</details>

## ОпределитьВалютыОтчетаПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьВалютыОтчетаПоПараметрам(Сценарий,ПериодСценария,Организация,ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ОпределитьВалютыОтчетаПоПараметрам(Сценарий, ПериодСценария, Организация, ВидОтчета) 
```
</details>

## УдалитьПромежуточныеВерсииЭкземпляровОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьПромежуточныеВерсииЭкземпляровОтчета(Сценарий, ПериодСценария) Экспорт
```

Пример вызова
```bsl
УправлениеРабочимиПроцессамиУХ.УдалитьПромежуточныеВерсииЭкземпляровОтчета(Сценарий, ПериодСценария) 
```
</details>

## ОстанавливатьсяПриОшибке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОстанавливатьсяПриОшибке(Отладка, ОстанавливатьсяПриОшике) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ОстанавливатьсяПриОшибке(Отладка, ОстанавливатьсяПриОшике));
```
</details>

## ЭтапУтвержден
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтапУтвержден(Период, Сценарий, Этап) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ЭтапУтвержден(Период, Сценарий, Этап));
```
</details>

## ПолучитьСостояниеЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСостояниеЭтапа(Период, Сценарий, Этап, Расширенно = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьСостояниеЭтапа(Период, Сценарий, Этап, Расширенно);
```
</details>

## ОбработатьЭкземплярыОтчетовЭтапаПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьЭкземплярыОтчетовЭтапаПоОрганизации(Период, Сценарий, Организация, ВидОтчета, ДатаНачала, Отладка, ОстанавливатьсяПриОшибке) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ОбработатьЭкземплярыОтчетовЭтапаПоОрганизации(Период, Сценарий, Организация, ВидОтчета, ДатаНачала, Отладка, ОстанавливатьсяПриОшибке));
```
</details>

## ОбработатьКорректировкиПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьКорректировкиПоПараметрам(ВидКорректировки, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ОбработатьКорректировкиПоПараметрам(ВидКорректировки, );
```
</details>

## ОбработатьДокументыПоРегламенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура создает при необходимости, заполняет по регламенту и записывает
// документ(ы), для которых определены правила заполнения
// Параметры
// - ВерсияРегламентаПодготовкиОтчетности: Справочник "ВерсииРегламентовПодготовкиОтчетности"
// - МассивКлючевыхНастроек: массив структур следующего вида:
//		- Организация
//		- ПериодОтчета
//		- Сценарий
//		- ОсновнаяВалюта
//		- ДокументБД:
//		- ШаблонДокументаБД: если документы загружаются не через универсальный импорт, тогда значение реквизита, имя которого указано в реквизите "РеквизитШаблонаДокумета" справочника "ДокументыБД"
//		- ДокументСсылка: заполняется в случае, когда документ уже создан и записан; в данном случае он будет перезаполнен
//		- ДокументОбъект: передается объект в случае, когда необходимо вручную обновить объект
//		- ПробныйПроцесс: добавляется в случае выполнения пробного процесса подготовки отчетности
//
Процедура ОбработатьДокументыПоРегламенту(МассивКлючевыхНастроек,ВерсияРегламентаПодготовкиОтчетности=Неопределено,Утвердить=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеРабочимиПроцессамиУХ.ОбработатьДокументыПоРегламенту(МассивКлючевыхНастроек, ВерсияРегламентаПодготовкиОтчетности, Утвердить);
```
</details>

## ПолучитьСценарийПериодПоИсточникуМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую сценарий, организацию и период по объекту ИсточникВход
// для продукта Бухгалтерия МСФО.
Функция ПолучитьСценарийПериодПоИсточникуМСФО(ИсточникВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьСценарийПериодПоИсточникуМСФО(ИсточникВход) 
```
</details>

## ОбработатьДокументыУниверсальногоИмпорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьДокументыУниверсальногоИмпорта(СтруктураНастроек,Реквизиты,ТаблицаВалютОтчетности) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ОбработатьДокументыУниверсальногоИмпорта(СтруктураНастроек, Реквизиты, ТаблицаВалютОтчетности));
```
</details>

## ОбработатьДокументКорректировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьДокументКорректировки(СтруктураНастроек,РабочийОбъект,Реквизиты, ПеренестиДанныеВОбъектВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ОбработатьДокументКорректировки(СтруктураНастроек, РабочийОбъект, Реквизиты, ПеренестиДанныеВОбъектВход);
```
</details>

## СоздатьОбъектДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаёт объект документа по структуре настроек и возвращает его. Когда создать не удалось,
// возвращает Неопределено.
Функция СоздатьОбъектДокумента(СтруктураНастроекВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.СоздатьОбъектДокумента(СтруктураНастроекВход));
```
</details>

## ПолучитьОбъектДляОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает объект - периодический документ для дальнейшего заполнения по регламенту
// Параметры
// - ТаблицаВалютОтчетности: Таблица валют, используемых для объекта
// - СтруктураНастроек: структура следующего вида:
//		- Организация
//		- ПериодОтчета
//		- Сценарий
//		- ОсновнаяВалюта
//		- ДокументБД:
//		- ШаблонДокументаБД: 	если документы загружаются не через универсальный импорт, тогда значение реквизита, имя которого указано в реквизите "РеквизитШаблонаДокумета" справочника "ДокументыБД"
//		- ДокументСсылка: 		заполняется в случае, когда документ уже создан и записан; в данном случае он будет перезаполнен
//		- ДокументОбъект: 		передается объект в случае, когда необходимо вручную обновить объект
//
Функция ПолучитьОбъектДляОбработки(СтруктураНастроек) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьОбъектДляОбработки(СтруктураНастроек) 
```
</details>

## ПолучитьКонтекстУправленияПериодомСценария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКонтекстУправленияПериодомСценария(СценарийИсточник, ПериодОтчетаИсточник) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьКонтекстУправленияПериодомСценария(СценарийИсточник, ПериодОтчетаИсточник) 
```
</details>

## ИнициализироватьПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьПроцесс(Знач ПериодСценария, Знач Сценарий, Знач Дата, СостоянияВыполненияПроцесса = Неопределено, мПоследователиСтрок=Неопределено, мПредшественникиСтрок=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеРабочимиПроцессамиУХ.ИнициализироватьПроцесс(ПериодСценария, Сценарий, Дата, СостоянияВыполненияПроцесса, мПоследователиСтрок, мПредшественникиСтрок);
```
</details>

## ПолучитьИндексСтрокиТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает индекс строки таблицы значений либо строки таблицы формы СтрокаВход.
Функция ПолучитьИндексСтрокиТаблицы(СтрокаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьИндексСтрокиТаблицы(СтрокаВход) 
```
</details>

## ПолучитьСоответствиеЭлиминирующейОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие, содержащее необходимые организации для элиминирующей
// организации ОрганизацияВход из таблицы ТаблицаОрганизацийВход.
Функция ПолучитьСоответствиеЭлиминирующейОрганизации(ОрганизацияВход, ТаблицаОрганизацийВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьСоответствиеЭлиминирующейОрганизации(ОрганизацияВход, ТаблицаОрганизацийВход));
```
</details>

## ПолучитьПериметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПериметры(Сценарий, ПериодСценария) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ПолучитьПериметры(Сценарий, ПериодСценария) 
```
</details>

## ОбработкаДокументовКорректировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработкаДокументовКорректировки(ТекущиеДанные,ОсновныеРеквизиты, ВидДокумента, ШаблонКорректировки, ПробныйПроцесс = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРабочимиПроцессамиУХ.ОбработкаДокументовКорректировки(ТекущиеДанные, ОсновныеРеквизиты, ВидДокумента, ШаблонКорректировки, ПробныйПроцесс);
```
</details>

## ОбновитьСрокиПоследователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обновляет строки последователей для строки ТекущиеДанные
// устанавливает им признак модификации и расчитывает дату начала и окончания этапа для
// запланированных и отмененных этапов
//
Процедура ОбновитьСрокиПоследователей(ТекущиеДанные, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок) Экспорт
```

Пример вызова
```bsl
УправлениеРабочимиПроцессамиУХ.ОбновитьСрокиПоследователей(ТекущиеДанные, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок) 
```
</details>

## ОбновитьСрокиПредшественников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обновляет строки предшественников для строки ТекущиеДанные
// и устанавливает им признак модификации
//
Процедура ОбновитьСрокиПредшественников(ТекущиеДанные, СостоянияВыполненияПроцесса, мПредшественникиСтрок) Экспорт
```

Пример вызова
```bsl
УправлениеРабочимиПроцессамиУХ.ОбновитьСрокиПредшественников(ТекущиеДанные, СостоянияВыполненияПроцесса, мПредшественникиСтрок) 
```
</details>

## ОбновитьДокументыУОП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьДокументыУОП() Экспорт
```

Пример вызова
```bsl
УправлениеРабочимиПроцессамиУХ.ОбновитьДокументыУОП() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
