---
title: Управление расчетом показателей
slug: erp-uh/управление-расчетом-показателей
---


## ВТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - ВТ - Возвращает структуру с таблицами запроса, в том числе и временными
//
// Параметры:
//  ЗапросМенеджер	 - Запрос, МенеджерВременныхТаблиц - Запрос или Менеджер временных таблиц
//
// Возвращаемое значение:
//   - Структура - Структура с таблицами запроса
//
Функция ВТ(Знач ЗапросМенеджер) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ВТ(ЗапросМенеджер) 
```
</details>

## ПолучитьОбработкуРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Получить обработку расчета для текущего случая
//
// Параметры:
//  ОбработкаРасчета - ОбработкаОбъект - В данную переменную возвращается обработка, в которой будет производиться расчет
//  ОбъектРасчета	 - Структура - Структура с данными для расчета
//
Процедура ПолучитьОбработкуРасчета(ОбработкаРасчета, ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПолучитьОбработкуРасчета(ОбработкаРасчета, ОбъектРасчета) 
```
</details>

## ОпределитьСпособФормированияОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Определить способ формирования отчета
//
// Параметры:
//  ОбъектРасчета	 - Структура - Структура с данными для расчета
//
// Возвращаемое значение:
//   - ПеречислениеСсылка.СпособыФормированияОтчетов - способ формирования отчета с переданными данными для расчета
//
Функция ОпределитьСпособФормированияОтчета(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ОпределитьСпособФормированияОтчета(ОбъектРасчета) 
```
</details>

## ОчиститьСтарыеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Очищает версии и данные параметрики текущего отчета
//
// Параметры:
//  ОбъектРасчета					 - Структура - Структура с данными для расчета
//  УдалятьВерсии					 - Булево - Признак того, что необходимо удалить версии
//  УдалятьПараметрикуНовогоДвижка	 - Булево - Признак того, что необходимо очистить данные параметрики расширенного алгоритма пересчета показателей
//  УдалятьПараметрикуСтарогоДвижка	 - Булево - Признак того, что необходимо очистить данные параметрики классического алгоритма пересчета показателей
//
Процедура ОчиститьСтарыеДанные(ОбъектРасчета,УдалятьВерсии=Истина,УдалятьПараметрикуНовогоДвижка=Истина,УдалятьПараметрикуСтарогоДвижка=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ОчиститьСтарыеДанные(ОбъектРасчета, УдалятьВерсии, УдалятьПараметрикуНовогоДвижка, УдалятьПараметрикуСтарогоДвижка);
```
</details>

## ОчиститьСтруктуруРасчетаПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Очищает регистр сведений "ХранилищаПараметрическойНастройкиРасширенный" для связанных правил расчета
//
// Параметры:
//  ДанныеСсылка - СправочникСсылка - Ссылка на изменяемый объект
//
Процедура ОчиститьСтруктуруРасчетаПоказателей(ДанныеСсылка = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ОчиститьСтруктуруРасчетаПоказателей(ДанныеСсылка);
```
</details>

## ДанныеВидаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные вида отчета
//
// Параметры:
//  ВидОтчета	 - СправочникСсылка.ВидыОтчетов - Ссылка на вид отчета
//
// Возвращаемое значение:
//   - Структура - Структура с данными вида отчета
//
Функция ДанныеВидаОтчета(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ДанныеВидаОтчета(ВидОтчета) 
```
</details>

## ПолучитьОписаниеЛогаИзмененныхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить описание лога измененных показателей
//
// Возвращаемое значение:
//   - ТаблицаЗначений - пустая таблица для лога измененных показателей
//
Функция ПолучитьОписаниеЛогаИзмененныхПоказателей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьОписаниеЛогаИзмененныхПоказателей() 
```
</details>

## ПолучитьОписаниеТаблицыИзмененныхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить описание таблицы измененных показателей
//
// Возвращаемое значение:
//   - ТаблицаЗначений - пустая таблица для таблицы измененных показателей
//
Функция ПолучитьОписаниеТаблицыИзмененныхПоказателей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьОписаниеТаблицыИзмененныхПоказателей() 
```
</details>

## ПолучитьТаблицуРасчетаПоказателейПоПравилуРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получает из регистра сведений "ХранилищаПараметрическойНастройкиРасширенный"
//	структуру для расчета показателей по правилу расчета.
//	Если в регистре сведений нет данных для переданного правила расчета, происходит расчет параметрики расчета
//
// Параметры:
//  ПравилоОбработки	 	- СправочникСсылка.ПравилаОбработки - Привило обработки для расчета
//	мПоказателиИсключения	- Массив - Массив с показателями, которые исключаются из расчета
//	ТипРасчетаПоказателей	- Число - тип расчета показателей отчетов
//
// Возвращаемое значение:
//   - Структура - Структура для расчета показателей по правилу расчета
//
Функция ПолучитьТаблицуРасчетаПоказателейПоПравилуРасчета(ПравилоОбработки, мПоказателиИсключения = Неопределено, ТипРасчетаПоказателей = 1) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТаблицуРасчетаПоказателейПоПравилуРасчета(ПравилоОбработки, мПоказателиИсключения, ТипРасчетаПоказателей);
```
</details>

## ПолучитьТаблицуРасчетаПоказателейПрочие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить структуру расчета показателей по прочим режимам расчета
//
// Параметры:
//  ПравилоОбработки		 	- Справочник.ПравилаОбработки - Правило обработки, для которого строится параметрика
//	ТипПараметрическойНастройки - Перечисление.ТипПараметрическойНастройки - режим расчета, для которого рассчитывается структура расчета показателей
//
// Возвращаемое значение:
//   - ТаблицаЗначений - Таблица со строками этапов расчета показателей по правилу расчета
//
Функция ПолучитьТаблицуРасчетаПоказателейПрочие(ПравилоОбработки, ТипПараметрическойНастройки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТаблицуРасчетаПоказателейПрочие(ПравилоОбработки, ТипПараметрическойНастройки) 
```
</details>

## ПолучитьТаблицуРасчетаПоказателейДляУстановкиИзмененныхЗначенийПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить структуру для установки новых значений показателей
//
// Параметры:
//  ОбъектРасчета						 - Структура - Структура с данными для расчета
//
// Возвращаемое значение:
//   - ТаблицаЗначений - Таблица со строками этапов расчета показателей по правилу расчета
//
Функция ПолучитьТаблицуРасчетаПоказателейДляУстановкиИзмененныхЗначенийПоказателей(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТаблицуРасчетаПоказателейДляУстановкиИзмененныхЗначенийПоказателей(ОбъектРасчета) 
```
</details>

## ПолучитьТаблицуРасчетаПоказателейПоИзмененнымПоказателям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Рассчитывает параметрические данные для расчета показателей для переданных
//		в таблице значений "ОбъектРасчета.тИзмененныеПоказатели" измененных показателей
//
// Параметры:
//  ОбъектРасчета	 			- Структура - Структура с данным для расчета параметрики
//
// Возвращаемое значение:
//   - Структура - Структура для расчета показателей по правилу расчета
//
Функция ПолучитьТаблицуРасчетаПоказателейПоИзмененнымПоказателям(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТаблицуРасчетаПоказателейПоИзмененнымПоказателям(ОбъектРасчета) 
```
</details>

## ПолучитьТаблицуРасчетаПоказателейПоЦелевымПоказателям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Рассчитывает параметрические данные для расчета целевых показателей переданных
//		в таблице значений "ОбъектРасчета.тЦелевыеПоказатели"
//
// Параметры:
//  ПравилоОбработки 			- СправочникСсылка.ПравилаОбработки - Привило обработки для расчета
//	тЦелевыеПоказатели			- ТаблицаЗначений - Таблица с целевыми показателями
//
// Возвращаемое значение:
//   - Структура - Структура для расчета показателей по правилу расчета
//
Функция ПолучитьТаблицуРасчетаПоказателейПоЦелевымПоказателям(ПравилоОбработки, тЦелевыеПоказатели) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТаблицуРасчетаПоказателейПоЦелевымПоказателям(ПравилоОбработки, тЦелевыеПоказатели) 
```
</details>

## ПолучитьТаблицуРасчетаПоказателейДляУстановкиНовыхЗначенийПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить структуру для установки новых значений показателей
//
// Параметры:
//  ОбъектРасчета						 - Структура - Структура с данными для расчета
//
// Возвращаемое значение:
//   - ТаблицаЗначений - Таблица со строками этапов расчета показателей по правилу расчета
//
Функция ПолучитьТаблицуРасчетаПоказателейДляУстановкиНовыхЗначенийПоказателей(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТаблицуРасчетаПоказателейДляУстановкиНовыхЗначенийПоказателей(ОбъектРасчета) 
```
</details>

## ПолучитьДанныеИзХранилищаПараметрическойНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Работа с данными хранилища параметрической настройки
//
////////////////////////////////////////////////////////////////////////////////

Функция ПолучитьДанныеИзХранилищаПараметрическойНастройки(ИсточникПараметрическойНастройки, ТипПараметрическойНастройки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьДанныеИзХранилищаПараметрическойНастройки(ИсточникПараметрическойНастройки, ТипПараметрическойНастройки));
```
</details>

## СохранитьДанныеВХранилищеПараметрическойНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьДанныеВХранилищеПараметрическойНастройки(ИсточникПараметрическойНастройки, ТипПараметрическойНастройки, ДанныеПараметрическойНастройки) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.СохранитьДанныеВХранилищеПараметрическойНастройки(ИсточникПараметрическойНастройки, ТипПараметрическойНастройки, ДанныеПараметрическойНастройки));
```
</details>

## РассчитатьОперандыПоПравилуОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Получение данных для расчета параметрики
//
////////////////////////////////////////////////////////////////////////////////

Функция РассчитатьОперандыПоПравилуОбработки(ПравилоОбработки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.РассчитатьОперандыПоПравилуОбработки(ПравилоОбработки));
```
</details>

## УстановитьПолеВерсииРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьПолеВерсииРекурсивно(тПараметрыОтбораБД, Ссылка, ИдентификаторРодителя=0, Знач ПолеВерсии=Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.УстановитьПолеВерсииРекурсивно(тПараметрыОтбораБД, Ссылка, ИдентификаторРодителя, ПолеВерсии);
```
</details>

## ПолучитьВариантРасчетаПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВариантРасчетаПоказателя(текФормула, тДанныеДляРасчетов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьВариантРасчетаПоказателя(текФормула, тДанныеДляРасчетов));
```
</details>

## ПолучитьСчетаСИерархией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСчетаСИерархией(Счет) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьСчетаСИерархией(Счет));
```
</details>

## ПолучитьТаблицуСчетовСИерархией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуСчетовСИерархией(МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТаблицуСчетовСИерархией(МенеджерВременныхТаблиц));
```
</details>

## ПолучитьОперандыПоПравилуОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОперандыПоПравилуОбработки(ПравилоОбработки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьОперандыПоПравилуОбработки(ПравилоОбработки));
```
</details>

## ПодготовитьТаблицыДляРасчетаПоказателейПоПравилуРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Процедуры расчета итоговой параметрики
//
////////////////////////////////////////////////////////////////////////////////

Функция ПодготовитьТаблицыДляРасчетаПоказателейПоПравилуРасчета(ПравилоОбработки, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПодготовитьТаблицыДляРасчетаПоказателейПоПравилуРасчета(ПравилоОбработки, );
```
</details>

## ПолучитьСтруктуруРасчетаПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьСтруктуруРасчетаПоказателей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьСтруктуруРасчетаПоказателей());
```
</details>

## ЭтоВнешнийИсточник
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоВнешнийИсточник(СпособПолучения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ЭтоВнешнийИсточник(СпособПолучения));
```
</details>

## ЭтоЦикличныйОперанд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоЦикличныйОперанд(СтрОперанд, СтрОперандИсходная, тДанныеДляРасчетов, МассивОперандов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ЭтоЦикличныйОперанд(СтрОперанд, СтрОперандИсходная, тДанныеДляРасчетов, МассивОперандов));
```
</details>

## ПолучитьУровеньРасчетаОперандаРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьУровеньРасчетаОперандаРекурсивно( Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьУровеньРасчетаОперандаРекурсивно();
```
</details>

## ПолучитьУИДГруппыОтборовПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьУИДГруппыОтборовПериодов(тКэшГруппОтборовПериодов, тТекущихПараметровОтбораБД, УИДГруппыОтборовВерсии) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьУИДГруппыОтборовПериодов(тКэшГруппОтборовПериодов, тТекущихПараметровОтбораБД, УИДГруппыОтборовВерсии));
```
</details>

## УстановитьУИДДляПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьУИДДляПоказателя(СтруктураРасчетаПоказателей, СтрОперанд, тТекущихПараметровОтбораБД, МаксУИД, ТекущийПериод) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.УстановитьУИДДляПоказателя(СтруктураРасчетаПоказателей, СтрОперанд, тТекущихПараметровОтбораБД, МаксУИД, ТекущийПериод));
```
</details>

## ПолучитьХешПоОтборам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьХешПоОтборам(Знач ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьХешПоОтборам(ПараметрыОтбора));
```
</details>

## ЗаполнитьТаблицуВнешнихДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТаблицуВнешнихДанных(тВнешниеДанные, ПравилоОбработки) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ЗаполнитьТаблицуВнешнихДанных(тВнешниеДанные, ПравилоОбработки));
```
</details>

## СформироватьДанныеДляРасчетаКлассическимДвижкомРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьДанныеДляРасчетаКлассическимДвижкомРасчета( Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.СформироватьДанныеДляРасчетаКлассическимДвижкомРасчета();
```
</details>

## ОпределитьПравилаТрансформацииПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьПравилаТрансформацииПолей(СтруктураРасчетаПоказателей, тПравилаИспользованияПолейЗапроса) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ОпределитьПравилаТрансформацииПолей(СтруктураРасчетаПоказателей, тПравилаИспользованияПолейЗапроса));
```
</details>

## ПодготовитьПоляВыборкиЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьПоляВыборкиЗапроса(СтруктураРасчетаПоказателей) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьПоляВыборкиЗапроса(СтруктураРасчетаПоказателей));
```
</details>

## ДобавитьЗависимыеПоказателиРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ДобавитьЗависимыеПоказателиРекурсивно(тПотребители, тДанныеДляРасчетов, стрПоказатель, ПоказательДляПоиска) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ДобавитьЗависимыеПоказателиРекурсивно(тПотребители, тДанныеДляРасчетов, стрПоказатель, ПоказательДляПоиска));
```
</details>

## ОтфильтроватьПоИзмененнымПоказателям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтфильтроватьПоИзмененнымПоказателям(ДанныеДляРасчета, тИзмененныеПоказатели) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ОтфильтроватьПоИзмененнымПоказателям(ДанныеДляРасчета, тИзмененныеПоказатели));
```
</details>

## ДобавитьВлияющиеПоказателиРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьВлияющиеПоказателиРекурсивно(тПотребители, тДанныеДляРасчетов, стрПоказатель, ПоказательДляПоиска) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ДобавитьВлияющиеПоказателиРекурсивно(тПотребители, тДанныеДляРасчетов, стрПоказатель, ПоказательДляПоиска));
```
</details>

## ОтфильтроватьПоЦелевымПоказателям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтфильтроватьПоЦелевымПоказателям(ДанныеДляРасчета, тЦелевыеПоказатели) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ОтфильтроватьПоЦелевымПоказателям(ДанныеДляРасчета, тЦелевыеПоказатели));
```
</details>

## ОтфильтроватьПоПоказателямИсключениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтфильтроватьПоПоказателямИсключениям(ДанныеДляРасчета, мПоказателиИсключения) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ОтфильтроватьПоПоказателямИсключениям(ДанныеДляРасчета, мПоказателиИсключения));
```
</details>

## ПолучитьТекстПолученияАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Процедуры для генерации текста запроса по операндам 0-го уровня выборки
//
////////////////////////////////////////////////////////////////////////////////

Функция ПолучитьТекстПолученияАналитики(ТрансформацияПолей, ИмяАналитики, тПараметрыПакета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТекстПолученияАналитики(ТрансформацияПолей, ИмяАналитики, тПараметрыПакета));
```
</details>

## СоздатьТаблицуПоказателейОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьТаблицуПоказателейОперандов(СтруктураРасчетаПоказателей) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.СоздатьТаблицуПоказателейОперандов(СтруктураРасчетаПоказателей));
```
</details>

## ПолучитьПодзапросСоответствияПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПодзапросСоответствияПериодов(СтруктураПараметровТекущегоУровня, СтрКэшГруппОтборов) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПолучитьПодзапросСоответствияПериодов(СтруктураПараметровТекущегоУровня, СтрКэшГруппОтборов));
```
</details>

## ПолучитьПодзапросСоответствияПериодовПриСверткеПоПериоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПодзапросСоответствияПериодовПриСверткеПоПериоду(СтруктураПараметровТекущегоУровня) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПолучитьПодзапросСоответствияПериодовПриСверткеПоПериоду(СтруктураПараметровТекущегоУровня));
```
</details>

## ПолучитьПодзапросТекущейВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПодзапросТекущейВерсии(СтруктураПараметровТекущегоУровня, СтрКэшГруппОтборов, СверткаПоПериоду=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПолучитьПодзапросТекущейВерсии(СтруктураПараметровТекущегоУровня, СтрКэшГруппОтборов, СверткаПоПериоду);
```
</details>

## ПолучитьТекстЗначенийПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьТекстЗначенийПоказателей(СтруктураПараметровТекущегоУровня, СтрКэшГруппОтборов, СверткаПоПериоду=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПолучитьТекстЗначенийПоказателей(СтруктураПараметровТекущегоУровня, СтрКэшГруппОтборов, СверткаПоПериоду);
```
</details>

## ПолучитьТекстЗначенийПоказателейИтоговый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьТекстЗначенийПоказателейИтоговый(СтруктураПараметровТекущегоУровня, НомерЗапросаСтрока) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПолучитьТекстЗначенийПоказателейИтоговый(СтруктураПараметровТекущегоУровня, НомерЗапросаСтрока));
```
</details>

## ПодготовитьЗапросУровня0
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьЗапросУровня0(СтруктураРасчетаПоказателей, ИмяТаблицы = "втПоказателиРаскрытия0", СверткаПоПериоду=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьЗапросУровня0(СтруктураРасчетаПоказателей, ИмяТаблицы, СверткаПоПериоду);
```
</details>

## ПодготовитьТекстТрансформацииТекущегоУровня
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТекстТрансформацииТекущегоУровня(СтруктураРасчетаПоказателей, УровеньРасчета, РекурсивныйРасчетПериодов=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТекстТрансформацииТекущегоУровня(СтруктураРасчетаПоказателей, УровеньРасчета, РекурсивныйРасчетПериодов);
```
</details>

## ДобавитьТаблицуПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Процедуры для подготовки текстов запросов для подъема данных из регистров и справочников
//
////////////////////////////////////////////////////////////////////////////////

Процедура ДобавитьТаблицуПериодов(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ДобавитьТаблицуПериодов(СтруктураПараметров));
```
</details>

## ТекстНачалоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстНачалоПериода(СтрокаДата, Периодичность = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ТекстНачалоПериода(СтрокаДата, Периодичность);
```
</details>

## ТекстКонецПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстКонецПериода(СтрокаДата, Периодичность = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ТекстКонецПериода(СтрокаДата, Периодичность);
```
</details>

## ТекстДобавитьКДате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстДобавитьКДате(СтрокаДата, Периодичность, УточнениеСпособаОпределения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ТекстДобавитьКДате(СтрокаДата, Периодичность, УточнениеСпособаОпределения));
```
</details>

## ПривестиПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПривестиПериод(СтрокаДата, Периодичность, СпособВычисленияПараметра, Знач УточнениеСпособаОпределения, ПривестиКНачалуПериода = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПривестиПериод(СтрокаДата, Периодичность, СпособВычисленияПараметра, УточнениеСпособаОпределения, ПривестиКНачалуПериода);
```
</details>

## ШаблонЗапросаВнутрРегистрНакоплений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШаблонЗапросаВнутрРегистрНакоплений(ДанныеДляРасчета, Периодичность, тПараметрыПакетаВТ) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ШаблонЗапросаВнутрРегистрНакоплений(ДанныеДляРасчета, Периодичность, тПараметрыПакетаВТ));
```
</details>

## ПодготовитьТаблицуВнутренниеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТаблицуВнутренниеДанные(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТаблицуВнутренниеДанные(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня));
```
</details>

## ПодготовитьТекстыЗапросовПоИсточникуВнутр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТекстыЗапросовПоИсточникуВнутр(ДанныеДляРасчета, СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТекстыЗапросовПоИсточникуВнутр(ДанныеДляРасчета, СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня));
```
</details>

## ШаблонЗапросаВнутрРегистрСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШаблонЗапросаВнутрРегистрСведений(ДанныеДляРасчета, Знач Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ШаблонЗапросаВнутрРегистрСведений(ДанныеДляРасчета, Периодичность));
```
</details>

## ШаблонЗапросаВнутрСправочник
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШаблонЗапросаВнутрСправочник(ДанныеДляРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ШаблонЗапросаВнутрСправочник(ДанныеДляРасчета));
```
</details>

## ШаблонЗапросаВнутрПроизвольныйЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШаблонЗапросаВнутрПроизвольныйЗапрос(ДанныеДляРасчета, тПараметрыПакетаВТ) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ШаблонЗапросаВнутрПроизвольныйЗапрос(ДанныеДляРасчета, тПараметрыПакетаВТ));
```
</details>

## ПодготовитьТекстЗапросаПоПроизвольномуКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Процедуры для подготовки текстов запросов для подъема данных из внешних регистров и справочников
//
////////////////////////////////////////////////////////////////////////////////

Процедура ПодготовитьТекстЗапросаПоПроизвольномуКоду(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТекстЗапросаПоПроизвольномуКоду(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня));
```
</details>

## ПодготовитьТекстЗапросаПоПроизвольномуЗапросу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТекстЗапросаПоПроизвольномуЗапросу(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТекстЗапросаПоПроизвольномуЗапросу(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня));
```
</details>

## ПодготовитьТекстЗапросаПоИсточникуВнешнему
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТекстЗапросаПоИсточникуВнешнему(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТекстЗапросаПоИсточникуВнешнему(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня));
```
</details>

## ПодготовитьТекстЗапросаОперандовРучнойПодсчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Процедуры для подготовки текстов запросов для расчета операндов
//
////////////////////////////////////////////////////////////////////////////////

Процедура ПодготовитьТекстЗапросаОперандовРучнойПодсчет(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТекстЗапросаОперандовРучнойПодсчет(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня));
```
</details>

## ПодготовитьТекстЗапросаОперандовБезФормул
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТекстЗапросаОперандовБезФормул(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТекстЗапросаОперандовБезФормул(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня));
```
</details>

## ПодготовитьТекстЗапросаОперандовТолькоСумма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТекстЗапросаОперандовТолькоСумма(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТекстЗапросаОперандовТолькоСумма(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня));
```
</details>

## ПодготовитьТекстЗапросаОперандовВыражение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТекстЗапросаОперандовВыражение(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТекстЗапросаОперандовВыражение(СтруктураРасчетаПоказателей, СтруктураПараметровТекущегоУровня));
```
</details>

## ПодготовитьТекстЗапросаОперандовПустой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТекстЗапросаОперандовПустой(СтруктураРасчетаПоказателей, УровеньРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТекстЗапросаОперандовПустой(СтруктураРасчетаПоказателей, УровеньРасчета));
```
</details>

## ПодготовитьЗапросыРекурсивныхУровней
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьЗапросыРекурсивныхУровней(СтруктураРасчетаПоказателей) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьЗапросыРекурсивныхУровней(СтруктураРасчетаПоказателей));
```
</details>

## СоздатьТаблицуИзмененныхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Процедуры для подготовки текстов запросов измененных показателей
//
////////////////////////////////////////////////////////////////////////////////

Процедура СоздатьТаблицуИзмененныхПоказателей(СтруктураРасчетаПоказателей, тИзмененныеПоказатели, ИндексироватьПоСценарию) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.СоздатьТаблицуИзмененныхПоказателей(СтруктураРасчетаПоказателей, тИзмененныеПоказатели, ИндексироватьПоСценарию));
```
</details>

## ПодготовитьТаблицуНовыхЗначенийПотребителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТаблицуНовыхЗначенийПотребителей(СтруктураРасчетаПоказателей) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТаблицуНовыхЗначенийПотребителей(СтруктураРасчетаПоказателей));
```
</details>

## СвернутьТаблицуНовыхЗначенийПотребителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СвернутьТаблицуНовыхЗначенийПотребителей(СтруктураРасчетаПоказателей) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.СвернутьТаблицуНовыхЗначенийПотребителей(СтруктураРасчетаПоказателей));
```
</details>

## ДобавитьОтборыПоКлючевымСрезам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОтборыПоКлючевымСрезам(СтруктураРасчетаПоказателей, ТипПараметрическойНастройки=Неопределено); Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ДобавитьОтборыПоКлючевымСрезам(СтруктураРасчетаПоказателей, ТипПараметрическойНастройки);
```
</details>

## ПодготовитьТаблицуИсходныхЗначенийПотребителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТаблицуИсходныхЗначенийПотребителей(СтруктураРасчетаПоказателей, УстановкаЗначенийПоказателей = Ложь, ТипПараметрическойНастройки=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТаблицуИсходныхЗначенийПотребителей(СтруктураРасчетаПоказателей, УстановкаЗначенийПоказателей, ТипПараметрическойНастройки);
```
</details>

## ПодготовитьТаблицуДляРасчетаОтклонений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТаблицуДляРасчетаОтклонений(СтруктураРасчетаПоказателей) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьТаблицуДляРасчетаОтклонений(СтруктураРасчетаПоказателей));
```
</details>

## ЗаполнитьПустыеАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПустыеАналитики(СтруктураРасчетаПоказателей, ИмяИсходнойТаблицы = "втЗначенияПотребителейРасчет") Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ЗаполнитьПустыеАналитики(СтруктураРасчетаПоказателей, ИмяИсходнойТаблицы);
```
</details>

## ПодготовитьЗапросПересчетаКурсовВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьЗапросПересчетаКурсовВалют(СтруктураРасчетаПоказателей, тПараметрыПакета, ПересчетВДопВалюты) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПодготовитьЗапросПересчетаКурсовВалют(СтруктураРасчетаПоказателей, тПараметрыПакета, ПересчетВДопВалюты));
```
</details>

## ДобавитьВЛогТаблицуИзмененныхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьВЛогТаблицуИзмененныхПоказателей(СтруктураРасчетаПоказателей, ПересчетВДопВалюты=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ДобавитьВЛогТаблицуИзмененныхПоказателей(СтруктураРасчетаПоказателей, ПересчетВДопВалюты);
```
</details>

## ПодготовитьИзмененияВалютныхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьИзмененияВалютныхПоказателей(СтруктураРасчетаПоказателей) Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ПодготовитьИзмененияВалютныхПоказателей(СтруктураРасчетаПоказателей));
```
</details>

## ПолучитьОписаниеТаблицыПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Служебные процедуры и функции
//
////////////////////////////////////////////////////////////////////////////////

Функция ПолучитьОписаниеТаблицыПараметров() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьОписаниеТаблицыПараметров());
```
</details>

## ПолучитьФормулуДляЯзыкаЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьФормулуДляЯзыкаЗапросов(Знач ТекстПроцедуры, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьФормулуДляЯзыкаЗапросов(ТекстПроцедуры, ИмяТаблицы));
```
</details>

## ОбработатьУсловныеОператорыРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьУсловныеОператорыРекурсивно(ТекстПроцедуры,нсТекущий = 1,Знач Отступ = "") Экспорт
```

Пример вызова
```bsl
УправлениеРасчетомПоказателей.ОбработатьУсловныеОператорыРекурсивно(ТекстПроцедуры, нсТекущий, Отступ);
```
</details>

## ПолучитьТекстПоТаблицеПодзапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстПоТаблицеПодзапросов(мПодзапросыДанных, ИмяВременнойТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТекстПоТаблицеПодзапросов(мПодзапросыДанных, ИмяВременнойТаблицы));
```
</details>

## ПолучитьТекстПоТаблицеПодзапросовВТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстПоТаблицеПодзапросовВТ(мПодзапросыДанных) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТекстПоТаблицеПодзапросовВТ(мПодзапросыДанных));
```
</details>

## СформироватьТекстОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Процедуры для работы с отборами
//
////////////////////////////////////////////////////////////////////////////////

Функция СформироватьТекстОтбора(тРасшифровкаГруппОтборов,тПараметрыПакета,УИДГруппыОтборов=0,ОператорОбъединения=" И ",ИдентификаторРодителя=0) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.СформироватьТекстОтбора(тРасшифровкаГруппОтборов, тПараметрыПакета, УИДГруппыОтборов, ОператорОбъединения, ИдентификаторРодителя);
```
</details>

## ПолучитьТекстОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстОтбора(СтрокаОтбора, тПараметрыПакета, ОператорОбъединения="") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ПолучитьТекстОтбора(СтрокаОтбора, тПараметрыПакета, ОператорОбъединения);
```
</details>

## ДобавитьПараметрВПакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПараметрВПакет(тПараметрыПакета, ТипОтбора, ЗначениеОтбора=Неопределено, ПолеБД = "Параметр", Отбор = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.ДобавитьПараметрВПакет(тПараметрыПакета, ТипОтбора, ЗначениеОтбора, ПолеБД, Отбор);
```
</details>

## СформироватьТекстАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьТекстАналитик(тИспользуемыеАналитики,УровеньРасчета,Режим = 1,ТрансформацияПолей=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.СформироватьТекстАналитик(тИспользуемыеАналитики, УровеньРасчета, Режим, ТрансформацияПолей);
```
</details>

## СформироватьТекстРесурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьТекстРесурсов(тИспользуемыеРесурсы,УровеньРасчета,Режим = 1) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРасчетомПоказателей.СформироватьТекстРесурсов(тИспользуемыеРесурсы, УровеньРасчета, Режим);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
