---
title: Управление ремонтами
slug: erp-uh/управление-ремонтами
---


## ОстаточныйРесурсПоВремениСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текстовое представление остаточного ресурса
//
// Параметры:
// 		КоличествоДней - Число - Количество дней.
//
// Возвращаемое значение:
// 		Строка - Строковое представление количества дней.
//
Функция ОстаточныйРесурсПоВремениСтрокой(КоличествоДней) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРемонтами.ОстаточныйРесурсПоВремениСтрокой(КоличествоДней) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов.
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
УправлениеРемонтами.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## НайтиУзлыПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит узлы объектов эксплуатации по штрихкодам.
//
// Параметры:
//  ДанныеШтрихкодов - Структура, Массив из Строка - Данные штрихкодов.
//  ПараметрыПодбора - Структура - Параметры подбора.
//
// Возвращаемое значение:
//  Структура - содержит:
//    * МассивОбъектов - Массив из СправочникСсылка.УзлыОбъектовЭксплуатации - найденные узлы
//    * НеНайдены - Массив из Строка - штрихкоды, по которым не удалось найти узлы
//    * НеПодходят - Массив из СправочникСсылка.УзлыОбъектовЭксплуатации - Узлы, которые не подходят по параметрам подбора.
//
Функция НайтиУзлыПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРемонтами.НайтиУзлыПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора);
```
</details>

## НайтиОбъектыЭксплуатацииИлиУзлыПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит объекты эксплуатации или узлы по штрихкодам.
//
// Параметры:
//  ДанныеШтрихкодов - Структура, Массив из Строка - Данные штрихкодов.
//  ПараметрыПодбора - Структура - Параметры подбора.
//
// Возвращаемое значение:
//  Структура - содержит:
//    * МассивОбъектов - Массив из СправочникСсылка.ОбъектыЭксплуатации, СправочникСсылка.УзлыОбъектовЭксплуатации - найденные объекты
//    * НеНайдены - Массив из Строка - штрихкоды, по которым не удалось найти
//    * НеПодходят - Массив из СправочникСсылка.ОбъектыЭксплуатации, СправочникСсылка.УзлыОбъектовЭксплуатации - Объекты, которые не подходят по параметрам подбора.
//
Функция НайтиОбъектыЭксплуатацииИлиУзлыПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРемонтами.НайтиОбъектыЭксплуатацииИлиУзлыПоШтрихкодам(ДанныеШтрихкодов, ПараметрыПодбора);
```
</details>

## ДобавитьУзлыПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в табличную часть узлы по штрихкоду и заполняет объект эксплуатации, если он не заполнен.
//
// Параметры:
//  ДанныеШтрихкодов - Структура, Массив из Строка - Данные штрихкодов.
// 	Объект - ДанныеФормыСтруктура -
// 	ТаблицаУзлов - ДанныеФормыКоллекция -
// 	ИмяРеквизита - Строка -
// 	ОбъектЭксплуатации - СправочникСсылка.ОбъектыЭксплуатации -
// 	ПараметрыПодбора - Структура -
//
// Возвращаемое значение:
// 	Массив - Добавленные строки.
//  Неопределено - Если не удалось найти узлы.
Функция ДобавитьУзлыПоШтрихкоду(ДанныеШтрихкодов, Объект, ТаблицаУзлов, ИмяРеквизита, ОбъектЭксплуатации = Неопределено, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРемонтами.ДобавитьУзлыПоШтрихкоду(ДанныеШтрихкодов, Объект, ТаблицаУзлов, ИмяРеквизита, ОбъектЭксплуатации, ПараметрыПодбора);
```
</details>

## ДоступныеДляВыбораУзлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступные для выбора узлы в соответствии с параметрами выбора.
//
// Параметры:
// 	Параметры - Структура -
//
// Возвращаемое значение:
// 	Массив - Доступные для выбора узлы
Функция ДоступныеДляВыбораУзлы(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРемонтами.ДоступныеДляВыбораУзлы(Параметры) 
```
</details>

## НовыйШтрихкодУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует новый штрихкод узла объекта эксплуатации.
//
// Возвращаемое значение:
// 	Строка - Новый штрихкод
Функция НовыйШтрихкодУзла() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРемонтами.НовыйШтрихкодУзла() 
```
</details>

## ТекущийМаксимальныйШтрихкодУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет максимальный штрихкод в виде числа.
//
// Возвращаемое значение:
// 	Число - Максимальный штрихкод в виде числа.
Функция ТекущийМаксимальныйШтрихкодУзла() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРемонтами.ТекущийМаксимальныйШтрихкодУзла() 
```
</details>

## ПолучитьШтрихкодУзлаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует штрихкод по числовому коду.
//
// Параметры:
// 	Код - Число
//
// Возвращаемое значение:
// 	Строка - Штрихкод
Функция ПолучитьШтрихкодУзлаПоКоду(Код) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРемонтами.ПолучитьШтрихкодУзлаПоКоду(Код) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
