---
title: Управление ремонтами клиент
slug: erp-uh/управление-ремонтами-клиент
---


## ПечатьЭтикетокУзловОбъектовЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные для печати и открывает форму печати.
//
// Параметры:
//	ОписаниеКоманды - Структура - структура с описанием команды.
//
// Возвращаемое значение:
//	Неопределено
//
Функция ПечатьЭтикетокУзловОбъектовЭксплуатации(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРемонтамиКлиент.ПечатьЭтикетокУзловОбъектовЭксплуатации(ОписаниеКоманды) 
```
</details>

## СообщитьЧтоНеУдалосьНайтиУзлыПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о неудачном поиске узлов по штрихкоду.
//
Процедура СообщитьЧтоНеУдалосьНайтиУзлыПоШтрихкоду() Экспорт
```

Пример вызова
```bsl
УправлениеРемонтамиКлиент.СообщитьЧтоНеУдалосьНайтиУзлыПоШтрихкоду() 
```
</details>

## СгенерироватьШтрихкодыУзлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует штрихкоды для узлов объектов эксплуатации.
//
// Параметры:
// 	СписокУзлов - Массив из СправочникСсылка.УзлыОбъектовЭксплуатации - Узлы, для которых требуется сгенерировать штрихкод.
Процедура СгенерироватьШтрихкодыУзлов(Знач СписокУзлов) Экспорт
```

Пример вызова
```bsl
УправлениеРемонтамиКлиент.СгенерироватьШтрихкодыУзлов(СписокУзлов) 
```
</details>

## ПоискУзловПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск узлов по штрихкоду.
// Открывает форму, где пользователь вводит штрихкод.
// После ввода выполняется поиск узлов.
// Если найдено несколько узлов, то открывается форма для выбора узлов.
// После успешного поиска возвращает массив найденных узлов.
//
// Параметры:
// 	ПроцедураОбработки - ОписаниеОповещения - Процедура, которую нужно вызвать при успешном поиске.
//  ПараметрыПодбора - см. ОбщегоНазначенияУТКлиентСервер.ПараметрыПодбора
Процедура ПоискУзловПоШтрихкоду(ПроцедураОбработки, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеРемонтамиКлиент.ПоискУзловПоШтрихкоду(ПроцедураОбработки, ПараметрыПодбора);
```
</details>

## ПоискОбъектовЭксплуатацииИлиУзловПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск объектов эксплуатации или узлов по штрихкоду.
// Открывает форму, где пользователь вводит штрихкод.
// После ввода выполняется поиск.
// Если найдено несколько ОЭ или узлов, то открывается форма для выбора.
// После успешного поиска возвращает массив ссылок.
//
// Параметры:
// 	ПроцедураОбработки - ОписаниеОповещения - Процедура, которую нужно вызвать при успешном поиске.
//  ПараметрыПодбора - см. ОбщегоНазначенияУТКлиентСервер.ПараметрыПодбора
Процедура ПоискОбъектовЭксплуатацииИлиУзловПоШтрихкоду(ПроцедураОбработки, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеРемонтамиКлиент.ПоискОбъектовЭксплуатацииИлиУзловПоШтрихкоду(ПроцедураОбработки, ПараметрыПодбора);
```
</details>

## ОбработатьВводШтрихкодовУзлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка ввода штрихкода.
//
// Параметры:
//  ДанныеШтрихкодов - Структура, Массив из Строка - Данные штрихкодов.
// 	ПроцедураОбработки - ОписаниеОповещения - Процедура, которую нужно вызвать при успешном поиске.
//  ПараметрыПодбора - см. ОбщегоНазначенияУТКлиентСервер.ПараметрыПодбора
Процедура ОбработатьВводШтрихкодовУзлов(ДанныеШтрихкодов, ПроцедураОбработки, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеРемонтамиКлиент.ОбработатьВводШтрихкодовУзлов(ДанныеШтрихкодов, ПроцедураОбработки, ПараметрыПодбора);
```
</details>

## ОбработатьВводШтрихкодовОбъектовЭксплуатацииИлиУзлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка ввода штрихкода.
//
// Параметры:
//  ДанныеШтрихкодов - Структура, Массив из Строка - Данные штрихкодов.
// 	ПроцедураОбработки - ОписаниеОповещения - Процедура, которую нужно вызвать при успешном поиске.
//  ПараметрыПодбора - см. ОбщегоНазначенияУТКлиентСервер.ПараметрыПодбора
Процедура ОбработатьВводШтрихкодовОбъектовЭксплуатацииИлиУзлов(ДанныеШтрихкодов, ПроцедураОбработки, ПараметрыПодбора = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеРемонтамиКлиент.ОбработатьВводШтрихкодовОбъектовЭксплуатацииИлиУзлов(ДанныеШтрихкодов, ПроцедураОбработки, ПараметрыПодбора);
```
</details>

## СообщитьОРезультатахПоискаОбъектовЭксплуатацииИлиУзловПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о результатах поиска по штрихкоду.
//
// Параметры:
// 	РезультатПоиска - см. УправлениеРемонтамиВызовСервера.НайтиОбъектыЭксплуатацииИлиУзлыПоШтрихкодам
Процедура СообщитьОРезультатахПоискаОбъектовЭксплуатацииИлиУзловПоШтрихкоду(РезультатПоиска) Экспорт
```

Пример вызова
```bsl
УправлениеРемонтамиКлиент.СообщитьОРезультатахПоискаОбъектовЭксплуатацииИлиУзловПоШтрихкоду(РезультатПоиска) 
```
</details>

## СообщитьОРезультатахПоискаУзловПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сообщает о результатах поиска по штрихкоду.
//
// Параметры:
// 	РезультатПоиска - см. УправлениеРемонтамиВызовСервера.НайтиУзлыПоШтрихкодам
Процедура СообщитьОРезультатахПоискаУзловПоШтрихкоду(РезультатПоиска) Экспорт
```

Пример вызова
```bsl
УправлениеРемонтамиКлиент.СообщитьОРезультатахПоискаУзловПоШтрихкоду(РезультатПоиска) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
