---
title: Управление рисками
slug: erp-uh/управление-рисками
---


## УстановитьДатуСозданияМероприятияПоРасписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль Реализует логику работы подсистемы УправлениеРисками в контексте
// серверного кода.
////////////////////////////////////////////////////////////////////////////////

// Записывает в регистр ДатыСозданийМероприятий шаблон мероприятия ШаблонМероприятияВход,
// дату последнего исполнения ДатаПоследнегоИсполненияВход, дату следующего
// исполнения ДатаСледующегоИсполненияВход.
Процедура УстановитьДатуСозданияМероприятияПоРасписанию(ШаблонМероприятияВход, РискВход, ДатаПоследнегоИсполненияВход, ДатаСледующегоИсполненияВход) Экспорт
```

Пример вызова
```bsl
УправлениеРисками.УстановитьДатуСозданияМероприятияПоРасписанию(ШаблонМероприятияВход, РискВход, ДатаПоследнегоИсполненияВход, ДатаСледующегоИсполненияВход) 
```
</details>

## УстановитьТекущуюДатуОбработкиМероприятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в регистр ДатыСозданийМероприятий даты последнего и
// следующего выполняения создания мероприятий по расписанию РасписаниеВход
// шаблона мероприятий ШаблонМероприятияВход. В качестве последнего
// значения будет установлена ДатаВход, когда параметр не задан -
// текущая дата. Дата следующего выполнения будет вычислена на
// основе даты последнего и настройки расписания этапа.
Процедура УстановитьТекущуюДатуОбработкиМероприятия(ШаблонМероприятияВход, РискВход, РасписаниеВход, ДатаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеРисками.УстановитьТекущуюДатуОбработкиМероприятия(ШаблонМероприятияВход, РискВход, РасписаниеВход, ДатаВход);
```
</details>

## СоздатьМероприятияПоРасписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет создание мероприятий из шаблонов по расписанию.
Процедура СоздатьМероприятияПоРасписанию() Экспорт
```

Пример вызова
```bsl
УправлениеРисками.СоздатьМероприятияПоРасписанию() 
```
</details>

## ПолучитьПоляРасшифровкиДиаграммаРисков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру полей расшифровки по отчету Диаграмма рисков.
Функция ПолучитьПоляРасшифровкиДиаграммаРисков(АдресРасшифровки, Расшифровка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеРисками.ПолучитьПоляРасшифровкиДиаграммаРисков(АдресРасшифровки, Расшифровка, СтандартнаяОбработка) 
```
</details>

## ПриОпределенииВидовПодключаемыхКоманд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПодключаемыеКомандыПереопределяемый.ПриОпределенииВидовПодключаемыхКоманд.
Процедура ПриОпределенииВидовПодключаемыхКоманд(ВидыПодключаемыхКоманд) Экспорт
```

Пример вызова
```bsl
УправлениеРисками.ПриОпределенииВидовПодключаемыхКоманд(ВидыПодключаемыхКоманд) 
```
</details>

## ПриОпределенииКомандПодключенныхКОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПодключаемыеКомандыПереопределяемый.ПриОпределенииКомандПодключенныхКОбъекту.
Процедура ПриОпределенииКомандПодключенныхКОбъекту(НастройкиФормы, Источники, ПодключенныеОтчетыИОбработки, Команды) Экспорт
```

Пример вызова
```bsl
УправлениеРисками.ПриОпределенииКомандПодключенныхКОбъекту(НастройкиФормы, Источники, ПодключенныеОтчетыИОбработки, Команды) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
