---
title: Управление соединениями вибу х
slug: erp-uh/управление-соединениями-вибу-х
---


## ПолучитьWSОпределение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Функция получает Web определение для подключения по Web-сервису.
//
Функция ПолучитьWSОпределение(Пользователь = Неопределено, Пароль = Неопределено, СообщениеОбОшибке, Путь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ПолучитьWSОпределение(Пользователь, Пароль, СообщениеОбОшибке, Путь) 
```
</details>

## ПолучитьWSПрокси
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает Web-прокси для работы с методами, предоставляемыми Web-сервисом.
//
Функция ПолучитьWSПрокси(СообщениеОбОшибке, Определение, URIПространстваИмен, ИмяСервиса, ТочкаПодключения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ПолучитьWSПрокси(СообщениеОбОшибке, Определение, URIПространстваИмен, ИмяСервиса, ТочкаПодключения) 
```
</details>

## ПолучитьСоединениеADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоединениеADO(ВИБ,ПараметрыПодключения, КлючСоединения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ПолучитьСоединениеADO(ВИБ, ПараметрыПодключения, КлючСоединения);
```
</details>

## ПолучитьСоединениеПоWebСервису
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоединениеПоWebСервису(ВИБ) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ПолучитьСоединениеПоWebСервису(ВИБ) 
```
</details>

## ПолучитьСоединение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция, которая создает COM/OLE соединение с сервером и записывает в таблицу
// подключений. Если запись о соединении уже есть в таблице, возвращает суще-
// ствующее значение.
// Параметры:
//  ТаблицаПодключений - Таблица значений, таблица, в которой хранится информация о
//                    подключениях.
//  ВИБ             - Catalogs.ВнешниеИнформационныеБазы.Ссылка, Элемент справочника внешних
//                    информационных баз, по данным из которого создается соединение.
//  ТипПодключения  - Перечисление, указывает по какой технологии подключаться к
//                    серверу. (OLE или COM)
//  КлючСоединения  - Уникальный идентификатор, если требуется только проверить соединение.
//                    Таким образом исключается кеширования средствами сервера.
// Возвращаемое значение:
// 	- COMОбъект, в котором хранится подключение к серверу.
//
Функция ПолучитьСоединение(ВИБ, ТипПодключения, КлючСоединения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ПолучитьСоединение(ВИБ, ТипПодключения, КлючСоединения);
```
</details>

## ЗаполнитьДеревоЗначенийДляСправочникаВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьДеревоЗначенийДляСправочникаВИБ(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ЗаполнитьДеревоЗначенийДляСправочникаВИБ(Параметры) 
```
</details>

## ЗаполнитьДеревоЗначенийДляПеречисленияВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьДеревоЗначенийДляПеречисленияВИБ(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ЗаполнитьДеревоЗначенийДляПеречисленияВИБ(Параметры) 
```
</details>

## ПолучитьСписокПровайдеров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С ADO.
//

Процедура ПолучитьСписокПровайдеров(СписокПровайдеров) Экспорт
```

Пример вызова
```bsl
УправлениеСоединениямиВИБУХ.ПолучитьСписокПровайдеров(СписокПровайдеров) 
```
</details>

## ВернутьНаименованиеТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьНаименованиеТипа(КодТипа, Размерность, Длина, Точность) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ВернутьНаименованиеТипа(КодТипа, Размерность, Длина, Точность) 
```
</details>

## ВернутьТипЗначенияВВидеСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТипЗначенияВВидеСтроки(КодТипа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ВернутьТипЗначенияВВидеСтроки(КодТипа) 
```
</details>

## ВернутьТаблицуСвязей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТаблицуСвязей(ИмяТаблицы, СтрокаПодключения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ВернутьТаблицуСвязей(ИмяТаблицы, СтрокаПодключения) 
```
</details>

## ВернутьКолонкиТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьКолонкиТаблицы(ИмяТаблицы, СтрокаПодключения, ТипКакОписаниеТипов = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ВернутьКолонкиТаблицы(ИмяТаблицы, СтрокаПодключения, ТипКакОписаниеТипов);
```
</details>

## ПолучитьДанныеИзТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеИзТаблицы(ВИБ, Таблица) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ПолучитьДанныеИзТаблицы(ВИБ, Таблица) 
```
</details>

## ВернутьСписокТаблицИсточника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСписокТаблицИсточника(СтрокаПодключения, Отказ = Ложь, СообщениеОбОшибке = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ВернутьСписокТаблицИсточника(СтрокаПодключения, Отказ, СообщениеОбОшибке);
```
</details>

## ИмяВременногоФайлаMicrosoftExcel
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяВременногоФайлаMicrosoftExcel(Excel2003) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ИмяВременногоФайлаMicrosoftExcel(Excel2003));
```
</details>

## КонвертироватьВТекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КонвертироватьВТекст(ИмяФайла,ПравилоОбработки,Пароль) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.КонвертироватьВТекст(ИмяФайла, ПравилоОбработки, Пароль));
```
</details>

## ПолучитьСтрокуСоединенияADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтрокуСоединенияADO(ВнешняяИБ,ПутьКФайлу="",ИмяФайла="",ПравилоОбработки=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ПолучитьСтрокуСоединенияADO(ВнешняяИБ, ПутьКФайлу, ИмяФайла, ПравилоОбработки);
```
</details>

## ПолучитьСтрокуСоединенияДляИмпортаADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтрокуСоединенияДляИмпортаADO(ВнешняяИБ,ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ПолучитьСтрокуСоединенияДляИмпортаADO(ВнешняяИБ, ОбъектРасчета));
```
</details>

## ПолучитьСтруктуруADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруADO(СтрокаПодключения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеСоединениямиВИБУХ.ПолучитьСтруктуруADO(СтрокаПодключения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
