---
title: Управление формой УХ
slug: erp-uh/управление-формой-ух
---


## ПолучитьСтрокуРеквизитовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтрокуРеквизитовФормы(Форма, ГруппаРеквизитов = "") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеФормойУХ.ПолучитьСтрокуРеквизитовФормы(Форма, ГруппаРеквизитов);
```
</details>

## СохранитьНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СохранитьНастройки(Форма, Настройки = Неопределено, СохраняемыеРеквизиты = Неопределено, ИсключаемыеРеквизиты = "Объект") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеФормойУХ.СохранитьНастройки(Форма, Настройки, СохраняемыеРеквизиты, ИсключаемыеРеквизиты);
```
</details>

## ВосстановитьНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВосстановитьНастройки(Форма, Настройки, ОчищатьНастройки = Истина, ОтменятьВосстановлениеПриОшибке = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеФормойУХ.ВосстановитьНастройки(Форма, Настройки, ОчищатьНастройки, ОтменятьВосстановлениеПриОшибке);
```
</details>

## УстановитьПредставлениеОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует представление установленного отбора формы выбора.
//
// Параметры:
//  Форма				 - 	УправляемаяФорма - форма, для которой формируется представление отбора.
//  ЭлементДекорация	- 	ДекорацияФормы, Неопределено - Декорация формы для отображения отбора. Если не установлено или передано Неопределено - будет создана новая декорация.
//  ОбъектМетаданных	 - 	ОбъектМетаданных, Неопределено - используемый объект метаданных. Если значение указано, вместо имен полей будут по возможности выводиться их синонимы.
//  ПриоритетныеПоля	 - 	Массив, Неопределено - список полей отбора, которые (если установлены) должны всегда выводиться в начале строки.
//  НеприоритетныеПоля	 - 	Массив, Неопределено - список полей отбора, которые (если установлены) должны всегда выводиться после прочих параметров.
//  СинонимыПолей		 - 	Структура, Неопределено - Синонимы полей, отличные от синонимов реквизитов. Позволяет переопределить синоним поля для конкретного вызова метода.
//
Процедура УстановитьПредставлениеОтбора(Форма, Знач ЭлементДекорация = Неопределено, ОбъектМетаданных = Неопределено, Знач ПриоритетныеПоля = Неопределено, Знач НеприоритетныеПоля = Неопределено, СинонимыПолей = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеФормойУХ.УстановитьПредставлениеОтбора(Форма, ЭлементДекорация, ОбъектМетаданных, ПриоритетныеПоля, НеприоритетныеПоля, СинонимыПолей);
```
</details>

## НовыйПараметрыПредставленияОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйПараметрыПредставленияОтбора() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеФормойУХ.НовыйПараметрыПредставленияОтбора() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
