---
title: Управление шаблонами заполнения вызов сервера УХ
slug: erp-uh/управление-шаблонами-заполнения-вызов-сервера-ух
---


## ПолучитьСтруктуруДанныхОбъектаШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль предназначен для реализации фукнциональности механизма шаблонов
// заполнения контексте вызова сервера.
////////////////////////////////////////////////////////////////////////////////

// Серверная обертка функции СтруктураДанныхОбъектаШаблонаПоСсылке модуля УправлениеШаблонамиЗаполненияУХ.
Функция ПолучитьСтруктуруДанныхОбъектаШаблона(ОбъектШаблонаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияВызовСервераУХ.ПолучитьСтруктуруДанныхОбъектаШаблона(ОбъектШаблонаВход) 
```
</details>

## ПолучитьИмяОсновнойФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Серверная обертка функции ПолучитьИмяОсновнойФормы модуля УправлениеШаблонамиЗаполненияУХ.
Функция ПолучитьИмяОсновнойФормы(ЭталонныйЭлементВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияВызовСервераУХ.ПолучитьИмяОсновнойФормы(ЭталонныйЭлементВход) 
```
</details>

## СоздатьШаблон
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаёт новый шаблон заполнения по объекту ОбъектРодительВход с реквизитами
// СписокРеквизитовВход и табличными частями СписокТабличныхЧастейВход.
Функция СоздатьШаблон(ОбъектРодительВход, СписокРеквизитовВход, СписокТабличныхЧастейВход, НаименованиеШаблонаВход = "", АналитикаОтбораВход = Неопределено, ВариантЗаполненияВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияВызовСервераУХ.СоздатьШаблон(ОбъектРодительВход, СписокРеквизитовВход, СписокТабличныхЧастейВход, НаименованиеШаблонаВход, АналитикаОтбораВход, ВариантЗаполненияВход);
```
</details>

## ПолучитьСтруктуруРеквизитовВариантаЗаполненияШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По варианту заполнения шаблона ВариантЗаполненияВход возвращает структуру,
// содержащую СписокРеквизитовДляПереноса и СписокТабличныхЧастейДляПереноса.
Функция ПолучитьСтруктуруРеквизитовВариантаЗаполненияШаблона(ВариантЗаполненияВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияВызовСервераУХ.ПолучитьСтруктуруРеквизитовВариантаЗаполненияШаблона(ВариантЗаполненияВход) 
```
</details>

## ПолучитьСтруктуруРеквизитовВШаблоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, в которой ключи - наименование ревизита для заполнения
// из шаблона, а значения - значения соответственных реквизитов.
Функция ПолучитьСтруктуруРеквизитовВШаблоне(ШаблонВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияВызовСервераУХ.ПолучитьСтруктуруРеквизитовВШаблоне(ШаблонВход) 
```
</details>

## ПолучитьСтруктуруТабличныхЧастейВШаблоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с табличными частями и шаблона заполнения ШаблонВход,
// упакованные в виде массивов структур.
Функция ПолучитьСтруктуруТабличныхЧастейВШаблоне(ШаблонВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияВызовСервераУХ.ПолучитьСтруктуруТабличныхЧастейВШаблоне(ШаблонВход) 
```
</details>

## ПолучитьОрганизациюЗакупочнойПроцедурыЛота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает организацию для заключения договора закупочной процедуры,
// к которой привязан лот ЛотВход.
Функция ПолучитьОрганизациюЗакупочнойПроцедурыЛота(ЛотВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияВызовСервераУХ.ПолучитьОрганизациюЗакупочнойПроцедурыЛота(ЛотВход) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
