---
title: Управление шаблонами заполнения клиент УХ
slug: erp-uh/управление-шаблонами-заполнения-клиент-ух
---


## КомандаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль предназначен для реализации фукнциональности механизма шаблонов
// заполнения контексте клиентского кода.
////////////////////////////////////////////////////////////////////////////////

Функция КомандаЗавершение(ВыбранноеЗначение, ДопПараметр) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияКлиентУХ.КомандаЗавершение(ВыбранноеЗначение, ДопПараметр) 
```
</details>

## ВыбратьИСоздатьПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По эталонному элементу ЭталонныйЭлементВход (например, пустая ссылка на справочник)
// выбирает шаблон и создает новый элемент по шаблону.
Функция ВыбратьИСоздатьПоШаблону(ЭталонныйЭлементВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияКлиентУХ.ВыбратьИСоздатьПоШаблону(ЭталонныйЭлементВход) 
```
</details>

## СоздатьШаблонНастройкиПроцессаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создаёт новый шаблон заполнения для справочника НастройкаВыбораВход,
// выставляя наименование шаблона НаименованиеВход.
Процедура СоздатьШаблонНастройкиПроцессаВыбора(НастройкаВыбораВход, ВариантЗаполненияВход, НаименованиеВход) Экспорт
```

Пример вызова
```bsl
УправлениеШаблонамиЗаполненияКлиентУХ.СоздатьШаблонНастройкиПроцессаВыбора(НастройкаВыбораВход, ВариантЗаполненияВход, НаименованиеВход));
```
</details>

## ВыборВариантыЗаполненияШаблонов_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыборВариантыЗаполненияШаблонов_Завершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УправлениеШаблонамиЗаполненияКлиентУХ.ВыборВариантыЗаполненияШаблонов_Завершение(Результат, ДополнительныеПараметры) 
```
</details>

## СохранитьВШаблон
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет объект СсылкаНаОбъектВход в виде шаблона на форме ФормаВход.
Процедура СохранитьВШаблон(ФормаВход, СсылкаНаОбъектВход) Экспорт
```

Пример вызова
```bsl
УправлениеШаблонамиЗаполненияКлиентУХ.СохранитьВШаблон(ФормаВход, СсылкаНаОбъектВход) 
```
</details>

## ПослеЗаполненияПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после заполнения по шаблону ШаблонВход для
// объекта с формой ФормаВход
Процедура ПослеЗаполненияПоШаблону(ФормаВход, ШаблонВход) Экспорт
```

Пример вызова
```bsl
УправлениеШаблонамиЗаполненияКлиентУХ.ПослеЗаполненияПоШаблону(ФормаВход, ШаблонВход) 
```
</details>

## ЗаполнитьФормуПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет форму ФормаВход по данным шаблона ШаблонВход.
Процедура ЗаполнитьФормуПоШаблону(ФормаВход, ШаблонВход) Экспорт
```

Пример вызова
```bsl
УправлениеШаблонамиЗаполненияКлиентУХ.ЗаполнитьФормуПоШаблону(ФормаВход, ШаблонВход) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
