---
title: Управление шаблонами заполнения УХ
slug: erp-uh/управление-шаблонами-заполнения-ух
---


## СтруктураДанныхОбъектаШаблонаПоМетаданному
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Модуль предназначен для реализации фукнциональности механизма шаблонов
// заполнения контексте серверного кода.
////////////////////////////////////////////////////////////////////////////////

// Возвращает структуру данных по объекту ИсследуемыйОбъект.
Функция СтруктураДанныхОбъектаШаблонаПоМетаданному(МетаданныеОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.СтруктураДанныхОбъектаШаблонаПоМетаданному(МетаданныеОбъекта) 
```
</details>

## СтруктураДанныхОбъектаШаблонаПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных по объекту ИсследуемыйОбъект.
Функция СтруктураДанныхОбъектаШаблонаПоОбъекту(ИсследуемыйОбъект) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.СтруктураДанныхОбъектаШаблонаПоОбъекту(ИсследуемыйОбъект) 
```
</details>

## СтруктураДанныхОбъектаШаблонаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру данных по ссылке ИсследуемыйОбъект.
Функция СтруктураДанныхОбъектаШаблонаПоСсылке(ИсследуемыйОбъект) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.СтруктураДанныхОбъектаШаблонаПоСсылке(ИсследуемыйОбъект) 
```
</details>

## ЗаполнитьИзШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет ОбъектВход по шаблону заполнения ШаблонВход и возвращает результат.
Функция ЗаполнитьИзШаблона(ШаблонВход, ОбъектВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ЗаполнитьИзШаблона(ШаблонВход, ОбъектВход) 
```
</details>

## ИмяОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя объекта метаданных по ссылке на объект ОбъектСсылкаВход.
Функция ИмяОбъектаМетаданных(ОбъектСсылкаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ИмяОбъектаМетаданных(ОбъектСсылкаВход) 
```
</details>

## ЗаполнитьСтандартныйРеквизитОбъектаВШалон
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет в таблицу ТаблицаЗаполненияВход значение стандартного реквизита НаименованиеРеквизитаВход
// из ОбъектРодительВход в случае его наличия.
Процедура ЗаполнитьСтандартныйРеквизитОбъектаВШалон(ОбъектРодительВход, ТаблицаЗаполненияВход, НаименованиеРеквизитаВход) Экспорт
```

Пример вызова
```bsl
УправлениеШаблонамиЗаполненияУХ.ЗаполнитьСтандартныйРеквизитОбъектаВШалон(ОбъектРодительВход, ТаблицаЗаполненияВход, НаименованиеРеквизитаВход));
```
</details>

## ИнициализироватьТаблицуРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую таблицу реквизитов для заполнения в шаблоне.
Функция ИнициализироватьТаблицуРеквизитов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ИнициализироватьТаблицуРеквизитов() 
```
</details>

## ПолучитьМассивРазрешенныхРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив имен реквизитов, которые разрешены для данного объекта.
Функция ПолучитьМассивРазрешенныхРеквизитовОбъекта(ОбъектРодительВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ПолучитьМассивРазрешенныхРеквизитовОбъекта(ОбъектРодительВход) 
```
</details>

## ПолучитьМассивРазрешенныхТабличныхЧастейОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив имен реквизитов, которые разрешены для данного объекта.
Функция ПолучитьМассивРазрешенныхТабличныхЧастейОбъекта(ОбъектРодительВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ПолучитьМассивРазрешенныхТабличныхЧастейОбъекта(ОбъектРодительВход) 
```
</details>

## РеквизитШаблонаРазрешен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет разрешено ли использование в шаблоне реквизита с именем
// ИмяРеквизитаВход. Когда МассивРазрешенныхРеквизитовВход не указан -
// будет заполнен по умолчанию для объекта ОбъектРодительВход.
Функция РеквизитШаблонаРазрешен(ИмяРеквизитаВход, МассивРазрешенныхРеквизитовВход = Неопределено, ОбъектРодительВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.РеквизитШаблонаРазрешен(ИмяРеквизитаВход, МассивРазрешенныхРеквизитовВход, ОбъектРодительВход);
```
</details>

## ТабличнаяЧастьШаблонаРазрешена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет разрешено ли использование в шаблоне табличной части с
// именем ИмяТабличнойЧастиВход. Когда МассивРазрешенныхРеквизитовВход не
// указан - будет заполнен по умолчанию для объекта ОбъектРодительВход.
Функция ТабличнаяЧастьШаблонаРазрешена(ИмяТабличнойЧастиВход, МассивРазрешенныхРеквизитовВход = Неопределено, ОбъектРодительВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ТабличнаяЧастьШаблонаРазрешена(ИмяТабличнойЧастиВход, МассивРазрешенныхРеквизитовВход, ОбъектРодительВход);
```
</details>

## ПолучитьТаблицуРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает таблицу реквизитов и их значений по ссылке на объект ОбъектРодительВход.
Функция ПолучитьТаблицуРеквизитовОбъекта(ОбъектРодительВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ПолучитьТаблицуРеквизитовОбъекта(ОбъектРодительВход) 
```
</details>

## ПолучитьТаблицуТабличныхЧастейОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает таблицу табличных частей по ссылке на объект ОбъектРодительВход.
Функция ПолучитьТаблицуТабличныхЧастейОбъекта(ОбъектРодительВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ПолучитьТаблицуТабличныхЧастейОбъекта(ОбъектРодительВход) 
```
</details>

## ПолучитьИмяОсновнойФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя основной формы элемента для элемента ЭлементВход.
Функция ПолучитьИмяОсновнойФормы(ЭлементВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ПолучитьИмяОсновнойФормы(ЭлементВход) 
```
</details>

## ПолучитьПредставлениеМетаданногоРодителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление метаданного (справочника/документа)
// для назначения шаблона НазначениеВход с именем родителя ИмяРодителяВход.
Функция ПолучитьПредставлениеМетаданногоРодителя(ИмяРодителяВход, НазначениеВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ПолучитьПредставлениеМетаданногоРодителя(ИмяРодителяВход, НазначениеВход) 
```
</details>

## ПолучитьОрганизациюЗакупочнойПроцедурыЛота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает организацию для заключения договора закупочной процедуры,
// к которой привязан лот ЛотВход.
Функция ПолучитьОрганизациюЗакупочнойПроцедурыЛота(ЛотВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШаблонамиЗаполненияУХ.ПолучитьОрганизациюЗакупочнойПроцедурыЛота(ЛотВход) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
