---
title: Управление электронной почтой УХ
slug: erp-uh/управление-электронной-почтой-ух
---


## ПолучитьИнтернетПочтовыйПрофиль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С ЭЛЕКТРОННЫМИ ПИСЬМАМИ

// Формирует почтовый профиль по учетной записи
//
// Параметры
//  УчетнаяЗапись
//
// Возвращаемое значение:
//   ИнтернетПочтовыйПрофиль
//
Функция ПолучитьИнтернетПочтовыйПрофиль(УчетнаяЗапись) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеЭлектроннойПочтойУХ.ПолучитьИнтернетПочтовыйПрофиль(УчетнаяЗапись) 
```
</details>

## ПоискПервойПодстроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С ТЕКСТАМИ ЭЛЕКТРОННЫХ ПИСЕМ И ХТМЛ ТЕКСТАМИ

// Функция ищет вхождение в переданную строку значений из списка значений
//
// Параметры
//  Строка - исходная строка для поиска
//  ПодстрокиПоиска - список значений с коллекцией подстрок для поиска
//  СтрокаПоиска - элемент, в который возвращается найденное значение строки подпоиска
//
// Возвращаемое значение:
//  Наименьшая позиция найденного значения
//
Функция ПоискПервойПодстроки(Строка,ПодстрокиПоиска,СтрокаПоиска) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеЭлектроннойПочтойУХ.ПоискПервойПодстроки(Строка, ПодстрокиПоиска, СтрокаПоиска));
```
</details>

## ВернутьТекстПисьмаВФорматеHTML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает по переданному тексту строку
// в формате HTML с выделенными ссылками на ресурсы www
//
// Параметры
//  ТекстПисьма - текстовая строка
//
// Возвращаемое значение:
//  Текст в формате HTML
//
Функция ВернутьТекстПисьмаВФорматеHTML(ТекстПисьма) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеЭлектроннойПочтойУХ.ВернутьТекстПисьмаВФорматеHTML(ТекстПисьма) 
```
</details>

## ВернутьТекстПисьма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// УПРАВЛЕНИЕ УВЕДОМЛЕНИЯМИ ПО ЭЛЕКТРОННОЙ ПОЧТЕ.
//

Функция ВернутьТекстПисьма(Заголовок, Содержание) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеЭлектроннойПочтойУХ.ВернутьТекстПисьма(Заголовок, Содержание) 
```
</details>

## ЗаписатьПисьмоВРегистр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПисьмоВРегистр(Письмо, Источник) Экспорт
```

Пример вызова
```bsl
УправлениеЭлектроннойПочтойУХ.ЗаписатьПисьмоВРегистр(Письмо, Источник) 
```
</details>

## РазослатьПротоколыПоОтветственным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// УПРАВЛЕНИЕ УВЕДОМЛЕНИЯМИ ПО ЭЛЕКТРОННОЙ ПОЧТЕ.
//

Процедура РазослатьПротоколыПоОтветственным(СоответствиеПротоколов) Экспорт
```

Пример вызова
```bsl
УправлениеЭлектроннойПочтойУХ.РазослатьПротоколыПоОтветственным(СоответствиеПротоколов) 
```
</details>

## ПолучитьКэшЭлАдресов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКэшЭлАдресов(ТаблицаОтветственных) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеЭлектроннойПочтойУХ.ПолучитьКэшЭлАдресов(ТаблицаОтветственных));
```
</details>

## ДобавитьДокументОтветственногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьДокументОтветственногоЛица(Документ,Ответственный,ТаблицаОтветственных) Экспорт
```

Пример вызова
```bsl
УправлениеЭлектроннойПочтойУХ.ДобавитьДокументОтветственногоЛица(Документ, Ответственный, ТаблицаОтветственных));
```
</details>

## ДобавитьОрганизациюОтветственногоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОрганизациюОтветственногоЛица(Организация,Ответственный,ТаблицаОтветственных) Экспорт
```

Пример вызова
```bsl
УправлениеЭлектроннойПочтойУХ.ДобавитьОрганизациюОтветственногоЛица(Организация, Ответственный, ТаблицаОтветственных));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
