---
title: Управленческий учет проведение сервер
slug: erp-uh/управленческий-учет-проведение-сервер
---


## ОбновитьДвиженияПоОборотнымРегистрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить все отложенные движения по оборотным регистрам:
// - в регистре "Движения Денежные средства - Контрагент" по клиентам и поставщикам
// - в регистре "Движения Контрагент - Контрагент".
//
// Параметры:
//  МассивДокументов - Массив из ДокументСсылка - массив документов для которых необходимо сформировать движения.
//
// Возвращаемое значение:
//  Массив из ДокументСсылка- документы по которым были изменены движения влияющие на формирование проводк регл. учета.
//
Функция ОбновитьДвиженияПоОборотнымРегистрам(МассивДокументов) Экспорт
```

Пример вызова
```bsl
Результат = УправленческийУчетПроведениеСервер.ОбновитьДвиженияПоОборотнымРегистрам(МассивДокументов) 
```
</details>

## СформироватьДвиженияДенежныеСредстваКонтрагентПоКлиентам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирование отложенных движений в регистре "Движения Денежные средства - Контрагент" по клиентам.
//
// Параметры:
//	МассивДокументов - Массив из ДокументСсылка - массив документов.
//	ИзмененныеДокументы - ТаблицаЗначений - таблица изменнных документов.
//	ДляОтладки - Структура, Неопределено - Структура в которой возвращается информация для отладки.
//
Процедура СформироватьДвиженияДенежныеСредстваКонтрагентПоКлиентам(МассивДокументов, ИзмененныеДокументы = Неопределено, ДляОтладки = Неопределено) Экспорт
```

Пример вызова
```bsl
УправленческийУчетПроведениеСервер.СформироватьДвиженияДенежныеСредстваКонтрагентПоКлиентам(МассивДокументов, ИзмененныеДокументы, ДляОтладки);
```
</details>

## СформироватьДвиженияДенежныеСредстваКонтрагентПоПоставщикам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирование отложенных движений в регистре "Движения Денежные средства - Контрагент" по поставщикам.
//
// Параметры:
//	МассивДокументов - Массив из ДокументСсылка - массив документов.
//	ИзмененныеДокументы - ТаблицаЗначений - таблица изменнных документов.
//	ДляОтладки - Структура, Неопределено - Структура в которой возвращается информация для отладки.
//
Процедура СформироватьДвиженияДенежныеСредстваКонтрагентПоПоставщикам(МассивДокументов, ИзмененныеДокументы = Неопределено, ДляОтладки = Неопределено) Экспорт
```

Пример вызова
```bsl
УправленческийУчетПроведениеСервер.СформироватьДвиженияДенежныеСредстваКонтрагентПоПоставщикам(МассивДокументов, ИзмененныеДокументы, ДляОтладки);
```
</details>

## СформироватьДвиженияКонтрагентКонтрагент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирование отложенных движений в регистре "Движения Контрагент - Контрагент" по поставщикам.
//
// Параметры:
//	МассивДокументовРасчетов - Массив из ДокументСсылка - массив документов для которых необходимо сформировать движения.
//	ИзмененныеДокументы - ТаблицаЗначений - таблица изменнных документов.
//	ДляОтладки - Структура, Неопределено - Структура в которой возвращается информация для отладки.
//
Процедура СформироватьДвиженияКонтрагентКонтрагент(МассивДокументовРасчетов, ИзмененныеДокументы = Неопределено, ДляОтладки = Неопределено) Экспорт
```

Пример вызова
```bsl
УправленческийУчетПроведениеСервер.СформироватьДвиженияКонтрагентКонтрагент(МассивДокументовРасчетов, ИзмененныеДокументы, ДляОтладки);
```
</details>

## ПолучитьИсходныеДвиженияРегистровПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие ПолучитьИсходныеДвиженияРегистров.
//
// Параметры:
//  Источник - РегистрНакопленияНаборЗаписей - записываемый регистр накопления.
//  Отказ - Булево - признак отказа от записи набора регистра.
//  Замещение - Булево - Истина - запись осуществляется с заменой существующих в базе данных записей.
//
Процедура ПолучитьИсходныеДвиженияРегистровПередЗаписью(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
УправленческийУчетПроведениеСервер.ПолучитьИсходныеДвиженияРегистровПередЗаписью(Источник, Отказ, Замещение) 
```
</details>

## ПолучитьПризнакИзмененияДвиженийРегистровПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие ПолучитьПризнакИзмененияДвиженийРегистров.
//
// Параметры:
//  Источник - РегистрНакопленияНаборЗаписей - записываемый регистр накопления.
//  Отказ - Булево - признак отказа от записи набора регистра.
//  Замещение - Булево - Истина - запись осуществляется с заменой существующих в базе данных записей.
//
Процедура ПолучитьПризнакИзмененияДвиженийРегистровПриЗаписи(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
УправленческийУчетПроведениеСервер.ПолучитьПризнакИзмененияДвиженийРегистровПриЗаписи(Источник, Отказ, Замещение) 
```
</details>

## ДобавитьДвиженияАктивовПассивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для целей формирования управленческого баланса добавляет движения по регистру ПрочиеАктивыПассивы
// по правилам формирования двойной записи.
//
// Параметры:
//  СсылкаНаДокумент - ДокументСсылка, Структура из КлючИЗначение - ссылка документа для которого необходимо сформировать и записать движения упр. баланса:
//                                      * Ссылка - ДокументСсылка
//  Движения - КоллекцияДвижений - наборы записей регистров документа.
//
Процедура ДобавитьДвиженияАктивовПассивов(СсылкаНаДокумент, Движения) Экспорт
```

Пример вызова
```bsl
УправленческийУчетПроведениеСервер.ДобавитьДвиженияАктивовПассивов(СсылкаНаДокумент, Движения) 
```
</details>

## ОбновитьДвиженияАктивовПассивовПоРасчетамСПартнерами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для целей формирования управленческого баланса обновляет движения по регистру ПрочиеАктивыПассивы
// после отложенного распределения взаиморасчетов с партнерами.
//
// Параметры:
//  РегистраторыКОтражению - Массив из ДокументСсылка - массив документов затронутых отложенным распределение взаиморасчетов с партнерами.
//  ПараметрыОтладки - Структура - дополнительные параметры.
//
Процедура ОбновитьДвиженияАктивовПассивовПоРасчетамСПартнерами(РегистраторыКОтражению, ПараметрыОтладки = Неопределено) Экспорт
```

Пример вызова
```bsl
УправленческийУчетПроведениеСервер.ОбновитьДвиженияАктивовПассивовПоРасчетамСПартнерами(РегистраторыКОтражению, ПараметрыОтладки);
```
</details>

## ЗапросДвиженийАктивовПассивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для целей формирования управленческого баланса формирует запрос движений по регистру ПрочиеАктивыПассивы
// после расчета себестоимости.
//
// Параметры:
//  ПараметрыДвижений - Структура - параметры формирования запроса баланса активовов/пассивов.
//  ПараметрыОтладки - Структура - дополнительные параметры..
//
// Возвращаемое значение:
//  Запрос, Неопределено - Запрос движений активов/пассивов
//
Функция ЗапросДвиженийАктивовПассивов(ПараметрыДвижений, ПараметрыОтладки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправленческийУчетПроведениеСервер.ЗапросДвиженийАктивовПассивов(ПараметрыДвижений, ПараметрыОтладки);
```
</details>

## ОбновитьДвиженияАктивовПассивов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для целей формирования управленческого баланса записывает движения по регистру ПрочиеАктивыПассивы
// по правилам формирования двойной записи.
//
// Параметры:
//  СсылкаНаДокумент - Структура из КлючИЗначение
//                       * Ссылка - ДокументСсылка
//                     ДокументСсылка   - ссылка документа для которого необходимо сформировать и записать движения упр. баланса
//  Движения - Структура из КлючИЗначение
//               * Ключ - Имя регистра как в метаданных
//               * Значение - НаборЗаписейРегистра
//             КоллекцияДвижений - наборы записей регистров документа пеерданные в коллекции двжений или структуре имитирующей эту коллекцию.
//
Процедура ОбновитьДвиженияАктивовПассивов(СсылкаНаДокумент, Движения) Экспорт
```

Пример вызова
```bsl
УправленческийУчетПроведениеСервер.ОбновитьДвиженияАктивовПассивов(СсылкаНаДокумент, Движения) 
```
</details>

## МассивРегистраторовРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает все регистраторы регистра накопления.
//
// Параметры:
//  ИмяРегистра - Строка - Имя регистра накопления.
//
// Возвращаемое значение:
//  Массив из ОписаниеТипов - типов регистраторов регистра накопления.
//
Функция МассивРегистраторовРегистра(ИмяРегистра) Экспорт
```

Пример вызова
```bsl
Результат = УправленческийУчетПроведениеСервер.МассивРегистраторовРегистра(ИмяРегистра) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
