---
title: Установка цен вызов сервера
slug: erp-uh/установка-цен-вызов-сервера
---


## ИменаРазрешенныхПараметровСхемКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметров, которые можно изменить в настройках схемы компоновки данных.
//
// Возвращаемое значение:
//  Массив - Имена параметров
//
Функция ИменаРазрешенныхПараметровСхемКомпоновкиДанных() Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.ИменаРазрешенныхПараметровСхемКомпоновкиДанных() 
```
</details>

## ИменаПараметровСхемКомпоновкиДанныхСРазрешеннымиПустымиЗначениями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметров, для которых оставлять пустые значение в настройках схемы компоновки данных.
//
// Возвращаемое значение:
//  Массив - Имена параметров
//
Функция ИменаПараметровСхемКомпоновкиДанныхСРазрешеннымиПустымиЗначениями(РазрешенныеИмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.ИменаПараметровСхемКомпоновкиДанныхСРазрешеннымиПустымиЗначениями(РазрешенныеИмена);
```
</details>

## ОписаниеПараметровСхемыКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность обязательных параметров схемы компоновки данных
//
// Параметры:
//  ВидЦены - СправочникСсылка.ВидыЦен - Ссылка на вид цены, для которого нужно описание параметров
//  НастройкиКомпоновкиДанных - НастройкиКомпоновкиДанных - Настройки компоновки данных
//  ПараметрыСхемКомпоновкиДанныхВидовЦен - ТаблицаЗначений - Таблица параметров схем компоновки данных видов цен
//
// Возвращаемое значение:
//  Структура - Структура со свойствами:
//   * ОписаниеПараметров - Строка - Описание параметров.
//
Функция ОписаниеПараметровСхемыКомпоновкиДанных(ВидЦены, Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.ОписаниеПараметровСхемыКомпоновкиДанных(ВидЦены, );
```
</details>

## ПолучитьОбязательныеПоляСхемыКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имена и типы полей, которые должны обязательно присутствовать
// в СКД, используемой для заполнения цен по данным ИБ.
//
// Возвращаемое значение:
//  Соответствие - В ключах содержатся имена полей, в значениях - типы полей.
//
Функция ПолучитьОбязательныеПоляСхемыКомпоновкиДанных(ИспользуетсяЦенообразование25 = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.ПолучитьОбязательныеПоляСхемыКомпоновкиДанных(ИспользуетсяЦенообразование25);
```
</details>

## ПроверитьЗаполненностьОбязательныхПараметровСхемыКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность обязательных параметров схемы компоновки данных
//
// Параметры:
//  ВыбранныеЦены - Массив из СправочникСсылка.ВидыЦен - Массив видов цен, для которых нужно получить адрес настроек компоновки данных
//  АдресХранилищаНастройкиКомпоновкиДанных - Строка, УникальныйИдентификатор - Адрес с настройками компоновки данных для вида цены
//  АдресХранилищаПараметровСхемКомпоновкиПоВидамЦен - Строка, УникальныйИдентификатор - Адрес с настройками параметров
//                                                     настроек компоновки данных для всех видов цен.
//
// Возвращаемое значение:
//  Массив из Структура - Массив описаний найденных ошибок:
//  * ВидЦены - СправочникСсылка.ВидыЦен - Вид цены
//  * Описание - Строка - Описание
//
Функция ПроверитьЗаполненностьОбязательныхПараметровСхемыКомпоновкиДанных(ВыбранныеЦены, Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.ПроверитьЗаполненностьОбязательныхПараметровСхемыКомпоновкиДанных(ВыбранныеЦены, );
```
</details>

## НастройкиСхемыКомпоновкиДанныхПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес настроек компоновки данных для вида цены по умолчанию
//
// Параметры:
//  ВидЦены - СправочникСсылка.ВидыЦен - Ссылка на вид цены, для которого нужно получить адрес настроек компоновки данных
//  АдресСхемыКомпоновкиДанных - Строка - Адрес с настройками компоновки данных для всех видов цены формы
//  УникальныйИдентификатор - УникальныйИдентификатор - Уникальный идентификатор формы.
//
// Возвращаемое значение:
//  Строка - Адрес настроек компоновки данных для вида цены.
//
Функция НастройкиСхемыКомпоновкиДанныхПоУмолчанию(ВидЦены, Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.НастройкиСхемыКомпоновкиДанныхПоУмолчанию(ВидЦены, );
```
</details>

## УстановитьНастройкиКомпоновкиДанныхДляВидаЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает настройки компоновки данных для вида цены
//
// Параметры:
//  ВидЦены - СправочникСсылка.ВидыЦен - Ссылка на вид цены, для которого нужно получить адрес настроек компоновки данных
//  АдресХранилищаНастроекДляВидаЦены - Строка - Адрес с настройками компоновки данных для вида цены
//  АдресХранилищаНастройкиКомпоновкиДанных - Строка - Адрес с настройками компоновки данных для всех видов цен
//  АдресХранилищаПараметровСхемКомпоновкиПоВидамЦен - Строка - Адрес с настройками параметров схем компоновки данных
//
// Возвращаемое значение:
//  Структура - Описание параметров схемы компоновки данных.
//
Функция УстановитьНастройкиКомпоновкиДанныхДляВидаЦены(ВидЦены, Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.УстановитьНастройкиКомпоновкиДанныхДляВидаЦены(ВидЦены, );
```
</details>

## АдресНастроекКомпоновкиДанныхДляВидаЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес настроек компоновки данных для вида цены
//
// Параметры:
//  ВидЦены - СправочникСсылка.ВидыЦен - Ссылка на вид цены, для которого нужно получить адрес настроек компоновки данных
//  АдресХранилищаНастройкиКомпоновкиДанных - Строка - Адрес с настройками компоновки данных для всех видов цены формы
//  УникальныйИдентификатор - УникальныйИдентификатор - Уникальный идентификатор формы
//
// Возвращаемое значение:
//  Строка - адрес настроек компоновки данных для вида цены.
//
Функция АдресНастроекКомпоновкиДанныхДляВидаЦены(ВидЦены, Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.АдресНастроекКомпоновкиДанныхДляВидаЦены(ВидЦены, );
```
</details>

## ВыгрузитьВExcel
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер документа в пределах дня
//
// Параметры:
//  МассивДокументов - Массив - документы для выгрузки
//  УникальныйИдентификатор - УникальныйИдентификатор - Уникальный идентификатор формы
//  ПараметрыПечати - Структура - параметры печати, используемые при подготовке документов к выгрузке.
//
// Возвращаемое значение:
//  Массив из Структура - Данные о созданных файлах.
//
Функция ВыгрузитьВExcel(МассивДокументов, УникальныйИдентификатор, ПараметрыПечати) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.ВыгрузитьВExcel(МассивДокументов, УникальныйИдентификатор, ПараметрыПечати) 
```
</details>

## ВыгрузитьВExcelБезСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер документа в пределах дня
//
// Параметры:
//  Документ - ДокументСсылка - документы для выгрузки
//  УникальныйИдентификатор - УникальныйИдентификатор - Уникальный идентификатор формы
//  ПараметрыПечати - Структура - параметры печати, используемые при подготовке документов к выгрузке.
//
// Возвращаемое значение:
//  Массив из Структура - Данные о созданных файлах.
//
Функция ВыгрузитьВExcelБезСсылки(Документ, УникальныйИдентификатор, ПараметрыПечати) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.ВыгрузитьВExcelБезСсылки(Документ, УникальныйИдентификатор, ПараметрыПечати) 
```
</details>

## РассчитатьНомерВПределахДня
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер документа в пределах дня
//
// Параметры:
//  ДатаДокумента - Дата - Дата, на которую нужно рассчитать номер
//  Ссылка - ДокументСсылка.УстановкаЦенНоменклатуры - Ссылка на документ установки цен
//
// Возвращаемое значение:
//  Число - Номер документа
//
Функция РассчитатьНомерВПределахДня(ДатаДокумента, Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенВызовСервера.РассчитатьНомерВПределахДня(ДатаДокумента, Ссылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
