---
title: Установка цен клиент
slug: erp-uh/установка-цен-клиент
---


## ЗаполненыОбязательныеПараметрыСхемКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность обязательных параметров схем компоновки данных,
// используемых для расчета цен.
//
// Параметры:
//  Форма - см. УстановкаЦенСервер.ПостроитьДеревоЦен.Форма
//
// Возвращаемое значение:
//  Булево - Признак наличия ошибок.
//
Функция ЗаполненыОбязательныеПараметрыСхемКомпоновкиДанных(Форма) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиент.ЗаполненыОбязательныеПараметрыСхемКомпоновкиДанных(Форма) 
```
</details>

## ВыгрузитьВExcel
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает дерево цен в Excel
//
// Параметры:
//  Форма - см. УстановкаЦенСервер.ПостроитьДеревоЦен.Форма
//  ПараметрыПечати - Структура - параметры печати, используемые при формировании печатной формы.
//
// Результат:
//  Файл, результат выгрузки.
//
Процедура ВыгрузитьВExcel(Форма, ПараметрыПечати) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиент.ВыгрузитьВExcel(Форма, ПараметрыПечати) 
```
</details>

## ЗагрузитьИзExcel
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает данные из Excel в дерево цен формы
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма, в которую необходимо загрузить данные из Excel
//  ПрисоединенныйФайл - ОпределяемыйТип.ПрисоединенныйФайл - ссылка на элемент справочника с файлом..
//
Процедура ЗагрузитьИзExcel(Форма, ПрисоединенныйФайл) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиент.ЗагрузитьИзExcel(Форма, ПрисоединенныйФайл) 
```
</details>

## ИнформацияТекущейСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	Элементы - ЭлементыФормы - Элементы обрабатываемой формы. Должны включать:
// 	* ДеревоЦен - ДеревоЗначений, ТаблицаФормы, ДанныеФормыЭлементДерева, ДанныеФормыДерево - основной элемент формы с деревом цен
// 	ВыбранныеЦены - ТаблицаЗначений -
// 	ДатаДействующихЦен - Дата
// 	ТекущаяДата - Дата
// 	ИспользоватьХарактеристикиНоменклатуры - Булево
// 	НеИспользоватьФормулы - Булево
// Возвращаемое значение:
// 	ФорматированнаяСтрока, Строка -
Функция ИнформацияТекущейСтроки(Элементы, Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиент.ИнформацияТекущейСтроки(Элементы, );
```
</details>

## ПолучитьИнформационнуюСтрокуДляЯчейки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Параметры:
// 	Элементы - ЭлементыФормы
// 	ВыбранныеЦены - ТаблицаЗначений -
// 	ДатаДействующихЦен - Дата
// 	ТекущаяДата - Дата
// 	ИспользоватьХарактеристикиНоменклатуры - Булево
// 	ТекущееМаркетинговоеМероприятие - СправочникСсылка.МаркетинговыеМероприятия
// 	ЕстьЦенаУстановленнаяБудующейДатой - Булево
// 	ВидЦены - СправочникСсылка.ВидыЦен
// Возвращаемое значение:
// 	ФорматированнаяСтрока, Строка - Описание
Функция ПолучитьИнформационнуюСтрокуДляЯчейки(Элементы, Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиент.ПолучитьИнформационнуюСтрокуДляЯчейки(Элементы, );
```
</details>

## ПолучитьИнформационнуюСтрокуИстории
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Формирует информационные строки по истории изменения вида цен
//
// Параметры:
// 	Параметры - Структура:
// 	 * ПредыдущаяВалюта - СправочникСсылка.Валюты
// Возвращаемое значение:
// 	Структура - Описание:
// * ФорматированнаяСтрокаПиктограммаТренда - ФорматированнаяСтрока -
// * ФорматированнаяСтрокаДинамики - ФорматированнаяСтрока -
// * ФорматированнаяСтрокаИстории - ФорматированнаяСтрока -
Функция ПолучитьИнформационнуюСтрокуИстории(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиент.ПолучитьИнформационнуюСтрокуИстории(Параметры) 
```
</details>

## ВыгрузитьВExcelБезСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает дерево цен в Excel
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - , в которой необходимо рассчитать цены
//  ПараметрыПечати - Структура - параметры печати, используемые при формировании печатной формы.
//
Процедура ВыгрузитьВExcelБезСсылки(Форма, ПараметрыПечати) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиент.ВыгрузитьВExcelБезСсылки(Форма, ПараметрыПечати) 
```
</details>

## ЗагрузитьИзExcelБезСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает данные из Excel в дерево цен формы
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - в которую необходимо загрузить данные из Excel.
//
Процедура ЗагрузитьИзExcelБезСсылки(Форма) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиент.ЗагрузитьИзExcelБезСсылки(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
