---
title: Установка цен клиент сервер
slug: erp-uh/установка-цен-клиент-сервер
---


## ЗаполнитьИндексКартинкиСтрокиДереваЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет индекс картинки у строки дерева цен
//
// Параметры:
//  СтрокаДереваЦен - ДанныеФормыКоллекцияЭлементовДерева,СтрокаДереваЗначений - элемент дерева значений.
//
Процедура ЗаполнитьИндексКартинкиСтрокиДереваЦен(СтрокаДереваЦен) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ЗаполнитьИндексКартинкиСтрокиДереваЦен(СтрокаДереваЦен) 
```
</details>

## НайтиСтрокуВидаЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет поиск строки с определенным видом цен в таблице
//
// Параметры:
//  ВыбранныеЦены - ДанныеФормыКоллекция - Таблица, в которой осуществляется поиск
//  ВидЦены - СправочникСсылка.ВидыЦен - Ссылка на вид цен, который необходимо найти.
//
// Возвращаемое значение:
//  ДанныеФормыЭлементКоллекции - найденный вид цен, содержит:
//  * Ссылка - СправочникСсылка.ВидыЦен
//
Функция НайтиСтрокуВидаЦен(ВыбранныеЦены, ВидЦены) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.НайтиСтрокуВидаЦен(ВыбранныеЦены, ВидЦены) 
```
</details>

## СтрокаВидаЦеныПоИмениПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет поиск строки с определенным видом цен в таблице по имени измененного поля.
//
// Параметры:
//  ВыбранныеЦены - ДанныеФормыКоллекция - Таблица, в которой осуществляется поиск
//  ИзмененноеПоле - Строка - Имя поля.
//
// Возвращаемое значение:
//  ДанныеФормыЭлементКоллекции - найденный вид цен.
//
Функция СтрокаВидаЦеныПоИмениПоля(ВыбранныеЦены, Знач ИзмененноеПоле) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.СтрокаВидаЦеныПоИмениПоля(ВыбранныеЦены, ИзмененноеПоле) 
```
</details>

## ВыбратьВсеЗависимыеЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помечает все зависимые цены в таблице
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//
Процедура ВыбратьВсеЗависимыеЦены(Форма) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ВыбратьВсеЗависимыеЦены(Форма) 
```
</details>

## ВыбратьВсеВлияющиеЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помечает все влияющие цены в таблице
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//
Процедура ВыбратьВсеВлияющиеЦены(Форма) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ВыбратьВсеВлияющиеЦены(Форма) 
```
</details>

## ВыбратьВсеВлияющиеЦеныБезРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помечает все влияющие цены в таблице без признака необходимости расчета
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//
Процедура ВыбратьВсеВлияющиеЦеныБезРасчета(Форма) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ВыбратьВсеВлияющиеЦеныБезРасчета(Форма) 
```
</details>

## ИнвертироватьВыбранныеЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инвертирует пометку выбранных цен в таблице
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//
Процедура ИнвертироватьВыбранныеЦены(Форма) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ИнвертироватьВыбранныеЦены(Форма) 
```
</details>

## ВыбранныеСтрокиТаблицыВидовЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает выбранные строки видов цен
//
// Параметры:
//  Форма - см. УстановкаЦенСервер.ПостроитьДеревоЦен.Форма
//  ВыбиратьВлияющие - Булево - определяет включать ли в массив влияющие цены.
//
// Возвращаемое значение:
//  Массив из ДанныеФормыЭлементКоллекции - Выбранные строки видов цен
//
Функция ВыбранныеСтрокиТаблицыВидовЦен(Форма, ВыбиратьВлияющие = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.ВыбранныеСтрокиТаблицыВидовЦен(Форма, ВыбиратьВлияющие);
```
</details>

## НеВыбраныЗависимыеЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет выбранность всех зависимых видов цен
//
// Параметры:
//  Форма - см. УстановкаЦенСервер.ПостроитьДеревоЦен.Форма
//
// Возвращаемое значение:
//  Булево - Истина, если в форме обнаружены невыбранные зависимые цены.
//
Функция НеВыбраныЗависимыеЦены(Форма) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.НеВыбраныЗависимыеЦены(Форма) 
```
</details>

## ВыбранныеВидыЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив ссылок на выбранные пользователем виды цен
//
// Параметры:
//  Форма - см. УстановкаЦенСервер.ПостроитьДеревоЦен.Форма
//  ДляРедактирования - Булево - Признак редактирования
//
// Возвращаемое значение:
//  Массив из СправочникСсылка.ВидыЦен, СправочникСсылка.ВидыЦенПоставщиков - Массив ссылок на выбранные пользователем виды цен.
//
Функция ВыбранныеВидыЦен(Форма, ДляРедактирования = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.ВыбранныеВидыЦен(Форма, ДляРедактирования);
```
</details>

## ПроставитьФлагиВлияетЗависитНаКлиенте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет флаги Влияет и Зависит в таблице выбранных цен
//
// Параметры:
//  Форма - см. УстановкаЦенСервер.ПостроитьДеревоЦен.Форма
//
Процедура ПроставитьФлагиВлияетЗависитНаКлиенте(Форма) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ПроставитьФлагиВлияетЗависитНаКлиенте(Форма) 
```
</details>

## ОкруглитьЦену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет округление цены в соответствии с правилами округления для вида цен
//
// Параметры:
//  ЗначениеЦены - Число - значение цены, которое необходимо округлить
//  СтрокаСправочникаВидовЦен - СтрокаТаблицыЗначений - вид цены, в соответствии с которым необходимо округлить цену.
//
// Возвращаемое значение:
//  Число - Округленное значение цены.
//
Функция ОкруглитьЦену(ЗначениеЦены, СтрокаСправочникаВидовЦен) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.ОкруглитьЦену(ЗначениеЦены, СтрокаСправочникаВидовЦен) 
```
</details>

## СтрокаПересчетаУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку кода на языке 1С: Предприятия для пересчета цен из упаковки в упаковку.
//
// Параметры:
//  СтрокаТаблицыЦен       							- ДанныеФормыЭлементКоллекции - строка таблицы
//  ВидЦеныИсточник   						    	- ДанныеФормыЭлементКоллекции - вид цен, из которого необходимо пересчитать
//  ВидЦеныНазначение  						    	- ДанныеФормыЭлементКоллекции - вид цен, в который необходимо пересчитать
//  СоответствиеКоэффициентовУпаковокНоменклатуры  	- Соответствие - ключ - <УИД номенклатуры> + <УИД упаковки>, значение - коэффициент пары номенклатуры и упаковки.
//
// Возвращаемое значение:
//  Строка - выражение для пересчета цены из упаковки в упаковку.
//
Функция СтрокаПересчетаУпаковок(СтрокаТаблицыЦен, Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.СтрокаПересчетаУпаковок(СтрокаТаблицыЦен, );
```
</details>

## СтрокаПересчетаВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку для пересчета цен из валюты в валюту
//
// Параметры:
//  ВалютаИсточник - СправочникСсылка.Валюты - валюта, из которой необходимо пересчитать
//  ВалютаНазначение - СправочникСсылка.Валюты - валюта, в которую необходимо пересчитать.
//  СоответствиеВалют - Соответствие - Соответствие курсов валют.
//
// Возвращаемое значение:
//  Строка - выражение для пересчета цены из валюты в валюту.
//
Функция СтрокаПересчетаВалюты(ВалютаИсточник, ВалютаНазначение, СоответствиеВалют) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.СтрокаПересчетаВалюты(ВалютаИсточник, ВалютаНазначение, СоответствиеВалют) 
```
</details>

## НайтиСтрокуВалюты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет поиск курса валюты в таблице курсов валют
//
// Параметры:
//  СоответствиеВалют - Соответствие - курсы валют
//  Валюта - СправочникСсылка.Валюты - ссылка на валюту, курсы которой необходимо получить.
//
// Возвращаемое значение:
//  СтрокаТаблицыЗначений - если курс найден, Неопределено в противном случае.
//
Функция НайтиСтрокуВалюты(СоответствиеВалют, Валюта) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.НайтиСтрокуВалюты(СоответствиеВалют, Валюта) 
```
</details>

## РассчитатьДатуДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает дату документа по дате и номеру в пределах дня
//
// Параметры:
//  ДатаДокумента - Дата
//  НомерВПределахДня - Число
//
// Возвращаемое значение:
//  Дата - Рассчитанная дата документа.
//
Функция РассчитатьДатуДокумента(ДатаДокумента, НомерВПределахДня) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.РассчитатьДатуДокумента(ДатаДокумента, НомерВПределахДня) 
```
</details>

## ОтметитьРекурсивноВниз
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отметить рекурсивно вниз
//
// Параметры:
//  Родитель - СтрокаДереваЗначений - Строка родитель.
//
Процедура ОтметитьРекурсивноВниз(Родитель) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ОтметитьРекурсивноВниз(Родитель) 
```
</details>

## ОтметитьРекурсивноВверх
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отметить рекурсивно вверх
//
// Параметры:
//  СтрокаДерева - СтрокаДереваЗначений - Строка дерева.
//
Процедура ОтметитьРекурсивноВверх(СтрокаДерева) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ОтметитьРекурсивноВверх(СтрокаДерева) 
```
</details>

## УстановитьЗначениеРекурсивноВсеЭлементыРодителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отметить рекурсивно все элементы родителя
//
// Параметры:
//  Родитель - СтрокаДереваЗначений - Строка дерева.
//  Вкл - Булево - Устанавливаемое значение.
//
Процедура УстановитьЗначениеРекурсивноВсеЭлементыРодителя(Родитель, Вкл) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.УстановитьЗначениеРекурсивноВсеЭлементыРодителя(Родитель, Вкл) 
```
</details>

## ДобавитьРекурсивноВсеВыбранныеЭлементыРодителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить рекурсивно все элементы родителя
//
// Параметры:
//  Родитель - СтрокаДереваЗначений - Строка дерева.
//  ТаблицаВидовЦен - ТаблицаЗначений - Данные по видам цен.
//
Процедура ДобавитьРекурсивноВсеВыбранныеЭлементыРодителя(Родитель, ТаблицаВидовЦен) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ДобавитьРекурсивноВсеВыбранныеЭлементыРодителя(Родитель, ТаблицаВидовЦен) 
```
</details>

## ЗаполнитьЗначениеСвойствРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Заполнить рекурсивно все элементы родителя
//
// Параметры:
//  Родитель - СтрокаДереваЗначений - Строка дерева.
//  ТаблицаВидовЦен - ТаблицаЗначений - Данные по видам цен.
//
Процедура ЗаполнитьЗначениеСвойствРекурсивно(Родитель, ТаблицаВидовЦен) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ЗаполнитьЗначениеСвойствРекурсивно(Родитель, ТаблицаВидовЦен) 
```
</details>

## ЗаполнитьЗначениеСвойствРекурсивноВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запонить значение свойств рекурсивно
//
// Параметры:
// 	Родитель - ДанныеФормыЭлементДерева
// 	ТаблицаВидовЦен - ТаблицаЗначений
Процедура ЗаполнитьЗначениеСвойствРекурсивноВТаблицу(Родитель, ТаблицаВидовЦен) Экспорт
```

Пример вызова
```bsl
УстановкаЦенКлиентСервер.ЗаполнитьЗначениеСвойствРекурсивноВТаблицу(Родитель, ТаблицаВидовЦен) 
```
</details>

## ПолучитьКоэффициентУпаковкиНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить коэффициент упаковки номенклатуры
//
// Параметры:
//  СоответствиеКоэффициентов	 - 	Соответствие 					- ключ - <УИД номенклатуры> + <УИД упаковки>, значение - коэффициент пары номенклатуры и упаковки
//  Номенклатура	 - 	СправочникСсылка.Номенклатура 				- номенклатура, по которой будет производиться поиск
//  Упаковка		 - 	СправочникСсылка.УпаковкиЕдиницыИзмерения 	- упаковка/единица измерения по которой будет производиться поиск.
//
// Возвращаемое значение:
//  Число, Неопределено - Коэффициент упаковки относительно номенклатуры; Неопределено - если пара "Номенклатура +
//  Упаковка" не найдена.
//
Функция ПолучитьКоэффициентУпаковкиНоменклатуры(СоответствиеКоэффициентов, Номенклатура, Упаковка) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.ПолучитьКоэффициентУпаковкиНоменклатуры(СоответствиеКоэффициентов, Номенклатура, Упаковка) 
```
</details>

## ИнициализироватьОписаниеУпаковкиНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить структуру упаковок номенклатуры
//
// Возвращаемое значение:
//  Структура - структура с ключами Номенклатура и Упаковка.
//
Функция ИнициализироватьОписаниеУпаковкиНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.ИнициализироватьОписаниеУпаковкиНоменклатуры() 
```
</details>

## НайтиСтруктуруУпаковкиНоменклатурыВМассиве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Найти структуру упаковки номенклатуры в массиве
//
// Параметры:
//  МассивСтруктур	 - 	Массив 										- Массив структур с ключами Номенклатура и Упаковка
//  Номенклатура	 - 	СправочникСсылка.Номенклатура 				- номенклатура, по которой будет производиться поиск
//  Упаковка		 - 	СправочникСсылка.УпаковкиЕдиницыИзмерения 	- упаковка/единица измерения по которой будет производиться поиск.
//
// Возвращаемое значение:
//  Структура, Неопределено - найденная структура или Неопределено, если ничего не найдено.
//
Функция НайтиСтруктуруУпаковкиНоменклатурыВМассиве(МассивСтруктур, Номенклатура, Упаковка) Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.НайтиСтруктуруУпаковкиНоменклатурыВМассиве(МассивСтруктур, Номенклатура, Упаковка) 
```
</details>

## НоваяСтруктураНастроекФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новая структура настроек формы.
//
// Возвращаемое значение:
//  Структура -Новая структура настроек формы:
// * ДатаДействующихЦен - Дата -
// * ПоказыватьПроцентНаценки - Булево -
// * ПоказыватьИзменениеЦены - Булево -
// * ПоказыватьДействующиеЦены - Булево -
// * ПоказыватьФормулы - Булево -
// * ПоказыватьВалюту - Булево -
// * ПоказыватьЕдиницыИзмерения - Булево -
// * ПоказыватьПанельБыстрогоРедактирования - Булево -
// * ВариантНеобходимостиУстановкиЦены - Число -
// * УстановленыНастройкиОтбора - Булево -
// * ОтображатьВлияющиеЦены - Булево -
// * ИспользоватьОднуКолонкуДляКлючаЦен - Булево -
// * ЗафиксироватьКолонкуНоменклатуры - Булево -
// * ВидНоменклатуры - СправочникСсылка.ВидыНоменклатуры -
// * ВариантНавигации - Строка -
// * ВариантГруппировки - Строка -
// * ВидНастройки - Строка -
// * ТаблицаПараметровОтбора - ТаблицаЗначений -
// * ВыбранныеЦены - см. УстановкаЦенКлиентСервер.ВыбранныеВидыЦен
// * ВыбранныеЦеныТаблица - См. УстановкаЦенСервер.ВыбранныеВидыЦенВТаблицу
// * НастройкиКомпоновщика - НастройкиКомпоновкиДанных -
// * НастройкиКомпоновщикаКолонок - НастройкиКомпоновкиДанных -
// * НастройкиКомпоновщикаКолонок - Строка -
Функция НоваяСтруктураНастроекФормы() Экспорт
```

Пример вызова
```bsl
Результат = УстановкаЦенКлиентСервер.НоваяСтруктураНастроекФормы() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
