---
title: Учет арендованных ОС
slug: erp-uh/учет-арендованных-ос
---


## ДобавитьЭтап_НачислениеПроцентовПоАренде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_НачислениеПроцентовПоАренде(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.ДобавитьЭтап_НачислениеПроцентовПоАренде(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_НачислениеПроцентовПоАренде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опредяет статус операции "НачислениеПроцентовПоАренде".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Использование_НачислениеПроцентовПоАренде(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.Использование_НачислениеПроцентовПоАренде(ПараметрыОбработчика) 
```
</details>

## Выполнить_НачислениеПроцентовПоАренде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "НачислениеПроцентовПоАренде".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Выполнить_НачислениеПроцентовПоАренде(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.Выполнить_НачислениеПроцентовПоАренде(ПараметрыОбработчика) 
```
</details>

## ДобавитьЭтап_НачислениеПроцентовПоДоходнойАренде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ЗаполнитьОписаниеЭтаповЗакрытияМесяца
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_НачислениеПроцентовПоДоходнойАренде(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.ДобавитьЭтап_НачислениеПроцентовПоДоходнойАренде(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_НачислениеПроцентовПоДоходнойАренде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опредяет статус операции "НачислениеПроцентовПоДоходнойАренде".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Использование_НачислениеПроцентовПоДоходнойАренде(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.Использование_НачислениеПроцентовПоДоходнойАренде(ПараметрыОбработчика) 
```
</details>

## Выполнить_НачислениеПроцентовПоДоходнойАренде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет операцию "НачислениеПроцентовПоДоходнойАренде".
//
// Параметры:
//  ПараметрыОбработчика - Структура - Параметры обработчика
Процедура Выполнить_НачислениеПроцентовПоДоходнойАренде(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.Выполнить_НачислениеПроцентовПоДоходнойАренде(ПараметрыОбработчика) 
```
</details>

## ИнициализироватьПараметрыПоискаОснованийИДокументовОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает структуру параметров поиска оснований оплаты и документов оплаты
//
// Возвращаемое значение:
// 	Структура - содержит:
// 	* Организации - Неопределено, СправочникСсылка.Организации, Массив Из СправочникСсылка.Организации -
// 	* Документы   - Массив Из ДокументСсылка - документы, по которым производится поиск платежей.
// 	* НаДату      - Дата - для среза найденных документов на дату
// 	* ОграничитьТипыДокументовОплаты - Булево - Если "Истина", платежные документы будут ограничены возможными типами
// 	                                                входящих и исходящих документов оплат.
// 	* ОграничитьТипыОснованийОплаты  - Булево - Если "Истина", основания платежа будут ограничены возможными типами
// 	                                                входящих и исходящих документов.
// 	* ПараметрыОтбораПоТаблицеДокументов - Структура - Для отбора по временной таблице с документами, где:
//  	** ИмяПоля - Строка - Имя поля, в котором содержится документ
//  	** ИмяТаблицыОтбора - Строка - имя временной таблицы, где содержится документ
//
Функция ИнициализироватьПараметрыПоискаОснованийИДокументовОплаты() Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОС.ИнициализироватьПараметрыПоискаОснованийИДокументовОплаты() 
```
</details>

## ПодготовитьВТ_РасчетыСАрендодателями_ОснованияИДокументыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовить временную таблицу "РасчетыСАрендодателями_ОснованияИДокументыОплаты"
// Создает временную таблицу с колонками:
// 		Организация;
// 		ДокументОплаты - платежный документ;
// 		ОснованиеОплаты - оплачиваемый документ;
// 		АналитикаУчетаПоПартнерам;
// 		ОбъектРасчетов;
// 		Подразделение;
// 		НаправлениеДеятельности;
// 		Контрагент;
// 		Договор;
// 		СуммаОплаты;
// 		СуммаОплатыУпр;
// 		СуммаОплатыРегл.
//
// Параметры:
// 	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц
// 	ПараметрыПоиска         - см. ИнициализироватьПараметрыПоискаОснованийИДокументовОплаты
Процедура ПодготовитьВТ_РасчетыСАрендодателями_ОснованияИДокументыОплаты(МенеджерВременныхТаблиц, ПараметрыПоиска) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.ПодготовитьВТ_РасчетыСАрендодателями_ОснованияИДокументыОплаты(МенеджерВременныхТаблиц, ПараметрыПоиска) 
```
</details>

## ДополнитьЗначенияПараметровПроведенияДокументаАренды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет значения параметров для проведения документа в учете аренды.
//
// Параметры:
// 	ЗначенияПараметровПроведения - Структура -
Процедура ДополнитьЗначенияПараметровПроведенияДокументаАренды(ЗначенияПараметровПроведения) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.ДополнитьЗначенияПараметровПроведенияДокументаАренды(ЗначенияПараметровПроведения) 
```
</details>

## ЕстьПредметыАрендыНаБалансеАрендатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет учитывается хотя бы одно ОС на балансе арендатора
//
// Параметры:
// 	СписокОС - Массив -
// 	Дата - Дата -
// Возвращаемое значение:
// 	Булево -
Функция ЕстьПредметыАрендыНаБалансеАрендатора(СписокОС, Дата) Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОС.ЕстьПредметыАрендыНаБалансеАрендатора(СписокОС, Дата) 
```
</details>

## ОсновноеСредствоПолученоВАренду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет получено ли в аренду основное средство .
//
// Параметры:
//  ОсновноеСредство - СправочникСсылка.ОбъектыЭксплуатации - Основное средство.
//  Дата - Дата - На дату.
//
// Возвращаемое значение:
//  Булево - Истина, если ОС получено в аренду.
Функция ОсновноеСредствоПолученоВАренду(ОсновноеСредство, Дата) Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОС.ОсновноеСредствоПолученоВАренду(ОсновноеСредство, Дата) 
```
</details>

## ИспользуетсяУчетАрендыПоФСБУ25_2018
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет используется ли учет аренды по стандарту ФСБУ 25/2018.
//
// Параметры:
//  Организация - СправочникСсылка.Организации, Массив, Неопределено - Организация, для которой проверяется порядок учета.
//  Период	 - Дата - На какую дату нужно проверить (если не указана, то проверяется на текущую дату).
//  УчестьНачалоПерехода - Булево - Истина, если нужно учесть начало перехода на новый стандарт.
//
// Возвращаемое значение:
//  Булево - Истина, если используется учет аренды по ФСБУ 25/2018
//                    для указанной организации или для любой организации, если организация не указана.
//
Функция ИспользуетсяУчетАрендыПоФСБУ25_2018(Организация = Неопределено, Период = '000101010000', УчестьНачалоПерехода = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОС.ИспользуетсяУчетАрендыПоФСБУ25_2018(Организация, Период, УчестьНачалоПерехода);
```
</details>

## НачалоУчетаАрендыПоФСБУ25_2018
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет дату начала учета аренды по стандарту ФСБУ 25/2018
//
// Параметры:
// 	Организация - СправочникСсылка.Организации -
// Возвращаемое значение:
// 	Дата -
Функция НачалоУчетаАрендыПоФСБУ25_2018(Организация) Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОС.НачалоУчетаАрендыПоФСБУ25_2018(Организация) 
```
</details>

## СозданДляПереходаНаФСБУ25_2018
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет создан ли документ для перехода на ФСБУ25 2018.
//
// Параметры:
//  ДатаДокумента - Дата - Дата документа
//  Организация - СправочникСсылка.Организации - Организация
//
// Возвращаемое значение:
//  Булево - Создан для перехода на ФСБУ25 2018
Функция СозданДляПереходаНаФСБУ25_2018(ДатаДокумента, Организация) Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОС.СозданДляПереходаНаФСБУ25_2018(ДатаДокумента, Организация) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВариантыОтчетовПереопределяемый.НастроитьВариантыОтчетов.
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ОпределитьОбъектыСКомандамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых предусмотрена процедура ДобавитьКомандыОтчетов,
// описывающая команды открытия контекстных отчетов.
// Синтаксис процедуры ДобавитьКомандыОтчетов см. в документации.
//
// Параметры:
//   Объекты - Массив из ОбъектМетаданных - объекты метаданных с командами отчетов.
//
Процедура ОпределитьОбъектыСКомандамиОтчетов(Объекты) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.ОпределитьОбъектыСКомандамиОтчетов(Объекты) 
```
</details>

## ДобавитьРолиДляДоступаКПодсистемеВНАНаИзменение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в профиль роли, позволяющие работать в подсистеме "Учет арендованных ОС" с правами на изменение.
//
// Параметры:
// 	ОписаниеПрофиля - см. УправлениеДоступом.НовоеОписаниеПрофиляГруппДоступа
Процедура ДобавитьРолиДляДоступаКПодсистемеВНАНаИзменение(ОписаниеПрофиля) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.ДобавитьРолиДляДоступаКПодсистемеВНАНаИзменение(ОписаниеПрофиля) 
```
</details>

## ДобавитьРолиДляДоступаКПодсистемеВНАНаЧтение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в профиль роли, позволяющие работать в подсистеме "Учет арендованных ОС" с правами на чтение.
//
// Параметры:
// 	ОписаниеПрофиля - см. УправлениеДоступом.НовоеОписаниеПрофиляГруппДоступа
Процедура ДобавитьРолиДляДоступаКПодсистемеВНАНаЧтение(ОписаниеПрофиля) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.ДобавитьРолиДляДоступаКПодсистемеВНАНаЧтение(ОписаниеПрофиля) 
```
</details>

## СформироватьЗаписиРегистровЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует записи в регистрах заданий к закрытию месяца.
//
// Параметры:
// 	Документ - ДокументОбъект -
// 	ДанныеТаблиц - см. ПроведениеДокументов.ДанныеТаблицСтаройСтруктуры
Процедура СформироватьЗаписиРегистровЗаданий(Документ, ДанныеТаблиц) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОС.СформироватьЗаписиРегистровЗаданий(Документ, ДанныеТаблиц) 
```
</details>

## ДобавитьКомандуОтчетаВедомостьРасчетовПоДоговоруАренды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команду отчета в список команд.
//
// Параметры:
//	КомандыОтчетов - см. ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов.КомандыОтчетов
//
// Возвращаемое значение:
//	СтрокаТаблицыЗначений -
//	Неопределено -
Функция ДобавитьКомандуОтчетаВедомостьРасчетовПоДоговоруАренды(КомандыОтчетов) Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОС.ДобавитьКомандуОтчетаВедомостьРасчетовПоДоговоруАренды(КомандыОтчетов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
