---
title: Учет арендованных ОС клиент
slug: erp-uh/учет-арендованных-ос-клиент
---


## ВвестиСрокАренды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для ввод срока аренды, после ввода устанавливает срок в объекте.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма.
// 	Объект - ДанныеФормыСтруктура - Объект.
// 	ОбработчикЗавершения - Неопределено - Обработчик формы, который нужно вызвать после ввода срока.
Процедура ВвестиСрокАренды(Форма, Объект, ОбработчикЗавершения = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОСКлиент.ВвестиСрокАренды(Форма, Объект, ОбработчикЗавершения);
```
</details>

## ВвестиСрокАрендыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВвестиСрокАрендыЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОСКлиент.ВвестиСрокАрендыЗавершение(РезультатЗакрытия, ДополнительныеПараметры) 
```
</details>

## ПроверитьВозможностьЗаполненияГрафикаПоРасчетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность заполнения графика оплат и начислений по данным раздела "Расчеты"
//
// Параметры:
// 	Объект - ДокументОбъект.ЗаключениеДоговораАренды, ДокументОбъект.ИзменениеУсловийДоговораАренды -
//  РеквизитыДоговора - Структура -
//
// Возвращаемое значение:
// 	Булево - Истина, если можно заполнить
Функция ПроверитьВозможностьЗаполненияГрафикаПоРасчетам(Объект, РеквизитыДоговора) Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОСКлиент.ПроверитьВозможностьЗаполненияГрафикаПоРасчетам(Объект, РеквизитыДоговора) 
```
</details>

## МожноРассчитатьСтавкуИлиСтоимость
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность расчета ставки или стоимости.
//
// Параметры:
// 	Объект - ДокументОбъект.ЗаключениеДоговораАренды, ДокументОбъект.ИзменениеУсловийДоговораАренды, ДокументОбъект.ВводОстатковВзаиморасчетовПоАренде -
// 	РеквизитыДоговора - Структура -
// 	ИмяТабличнойЧастиОС - Строка -
// 	СообщатьОбОшибках - Булево -
// 	ПредыдущиеУсловия - Неопределено, Структура - См. УчетАрендованныхОС.СтоимостьПоПредыдущимУсловиям
//
// Возвращаемое значение:
// 	Булево -
Функция МожноРассчитатьСтавкуИлиСтоимость(Объект, РеквизитыДоговора, ИмяТабличнойЧастиОС, СообщатьОбОшибках = Истина, ПредыдущиеУсловия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОСКлиент.МожноРассчитатьСтавкуИлиСтоимость(Объект, РеквизитыДоговора, ИмяТабличнойЧастиОС, СообщатьОбОшибках, ПредыдущиеУсловия);
```
</details>

## ОткрытьГрафикиДоходнойАренды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьГрафикиДоходнойАренды(Объект, Форма, ОсновноеСредство, АдресГрафиков, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОСКлиент.ОткрытьГрафикиДоходнойАренды(Объект, Форма, ОсновноеСредство, АдресГрафиков, ОписаниеОповещения) 
```
</details>

## ОткрытьЗаполнениеГрафиковДоходнойАренды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьЗаполнениеГрафиковДоходнойАренды(Объект, Форма, ВыбранныеОС, АдресГрафиков, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОСКлиент.ОткрытьЗаполнениеГрафиковДоходнойАренды(Объект, Форма, ВыбранныеОС, АдресГрафиков, ОписаниеОповещения) 
```
</details>

## СправкаРасчетНачисленияПроцентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует печатную форму Справки-расчета начисления процентов
//
// Параметры:
//  Форма - см. Документ.ПередачаОСВАренду2_4.Форма.ФормаДокумента
//
Процедура СправкаРасчетНачисленияПроцентов(Форма) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОСКлиент.СправкаРасчетНачисленияПроцентов(Форма) 
```
</details>

## УдалитьОСИзГрафиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет основное средство из графиков документа
//
// Параметры:
//  Объект - см. Документ.ПередачаОСВАренду2_4
//  ОсновноеСредство - СправочникСсылка.ОбъектыЭксплуатации
//
Процедура УдалитьОСИзГрафиков(Объект, ОсновноеСредство) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОСКлиент.УдалитьОСИзГрафиков(Объект, ОсновноеСредство) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
