---
title: Учет арендованных ОС локализация
slug: erp-uh/учет-арендованных-ос-локализация
---


## ПризнаниеВНУАрендныхПлатежей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Признает услуги по аренде в расходах налогового учета.
//
// Параметры:
// 	СтруктураШапки - Структура -
// 	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
// 	Движения - КоллекцияДвижений -
// 	Отказ - Булево -
Процедура ПризнаниеВНУАрендныхПлатежей(СтруктураШапки, МенеджерВременныхТаблиц, Движения, Отказ) Экспорт
```

Пример вызова
```bsl
УчетАрендованныхОСЛокализация.ПризнаниеВНУАрендныхПлатежей(СтруктураШапки, МенеджерВременныхТаблиц, Движения, Отказ) 
```
</details>

## СледующийПериодПризнанияВНУАрендныхПлатежей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет период, в котором требуется выполнение операции "Признание в НУ арендных платежей"
//
// Параметры:
// 	Организация - СправочникСсылка.Организации -
// 	НачалоПериода - Дата -
// Возвращаемое значение:
// 	Дата -
Функция СледующийПериодПризнанияВНУАрендныхПлатежей(Организация, НачалоПериода) Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОСЛокализация.СледующийПериодПризнанияВНУАрендныхПлатежей(Организация, НачалоПериода) 
```
</details>

## ТекстЗапросаПустаяВременнаяТаблицаРасходыПоАренднымПлатежам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса с временной таблицей ВтРасходыПоАренднымПлатежам
//
// Возвращаемое значение:
// 		Строка - Текст запроса для получения пустой временной таблицы "ВтРасходыПоАренднымПлатежам".
//
Функция ТекстЗапросаПустаяВременнаяТаблицаРасходыПоАренднымПлатежам() Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОСЛокализация.ТекстЗапросаПустаяВременнаяТаблицаРасходыПоАренднымПлатежам() 
```
</details>

## ТекстЗапросаПустаяВременнаяТаблицаКорректировкаАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса с временной таблицей ВтКорректировкаАмортизации
//
// Возвращаемое значение:
// 		Строка - Текст запроса для получения пустой временной таблицы "ВтРасходыПоАренднымПлатежам".
//
Функция ТекстЗапросаПустаяВременнаяТаблицаКорректировкаАмортизации() Экспорт
```

Пример вызова
```bsl
Результат = УчетАрендованныхОСЛокализация.ТекстЗапросаПустаяВременнаяТаблицаКорректировкаАмортизации() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
