---
title: Учет доходов расходов
slug: erp-uh/учет-доходов-расходов
---


## СуммаРезерваПоСомнительнымДолгамНУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает сумму резерва по сомнительным долгам для целей налогового учета за налоговый период (с начала года),
// но без ограничения, предусмотренного п. 4 ст. 266 НК РФ.
//
// Параметры:
//  ОтчетныйПериод	 - Дата - Характеризует отчетный период - любая дата последнего месяца отчетного периода.
//  Организация		 - СправочникСсылка.Организации - организация, по данным которой рассчитывается сумма резерва.
//
// Возвращаемое значение:
//  Число - сумма резерва
//
Функция СуммаРезерваПоСомнительнымДолгамНУ(ОтчетныйПериод, Организация) Экспорт
```

Пример вызова
```bsl
Результат = УчетДоходовРасходов.СуммаРезерваПоСомнительнымДолгамНУ(ОтчетныйПериод, Организация) 
```
</details>

## СформироватьТаблицуРасчетаРезервовПоСомнительнымДолгам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начисляет суммы резерва по каждой задолженности отдельно в соответствии с учетной политикой.
// При начислении сумм для целей налогового учета, может учитываться ограничение, предусмотренное п. 4 ст. 266 НК РФ.
// Такое ограничение должно быть рассчитано ранее, выражено в виде доли и записано в регистр сведений ДолиСписанияКосвенныхРасходов.
//
// Параметры:
// 	СтруктураПараметров - ТаблицаЗначений - параметры получения таблицы резервов. Содержит колонки:
//		* Период - Дата - Дата среза остатков резерва
//		* Организация - СправочникСсылка.Организации - Организация, для которой необходимо получить сумму резерва
// 	ТаблицаДолейКосвенныхРасходов	- ТаблицаЗначений - таблица, с долями косвенных расходов за текущий период.
//
// Возвращаемое значение:
//  ТаблицаЗначений - см. НовыйНачислениеРезерваПоСомнительнымДолгам.
//
Функция СформироватьТаблицуРасчетаРезервовПоСомнительнымДолгам(СтруктураПараметров, ТаблицаДолейКосвенныхРасходов) Экспорт
```

Пример вызова
```bsl
Результат = УчетДоходовРасходов.СформироватьТаблицуРасчетаРезервовПоСомнительнымДолгам(СтруктураПараметров, ТаблицаДолейКосвенныхРасходов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
