---
title: Учет НДС
slug: erp-uh/учет-ндс
---


## ПолучитьСведенияОПоказателяхОтчетаНДСФормаОтчета2009Кв4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает список показателей декларации по НДС, которые будут автоматически заполняться.
// Для версии отчета ФормаОтчета2009Кв4.
//
// Параметры:
//	ПоказателиОтчета - Структура - Структура параметров отчета.
//
Процедура ПолучитьСведенияОПоказателяхОтчетаНДСФормаОтчета2009Кв4(ПоказателиОтчета) Экспорт
```

Пример вызова
```bsl
УчетНДС.ПолучитьСведенияОПоказателяхОтчетаНДСФормаОтчета2009Кв4(ПоказателиОтчета) 
```
</details>

## ЗаполнитьОтчетНДСФормаОтчета2009Кв4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет контейнер с показателями декларации по НДС.
// Для версии отчета ФормаОтчета2009Кв4.
//
// Параметры:
//	ПараметрыОтчета - Структура - Структура параметров отчета.
//	Контейнер - Структура - Данные отчета.
//	СохранятьТаблицуРасшифровок - Булево - Признак необходимости сохранения таблицы расшифровок.
//
Процедура ЗаполнитьОтчетНДСФормаОтчета2009Кв4(ПараметрыОтчета, Контейнер,СохранятьТаблицуРасшифровок = Истина) Экспорт
```

Пример вызова
```bsl
УчетНДС.ЗаполнитьОтчетНДСФормаОтчета2009Кв4(ПараметрыОтчета, Контейнер, СохранятьТаблицуРасшифровок);
```
</details>

## РассчитатьПоказателиРаздела3Декларации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает показатели Раздела 3 Декларации НДС.
//
// Параметры:
//	СтруктураПоказателей - Структура - Данные отчета.
//
Процедура РассчитатьПоказателиРаздела3Декларации(СтруктураПоказателей) Экспорт
```

Пример вызова
```bsl
УчетНДС.РассчитатьПоказателиРаздела3Декларации(СтруктураПоказателей) 
```
</details>

## ВедетсяУчетНДСПоФЗ335
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак применения Федерального Закона от 27.11.2017 №335-ФЗ,
// который возлагает исчисление НДС на покупателя товаров, перечисленных в п.8 ст. 161:
// - лом и отходы черных и цветных металлов,
// - алюминий вторичный и его сплавы,
// - сырые шкуры животных.
//
// Параметры:
// 	Дата - Дата - В данном параметре передается дата, на которую необходимо определить признак применения 335-ФЗ.
//
// Возвращаемое значение:
//  Булево - признак применения:
//           Истина - ФЗ применяется;
//           Ложь   - ФЗ не применяется.
//
Функция ВедетсяУчетНДСПоФЗ335(Дата) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.ВедетсяУчетНДСПоФЗ335(Дата) 
```
</details>

## ЗаполнитьОтчетКосвенныеНалогиТамСоюзФормаОтчета2010Кв3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет контейнер с показателями декларации по косвенным налогам (таможенный союз).
// Для версии отчета ФормаОтчета2010Кв3.
//
// Параметры:
//	ПараметрыОтчета - Структура - Структура параметров отчета.
//	Контейнер - Структура - Данные отчета.
//
Процедура ЗаполнитьОтчетКосвенныеНалогиТамСоюзФормаОтчета2010Кв3(ПараметрыОтчета, Контейнер) Экспорт
```

Пример вызова
```bsl
УчетНДС.ЗаполнитьОтчетКосвенныеНалогиТамСоюзФормаОтчета2010Кв3(ПараметрыОтчета, Контейнер) 
```
</details>

## ПолучитьСведенияОПоказателяхОтчетаКосвенныеНалогиТамСоюзФормаОтчета2010Кв3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает список показателей декларации по косвенным налогам, которые будут автоматически заполняться.
// Для версии отчета ФормаОтчета2010Кв3.
//
// Параметры:
//	ПоказателиОтчета - Структура - Структура параметров отчета.
//
Процедура ПолучитьСведенияОПоказателяхОтчетаКосвенныеНалогиТамСоюзФормаОтчета2010Кв3(ПоказателиОтчета) Экспорт
```

Пример вызова
```bsl
УчетНДС.ПолучитьСведенияОПоказателяхОтчетаКосвенныеНалогиТамСоюзФормаОтчета2010Кв3(ПоказателиОтчета) 
```
</details>

## СформироватьДокументыОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает документы НДС для передачи в электронном виде.
//
// Параметры:
//	СтруктураПараметров - Структура - Содержит ключи:
//		* Организация - СправочникСсылка.Организации.
//		* НалоговыйПериод - Дата - Налоговый период.
//
// Возвращаемое значение:
//	Структура - см. НовыйСтруктураДокументовОтчетности.
//
Функция СформироватьДокументыОтчетности(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.СформироватьДокументыОтчетности(СтруктураПараметров) 
```
</details>

## ПолучитьЭлектронныеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает пакет электронных представлений документов.
//
// Параметры:
//  ВыгружаемыеДокументы - Массив - перечень документов для которых
//                 необходимо получить электронные представления в виде двоичных данных.
//  УникальныйИдентификатор - УникальныйИдентификатор - уникальный идентификатор по которому
//                 осуществляется привязка двоичных данных во временном хранилище.
//
// Возвращаемое значение:
//   Соответствие - соответствие переданных ссылок на документы и массива структур с полями:
//                 * ТипФайла - Строка - описание типа файла;
//                 * ИмяФайла - Строка - имя файла с расширением;
//                 * АдресВременногоХранилища - Строка - адрес временного хранилища, в котором размещены двоичные данные файла.
//
Функция ПолучитьЭлектронныеДокументы(ВыгружаемыеДокументы, УникальныйИдентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.ПолучитьЭлектронныеДокументы(ВыгружаемыеДокументы, УникальныйИдентификатор);
```
</details>

## ПолучитьПорядокОкругленияНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает порядок округления НДС (Федеральный Закон N 248-ФЗ).
//
// Параметры:
// 	Дата  	- 	Дата - В данном параметре передается дата,
//            	на которую необходимо определить порядок округления НДС.
// Возвращаемое значение:
//  Булево - 	признак применения:
//				1 	- сумма НДС исчисляется с копейками;
//				2 	- сумма НДС исчисляется в полных рублях.
//
Функция ПолучитьПорядокОкругленияНДС(Дата) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.ПолучитьПорядокОкругленияНДС(Дата) 
```
</details>

## ПравилаЗаполненияДекларацииС4кв2020
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак применения правил заполнения декларации НДС по приказу ФНС от 19.08.2020 N ЕД-7-3/591@.
// Помимо прочего, приказом меняется порядок заполнения раздела 7 декларации, графы 3 и 4 с 01.10.2020 заполняются
// для всех операций, кроме операций реализации не на территории РФ.
//
// Параметры:
//  Дата   - тип дата, в данном параметре передается
//           дата на которую необходимо определить признак применения приказа
// Возвращаемое значение:
//  Булево - признак применения
//        Истина - приказ применяется
//        Ложь   - приказ не применяется
//
Функция ПравилаЗаполненияДекларацииС4кв2020(Дата) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.ПравилаЗаполненияДекларацииС4кв2020(Дата) 
```
</details>

## ЗаполнитьСписокКодовВидовОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список кодов видов операций, актуальный на переданную дату.
//
// Параметры:
//   ЧастьЖурнала         - Перечисления.ЧастиЖурналаУчетаСчетовФактур - список различается для полученных и выставленных счетов-фактур.
//   СписокКодовОпераций  - СписокЗначений - список выбора элемента формы, в который помещается формируемый список кодов видов операций.
//   Период               - Дата - дата, на которую требуется получить список кодов видов операций.
//
Процедура ЗаполнитьСписокКодовВидовОпераций(ЧастьЖурнала, СписокКодовОпераций, Период) Экспорт
```

Пример вызова
```bsl
УчетНДС.ЗаполнитьСписокКодовВидовОпераций(ЧастьЖурнала, СписокКодовОпераций, Период) 
```
</details>

## ВывестиШапкуДопЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит шапку для дополнительного листа книги покупок или продаж.
//
// Параметры:
//	ТабличныйДокумент - ТабличныйДокумент - Табличный документ, в который выводятся данные.
//	Макет - ТабличныйДокумент - Макет табличного документа.
//	СтруктураПараметров - Структура - Содержит параметры формирования, см. отчеты книга покупок и продаж.
//	НомерДополнительногоЛиста - Число - Номер листа.
//
Процедура ВывестиШапкуДопЛиста(ТабличныйДокумент, Макет, СтруктураПараметров, НомерДополнительногоЛиста) Экспорт
```

Пример вызова
```bsl
УчетНДС.ВывестиШапкуДопЛиста(ТабличныйДокумент, Макет, СтруктураПараметров, НомерДополнительногоЛиста) 
```
</details>

## ОпределитьДатуИНомерСФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату и номер счета-фактуры для вывода в отчете.
//
// Параметры:
// 	ЗаписьКниги - Структура, ВыборкаИзРезультатаЗапроса - Содержит поля:
//		* СчетФактура - ДокументСсылка.*, ссылка на документ, указываемый в качестве измерения
//						в регистрах НДС.
//		* НомерСчетаФактуры - Строка, номер счета-фактуры полученный предварительно.
//		* ДатаСчетаФактуры  - Дата, дата счета-фактуры, полученная предварительно.
//		* ОбрабатыватьНомерДокумента - Булево, признак того, что необходимо исключить префиксы из номера
//									документа перед печатью.
//		* СчетФактураДокумент - ДокументСсылка.СчетФактураПолученный/СчетФактураВыданный - ссылка на
//							подчиненный документ "счет-фактура" (необязательный)
//
// Возвращаемое значение:
//	Структура - Содержит ключи, описанные в УчетНДСПереопределяемый.НовыйПредставлениеСчетаФактуры().
//
Функция ОпределитьДатуИНомерСФ(ЗаписьКниги) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.ОпределитьДатуИНомерСФ(ЗаписьКниги) 
```
</details>

## ПолучитьСтруктуруРеквизитовКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные об ИНН/КПП в зависимости от вида контрагента.
//
// Параметры:
//	ИНН - Строка - ИНН контрагента.
//	КПП - Строка - КПП контрагента. Пустое значение для физического лица.
//	КонтрагентНаименование - Строка - Наименование контрагента.
//
// Возвращаемое значение:
//	Структура - Содержит ключи:
//		* ИННФЛ - Строка - ИНН (для физического лица)
//		* Фамилия - Строка - Фамилия (для физического лица).
//		* Имя - Строка - Имя (для физического лица)
//		* Отчество - Строка - Отчество (для физического лица).
//		* ИННЮЛ - Строка - ИНН (для юридического лица).
//		* КПП - Строка - КПП (для юридического лица).
//		* НаимОрг - Строка - Наименование (для юридического лица).
//
Функция ПолучитьСтруктуруРеквизитовКонтрагента(ИНН, КПП, Знач КонтрагентНаименование = "") Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.ПолучитьСтруктуруРеквизитовКонтрагента(ИНН, КПП, КонтрагентНаименование);
```
</details>

## ДобавитьКонтрагентаНаПроверку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запись книги покупок/продаж для проверки контрагента на сервере ФНС.
//
// Параметры:
//	СтруктураПараметров - Структура - Параметры формирования отчета.
//	Строка - ВыборкаИзРезультатаЗапроса - Данные строки.
//	ОбластьТабличногоДокумента - ТабличныйДокумент - Табличный документ с отчетом.
//	ДетальнаяЗапись - ВыборкаИзРезультатаЗапроса - Детальная запись выборки.
//	НомерРаздела - Число - Номер раздела отчета.
//
Процедура ДобавитьКонтрагентаНаПроверку(СтруктураПараметров, Строка, ОбластьТабличногоДокумента, ДетальнаяЗапись = Неопределено, НомерРаздела = 0) Экспорт
```

Пример вызова
```bsl
УчетНДС.ДобавитьКонтрагентаНаПроверку(СтруктураПараметров, Строка, ОбластьТабличногоДокумента, ДетальнаяЗапись, НомерРаздела);
```
</details>

## ВыводитьСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если текущую строку книги покупок / продаж необходимо выводить в отчет.
//
// Параметры:
//	СтруктураПараметров - Структура - Параметры формирования отчета.
//	Строка - ВыборкаИзРезультатаЗапроса - Данные строки.
//	ЭтоИтог - Булево - Признак того, что строка является итогом.
//	ДетальнаяЗапись - ВыборкаИзРезультатаЗапроса - Детальная запись выборки.
//
// Возвращаемое значение:
//	Булево - Истина, если строку требуется выводить в отчет.
//
Функция ВыводитьСтроку(СтруктураПараметров, Строка, ЭтоИтог = Ложь, ДетальнаяЗапись = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.ВыводитьСтроку(СтруктураПараметров, Строка, ЭтоИтог, ДетальнаяЗапись);
```
</details>

## УменьшитьСуммуИтога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Уменьшает итоги по книге покупок / продаж по данным текущей вычитаемой строки.
//
// Параметры:
//	СтрокаИтога - Структура - Содержит ключи для строки итогов книги покупок / продаж.
//	СтрокаВычитаемая - Произвольный - Данные вычитаемой строки.
//	СтруктураПараметров - Структура - Параметры формирования отчета.
//
Процедура УменьшитьСуммуИтога(СтрокаИтога, СтрокаВычитаемая, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
УчетНДС.УменьшитьСуммуИтога(СтрокаИтога, СтрокаВычитаемая, СтруктураПараметров) 
```
</details>

## НоваяСтрокаИтоговКнигиПокупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру итогов книги покупок.
//
// Возвращаемое значение:
//	Структура - Содержит ключи для строки итогов книги покупок.
//
Функция НоваяСтрокаИтоговКнигиПокупок() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.НоваяСтрокаИтоговКнигиПокупок() 
```
</details>

## ПривестиПустоеИзмерениеИсправленныйСчетФактура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет пустые значения измерения ИсправленныйСчетФактура регистров НДС на Неопределено.
//
// Параметры:
//	Движения - РегистрНакопленияНаборЗаписей.НДСЗаписиКнигиПокупок,
//				РегистрНакопленияНаборЗаписей.НДСЗаписиКнигиПродаж - Наборы регистров НДС.
//
Процедура ПривестиПустоеИзмерениеИсправленныйСчетФактура(Движения) Экспорт
```

Пример вызова
```bsl
УчетНДС.ПривестиПустоеИзмерениеИсправленныйСчетФактура(Движения) 
```
</details>

## НовыйПараметрыПоискаСчетовФактур
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с отбором для поиска счетов-фактур полученных.
//
// Возвращаемое значение:
//	Структура - Содержит ключи для поиска счета-фактуры.
//
Функция НовыйПараметрыПоискаСчетовФактур() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.НовыйПараметрыПоискаСчетовФактур() 
```
</details>

## ПредельноеКоличествоЗаписейВРазделеДекларацииПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение константы ПредельноеКоличествоЗаписейВРазделеДекларацииПоНДС
// для разделения больших книг покупок и продаж на части.
//
// Возвращаемое значение:
//	Число - число строк в одной порции отчета.
//
Функция ПредельноеКоличествоЗаписейВРазделеДекларацииПоНДС() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.ПредельноеКоличествоЗаписейВРазделеДекларацииПоНДС() 
```
</details>

## СформироватьЗаголовокЛиста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст с названием листа книги покупок или продаж, разделенной на порции.
//
// Параметры:
//	НазваниеРаздела - Строка - Основное название раздела книги.
//	СчетчикСегментов - Число - Номер текущей части.
//
// Возвращаемое значение:
//	Строка - Сформированное название листа.
//
Функция СформироватьЗаголовокЛиста(НазваниеРаздела, СчетчикСегментов) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.СформироватьЗаголовокЛиста(НазваниеРаздела, СчетчикСегментов) 
```
</details>

## ЗаполнитьПодстрочникРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПодстрочникРНПТ(Знач ДетальнаяЗапись, Знач ЗаписьКниги, Знач ПараметрыСтрокиРНПТ, Знач СтруктураПараметров, Знач СтруктураСекций, Знач СчетчикСегментов, Знач ТабличныйДокумент) Экспорт
```

Пример вызова
```bsl
УчетНДС.ЗаполнитьПодстрочникРНПТ(ДетальнаяЗапись, ЗаписьКниги, ПараметрыСтрокиРНПТ, СтруктураПараметров, СтруктураСекций, СчетчикСегментов, ТабличныйДокумент) 
```
</details>

## ВывестиГраницуСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВывестиГраницуСтроки(Знач СтруктураПараметров, Знач СтруктураСекций) Экспорт
```

Пример вызова
```bsl
УчетНДС.ВывестиГраницуСтроки(СтруктураПараметров, СтруктураСекций) 
```
</details>

## ДатаНачалаПримененияНДСнаУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дата, с которой вступает в силу закон о НДС для УСН
//
// Возвращаемое значение:
//  Дата - Дата начала применения НДС на УСН    //Федеральный закон от 12.07.2024 № 176-ФЗ
Функция ДатаНачалаПримененияНДСнаУСН() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДС.ДатаНачалаПримененияНДСнаУСН() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
