---
title: Учет НДС клиент переопределяемый
slug: erp-uh/учет-ндс-клиент-переопределяемый
---


## ОткрытьФормуПомощникаПоУчетуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает помощник по учету НДС.
//
// Параметры:
//	ПараметрыОткрытияПомощника - Структура - Параметры открытия формы помощника.
//
Процедура ОткрытьФормуПомощникаПоУчетуНДС(ПараметрыОткрытияПомощника) Экспорт
```

Пример вызова
```bsl
УчетНДСКлиентПереопределяемый.ОткрытьФормуПомощникаПоУчетуНДС(ПараметрыОткрытияПомощника) 
```
</details>

## ДополнительнаяОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызов дополнительных оповещений в ОбработкеОповещений документа ФормированиеЗаписейРаздела7ДекларацииНДС
//
// Параметры:
//	Документ - ЭтотОбъект - Ссылка на этотОбъект.
//	ИмяСобытия - Строка - Имя события.
//	Параметр - Структура - параметр в ОбработкаОповещения.
//	Источник - Объект - Источник в ОбработкаОповещения.
//
//
Процедура ДополнительнаяОбработкаОповещения(Документ, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
УчетНДСКлиентПереопределяемый.ДополнительнаяОбработкаОповещения(Документ, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПослеЗаписиДокументаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Вызывается после записи документа ФормированиеЗаписейРаздела7ДекларацииНДС
//
// Параметры:
//	Форма - ЭтотОбъект - Ссылка на этотОбъект.
//	ПараметрыЗаписи - Структура - параметры записи.
//
//
Процедура ПослеЗаписиДокументаНДС(Форма, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
УчетНДСКлиентПереопределяемый.ПослеЗаписиДокументаНДС(Форма, ПараметрыЗаписи) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
