---
title: Учет НДС клиент сервер локализация
slug: erp-uh/учет-ндс-клиент-сервер-локализация
---


## ПроверитьКорректностьНомераТаможеннойДекларации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру регистрационного номера таможенной декларации по переданному полному номеру декларации на товары,
// а также проверяет корректность ввода номера таможенной декларации.
//
// Параметры:
//	НомерТаможеннойДекларации - Строка - номер таможенной декларации или регистрационный номер таможенной декларации.
//	НачалоКорректногоПериода - Дата - дата начала периода проверки.
//	КонецКорректногоПериода - Дата - дата окончания периода проверки.
//
// Возвращаемое значение:
//	Структура:
//		* РегистрационныйНомер - Строка - регистрационный номер таможенной декларации либо пустая строка, если его
//											не удалось определить.
//		* ПорядковыйНомерТовара - Строка - порядковый номер товара.
//		* КодОшибки - Число - код ошибки.
//
Функция ПроверитьКорректностьНомераТаможеннойДекларации(НомерТаможеннойДекларации, Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСКлиентСерверЛокализация.ПроверитьКорректностьНомераТаможеннойДекларации(НомерТаможеннойДекларации, );
```
</details>

## ТекстОшибкиВНомереТаможеннойДекларации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовое описание ошибки при вводе номера таможенной декларации.
//
// Параметры:
//	КодОшибки - Число - код ошибки
//
// Возвращаемое значение:
//	Строка - текстовое описание ошибки в номере таможенной декларации.
//
Функция ТекстОшибкиВНомереТаможеннойДекларации(КодОшибки) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСКлиентСерверЛокализация.ТекстОшибкиВНомереТаможеннойДекларации(КодОшибки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
