---
title: Учет НДС локализация
slug: erp-uh/учет-ндс-локализация
---


## ДополнитьНастройкиУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НастройкиУчета - см. УчетНДСУП.НастройкиУчета
//
Процедура ДополнитьНастройкиУчета(НастройкиУчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьНастройкиУчета(НастройкиУчета) 
```
</details>

## ДополнитьПараметрыУчетаОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ПараметрыУчета - см. УчетНДСУП.ПараметрыУчетаПоОрганизации
//  Организация - см. УчетНДСУП.ПараметрыУчетаПоОрганизации
//  Дата - см. УчетНДСУП.ПараметрыУчетаПоОрганизации
//  Склад - см. УчетНДСУП.ПараметрыУчетаПоОрганизации
//  Подразделение - см. УчетНДСУП.ПараметрыУчетаПоОрганизации
//
Процедура ДополнитьПараметрыУчетаОрганизации(ПараметрыУчета, Организация, Дата, Склад, Подразделение) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьПараметрыУчетаОрганизации(ПараметрыУчета, Организация, Дата, Склад, Подразделение) 
```
</details>

## ДополнитьСписокОрганизацийБезНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список доступных организаций, у которых на Дату применяется НО ПродажаНеОблагаетсяНДС
//
// Параметры:
//  ТекстЗапроса - Строка
//
Процедура ДополнитьСписокОрганизацийБезНДС(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьСписокОрганизацийБезНДС(ТекстЗапроса) 
```
</details>

## ДополнитьОписаниеНастроекУчетаНДСПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ОписаниеНастроек - см. РегистрыСведений.НастройкиУчетаНДС.ЗначенияПоУмолчанию
//
Процедура ДополнитьОписаниеНастроекУчетаНДСПоОрганизации(ОписаниеНастроек) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьОписаниеНастроекУчетаНДСПоОрганизации(ОписаниеНастроек) 
```
</details>

## ДополнитьТекстЗапросаДействующиеПараметрыНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возращает текст запроса по данным регистра.
//
// Возвращаемое значение:
// 	Строка - Текст запроса.
Функция ДополнитьТекстЗапросаДействующиеПараметрыНДС(ТекстЗапроса, ДобавитьУсловие = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСЛокализация.ДополнитьТекстЗапросаДействующиеПараметрыНДС(ТекстЗапроса, ДобавитьУсловие);
```
</details>

## ДополнитьОписаниеДействующихНастроекУчетаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  МассивСтрокОписания - Массив из Строка
//  ДействующиеНастройки - см. РегистрыСведений.НастройкиУчетаНДС.ОписаниеДействующихПараметров
//
Процедура ДополнитьОписаниеДействующихНастроекУчетаНДС(МассивСтрокОписания, ДействующиеНастройки) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьОписаниеДействующихНастроекУчетаНДС(МассивСтрокОписания, ДействующиеНастройки) 
```
</details>

## ДополнитьПрименяемыеТипыНалогообложенияНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ТипыНалогообложения - СписокЗначений из ПеречислениеСсылка.ТипыНалогообложенияНДС
//  НастройкиУчета - см. УчетНДСУПСлужебный.ПрименяемыеТипыНалогообложенияНДС
//  Продажи - Булево
//  Закупки - Булево
//
Процедура ДополнитьПрименяемыеТипыНалогообложенияНДС(ТипыНалогообложения, НастройкиУчета, Продажи, Закупки) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьПрименяемыеТипыНалогообложенияНДС(ТипыНалогообложения, НастройкиУчета, Продажи, Закупки) 
```
</details>

## ДополнитьПрименяемыеВидыДеятельностиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ВидыДеятельностиНДС - см. УчетНДСУПСлужебный.ПрименяемыеВидыДеятельностиНДС
//  НастройкиУчета - см. УчетНДСУПСлужебный.ПрименяемыеВидыДеятельностиНДС
//
Процедура ДополнитьПрименяемыеВидыДеятельностиНДС(ВидыДеятельностиНДС, НастройкиУчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьПрименяемыеВидыДеятельностиНДС(ВидыДеятельностиНДС, НастройкиУчета) 
```
</details>

## ДополнитьВидыДеятельностиНДСУчитываетсяВСтоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Массив - см. УчетНДСУП.ВидыДеятельностиНДСУчитываетсяВСтоимости
//
Процедура ДополнитьВидыДеятельностиНДСУчитываетсяВСтоимости(Массив) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьВидыДеятельностиНДСУчитываетсяВСтоимости(Массив) 
```
</details>

## ДополнитьВидыДеятельностиНДСПринимаетсяКВозмещению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Массив - см. УчетНДСУП.ВидыДеятельностиНДСПринимаетсяКВозмещению
//
Процедура ДополнитьВидыДеятельностиНДСПринимаетсяКВозмещению(Массив) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьВидыДеятельностиНДСПринимаетсяКВозмещению(Массив) 
```
</details>

## ДополнитьТипыНалогообложенияНДСНеоблагаемые
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ТипыНалогообложения - см. УчетНДСУП.ТипыНалогообложенияНДСНеоблагаемые
//   ДляАвансов - Булево
//
Процедура ДополнитьТипыНалогообложенияНДСНеоблагаемые(ТипыНалогообложения, ДляАвансов = Ложь) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьТипыНалогообложенияНДСНеоблагаемые(ТипыНалогообложения, ДляАвансов);
```
</details>

## ДополнитьНалогообложенияПродажНДСНеУчитываетсяВСтоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Массив - см. УчетНДСУП.НалогообложенияПродажНДСНеУчитываетсяВСтоимости
//
Процедура ДополнитьНалогообложенияПродажНДСНеУчитываетсяВСтоимости(Массив) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьНалогообложенияПродажНДСНеУчитываетсяВСтоимости(Массив) 
```
</details>

## ПрименяетсяЛьготноеНалогообложениеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, применяется ли Льготное налогообложение по НДС
//
// Параметры:
//  Организация - по которой необходимо получить учетную политику.
//	Дата - Дата - Период, на который необходимо получить учетную политику.
//	РасчетнаяСтавка       - Булево - значение реквизита РасчетнаяСтавка. Если Неопределено, ставка получается без учета данного реквизита.
// Возвращаемое значение:
// 	Булево- Истина - применяется льготное налогообложение на проверяемый период для данной организации.
Функция ПрименяетсяЛьготноеНалогообложениеНДС(Организация, Дата) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСЛокализация.ПрименяетсяЛьготноеНалогообложениеНДС(Организация, Дата) 
```
</details>

## ЗаполнитьСправочникСтавкиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. Справочники.СтавкиНДС.СоздатьЭлементыПервоначальногоЗаполнения
Процедура ЗаполнитьСправочникСтавкиНДС() Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ЗаполнитьСправочникСтавкиНДС() 
```
</details>

## ЗаполнитьСтавкуНДСПоНоменклатуреИНалогообложению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Номенклатура - см. УчетНДСУП.СтавкаНДСПоНоменклатуреИНалогообложению
//  НалогообложениеНДС - см. УчетНДСУП.СтавкаНДСПоНоменклатуреИНалогообложению
//  Организация - см. УчетНДСУП.СтавкаНДСПоНоменклатуреИНалогообложению
//  Дата - см. УчетНДСУП.СтавкаНДСПоНоменклатуреИНалогообложению
//  СтавкаНДС - см. УчетНДСУП.СтавкаНДСПоНоменклатуреИНалогообложению
//  УказаннаяСтавкаНДС - СправочникСсылка.СтавкиНДС - последняя выбранная в документе ставка НДС. Заполнена только для Исходящих документов.
//
Процедура ЗаполнитьСтавкуНДСПоНоменклатуреИНалогообложению(Номенклатура, НалогообложениеНДС, Организация, Дата, СтавкаНДС, УказаннаяСтавкаНДС = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ЗаполнитьСтавкуНДСПоНоменклатуреИНалогообложению(Номенклатура, НалогообложениеНДС, Организация, Дата, СтавкаНДС, УказаннаяСтавкаНДС);
```
</details>

## УстановитьСтавкуНДСПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  СтавкаНДС - см. УчетНДСУП.СтавкаНДСПоУмолчанию
//  Дата - см. УчетНДСУП.СтавкаНДСПоУмолчанию
//  РасчетнаяСтавка - Булево - указывает необходимость получения расчетной ставки НДС X/(100 + X).
//  НалогообложениеНДС - см. УчетНДСУП.СтавкаНДСПоУмолчанию
//  Организация - СправочникСсылка.Организации - Организация, для которой необходимо определить ставку по умолчанию.
//
Процедура УстановитьСтавкуНДСПоУмолчанию(СтавкаНДС, Знач Дата, Знач РасчетнаяСтавка, Знач НалогообложениеНДС, Знач Организация) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.УстановитьСтавкуНДСПоУмолчанию(СтавкаНДС, Дата, РасчетнаяСтавка, НалогообложениеНДС, Организация) 
```
</details>

## ЗаполнитьСтавкаНДСДляПлатежей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  СтавкаНДС - см. УчетНДСУП.ЗаполнитьСтавкуНДСДляПлатежей
//  НалогообложениеНДС - см. УчетНДСУП.ЗаполнитьСтавкуНДСДляПлатежей
//  Организация - см. УчетНДСУП.ЗаполнитьСтавкуНДСДляПлатежей
//  Дата - см. УчетНДСУП.ЗаполнитьСтавкуНДСДляПлатежей
//
Процедура ЗаполнитьСтавкаНДСДляПлатежей(СтавкаНДС, Знач НалогообложениеНДС, Знач Организация, Знач Дата) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ЗаполнитьСтавкаНДСДляПлатежей(СтавкаНДС, НалогообложениеНДС, Организация, Дата) 
```
</details>

## ДополнитьТекстЗапросаСтавкаНДСПоСпискуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьТекстЗапросаСтавкаНДСПоСпискуНоменклатуры(СтруктураДействий, ОписаниеЗапроса) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьТекстЗапросаСтавкаНДСПоСпискуНоменклатуры(СтруктураДействий, ОписаниеЗапроса) 
```
</details>

## ЗаполнитьСтавкуНДСПоНоменклатуреИНалогообложениюПакетно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дозаполняет параметр СтавкаНДС операции по номенклатуре и типу налогообложения НДС, используется при пакетной
// обработке строк табличных частей.
//
// Параметры:
//   Номенклатура - СправочникСсылка.Номенклатура, Неопределено - Номенклатура из которой необходимо получить ставку НДС.
//   НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Налогообложение НДС операции.
//   СтавкаНДС - СправочникСсылка.СтавкиНДС - Ставка НДС по номенклатуре в текущей строке табличной части и типу налогообложения.
//   КэшированныеЗначения - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения.
//
Процедура ЗаполнитьСтавкуНДСПоНоменклатуреИНалогообложениюПакетно(Номенклатура, НалогообложениеНДС, СтавкаНДС, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ЗаполнитьСтавкуНДСПоНоменклатуреИНалогообложениюПакетно(Номенклатура, НалогообложениеНДС, СтавкаНДС, КэшированныеЗначения) 
```
</details>

## СтавкаНДСПоПеречислению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение элемента справочника СтавкиНДС по перечислению СтавкиНДС
//
// Параметры:
//  ПеречислениеСтавкаНДС - ПеречислениеСсылка - Значение перечисления Ставки НДС по которому нужно получить
//                                                    соответствующее значение справочника Ставки НДС.
//	ТипНалогообложенияНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - налогообложение НДС, в рамках которого нужно
//																		найти ставку.
//	РасчетнаяСтавка       - Булево - значение реквизита РасчетнаяСтавка. Если Неопределено, ставка получается без учета данного реквизита.
// Возвращаемое значение:
//  - Неопределено - если не локализация
//  - СправочникСсылка.СтавкиНДС - СправочникСсылка.СтавкиНДС - Соответствующая перечислению ставка НДС.
//
Функция СтавкаНДСПоПеречислению(ПеречислениеСтавкаНДС, ТипНалогообложенияНДС = Неопределено, РасчетнаяСтавка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСЛокализация.СтавкаНДСПоПеречислению(ПеречислениеСтавкаНДС, ТипНалогообложенияНДС, РасчетнаяСтавка);
```
</details>

## ОсновныеСтавкиНДС_СоздатьЭлементыПервоначальногоЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет РС.ОсновныеСтавкиНДС первоначальными данными
//
Процедура ОсновныеСтавкиНДС_СоздатьЭлементыПервоначальногоЗаполнения() Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ОсновныеСтавкиНДС_СоздатьЭлементыПервоначальногоЗаполнения() 
```
</details>

## ДополнитьНедоступныеПоОперацииТипыНалогообложенияЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НедоступныеТипыНалогообложения - Массив из ПеречислениеСсылка.ТипыНалогообложенияНДС
//  ПараметрыЗаполнения - см. УчетНДСУПСлужебный.ДоступныеНалогообложенияНДСЗакупки
//
Процедура ДополнитьНедоступныеПоОперацииТипыНалогообложенияЗакупки(НедоступныеТипыНалогообложения, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьНедоступныеПоОперацииТипыНалогообложенияЗакупки(НедоступныеТипыНалогообложения, ПараметрыЗаполнения) 
```
</details>

## ПроверитьЗаполнениеДокументаЗакупкиПоНалогообложениюНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УчетНДСУП.ПроверитьЗаполнениеДокументаЗакупкиПоНалогообложениюНДС
Процедура ПроверитьЗаполнениеДокументаЗакупкиПоНалогообложениюНДС(Объект, НалогообложениеНДС, ПараметрыПроверки, Отказ) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПроверитьЗаполнениеДокументаЗакупкиПоНалогообложениюНДС(Объект, НалогообложениеНДС, ПараметрыПроверки, Отказ) 
```
</details>

## ДополнитьУсловноеОформлениеСуммНДСПоНалогообложениюЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УчетНДСУП.УстановитьУсловноеОформлениеСуммНДСПоНалогообложениюЗакупки
Процедура ДополнитьУсловноеОформлениеСуммНДСПоНалогообложениюЗакупки(Форма, ИмяПоляВводаСтавкиНДС, ИмяПоляВводаСуммыНДС, ИмяПоляВводаСуммыСНДС) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьУсловноеОформлениеСуммНДСПоНалогообложениюЗакупки(Форма, ИмяПоляВводаСтавкиНДС, ИмяПоляВводаСуммыНДС, ИмяПоляВводаСуммыСНДС) 
```
</details>

## ДополнитьДоступныеНедоступныеВидыДеятельностиНДСПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ДоступныеВидыДеятельностиНДС - Структура
//  НедоступныеВидыДеятельностиНДС - Массив из ПеречислениеСсылка.ТипыНалогообложенияНДС
//  ПараметрыЗаполнения - см. УчетНДСУПСлужебный.ДоступныеВидыДеятельностиНДС
//
Процедура ДополнитьДоступныеНедоступныеВидыДеятельностиНДСПоПараметрам(ДоступныеВидыДеятельностиНДС, НедоступныеВидыДеятельностиНДС, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьДоступныеНедоступныеВидыДеятельностиНДСПоПараметрам(ДоступныеВидыДеятельностиНДС, НедоступныеВидыДеятельностиНДС, ПараметрыЗаполнения) 
```
</details>

## ЗаполнитьВидДеятельностиНДСПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НовыйВидДеятельностиНДС - см. УчетНДСУП.ЗаполнитьВидДеятельностиНДС
//  ТекущийВидДеятельностиНДС - см. УчетНДСУП.ЗаполнитьВидДеятельностиНДС
//  ПараметрыЗаполнения - см. УчетНДСУП.ЗаполнитьВидДеятельностиНДС
//
Процедура ЗаполнитьВидДеятельностиНДСПоПараметрам(НовыйВидДеятельностиНДС, ТекущийВидДеятельностиНДС, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ЗаполнитьВидДеятельностиНДСПоПараметрам(НовыйВидДеятельностиНДС, ТекущийВидДеятельностиНДС, ПараметрыЗаполнения) 
```
</details>

## ПроверитьЗаполнениеДокументаПоВидуДеятельностиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УчетНДСУП.ПроверитьЗаполнениеДокументаПоВидуДеятельностиНДС
Процедура ПроверитьЗаполнениеДокументаПоВидуДеятельностиНДС(Объект, ВидДеятельностиНДС, ПараметрыПроверки, Отказ) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПроверитьЗаполнениеДокументаПоВидуДеятельностиНДС(Объект, ВидДеятельностиНДС, ПараметрыПроверки, Отказ) 
```
</details>

## ВидЦенностиВводОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид ценности из документа ВводОстатков
//
// Параметры:
// 	СчетФактура - ОпределяемыйТип.СчетФактура -  Документ учета НДС.
//
// Возвращаемое значение:
// ПеречислениеСсылка.ВидыЦенностей.
Функция ВидЦенностиВводОстатков(СчетФактура) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСЛокализация.ВидЦенностиВводОстатков(СчетФактура) 
```
</details>

## УстановитьЦенаВключаетНДСПоНалогообложениюНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает флаг ЦенаВключаетНДС исходя из налогообложения НДС
//
// Параметры:
//	ЦенаВключаетНДС - Булево
//	НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС
//
// Возвращаемое значение:
//	Булево - Значение флага было изменено
Функция УстановитьЦенаВключаетНДСПоНалогообложениюНДС(ЦенаВключаетНДС, Знач НалогообложениеНДС) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСЛокализация.УстановитьЦенаВключаетНДСПоНалогообложениюНДС(ЦенаВключаетНДС, НалогообложениеНДС) 
```
</details>

## УстановитьДоступностьЦенаВключаетНДСПоНалогообложениюНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доступность элемента ЦенаВключаетНДС исходя из налогообложения НДС
//
// Параметры:
//	ЭлементФормыЦенаВключаетНДС - ПолеВвода
//	НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС
Процедура УстановитьДоступностьЦенаВключаетНДСПоНалогообложениюНДС(ЭлементФормыЦенаВключаетНДС, Знач НалогообложениеНДС) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.УстановитьДоступностьЦенаВключаетНДСПоНалогообложениюНДС(ЭлементФормыЦенаВключаетНДС, НалогообложениеНДС) 
```
</details>

## ВзаиморасчетыНеВключаютНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак ВзаиморасчетыНеВключаютНДС исходя из налогообложения НДС
//
// Параметры:
//	НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС
//
// Возвращаемое значение:
//	Булево - признак ВзаиморасчетыНеВключаютНДС
Функция ВзаиморасчетыНеВключаютНДС(Знач НалогообложениеНДС) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСЛокализация.ВзаиморасчетыНеВключаютНДС(НалогообложениеНДС) 
```
</details>

## ДополнитьДоступныеНедоступныеНалогообложенияНДСПродажиПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ДоступныеНалогообложенияНДС - см. УчетНДСУПСлужебный.ДоступныеНалогообложенияНДСПродажи
//  НедоступныеНалогообложенияНДС - см. УчетНДСУПСлужебный.ДоступныеНалогообложенияНДСПродажи
//  ПараметрыЗаполнения - см. УчетНДСУПСлужебный.ДоступныеНалогообложенияНДСПродажи
//
Процедура ДополнитьДоступныеНедоступныеНалогообложенияНДСПродажиПоПараметрам(ДоступныеНалогообложенияНДС, НедоступныеНалогообложенияНДС, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьДоступныеНедоступныеНалогообложенияНДСПродажиПоПараметрам(ДоступныеНалогообложенияНДС, НедоступныеНалогообложенияНДС, ПараметрыЗаполнения) 
```
</details>

## ЗаполнитьНалогообложениеНДСПродажиПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НовоеНалогообложениеНДС - см. УчетНДСУП.ЗаполнитьНалогообложениеНДСПродажи
//  ТекущееНалогообложениеНДС - см. УчетНДСУП.ЗаполнитьНалогообложениеНДСПродажи
//  ПараметрыЗаполнения - см. УчетНДСУП.ЗаполнитьНалогообложениеНДСПродажи
//
Процедура ЗаполнитьНалогообложениеНДСПродажиПоПараметрам(НовоеНалогообложениеНДС, ТекущееНалогообложениеНДС, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ЗаполнитьНалогообложениеНДСПродажиПоПараметрам(НовоеНалогообложениеНДС, ТекущееНалогообложениеНДС, ПараметрыЗаполнения) 
```
</details>

## ДополнитьПараметрыЗаполненияВидовЗапасовПоНалогообложению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УчетНДСУП.ПараметрыЗаполненияВидовЗапасовПоНалогообложению
Процедура ДополнитьПараметрыЗаполненияВидовЗапасовПоНалогообложению(ОтборыВидовЗапасов, Организация, Дата, НалогообложениеНДС) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьПараметрыЗаполненияВидовЗапасовПоНалогообложению(ОтборыВидовЗапасов, Организация, Дата, НалогообложениеНДС) 
```
</details>

## ДополнитьУсловноеОформлениеСуммНДСПоНалогообложениюПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УчетНДСУП.УстановитьУсловноеОформлениеСуммНДСПоНалогообложениюПродажи
Процедура ДополнитьУсловноеОформлениеСуммНДСПоНалогообложениюПродажи(Форма, ИмяПоляВводаСтавкиНДС, ИмяПоляВводаСуммыНДС, ИмяПоляВводаСуммыСНДС) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьУсловноеОформлениеСуммНДСПоНалогообложениюПродажи(Форма, ИмяПоляВводаСтавкиНДС, ИмяПоляВводаСуммыНДС, ИмяПоляВводаСуммыСНДС) 
```
</details>

## УстановитьВидДеятельностиПоНалогообложениюНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ВидДеятельностиНДС - см. УчетНДСУП.ВидДеятельностиПоНалогообложениюНДС
//  НалогообложениеНДС - см. УчетНДСУП.ВидДеятельностиПоНалогообложениюНДС
//  Организация - см. УчетНДСУП.ВидДеятельностиПоНалогообложениюНДС
//  Дата - см. УчетНДСУП.ВидДеятельностиПоНалогообложениюНДС
//
Процедура УстановитьВидДеятельностиПоНалогообложениюНДС(ВидДеятельностиНДС, Знач НалогообложениеНДС, Организация, Дата) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.УстановитьВидДеятельностиПоНалогообложениюНДС(ВидДеятельностиНДС, НалогообложениеНДС, Организация, Дата) 
```
</details>

## ДополнитьТекстЗапросаКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ТекстЗапроса - см. УчетНДСУП.ТекстЗапросаКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи
//  ПараметрыЗапроса - см. УчетНДСУП.ТекстЗапросаКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи
//
Процедура ДополнитьТекстЗапросаКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи(ТекстЗапроса, ПараметрыЗапроса) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьТекстЗапросаКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи(ТекстЗапроса, ПараметрыЗапроса) 
```
</details>

## СообщитьОбОшибкахКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Выборка - см. УчетНДСУП.СообщитьОбОшибкахКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи
//  ДокументПродажи - см. УчетНДСУП.СообщитьОбОшибкахКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи
//  ИмяТЧ - см. УчетНДСУП.СообщитьОбОшибкахКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи
//  ПредставлениеТЧ - см. УчетНДСУП.СообщитьОбОшибкахКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи
//  Отказ - см. УчетНДСУП.СообщитьОбОшибкахКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи
//
Процедура СообщитьОбОшибкахКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи(Выборка, ДокументПродажи, ИмяТЧ, ПредставлениеТЧ, Отказ) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.СообщитьОбОшибкахКорректностьВыбораНоменклатурыПоНалогообложениюНДСПродажи(Выборка, ДокументПродажи, ИмяТЧ, ПредставлениеТЧ, Отказ) 
```
</details>

## ДополнитьОграничениеТоваровПоНалогообложению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Ограничения - см. УчетНДСУП.ОграничениеТоваровПоНалогообложению
//  НалогообложениеНДС - см. УчетНДСУП.ОграничениеТоваровПоНалогообложению
//
Процедура ДополнитьОграничениеТоваровПоНалогообложению(Ограничения, Знач НалогообложениеНДС) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьОграничениеТоваровПоНалогообложению(Ограничения, НалогообложениеНДС) 
```
</details>

## ДополнительныеПроверкиПриРаспределенииНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнительныеПроверкиПриРаспределенииНДС(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнительныеПроверкиПриРаспределенииНДС(ПараметрыОбработчика) 
```
</details>

## ПередЗаписьюЗаданияКЗакрытиюМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УчетНДСУП.ПередЗаписьюЗаданияКЗакрытиюМесяца
Процедура ПередЗаписьюЗаданияКЗакрытиюМесяца(Месяц, Операция, Организация, Документ) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПередЗаписьюЗаданияКЗакрытиюМесяца(Месяц, Операция, Организация, Документ) 
```
</details>

## ДополнитьСоответствиеЗапросовКонтрольнымРегистрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  СоответствиеТекстовЗапросов - см. УчетНДСУПСлужебный.СоответствиеЗапросовКонтрольнымРегистрам
//  Запрос - см. УчетНДСУПСлужебный.СоответствиеЗапросовКонтрольнымРегистрам
//
Процедура ДополнитьСоответствиеЗапросовКонтрольнымРегистрам(СоответствиеТекстовЗапросов, Запрос) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьСоответствиеЗапросовКонтрольнымРегистрам(СоответствиеТекстовЗапросов, Запрос) 
```
</details>

## ДополнитьТекстЗапросаДвиженияКонтрагентДоходыРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьТекстЗапросаДвиженияКонтрагентДоходыРасходы(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьТекстЗапросаДвиженияКонтрагентДоходыРасходы(ТекстЗапроса) 
```
</details>

## ДополнитьТекстЗапросаПрочаяВыручка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьТекстЗапросаПрочаяВыручка(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьТекстЗапросаПрочаяВыручка(ТекстЗапроса) 
```
</details>

## ДополнитьТекстЗапросаВыручкаИСебестоимостьПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьТекстЗапросаВыручкаИСебестоимостьПродаж(ТекстЗапроса, Запрос) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьТекстЗапросаВыручкаИСебестоимостьПродаж(ТекстЗапроса, Запрос) 
```
</details>

## СформироватьЗаданияПоДокументам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Тип - см. УчетНДСУП.СформироватьЗаданияПоДокументам
//  МассивСсылок - см. УчетНДСУП.СформироватьЗаданияПоДокументам
Процедура СформироватьЗаданияПоДокументам(Тип, МассивСсылок) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.СформироватьЗаданияПоДокументам(Тип, МассивСсылок) 
```
</details>

## СформироватьЗаданияДляРаспределенияНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет формирование заданий по учету НДС по результатам изменения партионных регистров.
//
// Параметры:
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Менеджер, который содержит временную таблицу ВтИзменениеПартий, она должна содержать поля:
//	   * Период - Дата - Период движения партии.
//	   * Организация - СправочникСсылка.Организации - Организация учета партии.
//	   * КорВидДеятельностиНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Новый вид деятельности раздельного учета НДС.
//
Процедура СформироватьЗаданияДляРаспределенияНДС(МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.СформироватьЗаданияДляРаспределенияНДС(МенеджерВременныхТаблиц) 
```
</details>

## СформироватьЗаданияДляФормированияКнигиПокупокПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет формирование заданий по учету НДС по результатам изменения партионных регистров.
//
// Параметры:
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Менеджер, который содержит временную таблицу ВтИзменениеПартий, она должна содержать поля:
//	   * Период - Дата - Период движения партии.
//	   * Организация - СправочникСсылка.Организации - Организация учета партии.
//	   * СчетФактура - ОпределяемыйТип.СчетФактура - Документ приобретения (документ учета входящего НДС).
//	   * ВидДеятельностиНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Исходный вид деятельности раздельного учета НДС
//	   * КорВидДеятельностиНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Новый вид деятельности раздельного учета НДС
//
Процедура СформироватьЗаданияДляФормированияКнигиПокупокПродаж(МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.СформироватьЗаданияДляФормированияКнигиПокупокПродаж(МенеджерВременныхТаблиц) 
```
</details>

## ОтразитьВУчетеНДСИзменениеРасчетовСПоставщиками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УчетНДСУП.ОтразитьВУчетеНДСИзменениеРасчетовСПоставщиками
Процедура ОтразитьВУчетеНДСИзменениеРасчетовСПоставщиками(ТаблицаИзменений) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ОтразитьВУчетеНДСИзменениеРасчетовСПоставщиками(ТаблицаИзменений) 
```
</details>

## ОтразитьВУчетеНДСИзменениеРасчетовСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УчетНДСУП.ОтразитьВУчетеНДСИзменениеРасчетовСКлиентами
Процедура ОтразитьВУчетеНДСИзменениеРасчетовСКлиентами(ТаблицаИзменений) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ОтразитьВУчетеНДСИзменениеРасчетовСКлиентами(ТаблицаИзменений) 
```
</details>

## ОтразитьВУчетеНДСИзменениеРасчетовПоФинансовымИнструментам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. УчетНДСУП.ОтразитьВУчетеНДСИзменениеРасчетовСПоставщиками
Процедура ОтразитьВУчетеНДСИзменениеРасчетовПоФинансовымИнструментам(ТаблицаИзменений) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ОтразитьВУчетеНДСИзменениеРасчетовПоФинансовымИнструментам(ТаблицаИзменений) 
```
</details>

## ОпределитьОбъектыСКомандамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Объекты - Массив из ОбъектМетаданных.
//
Процедура ОпределитьОбъектыСКомандамиОтчетов(Объекты) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ОпределитьОбъектыСКомандамиОтчетов(Объекты) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Настройки - см. УчетНДСУП.НастроитьВариантыОтчетов
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ИсточникиДанных - см. УчетНДСУП.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
//
Процедура ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) 
```
</details>

## ПриОпределенииКомандПодключенныхКОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НастройкиФормы - см. УчетНДСУП.ПриОпределенииКомандПодключенныхКОбъекту
//  Источники - см. УчетНДСУП.ПриОпределенииКомандПодключенныхКОбъекту
//  ПодключенныеОтчетыИОбработки - см. УчетНДСУП.ПриОпределенииКомандПодключенныхКОбъекту
//  Команды - см. УчетНДСУП.ПриОпределенииКомандПодключенныхКОбъекту
//
Процедура ПриОпределенииКомандПодключенныхКОбъекту(НастройкиФормы, Источники, ПодключенныеОтчетыИОбработки, Команды) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПриОпределенииКомандПодключенныхКОбъекту(НастройкиФормы, Источники, ПодключенныеОтчетыИОбработки, Команды) 
```
</details>

## ПриОпределенииОбъектовСКомандамиСозданияНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Объекты - Массив Из ОбъектМетаданных
//
Процедура ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) 
```
</details>

## ПриОпределенииОбъектовСКомандамиПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УчетНДСУП.ПриОпределенииОбъектовСКомандамиПечати
Процедура ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) 
```
</details>

## ПередДобавлениемКомандПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УчетНДСУП.ПередДобавлениемКомандПечати
Процедура ПередДобавлениемКомандПечати(ИмяФормы, КомандыПечати, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПередДобавлениемКомандПечати(ИмяФормы, КомандыПечати, СтандартнаяОбработка) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Списки - см. УчетНДСУП.ПриЗаполненииСписковСОграничениемДоступа
//
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ХозяйственныеОперацииИДокументы - Массив из ТаблицаЗначений
//
Процедура ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовЗакупки(ХозяйственныеОперацииИДокументы) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовЗакупки(ХозяйственныеОперацииИДокументы) 
```
</details>

## ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ТЗХозОперацииИТипыДокументов - Массив из ТаблицаЗначений
//
Процедура ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПродажи(ТЗХозОперацииИТипыДокументов) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПродажи(ТЗХозОперацииИТипыДокументов) 
```
</details>

## ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПереработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Параметры:
// ТЗХозОперацииИТипыДокументов - см. ОбщегоНазначенияУТ.НоваяТаблицаХозяйственныеОперацииИДокументы
//
Процедура ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПереработки(ТЗХозОперацииИТипыДокументов) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПереработки(ТЗХозОперацииИТипыДокументов) 
```
</details>

## ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПередачиВПереработку2_5
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Параметры:
// ТЗХозОперацииИТипыДокументов - см. ОбщегоНазначенияУТ.НоваяТаблицаХозяйственныеОперацииИДокументы
//
Процедура ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПередачиВПереработку2_5(ТЗХозОперацииИТипыДокументов) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПередачиВПереработку2_5(ТЗХозОперацииИТипыДокументов) 
```
</details>

## ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПриемаВПереработку2_5
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

//Параметры:
// ТЗХозОперацииИТипыДокументов - см. ОбщегоНазначенияУТ.НоваяТаблицаХозяйственныеОперацииИДокументы
//
Процедура ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПриемаВПереработку2_5(ТЗХозОперацииИТипыДокументов) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьОписаниеОперацийИТиповДокументовДляЖурналаДокументовПриемаВПереработку2_5(ТЗХозОперацииИТипыДокументов) 
```
</details>

## ВыполнитьФормированиеДвиженийПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  КонецПериода - см. УчетНДСУП.ВыполнитьФормированиеДвиженийПоНДС
//  МассивОрганизаций - см. УчетНДСУП.ВыполнитьФормированиеДвиженийПоНДС
//
Процедура ВыполнитьФормированиеДвиженийПоНДС(КонецПериода, МассивОрганизаций) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ВыполнитьФормированиеДвиженийПоНДС(КонецПериода, МассивОрганизаций) 
```
</details>

## ДополнитьСчетаФактурыКОтражениюВУчетеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  СчетаФактуры - см. УчетНДСУП.ОтразитьДокументыВУчетеНДС
//  МассивСсылок - см. УчетНДСУП.ОтразитьДокументыВУчетеНДС
//
Процедура ДополнитьСчетаФактурыКОтражениюВУчетеНДС(СчетаФактуры, МассивСсылок) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьСчетаФактурыКОтражениюВУчетеНДС(СчетаФактуры, МассивСсылок) 
```
</details>

## ДополнитьВходящиеДанныхДляВыполненияРегламентнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ВходящиеДанные - Массив из ОбъектМетаданных
//
Процедура ДополнитьВходящиеДанныхДляВыполненияРегламентнойОперации(ВходящиеДанные) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьВходящиеДанныхДляВыполненияРегламентнойОперации(ВходящиеДанные) 
```
</details>

## ЗафиксироватьРезультат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗафиксироватьРезультат(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ЗафиксироватьРезультат(ПараметрыРасчета) 
```
</details>

## ПолучитьПартии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПартии(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПолучитьПартии(ПараметрыРасчета) 
```
</details>

## ПолучитьСчетаФактурыДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСчетаФактурыДокументы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПолучитьСчетаФактурыДокументы(ПараметрыРасчета) 
```
</details>

## ПолучитьИсправленныеСчетаФактурыДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьИсправленныеСчетаФактурыДокументы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПолучитьИсправленныеСчетаФактурыДокументы(ПараметрыРасчета) 
```
</details>

## ПолучитьКорректировочныеСчетаФактурыДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьКорректировочныеСчетаФактурыДокументы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПолучитьКорректировочныеСчетаФактурыДокументы(ПараметрыРасчета) 
```
</details>

## ПолучитьРазрезыВычетаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьРазрезыВычетаНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПолучитьРазрезыВычетаНДС(ПараметрыРасчета) 
```
</details>

## ПолучитьБлокировкиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьБлокировкиНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПолучитьБлокировкиНДС(ПараметрыРасчета) 
```
</details>

## ПолучитьПовторноПринятыйКВычетуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПовторноПринятыйКВычетуНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ПолучитьПовторноПринятыйКВычетуНДС(ПараметрыРасчета) 
```
</details>

## ВыполнитьРасчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьРасчет(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ВыполнитьРасчет(ПараметрыРасчета) 
```
</details>

## ДополнитьТаблицыПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ТаблицыПроведения - Массив из Строка
Процедура ДополнитьТаблицыПроведения(ТаблицыПроведения) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьТаблицыПроведения(ТаблицыПроведения) 
```
</details>

## ДополнитьРегистрыУчетаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Параметры:
// РегистрыНДС - см. УчетНДСУП.РегистрыУчетаНДС
Процедура ДополнитьРегистрыУчетаНДС(РегистрыНДС) Экспорт
```

Пример вызова
```bsl
УчетНДСЛокализация.ДополнитьРегистрыУчетаНДС(РегистрыНДС) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
