---
title: Учет НДС отчеты переопределяемый
slug: erp-uh/учет-ндс-отчеты-переопределяемый
---


## ЗапросПоДаннымЗаполнения7РазделаДекларацииПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре отбираются необлагаемые НДС операции и подтверждающие документы
//
// Параметры:
//	СтруктураПараметров - Структура - Организация, дата.
//	ДанныеДляЗаполнения - Структура - две таблицы: НеоблагаемыеНДСОперации, ПодтверждающиеДокументы.
//  АдресХранилища - Строка - адрес временного хранилища для помещения результата выполнения.
//
Процедура ЗапросПоДаннымЗаполнения7РазделаДекларацииПоНДС(СтруктураПараметров, ДанныеДляЗаполнения, АдресХранилища) Экспорт
```

Пример вызова
```bsl
УчетНДСОтчетыПереопределяемый.ЗапросПоДаннымЗаполнения7РазделаДекларацииПоНДС(СтруктураПараметров, ДанныеДляЗаполнения, АдресХранилища) 
```
</details>

## РаспределитьНДСПоКодамРаздела7
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре распределяется НДС по кодам операции
//
// Параметры:
//	СтруктураПараметров - Структура - Организация, дата.
//	НеоблагаемыеНДСОперации - ТаблицаЗначений - таблица необлагаемых операций
//	МассивКоэффициентов - ТаблицаЗначений - колонка СуммаРеализации таблицы НеоблагаемыеНДСОперации
//
Процедура РаспределитьНДСПоКодамРаздела7(СтруктураПараметров, НеоблагаемыеНДСОперации, МассивКоэффициентов) Экспорт
```

Пример вызова
```bsl
УчетНДСОтчетыПереопределяемый.РаспределитьНДСПоКодамРаздела7(СтруктураПараметров, НеоблагаемыеНДСОперации, МассивКоэффициентов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
