---
title: Учет НДС РФ
slug: erp-uh/учет-ндс-рф
---


## ЗарегистрироватьСчетаФактурыПолученныеПоТаблицеОснований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет имеющиеся и создает новые счета-фактуры полученные или иные документы подтверждения НДС
// по таблице оснований.
//
// Параметры:
//   ТаблицаОснований - ТаблицаЗначений - Таблица с данными для регистрации счетов-фактур, содержащая колонки:
//          * ИдентификаторСтроки - Строка - Идентификатор строки
//          * Контрагент - СправочникСсылка.Контрагенты - Поставщик
//          * Дата - Дата - дата документа приобретения ценностей
//          * Валюта - СправочникСсылка.Валюты - Валюта счета-фактуры
//          * ПредъявленСФ - Булево - Истина, если предъявлен счет-фактура, иначе считается, что это иной документ
//          * НомерСФ - Строка - Входящий номер счета-фактуры
//          * ДатаСФ - Дата - Входящая дата счета-фактуры (дата составления)
//          * НаименованиеДокумента - Строка - Наименование иного документа подтверждения НДС
//          * НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Тип налогообложение НДС поставщика
//
// Возвращаемое значение:
//   ТаблицаЗначений - таблица с колонками СчетФактура, ДокументОснование и ИдентификаторСтроки
//
Функция ЗарегистрироватьСчетаФактурыПолученныеПоТаблицеОснований(ТаблицаОснований) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСРФ.ЗарегистрироватьСчетаФактурыПолученныеПоТаблицеОснований(ТаблицаОснований) 
```
</details>

## ДополнитьЗапросПолученияДанныхДляПечатиУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура дополняет запрос получения данных шапок документов для печатной формы УПД признаком ТребуетсяНаличиеСФ
// Этот признак необходим для определения статуса формы УПД 1 (если требуется СФ) или 2 (только первичный документ, без СФ).
//
// Параметры:
//  Запрос - Запрос - запрос с текстом формирования временной таблицы ТаблицаДанныхДокументов
//  ДополнительныеПоля - Строка - идентификаторы дополнительных полей из шапки документа, по которому печатается УПД.
//
Процедура ДополнитьЗапросПолученияДанныхДляПечатиУПД(Запрос, ДополнительныеПоля = "") Экспорт
```

Пример вызова
```bsl
УчетНДСРФ.ДополнитьЗапросПолученияДанныхДляПечатиУПД(Запрос, ДополнительныеПоля);
```
</details>

## КорректируютсяЗаписиВЖурналеСФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив типов документов, для которых используется ручная корректировка журнала счетов-фактур.
//	Возвращаемое значение:
//		Массив - массив типов документов.
//
Функция КорректируютсяЗаписиВЖурналеСФ() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСРФ.КорректируютсяЗаписиВЖурналеСФ() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
