---
title: Учет НДС РФ клиент сервер повт исп
slug: erp-uh/учет-ндс-рф-клиент-сервер-повт-исп
---


## СтавкаНДСПоЗначениюПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение элемента справочника СтавкиНДС по перечислению СтавкиНДС
//
// Параметры:
//	ПеречислениеСтавкаНДС - ПеречислениеСсылка.СтавкиНДС - Значение ставки НДС.
//	ТипНалогообложенияНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Налогообложение НДС, в рамках которого нужно найти ставку.
//	                                                       Если Неопределено, то ставка получается по налогообложению ПродажаОблагаетсяНДС.
//	РасчетнаяСтавка       - Булево - значение реквизита РасчетнаяСтавка. Если Неопределено, ставка получается без учета данного реквизита.
// Возвращаемое значение:
//	СправочникСсылка.СтавкиНДС - Соответствующая перечислению ставка НДС.
//
Функция СтавкаНДСПоЗначениюПеречисления(ПеречислениеСтавкаНДС, ТипНалогообложенияНДС = Неопределено, РасчетнаяСтавка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСРФКлиентСерверПовтИсп.СтавкаНДСПоЗначениюПеречисления(ПеречислениеСтавкаНДС, ТипНалогообложенияНДС, РасчетнаяСтавка);
```
</details>

## СоответствующаяРасчетнаяСтавкаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение расчетной ставки НДС, соответствующей базовой ставке.
// Например, для ставки 20 будет возвращена ставка 20/120
// Если передана расчетная ставка, то будет возвращена она же.
//
// Параметры:
// 	СтавкаНДС - СправочникСсылка.СтавкиНДС - Базовая ставка НДС
//
// Возвращаемое значение:
// 	СправочникСсылка.СтавкиНДС - Расчетная ставка НДС
//
Функция СоответствующаяРасчетнаяСтавкаНДС(СтавкаНДС) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСРФКлиентСерверПовтИсп.СоответствующаяРасчетнаяСтавкаНДС(СтавкаНДС) 
```
</details>

## СоответствующаяБазоваяСтавкаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение базовой ставки НДС, соответствующей расчетной ставке.
// Например, для ставки 20/120 будет возвращена ставка 20
// Если передана базовая ставка, то будет возвращена она же.
//
// Параметры:
// 	СтавкаНДС - СправочникСсылка.СтавкиНДС - Расчетная ставка НДС
//
// Возвращаемое значение:
// 	СправочникСсылка.СтавкиНДС - Базовая ставка НДС
//
Функция СоответствующаяБазоваяСтавкаНДС(СтавкаНДС) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСРФКлиентСерверПовтИсп.СоответствующаяБазоваяСтавкаНДС(СтавкаНДС) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
