---
title: Учет НДС УП клиент сервер
slug: erp-uh/учет-ндс-уп-клиент-сервер
---


## ПрименяемыеТипыНалогообложенияНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список типов налогообложения операций продажи и/или закупки, доступных в конфигурации.
//
//Параметры:
// Продажи- Булево
// Закупки - Булево
// РаздельныйУчет - Булево
// Возвращаемое значение:
// 	СписокЗначений из ПеречислениеСсылка.ТипыНалогообложенияНДС
//
Функция ПрименяемыеТипыНалогообложенияНДС(Продажи = Истина, Закупки = Истина, РаздельныйУчет = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ПрименяемыеТипыНалогообложенияНДС(Продажи, Закупки, РаздельныйУчет);
```
</details>

## ТипыНалогообложенияСкрывающиеРеквизитыНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список типов налогообложения НДС, для которых в документах скрываются реквизиты ставки и суммы НДС
//
// Возвращаемое значение:
// 	Массив из ПеречислениеСсылка.ТипыНалогообложенияНДС - Типы налогообложений НДС
//
Функция ТипыНалогообложенияСкрывающиеРеквизитыНДС() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ТипыНалогообложенияСкрывающиеРеквизитыНДС() 
```
</details>

## ЗначениеСтавкиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает процент ставки НДС.
//
// Параметры:
//  СтавкаНДС - СправочникСсылка.СтавкиНДС - Ставка НДС.
//
// Возвращаемое значение:
//	Число - Процент ставки НДС.
//
Функция ЗначениеСтавкиНДС(СтавкаНДС) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ЗначениеСтавкиНДС(СтавкаНДС) 
```
</details>

## РассчитатьСуммуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает сумму НДС исходя из суммы и флагов налогообложения.
//
// Параметры:
//  Сумма            - Число - сумма от которой надо рассчитывать налоги;
//  СтавкаНДС        - Число, СправочникСсылка.СтавкиНДС - Значение или ссылка на ставку НДС.
//  СуммаВключаетНДС - Булево - признак включения НДС в сумму ("внутри" или "сверху");
//  НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - налогообложение документа
//
// Возвращаемое значение:
//  Число - полученная сумма НДС.
//
Функция РассчитатьСуммуНДС(Сумма, СтавкаНДС, СуммаВключаетНДС = Истина, НалогообложениеНДС = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.РассчитатьСуммуНДС(Сумма, СтавкаНДС, СуммаВключаетНДС, НалогообложениеНДС);
```
</details>

## ПараметрыЗаполненияНалогообложенияНДСЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров заполнения налогообложения НДС закупки товаров или возврата товаров поставщику.
//
// Возвращаемое значение:
// 	Структура - Параметры заполнения:
//		* Контрагент - СправочникСсылка.Контрагенты, СправочникСсылка.Организации - Контрагент или организация-поставщик.
//		* Договор - СправочникСсылка.ДоговорыКонтрагентов,
//					СправочникСсылка.ДоговорыМеждуОрганизаций - Договор, в рамках которого осуществляется закупка или возврат.
// 	Параметры операции.
// 		* ПриобретениеТоваров - Булево - Документ отражает приобретение товаров или сопутствующие приобретению операции:
//		                                 поступление товаров, прием товаров на хранение для последующего выкупа, акт о расхождении при приемке.
// 		* ПриобретениеРабот - Булево - Документ отражает приобретение работ.
// 		* ПриобретениеНаСтатьи - Булево - Документ отражает приобретение ценностей, которые относятся на статьях прочих расходов или прочих активов.
// 		* ВыкупВозвратнойТарыУПоставщика - Булево - Документ отражает выкуп принятой у поставщика возвратной тары.
//		* ПриемНаКомиссию - Булево - Признак того, что товар принимается на комиссию.
//		* ИмпортТоваров - Булево - Признак того, что приобретаемый товар ввозится из другой страны, с прохождением таможенной процедуры.
//		* УслугаПоАренде - Булево - Признак того, что отражаются услуги по аренде.
//		* ВвозТоваровИзТаможенногоСоюза - Булево - Признак того, что товар ввозится из стран таможенного союза. В этом случае оформляется заявление о ввозе.
//		* ЗакупкаЧерезПодотчетноеЛицо - Булево - Признак того, что документ отражает операции приобретения через подотчетное лицо.
//		* ВозвратТоваровПоставщику - Булево - Признак того, что документ отражает операцию возврата товаров поставщику.
//		* ВозвратТоваровКомитенту - Булево - Признак того, что документ отражает операцию возврата товаров комитенту.
//		* ПоступлениеИзТоваровВПути - Булево - Признак того, что документ отражает поступление на склад товаров, по которым ранее было отражено приобретение.
//
//	    * ЭтоОперацияМеждуОрганизациями - Булево - Истина, если отражается операция между собственными организациями (интеркампани).
//	                           Параметр указывается для уточнение к параметрам операции (например, совместно с параметром ВозвратТоваровПоставщику).
//
//	    * УслугаПоАрендеНалоговыйАгент - Булево - Признак того, что отражаются услуги по аренде с возможностью выбора налогообложения "Налоговый агент по НДС".
//
Функция ПараметрыЗаполненияНалогообложенияНДСЗакупки() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ПараметрыЗаполненияНалогообложенияНДСЗакупки() 
```
</details>

## ОтображатьНДСВИтогахДокументаЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, необходимо ли отображение НДС в итогах документа закупки
//
// Параметры:
// 	НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - налогообложение документа закупки
//
// Возвращаемое значение:
// 	Булево - Истина, если облагается НДС
//
Функция ОтображатьНДСВИтогахДокументаЗакупки(НалогообложениеНДС) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ОтображатьНДСВИтогахДокументаЗакупки(НалогообложениеНДС) 
```
</details>

## ПараметрыЗаполненияВидаДеятельностиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров заполнения вида деятельности раздельного учета НДС.
//
// Возвращаемое значение:
// 	Структура - Структура параметров с ключами:
// 		* Организация - СправочникСсылка.Организации - Организация документа.
// 		* Дата - Дата - Дата документа
// 		* Склад - СправочникСсылка.Склады - Склад-получатель товаров (необязательный). Если получателей несколько, но не заполняется.
// 		* Договор - СправочникСсылка.ДоговорыКонтрагентов,
// 		            СправочникСсылка.ДоговорыМеждуОрганизациями - Договор с поставщиком (необязательный).
// 		                                                          Указывается в случае отражения операций закупки ценностей.
// 		* НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - Направление деятельности - получатель ценностей (необязательный).
// 		* Подразделение - СправочникСсылка.ПодразделенияОрганизаций - Подразделение документа.
// 		Операции документа.
// 		* ПриобретениеТоваров - Булево - Документ отражает приобретение товаров или сопутствующие приобретению операции:
//		                                 поступление товаров, акт о расхождении, корректировку приобретения товаров.
// 		* ПриобретениеРабот - Булево - Документ отражает приобретение работ.
// 		* ПриобретениеНаСтатьи - Булево - Документ отражает приобретение ценностей, которые в момент приобретения относятся на статьях прочих расходов или прочих активов.
// 		* ДвижениеТоваровНаСкладах - Булево - Документ отражает движение (перемещение) товаров в рамках складского контура.
// 		* ДвижениеТоваровИРаботВПроизводстве - Булево - Документ отражает передачу товаров в производство, движение товаров и работ внутри контура производства.
// 		* СписаниеТоваровИРаботНаСтатьи - Булево - Документ отражает списание товаров и работ на статьи расходов или прочих активов.
// 		* ПередачаВЭксплуатацию - Булево - Документ отражает передачу материалов в эксплуатацию.
// 		* СборкаРазборкаТоваров - Булево - Документ отражает сборку или разборку товаров.
// 		* ВыпускПродукцииИРабот - Булево - Документ отражает выпуск продукции (полуфабрикатов) или работ (создание ценности своими силами).
// 		* ПрочееВыбытиеТоваров - Булево - Документ отражает порчу, списание недостач или пересортицу товаров.
// 		* ЛизинговоеИмуществоНаБалансе - Булево - Документ отражает поступление услуг лизинга по имуществу на балансе лизингополучателя.
// 		* КорректировкаВидаДеятельностиНДС - Булево - Документ отражает изменение вида деятельности НДС без реального движения товаров.
// 		* АвансовыйОтчет - Булево - Несмотря на то, что авансовый отчет отражает приобретение, для него используется отдельный параметр,
// 		                             т.к. документ не входит в контур автоматизированного раздельного учета НДС.
Функция ПараметрыЗаполненияВидаДеятельностиНДС() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ПараметрыЗаполненияВидаДеятельностиНДС() 
```
</details>

## ПараметрыРегистрацииСчетовФактурПолученных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров регистрации счетов-фактур на основании документов закупки или возврата товаров от клиента.
//
// Возвращаемое значение:
// 	Структура - Структура параметров с ключами:
// 	     * Ссылка - ДокументСсылка - Ссылка на документ закупки.
// 	     * Организация - СправочникСсылка.Организации - Организация, в которой отражается закупка или возврат товаров.
// 	     * Контрагент - СправочникСсылка.Контрагенты,
// 	                    СправочникСсылка.Организации - Контрагент или организация поставщик.
// 	                                                   Покупатель товаров при возврате.
// 	     * НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Налогообложение НДС документа закупки или возврата.
// 	    Параметры операции.
// 	     * ПриобретениеТоваровРаботУслуг - Булево - Признак того, что отражается приобретение товаров, работ, услуг
// 	                                       или иных ценностей у поставщика (комиссионера, переработчика) на внутреннем рынке.
// 	     * ПриемНаКомиссию - Булево - Признак того, что отражается операция приемки товаров на комиссию.
// 	     * ИмпортТоваров - Булево - Признак того, что отражается операция импорта с прохождением таможенной процедуры.
// 	     * ВвозТоваровИзТаможенногоСоюза - Булево - Признак того, что отражается операция ввоза товаров из стран таможенного союза с оформлением заявление о ввозе.
// 	     * ЗакупкаЧерезПодотчетноеЛицо - Булево - Признак того, что документ отражает операцию закупки через подотчетное лицо.
// 	     * ИнойДокументПодтвержденияНДС - Булево - Признак того, что получен иной документ подтверждения уплаты сумм НДС в бюджет (билет, чек ККМ и т.п.).
// 	     * ВозвратТоваровОтПлательщикаНДС - Булево - Признак того, что документ отражает возврат товаров от плательщика НДС.
// 	                                                 В этом случае от клиента ожидается получение счета-фактуры.
// 	     * ВозвратТоваровОтНеплательщикаНДС - Булево - Признак того, что документ отражает возврат товаров от неплательщика НДС.
// 	                                                 В этом случае получение счета-фактуры от клиента не ожидается.
// 	     * ИсправлениеОшибок - Булево - Признак того, что документ отражает исправление ошибок в документе приобретения.
// 	     * КорректировкаПоСогласованиюСторон - Булево - Признак того, что документ отражает корректировку приобретения по согласованию сторон.
// 	     * ИнойДокументПодтвержденияНДС - Булево - Признак того, что получен иной документ подтверждения уплаты сумм НДС в бюджет (билет, чек ККМ и т.п.).
//
Функция ПараметрыРегистрацииСчетовФактурПолученных() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ПараметрыРегистрацииСчетовФактурПолученных() 
```
</details>

## ПараметрыРегистрацииЗаписейКнигиПокупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров регистрации записей книги покупок на основании документа.
//
// Возвращаемое значение:
// 	Структура - Структура с ключами:
// 	         * Ссылка - ДокументСсылка - Ссылка на документ-основание.
// 	         * Организация - СправочникСсылка.Организации - Организация, в которой необходимо отразить запись.
// 	         * Контрагент - СправочникСсылка.Контрагенты, СправочникСсылка.Организации - Поставщик ценностей.
//
Функция ПараметрыРегистрацииЗаписейКнигиПокупок() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ПараметрыРегистрацииЗаписейКнигиПокупок() 
```
</details>

## ПараметрыЗаполненияНалогообложенияНДСПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для заполнения налогообложения НДС продажи или возврата товаров от покупателя.
//
// Возвращаемое значение:
// 	Структура - Параметры заполнения:
// 	     * Организация - СправочникСсылка.Организации - Организация документа.
// 	     * Дата - Дата - Дата документа.
// 	     * Договор - СправочникСсылка.ДоговорыКонтрагентов,
// 	                 СправочникСсылка.ДоговорыМеждуОрганизациями - Договор с покупателем.
// 	     * НаправлениеДеятельности - СправочникСсылка.НаправленияДеятельности - Направление деятельности, в рамках которого осуществляется продажа.
// 	                                                                            В случае возврата товаров поставщику не заполняется.
// 	     * Подразделение - СправочникСсылка.ПодразделенияОрганизаций - Подразделение документа.
// 	    Параметры операции.
// 	     * РеализацияТоваров - Булево- Признак того, что документом отражается реализация или возврат товаров, работ или услуг напрямую клиенту или собственной организации.
// 	     * РеализацияРаботУслуг - Булево - Признак того, что документом отражается реализация товаров, работ или услуг напрямую клиенту или собственной организации.
// 	     * РеализацияПрочихАктивов - Булево - Признак того, что документом отражается реализация прочих услуг (без номенклатуры) или прочих активов.
// 	     * ВыкупВозвратнойТарыКлиентом - Булево - Документ отражает выкуп клиентом ранее переданной возвратной тары.
// 	     * ВыкупТоваровХранителем - Булево - Документ отражает выкуп товаров, которые были ранее переданы на хранение с правом продажи.
// 	     * ПередачаНаКомиссию - Булево - Признак того, что документом отражается передача товаров на комиссию.
// 	     * ОтчетДавальцу - Булево -Признак того, что документом отражается реализация услуг по переработке давальческих материалов.
// 	     * ОтчетКомиссионера - Булево -Признак того, что документом отражается факт реализация товаров комиссионером.
// 	     * РозничнаяПродажа - Булево - Признак того, что документом отражается розничная продажа или возврат товаров проданных в розницу.
// 	     * ВозвратТоваровОтКлиента - Булево - Признак того, что отражается возврат товаров от клиента.
// 	     * ВозвратТоваровОтКомиссионера - Булево - Признак того, что отражается выполняется возврат комиссионера.
// 	     * ОтчетКомитентуОЗакупках - Булево - Признак того, что документом отражает отчет комитенту о закупке.
//
// 	     * ЭтоЗаказ - Булево - Истина, если заполняется налогообложение в Заказе клиента или Заказе давальца.
// 	                           Параметр указывается для уточнение к параметрам операции.
// 	                           Например, совместно с параметрами РеализацияРаботУслуг и РеализацияТоваров.
// 	     * ЭтоОперацияМеждуОрганизациями - Булево - Истина, если отражается операция между собственными организациями (интеркампани).
// 	                           Параметр указывается для уточнение к параметрам операции.
// 	                           Например, совместно с параметрами РеализацияРаботУслуг и РеализацияТоваров.
//
Функция ПараметрыЗаполненияНалогообложенияНДСПродажи() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ПараметрыЗаполненияНалогообложенияНДСПродажи() 
```
</details>

## ОтображатьНДСВИтогахДокументаПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, необходимо ли отображение НДС в итогах документа продажи
//
// Параметры:
// 	НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - налогообложение документа продажи
// Возвращаемое значение:
// 	Булево - Истина, если облагается НДС
//
Функция ОтображатьНДСВИтогахДокументаПродажи(НалогообложениеНДС) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ОтображатьНДСВИтогахДокументаПродажи(НалогообложениеНДС) 
```
</details>

## ПараметрыРегистрацииСчетовФактурВыданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров регистрации счетов-фактур на основании документов продажи или возврата товаров поставщику.
//
// Возвращаемое значение:
// 	Структура - Структура параметров с ключами:
// 	     * Ссылка - ДокументСсылка - Ссылка на документ продажи.
// 	     * Организация - СправочникСсылка.Организации - Организация, в которой отражается продажа или возврат товаров.
// 	     * Контрагент - СправочникСсылка.Контрагенты, СправочникСсылка.Организации - Контрагент или организация покупатель.
// 	     * НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Налогообложение НДС документа продажи или возврата.
// 	   Параметры операции.
// 	     * РеализацияТоваров - Булево - Признак того, что документом отражается реализация товаров.
// 	     * РеализацияРаботУслуг - Булево - Признак того, что документом отражается реализация работ или услуг.
// 	     * РеализацияПрочихАктивов - Булево - Признак того, что документом отражается реализация прочих активов, например ОС.
// 	     * ПередачаНаКомиссию  - Булево - Признак того, что отражается операция передача товаров на комиссию.
// 	     * ВозвратТоваровПоставщику  - Булево - Признак того, что отражается операция возврата товаров поставщику.
// 	     * ИсправлениеОшибок - Булево - Признак того, что документ отражает исправление ошибок в реализации или прочем начислении НДС.
// 	     * КорректировкаПоСогласованиюСторон - Булево - Признак того, что документ отражает корректировку реализации по согласованию сторон.
// 	     * ПрочееНачислениеНДС - Булево - Признак того, что документом отражается прочее начисление НДС.
// 	     * РеализацияЧерезКомиссионера - Булево - Признак того, что отражается операция по комиссии версии 2.5.
//
Функция ПараметрыРегистрацииСчетовФактурВыданных() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ПараметрыРегистрацииСчетовФактурВыданных() 
```
</details>

## ПараметрыРегистрацииСчетовФактурКомиссионеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров регистрации счетов-фактур на основании отчета комиссионера.
//
// Возвращаемое значение:
// 	Структура - Структура параметров с ключами:
// 	     * Ссылка - ДокументСсылка - Ссылка на отчет комиссионера.
// 	     * Организация - СправочникСсылка.Организации - Организация, в которой отражается отчет комиссионера.
// 	     * Контрагент - СправочникСсылка.Контрагенты, СправочникСсылка.Организации - Комиссионер.
// 	     * НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Налогообложение НДС отчета комиссионера.
// 	     * РеализацияЧерезКомиссионера - Булево -Признак того, что отражается операция по комиссии версии 2.5.
// 	     * РеализацияТоваров - Булево - Признак того, что документом отражается реализация товаров.
// 	     * РеализацияРаботУслуг - Булево -Признак того, что документом отражается реализация работ или услуг.
//
Функция ПараметрыРегистрацииСчетовФактурКомиссионеру() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПКлиентСервер.ПараметрыРегистрацииСчетовФактурКомиссионеру() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
