---
title: Учет НДС УП служебный
slug: erp-uh/учет-ндс-уп-служебный
---


## ПрименяемыеТипыНалогообложенияНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Применяемые типы налогообложения НДС
//
// Параметры:
// 	Продажи - Булево -
// 	Закупки - Булево -
// 	РаздельныйУчет - Булево -
// Возвращаемое значение:
// 	СписокЗначений из ПеречислениеСсылка.ТипыНалогообложенияНДС
//
Функция ПрименяемыеТипыНалогообложенияНДС(Продажи = Истина, Закупки = Истина, РаздельныйУчет = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ПрименяемыеТипыНалогообложенияНДС(Продажи, Закупки, РаздельныйУчет);
```
</details>

## ПрименяемыеВидыДеятельностиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Применяемые виды деятельности НДС
//
// Возвращаемое значение:
// 	СписокЗначений из ПеречислениеСсылка.ТипыНалогообложенияНДС -
Функция ПрименяемыеВидыДеятельностиНДС() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ПрименяемыеВидыДеятельностиНДС() 
```
</details>

## УстановитьПараметрТипыНалогообложенияНДСПоступления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПараметрТипыНалогообложенияНДСПоступления(Запрос) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.УстановитьПараметрТипыНалогообложенияНДСПоступления(Запрос) 
```
</details>

## ДоступныеВидыДеятельностиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ПараметрыЗаполнения - см. УчетНДСУПКлиентСервер.ПараметрыЗаполненияВидаДеятельностиНДС
// Возвращаемое значение:
//  Массив из ПеречислениеСсылка.ТипыНалогообложенияНДС
//
Функция ДоступныеВидыДеятельностиНДС(ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ДоступныеВидыДеятельностиНДС(ПараметрыЗаполнения) 
```
</details>

## ДоступныеНалогообложенияНДСЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ПараметрыЗаполнения - см. УчетНДСУПКлиентСервер.ПараметрыЗаполненияВидаДеятельностиНДС
// Возвращаемое значение:
//  Массив из ПеречислениеСсылка.ТипыНалогообложенияНДС
//
Функция ДоступныеНалогообложенияНДСЗакупки(ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ДоступныеНалогообложенияНДСЗакупки(ПараметрыЗаполнения) 
```
</details>

## НалогообложенияНДСПродажиНаЭкспорт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Массив из ПеречислениеСсылка.ТипыНалогообложенияНДС
//
Функция НалогообложенияНДСПродажиНа Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.НалогообложенияНДСПродажиНаЭкспорт() 
```
</details>

## ДоступныеНалогообложенияНДСПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список доступных значений по настройка учета НДС и отражаемой операции.
//
// Параметры:
// 	ПараметрыЗаполнения - См. УчетНДСУПКлиентСервер.ПараметрыЗаполненияНалогообложенияНДСПродажи
//
// Возвращаемое значение:
// 	Массив из ПеречислениеСсылка.ТипыНалогообложенияНДС - Доступные значения налогообложения НДС закупки.
//
Функция ДоступныеНалогообложенияНДСПродажи(ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ДоступныеНалогообложенияНДСПродажи(ПараметрыЗаполнения) 
```
</details>

## СоответствиеЗапросовКонтрольнымРегистрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Параметры:
// Запрос - Строка
//
//Возвращаемое значение:
// Соответствие из Строка
//
Функция СоответствиеЗапросовКонтрольнымРегистрам(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.СоответствиеЗапросовКонтрольнымРегистрам(Запрос) 
```
</details>

## ТекстЗапросаСтоимостьОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

Функция ТекстЗапросаСтоимостьОС(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ТекстЗапросаСтоимостьОС(Запрос));
```
</details>

## ТекстЗапросаСтоимостьНМА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаСтоимостьНМА(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ТекстЗапросаСтоимостьНМА(Запрос));
```
</details>

## ТекстЗапросаВыручкаИСебестоимостьПродаж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

Функция ТекстЗапросаВыручкаИСебестоимостьПродаж(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ТекстЗапросаВыручкаИСебестоимостьПродаж(Запрос));
```
</details>

## ТекстЗапросаПартииНДСКРаспределению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаПартииНДСКРаспределению(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ТекстЗапросаПартииНДСКРаспределению(Запрос));
```
</details>

## ТекстЗапросаДвиженияКонтрагентДоходыРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаДвиженияКонтрагентДоходыРасходы(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ТекстЗапросаДвиженияКонтрагентДоходыРасходы(Запрос));
```
</details>

## ТекстЗапросаПрочаяВыручка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаПрочаяВыручка(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ТекстЗапросаПрочаяВыручка(Запрос));
```
</details>

## СформироватьЗаданияПоДокументамРаспределениеНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьЗаданияПоДокументамРаспределениеНДС(МассивСсылок) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.СформироватьЗаданияПоДокументамРаспределениеНДС(МассивСсылок) 
```
</details>

## СформироватьЗаданияПоДокументамСчетФактураВыданныйАванс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьЗаданияПоДокументамСчетФактураВыданныйАванс(МассивСсылок) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.СформироватьЗаданияПоДокументамСчетФактураВыданныйАванс(МассивСсылок) 
```
</details>

## СформироватьЗаданияПоДокументамСчетФактураПолученныйАванс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьЗаданияПоДокументамСчетФактураПолученныйАванс(МассивСсылок) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.СформироватьЗаданияПоДокументамСчетФактураПолученныйАванс(МассивСсылок) 
```
</details>

## ВходящиеДанныеМеханизма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращаемое значение:
// Массив из ОбъектМетаданных
Функция ВходящиеДанныеМеханизма() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ВходящиеДанныеМеханизма() 
```
</details>

## ТипыЗапасовСобственные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращаемое значение:
// Массив из ПеречислениеСсылка.ТипыЗапасов
Функция ТипыЗапасовСобственные() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ТипыЗапасовСобственные() 
```
</details>

## ТипыНоменклатурыТовар
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращаемое значение:
// Массив из ПеречислениеСсылка.ТипыНоменклатуры
Функция ТипыНоменклатурыТовар() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ТипыНоменклатурыТовар() 
```
</details>

## ТипыНоменклатурыУслугаРабота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращаемое значение:
// Массив из ПеречислениеСсылка.ТипыНоменклатуры
Функция ТипыНоменклатурыУслугаРабота() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ТипыНоменклатурыУслугаРабота() 
```
</details>

## ИзмененныеПараметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Параметры:
// КлючПараметров - см. УчетНДСУП.ЗаполнитьНалогообложениеНДСПродажи
// ЗначенияПараметров - см. УчетНДСУП.ЗаполнитьНалогообложениеНДСПродажи
// КэшированныеЗначенияПараметров - см. УчетНДСУП.ЗаполнитьНалогообложениеНДСПродажи
//Возвращаемое значение:
// Произвольный
Функция ИзмененныеПараметры(КлючПараметров, ЗначенияПараметров, КэшированныеЗначенияПараметров) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ИзмененныеПараметры(КлючПараметров, ЗначенияПараметров, КэшированныеЗначенияПараметров) 
```
</details>

## ОбновитьКэшированныеЗначенияПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьКэшированныеЗначенияПараметров(КлючПараметров, ЗначенияПараметров, КэшированныеЗначенияПараметров) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ОбновитьКэшированныеЗначенияПараметров(КлючПараметров, ЗначенияПараметров, КэшированныеЗначенияПараметров) 
```
</details>

## НастроитьСовместныйВыборКонтрагентовОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастроитьСовместныйВыборКонтрагентовОрганизаций(Элемент, Контрагент = Null) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.НастроитьСовместныйВыборКонтрагентовОрганизаций(Элемент, Контрагент);
```
</details>

## ВыбратьСтавкуНДСРасчетную
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработается поле ставки НДС в тексте запроса - добавятся условия выбора расчетной ставки
//
// Параметры:
// 	Запрос - Запрос -
// 	ПолеСтавки - Строка - Полный путь к полю ставки.
//
Процедура ВыбратьСтавкуНДСРасчетную(Запрос, ПолеСтавки) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ВыбратьСтавкуНДСРасчетную(Запрос, ПолеСтавки) 
```
</details>

## ВводОстатковОтражатьВУУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение флага ОтражатьВУУ в документе ВводОстатков
//
// Параметры:
// 	ДокументОснование - ДокументСсылка.ПервичныйДокумент - документ расчетов в документе ВводОстатков
//
// Возвращаемое значение:
// 	Булево
//
Функция ВводОстатковОтражатьВУУ(ДокументОснование) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ВводОстатковОтражатьВУУ(ДокументОснование) 
```
</details>

## КоличествоЗаданийДляРасчетаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращаемое значение:
// Число
Функция КоличествоЗаданийДляРасчетаНДС() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.КоличествоЗаданийДляРасчетаНДС() 
```
</details>

## ПорогСписанияПогрешностейОкругления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращаемое значение:
// Число
Функция ПорогСписанияПогрешностейОкругления() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ПорогСписанияПогрешностейОкругления() 
```
</details>

## ВыполнитьЗаданияКФормированиюДвиженийПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет Формирование записей книг покупок и продаж.
//
// Параметры:
// 	 КонецПериода - Дата - Период, по который необходимо выполнить отражение
// 	 МассивОрганизаций - Массив из СправочникСсылка.Организации, Неопределено - Организации, по которым необходимо сформировать записи книг.
// 																Если Неопределено, то по всем организациям.
// 	 МассивСчетовФактур - Массив из ДокументСсылка, Неопределено - Счета-фактуры (документы поступления), по которым необходимо сформировать записи книг.
// 																Если Неопределено, то по всем счетам-фактурам.
//
Процедура ВыполнитьЗаданияКФормированиюДвиженийПоНДС(КонецПериода, МассивОрганизаций = Неопределено, МассивСчетовФактур = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ВыполнитьЗаданияКФормированиюДвиженийПоНДС(КонецПериода, МассивОрганизаций, МассивСчетовФактур);
```
</details>

## ЗаблокироватьРегистрЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаблокироватьРегистрЗаданий(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ЗаблокироватьРегистрЗаданий(ПараметрыРасчета));
```
</details>

## ВыполнитьРасчетСЗамеромВремени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьРасчетСЗамеромВремени(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ВыполнитьРасчетСЗамеромВремени(ПараметрыРасчета));
```
</details>

## ВыполнитьРасчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьРасчет(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ВыполнитьРасчет(ПараметрыРасчета));
```
</details>

## ПолучитьДокументыСторно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДокументыСторно(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьДокументыСторно(ПараметрыРасчета));
```
</details>

## МесяцДляРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МесяцДляРасчета(КонецПериода, НомерЗадания, МассивОрганизаций, МассивСчетовФактур) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.МесяцДляРасчета(КонецПериода, НомерЗадания, МассивОрганизаций, МассивСчетовФактур));
```
</details>

## ПолучитьЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗадания(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ПолучитьЗадания(ПараметрыРасчета));
```
</details>

## ПолучитьЗаданияКФормированиюДвиженийПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьЗаданияКФормированиюДвиженийПоНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьЗаданияКФормированиюДвиженийПоНДС(ПараметрыРасчета));
```
</details>

## ЗафиксироватьРезультат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗафиксироватьРезультат(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ЗафиксироватьРезультат(ПараметрыРасчета));
```
</details>

## ПолучитьПартии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПартии(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьПартии(ПараметрыРасчета));
```
</details>

## ПроверитьБлокировкуВходящихДанныхПриОбновленииИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьБлокировкуВходящихДанныхПриОбновленииИБ() Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПроверитьБлокировкуВходящихДанныхПриОбновленииИБ());
```
</details>

## ПроверитьНаличиеЗаданий_ФормированияДвиженийПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие сформированных заданий к закрытию месяца по движениям по НДС
//
// Параметры:
// 	СтруктураПараметров - Структура - содержит:
// 		* Организация   - СправочникСсылка.Организации -
// 		* ДатаОкончания - Дата -
// Возвращаемое значение:
// 	Булево - Истина, если задания имеются
Функция ПроверитьНаличиеЗаданий_ФормированияДвиженийПоНДС(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ПроверитьНаличиеЗаданий_ФормированияДвиженийПоНДС(СтруктураПараметров) 
```
</details>

## СформироватьНДСПредъявленный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьНДСПредъявленный(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.СформироватьНДСПредъявленный(ПараметрыРасчета));
```
</details>

## ПолучитьРазрезыВычетаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьРазрезыВычетаНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьРазрезыВычетаНДС(ПараметрыРасчета));
```
</details>

## ПолучитьСчетаФактурыДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСчетаФактурыДокументы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьСчетаФактурыДокументы(ПараметрыРасчета));
```
</details>

## ПолучитьИсправленныеСчетаФактурыДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьИсправленныеСчетаФактурыДокументы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьИсправленныеСчетаФактурыДокументы(ПараметрыРасчета));
```
</details>

## ПолучитьКорректировочныеСчетаФактурыДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьКорректировочныеСчетаФактурыДокументы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьКорректировочныеСчетаФактурыДокументы(ПараметрыРасчета));
```
</details>

## ПолучитьСписанияНДСНаРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСписанияНДСНаРасходы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьСписанияНДСНаРасходы(ПараметрыРасчета));
```
</details>

## ПолучитьНДСПредъявленныйОстатокНаНачало
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьНДСПредъявленныйОстатокНаНачало(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьНДСПредъявленныйОстатокНаНачало(ПараметрыРасчета));
```
</details>

## ПолучитьНДСПредъявленныйОнлайнДвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьНДСПредъявленныйОнлайнДвижения(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьНДСПредъявленныйОнлайнДвижения(ПараметрыРасчета));
```
</details>

## ПолучитьТекущиеРегистраторыНДСПредъявленный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьТекущиеРегистраторыНДСПредъявленный(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьТекущиеРегистраторыНДСПредъявленный(ПараметрыРасчета));
```
</details>

## РассчитатьЗаписиНДСПредъявленныйСторно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСПредъявленныйСторно(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСПредъявленныйСторно(ПараметрыРасчета));
```
</details>

## ПолучитьБлокировкиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьБлокировкиНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьБлокировкиНДС(ПараметрыРасчета));
```
</details>

## ПолучитьПовторноПринятыйКВычетуНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПовторноПринятыйКВычетуНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьПовторноПринятыйКВычетуНДС(ПараметрыРасчета));
```
</details>

## РассчитатьЗаписиНДСПредъявленныйИзменениеВидаДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСПредъявленныйИзменениеВидаДеятельности(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСПредъявленныйИзменениеВидаДеятельности(ПараметрыРасчета));
```
</details>

## РассчитатьЗаписиНДСПредъявленныйИзменениеНаправленияДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСПредъявленныйИзменениеНаправленияДеятельности(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСПредъявленныйИзменениеНаправленияДеятельности(ПараметрыРасчета));
```
</details>

## РассчитатьЗаписиНДСПредъявленныйПоИСФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСПредъявленныйПоИСФ(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСПредъявленныйПоИСФ(ПараметрыРасчета));
```
</details>

## РассчитатьЗаписиНДСПредъявленныйВосстановлениеПодВидДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСПредъявленныйВосстановлениеПодВидДеятельности(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСПредъявленныйВосстановлениеПодВидДеятельности(ПараметрыРасчета));
```
</details>

## ПолучитьОстаткиНДСПредъявленныйНаКонецПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОстаткиНДСПредъявленныйНаКонецПериода(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьОстаткиНДСПредъявленныйНаКонецПериода(ПараметрыРасчета));
```
</details>

## РассчитатьЗаписиНДСПредъявленныйПринятиеКВычету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСПредъявленныйПринятиеКВычету(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСПредъявленныйПринятиеКВычету(ПараметрыРасчета));
```
</details>

## РассчитатьЗаписиНДСПредъявленныйВосстановлениеПоКСФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСПредъявленныйВосстановлениеПоКСФ(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСПредъявленныйВосстановлениеПоКСФ(ПараметрыРасчета));
```
</details>

## РассчитатьЗаписиНДСПредъявленныйПогрешностиОкругления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСПредъявленныйПогрешностиОкругления(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСПредъявленныйПогрешностиОкругления(ПараметрыРасчета));
```
</details>

## РассчитатьЗаписиНДСПредъявленныйСохранение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСПредъявленныйСохранение(ПараметрыРасчета, ИменаТаблицЗаписейНДСПредъявленный) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСПредъявленныйСохранение(ПараметрыРасчета, ИменаТаблицЗаписейНДСПредъявленный));
```
</details>

## ПолучитьПериодичностьФормированияВычетовИВосстановленийНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПериодичностьФормированияВычетовИВосстановленийНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьПериодичностьФормированияВычетовИВосстановленийНДС(ПараметрыРасчета));
```
</details>

## ДобавитьСтрокуВычетаНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьСтрокуВычетаНДС(ТаблицаПринятиеКВычету, Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ДобавитьСтрокуВычетаНДС(ТаблицаПринятиеКВычету, );
```
</details>

## ЗаписатьНДСПредъявленный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьНДСПредъявленный(ПараметрыРасчета, ИменаТаблицЗаписейНДСПредъявленный) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ЗаписатьНДСПредъявленный(ПараметрыРасчета, ИменаТаблицЗаписейНДСПредъявленный));
```
</details>

## ОчиститьНДСПредъявленный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьНДСПредъявленный(ПараметрыРасчета, ИменаТаблицЗаписейНДСПредъявленный) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ОчиститьНДСПредъявленный(ПараметрыРасчета, ИменаТаблицЗаписейНДСПредъявленный));
```
</details>

## СформироватьНДСАвансыПолученные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьНДСАвансыПолученные(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.СформироватьНДСАвансыПолученные(ПараметрыРасчета));
```
</details>

## ПолучитьСчетаФактурыВыданныеАванс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСчетаФактурыВыданныеАванс(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьСчетаФактурыВыданныеАванс(ПараметрыРасчета));
```
</details>

## ПолучитьИсправительныеСчетаФактурыВыданныеАванс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьИсправительныеСчетаФактурыВыданныеАванс(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьИсправительныеСчетаФактурыВыданныеАванс(ПараметрыРасчета));
```
</details>

## АвансыПолученныеПоДокументамОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АвансыПолученныеПоДокументамОплаты(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.АвансыПолученныеПоДокументамОплаты(ПараметрыРасчета));
```
</details>

## ПолучитьЗачетыАвансовПолученных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьЗачетыАвансовПолученных(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьЗачетыАвансовПолученных(ПараметрыРасчета));
```
</details>

## РассчитатьНДСАвансыПолученныеПоИСФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьНДСАвансыПолученныеПоИСФ(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьНДСАвансыПолученныеПоИСФ(ПараметрыРасчета));
```
</details>

## ПолучитьОстаткиАвансовПолученныхДоПереноса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОстаткиАвансовПолученныхДоПереноса(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьОстаткиАвансовПолученныхДоПереноса(ПараметрыРасчета));
```
</details>

## РассчитатьНДСАвансыПолученныеПереносыПриход
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьНДСАвансыПолученныеПереносыПриход(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьНДСАвансыПолученныеПереносыПриход(ПараметрыРасчета));
```
</details>

## РассчитатьНДСАвансыПолученныеПереносыРасход
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьНДСАвансыПолученныеПереносыРасход(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьНДСАвансыПолученныеПереносыРасход(ПараметрыРасчета));
```
</details>

## НачислениеНДСАвансыПолученные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НачислениеНДСАвансыПолученные(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.НачислениеНДСАвансыПолученные(ПараметрыРасчета));
```
</details>

## РассчитатьНДСАвансыПолученныеЗачеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьНДСАвансыПолученныеЗачеты(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьНДСАвансыПолученныеЗачеты(ПараметрыРасчета));
```
</details>

## ВыполнитьЗачетАвансаПолученного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьЗачетАвансаПолученного(ПараметрыРасчета, СтрокаАвансаПоДокументуОплаты, СтрокиАвансаНачислениеНДС, СтрокиЗачетаАванса, ТаблицаНДСАвансыПолученные, ПараметрыРаспределенияЗачета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ВыполнитьЗачетАвансаПолученного(ПараметрыРасчета, СтрокаАвансаПоДокументуОплаты, СтрокиАвансаНачислениеНДС, СтрокиЗачетаАванса, ТаблицаНДСАвансыПолученные, ПараметрыРаспределенияЗачета));
```
</details>

## РассчитатьЗаписиНДСАвансыПолученныеСохранение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСАвансыПолученныеСохранение(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыПолученные) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСАвансыПолученныеСохранение(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыПолученные));
```
</details>

## ПолучитьТекущиеРегистраторыНДСАвансыПолученные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьТекущиеРегистраторыНДСАвансыПолученные(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьТекущиеРегистраторыНДСАвансыПолученные(ПараметрыРасчета));
```
</details>

## ЗаписатьНДСАвансыПолученные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьНДСАвансыПолученные(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыПолученные) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ЗаписатьНДСАвансыПолученные(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыПолученные));
```
</details>

## ОчиститьНДСАвансыПолученные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьНДСАвансыПолученные(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыПолученные) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ОчиститьНДСАвансыПолученные(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыПолученные));
```
</details>

## СформироватьНДСАвансыВыданные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьНДСАвансыВыданные(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.СформироватьНДСАвансыВыданные(ПараметрыРасчета));
```
</details>

## ПолучитьТекущиеРегистраторыНДСАвансыВыданные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьТекущиеРегистраторыНДСАвансыВыданные(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьТекущиеРегистраторыНДСАвансыВыданные(ПараметрыРасчета));
```
</details>

## ПолучитьСчетаФактурыПолученныеАванс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСчетаФактурыПолученныеАванс(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьСчетаФактурыПолученныеАванс(ПараметрыРасчета));
```
</details>

## ПолучитьИсправительныеСчетаФактурыПолученныеАванс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьИсправительныеСчетаФактурыПолученныеАванс(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьИсправительныеСчетаФактурыПолученныеАванс(ПараметрыРасчета));
```
</details>

## АвансыВыданныеПоДокументамОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АвансыВыданныеПоДокументамОплаты(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.АвансыВыданныеПоДокументамОплаты(ПараметрыРасчета));
```
</details>

## ПолучитьЗачетыАвансовВыданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьЗачетыАвансовВыданных(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьЗачетыАвансовВыданных(ПараметрыРасчета));
```
</details>

## РассчитатьНДСАвансыВыданныеПоИСФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьНДСАвансыВыданныеПоИСФ(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьНДСАвансыВыданныеПоИСФ(ПараметрыРасчета));
```
</details>

## ВычетНДСАвансыВыданные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВычетНДСАвансыВыданные(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ВычетНДСАвансыВыданные(ПараметрыРасчета));
```
</details>

## РассчитатьНДСАвансыВыданныеЗачеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьНДСАвансыВыданныеЗачеты(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьНДСАвансыВыданныеЗачеты(ПараметрыРасчета));
```
</details>

## ВыполнитьЗачетАвансаВыданного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьЗачетАвансаВыданного(ПараметрыРасчета, СтрокаАвансаПоДокументуОплаты, СтрокиАвансаНачислениеНДС, СтрокиЗачетаАванса, ТаблицаНДСАвансыВыданные, ПараметрыРаспределенияЗачета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ВыполнитьЗачетАвансаВыданного(ПараметрыРасчета, СтрокаАвансаПоДокументуОплаты, СтрокиАвансаНачислениеНДС, СтрокиЗачетаАванса, ТаблицаНДСАвансыВыданные, ПараметрыРаспределенияЗачета));
```
</details>

## РассчитатьЗаписиНДСАвансыВыданныеСохранение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиНДСАвансыВыданныеСохранение(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыВыданные) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиНДСАвансыВыданныеСохранение(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыВыданные));
```
</details>

## ЗаписатьНДСАвансыВыданные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьНДСАвансыВыданные(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыВыданные) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ЗаписатьНДСАвансыВыданные(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыВыданные));
```
</details>

## ОчиститьНДСАвансыВыданные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьНДСАвансыВыданные(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыВыданные) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ОчиститьНДСАвансыВыданные(ПараметрыРасчета, ИменаТаблицЗаписейНДСАвансыВыданные));
```
</details>

## ПолучитьОстаткиАвансовВыданныхДоПереноса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОстаткиАвансовВыданныхДоПереноса(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьОстаткиАвансовВыданныхДоПереноса(ПараметрыРасчета));
```
</details>

## РассчитатьНДСАвансыВыданныеПереносыРасход
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьНДСАвансыВыданныеПереносыРасход(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьНДСАвансыВыданныеПереносыРасход(ПараметрыРасчета));
```
</details>

## РассчитатьНДСАвансыВыданныеПереносыПриход
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьНДСАвансыВыданныеПереносыПриход(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьНДСАвансыВыданныеПереносыПриход(ПараметрыРасчета));
```
</details>

## СформироватьДвиженияПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьДвиженияПоНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.СформироватьДвиженияПоНДС(ПараметрыРасчета));
```
</details>

## ПолучитьТекущиеРегистраторыДвиженияПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьТекущиеРегистраторыДвиженияПоНДС(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьТекущиеРегистраторыДвиженияПоНДС(ПараметрыРасчета));
```
</details>

## РассчитатьДвиженияПоНДССторно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьДвиженияПоНДССторно(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьДвиженияПоНДССторно(ПараметрыРасчета));
```
</details>

## РассчитатьДвиженияПоНДСПредъявленный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьДвиженияПоНДСПредъявленный(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьДвиженияПоНДСПредъявленный(ПараметрыРасчета));
```
</details>

## РассчитатьДвиженияПоНДСАвансыПолученные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьДвиженияПоНДСАвансыПолученные(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьДвиженияПоНДСАвансыПолученные(ПараметрыРасчета));
```
</details>

## РассчитатьДвиженияПоНДСАвансыВыданные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьДвиженияПоНДСАвансыВыданные(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьДвиженияПоНДСАвансыВыданные(ПараметрыРасчета));
```
</details>

## РассчитатьДвиженияПоНДССторноПоИсправленнымСчетамФактурам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьДвиженияПоНДССторноПоИсправленнымСчетамФактурам(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьДвиженияПоНДССторноПоИсправленнымСчетамФактурам(ПараметрыРасчета));
```
</details>

## РассчитатьДвиженияПоНДССторноПоИсправленнымСчетамФактурамВыданнымНаАванс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьДвиженияПоНДССторноПоИсправленнымСчетамФактурамВыданнымНаАванс(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьДвиженияПоНДССторноПоИсправленнымСчетамФактурамВыданнымНаАванс(ПараметрыРасчета));
```
</details>

## РассчитатьДвиженияПоНДССторноПоИсправленнымСчетамФактурамПолученнымНаАванс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьДвиженияПоНДССторноПоИсправленнымСчетамФактурамПолученнымНаАванс(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьДвиженияПоНДССторноПоИсправленнымСчетамФактурамПолученнымНаАванс(ПараметрыРасчета));
```
</details>

## РассчитатьЗаписиДвиженияПоНДССохранение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РассчитатьЗаписиДвиженияПоНДССохранение(ПараметрыРасчета, ИменаТаблицЗаписейДвиженияПоНДС) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.РассчитатьЗаписиДвиженияПоНДССохранение(ПараметрыРасчета, ИменаТаблицЗаписейДвиженияПоНДС));
```
</details>

## ЗаписатьДвиженияПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьДвиженияПоНДС(ПараметрыРасчета, ИменаТаблицЗаписейДвиженияПоНДС) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ЗаписатьДвиженияПоНДС(ПараметрыРасчета, ИменаТаблицЗаписейДвиженияПоНДС));
```
</details>

## ОчиститьДвиженияПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьДвиженияПоНДС(ПараметрыРасчета, ИменаТаблицЗаписейДвиженияПоНДС) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ОчиститьДвиженияПоНДС(ПараметрыРасчета, ИменаТаблицЗаписейДвиженияПоНДС));
```
</details>

## СформироватьКорректировкуСписанияНДСНаРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьКорректировкуСписанияНДСНаРасходы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.СформироватьКорректировкуСписанияНДСНаРасходы(ПараметрыРасчета));
```
</details>

## ПолучитьТекущиеРегистраторыСписанияНДСНаРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьТекущиеРегистраторыСписанияНДСНаРасходы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПолучитьТекущиеРегистраторыСписанияНДСНаРасходы(ПараметрыРасчета));
```
</details>

## РассчитатьКорректировкуСписанияНДСНаРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РассчитатьКорректировкуСписанияНДСНаРасходы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.РассчитатьКорректировкуСписанияНДСНаРасходы(ПараметрыРасчета));
```
</details>

## РассчитатьПрочиеРасходыСохранение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РассчитатьПрочиеРасходыСохранение(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.РассчитатьПрочиеРасходыСохранение(ПараметрыРасчета));
```
</details>

## РассчитатьДвиженияПоПрочимАктивамПассивамСохранение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РассчитатьДвиженияПоПрочимАктивамПассивамСохранение(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.РассчитатьДвиженияПоПрочимАктивамПассивамСохранение(ПараметрыРасчета));
```
</details>

## ЗаписатьНДСПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьНДСПрочиеРасходы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ЗаписатьНДСПрочиеРасходы(ПараметрыРасчета));
```
</details>

## ЗаписатьНДСДвиженияПоПрочимАктивамПассивам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьНДСДвиженияПоПрочимАктивамПассивам(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ЗаписатьНДСДвиженияПоПрочимАктивамПассивам(ПараметрыРасчета));
```
</details>

## ОчиститьНДСПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьНДСПрочиеРасходы(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ОчиститьНДСПрочиеРасходы(ПараметрыРасчета));
```
</details>

## ОчиститьНДСДвиженияПоПрочимАктивамПассивам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьНДСДвиженияПоПрочимАктивамПассивам(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ОчиститьНДСДвиженияПоПрочимАктивамПассивам(ПараметрыРасчета));
```
</details>

## СообщитьОбОшибкахКорректностьСуммыИСуммыНДСЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит сообщения об ошибках указания суммы НДС в табличной части документа закупки.
//
// Параметры:
// Выборка         - ВыборкаИзРезультатаЗапроса - выборка из результата запроса
// ОписаниеДокументаПродажи - Структура - описание документа
// Отказ           - Булево - Флаг отказа от проведения документа.
//
Процедура СообщитьОбОшибкахКорректностьСуммыИСуммыНДСЗакупки(Знач Выборка, ОписаниеДокументаПродажи, Отказ) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.СообщитьОбОшибкахКорректностьСуммыИСуммыНДСЗакупки(Выборка, ОписаниеДокументаПродажи, Отказ) 
```
</details>

## ВернутьДокументыКОтражениюВМеждународномУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

Процедура ВернутьДокументыКОтражениюВМеждународномУчете(ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ВернутьДокументыКОтражениюВМеждународномУчете(ПараметрыРасчета));
```
</details>

## ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает структуру параметров для подготовки временных таблиц с расчетами
//
// Параметры:
//  ИсходныеПараметры - Неопределено, Структура - произвольная структура с заполненными значениями
//
// Возвращаемое значение:
// 	Структура - Описание:
//   * ДатаНачала                    - Дата -
//   * ДатаОкончания                 - Дата -
//   * Организации                   - Неопределено, СправочникСсылка.Организации, Массив из СправочникСсылка.Организации -
//   * РасчетныйДокумент             - Неопределено, ДокументСсылка - дополнительный фильтр по расчетному документу
//   * СоздатьПустуюТаблицу          - Булево - позволяет создать каркас временной таблицы без данных
//   * ВключитьДанныеВзаиморасчетов         - Булево - По умолчанию "Истина"
//   * ВключитьДанныеПодарочныхСертификатов - Булево - По умолчанию "Ложь"
//   * ВключитьДанныеФинансовыхИнструментов - Булево - По умолчанию "Ложь"
//   * ПоляИндексовВручную           - Массив из Строка - возможность переопределения полей индексов результата
//   * ИсключитьТипыНалогообложенияБезНДС - Булево - По умолчанию "Истина"
//   * ПравилоОтбораАвансов          - ПеречислениеСсылка.ПорядокРегистрацииСчетовФактурНаАванс -
//   * ВключитьОперацииСписанияЗадолженности - Булево - Если "Истина", включит списания задолженности в погашения.
//   * АнализироватьУпрУчетДополнительно     - Булево - Если "Истина", при отсутствии расчитанного ресурса в регистрах,
//                                                  ресурса в регистрах, будет посчитан с помощью регистра
//                                                  "Курсы валют", иначе суммы упр. учета будут равны 0.
//   * ВключитьСправочноДанныеНеТребующиеНачисленияНДС - Булево - По умолчанию "Ложь"
//   * ПараметрыОтбораПоРасчетномуДокументу - Структура - Для отбора по временной таблице с расчетными документами, где:
//   	** ИмяПоля                 - Строка - Имя поля, в котором содержится документ.
//   	                                      По умолчанию - "РасчетныйДокумент".
//   	** ИмяТаблицыОтбора        - Строка - имя временной таблицы, где содержится документ
//
//
//   // Служебные колонки - для кэширования в процессе расчетов.
//
//   * ОчиститьСлужебныеКолонки     - Булево - по умолчанию "Истина"
//   * Организации_АвансыПолученные - Массив из СправочникСсылка.Организации -
//   * Организации_АвансыВыданные   - Массив из СправочникСсылка.Организации -
//   * ТипыНалогообложенияБезНДС    - Массив из ПеречислениеСсылка.ТипыНалогообложенияНДС -
//   * ИсключитьИУДА                - Булево - по умолчанию "Ложь"
//
Функция ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС(ИсходныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС(ИсходныеПараметры);
```
</details>

## ПодготовитьВТ_АвансыПолученные_Возникновения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовить временную таблицу "АвансыПолученные_Возникновения"
// Создает временную таблицу с колонками:
// 	* Организация;
// 	* РасчетныйДокумент;
// 	* ДокументРегистратор;
// 	* ОбъектРасчетов;
// 	* ПодарочныйСертификат;
// 	* НаправлениеДеятельности;
// 	* Контрагент;
// 	* Договор;
// 	* ТипНалогообложения;
// 	* ДатаАванса;
// 	* ВалютаДокумента;
// 	* СуммаАванса;
// 	* СуммаАвансаВал;
// 	* СуммаАвансаУпр.
//
// Параметры:
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  ПараметрыРасчета        - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
//  ТаблицаНастроек - ТаблицаЗначений - с колонками:
//		* Организация - СправочникСсылка.Организации -
//		* ИспользоватьУчетНДС - Булево -
//		* ОсновноеНалогообложениеНДСПродажи - ПеречислениеСсылка.ТипыНалогообложенияНДС -
//		* ОсновнойВидДеятельностиНДСЗакупки - ПеречислениеСсылка.ТипыНалогообложенияНДС -
Процедура ПодготовитьВТ_АвансыПолученные_Возникновения(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПодготовитьВТ_АвансыПолученные_Возникновения(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек);
```
</details>

## ПодготовитьВТ_АвансыПолученные_Погашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовить временную таблицу "АвансыПолученные_Погашения"
// Создает временную таблицу с колонками:
// 	* Организация;
// 	* РасчетныйДокумент;
// 	* ДокументРегистратор;
// 	* ПодарочныйСертификат;
// 	* ДатаАванса;
// 	* ДатаПогашения;
// 	* НаправлениеДеятельности;
// 	* Контрагент;
// 	* Договор;
// 	* ТипНалогообложения;
// 	* ВидСобытия;
// 	* ВалютаДокумента;
// 	* СобытиеЗнак;
// 	* СуммаПогашения;
// 	* СуммаПогашенияВал;
// 	* СуммаПогашенияУпр.
//
// Параметры:
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  ПараметрыРасчета        - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
//  ТаблицаНастроек - ТаблицаЗначений - с колонками:
//		* Организация - СправочникСсылка.Организации -
//		* ИспользоватьУчетНДС - Булево -
//		* ОсновноеНалогообложениеНДСПродажи - ПеречислениеСсылка.ТипыНалогообложенияНДС -
//		* ОсновнойВидДеятельностиНДСЗакупки - ПеречислениеСсылка.ТипыНалогообложенияНДС -
Процедура ПодготовитьВТ_АвансыПолученные_Погашения(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПодготовитьВТ_АвансыПолученные_Погашения(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек);
```
</details>

## ПодготовитьВТ_АвансыПолученные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовить временную таблицу "БазаНДС_АвансыПолученные"
//
// Анализирует полученные авансы в разрезе погашений и остатков.
// Указав правило отбора авансов, определяет, нужно ли сформировать счет-фактуру и на какую дату.
// Если ранее были созданы врем. таблицы "АвансыПолученные_Возникновения" и "АвансыПолученные_Погашения",
// они будут уничтожены.
//
// Создает временную таблицу с колонками:
// 	* Организация;
// 	* НаправлениеДеятельности;
// 	* Контрагент;
// 	* Договор;
// 	* ТипНалогообложения;
// 	* РасчетныйДокумент;
// 	* ОбъектРасчетов;
// 	* ДатаАванса;
// 	* ДатаПогашения;
// 	* ВалютаДокумента;
// 	* ДокументРегистратор;
// 	* НачислятьНДС;
// 	* ДатаФормированияСФ;
// 	* Сумма;
// 	* СуммаВал;
// 	* СуммаУпр.
//
// Параметры:
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  ПараметрыРасчета        - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
//  ТаблицаНастроек - ТаблицаЗначений - с колонками:
//		* Организация - СправочникСсылка.Организации -
//		* ИспользоватьУчетНДС - Булево -
//		* ОсновноеНалогообложениеНДСПродажи - ПеречислениеСсылка.ТипыНалогообложенияНДС -
//		* ОсновнойВидДеятельностиНДСЗакупки - ПеречислениеСсылка.ТипыНалогообложенияНДС -
Процедура ПодготовитьВТ_АвансыПолученные(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПодготовитьВТ_АвансыПолученные(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек);
```
</details>

## ПодготовитьВТ_РасчетыСКлиентами_ПереносыАвансов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовить временную таблицу "РасчетыСКлиентами_ПереносыАвансов".
// Создает временную таблицу с колонками.
// см. ВзаиморасчетыСервер.ПодготовитьВТ_РасчетыСКлиентами_ПереносыАвансов.
//
// Параметры:
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  ПараметрыРасчета        - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
//  ТаблицаНастроек - ТаблицаЗначений - с колонками:
//		* Организация - СправочникСсылка.Организации -
//		* ИспользоватьУчетНДС - Булево -
//		* ОсновноеНалогообложениеНДСПродажи - ПеречислениеСсылка.ТипыНалогообложенияНДС -
//		* ОсновнойВидДеятельностиНДСЗакупки - ПеречислениеСсылка.ТипыНалогообложенияНДС -
Процедура ПодготовитьВТ_РасчетыСКлиентами_ПереносыАвансов(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПодготовитьВТ_РасчетыСКлиентами_ПереносыАвансов(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек);
```
</details>

## ПодготовитьВТ_ОстаткиАвансыПолученныеДоПереноса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьВТ_ОстаткиАвансыПолученныеДоПереноса(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПодготовитьВТ_ОстаткиАвансыПолученныеДоПереноса(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек);
```
</details>

## ПодготовитьВТ_ОстаткиАвансыВыданныеДоПереноса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьВТ_ОстаткиАвансыВыданныеДоПереноса(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПодготовитьВТ_ОстаткиАвансыВыданныеДоПереноса(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек);
```
</details>

## ПодготовитьВТ_АвансыВыданные_Возникновения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовить временную таблицу "АвансыВыданные_Возникновения"
// Создает временную таблицу с колонками:
// 	* Организация;
// 	* РасчетныйДокумент;
// 	* ДокументРегистратор;
// 	* ОбъектРасчетов;
// 	* НаправлениеДеятельности;
// 	* Контрагент;
// 	* Договор;
// 	* ТипНалогообложения;
// 	* ДатаАванса;
// 	* ВалютаДокумента;
// 	* СуммаАванса;
// 	* СуммаАвансаВал;
// 	* СуммаАвансаУпр.
//
// Параметры:
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  ПараметрыРасчета        - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
//  ТаблицаНастроек - ТаблицаЗначений - с колонками:
//		* Организация - СправочникСсылка.Организации -
//		* ИспользоватьУчетНДС - Булево -
//		* ОсновноеНалогообложениеНДСПродажи - ПеречислениеСсылка.ТипыНалогообложенияНДС -
//		* ОсновнойВидДеятельностиНДСЗакупки - ПеречислениеСсылка.ТипыНалогообложенияНДС -
Процедура ПодготовитьВТ_АвансыВыданные_Возникновения(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПодготовитьВТ_АвансыВыданные_Возникновения(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек);
```
</details>

## ПодготовитьВТ_АвансыВыданные_Погашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовить временную таблицу "АвансыВыданные_Погашения"
// Создает временную таблицу с колонками:
// 	* Организация;
// 	* РасчетныйДокумент;
// 	* ДокументРегистратор;
// 	* ДатаАванса;
// 	* ДатаПогашения;
// 	* НаправлениеДеятельности;
// 	* Контрагент;
// 	* Договор;
// 	* ТипНалогообложения;
// 	* ВидСобытия;
// 	* ВалютаДокумента;
// 	* СобытиеЗнак;
// 	* СуммаПогашения;
// 	* СуммаПогашенияВал;
// 	* СуммаПогашенияУпр.
//
// Параметры:
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  ПараметрыРасчета        - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
//  ТаблицаНастроек - ТаблицаЗначений - с колонками:
//		* Организация - СправочникСсылка.Организации -
//		* ИспользоватьУчетНДС - Булево -
//		* ОсновноеНалогообложениеНДСПродажи - ПеречислениеСсылка.ТипыНалогообложенияНДС -
//		* ОсновнойВидДеятельностиНДСЗакупки - ПеречислениеСсылка.ТипыНалогообложенияНДС -
Процедура ПодготовитьВТ_АвансыВыданные_Погашения(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПодготовитьВТ_АвансыВыданные_Погашения(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек);
```
</details>

## ПодготовитьВТ_ПереносыАвансовВыданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготовить временную таблицу "ПереносыАвансовВыданных"
// Создает временную таблицу с колонками.
// см. ВзаиморасчетыСервер.ПодготовитьВТ_РасчетыСПоставщиками_ПереносыАвансов
//
// Параметры:
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц -
//  ПараметрыРасчета        - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
//  ТаблицаНастроек - ТаблицаЗначений - с колонками:
//		* Организация - СправочникСсылка.Организации -
//		* ИспользоватьУчетНДС - Булево -
//		* ОсновноеНалогообложениеНДСПродажи - ПеречислениеСсылка.ТипыНалогообложенияНДС -
//		* ОсновнойВидДеятельностиНДСЗакупки - ПеречислениеСсылка.ТипыНалогообложенияНДС -
Процедура ПодготовитьВТ_ПереносыАвансовВыданных(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПодготовитьВТ_ПереносыАвансовВыданных(МенеджерВременныхТаблиц, ПараметрыРасчета, ТаблицаНастроек);
```
</details>

## ЗаполнитьСвойстваПараметровРасчетовАвансов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить свойства параметров расчетов из структуры-источника
//
// Параметры:
//  Приемник - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
//  Источник - Структура - структура, содержащая хотя бы одно из свойств приемника
//
Процедура ЗаполнитьСвойстваПараметровРасчетовАвансов(Приемник, Источник) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ЗаполнитьСвойстваПараметровРасчетовАвансов(Приемник, Источник));
```
</details>

## УстановитьПараметрыЗапросаПодготовкиРасчетовАвансовВЦеляхНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает необходимые параметры для исполнения запросов по авансам
//
// Параметры:
//  Запрос           - Запрос -
//  ПараметрыРасчета - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
Процедура УстановитьПараметрыЗапросаПодготовкиРасчетовАвансовВЦеляхНДС(Запрос, ПараметрыРасчета) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.УстановитьПараметрыЗапросаПодготовкиРасчетовАвансовВЦеляхНДС(Запрос, ПараметрыРасчета));
```
</details>

## ПостобработкаЗапроса_Авансы_ТипНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Постобработка запроса для определения типа налогообложения
//
// Параметры:
//  Запрос			 - Запрос -
//  ПараметрыРасчета - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
//  ПараметрыОпределенияНалогообложения - см. ИнициализироватьПараметры_Авансы_ОпределениеНалогообложения
//
Процедура ПостобработкаЗапроса_Авансы_ТипНалогообложения(Запрос, ПараметрыРасчета, ПараметрыОпределенияНалогообложения) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПостобработкаЗапроса_Авансы_ТипНалогообложения(Запрос, ПараметрыРасчета, ПараметрыОпределенияНалогообложения));
```
</details>

## ПостобработкаЗапроса_Авансы_ДляОтбораПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Постобработка запроса для отбора авансов по параметрам - заменяет "&ТекстОтборПоПараметрам"
//
// Параметры:
// 	Запрос - Запрос  -
// 	ПараметрыРасчета - см. ИнициализироватьПараметрыПодготовкиРасчетовАвансовВЦеляхНДС
// 	ПараметрыПутей   - см. ИнициализироватьПараметры_Авансы_ПутиКПолямИТекстуЗамены
Процедура ПостобработкаЗапроса_Авансы_ДляОтбораПоПараметрам(Запрос, ПараметрыРасчета, ПараметрыПутей) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПостобработкаЗапроса_Авансы_ДляОтбораПоПараметрам(Запрос, ПараметрыРасчета, ПараметрыПутей));
```
</details>

## ПостобработкаЗапроса_Авансы_УстановитьПоляИндексов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПостобработкаЗапроса_Авансы_УстановитьПоляИндексов(Запрос, ПараметрыРасчета, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ПостобработкаЗапроса_Авансы_УстановитьПоляИндексов(Запрос, ПараметрыРасчета, ИмяТаблицы));
```
</details>

## ИнициализироватьПараметры_Авансы_ОпределениеНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать параметры определения налогообложения
//
// Параметры:
//  ЭтоВыданныйАванс - Булево - "Истина" - Выданный, "Ложь" - Полученный
//
// Возвращаемое значение:
//  Структура - содержит:
//  	* ПолеРесурса      - Строка - Поле, в котором будет анализироваться н/о
//  	* ЗаменяемыйТекст  - Строка - Строки в запросе, которые будут заменены на текст определения налогообложения
//  	* ЭтоВыданныйАванс - Булево - "Истина" - Выданный, "Ложь" - Полученный
//
Функция ИнициализироватьПараметры_Авансы_ОпределениеНалогообложения(ЭтоВыданныйАванс) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ИнициализироватьПараметры_Авансы_ОпределениеНалогообложения(ЭтоВыданныйАванс));
```
</details>

## ИнициализироватьПараметры_Авансы_ПутиКПолямИТекстуЗамены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализировать параметры для указания путей к полям и тексту замены отбора по параметрам
//
// Возвращаемое значение:
//  Структура - содержит:
//  	* ТекстЗамены                  - Строка - Заменяемый текст в запросе
//  	* ПолныйПуть_РасчетныйДокумент - Строка - Полный путь к расчетному документу
//
Функция ИнициализироватьПараметры_Авансы_ПутиКПолямИТекстуЗамены() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ИнициализироватьПараметры_Авансы_ПутиКПолямИТекстуЗамены());
```
</details>

## НастройкиУчетаНДСПоОрганизациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НастройкиУчетаНДСПоОрганизациям(Организации, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.НастройкиУчетаНДСПоОрганизациям(Организации, Период);
```
</details>

## ЗаполнитьСлужебныеПараметрыРасчетаАвансов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСлужебныеПараметрыРасчетаАвансов(ПараметрыРасчета, ТаблицаНастроек) Экспорт
```

Пример вызова
```bsl
УчетНДСУПСлужебный.ЗаполнитьСлужебныеПараметрыРасчетаАвансов(ПараметрыРасчета, ТаблицаНастроек));
```
</details>

## ПараметрыРаспределенияЗачета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыРаспределенияЗачета() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебный.ПараметрыРаспределенияЗачета());
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
