---
title: Учет НДС УП служебный клиент сервер повт исп
slug: erp-uh/учет-ндс-уп-служебный-клиент-сервер-повт-исп
---


## ЗначениеСтавкиНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает процент НДС.
//
// Параметры:
//	СтавкаНДС - СправочникСсылка.СтавкиНДС - Значение ставки НДС.
//
// Возвращаемое значение:
//	Число - Процент НДС.
//
Функция ЗначениеСтавкиНДС(СтавкаНДС) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебныйКлиентСерверПовтИсп.ЗначениеСтавкиНДС(СтавкаНДС) 
```
</details>

## СтавкаНДСПоТипуНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает ставку НДС по типу налогообложения из табличной части справочника СтавкиНДС
//
// Параметры:
//  ТипНалогообложенияНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - Данные для поиска ставки НДС.
//  Организация - СправочникСсылка.Организации - Организация, для которой необходимо получить ставку НДС
//  Дата - Дата - Дата, на которую необходимо получить ставку НДС. Если Неопределено, то ставка возвращается на текущую дату.
//
// Возвращаемое значение:
//  СправочникСсылка.СтавкиНДС -
//
Функция СтавкаНДСПоТипуНалогообложения(ТипНалогообложенияНДС, Организация, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебныйКлиентСерверПовтИсп.СтавкаНДСПоТипуНалогообложения(ТипНалогообложенияНДС, Организация, Дата);
```
</details>

## СписокНезначащихСтавок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список незначащих ставок НДС (процент = 0)
//
// Возвращаемое значение:
//  СписокЗначений из СправочникСсылка.СтавкиНДС - Список ставок НДС с процентной ставкой 0
//
Функция СписокНезначащихСтавок() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДСУПСлужебныйКлиентСерверПовтИсп.СписокНезначащихСтавок() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
