---
title: Учет НМА
slug: erp-uh/учет-нма
---


## ТекстЗапросаПустаяВременнаяТаблицаАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса с временной таблицей амортизации
//
// Возвращаемое значение:
// 		Строка - Текст запроса для получения пустой временной таблицы "втТаблицаАмортизации".
//
Функция ТекстЗапросаПустаяВременнаяТаблицаАмортизации() Экспорт
```

Пример вызова
```bsl
Результат = УчетНМА.ТекстЗапросаПустаяВременнаяТаблицаАмортизации() 
```
</details>

## ПроверитьСпособыОтраженияРасходовНаПрочиеАктивы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку ошибок в заполнении способов отражения расходов по амортизации.
//
// Параметры:
// 		ЭтотОбъект - ДокументОбъект.АмортизацияНМА - Объект документа амортизации
// 		Отказ - Булево - Возврат, признак ошибки при выполнения проверки.
//
Процедура ПроверитьСпособыОтраженияРасходовНаПрочиеАктивы(ЭтотОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
УчетНМА.ПроверитьСпособыОтраженияРасходовНаПрочиеАктивы(ЭтотОбъект, Отказ) 
```
</details>

## ТекстЗапросаВТОтраженияВРеглУчетеНачисленнойАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса временных таблиц для отражения амортизации в регламентированном учете.
//
// Параметры:
// 		ИмяДокумента - Строка - Строка имени метаданных.
//
// Возвращаемое значение:
// 		Строка - Текст запроса.
//
Функция ТекстЗапросаВТОтраженияВРеглУчетеНачисленнойАмортизации(ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = УчетНМА.ТекстЗапросаВТОтраженияВРеглУчетеНачисленнойАмортизации(ИмяДокумента) 
```
</details>

## ТекстЗапросаВТОтраженияВРеглУчетеОстаткиПоСчетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса временной таблицы остатков по счетам учета
//
// Возвращаемое значение:
// 		Строка - Текст запроса
//
Функция ТекстЗапросаВТОтраженияВРеглУчетеОстаткиПоСчетам() Экспорт
```

Пример вызова
```bsl
Результат = УчетНМА.ТекстЗапросаВТОтраженияВРеглУчетеОстаткиПоСчетам() 
```
</details>

## ТекстЗапросаВТОтраженияВРеглУчетеОстаткиРезерваПереоценки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса временной таблицы остатков резерва переоценки
//
// Возвращаемое значение:
// 		Строка - Текст запроса
//
Функция ТекстЗапросаВТОтраженияВРеглУчетеОстаткиРезерваПереоценки() Экспорт
```

Пример вызова
```bsl
Результат = УчетНМА.ТекстЗапросаВТОтраженияВРеглУчетеОстаткиРезерваПереоценки() 
```
</details>

## ТекстОтраженияВРеглУчетеНачисленнойАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для отражения амортизации по документу в регламентированном учете.
//
// Возвращаемое значение:
// 		Строка - Текст запроса
//
Функция ТекстОтраженияВРеглУчетеНачисленнойАмортизации() Экспорт
```

Пример вызова
```bsl
Результат = УчетНМА.ТекстОтраженияВРеглУчетеНачисленнойАмортизации() 
```
</details>

## НачисленнаяАмортизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу начисленной амортизации
//
// Параметры:
// 		ТаблицаОбъектовУчета - ТаблицаЗначений - Таблица объектов для начисления амортизации
// 		ТаблицаРеквизитов - ТаблицаЗначений - Таблица реквизитов документа
// 		Отказ - Булево - Признак удачного завершения функции начисления амортизации.
//
// Возвращаемое значение:
// 		ТаблицаЗначений - Таблица начисленных расходов по амортизации (формат представлен в функции УчетОСВызовСервера.ПустаяТаблицаЗначенийНачисленнойАмортизации).
//
Функция НачисленнаяАмортизация(ТаблицаОбъектовУчета, ТаблицаРеквизитов, ТаблицаПараметровРасчетаАмортизации = Неопределено, Отказ) Экспорт
```

Пример вызова
```bsl
Результат = УчетНМА.НачисленнаяАмортизация(ТаблицаОбъектовУчета, ТаблицаРеквизитов, ТаблицаПараметровРасчетаАмортизации, Отказ) 
```
</details>

## ЗаполнитьВходящиеДанныеАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет входящие данные расчета и отражения амортизации, необходимые для проверки выполненных обновлений ИБ.
//
// Параметры:
// 		ВходящиеДанные - Соответствие из КлючИЗначение- Данные расчета и отражения амортизации:
// 			* Ключ - Строка, ОбъектМетаданных - входящие данные, используемые  операцией
// 			* Значение - см. ОбновлениеИнформационнойБазы.ЕстьДанныеДляОбработки.Отбор
//
Процедура ЗаполнитьВходящиеДанныеАмортизации(ВходящиеДанные) Экспорт
```

Пример вызова
```bsl
УчетНМА.ЗаполнитьВходящиеДанныеАмортизации(ВходящиеДанные) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
