---
title: Учет ОС вызов сервера
slug: erp-uh/учет-ос-вызов-сервера
---


## ПустаяТаблицаЗначенийНачисленнойАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую таблицу значений начисленной амортизации
//
// Возвращаемое значение:
// 		ТаблицаЗначений - Пустая таблица начисленной амортизации.
//
Функция ПустаяТаблицаЗначенийНачисленнойАмортизации() Экспорт
```

Пример вызова
```bsl
Результат = УчетОСВызовСервера.ПустаяТаблицаЗначенийНачисленнойАмортизации() 
```
</details>

## ПустаяТаблицаПараметровРасчетаАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПустаяТаблицаПараметровРасчетаАмортизации() Экспорт
```

Пример вызова
```bsl
Результат = УчетОСВызовСервера.ПустаяТаблицаПараметровРасчетаАмортизации() 
```
</details>

## НачисленнаяАмортизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу начисленной амортизации
//
// Параметры:
//  ТаблицаОбъектовУчета	 - ТаблицаЗначений	 - Таблица объектов для начисления амортизации
//  ТаблицаРеквизитов		 - ТаблицаЗначений	 - Таблица реквизитов документа
//  ДобавитьПараметрыРасчета - Булево			 - Истина, если требуется добавить параметры расчета в таблицу начисленной амортизации
//  Отказ					 - Булево			 - Признак удачного завершения функции начисления амортизации.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Таблица начисленных расходов по амортизации (формат представлен в функции ПустаяТаблицаЗначенийНачисленнойАмортизации).
//
Функция НачисленнаяАмортизация(ТаблицаОбъектовУчета, ТаблицаРеквизитов, ТаблицаПараметровРасчетаАмортизации, Отказ) Экспорт
```

Пример вызова
```bsl
Результат = УчетОСВызовСервера.НачисленнаяАмортизация(ТаблицаОбъектовУчета, ТаблицаРеквизитов, ТаблицаПараметровРасчетаАмортизации, Отказ) 
```
</details>

## ТекстЗапросаВТОтраженияВРеглУчетеНачисленнойАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса временных таблиц для отражения амортизации в регламентированном учете.
//
// Параметры:
// 		ИмяДокумента - Строка - Строка имени метаданных.
//
// Возвращаемое значение:
// 		Строка - Текст запроса
//
Функция ТекстЗапросаВТОтраженияВРеглУчетеНачисленнойАмортизации(ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = УчетОСВызовСервера.ТекстЗапросаВТОтраженияВРеглУчетеНачисленнойАмортизации(ИмяДокумента) 
```
</details>

## ТекстЗапросаВТОтраженияВРеглУчетеОстаткиПоСчетам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса временной таблицы остатков по счетам учета
//
// Возвращаемое значение:
// 		Строка - Текст запроса
//
Функция ТекстЗапросаВТОтраженияВРеглУчетеОстаткиПоСчетам() Экспорт
```

Пример вызова
```bsl
Результат = УчетОСВызовСервера.ТекстЗапросаВТОтраженияВРеглУчетеОстаткиПоСчетам() 
```
</details>

## ТекстЗапросаВТОтраженияВРеглУчетеОстаткиРезерваПереоценки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса временной таблицы остатков резерва переоценки
//
// Возвращаемое значение:
// 		Строка - Текст запроса
//
Функция ТекстЗапросаВТОтраженияВРеглУчетеОстаткиРезерваПереоценки() Экспорт
```

Пример вызова
```bsl
Результат = УчетОСВызовСервера.ТекстЗапросаВТОтраженияВРеглУчетеОстаткиРезерваПереоценки() 
```
</details>

## ТекстОтраженияВРеглУчетеНачисленнойАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст запроса для отражения амортизации по документу в регламентированном учете.
//
// Возвращаемое значение:
// 		Строка - Текст запроса
//
Функция ТекстОтраженияВРеглУчетеНачисленнойАмортизации() Экспорт
```

Пример вызова
```bsl
Результат = УчетОСВызовСервера.ТекстОтраженияВРеглУчетеНачисленнойАмортизации() 
```
</details>

## ПроверитьСпособыОтраженияРасходовНаПрочиеАктивы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку ошибок в заполнении способов отражения расходов по амортизации.
//
// Параметры:
// 		ЭтотОбъект - ДокументОбъект.АмортизацияОС - Объект документа амортизации
// 		Отказ - Булево - Возврат, признак ошибки при выполнения проверки.
//
Процедура ПроверитьСпособыОтраженияРасходовНаПрочиеАктивы(ЭтотОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ПроверитьСпособыОтраженияРасходовНаПрочиеАктивы(ЭтотОбъект, Отказ) 
```
</details>

## ИнициализироватьПараметрыЗапросаПриОтраженииАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует параметры запроса данных проведения при отражении начисленной амортизации.
//
// Параметры:
//	Запрос			- Запрос 	- объект запроса к данным.
//	ДопПараметры	- Структура	- параметры, используемые для инициализации и получения данных документа.
//									см. описание ПроведениеДокументов.ДопПараметрыИнициализироватьДанныеДокументаДляПроведения().
//
Процедура ИнициализироватьПараметрыЗапросаПриОтраженииАмортизации(Запрос, ДопПараметры) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ИнициализироватьПараметрыЗапросаПриОтраженииАмортизации(Запрос, ДопПараметры) 
```
</details>

## ДобавитьВременныеТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает в тексты запроса временную таблицу
//
// Параметры:
// 		ТекстыЗапроса - СписокЗначений - Список текстов запроса в который должны быть помещены временные таблицы
// 		ИменаТаблиц - Строка - Строка перечисленных через запятую временных таблиц, которые требуется поместить в ТекстыЗапроса.
//
Процедура ДобавитьВременныеТаблицы(ТекстыЗапроса, ИменаТаблиц) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ДобавитьВременныеТаблицы(ТекстыЗапроса, ИменаТаблиц) 
```
</details>

## ТекстЗапросаТаблицаВтИсходныеПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТекстЗапросаТаблицаВтИсходныеПрочиеРасходы(ТекстыЗапроса, ДополнительныйТекстЗапроса) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ТекстЗапросаТаблицаВтИсходныеПрочиеРасходы(ТекстыЗапроса, ДополнительныйТекстЗапроса));
```
</details>

## ТекстЗапросаТаблицаВтПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаВтПрочиеРасходы(ТекстыЗапроса, ДополнительныйТекстЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = УчетОСВызовСервера.ТекстЗапросаТаблицаВтПрочиеРасходы(ТекстыЗапроса, ДополнительныйТекстЗапроса));
```
</details>

## ПрочиеРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса таблицы движений амортизации в прочих расходах при проведении документа начисления амортизации.
//
// Параметры:
// 		ТекстыЗапроса - СписокЗначений - Список текстов запроса
// 		Регистры - Строка, Структура, Неопределено - список регистров, разделенных запятой, или структура, в ключах которой - имена регистров требующих заполнения
// 		ДополнительныйТекстЗапроса - Строка - Строка дополнительного текста запроса объединения.
//
Процедура ПрочиеРасходы(ТекстыЗапроса, Регистры, ДополнительныйТекстЗапроса = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ПрочиеРасходы(ТекстыЗапроса, Регистры, ДополнительныйТекстЗапроса);
```
</details>

## ТекстЗапросаТаблицаВтИсходныеПартииПрочихРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТекстЗапросаТаблицаВтИсходныеПартииПрочихРасходов(ТекстыЗапроса, ДополнительныйТекстЗапроса) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ТекстЗапросаТаблицаВтИсходныеПартииПрочихРасходов(ТекстыЗапроса, ДополнительныйТекстЗапроса));
```
</details>

## ТекстЗапросаТаблицаВтПартииПрочихРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаТаблицаВтПартииПрочихРасходов(ТекстыЗапроса, ДополнительныйТекстЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = УчетОСВызовСервера.ТекстЗапросаТаблицаВтПартииПрочихРасходов(ТекстыЗапроса, ДополнительныйТекстЗапроса));
```
</details>

## ПартииПрочихРасходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса таблицы движений амортизации в партиях прочих расходов при проведении документа начисления амортизации.
//
// Параметры:
// 		ТекстыЗапроса - СписокЗначений - Список текстов запроса
// 		Регистры - Строка, Структура, Неопределено - список регистров, разделенных запятой, или структура, в ключах которой - имена регистров требующих заполнения.
// 		ДополнительныйТекстЗапроса - Строка - Строка дополнительного текста запроса объединения.
//
Процедура ПартииПрочихРасходов(ТекстыЗапроса, Регистры, ДополнительныйТекстЗапроса = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ПартииПрочихРасходов(ТекстыЗапроса, Регистры, ДополнительныйТекстЗапроса);
```
</details>

## ПрочиеДоходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса таблицы движений прочих доходов при проведении документа начисления амортизации.
//
// Параметры:
// 		ТекстыЗапроса - СписокЗначений - Список текстов запроса
// 		Регистры - Строка, Структура, Неопределено - список регистров, разделенных запятой, или структура, в ключах которой - имена регистров требующих заполнения.
// 		ДополнительныйТекстЗапроса - Строка - Строка дополнительного текста запроса объединения.
//
Процедура ПрочиеДоходы(ТекстыЗапроса, Регистры, ДополнительныйТекстЗапроса=Неопределено) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ПрочиеДоходы(ТекстыЗапроса, Регистры, ДополнительныйТекстЗапроса);
```
</details>

## ПрочиеАктивыПассивы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса таблицы движений прочих активов/пассивов при проведении документа начисления амортизации.
//
// Параметры:
// 		ТекстыЗапроса - СписокЗначений - Список текстов запроса
// 		Регистры - Строка, Структура, Неопределено - список регистров, разделенных запятой, или структура, в ключах которой - имена регистров требующих заполнения
// 		ДополнительныйТекстЗапроса - Строка - Строка дополнительного текста запроса объединения.
//
Процедура ПрочиеАктивыПассивы(ТекстыЗапроса, Регистры, ДополнительныйТекстЗапроса=Неопределено) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ПрочиеАктивыПассивы(ТекстыЗапроса, Регистры, ДополнительныйТекстЗапроса);
```
</details>

## ПорядокОтраженияПрочихОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса таблицы порядка отражения прочих операций по начисленной амортизации.
//
// Параметры:
// 		ТекстыЗапроса - СписокЗначений - Список текстов запроса
// 		Регистры - Строка, Структура, Неопределено - список регистров, разделенных запятой, или структура, в ключах которой - имена регистров требующих заполнения.
//
Процедура ПорядокОтраженияПрочихОпераций(ТекстыЗапроса, Регистры) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ПорядокОтраженияПрочихОпераций(ТекстыЗапроса, Регистры) 
```
</details>

## ОтражениеДокументовВРеглУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса таблицы отражения документа в регл. учете
//
// Параметры:
// 		ТекстыЗапроса - СписокЗначений - Список текстов запроса
// 		Регистры - Строка, Структура, Неопределено - список регистров, разделенных запятой, или структура, в ключах которой - имена регистров требующих заполнения.
// 		ДополнительныйТекстЗапроса - Строка - Строка дополнительного текста запроса объединения.
//
Процедура ОтражениеДокументовВРеглУчете(ТекстыЗапроса, Регистры, ДополнительныйТекстЗапроса=Неопределено) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ОтражениеДокументовВРеглУчете(ТекстыЗапроса, Регистры, ДополнительныйТекстЗапроса);
```
</details>

## ЗаполнитьВходящиеДанныеАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет входящие данные расчета и отражения амортизации, необходимые для проверки выполненных обновлений ИБ.
//
// Параметры:
// 		ВходящиеДанные - Соответствие из КлючИЗначение - Данные расчета и отражения амортизации:
// 			* Ключ - Строка, ОбъектМетаданных - входящие данные, используемые  операцией
// 			* Значение - см. ОбновлениеИнформационнойБазы.ЕстьДанныеДляОбработки.Отбор
//
Процедура ЗаполнитьВходящиеДанныеАмортизации(ВходящиеДанные) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.ЗаполнитьВходящиеДанныеАмортизации(ВходящиеДанные) 
```
</details>

## СоздатьВременнуюТаблицуСостоянияОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает временную таблицу накопленных стоимостей для указанного менеджера в разрезе основных средств и документов
// 		Переданный менеджер временных таблиц должен содержать таблицу "втОбъектыДокументов",
// 		содержащую поля "Ссылка", "ОсновноеСредство", "Дата", "Организация".
//
// Параметры:
// 		МенеджерВТ - МенеджерВременныхТаблиц - Менеджер временных таблиц исходного запроса.
//
Процедура СоздатьВременнуюТаблицуСостоянияОС(МенеджерВТ) Экспорт
```

Пример вызова
```bsl
УчетОСВызовСервера.СоздатьВременнуюТаблицуСостоянияОС(МенеджерВТ) 
```
</details>

## ОрганизацияВКоторойОСПринятоКУчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет в какой организации ОС принято к учету.
//
// Параметры:
//  ОсновноеСредство - СправочникСсылка.ОбъектыЭксплуатации - ОС, для которого нужно проверить принятие к учету.
//
// Возвращаемое значение:
//  СправочникСсылка.Организации - организация, в которой данное ОС принято к учету.
//
Функция ОрганизацияВКоторойОСПринятоКУчету(ОсновноеСредство) Экспорт
```

Пример вызова
```bsl
Результат = УчетОСВызовСервера.ОрганизацияВКоторойОСПринятоКУчету(ОсновноеСредство) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
