---
title: Учет офшоров
slug: erp-uh/учет-офшоров
---


## СписокОфшоров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СписокОфшоров(Знач ДатаЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = УчетОфшоров.СписокОфшоров(ДатаЗапроса) 
```
</details>

## ЯвляетсяОфшором
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЯвляетсяОфшором(Знач ДатаЗапроса, Страна) Экспорт
```

Пример вызова
```bsl
Результат = УчетОфшоров.ЯвляетсяОфшором(ДатаЗапроса, Страна) 
```
</details>

## ТаблицаОфшоровЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение таблицы значений офшоров за заданный период
// Если страна хотя бы один день была офшором в этот период, то она попадет в результат
//
// Параметры:
//  ДатаНачалаПериода - Дата - дата начала периода проверки действия офшорных территорий
//  ДатаКонцаПериода - Дата - дата конца периода проверки действия офшорных территорий
//
// Возвращаемое значение:
//  - ТаблицаЗначений
//		- Колонки:
//			СтранаРегистрации - СправочникСсылка.СтраныМира
//			ДатаНачалаДействияОфшора - Дата
//			ДатаОкончанияДействияОфшора - Дата
Функция ТаблицаОфшоровЗаПериод(Знач ДатаНачалаПериода, Знач ДатаКонцаПериода) Экспорт
```

Пример вызова
```bsl
Результат = УчетОфшоров.ТаблицаОфшоровЗаПериод(ДатаНачалаПериода, ДатаКонцаПериода) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
