---
title: Учет прослеживаемых товаров локализация
slug: erp-uh/учет-прослеживаемых-товаров-локализация
---


## ИспользоватьУчетПрослеживаемыхИмпортныхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования учета прослеживаемых, импортных товаров на указанную дату.
//
// Параметры:
//	Дата - Дата - дата, на которую нужно получить значение возможности использования учета прослеживаемых, импортных
//					товаров.
//
// Возвращаемое значение:
//	Булево - Истина означает, что доступна возможность учета прослеживаемых, импортных товаров.
//
Функция ИспользоватьУчетПрослеживаемыхИмпортныхТоваров(Дата) Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ИспользоватьУчетПрослеживаемыхИмпортныхТоваров(Дата) 
```
</details>

## ДатаНачалаУчетаПрослеживаемыхИмпортныхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение даты начала использования учета прослеживаемых, импортных товаров.
//
// Возвращаемое значение:
//	Дата - дата начала использования учета прослеживаемых, импортных товаров.
//
Функция ДатаНачалаУчетаПрослеживаемыхИмпортныхТоваров() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ДатаНачалаУчетаПрослеживаемыхИмпортныхТоваров() 
```
</details>

## УстановитьФОИспользуетсяУчетВЕдиницеИзмеренияТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет значение константы ИспользуетсяУчетВЕдиницеИзмеренияТНВЭД.
// Значение Истина будет установлено в том случае, если существует номенклатурная позиция, в которой
// единица измерения и единица измерения ТНВЭД заполнены и не равны друг другу.
//
Процедура УстановитьФОИспользуетсяУчетВЕдиницеИзмеренияТНВЭД() Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.УстановитьФОИспользуетсяУчетВЕдиницеИзмеренияТНВЭД() 
```
</details>

## УстановитьИспользованиеУчетаВЕдиницеИзмеренияТНВЭДПоНоменклатуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Установить использование учета в единице измерения ТНВЭДПо номенклатуре
//  Устанавливает значение константы ИспользуетсяУчетВЕдиницеИзмеренияТНВЭД по реквизитам элемента номенклатуры.
//  Значение Истина будет установлено в том случае, если у номенклатурной позиции единица измерения
//  и единица измерения ТНВЭД заполнены и не равны друг другу.
//  Анализируется только необходимость установки константы. Необходимости выключения константы нет, потому что
//  номенклатура с ТНВЭД может быть использована в документах и функциональность должна использоваться.
// Параметры:
//  Номенклатура - СправочникОбъект.Номенклатура - элемент, вызвавший событие.
//
Процедура УстановитьИспользованиеУчетаВЕдиницеИзмеренияТНВЭДПоНоменклатуре(Номенклатура) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.УстановитьИспользованиеУчетаВЕдиницеИзмеренияТНВЭДПоНоменклатуре(Номенклатура) 
```
</details>

## ИспользуетсяУчетВЕдиницеИзмеренияТНВЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования учета товаров в единице измерения ТН ВЭД.
//
// Возвращаемое значение:
//	Булево - Истина означает, используется учет товаров в единице измерения ТН ВЭД.
//
Функция ИспользуетсяУчетВЕдиницеИзмеренияТНВЭД() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ИспользуетсяУчетВЕдиницеИзмеренияТНВЭД() 
```
</details>

## ПриОпределенииОбъектовСКомандамиСозданияНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СозданиеНаОснованииПереопределяемый.ПриОпределенииОбъектовСКомандамиСозданияНаОсновании
//
// Параметры:
//	Объекты - Массив из ОбъектМетаданных - коллекция объектов метаданных с командами создания на основании.
//
Процедура ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) 
```
</details>

## ОпределитьОбъектыСКомандамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВариантыОтчетовПереопределяемый.ОпределитьОбъектыСКомандамиОтчетов
//
// Параметры:
//	Объекты - Массив из ОбъектМетаданных - коллекция объектов метаданных с командами отчетов.
//
Процедура ОпределитьОбъектыСКомандамиОтчетов(Объекты) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ОпределитьОбъектыСКомандамиОтчетов(Объекты) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступомПереопределяемый.ПриЗаполненииСписковСОграничениемДоступа
//
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПараметрыПроверкиКорректностиКомплекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры проверки комплекта товаров.
//
// Возвращаемое значение:
//	Структура - параметры проверки комплекта, содержащие следующие свойства:
//		* Дата - Дата - дата объекта, на которую осуществляется работа с комплектом.
//		* СборкаКомплекта - Булево - признак того, что осуществляется сборка комплекта. Значение по умолчанию Истина.
//		* Номенклатура - СправочникСсылка.Номенклатура,
//							Неопределено - номенклатура комплекта. Значение по умолчанию Неопределено.
//		* Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры,
//							Неопределено - характеристика комплекта. Значение по умолчанию Неопределено.
//		* НоменклатураОсновногоКомпонента -СправочникСсылка.Номенклатура,
//											Неопределено - номенклатура основного компонента.
//											Значение по умолчанию Неопределено.
//		* ХарактеристикаОсновногоКомпонента - СправочникСсылка.ХарактеристикиНоменклатуры,
//												Неопределено - характеристика основного компонента.
//																Значение по умолчанию Неопределено.
//		* ИмяТЧ - Строка - имя табличной части объекта.
//		* Контролировать - Булево - признак того, что требуется проверить комплект.
//
Функция ПараметрыПроверкиКорректностиКомплекта() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ПараметрыПроверкиКорректностиКомплекта() 
```
</details>

## ПараметрыПроверкиПрослеживаемыхНомеровГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры проверки номеров ГТД.
//
// Возвращаемое значение:
//	Структура - параметры проверки комплекта, содержащие следующие свойства:
//		* ИмяТЧ - Строка - Имя ТЧ документа, которая содержки колонки АналитикаУчетаНоменклатуры и НомерГТД.
Функция ПараметрыПроверкиПрослеживаемыхНомеровГТД() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ПараметрыПроверкиПрослеживаемыхНомеровГТД() 
```
</details>

## ПроверитьКорректностьКомплекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку корректности содержимого комплекта в части учета прослеживаемых товаров по РНПТ.
//
// Параметры:
//	Объект - СправочникОбъект, ДокументОбъект - объект, для которого выполняется проверка.
//	Отказ - Булево - признак продолжения дальнейшей обработки проверяемого объекта в информационной базе.
//	ПараметрыПроверки - см. ПараметрыПроверкиКорректностиКомплекта.
//
Процедура ПроверитьКорректностьКомплекта(Объект, Отказ, ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ПроверитьКорректностьКомплекта(Объект, Отказ, ПараметрыПроверки) 
```
</details>

## ПроверитьКорректностьПрослеживаемыхНомеровГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку корректности типа номера ГТД и наличия флага ПрослеживаемыйТовар у номенклатурной позиции.
//
// Параметры:
//	Объект - ДокументОбъект - объект, для которого выполняется проверка.
//	Отказ - Булево - признак продолжения дальнейшей обработки проверяемого объекта в информационной базе.
//	ПараметрыПроверки - см. ПараметрыПроверкиПрослеживаемыхНомеровГТД.
Процедура ПроверитьКорректностьПрослеживаемыхНомеровГТД(Объект, Отказ, ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ПроверитьКорректностьПрослеживаемыхНомеровГТД(Объект, Отказ, ПараметрыПроверки) 
```
</details>

## ДополнитьПараметрыПроверкиЗаполненияКоличестваПоРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры проверки заполнения в таблице поля 'КоличествоПоРНПТ'.
//
// Параметры:
//	ПараметрыПроверки - Структура - коллекция параметров проверки.
//
Процедура ДополнитьПараметрыПроверкиЗаполненияКоличестваПоРНПТ(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ДополнитьПараметрыПроверкиЗаполненияКоличестваПоРНПТ(ПараметрыПроверки) 
```
</details>

## ПроверитьЗаполнениеКоличестваПоРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение в таблице поля 'КоличествоПоРНПТ'.
//
// Параметры:
//	Объект - ДокументОбъект, Структура, ФормаКлиентскогоПриложения - объект, в табличной части которого выполняется проверка и который содержит:
//		* Ссылка - ДокументСсылка - ссылка на документ информационной базы.
//	Отказ - Булево - Истина, признак того, что в табличной части объекта не заполнено проверяемое поле.
//	ПараметрыПроверки - Структура, Неопределено - параметры проверки.
//
Процедура ПроверитьЗаполнениеКоличестваПоРНПТ(Объект, Отказ, ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ПроверитьЗаполнениеКоличестваПоРНПТ(Объект, Отказ, ПараметрыПроверки) 
```
</details>

## ПараметрыУстановкиУсловногоОформленияКоличестваПоРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры, используемые при установке условного оформления поля количества по РНПТ.
//
// Возвращаемое значение:
//	Структура - параметры, используемые при установке условного оформления поля количества по РНПТ, со следующими
//										свойствами:
//		* ИмяПоляВводаКоличествоПоРНПТ - Строка - имя поля количества по РНПТ.
//		* ИмяПоляЕдиницаИзмеренияТНВЭД - Строка - имя поля единица измерения ТН ВЭД.
//		* ПутьКПолюВедетсяУчетПоРНПТ - Строка - путь к значению поля, хранящему сведения о ведении учета по РНПТ.
//		* ПутьКПолюТипНомераГТД - Строка - путь к значению поля, хранящему сведения о типе номера ГТД.
//		* ПутьКПолюДатаДокумента - Строка - путь к значению поля, хранящему сведения о дате объекта.
//
Функция ПараметрыУстановкиУсловногоОформленияКоличестваПоРНПТ() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ПараметрыУстановкиУсловногоОформленияКоличестваПоРНПТ() 
```
</details>

## УстановитьУсловноеОформлениеКоличестваПоРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливаем условное оформление количества по РНПТ
//
// Параметры:
//	Форма - ДанныеФормыСтруктура, ФормаКлиентскогоПриложения - содержит данные формы, которая содержит:
//		* Элементы - ВсеЭлементыФормы - элементы формы клиентского приложения.
//		* УсловноеОформление - УсловноеОформлениеКомпоновкиДанных - условное оформление компановки данных элементов формы.
//	ПараметрыУсловногоОформления - см. ПараметрыУстановкиУсловногоОформленияКоличестваПоРНПТ
//
Процедура УстановитьУсловноеОформлениеКоличестваПоРНПТ(Форма, ПараметрыУсловногоОформления = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.УстановитьУсловноеОформлениеКоличестваПоРНПТ(Форма, ПараметрыУсловногоОформления);
```
</details>

## УстановитьУсловноеОформлениеНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливаем условное оформление номеров ГТД
//
// Параметры:
//	Форма - ДанныеФормыСтруктура, ФормаКлиентскогоПриложения - содержит данные формы, которая содержит:
//		* Элементы - ВсеЭлементыФормы - элементы формы клиентского приложения.
//		* УсловноеОформление - УсловноеОформлениеКомпоновкиДанных - условное оформление компановки данных элементов формы.
//	ИмяПоляВводаНомераГТД - Строка - наименование элемента формы, содержащего номер ГТД, если оно отличается
//										от "ТоварыНомерГТД".
//	ПутьКПолюОтбора - Строка - путь к реквизиту "ВедетсяУчетПоРНПТ", если он отличается от "Объект.Товары.ВедетсяУчетПоРНПТ".
//	ПутьКПолюДатаДокумента - Строка - путь к реквизиту "Дата", если он отличается от "Объект.Дата".
//	ПутьКПолюНомерГТД - Строка - путь к реквизиту "НомерГТД", если он отличается от "Объект.Товары.НомерГТД".
//
Процедура УстановитьУсловноеОформлениеНомераГТД(Форма, Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.УстановитьУсловноеОформлениеНомераГТД(Форма, );
```
</details>

## УстановитьВидимостьКоличестваРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость колонки 'КоличествоПоРНПТ' в соответствующей таблице документа.
//
// Параметры:
//	Форма - ДанныеФормыСтруктура, ФормаКлиентскогоПриложения - содержит данные формы, которая содержит:
//		* Элементы - ВсеЭлементыФормы - элементы формы клиентского приложения.
//	ДатаДокумента - Дата - дата документа, необходимая для проверки возможности использования учета прослеживаемых,
//							импортных товаров.
//	ЭлементГруппаРНТП - Строка - имя соответствующего элемента формы.
//
//	ИспользуетсяДляТоваровВСоставеОС - Булево - признак использования в функционале по Учету РНПТ в ОС.
//
Процедура УстановитьВидимостьКоличестваРНПТ(Форма, Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.УстановитьВидимостьКоличестваРНПТ(Форма, );
```
</details>

## УстановитьУсловноеОформлениеВДокументеПриобретениеТоваровУслуг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление для колонок 'НомерГТД', 'СтранаПроисхождения' в соответствующей таблице документа.
//
// Параметры:
//	Форма - ДанныеФормыСтруктура, ФормаКлиентскогоПриложения - содержит данные формы, которая содержит:
//
Процедура УстановитьУсловноеОформлениеВДокументеПриобретениеТоваровУслуг(Форма) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.УстановитьУсловноеОформлениеВДокументеПриобретениеТоваровУслуг(Форма) 
```
</details>

## ОчиститьНомерГТДУПрослеживаемыхТоваровВДокументеПриобретениеТоваровУслуг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистить данные о номере ГТД по прослеживаемым товарам.
//
// Параметры:
//	Объект - ДокументОбъект - объект, в табличной части которого выполняется очистка данных.
//
Процедура ОчиститьНомерГТДУПрослеживаемыхТоваровВДокументеПриобретениеТоваровУслуг(Объект) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ОчиститьНомерГТДУПрослеживаемыхТоваровВДокументеПриобретениеТоваровУслуг(Объект) 
```
</details>

## УстановитьУсловноеОформлениеУчетаПоГТДВДокументахКомиссионера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость колонки 'КоличествоПоРНПТ' в соответствующей таблице документа.
//
// Параметры:
//	Форма - ДанныеФормыСтруктура, ФормаКлиентскогоПриложения - форма клиентского приложения.
//	ЭтоОтчетКомиссионера - Булево - признак типа документа.
//
Процедура УстановитьУсловноеОформлениеУчетаПоГТДВДокументахКомиссионера(Форма, ЭтоОтчетКомиссионера = Истина) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.УстановитьУсловноеОформлениеУчетаПоГТДВДокументахКомиссионера(Форма, ЭтоОтчетКомиссионера);
```
</details>

## ОчиститьДанныеПоИмпортнымТоварамВДокументахКомиссионера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистить данные по импортным товарам.
//
// Параметры:
//	Объект - ДокументОбъект - объект, в табличной части которого выполняется очистка данных.
//	КомиссионерВедетУчетПоРНПТБезСоглашения - Булево - признак того, что учет комиссионных прослеживаемых товаров
//														осуществляется без использования соглашения.
//														Значение по умолчанию Ложь.
//
Процедура ОчиститьДанныеПоИмпортнымТоварамВДокументахКомиссионера(Объект, Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ОчиститьДанныеПоИмпортнымТоварамВДокументахКомиссионера(Объект, );
```
</details>

## ПроверитьЗаполнениеНомераГТДВДокументахКомиссионера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение в таблице поля 'НомерГТД'.
//
// Параметры:
//	Объект - ДокументОбъект - объект, в табличной части которого выполняется проверка.
//	Отказ - Булево - Истина, признак того, что в табличной части объекта не заполнено проверяемое поле.
//	КомиссионерВедетУчетПоРНПТ - Булево - Истина, признак того, что комиссионер ведет учет по РНПТ.
//
Процедура ПроверитьЗаполнениеНомераГТДВДокументахКомиссионера(Объект, Отказ, КомиссионерВедетУчетПоРНПТ = Истина) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ПроверитьЗаполнениеНомераГТДВДокументахКомиссионера(Объект, Отказ, КомиссионерВедетУчетПоРНПТ);
```
</details>

## ЗаполнитьКоличествоПоРНПТВТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет КоличествоПоРНПТ в переданной табличной части.
//
// Параметры:
//	ПараметрыПересчета - см. УчетПрослеживаемыхТоваровКлиентСерверЛокализация.ПараметрыПолученияКоэффициентаРНПТ.
//	Товары - ДанныеФормыКоллекция - Таблица товаров документа со следующими обязательными полями:
//		* Номенклатура - СправочникСсылка.Номенклатура - товар.
//		* Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика товара.
//		* МестоХранения - СправочникСсылка.Склады, СправочникСсылка.Партнеры, СправочникСсылка.ДоговорыКонтрагентов, ДокументСсылка.ПриобретениеТоваровУслуг, ДокументСсылка.ВозвратТоваровПоставщику, ДокументСсылка.КорректировкаПриобретения - склад, поле требуется если склад указан в табличной части.
//		* Количество - Число - количество товара.
//		* КоличествоПоРНПТ - Число - прослеживаемое количество товара.
//	ЗаполняемыеСтроки - Массив Из ДанныеФормыЭлементКоллекции,
//						Массив Из СтрокаТабличнойчасти - заполняемые строки в табличной части.
//
Процедура ЗаполнитьКоличествоПоРНПТВТабличнойЧасти(ПараметрыПересчета, Товары, ЗаполняемыеСтроки = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ЗаполнитьКоличествоПоРНПТВТабличнойЧасти(ПараметрыПересчета, Товары, ЗаполняемыеСтроки);
```
</details>

## ЭтоПрослеживаемыйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие прослеживаемого товара в табличной части, и то, что дата документа
// после начала прослеживаемости импортного товара.
//
// Параметры:
//	Товары - ДанныеФормыКоллекция - Таблица товаров документа со следующими обязательными полями:
//		* Номенклатура - СправочникСсылка.Номенклатура - товар.
//	ДатаДокумента - Дата - дата документа, для проверки использования его в прослеживаемости.
//	ИмяКолонкиНоменклатура - Строка - имя реквизита Номенклатура в табличной части.
//
// Возвращаемое значение:
//	Булево - Истина означает, что документ содержит прослеживаемые товары в табличной части и то, что дата документа
//				больше даты начала учета прослеживаемых импортных товаров.
//
Функция ЭтоПрослеживаемыйДокумент(Товары, ДатаДокумента, ИмяКолонкиНоменклатура = "Номенклатура") Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ЭтоПрослеживаемыйДокумент(Товары, ДатаДокумента, ИмяКолонкиНоменклатура);
```
</details>

## ПроверитьКорректностьНастроекТоваровРНПТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает сообщение пользователю, в случае если включен учет прослеживаемых импортных товаров,
// и при этом в таблице товаров имеется прослеживаемая номенклатура, с выключенным учетом по номерам ГТД.
//
// Параметры:
//	Объект - ДокументОбъект, Структура - объект, в табличной части которого выполняется проверка.
//	Товары - ДанныеФормыКоллекция - таблица товаров документа со следующими обязательными полями:
//		* Номенклатура - СправочникСсылка.Номенклатура - товар.
//	ДатаДокумента - Дата - дата документа, для проверки использования его в прослеживаемости.
//	ИмяТабличнойЧасти - Строка - имя табличной части для подсветки в ней ячейки с ошибкой.
//	ИмяНоменклатурыТабличнойЧасти - Строка - имя реквизита табличной части для подсветки ошибки в нем.
//	ПроверяемыеСтроки - Массив Из Структура, Неопределено - список строк, которые необходимо проверить в таблице.
//
Процедура ПроверитьКорректностьНастроекТоваровРНПТ(Объект, Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ПроверитьКорректностьНастроекТоваровРНПТ(Объект, );
```
</details>

## УстановитьПараметрыИспользованияУчетаПрослеживаемыхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметры запроса, необходимые для определения использования в системе учета прослеживаемых товаров.
//
// Параметры:
//	Запрос - Запрос - запрос, для которого осуществляется установка параметров.
//
Процедура УстановитьПараметрыИспользованияУчетаПрослеживаемыхТоваров(Запрос) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.УстановитьПараметрыИспользованияУчетаПрослеживаемыхТоваров(Запрос) 
```
</details>

## ПолучитьКоэффициентыПрослеживаемыхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает коэффициенты по РНПТ для указанной Организации и списка товаров.
//
// Параметры:
//	ИсключаемыйДокумент - ДокументСсылка - документ, движения которого исключаются при расчета коэффициента по РНПТ.
//	Организация - СправочникСсылка.Организации - организация, для которой рассчитываются коэффициенты по РНПТ.
//	Товары - ТаблицаЗначений - таблица, содержащая сведения о товарах.
//	Соглашение - СправочникСсылка.СоглашенияСКлиентами - соглашение, для которого рассчитываются коэффициенты по РНПТ.
//
// Возвращаемое значение:
//	ТаблицаЗначений - содержит следующие колонки:
//		* Номенклатура - СправочникСсылка.Номенклатура - номенклатура, для которой необходимо получить значение
//															коэффициента по РНПТ.
//		* Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры - характеристика номенклатуры, для которой
//																			необходимо получить значение коэффициента
//																			по РНПТ.
//		* МестоХранения - СправочникСсылка.Склады, СправочникСсылка.Партнеры, СправочникСсылка.ДоговорыКонтрагентов, ДокументСсылка.ПриобретениеТоваровУслуг, ДокументСсылка.ВозвратТоваровПоставщику, ДокументСсылка.КорректировкаПриобретения -
//											место хранения, где хранится номенклатура, для которой необходимо получить
//											значение коэффициента по РНПТ.
//		* Коэффициент - Число - значение коэффициента по РНПТ.
//
Функция ПолучитьКоэффициентыПрослеживаемыхТоваров(ИсключаемыйДокумент, Организация, Товары, Соглашение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ПолучитьКоэффициентыПрослеживаемыхТоваров(ИсключаемыйДокумент, Организация, Товары, Соглашение);
```
</details>

## ПроверитьДанныеПрослеживаемостиНомеровГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения карточки ГТД прослеживаемыми данными в документе
//
// Параметры:
//	Объект - ДокументОбъект, Структура - объект, в табличной части которого выполняется проверка.
//	Товары - ДанныеФормыКоллекция - таблица документа со следующими обязательными полями:
//		* НомерГТД - СправочникСсылка.НомераГТД - номер ГТД.
//	ДатаДокумента - Дата - дата документа, для проверки использования его в прослеживаемости.
//	ИмяТабличнойЧасти - Строка - имя табличной части для подсветки в ней ячейки с ошибкой.
//	ИмяНомераГТДТабличнойЧасти - Строка - имя реквизита табличной части для подсветки ошибки в нем.
//	ПроверяемыеСтроки - Массив Из Структура, Неопределено - список строк, которые необходимо проверить в таблице.
//
Процедура ПроверитьДанныеПрослеживаемостиНомеровГТД(Объект, Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ПроверитьДанныеПрослеживаемостиНомеровГТД(Объект, );
```
</details>

## ПроверитьДанныеПрослеживаемостиНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения карточки ГТД прослеживаемыми данными
//
// Параметры:
//	НомерГТД - СправочникСсылка.НомераГТД - номер ГТД.
//
//	Возвращаемое значение:
//	 Число - 0 - ошибок нет, 1 - необходимо проверить стоимостные показатели.
//
Функция ПроверитьДанныеПрослеживаемостиНомераГТД(НомерГТД) Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ПроверитьДанныеПрослеживаемостиНомераГТД(НомерГТД) 
```
</details>

## ИдентификаторТаможеннаяДекларацияИмпорт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор объекта метаданных для документа ТаможеннаяДекларацияИмпорт.
//
// Возвращаемое значение:
//	СправочникСсылка.ИдентификаторыОбъектовМетаданных - .
//
Функция ИдентификаторТаможеннаяДекларацияИмпорт() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ИдентификаторТаможеннаяДекларацияИмпорт() 
```
</details>

## КоличествоРаспоряженийКОформлениюУведомлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество распоряжений к оформлению уведомлений.
//
// Параметры:
//  ТипыУведомлений - Массив из Тип, Неопределено - перечень типов уведомлений, если Неопределено, то данные получаются по всем типам.
//  Организация - СправочникСсылка.Организации, Неопределено - Организация, по которой нужно получить данные, если передано Неопределено, то по всем организациям.
//
// Возвращаемое значение:
//  Соответствие - Количество распоряжений к оформлению по типу уведомления
//
Функция КоличествоРаспоряженийКОформлениюУведомлений(ТипыУведомлений = Неопределено, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.КоличествоРаспоряженийКОформлениюУведомлений(ТипыУведомлений, Организация);
```
</details>

## КоличествоВозвратовКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество возвратов к оформлению.
//
// Возвращаемое значение:
//  Число - Количество возвратов к оформлению
//
Функция КоличествоВозвратовКОформлению() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.КоличествоВозвратовКОформлению() 
```
</details>

## КоличествоОтчетовКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество отчетов к оформлению.
//
// Возвращаемое значение:
//  Число - Количество отчетов к оформлению
//
Функция КоличествоОтчетовКОформлению() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.КоличествоОтчетовКОформлению() 
```
</details>

## ЗаполнитьНомера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет 'РНПТ' в таблице ИмяТЧ.
//
// Параметры:
//	Объект - ДокументОбъект - объект, в табличной части которого заполняются РНПТ
//	ВидыЗапасов - ТаблицаЗначений - содержит следующие колонки:
//		* СтранаПроисхождения - СправочникСсылка.СтраныМира - страна, в разрезе которой
//											должны быть заполнены РНПТ в ИмяТЧ .
//		* РНПТ - СправочникСсылка.НомераГТД - номера РНПТ для создания/подбора
//	ИмяТЧ - строка - имя ТЧ (Товары/ВидыЗапасов), в которой заполняем реквизит
//	ИмяРеквизита - строка - имя реквизита РНПТ (НомерГТД/РНПТ) для заполнения
//
Процедура ЗаполнитьНомера(Объект, ВидыЗапасов, ИмяТЧ = "Товары", ИмяРеквизита = "НомерГТД") Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ЗаполнитьНомера(Объект, ВидыЗапасов, ИмяТЧ, ИмяРеквизита);
```
</details>

## УведомленияОВвозеПрослеживаемыхТоваровПоДокументуПоступления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает коллекцию свойств, описывающих уведомления о ввозе товаров, зарегистрированных на основании документа поступления
//
// Параметры:
// 	ПараметрыРегистрации - см. Документы.ПриобретениеТоваровУслуг.ПараметрыРегистрацииУведомленийОВвозеПрослеживаемыхТоваров
//
// Возвращаемое значение:
// 	Структура - Структура с ключами:
//		* ПредставлениеРаспоряженияКОформлению - Строка, ФорматированнаяСтрока - описание распоряжений к оформлению на основании документа поступления.
//		* ПредставлениеУведомленияОВвозе - Строка, ФорматированнаяСтрока - описание документов, зарегистрированных на основании документа поступления.
//		* УведомленияОВвозе - Массив - ДокументСсылка.УведомлениеОВвозеПрослеживаемыхТоваров - ссылки на уведомление о ввозе товаров.
//		* УведомлениеОВвозеТребуется - Булево - признак необходимости ввода хотя бы одного документа УведомлениеОВвозеПрослеживаемыхТоваров по основанию
//		* ЕстьПравоИнтерактивногоДобавленияУведомленияОВвозе - Булево - признак наличия права для интерактивного добавления документа по основанию.
Функция УведомленияОВвозеПрослеживаемыхТоваровПоДокументуПоступления(ПараметрыРегистрации) Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.УведомленияОВвозеПрослеживаемыхТоваровПоДокументуПоступления(ПараметрыРегистрации) 
```
</details>

## УведомленияОПеремещенииПрослеживаемыхТоваровПоДокументуРеализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает коллекцию свойств, описывающих уведомления о перемещении товаров, зарегистрированных на основании документа реализации
//
// Параметры:
// 	ПараметрыРегистрации - см. Документы.РеализацияТоваровУслуг.ПараметрыРегистрацииУведомленийОПеремещенииПрослеживаемыхТоваров
//
// Возвращаемое значение:
// 	Структура - Структура с ключами:
//		* ПредставлениеРаспоряженияКОформлению - Строка, ФорматированнаяСтрока - описание распоряжений к оформлению на основании документа реализации.
//		* ПредставлениеУведомленияОПеремещении - Строка, ФорматированнаяСтрока - описание документов, зарегистрированных на основании документа реализации.
//		* УведомленияОПеремещении - Массив - ДокументСсылка.УведомлениеОПеремещенииПрослеживаемыхТоваров - ссылки на уведомление о перемещении товаров.
//		* УведомлениеОПеремещенииТребуется - Булево - признак необходимости ввода хотя бы одного документа УведомлениеОПеремещенииПрослеживаемыхТоваров по основанию
//		* ЕстьПравоИнтерактивногоДобавленияУведомленияОПеремещении - Булево - признак наличия права для интерактивного добавления документа по основанию.
Функция УведомленияОПеремещенииПрослеживаемыхТоваровПоДокументуРеализации(ПараметрыРегистрации) Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.УведомленияОПеремещенииПрослеживаемыхТоваровПоДокументуРеализации(ПараметрыРегистрации) 
```
</details>

## КоличествоПередачКОформлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество передач к оформлению.
//
// Параметры:
//	Склад - СправочникСсылка.Склады - Склад прослеживаемости.
//
// Возвращаемое значение:
//  Число - Количество передач к оформлению
//
Функция КоличествоПередачКОформлению(Склад) Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.КоличествоПередачКОформлению(Склад) 
```
</details>

## ЕстьПрослеживаемыйТоварВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак наличия в документе прослеживаемых товаров по РНПТ.
//
// Параметры:
//	Ссылка - ДокументСсылка - документ, в котором выполняется проверка наличия прослеживаемых товаров по РНПТ.
//
// Возвращаемое значение:
//	Булево - Истина означает, что проверяемый документ содержит прослеживаемые товары по РНПТ.
//
Функция ЕстьПрослеживаемыйТоварВДокументе(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ЕстьПрослеживаемыйТоварВДокументе(Ссылка) 
```
</details>

## ЗаполнитьТабличнуюЧастьПоОстаткамПрослеживаемыхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет в документе табличную часть Прослеживаемые товары по остаткам регистра
// Прослеживаемые товары в составе ОС
//
// Параметры:
//	Объект - ДокументОбъект - объект, в котором заполняется табличная часть
//	ДоступныеОсновныеСредства - Массив - массив основных средств, по которым отбираются остатки
//	для заполнения табличной части
Процедура ЗаполнитьТабличнуюЧастьПоОстаткамПрослеживаемыхТоваров(Объект, ДоступныеОсновныеСредства) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ЗаполнитьТабличнуюЧастьПоОстаткамПрослеживаемыхТоваров(Объект, ДоступныеОсновныеСредства) 
```
</details>

## ПустаяТаблицаПрослеживаемыеКомплектующиеДляПечатиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание таблицы сведений о прослеживаемых комплектующих, используемую при печати данных.
//
//
// Возвращаемое значение:
//	ТаблицаЗначений - описание таблицы сведений о прослеживаемых комплектующих, со следующими колонками:
//		* НомерГТД - СправочникСсылка.НомераГТД - ссылка на номер РНПТ комплекта.
//		* НомерРНПТ - СправочникСсылка.НомераГТД - ссылка на данные комплектующей номера РНПТ комплекта
//														в информационной базе.
//		* НомерТовара - Строка - регистрационный номер товара.
//		* Количество - Число - нормативное количество комплектующих, приходящихся на единицу комплекта.
//		* ЕдиницаИзмеренияКод - Строка - код единицы измерения по ОКЕИ.
//		* ЕдиницаИзмеренияНаименование - Строка - наименование единицы измерения.
//
Функция ПустаяТаблицаПрослеживаемыеКомплектующиеДляПечатиДанных() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ПустаяТаблицаПрослеживаемыеКомплектующиеДляПечатиДанных() 
```
</details>

## ПрослеживаемыеКомплектующиеДляПечатиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу сведений о прослеживаемых комплектующих, используемую при печати данных.
//
// Параметры:
//	ПрослеживаемыеКомплектующие - РезультатЗапроса - сведения о прослеживаемых комплектующих.
//
// Возвращаемое значение:
//	см. ПустаяТаблицаПрослеживаемыеКомплектующиеДляПечатиДанных
//
Функция ПрослеживаемыеКомплектующиеДляПечатиДанных(ПрослеживаемыеКомплектующие) Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ПрослеживаемыеКомплектующиеДляПечатиДанных(ПрослеживаемыеКомплектующие) 
```
</details>

## ДополнитьПараметрыКорректностиУказанияНоменклатурыПорчиТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет параметры проверки корректности указания товаров в таблице документа порчи.
//
// Параметры:
//	ПараметрыПроверки - Структура - коллекция параметров проверки.
//
Процедура ДополнитьПараметрыКорректностиУказанияНоменклатурыПорчиТоваров(ПараметрыПроверки) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ДополнитьПараметрыКорректностиУказанияНоменклатурыПорчиТоваров(ПараметрыПроверки) 
```
</details>

## ПроверитьКорректностьУказанияНоменклатурыПорчиТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность указания списываемой и приходуемой номенклатуры в таблице документа почри.
//
// Параметры:
//	Объект - ДокументОбъект, Структура, ФормаКлиентскогоПриложения - объект, в табличной части которого выполняется проверка и который содержит:
//		* Ссылка - ДокументСсылка - ссылка на документ информационной базы.
//	Отказ - Булево - Истина, признак того, что в табличной части объекта не заполнено проверяемое поле.
//	ПараметрыПроверки - Структура, Неопределено - параметры проверки.
//
Процедура ПроверитьКорректностьУказанияНоменклатурыПорчиТоваров(Объект, Отказ, ПараметрыПроверки = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ПроверитьКорректностьУказанияНоменклатурыПорчиТоваров(Объект, Отказ, ПараметрыПроверки);
```
</details>

## ВалютаРегламентированногоУчетаНомераГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает валюту регламентированного учета, в которой учитываются стоимостные показатели элемента справочника 'НомераГТД'.
//
// Возвращаемое значение:
//	СправочникСсылка.Валюты - валюта регламентированного учета.
//
Функция ВалютаРегламентированногоУчетаНомераГТД() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ВалютаРегламентированногоУчетаНомераГТД() 
```
</details>

## ЗаполнитьПолеПроверитьНомерГТДВДереве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет поле ПроверитьНомерГТД в дереве видов запасов
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма ФормаВводаВидовЗапасов справочника Виды запасов.
//
Процедура ЗаполнитьПолеПроверитьНомерГТДВДереве(Форма) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.ЗаполнитьПолеПроверитьНомерГТДВДереве(Форма) 
```
</details>

## ВидЦеныСтоимостиПрослеживаемыхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид цены стоимости прослеживаемых товаров.
//
// Возвращаемое значение:
//	СправочникСсылка.ВидыЦен - вид цены стоимости прослеживаемых товаров.
//
Функция ВидЦеныСтоимостиПрослеживаемыхТоваров() Экспорт
```

Пример вызова
```bsl
Результат = УчетПрослеживаемыхТоваровЛокализация.ВидЦеныСтоимостиПрослеживаемыхТоваров() 
```
</details>

## УстановитьЗаголовокНомерГТД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Меняет заголовок на "Номер ГТД / РНПТ" или "Номер РНПТ" для переданных элементов формы.
//
// Параметры:
// 	ЭлементыФормы     - ВсеЭлементыФормы - элементы формы, среди которых содержится искомый элемент
// 	ЭлементыНомерГТД  - Строка, Массив из строка - список имен элементов формы с "Номер ГТД"
// 	ТолькоРНПТ        - Булево - признак, что вводится только номер РНПТ
// 	Постфикс          - Строка - дополнительное описание заголовка
//	ИзменятьПодсказку - Булево - изменяем подсказку для элементов формы.
//
Процедура УстановитьЗаголовокНомерГТД(ЭлементыФормы, ЭлементыНомерГТД, ТолькоРНПТ = Ложь, Постфикс = "", ИзменятьПодсказку = Истина) Экспорт
```

Пример вызова
```bsl
УчетПрослеживаемыхТоваровЛокализация.УстановитьЗаголовокНомерГТД(ЭлементыФормы, ЭлементыНомерГТД, ТолькоРНПТ, Постфикс, ИзменятьПодсказку);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
