---
title: Учет расходов по исследованиям и разработкам
slug: erp-uh/учет-расходов-по-исследованиям-и-разработкам
---


## ДобавитьЭтап_ПризнаниеРасходовПоИсследованиямИРазработкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет этап в таблицу этапов закрытия месяца.
// Элементы данной таблицы являются элементами второго уровня в дереве этапов в форме закрытия месяца.
//
// Параметры:
// 	ТаблицаЭтапов - см. Обработки.ОперацииЗакрытияМесяца.ИнициализироватьТаблицуОписанияЭтапов
// 	ТекущийРодитель - Строка - идентификатор группы.
Процедура ДобавитьЭтап_ПризнаниеРасходовПоИсследованиямИРазработкам(ТаблицаЭтапов,ТекущийРодитель) Экспорт
```

Пример вызова
```bsl
УчетРасходовПоИсследованиямИРазработкам.ДобавитьЭтап_ПризнаниеРасходовПоИсследованиямИРазработкам(ТаблицаЭтапов, ТекущийРодитель) 
```
</details>

## Использование_ПризнаниеРасходовПоИсследованиямИРазработкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка необходимости использования этапа закрытия месяца.
//
// Параметры:
//  ПараметрыОбработчика - Структура - параметры обработчика события этапа.
Процедура Использование_ПризнаниеРасходовПоИсследованиямИРазработкам(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
УчетРасходовПоИсследованиямИРазработкам.Использование_ПризнаниеРасходовПоИсследованиямИРазработкам(ПараметрыОбработчика) 
```
</details>

## Выполнить_ПризнаниеРасходовПоИсследованиямИРазработкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнение этапа закрытия месяца.
//
// Параметры:
//  ПараметрыОбработчика - Структура - параметры обработчика события этапа.
//
Процедура Выполнить_ПризнаниеРасходовПоИсследованиямИРазработкам(ПараметрыОбработчика) Экспорт
```

Пример вызова
```bsl
УчетРасходовПоИсследованиямИРазработкам.Выполнить_ПризнаниеРасходовПоИсследованиямИРазработкам(ПараметрыОбработчика) 
```
</details>

## ДополнитьТекстЗапросаЗаданийКЗакрытиюМесяца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет текст запроса механизма формирования заданий закрытия месяца.
//
// Параметры:
// 	Запрос - Запрос - используется для установки параметров запроса.
// 	ТекстЗапроса - Строка - строка с текстом запроса.
// 	ТекстЗапросаВременныхТаблиц - Строка - строка с текстом запроса временных таблиц.
// 	ИменаВременныхТаблиц - Строка - массив имен создаваемых временных таблиц для последующего уничтожения.
Процедура ДополнитьТекстЗапросаЗаданийКЗакрытиюМесяца(Запрос, ТекстЗапроса, ТекстЗапросаВременныхТаблиц, ИменаВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
УчетРасходовПоИсследованиямИРазработкам.ДополнитьТекстЗапросаЗаданийКЗакрытиюМесяца(Запрос, ТекстЗапроса, ТекстЗапросаВременныхТаблиц, ИменаВременныхТаблиц) 
```
</details>

## ТекстЗапросаСтруктураКапитализацииНМА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределение запроса отчета СтруктураКапитализвации
//
// Возвращаемое значение:
// 	Строка - Текст запроса для НМА
//
Функция ТекстЗапросаСтруктураКапитализацииНМА() Экспорт
```

Пример вызова
```bsl
Результат = УчетРасходовПоИсследованиямИРазработкам.ТекстЗапросаСтруктураКапитализацииНМА() 
```
</details>

## ТекстЗапросаСтруктураКапитализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределение запроса отчета СтруктураКапитализвации
//
// Возвращаемое значение:
// 	Строка - Текст запроса для НМА
//
Функция ТекстЗапросаСтруктураКапитализации() Экспорт
```

Пример вызова
```bsl
Результат = УчетРасходовПоИсследованиямИРазработкам.ТекстЗапросаСтруктураКапитализации() 
```
</details>

## НастройкиПризнанияРасходовПоИсследованиямОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки учетных политик для признания расходов по исследованиям
//
// Параметры:
// 	НачалоПериода - Дата -
// 	МассивОрганизаций - Массив из СправочникСсылка.Организации, Неопределено -
// Возвращаемое значение:
// 	ТаблицаЗначений - таблица с колонками:
// 		*Организация - СправочникСсылка.Организации -
// 		*СтатьяРасходов - ПланВидовХарактеристикСсылка.СтатьиРасходов -
// 		*АналитикаРасходов - Характеристика.СтатьиРасходов -
// 		*УчетнаяПолитика - Строка -
Функция НастройкиПризнанияРасходовПоИсследованиямОрганизаций(НачалоПериода, МассивОрганизаций = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетРасходовПоИсследованиямИРазработкам.НастройкиПризнанияРасходовПоИсследованиямОрганизаций(НачалоПериода, МассивОрганизаций);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
