---
title: Учет УСН ПСН клиент сервер
slug: erp-uh/учет-усн-псн-клиент-сервер
---


## НалоговаяСтавкаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ставку налога УСН, указанную в НК РФ.
//
// Параметры:
//  ДоходыМинусРасходы - Булево - признак возврата ставки для объекта налогообложения "Доходы минус расходы".
//
// Возвращаемое значение:
//  Число - п. 1 ст. 346.20 НК РФ или п. 2 ст. 346.20 НК РФ в зависимости от параметра.
//
Функция НалоговаяСтавкаПоУмолчанию(ДоходыМинусРасходы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УчетУСНПСНКлиентСервер.НалоговаяСтавкаПоУмолчанию(ДоходыМинусРасходы);
```
</details>

## НалоговаяСтавкаПовышенная
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает повышенную ставку налога УСН, указанную в НК РФ.
//
// Параметры:
//  ДоходыМинусРасходы - Булево - признак возврата ставки для объекта налогообложения "Доходы минус расходы".
//
// Возвращаемое значение:
//  Число - п. 1.1 ст. 346.20 НК РФ или п. 2.1 ст. 346.20 НК РФ в зависимости от параметра.
//
Функция НалоговаяСтавкаПовышенная(ДоходыМинусРасходы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УчетУСНПСНКлиентСервер.НалоговаяСтавкаПовышенная(ДоходыМинусРасходы);
```
</details>

## ПереходныйПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает границы переходного периода, на который можно получить патент при переходе с ЕНВД
// не дожидаясь регионального закона
//
// Возвращаемое значение:
//  Структура:
//     * Начало - Дата
//     * Конец  - Дата
//
Функция ПереходныйПериод() Экспорт
```

Пример вызова
```bsl
Результат = УчетУСНПСНКлиентСервер.ПереходныйПериод() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
