---
title: Учет финансовых инструментов МСФО сервер УХ
slug: erp-uh/учет-финансовых-инструментов-мсфо-сервер-ух
---


## ПолучитьПроцентСущественностиФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПроцентСущественностиФИ() Экспорт
```

Пример вызова
```bsl
Результат = УчетФинансовыхИнструментовМСФОСерверУХ.ПолучитьПроцентСущественностиФИ() 
```
</details>

## ПолучитьПараметрыРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыРасчета(ПараметрыУчетаФИ) Экспорт
```

Пример вызова
```bsl
Результат = УчетФинансовыхИнструментовМСФОСерверУХ.ПолучитьПараметрыРасчета(ПараметрыУчетаФИ) 
```
</details>

## ПолучитьПараметрыПредыдущегоГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыПредыдущегоГрафика(ДанныеГрафика) Экспорт
```

Пример вызова
```bsl
Результат = УчетФинансовыхИнструментовМСФОСерверУХ.ПолучитьПараметрыПредыдущегоГрафика(ДанныеГрафика) 
```
</details>

## ТекстЗапросаПредыдущийГрафик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаПредыдущийГрафик() Экспорт
```

Пример вызова
```bsl
Результат = УчетФинансовыхИнструментовМСФОСерверУХ.ТекстЗапросаПредыдущийГрафик());
```
</details>

## ПолучитьДенежныеПотоки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить денежные потоки
//
// Параметры:
//  ДанныеГрафика	 - Структура	- см. УчетФинансовыхИнструментовМСФОКлиентСерверУХ.ПодготовитьДанныеГрафика
//  Проценты		 - Булево		- включать эти операции
//  ДопРасходУсл	 - Булево	 	- включать эти операции
//  ДопРасходМод	 - Булево	 	- включать эти операции
//  ОсновнойДолг	 - Булево	 	- включать эти операции
//  ВНА				 - Булево	 	- включать эти операции
//  АвансыВкл		 - Булево		- включать эти операции
//  АвансыИскл		 - Булево		- включать эти операции
//  ДатаИскючения	 - Дата 		- операция не включаются в график, если дата операции меньше или равна дате исключения(например исключить пустые даты, или получить часть графика)
//
// Возвращаемое значение:
//   - ДенежныеПотоки = Новый ТаблицаЗначений;
//		ДенежныеПотоки.Колонки.Добавить("Дата");
//		ДенежныеПотоки.Колонки.Добавить("ДенежныйПоток");
//
Функция ПолучитьДенежныеПотоки(ДанныеГрафика, Проценты = Ложь, ДопРасходУсл = Ложь, ДопРасходМод = Ложь, Экспорт
```

Пример вызова
```bsl
Результат = УчетФинансовыхИнструментовМСФОСерверУХ.ПолучитьДенежныеПотоки(ДанныеГрафика, Проценты, ДопРасходУсл, ДопРасходМод, );
```
</details>

## ДобавитьДенежныйПоток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьДенежныйПоток(ДенежныеПотоки, Дата, Сумма = 0, ДатаНачалаГрафика, ДатаИскючения = '00010101') Экспорт
```

Пример вызова
```bsl
УчетФинансовыхИнструментовМСФОСерверУХ.ДобавитьДенежныйПоток(ДенежныеПотоки, Дата, Сумма, ДатаНачалаГрафика, ДатаИскючения);
```
</details>

## ВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВВалюту(Сумма, ВалютаИсточник, ВалютаПриемник, Дата) Экспорт
```

Пример вызова
```bsl
Результат = УчетФинансовыхИнструментовМСФОСерверУХ.ВВалюту(Сумма, ВалютаИсточник, ВалютаПриемник, Дата) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
