---
title: Учетная политика
slug: erp-uh/учетная-политика
---


## Существует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Существует(Организация, Период, ВыводитьСообщениеОбОтсутствииУчетнойПолитики = Ложь, ДокументСсылка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.Существует(Организация, Период, ВыводитьСообщениеОбОтсутствииУчетнойПолитики, ДокументСсылка);
```
</details>

## ПлательщикНалогаНаПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

Функция ПлательщикНалогаНаПрибыль(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПлательщикНалогаНаПрибыль(Организация, Период) 
```
</details>

## ПоддержкаПБУ18
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоддержкаПБУ18(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПоддержкаПБУ18(Организация, Период) 
```
</details>

## ПараметрыПБУ18
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров применения ПБУ 18
//
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, для которой определяются параметры;
//	Период - Дата - дата, на начало месяца которой определяются параметры.
//
// Возвращаемое значение:
//  Структура - структура параметров ПБУ 18
//
Функция ПараметрыПБУ18(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПараметрыПБУ18(Организация, Период) 
```
</details>

## ВедетсяУчетПостоянныхИВременныхРазниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак ведения учета постоянных разниц.
//
// Параметры:
//	Организация - Массив, СправочникСсылка.Организации - организация, для которой определяется признак;
//	Период - Дата - дата, на начало месяца которой определяется признак.
//
// Возвращаемое значение:
//	Булево - Истина, если организация ведет учет постоянных разниц.
//
Функция ВедетсяУчетПостоянныхИВременныхРазниц(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ВедетсяУчетПостоянныхИВременныхРазниц(Организация, Период) 
```
</details>

## МетодНачисленияАмортизацииНУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МетодНачисленияАмортизацииНУ(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.МетодНачисленияАмортизацииНУ(Организация, Период) 
```
</details>

## ТолькоОсновнаяСистемаНалогообложенияЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТолькоОсновнаяСистемаНалогообложенияЗаПериод(Организация, НачалоПериода, КонецПериода) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ТолькоОсновнаяСистемаНалогообложенияЗаПериод(Организация, НачалоПериода, КонецПериода) 
```
</details>

## СписыватьСтоимостьМалоценныхТМЦНаРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает необходимость списания стоимости малоценных ТМЦ на расходы в месяце приобретения.
//
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, для которой определяется настройка.
//	Период - Дата - дата, на которую определяется настройка.
//
// Возвращаемое значение:
//	Булево - Истина, если стоимость списывается.
//
Функция СписыватьСтоимостьМалоценныхТМЦНаРасходы(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.СписыватьСтоимостьМалоценныхТМЦНаРасходы(Организация, Период) 
```
</details>

## ПлательщикНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Параметры учетной политики по НДС

Функция ПлательщикНДС(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПлательщикНДС(Организация, Период) 
```
</details>

## ПлательщикНДСПрименяющийУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПлательщикНДСПрименяющийУСН(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПлательщикНДСПрименяющийУСН(Организация, Период) 
```
</details>

## ПрименяетсяОсвобождениеОтУплатыНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПрименяетсяОсвобождениеОтУплатыНДС(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПрименяетсяОсвобождениеОтУплатыНДС(Организация, Период) 
```
</details>

## ПравилоОтбораАвансовДляРегистрацииСчетовФактур
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПравилоОтбораАвансовДляРегистрацииСчетовФактур(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПравилоОтбораАвансовДляРегистрацииСчетовФактур(Организация, Период) 
```
</details>

## ПериодичностьФормированияВычетовИВосстановленийНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПериодичностьФормированияВычетовИВосстановленийНДС(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПериодичностьФормированияВычетовИВосстановленийНДС(Организация, Период) 
```
</details>

## ПлательщикЕНВД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры учетной политики по ЕНВД

Функция ПлательщикЕНВД(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПлательщикЕНВД(Организация, Период) 
```
</details>

## ПлательщикЕНВДЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПлательщикЕНВДЗаПериод(Организация, НачалоПериода, КонецПериода) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПлательщикЕНВДЗаПериод(Организация, НачалоПериода, КонецПериода) 
```
</details>

## Учитывать5ПроцентныйПорог
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

Функция Учитывать5ПроцентныйПорог(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.Учитывать5ПроцентныйПорог(Организация, Период) 
```
</details>

## ПрименяетсяУСНДоходыМинусРасходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры учетной политики по УСН

Функция ПрименяетсяУСНДоходыМинусРасходы(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПрименяетсяУСНДоходыМинусРасходы(Организация, Период) 
```
</details>

## ПрименяетсяУСНДоходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПрименяетсяУСНДоходы(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПрименяетсяУСНДоходы(Организация, Период) 
```
</details>

## ПрименяетсяУСНДоходыЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПрименяетсяУСНДоходыЗаПериод(Организация, НачалоПериода, КонецПериода) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПрименяетсяУСНДоходыЗаПериод(Организация, НачалоПериода, КонецПериода) 
```
</details>

## ПрименяетсяУСНДоходыМинусРасходыЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПрименяетсяУСНДоходыМинусРасходыЗаПериод(Организация, НачалоПериода, КонецПериода) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПрименяетсяУСНДоходыМинусРасходыЗаПериод(Организация, НачалоПериода, КонецПериода) 
```
</details>

## ИспользуетсяТрудНаемныхРаботников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак применения труда наемных работников, который используется для организации на упрощенной системе налогообложения.
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, из учетной политики которой берется требуемое значение;
//	Период - Дата - дата, на которую анализируется учетная политика организации.
//
// Возвращаемое значение:
//	Булево - признак использования труда наемных работников, указанный для учетной политики организации на переданную дату.
//
Функция ИспользуетсяТрудНаемныхРаботников(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ИспользуетсяТрудНаемныхРаботников(Организация, Период) 
```
</details>

## ПрименяетсяУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

Функция ПрименяетсяУСН(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПрименяетсяУСН(Организация, Период) 
```
</details>

## ПрименяетсяПСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Возвращает признак использования патента для организации.
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, из учетной политики которой берется требуемое значение;
//	Период - Дата - дата, на которую анализируется учетная политика организации.
//
// Возвращаемое значение:
//	Булево - признак использования патентов.
//
Функция ПрименяетсяПСН(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПрименяетсяПСН(Организация, Период) 
```
</details>

## ЗаполнятьКУДиР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак необходимости заполнения книги учета доходов и расходов для организации.
// Параметры:
//	Организация - СправочникСсылка.Организации - организация, из учетной политики которой берется требуемое значение;
//	Период - Дата - дата, на которую анализируется учетная политика организации.
//
// Возвращаемое значение:
//	Булево - необходимость заполнения КУДиР.
//
Функция ЗаполнятьКУДиР(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ЗаполнятьКУДиР(Организация, Период) 
```
</details>

## СтавкаНалогаУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

//++ НЕ УТ

Функция СтавкаНалогаУСН(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.СтавкаНалогаУСН(Организация, Период) 
```
</details>

## ОбъектНалогообложенияУСН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбъектНалогообложенияУСН(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ОбъектНалогообложенияУСН(Организация, Период) 
```
</details>

## СистемаНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прочие параметры учетной политики

Функция СистемаНалогообложения(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.СистемаНалогообложения(Организация, Период) 
```
</details>

## БазаРаспределенияКосвенныхРасходовПоВидамДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция БазаРаспределенияКосвенныхРасходовПоВидамДеятельности(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.БазаРаспределенияКосвенныхРасходовПоВидамДеятельности(Организация, Период) 
```
</details>

## ИспользуетсяДелениеНаДолгосрочныеКраткосрочныеАктивыОбязательства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ИспользуетсяДелениеНаДолгосрочныеКраткосрочныеАктивыОбязательства(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ИспользуетсяДелениеНаДолгосрочныеКраткосрочныеАктивыОбязательства(Организация, Период) 
```
</details>

## ФормироватьРезервыПоСомнительнымДолгам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры учетной политики по резервам по сомнительным долгам

Функция ФормироватьРезервыПоСомнительнымДолгам(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ФормироватьРезервыПоСомнительнымДолгам(Организация, Период) 
```
</details>

## ФормироватьРезервыПоСомнительнымДолгамНУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ФормироватьРезервыПоСомнительнымДолгамНУ(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ФормироватьРезервыПоСомнительнымДолгамНУ(Организация, Период) 
```
</details>

## ПлательщикТорговогоСбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры учетной политики по торговому сбору

Функция ПлательщикТорговогоСбора(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПлательщикТорговогоСбора(Организация, Период) 
```
</details>

## ПлательщикТорговогоСбораЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПлательщикТорговогоСбораЗаПериод(Организация, НачалоПериода, КонецПериода) Экспорт
```

Пример вызова
```bsl
Результат = УчетнаяПолитика.ПлательщикТорговогоСбораЗаПериод(Организация, НачалоПериода, КонецПериода) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
