---
title: Физические лица клиент сервер УТ локализация
slug: erp-uh/физические-лица-клиент-сервер-ут-локализация
---


## СерияДокументаУказанаПравильно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что серия документа для переданного вида документа указана правильно.
//
// Параметры:
//	ВидДокумента - СправочникСсылка.ВидыДокументовФизическихЛиц	- вид документа, для которого необходимо
// 																проверить правильность серии
//	Серия - Строка - серия документа
//	ТекстОшибки - Строка - текст ошибки, если серия указана неправильно.
//	БезОшибки - Булево - флаг проверки
//
Процедура СерияДокументаУказанаПравильно(ВидДокумента, Знач Серия , ТекстОшибки, БезОшибки) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаКлиентСерверУТЛокализация.СерияДокументаУказанаПравильно(ВидДокумента, Серия, ТекстОшибки, БезОшибки) 
```
</details>

## НомерДокументаУказанПравильно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что номер документа для переданного вида документа указан правильно.
//
// Параметры:
//	ВидДокумента - СправочникСсылка.ВидыДокументовФизическихЛиц	- вид документа, для которого необходимо
//																проверить правильность номера
//	Номер - Строка - номер документа
//	ТекстОшибки - Строка - текст ошибки, если номер указан неправильно.
//	БезОшибки - Булево - флаг проверки
//
Процедура НомерДокументаУказанПравильно(ВидДокумента, Знач Номер, ТекстОшибки, БезОшибки) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаКлиентСерверУТЛокализация.НомерДокументаУказанПравильно(ВидДокумента, Номер, ТекстОшибки, БезОшибки) 
```
</details>

## ТипСерииДокументаУдостоверяющегоЛичность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип серии документа удостоверяющего личность
//
// Параметры:
//	ВидДокумента - СправочникСсылка.ВидыДокументовФизическихЛиц
//	ТипДокумента - Число
//
Процедура ТипСерииДокументаУдостоверяющегоЛичность(ВидДокумента, ТипДокумента) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаКлиентСерверУТЛокализация.ТипСерииДокументаУдостоверяющегоЛичность(ВидДокумента, ТипДокумента) 
```
</details>

## ТипНомераДокументаУдостоверяющегоЛичность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип номера документа удостоверяющего личность
//
// Параметры:
//	ВидДокумента - СправочникСсылка.ВидыДокументовФизическихЛиц
//	ТипДокумента - Число
//
Процедура ТипНомераДокументаУдостоверяющегоЛичность(ВидДокумента, ТипДокумента) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаКлиентСерверУТЛокализация.ТипНомераДокументаУдостоверяющегоЛичность(ВидДокумента, ТипДокумента) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
