---
title: Физические лица локализация
slug: erp-uh/физические-лица-локализация
---


## ДополнитьФИО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру, содержащую информацию о фамилии, имени и отчестве физического лица.
// Строка формируется в зависимости от типа переданного параметра:
//	- либо по истории ФИО элемента справочника ФизическиеЛица,
// 	- либо разбором строки, содержащей полную ФИО.
//
// Параметры:
//  ФизическоеЛицо - Строка, СправочникСсылка.ФизическиеЛица - источник информации о ФИО
//  ФИОФизическогоЛица - Структура - со свойствами
//		Фамилия  - Строка;
//		Имя      - Строка;
//		Отчество - Строка.
//  Дата - Дата, Неопределено - дата для получения истории ФИО, имеет смысл если в первом параметре передана ссылка.
//
Процедура ДополнитьФИО(ФизическоеЛицо, ФИОФизическогоЛица, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЛокализация.ДополнитьФИО(ФизическоеЛицо, ФИОФизическогоЛица, Дата);
```
</details>

## ДополнитьФамилияИнициалыФизЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку, содержащую фамилию и инициалы физического лица.
// Строка формируется в зависимости от типа переданного параметра:
//	- либо по истории ФИО элемента справочника ФизическиеЛица,
// 	- либо разбором строки, содержащей полную ФИО.
//
// Параметры:
//  ФизическоеЛицо - Строка, СправочникСсылка.ФизическиеЛица - источник информации о ФИО
//  ФамилияИнициалы - Строка - Фамилия И. О.
//  Дата - Дата, Неопределено - дата для получения истории ФИО, имеет смысл если в первом параметре передана ссылка.
//
Процедура ДополнитьФамилияИнициалыФизЛица(ФизическоеЛицо, ФамилияИнициалы, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЛокализация.ДополнитьФамилияИнициалыФизЛица(ФизическоеЛицо, ФамилияИнициалы, Дата);
```
</details>

## ЗаполнитьДокументФизическогоЛицаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить структуру данными документа физического лица.
//
// Параметры:
// Параметры:
//  ФизическоеЛицо - СправочникСсылка.ФизическиеЛица - источник информации о документе
//  ДокументФизическогоЛица - Структура -- данные документа физического лица,
// 				поля соответствуют ресурсам регистра ДокументыФизическихЛиц.
//  ВидДокумента - СправочникСсылка.ВидыДокументовФизическихЛиц, Неопределено - вид документа физического лица
//  Дата - Дата, Неопределено - дата для получения истории документов физического лица.
//
Процедура ЗаполнитьДокументФизическогоЛицаПоУмолчанию(ФизическоеЛицо, ДокументФизическогоЛица, ВидДокумента = Неопределено, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЛокализация.ЗаполнитьДокументФизическогоЛицаПоУмолчанию(ФизическоеЛицо, ДокументФизическогоЛица, ВидДокумента, Дата);
```
</details>

## РеквизитыПечатиЗаявленияНаВозвратОбработатьВидДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает свойства элемента ВидДокумента формы обработки ПечатьЗаявленияНаВозвратТоваровОтКлиента.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
Процедура РеквизитыПечатиЗаявленияНаВозвратОбработатьВидДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЛокализация.РеквизитыПечатиЗаявленияНаВозвратОбработатьВидДокумента(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
