---
title: Фин отчетность в банки
slug: erp-uh/фин-отчетность-в-банки
---


## ОповеститьОбОтправке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещаем об отправке.
Процедура ОповеститьОбОтправке(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.ОповеститьОбОтправке(Организация);
```
</details>

## ОповеститьОШифровании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещаем о шифровании и подписании.
Процедура ОповеститьОШифровании(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.ОповеститьОШифровании(Организация);
```
</details>

## ПодписатьЗашифроватьВОблакеИОтправить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подписание и отправку отчета на сервере.
// Перед вызовом фонового задания необходимо получить сеансовый ключ сервиса криптографии.
// Предназначена для вызова в качестве метода фонового задания.
//
// Параметры:
//	Параметры - Структура - Содержит ключи:
//      * ТипТранзакции - ПеречислениеСсылка.ТипыТранзакцийОбменаСБанкамиФинОтчетность.
//		* ПредметОбмена - ОпределяемыйТип.ПредметОбменаСБанками - отчет.
//      * ОтпечатокСертификата - Строка - сертификат, используемый для подписания файлов.
//		* Банк - СправочникСсылка.БанкиУниверсальногоОбмена - элемент справочника БанкиУниверсальногоОбмена, в которые нужно отправить отчет.
//		* Документооборот - СправочникСсылка.ДокументооборотыОбменаСБанками, Неопределено - ссылка на документооборот.
//		* ПараметрыОтбораСертификата - Структура - см. ЗаявкиНаКредитКлиентСервер.ПараметрыОтбораСертификата()
//		* ИдентификаторЖурналаОпераций - Строка - идентификатор журнала операций с файлами.
//
Процедура ПодписатьЗашифроватьВОблакеИОтправить(Параметры, АдресХранилища) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.ПодписатьЗашифроватьВОблакеИОтправить(Параметры, АдресХранилища) 
```
</details>

## ПредставлениеПредмета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеПредмета(Предмет, БезИмениБанка = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ПредставлениеПредмета(Предмет, БезИмениБанка);
```
</details>

## ДанныеСервисаОтправкиФинансовойОтчетностиВБанки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеСервисаОтправкиФинансовойОтчетностиВБанки(ИмяПараметра = "") Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ДанныеСервисаОтправкиФинансовойОтчетностиВБанки(ИмяПараметра);
```
</details>

## УстановитьДанныеСервисаОтправкиФинансовойОтчетностиВБанки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьДанныеСервисаОтправкиФинансовойОтчетностиВБанки(Знач Данные, ИмяПараметра = "") Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.УстановитьДанныеСервисаОтправкиФинансовойОтчетностиВБанки(Данные, ИмяПараметра);
```
</details>

## ПослеЗавершенияОбменаПоСервису
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗавершенияОбменаПоСервису() Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.ПослеЗавершенияОбменаПоСервису() 
```
</details>

## СтатусДокументооборота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СтатусДокументооборота(Документооборот, ОписаниеСтатуса) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.СтатусДокументооборота(Документооборот, ОписаниеСтатуса) 
```
</details>

## СтатусОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает актуальный статус отправки для указанного отчета.
//
// Параметры:
//	Предмет - ДокументСсылка.ФинОтчетВБанк - Ссылка на объект с данными отчета.
//
// Возвращаемое значение:
//	ПеречислениеСсылка.СтатусыОтправкиФинОтчетностиВБанки
//
Функция СтатусОтчета(Предмет) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.СтатусОтчета(Предмет) 
```
</details>

## ПриПолученииТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УниверсальныйОбменСБанкамиПереопределяемый.ПриПолученииТранзакции
Процедура ПриПолученииТранзакции(РеквизитыТранзакции, Результат) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.ПриПолученииТранзакции(РеквизитыТранзакции, Результат) 
```
</details>

## ПриОтправкеТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УниверсальныйОбменСБанкамиПереопределяемый.ПриОтправкеТранзакции
Процедура ПриОтправкеТранзакции(РеквизитыТранзакции, Результат) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.ПриОтправкеТранзакции(РеквизитыТранзакции, Результат) 
```
</details>

## НачатьОбновлениеДанныхСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - обработчик начала получения данных о сервисе заявок на кредит.
// Предназначена для вызова из модуля форм, в которых требуются актуальные данные о сервисе.
//
// Параметры:
//  Форма - УправляемаяФорма - должна содержать реквизиты СведенияОСервисе И СведенияОДлительнойОперации
//
Процедура НачатьОбновлениеДанныхСервиса(Форма) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.НачатьОбновлениеДанныхСервиса(Форма) 
```
</details>

## ОбновитьСтатусыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет внешние компоненты через интернет в фоновом процессе.
//
// Параметры:
//  Параметры - Структура - параметры фоновой процедуры. Содержит поля:
//      * Отбор - Структура - (необзательный) содержит параметры отбора документооборотов.
//  Адрес - Строка - адрес временного хранилища, в который помещается массив.
//
Процедура ОбновитьСтатусыОтчетов(Параметры, Адрес) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.ОбновитьСтатусыОтчетов(Параметры, Адрес) 
```
</details>

## ЗаполнитьТаблицуЭтаповОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу этапов отправки заявки.
//
// Параметры:
//	РеквизитыДокументооборота - Структура - см. УниверсальныйОбменСБанками.РеквизитыДокументооборота().
//	ДополнительныеПараметры - Произвольный - Дополнительные параметры формы.
//	ТаблицаЭтаповОтправки - ТаблицаЗначений - см. УниверсальныйОбменСБанками.ЗаготовкаТаблицыЭтаповОтправки().
//
Процедура ЗаполнитьТаблицуЭтаповОтправки(РеквизитыДокументооборота, ДополнительныеПараметры, ТаблицаЭтаповОтправки) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.ЗаполнитьТаблицуЭтаповОтправки(РеквизитыДокументооборота, ДополнительныеПараметры, ТаблицаЭтаповОтправки) 
```
</details>

## ЦветФонаСтатусаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает цвет фона для статуса отчета.
//
// Параметры:
//	СтатусОтчета - Перечисления.СтатусыОтправкиФинОтчетностиВБанки - Статус отчета.
//
// Возвращаемое занчение:
//	Цвет
//
Функция ЦветФонаСтатусаОтчета(СтатусОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ЦветФонаСтатусаОтчета(СтатусОтчета) 
```
</details>

## ЦветТекстаСтатусаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает цвет текста для статуса отчета.
//
// Параметры:
//	СтатусОтчета - Перечисления.СтатусыОтправкиФинОтчетностиВБанки - Статус отчета.
//
// Возвращаемое занчение:
//	Цвет
//
Функция ЦветТекстаСтатусаОтчета(СтатусОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ЦветТекстаСтатусаОтчета(СтатусОтчета) 
```
</details>

## ЕстьКритическиеОшибкиДокументооборота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаем Истина, если последней полученной транзакцией была Ошибка.
Функция ЕстьКритическиеОшибкиДокументооборота(Документооборот, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ЕстьКритическиеОшибкиДокументооборота(Документооборот, ДополнительныеПараметры) 
```
</details>

## ПолучитьНадписьВремяОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНадписьВремяОбновления(ДатаПоследнегоОбновления) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ПолучитьНадписьВремяОбновления(ДатаПоследнегоОбновления) 
```
</details>

## ДатаПоследнегоОбновленияСобытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаПоследнегоОбновленияСобытий() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ДатаПоследнегоОбновленияСобытий() 
```
</details>

## ГруппаНовогоСобытияДокументооборота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГруппаНовогоСобытияДокументооборота(ДанныеГрупп, ПараметрыСобытия) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ГруппаНовогоСобытияДокументооборота(ДанныеГрупп, ПараметрыСобытия) 
```
</details>

## ГруппыСобытийСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ГруппыСобытийСервиса(ДанныеГрупп) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.ГруппыСобытийСервиса(ДанныеГрупп) 
```
</details>

## ПометитьПредметыПрочтенными
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПометитьПредметыПрочтенными(Предметы) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ПометитьПредметыПрочтенными(Предметы) 
```
</details>

## ДоступныеБанки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список банков, в которые можно передавать отчетность.
//
// Параметры:
//	ВключаяНеактивные - Булево - Признак включения в список банков, которые на текущий момент являются неактивными.
//
// Возвращаемое значение:
//	СписокЗначений - список банков.
//
Функция ДоступныеБанки(ВключаяНеактивные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ДоступныеБанки(ВключаяНеактивные);
```
</details>

## СтатусОтчетностиВБанкиВСтатусФинОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусОтчетностиВБанкиВСтатусФинОтчетности(СтатусСтрокой) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.СтатусОтчетностиВБанкиВСтатусФинОтчетности(СтатусСтрокой) 
```
</details>

## ОпределитьСостояниеСдачиОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьСостояниеСдачиОтчетности(Статус) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ОпределитьСостояниеСдачиОтчетности(Статус) 
```
</details>

## СброситьВерсиюУслугБанка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СброситьВерсиюУслугБанка() Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанки.СброситьВерсиюУслугБанка() 
```
</details>

## ОбновитьДанныеСервисаФинОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обновление сервиса 1С:ФинОтчетности и возвращает признак успешности выполнения.
//
// Возвращаемое значение:
//	Структура - см. УниверсальныйОбменСБанкамиКлиентСервер.РезультатОбновленияДанныхСервиса()
//
Функция ОбновитьДанныеСервисаФинОтчетности() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанки.ОбновитьДанныеСервисаФинОтчетности() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
