---
title: Фин отчетность в банки вызов сервера
slug: erp-uh/фин-отчетность-в-банки-вызов-сервера
---


## ПоместитьДанныеОтчетаВЖурналОперацийСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоместитьДанныеОтчетаВЖурналОперацийСФайлами(Идентификатор, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиВызовСервера.ПоместитьДанныеОтчетаВЖурналОперацийСФайлами(Идентификатор, ДополнительныеПараметры) 
```
</details>

## СведенияОСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с информацией о сервисе финансовой отчетности.
//
// Возвращаемое значение:
//	Структура - см. УниверсальныйОбменСБанками.СведенияОСервисе().
//
Функция СведенияОСервисе() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиВызовСервера.СведенияОСервисе() 
```
</details>

## ХранилищеОбщихНастроекСохранить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ХранилищеОбщихНастроекСохранить(КлючОбъекта, КлючНастроек, Настройки, Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанкиВызовСервера.ХранилищеОбщихНастроекСохранить(КлючОбъекта, КлючНастроек, Настройки, );
```
</details>

## ХранилищеОбщихНастроекЗагрузить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ХранилищеОбщихНастроекЗагрузить(КлючОбъекта, КлючНастроек, ЗначениеПоУмолчанию = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиВызовСервера.ХранилищеОбщихНастроекЗагрузить(КлючОбъекта, КлючНастроек, ЗначениеПоУмолчанию, );
```
</details>

## ДатаПоследнейТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаПоследнейТранзакции(Транзакции) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиВызовСервера.ДатаПоследнейТранзакции(Транзакции) 
```
</details>

## ТипыДокументовПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипыДокументовПротокола() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиВызовСервера.ТипыДокументовПротокола() 
```
</details>

## ТипыТранзакцийПротокола
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипыТранзакцийПротокола() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиВызовСервера.ТипыТранзакцийПротокола() 
```
</details>

## ДоступныеБанки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДоступныеБанки(ВключаяНеактивные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиВызовСервера.ДоступныеБанки(ВключаяНеактивные);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
