---
title: Фин отчетность в банки клиент
slug: erp-uh/фин-отчетность-в-банки-клиент
---


## ОткрытьФормуДлительнойОперацииОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОткрытьФормуДлительнойОперацииОтправки(Организация, Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиент.ОткрытьФормуДлительнойОперацииОтправки(Организация, );
```
</details>

## ОткрытьПротокол
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьПротокол(Предмет, Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанкиКлиент.ОткрытьПротокол(Предмет, );
```
</details>

## ПослеЗапускаСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗапускаСистемы() Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанкиКлиент.ПослеЗапускаСистемы() 
```
</details>

## СохранитьПротокол
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьПротокол(Префикс, Банк, Организация, ДанныеПротокола, ДанныеПодписи = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанкиКлиент.СохранитьПротокол(Префикс, Банк, Организация, ДанныеПротокола, ДанныеПодписи);
```
</details>

## ОповеститьОШифровании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещаем о шифровании и подписании.
Процедура ОповеститьОШифровании(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанкиКлиент.ОповеститьОШифровании(Организация);
```
</details>

## ОповеститьОбОтправке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещаем об отправке.
Процедура ОповеститьОбОтправке(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанкиКлиент.ОповеститьОбОтправке(Организация);
```
</details>

## ПоказатьФормуСостоянияДокументооборота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму с этапи последнего документооборота по предмету обмена.
//
// Параметры:
//	Предмет - ДокументСсылка.ФинОтчетВБанк - Ссылка на отчет в банк.
//
Процедура ПоказатьФормуСостоянияДокументооборота(Предмет) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанкиКлиент.ПоказатьФормуСостоянияДокументооборота(Предмет) 
```
</details>

## ОписаниеТранзакций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартная функция конструктор для результата, описывающего действие (отправку или подписание) с транзакциями.
//
// Возвращаемое значение:
//   Структура - чем закончилась отработка транзакций взаимодействия с сервисом:
//               * ТипТранзакции - ПеречислениеСсылка - к чему относится транзакция;
//               * НеОтправленныеТранзакции - Массив - с чем возникли проблемы;
//               * КоличествоУспешноОбработано - Число - с чем не возникло проблем
//
Функция ОписаниеТранзакций() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиент.ОписаниеТранзакций() 
```
</details>

## ПоказатьОшибку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму ошибки, содержащую секцию "Подробнее".
//
// Параметры:
//  ОписаниеОшибки - Строка - текст, выводимый в предупреждении.
//  ФормаСОшибками - ФормаКлиентскогоПриложения - владелец для формы с текстом ошибки.
//  Заголовок    - Строка - заголовок предупреждения.
//  ОписаниеТранзакций - Структура - см. ОписаниеТранзакций()
//  ДействиеПослеПредупреждения - ОписаниеОповещения - оповещение о закрытии формы.
//
Процедура ПоказатьОшибку(ОписаниеОшибки, ФормаСОшибками, Заголовок = "", ОписаниеТранзакций = Неопределено, Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанкиКлиент.ПоказатьОшибку(ОписаниеОшибки, ФормаСОшибками, Заголовок, ОписаниеТранзакций, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
