---
title: Фин отчетность в банки клиент сервер
slug: erp-uh/фин-отчетность-в-банки-клиент-сервер
---


## ПараметрыОтбораСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую структуру с ключами для проверки сертификата.
//
// Возвращаемое значение:
//	Структура - см. Результат.
//
Функция ПараметрыОтбораСертификата() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.ПараметрыОтбораСертификата() 
```
</details>

## ЗаполнитьПредставлениеОтбораСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// На основании заполненных ИНН и СНИЛС формирует представление отбора.
//
// Параметры:
//  ПараметрыОтбора - Структура - см. ПараметрыОтбораСертификата()
//  СубъектПредставление - Строка - имя субъекта, на основании которого накладываются отборы.
//
Процедура ЗаполнитьПредставлениеОтбораСертификата(ПараметрыОтбора, СубъектПредставление) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанкиКлиентСервер.ЗаполнитьПредставлениеОтбораСертификата(ПараметрыОтбора, СубъектПредставление) 
```
</details>

## СертификатСоответствуетОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, подходит ли сертификат для выполнения указанной операции для организации.
//
// Параметры:
//	Сертификат    - СертификатКриптографии - Сертификат, для которого выполняется проверка.
//	ПараметрыОтбора - Структура - см. ФинОтчетностьВБанкиКлиентСервер.ПараметрыОтбораСертификата().
//	Результат     - Структура - см. УниверсальныйОбменСБанкамиКлиентСервер.РезультатФункцийСоответствияОтбору().
//
Процедура СертификатСоответствуетОтбору(Сертификат, ПараметрыОтбора, Результат) Экспорт
```

Пример вызова
```bsl
ФинОтчетностьВБанкиКлиентСервер.СертификатСоответствуетОтбору(Сертификат, ПараметрыОтбора, Результат) 
```
</details>

## ЭтоБанкУниверсальногоОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоБанкУниверсальногоОбмена(Банк) Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.ЭтоБанкУниверсальногоОбмена(Банк) 
```
</details>

## СобытиеЖурналаРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СобытиеЖурналаРегистрации(ВариантСобытия = "") Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.СобытиеЖурналаРегистрации(ВариантСобытия);
```
</details>

## ИмяПараметраДатыПоследнегоОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяПараметраДатыПоследнегоОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.ИмяПараметраДатыПоследнегоОбмена() 
```
</details>

## СтатусОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусОшибка() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.СтатусОшибка() 
```
</details>

## СтатусДоставлено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусДоставлено() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.СтатусДоставлено() 
```
</details>

## СтатусОтклонено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусОтклонено() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.СтатусОтклонено() 
```
</details>

## СтатусОтправлено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусОтправлено() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.СтатусОтправлено() 
```
</details>

## СтатусСдано
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусСдано() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.СтатусСдано() 
```
</details>

## СтатусНеОтправлено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатусНеОтправлено() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.СтатусНеОтправлено() 
```
</details>

## ГруппаЗавершенныеОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГруппаЗавершенныеОтправки() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.ГруппаЗавершенныеОтправки() 
```
</details>

## ГруппаНеЗавершенныеОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГруппаНеЗавершенныеОтправки() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.ГруппаНеЗавершенныеОтправки() 
```
</details>

## НовыеПараметрыОбработчикаОжиданияВходящихСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыеПараметрыОбработчикаОжиданияВходящихСообщений() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.НовыеПараметрыОбработчикаОжиданияВходящихСообщений() 
```
</details>

## ИмяСобытияПометкаПредметаПрочтенным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяСобытияПометкаПредметаПрочтенным() Экспорт
```

Пример вызова
```bsl
Результат = ФинОтчетностьВБанкиКлиентСервер.ИмяСобытияПометкаПредметаПрочтенным() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
