---
title: Финансовая математика клиент сервер
slug: erp-uh/финансовая-математика-клиент-сервер
---


## СтруктураПараметровРасчетаПроцентов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураПараметровРасчетаПроцентов() Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяМатематикаКлиентСервер.СтруктураПараметровРасчетаПроцентов() 
```
</details>

## ДанныеЗаполненияОсновногоДолга
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеЗаполненияОсновногоДолга(Знач ДатаНачалаДействия, Знач ДатаОкончанияДействия, Знач Сумма) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяМатематикаКлиентСервер.ДанныеЗаполненияОсновногоДолга(ДатаНачалаДействия, ДатаОкончанияДействия, Сумма) 
```
</details>

## СуммаПроцентовЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СуммаПроцентовЗаПериод(ДатаНачала, ДатаОкончания, БазоваяСумма, Ставка, БазаДляРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяМатематикаКлиентСервер.СуммаПроцентовЗаПериод(ДатаНачала, ДатаОкончания, БазоваяСумма, Ставка, БазаДляРасчета);
```
</details>

## НайтиСекциюГрафикаПоИмениКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиСекциюГрафикаПоИмениКолонки(ОписаниеГрафика, ИмяКолонки) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяМатематикаКлиентСервер.НайтиСекциюГрафикаПоИмениКолонки(ОписаниеГрафика, ИмяКолонки) 
```
</details>

## СтавкаДоходностиЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет ставку доходности за период в процентах годовых.
Функция СтавкаДоходностиЗаПериод(ДатаНачала, ДатаОкончания, БазоваяСумма, СуммаНаКонецПериода, БазаДляРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяМатематикаКлиентСервер.СтавкаДоходностиЗаПериод(ДатаНачала, ДатаОкончания, БазоваяСумма, СуммаНаКонецПериода, БазаДляРасчета);
```
</details>

## ПолучитьЭффективнуюСтавкуПроцента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Расчет аналогично функции MS EXCEL - IRR
//Потоки должны быть отсортированы по дате
Функция ПолучитьЭффективнуюСтавкуПроцента(ДенежныйПоток, ТочкиДенежногоПотока, Оценка = 0, ИспользоватьПараметрыРасчетаЭСП = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяМатематикаКлиентСервер.ПолучитьЭффективнуюСтавкуПроцента(ДенежныйПоток, ТочкиДенежногоПотока, Оценка, ИспользоватьПараметрыРасчетаЭСП);
```
</details>

## ПолучитьЧистуюПриведеннуюСтоимость
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Расчет аналогично функции MS EXCEL - NPV
//Потоки должны быть отсортированы по дате
Функция ПолучитьЧистуюПриведеннуюСтоимость(Ставка, ДенежныйПоток, ТочкиДенежногоПотока, НаКонецПериода = Истина, Производная = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяМатематикаКлиентСервер.ПолучитьЧистуюПриведеннуюСтоимость(Ставка, ДенежныйПоток, ТочкиДенежногоПотока, НаКонецПериода, Производная);
```
</details>

## РазностьДатВДнях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазностьДатВДнях(ДатаУменьшаемое, ДатаВычитаемое) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяМатематикаКлиентСервер.РазностьДатВДнях(ДатаУменьшаемое, ДатаВычитаемое));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
