---
title: Финансовая отчетность клиент
slug: erp-uh/финансовая-отчетность-клиент
---


## ЗавершитьРедактированиеЭлементаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет завершение редактирование элемента бюджетного отчета
//
// Параметры:
//  Форма - РасширениеУправляемойФормыДляОбъектов - форма элемента.
//  ДополнительныеСведения - Структура - дополнительные сведения для возврата в форму-владельца.
//
Процедура ЗавершитьРедактированиеЭлементаОтчета(Форма, ДополнительныеСведения = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьКлиент.ЗавершитьРедактированиеЭлементаОтчета(Форма, ДополнительныеСведения);
```
</details>

## ДобавитьТекстФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура добавляет новые операнды в текст формулы
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма конструктора формул
//  НовыеОперанды - Массив из ДанныеФормыЭлементКоллекции - массив добавленных строк таблицы операндов:
//   *Идентификатор - Строка - Идентификатор операнда.
//
Процедура ДобавитьТекстФормулы(Форма, НовыеОперанды) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьКлиент.ДобавитьТекстФормулы(Форма, НовыеОперанды) 
```
</details>

## ШаблонПараметровУстановкиНовогоРодителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Возвращает структуру параметров установки нового родителя.
//
// Возвращаемое значение:
// 	Структура - Структура параметров установки нового родителя.
//
Функция ШаблонПараметровУстановкиНовогоРодителя() Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьКлиент.ШаблонПараметровУстановкиНовогоРодителя() 
```
</details>

## УстановитьНовогоРодителяЭлементаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переносит строку и все ее подчиненные элементы в новую ветку дерева.
//
//	Параметры:
//		ТекущаяСтрока - ДанныеФормыЭлементДерева, СтрокаДереваЗначений - строка дерева элементов отчета
//		НовыйРодитель - ДанныеФормыЭлементДерева, СтрокаДереваЗначений - новая родительская ветка дерева элементов отчета
//		ПараметрыУстановкиРодителя - Структура - Структура параметров со свойствами:
//			*ЭтоСохраненные - Булево - флаг показывающий, что это строки дерева сохраненных элементов
//			*КонтрольЗацикливания - Булево - флаг определяющий выполнение контроля зацикливания строк
//			*ИдентификаторФормы - УникальныйИдентификатор - уникальный идентификатор формы во временной хранилище
//			                                               которой необходимо поместить данные элемента.
//			*Копирование - Булево - Флаг копирования элемента.
//			*ПараметрыИдентификаторов - Структура - Структура, содержащая параметры идентификаторов.
//
Процедура УстановитьНовогоРодителяЭлементаФормы(ТекущаяСтрока, НовыйРодитель, ПараметрыУстановкиРодителя) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьКлиент.УстановитьНовогоРодителяЭлементаФормы(ТекущаяСтрока, НовыйРодитель, ПараметрыУстановкиРодителя) 
```
</details>

## КорневойЭлементЭлементаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит ближайший вверх по иерархии родительский элемент заданного вида.
// Параметры:
//	Дерево - ДанныеФормыДерево, ДанныеФормыЭлементДерева - элемент дерева для которого необходимо определить родительский элемент
//					если заданно дерево то результат будет определяться среди подчиненных строк первого уровня.
//	ВидКорневогоЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета - вид родителя.
//
//	Возвращаемое значение:
//		ДанныеФормыЭлементДерева - корневой элемент.
//		СтрокаДереваЗначений - корневой элемент.
//
Функция КорневойЭлементЭлементаФормы(Дерево, ВидКорневогоЭлемента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьКлиент.КорневойЭлементЭлементаФормы(Дерево, ВидКорневогоЭлемента);
```
</details>

## ПодчиненныеСтрокиЭлементаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Возвращает в зависимости от типа, коллекцию подчиненных элементов первого уровня переданной строки дерева элементов отчета.
//
//	Параметры:
//		СтрокаДерева - ДанныеФормыЭлементДерева, СтрокаДереваЗначений, КоллекцияСтрокДереваЗначений, ДанныеФормыДерево - строка дерева элементов отчета.
//
//	Возвращаемое значение:
//		ДанныеФормыКоллекцияЭлементовДерева - коллекция подчиненных строк.
//		КоллекцияСтрокДереваЗначений - коллекция подчиненных строк.
//
Функция ПодчиненныеСтрокиЭлементаФормы(СтрокаДерева) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьКлиент.ПодчиненныеСтрокиЭлементаФормы(СтрокаДерева) 
```
</details>

## ПодчиненныйЭлементЭлементаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит ближайший вниз по иерархии элемент по значению заданного реквизита.
//
// Параметры:
//	Дерево - ДанныеФормыДерево, ДанныеФормыЭлементДерева - элемент дерева или строка дерева в котором необходимо произвести поиск
//	ИмяРеквизита - Строка - имя реквизита дерева значение которого сравнивается с заданным для поиска
//	ЗначениеРеквизита - Произвольный - значение реквизита дерева которое необходимо найти.
//
// Возвращаемое значение:
//	ДанныеФормыЭлементДерева, СтрокаДереваЗначений - подчиненный элемент.
//
Функция ПодчиненныйЭлементЭлементаФормы(Дерево, ИмяРеквизита, ЗначениеРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьКлиент.ПодчиненныйЭлементЭлементаФормы(Дерево, ИмяРеквизита, ЗначениеРеквизита) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
