---
title: Финансовая отчетность сервер
slug: erp-uh/финансовая-отчетность-сервер
---


## ТаблицаИндексовКартинок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Функция возвращает таблицу индексов картинок
//
// Возвращаемое значение:
//   ТаблицаЗначений - Колонки:
//   	* ВидЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета - Вид элемента
//   	* ИмяВспомогательногоЭлемента - Строка, СправочникСсылка - Экземпляр элемента
//   	* ИндексКартинки - Число - Индекс картинки
//
Функция ТаблицаИндексовКартинок() Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ТаблицаИндексовКартинок() 
```
</details>

## ВременнаяТаблицаИндексовКартинок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция менеджер временных таблиц, содержащий таблицу индексов картинок элементов финансовых отчетов
//
// Возвращаемое значение:
//   МенеджерВременныхТаблиц - Менеджер временных таблиц
//
Функция ВременнаяТаблицаИндексовКартинок() Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ВременнаяТаблицаИндексовКартинок() 
```
</details>

## ПолучитьПараметр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция значение параметра по имени
//
// Возвращаемое значение:
//   Параметры - Структура - структура параметров
//   ИмяПараметра - Строка - ключ в структуре параметров
//   ЗначениеПоУмолчанию - Произвольный - (Необязательный)значение ключа структуры,
//                                        если значение переданного ключа не найдено.
//
// Возвращаемое значение:
//   Произвольный - ЗначениеКлюча.
//
Функция ПолучитьПараметр(Параметры,ИмяПараметра,ЗначениеПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ПолучитьПараметр(Параметры, ИмяПараметра, ЗначениеПоУмолчанию);
```
</details>

## РезультатЗапросаВДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура преобразовывает результат запроса в дерево значений
//
// Параметры:
//  РезультатЗапроса  - РезультатЗапроса - результат запроса, который надо преобразовать
//  Дерево  - ДеревоЗначений - дерево, куда следует загрузить результат запроса.
//
Процедура РезультатЗапросаВДерево(РезультатЗапроса, Дерево) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.РезультатЗапросаВДерево(РезультатЗапроса, Дерево) 
```
</details>

## КэшДополнительныеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает кэш дополнительных реквизитов
// элементов вида бюджета.
//
// Параметры:
//  ВидОтчета  - СправочникСсылка.ВидыБюджетов - ссылка на вид отчета.
//
// Возвращаемое значение:
//   ТаблицаЗначений   - таблица дополнительных реквизитов и их значений.
//
Функция КэшДополнительныеРеквизиты(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.КэшДополнительныеРеквизиты(ВидОтчета) 
```
</details>

## КэшДополнительныеПоляЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает кэш дополнительных реквизитов элементов вида отчета.
//
// Параметры:
//  ВидОтчета  - СправочникСсылка.ВидыБюджетов, СправочникСсылка.ВидыФинансовыхОтчетов - ссылка на вид отчета.
//
// Возвращаемое значение:
//   ТаблицаЗначений   - таблица дополнительных реквизитов и их значений:
//    *ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов -
//    *Наименование - Строка -
//
Функция КэшДополнительныеПоляЭлементов(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.КэшДополнительныеПоляЭлементов(ВидОтчета) 
```
</details>

## КэшПланыСчетовЭлементовОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТКА

// Возвращает кэш планов счетов, которые используются в элементах отчета
//
// Параметры:
//  ВидОтчета  - СправочникСсылка.ВидыФинансовыхОтчетов - ссылка на вид отчета.
//
// Возвращаемое значение:
//   ТаблицаЗначений   - таблица дополнительных реквизитов и их значений:
//    * ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов -
//    * ПланСчетов - СправочникСсылка.ПланыСчетовМеждународногоУчета -
//                 - СправочникСсылка.ИдентификаторыОбъектовМетаданных -
//
Функция КэшПланыСчетовЭлементовОтчета(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.КэшПланыСчетовЭлементовОтчета(ВидОтчета) 
```
</details>

## ЗначениеДополнительногоРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТКА

// Возвращает значение дополнительного реквизита
// элемента отчета (из табличной части "дополнительные реквизиты").
//
// Параметры:
//  СсылкаНаОбъект  - СправочникСсылка.ЭлементыФинансовыхОтчетов - ссылка
//                    на элемент для которого получаем дополнительный элемент.
//  Реквизит  - Строка - Имя реквизита
//            - ПланВидовХарактеристикСсылка.РеквизитыЭлементовФинансовыхОтчетов - ссылка на реквизит.
//  КэшРеквизитов - см. КэшДополнительныеРеквизиты
//
// Возвращаемое значение:
//   Произвольный, Неопределено - значение реквизита.
//
Функция ЗначениеДополнительногоРеквизита(Знач СсылкаНаОбъект, Знач Реквизит, КэшРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ЗначениеДополнительногоРеквизита(СсылкаНаОбъект, Реквизит, КэшРеквизитов) 
```
</details>

## ЗначениеПланСчетовЭлементаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает план счетов, которому принадлежит элемент отчета.
// Если элемент отчета не ссылается на счет бухгалтерского отчета, то возвращается Неопределено.
//
// Параметры:
//  СсылкаНаОбъект  - СправочникСсылка.ЭлементыФинансовыхОтчетов - ссылка
//                    на элемент для которого получаем дополнительный элемент.
//  КэшПланыСчетовЭлементовОтчета - см. КэшПланыСчетовЭлементовОтчета
//
// Возвращаемое значение:
//   СправочникСсылка.ПланыСчетовМеждународногоУчета, СправочникСсылка.ИдентификаторыОбъектовМетаданных, Неопределено -
//
Функция ЗначениеПланСчетовЭлементаОтчета(Знач СсылкаНаОбъект, КэшПланыСчетовЭлементовОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ЗначениеПланСчетовЭлементаОтчета(СсылкаНаОбъект, КэшПланыСчетовЭлементовОтчета) 
```
</details>

## ПолучитьПредставлениеЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление элемента отчета
//
// Параметры:
//  ВидЭлемента  - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета - вид элемента
//  ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов - ссылка на элемент
//  ЗначениеАналитики - Произвольный - дополнительное значение аналитики
//  Наименование - Строка - наименование элемента
//  КэшРеквизитов - ТаблицаЗначений - кэш дополнительных реквизитов вида бюджета.
//
// Возвращаемое значение:
//   Строка   - значение аналитики.
//
Функция ПолучитьПредставлениеЭлемента(ВидЭлемента, ЭлементОтчета, ЗначениеАналитики, Наименование, КэшРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ПолучитьПредставлениеЭлемента(ВидЭлемента, ЭлементОтчета, ЗначениеАналитики, Наименование, КэшРеквизитов) 
```
</details>

## ПолучитьПредставлениеДополнительныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление дополнительных полей отчета
//
// Параметры:
//  ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов - ссылка на элемент
//  КэшДополнительныхПолей - ТаблицаЗначений - кэш дополнительных реквизитов вида бюджета:
//   *ЭлементОтчета - СправочникСсылка.ЭлементыФинансовыхОтчетов - Элемент отчета.
//   *Наименование - Строка - наименование элемента.
//
// Возвращаемое значение:
//   Строка - значение аналитики.
//
Функция ПолучитьПредставлениеДополнительныхПолей(ЭлементОтчета, КэшДополнительныхПолей) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ПолучитьПредставлениеДополнительныхПолей(ЭлементОтчета, КэшДополнительныхПолей) 
```
</details>

## ОписаниеТипаПоЗначению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает описание типа по переданному значению
// Параметры:
//  Значение - ЛюбаяСсылка - значение для которого требуется получить описание типа.
//
// Возвращаемое значение:
//   ОписаниеТипов - описание типа переданного значения.
//
Функция ОписаниеТипаПоЗначению(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ОписаниеТипаПоЗначению(Значение) 
```
</details>

## ЗаполнитьДоступныеПоляПоСхемеКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет дерево выбора поля на основании доступных полей схемы компоновки данных
// Вызывается из форм:
// 		- настройки заполнения аналитики бюджетирования
// 		- настройки заполнения субконто международного учета.
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма выбора поля заполнения:
// 	  * ТипЗначения - ОписаниеТипов - операнды с типами, входящими в указанное описание типов, можно выбрать.
// 	  * ДополнительноеСвойствоИдентификатор - Строка - Идентификатор добавленного из формы дополнительного реквизита / сведения.
// 	  * АдресСхемыКомпоновкиДанных - Строка - Адрес временного хранилища, содержащий адрес схемы компоновки, по которому заполняется дерево операндов.
// 	  * МаксимальныйУровеньРазверткиСтрок - Число - Максимальный уровень развертки строк. Если значение не задано, то уровень развертки не ограничивается.
// 	  * ДеревоВыбора - ДанныеФормыДерево - Дерево на форме, в которое загружается дерево операндов.
// 	  * ТекущееВыражение - Строка - Текущее выражение выбранного операнда.
//
Процедура ЗаполнитьДоступныеПоляПоСхемеКомпоновкиДанных(Форма) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.ЗаполнитьДоступныеПоляПоСхемеКомпоновкиДанных(Форма) 
```
</details>

## ПодходящееПолеВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Возвращает флаг того, что поле подходит для выбора по типу значения.
//
// Параметры:
// 	СтрокаДереваЗначений - ДанныеФормыЭлементДерева - Строка дерева операндов:
// 	 *Идентификатор - Строка - Идентификатор текущей части операнда.
// 	ЦелевойТип - ОписаниеТипов - целевой тип (строки данного типа можно выбирать).
// 	ДополнительноеСвойствоИдентификатор - Строка - Идентификатор добавленного дополнительного реквизита.
// Возвращаемое значение:
// 	Булево - Истина, если поле подходит для выбора.
//
Функция ПодходящееПолеВыбора(СтрокаДереваЗначений, ЦелевойТип, ДополнительноеСвойствоИдентификатор = "") Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ПодходящееПолеВыбора(СтрокаДереваЗначений, ЦелевойТип, ДополнительноеСвойствоИдентификатор);
```
</details>

## ПредставлениеИнтервала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для заданной даты формирует строковое представление заданного интервала
//
// Параметры:
//  ДатаПериода  - Дата - дата для которой необходимо сформировать строковое представление интервала
//  Периодичность  - ПеречислениеСсылка.Периодичность, Число - интервал представление которого необходимо сформировать
//  КодЯзыка - Строка - код языка для применения нужного форматирования дат.
//
// Возвращаемое значение:
//  Строка - строковое представление интервала.
//
Функция ПредставлениеИнтервала(ДатаПериода, Знач Периодичность, КодЯзыка = "") Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ПредставлениеИнтервала(ДатаПериода, Периодичность, КодЯзыка);
```
</details>

## НачалоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает начальную дату интервала
//
// Параметры:
//  ДатаПериода  - Дата - дата входящая в интервал
//  Периодичность  - ПеречислениеСсылка.Периодичность - интервал представление которого необходимо сформировать.
//
// Возвращаемое значение:
//   Дата - начальная дата переданного интервала.
//
Функция НачалоПериода(Знач ДатаПериода, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НачалоПериода(ДатаПериода, Периодичность) 
```
</details>

## КонецПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает конечную дату интервала
//
// Параметры:
//  ДатаПериода  - Дата - дата входящая в интервал
//  Периодичность  - ПеречислениеСсылка.Периодичность - интервал представление которого необходимо сформировать.
//
// Возвращаемое значение:
//   Дата - конечная дата переданного интервала.
//
Функция КонецПериода(Знач ДатаПериода, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.КонецПериода(ДатаПериода, Периодичность) 
```
</details>

## НоваяСхема
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//++ НЕ УТ

// Устарела. Следует использовать новую (см. КомпоновкаДанныхСервер.ПустаяСхема)
// Возвращает новую схему СКД.
//
// Параметры:
//  ИмяИсточника  - Строка - имя источника данных новой схемы компоновки (необязательное по умолчанию "ИсточникДанных1")
//  ТипИсточника  - Строка - тип источника данных новой схему компоновки данных (необязательное по умолчанию "Local").
//
// Возвращаемое значение:
//  СхемаКомпоновкиДанных - новая схему компоновки данных.
//
Функция НоваяСхема(ИмяИсточника = "ИсточникДанных1", ТипИсточника = "Local") Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НоваяСхема(ИмяИсточника, ТипИсточника);
```
</details>

## НовыйНабор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать новую (см. КомпоновкаДанныхСервер.ДобавитьПустойНаборДанных)
// Возвращает ссылку на новый набор данных заданного типа в переданной схеме компоновки данных.
//
// Параметры:
//  СхемаКД   - СхемаКомпоновкиДанных - схема компоновки данных в которой необходимо создать новый набор
//  ТипНабора - Тип - Тип нового набора (необязательное по умолчанию "НаборДанныхЗапросСхемыКомпоновкиДанных")
//                   Тип("НаборДанныхЗапросСхемыКомпоновкиДанных")
//                   Тип("НаборДанныхОбъектСхемыКомпоновкиДанных").
//  ИмяНабора - Строка - имя нового набора (необязательное по умолчанию "НаборДанных1").
//
// Возвращаемое значение:
//   НаборДанныхЗапросСхемыКомпоновкиДанных - новый набор данных заданного типа,
//   НаборДанныхОбъединениеСхемыКомпоновкиДанных - новый набор данных заданного типа,
//   НаборДанныхОбъектСхемыКомпоновкиДанных - новый набор данных заданного типа.
//
Функция НовыйНабор(СхемаКД, ТипНабора = Неопределено, ИмяНабора = "НаборДанных1") Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НовыйНабор(СхемаКД, ТипНабора, ИмяНабора);
```
</details>

## НоваяСхемаНаборОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новую схему компоновки данных с новым набором данных типа "НаборДанныхОбъектСхемыКомпоновкиДанных".
//
// Параметры:
//  ИмяОбъекта  - Строка - имя нового набора
//  НаборСхемы  - НаборДанныхОбъектСхемыКомпоновкиДанных - переменная в которую будет помещена ссылка на новый набор
//                                                         данных (необязательное).
//
// Возвращаемое значение:
//  СхемаКомпоновкиДанных - новая схема компоновки данных.
//
Функция НоваяСхемаНаборОбъект(ИмяОбъекта, НаборСхемы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НоваяСхемаНаборОбъект(ИмяОбъекта, НаборСхемы);
```
</details>

## НовоеПолеНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Возвращает ссылку на новое поле в переданном наборе данных
//
// Параметры:
//  НаборДанных  - НаборДанныхЗапросСхемыКомпоновкиДанных, НаборДанныхОбъектСхемыКомпоновкиДанных - набор данных в
//      котором необходимо создать новое поле.
//  Поле         - Строка - имя нового поля схемы компоновки данных
//  ПутьКДанным  - Строка - путь к данным нового поля схемы компоновки данных (необязательное по умолчанию равно "")
//  Заголовок    - Строка - заголовок нового поля схемы компоновки данных (необязательное по умолчанию равно "")
//  ТипЗначения  - ОписаниеТипов - тип данных нового поля схемы компоновки данных (необязательное по умолчанию Неопределено).
//
// Возвращаемое значение:
//  ПолеНабораДанныхСхемыКомпоновкиДанных - описание возвращаемого значения.
//
Функция НовоеПолеНабора(НаборДанных, Поле, ПутьКДанным = "", Заголовок = "", ТипЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НовоеПолеНабора(НаборДанных, Поле, ПутьКДанным, Заголовок, ТипЗначения);
```
</details>

## НовыйРесурс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новый ресурс в переданной схеме компоновки данных.
//
// Параметры:
//  СхемаКД  - СхемаКомпоновкиДанных - схема компоновки данных в которой необходимо создать новый ресурс.
//  ПутьКДанным  - Строка - путь к данным нового ресурса схемы компоновки данных.
//  Агрегат  - Строка - агрегатная функция нового ресурса (необязательное по умолчанию "Сумма").
//  ВыражениеРесурса - Строка - выражение вычисления нового ресурса (необязательное).
//
// Возвращаемое значение:
//   ПолеИтогаСхемыКомпоновкиДанных - ссылка на новый ресурс схемы компоновки данных.
//
Функция НовыйРесурс(СхемаКД, ПутьКДанным, Агрегат = "Сумма", ВыражениеРесурса = "") Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НовыйРесурс(СхемаКД, ПутьКДанным, Агрегат, ВыражениеРесурса);
```
</details>

## НовоеВычисляемоеПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новое вычисляемое поле в переданной схеме компоновки данных.
//
// Параметры:
//  СхемаКомпоновкиДанных - СхемаКомпоновкиДанных - схема компоновки данных в которой необходимо создать новое
//                                                  вычисляемое поле.
//  ПутьКДанным           - Строка - путь к данным вычисляемого поля схемы компоновки данных.
//  ВыражениеПоля         - Строка - выражение вычисления нового вычисляемого поля.
//  Заголовок             - Строка - заголовок нового вычисляемого поля (необязательное).
//  ИскатьИПерезаполнять  - Булево - Истина - добавить новое и заполнить или перезаполнить найденное поле,
//                                   Ложь - добавить новое и заполнить без поиска дублей,
//                                   Неопределено - добавить новое и заполнить или оставить найденное поле без изменений.
//                                   Значение по умолчанию - Ложь.
//  ТипЗначения           - ОписаниеТипов - Описание типов вычисляемого поля.
//                        - Неопределено - Тип значения установлен не будет, по умолчанию Неопределено.
//
// Возвращаемое значение:
//  ВычисляемоеПолеСхемыКомпоновкиДанных - ссылка на новое вычисляемое поле схемы компоновки данных.
//
Функция НовоеВычисляемоеПоле(СхемаКомпоновкиДанных, ПутьКДанным, ВыражениеПоля, Заголовок = "", ИскатьИПерезаполнять = Ложь, ТипЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НовоеВычисляемоеПоле(СхемаКомпоновкиДанных, ПутьКДанным, ВыражениеПоля, Заголовок, ИскатьИПерезаполнять, ТипЗначения);
```
</details>

## НовыйВычисляемыйРесурс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новый ресурс по новому вычисляемому полю в переданной схеме компоновки данных.
//
// Параметры:
//  Схема  - СхемаКомпоновкиДанных - схема компоновки данных в которой необходимо создать новый ресурс
//  ПутьКДанным  - Строка - путь к данным нового вычисляемого поля и ресурса схемы компоновки данных
//  ВыражениеПоля  - Строка - выражение вычисления нового вычисляемого поля (необязательное по умолчанию "Неопределено")
//  Агрегат  - Строка - агрегатная функция нового ресурса (необязательное по умолчанию "Максимум")
//  ВыражениеРесурса  - Строка - выражение вычисления нового ресурса (необязательное).
//
// Возвращаемое значение:
//   ПолеИтогаСхемыКомпоновкиДанных - ссылка на новый ресурс схемы компоновки данных.
//
Функция НовыйВычисляемыйРесурс(Схема, ПутьКДанным, ВыражениеПоля = "Неопределено", Агрегат = "Максимум", ВыражениеРесурса = "") Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НовыйВычисляемыйРесурс(Схема, ПутьКДанным, ВыражениеПоля, Агрегат, ВыражениеРесурса);
```
</details>

## НовоеПолеВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новое поле выбора в переданной структуре схемы компоновки данных.
//
// Параметры:
//  СтруктураКД - ГруппировкаКомпоновкиДанных - структура схемы компоновки в которую необходимо добавить новое поле выбора.
//                ТаблицаКомпоновкиДанных - структура схемы компоновки в которую необходимо добавить новое поле выбора.
//                ГруппировкаТаблицыКомпоновкиДанных - структура схемы компоновки в которую необходимо добавить новое поле выбора.
//  Поле  - Строка - путь к данным нового поля выбора.
//  Заголовок  - Строка - заголовок нового поля выбора (необязательное по умолчанию "Поле").
//
// Возвращаемое значение:
//   ВыбранноеПолеКомпоновкиДанных - ссылка на новое поле выбора схемы компоновки данных.
//
Функция НовоеПолеВыбора(СтруктураКД, Поле, Заголовок = "") Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НовоеПолеВыбора(СтруктураКД, Поле, Заголовок);
```
</details>

## НоваяГруппировка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новую группировку в переданной структуре схемы компоновки данных.
//
// Параметры:
//  СтруктураКД  - ГруппировкаКомпоновкиДанных - структура схемы компоновки в которую необходимо добавить новую группировку.
//                 ГруппировкаТаблицыКомпоновкиДанных - структура схемы компоновки в которую необходимо добавить новую группировку.
//                 КоллекцияЭлементовСтруктурыНастроекКомпоновкиДанных - структура схемы компоновки в которую необходимо добавить новую группировку.
//                 КоллекцияЭлементовСтруктурыТаблицыКомпоновкиДанных - структура схемы компоновки в которую необходимо добавить новую группировку.
//  ИмяПоляГруппировки  - Строка - имя поля группировки.
//  ТипГруппировки  - ТипГруппировкиКомпоновкиДанных - тип группировки Элементы (БезИерархии), Иерархия, ТолькоИерархия.
//  ДобавлятьОдноименноеПолеГруппировки - Булево - Флаг добавления одноименного вложенного поля группировки. Значение по умолчанию Истина.
//
// Возвращаемое значение:
//   ГруппировкаКомпоновкиДанных - ссылка на новую группировку схемы компоновки данных.
//
Функция НоваяГруппировка(СтруктураКД, ИмяПоляГруппировки = "", ТипГруппировки = Неопределено, ДобавлятьОдноименноеПолеГруппировки = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НоваяГруппировка(СтруктураКД, ИмяПоляГруппировки, ТипГруппировки, ДобавлятьОдноименноеПолеГруппировки);
```
</details>

## НовоеПолеГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новое поле группировки в переданной группировке схемы компоновки данных.
//
// Параметры:
//  Группировка  - ГруппировкаКомпоновкиДанных - структура схемы компоновки в которую необходимо добавить новую группировку.
//  ИмяПоляГруппировки  - Строка - имя поля группировки.
//  ТипГруппировки  - ТипГруппировкиКомпоновкиДанных - тип группировки (необязательное по умолчанию Неопределено).
//
// Возвращаемое значение:
//   ПолеГруппировкиКомпоновкиДанных - ссылка на новое поле группировки схемы компоновки данных.
//
Функция НовоеПолеГруппировки(Группировка, ИмяПоляГруппировки = "", ТипГруппировки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НовоеПолеГруппировки(Группировка, ИмяПоляГруппировки, ТипГруппировки);
```
</details>

## НовыйПорядок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новый элемент порядка в переданной настройке схемы компоновки данных.
//
// Параметры:
//  НастройкиКомпоновщика - КомпоновщикНастроекКомпоновкиДанных -
//                          НастройкиКомпоновкиДанных - настройки схемы компоновки в которые необходимо добавить новый порядок.
//  ИмяПоля - Строка -
//            ПолеКомпоновкиДанных - поля компоновки по которому необходимо установить сортировку (необязательное).
//  Сортировка  - Строка - направление сортировки "ВОЗР", "УБЫВ" (необязательное по умолчанию "ВОЗР").
//
// Возвращаемое значение:
//   ЭлементПорядкаКомпоновкиДанных - ссылка на новый элемент порядка настроек схемы компоновки данных.
//
Функция НовыйПорядок(НастройкиКомпоновщика, ИмяПоля = "", Сортировка = "ВОЗР") Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НовыйПорядок(НастройкиКомпоновщика, ИмяПоля, Сортировка);
```
</details>

## УстановитьПараметрВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметр вывода в переданных настройках схемы компоновки данных
//
// Параметры:
//  НастройкиКомпоновщика - КомпоновщикНастроекКомпоновкиДанных -
//                          НастройкиКомпоновкиДанных - настройки схемы компоновки.
//  ИмяПараметра - Строка - имя параметра.
//  Значение  - Произвольный - значение параметра вывода (необязательное).
//  Использование  - Булево - использование параметра вывода (необязательное по умолчанию Истина).
//
Процедура УстановитьПараметрВывода(НастройкиКомпоновщика, ИмяПараметра, Значение = Неопределено, Использование = Истина) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.УстановитьПараметрВывода(НастройкиКомпоновщика, ИмяПараметра, Значение, Использование);
```
</details>

## УстановитьОграничениеПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает ограничения полей набора данных схемы компоновки данных
//
// Параметры:
//  СхемаКД - СхемаКомпоновкиДанных - схема компоновки данных.
//  ИменаПолей - Строка - имена полей перечисленные через запятую для которых необходимо установить ограничения.
//  ОграничениеПоля - Строка - ограничение поля "Группировка", "Поле", "Порядок", "Условие".
//
Процедура УстановитьОграничениеПолей(СхемаКД, ИменаПолей, ОграничениеПоля) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.УстановитьОграничениеПолей(СхемаКД, ИменаПолей, ОграничениеПоля) 
```
</details>

## УстановитьРольПоляНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает роль поля набора данных схемы компоновки данных
//
// Параметры:
//  НаборДанных - НаборДанныхЗапросСхемыКомпоновкиДанных -
//                НаборДанныхОбъектСхемыКомпоновкиДанных - набор данных схемы компоновки данных.
//  ПутьКДанным - Строка - имя поля для которого необходимо установить роль схемы компоновки.
//  РольПоля  - Структура - ключи - значение ключа структуры:
//		ВыражениеВидаСчета - "".
//		ГруппаОстатка - "".
//		ИгнорироватьЗначенияNULL - Ложь.
//		Измерение - Ложь.
//		НомерПериода - 0.
//		Обязательное - Ложь.
//		Остаток - Ложь.
//		ПолеСчета - "".
//		РеквизитИзмерения - Ложь.
//		РодительскоеИзмерение - "".
//		Счет - Ложь.
//		ТипБухгалтерскогоОстатка - ТипБухгалтерскогоОстаткаКомпоновкиДанных.Нет.
//		ТипОстатка - ТипОстаткаКомпоновкиДанных.Нет.
//		ТипПериода - ТипПериодаКомпоновкиДанных.Основной.
//
Процедура УстановитьРольПоляНабора(НаборДанных, ПутьКДанным, РольПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.УстановитьРольПоляНабора(НаборДанных, ПутьКДанным, РольПоля);
```
</details>

## НоваяРольПоляНабораДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру роли поля набора данных схемы компоновки данных
// с заполненными пустыми значениями по умолчанию.
//
// Возвращаемое значение:
//	Структура - ключи - значение ключа структуры:
//		ВыражениеВидаСчета - ""
//		ГруппаОстатка - ""
//		ИгнорироватьЗначенияNULL - Ложь
//		Измерение - Ложь
//		НомерПериода - 0
//		Обязательное - Ложь
//		Остаток - Ложь
//		ПолеСчета - ""
//		РеквизитИзмерения - Ложь
//		РодительскоеИзмерение - ""
//		Счет - Ложь
//		ТипБухгалтерскогоОстатка - ТипБухгалтерскогоОстаткаКомпоновкиДанных.Нет
//		ТипОстатка - ТипОстаткаКомпоновкиДанных.Нет
//		ТипПериода - ТипПериодаКомпоновкиДанных.Основной.
//
Функция НоваяРольПоляНабораДанных() Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НоваяРольПоляНабораДанных() 
```
</details>

## ДобавитьМакетСхемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новый макет области
//
// Параметры:
//  Схема - СхемаКомпоновкиДанных - схема компоновки данных.
//  МакетОбласти - ОписаниеМакетаСхемыКомпоновкиДанных - описание параметра.
//  ИмяМакета - Строка - имя макета.
//
// Возвращаемое значение:
//   ОписаниеМакетаСхемыКомпоновкиДанных - описание макета схемы компоновки данных.
//
Функция ДобавитьМакетСхемы(Схема, МакетОбласти, ИмяМакета) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ДобавитьМакетСхемы(Схема, МакетОбласти, ИмяМакета) 
```
</details>

## НоваяСвязьНаборов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новую связь наборов данных схемы компоновки данных.
//
// Параметры:
//  СКД  - СхемаКомпоновкиДанных - схема компоновки данных в которой необходимо добавить связь наборов.
//  НаборДанныхИсточник  - НаборДанныхЗапросСхемыКомпоновкиДанных -
//  						- НаборДанныхОбъектСхемыКомпоновкиДанных - набор данных источник связи.
//  НаборДанныхПриемник  - НаборДанныхЗапросСхемыКомпоновкиДанных -
//  						- НаборДанныхОбъектСхемыКомпоновкиДанных - набор данных приемник связи.
//  ВыражениеИсточник - Строка - Выражение, по которому будет определяться значение связи источника.
//  ВыражениеПриемник - Строка - Выражение, по которому будет определяться значение связи приемника (необязательное).
//
// Возвращаемое значение:
//   СвязьНаборовДанныхСхемыКомпоновкиДанных - ссылка на новую связь наборов данных.
//
Функция НоваяСвязьНаборов(СКД, НаборДанныхИсточник, НаборДанныхПриемник, ВыражениеИсточник, ВыражениеПриемник = "") Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НоваяСвязьНаборов(СКД, НаборДанныхИсточник, НаборДанныхПриемник, ВыражениеИсточник, ВыражениеПриемник);
```
</details>

## СкопироватьОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Копирует элементы отбора из одной коллекции отбора в другую
//
// Параметры:
//  ОтборИсточник - ОтборКомпоновкиДанных - откуда копировать.
//  ОтборПриемник - ОтборКомпоновкиДанных - куда копировать.
//  ТолькоИспользуемые - Булево - копировать только используемые.
//  ПоляИсключения - Структура - в ключах структуры перечислены поля которые не должны попасть в отбор приемник.
//  Постфикс - Строка - произвольная строка которая будет добавлена к имени левого поля.
//  ПроверятьДоступностьПолей - Булево - Проверять доступность полей отбора при копировании. По умолчанию Ложь.
//
Процедура СкопироватьОтбор(ОтборИсточник, ОтборПриемник, ТолькоИспользуемые = Ложь, ПоляИсключения = Неопределено, Постфикс = "", ПроверятьДоступностьПолей = Ложь) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.СкопироватьОтбор(ОтборИсточник, ОтборПриемник, ТолькоИспользуемые, ПоляИсключения, Постфикс, ПроверятьДоступностьПолей);
```
</details>

## НайтиГруппировку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на группировку компоновки в переданной структуре схемы компоновки данных.
//
// Параметры:
//  СтруктураКД - КоллекцияЭлементовСтруктурыНастроекКомпоновкиДанных - отбор схемы компоновки в который необходимо добавить новый элемент.
//  ИмяЭлемента - Строка - имя поля компоновки по которому необходимо найти группировка.
//
// Возвращаемое значение:
//   ГруппировкаКомпоновкиДанных - ссылка на найденный элемент группировки схемы компоновки данных.
//
Функция НайтиГруппировку(СтруктураКД, ИмяЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НайтиГруппировку(СтруктураКД, ИмяЭлемента) 
```
</details>

## НайтиЭлементОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на элемент отбора в переданном отборе схемы компоновки данных.
//
// Параметры:
//  ОтборКД - ОтборКомпоновкиДанных - отбор схемы компоновки в который необходимо добавить новый элемент.
//  ИмяЭлемента - Строка - имя поля компоновки по которому необходимо найти элемент отбора.
//  ЗначениеОтбора - Произвольный - установленное значение отбора по которому необходимо найти элемент отбора.
//  ВидСравнения - ВидСравненияКомпоновкиДанных - установленный вид сравнения по которому необходимо найти элемент отбора.
//
// Возвращаемое значение:
//   ЭлементОтбораКомпоновкиДанных - ссылка на найденный элемент отбора схемы компоновки данных.
//
Функция НайтиЭлементОтбора(ОтборКД, ИмяЭлемента, ЗначениеОтбора = "#НеУчитывать#", ВидСравнения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НайтиЭлементОтбора(ОтборКД, ИмяЭлемента, ЗначениеОтбора, ВидСравнения);
```
</details>

## УстановитьПараметр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет новый параметр в переданную коллекцию параметров настроек схемы компоновки данных.
//
// Параметры:
//  Параметры - КомпоновщикНастроекКомпоновкиДанных, НастройкиКомпоновкиДанных - настройки схемы компоновки.
//  ИмяПараметра - ЗначенияПараметровДанныхКомпоновкиДанных, ЗначенияПараметровВыводаКомпоновкиДанных - коллекция параметров компоновки данных.
//  Значение  - Произвольный - значение параметра компоновки (необязательное).
//  Использование  - Булево - использование параметра данных (необязательное по умолчанию Истина).
//
Процедура УстановитьПараметр(Параметры, ИмяПараметра, Значение = Неопределено, Использование = Истина) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.УстановитьПараметр(Параметры, ИмяПараметра, Значение, Использование);
```
</details>

## ВыгрузитьРезультатСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет схему компоновки данных и возвращает таблицу результата.
//
// Параметры:
//  СхемаКомпоновкиДанных  - СхемаКомпоновкиДанных - исполняемая схема компоновки данных.
//  НастройкиКомпоновщика  - КомпоновщикНастроекКомпоновкиДанных - компоновщик настроек исполняемой схемы компоновки данных.
//  ВнешниеНаборыДанных  - Структура - внешние наборы компоновки данных - ключ - наименование внешнего набора,
//                                       значение - таблица значений внешнего набора.
//  ВыводВДерево - Булево - если Истина выводить в дерево значений.
//
// Возвращаемое значение:
//   ТаблицаЗначений, ДеревоЗначений - результат выполнения схемы компоновки данных.
//
Функция ВыгрузитьРезультатСКД(СхемаКомпоновкиДанных, НастройкиКомпоновщика, ВнешниеНаборыДанных = Неопределено, ВыводВДерево = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ВыгрузитьРезультатСКД(СхемаКомпоновкиДанных, НастройкиКомпоновщика, ВнешниеНаборыДанных, ВыводВДерево);
```
</details>

## НовыйОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новый элемент отбора в переданном отборе схемы компоновки данных.
//
// Параметры:
//  Отбор - ОтборКомпоновкиДанных - отбор схемы компоновки, в который необходимо добавить новый элемент
//  ЛевоеЗначение - Строка, ПолеКомпоновкиДанных - поле компоновки, по которому необходимо установить отбор (необязательное)
//  ПравоеЗначение  - Произвольный, Строка, ПолеКомпоновкиДанных - значение отбора (необязательное) или поле компоновки
//  ТипОтбора  - ЭлементОтбораКомпоновкиДанных, ГруппаЭлементовОтбораКомпоновкиДанных - тип нового элемента отбора (необязательное)
//  ВидСравнения  - ВидСравненияКомпоновкиДанных - вид сравнения левого и правого значения
//  ПравоеЗначениеПоле  - Булево - указывает использовать ли в качестве правого значения поле компоновки данных.
//
// Возвращаемое значение:
//  ЭлементОтбораКомпоновкиДанных - ссылка на новый элемент отбора схемы компоновки данных.
//
Функция НовыйОтбор(Отбор, ЛевоеЗначение, ПравоеЗначение = Неопределено, ТипОтбора = Неопределено, ВидСравнения = Неопределено, ПравоеЗначениеПоле = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НовыйОтбор(Отбор, ЛевоеЗначение, ПравоеЗначение, ТипОтбора, ВидСравнения, ПравоеЗначениеПоле);
```
</details>

## УстановитьОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает новый отбор в переданном отборе схемы компоновки данных.
//
// Параметры:
//  ОтборКД - ОтборКомпоновкиДанных - отбор схемы компоновки в который необходимо добавить новый элемент.
//  ЛевоеЗначение - Строка, ПолеКомпоновкиДанных - поле компоновки по которому необходимо установить отбор.
//  ПравоеЗначение  - Произвольный - значение отбора (необязательное).
//  ВидСравнения  - ВидСравненияКомпоновкиДанных - вид сравнение компоновки данных (необязательное).
//  Использование  - Булево - использование нового элемента отбора (необязательное по умолчанию Истина).
//
Процедура УстановитьОтбор(ОтборКД, ЛевоеЗначение, ПравоеЗначение = Неопределено, ВидСравнения = Неопределено, Использование = Истина) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.УстановитьОтбор(ОтборКД, ЛевоеЗначение, ПравоеЗначение, ВидСравнения, Использование);
```
</details>

## УстановитьПараметрКомпоновки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает параметр данных в переданных настройках схемы компоновки данных.
//
// Параметры:
//  НастройкиКомпоновщика - КомпоновщикНастроекКомпоновкиДанных, НастройкиКомпоновкиДанных - настройки схемы компоновки.
//  ИмяПараметра - Строка - имя параметра компоновки данных.
//  Значение  - Произвольный - значение параметра компоновки (необязательное).
//  Использование  - Булево - использование параметра данных (необязательное по умолчанию Истина).
//
Процедура УстановитьПараметрКомпоновки(НастройкиКомпоновщика, ИмяПараметра, Значение = Неопределено, Использование = Истина) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.УстановитьПараметрКомпоновки(НастройкиКомпоновщика, ИмяПараметра, Значение, Использование);
```
</details>

## КомпоновщикСхемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает компоновщик настроек для переданной схемы компоновки данных
//
// Параметры:
//  Схема                    - СхемаКомпоновкиДанных - схема компоновки данных для которой необходимо создать
//                                                     компоновщик настроек.
//  ВосстанавливатьНастройки - Булево - признак необходимости восстанавливать настройки.
//
// Возвращаемое значение:
//   КомпоновщикНастроекКомпоновкиДанных - компоновщик настроек для варианта по умолчанию.
//
Функция КомпоновщикСхемы(Схема, ВосстанавливатьНастройки = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.КомпоновщикСхемы(Схема, ВосстанавливатьНастройки);
```
</details>

## ПодготовитьМакетКомпоновкиДляВыгрузкиСКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает макет компоновки данных.
//
// Параметры:
//  СхемаКомпоновкиДанных  - СхемаКомпоновкиДанных - исполняемая схема компоновки данных.
//  НастройкиКомпоновщика  - КомпоновщикНастроекКомпоновкиДанных, НастройкиКомпоновкиДанных - настройки исполняемой
//      схемы компоновки данных.
//
// Возвращаемое значение:
//   МакетКомпоновкиДанных - макет компоновки данных.
//
Функция ПодготовитьМакетКомпоновкиДляВыгрузкиСКД(СхемаКомпоновкиДанных, НастройкиКомпоновщика) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ПодготовитьМакетКомпоновкиДляВыгрузкиСКД(СхемаКомпоновкиДанных, НастройкиКомпоновщика) 
```
</details>

## ВыгрузитьРезультатСКДПоМакету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет схему компоновки данных и возвращает таблицу результата.
//
// Параметры:
//  МакетКомпоновки  - МакетКомпоновкиДанных - макет компоновки данных.
//  ВнешниеНаборыДанных  - Структура - внешние наборы компоновки данных - ключ - наименование внешнего набора,
//                                       значение - таблица значений внешнего набора.
//  ВыводВДерево - Булево - если Истина выводить в дерево значений.
//
// Возвращаемое значение:
//   ТаблицаЗначений, ДеревоЗначений - результат выполнения схемы компоновки данных.
//
Функция ВыгрузитьРезультатСКДПоМакету(МакетКомпоновки, ВнешниеНаборыДанных = Неопределено, ВыводВДерево = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ВыгрузитьРезультатСКДПоМакету(МакетКомпоновки, ВнешниеНаборыДанных, ВыводВДерево);
```
</details>

## НоваяГруппаНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на новую группу полей в переданном наборе данных.
//
// Параметры:
//  НаборДанных  - НаборДанныхЗапросСхемыКомпоновкиДанных,НаборДанныхОбъектСхемыКомпоновкиДанных - набор данных в
//      котором необходимо создать новое поле.
//  Поле         - Строка - имя нового поля схемы компоновки данных.
//  ПутьКДанным  - Строка - путь к данным нового поля схемы компоновки данных (необязательное по умолчанию равно "").
//  Заголовок    - Строка - заголовок нового поля схемы компоновки данных (необязательное по умолчанию равно "").
//
// Возвращаемое значение:
//  ПапкаПолейНабораДанныхСхемыКомпоновкиДанных - описание возвращаемого значения.
//
Функция НоваяГруппаНабора(НаборДанных, ПутьКДанным, Заголовок = "") Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.НоваяГруппаНабора(НаборДанных, ПутьКДанным, Заголовок);
```
</details>

## ТаблицаЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ НЕ УТ

// Возвращает родительский элемент вида "Таблица", в котором размещены переданные в параметрах элементы.
//
// Параметры:
//	ЭлементыОтчета - ДеревоЗначений, ДанныеФормыДерево - элементы или элементы, для которых необходимо определить таблицу, в которой они размещены.
//	АдресСтруктурыЭлемента - Строка - адрес во временном хранилище.
//
// Возвращаемое значение:
//	ТаблицаЗначений -
//	ДанныеФормыДерево -
//	ДанныеФормыЭлементДерева - элемент дерева или строка дерева вида "Таблица", в котором находится переданный элемент.
//
Функция ТаблицаЭлемента(ЭлементыОтчета, АдресСтруктурыЭлемента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ТаблицаЭлемента(ЭлементыОтчета, АдресСтруктурыЭлемента);
```
</details>

## ДобавитьСтрокиВДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура добавляет строки в дерево.
//
// Параметры:
//  СтрокиИсточника  - ДанныеФормыЭлементДерева - строки дерева источника.
//  СтрокиПриемника  - ДанныеФормыЭлементДерева - строки дерева приемника.
//
Процедура ДобавитьСтрокиВДерево(СтрокиИсточника, СтрокиПриемника) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.ДобавитьСтрокиВДерево(СтрокиИсточника, СтрокиПриемника));
```
</details>

## ШаблонПараметровУстановкиНовогоРодителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров установки нового родителя.
//
// Возвращаемое значение:
// 	Структура - Структура параметров установки нового родителя.
//
Функция ШаблонПараметровУстановкиНовогоРодителя() Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ШаблонПараметровУстановкиНовогоРодителя() 
```
</details>

## УстановитьНовогоРодителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переносит строку и все ее подчиненные элементы в новую ветку дерева.
//
//	Параметры:
//		ТекущаяСтрока - ДанныеФормыЭлементДерева, СтрокаДереваЗначений, ДеревоЗначений - строка дерева элементов отчета
//		НовыйРодитель - ДанныеФормыЭлементДерева, СтрокаДереваЗначений, ДеревоЗначений - новая родительская ветка дерева элементов отчета
//		ПараметрыУстановкиРодителя - Структура - Структура параметров со свойствами:
//			*ЭтоСохраненные - Булево - флаг показывающий, что это строки дерева сохраненных элементов
//			*КонтрольЗацикливания - Булево - флаг определяющий выполнение контроля зацикливания строк
//			*ИдентификаторФормы - УникальныйИдентификатор - уникальный идентификатор формы во временной хранилище
//			                                               которой необходимо поместить данные элемента.
//			*Копирование - Булево - Флаг копирования элемента.
//			*ПараметрыИдентификаторов - Структура - Структура, содержащая параметры идентификаторов.
//
Процедура УстановитьНовогоРодителя(ТекущаяСтрока, НовыйРодитель, ПараметрыУстановкиРодителя) Экспорт
```

Пример вызова
```bsl
ФинансоваяОтчетностьСервер.УстановитьНовогоРодителя(ТекущаяСтрока, НовыйРодитель, ПараметрыУстановкиРодителя) 
```
</details>

## КорневойЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит ближайший вверх по иерархии родительский элемент заданного вида.
//
// Параметры:
//	Дерево - ДанныеФормыДерево, ДанныеФормыЭлементДерева - элемент дерева для которого необходимо определить родительский элемент
//														если заданно дерево то результат будет определяться среди подчиненных строк первого уровня.
//	ВидКорневогоЭлемента - ПеречислениеСсылка.ВидыЭлементовФинансовогоОтчета - вид родителя.
//
//	Возвращаемое значение:
//		ДанныеФормыЭлементДерева -
//		СтрокаДереваЗначений - Родитель строки.
//
Функция КорневойЭлемент(Дерево, ВидКорневогоЭлемента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.КорневойЭлемент(Дерево, ВидКорневогоЭлемента);
```
</details>

## ПодчиненныеСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- НЕ УТ

// Возвращает в зависимости от типа, коллекцию подчиненных элементов первого уровня переданной строки дерева элементов отчета.
//
//	Параметры:
//		СтрокаДерева - ДанныеФормыЭлементДерева, СтрокаДереваЗначений, КоллекцияСтрокДереваЗначений, ДанныеФормыДерево - строка дерева элементов отчета.
//
//	Возвращаемое значение:
//		ДанныеФормыКоллекцияЭлементовДерева -
//		КоллекцияСтрокДереваЗначений - Подчиненные строки.
//
Функция ПодчиненныеСтроки(СтрокаДерева) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ПодчиненныеСтроки(СтрокаДерева) 
```
</details>

## ПодчиненныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит ближайший вниз по иерархии элемент по значению заданного реквизита.
//
// Параметры:
//	Дерево - ДанныеФормыДерево, ДанныеФормыЭлементДерева - элемент дерева или строка дерева в котором необходимо произвести поиск
//	ИмяРеквизита - Строка - имя реквизита дерева значение которого сравнивается с заданным для поиска
//	ЗначениеРеквизита - Произвольный - значение реквизита дерева которое необходимо найти.
//
// Возвращаемое значение:
//	ДанныеФормыЭлементДерева, СтрокаДереваЗначений - подчиненный элемент.
//
Функция ПодчиненныйЭлемент(Дерево, ИмяРеквизита, ЗначениеРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ФинансоваяОтчетностьСервер.ПодчиненныйЭлемент(Дерево, ИмяРеквизита, ЗначениеРеквизита) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
