---
title: Финансовые инструменты УХ
slug: erp-uh/финансовые-инструменты-ух
---


## ОбновитьКолонкиЗадолженности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьКолонкиЗадолженности(Таблица, ОписаниеГрафика, СортироватьТаблицу = Истина) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ОбновитьКолонкиЗадолженности(Таблица, ОписаниеГрафика, СортироватьТаблицу);
```
</details>

## ТаблицаИзмененияБазыИзГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТаблицаИзмененияБазыИзГрафика(ГрафикРасчетов, Знач ОписаниеГрафика, Знач СекцияОписанияОсновнойДолг = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТаблицаИзмененияБазыИзГрафика(ГрафикРасчетов, ОписаниеГрафика, СекцияОписанияОсновнойДолг);
```
</details>

## ТаблицаИзмененияБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТаблицаИзмененияБазы(Сумма, ДатаНачала, ДатаОкончания) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТаблицаИзмененияБазы(Сумма, ДатаНачала, ДатаОкончания) 
```
</details>

## ОбновитьОсновнойДолгПоДаннымОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьОсновнойДолгПоДаннымОбъекта(Объект, Знач ОписаниеГрафика, Знач СекцияОписанияГрафика = Неопределено, Знач ДанныеЗаполнения = Неопределено, Знач ОперацииГрафика = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ОбновитьОсновнойДолгПоДаннымОбъекта(Объект, ОписаниеГрафика, СекцияОписанияГрафика, ДанныеЗаполнения, ОперацииГрафика);
```
</details>

## НачальноеЗаполнениеОсновногоДолга
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачальноеЗаполнениеОсновногоДолга(Объект, ИмяСекции, ОписаниеГрафика, ОперацииГрафика, Знач СуммаОбязательств = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.НачальноеЗаполнениеОсновногоДолга(Объект, ИмяСекции, ОписаниеГрафика, ОперацииГрафика, СуммаОбязательств);
```
</details>

## ЭтоПустойГрафик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПустойГрафик(График) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ЭтоПустойГрафик(График) 
```
</details>

## ЧисловыеКолонкиГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЧисловыеКолонкиГрафика(ОписаниеГрафика) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ЧисловыеКолонкиГрафика(ОписаниеГрафика) 
```
</details>

## ПересчетГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обеспечивает выполнение различных действий по пересчету графика в корректной последовательности.
//
// Параметры:
//  Объект				 - 	ДанныеФормыСтруктура,ДокументОбъект.ВерсияСоглашенияКредит, ДокументОбъект.ВерсияСоглашенияДепозит и т.д. -
//		версия графика, которую требуется обработать
//  ТекущаяСтрокаГрафика - 	 - Текущая строка графика.
//  ОписаниеГрафика		 - 	Структура - Описание графика конкретного вида ФИ, генерируемое методом ОписаниеГрафика() модуля менеджера
//		соответствующего документа
//  СтруктураДействий	 - 	Структура - Ключами структуры являются действия, которые необходимо выполнить. Значениями - структуры с дополнительными параметрами.
//		Перечень действий следующий:
//			Замкнуть - скорректировать секцию так, чтобы вся задолженность была погашена.
//			Пересчитать - выполнить пересчет секции графика.
//			Свернуть - свернуть график по дате.
//			Сортировать - сортировать график по дате.
//
Процедура ПересчетГрафика(Объект, ИндексТекущейСтрокиГрафика, ОписаниеГрафика, ОперацииГрафика, СтруктураДействий, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ПересчетГрафика(Объект, ИндексТекущейСтрокиГрафика, ОписаниеГрафика, ОперацииГрафика, СтруктураДействий, Отказ);
```
</details>

## ПересчитатьСекциюГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПересчитатьСекциюГрафика(Объект, ИмяСекции, ОписаниеГрафика, ОперацииГрафика, ДопПараметры = Неопределено, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ПересчитатьСекциюГрафика(Объект, ИмяСекции, ОписаниеГрафика, ОперацииГрафика, ДопПараметры, Отказ);
```
</details>

## ЗаполнитьЛинейныйГрафикИзТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЛинейныйГрафикИзТаблицы(ГрафикРасчетовЛинейный, ТаблицаЗагрузкиГрафика, ОписаниеГрафика, ОперацииГрафика) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ЗаполнитьЛинейныйГрафикИзТаблицы(ГрафикРасчетовЛинейный, ТаблицаЗагрузкиГрафика, ОписаниеГрафика, ОперацииГрафика) 
```
</details>

## НастройкиОперацииФинансовогоИнструмента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает вид операции бюджетирования для заданной операции финансового инструмента,
// определяемой через свои свойства.
//
// Параметры:
//  ВидФинансовогоИнструмента		 - ПеречислениеСсылка.ВидыФинансовыхИнструментов	 - вид финансового инструмента искомой операции
//  ЭлементСтруктурыЗадолженности	 - ПеречислениеСсылка.ЭлементыСтруктурыЗадолженности	 - элемент структуры задолженности искомой операции
//  ПриходРасход					 - ПеречислениеСсылка.ВидыДвиженийПриходРасход	 - Увеличивает ли операция задолженность по инструменту (Приход) или уменьшает (Расход)
//
// Возвращаемое значение:
//  Структура:
//    ВидОперацииУХ - СправочникСсылка.ВидыОперацийУХ - заданный в настройках вид операции.
//    СтатьяБюджета - Статья бюджета, соответствующая данной операции.
//
Функция НастройкиОперацииФинансовогоИнструмента(ВидФинансовогоИнструмента, ЭлементСтруктурыЗадолженности, ПриходРасход) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.НастройкиОперацииФинансовогоИнструмента(ВидФинансовогоИнструмента, ЭлементСтруктурыЗадолженности, ПриходРасход) 
```
</details>

## ОбработатьПустыеСтрокиГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьПустыеСтрокиГрафика(График) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ОбработатьПустыеСтрокиГрафика(График) 
```
</details>

## СтрокиСекцииГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтрокиСекцииГрафика(ГрафикРасчетов, ОписаниеСекции) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.СтрокиСекцииГрафика(ГрафикРасчетов, ОписаниеСекции) 
```
</details>

## УдалитьСтрокиСекцииГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьСтрокиСекцииГрафика(ГрафикРасчетов, ОписаниеСекции) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.УдалитьСтрокиСекцииГрафика(ГрафикРасчетов, ОписаниеСекции) 
```
</details>

## ОстатокЗадолженностиСекцииГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОстатокЗадолженностиСекцииГрафика(ГрафикРасчетов, ОписаниеСекции, ДатаЗадолженности = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ОстатокЗадолженностиСекцииГрафика(ГрафикРасчетов, ОписаниеСекции, ДатаЗадолженности);
```
</details>

## ДатаПоследнегоНачисленияСекцииГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаПоследнегоНачисленияСекцииГрафика(ГрафикРасчетов, ОписаниеСекции, ДатаЗадолженности = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ДатаПоследнегоНачисленияСекцииГрафика(ГрафикРасчетов, ОписаниеСекции, ДатаЗадолженности);
```
</details>

## СекцияГрафикаЗамкнута
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СекцияГрафикаЗамкнута(ГрафикРасчетов, ОписаниеСекции) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.СекцияГрафикаЗамкнута(ГрафикРасчетов, ОписаниеСекции) 
```
</details>

## ЕстьСтрокиГрафикаССуммой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьСтрокиГрафикаССуммой(ГрафикРасчетов, ЭлементСтруктурыЗадолженности) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ЕстьСтрокиГрафикаССуммой(ГрафикРасчетов, ЭлементСтруктурыЗадолженности) 
```
</details>

## ОбщаяСуммаКолонкиСекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбщаяСуммаКолонкиСекции(ГрафикРасчетов, ЭлементСтруктурыЗадолженности = Неопределено, КолонкаСекции) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ОбщаяСуммаКолонкиСекции(ГрафикРасчетов, ЭлементСтруктурыЗадолженности, КолонкаСекции) 
```
</details>

## МаксимальнаяСуммаЗадолженностиСекцииГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксимальнаяСуммаЗадолженностиСекцииГрафика(ГрафикРасчетов, ЭлементСтруктурыЗадолженности) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.МаксимальнаяСуммаЗадолженностиСекцииГрафика(ГрафикРасчетов, ЭлементСтруктурыЗадолженности) 
```
</details>

## ЭтоСтрокаПриходнойКолонкиГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСтрокаПриходнойКолонкиГрафика(СтрокаГрафика) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ЭтоСтрокаПриходнойКолонкиГрафика(СтрокаГрафика) 
```
</details>

## ОбработкаПроверкиЗаполнения_СчетаУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПроверкиЗаполнения_СчетаУчета(Объект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ОбработкаПроверкиЗаполнения_СчетаУчета(Объект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ОчиститьНеиспользуемыеРеквизитыДокументовЦБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьНеиспользуемыеРеквизитыДокументовЦБ(Объект) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ОчиститьНеиспользуемыеРеквизитыДокументовЦБ(Объект) 
```
</details>

## ОпределитьОбъектыСКомандамиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых предусмотрена процедура ДобавитьКомандыОтчетов,
// описывающая команды открытия контекстных отчетов.
// Синтаксис процедуры ДобавитьКомандыОтчетов см. в документации.
//
// Параметры:
//   Объекты - Массив - объекты метаданных (ОбъектМетаданных) с командами отчетов.
//
Процедура ОпределитьОбъектыСКомандамиОтчетов(Объекты) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ОпределитьОбъектыСКомандамиОтчетов(Объекты) 
```
</details>

## ДобавитьКомандыОтчетовФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список команд отчетов.
//
// Параметры:
//   КомандыОтчетов - ТаблицаЗначений - Таблица с командами отчетов. Для изменения.
//       См. описание 1 параметра процедуры ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов().
//   Параметры - Структура - Вспомогательные параметры. Для чтения.
//       См. описание 2 параметра процедуры ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов().
//
Процедура ДобавитьКомандыОтчетовФИ(КомандыОтчетов, Параметры) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ДобавитьКомандыОтчетовФИ(КомандыОтчетов, Параметры) 
```
</details>

## ДобавитьКомандыОтчетовИнвестиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет список команд отчетов.
//
// Параметры:
//   КомандыОтчетов - ТаблицаЗначений - Таблица с командами отчетов. Для изменения.
//       См. описание 1 параметра процедуры ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов().
//   Параметры - Структура - Вспомогательные параметры. Для чтения.
//       См. описание 2 параметра процедуры ВариантыОтчетовПереопределяемый.ПередДобавлениемКомандОтчетов().
//
Процедура ДобавитьКомандыОтчетовИнвестиции(КомандыОтчетов, Параметры) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ДобавитьКомандыОтчетовИнвестиции(КомандыОтчетов, Параметры) 
```
</details>

## ДобавитьКомандуОтчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команду отчета в список команд.
//
// Параметры:
//   КомандыОтчетов - ТаблицаЗначений - состав полей см. в функции МенюОтчеты.СоздатьКоллекциюКомандОтчетов.
//
Функция ДобавитьКомандуОтчет(КомандыОтчетов, Менеджер, Представление, ИмяКоманды = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ДобавитьКомандуОтчет(КомандыОтчетов, Менеджер, Представление, ИмяКоманды);
```
</details>

## ДобавитьКомандуОбработчик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команду отчета в список команд.
//
// Параметры:
//   КомандыОтчетов - ТаблицаЗначений - состав полей см. в функции МенюОтчеты.СоздатьКоллекциюКомандОтчетов.
//
Функция ДобавитьКомандуОбработчик(КомандыОтчетов, Идентификатор, Представление) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ДобавитьКомандуОбработчик(КомандыОтчетов, Идентификатор, Представление) 
```
</details>

## ПриОпределенииОбъектовСКомандамиСозданияНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) 
```
</details>

## УсловиеВидимостиКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УсловиеВидимостиКоманды() Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.УсловиеВидимостиКоманды() 
```
</details>

## ДобавитьКомандуСоздатьНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании, Идентификатор, Представление) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ДобавитьКомандуСоздатьНаОсновании(КомандыСозданияНаОсновании, Идентификатор, Представление) 
```
</details>

## ТекстУправлениеДоступом_ОграничениеФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстУправлениеДоступом_ОграничениеФИ() Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстУправлениеДоступом_ОграничениеФИ() 
```
</details>

## ПодготовитьПараметрыПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьПараметрыПроведения(ДокументСсылка, Отказ, ОписаниеГрафика = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ПодготовитьПараметрыПроведения(ДокументСсылка, Отказ, ОписаниеГрафика);
```
</details>

## ТекстЗапросаРеквизитыДокументаФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаРеквизитыДокументаФИ(НомераТаблиц = Неопределено, ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапросаРеквизитыДокументаФИ(НомераТаблиц, ИмяДокумента) 
```
</details>

## ТекстЗапросаЗадолженностьПоГрафикам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаЗадолженностьПоГрафикам(НомераТаблиц, ИмяДокумента, ИмяТаблицы, ОписаниеГрафика, ВидФинансовогоИнструмента) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапросаЗадолженностьПоГрафикам(НомераТаблиц, ИмяДокумента, ИмяТаблицы, ОписаниеГрафика, ВидФинансовогоИнструмента) 
```
</details>

## ПолучитьТекстЗапросаРасчетыПоГрафикамФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапросаРасчетыПоГрафикамФИ(ИмяДокумента,ВидФинансовогоИнструмента,ОписаниеГрафика) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ПолучитьТекстЗапросаРасчетыПоГрафикамФИ(ИмяДокумента, ВидФинансовогоИнструмента, ОписаниеГрафика) 
```
</details>

## УстановитьПараметрыСтатьиБюджетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПараметрыСтатьиБюджетов(ЗапросВход) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.УстановитьПараметрыСтатьиБюджетов(ЗапросВход));
```
</details>

## ОбработкаЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаполнения(Объект, ДанныеЗаполнения = Неопределено, ТекстЗаполнения = Неопределено, СтандартнаяОбработка = Истина) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ОбработкаЗаполнения(Объект, ДанныеЗаполнения, ТекстЗаполнения, СтандартнаяОбработка);
```
</details>

## ЗаполнитьПараметрыИнициализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПараметрыИнициализации(Запрос, Документ) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ЗаполнитьПараметрыИнициализации(Запрос, Документ) 
```
</details>

## ТекстЗапросаРеквизитыДокументаЦБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаРеквизитыДокументаЦБ(НомераТаблиц = Неопределено, ИмяДокумента, МетаданныеДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапросаРеквизитыДокументаЦБ(НомераТаблиц, ИмяДокумента, МетаданныеДокумента) 
```
</details>

## ПолучитьВыданнаяЦБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВыданнаяЦБ(ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ПолучитьВыданнаяЦБ(ИмяДокумента));
```
</details>

## УстановитьПараметрыДокументаФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПараметрыДокументаФИ(Запрос) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.УстановитьПараметрыДокументаФИ(Запрос));
```
</details>

## ТекстЗапроса_ДанныеЦБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТекстЗапроса_ДанныеЦБ(Запрос, МассивТекстовЗапроса, НомераТаблиц) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ТекстЗапроса_ДанныеЦБ(Запрос, МассивТекстовЗапроса, НомераТаблиц) 
```
</details>

## ТекстЗапроса_втГрафикНоминала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втГрафикНоминала(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_втГрафикНоминала(НомераТаблиц));
```
</details>

## ТекстЗапроса_втВерсияДоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втВерсияДоДокумента(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_втВерсияДоДокумента(НомераТаблиц));
```
</details>

## ТекстЗапроса_втГрафикДоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втГрафикДоДокумента(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_втГрафикДоДокумента(НомераТаблиц));
```
</details>

## ТекстЗапроса_втДоговорыФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втДоговорыФИ(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_втДоговорыФИ(НомераТаблиц));
```
</details>

## ТекстЗапроса_ОперацииФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ОперацииФИ(НомераТаблиц, ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_ОперацииФИ(НомераТаблиц, ИмяДокумента));
```
</details>

## ТекстЗапроса_втГрафикЦБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втГрафикЦБ(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_втГрафикЦБ(НомераТаблиц));
```
</details>

## ТекстЗапроса_ВерсииРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ВерсииРасчетов(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_ВерсииРасчетов(НомераТаблиц) 
```
</details>

## ТекстЗапроса_втПартииКСписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втПартииКСписанию(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_втПартииКСписанию(НомераТаблиц));
```
</details>

## ТекстЗапроса_втСписаниеПартий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_втСписаниеПартий(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_втСписаниеПартий(НомераТаблиц));
```
</details>

## ТекстЗапроса_ПартииЦенныхБумагСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ПартииЦенныхБумагСобытия(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_ПартииЦенныхБумагСобытия(НомераТаблиц));
```
</details>

## ТекстЗапроса_РасчетыСКонтрагентамиГрафики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_РасчетыСКонтрагентамиГрафики(НомераТаблиц, ИмяДокумента, МассивТекстовЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_РасчетыСКонтрагентамиГрафики(НомераТаблиц, ИмяДокумента, МассивТекстовЗапроса));
```
</details>

## ТекстЗапроса_ВТ_ПараметрыОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ВТ_ПараметрыОпераций(НомераТаблиц, ИмяДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_ВТ_ПараметрыОпераций(НомераТаблиц, ИмяДокумента));
```
</details>

## ТекстЗапроса_РасшифровкиГрафиковЦБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_РасшифровкиГрафиковЦБ(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_РасшифровкиГрафиковЦБ(НомераТаблиц));
```
</details>

## ТекстЗапроса_БрокерскиеСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_БрокерскиеСчета(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_БрокерскиеСчета(НомераТаблиц));
```
</details>

## Добавить_ТекстЗапроса_СчетаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Добавить_ТекстЗапроса_СчетаДокумента(МассивТекстовЗапроса, НомераТаблиц, Параметры) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.Добавить_ТекстЗапроса_СчетаДокумента(МассивТекстовЗапроса, НомераТаблиц, Параметры));
```
</details>

## ТекстЗапроса_ОстаткиПоФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ОстаткиПоФИ(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_ОстаткиПоФИ(НомераТаблиц));
```
</details>

## ТекстЗапроса_ОшибкиПроводок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапроса_ОшибкиПроводок(НомераТаблиц, СписокФИ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыУХ.ТекстЗапроса_ОшибкиПроводок(НомераТаблиц, СписокФИ);
```
</details>

## ПроверитьДатуЦБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьДатуЦБ(ДокументОбъект, Отказ, Выданный = Истина, Погашение = Истина, РежимЗаписи = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыУХ.ПроверитьДатуЦБ(ДокументОбъект, Отказ, Выданный, Погашение, РежимЗаписи);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
