---
title: Финансовые инструменты формы клиент сервер
slug: erp-uh/финансовые-инструменты-формы-клиент-сервер
---


## УстановитьЗаголовкиГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьЗаголовкиГрафика(Форма, ВидФИ, Выданный = Истина, ПрефиксЭлементов = "График", ИмяГруппаПроценты = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.УстановитьЗаголовкиГрафика(Форма, ВидФИ, Выданный, ПрефиксЭлементов, ИмяГруппаПроценты);
```
</details>

## ОписаниеСекцииГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает каркасную структуру описания секции графика финансового инструмента.
//
// Возвращаемое значение:
// Структура - описание секции графика.
//
Функция ОписаниеСекцииГрафика() Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыФормыКлиентСервер.ОписаниеСекцииГрафика() 
```
</details>

## ПроверитьСекциюГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСекциюГрафика(ОписаниеСекции) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.ПроверитьСекциюГрафика(ОписаниеСекции) 
```
</details>

## ОбновитьИтоги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьИтоги(Форма) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.ОбновитьИтоги(Форма) 
```
</details>

## УстановитьОтборСтрокГрафика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОтборСтрокГрафика(Форма) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.УстановитьОтборСтрокГрафика(Форма) 
```
</details>

## УстановитьТекстДлительность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьТекстДлительность(ТекстДлительность, ДатаНачала, ДатаОкончания) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.УстановитьТекстДлительность(ТекстДлительность, ДатаНачала, ДатаОкончания) 
```
</details>

## УстановитьВидимостьЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьВидимостьЭлементов(Элементы, ЗначениеПризнакаВидимость) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.УстановитьВидимостьЭлементов(Элементы, ЗначениеПризнакаВидимость) 
```
</details>

## ПредставлениеИсторииСтавок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеИсторииСтавок(ИсторияСтавок) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыФормыКлиентСервер.ПредставлениеИсторииСтавок(ИсторияСтавок) 
```
</details>

## ПолучитьИмяСекцииГрафикаПоИмениГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает имя секции графика по имени группы.
// Имя группы элементов имеет по умолчанию формат "Префикс + Имя секции".
// Префиксом по умолчанию является "ГрафикГруппа".
// Параметры:
//  ЭлементИлиИмя	 - 	ГруппаФормы, Строка - группа формы или ее имя.
//  Префикс 		 - Строка - Префикс имени группы. Значение по умолчанию - "ГрафикГруппа".
//
// Возвращаемое значение:
//  Строка - Имя секции графика
//
Функция ПолучитьИмяСекцииГрафикаПоИмениГруппы(ЭлементИлиИмя, Префикс = "ГрафикГруппа") Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыФормыКлиентСервер.ПолучитьИмяСекцииГрафикаПоИмениГруппы(ЭлементИлиИмя, Префикс);
```
</details>

## ПолучитьПараметрыГрафикаЦБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыГрафикаЦБ() Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыФормыКлиентСервер.ПолучитьПараметрыГрафикаЦБ() 
```
</details>

## ОбновитьИтогиФормаЦБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьИтогиФормаЦБ(Форма, График = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.ОбновитьИтогиФормаЦБ(Форма, График);
```
</details>

## УправлениеФормой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УправлениеФормой(Форма) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.УправлениеФормой(Форма) 
```
</details>

## УправлениеФормойБюджетирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УправлениеФормойБюджетирование(Форма) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.УправлениеФормойБюджетирование(Форма) 
```
</details>

## УправлениеФормой_СчетаУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УправлениеФормой_СчетаУчета(Форма, ЗаполнитьСчетаУчета = Неопределено, ЗаполнитьСчетВзаиморасчетов = Истина) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.УправлениеФормой_СчетаУчета(Форма, ЗаполнитьСчетаУчета, ЗаполнитьСчетВзаиморасчетов);
```
</details>

## ЗаполнитьСчетаУчетаВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСчетаУчетаВерсии(Форма, ТекущийОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.ЗаполнитьСчетаУчетаВерсии(Форма, ТекущийОбъект);
```
</details>

## АктивПоИмениДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АктивПоИмениДокумента(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыФормыКлиентСервер.АктивПоИмениДокумента(Форма) Экспорт //используется в ВстраиваниеУХКлиентСервер);
```
</details>

## ПолучитьТекущийФИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекущийФИ(Форма, ЭтоПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыФормыКлиентСервер.ПолучитьТекущийФИ(Форма, ЭтоПараметры));
```
</details>

## ЗаполнитьСчетПоВиду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСчетПоВиду(Форма, ИмяВидаСчета, ЗначениеСчета) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.ЗаполнитьСчетПоВиду(Форма, ИмяВидаСчета, ЗначениеСчета) 
```
</details>

## ПолучитьРольСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРольСчета(Форма, РольСчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФинансовыеИнструментыФормыКлиентСервер.ПолучитьРольСчета(Форма, РольСчета);
```
</details>

## ЗаполнитьСчетВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСчетВзаиморасчетов(Форма, РольСчета = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.ЗаполнитьСчетВзаиморасчетов(Форма, РольСчета);
```
</details>

## ЗаполнитьСчетВзаиморасчетовСПлательщиком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСчетВзаиморасчетовСПлательщиком(Форма, РольСчета = Неопределено) Экспорт
```

Пример вызова
```bsl
ФинансовыеИнструментыФормыКлиентСервер.ЗаполнитьСчетВзаиморасчетовСПлательщиком(Форма, РольСчета);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
