---
title: Финансы клиент
slug: erp-uh/финансы-клиент
---


## ПолучитьБанкПоРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура получает банк по указанному БИК или корреспондентскому счету.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - Текущая форма
//	Элемент - ПолеФормы - Поле, в котором произведен выбор значения.
//	Значение - Строка - Значение, выбранное в поле.
//	СписокБанков - СписокЗначений - Список найденных банков
//	Банк - СправочникСсылка.КлассификаторБанков - Значение поля для указания банка.
//
Процедура ПолучитьБанкПоРеквизитам(Форма, Элемент, Значение, СписокБанков, Банк) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ПолучитьБанкПоРеквизитам(Форма, Элемент, Значение, СписокБанков, Банк) 
```
</details>

## ВыборБанкаИзСпискаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыборБанкаИзСпискаЗавершение(ВыбранныйЭлемент, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ВыборБанкаИзСпискаЗавершение(ВыбранныйЭлемент, ДополнительныеПараметры) 
```
</details>

## ПолучитьБанкПоРеквизитамЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьБанкПоРеквизитамЗавершение(РезультатВопроса, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ПолучитьБанкПоРеквизитамЗавершение(РезультатВопроса, ДополнительныеПараметры) 
```
</details>

## ПроверитьЗаполнениеДокументаНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выводит сообщения пользователю, если заполнение на основании
// не было выполнено.
//
// Параметры:
//	Объект - ДанныеФормыКоллекция - Текущий объект
//	Основание - ДокументСсылка - Документ основание.
//
Процедура ПроверитьЗаполнениеДокументаНаОсновании(Объект, Основание) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ПроверитьЗаполнениеДокументаНаОсновании(Объект, Основание) 
```
</details>

## НеобходимПересчетВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет необходимость пересчета сумм документа из валюты в валюту
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий документ
//	ТекущаяВалюта - СправочникСсылка.Валюты - Текущая валюта
//	НоваяВалюта - СправочникСсылка.Валюты - Новая валюта.
//
// Возвращаемое значение:
//	Булево - Истина, если требуется пересчет сумм.
//
Функция НеобходимПересчетВВалюту(Объект, ТекущаяВалюта, НоваяВалюта) Экспорт
```

Пример вызова
```bsl
Результат = ФинансыКлиент.НеобходимПересчетВВалюту(Объект, ТекущаяВалюта, НоваяВалюта) 
```
</details>

## ОчиститьСуммуВзаиморасчетовРасшифровкиПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура при необходимости очищает сумму взаиморасчетов в табличной части "Расшифровка платежа".
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий документ.
//
Процедура ОчиститьСуммуВзаиморасчетовРасшифровкиПлатежа(Объект) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ОчиститьСуммуВзаиморасчетовРасшифровкиПлатежа(Объект) 
```
</details>

## ОчиститьСуммуВзаиморасчетовЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьСуммуВзаиморасчетовЗавершение(ОтветНаВопрос, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ОчиститьСуммуВзаиморасчетовЗавершение(ОтветНаВопрос, ДополнительныеПараметры) 
```
</details>

## ОчиститьСуммуИВалютуВзаиморасчетовРасшифровкиПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура очищает сумму взаиморасчетов и валюту взаиморасчетов в табличной части "Расшифровка платежа".
//
// Параметры:
//	Объект - ДанныеФормыСтруктура - Текущий документ.
//
Процедура ОчиститьСуммуИВалютуВзаиморасчетовРасшифровкиПлатежа(Объект) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ОчиститьСуммуИВалютуВзаиморасчетовРасшифровкиПлатежа(Объект) 
```
</details>

## ОчиститьСуммуИВалютуВзаиморасчетовЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьСуммуИВалютуВзаиморасчетовЗавершение(ОтветНаВопрос, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ОчиститьСуммуИВалютуВзаиморасчетовЗавершение(ОтветНаВопрос, ДополнительныеПараметры) 
```
</details>

## ОткрытьВидыЗапасов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы просмотра/редактирования видов запасов документа.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма клиентского приложения.
//	ПараметрыРедактированияВидовЗапасов - см. ЗапасыСервер.ПоместитьТоварыИВидыЗапасовВХранилище
//
Процедура ОткрытьВидыЗапасов(Форма, ПараметрыРедактированияВидовЗапасов) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ОткрытьВидыЗапасов(Форма, ПараметрыРедактированияВидовЗапасов) 
```
</details>

## ЭтоРасчетыСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет относится ли хозяйственная операция документа к расчетами с клиентами.
//
// Параметры:
//	ХозяйственнаяОперация - ПеречислениеСсылка.ХозяйственныеОперации - Хозяйственная операция документа.
//
// Возвращаемое значение:
//	Булево - Хозяйственная операция относится к расчетам с клиентами.
//
Функция ЭтоРасчетыСКлиентами(ХозяйственнаяОперация) Экспорт
```

Пример вызова
```bsl
Результат = ФинансыКлиент.ЭтоРасчетыСКлиентами(ХозяйственнаяОперация) 
```
</details>

## УстановитьПустуюСсылкуНаЗаказ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает пустую ссылку на заказ клиента или на заказ поставщику.
//
// Параметры:
//	Заказ - ДокументСсылка - Заказ
//	ЭтоРасчетыСКлиентами - Булево - Признак отражения расчетов с клиентами.
//
Процедура УстановитьПустуюСсылкуНаЗаказ(Заказ, ЭтоРасчетыСКлиентами) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.УстановитьПустуюСсылкуНаЗаказ(Заказ, ЭтоРасчетыСКлиентами) 
```
</details>

## ПересчитатьСуммуДокументаПоРасшифровкеПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает сумму в шапке документа, если она отличается от сумм в табличной части.
//
// Параметры:
//    Форма - ФормаКлиентскогоПриложения - Форма, из которой подбирается многооборотная тара
//    ОписаниеОповещения - ОписаниеОповещения - Описание оповещения формы документа
//    ИмяТабличнойЧасти - Строка - Имя табличной части, содержащей расшифровку платежа.
//
Процедура ПересчитатьСуммуДокументаПоРасшифровкеПлатежа( Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ПересчитатьСуммуДокументаПоРасшифровкеПлатежа();
```
</details>

## ПересчитатьСуммуДокументаПоРасшифровкеПлатежаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПересчитатьСуммуДокументаПоРасшифровкеПлатежаЗавершение(ОтветНаВопрос, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ПересчитатьСуммуДокументаПоРасшифровкеПлатежаЗавершение(ОтветНаВопрос, ДополнительныеПараметры) 
```
</details>

## ОткрытьФайлДляПросмотра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает файл для просмотра
//
// Параметры:
//    ЭлементПривязки - Строка - К указанному элементу будет привязано сообщение в случае ошибки
//    ИмяФайла - Строка - Полное имя файла
//    Кодировка - Строка - "DOS" или "Windows"
//    Заголовок - Строка - Заголовок формы, в которой будет открыт файл.
//
Процедура ОткрытьФайлДляПросмотра(ЭлементПривязки, ИмяФайла, Кодировка, Заголовок) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ОткрытьФайлДляПросмотра(ЭлементПривязки, ИмяФайла, Кодировка, Заголовок) 
```
</details>

## ОткрытьФайлДляПросмотраСозданиеФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайлДляПросмотраСозданиеФайла(Файл, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ОткрытьФайлДляПросмотраСозданиеФайла(Файл, ДополнительныеПараметры) 
```
</details>

## ОткрытьФайлДляПросмотраПроверкаСуществования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайлДляПросмотраПроверкаСуществования(Существует, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ОткрытьФайлДляПросмотраПроверкаСуществования(Существует, ДополнительныеПараметры) 
```
</details>

## ОткрытьФайлДляПросмотраПроверкаНаКаталог
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайлДляПросмотраПроверкаНаКаталог(ЭтоКаталог, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ОткрытьФайлДляПросмотраПроверкаНаКаталог(ЭтоКаталог, ДополнительныеПараметры) 
```
</details>

## ОткрытьФайлДляПросмотраЗавершениеПомещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФайлДляПросмотраЗавершениеПомещения(ПомещенныеФайлы, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ФинансыКлиент.ОткрытьФайлДляПросмотраЗавершениеПомещения(ПомещенныеФайлы, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
