---
title: Форматно логический контроль
slug: erp-uh/форматно-логический-контроль
---


## ВыполненаПроверкаОбязательностиИПравильностиЗаполненияТэгов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку правильности заполнения тегов в соответствии с ФФД
//
// Параметры:
//   ДанныеЧека - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование - Не обязательный
//   Ошибки - Массив из строка - Строки ошибок по результатам контроля
//   ИсправленыОсновныеПараметры - Булево
//
// Возвращаемое значение:
//   Булево.
Функция ВыполненаПроверкаОбязательностиИПравильностиЗаполненияТэгов(ДанныеЧека, ИдентификаторУстройства, Ошибки = Неопределено, ИсправленыОсновныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФорматноЛогическийКонтроль.ВыполненаПроверкаОбязательностиИПравильностиЗаполненияТэгов(ДанныеЧека, ИдентификаторУстройства, Ошибки, ИсправленыОсновныеПараметры);
```
</details>

## ПривестиДанныеКТребуемомуФормату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет корректировку данных чека
//
// Параметры:
//   ДанныеЧека - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//   ИсправленыОсновныеПараметры - Булево
//
Процедура ПривестиДанныеКТребуемомуФормату(ДанныеЧека, ИсправленыОсновныеПараметры = Неопределено, ПараметрыРегистрации = Неопределено) Экспорт
```

Пример вызова
```bsl
ФорматноЛогическийКонтроль.ПривестиДанныеКТребуемомуФормату(ДанныеЧека, ИсправленыОсновныеПараметры, ПараметрыРегистрации);
```
</details>

## НуженФорматноЛогическийКонтроль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет требуется ли выполнить корректировку сумм в позициях чека
//
// Параметры:
//  ДанныеЧека - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//  ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование - Не обязательный
//                              Если заполнено оборудование и не заполнен способ контроля в общих параметрах,
//                              то способ контроля и допустимое расхождение получаются из подключаемого оборудования.
//
// Возвращаемое значение:
//  Булево
//
Функция НуженФорматноЛогическийКонтроль(ДанныеЧека, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФорматноЛогическийКонтроль.НуженФорматноЛогическийКонтроль(ДанныеЧека, ИдентификаторУстройства);
```
</details>

## ПровестиФорматноЛогическийКонтроль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку сумм фискальных строк, осуществляя форматно-логический контроль чека.
// Функция переопределяется методом ФорматноЛогическийКонтрольПереопределяемый.ПровестиФорматноЛогическийКонтроль.
//
// Параметры:
//   ДанныеЧека - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//   ИдентификаторУстройства - СправочникСсылка.ПодключаемоеОборудование - Не обязательный
//                              Если заполнено оборудование и не заполнен способ контроля в общих параметрах,
//                              то способ контроля и допустимое расхождение получаются из подключаемого оборудования.
//
Процедура ПровестиФорматноЛогическийКонтроль(ДанныеЧека, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
ФорматноЛогическийКонтроль.ПровестиФорматноЛогическийКонтроль(ДанныеЧека, ИдентификаторУстройства);
```
</details>

## СтруктураДанныхФорматноЛогическогоКонтроля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура данных форматно-логического контроля
//
// Параметры:
//  ПодключаемоеОборудование - СправочникСсылка.ПодключаемоеОборудование - Устройство, фискализирующее чек
//
// Возвращаемое значение:
//  Структура - Структура данных форматно логического контроля:
//   * СпособФорматноЛогическогоКонтроля - Неопределено
//                                       - ПеречислениеСсылка.СпособыФорматноЛогическогоКонтроля
//   * ДопустимоеРасхождениеФорматноЛогическогоКонтроля - Число -
//   * ФорматФД - Строка -
//
Функция СтруктураДанныхФорматноЛогическогоКонтроля(ПодключаемоеОборудование) Экспорт
```

Пример вызова
```bsl
Результат = ФорматноЛогическийКонтроль.СтруктураДанныхФорматноЛогическогоКонтроля(ПодключаемоеОборудование) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
