---
title: Форматно логический контроль клиент сервер
slug: erp-uh/форматно-логический-контроль-клиент-сервер
---


## ПровестиФорматноЛогическийКонтроль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ФорматноЛогическийКонтроль.ПровестиФорматноЛогическийКонтроль.
// Функция выполняет проверку сумм фискальных строк,
// осуществляя форматно-логический контроль чека.
// Функция переопределяется методом ФорматноЛогическийКонтрольПереопределяемый.ПровестиФорматноЛогическийКонтроль.
//
// Параметры:
//   ОбщиеПараметры - Структура - Полученная ранее методом ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека,
//                    и заполненная данными чека.
//                    Содержит параметры для контроля:
//                      СпособФорматноЛогическогоКонтроля - ПеречислениеСсылка.СпособыФорматноЛогическогоКонтроля - если не заполнена,
//                                                         то контроль не выполняется,
//                      ДопустимоеРасхождениеФорматноЛогическогоКонтроля - Число - по умолчанию установленное 54-ФЗ отклонение - 0.01.
//
//   ПодключаемоеОборудование - СправочникСсылка.ПодключаемоеОборудование - Не обязательный
//                              Если заполнено оборудование и не заполнен способ контроля в общих параметрах,
//                              то способ контроля и допустимое расхождение получаются из подключаемого оборудования.
//
Процедура ПровестиФорматноЛогическийКонтроль(ОбщиеПараметры, ПодключаемоеОборудование = Неопределено) Экспорт
```

Пример вызова
```bsl
ФорматноЛогическийКонтрольКлиентСервер.ПровестиФорматноЛогическийКонтроль(ОбщиеПараметры, ПодключаемоеОборудование);
```
</details>

## НуженФорматноЛогическийКонтроль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ФорматноЛогическийКонтроль.НуженФорматноЛогическийКонтроль.
// Функция выполняет проверку сумм фискальных строк,
// осуществляя форматно-логический контроль чека.
//
// Параметры:
//  ОбщиеПараметры - Структура
//
// Возвращаемое значение:
//  Булево
//
Функция НуженФорматноЛогическийКонтроль(ОбщиеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ФорматноЛогическийКонтрольКлиентСервер.НуженФорматноЛогическийКонтроль(ОбщиеПараметры) 
```
</details>

## ПривестиДанныеКТребуемомуФормату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: следует использовать ФорматноЛогическийКонтроль.ПривестиДанныеКТребуемомуФормату.
// Процедура приводит к формату согласованному с ФНС.
//
//  Параметры:
//    ОсновныеПараметры - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//    Отказ - Булево
//    ОписаниеОшибки - Строка
//    ИсправленыОсновныеПараметры - Булево
//
Процедура ПривестиДанныеКТребуемомуФормату(ОсновныеПараметры, Отказ, ОписаниеОшибки, ИсправленыОсновныеПараметры) Экспорт
```

Пример вызова
```bsl
ФорматноЛогическийКонтрольКлиентСервер.ПривестиДанныеКТребуемомуФормату(ОсновныеПараметры, Отказ, ОписаниеОшибки, ИсправленыОсновныеПараметры) 
```
</details>

## ПривестиСуммыПозицийЧекаКСуммеТаблицыОплат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: больше не используется
// Процедура приводит суммы позиций чека к сумме полной оплаты
//
// Параметры:
//    ОсновныеПараметры - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//    ОбщаяСуммаЧека - Число - Общая сумма позиций чека
//    СуммаПолнойОплаты - Число - Сумма оплаченная
//    СуммаПередачиБезОплаты - Число - Сумма без оплаты
//    Отказ - Булево - Флаг отказа
//    ОписаниеОшибки - Строка - Описание ошибки
//
Процедура ПривестиСуммыПозицийЧекаКСуммеТаблицыОплат(ОсновныеПараметры, ОбщаяСуммаЧека, СуммаПолнойОплаты, СуммаПередачиБезОплаты, Отказ, ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
ФорматноЛогическийКонтрольКлиентСервер.ПривестиСуммыПозицийЧекаКСуммеТаблицыОплат(ОсновныеПараметры, ОбщаяСуммаЧека, СуммаПолнойОплаты, СуммаПередачиБезОплаты, Отказ, ОписаниеОшибки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
