---
title: Форматы ЭДО ФНС
slug: erp-uh/форматы-эдо-фнс
---


## ЭтоПространствоИменМЧД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет пространство имен на принадлежность к МЧД
//
// Параметры:
//  ПространствоИмен - Строка
//
// Возвращаемое значение:
//  Булево
Функция ЭтоПространствоИменМЧД(ПространствоИмен) Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.ЭтоПространствоИменМЧД(ПространствоИмен) 
```
</details>

## ПространствоИмен_МЧД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подстроку, характерную для пространства имен МЧД b2b.
//
// Возвращаемое значение:
//  Строка
Функция ПространствоИмен_МЧД() Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.ПространствоИмен_МЧД() 
```
</details>

## ПространствоИмен_МЧД_b2g
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подстроку, характерную для пространства имен МЧД b2g.
//
// Возвращаемое значение:
//  Строка
Функция ПространствоИмен_МЧД_b2g() Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.ПространствоИмен_МЧД_b2g() 
```
</details>

## ПространствоИмен_МЧД_003
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подстроку, характерную для пространства имен МЧД b2b версии 003.
//
// Возвращаемое значение:
//  Строка
Функция ПространствоИмен_МЧД_003() Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.ПространствоИмен_МЧД_003() 
```
</details>

## ЭтоПространствоИменАктСверкиВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет пространство имен на принадлежность к актам сверки взаиморасчетов.
//
// Параметры:
//  ПространствоИмен - Строка
//
// Возвращаемое значение:
//  Булево
Функция ЭтоПространствоИменАктСверкиВзаиморасчетов(ПространствоИмен) Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.ЭтоПространствоИменАктСверкиВзаиморасчетов(ПространствоИмен) 
```
</details>

## ПространствоИмен_УПД_5_02_ИнформацияПродавца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пространство информации продавца УПД версии 5.02 (приказ ЕД-7-26/970@).
//
// Возвращаемое значение:
//  Строка
//
Функция ПространствоИмен_УПД_5_02_ИнформацияПродавца() Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.ПространствоИмен_УПД_5_02_ИнформацияПродавца() 
```
</details>

## ЗаполнитьРазделыДополнительныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить разделы дополнительных полей. См. ФорматыЭДО.РазделыДополнительныхПолейФорматаЭлектронногоДокумента
//
// Параметры:
//  РазделыДополнительныхПолей - см. ФорматыЭДО.РазделыДополнительныхПолейФорматаЭлектронногоДокумента
//  ТипЭлектронногоДокумента - ПеречислениеСсылка.ТипыДокументовЭДО
//  Формат - Строка - см. ФорматыЭДО.ПоддерживаемыеФорматы
Процедура ЗаполнитьРазделыДополнительныхПолей(РазделыДополнительныхПолей, ТипЭлектронногоДокумента, Формат) Экспорт
```

Пример вызова
```bsl
ФорматыЭДО_ФНС.ЗаполнитьРазделыДополнительныхПолей(РазделыДополнительныхПолей, ТипЭлектронногоДокумента, Формат) 
```
</details>

## СформироватьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьДокумент(Знач Формат, Знач Данные) Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.СформироватьДокумент(Формат, Данные) 
```
</details>

## ПроверитьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьДокумент(Формат, ОписаниеФайла) Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.ПроверитьДокумент(Формат, ОписаниеФайла) 
```
</details>

## ВидОшибкиНекорректныйФорматИнформацииОтправителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидОшибкиНекорректныйФорматИнформацииОтправителя() Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.ВидОшибкиНекорректныйФорматИнформацииОтправителя() 
```
</details>

## ОписаниеПоляСведенийОВыбытииМаркированныхТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание поля сведений о выбытии маркированных товаров
//
// Возвращаемое значение:
//  Структура:
//   * ИмяРеквизита - Строка
//   * ИмяПоля - Строка
//
Функция ОписаниеПоляСведенийОВыбытииМаркированныхТоваров() Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.ОписаниеПоляСведенийОВыбытииМаркированныхТоваров() 
```
</details>

## ДополнитьДанныеОбъектаУчетаСведениямиФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет необходимые поля переданного дерева значений сведениями, полученными из файла.
//
// Параметры:
//  Дерево - ОбработкаОбъектИмяОбработки - для новых форматов
//         - см. ДеревоЭлектронногоДокументаБЭД.ДеревоЭлектронногоДокумента
//  Файл - СправочникСсылка.СообщениеЭДОПрисоединенныеФайлы
//  Формат - Строка - см. ФорматыЭДО.ПоддерживаемыеФорматы
//
Процедура ДополнитьДанныеОбъектаУчетаСведениямиФайла(Дерево, Файл, Формат) Экспорт
```

Пример вызова
```bsl
ФорматыЭДО_ФНС.ДополнитьДанныеОбъектаУчетаСведениямиФайла(Дерево, Файл, Формат) 
```
</details>

## НовыйРезультатЗаполненияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новый результат заполнения документа.
//
// Возвращаемое значение:
//  Структура:
// * ДанныеОсновногоФайла - см. РаботаСФайламиБЭДКлиентСервер.НовоеОписаниеФайла
// * ДанныеДополнительногоФайла - см. РаботаСФайламиБЭДКлиентСервер.НовоеОписаниеФайла
// * Ошибки - Неопределено
//          - Массив Из см. ОбщегоНазначенияБЭДКлиентСервер.НовыеПараметрыОшибки
//
Функция НовыйРезультатЗаполненияДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.НовыйРезультатЗаполненияДокумента() 
```
</details>

## ПоддерживаемыеФорматы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает поддерживаемые форматы электронных документов.
//
// Возвращаемое значение:
//  Структура - форматы:
//   * УПД - Структура - форматы УПД (ММВ-7-15/155@):
//    ** ИнформацияПродавца - Строка - идентификатор формата информации продавца.
//    ** ИнформацияПокупателя - Строка - идентификатор формата информации покупателя.
//   * УПД2019 - Структура - форматы УПД 2019 (ММВ-7-15/820@):
//    ** ИнформацияПродавца - Строка - идентификатор формата информации продавца.
//    ** ИнформацияПокупателя - Строка - идентификатор формата информации покупателя.
//   * УПД_5_02 - Структура - форматы УПД 5.02 (ЕД-7-26/970@):
//    ** ИнформацияПродавца - Строка - идентификатор формата информации продавца.
//    ** ИнформацияПокупателя - Строка - идентификатор формата информации покупателя.
//   * УКД - Структура - форматы УКД (ММВ-7-15/155@):
//    ** ИнформацияПродавца - Строка - идентификатор формата информации продавца.
//    ** ИнформацияПокупателя - Строка - идентификатор формата информации покупателя.
//   * УКД2020 - Структура - форматы УКД (ЕД-7-26/736@):
//    ** ИнформацияПродавца - Строка - идентификатор формата информации продавца.
//    ** ИнформацияПокупателя - Строка - идентификатор формата информации покупателя.
//   * ПередачаТоваров - Структура - форматы передачи товаров (ММВ-7-10/551@):
//    ** ИнформацияПродавца - Строка - идентификатор формата информации продавца.
//    ** ИнформацияПокупателя - Строка - идентификатор формата информации покупателя.
//   * ПередачаРабот - Структура - форматы передачи результатов работ (ММВ-7-10/552@):
//    ** ИнформацияПродавца - Строка - идентификатор формата информации продавца.
//    ** ИнформацияПокупателя - Строка - идентификатор формата информации покупателя.
//   * АктОРасхождениях - Структура - форматы документа о приемке и расхождениях (ММВ-7-15/423@):
//     ** ИнформацияПокупателя - Строка - идентификатор формата информации покупателя.
//   * ТорговаяОперация - Структура - форматы торговой операции (ММВ-7-6/172@):
//    ** ИнформацияПродавца - Строка - идентификатор формата информации продавца.
//    ** ИнформацияПокупателя - Строка - идентификатор формата информации покупателя.
//   * ПриемкаСдачаРабот - Структура - форматы приемки-сдачи работ (ММВ-7-6/172@):
//    ** ИнформацияПродавца - Строка - идентификатор формата информации продавца.
//    ** ИнформацияПокупателя - Строка - идентификатор формата информации покупателя.
//   * СчетФактура - Строка - идентификатор формата счета-фактуры (ММВ-7-6/93@).
//   * КорректировочныйСчетФактура - Строка - идентификатор формата корректировочного счета-фактуры (ММВ-7-6/93@).
//   * МашиночитаемаяДоверенность - Строка
//   * МашиночитаемаяДоверенность2022 - Строка
//   * ИзвещениеОПолучении - Строка - идентификатор формата извещения о получении (ММВ-7-6/363@).
//   * АктПриемкиСтроительныхРаботУслуг - Структура - ЕД-7-26/691@:
//    ** ИнформацияПодрядчика - Строка
//    ** ИнформацияЗаказчика - Строка
//   * ИзвещениеОПолучении - Строка
//   * ПредложениеОбАннулировании - Строка
//   * ПодтверждениеДатыОтправки - Строка - идентификатор формата подтверждения даты отправки (ММВ-7-6/363@).
//   * ПодтверждениеДатыПолучения - Строка - идентификатор формата подтверждения даты получения (ММВ-7-6/363@).
//   * УведомлениеОбУточнении - Строка - идентификатор формата уведомления об уточнении (ММВ-7-6/363@).
//   * УведомлениеОбУточнении0101 - Строка - идентификатор формата уведомления об уточнении 0101.
//   * СчетНаОплату101 - Строка - формат счета на оплату (версия 1.01).
//   * ДоговорныйДокумент101 - Строка - PDF/А-3 формат договорного документа (версия 1.01).
//   * ДоговорныйДокументXML - Структура - XML формат договорного документа (ЕД-7-26/115@):
//    ** ИнформацияОтправителя - Строка - идентификатор формата информации отправителя.
//   * АктСверкиВзаиморасчетов - Структура - форматы акта сверки взаимных расчетов (ЕД-7-26/405@):
//    ** ИнформацияОтправителя - Строка - идентификатор формата информации отправителя.
//    ** ИнформацияПолучателя - Строка - идентификатор формата информации получателя.
//   * БизнесСеть - Структура - формат бизнес-сети:
//    ** КоммерческиеПредложения - Строка - идентификатор формата коммерческих предложений.
//
Функция ПоддерживаемыеФорматы() Экспорт
```

Пример вызова
```bsl
Результат = ФорматыЭДО_ФНС.ПоддерживаемыеФорматы() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
