---
title: Формирование параметров фискального чека сервер
slug: erp-uh/формирование-параметров-фискального-чека-сервер
---


## ПараметрыОперацииФискализацииЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует параметры фискального чека
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ, по которому требуется распечатать чек
// 	Организация - СправочникСсылка.Организации - Организация по документу
// Возвращаемое значение:
// 	Структура - Описание: Параметры фискального чека
Функция ПараметрыОперацииФискализацииЧека(ДокументСсылка, Организация, Кассир = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПараметровФискальногоЧекаСервер.ПараметрыОперацииФискализацииЧека(ДокументСсылка, Организация, Кассир);
```
</details>

## ОбновитьПараметрыФискальногоЧекаДокументОснование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметр "ДокументОснование" в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ДокументОснование - ДокументСсылка - новое значение параметра "ДокументОснование"
Процедура ОбновитьПараметрыФискальногоЧекаДокументОснование(ПараметрыФискальногоЧека, ДокументОснование) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаДокументОснование(ПараметрыФискальногоЧека, ДокументОснование) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаЕдиныйЧек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметр "ЕдиныйЧек" в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ФлагЕдиныйЧек - Булево - новое значение параметра "ЕдиныйЧек"
Процедура ОбновитьПараметрыФискальногоЧекаЕдиныйЧек(ПараметрыФискальногоЧека, ФлагЕдиныйЧек) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаЕдиныйЧек(ПараметрыФискальногоЧека, ФлагЕдиныйЧек) 
```
</details>

## ПараметрыФискальногоЧекаЗаполнитьТипРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметр "ТипРасчета" в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - новое значение параметра "ТипРасчета"
Процедура ПараметрыФискальногоЧекаЗаполнитьТипРасчета(ПараметрыФискальногоЧека, ТипРасчета) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаЗаполнитьТипРасчета(ПараметрыФискальногоЧека, ТипРасчета) 
```
</details>

## ПараметрыФискальногоЧекаЗаполнитьСерийныйНомерОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметр "СерийныйНомер" в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	СерийныйНомерОборудования - Строка - новое значение параметра "СерийныйНомер"
Процедура ПараметрыФискальногоЧекаЗаполнитьСерийныйНомерОборудования(ПараметрыФискальногоЧека, СерийныйНомерОборудования) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаЗаполнитьСерийныйНомерОборудования(ПараметрыФискальногоЧека, СерийныйНомерОборудования) 
```
</details>

## ПараметрыФискальногоЧекаЗаполнитьПараметрыПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметры получателя в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	СведенияОЮрФизЛице - Структура - Сведения о покупателе юр. лице/ИП
Процедура ПараметрыФискальногоЧекаЗаполнитьПараметрыПокупателя(ПараметрыФискальногоЧека, СведенияОЮрФизЛице) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаЗаполнитьПараметрыПокупателя(ПараметрыФискальногоЧека, СведенияОЮрФизЛице) 
```
</details>

## ПараметрыФискальногоЧекаЗаполнитьМестоРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметр "ТорговыйОбъект" в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	МестоРасчетов - Структура - содержит структуру значений по торговому объекту
Процедура ПараметрыФискальногоЧекаЗаполнитьМестоРасчетов(ПараметрыФискальногоЧека, МестоРасчетов) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаЗаполнитьМестоРасчетов(ПараметрыФискальногоЧека, МестоРасчетов) 
```
</details>

## ПараметрыФискальногоЧекаЗаполнитьПараметрыОтправкиЭлектронногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметры отправки электронного чека в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ВариантОтправки - ПеречислениеСсылка.ВариантыОтправкиЭлектронногоЧекаПокупателю - вариант отправки электронного чека (email, sms)
// 	КонтактПолучателя - Строка - email или номер телефона
Процедура ПараметрыФискальногоЧекаЗаполнитьПараметрыОтправкиЭлектронногоЧека(ПараметрыФискальногоЧека, ВариантОтправки, КонтактПолучателя) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаЗаполнитьПараметрыОтправкиЭлектронногоЧека(ПараметрыФискальногоЧека, ВариантОтправки, КонтактПолучателя) 
```
</details>

## ПараметрыФискальногоЧекаЗаполнитьПерсональныеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет персональные данные в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ЕстьПерсональныеДанные - Булево - Параметры фискального чека содержат/не содержат персональные данные
// 	Получатель - Строка - ФИО получателя и паспортные данные в случае отсутствия ИНН
// 	ПолучательИНН - Строка - ИНН получателя
Процедура ПараметрыФискальногоЧекаЗаполнитьПерсональныеДанные(ПараметрыФискальногоЧека, ЕстьПерсональныеДанные, Получатель, ПолучательИНН) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаЗаполнитьПерсональныеДанные(ПараметрыФискальногоЧека, ЕстьПерсональныеДанные, Получатель, ПолучательИНН) 
```
</details>

## ПараметрыФискальногоЧекаЗаполнитьПерсональныеДанныеФФД_1_2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет персональные данные в параметрах фискального чека версии ФФД 1.2
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ЕстьПерсональныеДанные - Булево - Параметры фискального чека содержат/не содержат персональные данные
// 	ТипПерсональныхДанных - ПеречислениеСсылка.ТипыПерсональныхДанныхККТ - Тип персональных данных, указанных при пробитии чека
//	СубъектПерсональныхДанных - СправочникСсылка.ФизическиеЛица - Розничный покупатель
// 	СведенияОПокупателе - Структура - Сведения о покупателе
Процедура ПараметрыФискальногоЧекаЗаполнитьПерсональныеДанныеФФД_1_2(ПараметрыФискальногоЧека, ЕстьПерсональныеДанные, ТипПерсональныхДанных, СубъектПерсональныхДанных, СведенияОПокупателе) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаЗаполнитьПерсональныеДанныеФФД_1_2(ПараметрыФискальногоЧека, ЕстьПерсональныеДанные, ТипПерсональныхДанных, СубъектПерсональныхДанных, СведенияОПокупателе) 
```
</details>

## ПараметрыФискальногоЧекаЗаполнитьПозицииЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Обновляет параметр "ПозицииЧека" в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ПозицииЧека - Массив из Структура - новое значение параметра "ПозицииЧека"
Процедура ПараметрыФискальногоЧекаЗаполнитьПозицииЧека(ПараметрыФискальногоЧека, ПозицииЧека) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаЗаполнитьПозицииЧека(ПараметрыФискальногоЧека, ПозицииЧека) 
```
</details>

## ПараметрыФискальногоЧекаЗаполнитьТаблицуОплат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметр "ТаблицаОплат" в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ТаблицаОплат - Массив из Структура - новое значение параметра "ТаблицаОплат"
Процедура ПараметрыФискальногоЧекаЗаполнитьТаблицуОплат(ПараметрыФискальногоЧека, ТаблицаОплат) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаЗаполнитьТаблицуОплат(ПараметрыФискальногоЧека, ТаблицаОплат) 
```
</details>

## ПараметрыФискальногоЧекаЗаполнитьПараметрыКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметры чека коррекции в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	КорректируемыйДокумент - ДокументСсылка - Основание, по которому введен документ печати чека
// 	ВидКоррекции - ПеречислениеСсылка.ВидыЧековКоррекции - вид чека коррекции
// 	ДанныеКоррекции - Массив - Дополнительные данные коррекции
Процедура ПараметрыФискальногоЧекаЗаполнитьПараметрыКоррекции(ПараметрыФискальногоЧека, КорректируемыйДокумент, ВидКоррекции, ДанныеКоррекции) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаЗаполнитьПараметрыКоррекции(ПараметрыФискальногоЧека, КорректируемыйДокумент, ВидКоррекции, ДанныеКоррекции) 
```
</details>

## ПараметрыФискальногоЧекаУдалитьПараметрыКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает параметры чека коррекции в параметрах фискального чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
Процедура ПараметрыФискальногоЧекаУдалитьПараметрыКоррекции(ПараметрыФискальногоЧека) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ПараметрыФискальногоЧекаУдалитьПараметрыКоррекции(ПараметрыФискальногоЧека) 
```
</details>

## ДобавитьДанныеПоПодарочнымСертификатам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет дополнительные данные к параметрам фискального чека в случае оплаты подарочным сертификатом
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ПодарочныеСертификаты - ТаблицаЗначений - Список подарочных сертификатов с суммовыми данными
Процедура ДобавитьДанныеПоПодарочнымСертификатам(ПараметрыФискальногоЧека, ПодарочныеСертификаты) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ДобавитьДанныеПоПодарочнымСертификатам(ПараметрыФискальногоЧека, ПодарочныеСертификаты) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаМестоРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет данные торгового объекта в параметрах чека
//
// Параметры:
// 	ПараметрыОперацииФискализацииЧека - Структура - Параметры фискального чека
//  Организация - СправочникСсылка.Организации - Ссылка на организацию
// 	ТорговыйОбъект - СправочникСсылка.Склады - Ссылка на склад, к которому привязана ККТ
//  ОборудованиеККТ - СправочникСсылка.ПодключаемоеОборудование - Ссылка на ККТ
Процедура ОбновитьПараметрыФискальногоЧекаМестоРасчетов(ПараметрыОперацииФискализацииЧека, Организация, ТорговыйОбъект, ОборудованиеККТ) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаМестоРасчетов(ПараметрыОперацииФискализацииЧека, Организация, ТорговыйОбъект, ОборудованиеККТ) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаПозицийЧекаККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает и обновляет параметр позиций чека ККМ (ЧекККМ, ЧекККМВозврат, ЧекККМКоррекции)
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ДокументСсылка - ДокументСсылка - Ссылка на чек ККМ
Процедура ОбновитьПараметрыФискальногоЧекаПозицийЧекаККМ(ПараметрыФискальногоЧека, ДокументСсылка) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаПозицийЧекаККМ(ПараметрыФискальногоЧека, ДокументСсылка) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаТаблицаОплатЧекаККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает и обновляет параметр таблицы оплат чека ККМ (ЧекККМ, ЧекККМВозврат, ЧекККМКоррекции)
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ИнформацияОбОплате - Структура - Суммы оплат по видам оплат
Процедура ОбновитьПараметрыФискальногоЧекаТаблицаОплатЧекаККМ(ПараметрыФискальногоЧека, ИнформацияОбОплате) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаТаблицаОплатЧекаККМ(ПараметрыФискальногоЧека, ИнформацияОбОплате) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаСертификатыФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить параметры фискального чека по сертификатам ФСС.
//
// Параметры:
//  ПараметрыФискальногоЧека - Структура - Параметры фискального чека
//  ОплатыПлатежнымиКартами - ТаблицаЗначений -  Оплаты платежными картами
Процедура ОбновитьПараметрыФискальногоЧекаСертификатыФСС(ПараметрыФискальногоЧека, ОплатыПлатежнымиКартами) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаСертификатыФСС(ПараметрыФискальногоЧека, ОплатыПлатежнымиКартами) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаСБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить параметры фискального чека по СБП.
//
// Параметры:
//  ПараметрыФискальногоЧека - Структура - Параметры фискального чека
//  ОплатыСБП - ТаблицаЗначений -  Оплаты СБП
Процедура ОбновитьПараметрыФискальногоЧекаСБП(ПараметрыФискальногоЧека, ОплатыСБП) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаСБП(ПараметрыФискальногоЧека, ОплатыСБП) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаПозицийЧекаЕдиныйЧек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает и обновляет параметр позиций единого чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ДокументыЕдиногоЧека - Массив - Документы, входящие в единый чек
Процедура ОбновитьПараметрыФискальногоЧекаПозицийЧекаЕдиныйЧек(ПараметрыФискальногоЧека, ДокументыЕдиногоЧека) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаПозицийЧекаЕдиныйЧек(ПараметрыФискальногоЧека, ДокументыЕдиногоЧека) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаТаблицаОплатЕдиныйЧек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает и обновляет параметр таблицы оплат единого чека
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ДокументыЕдиногоЧека - Массив - Документы, входящие в единый чек
Процедура ОбновитьПараметрыФискальногоЧекаТаблицаОплатЕдиныйЧек(ПараметрыФискальногоЧека, ДокументыЕдиногоЧека) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаТаблицаОплатЕдиныйЧек(ПараметрыФискальногоЧека, ДокументыЕдиногоЧека) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаПозицийЧекаПоДокументуПоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает и обновляет параметр позиций чека для документа поставки
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ОбъектыРасчетовСПризнакамиСпособаРасчетов - ТаблицаЗначений - таблица сумм поставки по объектам расчетов документа печати чека с детализацией по признакам способа расчета
Процедура ОбновитьПараметрыФискальногоЧекаПозицийЧекаПоДокументуПоставки(ПараметрыФискальногоЧека, ОбъектыРасчетовСПризнакамиСпособаРасчетов) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаПозицийЧекаПоДокументуПоставки(ПараметрыФискальногоЧека, ОбъектыРасчетовСПризнакамиСпособаРасчетов) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаТаблицыОплатПоДокументуПоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает и обновляет параметр таблицы оплат чека для документа поставки
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	СтруктуруОплатДокументаПоставки - Структура - Суммы оплат по видам оплат
Процедура ОбновитьПараметрыФискальногоЧекаТаблицыОплатПоДокументуПоставки(ПараметрыФискальногоЧека, СтруктуруОплатДокументаПоставки) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаТаблицыОплатПоДокументуПоставки(ПараметрыФискальногоЧека, СтруктуруОплатДокументаПоставки) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаПозицийЧекаПоДокументуОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает и обновляет параметр позиций чека для документа оплаты
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	ОбъектыРасчетовСПризнакамиСпособаРасчетов - ТаблицаЗначений - таблица сумм поставки по объектам расчетов документа печати чека с детализацией по признакам способа расчета
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
Процедура ОбновитьПараметрыФискальногоЧекаПозицийЧекаПоДокументуОплаты(ПараметрыФискальногоЧека, ОбъектыРасчетовСПризнакамиСпособаРасчетов, ИмяКомандыПробитияЧека) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаПозицийЧекаПоДокументуОплаты(ПараметрыФискальногоЧека, ОбъектыРасчетовСПризнакамиСпособаРасчетов, ИмяКомандыПробитияЧека) 
```
</details>

## ОбновитьПараметрыФискальногоЧекаТаблицыОплатПоДокументуОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рассчитывает и обновляет параметр таблицы оплат чека для документа оплаты
//
// Параметры:
// 	ПараметрыФискальногоЧека - Структура - Параметры фискального чека
// 	СуммаДокумента - Структура - Суммы оплат по видам оплат
Процедура ОбновитьПараметрыФискальногоЧекаТаблицыОплатПоДокументуОплаты(ПараметрыФискальногоЧека, СуммаДокумента) Экспорт
```

Пример вызова
```bsl
ФормированиеПараметровФискальногоЧекаСервер.ОбновитьПараметрыФискальногоЧекаТаблицыОплатПоДокументуОплаты(ПараметрыФискальногоЧека, СуммаДокумента) 
```
</details>

## ПараметрыОперацииФискализацииЧекаПакетныйРежим
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры операции для фискализации чека по документу
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - ссылка на документ, который поддерживает фискализацию
// 	ОборудованиеККТ - СправочникСсылка.ПодключаемоеОборудование
//
// Возвращаемое значение:
// 	Структура, Неопределено -
//
Функция ПараметрыОперацииФискализацииЧекаПакетныйРежим(ДокументСсылка, ОборудованиеККТ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПараметровФискальногоЧекаСервер.ПараметрыОперацииФискализацииЧекаПакетныйРежим(ДокументСсылка, ОборудованиеККТ);
```
</details>

## ПозицииНоменклатурыПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу товаров для заполнения позиций строк в параметрах чека
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ для получения товарных позиций
// Возвращаемое значение:
// 	ТаблицаЗначений - Таблицу с товарными позициями с количественными и суммовыми показателями
Функция ПозицииНоменклатурыПоДокументу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПараметровФискальногоЧекаСервер.ПозицииНоменклатурыПоДокументу(ДокументСсылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
