---
title: Формирование печатных форм
slug: erp-uh/формирование-печатных-форм
---


## ДополнительнаяКолонкаПечатныхФормДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает дополнительную колонку, выводимую в таблицу товаров печатных форм.
//
// Параметры:
// 	КодЯзыка - Неопределено, Строка - Код языка, на котором нужно получить строку. Если неопределено, тогда КодОсновногоЯзыка.
// Возвращаемое значение:
// 	Структура:
// 		* ИмяКолонки - Строка - Имя колонки (для использования в коде).
// 		* ПредставлениеКолонки - Строка - Имя колонки (для вывода на экран с учетом языка пользователя).
Функция ДополнительнаяКолонкаПечатныхФормДокументов(КодЯзыка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.ДополнительнаяКолонкаПечатныхФормДокументов(КодЯзыка);
```
</details>

## ОписаниеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку со сводным описанием организации / контрагента / физ.лица.
//
// Параметры:
//  СписокСведений - Структура - значения параметров организации, формируется функцией СведенияОЮрФизЛице()
//  Список         - Строка - перечень запрашиваемых параметров организации, разделенных запятыми
//  СПрефиксом     - Булево - признак вывода префикса параметра организации.
//
// Возвращаемое значение:
//  Строка - описание организации / контрагента / физ.лица.
//
Функция ОписаниеОрганизации(СписокСведений, Список = "", СПрефиксом = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.ОписаниеОрганизации(СписокСведений, Список, СПрефиксом);
```
</details>

## СведенияОЮрФизЛице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует сведения об указанном юридическом или физическом лице.
// К сведениям относятся: наименование, адрес, номер телефона, банковские реквизиты.
//
// Параметры:
//  ЮрФизЛицо   - СправочникСсылка.Организации, СправочникСсылка.Контрагенты - организация или физическое лицо, о котором собираются сведения.
//  ДатаПериода - Дата - дата, на которую выбираются сведения о ЮрФизЛице.
//  ДляФизЛицаТолькоИнициалы - Булево - Для физ. лица выводить только инициалы имени и отчества.
//  БанковскийСчет - Неопределено, СправочникСсылка.БанковскиеСчетаКонтрагентов, СправочникСсылка.БанковскиеСчетаОрганизаций - Банковский счет, если счет не основной.
//
// Возвращаемое значение:
//  Структура - собранные сведения.
//
Функция СведенияОЮрФизЛице(ЮрФизЛицо, ДатаПериода, ДляФизЛицаТолькоИнициалы = Истина, Знач БанковскийСчет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.СведенияОЮрФизЛице(ЮрФизЛицо, ДатаПериода, ДляФизЛицаТолькоИнициалы, БанковскийСчет);
```
</details>

## ЗаполнитьСведенияОЮрФизЛице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует сведения об указанном юридическом или физическом лице.
// К сведениям относятся: наименование, адрес, номер телефона, банковские реквизиты.
//
// Параметры:
//  Сведения                 - Структура - собранные сведения.
//  ЮрФизЛицо                - СправочникСсылка.Организации, СправочникСсылка.Контрагенты - организация или физическое лицо, о котором собираются сведения.
//  ДатаПериода              - Дата - дата, на которую выбираются сведения о ЮрФизЛице.
//  ДляФизЛицаТолькоИнициалы - Булево - Для физ. лица выводить только инициалы имени и отчества.
//  БанковскийСчет           - Неопределено, СправочникСсылка.БанковскиеСчетаКонтрагентов, СправочникСсылка.БанковскиеСчетаОрганизаций - Банковский счет, если счет не основной.
//
Процедура ЗаполнитьСведенияОЮрФизЛице(Сведения, ЮрФизЛицо, ДатаПериода, ДляФизЛицаТолькоИнициалы = Истина, Знач БанковскийСчет = Неопределено) Экспорт
```

Пример вызова
```bsl
ФормированиеПечатныхФорм.ЗаполнитьСведенияОЮрФизЛице(Сведения, ЮрФизЛицо, ДатаПериода, ДляФизЛицаТолькоИнициалы, БанковскийСчет);
```
</details>

## ПолучитьАдресИзКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция находит актуальное значение адреса в контактной информации.
//
// Параметры:
//  Объект - СправочникСсылка - объект контактной информации
//  ТипАдреса - Строка - тип контактной информации
//	Дата - Дата - Дата, на которую надо получить юридический адрес организации. При незаполненном параметре будет получен
//                   актуальный адрес. Для других типов адресов этот параметр можно не заполнять.
//
// Возвращаемое значение:
//  Строка - представление найденного адреса.
//
Функция ПолучитьАдресИзКонтактнойИнформации(Объект, ТипАдреса = "", Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.ПолучитьАдресИзКонтактнойИнформации(Объект, ТипАдреса, Дата);
```
</details>

## ПолучитьТелефонИзКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция находит актуальное значение телефона в контактной информации.
//
// Параметры:
//  Объект - СправочникСсылка - объект контактной информации.
//
// Возвращаемое значение:
//  Строка - представление найденного телефона.
//
Функция ПолучитьТелефонИзКонтактнойИнформации(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.ПолучитьТелефонИзКонтактнойИнформации(Объект) 
```
</details>

## ПолучитьЭлектроннуюПочтуИзКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция находит актуальное значение электронной почты в контактной информации.
//
// Параметры:
//  Объект - СправочникСсылка - объект контактной информации.
//
// Возвращаемое значение:
//  Строка - представление найденной электронной почты.
//
Функция ПолучитьЭлектроннуюПочтуИзКонтактнойИнформации(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.ПолучитьЭлектроннуюПочтуИзКонтактнойИнформации(Объект) 
```
</details>

## ФорматСумм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// АПК:142-выкл Особенность реализации.
// Стандартная для данной конфигурации функция форматирования сумм
//
// Параметры:
//  Сумма  - Число - число, которое мы хотим форматировать,
//  Валюта - СправочникСсылка.Валюты - ссылка на элемент справочника валют, если задан, то к в результирующую строку
//           будет добавлено представление валюты
//  ЧН     - Строка - строка, представляющая нулевое значение числа,
//  ЧРГ    - Строка - символ-разделитель групп целой части числа.
//  КодЯзыка - Строка - Имя языка, страны, для которых будет выполняться форматирование числа
//
// Возвращаемое значение:
//  Строка - отформатированная должным образом строковое представление суммы.
//
Функция ФорматСумм(Знач Сумма, Валюта = Неопределено, ЧН = "", ЧРГ = "", КодЯзыка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.ФорматСумм(Сумма, Валюта, ЧН, ЧРГ, КодЯзыка);
```
</details>

## СуммаПлатежногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// АПК:142-вкл

// Форматирует сумму банковского платежного документа.
//
// Параметры:
//  Сумма - Число - Сумма, которую необходимо отформатировать.
//  ВыводитьСуммуБезКопеек - Булево - Флаг представления суммы без копеек.
//
// Возвращаемое значение:
//  Строка - Отформатированная строка.
//
Функция СуммаПлатежногоДокумента(Сумма, ВыводитьСуммуБезКопеек) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.СуммаПлатежногоДокумента(Сумма, ВыводитьСуммуБезКопеек) 
```
</details>

## СуммаРубКоп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует представление суммы в рублях и копейках.
//
// Параметры:
//  Сумма - Число - Сумма, которую необходимо отформатировать.
//  Валюта - СправочникСсылка.Валюты - Валюта, в которой нужно представить сумму.
//  ВалютаРегламентированногоУчета - СправочникСсылка.Валюты - Валюта регламентированного учета.
//
// Возвращаемое значение:
//  Строка - Отформатированная сумма.
//
Функция СуммаРубКоп(Сумма, Валюта, ВалютаРегламентированногоУчета) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.СуммаРубКоп(Сумма, Валюта, ВалютаРегламентированногоУчета) 
```
</details>

## НужноВыводитьСкидки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру с заголовками Скидка или Наценка для таблицы печатной формы,
// а также с флагами ЕстьСкидки и ТолькоНаценка.
//
// Параметры:
//  Товары 	- ТаблицаЗначений - Табличная часть документа
//  ИспользоватьСкидки 	- Булево - Признак использования скидки.
//
// Возвращаемое значение:
//   Структура - Параметры скидки:
//       * Скидка 			- Строка - Текст для скидки(наценки).
//       * СуммаСкидки    	- Строка - Текст для суммы.
//       * ЕстьСкидки   	- Булево - Признак наличия скидки или наценки.
//       * ТолькоНаценка 	- Булево - Признак наличия только наценки.
//
Функция НужноВыводитьСкидки(Знач Товары, ИспользоватьСкидки) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.НужноВыводитьСкидки(Товары, ИспользоватьСкидки) 
```
</details>

## ПроверитьЗаполнениеНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет, что в строке товара заполнена номенклатура,
// и выдает сообщение, если не заполнена.
//
// Параметры:
//  СтрокаТовары 	- СтрокаТаблицыЗначений - Строка табличной части документа
//  НомерСтроки 	- Число - Номер передаваемой строки из ТЧ документа.
//
// Возвращаемое значение:
//  Булево - Результат проверки.
//
Функция ПроверитьЗаполнениеНоменклатуры(СтрокаТовары, НомерСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.ПроверитьЗаполнениеНоменклатуры(СтрокаТовары, НомерСтроки) 
```
</details>

## ТекстНДСПоСтавке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст НДС по ставке для печатной формы счета и заказа
//
// Параметры:
//  СтавкаНДС       - СправочникСсылка.СтавкиНДС - ставка НДС, для которой необходимо сформировать текст
//  ЦенаВключаетНДС - Булево - Признак включения НДС в цену.
//
// Возвращаемое значение:
//  Строка - строка.
//
Функция ТекстНДСПоСтавке(СтавкаНДС, ЦенаВключаетНДС) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.ТекстНДСПоСтавке(СтавкаНДС, ЦенаВключаетНДС) 
```
</details>

## СоответствиеСтавокИСуммНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает соответствие ставок и сумм НДС
//
// Возвращаемое значение:
//  Соответствие - соответствие ставок и сумм НДС.
//
Функция СоответствиеСтавокИСуммНДС() Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.СоответствиеСтавокИСуммНДС() 
```
</details>

## СформироватьТекстНДСЭтапаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст НДС по этапу оплаты
//
// Параметры:
//  СоответствиеСтавокНДС - Соответствие - соответствие, полученное с помощью функции ПолучитьСоответствиеСтавокНДС()
//  ПроцентПлатежа       - Число - Процент платежа по этапу.
//
// Возвращаемое значение:
//  Строка - текст НДС.
//
Функция СформироватьТекстНДСЭтапаОплаты(СоответствиеСтавокНДС, ПроцентПлатежа) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.СформироватьТекстНДСЭтапаОплаты(СоответствиеСтавокНДС, ПроцентПлатежа) 
```
</details>

## СформироватьТекстПериодДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строковое описание периода действия
//
// Параметры:
// 		ДатаНачалаДействия - Дата - Дата начала действия
// 		ДатаОкончанияДействия - Дата - Дата окончания действия.
//
// Возвращаемое значение:
// 		Строка - Строковое описание периода действия.
//
Функция СформироватьТекстПериодДействия(ДатаНачалаДействия, ДатаОкончанияДействия) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.СформироватьТекстПериодДействия(ДатаНачалаДействия, ДатаОкончанияДействия) 
```
</details>

## СформироватьТекстНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст НДС
//
// Параметры:
//  НалогообложениеНДС  - Строка - Наименование типа НалогообложенияНДС, для которого необходимо сформировать текст
//  ЦенаВключаетНДС 	- Булево - Признак включения НДС в цену.
//
// Возвращаемое значение:
//  Строка - сформированный текст.
//
Функция СформироватьТекстНДС(НалогообложениеНДС, ЦенаВключаетНДС) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.СформироватьТекстНДС(НалогообложениеНДС, ЦенаВключаетНДС)
```
</details>

## ЗаполнитьПараметрыОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров возможных получателей печатных форм при отправке по электронной почте.
//
// Параметры:
// 		ПараметрыОтправки - Структура - содержит параметры отправки сформированных печатных форм
// 		ДанныеОбъектовПечати - Массив,Соответствие - данные о печатаемых объектах
// 		КоллекцияПечатныхФорм - ТаблицаЗначений - содержит информацию о формируемых печатных формах.
//
Процедура ЗаполнитьПараметрыОтправки(ПараметрыОтправки, ДанныеОбъектовПечати, КоллекцияПечатныхФорм) Экспорт
```

Пример вызова
```bsl
ФормированиеПечатныхФорм.ЗаполнитьПараметрыОтправки(ПараметрыОтправки, ДанныеОбъектовПечати, КоллекцияПечатныхФорм)  
```
</details>

## ВывестиЛоготипВТабличныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит логотип в табличный документ. Если в переданной области макета картинки
// логотипа нет, находится отдельная область с логотипом в макете и логотип выводится
// в данную область.
//
// Параметры:
// 		Макет - ТабличныйДокумент - Макет печатной формы
// 		ОбластьМакета - ТекстовыйДокумент - Область макета печатной формы
// 		ИмяОбласти - Строка - Название передаваемой области
// 		Организация - СправочникСсылка.Организации - Содержит ссылку на организацию для получения логотипа.
//
Процедура ВывестиЛоготипВТабличныйДокумент(Макет, ОбластьМакета, ИмяОбласти, Организация) Экспорт
```

Пример вызова
```bsl
ФормированиеПечатныхФорм.ВывестиЛоготипВТабличныйДокумент(Макет, ОбластьМакета, ИмяОбласти, Организация)
```
</details>

## ВывестиФаксимилеВТабличныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит факсимиле в табличный документ, заменяя переданную область картинкой факсимиле.
//
// Параметры:
// 		Макет - ТабличныйДокумент - Макет печатной формы
// 		ОбластьМакета - ТекстовыйДокумент - Область макета печатной формы
// 		Организация - СправочникСсылка.Организации - Содержит ссылку на организацию для получения факсимиле
// 		ПараметрыПечати - Структура - Содержит структуру параметров печати.
//
Процедура ВывестиФаксимилеВТабличныйДокумент(Макет, ОбластьМакета, Организация, ПараметрыПечати = Неопределено) Экспорт
```

Пример вызова
```bsl
ФормированиеПечатныхФорм.ВывестиФаксимилеВТабличныйДокумент(Макет, ОбластьМакета, Организация, ПараметрыПечати);
```
</details>

## КоличествоПрописью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартная функция форматирования прописи количества
//
// Параметры:
//  Количество - Число - число, которое необходимо отформатировать.
//
// Возвращаемое значение:
//  Строка - отформатированное должным образом строковое представление количества.
//
Функция КоличествоПрописью(Количество) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеПечатныхФорм.КоличествоПрописью(Количество) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
