---
title: Формирование фискальных чеков вызов сервера
slug: erp-uh/формирование-фискальных-чеков-вызов-сервера
---


## МаксимальнаяВерсияФФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает поддерживаемую максимальную версию ФФД
//
// Возвращаемое значение:
// 	Строка - Описание - Версия ФФД
Функция МаксимальнаяВерсияФФД() Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековВызовСервера.МаксимальнаяВерсияФФД() 
```
</details>

## ПараметрыОперацииФискализацииЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует параметры фискального чека
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ, по которому требуется распечатать чек
// 	Организация - СправочникСсылка.Организации - Организация по документу
// Возвращаемое значение:
// 	Структура - Описание: Параметры фискального чека
//
Функция ПараметрыОперацииФискализацииЧека(ДокументСсылка, Организация) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековВызовСервера.ПараметрыОперацииФискализацииЧека(ДокументСсылка, Организация) 
```
</details>

## ПараметрыОперацииФискализацииЧекаПакетныйРежим
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры операции для фискализации чека по документу
//
// Параметры:
// 	ДокументСсылка - см. ФормированиеПараметровФискальногоЧекаСервер.ПараметрыОперацииФискализацииЧекаПакетныйРежим.ДокументСсылка
// 	ОборудованиеККТ - см. ФормированиеПараметровФискальногоЧекаСервер.ПараметрыОперацииФискализацииЧекаПакетныйРежим.ОборудованиеККТ
//
// Возвращаемое значение:
// 	см. ФормированиеПараметровФискальногоЧекаСервер.ПараметрыОперацииФискализацииЧекаПакетныйРежим
//
Функция ПараметрыОперацииФискализацииЧекаПакетныйРежим(ДокументСсылка, ОборудованиеККТ) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековВызовСервера.ПараметрыОперацииФискализацииЧекаПакетныйРежим(ДокументСсылка, ОборудованиеККТ) 
```
</details>

## РазрешеноПробитиеФискальныхЧековПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, возможна ли фискализация по конкретному документу
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Проверяемый документ
//
// Возвращаемое значение:
// 	Булево
//
Функция РазрешеноПробитиеФискальныхЧековПоДокументу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековВызовСервера.РазрешеноПробитиеФискальныхЧековПоДокументу(ДокументСсылка) 
```
</details>

## ДанныеПробитогоФискальногоЧекаПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры пробитого фискального чека по документу, иначе, если не пробит, неопределено
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ, по которому возможно пробит чек
// 	ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - Тип расчета
// Возвращаемое значение:
// 	Структура, Неопределено - Описание: Параметры пробитого фискального чека по документу, иначе, если не пробит, неопределено
Функция ДанныеПробитогоФискальногоЧекаПоДокументу(ДокументСсылка, ТипРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековВызовСервера.ДанныеПробитогоФискальногоЧекаПоДокументу(ДокументСсылка, ТипРасчета);
```
</details>

## ПробитФискальныйЧекПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Флаг пробития чека - пробит = Истина, не пробит = Ложь
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ, по которому возможно пробит чек
//  ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - Тип расчета
// Возвращаемое значение:
// 	Булево - Флаг пробития чека - пробит = Истина, не пробит = Ложь
Функция ПробитФискальныйЧекПоДокументу(ДокументСсылка, ТипРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековВызовСервера.ПробитФискальныйЧекПоДокументу(ДокументСсылка, ТипРасчета);
```
</details>

## ОбъектыРасчетовВДокументеОплатыВведеныКорректно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает флаг корректности ввода объектов расчетов в документе:
//  - если в документе содержатся объекты расчетов авансовые и предоплатные, флаг = Ложь
//  - иначе, флаг = Истина.
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - ссылка на документ оплаты
// 	ТекстСообщения - Строка - Информационное сообщение пользователю об ошибке, иначе пустая строка
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
// Возвращаемое значение:
// 	Булево - Описание - возвращает статус корректности заполнения объектов расчетов
Функция ОбъектыРасчетовВДокументеОплатыВведеныКорректно(ДокументСсылка, ТекстСообщения, ИмяКомандыПробитияЧека) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековВызовСервера.ОбъектыРасчетовВДокументеОплатыВведеныКорректно(ДокументСсылка, ТекстСообщения, ИмяКомандыПробитияЧека) 
```
</details>

## РаспределитьРасчетыСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает метод механизма Взаиморасчеты для распределения расчетов с клиентами
//
// Параметры:
// 	ПараметрыОперации - см. ФормированиеПараметровФискальногоЧекаСервер.ПараметрыОперацииФискализацииЧека
//
Процедура РаспределитьРасчетыСКлиентами(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековВызовСервера.РаспределитьРасчетыСКлиентами(ПараметрыОперации) 
```
</details>

## ШтрихкодыУпаковокПоДокументамЗаполнены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, заполнены ли в документах штрихкоды упаковок для маркированных товаров
//
// Параметры:
//  ДокументыРеализации - Массив ИЗ ДокументСсылка.РеализацияТоваровУслуг, ДокументСсылка.ВозвратТоваровОтКлиента - Проверяемые документы
//
// Возвращаемое значение:
//  Булево - ИСТИНА, если в документах заполныены штрихкоды упаковок для маркированных товаров
Функция ШтрихкодыУпаковокПоДокументамЗаполнены(ДокументыРеализации) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековВызовСервера.ШтрихкодыУпаковокПоДокументамЗаполнены(ДокументыРеализации) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
