---
title: Формирование фискальных чеков сервер
slug: erp-uh/формирование-фискальных-чеков-сервер
---


## ПараметрыПредпросмотраЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры по документу для формирвания формы предпросмотра чека
//
// Параметры:
// 	ПараметрыОперации - Структура - Основные параметры документа
// Возвращаемое значение:
// 	Структура - параметры по документу для формирвания формы предпросмотра чека
Функция ПараметрыПредпросмотраЧека(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ПараметрыПредпросмотраЧека(ПараметрыОперации) 
```
</details>

## ОбновитьГиперссылкуПробитияФискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет представление гиперссылки данными фискального чека в переданном параметре "РеквизитГиперссылкиНаФорме"
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Ссылка на документ, из формы документа которого ожидается возможность
// 	 ввода/отображения фискального чека.
// 	Форма - ФормаКлиентскогоПриложения - Форма документа, на которой необходимо обновить гиперссылку ввода/отображения
// 	 фискального чека.
// 	РеквизитГиперссылкиНаФорме - РеквизитФормы - Реквизит формы, отображающий гиперссылку ввода/отображения фискального
// 	 чека.
Процедура ОбновитьГиперссылкуПробитияФискальногоЧека(ДокументСсылка, Форма, РеквизитГиперссылкиНаФорме) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.ОбновитьГиперссылкуПробитияФискальногоЧека(ДокументСсылка, Форма, РеквизитГиперссылкиНаФорме) 
```
</details>

## НастроитьЭлементГиперссылкиПробитияФискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет свойствами элемента формы гиперссылки пробития фискального чека
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа, на которой необходимо настроить поле гиперссылки ввода/отображения
// 	 фискального чека.
// 	ЭлементГиперссылкиНаФорме - ПолеФормы - Поле формы, отображающий гиперссылку ввода/отображения фискального
// 	 чека.
Процедура НастроитьЭлементГиперссылкиПробитияФискальногоЧека(Форма, ЭлементГиперссылкиНаФорме) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.НастроитьЭлементГиперссылкиПробитияФискальногоЧека(Форма, ЭлементГиперссылкиНаФорме) 
```
</details>

## ЕстьПравоНаПробитиеФискальногоЧекаПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, есть ли у текущего пользователя право на проведение документа
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Ссылка на документ, из формы документа которого ожидается возможность
// 	 ввода/отображения фискального чека.
// Возвращаемое значение:
// 	Булево - Возвращает Истина, если пользователь имеет право на проведение документа
Функция ЕстьПравоНаПробитиеФискальногоЧекаПоДокументу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ЕстьПравоНаПробитиеФискальногоЧекаПоДокументу(ДокументСсылка) 
```
</details>

## ЕстьПодключенноеОборудованиеККассамОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет настроено ли у текущего пользователя подключаемое оборудование для кассы организации
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - Ссылка на организацию из формы документа
//
// Возвращаемое значение:
// 	Булево - Возвращает Истина, если подключаемое оборудование для кассы организации настроено
Функция ЕстьПодключенноеОборудованиеККассамОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ЕстьПодключенноеОборудованиеККассамОрганизации(Организация) 
```
</details>

## ДобавитьВПредставлениеГиперссылкиКомандуЧекПробит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет представление гиперссылки команды открытия пробитого чека
//
// Параметры:
// 	МассивПредставлений - Массив Из ФорматированнаяСтрока - Массив представлений гиперссылки
// 	НомерЧекаККМ - Строка - Номер чека ККМ, пробитого по документу
// 	ТекстСсылки - Строка - Текст гиперссылки для обработки нажатия
// 	ТекстПредставления - Строка - Текст представления гиперссылки, который видит пользователь на форме
Процедура ДобавитьВПредставлениеГиперссылкиКомандуЧекПробит(МассивПредставлений, НомерЧекаККМ, ТекстСсылки, ТекстПредставления = Неопределено) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.ДобавитьВПредставлениеГиперссылкиКомандуЧекПробит(МассивПредставлений, НомерЧекаККМ, ТекстСсылки, ТекстПредставления);
```
</details>

## ДобавитьВПредставлениеГиперссылкиКомандуПробитьЧек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет представление гиперссылки команды пробития чека
//
// Параметры:
// 	МассивПредставлений - Массив Из ФорматированнаяСтрока - Массив представлений гиперссылки
// 	ТекстСсылки - Строка - Текст гиперссылки для обработки нажатия
// 	ТекстПредставления - Строка, Неопределено - Текст представления гиперссылки из вызова
Процедура ДобавитьВПредставлениеГиперссылкиКомандуПробитьЧек(МассивПредставлений, ТекстСсылки, ТекстПредставления = Неопределено) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.ДобавитьВПредставлениеГиперссылкиКомандуПробитьЧек(МассивПредставлений, ТекстСсылки, ТекстПредставления);
```
</details>

## ДобавитьВПредставлениеГиперссылкиСтатусЧекНеПробит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет представление гиперссылки непробитого чек
//
// Параметры:
// 	МассивПредставлений - Массив Из ФорматированнаяСтрока - Массив представлений гиперссылки
// 	ТекстСсылки - Строка - Текст гиперссылки для обработки нажатия
Процедура ДобавитьВПредставлениеГиперссылкиСтатусЧекНеПробит(МассивПредставлений, ТекстСсылки = "") Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.ДобавитьВПредставлениеГиперссылкиСтатусЧекНеПробит(МассивПредставлений, ТекстСсылки);
```
</details>

## МаксимальнаяВерсияФФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает поддерживаемую максимальную версию ФФД
//
// Возвращаемое значение:
// 	Строка - Описание - Версия ФФД
Функция МаксимальнаяВерсияФФД() Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.МаксимальнаяВерсияФФД() 
```
</details>

## ДанныеПробитогоФискальногоЧекаПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры пробитого фискального чека по документу, иначе, если не пробит, неопределено
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ, по которому возможно пробит чек
// 	ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - Тип расчета
// Возвращаемое значение:
// 	Структура, Неопределено - Описание: Параметры пробитого фискального чека по документу, иначе, если не пробит, неопределено
Функция ДанныеПробитогоФискальногоЧекаПоДокументу(ДокументСсылка, ТипРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ДанныеПробитогоФискальногоЧекаПоДокументу(ДокументСсылка, ТипРасчета);
```
</details>

## ПробитФискальныйЧекПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Флаг пробития чека - пробит = Истина, не пробит = Ложь
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ, по которому возможно пробит чек
// 	ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - Тип расчета
// Возвращаемое значение:
// 	Булево - Флаг пробития чека - пробит = Истина, не пробит = Ложь
Функция ПробитФискальныйЧекПоДокументу(ДокументСсылка, ТипРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ПробитФискальныйЧекПоДокументу(ДокументСсылка, ТипРасчета);
```
</details>

## ВидыВозможныхПризнаковСпособаРасчетаПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив возможных признаков способа расчета документа
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ
// 	ОбъектыРасчетов - СправочникСсылка, ДокументСсылка - Объекты расчетов документа
// 	ТипРасчетаДенежнымиСредствами - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - тип расчета денежными средствами
// 	СуммаДокумента - Число - Сумма документа
// Возвращаемое значение:
// 	Массив - Массив возможных признаков способа расчета документа
Функция ВидыВозможныхПризнаковСпособаРасчетаПоДокументу(ДокументСсылка, ОбъектыРасчетов, ТипРасчетаДенежнымиСредствами, СуммаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ВидыВозможныхПризнаковСпособаРасчетаПоДокументу(ДокументСсылка, ОбъектыРасчетов, ТипРасчетаДенежнымиСредствами, СуммаДокумента) 
```
</details>

## ПризнакСпособаРасчетаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак способа расчета по умолчанию для документа
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ
// 	ОбъектыРасчетов - СправочникСсылка, ДокументСсылка - Объекты расчетов документа
// 	ТипРасчетаДенежнымиСредствами - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - тип расчета денежными средствами
// 	СуммаДокумента - Число - Сумма документа
// Возвращаемое значение:
// 	ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - Признак способа расчета по умолчанию для документа
Функция ПризнакСпособаРасчетаПоУмолчанию(ДокументСсылка, ОбъектыРасчетов, ТипРасчетаДенежнымиСредствами, СуммаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ПризнакСпособаРасчетаПоУмолчанию(ДокументСсылка, ОбъектыРасчетов, ТипРасчетаДенежнымиСредствами, СуммаДокумента) 
```
</details>

## ОбъектыРасчетовВДокументеОплатыВведеныКорректно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает флаг корректности ввода объектов расчетов в документе:
//  - если в документе содержатся объекты расчетов авансовые и предоплатные, флаг = Ложь - иначе, флаг = Истина.
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ оплаты
// 	ТекстСообщения - Строка - Информационное сообщение пользователю об ошибке, иначе пустая строка
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
// Возвращаемое значение:
// 	Булево - возвращает статус корректности заполнения объектов расчетов
Функция ОбъектыРасчетовВДокументеОплатыВведеныКорректно(ДокументСсылка, ТекстСообщения, ИмяКомандыПробитияЧека) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ОбъектыРасчетовВДокументеОплатыВведеныКорректно(ДокументСсылка, ТекстСообщения, ИмяКомандыПробитияЧека) 
```
</details>

## ДокументПоставкиСВозможностьюПробитияЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли документ документом поставки с возможностью пробития чека
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Проверяемый документ
// Возвращаемое значение:
// 	Булево - флаг, является ли документ документом поставки с возможностью пробития чека, да = истина, нет = ложь
Функция ДокументПоставкиСВозможностьюПробитияЧеков(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ДокументПоставкиСВозможностьюПробитияЧеков(ДокументСсылка) 
```
</details>

## ЗаполнитьДоступныеКассыККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив доступных касс ККМ по текущей настройке РМК
//
// Параметры:
//  ДоступныеКассыККМ - Массив - Перезаполняемый параметр доступными кассами ККМ
//  КассаККМ - СправочникСсылка.КассыККМ - Касса ККМ для получения текущей настройки РМК
//  ПоОрганизацииКассыККМ - Булево - Если Истина, то ищутся только кассы той же организации, что и КассаККМ
//
Процедура ЗаполнитьДоступныеКассыККМ(ДоступныеКассыККМ, КассаККМ, ПоОрганизацииКассыККМ = Ложь) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.ЗаполнитьДоступныеКассыККМ(ДоступныеКассыККМ, КассаККМ, ПоОрганизацииКассыККМ);
```
</details>

## ФормаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирование кэш данных механизмов основными параметрами операции при создании формы на сервере
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа - состоит из:
// 	* Объект - ДокументОбъект - Основной реквизит формы.
Процедура ФормаПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.ФормаПриСозданииНаСервере(Форма) 
```
</details>

## ФормаПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирование кэш данных механизмов основными параметрами операции при чтении формы на сервере
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа - состоит из:
// 	* Объект - ДокументОбъект - Основной реквизит формы.
Процедура ФормаПриЧтенииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.ФормаПриЧтенииНаСервере(Форма) 
```
</details>

## ФормаПриИзмененииРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирование кэш данных механизмов основными параметрами операции при изменении реквизита формы
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа - состоит из:
// 	* Объект - ДокументОбъект - Основной реквизит формы - состоит из
Процедура ФормаПриИзмененииРеквизитов(Форма) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.ФормаПриИзмененииРеквизитов(Форма) 
```
</details>

## ОбработкаПолученияФормыПредпросмотрЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расширение для метода ОбработкаПолученияФормы модуля менеджера Обработка.ПредпросмотрЧека.
//
// Параметры:
// 	ВидФормы - Строка - Имя стандартной формы.
// 	Параметры - Структура - Параметры формы
// 	ВыбраннаяФорма - Строка, ОбъектМетаданных - Содержит имя открываемой формы или объект метаданных Форма
// 	ДополнительнаяИнформация - Структура - Дополнительная информация открытия формы.
// 	СтандартнаяОбработка - Булево - В данный параметр передается признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаПолученияФормыПредпросмотрЧека(ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.ОбработкаПолученияФормыПредпросмотрЧека(ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) 
```
</details>

## ПредполагаетсяПодключениеЭквайринговогоТерминалаПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус работы документа с эквайринговым оборудованием
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ, проверяемый на возможность работы с эквайринговым оборудованием
// Возвращаемое значение:
// 	Булево - Статус работы документа с эквайринговым оборудованием
Функция ПредполагаетсяПодключениеЭквайринговогоТерминалаПоДокументу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ПредполагаетсяПодключениеЭквайринговогоТерминалаПоДокументу(ДокументСсылка) 
```
</details>

## ДатаСовершенияКорректируемогоРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет дату операции чека коррекции по документу
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Корректируемый документ
// Возвращаемое значение:
// 	Дата - Дата операции чека коррекции по документу
Функция ДатаСовершенияКорректируемогоРасчета(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ДатаСовершенияКорректируемогоРасчета(ДокументСсылка) 
```
</details>

## ТипыФискальногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет типы фискальных чеков по документы
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ пробития фискального чека
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
// Возвращаемое значение:
// 	Массив Из ПеречислениеСсылка.ТипыФискальныхДокументовККТ - Типы фискальных чеков
Функция ТипыФискальногоДокумента(ДокументСсылка, ИмяКомандыПробитияЧека) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ТипыФискальногоДокумента(ДокументСсылка, ИмяКомандыПробитияЧека) 
```
</details>

## ТипыРасчетаДенежнымиСредствами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет типы расчета денежными средствами по документу
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ пробития фискального чека
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
// 	ТипФискальногоДокумента - ПеречислениеСсылка.ТипыФискальныхДокументовККТ - Тип фискального документа
// Возвращаемое значение:
// 	Массив Из ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - Типы расчета денежными средствами
Функция ТипыРасчетаДенежнымиСредствами(ДокументСсылка, ИмяКомандыПробитияЧека, ТипФискальногоДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ТипыРасчетаДенежнымиСредствами(ДокументСсылка, ИмяКомандыПробитияЧека, ТипФискальногоДокумента) 
```
</details>

## ВидыЧекаКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет виды чека коррекции по документу
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ пробития фискального чека
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
// Возвращаемое значение:
// 	Массив Из ПеречислениеСсылка.ВидыЧековКоррекции - Виды чека коррекции
Функция ВидыЧекаКоррекции(ДокументСсылка, ИмяКомандыПробитияЧека) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ВидыЧекаКоррекции(ДокументСсылка, ИмяКомандыПробитияЧека) 
```
</details>

## ОбъектыРасчетовСПризнакамиСпособаРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует таблицу объектов расчетов с признаками способа расчетов по каждому объекту для формирования позиции чека
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ пробития фискального чека
// 	ВозможныеПризнакиСпособаРасчетаПоДокументу - ТаблицаЗначений - Возможные признаки способа расчета по документу
// 	ПризнакиСпособаРасчетаАвто - ТаблицаЗначений - Признаки способа расчета по взаиморасчетам с контрагентом
// 	ПризнакСпособаРасчета - ПеречислениеСсылка.ПризнакиСпособаРасчета - Выбранный признак способа расчета
// 	ОбъектыРасчетов - ТаблицаЗначений - Объекты расчетов по документу
// 	СуммаДокумента - Число - Сумма документа
// Возвращаемое значение:
// 	ТаблицаЗначений - Таблица объектов расчетов с признаками способа расчетов по каждому объекту
Функция ОбъектыРасчетовСПризнакамиСпособаРасчетов(ДокументСсылка, ВозможныеПризнакиСпособаРасчетаПоДокументу, ПризнакиСпособаРасчетаАвто, ПризнакСпособаРасчета, ОбъектыРасчетов, СуммаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ОбъектыРасчетовСПризнакамиСпособаРасчетов(ДокументСсылка, ВозможныеПризнакиСпособаРасчетаПоДокументу, ПризнакиСпособаРасчетаАвто, ПризнакСпособаРасчета, ОбъектыРасчетов, СуммаДокумента) 
```
</details>

## ОбновитьПараметрыФискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметры операции фискализации чека
//
// Параметры:
// 	ПараметрыОперацииЧека - Структура - Данные для формирования параметров операции фискализации чека
// 	ВерсияФФД - Строка - Версия ФФД
// Возвращаемое значение:
// 	Структура - Обновленные параметры операции фискализации чека
Функция ОбновитьПараметрыФискальногоЧека(ПараметрыОперацииЧека, ВерсияФФД) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ОбновитьПараметрыФискальногоЧека(ПараметрыОперацииЧека, ВерсияФФД) 
```
</details>

## ОбновитьМакетЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст нефискального чека по шаблону.
//
// Параметры:
// 	ПараметрыОперацииФискализацииЧека - Структура - Параметры операции фискализации чека
// 	ВерсияФФД - Строка - Версия ФФД, по которой формируется текст чека
// Возвращаемое значение:
// 	Строка - Текст нефискального чека по шаблону
Функция ОбновитьМакетЧека(ПараметрыОперацииФискализацииЧека, ВерсияФФД) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ОбновитьМакетЧека(ПараметрыОперацииФискализацииЧека, ВерсияФФД) 
```
</details>

## ИННСоответствуетТребованиямНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, соответствует ли введенный ИНН требованиям законодательства
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ печати чека
// 	ИНН - Строка - Введенный ИНН
// 	ТекстСообщения - Строка - Сообщение об ошибке
// Возвращаемое значение:
// 	Булево - Статус корректности ввода ИНН
Функция ИННСоответствуетТребованиямНаСервере(ДокументСсылка, ИНН, ТекстСообщения) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ИННСоответствуетТребованиямНаСервере(ДокументСсылка, ИНН, ТекстСообщения) 
```
</details>

## ПодключенноеОборудованиеПечатиЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подключенное оборудовани по организации и торговому объекту
//
// Параметры:
// 	ПараметрыОперации - Структура - Структура параметров операции
// Возвращаемое значение:
// 	Массив из Структура - список подключенного оборудования:
// 	* Оборудование - СправочникСсылка.ПодключаемоеОборудование - Оборудование
// 	* Подключено - Булево - Статус подключение, где Истина = подключено
// 	* ВерсияФФД - Строка - Версия ФФД, поддерживаемая оборудованием
Функция ПодключенноеОборудованиеПечатиЧеков(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ПодключенноеОборудованиеПечатиЧеков(ПараметрыОперации) 
```
</details>

## ШтрихкодыУпаковокЗаполнены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШтрихкодыУпаковокЗаполнены(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ШтрихкодыУпаковокЗаполнены(Объект) 
```
</details>

## РаспределитьРасчетыСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает метод механизма Взаиморасчеты для распределения расчетов с клиентами
//
// Параметры:
// 	ПараметрыОперации - см. ФормированиеПараметровФискальногоЧекаСервер.ПараметрыОперацииФискализацииЧека
//
Процедура РаспределитьРасчетыСКлиентами(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСервер.РаспределитьРасчетыСКлиентами(ПараметрыОперации) 
```
</details>

## ОплатаПодарочнымСертификатом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определеяет, проводится ли документом оплата подарочным сертификатом.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка.ВзаимозачетЗадолженности - Взаимозачет задолженности
//
// Возвращаемое значение:
//  Булево - Истина, оплата подарочным сертификатом
Функция ОплатаПодарочнымСертификатом(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСервер.ОплатаПодарочнымСертификатом(ДокументСсылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
