---
title: Формирование фискальных чеков сервер переопределяемый
slug: erp-uh/формирование-фискальных-чеков-сервер-переопределяемый
---


## СтруктураОсновныхПараметровОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет структуру параметров для печати чеков, заполняет параметры значениями по-умолчанию
//
// Возвращаемое значение:
// 	Структура - Структура параметров:
//	* ДокументСсылка - ДокументСсылка, Неопределено -
//	* Организация - СправочникСсылка.Организации, Неопределено -
//	* Контрагент - СправочникСсылка.Контрагенты, Неопределено -
//	* Партнер - СправочникСсылка.Партнеры, Неопределено -
//	* ТорговыйОбъект - СправочникСсылка.Склады, Неопределено -
//	* Валюта - СправочникСсылка.Валюты, Неопределено -
//	* ВалютаВзаиморасчетов - СправочникСсылка.Валюты, Неопределено -
//	* СуммаДокумента - Число, Неопределено -
//	* ИмяКомандыПробитияЧека - Строка, Неопределено -
//	* ИмяРеквизитаГиперссылкиНаФорме - Строка, Неопределено -
//	* ОплатаВыполнена - Булево, Неопределено -
//	* ПараметрыЭквайринговойОперации - См. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыПакетнойОперацииВОчередиЧеков
Функция СтруктураОсновныхПараметровОперации() Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.СтруктураОсновныхПараметровОперации() 
```
</details>

## ПараметрыПредпросмотраЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры по документу для формирования формы предпросмотра чека
//
// Параметры:
// 	ПараметрыОперации - Структура - Основные параметры документа
// Возвращаемое значение:
// 	Структура - параметры по документу для формирования формы предпросмотра чека
Функция ПараметрыПредпросмотраЧека(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ПараметрыПредпросмотраЧека(ПараметрыОперации) 
```
</details>

## ПредполагаетсяПодключениеЭквайринговогоТерминалаПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает статус работы документа с эквайринговым оборудованием
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ, проверяемый на возможность работы с эквайринговым оборудованием
// Возвращаемое значение:
// 	Булево - Статус работы документа с эквайринговым оборудованием
Функция ПредполагаетсяПодключениеЭквайринговогоТерминалаПоДокументу(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ПредполагаетсяПодключениеЭквайринговогоТерминалаПоДокументу(ДокументСсылка) 
```
</details>

## ДатаСовершенияКорректируемогоРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет дату операции чека коррекции по документу
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Корректируемый документ
// Возвращаемое значение:
// 	Дата - Дата операции чека коррекции по документу
Функция ДатаСовершенияКорректируемогоРасчета(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ДатаСовершенияКорректируемогоРасчета(ДокументСсылка) 
```
</details>

## ТипыФискальногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет типы видов фискальных чеков по документы
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ пробития фискального чека
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
// Возвращаемое значение:
// 	Массив Из ПеречислениеСсылка.ТипыФискальныхДокументовККТ - Типы фискальных чеков
Функция ТипыФискальногоДокумента(ДокументСсылка, ИмяКомандыПробитияЧека) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ТипыФискальногоДокумента(ДокументСсылка, ИмяКомандыПробитияЧека) 
```
</details>

## ТипыРасчетаДенежнымиСредствами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет типы расчета денежными средствами по документу
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ пробития фискального чека
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
// 	ТипФискальногоДокумента - ПеречислениеСсылка.ТипыФискальныхДокументовККТ - Тип фискального документа
// Возвращаемое значение:
// 	Массив Из ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - Типы расчета денежными средствами
Функция ТипыРасчетаДенежнымиСредствами(ДокументСсылка, ИмяКомандыПробитияЧека, ТипФискальногоДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ТипыРасчетаДенежнымиСредствами(ДокументСсылка, ИмяКомандыПробитияЧека, ТипФискальногоДокумента) 
```
</details>

## ВидыЧекаКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет виды чека коррекции по документу
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ пробития фискального чека
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
// Возвращаемое значение:
// 	Массив Из ПеречислениеСсылка.ВидыЧековКоррекции - Виды чека коррекции
Функция ВидыЧекаКоррекции(ДокументСсылка, ИмяКомандыПробитияЧека) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ВидыЧекаКоррекции(ДокументСсылка, ИмяКомандыПробитияЧека) 
```
</details>

## ОбъектыРасчетовСПризнакамиСпособаРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует таблицу объектов расчетов с признаками способа расчетов по каждому объекту для формирования позиции чека
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ пробития фискального чека
// 	ВозможныеПризнакиСпособаРасчетаПоДокументу - ТаблицаЗначений - Возможные признаки способа расчета по документу
// 	ПризнакиСпособаРасчетаАвто - ТаблицаЗначений - Признаки способа расчета по взаиморасчетам с контрагентом
// 	ПризнакСпособаРасчета - ПеречислениеСсылка.ПризнакиСпособаРасчета - Выбранный признак способа расчета
// 	ОбъектыРасчетов - ТаблицаЗначений - Объекты расчетов по документу
// 	СуммаДокумента - Число - Сумма документа
// Возвращаемое значение:
// 	ТаблицаЗначений - Таблица объектов расчетов с признаками способа расчетов по каждому объекту:
//	* ОбъектРасчетов - ДокументСсылка, СправочникСсылка -
//	* ПризнакСпособаРасчета - ПеречислениеСсылка.ПризнакиСпособаРасчета -
//	* Сумма - Число -
Функция ОбъектыРасчетовСПризнакамиСпособаРасчетов(ДокументСсылка, ВозможныеПризнакиСпособаРасчетаПоДокументу, ПризнакиСпособаРасчетаАвто, ПризнакСпособаРасчета, ОбъектыРасчетов, СуммаДокумента, СуммаПредоплатыВРамкахОдногоДня) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ОбъектыРасчетовСПризнакамиСпособаРасчетов(ДокументСсылка, ВозможныеПризнакиСпособаРасчетаПоДокументу, ПризнакиСпособаРасчетаАвто, ПризнакСпособаРасчета, ОбъектыРасчетов, СуммаДокумента, СуммаПредоплатыВРамкахОдногоДня) 
```
</details>

## ДокументОплатыСВозможностьюПробитияЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли документ документом оплаты с возможностью пробития чека
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Проверяемый документ
// Возвращаемое значение:
// 	Булево - флаг, является ли документ документом оплаты с возможностью пробития чека, да = истина, нет = ложь
Функция ДокументОплатыСВозможностьюПробитияЧеков(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ДокументОплатыСВозможностьюПробитияЧеков(ДокументСсылка) 
```
</details>

## ДокументПоставкиСВозможностьюПробитияЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли документ документом поставки с возможностью пробития чека
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Проверяемый документ
// Возвращаемое значение:
// 	Булево - флаг, является ли документ документом поставки с возможностью пробития чека, да = истина, нет = ложь
Функция ДокументПоставкиСВозможностьюПробитияЧеков(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ДокументПоставкиСВозможностьюПробитияЧеков(ДокументСсылка) 
```
</details>

## ОбъектРасчетовАвансовый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли объект расчетов авансовым
//
// Параметры:
// 	ОбъектРасчетов - СправочникСсылка, ДокументСсылка - объект расчета документа оплаты
// Возвращаемое значение:
// 	Булево - флаг, является ли объект расчета авансовым, да = истина, нет = ложь
Функция ОбъектРасчетовАвансовый(ОбъектРасчетов) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ОбъектРасчетовАвансовый(ОбъектРасчетов) 
```
</details>

## ОбъектРасчетовПредоплатный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, является ли объект расчетов предоплатным
//
// Параметры:
// 	ОбъектРасчетов - ДокументСсылка - объект расчета документа оплаты
// Возвращаемое значение:
// 	Булево - флаг, является ли объект расчета предоплатным, да = истина, нет = ложь
Функция ОбъектРасчетовПредоплатный(ОбъектРасчетов) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ОбъектРасчетовПредоплатный(ОбъектРасчетов) 
```
</details>

## ДокументОплатыПоДокументуПоставкиВРамкахЕдиногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет платежный документ по документу поставки товаров/услуг. Если платежных документов больше одного или
// не было платежей по документу, возвращается Неопределено.
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ поставки
// Возвращаемое значение:
// 	Неопределено - Описание
Функция ДокументОплатыПоДокументуПоставкиВРамкахЕдиногоЧека(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ДокументОплатыПоДокументуПоставкиВРамкахЕдиногоЧека(ДокументСсылка) 
```
</details>

## ДокументПоставкиПоДокументуОплатыВРамкахЕдиногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет документ поставки товаров/услуг по документу оплаты. Если документов поставки больше одного или
// не было поставки по документу, возвращается Неопределено.
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ Оплаты
// Возвращаемое значение:
// 	Неопределено - Описание
Функция ДокументПоставкиПоДокументуОплатыВРамкахЕдиногоЧека(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ДокументПоставкиПоДокументуОплатыВРамкахЕдиногоЧека(ДокументСсылка) 
```
</details>

## ДокументОплатыПоДокументуПоставкиВРамкахОдногоДня
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет платежный документ по документу поставки товаров/услуг. Если платежных документов больше одного или
// не было платежей по документу, возвращается Неопределено.
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ поставки
// Возвращаемое значение:
// 	Неопределено - Описание
Функция ДокументОплатыПоДокументуПоставкиВРамкахОдногоДня(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ДокументОплатыПоДокументуПоставкиВРамкахОдногоДня(ДокументСсылка) 
```
</details>

## ОбновитьПараметрыФискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет параметры операции фискализации чека
//
// Параметры:
// 	ПараметрыОперацииЧека - Структура - Данные для формирования параметров операции фискализации чека
// 	ВерсияФФД - Строка - Версия ФФД
// Возвращаемое значение:
// 	Структура - См. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
Функция ОбновитьПараметрыФискальногоЧека(ПараметрыОперацииЧека, ВерсияФФД) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ОбновитьПараметрыФискальногоЧека(ПараметрыОперацииЧека, ВерсияФФД) 
```
</details>

## ОбновитьМакетЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст нефискального чека по шаблону.
//
// Параметры:
// 	ПараметрыОперацииФискализацииЧека - Структура - Параметры операции фискализации чека
// 	ВерсияФФД - Строка - Версия ФФД, по которой формируется текст чека
// Возвращаемое значение:
// 	Строка - Текст нефискального чека по шаблону
Функция ОбновитьМакетЧека(ПараметрыОперацииФискализацииЧека, ВерсияФФД) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ОбновитьМакетЧека(ПараметрыОперацииФискализацииЧека, ВерсияФФД) 
```
</details>

## ВидыВозможныхПризнаковСпособаРасчетаПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив возможных признаков способа расчета документа
//
// Параметры:
//  ПризнакиСпособаРасчета - Массив Из ПеречислениеСсылка.ПризнакиСпособаРасчета - Признак способа расчета для документа, возвращаемое значение
// 	ДокументСсылка - ДокументСсылка - Документ
// 	ОбъектыРасчетов - СправочникСсылка, ДокументСсылка - Объекты расчетов документа
// 	ТипРасчетаДенежнымиСредствами - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - тип расчета денежными средствами
// 	СуммаДокумента - Число - Сумма документа
Процедура ВидыВозможныхПризнаковСпособаРасчетаПоДокументу(ПризнакиСпособаРасчета, ДокументСсылка, ОбъектыРасчетов, ТипРасчетаДенежнымиСредствами, СуммаДокумента) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСерверПереопределяемый.ВидыВозможныхПризнаковСпособаРасчетаПоДокументу(ПризнакиСпособаРасчета, ДокументСсылка, ОбъектыРасчетов, ТипРасчетаДенежнымиСредствами, СуммаДокумента) 
```
</details>

## ПризнакСпособаРасчетаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив возможных признаков способа расчета документа
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ
// 	ОбъектыРасчетов - СправочникСсылка, ДокументСсылка - Объекты расчетов документа
// 	ТипРасчетаДенежнымиСредствами - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами - тип расчета денежными средствами
// 	СуммаДокумента - Число - Сумма документа
// Возвращаемое значение:
// 	ПеречислениеСсылка.ПризнакиСпособаРасчета - Массив возможных признаков способа расчета документа
Функция ПризнакСпособаРасчетаПоУмолчанию(ДокументСсылка, ОбъектыРасчетов, ТипРасчетаДенежнымиСредствами, СуммаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ПризнакСпособаРасчетаПоУмолчанию(ДокументСсылка, ОбъектыРасчетов, ТипРасчетаДенежнымиСредствами, СуммаДокумента) 
```
</details>

## МаксимальнаяВерсияФФД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает поддерживаемую максимальную версию ФФД
//
// Возвращаемое значение:
// 	Строка - Описание - Версия ФФД
Функция МаксимальнаяВерсияФФД() Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.МаксимальнаяВерсияФФД() 
```
</details>

## ВерсияФФДОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает версию ФФД, поддерживаемую оборудованием
//
// Параметры:
// 	ПодключаемоеОборудование - СправочникСсылка.ПодключаемоеОборудование - ККТ
// Возвращаемое значение:
// 	Строка - Версия ФФД, поддерживаемую оборудованием
Функция ВерсияФФДОборудования(ПодключаемоеОборудование) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ВерсияФФДОборудования(ПодключаемоеОборудование) 
```
</details>

## ИННСоответствуетТребованиямНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, соответствует ли введенный ИНН требованиям законодательства
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Документ печати чека
// 	ИНН - Строка - Введенный ИНН
// 	ТекстСообщения - Строка - Сообщение об ошибке
// Возвращаемое значение:
// 	Булево - Статус корректности ввода ИНН
Функция ИННСоответствуетТребованиямНаСервере(ДокументСсылка, ИНН, ТекстСообщения) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ИННСоответствуетТребованиямНаСервере(ДокументСсылка, ИНН, ТекстСообщения) 
```
</details>

## ПодключенноеОборудованиеПечатиЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подключенное оборудовани по организации и торговому объекту
//
// Параметры:
// 	ПараметрыОперации - Структура - Структура параметров операции
// Возвращаемое значение:
// 	Массив из Структура - список подключенного оборудования:
// 	* Оборудование - СправочникСсылка.ПодключаемоеОборудование - Оборудование
// 	* Подключено - Булево - Статус подключение, где Истина = подключено
// 	* ВерсияФФД - Строка - Версия ФФД, поддерживаемая оборудованием
Функция ПодключенноеОборудованиеПечатиЧеков(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ПодключенноеОборудованиеПечатиЧеков(ПараметрыОперации) 
```
</details>

## ОбъектыРасчетовДокументаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объекты расчетов документа оплаты
//
// Параметры:
// 	ДокументыОплаты - ДокументСсылка - Документы оплаты
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
// Возвращаемое значение:
// 	ТаблицаЗначений, Неопределено - Описание
Функция ОбъектыРасчетовДокументаОплаты(ДокументыОплаты, ИмяКомандыПробитияЧека) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ОбъектыРасчетовДокументаОплаты(ДокументыОплаты, ИмяКомандыПробитияЧека) 
```
</details>

## ОбновитьГиперссылкуПробитияФискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет представление гиперссылки данными фискального чека в переданном параметре "РеквизитГиперссылкиНаФорме"
//
// Параметры:
// 	ДокументСсылка - ДокументСсылка - Ссылка на документ, из формы документа которого ожидается возможность
// 	 ввода/отображения фискального чека.
// 	Форма - ФормаКлиентскогоПриложения - Форма документа, на которой необходимо обновить гиперссылку ввода/отображения
// 	 фискального чека.
// 	РеквизитГиперссылкиНаФорме - РеквизитФормы - Реквизит формы, отображающий гиперссылку ввода/отображения фискального
// 	 чека.
Процедура ОбновитьГиперссылкуПробитияФискальногоЧека(ДокументСсылка, Форма, РеквизитГиперссылкиНаФорме) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСерверПереопределяемый.ОбновитьГиперссылкуПробитияФискальногоЧека(ДокументСсылка, Форма, РеквизитГиперссылкиНаФорме) 
```
</details>

## ФормаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирование кэш данных механизмов основными параметрами операции при создании формы на сервере
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа - состоит из:
// 	* Объект - ДокументОбъект - Основной реквизит формы.
Процедура ФормаПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСерверПереопределяемый.ФормаПриСозданииНаСервере(Форма) 
```
</details>

## ФормаПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирование кэш данных механизмов основными параметрами операции при чтении формы на сервере
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа - состоит из:
// 	* Объект - ДокументОбъект - Основной реквизит формы.
Процедура ФормаПриЧтенииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСерверПереопределяемый.ФормаПриЧтенииНаСервере(Форма) 
```
</details>

## ФормаПриИзмененииРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирование кэш данных механизмов основными параметрами операции при изменении реквизита формы
//
// Параметры:
// 	Форма - ФормаКлиентскогоПриложения - Форма документа - состоит из:
// 	* Объект - ДокументОбъект - Основной реквизит формы - состоит из
Процедура ФормаПриИзмененииРеквизитов(Форма) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСерверПереопределяемый.ФормаПриИзмененииРеквизитов(Форма) 
```
</details>

## ОбработкаПолученияФормыПредпросмотрЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расширение для метода ОбработкаПолученияФормы модуля менеджера Обработка.ПредпросмотрЧека.
//
// Параметры:
// 	ВидФормы - Строка - Имя стандартной формы.
// 	Параметры - Структура - Параметры формы
// 	ВыбраннаяФорма - Строка, ОбъектМетаданных - Содержит имя открываемой формы или объект метаданных Форма
// 	ДополнительнаяИнформация - Структура - Дополнительная информация открытия формы.
// 	СтандартнаяОбработка - Булево - В данный параметр передается признак выполнения стандартной (системной) обработки события.
//
Процедура ОбработкаПолученияФормыПредпросмотрЧека(ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСерверПереопределяемый.ОбработкаПолученияФормыПредпросмотрЧека(ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) 
```
</details>

## ОплатаПодарочнымСертификатом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определеяет, проводится ли документом оплата подарочным сертификатом.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка.ВзаимозачетЗадолженности - Взаимозачет задолженности
//
// Возвращаемое значение:
//  Булево - Истина, оплата подарочным сертификатом
Функция ОплатаПодарочнымСертификатом(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ОплатаПодарочнымСертификатом(ДокументСсылка) 
```
</details>

## СтавкиНДСПоОбъектуРасчетовПоДокументуОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//++ Локализация

// Метод определяет и возвращает по оплачиваемому объекту расчетов суммы НДС в разрезе ставок НДС
//
// Параметры:
// 	ДокументОплаты - ДокументСсылка - документ оплаты, для которого нужно определить ставки НДС и суммы НДС
// 	ОбъектРасчета - СправочникСсылка, ДокументСсылка - объект расчетов, по которому проводится оплата и по которому нужно определить ставки НДС и суммы НДС
//	СистемаНалогообложения - ПеречислениеСсылка.ТипыСистемНалогообложенияККТ - Система налогообложения по организации
// 	ИмяКомандыПробитияЧека - Строка - Имя команды пробития чека
// Возвращаемое значение:
// 	ТаблицаЗначений - Таблица значений, содержащая значения ставок НДС и сумм НДС по оплачиваемому объекту расчетов:
//	* СтавкаНДС - ПеречислениеСсылка.СтавкиНДС -
//	* СуммаНДС - Число -
//	* Сумма - Число -
Функция СтавкиНДСПоОбъектуРасчетовПоДокументуОплаты(ДокументОплаты, ОбъектРасчета, СистемаНалогообложения, ИмяКомандыПробитияЧека) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.СтавкиНДСПоОбъектуРасчетовПоДокументуОплаты(ДокументОплаты, ОбъектРасчета, СистемаНалогообложения, ИмяКомандыПробитияЧека) 
```
</details>

## ТаблицаТоваровСРаспределениемКодовМаркировкиИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разбивает строки товаров по единичиным кодам маркировки
//
// Параметры:
//   Товары        - ТаблицаЗначений - Таблица товаров в позиции чека:
//   	*НомерСтроки - Число - Номер строки
//   ДанныеДляИСМП - ТаблицаЗначений, Неопределено - Таблица товаров с маркировкой продукции
//
Процедура ТаблицаТоваровСРаспределениемКодовМаркировкиИСМП(Товары, ДанныеДляИСМП) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСерверПереопределяемый.ТаблицаТоваровСРаспределениемКодовМаркировкиИСМП(Товары, ДанныеДляИСМП) 
```
</details>

## РазрешенВводПерсональныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//-- Локализация

// Проверяет разрешение ввода персональных данных
//
// Параметры:
// 	ПараметрыОперацииЧека - Структура - Параметры необходимые для проверки разрешения:
// 	* ДокументСсылка - ДокументСсылка - Ссылка на документ поставки/оплаты
// 	* Контрагент - СправочникСсылка.Контрагенты - Покупатель
// 	* ЕдиныйЧек - Булево - Признак оформления единого чека
// Возвращаемое значение:
//  Булево -
Функция РазрешенВводПерсональныхДанных(ПараметрыОперацииЧека) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.РазрешенВводПерсональныхДанных(ПараметрыОперацииЧека) 
```
</details>

## РаспределитьРасчетыСКлиентами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает метод механизма Взаиморасчеты для распределения расчетов с клиентами
//
// Параметры:
// 	ПараметрыОперации - см. ФормированиеПараметровФискальногоЧекаСервер.ПараметрыОперацииФискализацииЧека
//
Процедура РаспределитьРасчетыСКлиентами(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
ФормированиеФискальныхЧековСерверПереопределяемый.РаспределитьРасчетыСКлиентами(ПараметрыОперации) 
```
</details>

## ВзаиморасчетыРассчитаны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку, что распределение взаиморасчетов является актуальным.
//
// Параметры:
// 	ПараметрыОперации - см. ФормированиеПараметровФискальногоЧекаСервер.ПараметрыОперацииФискализацииЧека
//
// Возвращаемое значение:
//  Булево
Функция ВзаиморасчетыРассчитаны(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.ВзаиморасчетыРассчитаны(ПараметрыОперации) 
```
</details>

## РазрешенКассовыйЧекКоррекцииДляТипаРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что тип расчетов денежными средствами входит в список разрешенных для использования кассового чека коррекции.
//
// Параметры:
//  ТипРасчетовДенежнымиСредствами - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами -
//
// Возвращаемое значение:
//  Булево -
//
Функция РазрешенКассовыйЧекКоррекцииДляТипаРасчетов(ТипРасчетовДенежнымиСредствами) Экспорт
```

Пример вызова
```bsl
Результат = ФормированиеФискальныхЧековСерверПереопределяемый.РазрешенКассовыйЧекКоррекцииДляТипаРасчетов(ТипРасчетовДенежнымиСредствами) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
