---
title: Хранимые файлы УХ
slug: erp-uh/хранимые-файлы-ух
---


## ОткрытьФайлНаДиске
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С ФАЙЛАМИ

// Функция открывает файл на файл на диске
//
Функция ОткрытьФайлНаДиске(ПолноеИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ОткрытьФайлНаДиске(ПолноеИмяФайла) 
```
</details>

## ПолучитьВерсиюФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВерсиюФайла(ХранимыйФайл,Период=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПолучитьВерсиюФайла(ХранимыйФайл, Период);
```
</details>

## ОткрытьХранимыйФайлДляЧтения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает хранимый файл из хранилища значений и открывает его в режиме только для чтения
//
Процедура ОткрытьХранимыйФайлДляЧтения(ХранимыйФайл, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
ХранимыеФайлыУХ.ОткрытьХранимыйФайлДляЧтения(ХранимыйФайл, Период);
```
</details>

## ОткрытьФормуСпискаХранимыхФайловОрганизацииДляВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывае форму выбора списка хранимых файлов организация, с предустановленными отборами
//
//
Процедура ОткрытьФормуСпискаХранимыхФайловОрганизацииДляВыбора(Элемент, ИсточникОтборов) Экспорт
```

Пример вызова
```bsl
ХранимыеФайлыУХ.ОткрытьФормуСпискаХранимыхФайловОрганизацииДляВыбора(Элемент, ИсточникОтборов) 
```
</details>

## ПолучитьДвоичныеДанныеФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДвоичныеДанныеФайла(Знач ХранимыйФайл, Знач Период, ДатаИзмененияФайла) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПолучитьДвоичныеДанныеФайла(ХранимыйФайл, Период, ДатаИзмененияФайла) 
```
</details>

## КаталогПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает строку с именем каталога пользователя
//
Функция КаталогПользователя(Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.КаталогПользователя(Пользователь) 
```
</details>

## ПодКаталогВладельцаХранимогоФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает строку, соответствующую подкаталогу владельца хранимого файла
//
Функция ПодКаталогВладельцаХранимогоФайла(ВладелецФайла) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПодКаталогВладельцаХранимогоФайла(ВладелецФайла) 
```
</details>

## СформироватьИмяФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает имя файла (заменяются все недопустимые символы) и добавляется суффикс соответствующий периоду хранимого файла
//
Функция СформироватьИмяФайла(Знач ИмяФайла, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.СформироватьИмяФайла(ИмяФайла, Период);
```
</details>

## ПолучитьФайлИмпорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьФайлИмпорта(ВерсияХранимогоФайла) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПолучитьФайлИмпорта(ВерсияХранимогоФайла) 
```
</details>

## ПолучитьХранимыйФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает хранимый файл из информационной базы на диск
//
//
Функция ПолучитьХранимыйФайл(ХранимыйФайл, ПолноеИмяФайла, ПроверятьДатуФайла = Истина, ПроверятьТолькоЧтениеФайла = Истина, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПолучитьХранимыйФайл(ХранимыйФайл, ПолноеИмяФайла, ПроверятьДатуФайла, ПроверятьТолькоЧтениеФайла, Период);
```
</details>

## ПоместитьХранимыйФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция помещает хранимый файл с диска в информационную базу
//
//
Функция ПоместитьХранимыйФайл(ХранимыйФайл, ПолноеИмяФайла, Комментарий = "", Локально = Ложь, ИмпортЧерезWebИнтерфейс = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПоместитьХранимыйФайл(ХранимыйФайл, ПолноеИмяФайла, Комментарий, Локально, ИмпортЧерезWebИнтерфейс);
```
</details>

## ПроверитьНаличиеВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьНаличиеВерсии(ХранимыйФайл,ДатаИзмененияФайла,РазмерФайла,ПолноеИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПроверитьНаличиеВерсии(ХранимыйФайл, ДатаИзмененияФайла, РазмерФайла, ПолноеИмяФайла) 
```
</details>

## ПолучитьСписокЛистов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокЛистов(ХранимыйФайл=Неопределено,ПолноеИмяФайла="") Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПолучитьСписокЛистов(ХранимыйФайл, ПолноеИмяФайла);
```
</details>

## ПоместитьХранимыйФайл_УР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция помещает хранимый файл с диска в информационную базу
//
//
Функция ПоместитьХранимыйФайл_УР(ХранимыйФайл, СтруктураФайла, Комментарий = "") Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПоместитьХранимыйФайл_УР(ХранимыйФайл, СтруктураФайла, Комментарий);
```
</details>

## ДобавитьХранимыйФайлИлиВерсию_УР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Реализация функции для сохранения хранимого файла из управляемого режима.
Функция ДобавитьХранимыйФайлИлиВерсию_УР(СтруктураОтбора, СтруктураФайла, КомментарийКВерсии ="", ХранимыйФайл = Неопределено, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ДобавитьХранимыйФайлИлиВерсию_УР(СтруктураОтбора, СтруктураФайла, КомментарийКВерсии, ХранимыйФайл, Период);
```
</details>

## ДобавитьХранимыйФайлИлиВерсию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция помещает новый хранимый файл или версию существующего с диска в информационную базу
//
//
Функция ДобавитьХранимыйФайлИлиВерсию(Знач ПолноеИмяНаДиске, СтруктураОтбора, КомментарийКВерсии = "", ХранимыйФайл = Неопределено, Период = Неопределено, ИмпортЧерезWebИнтерфейс = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ДобавитьХранимыйФайлИлиВерсию(ПолноеИмяНаДиске, СтруктураОтбора, КомментарийКВерсии, ХранимыйФайл, Период, ИмпортЧерезWebИнтерфейс);
```
</details>

## УдалитьФайлИлиКаталог
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция удаляет хранимый файл или каталог, удаляются так-же файлы с атрибутом "Только чтение"
//
// Возвращаемое значение:
//  Истина, если файлы удалены, ложь - иначе
//
Функция УдалитьФайлИлиКаталог(Файл) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.УдалитьФайлИлиКаталог(Файл) 
```
</details>

## ДатаИзмененияХранимогоФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает дату изменения версии хранимого файла
//
Функция ДатаИзмененияХранимогоФайла(ХранимыйФайл, Период = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ДатаИзмененияХранимогоФайла(ХранимыйФайл, Период);
```
</details>

## ПолучитьФильтрФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку фильтра для диалога выбора файла с типами файлов.
//
// Параметры
//  Нет.
//
// Возвращаемое значение:
//   Строка – фильтр по типам файлов для диалога выбора файла.
//
Функция ПолучитьФильтрФайлов() Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПолучитьФильтрФайлов() 
```
</details>

## ПолучитьВерсиюФайлаПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВерсиюФайлаПоОбъекту(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПолучитьВерсиюФайлаПоОбъекту(Объект) 
```
</details>

## ПолучитьИмпортированнуюВерсию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмпортированнуюВерсию(ИнформацияОФайле,Объект) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ПолучитьИмпортированнуюВерсию(ИнформацияОФайле, Объект) 
```
</details>

## ЧислоВерсийВБазе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЧислоВерсийВБазе(ХранимыйФайл=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ХранимыеФайлыУХ.ЧислоВерсийВБазе(ХранимыйФайл);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
