---
title: Ценообразование клиент
slug: erp-uh/ценообразование-клиент
---


## ИспользуетсяЦенообразование25
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, используется ли ценообразование версии 2.5 на указанную дату.
//
// Параметры:
//	Дата - Дата - дата, для которой надо определить режим ценообразования.
//
// Возвращаемое значение:
//	Булево - признак использования ценообразования версии 2.5 на указанную дату
//	Если дата не указана, то она приравнивается к текущей.
Функция ИспользуетсяЦенообразование25(Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦенообразованиеКлиент.ИспользуетсяЦенообразование25(Дата);
```
</details>

## НеобходимПересчетЦеныПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость пересчита цены при изменении серии или упаковки.
//
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура - номенклатура проверки
//  ИмяРеквизита - Строка - "Серия" или "Упаковка". имя изменяемого реквизита
//  Дата - Неопределено, Дата - Дата проверки
//
// Возвращаемое значение:
//  Булево - Истина, Необходимо пересчитать цены
Функция НеобходимПересчетЦеныПриИзменении(Номенклатура, ИмяРеквизита, Дата = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦенообразованиеКлиент.НеобходимПересчетЦеныПриИзменении(Номенклатура, ИмяРеквизита, Дата);
```
</details>

## НеобходимПересчетВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для пересчета из валюты в валюту.
//
// Параметры:
//  Документ	 - ДокументОбъект			 - Документ, для которого выполняются проверки.
//  СтараяВалюта - СправочникСсылка.Валюты	 - Предыдущая валюта документа.
//  ИмяТЧ		 - Строка					 - Имя табличной части.
//  ИмяПоляЦена	 - Строка					 - Имя поля, содержащее сумму, которая зависит от валюты.
//
// Возвращаемое значение:
//  Булево - Истина, если необходим пересчет в валюту.
//
Функция НеобходимПересчетВВалюту(Документ, СтараяВалюта, ИмяТЧ="Товары", ИмяПоляЦена = "Цена") Экспорт
```

Пример вызова
```bsl
Результат = ЦенообразованиеКлиент.НеобходимПересчетВВалюту(Документ, СтараяВалюта, ИмяТЧ, ИмяПоляЦена);
```
</details>

## НеобходимПересчетСуммыВзаиморасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых пересчета сумм взаиморасчетов
//
// Параметры:
// 		Документ 		- ДокументОбъект 			- ДокументОбъект, для которого выполняются проверки
// 		СтараяВалюта 	- СправочникСсылка.Валюты	- Предыдущая валюта взаиморасчетов
// 		ИмяТЧ 			- Строка 					- Имя табличной части.
//
// Возвращаемое значение:
// 		Булево - Ложь, если необходимые пересчитать суммы взаиморасчетов.
//
Функция НеобходимПересчетСуммыВзаиморасчетов(Документ, СтараяВалюта, ИмяТЧ="Товары") Экспорт
```

Пример вызова
```bsl
Результат = ЦенообразованиеКлиент.НеобходимПересчетСуммыВзаиморасчетов(Документ, СтараяВалюта, ИмяТЧ);
```
</details>

## ОповеститьОбОкончанииПересчетаСуммВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании пересчета сумм из валюты в валюту.
//
// Параметры:
// ВалютаИсточник - СправочникСсылка.Валюты - валюта, из которой осуществлялся пересчет
// ВалютаПриемник - СправочникСсылка.Валюты - валюта, в которую осуществляется пересчет.
//
Процедура ОповеститьОбОкончанииПересчетаСуммВВалюту(ВалютаИсточник, ВалютаПриемник) Экспорт
```

Пример вызова
```bsl
ЦенообразованиеКлиент.ОповеститьОбОкончанииПересчетаСуммВВалюту(ВалютаИсточник, ВалютаПриемник) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
