---
title: Централизованные закупки вызов сервера УХ
slug: erp-uh/централизованные-закупки-вызов-сервера-ух
---


## ДобавитьВерсиюОбъектаДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Добавляет новую запись в регистр сведений ВерсииОбъектовДляЕИС. Номер версии увеличивает на единицу.
// Если версий небыло, то номер устанавливаем в единицу.
// Параметры:
//	Ссылка - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ.
//	ОбоснованиеИзменений - Строка(2000). Непустая строка с причиной изменений.
// Возвращает:
//	Число - номер добавленой версии.
//
Функция ДобавитьВерсиюОбъектаДляЕИС(Ссылка, ОбоснованиеИзменений) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ДобавитьВерсиюОбъектаДляЕИС(Ссылка, ОбоснованиеИзменений) 
```
</details>

## ПолучитьВерсиюОбъектаДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить номер версии объекта для ЕИС.
// Параметры:
//	Ссылка - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ.
//
// Возвращает:
//	Структура с описанием последней версии:
//		НомерВерсии - Число. Номер последней версии. Если версий нет, то 0.
//		ОбоснованиеИзменений - Строка(2000). Обоснование внесения изменения при создании версии.
//		Дата - Дата+Время - универсальные дата и время создания версии.
//
Функция ПолучитьВерсиюОбъектаДляЕИС(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьВерсиюОбъектаДляЕИС(Ссылка) 
```
</details>

## ПолучитьСтандартныйУИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает стандартный идентификатор объекта в виде строки.
//
Функция ПолучитьСтандартныйУИД(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьСтандартныйУИД(Объект) 
```
</details>

## ПолучитьЗначенияРеквизитовОсобогоПорядкаЗакупкиНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ресурсы регистра сведений НоменклатураСОсобымПорядкомЗакупки
//  наиболее подходящие под номенклатуру и текущие настройки.
//
// Параметры:
//  Номенклатура - СправочникСсылка.Номенклатура|
//				   СправочникСсылка.ТоварныеКатегории - позиция номенклатуры
//						или товарная категория, для которой нужно определить
//						флаги особого порядка закупки.
//
// Возвращаемое значение:
//	- Структура с ресурсами регистра сведений НоменклатураСОсобымПорядкомЗакупки.
//	- Неопределено - не удалось найти настройку регламентирующую закупку
//					 переданной номенклатуры.
//
Функция ПолучитьЗначенияРеквизитовОсобогоПорядкаЗакупкиНоменклатуры(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьЗначенияРеквизитовОсобогоПорядкаЗакупкиНоменклатуры(Номенклатура) 
```
</details>

## ПолучитьИменаИзмеренийРегистраПланированияПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьИменаИзмеренийРегистраПланированияПотребностей() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьИменаИзмеренийРегистраПланированияПотребностей() 
```
</details>

## ОрганизацияЗакупаетПоФЗ223
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОрганизацияЗакупаетПоФЗ223(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ОрганизацияЗакупаетПоФЗ223(Организация) 
```
</details>

## ПолучитьТипыОбъектаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить массив с типами, которые входят в определяемый тип "ОбъектыЦУЗОбменаСЭТП_УХ"
Функция ПолучитьТипыОбъектаОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьТипыОбъектаОбмена() 
```
</details>

## ПолучитьДанныеНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеНаСервере(ДанныеДляПолучения) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьДанныеНаСервере(ДанныеДляПолучения) 
```
</details>

## ПолучитьМассивЕдиницИзмеренияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивЕдиницИзмеренияНоменклатуры(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьМассивЕдиницИзмеренияНоменклатуры(Номенклатура) 
```
</details>

## МассивНоменклатурыПоТоварнойКатегории
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивНоменклатурыПоТоварнойКатегории(ТоварнаяКатегория) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.МассивНоменклатурыПоТоварнойКатегории(ТоварнаяКатегория) 
```
</details>

## ПолучитьПериодПотребностиПоДате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПериодПотребностиПоДате(ДатаДоговора) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьПериодПотребностиПоДате(ДатаДоговора) 
```
</details>

## ПолучитьПротоколВыбораПоставщиковДляЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПротоколВыбораПоставщиковДляЗакупки(ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьПротоколВыбораПоставщиковДляЗакупки(ЗакупочнаяПроцедура) 
```
</details>

## ПолучитьЗакупкуПоСтрокеПлана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗакупкуПоСтрокеПлана(СтрокаПланаЗакупок, Ошибки) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьЗакупкуПоСтрокеПлана(СтрокаПланаЗакупок, Ошибки) 
```
</details>

## ПересчитатьСуммуВВалютуРеглУчетаНаДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает сумму из валюты в валюту регламентированного учета
//  на указанную дату.
//
// Параметры:
//  Валюта		 - СправочникСсылка.Валюты	 - валюта в которой
//					выражена сумма.
//  ДатаКурса	 - Дата	 - дата на которую брать курс.
//  Сумма		 - Число	 - сумма в валюте для пересчета.
//
// Возвращает:
//	Сумма в валюте регламентированного учета.
//
Функция ПересчитатьСуммуВВалютуРеглУчетаНаДату(Валюта, ДатаКурса, Сумма) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПересчитатьСуммуВВалютуРеглУчетаНаДату(Валюта, ДатаКурса, Сумма) 
```
</details>

## ПроверитьПериодЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность периодов начала и окончания закупок.
//
// Параметры:
//  ПериодЗакупокНачало		 - СправчоникСсылка.Периоды	 - период начала.
//  ПериодЗакупокОкончание	 - СправчоникСсылка.Периоды	 - период окончания
//
// Возвращаемое значение:
//   - Строка - текст сообщения ошибки. Если ошибок нет,
//				то возвращает пустую строку.
//
Функция ПроверитьПериодЗакупок(ПериодЗакупокНачало, ПериодЗакупокОкончание) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПроверитьПериодЗакупок(ПериодЗакупокНачало, ПериодЗакупокОкончание) 
```
</details>

## ВернутьТоварнуюКатегорию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает товарную категорию номенклатуры из массива МассивНоменклатураВход.
// Если несколько - возвращает любую.
Функция ВернутьТоварнуюКатегорию(МассивНоменклатураВход) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ВернутьТоварнуюКатегорию(МассивНоменклатураВход) 
```
</details>

## ВыделитьЭлементыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ВыделитьЭлементыФормы(Форма, мИменаЭлементов, Оформление) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиВызовСервераУХ.ВыделитьЭлементыФормы(Форма, мИменаЭлементов, Оформление) 
```
</details>

## ТиповойСформироватьПечатнуюФормуПротоколаЗакупкиПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает печатную форму протокола.
// См. ЦентрализованныеЗакупкиКлиентУХ.ТиповаяПечатьПротоколаЗакупкиПоДокументу().
//
Функция ТиповойСформироватьПечатнуюФормуПротоколаЗакупкиПоДокументу( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ТиповойСформироватьПечатнуюФормуПротоколаЗакупкиПоДокументу();
```
</details>

## ТиповойСформироватьПечатнуюФормуПротоколаЗакупкиПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает печатную форму протокола.
// См. ЦентрализованныеЗакупкиКлиентУХ.ТиповаяПечатьПротоколаЗакупкиПоТипу().
//
Функция ТиповойСформироватьПечатнуюФормуПротоколаЗакупкиПоТипу( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ТиповойСформироватьПечатнуюФормуПротоколаЗакупкиПоТипу();
```
</details>

## ПолучитьТаблицуИерархииКодаОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьТаблицуИерархииКодаОКПД2(КодОКПД2) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьТаблицуИерархииКодаОКПД2(КодОКПД2));
```
</details>

## ДобавитьОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОКПД2(ТаблицаОКПД2, КодОКПД2) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиВызовСервераУХ.ДобавитьОКПД2(ТаблицаОКПД2, КодОКПД2));
```
</details>

## ПолучитьФлагиОсобогоПорядкаЗакупкиПоОКПД2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьФлагиОсобогоПорядкаЗакупкиПоОКПД2(КодОКПД2) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьФлагиОсобогоПорядкаЗакупкиПоОКПД2(КодОКПД2));
```
</details>

## ПолучитьФлагиОсобогоПорядкаЗакупкиПоТоварнойКатегории
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьФлагиОсобогоПорядкаЗакупкиПоТоварнойКатегории(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиВызовСервераУХ.ПолучитьФлагиОсобогоПорядкаЗакупкиПоТоварнойКатегории(Номенклатура));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
