---
title: Централизованные закупки клиент УХ
slug: erp-uh/централизованные-закупки-клиент-ух
---


## ОткрытьФормуНоменклатурыСтрокиКроссТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ОткрытьФормуНоменклатурыСтрокиКроссТаблицы( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ОткрытьФормуНоменклатурыСтрокиКроссТаблицы();
```
</details>

## ОткрытьФормуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьФормуНоменклатуры(Номенклатура, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ОткрытьФормуНоменклатуры(Номенклатура, ФормаВладелец) 
```
</details>

## ОткрытьФормуПодбораИзПланаПоставок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму подбора строк плана поставки по договорам.
//
// Параметры:
//  ОбъектЗаполнения - Документ|Структура - должен содержать реквизиты:
//										- Дата;
//										- Ссылка;
//										- Договор|ДоговорКонтрагента;
//										- МестоПоставки;
//										- Валюта|ВалютаДокумента.
//  ЭлементФормы - ПолеФормы - поле, которое будет обрабатывать событие
//		ОбработкаВыбора.
//
Процедура ОткрытьФормуПодбораИзПланаПоставок(ОбъектЗаполнения, ЭлементФормы) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ОткрытьФормуПодбораИзПланаПоставок(ОбъектЗаполнения, ЭлементФормы) 
```
</details>

## ОбработчикЕдиницаИзмеренияНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработчикЕдиницаИзмеренияНачалоВыбора(ТекДанные, ДанныеВыбора) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ОбработчикЕдиницаИзмеренияНачалоВыбора(ТекДанные, ДанныеВыбора) 
```
</details>

## ОбработчикНоменклатураНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработчикНоменклатураНачалоВыбора(ТекДанные, ДанныеВыбора) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ОбработчикНоменклатураНачалоВыбора(ТекДанные, ДанныеВыбора) 
```
</details>

## ЗафиксироватьТипНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// У формы должен быть реквизит "ТипНоменклатуры"
Процедура ЗафиксироватьТипНоменклатуры(Форма, ИмяКнопкиФиксации, ИмяКолонкиНоменклатура) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ЗафиксироватьТипНоменклатуры(Форма, ИмяКнопкиФиксации, ИмяКолонкиНоменклатура) 
```
</details>

## ОбработатьВыборТипаНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьВыборТипаНоменклатуры(ВыбранТипНоменклатуры, ДопПараметры) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ОбработатьВыборТипаНоменклатуры(ВыбранТипНоменклатуры, ДопПараметры) 
```
</details>

## ТиповойОбработчикНоменклатураПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ТиповойОбработчикНоменклатураПриИзменении( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ТиповойОбработчикНоменклатураПриИзменении();
```
</details>

## ТиповойОбработчикХарактеристикаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТиповойОбработчикХарактеристикаПриИзменении( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ТиповойОбработчикХарактеристикаПриИзменении();
```
</details>

## ТиповойОбработчикЕдиницаИзмеренияПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТиповойОбработчикЕдиницаИзмеренияПриИзменении( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ТиповойОбработчикЕдиницаИзмеренияПриИзменении();
```
</details>

## ТиповойОбработчикЦенаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТиповойОбработчикЦенаПриИзменении(Форма, Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ТиповойОбработчикЦенаПриИзменении(Форма, );
```
</details>

## ТиповойОбработчикСтавкаНДСПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТиповойОбработчикСтавкаНДСПриИзменении(Форма, Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ТиповойОбработчикСтавкаНДСПриИзменении(Форма, );
```
</details>

## ТиповойОбработчикПриИзмененииКоличестваКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТиповойОбработчикПриИзмененииКоличестваКолонки( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ТиповойОбработчикПриИзмененииКоличестваКолонки();
```
</details>

## ТиповойОбработчикПриИзмененииЦеныКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТиповойОбработчикПриИзмененииЦеныКолонки( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ТиповойОбработчикПриИзмененииЦеныКолонки();
```
</details>

## ТиповойОбработчикПриИзмененииСуммыКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТиповойОбработчикПриИзмененииСуммыКолонки( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ТиповойОбработчикПриИзмененииСуммыКолонки();
```
</details>

## ПрефиксИменОбъектовВерсионированияЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПрефиксИменОбъектовВерсионированияЕИС() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиКлиентУХ.ПрефиксИменОбъектовВерсионированияЕИС() 
```
</details>

## ДобавитьВерсиюОбъектаДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьВерсиюОбъектаДляЕИС(Ссылка, Форма) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ДобавитьВерсиюОбъектаДляЕИС(Ссылка, Форма) 
```
</details>

## ОбработатьВводОбоснованияИзмененияОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьВводОбоснованияИзмененияОбъекта(ОбоснованиеИзменений, ДопПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ОбработатьВводОбоснованияИзмененияОбъекта(ОбоснованиеИзменений, ДопПараметры);
```
</details>

## ОбработкаОповещенияОбИзмененииВерсииДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаОповещенияОбИзмененииВерсииДляЕИС(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ОбработкаОповещенияОбИзмененииВерсииДляЕИС(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## РедактироватьУИДОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Спросить у пользователя УИД и установить его
//  в качестве реквизита УИД_ЕИС объекта.
//
// Параметры:
//  Объект - СправочникОбъект.Лоты |
//			 ДокументОбъект.ПрограммаЗакупок - ссылка на объект для установки УИД.
//  ОписаниеОповещения - ОписаниеОповещения - если передать, то будет вызвано,
//			после завершения ввода и установки УИД (в любом случае, ввел
//			 пользователь УИД или отказался).
//
Процедура РедактироватьУИДОбъекта(Объект, Подсказка, ОписаниеОповещения=Неопределено) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.РедактироватьУИДОбъекта(Объект, Подсказка, ОписаниеОповещения);
```
</details>

## УстановитьСтандартныйУИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить УИД объекта в его исходное значение.
//
Процедура УстановитьСтандартныйУИД(Объект) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.УстановитьСтандартныйУИД(Объект) 
```
</details>

## ОбработатьВВодУИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция обработки ввода УИД и установки его для объекта.
//
Процедура ОбработатьВВодУИД(СтрокаУИД, ДопПараметры) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ОбработатьВВодУИД(СтрокаУИД, ДопПараметры) 
```
</details>

## ТиповаяПечатьПротоколаЗакупкиПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Выводит на экран табличный документ протокола закупки.
//
// Параметры:
//  ПротоколСсылка - ДокументСсылка - протокол для печати.
//
Процедура ТиповаяПечатьПротоколаЗакупкиПоДокументу(ПротоколСсылка) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ТиповаяПечатьПротоколаЗакупкиПоДокументу(ПротоколСсылка) 
```
</details>

## ТиповаяПечатьПротоколаЗакупкиПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит на экран табличный документ протокола закупки.
//
// Параметры:
//  ЗакупочнаяПроцедура - СправочникСсылка.ЗакупочныеПроцедуры - закупка,
//				по которой определяется протокол.
//  ТипПротокола - Строка - какой протокол искать. Варианты:
//			- ИтоговыйПротокол - протокол выбора поставщиков;
//			- ПротоколОтмены - протокол отмены закупки;
//			- КвалификацияПоставщика - протокол квалицикации поставщика;
//			- ПротоколКвалификации - итоговый протокол квалификации
//					по закупочной процедуре.
//
Процедура ТиповаяПечатьПротоколаЗакупкиПоТипу(ЗакупочнаяПроцедура, Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиКлиентУХ.ТиповаяПечатьПротоколаЗакупкиПоТипу(ЗакупочнаяПроцедура, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
