---
title: Централизованные закупки УХ
slug: erp-uh/централизованные-закупки-ух
---


## СоздатьТаблицуПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура создает реквизит формы "Таблица значений" с колонками, необходимыми для обработки периодов
//
// Параметры:
//  Форма  				- УправляемаяФорма - форма в которой необходимо создать таблицу периодов
//  ИмяТаблицыПериодов  - Строка - Имя, с которым будет создан реквизит формы таблица
//
Процедура СоздатьТаблицуПериодов(Форма, Знач ИмяТаблицыПериодов) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.СоздатьТаблицуПериодов(Форма, ИмяТаблицыПериодов) 
```
</details>

## ЗаполнитьТаблицуПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет таблицу периодов, последовательно меньшими
// периодами заданной периодичности, для получения полей и их заголовков
//
// Параметры:
//  ТаблицаПериоды - ТаблицаЗначений - Таблица, которую заполняем
//		периодами заданной периодичности
//	ДатаНачала - Дата - начало отбираемых периодов должно быть больше
//		или равно указанной дате.
//	ДатаОкончания - Дата - окончание отбираемых периодов должно быть
//		меньше или равно указанной дате.
//  Периодичность  - ПеречислениеСсылка.Периодичность - Периодичность
//		с которой нужно заполнить таблицу
//
Процедура ЗаполнитьТаблицуПериодов(ТаблицаПериоды, Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ЗаполнитьТаблицуПериодов(ТаблицаПериоды, );
```
</details>

## ОбновитьТаблицуПериодовФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьТаблицуПериодовФормы(Форма, Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ОбновитьТаблицуПериодовФормы(Форма, );
```
</details>

## ЗаполнитьТаблицуПериодовИзДиапазона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТаблицуПериодовИзДиапазона(ТаблицаПериоды, Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ЗаполнитьТаблицуПериодовИзДиапазона(ТаблицаПериоды, );
```
</details>

## ДобавитьПолеКроссТаблицыКоличество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в настройки параметров вывода поле кросс-таблицы "Количество"
//
// Параметры:
//  ПараметрыВывода				 - Структура	 - Параметры вывода полей кросс-таблицы
//  СоздаватьЭлемент			 - Булево		 - Флаг определяет, создавать ли элемент формы
//  ЕстьПрефиксГруппыКомментария - Булево		 - Флаг определяет, групприровать ли с полем картинки комментария
//  ЕстьЗаголовок				 - Булево		 - Флаг определяет, есть ли заголовок у поля
//  СтруктураДействий			 - Структура	 - Структура действий элемента, Ключ - имя события, значение - имя процедуры обработчика события
Процедура ДобавитьПолеКроссТаблицыКоличество( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ДобавитьПолеКроссТаблицыКоличество();
```
</details>

## ДобавитьПолеКроссТаблицыЦена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в настройки параметров вывода поле кросс-таблицы "Цена"
//
// Параметры:
//  ПараметрыВывода				 - Структура	 - Параметры вывода полей кросс-таблицы
//  СоздаватьЭлемент			 - Булево		 - Флаг определяет, создавать ли элемент формы
//  ЕстьПрефиксГруппыКомментария - Булево		 - Флаг определяет, групприровать ли с полем картинки комментария
//  СтруктураДействий			 - Структура	 - Структура действий элемента, Ключ - имя события, значение - имя процедуры обработчика события
Процедура ДобавитьПолеКроссТаблицыЦена( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ДобавитьПолеКроссТаблицыЦена();
```
</details>

## ДобавитьПолеКроссТаблицыСумма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в настройки параметров вывода поле кросс-таблицы "Сумма"
//
// Параметры:
//  ПараметрыВывода				 - Структура	 - Параметры вывода полей кросс-таблицы
//  СоздаватьЭлемент			 - Булево		 - Флаг определяет, создавать ли элемент формы
//  СтруктураДействий			 - Структура	 - Структура действий элемента, Ключ - имя события, значение - имя процедуры обработчика события
Процедура ДобавитьПолеКроссТаблицыСумма( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ДобавитьПолеКроссТаблицыСумма();
```
</details>

## ДобавитьПолеКроссТаблицыКомментарий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в настройки параметров вывода поле кросс-таблицы "Комментарий"
//
// Параметры:
//  ПараметрыВывода				 - Структура	 - Параметры вывода полей кросс-таблицы
//  СоздаватьЭлемент			 - Булево		 - Флаг определяет, создавать ли элемент формы
//  СтруктураДействий			 - Структура	 - Структура действий элемента, Ключ - имя события, значение - имя процедуры обработчика события
Процедура ДобавитьПолеКроссТаблицыКомментарий(ПараметрыВывода, СоздаватьЭлемент = Истина, СтруктураДействий = Неопределено) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ДобавитьПолеКроссТаблицыКомментарий(ПараметрыВывода, СоздаватьЭлемент, СтруктураДействий);
```
</details>

## ДобавитьПолеКроссТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в настройки параметров вывода поле кросс-таблицы
//
// Параметры:
//	ПараметрыПоля				 - Структура	 - Параметры создания поля
//  ПараметрыВывода				 - Структура	 - Параметры вывода полей кросс-таблицы
//  СоздаватьЭлемент			 - Булево		 - Флаг определяет, создавать ли элемент формы
//  СтруктураДействий			 - Структура	 - Структура действий элемента, Ключ - имя события, значение - имя процедуры обработчика события
Процедура ДобавитьПолеКроссТаблицы(ПараметрыПоля, ПараметрыВывода, СтруктураДействий = Неопределено) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ДобавитьПолеКроссТаблицы(ПараметрыПоля, ПараметрыВывода, СтруктураДействий);
```
</details>

## ОбновитьСтруктуруВыводаКроссТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обновляет структуру данных кросс-таблицы плана
//
// Параметры:
//  Форма  				- УправляемаяФорма - форма в которой необходимо создать таблицу периодов
//  Параметры  			- Структура - параметры формирования кросс-таблицы
//
Процедура ОбновитьСтруктуруВыводаКроссТаблицы(Форма, Параметры) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ОбновитьСтруктуруВыводаКроссТаблицы(Форма, Параметры) 
```
</details>

## УстановитьСвойстваЭлементовКроссТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить свойства элементов кросс таблицы.
//
// Параметры:
//  ЭлементыФормы - ВсеЭлементыФормы - коллекция элементов формы.
//  Периоды - ТаблицаЗначений - таблица периодов. См. функцию
//				ЦентрализованныеЗакупкиУХ.ЗаполнитьТаблицуПериодов().
//  ИменаСвойствТаблицы - Строка - Имена реквизитов кросс-таблицы
//				расшифрованных по периодам. Разделитель запятая.
//  ЗначенияСвойствЭлемента - Структура - имена реквизитов элемента
//				формы и значения для установки.
//
Процедура УстановитьСвойстваЭлементовКроссТаблицы(ЭлементыФормы, Периоды, Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.УстановитьСвойстваЭлементовКроссТаблицы(ЭлементыФормы, Периоды, );
```
</details>

## ДозаполнитьТаблицуПотребностейИзРезультатаЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДозаполнитьТаблицуПотребностейИзРезультатаЗапроса( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ДозаполнитьТаблицуПотребностейИзРезультатаЗапроса();
```
</details>

## СоздатьКонтекстКроссТаблицыДляФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запрещено вызывать из контекста формы.
// Используйте функцию ИнициализироватьКроссТаблицуПотребностей
// данного модуля.
//
Процедура СоздатьКонтекстКроссТаблицыДляФормы( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.СоздатьКонтекстКроссТаблицыДляФормы();
```
</details>

## ИнициализироватьКроссТаблицуПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Можно создать несколько кросс-таблиц на форме для этого
// нужно задавать различные имена реквизита контекста формы.
//
Процедура ИнициализироватьКроссТаблицуПотребностей( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ИнициализироватьКроссТаблицуПотребностей();
```
</details>

## ОбновитьКроссТаблицуПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьКроссТаблицуПотребностей(Форма, Контекст) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ОбновитьКроссТаблицуПотребностей(Форма, Контекст) 
```
</details>

## ОбновитьСтруктуруТаблицыПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСтруктуруТаблицыПотребностей(Форма, Контекст) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ОбновитьСтруктуруТаблицыПотребностей(Форма, Контекст) 
```
</details>

## ТиповоеЗаполнениеОбъектаДляКроссТаблицыПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТиповоеЗаполнениеОбъектаДляКроссТаблицыПотребностей( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ТиповоеЗаполнениеОбъектаДляКроссТаблицыПотребностей();
```
</details>

## ОбновитьИзменяемыйКонтекстКроссТаблицыПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьИзменяемыйКонтекстКроссТаблицыПотребностей( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ОбновитьИзменяемыйКонтекстКроссТаблицыПотребностей();
```
</details>

## УстановитьТиповоеУсловноеОформлениеКроссТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьТиповоеУсловноеОформлениеКроссТаблицы( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.УстановитьТиповоеУсловноеОформлениеКроссТаблицы();
```
</details>

## УстановитьТиповоеУсловноеОформлениеХарактеристики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьТиповоеУсловноеОформлениеХарактеристики( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.УстановитьТиповоеУсловноеОформлениеХарактеристики();
```
</details>

## УстановитьТиповоеУсловноеОформлениеКоличественныхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьТиповоеУсловноеОформлениеКоличественныхПоказателей( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.УстановитьТиповоеУсловноеОформлениеКоличественныхПоказателей();
```
</details>

## УстановитьТиповоеУсловноеОформлениеСуммыПоПериодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьТиповоеУсловноеОформлениеСуммыПоПериодам( Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.УстановитьТиповоеУсловноеОформлениеСуммыПоПериодам();
```
</details>

## ДобавитьКолонкиДляОформленияПоПериодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьКолонкиДляОформленияПоПериодам( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ДобавитьКолонкиДляОформленияПоПериодам();
```
</details>

## ДобавитьПолеУО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПолеУО(ЭлементУО, ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ДобавитьПолеУО(ЭлементУО, ИмяПоля) 
```
</details>

## ДобавитьОтборЭлементаУО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьОтборЭлементаУО(ЭлементУО, Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ДобавитьОтборЭлементаУО(ЭлементУО, );
```
</details>

## ПолучитьТиповойОбъектКроссТаблицыПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура представляющая реквизиты объекта влияющие
// на кросс таблицу потребностей.
//
Функция ПолучитьТиповойОбъектКроссТаблицыПотребностей() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьТиповойОбъектКроссТаблицыПотребностей());
```
</details>

## ПолучитьТиповойКонтекстКроссТаблицыПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает фиксированную структуру с типовым контекстом
//  кросс таблицы потребностей.
//
// Параметры:
//  ИмяТаблицыПериодов - Строка - имя реквизита формы с периодами.
//  ИмяРеквизитаКроссТаблицы - Строка - имя реквизита формы
//								с кросс-таблицей потребностей.
//  ИмяЭлементаФормыКроссТаблицы - Строка - имя элемента формы кросс-таблицы.
//  ИменаКлючевыхПолейКроссТаблицы - Строка - имена ключевых полей
//										кросс-таблицы через запятую.
//
// Возвращаемое значение:
//   - ФиксированнаяСтруктура:
//		- ПараметрыВывода - Структура - описывает структуру кросс-таблицы.
//		- ИмяТаблицыПериодов - Строка - хранит значение соответствующего аргумента функции.
//		- ИменаКлючевыхПолейКроссТаблицы - Строка - хранит значение
//										соответствующего аргумента функции.
//		- Изменяемый - Структура - изменяемые поля объекта и формы для обработки
//				в функциях кросс-таблицы потребностей. Обновляется в момент вызова функции
//				ОбновитьКроссТаблицуПотребностей(). Требует для обновления экспортной
//				функции формы ЗаполнитьОбъектДляКроссТаблицыПотребностей().
//
Функция ПолучитьТиповойКонтекстКроссТаблицыПотребностей( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьТиповойКонтекстКроссТаблицыПотребностей();
```
</details>

## ПолучитьТиповыеПараметрыКрссТаблицыПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТиповыеПараметрыКрссТаблицыПотребностей( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьТиповыеПараметрыКрссТаблицыПотребностей();
```
</details>

## ПересчитатьКроссТаблицуИзВалютыВВалюту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПересчитатьКроссТаблицуИзВалютыВВалюту(ТаблицаНоменклатуры, Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ПересчитатьКроссТаблицуИзВалютыВВалюту(ТаблицаНоменклатуры, );
```
</details>

## ПересчитатьНДСКроссТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПересчитатьНДСКроссТаблицы(ТаблицаНоменклатуры, Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ПересчитатьНДСКроссТаблицы(ТаблицаНоменклатуры, );
```
</details>

## ТиповойОбработчикПриИзмененииВалютыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТиповойОбработчикПриИзмененииВалютыДокумента(Форма, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ТиповойОбработчикПриИзмененииВалютыДокумента(Форма, Контекст) 
```
</details>

## ТиповойОбработчикПриИзмененииЦенаВключаетНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТиповойОбработчикПриИзмененииЦенаВключаетНДС(Форма, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ТиповойОбработчикПриИзмененииЦенаВключаетНДС(Форма, Контекст) 
```
</details>

## МассивНоменклатурыПоТоварнойКатегории
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция МассивНоменклатурыПоТоварнойКатегории(ТоварнаяКатегория) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.МассивНоменклатурыПоТоварнойКатегории(ТоварнаяКатегория) 
```
</details>

## ПолучитьМассивЕдиницИзмеренияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивЕдиницИзмеренияНоменклатуры( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивЕдиницИзмеренияНоменклатуры();
```
</details>

## ПолучитьКоэффициентЕдиницыИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКоэффициентЕдиницыИзмерения(Номенклатура, Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьКоэффициентЕдиницыИзмерения(Номенклатура, );
```
</details>

## ПолучитьМассивНоменклатурыЛота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить множество позиций номенклатуры
Функция ПолучитьМассивНоменклатурыЛота(Лот, ПериодПотребности=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивНоменклатурыЛота(Лот, ПериодПотребности);
```
</details>

## ПолучитьМассивНоменклатурыИГруппЛота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить множество позиций номенклатуры и всех групп, включающих ее
Функция ПолучитьМассивНоменклатурыИГруппЛота(Лот, ПериодПотребности=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивНоменклатурыИГруппЛота(Лот, ПериодПотребности);
```
</details>

## ПолучитьМассивНоменклатурыЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить множество позиций номенклатуры всех лотов закупочной процедуры
Функция ПолучитьМассивНоменклатурыЗакупки( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивНоменклатурыЗакупки();
```
</details>

## ПолучитьМассивНоменклатурыИГруппЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить множество позиций номенклатуры и всех групп, включающих ее
Функция ПолучитьМассивНоменклатурыИГруппЗакупки( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивНоменклатурыИГруппЗакупки();
```
</details>

## ПолучитьМассивНоменклатурыИРодителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для переданного массива элементов справочника Номенклатура ищем всх родителей,
// и возвращаем объединение исходного массива и массива родителей.
Функция ПолучитьМассивНоменклатурыИРодителей(мНоменклатуры) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивНоменклатурыИРодителей(мНоменклатуры) 
```
</details>

## ПолучитьМассивПодчиненныхГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для переданного массива элементов справочника Номенклатура ищем всх родителей,
// и возвращаем объединение исходного массива и массива родителей.
Функция ПолучитьМассивПодчиненныхГрупп(мНоменклатуры) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивПодчиненныхГрупп(мНоменклатуры) 
```
</details>

## ПолучитьЦенуНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка над Ценообразование.ПолучитьЦенуНоменклатуры.
// Предварительно получает курс и кратность валюты.
//
Функция ПолучитьЦенуНоменклатуры(Номенклатура, Характеристика, ТипЦен, Дата, Валюта) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьЦенуНоменклатуры(Номенклатура, Характеристика, ТипЦен, Дата, Валюта) 
```
</details>

## ПолучитьМассивПоставщиковЛота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьМассивПоставщиковЛота(Лот) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивПоставщиковЛота(Лот) 
```
</details>

## ПолучитьМаксимальныйНомерГПЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМаксимальныйНомерГПЗ(ПериодЗакупок, Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМаксимальныйНомерГПЗ(ПериодЗакупок, );
```
</details>

## ПолучитьНовыйНомерГПЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНовыйНомерГПЗ(ПериодЗакупок, Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьНовыйНомерГПЗ(ПериодЗакупок, );
```
</details>

## ПолучитьМассивПользователейЗакупочнойКомиссии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пользователей, состоящих в закупочной комиссии данной
// закупочной процедуры.
//
Функция ПолучитьМассивПользователейЗакупочнойКомиссии(ЗакупочнаяПроцедура) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивПользователейЗакупочнойКомиссии(ЗакупочнаяПроцедура) 
```
</details>

## СтрокаПланаЗакупокСвободна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что указанная строка плана закупок не связана с лотом.
//
// Параметры:
//  СтрокаПланаЗакупок - ДокументСсылка.СтрокаПланаЗакупок
//		- строка для которой проверяем существование лота.
// Возвращает:
//	Булево - Истина - строка свободна, можно создать лот.
//		Ложь - уже есть лот, связанный со строкой лота.
//
Функция СтрокаПланаЗакупокСвободна(СтрокаПланаЗакупок) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.СтрокаПланаЗакупокСвободна(СтрокаПланаЗакупок) 
```
</details>

## ПолучитьЛотДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить лот в рамках которого введен договор. Если не находит, возвращает пустую ссылку.
Функция ПолучитьЛотДоговора(ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьЛотДоговора(ДоговорКонтрагента) 
```
</details>

## ПолучитьДоговорПоРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДоговорПоРеквизитам(Номер, Контрагент, Организация, ЗначенияРеквизитов=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьДоговорПоРеквизитам(Номер, Контрагент, Организация, ЗначенияРеквизитов);
```
</details>

## ПолучитьМассивДоговоровЛота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивДоговоровЛота(Лот, Поставщик) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивДоговоровЛота(Лот, Поставщик) 
```
</details>

## ПолучитьТаблицуДоговоровСПоставщикамиЛота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьТаблицуДоговоровСПоставщикамиЛота(Лот) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьТаблицуДоговоровСПоставщикамиЛота(Лот) 
```
</details>

## ПолучитьДоговорыСодержащиеЛот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДоговорыСодержащиеЛот(Лот) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьДоговорыСодержащиеЛот(Лот) 
```
</details>

## ПолучитьДоговорыСодержащиеЛотЗакупочнойПроцедуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДоговорыСодержащиеЛотЗакупочнойПроцедуры( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьДоговорыСодержащиеЛотЗакупочнойПроцедуры();
```
</details>

## ПолучитьДатуНачалаДействияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДатуНачалаДействияДоговора(Договор) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьДатуНачалаДействияДоговора(Договор) 
```
</details>

## ПолучитьДатуПодписанияДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДатуПодписанияДоговора(Договор) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьДатуПодписанияДоговора(Договор) 
```
</details>

## ДобавитьВерсиюОбъектаДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Добавляет новую запись в регистр сведений ВерсииОбъектовДляЕИС. Номер версии увеличивает на единицу.
// Если версий небыло, то номер устанавливаем в единицу.
// Параметры:
//	Ссылка - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ.
//	ОбоснованиеИзменений - Строка(2000). Непустая строка с причиной изменений.
// Возвращает:
//	Число - номер добавленой версии.
//
Функция ДобавитьВерсиюОбъектаДляЕИС(Ссылка, ОбоснованиеИзменений) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ДобавитьВерсиюОбъектаДляЕИС(Ссылка, ОбоснованиеИзменений) 
```
</details>

## ПрефиксИменОбъектовВерсионированияЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПрефиксИменОбъектовВерсионированияЕИС() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПрефиксИменОбъектовВерсионированияЕИС() 
```
</details>

## ИнициализироватьВерсионированиеДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает реквизиты, команды и элементы формы.
// Параметры:
//	Ссылка - ОпределяемыйТип.ОбъектыЦУЗОбменаСЭТП_УХ - ссылка для
//	ГруппаКонтейнер - ГруппаФормы - группа в которую будут добавлены элементы формы.
//
Процедура ИнициализироватьВерсионированиеДляЕИС(Ссылка, Форма, ГруппаКонтейнер) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ИнициализироватьВерсионированиеДляЕИС(Ссылка, Форма, ГруппаКонтейнер) 
```
</details>

## НастроитьФормуДляВерсионированияЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать реквизиты формы
// Создать команды формы
// Создать элементы формы
Процедура НастроитьФормуДляВерсионированияЕИС(Форма, ГруппаКонтейнер) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.НастроитьФормуДляВерсионированияЕИС(Форма, ГруппаКонтейнер) 
```
</details>

## ПреобразоватьРеквизитРезервированияБюджетаВИзмерениеРегистраПотребностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Не все реквизиты оперативного плана называются эквивалентно
// реквизитам потребностей.
Функция ПреобразоватьРеквизитРезервированияБюджетаВИзмерениеРегистраПотребностей( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПреобразоватьРеквизитРезервированияБюджетаВИзмерениеРегистраПотребностей();
```
</details>

## ПроверитьВозможностьВводаДоговораНаОснованииПредложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Важно: проверка заканчивается исключением, если
// создавать договор нельзя.
//
Процедура ПроверитьВозможностьВводаДоговораНаОснованииПредложения(ПредложениеПобедителя) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ПроверитьВозможностьВводаДоговораНаОснованииПредложения(ПредложениеПобедителя) 
```
</details>

## ПроверитьПревышениеСуммыСмпФинансирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, превышает ли сумма СМП общую сумму в табличной части финансирования.
// Возвращает истину, если превышения не зафиксировано в строке плана закупок СтрокаПланаВход.
Функция ПроверитьПревышениеСуммыСмпФинансирования(СтрокаПланаВход) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПроверитьПревышениеСуммыСмпФинансирования(СтрокаПланаВход));
```
</details>

## ВозможноУстановитьСостояниеСтрокиПланаЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, можно ли установить строке плана закупок СтрокаПланаВход
// состояние СостояниеВход.
Функция ВозможноУстановитьСостояниеСтрокиПланаЗакупок(СтрокаПланаВход, СостояниеВход) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ВозможноУстановитьСостояниеСтрокиПланаЗакупок(СтрокаПланаВход, СостояниеВход) 
```
</details>

## УстановитьПараметрВыбораПериодичностьЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Устанавливает для указанного элемента формы "ПериодЗакупок"
// параметр отбора "Периодичность" в соотвествии с регламентированной
// периодичностью закупок.
//
Процедура УстановитьПараметрВыбораПериодичностьЗакупок(Элемент) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.УстановитьПараметрВыбораПериодичностьЗакупок(Элемент) 
```
</details>

## УстановитьПараметрВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает для указанного элемента формы параметр выбора
// в соотвествии с указанным значением.
Процедура УстановитьПараметрВыбора(Элемент, Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.УстановитьПараметрВыбора(Элемент, );
```
</details>

## НайтиИндексПараметраВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет в массиве параметров выбора параметр с требуемым именем.
// Возвращает его индекс.
// Если не находит, то возвращает -1.
//
Функция НайтиИндексПараметраВыбора(МассивПараметров, ИмяПараметра) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.НайтиИндексПараметраВыбора(МассивПараметров, ИмяПараметра) 
```
</details>

## УдалитьПараметрВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет в массиве параметров выбора параметр с требуемым именем.
//
Процедура УдалитьПараметрВыбора(МассивПараметров, ИмяПараметра) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.УдалитьПараметрВыбора(МассивПараметров, ИмяПараметра) 
```
</details>

## ПолучитьСпособыВыбораПоставщикаЧерезЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Получить массив заполненный значениями перечисления СпособыВыбораПоставщика, которые относятся к выбору поставщика из нескльких вариантов
Функция ПолучитьСпособыВыбораПоставщикаЧерезЗакупки() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьСпособыВыбораПоставщикаЧерезЗакупки() 
```
</details>

## ПолучитьПериодичностьЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Период с которым регистрируются потребности (например, месяц).
//
Функция ПолучитьПериодичностьЗакупок() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьПериодичностьЗакупок() 
```
</details>

## ПолучитьПериодичностьРегламентированногоПланированияЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Период в рамках которого осуществляется планирование для ЕИС (год).
//
Функция ПолучитьПериодичностьРегламентированногоПланированияЗакупок() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьПериодичностьРегламентированногоПланированияЗакупок() 
```
</details>

## ПолучитьТипыОбъектаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить массив с типами, которые входят в определяемый тип "ОбъектыЦУЗОбменаСЭТП_УХ"
Функция ПолучитьТипыОбъектаОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьТипыОбъектаОбмена() 
```
</details>

## ЗаписатьКлючевыеДатыЗакупочнойПроцедуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ЗаписатьКлючевыеДатыЗакупочнойПроцедуры(ДокументМероприятие) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ЗаписатьКлючевыеДатыЗакупочнойПроцедуры(ДокументМероприятие) 
```
</details>

## ПолучитьКлючевыеДатыМероприятияЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прочитать значения ключевых дат мероприятия закупочной процедуры.
//
// Параметры:
//  ДокументМероприятие - ДокументСсылка.Мероприятие - документ мероприятия.
//
// Возвращаемое значение:
//	- Неопределено - значения ключевых дат не найдены.
//	- ВыборкаИзРезультатаЗапроса - спозиционирована на записи со значениями
//				   ключевых дат, состав полей соотвествует регистру
//				   сведений "КлючевыеДатыЗакупок".
//
Функция ПолучитьКлючевыеДатыМероприятияЗакупки(ДокументМероприятие) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьКлючевыеДатыМероприятияЗакупки(ДокументМероприятие) 
```
</details>

## ПолучитьМассивСтадийКвалификационныйОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив предопределенных элементов справочники СтадииМероприятий,
// относящиеся к квалификационному отбору. Для чтения из регистра сведений
// ПрогрессСтадийМероприятий;
//
// Возвращает:
//	Массив (СправочникСсылка.СтадииМероприятий)
//
Функция ПолучитьМассивСтадийКвалификационныйОтбор() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивСтадийКвалификационныйОтбор() 
```
</details>

## ПолучитьМассивСтадийПредоставленияРазьяснений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив предопределенных элементов справочники СтадииМероприятий,
// относящиеся к предоставлению разьяснений. Для чтения из регистра сведений
// ПрогрессСтадийМероприятий;
//
// Возвращает:
//	Массив (СправочникСсылка.СтадииМероприятий)
//
Функция ПолучитьМассивСтадийПредоставленияРазьяснений() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьМассивСтадийПредоставленияРазьяснений() 
```
</details>

## ПолучитьРезультатЗапросаКлючевыхДатМероприятий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРезультатЗапросаКлючевыхДатМероприятий(ДокументМероприятие) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьРезультатЗапросаКлючевыхДатМероприятий(ДокументМероприятие));
```
</details>

## ОбъектУтвержден
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Проверяет, что объект утвержден.
//
// Параметры:
//  Ссылка - ЛюбаяСсылка - объект для которого проверяем утвержденность.
//
// Возвращаемое значение:
//   - Булево.
//
Функция ОбъектУтвержден(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ОбъектУтвержден(Ссылка) 
```
</details>

## ПолучитьСвойство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьСвойство(Структура, Имя, ЗначениеПоУмолчанию=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьСвойство(Структура, Имя, ЗначениеПоУмолчанию);
```
</details>

## ПолучитьТекстовыйМакетКакСоответствие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие как множество строк текстового документа.
// Ключи в котором - это строки, а значения - это всегда Истина.
//
// Параметры:
//  Макет - ТекстовыйДокумент - документ из которого читаем строки.
//
// Возвращаемое значение:
//   - Соответствие {Строка текста: Истина}
//
Функция ПолучитьТекстовыйМакетКакСоответствие(ТекстДок) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьТекстовыйМакетКакСоответствие(ТекстДок) 
```
</details>

## ПолучитьТекстовыйМакетКакСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру как множество строк текстового документа.
// Ключи в  котором - это строки, а значения - это всегда Истина.
//
// Параметры:
//  Макет - ТекстовыйДокумент - документ из которого читаем строки.
//
// Возвращаемое значение:
//   - Структура {Строка текста: Неопределено}
//
Функция ПолучитьТекстовыйМакетКакСтруктуру(ТекстДок) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьТекстовыйМакетКакСтруктуру(ТекстДок) 
```
</details>

## ПолучитьПервыйДокументОснования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для документа получает самый первый в цепочке ввода на основании.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - документ прородителя,
//		которого мы ищем.
//	ИмяРеквизитаОснование - Строка - имя реквизита в котором
//		записан документ основания. Необязательный, по умолчанию
//		- "ДокументОснование".
//
// Возвращаемое значение:
//   - ссылка на документ того же типа, что и ДокументСсылка.
//		Если ДокументСсылка не введен на основании,
//		то возвращает ссылку на него. Иначе возвращает
//		самый первый документ в цепочке, у которого нет основания.
//
Функция ПолучитьПервыйДокументОснования( Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьПервыйДокументОснования();
```
</details>

## ПолучитьДокументыПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить массив документов указанного вида с отбором.
//
// Параметры:
//  ВидДокумента - Строка - вид документа в конфигураторе.
//  Отбор - Соответствие - ключи - это имена реквизитов документа (можно с точкой),
//			а значения - это значения отбора. Отбор всегда по равенству.
//  ИсключитьСсылку	 - ДокументСсылка.[ВидДокумента] - ссылка для исключения.
//
// Возвращаемое значение:
//   - Массив(ДокументСсылка.[ВидДокумента]) - найденные документы.
//		если документы не найдены, то возвращает пустой массив.
//
Функция ПолучитьДокументыПоОтбору(ВидДокумента, Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьДокументыПоОтбору(ВидДокумента, );
```
</details>

## ПолучитьСправочникПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить массив ссылок на справочник указанного вида с отбором.
//
// Параметры:
//  ВидСправочника - Строка - имя справочника в конфигураторе.
//  Отбор - Соответствие - ключи - это имена реквизитов справочника (можно с точкой),
//			а значения - это значения отбора. Отбор всегда по равенству.
//  ИсключитьСсылку	 - СправочникСсылка.{ВидДокумента} - ссылка для исключения.
//
// Возвращаемое значение:
//   - Массив(СправочникСсылка.{ВидСправочника}) - найденные документы.
//		если ссылки не найдены, то возвращает пустой массив.
//
Функция ПолучитьСправочникПоОтбору(ВидСправочника, Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьСправочникПоОтбору(ВидСправочника, );
```
</details>

## ПолучитьСсылкиОбъектаПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить массив ссылок указанного вида с отбором.
//
// Параметры:
//	ИмяОбъектаМетаданных - Строка - имя объекта метаданных.
//  ВидДокумента - Строка - вид объекта в конфигураторе.
//  Отбор - Соответствие - ключи - это имена реквизитов объекта (можно с точкой),
//			а значения - это значения отбора. Отбор всегда по равенству.
//  ИсключитьСсылку	 - {ИмяОбъектаМетаданных}Ссылка.{ВидДокумента} -
//			ссылка для исключения.
//
// Возвращаемое значение:
//   - Массив(Ссылка на объект) - найденные ссылки.
//		если они не найдены, то возвращает пустой массив.
//
Функция ПолучитьСсылкиОбъектаПоОтбору(ИмяОбъектаМетаданных, Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьСсылкиОбъектаПоОтбору(ИмяОбъектаМетаданных, );
```
</details>

## ПолучитьДокументЗакупочнойПроцедуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить документ для закупочной процедуры.
// У документа должен быть реквизит "ЗакупочнаяПроцедура".
// Если документов несколько, то будет возвращен случайный документ
// (рассматриваем сценарий одного действующего документа закупки).
//
// Параметры:
//  ИмяДокумента - Строка - имя объекта метаданных документа.
//  ЗакупочнаяПроцедура - СправочникСсылка.ЗакупочнаяПроцедура - закупка
//		по которой нужно отобрать документа.
//  Проведен - Булево - учитывать при поиске флаг проведения документа.
//		Если Неопределено, то отбор не по проведению не делаем.
//		Иначе отбираем по указанному значению.
//
// Возвращаемое значение:
//  ДокументСсылка[ИмяДокумента]. Если не находит, то возвращает пустую ссылку.
//
Функция ПолучитьДокументЗакупочнойПроцедуры(ИмяДокумента, Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьДокументЗакупочнойПроцедуры(ИмяДокумента, );
```
</details>

## ПолучитьКоэффициентПересчетаВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить пару Коэффициент и Кратность, для пересчета
//  использовать формулу: СуммаВВалютеВ = СуммаВВалютеИз * Коэффициент / Кратность.
//
// Параметры:
//  ВалютаИз - СправочникСсылка.Валюты - валюта из которой будет делаться пересчет.
//  ВалютаВ	 - СправочникСсылка.Валюты - валюта в котороую будет делаться пересчет.
//	ДатаПересчета - Дата - дата на которую нужно получить курсы валют.
//
// Возвращаемое значение:
//   - Структура:
//		- Коэффициент - Число - коэффициент пересчета.
//		- Кратность - Число - кратность, на которую нужно скорректировать коэффициент.
//
Функция ПолучитьКоэффициентПересчетаВалют(ВалютаИз, ВалютаВ, ДатаПересчета) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьКоэффициентПересчетаВалют(ВалютаИз, ВалютаВ, ДатаПересчета) 
```
</details>

## ПолучитьТипыОпределяемогоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив типов из определяемого типа.
//
Функция ПолучитьТипыОпределяемогоТипа(ИмяОпределяемогоТипа) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьТипыОпределяемогоТипа(ИмяОпределяемогоТипа) 
```
</details>

## УстановитьВидимостьЭлементовФормыРаботыСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Скрыть элементы формы недоступные для внешнего поставщика.
//
Процедура УстановитьВидимостьЭлементовФормыРаботыСФайлами(ЭлементыФормы) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.УстановитьВидимостьЭлементовФормыРаботыСФайлами(ЭлементыФормы) 
```
</details>

## ЗаменитьВладельцаДоговораВТекстеЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает, если необходимо, новый текст запроса, в котором обращение к реквизиту
// Владелец договора заменено на обращение к реквизиту Контрагент.
//
Функция ЗаменитьВладельцаДоговораВТекстеЗапроса(ПсевдонимТаблицыДоговор, Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ЗаменитьВладельцаДоговораВТекстеЗапроса(ПсевдонимТаблицыДоговор, );
```
</details>

## ПолучитьИмяВладельцаДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяВладельцаДоговора() Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьИмяВладельцаДоговора() 
```
</details>

## ПриОпределенииСправочниковХраненияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет справочники хранения файлов внешних поставщиков.
//
// Параметры:
//  ТипВладелецФайла  - Тип - тип ссылки объекта, к которому добавляется файл.
//
//  ИменаСправочников - Соответствие - содержит в ключах имена справочников.
//                      При вызове содержит стандартное имя одного справочника,
//                      помеченного, как основной (если существует).
//                      Основной справочник используется для интерактивного
//                      взаимодействия с пользователем. Чтобы указать основной
//                      справочник, нужно установить Истина в значение соответствия.
//                      Если установить Истина более одного раза, тогда будет ошибка.
//
Процедура ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) 
```
</details>

## ЗаполнитьРеквизитыСМСПИзОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизиты учета СМСП в приемнике из источника.
// Если источник не указан, то устанавливает значения по умолчанию.
//
Процедура ЗаполнитьРеквизитыСМСПИзОбъекта(Приемник, Источник) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ЗаполнитьРеквизитыСМСПИзОбъекта(Приемник, Источник) 
```
</details>

## ОбновитьСтатусыВыгруженныхОбъектовСтрокПланаЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет в регистре РегистрСостоянийОбъектов состояния закупочной процедуры с
// СостоянияСогласования на аналог из СтатусыВыгружаемыхОбъектовЕИС.
Процедура ОбновитьСтатусыВыгруженныхОбъектовСтрокПланаЗакупок() Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ОбновитьСтатусыВыгруженныхОбъектовСтрокПланаЗакупок() 
```
</details>

## ПроверитьЗапретОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, разрешена ли отгрузка по документу ДокументОтгрузкиВход.
// Возвращает результат проверки.
Функция ПроверитьЗапретОтгрузки(ДокументОтгрузкиВход) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПроверитьЗапретОтгрузки(ДокументОтгрузкиВход) 
```
</details>

## ПроверитьТоварныеКатегорииВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет правильность заполнения товарной категории ТоварнаяКатегорияВходв поле
// КолонкаНоменклатураВход таблицы ТаблицаВход. Когда исходная товарная категория пустая -
// проверка не выполняется.
Функция ПроверитьТоварныеКатегорииВТаблице(ТоварнаяКатегорияВход, ТаблицаВход, КолонкаНоменклатураВход) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПроверитьТоварныеКатегорииВТаблице(ТоварнаяКатегорияВход, ТаблицаВход, КолонкаНоменклатураВход) 
```
</details>

## ПолучитьИдентификаторОтбораПользовательскойНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор отбора с именем ИмяПоляВход в схеме компоновки СхемаВход.
Функция ПолучитьИдентификаторОтбораПользовательскойНастройки(СхемаВход, ИмяПоляВход) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьИдентификаторОтбораПользовательскойНастройки(СхемаВход, ИмяПоляВход) 
```
</details>

## ВключитьИспользованиеОтбораВОтчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает использование отбора по полю с именем ИмяПоляВход в настройках НастрокиКдИзм схемы компоновки
// ИмяСхемыВход отчёта ИмяОтчетаВход в новое значение ИспользованиеВход.
Процедура ВключитьИспользованиеОтбораВОтчете(ИмяОтчетаВход, ИмяСхемыВход, ИмяПоляВход, ИспользованиеВход, НастрокиКдИзм) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ВключитьИспользованиеОтбораВОтчете(ИмяОтчетаВход, ИмяСхемыВход, ИмяПоляВход, ИспользованиеВход, НастрокиКдИзм) 
```
</details>

## ВидимостьОтбораВОтчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость элементов отбора ИмяПоляВход схемы ИмяСхемыВход в отчёте
// ИмяОтчетаВход на форме ФормаИзм в состояние ВидимостьВход.
Процедура ВидимостьОтбораВОтчете(ИмяОтчетаВход, ИмяСхемыВход, ИмяПоляВход, ВидимостьВход, ФормаИзм) Экспорт
```

Пример вызова
```bsl
ЦентрализованныеЗакупкиУХ.ВидимостьОтбораВОтчете(ИмяОтчетаВход, ИмяСхемыВход, ИмяПоляВход, ВидимостьВход, ФормаИзм) 
```
</details>

## ПолучитьДанныеЗаполненияПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// На основании справочника договоры ДоговорВход получает массив структур для заполнения
// номенклатуры в табличную часть.
Функция ПолучитьДанныеЗаполненияПоДоговору(ДоговорВход, ПоступлениеОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.ПолучитьДанныеЗаполненияПоДоговору(ДоговорВход, ПоступлениеОбъект) 
```
</details>

## УстановитьСвойствоЭлементаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция УстановитьСвойствоЭлементаФормы(ЭлементыФормы, ИмяЭлемента, ИмяРеквизита, Значение) Экспорт
```

Пример вызова
```bsl
Результат = ЦентрализованныеЗакупкиУХ.УстановитьСвойствоЭлементаФормы(ЭлементыФормы, ИмяЭлемента, ИмяРеквизита, Значение));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
