---
title: Цены партнеров заполнение сервер
slug: erp-uh/цены-партнеров-заполнение-сервер
---


## ЗаполнитьЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит "Цена" в товарной табличной части.
//
// Параметры:
// 	ТабличнаяЧасть - ДанныеФормыКоллекция, ТабличнаяЧасть - Товарная табличная часть документа
// 	ВыделенныеСтроки - Массив, Неопределено - Массив выделенных строк, если Неопределено, то будут заполнены ВСЕ строки
// 	ПараметрыЗаполнения - см. НовыйПараметрыЗаполненияЗаполнитьЦены
// 	СтруктураДействий - см. ОбработкаТабличнойЧастиСервер.ОбработатьСтрокуТЧ.СтруктураДействий
// 	КэшированныеЗначения - Структура - Структура кэшированных значений.
//
// Возвращаемое значение:
//   Булево - Истина, если цены успешно заполнены.
//
Функция ЗаполнитьЦены( Экспорт
```

Пример вызова
```bsl
Результат = ЦеныПартнеровЗаполнениеСервер.ЗаполнитьЦены();
```
</details>

## ЦеныНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные цен поставщика для переданных строк.
//
// Параметры:
//	Таблица - ТаблицаЗначений - со следующими полями:
//		* НомерСтроки       - Число -
//		* Номенклатура      - СправочникСсылка.Номенклатура -
//		* Характеристика    - СправочникСсылка.ХарактеристикиНоменклатуры -
//		* Упаковка          - СправочникСсылка.УпаковкиЕдиницыИзмерения -
//		* ВидЦеныПоставщика - ПеречислениеСсылка.ТипыНалогообложенияНДС -
//	ПараметрыПолученияЦен - см. НовыйПараметрыПолученияЦенНоменклатурыПартнера
//
// Возвращаемое значение:
// 	РезультатЗапроса - результат запроса со следующими полями:
// 		* НомерСтроки - Число -
// 		* ставкаНДС   - СправочникСсылка.СтавкиНДС -
// 		* Цена        - Число -
//
Функция ЦеныНоменклатурыПартнера(Таблица, ПараметрыПолученияЦен) Экспорт
```

Пример вызова
```bsl
Результат = ЦеныПартнеровЗаполнениеСервер.ЦеныНоменклатурыПартнера(Таблица, ПараметрыПолученияЦен) 
```
</details>

## ПолучитьЦенуПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает цену по переданному отбору.
//
// Параметры:
//		ПараметрыОтбора - см. НовыйПараметрыОтбораПолучитьЦенуПоОтбору
//
// Возвращаемое значение:
// 		Число - Цена
//
Функция ПолучитьЦенуПоОтбору(ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
Результат = ЦеныПартнеровЗаполнениеСервер.ПолучитьЦенуПоОтбору(ПараметрыОтбора) 
```
</details>

## НовыйПараметрыПолученияЦенНоменклатурыПартнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор метода ЦеныНоменклатурыПартнера().
//
// Возвращаемое значение:
// 		Структура - :
// 			* Дата - Дата -
// 			* Валюта - СправочникСсылка.Валюты -
// 			* НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС - ао-умолчанию, пустая ссылка.
// 			* ВозвращатьМногооборотнуюТару - Булево - по-умолчанию, Ложь
//
Функция НовыйПараметрыПолученияЦенНоменклатурыПартнера() Экспорт
```

Пример вызова
```bsl
Результат = ЦеныПартнеровЗаполнениеСервер.НовыйПараметрыПолученияЦенНоменклатурыПартнера() 
```
</details>

## НовыйПараметрыОтбораПолучитьЦенуПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция-конструктор структуры отбора для получения цены, используется для получения атомарного значения цены.
// Используется как параметр метода ЦеныПартнеровЗаполнениеСервер.ПолучитьЦенуПоОтбору().
//
// Возвращаемое значение:
//	Структура - Структура параметров заполнения поля отбора. (сначала общие поля) :
//		общие поля.
//			* Дата - Дата - дата, на которую необходимо получение цены.
//			* Валюта - СправочникСсылка.Валюты -
//			* Номенклатура - СправочникСсылка.Номенклатура -
//			* Характеристика - СправочникСсылка.ХарактеристикиНоменклатуры -
//			* Упаковка - СправочникСсылка.УпаковкиЕдиницыИзмерения -
//			* ВидЦеныПоставщика - СправочникСсылка.ВидыЦенПоставщиков -
//			* Соглашение - СправочникСсылка.СоглашенияСПоставщиками -
//			* НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС -
//			* ВернутьМногооборотнуюТару - Булево - признак необходимости возврата многооборотной тары.
//
Функция НовыйПараметрыОтбораПолучитьЦенуПоОтбору() Экспорт
```

Пример вызова
```bsl
Результат = ЦеныПартнеровЗаполнениеСервер.НовыйПараметрыОтбораПолучитьЦенуПоОтбору() 
```
</details>

## НовыйПараметрыЗаполненияЗаполнитьЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров метода ЗаполнитьЦены.
//
// Возвращаемое значение:
// 	Структура - Структура параметров заполнения:
//		Обязательные поля.
//			* Дата - Дата - Дата документа
//			* Валюта - СправочникСсылка.Валюты - Валюта документа
//			* Соглашение - СправочникСсылка.СоглашенияСПоставщиками - Соглашение документа
//					если ключ отсутствует, значит должен быть заполнен параметр "ВидЦеныПоставщика".
//			* ВидЦеныПоставщика - СправочникСсылка.ВидыЦенПоставщиков - Вид цены поставщика
//					если параметр отсутствует, значит должен быть заполнен параметр "Соглашение".
//		Необязательные поля.
// 			* ПоляЗаполнения - Строка - Строка с перечислением заполняемых полей в таблице;
// 					значение по умолчанию: "Цена"; дополнительные поля - "ВидЦеныПоставщика, СтавкаНДС".
// 			* КолонкиПоЗначению - см. ОбщегоНазначенияУТ.ВыгрузитьТаблицуЗначений.КолонкиПоЗначению
// 			* ДругиеИменаКолонок - см. ОбщегоНазначенияУТ.ВыгрузитьТаблицуЗначений.НовыеИменаКолонок
// 			* НалогообложениеНДС - ПеречислениеСсылка.ТипыНалогообложенияНДС -
//
Функция НовыйПараметрыЗаполненияЗаполнитьЦены() Экспорт
```

Пример вызова
```bsl
Результат = ЦеныПартнеровЗаполнениеСервер.НовыйПараметрыЗаполненияЗаполнитьЦены() 
```
</details>

## ДополнитьТекстЗапросаЗаполнитьЦенуЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для получения цены закупки.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - Структура
//
Процедура ДополнитьТекстЗапросаЗаполнитьЦенуЗакупки(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ЦеныПартнеровЗаполнениеСервер.ДополнитьТекстЗапросаЗаполнитьЦенуЗакупки(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

## ДополнитьТекстЗапросаЗаполнитьУсловияЗакупок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запрос в пакет запросов для получения данных, необходимых для получения условий закупок.
//
// Параметры:
//  СтруктураДействий - см. ПакетнаяОбработкаТабличнойЧастиКлиентСервер.ПолучитьСтруктуруКэшируемыеЗначения
//  ОписаниеЗапроса - см. ПакетнаяОбработкаТабличнойЧастиСервер.ОписаниеЗапроса
//  КэшированныеЗначения - Структура
//
Процедура ДополнитьТекстЗапросаЗаполнитьУсловияЗакупок(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ЦеныПартнеровЗаполнениеСервер.ДополнитьТекстЗапросаЗаполнитьУсловияЗакупок(СтруктураДействий, ОписаниеЗапроса, КэшированныеЗначения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
