---
title: Цены предприятия заполнение клиент
slug: erp-uh/цены-предприятия-заполнение-клиент
---


## ВыбратьВидЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура для выбора вида цен из единой формы выбора.
//
// Параметры:
//	ПараметрыЗаполнения - см. НовыйПараметрыЗаполненияВыбратьВидЦен
Процедура ВыбратьВидЦен(ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
ЦеныПредприятияЗаполнениеКлиент.ВыбратьВидЦен(ПараметрыЗаполнения) 
```
</details>

## ЗадатьВопросПересчетаЦеныПриИзмененииДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вопрос по пересчету цен при изменении даты документа.
//
// Параметры:
//	Документ - ДокументОбъект - для которого выполняются проверки
//	ОповещениеОРезультате - ОписаниеОповещения - оповещение о результате вопроса,
//			Ложь, если необходимые данные не заполнены или на вопрос пользователь ответил отрицательно.
//	ИмяТЧ -Строка - Имя табличной части, значение по-умолчанию "Товары".
//	ПроверитьСоглашение - Булево - признак необходимости проверки соглашение,
//	ТекстВопроса - Строка - текст вопроса.
//
Процедура ЗадатьВопросПересчетаЦеныПриИзмененииДаты( Экспорт
```

Пример вызова
```bsl
ЦеныПредприятияЗаполнениеКлиент.ЗадатьВопросПересчетаЦеныПриИзмененииДаты();
```
</details>

## ЗадатьВопросПересчетаЦеныПриИзмененииСоглашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вопрос по пересчету цен при изменении соглашения.
//
// Параметры:
//	Документ - ДокументОбъект - для которого выполняются проверки
//	ОповещениеОРезультате - ОписаниеОповещения - оповещение о результате вопроса,
//			Ложь, если необходимые данные не заполнены или на вопрос пользователь ответил отрицательно.
//	ИмяТЧ -Строка - Имя табличной части, значение по-умолчанию "Товары".
//
//
Процедура ЗадатьВопросПересчетаЦеныПриИзмененииСоглашения(Документ, ОповещениеОРезультате, ИмяТЧ="Товары") Экспорт
```

Пример вызова
```bsl
ЦеныПредприятияЗаполнениеКлиент.ЗадатьВопросПересчетаЦеныПриИзмененииСоглашения(Документ, ОповещениеОРезультате, ИмяТЧ);
```
</details>

## ЗадатьВопросПересчетаЦеныПриИзмененииДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вопрос по пересчету цен при изменении договора.
//
// Параметры:
//	Документ - ДокументОбъект - для которого выполняются проверки
//	ОповещениеОРезультате - ОписаниеОповещения - оповещение о результате вопроса,
//			Ложь, если необходимые данные не заполнены или на вопрос пользователь ответил отрицательно.
//	ИмяТЧ -Строка - Имя табличной части, значение по-умолчанию "Товары".
//
//
Процедура ЗадатьВопросПересчетаЦеныПриИзмененииДоговора(Документ, ОповещениеОРезультате, ИмяТЧ="Товары") Экспорт
```

Пример вызова
```bsl
ЦеныПредприятияЗаполнениеКлиент.ЗадатьВопросПересчетаЦеныПриИзмененииДоговора(Документ, ОповещениеОРезультате, ИмяТЧ);
```
</details>

## НеобходимоЗаполнениеЦенПоВидуЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Проверяет заполненность реквизитов, необходимых для заполнения цен в документе по виду цен.
//
// Параметры:
//   Документ                    - ДокументОбъект - объект, для которого выполняются проверки.
//   ИмяТабличнойЧасти           - Строка - имя табличной части, в которой необходимо осуществить проверку.
//   ПредставлениеТабличнойЧасти - Строка - представление табличной части для информирования пользователя.
//
// Возвращаемое значение:
//   Булево - Ложь, если необходимые данные не заполнены.
//
Функция НеобходимоЗаполнениеЦенПоВидуЦен(Документ, ИмяТабличнойЧасти, ПредставлениеТабличнойЧасти) Экспорт
```

Пример вызова
```bsl
Результат = ЦеныПредприятияЗаполнениеКлиент.НеобходимоЗаполнениеЦенПоВидуЦен(Документ, ИмяТабличнойЧасти, ПредставлениеТабличнойЧасти) 
```
</details>

## НеобходимоЗаполнениеЦенПоСоглашению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для заполнения цен в документе по соглашению с клиентом.
//
// Параметры:
//	Документ                    - ДокументОбъект - объект, для которого выполняются проверки
//	ИмяТабличнойЧасти           - Строка - имя табличной части, в которой необходимо осуществить проверку
//	ПредставлениеТабличнойЧасти - Строка - представление табличной части для информирования пользователя.
//
// Возвращаемое значение:
//	Булево - Ложь, если необходимые данные не заполнены.
//
Функция НеобходимоЗаполнениеЦенПоСоглашению(Документ, ИмяТабличнойЧасти, ПредставлениеТабличнойЧасти) Экспорт
```

Пример вызова
```bsl
Результат = ЦеныПредприятияЗаполнениеКлиент.НеобходимоЗаполнениеЦенПоСоглашению(Документ, ИмяТабличнойЧасти, ПредставлениеТабличнойЧасти) 
```
</details>

## НеобходимоЗаполнениеЦенПоВиду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность реквизитов, необходимых для заполнения цен в документе по договору с комиссионером.
//
// Параметры:
//	Документ            - ДанныеФормыСтруктура - объект, для которого выполняются проверки
//	ПараметрыЗаполнения - см. ЦеныПредприятияЗаполнениеСервер.НовыйПараметрыПроверкиВидаЦенДоговора
//
// Возвращаемое значение:
//	Булево - Ложь, если необходимые данные не заполнены.
//
Функция НеобходимоЗаполнениеЦенПоВиду(Документ, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = ЦеныПредприятияЗаполнениеКлиент.НеобходимоЗаполнениеЦенПоВиду(Документ, ПараметрыЗаполнения) 
```
</details>

## НовыйПараметрыЗаполненияВыбратьВидЦен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор параметров метода ВыбратьВидЦен.
//
// Возвращаемое значение:
//	Структура - Полный перечень возможных параметров,некоторые могут быть необязательными к заполнению:
//		* ОписаниеОповещения - ОписаниеОповещения,Неопределено - оповещение, которое должно быть обработано после выбора вида цен
//		* ЦенаВключаетНДС 							- Булево, Неопределено - отбор при выборе цены
//		* ИспользоватьПриПродаже 					- Булево, Неопределено - отбор при выборе цены
//		* ИспользоватьПриПередачеМеждуОрганизациями - Булево, Неопределено - отбор при выборе цены
//		* ВладелецИндивидуальногоВидаЦен			- СправочникСсылка.СоглашенияСКлиентами,СправочникСсылка.Партнеры,СправочникСсылка.ФорматыМагазинов,СправочникСсылка.Склады,Неопределено

//++ НЕ УТ

//		* ИспользоватьПриПередачеПродукцииДавальцу 	- Булево, Неопределено - отбор при выборе цены.

//-- НЕ УТ

// Новый параметры заполнения выбрать вид цен.
//
// Возвращаемое значение:
//  Структура - Новый параметры заполнения выбрать вид цен:
// * ОписаниеОповещения - Неопределено -
// * ЦенаВключаетНДС - Неопределено -
// * ИспользоватьПриПродаже - Неопределено -
// * ИспользоватьПриПередачеМеждуОрганизациями - Неопределено -
// * ВладелецИндивидуальногоВидаЦен - Неопределено -
// * ИспользоватьПриПередачеПродукцииДавальцу - Неопределено -
Функция НовыйПараметрыЗаполненияВыбратьВидЦен() Экспорт
```

Пример вызова
```bsl
Результат = ЦеныПредприятияЗаполнениеКлиент.НовыйПараметрыЗаполненияВыбратьВидЦен() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
