---
title: Цербер ВЕТИС вызов сервера
slug: erp-uh/цербер-ветис-вызов-сервера
---


## ХозяйствующийСубъектИПредприятиеПоGLN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает предприятие по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция ХозяйствующийСубъектИПредприятиеПоGLN(GLN) Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.ХозяйствующийСубъектИПредприятиеПоGLN(GLN) 
```
</details>

## ПредприятиеПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает предприятие по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция ПредприятиеПоGUID(Идентификатор, Преобразовать = Ложь, ХозяйствующийСубъект = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.ПредприятиеПоGUID(Идентификатор, Преобразовать, ХозяйствующийСубъект, ПараметрыОбмена);
```
</details>

## ПредприятиеПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает предприятие по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция ПредприятиеПоUUID(Идентификатор, Преобразовать = Ложь, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.ПредприятиеПоUUID(Идентификатор, Преобразовать, ПараметрыОбмена);
```
</details>

## СписокПредприятийРФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список предприятий.
//
// Параметры:
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокПредприятийРФ(ПараметрыОтбора, НомерСтраницы = 1, Преобразовать = Ложь, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.СписокПредприятийРФ(ПараметрыОтбора, НомерСтраницы, Преобразовать, КоличествоЭлементовНаСтранице);
```
</details>

## ИсторияИзмененийПредприятийРФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период стран мира.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийПредприятийРФ(Интервал, НомерСтраницы = 1, Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.ИсторияИзмененийПредприятийРФ(Интервал, НомерСтраницы, );
```
</details>

## СписокЗарубежныхПредприятий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список стран мира.
//
// Параметры:
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокЗарубежныхПредприятий(ПараметрыОтбора, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.СписокЗарубежныхПредприятий(ПараметрыОтбора, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## ИсторияИзмененийЗарубежныхПредприятий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период стран мира.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийЗарубежныхПредприятий(Интервал, НомерСтраницы = 1, Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.ИсторияИзмененийЗарубежныхПредприятий(Интервал, НомерСтраницы, );
```
</details>

## СписокПредприятийХозяйствующегоСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает списка поднадзорных объектов (площадок), связанных с заданным хозяйствующим субъектом.
//
// Параметры:
//  ХозяйствующийСубъектGUID - Строка - GUID хозяйствующего субъекта.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокПредприятийХозяйствующегоСубъекта(GUIDХозяйствующегоСубъекта, НомерСтраницы = 1, ХозяйствующийСубъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.СписокПредприятийХозяйствующегоСубъекта(GUIDХозяйствующегоСубъекта, НомерСтраницы, ХозяйствующийСубъект);
```
</details>

## ХозяйствующийСубъектПоGUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает страну мира по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция ХозяйствующийСубъектПоGUID(Идентификатор, Преобразовывать = Ложь, ХозяйствующийСубъект = Неопределено, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.ХозяйствующийСубъектПоGUID(Идентификатор, Преобразовывать, ХозяйствующийСубъект, ПараметрыОбмена);
```
</details>

## ХозяйствующийСубъектПоUUID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает страну мира по идентификатору.
//
// Параметры:
//  Идентификатор - ОпределяемыйТип.УникальныйИдентификаторИС - Идентификатор.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементаКлассификатора().
//
Функция ХозяйствующийСубъектПоUUID(Идентификатор, ПараметрыОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.ХозяйствующийСубъектПоUUID(Идентификатор, ПараметрыОбмена);
```
</details>

## СписокХозяйствующихСубъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список стран мира.
//
// Параметры:
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция СписокХозяйствующихСубъектов(ПараметрыОтбора, НомерСтраницы = 1, КоличествоЭлементовНаСтранице = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.СписокХозяйствующихСубъектов(ПараметрыОтбора, НомерСтраницы, КоличествоЭлементовНаСтранице);
```
</details>

## ИсторияИзмененийХозяйствующихСубъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список измененных за период стран мира.
//
// Параметры:
//  Интервал - Структура - Структура со свойствами:
//   * НачалоПериода - Дата - Дата начала периода.
//   * КонецПериода - Дата - Дата окончания периода.
//  НомерСтраницы - Число - Номер страницы.
//
// Возвращаемое значение:
//  Структура - см. функцию ИнтеграцияВЕТИСКлиентСервер.РезультатВыполненияЗапросаЭлементовКлассификатора().
//
Функция ИсторияИзмененийХозяйствующихСубъектов(Интервал, НомерСтраницы = 1, Экспорт
```

Пример вызова
```bsl
Результат = ЦерберВЕТИСВызовСервера.ИсторияИзмененийХозяйствующихСубъектов(Интервал, НомерСтраницы, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
