---
title: Шаблоны сообщений локализация
slug: erp-uh/шаблоны-сообщений-локализация
---


## ПриПодготовкеШаблонаСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при подготовке шаблонов сообщений и позволяет переопределить список реквизитов и вложений.
//
// см. ШаблоныСообщенийПереопределяемый.ПриПодготовкеШаблонаСообщения
//
Процедура ПриПодготовкеШаблонаСообщения(Реквизиты, Вложения, НазначениеШаблона, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ШаблоныСообщенийЛокализация.ПриПодготовкеШаблонаСообщения(Реквизиты, Вложения, НазначениеШаблона, ДополнительныеПараметры) 
```
</details>

## ПриФормированииСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в момент создания сообщений по шаблону для заполнения значений реквизитов и вложений.
//
// см. ШаблоныСообщенийПереопределяемый.ПриФормированииСообщения
//
Процедура ПриФормированииСообщения(Сообщение, НазначениеШаблона, ПредметСообщения, ПараметрыШаблона) Экспорт
```

Пример вызова
```bsl
ШаблоныСообщенийЛокализация.ПриФормированииСообщения(Сообщение, НазначениеШаблона, ПредметСообщения, ПараметрыШаблона) 
```
</details>

## ПриЗаполненииТелефоновПолучателейВСообщении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список получателей SMS при отправке сообщения сформированного по шаблону.
//
// см. ШаблоныСообщенийПереопределяемый.ПриЗаполненииТелефоновПолучателейВСообщении
Процедура ПриЗаполненииТелефоновПолучателейВСообщении(ПолучателиSMS, НазначениеШаблона, ПредметСообщения) Экспорт
```

Пример вызова
```bsl
ШаблоныСообщенийЛокализация.ПриЗаполненииТелефоновПолучателейВСообщении(ПолучателиSMS, НазначениеШаблона, ПредметСообщения) 
```
</details>

## ПриЗаполненииПочтыПолучателейВСообщении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет список получателей почты при отправки сообщения сформированного по шаблону.
//
// см. ШаблоныСообщенийПереопределяемый.ПриЗаполненииПочтыПолучателейВСообщении
//
Процедура ПриЗаполненииПочтыПолучателейВСообщении(ПолучателиПисьма, НазначениеШаблона, ПредметСообщения) Экспорт
```

Пример вызова
```bsl
ШаблоныСообщенийЛокализация.ПриЗаполненииПочтыПолучателейВСообщении(ПолучателиПисьма, НазначениеШаблона, ПредметСообщения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
