---
title: Шаблоны фискальных документов локализация
slug: erp-uh/шаблоны-фискальных-документов-локализация
---


## ШаблонКассовыйЧек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон кассового чека, по данным операции фискализации чека
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОперацииФискализацииЧека
//   ФискальнаяОперация - Структура
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента
//
Процедура ШаблонКассовыйЧек(Шаблон, Данные, ФискальнаяОперация, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовЛокализация.ШаблонКассовыйЧек(Шаблон, Данные, ФискальнаяОперация, Параметры) 
```
</details>

## ШаблонОтчетОбОткрытииСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон отчета об открытии смены
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОткрытияЗакрытияСмены
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента
//
Процедура ШаблонОтчетОбОткрытииСмены(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовЛокализация.ШаблонОтчетОбОткрытииСмены(Шаблон, Данные, Параметры) 
```
</details>

## ШаблонОтчетОЗакрытииСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон отчета о закрытии смены
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОткрытияЗакрытияСмены
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента
//
Процедура ШаблонОтчетОЗакрытииСмены(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовЛокализация.ШаблонОтчетОЗакрытииСмены(Шаблон, Данные, Параметры) 
```
</details>

## ШаблонОтчетОТекущемСостоянии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон отчета о текущем состоянии
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыВыполненияОперации
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента
//
Процедура ШаблонОтчетОТекущемСостоянии(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовЛокализация.ШаблонОтчетОТекущемСостоянии(Шаблон, Данные, Параметры) 
```
</details>

## ШаблонСнятиеНаличных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон отчета о снятии наличных
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыИнкассации
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента
//
Процедура ШаблонСнятиеНаличных(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовЛокализация.ШаблонСнятиеНаличных(Шаблон, Данные, Параметры) 
```
</details>

## ШаблонВнесениеНаличных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон отчета о внесении наличных
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыИнкассации
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента
//
Процедура ШаблонВнесениеНаличных(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовЛокализация.ШаблонВнесениеНаличных(Шаблон, Данные, Параметры) 
```
</details>

## ШаблонИнфоКвитанция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон отчета о инфо квитанции
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыВыполненияОперации
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента
//
Процедура ШаблонИнфоКвитанция(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовЛокализация.ШаблонИнфоКвитанция(Шаблон, Данные, Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
