---
title: Шаблоны фискальных документов служебный
slug: erp-uh/шаблоны-фискальных-документов-служебный
---


## ШаблонКассовыйЧек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон универсального кассового чека, по данным операции фискализации чека,
// независимого от локализации.
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОткрытияЗакрытияСмены.
//   ФискальнаяОперация - Структура.
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента.
//
Процедура ШаблонКассовыйЧек(Шаблон, Данные, ФискальнаяОперация, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ШаблонКассовыйЧек(Шаблон, Данные, ФискальнаяОперация, Параметры) 
```
</details>

## ШаблонОтчетОбОткрытииСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон универсального отчет об открытии смены, независимого от локализации.
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОткрытияЗакрытияСмены.
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента.
//
Процедура ШаблонОтчетОбОткрытииСмены(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ШаблонОтчетОбОткрытииСмены(Шаблон, Данные, Параметры) 
```
</details>

## ШаблонОтчетОЗакрытииСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон универсального отчет о закрытии смены, независимого от локализации.
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОткрытияЗакрытияСмены.
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента.
//
Процедура ШаблонОтчетОЗакрытииСмены(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ШаблонОтчетОЗакрытииСмены(Шаблон, Данные, Параметры) 
```
</details>

## ШаблонОтчетОТекущемСостоянии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон универсального отчет о текущем состоянии, независимого от локализации.
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОткрытияЗакрытияСмены.
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента.
//
Процедура ШаблонОтчетОТекущемСостоянии(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ШаблонОтчетОТекущемСостоянии(Шаблон, Данные, Параметры) 
```
</details>

## ШаблонСнятиеНаличных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон универсального отчет о снятии наличных, независимого от локализации.
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОткрытияЗакрытияСмены.
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента.
//
Процедура ШаблонСнятиеНаличных(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ШаблонСнятиеНаличных(Шаблон, Данные, Параметры) 
```
</details>

## ШаблонВнесениеНаличных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон универсального отчета о внесении наличных, независимого от локализации.
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОткрытияЗакрытияСмены.
//   Параметры - см. ШаблоныФискальныхДокументов.ПараметрыШаблонаФискальногоДокумента.
//
Процедура ШаблонВнесениеНаличных(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ШаблонВнесениеНаличных(Шаблон, Данные, Параметры) 
```
</details>

## ШаблонИнфоКвитанция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует шаблон инфо квитанции, независимого от локализации.
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//   Данные - см. ОборудованиеЧекопечатающиеУстройстваКлиентСервер.ПараметрыОткрытияЗакрытияСмены.
//   Параметры - Структура
//
Процедура ШаблонИнфоКвитанция(Шаблон, Данные, Параметры) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ШаблонИнфоКвитанция(Шаблон, Данные, Параметры) 
```
</details>

## СтрокаСимволов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает строку символов заданного размера.
//
// Параметры:
//  Размер - Число - размер строки которую нужно создать.
//  Символ - Строка - символы которыми будет заполнен результат.
//
// Возвращаемое значение:
//  Строка - строка символов заданного размера.
//
Функция СтрокаСимволов(Размер, Символ = " ") Экспорт
```

Пример вызова
```bsl
Результат = ШаблоныФискальныхДокументовСлужебный.СтрокаСимволов(Размер, Символ);
```
</details>

## ДобавитьЭлементШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет строку в шаблон.
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//   Заголовок - Строка - Заголовок который будет добавлено в шаблон.
//   Значение - Произвольный - Значение которое будет добавлено в шаблон.
//   Формат - см. ШаблоныФискальныхДокументов.НовыйФормат.
Процедура ДобавитьЭлементШаблона(Шаблон, Заголовок = "", Значение = Неопределено, Формат = Неопределено) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ДобавитьЭлементШаблона(Шаблон, Заголовок, Значение, Формат);
```
</details>

## ДобавитьКолонкуЭлементаШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет колонку в последнюю строку шаблона.
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//   Заголовок - Строка.
//   Значение - Произвольный.
//   Формат - см. ШаблоныФискальныхДокументов.НовыйФормат.
//
Процедура ДобавитьКолонкуЭлементаШаблона(Шаблон, Заголовок = "", Значение = Неопределено, Формат = Неопределено) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ДобавитьКолонкуЭлементаШаблона(Шаблон, Заголовок, Значение, Формат);
```
</details>

## УстановитьШиринуКолонокЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет и устанавливает ширину колонок у переданного массива колонок.
//
// Параметры:
//   Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//   МассивКолонок - Массив из см. НоваяКолонкаЭлементаШаблона.
//
Процедура УстановитьШиринуКолонокЭлемента(Шаблон, МассивКолонок) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.УстановитьШиринуКолонокЭлемента(Шаблон, МассивКолонок) 
```
</details>

## СформироватьСтрокуЭлементаШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив строк у элемента, колонки выводятся в соответствии с заданным форматированием.
//
// Параметры:
//  Шаблон - см. ШаблоныФискальныхДокументов.НовыйШаблон.
//  Элемент - см. НовыйЭлементШаблона.
//
Процедура СформироватьСтрокуЭлементаШаблона(Шаблон, Элемент) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.СформироватьСтрокуЭлементаШаблона(Шаблон, Элемент) 
```
</details>

## ВывестиЭлементXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит в записьXML переданный элемент рекурсивно.
//
// Параметры:
//  Запись - ЗаписьXML.
//  Элемент - Структура.
//
Процедура ВывестиЭлементXML(Запись, Элемент) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ВывестиЭлементXML(Запись, Элемент) 
```
</details>

## ВывестиШтрихкод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит штрихкод табличный документ.
//
// Параметры:
//  ТабличныйДокумент - ТабличныйДокумент - документ где должен быть выведен штрихкод.
//  Область - ОбластьЯчеекТабличногоДокумента - область где должен быть выведен штрихкод.
//  ТипШтрихкода - Строка - тип штрихкода в текстовом виде.
//  Штрихкод - Строка - значение штрихкода.
//  ИспользоватьBase64 - Булево - Использовать Base64.
//
Процедура ВывестиШтрихкод(ТабличныйДокумент, Область, ТипШтрихкода, Знач Штрихкод, Знач ИспользоватьBase64 = Ложь) Экспорт
```

Пример вызова
```bsl
ШаблоныФискальныхДокументовСлужебный.ВывестиШтрихкод(ТабличныйДокумент, Область, ТипШтрихкода, Штрихкод, ИспользоватьBase64);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
