---
title: Штрихкодирование ЕГАИС
slug: erp-uh/штрихкодирование-егаис
---


## ДополнитьДанныеПоШтрихкодамСпецификой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет базовые данные по штрихкодам спецификой алкогольной продукции.
//
// Параметры:
//  ДанныеПоШтрихкодам - см. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияДанныхПоШтрихкодам
//  ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования
//  ПараметрыДополнения   - Неопределено - Поддержка обратной совместимости.
//                        - см. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыДополненияВложенныхШтрихкодовУпаковок.
Процедура ДополнитьДанныеПоШтрихкодамСпецификой(ДанныеПоШтрихкодам, ПараметрыСканирования, ПараметрыДополнения = Неопределено) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.ДополнитьДанныеПоШтрихкодамСпецификой(ДанныеПоШтрихкодам, ПараметрыСканирования, ПараметрыДополнения);
```
</details>

## ДобавитьКолонкиТаблицыДанныеКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьКолонкиТаблицыДанныеКодовМаркировки(ДанныеПоШтрихкодам, ПараметрыСканирования = Неопределено, ДанныеКодовМаркировки = Неопределено, ТребуетсяЧастичноеВыбытие = Неопределено) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.ДобавитьКолонкиТаблицыДанныеКодовМаркировки(ДанныеПоШтрихкодам, ПараметрыСканирования, ДанныеКодовМаркировки, ТребуетсяЧастичноеВыбытие);
```
</details>

## НормализоватьСвойстваКоллекцииВложенныхШтрихкодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет свойства таблицы значений - "МаркированныеТовары" или дерево значение - "ДеревоУпаковок" колонками,
// специфичными для табачной продукции.
//
// Возвращаемое значение:
//  Массив Из Строка - Добавленные колонки
//
// Параметры:
//  Коллекция - ТаблицаЗначений, ДеревоЗначений - "МаркированныеТовары" или "ДеревоУпаковок"
//  ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования
Функция НормализоватьСвойстваКоллекцииВложенныхШтрихкодов(Коллекция, ПараметрыСканирования = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеЕГАИС.НормализоватьСвойстваКоллекцииВложенныхШтрихкодов(Коллекция, ПараметрыСканирования);
```
</details>

## ЗаполнитьСтрокуПоДаннымРазбораКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтрокуПоДаннымРазбораКодаМаркировки(СтрокаДанных, СтрокаДанныхДополнительно, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.ЗаполнитьСтрокуПоДаннымРазбораКодаМаркировки(СтрокаДанных, СтрокаДанныхДополнительно, ПараметрыСканирования) 
```
</details>

## ЗаполнитьХарактеристикиСтрокиДереваПоПодчиненнымСтрокам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьХарактеристикиСтрокиДереваПоПодчиненнымСтрокам(СтрокаДерева, СтрокаДанных) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.ЗаполнитьХарактеристикиСтрокиДереваПоПодчиненнымСтрокам(СтрокаДерева, СтрокаДанных));
```
</details>

## ЗаполнитьСтрокуДереваПоДаннымТаблицыКодыМаркировок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтрокуДереваПоДаннымТаблицыКодыМаркировок(СтрокаДерева, СтрокаДанных, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.ЗаполнитьСтрокуДереваПоДаннымТаблицыКодыМаркировок(СтрокаДерева, СтрокаДанных, ПараметрыЗаполнения));
```
</details>

## РассчитатьКоличественныеПоказателиСтрокиДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет количественных показателей строки дерева.
//
// Параметры:
//  СтрокаДерева - СтрокаДереваЗначений - Строка дерева упаковок.
Процедура РассчитатьКоличественныеПоказателиСтрокиДерева(СтрокаДерева, СтрокаДанных, ПараметрыЗаполнения) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.РассчитатьКоличественныеПоказателиСтрокиДерева(СтрокаДерева, СтрокаДанных, ПараметрыЗаполнения));
```
</details>

## ПараметрыСлиянияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вынести в модуль
Процедура ПараметрыСлиянияДанных(ПараметрыЗаполнения, Приемник, Источник) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.ПараметрыСлиянияДанных(ПараметрыЗаполнения, Приемник, Источник) 
```
</details>

## ЗаполнитьСтрокиДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет строки дерева упаковок данными специфичными для обувной продукции.
//
// Параметры:
//  СтрокаВерхнегоУровня - СтрокаДереваЗначений - Строки дерева упаковок.
//  ПараметрыЗаполнения - См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияТаблицыДанныхКодовМаркировки.
//  УпаковкаВерхнегоУровня - СтрокаДереваЗначений - Самая верхняя строка иерархии дерева упаковок.
//  ЭтоПервыйУровень - Булево - Истина, если это верхний уровень дерева.
Процедура ЗаполнитьСтрокиДерева(СтрокаВерхнегоУровня, ПараметрыЗаполнения, Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.ЗаполнитьСтрокиДерева(СтрокаВерхнегоУровня, ПараметрыЗаполнения, );
```
</details>

## НормализоватьДанныеДереваУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет дерево упаковок колонками, специфичными для табачной продукции. Заполняет значения специфичных колонок.
//
// Параметры:
//  ДеревоУпаковок - ДеревоЗначений - Дерево упаковок, построенное в соответствие с хранением в справочнике ШтрихкодыУпаковок.
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
//  ДанныеКодовМаркировки - (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияТаблицыДанныхКодовМаркировки).
//  ТолькоПересчетНоменклатурыИКоличества - Булево -
//  ЗаполнятьСтрокиДерева                 - Булево -
Процедура НормализоватьДанныеДереваУпаковок(ДеревоУпаковок, ПараметрыСканирования, ДанныеКодовМаркировки = Неопределено, ТолькоПересчетНоменклатурыИКоличества = Ложь, ЗаполнятьСтрокиДерева = Ложь) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.НормализоватьДанныеДереваУпаковок(ДеревоУпаковок, ПараметрыСканирования, ДанныеКодовМаркировки, ТолькоПересчетНоменклатурыИКоличества, ЗаполнятьСтрокиДерева);
```
</details>

## НормализоватьДанныеТаблицыМаркированныеТовары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет таблицу значений "Маркированные товары" свойствами специфичными для табачной продукции и заполняет
// на основании данных - "Дерева упаковок".
//
// Параметры:
//  ДеревоУпаковок - ДеревоЗначений - Дерево упаковок, построенное в соответствие с хранением в справочнике ШтрихкодыУпаковок.
//  МаркированныеТовары - ТаблицаЗначений - Таблица с маркируемой продукцией.
//  ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования
Процедура НормализоватьДанныеТаблицыМаркированныеТовары(ДеревоУпаковок, МаркированныеТовары, ПараметрыСканирования = Неопределено) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.НормализоватьДанныеТаблицыМаркированныеТовары(ДеревоУпаковок, МаркированныеТовары, ПараметрыСканирования);
```
</details>

## НормализоватьДанныеВложенныхШтрихкодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет входящие в состав "Вложенных штрихкодов" коллекции - "Дерево упаковок" и "Маркированные товары" свойствами
// специфичными для табачной продукции и заполняет на основании данных - "Специфика штрихкодов".
//
// Параметры:
//  ВложенныеШтрихкоды - Структура - Включает в себя таблицу значений "Маркированные товары" и "Дерево упаковок".
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования)
//  ДанныеКодовМаркировки - (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияТаблицыДанныхКодовМаркировки).
// ТребуетсяЧастичноеВыбытие - Булево -
Процедура НормализоватьДанныеВложенныхШтрихкодов(ВложенныеШтрихкоды, ПараметрыСканирования, ДанныеКодовМаркировки = Неопределено, ТребуетсяЧастичноеВыбытие = Неопределено) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеЕГАИС.НормализоватьДанныеВложенныхШтрихкодов(ВложенныеШтрихкоды, ПараметрыСканирования, ДанныеКодовМаркировки, ТребуетсяЧастичноеВыбытие);
```
</details>

## ПредставлениеШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сокращенное представление штрихкода маркируемой продукции.
//
// Параметры:
// 	Штрихкод - Строка - Штрихкод строкой.
// 	ТипШтрихкода - ПеречислениеСсылка.ТипыШтрихкодов - Тип штрихкода.
// 	ВидУпаковки - ПеречислениеСсылка.ВидыУпаковокИС - Вид упаковоки.
// Возвращаемое значение:
// 	Строка - Краткое представление штрихкода маркируемой продукции.
Функция ПредставлениеШтрихкода(Штрихкод, ТипШтрихкода, ВидУпаковки) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеЕГАИС.ПредставлениеШтрихкода(Штрихкод, ТипШтрихкода, ВидУпаковки) 
```
</details>

## СоздатьШтрихкодыУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает элементы справочника ШтрихкодыУпаковокТоваров.
//
// Параметры:
//  ДеревоУпаковок - ДеревоЗначений - дерево упаковок.
//  ШтрихкодыУпаковок - ТаблицаЗначений - таблица штрихкодов упаковок и их хеш-сумм.
//  РассчитыватьДанные - Булево - выполнять расчет данных о товарах и справках 2 дерева упаковок.
//  Грузополучатель - СправочникСсылка.КлассификаторОрганизацийЕГАИС - Организация ЕГАИС для записи статусов новых акцизных марок.
//  КэшСтатусовУказанияСерий - Соответствие из КлючИЗначение - кэш статусов указания серий номенклатуры
// Возвращаемое значение:
//   Структура - результат обработки:
//   * ВложенныеШтрихкодыУпаковок - Массив из СправочникСсылка.ШтрихкодыУпаковокТоваров - вложенные в текущую упаковку штриховые коды.
//   * ХешСумма - Строка - расчитанная хеш-сумма упаковки.
//   Неопределено - создание упаковок не требуется.
Функция СоздатьШтрихкодыУпаковок(ДеревоУпаковок, ШтрихкодыУпаковок = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеЕГАИС.СоздатьШтрихкодыУпаковок(ДеревоУпаковок, ШтрихкодыУпаковок, );
```
</details>

## ПолучитьСгенерироватьАкцизнуюМарку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В данной функции выполняется поиск элемента справочника "ШтрихкодыУпаковокТоваров" по коду акцизной марки, если
//    элемент справочника найти не удалось - будет создан новый элемент.
//
// Параметры:
//  КодАкцизнойМарки - Строка - Код марки алкогольной продукции.
//  Номенклатура - ОпределяемыйТип.Номенклатура - ссылка на элемент номенклатуры.
//  Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - ссылка на элемент характеристики.
//  Серия - Неопределено, ОпределяемыйТип.СерияНоменклатуры - ссылка на элемент серия.
//  ЗаписьПриОбновленииИБ - Булево - Истина, если запись происходит при обновлении ИБ.
// Возвращаемое значение:
//  СправочникСсылка.ШтрихкодыУпаковокТоваров - Описание
Функция ПолучитьСгенерироватьАкцизнуюМарку(КодАкцизнойМарки, Номенклатура, Характеристика, Серия = Неопределено, ЗаписьПриОбновленииИБ = ЛОЖЬ) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеЕГАИС.ПолучитьСгенерироватьАкцизнуюМарку(КодАкцизнойМарки, Номенклатура, Характеристика, Серия, ЗаписьПриОбновленииИБ);
```
</details>

## СгенерироватьАкцизнуюМарку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает элемент справочника "Штрихкоды упаковок" по данным акцизной марки.
//
// Параметры:
//  КодАкцизнойМарки - Строка - Код марки алкогольной продукции.
//  Номенклатура - ОпределяемыйТип.Номенклатура - ссылка на элемент номенклатуры.
//  Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - ссылка на элемент характеристики.
//  Серия - Неопределено, ОпределяемыйТип.СерияНоменклатуры - ссылка на элемент серия.
//  ЗаписьПриОбновленииИБ - Булево - Истина, если запись происходит при обновлении ИБ.
// Возвращаемое значение:
//  СправочникСсылка.ШтрихкодыУпаковокТоваров - Ссылка на созданный элемент справочника.
Функция СгенерироватьАкцизнуюМарку(КодАкцизнойМарки, Номенклатура, Характеристика, Серия = Неопределено, ЗаписьПриОбновленииИБ = ЛОЖЬ) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеЕГАИС.СгенерироватьАкцизнуюМарку(КодАкцизнойМарки, Номенклатура, Характеристика, Серия, ЗаписьПриОбновленииИБ);
```
</details>

## ВложенныеШтрихкодыУпаковокПоВыборкеИМенеджеруВТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует коллекции: «ДеревоУпаковок» и «МаркированныеТовары».
// Данные собираются на основании информации справочника «ШтрихкодыУпаковок».
//
// Параметры:
//  ВыборкаПерваяИтерация - ВыборкаИзРезультатаЗапроса - первая итерации выборки.
//  МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - Менеджер временных таблиц.
// Возвращаемое значение:
//  Структура - Описание:
// * МаркированныеТовары - ТаблицаЗначений - Таблица, содержащая товары, подлежащие маркировке.
// * ДеревоУпаковок - ДеревоЗначений - Дерево упаковок, построенное в соответствие с хранением в справочнике ШтрихкодыУпаковок.
Функция ВложенныеШтрихкодыУпаковокПоВыборкеИМенеджеруВТ(ВыборкаПерваяИтерация, МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеЕГАИС.ВложенныеШтрихкодыУпаковокПоВыборкеИМенеджеруВТ(ВыборкаПерваяИтерация, МенеджерВременныхТаблиц) 
```
</details>

## ПараметрыФормированияТекстаЗапросаВложенныхШтрихкодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров, на основании которых будет формироваться запрос получения вложенных штрихкодов.
//
// Возвращаемое значение:
//  Структура - Описание:
// * ИмяТабЧастиАкцизныхМарок - Строка - Наименование табличной части, где хранятся Акцизные марки.
// * ЗаполнитьСправки2ИзРегистра - Булево - Истина, если необходимо брать справки 2 из регистра сведений
//  Акцизные марки ЕГАИС.
// * ИмяВременнойТаблицы - Строка - Имя временной таблицы, на основании которой будут получены данные.
// * ИмяПоляАлкогольнаяПродукция - Строка - Наименование реквизита табличной части, где хранится значение Алкогольная
//  продукция.
// * ИмяПоляОрганизацияЕГАИС - Строка - Наименование реквизита, где хранится значение Организация ЕГАИС.
// * ИспользоватьИдентификаторСтроки - Булево - Истина, в том случае, используется идентификатор строк для связи между
//	 табличной частью с товарами и табличной частью с акцизными марками.
// * ДокументСсылка - Неопределено - Ссылка на документ, для которого необходимо получить данные по штрихкодам упаковок.
// * ОрганизацияЕГАИС - СправочникСсылка.КлассификаторОрганизацийЕГАИС, Неопределено - организация ЕГАИС из классификатора
// * ИмяКолонкиСвязи - Строка - Если акцизные марки хранятся в отдельной табличной части и связь осуществляется по колонке-ключу -
//      требуется указать имя колонки, по которой осуществляется связь между табличными частями Товары и табличной частью, где хранятся
//      акцизные марки. По умолчанию "ИдентификаторСтроки".
Функция ПараметрыФормированияТекстаЗапросаВложенныхШтрихкодов() Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеЕГАИС.ПараметрыФормированияТекстаЗапросаВложенныхШтрихкодов() 
```
</details>

## ТекстЗапросаВложенныхШтрихкодовПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст запроса для получения вложенных штрихкодов по документу.
//
// Параметры:
//  ПараметрыФормированияТекстаЗапроса - (См. ПараметрыФормированияТекстаЗапросаВложенныхШтрихкодов).
//
// Возвращаемое значение:
//  Строка - Текст запроса.
Функция ТекстЗапросаВложенныхШтрихкодовПоДокументу(ПараметрыФормированияТекстаЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеЕГАИС.ТекстЗапросаВложенныхШтрихкодовПоДокументу(ПараметрыФормированияТекстаЗапроса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
