---
title: Штрихкодирование ИС клиент
slug: erp-uh/штрихкодирование-ис-клиент
---


## ПоказатьВводШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает форму ввода штрихкода.
//
// Параметры:
//  ОписаниеОповещения - ОписаниеОповещения - Оповещение, которое будет выполнено по завершению.
Процедура ПоказатьВводШтрихкода(ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиент.ПоказатьВводШтрихкода(ОписаниеОповещения) 
```
</details>

## ОбработатьДанныеRFID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку RFID-метки. Вызывается из формы проверки и подбора маркируемой продукции.
//
// Параметры:
//  ЗавершениеОбработки - Строка - Имя описания оповещения - обработчика формы, которое произойдет при завершении обработки.
//  Форма - ФормаКлиентскогоПриложения - форма, в которой отсканирован штрихкод.
//  ДанныеRFID - Структура - структура с ключами:
//   * TID - Строка - TID RFID-метки
//   * EPC - Строка - EPC RFID-метки
//  ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования
//  ДанныеРазбора - см. РазборКодаМаркировкиИССлужебныйКлиентСервер.НовыйРезультатРазбораКодаМаркировки
//  ДополнительныеПараметры - Структура
Процедура ОбработатьДанныеRFID(ЗавершениеОбработки, Форма, ДанныеRFID, ПараметрыСканирования = Неопределено, ДанныеРазбора = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиент.ОбработатьДанныеRFID(ЗавершениеОбработки, Форма, ДанныеRFID, ПараметрыСканирования, ДанныеРазбора, ДополнительныеПараметры);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
