---
title: Штрихкодирование ИС клиент переопределяемый
slug: erp-uh/штрихкодирование-ис-клиент-переопределяемый
---


## ПоказатьВводШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре нужно показать диалоговое окно для ввода штрихкода и передать полученные данные в описание оповещения.
//
// Параметры:
//  Оповещение - ОписаниеОповещения - процедура, которую нужно вызвать после ввода штрихкода.
//  СтандартнаяОбработка - Булево - признак дальнейшей стандартной обработки события.
Процедура ПоказатьВводШтрихкода(Оповещение, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиентПереопределяемый.ПоказатьВводШтрихкода(Оповещение, СтандартнаяОбработка) 
```
</details>

## ПослеОбработкиШтрихкодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре необходимо реализовать алгоритм обработки после получения данных по штрихкодам и попытки обработать эти данные.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа, в которой были обработаны штрихкоды,
//  ОбработанныеДанные - Структура - подготовленные ранее данные штрихкодов,
//  КэшированныеЗначения - Структура - используется механизмом обработки изменения реквизитов ТЧ.
Процедура ПослеОбработкиШтрихкодов(Форма, ОбработанныеДанные, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиентПереопределяемый.ПослеОбработкиШтрихкодов(Форма, ОбработанныеДанные, КэшированныеЗначения) 
```
</details>

## ОткрытьФормуПодбораНоменклатурыПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре необходимо реализовать открытие формы, в которой будет возможность сопоставить неизвестные штрихкоды с номенклатурой.
//
// Параметры:
//  НеизвестныеШтрихкоды - Массив - Штрихкоды для сопоставления.
//  ФормаВладелец - ФормаКлиентскогоПриложения - Форма владелец.
//  ОповещениеОЗакрытии - ОписаниеОповещения - Оповещение, которое должно быть вызвано после сопоставления номенклатуры.
Процедура ОткрытьФормуПодбораНоменклатурыПоШтрихкодам(НеизвестныеШтрихкоды, ФормаВладелец = Неопределено, ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиентПереопределяемый.ОткрытьФормуПодбораНоменклатурыПоШтрихкодам(НеизвестныеШтрихкоды, ФормаВладелец, ОповещениеОЗакрытии);
```
</details>

## ОчиститьКэшированныеШтрихкоды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре необходимо реализовать очистку коллекции штрихкодов, которые находятся в структуре кэшированные значения.
//
// Параметры:
//  ДанныеШтрихкодов - Соответствие - Данные штрихкодов.
//  КэшированныеЗначения - Структура - Содержит поля кэшируемых значений.
Процедура ОчиститьКэшированныеШтрихкоды(ДанныеШтрихкодов, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиентПереопределяемый.ОчиститьКэшированныеШтрихкоды(ДанныеШтрихкодов, КэшированныеЗначения) 
```
</details>

## ПослеОбработкиТаблицыТоваровПолученнойИзТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после загрузки данных из ТСД. В процедуре нужно проанализировать полученные штрихкоды на предмет сканирования акцизной марки, а также
// обработать штрихкоды, не привязанные к номенклатуре.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа, в которой были обработаны штрихкоды,
//  ОбработанныеДанные - Структура - подготовленные ранее данные штрихкодов,
//  КэшированныеЗначения - Структура - используется механизмом обработки изменения реквизитов ТЧ.
Процедура ПослеОбработкиТаблицыТоваровПолученнойИзТСД(Форма, ОбработанныеДанные, КэшированныеЗначения) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиентПереопределяемый.ПослеОбработкиТаблицыТоваровПолученнойИзТСД(Форма, ОбработанныеДанные, КэшированныеЗначения) 
```
</details>

## ПодготовитьДанныеДляОбработкиТаблицыТоваровПолученнойИзТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре нужно реализовать подготовку данных для дальнейшей обработки штрихкодов, полученных из ТСД.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа, в которой происходит обработка,
//  ТаблицаТоваров - Массив - полученные данные из ТСД,
//  КэшированныеЗначения - Структура - используется механизмом обработки изменения реквизитов ТЧ,
//  ПараметрыЗаполнения - Структура - параметры заполнения (см. ИнтеграцияЕГАИСКлиентСервер.ПараметрыЗаполненияТабличнойЧасти()).
//  СтруктураДействий - Структура - подготовленные данные.
Процедура ПодготовитьДанныеДляОбработкиТаблицыТоваровПолученнойИзТСД( Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиентПереопределяемый.ПодготовитьДанныеДляОбработкиТаблицыТоваровПолученнойИзТСД();
```
</details>

## ПриОпределенииИнформацииОбОтказеВводаКодаМаркиДляЖурналаРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В данной процедуре нужно переопределить параметры записи журнала регистрации при отказе ввода кода маркировки.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, для которой происходит обработка штрихкода.
//  СтруктураСообщения - Структура:
//   * ИмяСобытия - Строка - Имя события журнала регистрации.
//   * Уровень - Строка - Уровень журнала регистрации. Возможные уровни: "Информация", "Ошибка", "Предупреждение",
//        "Примечание".
//   * Данные - Произвольный - Данные журнала регистрации.
//   * СсылкаНаОбъект - ЛюбаяСсылка - Ссылка на объект, на основании которого будут полученные метаданные для записи
//        в журнал регистрации.
//   * КодМаркировки - Строка - Введенный код маркировки. Если значение кода не заполнено - ввод кода маркировки отменен
//        по инициативе пользователя.
Процедура ПриОпределенииИнформацииОбОтказеВводаКодаМаркиДляЖурналаРегистрации(Форма, СтруктураСообщения) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиентПереопределяемый.ПриОпределенииИнформацииОбОтказеВводаКодаМаркиДляЖурналаРегистрации(Форма, СтруктураСообщения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
