---
title: Штрихкодирование ИС клиент сервер
slug: erp-uh/штрихкодирование-ис-клиент-сервер
---


## ЭтоКонтекстОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет принадлежность имени объекта к контексту.
//
// Параметры:
//  Контекст - ФормаКлиентскогоПриложения, ДокументСсылка, СправочникСсылка, ОбработкаМенеджер - контекст.
//  ИмяОбъекта - Строка - Имя объекта.
// Возвращаемое значение:
//  Булево - Истина, если имя объекта принадлежит контексту.
Функция ЭтоКонтекстОбъекта(Контекст, Знач ИмяОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСКлиентСервер.ЭтоКонтекстОбъекта(Контекст, ИмяОбъекта) 
```
</details>

## ВключитьПоддержкуПрочейПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает в параметрах сканирования обработку штрихкодов номенклатуры, не относящейся к библиотеке
//
// Параметры:
//   ПараметрыСканирования - см. БазовыеПараметрыСканирования
//
Процедура ВключитьПоддержкуПрочейПродукции(ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиентСервер.ВключитьПоддержкуПрочейПродукции(ПараметрыСканирования) 
```
</details>

## ЗаполнитьПараметрыСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры сканирования по контексту.
//
// Параметры:
//  ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования
//  Контекст - ФормаКлиентскогоПриложения, ДокументСсылка, СправочникСсылка, ОбработкаМенеджер - контекст.
Процедура ЗаполнитьПараметрыСканирования(ПараметрыСканирования, Контекст) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСКлиентСервер.ЗаполнитьПараметрыСканирования(ПараметрыСканирования, Контекст) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
