---
title: Штрихкодирование ИСМП
slug: erp-uh/штрихкодирование-исмп
---


## ДобавитьРасширенныеКолонкиТаблицыДанныхКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьРасширенныеКолонкиТаблицыДанныхКодовМаркировки(ПараметрыСканирования, ОбязательныеКолонки) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСМП.ДобавитьРасширенныеКолонкиТаблицыДанныхКодовМаркировки(ПараметрыСканирования, ОбязательныеКолонки) 
```
</details>

## РасширенныеПроверкиРезультатаОбработкиКодаМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РасширенныеПроверкиРезультатаОбработкиКодаМаркировки(ПараметрыСканирования, ДанныеШтрихкода, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСМП.РасширенныеПроверкиРезультатаОбработкиКодаМаркировки(ПараметрыСканирования, ДанныеШтрихкода, РезультатОбработки) 
```
</details>

## ЭтоПроверкаПиваВРозницуСЧастичнымВыбытием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПроверкаПиваВРозницуСЧастичнымВыбытием(ПараметрыСканирования, СтрокаДанных) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМП.ЭтоПроверкаПиваВРозницуСЧастичнымВыбытием(ПараметрыСканирования, СтрокаДанных) 
```
</details>

## КодМаркировкиДляПередачиИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Приводит код маркировки к виду, необходимому для системы ИС МП.
//
// Параметры:
//  СтрокаКодаМаркировки - Структура - Строка кода маркировки.
//  ПараметрыНормализации - См. РазборКодаМаркировкиИССлужебныйКлиентСервер.ПараметрыНормализацииКодаМаркировки
// Возвращаемое значение:
//  Неопределено, Строка - Код маркировки после нормализации.
Функция КодМаркировкиДляПередачиИСМП(СтрокаКодаМаркировки, ПараметрыНормализации) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМП.КодМаркировкиДляПередачиИСМП(СтрокаКодаМаркировки, ПараметрыНормализации) 
```
</details>

## ВидыПродукцииПоКодуМаркировкиОстатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вид продукции по GTIN на остатки.
//
// Параметры:
// 	КодМаркировки - Строка                                    - Код маркировки.
// 	Организация   - Неопределено, ОпределяемыйТип.Организация - Организация, владелец GTIN на остатки.
// Возвращаемое значение:
// 	Неопределено, Массив из ПеречислениеСсылка.ВидыПродукцииИС - Виды продукции кода маркировки остатков.
Функция ВидыПродукцииПоКодуМаркировкиОстатков(КодМаркировки, Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМП.ВидыПродукцииПоКодуМаркировкиОстатков(КодМаркировки, Организация);
```
</details>

## ВложенныеШтрихкодыУпаковокПоДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру вложенных штрихкодов по ссылке на документ.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Ссылка на документ.
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
//  СортироватьДанные - Булево - Необходимость сортировки данных дерева.
// Возвращаемое значение:
//  см. ШтрихкодированиеИС.ИнициализацияВложенныхШтрихкодов
Функция ВложенныеШтрихкодыУпаковокПоДокументу(ДокументСсылка, ПараметрыСканирования, СортироватьДанные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМП.ВложенныеШтрихкодыУпаковокПоДокументу(ДокументСсылка, ПараметрыСканирования, СортироватьДанные);
```
</details>

## СвернутьОднородныеОбъемноСортовыеКоды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сворачивает в одну строку однородные объемно-сортовые коды, пришедшие в одном УПД
//
// Параметры:
//  ВложенныеШтрихкодыУпаковок - См. ВложенныеШтрихкодыУпаковокПоДокументу
//  ШтрихкодыУПД               - ТаблицаЗначений - Колонки:
//   * Номенклатура - ОпределяемыйТип.Номенклатура - номенклатура кода маркировки по данным ИБ.
//   * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика по данным ИБ.
//   * ЗначениеШтрихкода - Строка - значение штрихкода.
//   * Брак - Булево - используется при загрузке из торг2.
//   * Недостача - Булево - используется при загрузке из торг2.
//
Процедура СвернутьОднородныеОбъемноСортовыеКоды(ВложенныеШтрихкодыУпаковок, ШтрихкодыУПД) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСМП.СвернутьОднородныеОбъемноСортовыеКоды(ВложенныеШтрихкодыУпаковок, ШтрихкодыУПД) 
```
</details>

## ДопустимыеНачальныеСтатусыОтчетОНанесении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив допустимых начальных статусов кодов при отправке отчета о нанесении.
//
// Параметры:
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции
//
// Возвращаемое значение:
//  Массив Из ПеречислениеСсылка.СтатусыКодовМаркировкиМОТП, ПеречислениеСсылка.СтатусыКодовМаркировкиИСМП - Массив допустимых начальных статусов кодов.
//
Функция ДопустимыеНачальныеСтатусыОтчетОНанесении(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМП.ДопустимыеНачальныеСтатусыОтчетОНанесении(ВидПродукции) 
```
</details>

## ОжидаемыеСтатусыПослеПередачиОтчетаОНанесении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет массив ожидаемых статусов кодов после отправки отчета о нанесении.
//
// Параметры:
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции
//
// Возвращаемое значение:
//  Массив Из ПеречислениеСсылка.СтатусыКодовМаркировкиМОТП, ПеречислениеСсылка.СтатусыКодовМаркировкиИСМП - Массив ожидаемых статусов кодов.
//
Функция ОжидаемыеСтатусыПослеПередачиОтчетаОНанесении(ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМП.ОжидаемыеСтатусыПослеПередачиОтчетаОНанесении(ВидПродукции) 
```
</details>

## НовыеПараметрыРаспределенияШтрихкодовУпаковок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подготавливает новую структуру параметров распределение для передачи в (См. РаспределениеШтрихкодовУпаковокПоТоварам)
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ПараметрыУказанияСерий  - Структура, Неопределено - Параметры указания серий.
// * ДокументСсылка          - ДокументСсылка, ДанныеФормыСтруктура, ДокументОбъект, Неопределено - Ссылка на документ,
//                             объект документа или данные формы, связанные с объектом документа.
// * ДопустимыТоварыБезМарок - Булево                  - Возможнен режим, когда марок не достаточно на все товары.
// * ДопустимыПовторяющиесяШтрихкоды - Булево - БРМК. Один и тот же код маркировки может быть использован несколько раз
Функция НовыеПараметрыРаспределенияШтрихкодовУпаковок() Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМП.НовыеПараметрыРаспределенияШтрихкодовУпаковок() 
```
</details>

## РаспределениеШтрихкодовУпаковокПоТоварам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Распределяет штрихкоды упаковок по таблице товаров с учетом групповых упаковок и подменной номенклатуры частичного выбытия.
//
// Параметры:
// 	ПараметрыРаспределения - см. НовыеПараметрыРаспределенияШтрихкодовУпаковок
// 	Товары                 - ТаблицаЗначений:
// 	 * Номенклатура       - ОпределяемыйТип.Номенклатура               - номенклатура таблицы товаров
// 	 * Характеристика     - ОпределяемыйТип.ХарактеристикаНоменклатуры - характеристика таблицы товаров (опционально)
// 	 * Упаковка           - ОпределяемыйТип.Упаковка                   - устарел. Упаковки прикладной конфигурации не используются
// 	 * Серия              - ОпределяемыйТип.СерияНоменклатуры          - серия таблицы товаров (опционально)
// 	 * Количество         - Число                                      - количество единиц товаров
// 	 * Цена               - Число                                      - цена для контроля МРЦ
// 	МассивУпаковок         - Массив из СправочникСсылка.ШтрихкодыУпаковокТоваров -
// 	                         штрикходы упаковок документа
// 	                       - Массив из см. ШтрихкодированиеИС.НовыйЭлементКоллекцииУпаковокДляРаспределенияПоТоварам -
// 	                         штрикходы упаковок документа, с дополнительным данными частичного выбытия, идентификаторами разрешительного запроса ГИС МТ
// Возвращаемое значение:
// 	Структура - Описание:
// * ЕстьОшибки - Булево           - признак наличия ошибок распределения
// * Ошибки     - Массив из Строка - тексты ошибок распредления
// * РаспределенныеСтроки          - Соответствие из КлючИЗначение:
// 	* Ключ     - СтрокаТабличнойЧасти                                         - исходная строка таблицы товаров
// 	* Значение - Массив из См. НовыйРезультатРаспределенияШтрихкодовПоТоварам - результат распределения
// * СтрокиБезШтрихкодов - Соответствие из КлючИЗначение - устарел. Товар распределяется всегда для отображаения ошибок
Функция РаспределениеШтрихкодовУпаковокПоТоварам(ПараметрыРаспределения, Товары, МассивУпаковок) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМП.РаспределениеШтрихкодовУпаковокПоТоварам(ПараметрыРаспределения, Товары, МассивУпаковок) 
```
</details>

## ЗаполнениеСохраняемойСтрокиШтрихкодовУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение сохраняемой строки штрихкодов упаковки для обработки данных частичного выбытия.
//
// Параметры:
//  СтрокаШтрихкод        - СтрокаТаблицыЗначений из см. ПроверкаИПодборПродукцииИСМП.ПустаяТаблицаШтрихкодовВерхнегоУровня
//  ДанныеШтрихкода       - см. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьДанныеШтрихкода
//  ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования
Процедура ЗаполнениеСохраняемойСтрокиШтрихкодовУпаковки(СтрокаШтрихкод, ДанныеШтрихкода, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСМП.ЗаполнениеСохраняемойСтрокиШтрихкодовУпаковки(СтрокаШтрихкод, ДанныеШтрихкода, ПараметрыСканирования) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
