---
title: Штрихкодирование ИСМП клиент
slug: erp-uh/штрихкодирование-исмп-клиент
---


## НовыйЭлементПроверкиСредствамиККТПоДаннымРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует новый элемент проверки средствами ККТ на основании данных распределения.
//
// Параметры:
//  РезультатРаспределения - см. ШтрихкодированиеИСМП.НовыйРезультатРаспределенияШтрихкодовПоТоварам.
//
// Возвращаемое значение:
//  Структура - см. ШтрихкодированиеОбщегоНазначенияИСМПКлиентСервер.НовыйЭлементДанныхПроверкиСредствамиККТ
Функция НовыйЭлементПроверкиСредствамиККТПоДаннымРаспределения(РезультатРаспределения) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиент.НовыйЭлементПроверкиСредствамиККТПоДаннымРаспределения(РезультатРаспределения) 
```
</details>

## РезультатПроверкиСредствамиККТТребуетФискализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку результата завершения проверки средствами ККТ и определяет необходимость фискализации.
// Например, в результате проверки были найдены ошибки, но пользователь согласен продолжать и игнорирует ошибки.
// Параметры:
//  Результат - см. НовыйРезультатПроверкиСредствамиККТ
//
// Возвращаемое значение:
//  Булево - Результат проверки не препятствует фискализации.
Функция РезультатПроверкиСредствамиККТТребуетФискализации(Результат) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиент.РезультатПроверкиСредствамиККТТребуетФискализации(Результат) 
```
</details>

## РезультатПроверкиСредствамиККТЗакрытьВспомогательнуюФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку результата завершения проверки средствами ККТ и определяет необходимость закрытия не основной формы.
// Например, для пробития чека используется дополнительная форма, а в форме ошибки выполнено действие, приводящее к открытию
// дополнительных форм. В таком случае вспомогательная форма становится не актуальной и требует закрытия.
// Параметры:
//  Результат - см. НовыйРезультатПроверкиСредствамиККТ
//
// Возвращаемое значение:
//  Булево - Требуется закрыть вспомогательную форму.
Функция РезультатПроверкиСредствамиККТЗакрытьВспомогательнуюФорму(Результат) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиент.РезультатПроверкиСредствамиККТЗакрытьВспомогательнуюФорму(Результат) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
