---
title: Штрихкодирование ИСМП клиент сервер
slug: erp-uh/штрихкодирование-исмп-клиент-сервер
---


## ПредставлениеШтрихкодаПоВидуУпаковки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сокращенное представление штрихкода маркируемой продукции.
//
// Параметры:
// 	Штрихкод - Строка - Штрихкод строкой.
// 	ВидуУпаковки - ПеречислениеСсылка.ВидыУпаковокИС - Значение упаковки
// Возвращаемое значение:
// 	Строка - Краткое представление штрихкода маркируемой продукции.
Функция ПредставлениеШтрихкодаПоВидуУпаковки(Штрихкод, ВидуУпаковки) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиентСервер.ПредставлениеШтрихкодаПоВидуУпаковки(Штрихкод, ВидуУпаковки) 
```
</details>

## SSCCАгрегата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция SSCCАгрегата(Штрихкод) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиентСервер.SSCCАгрегата(Штрихкод) 
```
</details>

## СпособВводаВОборотСУЗПоВидуОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает способ ввода в оборот СУЗ по виду операции.
//
// Параметры:
//  ВидОперации  - ПеречислениеСсылка.ВидыОперацийИСМП - Вид операции документа.
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС  - Вид продукции.
// Возвращаемое значение:
//  ПеречислениеСсылка.СпособыВводаВОборотСУЗ, Массив из ПеречислениеСсылка.СпособыВводаВОборотСУЗ - Способ ввода в оборот СУЗ.
Функция СпособВводаВОборотСУЗПоВидуОперации(ВидОперации, ВидПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиентСервер.СпособВводаВОборотСУЗПоВидуОперации(ВидОперации, ВидПродукции);
```
</details>

## НастройкиПараметровСканированияДокументаПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройки параметров сканирования документа производства, заполняемые при внедрении библиотеки.
//
// Возвращаемое значение:
//  Структура - Настройки параметров сканирования документа производства:
//   * Организация - Неопределено, ОпределяемыйТип.Организация - организация документа производства,
//   * Склад - Неопределено, ОпределяемыйТип.Склад - склад документа производства.
Функция НастройкиПараметровСканированияДокументаПроизводства() Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиентСервер.НастройкиПараметровСканированияДокументаПроизводства() 
```
</details>

## ЗаполнитьПараметрыСканированияДокументаПроизводства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет библиотечные настройки параметров сканирования для документов производства товара.
//   Применимо для настроек ИСМП: весовая молочная продукция.
//
// Параметры:
//   ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИСКлиентСервер.БазовыеПараметрыСканирования
//   ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции ИС.
//   Настройки - см. НастройкиПараметровСканированияДокументаПроизводства.
// Возвращаемое значение:
//   Булево - параметры сканирования дополнены спецификой ИС МП.
Функция ЗаполнитьПараметрыСканированияДокументаПроизводства(ПараметрыСканирования, ВидПродукции, Настройки) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиентСервер.ЗаполнитьПараметрыСканированияДокументаПроизводства(ПараметрыСканирования, ВидПродукции, Настройки) 
```
</details>

## ЗаполнитьПараметрыСканированияДокументаРозничнойПродажи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет библиотечные настройки параметров сканирования для документов розничной продажи товара (например чеков).
//   Применимо для настроек МОТП, ИСМП.
//
// Параметры:
//   ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИСКлиентСервер.БазовыеПараметрыСканирования
//   ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции ИС.
// Возвращаемое значение:
//   Булево - параметры сканирования дополнены спецификой ИС МП.
Функция ЗаполнитьПараметрыСканированияДокументаРозничнойПродажи(ПараметрыСканирования, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиентСервер.ЗаполнитьПараметрыСканированияДокументаРозничнойПродажи(ПараметрыСканирования, ВидПродукции) 
```
</details>

## ЗаполнитьПараметрыСканированияДокументаРозничногоВозврата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет библиотечные настройки параметров сканирования для документов розничного возврата товара
//   (например чеков на возврат). Применимо для настроек МОТП, ИСМП.
//
// Параметры:
//   ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИСКлиентСервер.БазовыеПараметрыСканирования
//   ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции ИС.
// Возвращаемое значение:
//   Булево - параметры сканирования дополнены спецификой ИС МП.
Функция ЗаполнитьПараметрыСканированияДокументаРозничногоВозврата(ПараметрыСканирования, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиентСервер.ЗаполнитьПараметрыСканированияДокументаРозничногоВозврата(ПараметрыСканирования, ВидПродукции) 
```
</details>

## ЗаполнитьПараметрыСканированияДокументаОптовойОтгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет библиотечные настройки параметров сканирования для документов оптовой продажи товара (например реализации).
//   Применимо для настроек МОТП, ИСМП.
//
// Параметры:
//   ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИСКлиентСервер.БазовыеПараметрыСканирования
//   ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции ИС.
// Возвращаемое значение:
//   Булево - параметры сканирования дополнены спецификой ИС МП.
Функция ЗаполнитьПараметрыСканированияДокументаОптовойОтгрузки(ПараметрыСканирования, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиентСервер.ЗаполнитьПараметрыСканированияДокументаОптовойОтгрузки(ПараметрыСканирования, ВидПродукции) 
```
</details>

## ЗаполнитьПараметрыСканированияДокументаОптовогоВозврата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет библиотечные настройки параметров сканирования для документов оптовового возврата товара.
//   Применимо для настроек МОТП, ИСМП.
//
// Параметры:
//   ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИСКлиентСервер.БазовыеПараметрыСканирования
//   ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции ИС.
// Возвращаемое значение:
//   Булево - параметры сканирования дополнены спецификой ИС МП.
Функция ЗаполнитьПараметрыСканированияДокументаОптовогоВозврата(ПараметрыСканирования, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиентСервер.ЗаполнитьПараметрыСканированияДокументаОптовогоВозврата(ПараметрыСканирования, ВидПродукции) 
```
</details>

## ЗаполнитьПараметрыСканированияДокументаЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет библиотечные настройки параметров сканирования для документов закупки (приобретения) товара.
//   Применимо для настроек МОТП, ИСМП.
//
// Параметры:
//   ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИСКлиентСервер.БазовыеПараметрыСканирования
//   ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - Вид продукции ИС.
// Возвращаемое значение:
//   Булево - параметры сканирования дополнены спецификой ИС МП.
Функция ЗаполнитьПараметрыСканированияДокументаЗакупки(ПараметрыСканирования, ВидПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеИСМПКлиентСервер.ЗаполнитьПараметрыСканированияДокументаЗакупки(ПараметрыСканирования, ВидПродукции) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
