---
title: Штрихкодирование ИСМП клиент сервер переопределяемый
slug: erp-uh/штрихкодирование-исмп-клиент-сервер-переопределяемый
---


## УстановитьККТФФД12ПоДаннымОписанияТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Может использоваться для корректировки параметра ПараметрыСканирования.ККТФФД12ИСМП, например,
// в том случае, когда в процессе сканирования уточнена номенклатура, и эта номенклатура должна фискализироваться на
// устройстве, отличном от установленно ранее в параметре ПараметрыСканирования.ККТФФД12ИСМП.
//
// Параметры:
//  ДанныеОписания        - Структура - Может быть двих разновидностей:
//                                      1. Данные штрихкода - в случае обработке на сервере.
//                                      2. Данные выбора    - при сканировании неизвестного года и уточннения
//                                                            номенклатуры (при обработке на клиенте).
//                                      В обоих случаях в данных присутствуют поля описания: Номенклатура, Характеристика, Серия.
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
Процедура УстановитьККТФФД12ПоДаннымОписанияТовара(ДанныеОписания, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСМПКлиентСерверПереопределяемый.УстановитьККТФФД12ПоДаннымОписанияТовара(ДанныеОписания, ПараметрыСканирования) 
```
</details>

## ПриУстановкеДополнительныхСвойствЭлеметовПроверкиСредствамиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при получении элеметнов проверки средставами ККТ для дозаполнения свойств прикладными данными.
// Используется для заполнения полей, которые будут переданы в методы проверки на ККТ, например, КодЕдиницыИзмерения.
//
// Параметры:
//  ДанныеДляОбработки - Массив из см. ШтрихкодированиеИСМПКлиентСервер.НовыйЭлементОбработкиУстановкиДополнительныхСвойствПриПроверкеККТ
Процедура ПриУстановкеДополнительныхСвойствЭлеметовПроверкиСредствамиККТ(ДанныеДляОбработки) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСМПКлиентСерверПереопределяемый.ПриУстановкеДополнительныхСвойствЭлеметовПроверкиСредствамиККТ(ДанныеДляОбработки) 
```
</details>

## ПриУстановкеДополнительныхПараметровПроверкиКодовМаркировкиСредствамиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при необходимости дополнить параметры проверки кодов маркировки средствами ККТ прикладными данными.
// Используется для заполнения полей параметров проверки, например, ПроверятьЗапросыГИСМТ, на основе данных проверки условий
// необходимости подчинения разрешительному режиму.
//
// Параметры:
//  ПараметрыПроверки - см. ШтрихкодированиеОбщегоНазначенияИСМПКлиент.ПараметрыНачалаПроверкиКодовМаркировкиСредствамиККТ
//  ПараметрыСканирования - см. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования
Процедура ПриУстановкеДополнительныхПараметровПроверкиКодовМаркировкиСредствамиККТ(ПараметрыПроверки, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеИСМПКлиентСерверПереопределяемый.ПриУстановкеДополнительныхПараметровПроверкиКодовМаркировкиСредствамиККТ(ПараметрыПроверки, ПараметрыСканирования) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
