---
title: Штрихкодирование номенклатуры клиент сервер
slug: erp-uh/штрихкодирование-номенклатуры-клиент-сервер
---


## ПараметрыОбработкиШтрихкодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает структуру параметров обработки штрихкодов.
//
// Возвращаемое значение:
//  Структура:
// * ТекущаяСтрока - Неопределено
// * МассивСтрокСАкцизнымиМарками - Массив
// * МассивСтрокССериями - Массив
// * ЗагрузкаИзТСД - Булево
// * ЗаполнятьНазначения - Булево
// * ТекущийУпаковочныйЛист - Неопределено
// * УвеличиватьКоличествоВСтрокахССериями - Булево
// * МаркируемаяПродукцияВТЧ - Булево
// * ШтрихкодыВТЧ - Булево -
// * ОтработатьИзменениеУпаковочныхЛистов - Булево
// * УчитыватьУпаковочныеЛисты - Булево
// * РассчитыватьНаборы - Булево
// * ПараметрыПроверкиАссортимента - Неопределено
// * ОтложенныеТовары - Массив
// * НеизвестныеШтрихкоды - Массив
// * ТолькоНеПодакцизныйТовар - Булево
// * ТолькоТара - Булево
// * ТолькоУслуги - Булево
// * ТолькоТоварыИРабота - Булево
// * ТолькоРаботы - Булево
// * ТолькоТоварыИУслуги - Булево
// * ТолькоТовары - Булево
// * БлокироватьДанныеФормы - Булево
// * ИзменятьКоличество - Булево
// * ИмяТЧ - Строка
// * ИмяКолонкиУпаковка - Строка
// * НеИспользоватьУпаковки - Булево
// * ИмяКолонкиКоличество - Строка
// * ДействияСНеизвестнымиШтрихкодами - Строка
// * ПараметрыУказанияСерий - Неопределено
// * СтруктураДействийСоСтрокамиИзУпаковочныхЛистов - Неопределено
// * СтруктураДействийСИзмененнымиСтроками - Неопределено
// * СтруктураДействийСДобавленнымиСтроками - Неопределено
// * Штрихкоды - Неопределено
// * НеИскатьВОтмененныхСтроках - Булево - Истина - при поиске в ТЧ отмененная строка не будет учитываться
// * ДополнятьТарой - Булево - Если Истина для товаров будет подбираться тара
//
Функция ПараметрыОбработкиШтрихкодов() Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеНоменклатурыКлиентСервер.ПараметрыОбработкиШтрихкодов() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
