---
title: Штрихкодирование общего назначения ЕГАИС клиент сервер
slug: erp-uh/штрихкодирование-общего-назначения-егаис-клиент-сервер
---


## ЗаполнитьПараметрыСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПараметрыСканирования(ПараметрыСканирования, Контекст, ВидПродукции, ФормаВыбора) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияЕГАИСКлиентСервер.ЗаполнитьПараметрыСканирования(ПараметрыСканирования, Контекст, ВидПродукции, ФормаВыбора) 
```
</details>

## ЗаполнитьБазовыеПараметрыСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Дополняет свойства параметров сканирования необходимых для работы с алкогольной продукцией.
//
//Параметры:
//   ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
//   Контекст - Произвольный - источник данных,
//   ФормаВыбора - Неопределено, ФормаКлиентскогоПриложения - альтернативный источник данных.
//
Процедура ЗаполнитьБазовыеПараметрыСканирования(ПараметрыСканирования, Контекст, ФормаВыбора = Неопределено) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияЕГАИСКлиентСервер.ЗаполнитьБазовыеПараметрыСканирования(ПараметрыСканирования, Контекст, ФормаВыбора);
```
</details>

## ВключитьПоддержкуАлкогольнойПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Дополняет свойства параметров сканирования необходимых для работы с алкогольной продукцией.
//
//Параметры:
//   ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
//   ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - добавляемый вид продукции,
//                - Неопределено - добавить все доступные для обработки виды продукции.
//
//Возвращаемое значение:
//   Булево - параметры сканирования успешно дополнены
//
Функция ВключитьПоддержкуАлкогольнойПродукции(ПараметрыСканирования, ВидПродукции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияЕГАИСКлиентСервер.ВключитьПоддержкуАлкогольнойПродукции(ПараметрыСканирования, ВидПродукции);
```
</details>

## ВключитьПоддержкуПива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет свойства параметров сканирования необходимых для работы с кодами ИСМП средствами ЕГАИС.
//   Может использоваться для прикладных форм расширяющих функциональность ЕГАИС.
//   Подразумевается что поддержка алкогольной продукции включена.
//
//Параметры:
//   ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
//
Процедура ВключитьПоддержкуПива(ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияЕГАИСКлиентСервер.ВключитьПоддержкуПива(ПараметрыСканирования) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
