---
title: Штрихкодирование общего назначения ИСМП
slug: erp-uh/штрихкодирование-общего-назначения-исмп
---


## ИнициализироватьРезультатОбработкиШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализирует структуру, которая описывает результат обработки штрихкодов. Состоит из базовых свойств
// (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьРезультатОбработкиШтрихкода), дополненных специфичными свойствами
// (См. ДополнитьСвойстваРезультатаОбработкиШтрихкода).
//
// Параметры:
//  ДанныеШтрихкода - (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьДанныеШтрихкода).
//  ПараметрыСканирования  - (См. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования)
// Возвращаемое значение:
//  (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьРезультатОбработкиШтрихкода).
Функция ИнициализироватьРезультатОбработкиШтрихкода(ДанныеШтрихкода = Неопределено, ПараметрыСканирования = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияИСМП.ИнициализироватьРезультатОбработкиШтрихкода(ДанныеШтрихкода, ПараметрыСканирования);
```
</details>

## ДополнитьСвойстваРезультатаОбработкиШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет свойства структуры результат обработки штрихкода специфичными свойствами, характерными для продукции ИС МП.
//
// Параметры:
//  РезультатОбработкиШтрихкода - (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьРезультатОбработкиШтрихкода).
//  ДанныеШтрихкода - (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьДанныеШтрихкода).
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
Процедура ДополнитьСвойстваРезультатаОбработкиШтрихкода(РезультатОбработкиШтрихкода, ДанныеШтрихкода, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ДополнитьСвойстваРезультатаОбработкиШтрихкода(РезультатОбработкиШтрихкода, ДанныеШтрихкода, ПараметрыСканирования) 
```
</details>

## РезультатОбработкиКодаМаркировкиПриОшибках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат обработки штрихкода с описанием ошибки.
//
// Параметры:
//  ДанныеШтрихкода - (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьДанныеШтрихкода).
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
// Возвращаемое значение:
//  См. ИнициализироватьРезультатОбработкиШтрихкода
Функция РезультатОбработкиКодаМаркировкиПриОшибках(ДанныеШтрихкода, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияИСМП.РезультатОбработкиКодаМаркировкиПриОшибках(ДанныеШтрихкода, ПараметрыСканирования) 
```
</details>

## ПроверитьПолныйКодМаркировкиПоДаннымРазбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПолныйКодМаркировкиПоДаннымРазбора(ДанныеРазбора, СтрокаДанных, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ПроверитьПолныйКодМаркировкиПоДаннымРазбора(ДанныеРазбора, СтрокаДанных, ПараметрыСканирования) 
```
</details>

## ДобавитьКолонкиТаблицыДанныеКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьКолонкиТаблицыДанныеКодовМаркировки(ДанныеПоШтрихкодам, ПараметрыСканирования = Неопределено, ДанныеКодовМаркировки = Неопределено) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ДобавитьКолонкиТаблицыДанныеКодовМаркировки(ДанныеПоШтрихкодам, ПараметрыСканирования, ДанныеКодовМаркировки);
```
</details>

## ВыполнитьПроверкиПередПолучениемДанныхПоШтрихкодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Первый этап проверок. Выполняется сразу после считывания штрихкода.
//
// Параметры:
//  ДанныеКодовМаркировки - См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияДанныхПоШтрихкодам.
//  ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИС.ПараметрыСканирования.
// Возвращаемое значение:
//  Соответствие из КлючИЗначение- В случае удачного прохождения проверок - возвращает пустое соответствие,
//           В случае выявления ошибок или необходимого уточнения информации - возвращает заполненное соответствие с указанием причины.
Функция ВыполнитьПроверкиПередПолучениемДанныхПоШтрихкодам(ДанныеКодовМаркировки, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияИСМП.ВыполнитьПроверкиПередПолучениемДанныхПоШтрихкодам(ДанныеКодовМаркировки, ПараметрыСканирования) 
```
</details>

## ПроверитьНаНеобходимостьОбновленияКлючаСессии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку на необходимость выполнения авторизации пользователя.
//
// Параметры:
//  ДанныеПоШтрихкодам - (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияТаблицыДанныхКодовМаркировки).
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//		Ключ - Строка - Код маркировки
//		Значение - (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьРезультатОбработкиШтрихкода).
Функция ПроверитьНаНеобходимостьОбновленияКлючаСессии(ДанныеПоШтрихкодам, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияИСМП.ПроверитьНаНеобходимостьОбновленияКлючаСессии(ДанныеПоШтрихкодам, ПараметрыСканирования) 
```
</details>

## ТребуетсяАвторизацияПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет необходимость авторизации пользователя на сервере ИС МП.
//
// Параметры:
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
// Возвращаемое значение:
//  Булево - Истина, если требуется авторизация.
Функция ТребуетсяАвторизацияПользователя(ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияИСМП.ТребуетсяАвторизацияПользователя(ПараметрыСканирования) 
```
</details>

## ЗаполнитьРезультатОбработкиТребуетсяАвторизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет результат обработки, который информирует о необходимости выполнения авторизации ИС МП.
//
// Параметры:
//  РезультатОбработкиШтрихкода - (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьРезультатОбработкиШтрихкода).
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
//  РозничныйТокен - Булево - признак необходимости розничного токена продажи
Процедура ЗаполнитьРезультатОбработкиТребуетсяАвторизация(РезультатОбработкиШтрихкода, ПараметрыСканирования, РозничныйТокен  = Ложь) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ЗаполнитьРезультатОбработкиТребуетсяАвторизация(РезультатОбработкиШтрихкода, ПараметрыСканирования, РозничныйТокен);
```
</details>

## ДополнитьРезультатОбработкиПризнакомНеобходимостиОбновленияCDNПлощадок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет результат обработки, который информирует о необходимости актуализации списка CDN-площадок
//
// Параметры:
//  РезультатОбработкиШтрихкода - См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьРезультатОбработкиШтрихкода
//  ДанныеПоШтрихкодам - См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияДанныхПоШтрихкодам
Процедура ДополнитьРезультатОбработкиПризнакомНеобходимостиОбновленияCDNПлощадок(РезультатОбработкиШтрихкода, ДанныеПоШтрихкодам) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ДополнитьРезультатОбработкиПризнакомНеобходимостиОбновленияCDNПлощадок(РезультатОбработкиШтрихкода, ДанныеПоШтрихкодам) 
```
</details>

## ДополнитьРезультатОбработкиПризнакомОтсутствияCDNПлощадок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет результат обработки, который информирует об отсутствии CDN-площадок
//
// Параметры:
//  РезультатОбработкиШтрихкода - См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализироватьРезультатОбработкиШтрихкода
//  ДанныеПоШтрихкодам - См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияДанныхПоШтрихкодам
Процедура ДополнитьРезультатОбработкиПризнакомОтсутствияCDNПлощадок(РезультатОбработкиШтрихкода, ДанныеПоШтрихкодам) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ДополнитьРезультатОбработкиПризнакомОтсутствияCDNПлощадок(РезультатОбработкиШтрихкода, ДанныеПоШтрихкодам) 
```
</details>

## ДобавитьРеквизитыПроверкиСредствамиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет реквизиты проверки средствами ККТ при встраивании проверки непосредственно в форму РМК не используя отдельную форму ожидания ККТ.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - Форма РМК
//  ДобавляемыеРеквизиты - Массив из РеквизитФормы - Реквизиты, которые будут добавлены на форму.
Процедура ДобавитьРеквизитыПроверкиСредствамиККТ(Форма, ДобавляемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ДобавитьРеквизитыПроверкиСредствамиККТ(Форма, ДобавляемыеРеквизиты) 
```
</details>

## ВыполнитьПроверкуНаОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск ошибок в данных по штрихкодам.
//
// Параметры:
//  ДанныеПоШтрихкодам - (См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияДанныхПоШтрихкодам).
//  ПараметрыСканирования - (См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования).
//  ЕстьОшибки - Булево - Истина, если выявлена ошибка.
Процедура ВыполнитьПроверкуНаОшибки(ДанныеПоШтрихкодам, ПараметрыСканирования, ЕстьОшибки) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ВыполнитьПроверкуНаОшибки(ДанныеПоШтрихкодам, ПараметрыСканирования, ЕстьОшибки) 
```
</details>

## ПроверитьНаОшибкиПоПравилам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку на ошибки по заданным правилам.
//
// Параметры:
//  ДанныеПоШтрихкодам - См. ШтрихкодированиеОбщегоНазначенияИС.ИнициализацияДанныхПоШтрихкодам
//  ПравилаПроверкиНаОшибки - Структура - доступные правила проверки на ошибки:
//   * КонтрольСерий - Массив - Коллекция строк, где были выявлены ошибки по контролю серий.
//   * КонтрольСтатусов - Массив - Массив структур:
//     * СтрокиСОшибками - Массив - Коллекция строк, где были выявлены ошибки по контролю статусов.
//     * ДоступныеСтатусы - Массив из ПеречислениеСсылка.СтатусыКодовМаркировкиИСМП - Доступные статусы
//  ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования
//  ЕстьОшибки - Булево - Истина, если найдена ошибка.
Процедура ПроверитьНаОшибкиПоПравилам(ДанныеПоШтрихкодам, ПравилаПроверкиНаОшибки, ПараметрыСканирования, ЕстьОшибки) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ПроверитьНаОшибкиПоПравилам(ДанныеПоШтрихкодам, ПравилаПроверкиНаОшибки, ПараметрыСканирования, ЕстьОшибки));
```
</details>

## ОписаниеОшибокКонтроляЧастичногоВыбытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОписаниеОшибокКонтроляЧастичногоВыбытия(ПравилаПроверкиНаОшибки, ПараметрыСканирования, ОбработкаСтрокиТаблицы = Ложь) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ОписаниеОшибокКонтроляЧастичногоВыбытия(ПравилаПроверкиНаОшибки, ПараметрыСканирования, ОбработкаСтрокиТаблицы);
```
</details>

## СтрокаСодержитОшибкиЧастичногоВыбытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтрокаСодержитОшибкиЧастичногоВыбытия(СтрокаДанных, ПараметрыСканирования, ПравилаПроверкиНаОшибки, КэшМаркируемойПродукции) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияИСМП.СтрокаСодержитОшибкиЧастичногоВыбытия(СтрокаДанных, ПараметрыСканирования, ПравилаПроверкиНаОшибки, КэшМаркируемойПродукции) 
```
</details>

## ЭтоПродажаВыбывшегоЧастично
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПродажаВыбывшегоЧастично(СтрокаДанных, ПараметрыСканирования, ДопустимыеСтатусы) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияИСМП.ЭтоПродажаВыбывшегоЧастично(СтрокаДанных, ПараметрыСканирования, ДопустимыеСтатусы) 
```
</details>

## ПредставленияСтатусов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие статусов их представлениям.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение - статусы и их представления:
//		* Ключ - ПеречислениеСсылка.СтатусыКодовМаркировкиИСМП, ПеречислениеСсылка.СтатусыКодовМаркировкиМОТП - значение перечисления
//		* Значение - Строка - представление значения перечисления
Функция ПредставленияСтатусов() Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияИСМП.ПредставленияСтатусов() 
```
</details>

## ЗаполнитьДанныеИдентификатораРозничнойПродажиПоОбязательнымТоварнымГруппам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДанныеИдентификатораРозничнойПродажиПоОбязательнымТоварнымГруппам(ДанныеПоШтрихкодам, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ЗаполнитьДанныеИдентификатораРозничнойПродажиПоОбязательнымТоварнымГруппам(ДанныеПоШтрихкодам, ПараметрыСканирования) 
```
</details>

## ЛогироватьРезультатыОперацийПроверкиКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Логирование запросов разрешительного режима с учетом проверки наличия нужной версии БПО
// Если есть нужная версия БПО, то логируется в РС ОперацииПроверкиКМ, иначе - в Журнал регистрации
//
// Параметры:
//  ДанныеДляЛогирования - Массив из см. ПараметрыЗаписиОперацииПроверкиКМ
//
Процедура ЛогироватьРезультатыОперацийПроверкиКМ(ДанныеДляЛогирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.ЛогироватьРезультатыОперацийПроверкиКМ(ДанныеДляЛогирования) 
```
</details>

## ПараметрыЗаписиОперацииПроверкиКМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру для формирования записи в журнале логирования операций проверки кода маркировки
//
// Возвращаемое значение:
//   Структура:
//     * Наименование - Строка - наименование товара
//     * КонтрольнаяМарка - Строка - контрольная марка в виде Base64
//     * ЗапросРазрешенияПродажиКМ - Булево - Номенклатура подлежит обязательному контролю
//     * АдресСервераЗапросаРазрешения - Строка - адрес сервера где выполняется запрос разрешения
//     * ТекстЗапросаРазрешения - Строка - текст запроса для получения разрешения
//     * КодОтветаРазрешения - Строка - код ответа который получен от удаленного сервера, если код не задан, а значение флага
//                           ЗапросРазрешенияПродажиКМ установлено в Истина, тогда код будет содержать текст Таймаут
//     * РезультатЗапросаРазрешения - Строка - JSON - строка, ответ от удаленного сервера ГИС МТ
//     * ИдентификаторЗапросаРазрешения - Строка - идентификатор запроса полученного разрешения
//     * ВремяЗапросаРазрешения - Строка, Дата, Неопределено - таймштамп полученный с удаленого сервера
//     * НормализованныйШтрихкод - Строка - нормализованный ШК
//
Функция ПараметрыЗаписиОперацииПроверкиКМ() Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияИСМП.ПараметрыЗаписиОперацииПроверкиКМ() 
```
</details>

## УстановитьПризнакОтказаОтПроверкиКодовМаркировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПризнакОтказаОтПроверкиКодовМаркировки(ДанныеПоШтрихкодам, ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМП.УстановитьПризнакОтказаОтПроверкиКодовМаркировки(ДанныеПоШтрихкодам, ПараметрыСканирования) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
