---
title: Штрихкодирование общего назначения ИСМП клиент сервер
slug: erp-uh/штрихкодирование-общего-назначения-исмп-клиент-сервер
---


## ЗаполнитьПараметрыСканирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры сканирования по контексту.
//
// Параметры:
//  Контекст - ФормаКлиентскогоПриложения, ДокументСсылка - источник заполнения параметров сканирования
//  ВидПродукции - ПеречислениеСсылка.ВидыПродукцииИС - по данному параметру будет проиходить отбор заполнения
//  ПараметрыСканирования - См. ШтрихкодированиеОбщегоНазначенияИСКлиент.ПараметрыСканирования
//  ПараметрыРежимаИсправленияОшибок - Структура - Параметры режима исправления ошибок
Процедура ЗаполнитьПараметрыСканирования(Контекст, ВидПродукции, ПараметрыСканирования, ПараметрыРежимаИсправленияОшибок = Неопределено) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМПКлиентСервер.ЗаполнитьПараметрыСканирования(Контекст, ВидПродукции, ПараметрыСканирования, ПараметрыРежимаИсправленияОшибок);
```
</details>

## ДополнитьПараметрамиСканированияИСМП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьПараметрамиСканированияИСМП(ПараметрыСканирования) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеОбщегоНазначенияИСМПКлиентСервер.ДополнитьПараметрамиСканированияИСМП(ПараметрыСканирования) 
```
</details>

## НовыйЭлементДанныхПроверкиСредствамиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор элемента данных для проверки кода маркировки средствами ККТ.
//
// Возвращаемое значение:
//  Структура - Новый элемент данных проверки средствами ККТ:
// * КодМаркировки                  - Строка - код маркировки.
// * ПолныйКодМаркировки            - Строка - полный код маркировки.
// * ВидПродукции                   - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции
// * ПланируемыйСтатусТовара        - ПеречислениеСсылка.ПланируемыйСтатусМаркируемогоТовара - планируемый статус.
// * ВидПродукции                   - ПеречислениеСсылка.ВидыПродукцииИС - вид продукции.
// * ВидУпаковки                    - ПеречислениеСсылка.ВидыУпаковокИС  - вид упаковки.
// * ШтрихкодУпаковки               - Неопределено, ОпределяемыйТип.ШтрихкодУпаковкиИС - ссылка на штрихкод, используется в сценариях сохранения результатов проверки.
// * ПредставлениеНоменклатуры      - Строка, Неопределено - представление позиции для отображения пользователю. Если не заполнено - будет определяться по ШтрихкодУпаковки.
// * ПолученРезультатЗапросаКМ      - Булево - Служебный. Для блокировки повторного оповещения.
// * ТекстОшибки                    - Строка, Неопределено - текст ошибки распределения.
// * Количество                     - Число                - количество штук или иной мере (вес, объем и.т.д.).
// * ЧастичноеВыбытиеКоличество     - Число, Неопределено  - числитель частичного выбытия.
// * ЕмкостьПотребительскойУпаковки - Число, Неопределено  - знаменатель частичного выбытия.
// * КодЕдиницыИзмерения            - Строка, Неопределено - код единицы измерения частично выбытия
// * КоличествоПотребительскихУпаковок - Число - Количество потребительских упаковок
// * РазрешительныйРежимИдентификаторЗапросаГИСМТ - ОпределяемыйТип.УникальныйИдентификаторИС - идентификатор запроса ГИС МТ
// * РазрешительныйРежимДатаЗапросаГИСМТ - Строка - дата получения идентификатора ГИС МТ в формате timestamp
// * РазрешительныйРежимАдресСервера - Строка - адрес сервера разрешительного запроса
// * РазрешительныйРежимТелоЗапросаJSON - Строка - тело разрешительного запроса
// * РазрешительныйРежимТелоОтветаJSON - Строка - тело ответа разрешительного запроса
// * РазрешительныйРежимКодОтвета - Строка - код ответа разрешительного запроса
// * ЧастичноеВыбытиеОстаток - Неопределено, Число - остаток во вскрытой потребительской упаковке
// * ЧастичноеВыбытиеКомментарий - Неопределено, Строка - комментарий к вскрытой потребительской упаковке
Функция НовыйЭлементДанныхПроверкиСредствамиККТ() Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеОбщегоНазначенияИСМПКлиентСервер.НовыйЭлементДанныхПроверкиСредствамиККТ() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
