---
title: Штрихкодирование печатных форм вызов сервера
slug: erp-uh/штрихкодирование-печатных-форм-вызов-сервера
---


## ПолучитьСсылкуПоШтрихкодуТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на элемент списка по штрихкоду
//
// Параметры:
//  Штрихкод - Строка - Штрихкод
//  Менеджеры - Массив - Пустые ссылки на документы, в которых требуется выполнить поиск по штрихкоду.
//
// Возвращаемое значение:
//  ЛюбаяСсылка - Ссылка на найденный элемент.
//
Функция ПолучитьСсылкуПоШтрихкодуТабличногоДокумента(Штрихкод, Менеджеры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеПечатныхФормВызовСервера.ПолучитьСсылкуПоШтрихкодуТабличногоДокумента(Штрихкод, Менеджеры);
```
</details>

## СсылкаНаЭлементСпискаПоШтрихкоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на элемент списка по штрихкоду
//
// Параметры:
//  Штрихкод - Строка - Штрихкод
//  ДоступныеХозяйственныеОперацииИДокументы - ТаблицаЗначений -
//
// Возвращаемое значение:
//  ЛюбаяСсылка - Ссылка на найденный элемент.
//
Функция СсылкаНаЭлементСпискаПоШтрихкоду(Штрихкод, ДоступныеХозяйственныеОперацииИДокументы) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеПечатныхФормВызовСервера.СсылкаНаЭлементСпискаПоШтрихкоду(Штрихкод, ДоступныеХозяйственныеОперацииИДокументы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
