---
title: Штрихкодирование печатных форм клиент
slug: erp-uh/штрихкодирование-печатных-форм-клиент
---


## ОбъектНеНайден
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Объект не найден
//
// Параметры:
//  Штрихкод - Строка - Штрихкод
//  ИскатьПоВсемОбъектам - Булево - Искать по всем объектам.
//
Процедура ОбъектНеНайден(Штрихкод, ИскатьПоВсемОбъектам = Истина) Экспорт
```

Пример вызова
```bsl
ШтрихкодированиеПечатныхФормКлиент.ОбъектНеНайден(Штрихкод, ИскатьПоВсемОбъектам);
```
</details>

## ПолучитьСсылкуПоШтрихкодуТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить ссылку по штрихкоду табличного документа
//
// Параметры:
//  Штрихкод - Строка - Штрихкод
//  Менеджеры - Массив - Менеджеры документов.
//
// Возвращаемое значение:
//  Массив - Массив ссылок на найденные документы.
//
Функция ПолучитьСсылкуПоШтрихкодуТабличногоДокумента(Штрихкод, Менеджеры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодированиеПечатныхФормКлиент.ПолучитьСсылкуПоШтрихкодуТабличногоДокумента(Штрихкод, Менеджеры);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
