---
title: Штрихкоды упаковок вызов сервера
slug: erp-uh/штрихкоды-упаковок-вызов-сервера
---


## ПрочитатьСвойстваКлючейИдентификаторовПрименения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает считанные из макета свойства ключей идентификаторов GS1
//
// Возвращаемое значение:
// 	Соответствие - Соответствие кодов идентификаторов их свойствам
// 	 * Ключ     - Строка - Код (ключ) идентификатора GS1. Только цифровые символы ключа идентификатора. Например, код "310X" будет преобразован в "310".
// 	 * Значение - Структура - Свойства идентификатора GS1
// 	   ** ИмяИдентификатора - Строка - Имя идентификатора применения в верхнем регистре, например, "МАССАНЕТТОВКГ" или "GTIN01" или "ДАТАПРОИЗВОДСТВА"
// 	   ** ПредставлениеИдентификатора - Строка - пользовательское Представление имени идентификатора, приводится к соответствующему языку в макете. Например, "Масса нетто в кг. (310Х)"
// 	   ** ПредставлениеИдентификатораДляУпорядочивания - Строка - Пользовательское представление имени идентификатора, ключ идентификатора с нецифровыми символами указывается в начале.
// 	                                                              Используется в списках, где упорядочивание идет по представлению. Например, "(310Х) Масса нетто в кг."
// 	   ** ДлинаКода - Число - Количество знаков, отводимых в штрихкоде под значение параметра
// 	   ** ЗначениеПеременнойДлины - Булево - Признак переменной длины у параметра в штрихкоде
// 	   ** ДополнительныйПараметрИмя - Имя дополнительного параметра, прибавляемого к ключу (коду) идентификатора,
// 	                                  например, МассаНеттоВКг имеет ключ 310 и значение доп параметра от 0 до 5, тогда
// 	                                  полное значение ключа будет от 3100 до 3105, или в скобках от (3100) до (3105).
// 	                                  В данном случае дополнительный параметр задает количество знаков после запятой в штрихкоде.
// 	                                  Имя дополнительного параметра кодирует смысловое предназначение параметра.
// 	   ** ДлинаДопПараметра - Число - Длина дополнительного параметра в штрихкоде.
// 	   ** ДополнительныйПараметрМинимальноеЗначение - Число - Минимальное значение дополнительного параметра. Задается
// 	                                                          для случаев ручного интерактивного изменения (например при генерации штрихкода)
// 	   ** ДополнительныйПараметрМаксимальноеЗначение - Число - Максимальное значение дополнительного параметра
// 	   ** ДополнительныйПараметрЗначениеПоУмолчанию - Число - Значение по умолчанию для дополнительного параметра
// 	   ** ДополнительныйПараметрПредставление - Строка - Пользовательское представление имени дополнительного идентификатора
// 	   ** БазовыйТипДанных - Описание типов данных - Описание типов данных для значения идентификатора GS1. Может уточняться в зависимости
// 	                                                 от значения дополнительного параметра.
//
Функция ПрочитатьСвойстваКлючейИдентификаторовПрименения() Экспорт
```

Пример вызова
```bsl
Результат = ШтрихкодыУпаковокВызовСервера.ПрочитатьСвойстваКлючейИдентификаторовПрименения() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
