---
title: Электронное актирование ЕИС
slug: erp-uh/электронное-актирование-еис
---


## ПередЗаписьюНаСервереГосударственногоКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.ПередЗаписьюНаСервереГосударственногоКонтракта()
Процедура ПередЗаписьюНаСервереГосударственногоКонтракта( Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.ПередЗаписьюНаСервереГосударственногоКонтракта();
```
</details>

## ЗаполнитьПараметрыАктированияДокументаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет параметры для актирования документа по умолчанию.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - ссылка на организацию.
//  Документ - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на документ.
Процедура ЗаполнитьПараметрыАктированияДокументаПоУмолчанию(Организация, Документ) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.ЗаполнитьПараметрыАктированияДокументаПоУмолчанию(Организация, Документ) 
```
</details>

## УстановитьПредставлениеГосконтрактаПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить представление госконтракта по договору.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - ссылка на организацию.
//  Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО - ссылка на договор.
//  Форма - ФормаКлиентскогоПриложения - форма документа.
Процедура УстановитьПредставлениеГосконтрактаПоДоговору(Организация, Договор, Форма) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.УстановитьПредставлениеГосконтрактаПоДоговору(Организация, Договор, Форма) 
```
</details>

## ПреобразоватьКодКладрДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовать код кладр для ЕИС.
//
// Параметры:
//  КодКладрБСП - Строка
//
// Возвращаемое значение:
//  Строка - Преобразованный код КЛАДР для ЕИС
Функция ПреобразоватьКодКладрДляЕИС(Знач КодКладрБСП) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ПреобразоватьКодКладрДляЕИС(КодКладрБСП) 
```
</details>

## ПараметрыПриСозданииНаСервере_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры при создании на сервере форма документа.
//
// Возвращаемое значение:
//  Структура - Параметры при создании на сервере форма документа:
// * Форма - ФормаКлиентскогоПриложения
// * ДокументСсылка - ДокументСсылка
// * ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
// * Организация - ОпределяемыйТип.Организация
Функция ПараметрыПриСозданииНаСервере_ФормаДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ПараметрыПриСозданииНаСервере_ФормаДокумента() 
```
</details>

## ПриСозданииНаСервере_ФормаДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "ПриСозданииНаСервере" формы документа.
//
// Параметры:
//  ПараметрыПриСозданииНаСервере - см. ПараметрыПриСозданииНаСервере_ФормаДокумента
//
Процедура ПриСозданииНаСервере_ФормаДокумента(ПараметрыПриСозданииНаСервере) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.ПриСозданииНаСервере_ФормаДокумента(ПараметрыПриСозданииНаСервере) 
```
</details>

## ИмяДекорацииФормыПараметровЭлектронногоАктированияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя декорации формы параметров электронного актирования документа.
//
// Возвращаемое значение:
//  Строка - Имя декорации формы параметров электронного актирования документа
Функция ИмяДекорацииФормыПараметровЭлектронногоАктированияДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ИмяДекорацииФормыПараметровЭлектронногоАктированияДокумента() 
```
</details>

## НачальныйИндексИнформацииУчастникаГрузополучателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начальный индекс информации участника грузополучателя.
//
// Возвращаемое значение:
//  Строка
Функция НачальныйИндексИнформацииУчастникаГрузополучателя() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НачальныйИндексИнформацииУчастникаГрузополучателя() 
```
</details>

## НачальныйИндексИнформацииУчастникаПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начальный индекс информации участника покупателя.
//
// Возвращаемое значение:
//  Строка
Функция НачальныйИндексИнформацииУчастникаПокупателя() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НачальныйИндексИнформацииУчастникаПокупателя() 
```
</details>

## НаименованиеОрганизацииДляЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Наименование организации для ЭД.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация
//  ЭтоЗаказчик - Булево
//
// Возвращаемое значение:
//  Строка
Функция НаименованиеОрганизацииДляЭД(Организация, ЭтоЗаказчик = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НаименованиеОрганизацииДляЭД(Организация, ЭтоЗаказчик);
```
</details>

## ЭтоОбъектЗакупкиСВозможностьюКорректировкиЦены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает  объект закупки с возможностью корректировки цены.
//
// Параметры:
//  ДанныеКонтракта - Структура
//  ДанныеОбъекта - СтрокаТаблицыЗначений
//
// Возвращаемое значение:
//  Булево
Функция ЭтоОбъектЗакупкиСВозможностьюКорректировкиЦены(ДанныеКонтракта, ДанныеОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ЭтоОбъектЗакупкиСВозможностьюКорректировкиЦены(ДанныеКонтракта, ДанныеОбъекта) 
```
</details>

## НоваяИнформацияОЗаменнойПозицииТРУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новая информация о заменной позиции ТРУ.
//
// Возвращаемое значение:
//  Структура - Новая информация о заменной позиции ТРУ:
//   * ИдентификаторПозиции - Строка - идентификатор в формате GUID 32 символа
//   * ИдентификаторСведенийОКонтракте - Строка - идентификатор в формате GUID 32 символа
Функция НоваяИнформацияОЗаменнойПозицииТРУ() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НоваяИнформацияОЗаменнойПозицииТРУ() 
```
</details>

## НовыеБанковскиеРеквизитыДляПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Банковские реквизиты.
// Блок обязателен для документов с функциями СЧФДОП и ДОП.
// Блок необязателен для СЧФ.
//
// Возвращаемое значение:
//  Структура - Новые банковские реквизиты для приложения:
//    * ИдентификаторПлатежныхРеквизитовИзКонтракта - Строка
//    * ТипСчета - Строка
//    * НомерЛицевогоСчета - Строка
//    * ЛицевойСчетДляКазначейскогоСопровождения -Строка
//    * БИК - Строка
//    * НаименованиеБанка - Строка
//    * НаименованиеБанкаТОФК - Строка
//    * КорреспондентскийСчетБанка - Строка
//    * РасчетныйСчет - Строка
//    * ЕдиныйКазначейскийСчет - Строка
//    * КазначейскийСчет - Строка
//    * КБК - Строка
//    * УИПИлиУИН - Строка
//    * НаименованиеКонтрагентаДляПлатежногоПоручения - Строка
//    * ОКТМО - Структура
Функция НовыеБанковскиеРеквизитыДляПриложения() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеБанковскиеРеквизитыДляПриложения() 
```
</details>

## НовоеЗначениеОКЕИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новое значение ОКЕИ.
//
// Возвращаемое значение:
//  Структура - Новое значение ОКЕИ:
// * Код - Строка
// * НациональныйКод - Строка
// * Наименование - Строка
Функция НовоеЗначениеОКЕИ() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовоеЗначениеОКЕИ() 
```
</details>

## КодыАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. АдресныйКлассификатор.КодыАдреса
Функция КодыАдреса(Адрес) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.КодыАдреса(Адрес) 
```
</details>

## НовыйРазделВидовРаботСтроительство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новый раздел видов работ строительство.
//
// Возвращаемое значение:
//  Структура - Новый раздел видов работ строительство:
// * Идентификатор - Строка
// * НаименованиеРаздела - Строка
// * СтоимостьБезНДСРаздела - Строка
// * СтоимостьСНДСРаздела - Строка
// * ВидыРабот - Массив
Функция НовыйРазделВидовРаботСтроительство() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыйРазделВидовРаботСтроительство() 
```
</details>

## НовыеСведенияОТаможеннойДекларации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о таможенной декларации.
//
// Возвращаемое значение:
//  Структура - Новые сведения о таможенной декларации:
// * КодСтраныПроисхождения - Строка
// * НаименованиеСтраныПроисхождения - Строка
// * КодСтраныПроисхожденияСчетФактура - Строка
// * НомерТаможеннойДекларации - Строка
Функция НовыеСведенияОТаможеннойДекларации() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОТаможеннойДекларации() 
```
</details>

## НовыеДетализированныеСведенияОТРУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сведения о детализированных позициях ТРУ.
// В блоке указываются сведения о родительской позиции ТРУ и его детализациях.
//
// Возвращаемое значение:
//  Структура - Новые детализированные сведения ОТРУ:
//   * ЭтоДетализированныеСведения - Булево - Истина, если сведения детализированные
//   * СведенияОРодительскойПозиции - см. НовыеСведенияОРодительскойПозицииТРУ
//   * СведенияОДочернихПозициях - Массив из Структура - дочерние позиции, см. НовыеСведенияОДочернейПозицииТРУ
Функция НовыеДетализированныеСведенияОТРУ() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеДетализированныеСведенияОТРУ() 
```
</details>

## НовыеСведенияОМестеПоставкиТоварнойПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о месте поставки товарной позиции.
//
// Возвращаемое значение:
//  Структура - Новые сведения о месте поставки товарной позиции:
//   * Идентификатор - Строка -Идентификатор места поставки в виде уникального идентификатора. Длина строки 32 символа.
//   * ПоставляемоеКоличество - Число - Поставляемое количество. Число(15, 11).
Функция НовыеСведенияОМестеПоставкиТоварнойПозиции() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОМестеПоставкиТоварнойПозиции() 
```
</details>

## НовыеСведенияОДочернейПозицииТРУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о дочерней позиции ТРУ.
//
// Возвращаемое значение:
//  Структура -- Новые сведения о дочерней позиции ТРУ::
//   * Идентификатор - Строка - GUID товара, работы, услуг.
//   * НомерСтрокиТаблицы - Число - Повторяет номер строки таблицы из файла обмена счет-фактуры (информации продавца).
//   * ЦенаЗаЕдиницуСНДС - Число - Цена за единицу с НДС.
//   * КодСтраныПроисхождения - Строка - код страны происхождения.
//   * НаименованиеСтраныПроисхождения - Строка - наименование страны происхождения.
//   * КодСтраныПроизводителя - Строка - код страны производителя.
//   * НаименованиеСтраныПроизводителя - Строка - наименование страны производителя.
Функция НовыеСведенияОДочернейПозицииТРУ() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОДочернейПозицииТРУ() 
```
</details>

## НовыйВидРаботСтроительство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новый вид работ строительство.
//
// Возвращаемое значение:
//  Структура - Новый вид работ строительство:
//    * Идентификатор - Строка
//    * ПорядковыйНомер - Строка
//    * НаименованиеВидаРабот - Строка
//    * НомерПозицииПоСмете - Строка
//    * ЭтоТовар - Булево
//    * Количество - Число
//    * ОбВидРаб - Строка
//    * ЦенаБезНДС - Число
//    * ЦенаСНДС - Число
//    * СтоимостьБезНДСВсего - Число
//    * СтоимостьСНДСВсего - Число
//    * КодТовараПоОКПД2 - Строка
//    * НаименованиеТовараПоОКПД2 - Строка
//    * ОКЕИ - см. НовоеЗначениеОКЕИ
//    * КодОЕИ - Строка
//    * НаименованиеОЕИ - Строка
//    * КодСтраныПроисхождения - Строка
//    * НаименованиеСтраныПроисхождения - Строка
//    * КодСтраныПроизводителя - Строка
//    * НаименованиеСтраныПроизводителя - Строка
//    * СведенияОТаможеннойДекларации - Массив из Структура
//    * СтоимостьСНДСВсего - Число
Функция НовыйВидРаботСтроительство() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыйВидРаботСтроительство() 
```
</details>

## НовыеСведенияОтраслевойСпециализацииСтроительствоДляУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения отраслевой специализации строительство для УПД.
//
// Возвращаемое значение:
//  Структура - Новые сведения отраслевой специализации строительство для УПД:
// * РазделыВидовРабот - Массив
// * ВидыРабот - Массив
Функция НовыеСведенияОтраслевойСпециализацииСтроительствоДляУПД() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОтраслевойСпециализацииСтроительствоДляУПД() 
```
</details>

## ОтраслеваяСпециализацияЛекарственныеПрепараты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отраслевая специализация лекарственные препараты.
//
// Возвращаемое значение:
//  Строка - код отраслевой специализации лекарственные препараты.
Функция ОтраслеваяСпециализацияЛекарственныеПрепараты() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ОтраслеваяСпециализацияЛекарственныеПрепараты() 
```
</details>

## ОтраслеваяСпециализацияСтроительство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отраслевая специализация строительство.
//
// Возвращаемое значение:
//  Строка - код отраслевой специализации строительство.
Функция ОтраслеваяСпециализацияСтроительство() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ОтраслеваяСпециализацияСтроительство() 
```
</details>

## ОтраслеваяСпециализацияПриобретениеЖилыхПомещений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отраслевая специализация приобретение жилых помещений.
//
// Возвращаемое значение:
//  Строка - код отраслевой специализации приобретение жилых помещений.
Функция ОтраслеваяСпециализацияПриобретениеЖилыхПомещений() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ОтраслеваяСпециализацияПриобретениеЖилыхПомещений() 
```
</details>

## НовыеДанныеПриложенияКТитулуПродавцаУКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные приложения к титулу продавца УКД.
//
// Возвращаемое значение:
//  Структура:
//    * ПорядковыйНомерПодписантаПредлагающегоИзменитьСтоимостьУведомление - Число - номер подписанта
//    * ПорядковыйНомерПодписантаПредлагающегоИзменитьСтоимостьПредложение - Число - номер подписанта
//    * ПорядковыйНомерРуководителяОрганизации - Число - порядковый номер руководителя
//    * ИдентификаторИсходногоФайла - Строка - идентификатор исходного файла
//    * СведенияОКонтракте - см. НовыеСведенияОКонтрактеДляТитулаПродавцаУКД
//    * СведенияОТоварах - см. НовыеСведенияОТоварахРаботахУслугахДляТитулаПродавцаУКД
//    * СведенияОСтроительстве - см. НовыеСведенияОСтроительствеДляПриложенияУКД
//    * Вложения - Массив из см. НовыеСведенияОВложенииТитулаПродавцаУПД - данные вложений
Функция НовыеДанныеПриложенияКТитулуПродавцаУКД() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеДанныеПриложенияКТитулуПродавцаУКД() 
```
</details>

## НовыеСведенияОСтроительствеДляПриложенияУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о строительстве для приложения УПД.
//
// Возвращаемое значение:
//  Структура - Новые сведения о строительстве для приложения УПД:
//    * СуммаНеОблагаемаяНалогом - Число
//    * СуммаНалогаПоСтавке10Процентов - Число
//    * СуммаНалогаПоСтавке20Процентов - Число
//    * ПроизводитьРасчетНДСВИтоговыхСтроках - Булево
//    * ОкруглятьСтоимостьДоЦелыхЗначений - Булево
//    * НаименованияСтолбцовТаблицы - Строка
//    * СведенияОбИнвесторе  - Структура
Функция НовыеСведенияОСтроительствеДляПриложенияУПД() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОСтроительствеДляПриложенияУПД() 
```
</details>

## НовыеСведенияОСтроительствеДляПриложенияУКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о строительстве для приложения УКД.
//
// Возвращаемое значение:
//  Структура - Новые сведения о строительстве для приложения УКД:
//    * УвеличениеСуммаНалогаПоСтавке10Процентов - Число - увеличение налога по ставке 10%
//    * УвеличениеСуммаНалогаПоСтавке20Процентов - Число - увеличение налога по ставке 20%
//    * УменьшениеСуммаНалогаПоСтавке10Процентов - Число - уменьшение налога по ставке 10%
//    * УменьшениеСуммаНалогаПоСтавке20Процентов - Число - уменьшение налога по ставке 20%
Функция НовыеСведенияОСтроительствеДляПриложенияУКД() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОСтроительствеДляПриложенияУКД() 
```
</details>

## НовыеСведенияОбИнвестореСтроительства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения об инвесторе строительства.
//
// Возвращаемое значение:
//  Структура - Новые сведения об инвесторе строительства:
//    * Наименование - Строка - наименование организации или ФИО
//    * ИНН - Строка - ИНН инвестора
//    * КПП - Строка - КПП инвестора
Функция НовыеСведенияОбИнвестореСтроительства() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОбИнвестореСтроительства() 
```
</details>

## НовыеСведенияОбОбжалованииОтказаОПриемке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения об обжаловании отказа о приемке.
//
// Возвращаемое значение:
//  Структура - Новые сведения об обжаловании отказа о приемке:
// * ИдентификаторДокументаЯвляющегосяПредметомОбжалования - Строка
// * РеквизитыДокументаЯвляющегоПредметомОбжалования - Строка
// * ВидДокументаОбжалованияОтказаОПриемке - Строка
// * РеквизитыДокументаОбжалованияОтказаОПриемке - Строка
Функция НовыеСведенияОбОбжалованииОтказаОПриемке() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОбОбжалованииОтказаОПриемке() 
```
</details>

## НаименованияСтолбцовТаблицыКонструктивныеРешения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Наименования столбцов таблицы конструктивные решения.
//
// Возвращаемое значение:
//  Строка - Наименования столбцов таблицы конструктивные решения
Функция НаименованияСтолбцовТаблицыКонструктивныеРешения() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НаименованияСтолбцовТаблицыКонструктивныеРешения() 
```
</details>

## НаименованияСтолбцовТаблицыРаботы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Наименования столбцов таблицы работы.
//
// Возвращаемое значение:
//  Строка - Наименования столбцов таблицы работы
Функция НаименованияСтолбцовТаблицыРаботы() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НаименованияСтолбцовТаблицыРаботы() 
```
</details>

## НовыеДанныеПриложенияКТитулуЗаказчикаУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные приложения к титулу УПДЗаказчика.
//
// Возвращаемое значение:
//  Структура - Новые данные приложения к титулу УПДЗаказчика:
//    * ИдентификаторПриложения - Строка - идентификатор приложения
//    * ИдентификаторФайла - Строка - идентификатор файла
//    * ВерсияФормата - Строка - версия формата
//    * ИтогоФактическиПринято - Число - итого принято
//    * ИнформацияОРасхожденияхПричинахОтказа - Строка - информация о расхождениях
//    * ДатаНачалаПриемки - Дата - дата начала приемки. Устарело, не используется
//    * ХэшФайла - Строка - хэш файла
//    * СведенияОТРУ - Массив из Структура - табличная часть
//    * ИнформацияОРешенииПриемочнойКомиссии - Структура - информация о решении приемной комиссии
//    * ИныеУполномоченныеЛица - Массив из Структура - иные уполномоченные лица
//    * ПрочиеНачисления - Структура - прочие начисления
//    * Вложения - Массив из Структура - прикрепленные документы
//    * ОшибкиЗаполнения - Массив из Структура - ошибки заполнения
Функция НовыеДанныеПриложенияКТитулуЗаказчикаУПД() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеДанныеПриложенияКТитулуЗаказчикаУПД() 
```
</details>

## НовыеДанныеПриложенияКТитулуЗаказчикаУКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные приложения к титулу заказчика УКД.
//
// Возвращаемое значение:
//  Структура - Новые данные приложения к титулу заказчика УКД:
//   * ИдентификаторПриложения - Строка
//   * ИдентификаторФайла - Строка
//   * ВерсияФормата - Строка - версия формата.
//   * ПорядковыйНомерСогласившегосяИзменитьСтоимость - Число
//   * ХэшФайла - Строка
//   * ИнформацияОРешенииПриемочнойКомиссии - Структура
//   * ПрочиеНачисления - Структура
//   * Вложения - Массив - прикрепленные документы.
//   * ОшибкиЗаполнения - Массив - ошибки заполнения.
Функция НовыеДанныеПриложенияКТитулуЗаказчикаУКД() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеДанныеПриложенияКТитулуЗаказчикаУКД() 
```
</details>

## НовыеДанныеПриложенияКТитулуПродавцаУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные приложения к титулу продавца УПД.
//
// Возвращаемое значение:
//  Структура - Новые данные приложения к титулу продавца УПД:
//   * ПорядковыйНомерРуководителяОрганизации - Число
//   * ИдентификаторИсходногоФайла - Строка
//   * СведенияОКонтракте - см. НовыеСведенияОКонтрактеДляТитулаПродавцаУПД
//   * СведенияОТоварах - см. НовыеСведенияОТоварахРаботахУслугахДляТитулаПродавцаУПД
//   * МестаПоставки - Массив из см. НовыеСведенияОМестеПоставкиТовара
//   * СведенияОбОбжалованииОтказаОПриемке - см. НовыеСведенияОбОбжалованииОтказаОПриемке
//   * СведенияОСтроительстве - см. НовыеСведенияОСтроительствеДляПриложенияУПД
Функция НовыеДанныеПриложенияКТитулуПродавцаУПД() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеДанныеПриложенияКТитулуПродавцаУПД() 
```
</details>

## ДобавитьДвоичныеВложенияПриложенияДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить двоичные вложения приложения для ЕИС.
//
// Параметры:
//  ДанныеПриложенияЕИС - см. НовыеДанныеПриложенияКТитулуПродавцаУПД,
//                        см. НовыеДанныеПриложенияКТитулуПродавцаУКД
//  ДанныеЭлектронногоАктированияЕИС - Структура
Процедура ДобавитьДвоичныеВложенияПриложенияДляЕИС(ДанныеПриложенияЕИС, ДанныеЭлектронногоАктированияЕИС) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.ДобавитьДвоичныеВложенияПриложенияДляЕИС(ДанныеПриложенияЕИС, ДанныеЭлектронногоАктированияЕИС) 
```
</details>

## НовыеНедетализированныеСведенияОТРУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые недетализированные сведения ОТРУ.
//
// Возвращаемое значение:
//  Структура - Новые недетализированные сведения ОТРУ:
//   * ЭтоДетализированныеСведения - Булево
//   * НомерСтрокиТаблицы - Число
//   * ОбъемВТекстовомВыражении - Строка
//   * Идентификатор - Строка
//   * ИдентификаторПозиции - Строка - идентификатор позиции длинной 32 символа
//   * ТехническийИдентификатор - Число
//   * ВнешнийТехническийИдентификатор - Строка
//   * ИсходноеНаименование - Строка
//   * ЦенаИзКонтрактаСНДС - Число
//   * КодСтраныПроисхождения - Строка
//   * НаименованиеСтраныПроисхождения - Строка
//   * КодСтраныПроизводителя - Строка
//   * НаименованиеСтраныПроизводителя - Строка
//   * ЭтоЛекарственныйПрепарат - Булево
//   * СведенияОЛекарственномПрепарате - см. НовыеСведенияОЛекарственномПрепаратеДляПриложения
//   * ОтраслеваяСпециализация - Строка
//   * СведенияОтраслевойСпециализация - Неопределено, Структура - см. НовыеСведенияОтраслевойСпециализацииСтроительствоДляУПД
//   * АктированиеПоПозицииЗавершено - Булево
//   * ОстаточнаяСтоимостьПоПозиции - Число
Функция НовыеНедетализированныеСведенияОТРУ() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеНедетализированныеСведенияОТРУ() 
```
</details>

## НовыеСведенияОТРУДляУКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сведения о детализированных позициях ТРУ.
// В блоке указываются сведения о родительской позиции ТРУ и его детализациях.
//
// Возвращаемое значение:
//  Структура - Новые сведения ОТРУДля УКД:
//   * НомерСтрокиТаблицы - Число
//   * Идентификатор - Строка
//   * ИдентификаторПозиции - Строка
//   * ТехническийИдентификатор - Строка
//   * ВнешнийТехническийИдентификатор - Строка
//   * РодительскийИдентификатор - Строка
//   * РодительскийТехническийИдентификатор - Строка
//   * РодительскийВнешнийТехническийИдентификатор - Строка
//   * Код - Строка
//   * ИсходноеНаименование - Строка
//   * ОбъемВТекстовомВыраженииДоИзменения - Строка
//   * ОбъемВТекстовомВыраженииПослеИзменения - Строка
//   * НаименованиеЕдиницыИзмеренияДоИзменения - Строка
//   * НаименованиеЕдиницыИзмеренияПослеИзменения - Строка
//   * ЦенаСНДСДоИзменения - Число
//   * ЦенаСНДСПослеИзменения - Число
//   * ЭтоЛекарственныйПрепарат - Булево
//   * СведенияОЛекарственномПрепарате - см. НовыеСведенияОЛекарственномПрепаратеДляПриложения
//   * АктированиеПоПозицииЗавершено - Булево
//   * ОстаточнаяСтоимостьПоПозиции - Число
Функция НовыеСведенияОТРУДляУКД() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОТРУДляУКД() 
```
</details>

## ВидТРУТовар
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вид ТРУ товара.
//
// Возвращаемое значение:
//  Число - Вид ТРУ товар
Функция ВидТРУТовар() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ВидТРУТовар() 
```
</details>

## ВидТРУРабота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вид ТРУ работы.
//
// Возвращаемое значение:
//  Число - Вид ТРУ работы
Функция ВидТРУРабота() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ВидТРУРабота() 
```
</details>

## ВидТРУУслуга
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вид ТРУ услуги.
//
// Возвращаемое значение:
//  Число - Вид ТРУ услуги
Функция ВидТРУУслуга() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ВидТРУУслуга() 
```
</details>

## МестоПоставкиПоКЛАДР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Место поставки по КЛАДР.
//
// Возвращаемое значение:
//  Строка - Место поставки по КЛАДР
Функция МестоПоставкиПоКЛАДР() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.МестоПоставкиПоКЛАДР() 
```
</details>

## МестоПоставкиПоОКТМО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Место поставки по ОКТМО.
//
// Возвращаемое значение:
//  Строка - Место поставки по ОКТМО
Функция МестоПоставкиПоОКТМО() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.МестоПоставкиПоОКТМО() 
```
</details>

## МестоПоставкиПоОКСМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Место поставки по ОКСМ.
//
// Возвращаемое значение:
//  Строка - Место поставки по ОКСМ
Функция МестоПоставкиПоОКСМ() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.МестоПоставкиПоОКСМ() 
```
</details>

## КодКЛАДРПроизвольногоАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Код КЛАДРПроизвольного адреса.
//
// Параметры:
//  КодРегиона - Строка - Код региона
//
// Возвращаемое значение:
//  Строка - Код КЛАДР произвольного адреса в тестовой форме.
Функция КодКЛАДРПроизвольногоАдреса(КодРегиона = "01") Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.КодКЛАДРПроизвольногоАдреса(КодРегиона);
```
</details>

## НовыйДанныеОКТМО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новый данные ОКТМО.
//
// Возвращаемое значение:
//  Структура - Новый данные ОКТМО:
// * Код - Строка
// * ПолноеНаименование - Строка
Функция НовыйДанныеОКТМО() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыйДанныеОКТМО() 
```
</details>

## ИспользоватьЭлектронноеАктированиеВЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Использовать электронное актирование в ЕИС для поставщиков.
//
// Возвращаемое значение:
//  Булево - Использовать электронное актирование поставщика в ЕИС
Функция ИспользоватьЭлектронноеАктированиеВЕИС() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ИспользоватьЭлектронноеАктированиеВЕИС() 
```
</details>

## НоваяТаблицаПодписантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новая таблица подписантов.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Новая таблица подписантов:
//    * НомерСтроки - Число
//    * ОбластьПолномочий - Строка
//    * Статус - Строка
//    * ОснованиеПолномочий - Строка
//    * ИНН - Строка
//    * Должность - Строка
//    * Фамилия - Строка
//    * Имя - Строка
//    * Отчество - Строка
//    * ТипПодписанта - ПеречислениеСсылка.ТипыПодписантовЕИС
//    * Организация - ОпределяемыйТип.Организация - организация подписанта.
Функция НоваяТаблицаПодписантов() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НоваяТаблицаПодписантов() 
```
</details>

## ДанныеОПолномочияхПодписантаЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные о полномочиях подписанта заказчика.
//
// Параметры:
//  Подписант - СправочникСсылка.ПодписантыОрганизацийЕИС - подписант.
//  ТипДокумента - Строка - тип документа, возможные значения "УПД", "УКД".
//
// Возвращаемое значение:
//  Структура - Данные о полномочиях подписанта заказчика:
//   * КодОбластиПолномочий - Строка
//   * НаименованиеОбластиПолномочий - Строка
//   * ОснованиеПолномочий - Строка
//   * ТипДокумента - Строка
Функция ДанныеОПолномочияхПодписантаЗаказчика(Подписант, ТипДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ДанныеОПолномочияхПодписантаЗаказчика(Подписант, ТипДокумента) 
```
</details>

## ДобавитьОшибкуЗаполненияПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить ошибку заполнения приложения.
//
// Параметры:
//  ДанныеПриложения - Структура - Данные приложения см. НовыеДанныеПриложенияКТитулуПродавцаУПД(), НовыеДанныеПриложенияКТитулуПродавцаУКД()
//  ТекстОшибки - Строка - текст ошибки.
//
Процедура ДобавитьОшибкуЗаполненияПриложения(ДанныеПриложения, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.ДобавитьОшибкуЗаполненияПриложения(ДанныеПриложения, ТекстОшибки) 
```
</details>

## ТекстЗапросаДанныхШапкиГосударственногоКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса данных шапки государственного контракта.
//
// Возвращаемое значение:
//  Строка - Текст запроса данных шапки государственного контракта.
Функция ТекстЗапросаДанныхШапкиГосударственногоКонтракта() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ТекстЗапросаДанныхШапкиГосударственногоКонтракта() 
```
</details>

## ГосударственныйКонтрактНеЗаполнен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Государственный контракт не заполнен.
//
// Параметры:
//  СсылкаНаКонтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД - Ссылка на контракт.
//
// Возвращаемое значение:
//  Булево - Государственный контракт не заполнен.
Функция ГосударственныйКонтрактНеЗаполнен(СсылкаНаКонтракт) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ГосударственныйКонтрактНеЗаполнен(СсылкаНаКонтракт) 
```
</details>

## ДанныеГосконтрактаПоВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные госконтракта по владельцу.
//
// Параметры:
//  ВладелецКонтракта - ОпределяемыйТип.ДоговорСКонтрагентомЭДО - Владелец контракта
//
// Возвращаемое значение:
//  Структура - Данные госконтракта по владельцу:
//   * ГосконтрактЕИС - ОпределяемыйТип.ГосударственныеКонтрактыБЭД - ссылка на контракт.
//   * ГосконтрактЕИСНеЗаполнен - Булево - признак того, что контракт не заполнен.
//   * ТаблицаНоменклатуры - ТаблицаЗначений, Неопределено - таблица номенклатуры контракта.
//   * ТаблицаРаботУслуг - ТаблицаЗначений, Неопределено - таблица работ и услуг.
//   * ТаблицаЭтапов - ТаблицаЗначений, Неопределено - таблица этапов контракта.
Функция ДанныеГосконтрактаПоВладельцу(ВладелецКонтракта) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ДанныеГосконтрактаПоВладельцу(ВладелецКонтракта) 
```
</details>

## СоздатьДоговорНаОснованииКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать договор на основании контракта.
//
// Параметры:
//  СсылкаНаКонтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД
//
// Возвращаемое значение:
//  Структура - результат создания контракта:
//   * Договор - Неопределено, ОпределяемыйТип.ДоговорСКонтрагентомЭДО - ссылка на договор.
//   * Выполнено - Булево - Истина, если договор был успешно создан.
//   * ОписаниеОшибки - Строка - описание ошибки создания договора.
Функция СоздатьДоговорНаОснованииКонтракта(СсылкаНаКонтракт) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.СоздатьДоговорНаОснованииКонтракта(СсылкаНаКонтракт) 
```
</details>

## ОбменПоОрганизацииВключен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обмен по организации включен.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - ссылка на организацию.
//
// Возвращаемое значение:
//  Булево - Истина, если обмен по организации включен.
Функция ОбменПоОрганизацииВключен(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ОбменПоОрганизацииВключен(Организация) 
```
</details>

## НастройкиОбменаЕИСЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройки обмена ЕИС для заказчика.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - организация заказчика.
//
// Возвращаемое значение:
//  Неопределено, Структура - Настройки обмена ЕИС заказчика.
Функция НастройкиОбменаЕИСЗаказчика(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НастройкиОбменаЕИСЗаказчика(Организация) 
```
</details>

## НастройкиОбменаЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настройки обмена ЕИС для поставщика.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - организация поставщика.
//  ПолучитьИдентификаторССервера - Булево - Истина, получить идентификатор поставщика с сервера.
//
// Возвращаемое значение:
//  Неопределено, Структура - Настройки обмена ЕИС заказчика.
Функция НастройкиОбменаЕИС(Организация, ПолучитьИдентификаторССервера = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НастройкиОбменаЕИС(Организация, ПолучитьИдентификаторССервера);
```
</details>

## НовыеСведенияОВложенииТитулаПродавцаУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о вложении титула продавца УПД.
//
// Возвращаемое значение:
//  Структура - Новые сведения о вложении титула продавца УПД:
//   * Идентификатор - Строка
//   * ВнешнийИдентификатор - Строка
//   * ИмяФайла - Строка
//   * ХэшФайла - Строка
//   * РасширениеФайла - Строка
//   * ОписаниеФайла - Строка
//   * ДатаПрикрепления - Неопределено
//   * Ссылка - Строка
//   * КодВидаДокумента - Строка
//   * НаименованиеВидаДокумента - Строка
Функция НовыеСведенияОВложенииТитулаПродавцаУПД() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОВложенииТитулаПродавцаУПД() 
```
</details>

## ДанныеДляЗаполненияТабличнойЧастиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные для заполнения табличной части документа.
//
// Параметры:
//  ДоговорКонтрагента - ОпределяемыйТип.ДоговорСКонтрагентомЭДО - Ссылка на договор с контрагентом.
//  ИдентификаторСтроки - Строка - идентификатор строки контракта.
// Возвращаемое значение:
//  ТаблицаЗначений, Неопределено - Данные для заполнения табличной части документа.
Функция ДанныеДляЗаполненияТабличнойЧастиДокумента(ДоговорКонтрагента, ИдентификаторСтроки = "") Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ДанныеДляЗаполненияТабличнойЧастиДокумента(ДоговорКонтрагента, ИдентификаторСтроки);
```
</details>

## ПослеЗаписиНаСервереВладельцаКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После записи на сервере владельца контракта.
//
// Параметры:
//  ДанныеФормы - ДанныеФормыСтруктура
//  ТекущийОбъект - СправочникСсылка
//  ПараметрыЗаписи - Структура
Процедура ПослеЗаписиНаСервереВладельцаКонтракта(ДанныеФормы, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.ПослеЗаписиНаСервереВладельцаКонтракта(ДанныеФормы, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ГосударственныйКонтрактДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Государственный контракт документа.
//
// Параметры:
//  Документ - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на документ.
//
// Возвращаемое значение:
//  ОпределяемыйТип.ГосударственныеКонтрактыБЭД - государственный контракт документа.
Функция ГосударственныйКонтрактДокумента(Документ) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ГосударственныйКонтрактДокумента(Документ) 
```
</details>

## ГосударственныйКонтрактДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Государственный контракт договора в привилегированном режиме.
//
// Параметры:
//  Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО - ссылка на договор.
//
// Возвращаемое значение:
//  ОпределяемыйТип.ГосударственныеКонтрактыБЭД - государственный контракт, привязанный к договору.
Функция ГосударственныйКонтрактДоговора(Договор) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ГосударственныйКонтрактДоговора(Договор) 
```
</details>

## НайтиГосударственныйКонтрактПоВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Найти государственный контракт по договору с учетом прав.
//
// Параметры:
//  Владелец - ОпределяемыйТип.ДоговорСКонтрагентомЭДО - ссылка на договор.
//
// Возвращаемое значение:
//  ОпределяемыйТип.ГосударственныеКонтрактыБЭД - государственный контракт, привязанный к договору.
Функция НайтиГосударственныйКонтрактПоВладельцу(Владелец) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НайтиГосударственныйКонтрактПоВладельцу(Владелец) 
```
</details>

## ПредставлениеОбъектаЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление объекта закупки.
//
// Параметры:
//  ОбъектЗакупки - Структура
//  ДобавитьНомерСтроки - Булево
//
// Возвращаемое значение:
//  Строка - Представление объекта закупки
Функция ПредставлениеОбъектаЗакупки(ОбъектЗакупки, ДобавитьНомерСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ПредставлениеОбъектаЗакупки(ОбъектЗакупки, ДобавитьНомерСтроки) 
```
</details>

## СохранитьДанныеКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохранить данные контракта.
//
// Параметры:
//  СсылкаНаКонтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД - ссылка на контракт.
//  ДвоичныеДанныеКонтрактаИлиАдрес - ДвоичныеДанные, Строка - двоичные данные контракта или адрес.
Процедура СохранитьДанныеКонтракта(СсылкаНаКонтракт, ДвоичныеДанныеКонтрактаИлиАдрес) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.СохранитьДанныеКонтракта(СсылкаНаКонтракт, ДвоичныеДанныеКонтрактаИлиАдрес) 
```
</details>

## ДанныеГосударственногоКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные государственного контракта.
//
// Параметры:
//  СсылкаНаКонтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД
//  ВозвратитьКонтрактВВидеСтроки - Булево
//
// Возвращаемое значение:
//  Строка, Структура - см. НовыеДанныеКонтракта()
Функция ДанныеГосударственногоКонтракта(СсылкаНаКонтракт, ВозвратитьКонтрактВВидеСтроки=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ДанныеГосударственногоКонтракта(СсылкаНаКонтракт, ВозвратитьКонтрактВВидеСтроки);
```
</details>

## ДанныеФайловПрисоединенныхКДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные файлов присоединенных к документу.
//
// Параметры:
//  СсылкаНаДокумент - ДокументСсылка - Ссылка на документ
//
// Возвращаемое значение:
//  ТаблицаЗначений - Данные файлов присоединенных к документу
Функция ДанныеФайловПрисоединенныхКДокументу(СсылкаНаДокумент) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ДанныеФайловПрисоединенныхКДокументу(СсылкаНаДокумент) 
```
</details>

## ИдентификаторЛекарственногоПрепаратаДляПриложенияКТитулуПродавца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Идентификатор лекарственного препарата для приложения к титулу продавца.
//
// Параметры:
//  Номенклатура - СправочникСсылка
//
// Возвращаемое значение:
//  Строка - Идентификатор лекарственного препарата для приложения к титулу продавца
Функция ИдентификаторЛекарственногоПрепаратаДляПриложенияКТитулуПродавца(Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ИдентификаторЛекарственногоПрепаратаДляПриложенияКТитулуПродавца(Номенклатура) 
```
</details>

## ДопустимыеРасширенияПриложенныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Допустимые расширения приложенных файлов.
//
// Возвращаемое значение:
//  Массив - Допустимые расширения приложенных файлов
Функция ДопустимыеРасширенияПриложенныхФайлов() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ДопустимыеРасширенияПриложенныхФайлов() 
```
</details>

## ОпределитьВидТРУДляУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определить вид ТРУДля УПД.
//
// Параметры:
//  ТипОбъектаЗакупки - ПеречислениеСсылка.ТипыОбъектовЗакупкиЕИС
//
// Возвращаемое значение:
//  Произвольный, Число - Определить вид ТРУДля УПД
Функция ОпределитьВидТРУДляУПД(ТипОбъектаЗакупки) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ОпределитьВидТРУДляУПД(ТипОбъектаЗакупки) 
```
</details>

## НовыеСведенияОМестеПоставкиТовара
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о месте поставки товара.
//
// Возвращаемое значение:
//  Структура - Новые сведения о месте поставки товара:
//    * Место - Строка
//    * Идентификатор - Строка
//    * ИдентификаторУчастника - Строка
//    * Классификатор - Строка
//    * Код - Строка
//    * Наименование - Строка
//    * Адрес - Строка
//    * РайонИлиГород - Строка
//    * НаселенныйПункт - Строка
Функция НовыеСведенияОМестеПоставкиТовара() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОМестеПоставкиТовара() 
```
</details>

## ЗаполнитьРеквизитыКазначейскогоСопровожденияПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить реквизиты казначейского сопровождения поставщика.
//
// Параметры:
//  ДанныеПриложения - Структура - данные приложения для ЕИС.
//  ДеревоДанных - ДеревоЗначений - дерево данных документа.
//  ЭтоУКД - Булево - признак УКД.
Процедура ЗаполнитьРеквизитыКазначейскогоСопровожденияПоставщика( Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.ЗаполнитьРеквизитыКазначейскогоСопровожденияПоставщика();
```
</details>

## ПолучитьДанныеФайлаБСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить данные файла БСП.
//
// Параметры:
//  ПрисоединенныйФайл - Произвольный, Неопределено - Присоединенный файл
//  ИдентификаторФормы - Неопределено - Идентификатор формы
//  ПолучатьСсылкуНаДвоичныеДанные - Булево - Получать ссылку на двоичные данные
//
// Возвращаемое значение:
//  Структура, Неопределено - см. РаботаСФайлами.ДанныеФайла
Функция ПолучитьДанныеФайлаБСП(Знач ПрисоединенныйФайл, Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ПолучитьДанныеФайлаБСП(ПрисоединенныйФайл, );
```
</details>

## ЗаполнитьТабличнуюЧастьДокументаПоДаннымДереваТоваровУслуг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить табличную часть документа по данным дерева товаров услуг.
//
// Параметры:
//  СсылкаНаДокумент - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на документ.
//  ДеревоТоваров - ДеревоЗначений - дерево товаров.
//  ДеревоРаботУслуг - ДеревоЗначений - дерево работ услуг.
//
// Возвращаемое значение:
//  Структура - см. НовыйРезультатЗаполненияТабличныхЧастей
Функция ЗаполнитьТабличнуюЧастьДокументаПоДаннымДереваТоваровУслуг( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ЗаполнитьТабличнуюЧастьДокументаПоДаннымДереваТоваровУслуг();
```
</details>

## ТипСчетаРасчетныйСчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Тип счета расчетный счет.
//
// Возвращаемое значение:
//  Строка
Функция ТипСчетаРасчетныйСчет() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ТипСчетаРасчетныйСчет() 
```
</details>

## ТипСчетаЛицевойСчетВТерОрганеКазначейства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Тип счета лицевой счет в тер. органе казначейства.
//
// Возвращаемое значение:
//  Строка
Функция ТипСчетаЛицевойСчетВТерОрганеКазначейства() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ТипСчетаЛицевойСчетВТерОрганеКазначейства() 
```
</details>

## ТипСчетаЛицевойСчетВФинансовомОргане
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Тип счета лицевой счет в финансовом органе.
//
// Возвращаемое значение:
//  Строка
Функция ТипСчетаЛицевойСчетВФинансовомОргане() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ТипСчетаЛицевойСчетВФинансовомОргане()  
```
</details>

## ОбъектЗакупкиУслугаИлиРабота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Объект закупки услуга или работа.
//
// Параметры:
//  ОбъектЗакупки - Структура
//
// Возвращаемое значение:
//  Булево - Объект закупки услуга или работа
Функция ОбъектЗакупкиУслугаИлиРабота(ОбъектЗакупки) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.ОбъектЗакупкиУслугаИлиРабота(ОбъектЗакупки) 
```
</details>

## НовыеСведенияТРУУПДЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения ТРУ УПД заказчика.
//
// Параметры:
//  ДетализированныеСведения - Булево
//
// Возвращаемое значение:
//  Структура - Новые сведения ТРУ УПД заказчика:
// * СведенияОНедетализированныхПозицияхТРУ - Структура
Функция НовыеСведенияТРУУПДЗаказчика(ДетализированныеСведения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияТРУУПДЗаказчика(ДетализированныеСведения);
```
</details>

## НовыеСведенияИнформацииОРешенииПриемочнойКомиссииЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения информации о решении приемочной комиссии заказчика.
//
// Возвращаемое значение:
//  Структура - Новые сведения информации о решении приемочной комиссии заказчика:
// * ОснованиеСозданияПриемочнойКомиссии - Строка
// * КодРешенияПриемочнойКомиссии - Строка
// * РешениеПриемочнойКомиссии - Строка
// * СведенияОЧленеПриемочнойКомиссии - Структура
Функция НовыеСведенияИнформацииОРешенииПриемочнойКомиссииЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияИнформацииОРешенииПриемочнойКомиссииЗаказчика() 
```
</details>

## НовыеСведенияОЧленеПриемочнойКомиссииЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о члене приемочной комиссии заказчика.
//
// Возвращаемое значение:
//  Структура - Новые сведения о члене приемочной комиссии заказчика:
// * НомерПодписанта - Число
// * РольВПриемочнойКомиссии - Строка
// * ОснованиеПолномочийЧленаПриемочнойКомиссии - Строка
// * ИнформацияОРешенииЧленаПриемочнойКомиссии - Строка
Функция НовыеСведенияОЧленеПриемочнойКомиссииЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОЧленеПриемочнойКомиссииЗаказчика() 
```
</details>

## РешениеЧленаПриемочнойКомиссииЗаказчикаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Решение члена приемочной комиссии заказчика по коду.
//
// Параметры:
//  КодРешения - Число
//
// Возвращаемое значение:
//  Строка - Решение члена приемочной комиссии заказчика по коду
Функция РешениеЧленаПриемочнойКомиссииЗаказчикаПоКоду(КодРешения) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.РешениеЧленаПриемочнойКомиссииЗаказчикаПоКоду(КодРешения) 
```
</details>

## НовыеСведенияОИныхУполномоченныхЛицахЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о иных уполномоченных лицах заказчика.
//
// Возвращаемое значение:
//  Структура - Новые сведения о иных уполномоченных лицах заказчика:
// * НомерПодписанта - Число
// * ВидУполномоченногоЛица - Строка
Функция НовыеСведенияОИныхУполномоченныхЛицахЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОИныхУполномоченныхЛицахЗаказчика() 
```
</details>

## НовыеСведенияОПрочихНачисленияхЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о прочих начислениях заказчика.
//
// Возвращаемое значение:
//  Структура - Новые сведения о прочих начислениях заказчика:
// * ИнформацияОНачисленнойНеустойке - Структура
// * ИнформацияОНалогахИВзносах - Структура
Функция НовыеСведенияОПрочихНачисленияхЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОПрочихНачисленияхЗаказчика() 
```
</details>

## НовыеСведенияОНачисленныхНеустойкахЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о начисленных неустойках заказчика.
//
// Возвращаемое значение:
//  Структура - Новые сведения о начисленных неустойках заказчика:
//   * ТребованиеЗаказчикаОбУплатеНеустойки - Массив
Функция НовыеСведенияОНачисленныхНеустойкахЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОНачисленныхНеустойкахЗаказчика() 
```
</details>

## НовыеСведенияОПрикрепленныхДокументахЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о прикрепленных документах заказчика.
//
// Возвращаемое значение:
//  Структура -- Новые сведения о прикрепленных документах заказчика::
//   * УникальныйИдентификаторКонтента - Строка
//   * ВнешнийУникальныйИдентификаторКонтента - Строка
//   * ИмяФайла - Строка
//   * ХэшФайла - Строка
//   * РасширениеФайла - Строка
//   * ОписаниеПрикрепляемогоДокумента - Строка
//   * ДатаВремяПрикрепленияДокумента - Дата
//   * СсылкаДляСкачиванияПрикрепленногоДокумента - Строка
//   * СсылкаНаСправочникВидовДокументов - Строка
Функция НовыеСведенияОПрикрепленныхДокументахЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИС.НовыеСведенияОПрикрепленныхДокументахЗаказчика() 
```
</details>

## ПроверитьОснованиеОтгрузкиТоваров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка и дополнение реквизитов основания отгрузки товаров.
// Контроль РДИК_0035 требует заполнения атрибутов узла ОснПер в
// соответствии с данными контракта.
// Проверяются значения атрибутов @НаимОсн/@НомОсн/@ДатаОсн/@ДопСвОсн.
//
// Параметры:
//  ДеревоДанных - ДеревоЗначений - Дерево данных электронного документа.
Процедура ПроверитьОснованиеОтгрузкиТоваров(ДеревоДанных) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.ПроверитьОснованиеОтгрузкиТоваров(ДеревоДанных) 
```
</details>

## ПроверитьГрузополучателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка на вхождение продавца в список грузополучателей.
// Для прохождения "РДИК_0507. В списке грузополучателей указаны дублирующиеся грузополучатели"
// требуется чтобы в списке грузополучателей не было ИНН покупателей.
//
// Параметры:
//  ДеревоДанных - ДеревоЗначений - Дерево данных электронного документа.
Процедура ПроверитьГрузополучателей(ДеревоДанных) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИС.ПроверитьГрузополучателей(ДеревоДанных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
