---
title: Электронное актирование ЕИС вызов сервера
slug: erp-uh/электронное-актирование-еис-вызов-сервера
---


## ОбменПоОрганизацииВключен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ЭлектронноеАктированиеЕИС.ОбменПоОрганизацииВключен
Функция ОбменПоОрганизацииВключен(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.ОбменПоОрганизацииВключен(Организация) 
```
</details>

## ДляДокументаОтображаетсяСудебноеРешение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для документа заполняется результат судебного решения.
// Судебное решение заполняется для УПД и исправлений.
//
// Параметры:
//  Документ - ДокументСсылка - ссылка на документ.
//
// Возвращаемое значение:
//  Булево - Истина, если для документа заполняется результат судебного решения.
Функция ДляДокументаОтображаетсяСудебноеРешение(Документ) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.ДляДокументаОтображаетсяСудебноеРешение(Документ) 
```
</details>

## ПредставлениеКонтрактаПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представление контракта по договору.
//
// Параметры:
//  Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//
// Возвращаемое значение:
//  Строка - Представление контракта по договору
Функция ПредставлениеКонтрактаПоДоговору(Договор) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.ПредставлениеКонтрактаПоДоговору(Договор) 
```
</details>

## ИспользуетсяНесколькоОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется несколько организаций.
//
// Возвращаемое значение:
//  Булево - Используется несколько организаций
Функция ИспользуетсяНесколькоОрганизаций() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.ИспользуетсяНесколькоОрганизаций() 
```
</details>

## СкрытьЭлементыФормыПриИспользованииОднойОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Скрыть элементы формы при использовании одной организации.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  ИмяЭлементаИлиМассив - Строка, Массив - Имя элемента или массив
Процедура СкрытьЭлементыФормыПриИспользованииОднойОрганизации(Форма, ИмяЭлементаИлиМассив) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСВызовСервера.СкрытьЭлементыФормыПриИспользованииОднойОрганизации(Форма, ИмяЭлементаИлиМассив) 
```
</details>

## ДанныеГосударственногоКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные государственного контракта.
//
// Параметры:
//  СсылкаНаКонтракт Ссылка на контракт
//  ВВидеСтроки - Булево - В виде строки
//
// Возвращаемое значение:
//  Строка, Структура, Неопределено - см. ЭлектронноеАктированиеЕИС.НовыеДанныеКонтракта()
Функция ДанныеГосударственногоКонтракта(СсылкаНаКонтракт, ВВидеСтроки=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.ДанныеГосударственногоКонтракта(СсылкаНаКонтракт, ВВидеСтроки);
```
</details>

## ДанныеСтрокКонтрактаПоНоменклатуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные строк контракта по номенклатуре.
//
// Параметры:
//  ГосударственныйКонтрактЕИС - СправочникСсылка.ГосударственныеКонтрактыЕИС
//  Номенклатура - ОпределяемыйТип.НоменклатураБЭД
//
// Возвращаемое значение:
//  Массив - Данные строк контракта по номенклатуре
Функция ДанныеСтрокКонтрактаПоНоменклатуре(ГосударственныйКонтрактЕИС, Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.ДанныеСтрокКонтрактаПоНоменклатуре(ГосударственныйКонтрактЕИС, Номенклатура) 
```
</details>

## ОбработкаВыбораГосударственногоКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка выбора государственного контракта.
//
// Параметры:
//  Владелец - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//  ПредыдущееЗначение - СправочникСсылка.ГосударственныеКонтрактыЕИС
//  НовоеЗначение - СправочникСсылка.ГосударственныеКонтрактыЕИС
Процедура ОбработкаВыбораГосударственногоКонтракта(Владелец, Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСВызовСервера.ОбработкаВыбораГосударственногоКонтракта(Владелец, );
```
</details>

## НайтиГосударственныйКонтрактПоВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Найти государственный контракт по владельцу.
//
// Параметры:
//  ВладелецКонтракта - ОпределяемыйТип.ДоговорСКонтрагентомЭДО
//
// Возвращаемое значение:
//  СправочникСсылка.ГосударственныеКонтрактыЕИС, Произвольный - Найти государственный контракт по владельцу
Функция НайтиГосударственныйКонтрактПоВладельцу(ВладелецКонтракта) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.НайтиГосударственныйКонтрактПоВладельцу(ВладелецКонтракта) 
```
</details>

## ПодписантыЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подписанты ЕИС.
//
// Параметры:
//  Объект - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//
// Возвращаемое значение:
//  Массив - Подписанты ЕИС
Функция ПодписантыЕИС(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.ПодписантыЕИС(Объект) 
```
</details>

## ПриложенныеДокументыДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Приложенные документы для ЕИС.
//
// Параметры:
//  Объект - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//
// Возвращаемое значение:
//  Массив - Приложенные документы для ЕИС
Функция ПриложенныеДокументыДляЕИС(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.ПриложенныеДокументыДляЕИС(Объект) 
```
</details>

## МестаПоставкиДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Места поставки для ЕИС.
//
// Параметры:
//  Объект - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//
// Возвращаемое значение:
//  Массив - Места поставки для ЕИС
Функция МестаПоставкиДляЕИС(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.МестаПоставкиДляЕИС(Объект) 
```
</details>

## ПриИзмененииИдентификатораДляАктированияЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При изменении идентификатора для актирования ЕИС.
//
// Параметры:
//  СписокВыбора - СписокЗначений - список выбора.
//  ТабЧасть - Строка - имя табличной части.
//  СтрокаТаблицы - СтрокаТаблицыЗначений - строка таблицы.
Процедура ПриИзмененииИдентификатораДляАктированияЕИС(СписокВыбора, ТабЧасть, СтрокаТаблицы) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСВызовСервера.ПриИзмененииИдентификатораДляАктированияЕИС(СписокВыбора, ТабЧасть, СтрокаТаблицы) 
```
</details>

## ДанныеСтрокиКонтрактаПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные строки контракта по идентификатору.
//
// Параметры:
//  Договор - СправочникСсылка - ссылка на договор.
//  ИдентификаторСтрокиКонтракта - Строка - идентификатор строки контракта.
//
// Возвращаемое значение:
//  Произвольный - Данные строки контракта по идентификатору
Функция ДанныеСтрокиКонтрактаПоИдентификатору(Договор, ИдентификаторСтрокиКонтракта) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.ДанныеСтрокиКонтрактаПоИдентификатору(Договор, ИдентификаторСтрокиКонтракта) 
```
</details>

## ГосударственныйКонтрактДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает государственный контракт договора. Если договор не назначен,
// то возвращается пустая ссылка.
//
// Параметры:
//  Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО - Договор
//
// Возвращаемое значение:
//  ОпределяемыйТип.ГосударственныеКонтрактыБЭД - ссылка на государственный контракт договора.
Функция ГосударственныйКонтрактДоговора(Договор) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСВызовСервера.ГосударственныйКонтрактДоговора(Договор) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
