---
title: Электронное актирование ЕИС, ГИС НР клиент
slug: erp-uh/электронное-актирование-еис-гис-нр-клиент
---


## ОткрытьФормуОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму ошибок отправки событий
//
// Параметры:
//  ПараметрКоманды - Структура
//  ПараметрыВыполнения - Структура
//
Процедура ОткрытьФормуОшибок(ПараметрКоманды, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСГИСНРКлиент.ОткрытьФормуОшибок(ПараметрКоманды, ПараметрыВыполнения) 
```
</details>

## ПоказатьФормуОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму ошибок
//
// Параметры:
//  ТекстОшибки    - Строка
//                 - ФорматированнаяСтрока
//  ЗаголовокФормы - Строка
//
Процедура ПоказатьФормуОшибок(ТекстОшибки, ЗаголовокФормы = "") Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСГИСНРКлиент.ПоказатьФормуОшибок(ТекстОшибки, ЗаголовокФормы);
```
</details>

## УстановитьВидимостьЭлементаФормыСтатусаОшибкиГИСНР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установливает видимость элемента формы статуса ошибки ГИС НР
//
// Параметры:
//  Форма              - ФормаКлиентскогоПриложения - форма на которой расположен элемент статуса ошибки
//  ПараметрОповещения - Произвольный
//
Процедура УстановитьВидимостьЭлементаФормыСтатусаОшибкиГИСНР(Форма, ПараметрОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСГИСНРКлиент.УстановитьВидимостьЭлементаФормыСтатусаОшибкиГИСНР(Форма, ПараметрОповещения);
```
</details>

## ИмяОповещенияОбОтсутствииОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование оповещения об отсутствии ошибки
//
// Возвращаемое значение:
//  Строка - Наименование оповещения об отсутствии ошибки
//
Функция ИмяОповещенияОбОтсутствииОшибки() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСГИСНРКлиент.ИмяОповещенияОбОтсутствииОшибки() 
```
</details>

## ОповеститьОбОтсутствииОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет оповещение об отсутствии ошибки мониторинга ГИС НР для формы содержащей переданный объект учета
//
// Параметры:
//  ОбъектУчета - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на объект учета
//
Процедура ОповеститьОбОтсутствииОшибки(ОбъектУчета) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСГИСНРКлиент.ОповеститьОбОтсутствииОшибки(ОбъектУчета) 
```
</details>

## ОткрытьНавигационнуюСсылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает нажатие гиперссылок в формах в подсистеме
//
// Параметры:
//  НавигационнаяСсылкаФорматированнойСтроки - Строка
//  ПараметрыФормы                           - Структура - дополнительные параметры для обработки
//
// Возвращаемое значение:
//  Булево - Истина, если успешно открылась
//
Функция ОткрытьНавигационнуюСсылку(НавигационнаяСсылкаФорматированнойСтроки, ПараметрыФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСГИСНРКлиент.ОткрытьНавигационнуюСсылку(НавигационнаяСсылкаФорматированнойСтроки, ПараметрыФормы);
```
</details>

## ПодготовитьПараметрыДокументовЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка для операции интерактивного запуска обмена документов с сервисом ЕИС из ЭДО
//
// Параметры:
//  ПараметрыВыполненияКоманды - Структура
//  ПараметрыВыполненияДействийПоЭДО - Структура
//
// Возвращаемое значение:
//  Булево - Истина, если успешно выполнилась
//
Функция ПодготовитьПараметрыДокументовЭДО(ПараметрыВыполненияКоманды, ПараметрыВыполненияДействийПоЭДО) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСГИСНРКлиент.ПодготовитьПараметрыДокументовЭДО(ПараметрыВыполненияКоманды, ПараметрыВыполненияДействийПоЭДО) 
```
</details>

## ОкончаниеОперацииЛогированияЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка для операции интерактивного окончания обмена документов с сервисом ЕИС через ЭДО
//
// Параметры:
//  ПараметрыВыполненияДействий - Структура
//  РезультатОбмена - Структура
//
Процедура ОкончаниеОперацииЛогированияЭДО(ПараметрыВыполненияДействий, РезультатОбмена) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСГИСНРКлиент.ОкончаниеОперацииЛогированияЭДО(ПараметрыВыполненияДействий, РезультатОбмена) 
```
</details>

## ОкончаниеОперацииЛогирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка для операции интерактивного окончания обмена документов с сервисом ЕИС
//
// Параметры:
//  ПараметрыОперации    - Структура
//                       - Неопределено
//  ТекстОшибки          - Строка - текст ошибки которая возникла процессе обмена
//  ЭтоОшибкаЭДО         - Число
//
Процедура ОкончаниеОперацииЛогирования(ПараметрыОперации = Неопределено, ТекстОшибки = "", ЭтоОшибкаЭДО = 0) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСГИСНРКлиент.ОкончаниеОперацииЛогирования(ПараметрыОперации, ТекстОшибки, ЭтоОшибкаЭДО);
```
</details>

## ИдентификаторТаймера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебный идентификатор, используемый для работы таймера
//
// Возвращаемое значение:
//  Строка - константа
//
Функция ИдентификаторТаймера() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСГИСНРКлиент.ИдентификаторТаймера() 
```
</details>

## НомерПортаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебный номер порта, используемый по умолчанию в плагине ГИС НР
//
// Возвращаемое значение:
//  Число - номер IP порта
//
Функция НомерПортаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСГИСНРКлиент.НомерПортаПоУмолчанию() 
```
</details>

## ПараметрыСеансаПлагина
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возращает состояние переменной сеанса
//
// Возвращаемое значение:
//  Структура:
//    * Порт                  - Число
//                            - Неопределено
//    * СлужебнаяФорма        - ФормаКлиентскогоПриложения
//                            - Неопределено
//    * ВидеоЗаписьНачалась   - Неопределено
//                            - Дата
//    * ВидеоЗаписьПрервалась - Неопределено
//                            - Дата
//    * ПлагинОбнаружен       - Булево
//    * ВопросЗадан           - Булево
//                            - Неопределено
//    * Документы             - Соответствие из КлючИЗначение:
//      ** Ключ               - ДокументСсылка
//      ** Значение           - Булево
//
Функция ПараметрыСеансаПлагина() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСГИСНРКлиент.ПараметрыСеансаПлагина() 
```
</details>

## ИмяОповещенияИзменениеНастройкиПлагина
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование оповещения об изменении настроек плагина ГИС НР
//
// Возвращаемое значение:
//  Строка - константа
//
Функция ИмяОповещенияИзменениеНастройкиПлагина() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСГИСНРКлиент.ИмяОповещенияИзменениеНастройкиПлагина() 
```
</details>

## ЗаписатьНастройкиСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит запись настроек пользователя для ГИС НР
//
// Параметры:
//  ИмяНастройки - Строка
//  ТекущееЗначение - Произвольный
//
Процедура ЗаписатьНастройкиСеанса(ИмяНастройки, ТекущееЗначение) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСГИСНРКлиент.ЗаписатьНастройкиСеанса(ИмяНастройки, ТекущееЗначение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
