---
title: Электронное актирование ЕИС клиент
slug: erp-uh/электронное-актирование-еис-клиент
---


## ОткрытьФормуКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму контракта ЕИС.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  СсылкаНаКонтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД
//  ОповещениеОЗавершении - ОписаниеОповещения
Процедура ОткрытьФормуКонтракта(Форма, СсылкаНаКонтракт, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьФормуКонтракта(Форма, СсылкаНаКонтракт, ОповещениеОЗавершении) 
```
</details>

## ОткрытьФормуНастройкиОбменаЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму настроек обмена ЕИС для поставщиков.
Процедура ОткрытьФормуНастройкиОбменаЕИС() Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьФормуНастройкиОбменаЕИС() 
```
</details>

## ОткрытьФормуИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму информирования ЕИС.
//
// Параметры:
//  ПараметрыФормы - Структура
//  ОповещениеОЗавершении - ОписаниеОповещения
//
Процедура ОткрытьФормуИнформации(ПараметрыФормы, ОповещениеОЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьФормуИнформации(ПараметрыФормы, ОповещениеОЗавершении);
```
</details>

## ОткрытьФормуНастройкиОбменаЕИСДляЗаказчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму настроек обмена ЕИС для заказчиков.
Процедура ОткрытьФормуНастройкиОбменаЕИСДляЗаказчиков() Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьФормуНастройкиОбменаЕИСДляЗаказчиков() 
```
</details>

## ОткрытьФормуВыбораКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму выбора контракта.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - организация.
//  Контрагент - ОпределяемыйТип.КонтрагентБЭД - контрагент.
//  ФормаВладелец - ФормаКлиентскогоПриложения - форма владелец.
//  ОповещениеОЗакрытии - ОписаниеОповещения, Неопределено - оповещение о закрытии.
Процедура ОткрытьФормуВыбораКонтракта(Организация, Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьФормуВыбораКонтракта(Организация, );
```
</details>

## ПриИзмененииИдентификатораДляАктированияЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При изменении идентификатора для актирования ЕИС.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  ТабЧасть - ТабличнаяЧасть
//  ДанныеФормыКоллекция - ДанныеФормыКоллекция
Процедура ПриИзмененииИдентификатораДляАктированияЕИС(Форма, ТабЧасть, ДанныеФормыКоллекция) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ПриИзмененииИдентификатораДляАктированияЕИС(Форма, ТабЧасть, ДанныеФормыКоллекция) 
```
</details>

## ИмяСобытияИзмененияВладельцаКонтрактаЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя события изменения владельца контракта ЕИС.
//
// Возвращаемое значение:
//  Строка - Имя события изменения владельца контракта ЕИС
Функция ИмяСобытияИзмененияВладельцаКонтрактаЕИС() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСКлиент.ИмяСобытияИзмененияВладельцаКонтрактаЕИС() 
```
</details>

## ИмяФормыВыбораГосударственногоКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя формы выбора государственного контракта.
//
// Возвращаемое значение:
//  Строка
Функция ИмяФормыВыбораГосударственногоКонтракта() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСКлиент.ИмяФормыВыбораГосударственногоКонтракта() 
```
</details>

## ОткрытьГосударственныйКонтракт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть государственный контракт.
//
// Параметры:
//  СсылкаНаКонтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД
//  Параметры - Неопределено,
//     Структура
Процедура ОткрытьГосударственныйКонтракт(СсылкаНаКонтракт, Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьГосударственныйКонтракт(СсылкаНаКонтракт, Параметры);
```
</details>

## ОткрытьПодборТоваровПоГосударственномуКонтрактуВДокументе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть подбор товаров по государственному контракту в документе.
//
// Параметры:
//  ПараметрКоманды - Структура
//  ПараметрыВыполнения - Структура
Процедура ОткрытьПодборТоваровПоГосударственномуКонтрактуВДокументе(ПараметрКоманды, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьПодборТоваровПоГосударственномуКонтрактуВДокументе(ПараметрКоманды, ПараметрыВыполнения) 
```
</details>

## ОткрытьСписокПриложенныхФайловДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть список приложенных файлов документа.
//
// Параметры:
//  Объект - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  Форма - ФормаКлиентскогоПриложения
Процедура ОткрытьСписокПриложенныхФайловДокумента(Объект, Форма) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьСписокПриложенныхФайловДокумента(Объект, Форма) 
```
</details>

## ОткрытьДанныеОбжалованияОтказаОПриемке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть данные обжалования отказа о приемке.
//
// Параметры:
//  Объект - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  Форма - ФормаКлиентскогоПриложения
Процедура ОткрытьДанныеОбжалованияОтказаОПриемке(Объект, Форма) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьДанныеОбжалованияОтказаОПриемке(Объект, Форма) 
```
</details>

## ОткрытьФормуСтрокиКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму строки контракта.
//
// Параметры:
//  ГосударственныйКонтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД
//  ИдентификаторДляАктированияЕИС - Строка
//  Форма - ФормаКлиентскогоПриложения
//  ТолькоПросмотр - Булево
Процедура ОткрытьФормуСтрокиКонтракта(ГосударственныйКонтракт, Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьФормуСтрокиКонтракта(ГосударственныйКонтракт, );
```
</details>

## ОткрытьВыборПодписантовДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть выбор подписантов документа.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация
//  Объект - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  Форма - ФормаКлиентскогоПриложения
Процедура ОткрытьВыборПодписантовДокумента(Организация, Объект, Форма) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьВыборПодписантовДокумента(Организация, Объект, Форма) 
```
</details>

## ПодписантыДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подписантов документа.
//
// Параметры:
//  Объект - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО -
//
// Возвращаемое значение:
//  Массив из Структура - Подписанты документа
Функция ПодписантыДокумента(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСКлиент.ПодписантыДокумента(Объект) 
```
</details>

## ОткрытьМестаДоставкиДокументаДляЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть места доставки документа для ЕИС.
//
// Параметры:
//  Объект - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО
//  Форма - ФормаКлиентскогоПриложения
Процедура ОткрытьМестаДоставкиДокументаДляЕИС(Объект, Форма) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьМестаДоставкиДокументаДляЕИС(Объект, Форма) 
```
</details>

## ОткрытьЛичныйКабинетПоставщикаЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть личный кабинет поставщика ЕИС.
//
// Параметры:
//  ОповещениеОбратногоВызова - ОписаниеОповещения,
//    Неопределено
Процедура ОткрытьЛичныйКабинетПоставщикаЕИС(ОповещениеОбратногоВызова = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьЛичныйКабинетПоставщикаЕИС(ОповещениеОбратногоВызова);
```
</details>

## ОткрытьМастерНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть мастер настроек.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация
//  УникальныйИдентификаторФормы - Строка,
//     УникальныйИдентификатор
//  ОповещениеОЗакрытии - ОписаниеОповещения,
//     Неопределено
Процедура ОткрытьМастерНастроек(Организация, УникальныйИдентификаторФормы, ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьМастерНастроек(Организация, УникальныйИдентификаторФормы, ОповещениеОЗакрытии);
```
</details>

## ОткрытьМастерНастроекДляЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть мастер настроек для заказчика.
//
// Параметры:
//  Организация - ОпределяемыйТип.Организация - организация.
//  УникальныйИдентификаторФормы - УникальныйИдентификатор - уникальный идентификатор формы.
//  ОповещениеОЗакрытии - Неопределено, ОписаниеОповещения - оповещение о закрытии.
Процедура ОткрытьМастерНастроекДляЗаказчика(Организация, Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСКлиент.ОткрытьМастерНастроекДляЗаказчика(Организация, );
```
</details>

## ИмяСобытияСохраненияНастроекПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имя события сохранения настроек подключения.
//
// Возвращаемое значение:
//  Строка - Имя события сохранения настроек подключения
Функция ИмяСобытияСохраненияНастроекПодключения() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСКлиент.ИмяСобытияСохраненияНастроекПодключения() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
