---
title: Электронное актирование ЕИС переопределяемый
slug: erp-uh/электронное-актирование-еис-переопределяемый
---


## РаспаковыватьПроектыТитуловПоставщикаПриПолученииЗаказчиком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Распаковывать не подписанные заказчиком титулы поставщика.
//
// Параметры:
//  РаспаковыватьНеПодписанныеТитулы - Булево - распаковывать титулы не подписанные заказчиком.
Процедура РаспаковыватьПроектыТитуловПоставщикаПриПолученииЗаказчиком(РаспаковыватьНеПодписанныеТитулы) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.РаспаковыватьПроектыТитуловПоставщикаПриПолученииЗаказчиком(РаспаковыватьНеПодписанныеТитулы) 
```
</details>

## СопоставлятьНоменклатуруКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сопоставлять номенклатуру контракта средствами подсистемы сопоставление номенклатуры.
//
// Параметры:
//  СопоставлятьНоменклатуру - Булево - Сопоставлять номенклатуру.
Процедура СопоставлятьНоменклатуруКонтракта(СопоставлятьНоменклатуру) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.СопоставлятьНоменклатуруКонтракта(СопоставлятьНоменклатуру) 
```
</details>

## ПослеЗагрузкиКонтрактаИзЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После загрузки контракта из ЕИС.
//
// Параметры:
//  СсылкаНаКонтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД - ссылка на контракт.
Процедура ПослеЗагрузкиКонтрактаИзЕИС(СсылкаНаКонтракт) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ПослеЗагрузкиКонтрактаИзЕИС(СсылкаНаКонтракт) 
```
</details>

## ПередЗаписьюНаСервереГосударственногоКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перед записью на сервере государственного контракта.
//
// Параметры:
//  ЭтотОбъект - ФормаКлиентскогоПриложения - форма контракта.
//  Отказ - Булево - признак отказа.
//  ТекущийОбъект - Объект - Данные объекта.
//  ПараметрыЗаписи - Структура - параметры записи.
Процедура ПередЗаписьюНаСервереГосударственногоКонтракта( Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ПередЗаписьюНаСервереГосударственногоКонтракта();
```
</details>

## ЗаполнитьСвязиПараметровВыбораИПараметрыВыбораДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить связи параметров выбора и параметры выбора договора.
// Используется для заполнения параметров элемента формы договора в форме гос.контракта.
//
// Параметры:
//  СвязиПараметровВыбора - ФиксированныйМассив - связи параметров выбора договора.
//  ПараметрыВыбора - ФиксированныйМассив - параметры выбора договора.
Процедура ЗаполнитьСвязиПараметровВыбораИПараметрыВыбораДоговора(СвязиПараметровВыбора, Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ЗаполнитьСвязиПараметровВыбораИПараметрыВыбораДоговора(СвязиПараметровВыбора, );
```
</details>

## ЗаполнитьТипыОбъектовВызоваКомандыОткрытияПараметровАктирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение типов объектов из которых вызывается команда открытия параметров актирования.
//
// Параметры:
//  ТипыОбъектов - Массив - типы объектов.
Процедура ЗаполнитьТипыОбъектовВызоваКомандыОткрытияПараметровАктирования(ТипыОбъектов) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ЗаполнитьТипыОбъектовВызоваКомандыОткрытияПараметровАктирования(ТипыОбъектов) 
```
</details>

## ДляДокументаЗаполняютсяМестаПоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращается признак того, что для документа заполняются места поставки.
// Места доставки заполняются для исходных титулов, для корректирующих
// и исправительных не заполняются.
//
// Параметры:
//  Документ - ДокументСсылка - ссылка на документ.
//  МестаПоставкиЗаполняются - Булево - признак того, что места поставки заполняются.
Процедура ДляДокументаЗаполняютсяМестаПоставки(Документ, МестаПоставкиЗаполняются) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ДляДокументаЗаполняютсяМестаПоставки(Документ, МестаПоставкиЗаполняются) 
```
</details>

## ДляДокументаЗаполняетсяСудебноеРешение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращается признак того, что для документа заполняется судебное решение.
// Судебное решение заполняется УПД и исправления УПД.
//
// Параметры:
//  Документ - ДокументСсылка - ссылка на документ.
//  СудебноеРешениеЗаполняется - Булево - признак того, что судебное решение заполняется.
Процедура ДляДокументаЗаполняетсяСудебноеРешение(Документ, СудебноеРешениеЗаполняется) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ДляДокументаЗаполняетсяСудебноеРешение(Документ, СудебноеРешениеЗаполняется) 
```
</details>

## ЗаполнитьДеревьяДанныхПараметровАктированияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить деревья данных параметров актирования документа.
//
// Параметры:
//  Документ - ДокументСсылка - ссылка на документ.
//  ДанныеКонтракта - Структура - данные контракта.
//  ДеревоТоваров - ДеревоЗначений - дерево товаров.
//  ДеревоРаботУслуг - ДеревоЗначений - дерево работ услуг.
Процедура ЗаполнитьДеревьяДанныхПараметровАктированияДокумента(Документ, Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ЗаполнитьДеревьяДанныхПараметровАктированияДокумента(Документ, );
```
</details>

## РазрешаетсяИспользоватьЭлектронноеАктированиеДляЗаказчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разрешается использовать электронное актирование ЕИС для заказчиков.
//
// Параметры:
//  ИспользованиеРазрешено - Булево - Истина, если использование разрешено.
Процедура РазрешаетсяИспользоватьЭлектронноеАктированиеДляЗаказчиков(ИспользованиеРазрешено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.РазрешаетсяИспользоватьЭлектронноеАктированиеДляЗаказчиков(ИспользованиеРазрешено) 
```
</details>

## РазрешаетсяИспользоватьЭлектронноеАктированиеДляПоставщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разрешается использовать электронное актирование ЕИС для поставщиков.
//
// Параметры:
//  ИспользованиеРазрешено - Булево - Истина, если использование разрешено.
Процедура РазрешаетсяИспользоватьЭлектронноеАктированиеДляПоставщиков(ИспользованиеРазрешено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.РазрешаетсяИспользоватьЭлектронноеАктированиеДляПоставщиков(ИспользованиеРазрешено) 
```
</details>

## ЗаполнитьТабличнуюЧастьДокументаПоДаннымДереваТоваровУслуг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить табличную часть документа по данным дерева товаров услуг.
//
// Параметры:
//  СсылкаНаДокумент - ОпределяемыйТип.ОснованияЭлектронныхДокументовЭДО - ссылка на документ.
//  ДеревоТоваров - ДеревоЗначений - дерево товаров.
//  ДеревоРаботУслуг - ДеревоЗначений - дерево работ услуг.
//  РезультатЗаполнения - Структура - см. ЭлектронноеАктированиеЕИС.НовыйРезультатЗаполненияТабличныхЧастей().
Процедура ЗаполнитьТабличнуюЧастьДокументаПоДаннымДереваТоваровУслуг( Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ЗаполнитьТабличнуюЧастьДокументаПоДаннымДереваТоваровУслуг();
```
</details>

## СоздатьЭлементФормыПараметровЭлектронногоАктированияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать элемент формы параметров электронного актирования документа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
//  Элемент - ЭлементыФормы - элемент для редактирования параметров эл.актирования.
Процедура СоздатьЭлементФормыПараметровЭлектронногоАктированияДокумента(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.СоздатьЭлементФормыПараметровЭлектронногоАктированияДокумента(Форма, Элемент) 
```
</details>

## КнопкиЗаполненияТабличныхЧастейДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Кнопки заполнения табличных частей документов.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
//  Кнопки - Массив - имена элементов формы кнопок для заполнения табличных частей документов.
Процедура КнопкиЗаполненияТабличныхЧастейДокументов(Форма, Кнопки) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.КнопкиЗаполненияТабличныхЧастейДокументов(Форма, Кнопки) 
```
</details>

## ЗаполнитьМестаПоставкиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Места поставки документа, формируется из адресов грузополучателей.
// Метод вызывается из процедуры ЭлектронноеАктированиеЕИС.ЗаполнитьПараметрыАктированияДокументаПоУмолчанию,
// вызов этой процедуры нужно добавить в обработчик события ПослеЗаписиНаСервере документа реализации.
//
// Параметры:
//  Документ - ДокументСсылка - ссылка на документ-источник.
//  МестаПоставки - Массив - места поставки в формате json.
Процедура ЗаполнитьМестаПоставкиДокумента(Документ, МестаПоставки) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ЗаполнитьМестаПоставкиДокумента(Документ, МестаПоставки) 
```
</details>

## ВерсияПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Версия приложения. Возвращаемое значение не должно превышать 40 символов.
//
// Параметры:
//  Версия - Строка - версия приложения. Строка длиной не более 40 символов.
Процедура ВерсияПриложения(Версия) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ВерсияПриложения(Версия) 
```
</details>

## ОпределитьВладельцаПрисоединенныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определить владельца присоединенных файлов электронного документа.
//
// Параметры:
//  ОбъектыУчетаЭД - Массив - массив ссылок на документы объекты учета.
//  Владелец - ДокументСсылка - документ владелец присоединенных файлов.
Процедура ОпределитьВладельцаПрисоединенныхФайлов(Знач ОбъектыУчетаЭД, Владелец) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ОпределитьВладельцаПрисоединенныхФайлов(ОбъектыУчетаЭД, Владелец) 
```
</details>

## СтавкаНДСДляПриложенияЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразование прикладного значения ставки в текстовое для приложения УПД/УКД.
//
// Параметры:
//  СтавкаНДС - ПеречислениеСсылка, СправочникСсылка - прикладное значение ставки.
//  СтавкаНДСПриложения - Строка - ставка НДС для приложения ЕИС.
Процедура СтавкаНДСДляПриложенияЕИС(Знач СтавкаНДС, СтавкаНДСПриложения) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.СтавкаНДСДляПриложенияЕИС(СтавкаНДС, СтавкаНДСПриложения) 
```
</details>

## МедицинскаяСпециализацияВключена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Медицинская специализация включена.
//
// Параметры:
//  СпециализацияВключена - Булево - в параметре заполняется признак включения медицинской специализации.
Процедура МедицинскаяСпециализацияВключена(СпециализацияВключена) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.МедицинскаяСпециализацияВключена(СпециализацияВключена) 
```
</details>

## СтроительнаяСпециализацияВключена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Строительная специализация включена.
//
// Параметры:
//  СпециализацияВключена - Булево - в параметре заполняется признак включения строительной специализации.
Процедура СтроительнаяСпециализацияВключена(СпециализацияВключена) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.СтроительнаяСпециализацияВключена(СпециализацияВключена) 
```
</details>

## НайтиСоздатьКонтрагентаПоСведениямОЗаказчике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Найти создать контрагента по сведениям о заказчике.
//
// Параметры:
//  ДанныеКонтрагента - Структура - Данные контрагента:
//   * ПолноеНаименование - Строка
//   * СокращенноеНаименование - Строка
//   * ИНН - Строка
//   * КПП - Строка
//  Контрагент - СправочникСсылка - Контрагент.
Процедура НайтиСоздатьКонтрагентаПоСведениямОЗаказчике(ДанныеКонтрагента, Контрагент) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.НайтиСоздатьКонтрагентаПоСведениямОЗаказчике(ДанныеКонтрагента, Контрагент) 
```
</details>

## ГосударственныйКонтрактДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Государственный контракт документа.
//
// Параметры:
//  Документ - ДокументСсылка - ссылка на документ.
//  ГосударственныйКонтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД - Государственный контракт.
Процедура ГосударственныйКонтрактДокумента(Документ, ГосударственныйКонтракт) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ГосударственныйКонтрактДокумента(Документ, ГосударственныйКонтракт) 
```
</details>

## ДоговорКонтрагентаИсточникаКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняется договор контрагента документа.
//
// Параметры:
//  ИсточникКоманды - ДанныеФормыСтруктура - данные источника команды.
//  ДоговорКонтрагента - СправочникСсылка, Неопределено - ссылка договор контрагента.
Процедура ДоговорКонтрагентаИсточникаКоманды(ИсточникКоманды, ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ДоговорКонтрагентаИсточникаКоманды(ИсточникКоманды, ДоговорКонтрагента) 
```
</details>

## СтавкаНДСОбъектаЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразование текстового значения ставки из данных контракта в прикладное.
//
// Параметры:
//  СтавкаНДСОбъектаЗакупки - Строка - строковая ставка НДС объект закупки.
//  СтавкаНДС - ОпределяемыйТип.СтавкаНДСКонтрактаЕИС - ставка НДС конфигурации потребителя.
Процедура СтавкаНДСОбъектаЗакупки(Знач СтавкаНДСОбъектаЗакупки, СтавкаНДС) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.СтавкаНДСОбъектаЗакупки(СтавкаНДСОбъектаЗакупки, СтавкаНДС) 
```
</details>

## СоздатьДоговорНаОснованииКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать договор на основании контракта.
//
// Параметры:
//  СсылкаНаКонтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД - Ссылка на контракт.
//  РезультатСоздания - Структура - результат создания контракта:
//    * Договор - Неопределено, ОпределяемыйТип.ДоговорСКонтрагентомЭДО - ссылка на договор.
//    * Выполнено - Булево - Истина, если договор был успешно создан.
//    * ОписаниеОшибки - Строка - описание ошибки создания договора.
Процедура СоздатьДоговорНаОснованииКонтракта(СсылкаНаКонтракт, РезультатСоздания) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.СоздатьДоговорНаОснованииКонтракта(СсылкаНаКонтракт, РезультатСоздания) 
```
</details>

## ПриОпределенииОбъектовСКомандамиСозданияНаОсновании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СозданиеНаОснованииПереопределяемый.ПриОпределенииОбъектовСКомандамиСозданияНаОсновании.
Процедура ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ПриОпределенииОбъектовСКомандамиСозданияНаОсновании(Объекты) 
```
</details>

## ИнициализацияКомандФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Инициализация команд формы.
// Используется для реализации прикладной логики управления командами формы.
//
// Параметры:
//  ИмяСобытия - Строка - ключ имени события, например "ДобавитьКомандуСоздатьНаОсновании".
//  ИмяОбъекта - Строка - имя объекта метаданных, например "РеализацияТоваровУслуг".
//  Контекст   - Произвольный - контекст инициализации.
//  Результат  - Произвольный - возвращаемый результат.
//  Параметры  - Произвольный - параметры инициализации.
//
Процедура ИнициализацияКомандФормы(ИмяСобытия, ИмяОбъекта, Контекст, Результат = Неопределено, Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ИнициализацияКомандФормы(ИмяСобытия, ИмяОбъекта, Контекст, Результат, Параметры);
```
</details>

## РазрешаетсяИспользоватьЭлектронноеАктированиеЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вместо процедуры следует использовать РазрешаетсяИспользоватьЭлектронноеАктированиеДляПоставщиков().
// Разрешается использовать электронное актирование ЕИС для поставщиков.
//
// Параметры:
//  ИспользованиеРазрешено - Булево - Истина, если использование разрешено.
Процедура РазрешаетсяИспользоватьЭлектронноеАктированиеЕИС(ИспользованиеРазрешено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.РазрешаетсяИспользоватьЭлектронноеАктированиеЕИС(ИспользованиеРазрешено) 
```
</details>

## УсловиеОтбораГосударственныхКонтрактовПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Условие отбора государственных контрактов ЕИС по договору.
// Условие используется в запросе для формирования настроек отправки объекта учета.
// См. ЭлектронноеАктированиеЕИС.ТекстЗапросаНастроекОтправкиОбъектовУчета
// Условие задается в том случае, если в качестве справочника контрактов ЕИС используется
// справочник отличный от ГосударственныеКонтрактыЕИС и в справочнике отсутствует реквизит
// ВладелецКонтракта со ссылкой на договор контрагента.
//
// Параметры:
//  ТекстУсловия - Строка
Процедура УсловиеОтбораГосударственныхКонтрактовПоДоговору(ТекстУсловия) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.УсловиеОтбораГосударственныхКонтрактовПоДоговору(ТекстУсловия) 
```
</details>

## ЗаполнитьТаблицуНоменклатурыКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение таблицы номенклатуры контракта по сопоставленной номенклатуре.
// Процедура должна содержать реализацию если используется другой способ
// поиска сопоставленной объектам закупки номенклатуры, который реализован
// в ЭлектронноеАктированиеЕИСПолучениеВходящих.ТаблицаНоменклатурыКонтракта
//
// Параметры:
//  ТаблицаИдентификаторов - ТаблицаЗначений - Таблица идентификаторов номенклатуры:
//   * ИдентификаторНоменклатурыКонтрагентов - Строка - идентификатор для сопоставления номенклатуры
//   * Идентификатор - Строка - идентификатор объекта закупки из ЕИС
//   * Количество - Число
//  ДанныеГосконтракта - ДанныеФормыСтруктура,
//   ОпределяемыйТип.ГосударственныеКонтрактыБЭД - ссылка на справочник гос.контрактов или данные формы.
//  ТаблицаНоменклатуры - ТаблицаЗначений - таблица для загрузки в табличную часть
//     НоменклатураОбъектовЗакупки гос.контракта:
//   * Идентификатор - Строка - идентификатор объекта закупки из ЕИС
//   * Количество - Число
//   * Характеристика - ОпределяемыйТип.ХарактеристикаНоменклатурыБЭД
//   * Номенклатура - ОпределяемыйТип.НоменклатураБЭД
Процедура ЗаполнитьТаблицуНоменклатурыКонтракта(ТаблицаИдентификаторов, ДанныеГосКонтракта, ТаблицаНоменклатуры) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ЗаполнитьТаблицуНоменклатурыКонтракта(ТаблицаИдентификаторов, ДанныеГосКонтракта, ТаблицаНоменклатуры) 
```
</details>

## ДополнитьОграничениеТипаНоменклатурыКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнить ограничение типа номенклатуры для формы государственного контракта.
// Метод вызывается перед началом редактирования строки с данными номенклатуры в форме гос.контракта.
// На момент вызова метода тип ссылки на элемент справочника "Номенклатура" уже содержится в массиве ТипыНоменклатуры.
//
// Параметры:
//  ТипыНоменклатуры - Массив из Тип - массив типов, который будет использоваться для ограничения типа элемента формы
//  ТипОбъектаЗакупки - ПеречислениеСсылка.ТипыОбъектовЗакупкиЕИС - тип объекта закупки из спецификации контракта
//
// Пример:
//	Если ТипОбъектаЗакупки = Перечисления.ТипыОбъектовЗакупкиЕИС.Товар Тогда
//		Тип = Тип("СправочникСсылка.ОсновныеСредства");
//		ТипыНоменклатуры.Добавить(Тип);
//	КонецЕсли;
Процедура ДополнитьОграничениеТипаНоменклатурыКонтракта(ТипыНоменклатуры, ТипОбъектаЗакупки) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПереопределяемый.ДополнитьОграничениеТипаНоменклатурыКонтракта(ТипыНоменклатуры, ТипОбъектаЗакупки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
