---
title: Электронное актирование ЕИС получение входящих
slug: erp-uh/электронное-актирование-еис-получение-входящих
---


## СоздатьРезультатПредставленияДокументаЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьРезультатПредставленияДокументаЕИС(ДвоичныеДанныеФайла, ПараметрыПредставления) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСПолучениеВходящих.СоздатьРезультатПредставленияДокументаЕИС(ДвоичныеДанныеФайла, ПараметрыПредставления) 
```
</details>

## ПоставитьШтампЭлектроннойПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоставитьШтампЭлектроннойПодписи(ТабличныйДокумент, МассивПодписей, ПараметрыПечати) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ПоставитьШтампЭлектроннойПодписи(ТабличныйДокумент, МассивПодписей, ПараметрыПечати) 
```
</details>

## ТипНоменклатурыФНСОбъектаЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипНоменклатурыФНСОбъектаЗакупки(ОбъектЗакупки) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСПолучениеВходящих.ТипНоменклатурыФНСОбъектаЗакупки(ОбъектЗакупки));
```
</details>

## НоменклатураКонтрактаЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ФорматыЭДО.ИнформацияОТовареИзФайла
Процедура НоменклатураКонтрактаЕИС(Объект, ТаблицаНоменклатуры) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.НоменклатураКонтрактаЕИС(Объект, ТаблицаНоменклатуры) 
```
</details>

## ПодобратьВариантыСопоставленияПоНатуральнымКлючам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подобрать варианты сопоставления по натуральным ключам.
//
// Параметры:
//  НаборНоменклатурыКонтрагентов - ТаблицаЗначений
//  ПроцентТочностиПоискаНаименований - Число
Процедура ПодобратьВариантыСопоставленияПоНатуральнымКлючам(НаборНоменклатурыКонтрагентов, ПроцентТочностиПоискаНаименований) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ПодобратьВариантыСопоставленияПоНатуральнымКлючам(НаборНоменклатурыКонтрагентов, ПроцентТочностиПоискаНаименований) 
```
</details>

## ПриПолученииПараметровДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении параметров документа.
//
// Параметры:
//  ПараметрыДокумента - Структура - см. ТранспортныеКонтейнерыЭДОСлужебный.ПараметрыДокумента.
Процедура ПриПолученииПараметровДокумента(ПараметрыДокумента) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ПриПолученииПараметровДокумента(ПараметрыДокумента) 
```
</details>

## ДополнитьДаннымиПакетовЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополнить данными пакетов ЕИС.
//
// Параметры:
//  МассивКонтейнеров - Массив
//  КлючиСинхронизации - Структура
//  КонтекстДиагностики - Структура
//  ВФоне - Булево
//  МассивПакетовЭД - Массив
//  КонтекстОперации - Структура
Процедура ДополнитьДаннымиПакетовЕИС(МассивКонтейнеров, Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ДополнитьДаннымиПакетовЕИС(МассивКонтейнеров, );
```
</details>

## ДанныеВходящегоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из ТранспортныеКонтейнерыЭДО.СформироватьДанныеОбъектов.
//
// Параметры:
//  ТранспортныйКонтейнер - ДокументСсылка.ТранспортныйКонтейнерЭДО
//  ДвоичныеДанныеФайла - ДвоичныеДанные
//  КонтекстДиагностики - Неопределено,
//                        Структура
//
// Возвращаемое значение:
//  Структура - тип описан в ТранспортныеКонтейнерыЭДО.ДанныеВходящегоОбъекта:
//   * ТипДокумента - Строка
//   * ИдентификаторСообщения - Строка
//   * ТребуетсяИзвещение - Булево
//   * ТребуетсяПодтверждение - Булево
//   * Метаданные - Неопределено
//   * ИдентификаторыСообщенийОснований - Массив из Строка
//   * ИдентификаторыДокументооборотовОснований - Массив из Строка
//   * СопроводительнаяЗаписка - Строка
//   * Карточка - Неопределено
//   * Ошибка - Неопределено,
//              Структура
//   * Доверенности - Неопределено
Функция ДанныеВходящегоОбъекта(ТранспортныйКонтейнер, Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСПолучениеВходящих.ДанныеВходящегоОбъекта(ТранспортныйКонтейнер, );
```
</details>

## ПолучитьНовыеДокументыЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить новые документы ЕИС.
//
// Параметры:
//  МассивКонтейнеров - Массив - Массив контейнеров
//  КлючиСинхронизации - Неопределено, Структура - Ключи синхронизации
//  КонтекстДиагностики - Неопределено, Структура - Контекст диагностики
//  КонтекстОперации - Неопределено, Структура - Контекст операции
Процедура ПолучитьНовыеДокументыЕИС( Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ПолучитьНовыеДокументыЕИС();
```
</details>

## ПараметрыТранспортногоКонтейнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры транспортного контейнера.
//
// Параметры:
//  ИдентификаторУчетнойЗаписи - Строка
//  Отправитель - Строка
//  Организация - ОпределяемыйТип.Организация
//  Контрагент - СправочникСсылка.Контрагенты
//  ИДДокументооборота - Строка
//  ИдентификаторПакета - Строка
//  ВнешнийУИД - Строка
//
// Возвращаемое значение:
//  Структура - Параметры транспортного контейнера
Функция ПараметрыТранспортногоКонтейнера(ИдентификаторУчетнойЗаписи, Отправитель, Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСПолучениеВходящих.ПараметрыТранспортногоКонтейнера(ИдентификаторУчетнойЗаписи, Отправитель, );
```
</details>

## ЗаполнитьПараметрыКонтейнера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить параметры контейнера.
//
// Параметры:
//  ПараметрыКонтейнера - Структура
//  ЗначенияРеквизитовКонтейнера - Структура
Процедура ЗаполнитьПараметрыКонтейнера(ПараметрыКонтейнера, Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ЗаполнитьПараметрыКонтейнера(ПараметрыКонтейнера, );
```
</details>

## ПрочитатьКонтракт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прочитать контракт.
//
// Параметры:
//  ДанныеФайлаЭД - ОбъектXDTO
//  НовыйЭД - Структура
Процедура ПрочитатьКонтракт(ДанныеФайлаЭД, НовыйЭД) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ПрочитатьКонтракт(ДанныеФайлаЭД, НовыйЭД) 
```
</details>

## ПрочитатьПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прочитать приложение.
//
// Параметры:
//  ДанныеФайлаЭД - ОбъектXDTO
//  НовыйЭД - Структура
Процедура ПрочитатьПриложение(ДанныеФайлаЭД, НовыйЭД) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ПрочитатьПриложение(ДанныеФайлаЭД, НовыйЭД) 
```
</details>

## СохранитьДанныеОбъектаВБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохранить данные объекта ВБД.
// См. ОтражениеВУчетеЭДО.ОтразитьДанныеФормализованногоЭлектронногоДокумента
//
// Параметры:
//  СтрокаДляЗагрузки - см. ДеревоЭлектронногоДокументаБЭД.НайтиСоздатьТипОбъектаВДеревеРазбора
//  ДеревоРазбора - см. ДеревоЭлектронногоДокументаБЭД.ИнициализироватьДеревоРазбора
//  ПараметрыОбработки - Структура
//  НайденныйОбъект - СправочникСсылка,ДокументСсылка
Процедура СохранитьДанныеОбъектаВБД(СтрокаДляЗагрузки, ДеревоРазбора, ПараметрыОбработки, НайденныйОбъект) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.СохранитьДанныеОбъектаВБД(СтрокаДляЗагрузки, ДеревоРазбора, ПараметрыОбработки, НайденныйОбъект) 
```
</details>

## ЗаполнитьИзДанныхКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить из данных контракта.
//
// Параметры:
//  Контракт - Структура - данные контракта, тип описан в ЭлектронноеАктированиеЕИС.НовыеДанныеКонтракта
//  Объект - СправочникСсылка.ГосударственныеКонтрактыЕИС
//  ЭтоКонтрактДляЗаказчика - Булево
Процедура ЗаполнитьИзДанныхКонтракта(Контракт, Объект, ЭтоКонтрактДляЗаказчика = Ложь) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ЗаполнитьИзДанныхКонтракта(Контракт, Объект, ЭтоКонтрактДляЗаказчика);
```
</details>

## ПриОпределенииСпособовОбработкиПрикладногоВидаЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении способов обработки прикладного вида электронного документа.
//
// Параметры:
//  ВидЭД - ПеречислениеСсылка.ТипыДокументовЭДО
//  СписокОпераций - Структура
Процедура ПриОпределенииСпособовОбработкиПрикладногоВидаЭлектронногоДокумента(ВидЭД, СписокОпераций) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ПриОпределенииСпособовОбработкиПрикладногоВидаЭлектронногоДокумента(ВидЭД, СписокОпераций) 
```
</details>

## ЗначенияXDTOПоПути
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Значения XDTOПо пути.
//
// Параметры:
//  ОбъектXDTO - Произвольный
//  Путь - Строка
//  РазделительПути - Строка
//
// Возвращаемое значение:
//  Массив - Значения XDTOПо пути
Функция ЗначенияXDTOПоПути(ОбъектXDTO, Путь, РазделительПути = "/") Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСПолучениеВходящих.ЗначенияXDTOПоПути(ОбъектXDTO, Путь, РазделительПути);
```
</details>

## ПриОпределенииИспользуемыхТиповЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении используемых типов электронных документов.
// см. ИнтеграцияЭДО.ИспользуемыеТипыДокументов()
//
// Параметры:
//  АктуальныеТипы - Соответствие
Процедура ПриОпределенииИспользуемыхТиповЭлектронныхДокументов(АктуальныеТипы) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ПриОпределенииИспользуемыхТиповЭлектронныхДокументов(АктуальныеТипы) 
```
</details>

## СпособыОтраженияВУчетеТипаЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОтражениеВУчетеЭДО.СписокОперацийТипаДокумента
Процедура СпособыОтраженияВУчетеТипаЭлектронногоДокумента(ТипДокумента, СпособыОтраженияВУчете) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.СпособыОтраженияВУчетеТипаЭлектронногоДокумента(ТипДокумента, СпособыОтраженияВУчете) 
```
</details>

## ПриРаспознанииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При распознании документа.
// см. Документы.ЭлектронныйДокументВходящийЭДО.Формы.ФормаПросмотра
//
// Параметры:
//  ВидСообщения - Структура
//  ЭлементСхемы - Структура
Процедура ПриРаспознанииДокумента(ВидСообщения, ЭлементСхемы) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСПолучениеВходящих.ПриРаспознанииДокумента(ВидСообщения, ЭлементСхемы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
