---
title: Электронное актирование ЕИС строительство
slug: erp-uh/электронное-актирование-еис-строительство
---


## НовыеДанныеСметыКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные сметы контракта.
//
// Возвращаемое значение:
//  Структура - Новые данные сметы контракта:
// * ИдентификаторСметы - Строка
// * ВнешнийИдентификаторСметы - Строка
// * ВерсияСметы - Строка
// * ВерсияФормата - Строка
// * СведенияОКонтракте - Структура
// * СведенияОСмете - см. НовыеСведенияОСмете
Функция НовыеДанныеСметыКонтракта() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеДанныеСметыКонтракта() 
```
</details>

## НовыеСведенияОСмете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о смете.
//
// Возвращаемое значение:
//  Структура - Новые сведения о смете:
// * НаименованиеОбъектаСтроительства - Строка
// * ИтогоПоСметеБезНДС - Число
// * ИтогоПоСметеСНДС - Число
// * СуммаНеОблагаемаяНалогомПоСтавкеБезНДСИ0 - Строка
// * СуммаНалогаПоСтавке10 - Число
// * СуммаНалогаПоСтавке20 - Число
// * СуммаСтоимостиВозвратныхПозиций - Число
// * СведенияОТоварахРаботахУслугах - Массив из см. НовыеСведенияОТоварахРаботахУслугахСметы
Функция НовыеСведенияОСмете() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОСмете() 
```
</details>

## НовыеСведенияОТоварахРаботахУслугахСметы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о товарах работах услугах сметы.
//
// Возвращаемое значение:
//  Структура - Новые сведения о товарах работах услугах сметы:
// * СведенияОПозицииТРУ - См. НовыеСведенияОНеДетализированнойПозицииТРУСметы
// * СведенияОДетализированныхПозицияхТРУ - См. НовыеСведенияОДетализированныхПозицияхТРУСметы
Функция НовыеСведенияОТоварахРаботахУслугахСметы() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОТоварахРаботахУслугахСметы() 
```
</details>

## НовыеСведенияОНеДетализированнойПозицииТРУСметы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о не детализированной позиции ТРУСметы.
//
// Возвращаемое значение:
//  Структура:
// * РазделыВидовРабот - См. НовыеДанныеДетализацииПоРазделамВидовРабот
Функция НовыеСведенияОНеДетализированнойПозицииТРУСметы() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОНеДетализированнойПозицииТРУСметы() 
```
</details>

## НовыеСведенияОПозицииСметы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о позиции сметы.
//
// Параметры:
//  Результат - Структура
//
// Возвращаемое значение:
//  Структура:
// * НомерСтрокиТаблицы - Строка
// * Идентификатор - Строка
// * ТехническийИдентификатор - Строка
// * ВнешнийТехническийИдентификаторПозиции - Строка
// * ПризнакТоварРаботаУслуга - Строка
// * ПризнакПоставкиОбъектаЗакупкиСУлучшеннымиХарактеристиками - Строка
// * КодТовара - Строка
// * Наименование - Строка
// * ЦенаЗаЕдиницуСНДС - Число
// * ЦенаЗаЕдиницуБезНДС - Число
// * НалоговаяСтавка - Строка
// * СтоимостьБезНалогаВсего - Число
// * СтоимостьБезНалогаВсего - Число
// * КоличествоИлиОбъемРаботы - См. НовыеДанныеКоличествоИлиОбъем
// * ОКЕИ - см. ЭлектронноеАктированиеЕИС.НовоеЗначениеОКЕИ
// * СуммаНалога - см. НовыеДанныеСуммаНалога
// * ДополнительныеСведенияОТоваре - см. НовыеДополнительныеСведенияОТоваре
Функция НовыеСведенияОПозицииСметы(Результат = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОПозицииСметы(Результат);
```
</details>

## НовыеДополнительныеСведенияОТоваре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыеДополнительныеСведенияОТоваре() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеДополнительныеСведенияОТоваре() 
```
</details>

## НовыеСведенияОСтране
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о стране.
//
// Возвращаемое значение:
//  Структура - Новые сведения о стране:
// * Код - Строка
// * КраткоеНаименование - Строка
Функция НовыеСведенияОСтране() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОСтране() 
```
</details>

## НовыеДанныеСуммаНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные сумма налога.
//
// Возвращаемое значение:
//  Структура - Новые данные сумма налога:
// * СуммаНалога - Число
// * БезНДС - Строка
// * ЗнакПрочерка - Строка
Функция НовыеДанныеСуммаНалога() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеДанныеСуммаНалога() 
```
</details>

## НовыеСведенияОДетализированныхПозицияхТРУСметы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыеСведенияОДетализированныхПозицияхТРУСметы() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОДетализированныхПозицияхТРУСметы() 
```
</details>

## ТекстСметыКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст сметы контракта.
//
// Параметры:
//  ДанныеСметы - см. НовыеСведенияОСмете
//
// Возвращаемое значение:
//  Строка
Функция ТекстСметыКонтракта(ДанныеСметы) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.ТекстСметыКонтракта(ДанныеСметы) 
```
</details>

## НовыеСведенияОТРУВСоответствииСоСметой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о ТРУ в с соответствии со сметой контракта.
//
// Возвращаемое значение:
//  Структура - Новые сведения о ТРУ в соответствии со сметой контракта:
// * СведенияОПозицииТРУ - Структура
// * СведенияОДетализированныхПозицияхТРУ - Структура
Функция НовыеСведенияОТРУВСоответствииСоСметой() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОТРУВСоответствииСоСметой() 
```
</details>

## НовыеСведенияОДетализированныхПозицияхТРУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о детализированных позициях ТРУ.
//
// Возвращаемое значение:
//  Структура - Новые сведения о детализированных позициях ТРУ:
// * СведенияОРодительскойПозицииТРУ - Структура
// * СведенияОДочернейПозицииТРУ - Массив из см. НовыеСведенияОДочернейПозицииТРУ
Функция НовыеСведенияОДетализированныхПозицияхТРУ() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОДетализированныхПозицияхТРУ() 
```
</details>

## НовыеСведенияОРодительскойПозицииТРУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о родительской позиции ТРУ.
//
// Возвращаемое значение:
//  Структура - Новые сведения о родительской позиции ТРУ:
// * Идентификатор - Строка
// * ТехническийИдентификатор - Число
// * ВнешнийТехническийИдентификатор - Строка
Функция НовыеСведенияОРодительскойПозицииТРУ() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОРодительскойПозицииТРУ() 
```
</details>

## НовыеСведенияОДочернейПозицииТРУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыеСведенияОДочернейПозицииТРУ(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОДочернейПозицииТРУ(Параметры) 
```
</details>

## НовыеСведенияОТРУВСоответствииСоСметойБезДетализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о ТРУ в соответствии со сметой контракта без детализации.
//
// Возвращаемое значение:
//  Структура - Новые сведения О ТРУ в соответствии со сметой контракта без детализации:
// * Идентификатор - Строка - Устарело, игнорируется при приеме.
// * ТехническийИдентификатор - Число - Устарело, игнорируется при приеме.
// * ВнешнийТехническийИдентификатор - Строка - Устарело, игнорируется при приеме.
// * ИдентификаторПозиции - Строка
// * ВыполненоСНачалаВыполненияРабот - см. НовыеДанныеВыполненияЗаПериод
// * ВыполненоЗаОтчетныйПериод - см. НовыеДанныеВыполненияЗаПериод
// * ДетализацияПоРазделамВидовРабот - см. НовыеДанныеДетализацииПоРазделамВидовРабот
Функция НовыеСведенияОТРУВСоответствииСоСметойБезДетализации() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеСведенияОТРУВСоответствииСоСметойБезДетализации() 
```
</details>

## НовыеДанныеДетализацииПоРазделамВидовРабот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные детализации по разделам видов работ.
//
// Возвращаемое значение:
//  Структура - Новые данные детализации по разделам видов работ:
// * РазделВидовРабот - Массив из см. НовыеДанныеРазделВидовРабот
// * ВидРаботУПД - Массив из см. НовыеДанныеВидРаботУПД
Функция НовыеДанныеДетализацииПоРазделамВидовРабот() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеДанныеДетализацииПоРазделамВидовРабот() 
```
</details>

## НовыеДанныеРазделВидовРабот
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные раздел видов работ.
//
// Возвращаемое значение:
//  Структура - Новые данные раздел видов работ:
// * ИдентификаторРаздела - Строка
// * ВидРаботУПД - Массив из см. НовыеДанныеВидРаботУПД
Функция НовыеДанныеРазделВидовРабот() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеДанныеРазделВидовРабот() 
```
</details>

## НовыеДанныеВидРаботУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные вид работ УПД.
//
// Возвращаемое значение:
//  Структура - Новые данные вид работ УПД:
// * ИдентификаторВидаРабот - Строка
// * ВыполненоСНачалаВыполненияРабот - см. НовыеДанныеВыполненияЗаПериод
// * ВыполненоЗаОтчетныйПериод - см. НовыеДанныеВыполненияЗаПериод
Функция НовыеДанныеВидРаботУПД() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеДанныеВидРаботУПД() 
```
</details>

## НовыеДанныеВыполненияЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные выполнения за период.
//
// Возвращаемое значение:
//  Структура - Новые данные выполнения за период:
// * СтоимостьБезНалога - Число
// * КоличествоИлиОбъем - см. НовыеДанныеКоличествоИлиОбъем
Функция НовыеДанныеВыполненияЗаПериод() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеДанныеВыполненияЗаПериод() 
```
</details>

## НовыеДанныеВыполненияЗаПериодСНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные выполнения за период с НДС.
//
// Возвращаемое значение:
//  Структура - Новые данные выполнения за период:
// * СтоимостьБезНалога - Число
// * СтоимостьСНалогом - Число
// * КоличествоИлиОбъем - См. НовыеДанныеКоличествоИлиОбъем
Функция НовыеДанныеВыполненияЗаПериодСНДС() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеДанныеВыполненияЗаПериодСНДС() 
```
</details>

## НовыеДанныеКоличествоИлиОбъем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые данные количества или объема по смете.
//
// Возвращаемое значение:
//  Структура - Новые данные количество или объема по смете:
// * Количество - Число
// * ОбъемВТекстовомВыражении - Строка
Функция НовыеДанныеКоличествоИлиОбъем() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИССтроительство.НовыеДанныеКоличествоИлиОбъем() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
