---
title: Электронное актирование ЕИС УТ
slug: erp-uh/электронное-актирование-еис-ут
---


## СопоставлятьНоменклатуруКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сопоставлять номенклатуру контракта средствами подсистемы сопоставление номенклатуры.
//
// Возвращаемое значение:
//  Булево - Сопоставлять номенклатуру.
Функция СопоставлятьНоменклатуруКонтракта() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.СопоставлятьНоменклатуруКонтракта() 
```
</details>

## ПередЗаписьюНаСервереГосударственногоКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.ПередЗаписьюНаСервереГосударственногоКонтракта
Процедура ПередЗаписьюНаСервереГосударственногоКонтракта( Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ПередЗаписьюНаСервереГосударственногоКонтракта();
```
</details>

## ПередЗаписьюНаСервереДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполненность этапа госконтракта.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма записываемого объекта.
//   ТекущийОбъект - ДокументОбъект, СправочникОбъект - записываемый объект.
//
Процедура ПередЗаписьюНаСервереДокумент(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ПередЗаписьюНаСервереДокумент(Форма, ТекущийОбъект) 
```
</details>

## ПослеЗагрузкиКонтрактаИзЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.ПослеЗагрузкиКонтрактаИзЕИС
Процедура ПослеЗагрузкиКонтрактаИзЕИС(СсылкаНаКонтракт) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ПослеЗагрузкиКонтрактаИзЕИС(СсылкаНаКонтракт) 
```
</details>

## ЗаполнитьСвязиПараметровВыбораИПараметрыВыбораДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.ЗаполнитьСвязиПараметровВыбораИПараметрыВыбораДоговора
Процедура ЗаполнитьСвязиПараметровВыбораИПараметрыВыбораДоговора(СвязиПараметровВыбора, Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьСвязиПараметровВыбораИПараметрыВыбораДоговора(СвязиПараметровВыбора, );
```
</details>

## ЗаполнитьТипыОбъектовВызоваКомандыОткрытияПараметровАктирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.ЗаполнитьТипыОбъектовВызоваКомандыОткрытияПараметровАктирования
Процедура ЗаполнитьТипыОбъектовВызоваКомандыОткрытияПараметровАктирования(ТипыОбъектов) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьТипыОбъектовВызоваКомандыОткрытияПараметровАктирования(ТипыОбъектов) 
```
</details>

## ДляДокументаЗаполняютсяМестаПоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.ДляДокументаЗаполняютсяМестаПоставки
Процедура ДляДокументаЗаполняютсяМестаПоставки(Документ, МестаПоставкиЗаполняются) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ДляДокументаЗаполняютсяМестаПоставки(Документ, МестаПоставкиЗаполняются) 
```
</details>

## ЗаполнитьТабличнуюЧастьДокументаПоДаннымДереваТоваровУслуг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.ЗаполнитьТабличнуюЧастьДокументаПоДаннымДереваТоваровУслуг
Процедура ЗаполнитьТабличнуюЧастьДокументаПоДаннымДереваТоваровУслуг( Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьТабличнуюЧастьДокументаПоДаннымДереваТоваровУслуг();
```
</details>

## СоздатьЭлементФормыПараметровЭлектронногоАктированияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.СоздатьЭлементФормыПараметровЭлектронногоАктированияДокумента
Процедура СоздатьЭлементФормыПараметровЭлектронногоАктированияДокумента(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.СоздатьЭлементФормыПараметровЭлектронногоАктированияДокумента(Форма, Элемент) 
```
</details>

## ВерсияПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Версия приложения.
//
// Возвращаемое значение:
//  Строка - Версия приложения.
//
Функция ВерсияПриложения() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.ВерсияПриложения() 
```
</details>

## ВладелецПрисоединенныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определить владельца присоединенных файлов электронного документа.
//
// Параметры:
//  ОбъектыУчетаЭД - ТаблицаЗначений - массив ссылок на документы объекты учета.
//
// Возвращаемое значение:
//  ДокументСсылка - документ владелец присоединенных файлов.
//
Функция ВладелецПрисоединенныхФайлов(ОбъектыУчетаЭД) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.ВладелецПрисоединенныхФайлов(ОбъектыУчетаЭД) 
```
</details>

## СтавкаНДСДляПриложенияЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.СтавкаНДСДляПриложенияЕИС
Процедура СтавкаНДСДляПриложенияЕИС(Знач СтавкаНДС, СтавкаНДСПриложения) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.СтавкаНДСДляПриложенияЕИС(СтавкаНДС, СтавкаНДСПриложения) 
```
</details>

## МедицинскаяСпециализацияВключена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Медицинская специализация включена.
//
// Возвращаемое значение:
//  Булево - признак включения медицинской специализации.
Функция МедицинскаяСпециализацияВключена() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.МедицинскаяСпециализацияВключена() 
```
</details>

## СтроительнаяСпециализацияВключена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Строительная специализация включена.
//
// Возвращаемое значение:
//  Булево - признак включения строительной специализации.
Функция СтроительнаяСпециализацияВключена() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.СтроительнаяСпециализацияВключена() 
```
</details>

## НайтиСоздатьКонтрагентаПоСведениямОЗаказчике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.НайтиСоздатьКонтрагентаПоСведениямОЗаказчике
Процедура НайтиСоздатьКонтрагентаПоСведениямОЗаказчике(ДанныеКонтрагента, Контрагент) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.НайтиСоздатьКонтрагентаПоСведениямОЗаказчике(ДанныеКонтрагента, Контрагент) 
```
</details>

## ГосударственныйКонтрактДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.ГосударственныйКонтрактДокумента
Процедура ГосударственныйКонтрактДокумента(Документ, ГосударственныйКонтракт) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ГосударственныйКонтрактДокумента(Документ, ГосударственныйКонтракт) 
```
</details>

## ДоговорКонтрагентаИсточникаКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.ДоговорКонтрагентаИсточникаКоманды
Процедура ДоговорКонтрагентаИсточникаКоманды(ИсточникКоманды, ДоговорКонтрагента) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ДоговорКонтрагентаИсточникаКоманды(ИсточникКоманды, ДоговорКонтрагента) 
```
</details>

## СтавкаНДСОбъектаЗакупки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.СтавкаНДСОбъектаЗакупки
Процедура СтавкаНДСОбъектаЗакупки(Знач СтавкаНДСОбъектаЗакупки, СтавкаНДС) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.СтавкаНДСОбъектаЗакупки(СтавкаНДСОбъектаЗакупки, СтавкаНДС) 
```
</details>

## СоздатьДоговорНаОснованииКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// см. ЭлектронноеАктированиеЕИСПереопределяемый.СоздатьДоговорНаОснованииКонтракта
Процедура СоздатьДоговорНаОснованииКонтракта(СсылкаНаКонтракт, РезультатСоздания) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.СоздатьДоговорНаОснованииКонтракта(СсылкаНаКонтракт, РезультатСоздания) 
```
</details>

## ЗаполнитьТабличнуюЧастьДокументаПоДаннымГосконтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить табличную часть документа по данным госконтракта.
//
// Параметры:
//  ДанныеФормы - Форма - данные формы.
//  ЗаполнениеАктаВыполненныхРабот - Булево - признак заполнения акта выполненных работ.
//
Процедура ЗаполнитьТабличнуюЧастьДокументаПоДаннымГосконтракта(ДанныеФормы, ЗаполнениеАктаВыполненныхРабот = Ложь) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьТабличнуюЧастьДокументаПоДаннымГосконтракта(ДанныеФормы, ЗаполнениеАктаВыполненныхРабот);
```
</details>

## УстановкаВидимостиГруппыГосконтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость группы выбора госконтракта и этапа.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма из которой вызвана процедура.
//   ЭтоЗаказКлиента - Булево - Признак, что метод вызван из Заказа клиента.
//   НаименованиеТЧТовары - Строка - Наименование табличной части с товарами.
//
Процедура УстановкаВидимостиГруппыГосконтракта(Форма, ЭтоЗаказКлиента = Ложь, НаименованиеТЧТовары = "Товары") Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.УстановкаВидимостиГруппыГосконтракта(Форма, ЭтоЗаказКлиента, НаименованиеТЧТовары);
```
</details>

## ПриЗаписиДоговора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизиты госконтракта при записи договора.
//
// Параметры:
//  Госконтракт - ОпределяемыйТип.ГосударственныеКонтрактыБЭД - Ссылка на контракт.
//  Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО - Ссылка на договор.
//
Процедура ПриЗаписиДоговора(Госконтракт, Договор) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ПриЗаписиДоговора(Госконтракт, Договор) 
```
</details>

## СформироватьПредставлениеЭтапаГосконтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление этапа госконтракта для отображения в формах документов.
//
// Параметры:
//  Данные - Структура - данные для формирования представления:
// * НомерСтроки - Число.
// * ДатаНачала - Дата.
// * ДатаОкончания - Дата.
//
// Возвращаемое значение:
//  Строка - Представление этапа
//
Функция СформироватьПредставлениеЭтапаГосконтракта(Данные) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.СформироватьПредставлениеЭтапаГосконтракта(Данные) 
```
</details>

## РазрешаетсяИспользоватьЭлектронноеАктированиеЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разрешается использовать электронное актирование ЕИС.
//
// Параметры:
//  ИспользованиеРазрешено - Булево - Истина, если использование разрешено.
Процедура РазрешаетсяИспользоватьЭлектронноеАктированиеЕИС(ИспользованиеРазрешено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.РазрешаетсяИспользоватьЭлектронноеАктированиеЕИС(ИспользованиеРазрешено) 
```
</details>

## ЗаполнитьДанныеДереваДляЭлектронногоАктированияЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение данных дерева для электронного актирования ЕИС.
//
// Параметры:
//  ДеревоДанных - ДеревоЗначений
//  ДанныеЭлектронногоАктированияЕИС - Структура
//  ВыборкаШапки - ВыборкаИзРезультатаЗапроса
//  ДанныеПриложенияЕИС - Структура
//  ДокументОснование - ДокументСсылка
//  ЭтоУКД - Булево
//
Процедура ЗаполнитьДанныеДереваДляЭлектронногоАктированияЕИС(ДеревоДанных, Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьДанныеДереваДляЭлектронногоАктированияЕИС(ДеревоДанных, );
```
</details>

## ЗаполнитьДанныеПриложенияУПД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение данных приложения УПД.
//
// Параметры:
//  ДанныеЭлектронногоАктированияЕИС - Структура
//  ДанныеПриложенияЕИС - Структура
//
Процедура ЗаполнитьДанныеПриложенияУПД(ДанныеЭлектронногоАктированияЕИС, ДанныеПриложенияЕИС) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьДанныеПриложенияУПД(ДанныеЭлектронногоАктированияЕИС, ДанныеПриложенияЕИС) 
```
</details>

## ЗаполнитьДанныеПриложенияУКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение данных приложения УКД.
//
// Параметры:
//  ДанныеЭлектронногоАктированияЕИС - Структура
//  ДанныеПриложенияЕИС - Структура
//
Процедура ЗаполнитьДанныеПриложенияУКД(ДанныеЭлектронногоАктированияЕИС, ДанныеПриложенияЕИС) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьДанныеПриложенияУКД(ДанныеЭлектронногоАктированияЕИС, ДанныеПриложенияЕИС) 
```
</details>

## ПроверитьДоговорЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка договора. Если документ содержит договор, привязанный к контракту, выводим предупреждение пользователю.
//
// Параметры:
//  Настройки - см. ОбменСКонтрагентамиПереопределяемый.ЗаполнитьДанныеУПД2019_ИнформацияПродавца.Настройки
//  ДокументОтгрузки - ДокументСсылка
//  ДеревоДанных - ДеревоЗначений
//  ЭтоУКД - Булево
//
Процедура ПроверитьДоговорЭД(Настройки, ДокументОтгрузки, ДеревоДанных, ЭтоУКД) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ПроверитьДоговорЭД(Настройки, ДокументОтгрузки, ДеревоДанных, ЭтоУКД) 
```
</details>

## ЗаполнитьМестаПоставкиПриложенияЕИСПоДаннымУчастника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  СведенияОбУчастнике - см. ЭлектронноеВзаимодействиеУТ.ПолучитьДанныеЮрФизЛица
//  СтрокаУчастника - СтрокаТаблицыЗначений
//  ВидУчастника - Строка
//  ДанныеПриложенияЕИС - Структура
//  ДатаСведений - Дата
//
Процедура ЗаполнитьМестаПоставкиПриложенияЕИСПоДаннымУчастника(СведенияОбУчастнике, СтрокаУчастника, ВидУчастника, ДанныеПриложенияЕИС, ДатаСведений = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьМестаПоставкиПриложенияЕИСПоДаннымУчастника(СведенияОбУчастнике, СтрокаУчастника, ВидУчастника, ДанныеПриложенияЕИС, ДатаСведений);
```
</details>

## ЗаполнитьМестаПоставкиПриложенияЕИСПоАдресуДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  АдресДоставки - Строка
//  ИдентификаторМестаПоставкиЕИС - Строка
//  ДанныеПриложенияЕИС - Структура
//
Процедура ЗаполнитьМестаПоставкиПриложенияЕИСПоАдресуДоставки(АдресДоставки, ИдентификаторМестаПоставкиЕИС, ДанныеПриложенияЕИС) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьМестаПоставкиПриложенияЕИСПоАдресуДоставки(АдресДоставки, ИдентификаторМестаПоставкиЕИС, ДанныеПриложенияЕИС) 
```
</details>

## ЗаполнитьДанныеПоСтрокеТоваровУПД_2019
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НоваяСтрокаЭД - Структура
//  СтрокаВыборки - ВыборкаИзРезультатаЗапроса
//  СтруктураДанных - Структура
//  ДанныеПриложенияЕИС - Структура
//
Процедура ЗаполнитьДанныеПоСтрокеТоваровУПД_2019(НоваяСтрокаЭД, СтрокаВыборки, СтруктураДанных, ДанныеПриложенияЕИС) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьДанныеПоСтрокеТоваровУПД_2019(НоваяСтрокаЭД, СтрокаВыборки, СтруктураДанных, ДанныеПриложенияЕИС) 
```
</details>

## ЗаполнитьДанныеПоСтрокеТоваровУКД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение данных по строке товаров УКД.
//
// Параметры:
//  НоваяСтрокаЭД - Структура
//  СтрокаВыборки - ВыборкаИзРезультатаЗапроса
//  СтруктураДанных - Структура
//  ДанныеПриложенияЕИС - Структура
//
Процедура ЗаполнитьДанныеПоСтрокеТоваровУКД(НоваяСтрокаЭД, СтрокаВыборки, СтруктураДанных, ДанныеПриложенияЕИС) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьДанныеПоСтрокеТоваровУКД(НоваяСтрокаЭД, СтрокаВыборки, СтруктураДанных, ДанныеПриложенияЕИС) 
```
</details>

## ПараметрыОтправкиВЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры отправки.
//
// Параметры:
//   Организация - СправочникСсылка.Организации - Организация документа.
//   Договор - ОпределяемыйТип.ДоговорСКонтрагентомЭДО - Ссылка на договор.
//
// Возвращаемое значение:
//  Структура - параметры отправки в ЕИС:
//     * ВозможнаОтправка - Булево - возможность отправки.
//     * Контракт       - ОпределяемыйТип.ГосударственныеКонтрактыБЭД, Неопределено - гос. контракт.
Функция ПараметрыОтправкиВЕИС(Организация, Договор) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.ПараметрыОтправкиВЕИС(Организация, Договор) 
```
</details>

## ДокументОтправляетсяВЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка возможности отправить документ в ЕИС.
//
// Параметры:
//   ДокументСсылка - ДокументСсылка - Ссылка на документ.
//
// Возвращаемое значение:
//  Булево - возможность отправки в ЕИС.
Функция ДокументОтправляетсяВЕИС(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.ДокументОтправляетсяВЕИС(ДокументСсылка) 
```
</details>

## ТекстЗапросаДанныеДляПечатиСчетовФактур
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст запроса для выборки данных ЕИС.
//
// Параметры:
//  Основания - Массив из ДокументСсылка
//
// Возвращаемое значение:
//  Строка - текст запроса.
Функция ТекстЗапросаДанныеДляПечатиСчетовФактур(Основания) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.ТекстЗапросаДанныеДляПечатиСчетовФактур(Основания) 
```
</details>

## ПоместитьРезультатВыполненияЗапросаВДанныеДляПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  РезультатЗапроса - РезультатЗапроса
//  ДанныеДляПечати - Структура
//  КоличествоРезультатов - Число
//
Процедура ПоместитьРезультатВыполненияЗапросаВДанныеДляПечати( Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ПоместитьРезультатВыполненияЗапросаВДанныеДляПечати();
```
</details>

## ПолучитьЭтапГосконтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение этапа Госконтракта.
//
// Параметры:
//  Договор - СправочникСсылка.ДоговорыКонтрагентов
//  ЭтапГосконтрактаЕИС - Строка
//
Процедура ПолучитьЭтапГосконтракта(Договор, ЭтапГосконтрактаЕИС) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ПолучитьЭтапГосконтракта(Договор, ЭтапГосконтрактаЕИС) 
```
</details>

## ПолучитьДоговорГосконтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает ссылку на договор, в котором указан переданный госконтракт.
//
// Параметры:
//  СсылкаНаКонтракт - СправочникСсылка.ГосударственныеКонтракты - Ссылка на госконтракт.
//
// Возвращаемое значение:
//  СправочникСсылка.ДоговорыКонтрагентов - найденный договор.
Функция ПолучитьДоговорГосконтракта(СсылкаНаКонтракт) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.ПолучитьДоговорГосконтракта(СсылкаНаКонтракт) 
```
</details>

## ПолучитьВсеДоговораГосконтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает ссылку на все договора, в которых указан переданный госконтракт.
//
// Параметры:
//  СсылкаНаКонтракт - СправочникСсылка.ГосударственныеКонтракты - Ссылка на госконтракт.
//
// Возвращаемое значение:
//  СписокЗначений из СправочникСсылка.ДоговорыКонтрагентов.
//
Функция ПолучитьВсеДоговораГосконтракта(СсылкаНаКонтракт) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЕИСУТ.ПолучитьВсеДоговораГосконтракта(СсылкаНаКонтракт) 
```
</details>

## ДоговорПриИзмененииЭлектронноеАктированиеЕИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Устанавливает видимость госконтракта и этапа госконтракта на форме документа, заполняет этап госконтракта
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, из которой вызвана процедура.
//  Объект - ДанныеФормыСтруктура -
//  НаименованиеТЧТовары - Строка - название табличной части "Товары"
//
Процедура ДоговорПриИзмененииЭлектронноеАктированиеЕИС(Форма, Объект, НаименованиеТЧТовары = "Товары") Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ДоговорПриИзмененииЭлектронноеАктированиеЕИС(Форма, Объект, НаименованиеТЧТовары);
```
</details>

## ПередЗаписьюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При необходимости очищает номенклатуру партнера.
//
// Параметры:
//  Договор - СправочникСсылка.ДоговорыКонтрагентов - Договор из документа.
//  ТаблицаТоваров - ТабличнаяЧасть - ТЧ документа с номенклатурой партнера.
//
Процедура ПередЗаписьюДокумента(Договор, ТаблицаТоваров) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ПередЗаписьюДокумента(Договор, ТаблицаТоваров) 
```
</details>

## УсловиеОтбораГосударственныхКонтрактовПоДоговору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.УсловиеОтбораГосударственныхКонтрактовПоДоговору
Процедура УсловиеОтбораГосударственныхКонтрактовПоДоговору(ТекстУсловия) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.УсловиеОтбораГосударственныхКонтрактовПоДоговору(ТекстУсловия) 
```
</details>

## ЗаполнитьТаблицуНоменклатурыКонтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеАктированиеЕИСПереопределяемый.ЗаполнитьТаблицуНоменклатурыКонтракта
Процедура ЗаполнитьТаблицуНоменклатурыКонтракта(ТаблицаИдентификаторов, ДанныеГосКонтракта, ТаблицаНоменклатуры) Экспорт
```

Пример вызова
```bsl
ЭлектронноеАктированиеЕИСУТ.ЗаполнитьТаблицуНоменклатурыКонтракта(ТаблицаИдентификаторов, ДанныеГосКонтракта, ТаблицаНоменклатуры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
