---
title: Электронное актирование заказчика ЕИС
slug: erp-uh/электронное-актирование-заказчика-еис
---


## НовыеСведенияОтраслевойСпециализацииЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения отраслевой специализации заказчика.
//
// Возвращаемое значение:
//  Структура - Новые сведения отраслевой специализации заказчика:
//   * ОтраслеваяСпециализацияСтроительство - Структура
Функция НовыеСведенияОтраслевойСпециализацииЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.НовыеСведенияОтраслевойСпециализацииЗаказчика() 
```
</details>

## НовыеСведенияВидРаботУПДЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыеСведенияВидРаботУПДЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.НовыеСведенияВидРаботУПДЗаказчика() 
```
</details>

## НовыеСведенияРазделаВидовРаботУПДЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыеСведенияРазделаВидовРаботУПДЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.НовыеСведенияРазделаВидовРаботУПДЗаказчика() 
```
</details>

## НовыеСведенияОДетализированномТРУУПДЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о детализированном ТРУ УПД заказчика.
//
// Возвращаемое значение:
//  Структура - Новые сведения о детализированном ТРУ УПД заказчика:
// * ИдентификаторПринятогоТРУ - Строка
// * ПризнакПринятияТРУ - Булево
// * ПринятоеКоличествоТРУ - Число
// * ПринятыйОбъемРабот - Число
// * СтоимостьСНалогом - Число
// * ПричинаОтказаОтПриемки - Строка
Функция НовыеСведенияОДетализированномТРУУПДЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.НовыеСведенияОДетализированномТРУУПДЗаказчика() 
```
</details>

## НовыеСведенияОНачисленнойНеустойкеЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о начисленной неустойке заказчика.
//
// Возвращаемое значение:
//  Структура - Новые сведения о начисленной неустойке заказчика:
// * НаименованиеТребования - Строка
// * НомерТребования - Строка
// * ДатаТребования - Дата
// * ТипНеустойки - Строка
// * РазмерНеустойки - Число
// * ПричинаНачисленияНеустойки - Структура
Функция НовыеСведенияОНачисленнойНеустойкеЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.НовыеСведенияОНачисленнойНеустойкеЗаказчика() 
```
</details>

## ТипНеустойкиЗаказчикаШтраф
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Тип неустойки заказчика штраф.
//
// Возвращаемое значение:
//  Строка
Функция ТипНеустойкиЗаказчикаШтраф() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.ТипНеустойкиЗаказчикаШтраф() 
```
</details>

## ТипНеустойкиЗаказчикаПеня
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Тип неустойки заказчика пеня.
//
// Возвращаемое значение:
//  Строка
Функция ТипНеустойкиЗаказчикаПеня() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.ТипНеустойкиЗаказчикаПеня() 
```
</details>

## НовыеСведенияОНалогахИВносахЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о налогах и вносах заказчика.
//
// Возвращаемое значение:
//  Структура - Новые сведения о налогах и вносах заказчика:
// * ИнформацияОНалогеИВзносеЗаФизическоеЛицо - Массив из см. НовыеСведенияОНалогеИВносеЗаказчика
Функция НовыеСведенияОНалогахИВносахЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.НовыеСведенияОНалогахИВносахЗаказчика() 
```
</details>

## НовыеСведенияОНалогеИВносеЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыеСведенияОНалогеИВносеЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.НовыеСведенияОНалогеИВносеЗаказчика() 
```
</details>

## НовыеСведенияОПрочихНачисленияхУКДЗаказчика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новые сведения о прочих начислениях УКДЗаказчика.
//
// Возвращаемое значение:
//  Структура - Новые сведения о прочих начислениях УКДЗаказчика:
// * ИтоговаяСуммаНеустоек - Число
// * ИтоговаяСуммаНалоговВзносов - Число
// * ИтоговаяСуммаОплаты - Число
// * ИнформацияОНачисленнойНеустойке - Число
// * ИнформацияОНачисленнойНеустойке - см. НовыеСведенияОНачисленнойНеустойкеЗаказчика
// * ИнформацияОНалогахИВзносахУплачиваемыхЗаказчикомЗаПоставщика - см. НоваяИнформацияОНалогахИВзносахУплачиваемыхЗаказчикомЗаПоставщика
Функция НовыеСведенияОПрочихНачисленияхУКДЗаказчика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.НовыеСведенияОПрочихНачисленияхУКДЗаказчика() 
```
</details>

## НоваяИнформацияОНалогахИВзносахУплачиваемыхЗаказчикомЗаПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новая информация о налогах и взносах уплачиваемых заказчиком за поставщика.
//
// Возвращаемое значение:
//  Структура - Новая информация о налогах и взносах уплачиваемых заказчиком за поставщика:
// * НалогиИВзносы - Массив из см. НоваяИнформацияОНалогеИВзносеУплачиваемомЗаказчикомЗаПоставщика
Функция НоваяИнформацияОНалогахИВзносахУплачиваемыхЗаказчикомЗаПоставщика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.НоваяИнформацияОНалогахИВзносахУплачиваемыхЗаказчикомЗаПоставщика() 
```
</details>

## НоваяИнформацияОНалогеИВзносеУплачиваемомЗаказчикомЗаПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Новая информация о налоге и взносе уплачиваемом заказчиком за поставщика.
//
// Возвращаемое значение:
//  Структура - Новая информация о налоге и взносе уплачиваемом заказчиком за поставщика:
// * Сумма - Строка
// * ИнформацияОДругихНалогахвзносах - Строка
// * НалогВзнос - Структура:
//    ** КодНалогаВзноса - Строка
//    ** НаименованиеНалогаВзноса - Строка
Функция НоваяИнформацияОНалогеИВзносеУплачиваемомЗаказчикомЗаПоставщика() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеАктированиеЗаказчикаЕИС.НоваяИнформацияОНалогеИВзносеУплачиваемомЗаказчикомЗаПоставщика() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
