---
title: Электронное взаимодействие УТ
slug: erp-uh/электронное-взаимодействие-ут
---


## ПолучитьСоответствиеФункциональныхОпций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействиеПереопределяемый.ПолучитьСоответствиеФункциональныхОпций
Процедура ПолучитьСоответствиеФункциональныхОпций(СоответствиеФО) Экспорт
```

Пример вызова
```bsl
ЭлектронноеВзаимодействиеУТ.ПолучитьСоответствиеФункциональныхОпций(СоответствиеФО) 
```
</details>

## ПолучитьСоответствиеСправочников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействиеПереопределяемый.ПолучитьСоответствиеСправочников.
Процедура ПолучитьСоответствиеСправочников(СоответствиеСправочников) Экспорт
```

Пример вызова
```bsl
ЭлектронноеВзаимодействиеУТ.ПолучитьСоответствиеСправочников(СоответствиеСправочников) 
```
</details>

## ПолучитьСоответствиеНаименованийОбъектовМДИРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействиеПереопределяемый.ПолучитьСоответствиеНаименованийОбъектовМДИРеквизитов
Процедура ПолучитьСоответствиеНаименованийОбъектовМДИРеквизитов(СоответствиеРеквизитовОбъекта) Экспорт
```

Пример вызова
```bsl
ЭлектронноеВзаимодействиеУТ.ПолучитьСоответствиеНаименованийОбъектовМДИРеквизитов(СоответствиеРеквизитовОбъекта) 
```
</details>

## НайтиСсылкуНаОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействиеПереопределяемый.НайтиСсылкуНаОбъект
Процедура НайтиСсылкуНаОбъект(ТипОбъекта, Результат, ИдОбъекта = "", ДополнительныеРеквизиты = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронноеВзаимодействиеУТ.НайтиСсылкуНаОбъект(ТипОбъекта, Результат, ИдОбъекта, ДополнительныеРеквизиты);
```
</details>

## ПроверитьГотовностьИсточников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействиеПереопределяемый.ПроверитьГотовностьИсточников
Процедура ПроверитьГотовностьИсточников(ДокументыМассив, БезЭлектроннойПодписи = Ложь) Экспорт
```

Пример вызова
```bsl
ЭлектронноеВзаимодействиеУТ.ПроверитьГотовностьИсточников(ДокументыМассив, БезЭлектроннойПодписи);
```
</details>

## ПолучитьДанныеЮрФизЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные о физическом (юридическом) лице по ссылке.
//
// Параметры:
//  ЮрФизЛицо - СправочникСсылка.Организации, СправочникСсылка.Контрагенты - ссылка на элемент справочника, по которому надо получить данные.
//  БанковскийСчет - СправочникСсылка.БанковскиеСчетаОрганизаций, СправочникСсылка.БанковскиеСчетаКонтрагентов - ссылка на банковский счет.
//  ДатаСведений - Дата - дата на которую надо получить данные.
//
// Возвращаемое значение:
// 	Структура:
// 		* СтранаРегистрации - СправочникСсылка.СтраныМира
// 		* Ссылка - СправочникСсылка.РегистрацииВНалоговомОргане,СправочникСсылка.Организации,СправочникСсылка.Контрагенты
// 		* Наименование - Строка
// 		* Фамилия - Строка
// 		* Имя - Строка
// 		* Отчество - Строка
//
Функция ПолучитьДанныеЮрФизЛица(ЮрФизЛицо, Знач БанковскийСчет = Неопределено, ДатаСведений = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеВзаимодействиеУТ.ПолучитьДанныеЮрФизЛица(ЮрФизЛицо, БанковскийСчет, ДатаСведений);
```
</details>

## ПередЗаписьюВладельцаЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействиеПереопределяемый.ПередЗаписьюВладельцаЭлектронногоДокумента
Процедура ПередЗаписьюВладельцаЭлектронногоДокумента(Объект, ИзменилисьКлючевыеРеквизиты, Знач СостояниеЭлектронногоДокумента, Экспорт
```

Пример вызова
```bsl
ЭлектронноеВзаимодействиеУТ.ПередЗаписьюВладельцаЭлектронногоДокумента(Объект, ИзменилисьКлючевыеРеквизиты, СостояниеЭлектронногоДокумента, );
```
</details>

## ПередЗаписьюВладельцаЭлектронногоДокументаЭлементСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействиеПереопределяемый.ПередЗаписьюВладельцаЭлектронногоДокументаЭлементСправочника.
Процедура ПередЗаписьюВладельцаЭлектронногоДокументаЭлементСправочника(Объект, ИзменилисьКлючевыеРеквизиты, Экспорт
```

Пример вызова
```bsl
ЭлектронноеВзаимодействиеУТ.ПередЗаписьюВладельцаЭлектронногоДокументаЭлементСправочника(Объект, ИзменилисьКлючевыеРеквизиты, );
```
</details>

## ПолучитьДанныеОтправленногоФайлаДоговорногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные о файле Договорного документа отправленного по ЭДО.
//
// Параметры:
//  Объект - СправочникСсылка - ссылка на элемент справочника, по которому получаются данные.
//
// Возвращаемое значение:
//  - СправочникСсылка.ДоговорыКонтрагентовПрисоединенныеФайлы
//  - Неопределено - если элемент не найден в ИБ.
//
Функция ПолучитьДанныеОтправленногоФайлаДоговорногоДокумента(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеВзаимодействиеУТ.ПолучитьДанныеОтправленногоФайлаДоговорногоДокумента(Объект) 
```
</details>

## ПолучитьДанныеФизЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные о физическом лице по ссылке.
//
// Параметры:
//  ФизЛицо - СправочникСсылка - ссылка на элемент справочника, по которому получаются данные.
//  Сведения - см. ЭлектронноеВзаимодействие.СтруктураДанныхФизЛица
//  ПолучатьДанныеДокумента - Булево - Истина - получать данные по документу (при наличии)
Процедура ПолучитьДанныеФизЛица(ФизЛицо, Сведения, ПолучатьДанныеДокумента = Истина) Экспорт
```

Пример вызова
```bsl
ЭлектронноеВзаимодействиеУТ.ПолучитьДанныеФизЛица(ФизЛицо, Сведения, ПолучатьДанныеДокумента);
```
</details>

## ПолучитьФизЛицоМЧД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает ссылку на физическое лицо по сведениям.
//
// Параметры:
//  СведенияФизЛица - структура:
//  	* ИНН - строка
//
// Возвращаемое значение:
//  - СправочникСсылка.ФизическиеЛица
//  - Неопределено - если не элемент не найден в ИБ.
//
Функция ПолучитьФизЛицоМЧД(СведенияФизЛица) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеВзаимодействиеУТ.ПолучитьФизЛицоМЧД(СведенияФизЛица) 
```
</details>

## ПолучитьДокументыФизЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействиеПереопределяемый.ПолучитьДокументыФизЛица
Процедура ПолучитьДокументыФизЛица(ФизЛицо, Сведения) Экспорт
```

Пример вызова
```bsl
ЭлектронноеВзаимодействиеУТ.ПолучитьДокументыФизЛица(ФизЛицо, Сведения) 
```
</details>

## ПолучитьТипыОрганизацииПредставителяМЧД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействиеПереопределяемый.ПолучитьТипыОрганизацииПредставителяМЧД
Процедура ПолучитьТипыОрганизацииПредставителяМЧД(Типы) Экспорт
```

Пример вызова
```bsl
ЭлектронноеВзаимодействиеУТ.ПолучитьТипыОрганизацииПредставителяМЧД(Типы) 
```
</details>

## ПолучитьОрганизациюМЧД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить ссылку на организацию-представителя МЧД.
//
// Параметры:
//  СведенияЮрЛица - структура:
// 		* ИНН 	- строка
// 		* КПП 	- строка
// 		* ОГРН 	- строка
//
// Возвращаемое значение:
// 	СправочникСсылка - ссылка на элемент справочника, Неопределено
//
Функция ПолучитьОрганизациюМЧД(СведенияЮрЛица) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеВзаимодействиеУТ.ПолучитьОрганизациюМЧД(СведенияЮрЛица) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
